var Module;
if (!Module) Module = (typeof Module !== "undefined" ? Module : null) || {};
var moduleOverrides = {};
for (var key in Module) {
 if (Module.hasOwnProperty(key)) {
  moduleOverrides[key] = Module[key];
 }
}
var ENVIRONMENT_IS_WEB = typeof window === "object";
var ENVIRONMENT_IS_WORKER = typeof importScripts === "function";
var ENVIRONMENT_IS_NODE = typeof process === "object" && typeof require === "function" && !ENVIRONMENT_IS_WEB && !ENVIRONMENT_IS_WORKER;
var ENVIRONMENT_IS_SHELL = !ENVIRONMENT_IS_WEB && !ENVIRONMENT_IS_NODE && !ENVIRONMENT_IS_WORKER;
if (ENVIRONMENT_IS_NODE) {
 if (!Module["print"]) Module["print"] = function print(x) {
  process["stdout"].write(x + "\n");
 };
 if (!Module["printErr"]) Module["printErr"] = function printErr(x) {
  process["stderr"].write(x + "\n");
 };
 var nodeFS = require("fs");
 var nodePath = require("path");
 Module["read"] = function read(filename, binary) {
  filename = nodePath["normalize"](filename);
  var ret = nodeFS["readFileSync"](filename);
  if (!ret && filename != nodePath["resolve"](filename)) {
   filename = path.join(__dirname, "..", "src", filename);
   ret = nodeFS["readFileSync"](filename);
  }
  if (ret && !binary) ret = ret.toString();
  return ret;
 };
 Module["readBinary"] = function readBinary(filename) {
  return Module["read"](filename, true);
 };
 Module["load"] = function load(f) {
  globalEval(read(f));
 };
 if (!Module["thisProgram"]) {
  if (process["argv"].length > 1) {
   Module["thisProgram"] = process["argv"][1].replace(/\\/g, "/");
  } else {
   Module["thisProgram"] = "unknown-program";
  }
 }
 Module["arguments"] = process["argv"].slice(2);
 if (typeof module !== "undefined") {
  module["exports"] = Module;
 }
 process["on"]("uncaughtException", (function(ex) {
  if (!(ex instanceof ExitStatus)) {
   throw ex;
  }
 }));
 Module["inspect"] = (function() {
  return "[Emscripten Module object]";
 });
} else if (ENVIRONMENT_IS_SHELL) {
 if (!Module["print"]) Module["print"] = print;
 if (typeof printErr != "undefined") Module["printErr"] = printErr;
 if (typeof read != "undefined") {
  Module["read"] = read;
 } else {
  Module["read"] = function read() {
   throw "no read() available (jsc?)";
  };
 }
 Module["readBinary"] = function readBinary(f) {
  if (typeof readbuffer === "function") {
   return new Uint8Array(readbuffer(f));
  }
  var data = read(f, "binary");
  assert(typeof data === "object");
  return data;
 };
 if (typeof scriptArgs != "undefined") {
  Module["arguments"] = scriptArgs;
 } else if (typeof arguments != "undefined") {
  Module["arguments"] = arguments;
 }
} else if (ENVIRONMENT_IS_WEB || ENVIRONMENT_IS_WORKER) {
 Module["read"] = function read(url) {
  var xhr = new XMLHttpRequest;
  xhr.open("GET", url, false);
  xhr.send(null);
  return xhr.responseText;
 };
 if (typeof arguments != "undefined") {
  Module["arguments"] = arguments;
 }
 if (typeof console !== "undefined") {
  if (!Module["print"]) Module["print"] = function print(x) {
   console.log(x);
  };
  if (!Module["printErr"]) Module["printErr"] = function printErr(x) {
   console.log(x);
  };
 } else {
  var TRY_USE_DUMP = false;
  if (!Module["print"]) Module["print"] = TRY_USE_DUMP && typeof dump !== "undefined" ? (function(x) {
   dump(x);
  }) : (function(x) {});
 }
 if (ENVIRONMENT_IS_WORKER) {
  Module["load"] = importScripts;
 }
 if (typeof Module["setWindowTitle"] === "undefined") {
  Module["setWindowTitle"] = (function(title) {
   document.title = title;
  });
 }
} else {
 throw "Unknown runtime environment. Where are we?";
}
function globalEval(x) {
 eval.call(null, x);
}
if (!Module["load"] && Module["read"]) {
 Module["load"] = function load(f) {
  globalEval(Module["read"](f));
 };
}
if (!Module["print"]) {
 Module["print"] = (function() {});
}
if (!Module["printErr"]) {
 Module["printErr"] = Module["print"];
}
if (!Module["arguments"]) {
 Module["arguments"] = [];
}
if (!Module["thisProgram"]) {
 Module["thisProgram"] = "./this.program";
}
Module.print = Module["print"];
Module.printErr = Module["printErr"];
Module["preRun"] = [];
Module["postRun"] = [];
for (var key in moduleOverrides) {
 if (moduleOverrides.hasOwnProperty(key)) {
  Module[key] = moduleOverrides[key];
 }
}
var Runtime = {
 setTempRet0: (function(value) {
  tempRet0 = value;
 }),
 getTempRet0: (function() {
  return tempRet0;
 }),
 stackSave: (function() {
  return STACKTOP;
 }),
 stackRestore: (function(stackTop) {
  STACKTOP = stackTop;
 }),
 getNativeTypeSize: (function(type) {
  switch (type) {
  case "i1":
  case "i8":
   return 1;
  case "i16":
   return 2;
  case "i32":
   return 4;
  case "i64":
   return 8;
  case "float":
   return 4;
  case "double":
   return 8;
  default:
   {
    if (type[type.length - 1] === "*") {
     return Runtime.QUANTUM_SIZE;
    } else if (type[0] === "i") {
     var bits = parseInt(type.substr(1));
     assert(bits % 8 === 0);
     return bits / 8;
    } else {
     return 0;
    }
   }
  }
 }),
 getNativeFieldSize: (function(type) {
  return Math.max(Runtime.getNativeTypeSize(type), Runtime.QUANTUM_SIZE);
 }),
 STACK_ALIGN: 16,
 prepVararg: (function(ptr, type) {
  if (type === "double" || type === "i64") {
   if (ptr & 7) {
    assert((ptr & 7) === 4);
    ptr += 4;
   }
  } else {
   assert((ptr & 3) === 0);
  }
  return ptr;
 }),
 getAlignSize: (function(type, size, vararg) {
  if (!vararg && (type == "i64" || type == "double")) return 8;
  if (!type) return Math.min(size, 8);
  return Math.min(size || (type ? Runtime.getNativeFieldSize(type) : 0), Runtime.QUANTUM_SIZE);
 }),
 dynCall: (function(sig, ptr, args) {
  if (args && args.length) {
   if (!args.splice) args = Array.prototype.slice.call(args);
   args.splice(0, 0, ptr);
   return Module["dynCall_" + sig].apply(null, args);
  } else {
   return Module["dynCall_" + sig].call(null, ptr);
  }
 }),
 functionPointers: [],
 addFunction: (function(func) {
  for (var i = 0; i < Runtime.functionPointers.length; i++) {
   if (!Runtime.functionPointers[i]) {
    Runtime.functionPointers[i] = func;
    return 2 * (1 + i);
   }
  }
  throw "Finished up all reserved function pointers. Use a higher value for RESERVED_FUNCTION_POINTERS.";
 }),
 removeFunction: (function(index) {
  Runtime.functionPointers[(index - 2) / 2] = null;
 }),
 warnOnce: (function(text) {
  if (!Runtime.warnOnce.shown) Runtime.warnOnce.shown = {};
  if (!Runtime.warnOnce.shown[text]) {
   Runtime.warnOnce.shown[text] = 1;
   Module.printErr(text);
  }
 }),
 funcWrappers: {},
 getFuncWrapper: (function(func, sig) {
  assert(sig);
  if (!Runtime.funcWrappers[sig]) {
   Runtime.funcWrappers[sig] = {};
  }
  var sigCache = Runtime.funcWrappers[sig];
  if (!sigCache[func]) {
   sigCache[func] = function dynCall_wrapper() {
    return Runtime.dynCall(sig, func, arguments);
   };
  }
  return sigCache[func];
 }),
 getCompilerSetting: (function(name) {
  throw "You must build with -s RETAIN_COMPILER_SETTINGS=1 for Runtime.getCompilerSetting or emscripten_get_compiler_setting to work";
 }),
 stackAlloc: (function(size) {
  var ret = STACKTOP;
  STACKTOP = STACKTOP + size | 0;
  STACKTOP = STACKTOP + 15 & -16;
  return ret;
 }),
 staticAlloc: (function(size) {
  var ret = STATICTOP;
  STATICTOP = STATICTOP + size | 0;
  STATICTOP = STATICTOP + 15 & -16;
  return ret;
 }),
 dynamicAlloc: (function(size) {
  var ret = DYNAMICTOP;
  DYNAMICTOP = DYNAMICTOP + size | 0;
  DYNAMICTOP = DYNAMICTOP + 15 & -16;
  if (DYNAMICTOP >= TOTAL_MEMORY) {
   var success = enlargeMemory();
   if (!success) {
    DYNAMICTOP = ret;
    return 0;
   }
  }
  return ret;
 }),
 alignMemory: (function(size, quantum) {
  var ret = size = Math.ceil(size / (quantum ? quantum : 16)) * (quantum ? quantum : 16);
  return ret;
 }),
 makeBigInt: (function(low, high, unsigned) {
  var ret = unsigned ? +(low >>> 0) + +(high >>> 0) * +4294967296 : +(low >>> 0) + +(high | 0) * +4294967296;
  return ret;
 }),
 GLOBAL_BASE: 8,
 QUANTUM_SIZE: 4,
 __dummy__: 0
};
Module["Runtime"] = Runtime;
var __THREW__ = 0;
var ABORT = false;
var EXITSTATUS = 0;
var undef = 0;
var tempValue, tempInt, tempBigInt, tempInt2, tempBigInt2, tempPair, tempBigIntI, tempBigIntR, tempBigIntS, tempBigIntP, tempBigIntD, tempDouble, tempFloat;
var tempI64, tempI64b;
var tempRet0, tempRet1, tempRet2, tempRet3, tempRet4, tempRet5, tempRet6, tempRet7, tempRet8, tempRet9;
function assert(condition, text) {
 if (!condition) {
  abort("Assertion failed: " + text);
 }
}
var globalScope = this;
function getCFunc(ident) {
 var func = Module["_" + ident];
 if (!func) {
  try {
   func = eval("_" + ident);
  } catch (e) {}
 }
 assert(func, "Cannot call unknown function " + ident + " (perhaps LLVM optimizations or closure removed it?)");
 return func;
}
var cwrap, ccall;
((function() {
 var JSfuncs = {
  "stackSave": (function() {
   Runtime.stackSave();
  }),
  "stackRestore": (function() {
   Runtime.stackRestore();
  }),
  "arrayToC": (function(arr) {
   var ret = Runtime.stackAlloc(arr.length);
   writeArrayToMemory(arr, ret);
   return ret;
  }),
  "stringToC": (function(str) {
   var ret = 0;
   if (str !== null && str !== undefined && str !== 0) {
    ret = Runtime.stackAlloc((str.length << 2) + 1);
    writeStringToMemory(str, ret);
   }
   return ret;
  })
 };
 var toC = {
  "string": JSfuncs["stringToC"],
  "array": JSfuncs["arrayToC"]
 };
 ccall = function ccallFunc(ident, returnType, argTypes, args, opts) {
  var func = getCFunc(ident);
  var cArgs = [];
  var stack = 0;
  if (args) {
   for (var i = 0; i < args.length; i++) {
    var converter = toC[argTypes[i]];
    if (converter) {
     if (stack === 0) stack = Runtime.stackSave();
     cArgs[i] = converter(args[i]);
    } else {
     cArgs[i] = args[i];
    }
   }
  }
  var ret = func.apply(null, cArgs);
  if (returnType === "string") ret = Pointer_stringify(ret);
  if (stack !== 0) {
   if (opts && opts.async) {
    EmterpreterAsync.asyncFinalizers.push((function() {
     Runtime.stackRestore(stack);
    }));
    return;
   }
   Runtime.stackRestore(stack);
  }
  return ret;
 };
 var sourceRegex = /^function\s*\(([^)]*)\)\s*{\s*([^*]*?)[\s;]*(?:return\s*(.*?)[;\s]*)?}$/;
 function parseJSFunc(jsfunc) {
  var parsed = jsfunc.toString().match(sourceRegex).slice(1);
  return {
   arguments: parsed[0],
   body: parsed[1],
   returnValue: parsed[2]
  };
 }
 var JSsource = {};
 for (var fun in JSfuncs) {
  if (JSfuncs.hasOwnProperty(fun)) {
   JSsource[fun] = parseJSFunc(JSfuncs[fun]);
  }
 }
 cwrap = function cwrap(ident, returnType, argTypes) {
  argTypes = argTypes || [];
  var cfunc = getCFunc(ident);
  var numericArgs = argTypes.every((function(type) {
   return type === "number";
  }));
  var numericRet = returnType !== "string";
  if (numericRet && numericArgs) {
   return cfunc;
  }
  var argNames = argTypes.map((function(x, i) {
   return "$" + i;
  }));
  var funcstr = "(function(" + argNames.join(",") + ") {";
  var nargs = argTypes.length;
  if (!numericArgs) {
   funcstr += "var stack = " + JSsource["stackSave"].body + ";";
   for (var i = 0; i < nargs; i++) {
    var arg = argNames[i], type = argTypes[i];
    if (type === "number") continue;
    var convertCode = JSsource[type + "ToC"];
    funcstr += "var " + convertCode.arguments + " = " + arg + ";";
    funcstr += convertCode.body + ";";
    funcstr += arg + "=" + convertCode.returnValue + ";";
   }
  }
  var cfuncname = parseJSFunc((function() {
   return cfunc;
  })).returnValue;
  funcstr += "var ret = " + cfuncname + "(" + argNames.join(",") + ");";
  if (!numericRet) {
   var strgfy = parseJSFunc((function() {
    return Pointer_stringify;
   })).returnValue;
   funcstr += "ret = " + strgfy + "(ret);";
  }
  if (!numericArgs) {
   funcstr += JSsource["stackRestore"].body.replace("()", "(stack)") + ";";
  }
  funcstr += "return ret})";
  return eval(funcstr);
 };
}))();
Module["ccall"] = ccall;
Module["cwrap"] = cwrap;
function setValue(ptr, value, type, noSafe) {
 type = type || "i8";
 if (type.charAt(type.length - 1) === "*") type = "i32";
 switch (type) {
 case "i1":
  set8(ptr >> 0 | 0, value | 0);
  break;
 case "i8":
  set8(ptr >> 0 | 0, value | 0);
  break;
 case "i16":
  set16(ptr | 0, value | 0);
  break;
 case "i32":
  set32(ptr | 0, value | 0);
  break;
 case "i64":
  tempI64 = [ value >>> 0, (tempDouble = value, +Math_abs(tempDouble) >= +1 ? tempDouble > +0 ? (Math_min(+Math_floor(tempDouble / +4294967296), +4294967295) | 0) >>> 0 : ~~+Math_ceil((tempDouble - +(~~tempDouble >>> 0)) / +4294967296) >>> 0 : 0) ], set32(ptr | 0, tempI64[0] | 0), set32(ptr + 4 | 0, tempI64[1] | 0);
  break;
 case "float":
  setF32(ptr | 0, +value);
  break;
 case "double":
  setF64(ptr | 0, +value);
  break;
 default:
  abort("invalid type for setValue: " + type);
 }
}
Module["setValue"] = setValue;
function getValue(ptr, type, noSafe) {
 type = type || "i8";
 if (type.charAt(type.length - 1) === "*") type = "i32";
 switch (type) {
 case "i1":
  return get8(ptr >> 0 | 0);
 case "i8":
  return get8(ptr >> 0 | 0);
 case "i16":
  return get16(ptr | 0);
 case "i32":
  return get32(ptr | 0);
 case "i64":
  return get32(ptr | 0);
 case "float":
  return getF32(ptr | 0);
 case "double":
  return getF64(ptr | 0);
 default:
  abort("invalid type for setValue: " + type);
 }
 return null;
}
Module["getValue"] = getValue;
var ALLOC_NORMAL = 0;
var ALLOC_STACK = 1;
var ALLOC_STATIC = 2;
var ALLOC_DYNAMIC = 3;
var ALLOC_NONE = 4;
Module["ALLOC_NORMAL"] = ALLOC_NORMAL;
Module["ALLOC_STACK"] = ALLOC_STACK;
Module["ALLOC_STATIC"] = ALLOC_STATIC;
Module["ALLOC_DYNAMIC"] = ALLOC_DYNAMIC;
Module["ALLOC_NONE"] = ALLOC_NONE;
function allocate(slab, types, allocator, ptr) {
 var zeroinit, size;
 if (typeof slab === "number") {
  zeroinit = true;
  size = slab;
 } else {
  zeroinit = false;
  size = slab.length;
 }
 var singleType = typeof types === "string" ? types : null;
 var ret;
 if (allocator == ALLOC_NONE) {
  ret = ptr;
 } else {
  ret = [ _malloc, Runtime.stackAlloc, Runtime.staticAlloc, Runtime.dynamicAlloc ][allocator === undefined ? ALLOC_STATIC : allocator](Math.max(size, singleType ? 1 : types.length));
 }
 if (zeroinit) {
  var ptr = ret, stop;
  assert((ret & 3) == 0);
  stop = ret + (size & ~3);
  for (; ptr < stop; ptr += 4) {
   set32(ptr | 0, 0 | 0);
  }
  stop = ret + size;
  while (ptr < stop) {
   set8(ptr++ >> 0 | 0, 0 | 0);
  }
  return ret;
 }
 if (singleType === "i8") {
  if (slab.subarray || slab.slice) {
   HEAPU8.set(slab, ret);
  } else {
   HEAPU8.set(new Uint8Array(slab), ret);
  }
  return ret;
 }
 var i = 0, type, typeSize, previousType;
 while (i < size) {
  var curr = slab[i];
  if (typeof curr === "function") {
   curr = Runtime.getFunctionIndex(curr);
  }
  type = singleType || types[i];
  if (type === 0) {
   i++;
   continue;
  }
  if (type == "i64") type = "i32";
  setValue(ret + i, curr, type);
  if (previousType !== type) {
   typeSize = Runtime.getNativeTypeSize(type);
   previousType = type;
  }
  i += typeSize;
 }
 return ret;
}
Module["allocate"] = allocate;
function getMemory(size) {
 if (!staticSealed) return Runtime.staticAlloc(size);
 if (typeof _sbrk !== "undefined" && !_sbrk.called || !runtimeInitialized) return Runtime.dynamicAlloc(size);
 return _malloc(size);
}
Module["getMemory"] = getMemory;
function Pointer_stringify(ptr, length) {
 if (length === 0 || !ptr) return "";
 var hasUtf = 0;
 var t;
 var i = 0;
 while (1) {
  t = getU8(ptr + i >> 0 | 0);
  hasUtf |= t;
  if (t == 0 && !length) break;
  i++;
  if (length && i == length) break;
 }
 if (!length) length = i;
 var ret = "";
 if (hasUtf < 128) {
  var MAX_CHUNK = 1024;
  var curr;
  while (length > 0) {
   curr = String.fromCharCode.apply(String, HEAPU8.subarray(ptr, ptr + Math.min(length, MAX_CHUNK)));
   ret = ret ? ret + curr : curr;
   ptr += MAX_CHUNK;
   length -= MAX_CHUNK;
  }
  return ret;
 }
 return Module["UTF8ToString"](ptr);
}
Module["Pointer_stringify"] = Pointer_stringify;
function AsciiToString(ptr) {
 var str = "";
 while (1) {
  var ch = get8(ptr++ >> 0 | 0);
  if (!ch) return str;
  str += String.fromCharCode(ch);
 }
}
Module["AsciiToString"] = AsciiToString;
function stringToAscii(str, outPtr) {
 return writeAsciiToMemory(str, outPtr, false);
}
Module["stringToAscii"] = stringToAscii;
function UTF8ArrayToString(u8Array, idx) {
 var u0, u1, u2, u3, u4, u5;
 var str = "";
 while (1) {
  u0 = u8Array[idx++];
  if (!u0) return str;
  if (!(u0 & 128)) {
   str += String.fromCharCode(u0);
   continue;
  }
  u1 = u8Array[idx++] & 63;
  if ((u0 & 224) == 192) {
   str += String.fromCharCode((u0 & 31) << 6 | u1);
   continue;
  }
  u2 = u8Array[idx++] & 63;
  if ((u0 & 240) == 224) {
   u0 = (u0 & 15) << 12 | u1 << 6 | u2;
  } else {
   u3 = u8Array[idx++] & 63;
   if ((u0 & 248) == 240) {
    u0 = (u0 & 7) << 18 | u1 << 12 | u2 << 6 | u3;
   } else {
    u4 = u8Array[idx++] & 63;
    if ((u0 & 252) == 248) {
     u0 = (u0 & 3) << 24 | u1 << 18 | u2 << 12 | u3 << 6 | u4;
    } else {
     u5 = u8Array[idx++] & 63;
     u0 = (u0 & 1) << 30 | u1 << 24 | u2 << 18 | u3 << 12 | u4 << 6 | u5;
    }
   }
  }
  if (u0 < 65536) {
   str += String.fromCharCode(u0);
  } else {
   var ch = u0 - 65536;
   str += String.fromCharCode(55296 | ch >> 10, 56320 | ch & 1023);
  }
 }
}
Module["UTF8ArrayToString"] = UTF8ArrayToString;
function UTF8ToString(ptr) {
 return UTF8ArrayToString(HEAPU8s[ptr >> SPLIT_MEMORY_BITS], ptr & SPLIT_MEMORY_MASK);
}
Module["UTF8ToString"] = UTF8ToString;
function stringToUTF8Array(str, outU8Array, outIdx, maxBytesToWrite) {
 if (!(maxBytesToWrite > 0)) return 0;
 var startIdx = outIdx;
 var endIdx = outIdx + maxBytesToWrite - 1;
 for (var i = 0; i < str.length; ++i) {
  var u = str.charCodeAt(i);
  if (u >= 55296 && u <= 57343) u = 65536 + ((u & 1023) << 10) | str.charCodeAt(++i) & 1023;
  if (u <= 127) {
   if (outIdx >= endIdx) break;
   outU8Array[outIdx++] = u;
  } else if (u <= 2047) {
   if (outIdx + 1 >= endIdx) break;
   outU8Array[outIdx++] = 192 | u >> 6;
   outU8Array[outIdx++] = 128 | u & 63;
  } else if (u <= 65535) {
   if (outIdx + 2 >= endIdx) break;
   outU8Array[outIdx++] = 224 | u >> 12;
   outU8Array[outIdx++] = 128 | u >> 6 & 63;
   outU8Array[outIdx++] = 128 | u & 63;
  } else if (u <= 2097151) {
   if (outIdx + 3 >= endIdx) break;
   outU8Array[outIdx++] = 240 | u >> 18;
   outU8Array[outIdx++] = 128 | u >> 12 & 63;
   outU8Array[outIdx++] = 128 | u >> 6 & 63;
   outU8Array[outIdx++] = 128 | u & 63;
  } else if (u <= 67108863) {
   if (outIdx + 4 >= endIdx) break;
   outU8Array[outIdx++] = 248 | u >> 24;
   outU8Array[outIdx++] = 128 | u >> 18 & 63;
   outU8Array[outIdx++] = 128 | u >> 12 & 63;
   outU8Array[outIdx++] = 128 | u >> 6 & 63;
   outU8Array[outIdx++] = 128 | u & 63;
  } else {
   if (outIdx + 5 >= endIdx) break;
   outU8Array[outIdx++] = 252 | u >> 30;
   outU8Array[outIdx++] = 128 | u >> 24 & 63;
   outU8Array[outIdx++] = 128 | u >> 18 & 63;
   outU8Array[outIdx++] = 128 | u >> 12 & 63;
   outU8Array[outIdx++] = 128 | u >> 6 & 63;
   outU8Array[outIdx++] = 128 | u & 63;
  }
 }
 outU8Array[outIdx] = 0;
 return outIdx - startIdx;
}
Module["stringToUTF8Array"] = stringToUTF8Array;
function stringToUTF8(str, outPtr, maxBytesToWrite) {
 return stringToUTF8Array(str, HEAPU8s[outPtr >> SPLIT_MEMORY_BITS], outPtr & SPLIT_MEMORY_MASK, maxBytesToWrite);
}
Module["stringToUTF8"] = stringToUTF8;
function lengthBytesUTF8(str) {
 var len = 0;
 for (var i = 0; i < str.length; ++i) {
  var u = str.charCodeAt(i);
  if (u >= 55296 && u <= 57343) u = 65536 + ((u & 1023) << 10) | str.charCodeAt(++i) & 1023;
  if (u <= 127) {
   ++len;
  } else if (u <= 2047) {
   len += 2;
  } else if (u <= 65535) {
   len += 3;
  } else if (u <= 2097151) {
   len += 4;
  } else if (u <= 67108863) {
   len += 5;
  } else {
   len += 6;
  }
 }
 return len;
}
Module["lengthBytesUTF8"] = lengthBytesUTF8;
function UTF16ToString(ptr) {
 var i = 0;
 var str = "";
 while (1) {
  var codeUnit = get16(ptr + i * 2 | 0);
  if (codeUnit == 0) return str;
  ++i;
  str += String.fromCharCode(codeUnit);
 }
}
Module["UTF16ToString"] = UTF16ToString;
function stringToUTF16(str, outPtr, maxBytesToWrite) {
 if (maxBytesToWrite === undefined) {
  maxBytesToWrite = 2147483647;
 }
 if (maxBytesToWrite < 2) return 0;
 maxBytesToWrite -= 2;
 var startPtr = outPtr;
 var numCharsToWrite = maxBytesToWrite < str.length * 2 ? maxBytesToWrite / 2 : str.length;
 for (var i = 0; i < numCharsToWrite; ++i) {
  var codeUnit = str.charCodeAt(i);
  set16(outPtr | 0, codeUnit | 0);
  outPtr += 2;
 }
 set16(outPtr | 0, 0 | 0);
 return outPtr - startPtr;
}
Module["stringToUTF16"] = stringToUTF16;
function lengthBytesUTF16(str) {
 return str.length * 2;
}
Module["lengthBytesUTF16"] = lengthBytesUTF16;
function UTF32ToString(ptr) {
 var i = 0;
 var str = "";
 while (1) {
  var utf32 = get32(ptr + i * 4 | 0);
  if (utf32 == 0) return str;
  ++i;
  if (utf32 >= 65536) {
   var ch = utf32 - 65536;
   str += String.fromCharCode(55296 | ch >> 10, 56320 | ch & 1023);
  } else {
   str += String.fromCharCode(utf32);
  }
 }
}
Module["UTF32ToString"] = UTF32ToString;
function stringToUTF32(str, outPtr, maxBytesToWrite) {
 if (maxBytesToWrite === undefined) {
  maxBytesToWrite = 2147483647;
 }
 if (maxBytesToWrite < 4) return 0;
 var startPtr = outPtr;
 var endPtr = startPtr + maxBytesToWrite - 4;
 for (var i = 0; i < str.length; ++i) {
  var codeUnit = str.charCodeAt(i);
  if (codeUnit >= 55296 && codeUnit <= 57343) {
   var trailSurrogate = str.charCodeAt(++i);
   codeUnit = 65536 + ((codeUnit & 1023) << 10) | trailSurrogate & 1023;
  }
  set32(outPtr | 0, codeUnit | 0);
  outPtr += 4;
  if (outPtr + 4 > endPtr) break;
 }
 set32(outPtr | 0, 0 | 0);
 return outPtr - startPtr;
}
Module["stringToUTF32"] = stringToUTF32;
function lengthBytesUTF32(str) {
 var len = 0;
 for (var i = 0; i < str.length; ++i) {
  var codeUnit = str.charCodeAt(i);
  if (codeUnit >= 55296 && codeUnit <= 57343) ++i;
  len += 4;
 }
 return len;
}
Module["lengthBytesUTF32"] = lengthBytesUTF32;
function demangle(func) {
 var hasLibcxxabi = !!Module["___cxa_demangle"];
 if (hasLibcxxabi) {
  try {
   var buf = _malloc(func.length);
   writeStringToMemory(func.substr(1), buf);
   var status = _malloc(4);
   var ret = Module["___cxa_demangle"](buf, 0, 0, status);
   if (getValue(status, "i32") === 0 && ret) {
    return Pointer_stringify(ret);
   }
  } catch (e) {} finally {
   if (buf) _free(buf);
   if (status) _free(status);
   if (ret) _free(ret);
  }
 }
 var i = 3;
 var basicTypes = {
  "v": "void",
  "b": "bool",
  "c": "char",
  "s": "short",
  "i": "int",
  "l": "long",
  "f": "float",
  "d": "double",
  "w": "wchar_t",
  "a": "signed char",
  "h": "unsigned char",
  "t": "unsigned short",
  "j": "unsigned int",
  "m": "unsigned long",
  "x": "long long",
  "y": "unsigned long long",
  "z": "..."
 };
 var subs = [];
 var first = true;
 function dump(x) {
  if (x) Module.print(x);
  Module.print(func);
  var pre = "";
  for (var a = 0; a < i; a++) pre += " ";
  Module.print(pre + "^");
 }
 function parseNested() {
  i++;
  if (func[i] === "K") i++;
  var parts = [];
  while (func[i] !== "E") {
   if (func[i] === "S") {
    i++;
    var next = func.indexOf("_", i);
    var num = func.substring(i, next) || 0;
    parts.push(subs[num] || "?");
    i = next + 1;
    continue;
   }
   if (func[i] === "C") {
    parts.push(parts[parts.length - 1]);
    i += 2;
    continue;
   }
   var size = parseInt(func.substr(i));
   var pre = size.toString().length;
   if (!size || !pre) {
    i--;
    break;
   }
   var curr = func.substr(i + pre, size);
   parts.push(curr);
   subs.push(curr);
   i += pre + size;
  }
  i++;
  return parts;
 }
 function parse(rawList, limit, allowVoid) {
  limit = limit || Infinity;
  var ret = "", list = [];
  function flushList() {
   return "(" + list.join(", ") + ")";
  }
  var name;
  if (func[i] === "N") {
   name = parseNested().join("::");
   limit--;
   if (limit === 0) return rawList ? [ name ] : name;
  } else {
   if (func[i] === "K" || first && func[i] === "L") i++;
   var size = parseInt(func.substr(i));
   if (size) {
    var pre = size.toString().length;
    name = func.substr(i + pre, size);
    i += pre + size;
   }
  }
  first = false;
  if (func[i] === "I") {
   i++;
   var iList = parse(true);
   var iRet = parse(true, 1, true);
   ret += iRet[0] + " " + name + "<" + iList.join(", ") + ">";
  } else {
   ret = name;
  }
  paramLoop : while (i < func.length && limit-- > 0) {
   var c = func[i++];
   if (c in basicTypes) {
    list.push(basicTypes[c]);
   } else {
    switch (c) {
    case "P":
     list.push(parse(true, 1, true)[0] + "*");
     break;
    case "R":
     list.push(parse(true, 1, true)[0] + "&");
     break;
    case "L":
     {
      i++;
      var end = func.indexOf("E", i);
      var size = end - i;
      list.push(func.substr(i, size));
      i += size + 2;
      break;
     }
    case "A":
     {
      var size = parseInt(func.substr(i));
      i += size.toString().length;
      if (func[i] !== "_") throw "?";
      i++;
      list.push(parse(true, 1, true)[0] + " [" + size + "]");
      break;
     }
    case "E":
     break paramLoop;
    default:
     ret += "?" + c;
     break paramLoop;
    }
   }
  }
  if (!allowVoid && list.length === 1 && list[0] === "void") list = [];
  if (rawList) {
   if (ret) {
    list.push(ret + "?");
   }
   return list;
  } else {
   return ret + flushList();
  }
 }
 var parsed = func;
 try {
  if (func == "Object._main" || func == "_main") {
   return "main()";
  }
  if (typeof func === "number") func = Pointer_stringify(func);
  if (func[0] !== "_") return func;
  if (func[1] !== "_") return func;
  if (func[2] !== "Z") return func;
  switch (func[3]) {
  case "n":
   return "operator new()";
  case "d":
   return "operator delete()";
  }
  parsed = parse();
 } catch (e) {
  parsed += "?";
 }
 if (parsed.indexOf("?") >= 0 && !hasLibcxxabi) {
  Runtime.warnOnce("warning: a problem occurred in builtin C++ name demangling; build with  -s DEMANGLE_SUPPORT=1  to link in libcxxabi demangling");
 }
 return parsed;
}
function demangleAll(text) {
 return text.replace(/__Z[\w\d_]+/g, (function(x) {
  var y = demangle(x);
  return x === y ? x : x + " [" + y + "]";
 }));
}
function jsStackTrace() {
 var err = new Error;
 if (!err.stack) {
  try {
   throw new Error(0);
  } catch (e) {
   err = e;
  }
  if (!err.stack) {
   return "(no stack trace available)";
  }
 }
 return err.stack.toString();
}
function stackTrace() {
 return demangleAll(jsStackTrace());
}
Module["stackTrace"] = stackTrace;
var PAGE_SIZE = 4096;
function alignMemoryPage(x) {
 if (x % 4096 > 0) {
  x += 4096 - x % 4096;
 }
 return x;
}
var HEAP;
var HEAP8, HEAPU8, HEAP16, HEAPU16, HEAP32, HEAPU32, HEAPF32, HEAPF64;
var STATIC_BASE = 0, STATICTOP = 0, staticSealed = false;
var STACK_BASE = 0, STACKTOP = 0, STACK_MAX = 0;
var DYNAMIC_BASE = 0, DYNAMICTOP = 0;
function enlargeMemory() {
 abort("Cannot enlarge memory arrays. Either (1) compile with -s TOTAL_MEMORY=X with X higher than the current value " + TOTAL_MEMORY + ", (2) compile with ALLOW_MEMORY_GROWTH which adjusts the size at runtime but prevents some optimizations, or (3) set Module.TOTAL_MEMORY before the program runs.");
}
var TOTAL_STACK = Module["TOTAL_STACK"] || 5242880;
var TOTAL_MEMORY = Module["TOTAL_MEMORY"] || 16777216;
var totalMemory = 64 * 1024;
while (totalMemory < TOTAL_MEMORY || totalMemory < 2 * TOTAL_STACK) {
 if (totalMemory < 16 * 1024 * 1024) {
  totalMemory *= 2;
 } else {
  totalMemory += 16 * 1024 * 1024;
 }
}
if (totalMemory !== TOTAL_MEMORY) {
 Module.printErr("increasing TOTAL_MEMORY to " + totalMemory + " to be compliant with the asm.js spec (and given that TOTAL_STACK=" + TOTAL_STACK + ")");
 TOTAL_MEMORY = totalMemory;
}
assert(typeof Int32Array !== "undefined" && typeof Float64Array !== "undefined" && !!(new Int32Array(1))["subarray"] && !!(new Int32Array(1))["set"], "JS engine does not provide full typed array support");
var buffer;
var SPLIT_MEMORY = 16777216;
var SPLIT_MEMORY_MASK = SPLIT_MEMORY - 1;
var SPLIT_MEMORY_BITS = -1;
Module["SPLIT_MEMORY"] = SPLIT_MEMORY;
totalMemory = TOTAL_MEMORY;
if (totalMemory % SPLIT_MEMORY) {
 totalMemory += SPLIT_MEMORY - totalMemory % SPLIT_MEMORY;
}
if (totalMemory === SPLIT_MEMORY) totalMemory *= 2;
if (totalMemory !== TOTAL_MEMORY) {
 TOTAL_MEMORY = totalMemory;
}
var buffers = [], HEAP8s = [], HEAP16s = [], HEAP32s = [], HEAPU8s = [], HEAPU16s = [], HEAPU32s = [], HEAPF32s = [], HEAPF64s = [];
((function() {
 var temp = SPLIT_MEMORY;
 while (temp) {
  temp >>= 1;
  SPLIT_MEMORY_BITS++;
 }
 for (var i = 0; i < TOTAL_MEMORY / SPLIT_MEMORY; i++) {
  var curr = new ArrayBuffer(SPLIT_MEMORY);
  buffers.push(curr);
  HEAP8s.push(new Int8Array(curr));
  HEAP16s.push(new Int16Array(curr));
  HEAP32s.push(new Int32Array(curr));
  HEAPU8s.push(new Uint8Array(curr));
  HEAPU16s.push(new Uint16Array(curr));
  HEAPU32s.push(new Uint32Array(curr));
  HEAPF32s.push(new Float32Array(curr));
  HEAPF64s.push(new Float64Array(curr));
 }
 function fake(real) {
  var that = {
   BYTES_PER_ELEMENT: real[0].BYTES_PER_ELEMENT,
   set: (function(array, offset) {
    if (offset === undefined) offset = 0;
    while (array.length > 0) {
     var chunk = offset >> SPLIT_MEMORY_BITS;
     var relative = offset & SPLIT_MEMORY_MASK;
     if (relative + array.length * that.BYTES_PER_ELEMENT < SPLIT_MEMORY) {
      real[chunk].set(array, relative);
      break;
     } else {
      var currSize = SPLIT_MEMORY - relative;
      assert(currSize % that.BYTES_PER_ELEMENT === 0);
      var lastIndex = currSize / that.BYTES_PER_ELEMENT;
      real[chunk].set(array.subarray(0, lastIndex), relative);
      array = array.subarray(lastIndex);
      offset += currSize;
     }
    }
   }),
   subarray: (function(from, to) {
    var start = from >> SPLIT_MEMORY_BITS;
    if (to === undefined) to = start + 1 << SPLIT_MEMORY_BITS;
    var end = to - 1 >> SPLIT_MEMORY_BITS;
    assert(start === end, "subarray cannot span split chunks");
    if (to > from && (to & SPLIT_MEMORY_MASK) == 0) {
     return real[start].subarray(from & SPLIT_MEMORY_MASK);
    }
    return real[start].subarray(from & SPLIT_MEMORY_MASK, to & SPLIT_MEMORY_MASK);
   }),
   buffer: {
    slice: (function(from, to) {
     assert(to, "TODO: this is an actual copy, so we could support a slice across multiple chunks");
     return (new Uint8Array(HEAPU8.subarray(from, to))).buffer;
    })
   }
  };
  return that;
 }
 HEAP8 = fake(HEAP8s);
 HEAP16 = fake(HEAP16s);
 HEAP32 = fake(HEAP32s);
 HEAPU8 = fake(HEAPU8s);
 HEAPU16 = fake(HEAPU16s);
 HEAPU32 = fake(HEAPU32s);
 HEAPF32 = fake(HEAPF32s);
 HEAPF64 = fake(HEAPF64s);
}))();
function get8(ptr) {
 ptr = ptr | 0;
 return HEAP8s[ptr >> SPLIT_MEMORY_BITS][(ptr & SPLIT_MEMORY_MASK) >> 0] | 0;
}
function get16(ptr) {
 ptr = ptr | 0;
 return HEAP16s[ptr >> SPLIT_MEMORY_BITS][(ptr & SPLIT_MEMORY_MASK) >> 1] | 0;
}
function get32(ptr) {
 ptr = ptr | 0;
 return HEAP32s[ptr >> SPLIT_MEMORY_BITS][(ptr & SPLIT_MEMORY_MASK) >> 2] | 0;
}
function getU8(ptr) {
 ptr = ptr | 0;
 return HEAPU8s[ptr >> SPLIT_MEMORY_BITS][(ptr & SPLIT_MEMORY_MASK) >> 0] | 0;
}
function getU16(ptr) {
 ptr = ptr | 0;
 return HEAPU16s[ptr >> SPLIT_MEMORY_BITS][(ptr & SPLIT_MEMORY_MASK) >> 1] | 0;
}
function getU32(ptr) {
 ptr = ptr | 0;
 return HEAPU32s[ptr >> SPLIT_MEMORY_BITS][(ptr & SPLIT_MEMORY_MASK) >> 2] | 0;
}
function getF32(ptr) {
 ptr = ptr | 0;
 return +HEAPF32s[ptr >> SPLIT_MEMORY_BITS][(ptr & SPLIT_MEMORY_MASK) >> 2];
}
function getF64(ptr) {
 ptr = ptr | 0;
 return +HEAPF64s[ptr >> SPLIT_MEMORY_BITS][(ptr & SPLIT_MEMORY_MASK) >> 3];
}
function set8(ptr, value) {
 ptr = ptr | 0;
 value = value | 0;
 HEAP8s[ptr >> SPLIT_MEMORY_BITS][(ptr & SPLIT_MEMORY_MASK) >> 0] = value;
}
function set16(ptr, value) {
 ptr = ptr | 0;
 value = value | 0;
 HEAP16s[ptr >> SPLIT_MEMORY_BITS][(ptr & SPLIT_MEMORY_MASK) >> 1] = value;
}
function set32(ptr, value) {
 ptr = ptr | 0;
 value = value | 0;
 HEAP32s[ptr >> SPLIT_MEMORY_BITS][(ptr & SPLIT_MEMORY_MASK) >> 2] = value;
}
function setU8(ptr, value) {
 ptr = ptr | 0;
 value = value | 0;
 HEAPU8s[ptr >> SPLIT_MEMORY_BITS][(ptr & SPLIT_MEMORY_MASK) >> 0] = value;
}
function setU16(ptr, value) {
 ptr = ptr | 0;
 value = value | 0;
 HEAPU16s[ptr >> SPLIT_MEMORY_BITS][(ptr & SPLIT_MEMORY_MASK) >> 1] = value;
}
function setU32(ptr, value) {
 ptr = ptr | 0;
 value = value | 0;
 HEAPU32s[ptr >> SPLIT_MEMORY_BITS][(ptr & SPLIT_MEMORY_MASK) >> 2] = value;
}
function setF32(ptr, value) {
 ptr = ptr | 0;
 value = +value;
 HEAPF32s[ptr >> SPLIT_MEMORY_BITS][(ptr & SPLIT_MEMORY_MASK) >> 2] = value;
}
function setF64(ptr, value) {
 ptr = ptr | 0;
 value = +value;
 HEAPF64s[ptr >> SPLIT_MEMORY_BITS][(ptr & SPLIT_MEMORY_MASK) >> 3] = value;
}
set32(0 * 4 | 0, 255 | 0);
assert(getU8(0 | 0) === 255 && getU8(3 | 0) === 0, "Typed arrays 2 must be run on a little-endian system");
Module["HEAP"] = HEAP;
Module["buffer"] = buffer;
Module["HEAP8"] = HEAP8;
Module["HEAP16"] = HEAP16;
Module["HEAP32"] = HEAP32;
Module["HEAPU8"] = HEAPU8;
Module["HEAPU16"] = HEAPU16;
Module["HEAPU32"] = HEAPU32;
Module["HEAPF32"] = HEAPF32;
Module["HEAPF64"] = HEAPF64;
function callRuntimeCallbacks(callbacks) {
 while (callbacks.length > 0) {
  var callback = callbacks.shift();
  if (typeof callback == "function") {
   callback();
   continue;
  }
  var func = callback.func;
  if (typeof func === "number") {
   if (callback.arg === undefined) {
    Runtime.dynCall("v", func);
   } else {
    Runtime.dynCall("vi", func, [ callback.arg ]);
   }
  } else {
   func(callback.arg === undefined ? null : callback.arg);
  }
 }
}
var __ATPRERUN__ = [];
var __ATINIT__ = [];
var __ATMAIN__ = [];
var __ATEXIT__ = [];
var __ATPOSTRUN__ = [];
var runtimeInitialized = false;
var runtimeExited = false;
function preRun() {
 if (Module["preRun"]) {
  if (typeof Module["preRun"] == "function") Module["preRun"] = [ Module["preRun"] ];
  while (Module["preRun"].length) {
   addOnPreRun(Module["preRun"].shift());
  }
 }
 callRuntimeCallbacks(__ATPRERUN__);
}
function ensureInitRuntime() {
 if (runtimeInitialized) return;
 runtimeInitialized = true;
 callRuntimeCallbacks(__ATINIT__);
}
function preMain() {
 callRuntimeCallbacks(__ATMAIN__);
}
function exitRuntime() {
 callRuntimeCallbacks(__ATEXIT__);
 runtimeExited = true;
}
function postRun() {
 if (Module["postRun"]) {
  if (typeof Module["postRun"] == "function") Module["postRun"] = [ Module["postRun"] ];
  while (Module["postRun"].length) {
   addOnPostRun(Module["postRun"].shift());
  }
 }
 callRuntimeCallbacks(__ATPOSTRUN__);
}
function addOnPreRun(cb) {
 __ATPRERUN__.unshift(cb);
}
Module["addOnPreRun"] = addOnPreRun;
function addOnInit(cb) {
 __ATINIT__.unshift(cb);
}
Module["addOnInit"] = addOnInit;
function addOnPreMain(cb) {
 __ATMAIN__.unshift(cb);
}
Module["addOnPreMain"] = addOnPreMain;
function addOnExit(cb) {
 __ATEXIT__.unshift(cb);
}
Module["addOnExit"] = addOnExit;
function addOnPostRun(cb) {
 __ATPOSTRUN__.unshift(cb);
}
Module["addOnPostRun"] = addOnPostRun;
function intArrayFromString(stringy, dontAddNull, length) {
 var len = length > 0 ? length : lengthBytesUTF8(stringy) + 1;
 var u8array = new Array(len);
 var numBytesWritten = stringToUTF8Array(stringy, u8array, 0, u8array.length);
 if (dontAddNull) u8array.length = numBytesWritten;
 return u8array;
}
Module["intArrayFromString"] = intArrayFromString;
function intArrayToString(array) {
 var ret = [];
 for (var i = 0; i < array.length; i++) {
  var chr = array[i];
  if (chr > 255) {
   chr &= 255;
  }
  ret.push(String.fromCharCode(chr));
 }
 return ret.join("");
}
Module["intArrayToString"] = intArrayToString;
function writeStringToMemory(string, buffer, dontAddNull) {
 var array = intArrayFromString(string, dontAddNull);
 var i = 0;
 while (i < array.length) {
  var chr = array[i];
  set8(buffer + i >> 0 | 0, chr | 0);
  i = i + 1;
 }
}
Module["writeStringToMemory"] = writeStringToMemory;
function writeArrayToMemory(array, buffer) {
 for (var i = 0; i < array.length; i++) {
  set8(buffer++ >> 0 | 0, array[i] | 0);
 }
}
Module["writeArrayToMemory"] = writeArrayToMemory;
function writeAsciiToMemory(str, buffer, dontAddNull) {
 for (var i = 0; i < str.length; ++i) {
  set8(buffer++ >> 0 | 0, str.charCodeAt(i) | 0);
 }
 if (!dontAddNull) set8(buffer >> 0 | 0, 0 | 0);
}
Module["writeAsciiToMemory"] = writeAsciiToMemory;
function unSign(value, bits, ignore) {
 if (value >= 0) {
  return value;
 }
 return bits <= 32 ? 2 * Math.abs(1 << bits - 1) + value : Math.pow(2, bits) + value;
}
function reSign(value, bits, ignore) {
 if (value <= 0) {
  return value;
 }
 var half = bits <= 32 ? Math.abs(1 << bits - 1) : Math.pow(2, bits - 1);
 if (value >= half && (bits <= 32 || value > half)) {
  value = -2 * half + value;
 }
 return value;
}
if (!Math["imul"] || Math["imul"](4294967295, 5) !== -5) Math["imul"] = function imul(a, b) {
 var ah = a >>> 16;
 var al = a & 65535;
 var bh = b >>> 16;
 var bl = b & 65535;
 return al * bl + (ah * bl + al * bh << 16) | 0;
};
Math.imul = Math["imul"];
if (!Math["clz32"]) Math["clz32"] = (function(x) {
 x = x >>> 0;
 for (var i = 0; i < 32; i++) {
  if (x & 1 << 31 - i) return i;
 }
 return 32;
});
Math.clz32 = Math["clz32"];
var Math_abs = Math.abs;
var Math_cos = Math.cos;
var Math_sin = Math.sin;
var Math_tan = Math.tan;
var Math_acos = Math.acos;
var Math_asin = Math.asin;
var Math_atan = Math.atan;
var Math_atan2 = Math.atan2;
var Math_exp = Math.exp;
var Math_log = Math.log;
var Math_sqrt = Math.sqrt;
var Math_ceil = Math.ceil;
var Math_floor = Math.floor;
var Math_pow = Math.pow;
var Math_imul = Math.imul;
var Math_fround = Math.fround;
var Math_min = Math.min;
var Math_clz32 = Math.clz32;
var runDependencies = 0;
var runDependencyWatcher = null;
var dependenciesFulfilled = null;
function getUniqueRunDependency(id) {
 return id;
}
function addRunDependency(id) {
 runDependencies++;
 if (Module["monitorRunDependencies"]) {
  Module["monitorRunDependencies"](runDependencies);
 }
}
Module["addRunDependency"] = addRunDependency;
function removeRunDependency(id) {
 runDependencies--;
 if (Module["monitorRunDependencies"]) {
  Module["monitorRunDependencies"](runDependencies);
 }
 if (runDependencies == 0) {
  if (runDependencyWatcher !== null) {
   clearInterval(runDependencyWatcher);
   runDependencyWatcher = null;
  }
  if (dependenciesFulfilled) {
   var callback = dependenciesFulfilled;
   dependenciesFulfilled = null;
   callback();
  }
 }
}
Module["removeRunDependency"] = removeRunDependency;
Module["preloadedImages"] = {};
Module["preloadedAudios"] = {};
var memoryInitializer = null;
var ASM_CONSTS = [ (function() {
 {
  return TOTAL_MEMORY;
 }
}), (function() {
 {
  return SPLIT_MEMORY;
 }
}), (function() {
 {
  return HEAPU8s.length;
 }
}), (function($0, $1) {
 {
  Module.print("trying to malloc " + $0 + ", a size larger than SPLIT_MEMORY (" + $1 + "), increase SPLIT_MEMORY if you want that to work");
 }
}) ];
function _emscripten_asm_const_0(code) {
 return ASM_CONSTS[code]();
}
function _emscripten_asm_const_2(code, a0, a1) {
 return ASM_CONSTS[code](a0, a1);
}
STATIC_BASE = 8;
STATICTOP = STATIC_BASE + 43232;
__ATINIT__.push();
memoryInitializer = "src.c.o.js.mem";
var tempDoublePtr = Runtime.alignMemory(allocate(12, "i8", ALLOC_STATIC), 8);
assert(tempDoublePtr % 8 == 0);
function copyTempFloat(ptr) {
 set8(tempDoublePtr | 0, get8(ptr | 0) | 0);
 set8(tempDoublePtr + 1 | 0, get8(ptr + 1 | 0) | 0);
 set8(tempDoublePtr + 2 | 0, get8(ptr + 2 | 0) | 0);
 set8(tempDoublePtr + 3 | 0, get8(ptr + 3 | 0) | 0);
}
function copyTempDouble(ptr) {
 set8(tempDoublePtr | 0, get8(ptr | 0) | 0);
 set8(tempDoublePtr + 1 | 0, get8(ptr + 1 | 0) | 0);
 set8(tempDoublePtr + 2 | 0, get8(ptr + 2 | 0) | 0);
 set8(tempDoublePtr + 3 | 0, get8(ptr + 3 | 0) | 0);
 set8(tempDoublePtr + 4 | 0, get8(ptr + 4 | 0) | 0);
 set8(tempDoublePtr + 5 | 0, get8(ptr + 5 | 0) | 0);
 set8(tempDoublePtr + 6 | 0, get8(ptr + 6 | 0) | 0);
 set8(tempDoublePtr + 7 | 0, get8(ptr + 7 | 0) | 0);
}
var ERRNO_CODES = {
 EPERM: 1,
 ENOENT: 2,
 ESRCH: 3,
 EINTR: 4,
 EIO: 5,
 ENXIO: 6,
 E2BIG: 7,
 ENOEXEC: 8,
 EBADF: 9,
 ECHILD: 10,
 EAGAIN: 11,
 EWOULDBLOCK: 11,
 ENOMEM: 12,
 EACCES: 13,
 EFAULT: 14,
 ENOTBLK: 15,
 EBUSY: 16,
 EEXIST: 17,
 EXDEV: 18,
 ENODEV: 19,
 ENOTDIR: 20,
 EISDIR: 21,
 EINVAL: 22,
 ENFILE: 23,
 EMFILE: 24,
 ENOTTY: 25,
 ETXTBSY: 26,
 EFBIG: 27,
 ENOSPC: 28,
 ESPIPE: 29,
 EROFS: 30,
 EMLINK: 31,
 EPIPE: 32,
 EDOM: 33,
 ERANGE: 34,
 ENOMSG: 42,
 EIDRM: 43,
 ECHRNG: 44,
 EL2NSYNC: 45,
 EL3HLT: 46,
 EL3RST: 47,
 ELNRNG: 48,
 EUNATCH: 49,
 ENOCSI: 50,
 EL2HLT: 51,
 EDEADLK: 35,
 ENOLCK: 37,
 EBADE: 52,
 EBADR: 53,
 EXFULL: 54,
 ENOANO: 55,
 EBADRQC: 56,
 EBADSLT: 57,
 EDEADLOCK: 35,
 EBFONT: 59,
 ENOSTR: 60,
 ENODATA: 61,
 ETIME: 62,
 ENOSR: 63,
 ENONET: 64,
 ENOPKG: 65,
 EREMOTE: 66,
 ENOLINK: 67,
 EADV: 68,
 ESRMNT: 69,
 ECOMM: 70,
 EPROTO: 71,
 EMULTIHOP: 72,
 EDOTDOT: 73,
 EBADMSG: 74,
 ENOTUNIQ: 76,
 EBADFD: 77,
 EREMCHG: 78,
 ELIBACC: 79,
 ELIBBAD: 80,
 ELIBSCN: 81,
 ELIBMAX: 82,
 ELIBEXEC: 83,
 ENOSYS: 38,
 ENOTEMPTY: 39,
 ENAMETOOLONG: 36,
 ELOOP: 40,
 EOPNOTSUPP: 95,
 EPFNOSUPPORT: 96,
 ECONNRESET: 104,
 ENOBUFS: 105,
 EAFNOSUPPORT: 97,
 EPROTOTYPE: 91,
 ENOTSOCK: 88,
 ENOPROTOOPT: 92,
 ESHUTDOWN: 108,
 ECONNREFUSED: 111,
 EADDRINUSE: 98,
 ECONNABORTED: 103,
 ENETUNREACH: 101,
 ENETDOWN: 100,
 ETIMEDOUT: 110,
 EHOSTDOWN: 112,
 EHOSTUNREACH: 113,
 EINPROGRESS: 115,
 EALREADY: 114,
 EDESTADDRREQ: 89,
 EMSGSIZE: 90,
 EPROTONOSUPPORT: 93,
 ESOCKTNOSUPPORT: 94,
 EADDRNOTAVAIL: 99,
 ENETRESET: 102,
 EISCONN: 106,
 ENOTCONN: 107,
 ETOOMANYREFS: 109,
 EUSERS: 87,
 EDQUOT: 122,
 ESTALE: 116,
 ENOTSUP: 95,
 ENOMEDIUM: 123,
 EILSEQ: 84,
 EOVERFLOW: 75,
 ECANCELED: 125,
 ENOTRECOVERABLE: 131,
 EOWNERDEAD: 130,
 ESTRPIPE: 86
};
var ERRNO_MESSAGES = {
 0: "Success",
 1: "Not super-user",
 2: "No such file or directory",
 3: "No such process",
 4: "Interrupted system call",
 5: "I/O error",
 6: "No such device or address",
 7: "Arg list too long",
 8: "Exec format error",
 9: "Bad file number",
 10: "No children",
 11: "No more processes",
 12: "Not enough core",
 13: "Permission denied",
 14: "Bad address",
 15: "Block device required",
 16: "Mount device busy",
 17: "File exists",
 18: "Cross-device link",
 19: "No such device",
 20: "Not a directory",
 21: "Is a directory",
 22: "Invalid argument",
 23: "Too many open files in system",
 24: "Too many open files",
 25: "Not a typewriter",
 26: "Text file busy",
 27: "File too large",
 28: "No space left on device",
 29: "Illegal seek",
 30: "Read only file system",
 31: "Too many links",
 32: "Broken pipe",
 33: "Math arg out of domain of func",
 34: "Math result not representable",
 35: "File locking deadlock error",
 36: "File or path name too long",
 37: "No record locks available",
 38: "Function not implemented",
 39: "Directory not empty",
 40: "Too many symbolic links",
 42: "No message of desired type",
 43: "Identifier removed",
 44: "Channel number out of range",
 45: "Level 2 not synchronized",
 46: "Level 3 halted",
 47: "Level 3 reset",
 48: "Link number out of range",
 49: "Protocol driver not attached",
 50: "No CSI structure available",
 51: "Level 2 halted",
 52: "Invalid exchange",
 53: "Invalid request descriptor",
 54: "Exchange full",
 55: "No anode",
 56: "Invalid request code",
 57: "Invalid slot",
 59: "Bad font file fmt",
 60: "Device not a stream",
 61: "No data (for no delay io)",
 62: "Timer expired",
 63: "Out of streams resources",
 64: "Machine is not on the network",
 65: "Package not installed",
 66: "The object is remote",
 67: "The link has been severed",
 68: "Advertise error",
 69: "Srmount error",
 70: "Communication error on send",
 71: "Protocol error",
 72: "Multihop attempted",
 73: "Cross mount point (not really error)",
 74: "Trying to read unreadable message",
 75: "Value too large for defined data type",
 76: "Given log. name not unique",
 77: "f.d. invalid for this operation",
 78: "Remote address changed",
 79: "Can   access a needed shared lib",
 80: "Accessing a corrupted shared lib",
 81: ".lib section in a.out corrupted",
 82: "Attempting to link in too many libs",
 83: "Attempting to exec a shared library",
 84: "Illegal byte sequence",
 86: "Streams pipe error",
 87: "Too many users",
 88: "Socket operation on non-socket",
 89: "Destination address required",
 90: "Message too long",
 91: "Protocol wrong type for socket",
 92: "Protocol not available",
 93: "Unknown protocol",
 94: "Socket type not supported",
 95: "Not supported",
 96: "Protocol family not supported",
 97: "Address family not supported by protocol family",
 98: "Address already in use",
 99: "Address not available",
 100: "Network interface is not configured",
 101: "Network is unreachable",
 102: "Connection reset by network",
 103: "Connection aborted",
 104: "Connection reset by peer",
 105: "No buffer space available",
 106: "Socket is already connected",
 107: "Socket is not connected",
 108: "Can't send after socket shutdown",
 109: "Too many references",
 110: "Connection timed out",
 111: "Connection refused",
 112: "Host is down",
 113: "Host is unreachable",
 114: "Socket already connected",
 115: "Connection already in progress",
 116: "Stale file handle",
 122: "Quota exceeded",
 123: "No medium (in tape drive)",
 125: "Operation canceled",
 130: "Previous owner died",
 131: "State not recoverable"
};
function ___setErrNo(value) {
 if (Module["___errno_location"]) set32(Module["___errno_location"]() | 0, value | 0);
 return value;
}
var TTY = {
 ttys: [],
 init: (function() {}),
 shutdown: (function() {}),
 register: (function(dev, ops) {
  TTY.ttys[dev] = {
   input: [],
   output: [],
   ops: ops
  };
  FS.registerDevice(dev, TTY.stream_ops);
 }),
 stream_ops: {
  open: (function(stream) {
   var tty = TTY.ttys[stream.node.rdev];
   if (!tty) {
    throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
   }
   stream.tty = tty;
   stream.seekable = false;
  }),
  close: (function(stream) {
   stream.tty.ops.flush(stream.tty);
  }),
  flush: (function(stream) {
   stream.tty.ops.flush(stream.tty);
  }),
  read: (function(stream, buffer, offset, length, pos) {
   if (!stream.tty || !stream.tty.ops.get_char) {
    throw new FS.ErrnoError(ERRNO_CODES.ENXIO);
   }
   var bytesRead = 0;
   for (var i = 0; i < length; i++) {
    var result;
    try {
     result = stream.tty.ops.get_char(stream.tty);
    } catch (e) {
     throw new FS.ErrnoError(ERRNO_CODES.EIO);
    }
    if (result === undefined && bytesRead === 0) {
     throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
    }
    if (result === null || result === undefined) break;
    bytesRead++;
    buffer[offset + i] = result;
   }
   if (bytesRead) {
    stream.node.timestamp = Date.now();
   }
   return bytesRead;
  }),
  write: (function(stream, buffer, offset, length, pos) {
   if (!stream.tty || !stream.tty.ops.put_char) {
    throw new FS.ErrnoError(ERRNO_CODES.ENXIO);
   }
   for (var i = 0; i < length; i++) {
    try {
     stream.tty.ops.put_char(stream.tty, buffer[offset + i]);
    } catch (e) {
     throw new FS.ErrnoError(ERRNO_CODES.EIO);
    }
   }
   if (length) {
    stream.node.timestamp = Date.now();
   }
   return i;
  })
 },
 default_tty_ops: {
  get_char: (function(tty) {
   if (!tty.input.length) {
    var result = null;
    if (ENVIRONMENT_IS_NODE) {
     var BUFSIZE = 256;
     var buf = new Buffer(BUFSIZE);
     var bytesRead = 0;
     var fd = process.stdin.fd;
     var usingDevice = false;
     try {
      fd = fs.openSync("/dev/stdin", "r");
      usingDevice = true;
     } catch (e) {}
     bytesRead = fs.readSync(fd, buf, 0, BUFSIZE, null);
     if (usingDevice) {
      fs.closeSync(fd);
     }
     if (bytesRead > 0) {
      result = buf.slice(0, bytesRead).toString("utf-8");
     } else {
      result = null;
     }
    } else if (typeof window != "undefined" && typeof window.prompt == "function") {
     result = window.prompt("Input: ");
     if (result !== null) {
      result += "\n";
     }
    } else if (typeof readline == "function") {
     result = readline();
     if (result !== null) {
      result += "\n";
     }
    }
    if (!result) {
     return null;
    }
    tty.input = intArrayFromString(result, true);
   }
   return tty.input.shift();
  }),
  put_char: (function(tty, val) {
   if (val === null || val === 10) {
    Module["print"](UTF8ArrayToString(tty.output, 0));
    tty.output = [];
   } else {
    if (val != 0) tty.output.push(val);
   }
  }),
  flush: (function(tty) {
   if (tty.output && tty.output.length > 0) {
    Module["print"](UTF8ArrayToString(tty.output, 0));
    tty.output = [];
   }
  })
 },
 default_tty1_ops: {
  put_char: (function(tty, val) {
   if (val === null || val === 10) {
    Module["printErr"](UTF8ArrayToString(tty.output, 0));
    tty.output = [];
   } else {
    if (val != 0) tty.output.push(val);
   }
  }),
  flush: (function(tty) {
   if (tty.output && tty.output.length > 0) {
    Module["printErr"](UTF8ArrayToString(tty.output, 0));
    tty.output = [];
   }
  })
 }
};
var MEMFS = {
 ops_table: null,
 mount: (function(mount) {
  return MEMFS.createNode(null, "/", 16384 | 511, 0);
 }),
 createNode: (function(parent, name, mode, dev) {
  if (FS.isBlkdev(mode) || FS.isFIFO(mode)) {
   throw new FS.ErrnoError(ERRNO_CODES.EPERM);
  }
  if (!MEMFS.ops_table) {
   MEMFS.ops_table = {
    dir: {
     node: {
      getattr: MEMFS.node_ops.getattr,
      setattr: MEMFS.node_ops.setattr,
      lookup: MEMFS.node_ops.lookup,
      mknod: MEMFS.node_ops.mknod,
      rename: MEMFS.node_ops.rename,
      unlink: MEMFS.node_ops.unlink,
      rmdir: MEMFS.node_ops.rmdir,
      readdir: MEMFS.node_ops.readdir,
      symlink: MEMFS.node_ops.symlink
     },
     stream: {
      llseek: MEMFS.stream_ops.llseek
     }
    },
    file: {
     node: {
      getattr: MEMFS.node_ops.getattr,
      setattr: MEMFS.node_ops.setattr
     },
     stream: {
      llseek: MEMFS.stream_ops.llseek,
      read: MEMFS.stream_ops.read,
      write: MEMFS.stream_ops.write,
      allocate: MEMFS.stream_ops.allocate,
      mmap: MEMFS.stream_ops.mmap,
      msync: MEMFS.stream_ops.msync
     }
    },
    link: {
     node: {
      getattr: MEMFS.node_ops.getattr,
      setattr: MEMFS.node_ops.setattr,
      readlink: MEMFS.node_ops.readlink
     },
     stream: {}
    },
    chrdev: {
     node: {
      getattr: MEMFS.node_ops.getattr,
      setattr: MEMFS.node_ops.setattr
     },
     stream: FS.chrdev_stream_ops
    }
   };
  }
  var node = FS.createNode(parent, name, mode, dev);
  if (FS.isDir(node.mode)) {
   node.node_ops = MEMFS.ops_table.dir.node;
   node.stream_ops = MEMFS.ops_table.dir.stream;
   node.contents = {};
  } else if (FS.isFile(node.mode)) {
   node.node_ops = MEMFS.ops_table.file.node;
   node.stream_ops = MEMFS.ops_table.file.stream;
   node.usedBytes = 0;
   node.contents = null;
  } else if (FS.isLink(node.mode)) {
   node.node_ops = MEMFS.ops_table.link.node;
   node.stream_ops = MEMFS.ops_table.link.stream;
  } else if (FS.isChrdev(node.mode)) {
   node.node_ops = MEMFS.ops_table.chrdev.node;
   node.stream_ops = MEMFS.ops_table.chrdev.stream;
  }
  node.timestamp = Date.now();
  if (parent) {
   parent.contents[name] = node;
  }
  return node;
 }),
 getFileDataAsRegularArray: (function(node) {
  if (node.contents && node.contents.subarray) {
   var arr = [];
   for (var i = 0; i < node.usedBytes; ++i) arr.push(node.contents[i]);
   return arr;
  }
  return node.contents;
 }),
 getFileDataAsTypedArray: (function(node) {
  if (!node.contents) return new Uint8Array;
  if (node.contents.subarray) return node.contents.subarray(0, node.usedBytes);
  return new Uint8Array(node.contents);
 }),
 expandFileStorage: (function(node, newCapacity) {
  if (node.contents && node.contents.subarray && newCapacity > node.contents.length) {
   node.contents = MEMFS.getFileDataAsRegularArray(node);
   node.usedBytes = node.contents.length;
  }
  if (!node.contents || node.contents.subarray) {
   var prevCapacity = node.contents ? node.contents.buffer.byteLength : 0;
   if (prevCapacity >= newCapacity) return;
   var CAPACITY_DOUBLING_MAX = 1024 * 1024;
   newCapacity = Math.max(newCapacity, prevCapacity * (prevCapacity < CAPACITY_DOUBLING_MAX ? 2 : 1.125) | 0);
   if (prevCapacity != 0) newCapacity = Math.max(newCapacity, 256);
   var oldContents = node.contents;
   node.contents = new Uint8Array(newCapacity);
   if (node.usedBytes > 0) node.contents.set(oldContents.subarray(0, node.usedBytes), 0);
   return;
  }
  if (!node.contents && newCapacity > 0) node.contents = [];
  while (node.contents.length < newCapacity) node.contents.push(0);
 }),
 resizeFileStorage: (function(node, newSize) {
  if (node.usedBytes == newSize) return;
  if (newSize == 0) {
   node.contents = null;
   node.usedBytes = 0;
   return;
  }
  if (!node.contents || node.contents.subarray) {
   var oldContents = node.contents;
   node.contents = new Uint8Array(new ArrayBuffer(newSize));
   if (oldContents) {
    node.contents.set(oldContents.subarray(0, Math.min(newSize, node.usedBytes)));
   }
   node.usedBytes = newSize;
   return;
  }
  if (!node.contents) node.contents = [];
  if (node.contents.length > newSize) node.contents.length = newSize; else while (node.contents.length < newSize) node.contents.push(0);
  node.usedBytes = newSize;
 }),
 node_ops: {
  getattr: (function(node) {
   var attr = {};
   attr.dev = FS.isChrdev(node.mode) ? node.id : 1;
   attr.ino = node.id;
   attr.mode = node.mode;
   attr.nlink = 1;
   attr.uid = 0;
   attr.gid = 0;
   attr.rdev = node.rdev;
   if (FS.isDir(node.mode)) {
    attr.size = 4096;
   } else if (FS.isFile(node.mode)) {
    attr.size = node.usedBytes;
   } else if (FS.isLink(node.mode)) {
    attr.size = node.link.length;
   } else {
    attr.size = 0;
   }
   attr.atime = new Date(node.timestamp);
   attr.mtime = new Date(node.timestamp);
   attr.ctime = new Date(node.timestamp);
   attr.blksize = 4096;
   attr.blocks = Math.ceil(attr.size / attr.blksize);
   return attr;
  }),
  setattr: (function(node, attr) {
   if (attr.mode !== undefined) {
    node.mode = attr.mode;
   }
   if (attr.timestamp !== undefined) {
    node.timestamp = attr.timestamp;
   }
   if (attr.size !== undefined) {
    MEMFS.resizeFileStorage(node, attr.size);
   }
  }),
  lookup: (function(parent, name) {
   throw FS.genericErrors[ERRNO_CODES.ENOENT];
  }),
  mknod: (function(parent, name, mode, dev) {
   return MEMFS.createNode(parent, name, mode, dev);
  }),
  rename: (function(old_node, new_dir, new_name) {
   if (FS.isDir(old_node.mode)) {
    var new_node;
    try {
     new_node = FS.lookupNode(new_dir, new_name);
    } catch (e) {}
    if (new_node) {
     for (var i in new_node.contents) {
      throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY);
     }
    }
   }
   delete old_node.parent.contents[old_node.name];
   old_node.name = new_name;
   new_dir.contents[new_name] = old_node;
   old_node.parent = new_dir;
  }),
  unlink: (function(parent, name) {
   delete parent.contents[name];
  }),
  rmdir: (function(parent, name) {
   var node = FS.lookupNode(parent, name);
   for (var i in node.contents) {
    throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY);
   }
   delete parent.contents[name];
  }),
  readdir: (function(node) {
   var entries = [ ".", ".." ];
   for (var key in node.contents) {
    if (!node.contents.hasOwnProperty(key)) {
     continue;
    }
    entries.push(key);
   }
   return entries;
  }),
  symlink: (function(parent, newname, oldpath) {
   var node = MEMFS.createNode(parent, newname, 511 | 40960, 0);
   node.link = oldpath;
   return node;
  }),
  readlink: (function(node) {
   if (!FS.isLink(node.mode)) {
    throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
   }
   return node.link;
  })
 },
 stream_ops: {
  read: (function(stream, buffer, offset, length, position) {
   var contents = stream.node.contents;
   if (position >= stream.node.usedBytes) return 0;
   var size = Math.min(stream.node.usedBytes - position, length);
   assert(size >= 0);
   if (size > 8 && contents.subarray) {
    buffer.set(contents.subarray(position, position + size), offset);
   } else {
    for (var i = 0; i < size; i++) buffer[offset + i] = contents[position + i];
   }
   return size;
  }),
  write: (function(stream, buffer, offset, length, position, canOwn) {
   if (!length) return 0;
   var node = stream.node;
   node.timestamp = Date.now();
   if (buffer.subarray && (!node.contents || node.contents.subarray)) {
    if (canOwn) {
     node.contents = buffer.subarray(offset, offset + length);
     node.usedBytes = length;
     return length;
    } else if (node.usedBytes === 0 && position === 0) {
     node.contents = new Uint8Array(buffer.subarray(offset, offset + length));
     node.usedBytes = length;
     return length;
    } else if (position + length <= node.usedBytes) {
     node.contents.set(buffer.subarray(offset, offset + length), position);
     return length;
    }
   }
   MEMFS.expandFileStorage(node, position + length);
   if (node.contents.subarray && buffer.subarray) node.contents.set(buffer.subarray(offset, offset + length), position); else {
    for (var i = 0; i < length; i++) {
     node.contents[position + i] = buffer[offset + i];
    }
   }
   node.usedBytes = Math.max(node.usedBytes, position + length);
   return length;
  }),
  llseek: (function(stream, offset, whence) {
   var position = offset;
   if (whence === 1) {
    position += stream.position;
   } else if (whence === 2) {
    if (FS.isFile(stream.node.mode)) {
     position += stream.node.usedBytes;
    }
   }
   if (position < 0) {
    throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
   }
   return position;
  }),
  allocate: (function(stream, offset, length) {
   MEMFS.expandFileStorage(stream.node, offset + length);
   stream.node.usedBytes = Math.max(stream.node.usedBytes, offset + length);
  }),
  mmap: (function(stream, buffer, offset, length, position, prot, flags) {
   if (!FS.isFile(stream.node.mode)) {
    throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
   }
   var ptr;
   var allocated;
   var contents = stream.node.contents;
   if (!(flags & 2) && (contents.buffer === buffer || contents.buffer === buffer.buffer)) {
    allocated = false;
    ptr = contents.byteOffset;
   } else {
    if (position > 0 || position + length < stream.node.usedBytes) {
     if (contents.subarray) {
      contents = contents.subarray(position, position + length);
     } else {
      contents = Array.prototype.slice.call(contents, position, position + length);
     }
    }
    allocated = true;
    ptr = _malloc(length);
    if (!ptr) {
     throw new FS.ErrnoError(ERRNO_CODES.ENOMEM);
    }
    buffer.set(contents, ptr);
   }
   return {
    ptr: ptr,
    allocated: allocated
   };
  }),
  msync: (function(stream, buffer, offset, length, mmapFlags) {
   if (!FS.isFile(stream.node.mode)) {
    throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
   }
   if (mmapFlags & 2) {
    return 0;
   }
   var bytesWritten = MEMFS.stream_ops.write(stream, buffer, 0, length, offset, false);
   return 0;
  })
 }
};
var IDBFS = {
 dbs: {},
 indexedDB: (function() {
  if (typeof indexedDB !== "undefined") return indexedDB;
  var ret = null;
  if (typeof window === "object") ret = window.indexedDB || window.mozIndexedDB || window.webkitIndexedDB || window.msIndexedDB;
  assert(ret, "IDBFS used, but indexedDB not supported");
  return ret;
 }),
 DB_VERSION: 21,
 DB_STORE_NAME: "FILE_DATA",
 mount: (function(mount) {
  return MEMFS.mount.apply(null, arguments);
 }),
 syncfs: (function(mount, populate, callback) {
  IDBFS.getLocalSet(mount, (function(err, local) {
   if (err) return callback(err);
   IDBFS.getRemoteSet(mount, (function(err, remote) {
    if (err) return callback(err);
    var src = populate ? remote : local;
    var dst = populate ? local : remote;
    IDBFS.reconcile(src, dst, callback);
   }));
  }));
 }),
 getDB: (function(name, callback) {
  var db = IDBFS.dbs[name];
  if (db) {
   return callback(null, db);
  }
  var req;
  try {
   req = IDBFS.indexedDB().open(name, IDBFS.DB_VERSION);
  } catch (e) {
   return callback(e);
  }
  req.onupgradeneeded = (function(e) {
   var db = e.target.result;
   var transaction = e.target.transaction;
   var fileStore;
   if (db.objectStoreNames.contains(IDBFS.DB_STORE_NAME)) {
    fileStore = transaction.objectStore(IDBFS.DB_STORE_NAME);
   } else {
    fileStore = db.createObjectStore(IDBFS.DB_STORE_NAME);
   }
   if (!fileStore.indexNames.contains("timestamp")) {
    fileStore.createIndex("timestamp", "timestamp", {
     unique: false
    });
   }
  });
  req.onsuccess = (function() {
   db = req.result;
   IDBFS.dbs[name] = db;
   callback(null, db);
  });
  req.onerror = (function(e) {
   callback(this.error);
   e.preventDefault();
  });
 }),
 getLocalSet: (function(mount, callback) {
  var entries = {};
  function isRealDir(p) {
   return p !== "." && p !== "..";
  }
  function toAbsolute(root) {
   return (function(p) {
    return PATH.join2(root, p);
   });
  }
  var check = FS.readdir(mount.mountpoint).filter(isRealDir).map(toAbsolute(mount.mountpoint));
  while (check.length) {
   var path = check.pop();
   var stat;
   try {
    stat = FS.stat(path);
   } catch (e) {
    return callback(e);
   }
   if (FS.isDir(stat.mode)) {
    check.push.apply(check, FS.readdir(path).filter(isRealDir).map(toAbsolute(path)));
   }
   entries[path] = {
    timestamp: stat.mtime
   };
  }
  return callback(null, {
   type: "local",
   entries: entries
  });
 }),
 getRemoteSet: (function(mount, callback) {
  var entries = {};
  IDBFS.getDB(mount.mountpoint, (function(err, db) {
   if (err) return callback(err);
   var transaction = db.transaction([ IDBFS.DB_STORE_NAME ], "readonly");
   transaction.onerror = (function(e) {
    callback(this.error);
    e.preventDefault();
   });
   var store = transaction.objectStore(IDBFS.DB_STORE_NAME);
   var index = store.index("timestamp");
   index.openKeyCursor().onsuccess = (function(event) {
    var cursor = event.target.result;
    if (!cursor) {
     return callback(null, {
      type: "remote",
      db: db,
      entries: entries
     });
    }
    entries[cursor.primaryKey] = {
     timestamp: cursor.key
    };
    cursor.continue();
   });
  }));
 }),
 loadLocalEntry: (function(path, callback) {
  var stat, node;
  try {
   var lookup = FS.lookupPath(path);
   node = lookup.node;
   stat = FS.stat(path);
  } catch (e) {
   return callback(e);
  }
  if (FS.isDir(stat.mode)) {
   return callback(null, {
    timestamp: stat.mtime,
    mode: stat.mode
   });
  } else if (FS.isFile(stat.mode)) {
   node.contents = MEMFS.getFileDataAsTypedArray(node);
   return callback(null, {
    timestamp: stat.mtime,
    mode: stat.mode,
    contents: node.contents
   });
  } else {
   return callback(new Error("node type not supported"));
  }
 }),
 storeLocalEntry: (function(path, entry, callback) {
  try {
   if (FS.isDir(entry.mode)) {
    FS.mkdir(path, entry.mode);
   } else if (FS.isFile(entry.mode)) {
    FS.writeFile(path, entry.contents, {
     encoding: "binary",
     canOwn: true
    });
   } else {
    return callback(new Error("node type not supported"));
   }
   FS.chmod(path, entry.mode);
   FS.utime(path, entry.timestamp, entry.timestamp);
  } catch (e) {
   return callback(e);
  }
  callback(null);
 }),
 removeLocalEntry: (function(path, callback) {
  try {
   var lookup = FS.lookupPath(path);
   var stat = FS.stat(path);
   if (FS.isDir(stat.mode)) {
    FS.rmdir(path);
   } else if (FS.isFile(stat.mode)) {
    FS.unlink(path);
   }
  } catch (e) {
   return callback(e);
  }
  callback(null);
 }),
 loadRemoteEntry: (function(store, path, callback) {
  var req = store.get(path);
  req.onsuccess = (function(event) {
   callback(null, event.target.result);
  });
  req.onerror = (function(e) {
   callback(this.error);
   e.preventDefault();
  });
 }),
 storeRemoteEntry: (function(store, path, entry, callback) {
  var req = store.put(entry, path);
  req.onsuccess = (function() {
   callback(null);
  });
  req.onerror = (function(e) {
   callback(this.error);
   e.preventDefault();
  });
 }),
 removeRemoteEntry: (function(store, path, callback) {
  var req = store.delete(path);
  req.onsuccess = (function() {
   callback(null);
  });
  req.onerror = (function(e) {
   callback(this.error);
   e.preventDefault();
  });
 }),
 reconcile: (function(src, dst, callback) {
  var total = 0;
  var create = [];
  Object.keys(src.entries).forEach((function(key) {
   var e = src.entries[key];
   var e2 = dst.entries[key];
   if (!e2 || e.timestamp > e2.timestamp) {
    create.push(key);
    total++;
   }
  }));
  var remove = [];
  Object.keys(dst.entries).forEach((function(key) {
   var e = dst.entries[key];
   var e2 = src.entries[key];
   if (!e2) {
    remove.push(key);
    total++;
   }
  }));
  if (!total) {
   return callback(null);
  }
  var errored = false;
  var completed = 0;
  var db = src.type === "remote" ? src.db : dst.db;
  var transaction = db.transaction([ IDBFS.DB_STORE_NAME ], "readwrite");
  var store = transaction.objectStore(IDBFS.DB_STORE_NAME);
  function done(err) {
   if (err) {
    if (!done.errored) {
     done.errored = true;
     return callback(err);
    }
    return;
   }
   if (++completed >= total) {
    return callback(null);
   }
  }
  transaction.onerror = (function(e) {
   done(this.error);
   e.preventDefault();
  });
  create.sort().forEach((function(path) {
   if (dst.type === "local") {
    IDBFS.loadRemoteEntry(store, path, (function(err, entry) {
     if (err) return done(err);
     IDBFS.storeLocalEntry(path, entry, done);
    }));
   } else {
    IDBFS.loadLocalEntry(path, (function(err, entry) {
     if (err) return done(err);
     IDBFS.storeRemoteEntry(store, path, entry, done);
    }));
   }
  }));
  remove.sort().reverse().forEach((function(path) {
   if (dst.type === "local") {
    IDBFS.removeLocalEntry(path, done);
   } else {
    IDBFS.removeRemoteEntry(store, path, done);
   }
  }));
 })
};
var NODEFS = {
 isWindows: false,
 staticInit: (function() {
  NODEFS.isWindows = !!process.platform.match(/^win/);
 }),
 mount: (function(mount) {
  assert(ENVIRONMENT_IS_NODE);
  return NODEFS.createNode(null, "/", NODEFS.getMode(mount.opts.root), 0);
 }),
 createNode: (function(parent, name, mode, dev) {
  if (!FS.isDir(mode) && !FS.isFile(mode) && !FS.isLink(mode)) {
   throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
  }
  var node = FS.createNode(parent, name, mode);
  node.node_ops = NODEFS.node_ops;
  node.stream_ops = NODEFS.stream_ops;
  return node;
 }),
 getMode: (function(path) {
  var stat;
  try {
   stat = fs.lstatSync(path);
   if (NODEFS.isWindows) {
    stat.mode = stat.mode | (stat.mode & 146) >> 1;
   }
  } catch (e) {
   if (!e.code) throw e;
   throw new FS.ErrnoError(ERRNO_CODES[e.code]);
  }
  return stat.mode;
 }),
 realPath: (function(node) {
  var parts = [];
  while (node.parent !== node) {
   parts.push(node.name);
   node = node.parent;
  }
  parts.push(node.mount.opts.root);
  parts.reverse();
  return PATH.join.apply(null, parts);
 }),
 flagsToPermissionStringMap: {
  0: "r",
  1: "r+",
  2: "r+",
  64: "r",
  65: "r+",
  66: "r+",
  129: "rx+",
  193: "rx+",
  514: "w+",
  577: "w",
  578: "w+",
  705: "wx",
  706: "wx+",
  1024: "a",
  1025: "a",
  1026: "a+",
  1089: "a",
  1090: "a+",
  1153: "ax",
  1154: "ax+",
  1217: "ax",
  1218: "ax+",
  4096: "rs",
  4098: "rs+"
 },
 flagsToPermissionString: (function(flags) {
  flags &= ~32768;
  if (flags in NODEFS.flagsToPermissionStringMap) {
   return NODEFS.flagsToPermissionStringMap[flags];
  } else {
   throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
  }
 }),
 node_ops: {
  getattr: (function(node) {
   var path = NODEFS.realPath(node);
   var stat;
   try {
    stat = fs.lstatSync(path);
   } catch (e) {
    if (!e.code) throw e;
    throw new FS.ErrnoError(ERRNO_CODES[e.code]);
   }
   if (NODEFS.isWindows && !stat.blksize) {
    stat.blksize = 4096;
   }
   if (NODEFS.isWindows && !stat.blocks) {
    stat.blocks = (stat.size + stat.blksize - 1) / stat.blksize | 0;
   }
   return {
    dev: stat.dev,
    ino: stat.ino,
    mode: stat.mode,
    nlink: stat.nlink,
    uid: stat.uid,
    gid: stat.gid,
    rdev: stat.rdev,
    size: stat.size,
    atime: stat.atime,
    mtime: stat.mtime,
    ctime: stat.ctime,
    blksize: stat.blksize,
    blocks: stat.blocks
   };
  }),
  setattr: (function(node, attr) {
   var path = NODEFS.realPath(node);
   try {
    if (attr.mode !== undefined) {
     fs.chmodSync(path, attr.mode);
     node.mode = attr.mode;
    }
    if (attr.timestamp !== undefined) {
     var date = new Date(attr.timestamp);
     fs.utimesSync(path, date, date);
    }
    if (attr.size !== undefined) {
     fs.truncateSync(path, attr.size);
    }
   } catch (e) {
    if (!e.code) throw e;
    throw new FS.ErrnoError(ERRNO_CODES[e.code]);
   }
  }),
  lookup: (function(parent, name) {
   var path = PATH.join2(NODEFS.realPath(parent), name);
   var mode = NODEFS.getMode(path);
   return NODEFS.createNode(parent, name, mode);
  }),
  mknod: (function(parent, name, mode, dev) {
   var node = NODEFS.createNode(parent, name, mode, dev);
   var path = NODEFS.realPath(node);
   try {
    if (FS.isDir(node.mode)) {
     fs.mkdirSync(path, node.mode);
    } else {
     fs.writeFileSync(path, "", {
      mode: node.mode
     });
    }
   } catch (e) {
    if (!e.code) throw e;
    throw new FS.ErrnoError(ERRNO_CODES[e.code]);
   }
   return node;
  }),
  rename: (function(oldNode, newDir, newName) {
   var oldPath = NODEFS.realPath(oldNode);
   var newPath = PATH.join2(NODEFS.realPath(newDir), newName);
   try {
    fs.renameSync(oldPath, newPath);
   } catch (e) {
    if (!e.code) throw e;
    throw new FS.ErrnoError(ERRNO_CODES[e.code]);
   }
  }),
  unlink: (function(parent, name) {
   var path = PATH.join2(NODEFS.realPath(parent), name);
   try {
    fs.unlinkSync(path);
   } catch (e) {
    if (!e.code) throw e;
    throw new FS.ErrnoError(ERRNO_CODES[e.code]);
   }
  }),
  rmdir: (function(parent, name) {
   var path = PATH.join2(NODEFS.realPath(parent), name);
   try {
    fs.rmdirSync(path);
   } catch (e) {
    if (!e.code) throw e;
    throw new FS.ErrnoError(ERRNO_CODES[e.code]);
   }
  }),
  readdir: (function(node) {
   var path = NODEFS.realPath(node);
   try {
    return fs.readdirSync(path);
   } catch (e) {
    if (!e.code) throw e;
    throw new FS.ErrnoError(ERRNO_CODES[e.code]);
   }
  }),
  symlink: (function(parent, newName, oldPath) {
   var newPath = PATH.join2(NODEFS.realPath(parent), newName);
   try {
    fs.symlinkSync(oldPath, newPath);
   } catch (e) {
    if (!e.code) throw e;
    throw new FS.ErrnoError(ERRNO_CODES[e.code]);
   }
  }),
  readlink: (function(node) {
   var path = NODEFS.realPath(node);
   try {
    path = fs.readlinkSync(path);
    path = NODEJS_PATH.relative(NODEJS_PATH.resolve(node.mount.opts.root), path);
    return path;
   } catch (e) {
    if (!e.code) throw e;
    throw new FS.ErrnoError(ERRNO_CODES[e.code]);
   }
  })
 },
 stream_ops: {
  open: (function(stream) {
   var path = NODEFS.realPath(stream.node);
   try {
    if (FS.isFile(stream.node.mode)) {
     stream.nfd = fs.openSync(path, NODEFS.flagsToPermissionString(stream.flags));
    }
   } catch (e) {
    if (!e.code) throw e;
    throw new FS.ErrnoError(ERRNO_CODES[e.code]);
   }
  }),
  close: (function(stream) {
   try {
    if (FS.isFile(stream.node.mode) && stream.nfd) {
     fs.closeSync(stream.nfd);
    }
   } catch (e) {
    if (!e.code) throw e;
    throw new FS.ErrnoError(ERRNO_CODES[e.code]);
   }
  }),
  read: (function(stream, buffer, offset, length, position) {
   if (length === 0) return 0;
   var nbuffer = new Buffer(length);
   var res;
   try {
    res = fs.readSync(stream.nfd, nbuffer, 0, length, position);
   } catch (e) {
    throw new FS.ErrnoError(ERRNO_CODES[e.code]);
   }
   if (res > 0) {
    for (var i = 0; i < res; i++) {
     buffer[offset + i] = nbuffer[i];
    }
   }
   return res;
  }),
  write: (function(stream, buffer, offset, length, position) {
   var nbuffer = new Buffer(buffer.subarray(offset, offset + length));
   var res;
   try {
    res = fs.writeSync(stream.nfd, nbuffer, 0, length, position);
   } catch (e) {
    throw new FS.ErrnoError(ERRNO_CODES[e.code]);
   }
   return res;
  }),
  llseek: (function(stream, offset, whence) {
   var position = offset;
   if (whence === 1) {
    position += stream.position;
   } else if (whence === 2) {
    if (FS.isFile(stream.node.mode)) {
     try {
      var stat = fs.fstatSync(stream.nfd);
      position += stat.size;
     } catch (e) {
      throw new FS.ErrnoError(ERRNO_CODES[e.code]);
     }
    }
   }
   if (position < 0) {
    throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
   }
   return position;
  })
 }
};
var WORKERFS = {
 DIR_MODE: 16895,
 FILE_MODE: 33279,
 reader: null,
 mount: (function(mount) {
  assert(ENVIRONMENT_IS_WORKER);
  if (!WORKERFS.reader) WORKERFS.reader = new FileReaderSync;
  var root = WORKERFS.createNode(null, "/", WORKERFS.DIR_MODE, 0);
  var createdParents = {};
  function ensureParent(path) {
   var parts = path.split("/");
   var parent = root;
   for (var i = 0; i < parts.length - 1; i++) {
    var curr = parts.slice(0, i + 1).join("/");
    if (!createdParents[curr]) {
     createdParents[curr] = WORKERFS.createNode(parent, curr, WORKERFS.DIR_MODE, 0);
    }
    parent = createdParents[curr];
   }
   return parent;
  }
  function base(path) {
   var parts = path.split("/");
   return parts[parts.length - 1];
  }
  Array.prototype.forEach.call(mount.opts["files"] || [], (function(file) {
   WORKERFS.createNode(ensureParent(file.name), base(file.name), WORKERFS.FILE_MODE, 0, file, file.lastModifiedDate);
  }));
  (mount.opts["blobs"] || []).forEach((function(obj) {
   WORKERFS.createNode(ensureParent(obj["name"]), base(obj["name"]), WORKERFS.FILE_MODE, 0, obj["data"]);
  }));
  (mount.opts["packages"] || []).forEach((function(pack) {
   pack["metadata"].files.forEach((function(file) {
    var name = file.filename.substr(1);
    WORKERFS.createNode(ensureParent(name), base(name), WORKERFS.FILE_MODE, 0, pack["blob"].slice(file.start, file.end));
   }));
  }));
  return root;
 }),
 createNode: (function(parent, name, mode, dev, contents, mtime) {
  var node = FS.createNode(parent, name, mode);
  node.mode = mode;
  node.node_ops = WORKERFS.node_ops;
  node.stream_ops = WORKERFS.stream_ops;
  node.timestamp = (mtime || new Date).getTime();
  assert(WORKERFS.FILE_MODE !== WORKERFS.DIR_MODE);
  if (mode === WORKERFS.FILE_MODE) {
   node.size = contents.size;
   node.contents = contents;
  } else {
   node.size = 4096;
   node.contents = {};
  }
  if (parent) {
   parent.contents[name] = node;
  }
  return node;
 }),
 node_ops: {
  getattr: (function(node) {
   return {
    dev: 1,
    ino: undefined,
    mode: node.mode,
    nlink: 1,
    uid: 0,
    gid: 0,
    rdev: undefined,
    size: node.size,
    atime: new Date(node.timestamp),
    mtime: new Date(node.timestamp),
    ctime: new Date(node.timestamp),
    blksize: 4096,
    blocks: Math.ceil(node.size / 4096)
   };
  }),
  setattr: (function(node, attr) {
   if (attr.mode !== undefined) {
    node.mode = attr.mode;
   }
   if (attr.timestamp !== undefined) {
    node.timestamp = attr.timestamp;
   }
  }),
  lookup: (function(parent, name) {
   throw new FS.ErrnoError(ERRNO_CODES.ENOENT);
  }),
  mknod: (function(parent, name, mode, dev) {
   throw new FS.ErrnoError(ERRNO_CODES.EPERM);
  }),
  rename: (function(oldNode, newDir, newName) {
   throw new FS.ErrnoError(ERRNO_CODES.EPERM);
  }),
  unlink: (function(parent, name) {
   throw new FS.ErrnoError(ERRNO_CODES.EPERM);
  }),
  rmdir: (function(parent, name) {
   throw new FS.ErrnoError(ERRNO_CODES.EPERM);
  }),
  readdir: (function(node) {
   throw new FS.ErrnoError(ERRNO_CODES.EPERM);
  }),
  symlink: (function(parent, newName, oldPath) {
   throw new FS.ErrnoError(ERRNO_CODES.EPERM);
  }),
  readlink: (function(node) {
   throw new FS.ErrnoError(ERRNO_CODES.EPERM);
  })
 },
 stream_ops: {
  read: (function(stream, buffer, offset, length, position) {
   if (position >= stream.node.size) return 0;
   var chunk = stream.node.contents.slice(position, position + length);
   var ab = WORKERFS.reader.readAsArrayBuffer(chunk);
   buffer.set(new Uint8Array(ab), offset);
   return chunk.size;
  }),
  write: (function(stream, buffer, offset, length, position) {
   throw new FS.ErrnoError(ERRNO_CODES.EIO);
  }),
  llseek: (function(stream, offset, whence) {
   var position = offset;
   if (whence === 1) {
    position += stream.position;
   } else if (whence === 2) {
    if (FS.isFile(stream.node.mode)) {
     position += stream.node.size;
    }
   }
   if (position < 0) {
    throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
   }
   return position;
  })
 }
};
var _stdin = allocate(1, "i32*", ALLOC_STATIC);
var _stdout = allocate(1, "i32*", ALLOC_STATIC);
var _stderr = allocate(1, "i32*", ALLOC_STATIC);
var FS = {
 root: null,
 mounts: [],
 devices: [ null ],
 streams: [],
 nextInode: 1,
 nameTable: null,
 currentPath: "/",
 initialized: false,
 ignorePermissions: true,
 trackingDelegate: {},
 tracking: {
  openFlags: {
   READ: 1,
   WRITE: 2
  }
 },
 ErrnoError: null,
 genericErrors: {},
 filesystems: null,
 handleFSError: (function(e) {
  if (!(e instanceof FS.ErrnoError)) throw e + " : " + stackTrace();
  return ___setErrNo(e.errno);
 }),
 lookupPath: (function(path, opts) {
  path = PATH.resolve(FS.cwd(), path);
  opts = opts || {};
  if (!path) return {
   path: "",
   node: null
  };
  var defaults = {
   follow_mount: true,
   recurse_count: 0
  };
  for (var key in defaults) {
   if (opts[key] === undefined) {
    opts[key] = defaults[key];
   }
  }
  if (opts.recurse_count > 8) {
   throw new FS.ErrnoError(ERRNO_CODES.ELOOP);
  }
  var parts = PATH.normalizeArray(path.split("/").filter((function(p) {
   return !!p;
  })), false);
  var current = FS.root;
  var current_path = "/";
  for (var i = 0; i < parts.length; i++) {
   var islast = i === parts.length - 1;
   if (islast && opts.parent) {
    break;
   }
   current = FS.lookupNode(current, parts[i]);
   current_path = PATH.join2(current_path, parts[i]);
   if (FS.isMountpoint(current)) {
    if (!islast || islast && opts.follow_mount) {
     current = current.mounted.root;
    }
   }
   if (!islast || opts.follow) {
    var count = 0;
    while (FS.isLink(current.mode)) {
     var link = FS.readlink(current_path);
     current_path = PATH.resolve(PATH.dirname(current_path), link);
     var lookup = FS.lookupPath(current_path, {
      recurse_count: opts.recurse_count
     });
     current = lookup.node;
     if (count++ > 40) {
      throw new FS.ErrnoError(ERRNO_CODES.ELOOP);
     }
    }
   }
  }
  return {
   path: current_path,
   node: current
  };
 }),
 getPath: (function(node) {
  var path;
  while (true) {
   if (FS.isRoot(node)) {
    var mount = node.mount.mountpoint;
    if (!path) return mount;
    return mount[mount.length - 1] !== "/" ? mount + "/" + path : mount + path;
   }
   path = path ? node.name + "/" + path : node.name;
   node = node.parent;
  }
 }),
 hashName: (function(parentid, name) {
  var hash = 0;
  for (var i = 0; i < name.length; i++) {
   hash = (hash << 5) - hash + name.charCodeAt(i) | 0;
  }
  return (parentid + hash >>> 0) % FS.nameTable.length;
 }),
 hashAddNode: (function(node) {
  var hash = FS.hashName(node.parent.id, node.name);
  node.name_next = FS.nameTable[hash];
  FS.nameTable[hash] = node;
 }),
 hashRemoveNode: (function(node) {
  var hash = FS.hashName(node.parent.id, node.name);
  if (FS.nameTable[hash] === node) {
   FS.nameTable[hash] = node.name_next;
  } else {
   var current = FS.nameTable[hash];
   while (current) {
    if (current.name_next === node) {
     current.name_next = node.name_next;
     break;
    }
    current = current.name_next;
   }
  }
 }),
 lookupNode: (function(parent, name) {
  var err = FS.mayLookup(parent);
  if (err) {
   throw new FS.ErrnoError(err, parent);
  }
  var hash = FS.hashName(parent.id, name);
  for (var node = FS.nameTable[hash]; node; node = node.name_next) {
   var nodeName = node.name;
   if (node.parent.id === parent.id && nodeName === name) {
    return node;
   }
  }
  return FS.lookup(parent, name);
 }),
 createNode: (function(parent, name, mode, rdev) {
  if (!FS.FSNode) {
   FS.FSNode = (function(parent, name, mode, rdev) {
    if (!parent) {
     parent = this;
    }
    this.parent = parent;
    this.mount = parent.mount;
    this.mounted = null;
    this.id = FS.nextInode++;
    this.name = name;
    this.mode = mode;
    this.node_ops = {};
    this.stream_ops = {};
    this.rdev = rdev;
   });
   FS.FSNode.prototype = {};
   var readMode = 292 | 73;
   var writeMode = 146;
   Object.defineProperties(FS.FSNode.prototype, {
    read: {
     get: (function() {
      return (this.mode & readMode) === readMode;
     }),
     set: (function(val) {
      val ? this.mode |= readMode : this.mode &= ~readMode;
     })
    },
    write: {
     get: (function() {
      return (this.mode & writeMode) === writeMode;
     }),
     set: (function(val) {
      val ? this.mode |= writeMode : this.mode &= ~writeMode;
     })
    },
    isFolder: {
     get: (function() {
      return FS.isDir(this.mode);
     })
    },
    isDevice: {
     get: (function() {
      return FS.isChrdev(this.mode);
     })
    }
   });
  }
  var node = new FS.FSNode(parent, name, mode, rdev);
  FS.hashAddNode(node);
  return node;
 }),
 destroyNode: (function(node) {
  FS.hashRemoveNode(node);
 }),
 isRoot: (function(node) {
  return node === node.parent;
 }),
 isMountpoint: (function(node) {
  return !!node.mounted;
 }),
 isFile: (function(mode) {
  return (mode & 61440) === 32768;
 }),
 isDir: (function(mode) {
  return (mode & 61440) === 16384;
 }),
 isLink: (function(mode) {
  return (mode & 61440) === 40960;
 }),
 isChrdev: (function(mode) {
  return (mode & 61440) === 8192;
 }),
 isBlkdev: (function(mode) {
  return (mode & 61440) === 24576;
 }),
 isFIFO: (function(mode) {
  return (mode & 61440) === 4096;
 }),
 isSocket: (function(mode) {
  return (mode & 49152) === 49152;
 }),
 flagModes: {
  "r": 0,
  "rs": 1052672,
  "r+": 2,
  "w": 577,
  "wx": 705,
  "xw": 705,
  "w+": 578,
  "wx+": 706,
  "xw+": 706,
  "a": 1089,
  "ax": 1217,
  "xa": 1217,
  "a+": 1090,
  "ax+": 1218,
  "xa+": 1218
 },
 modeStringToFlags: (function(str) {
  var flags = FS.flagModes[str];
  if (typeof flags === "undefined") {
   throw new Error("Unknown file open mode: " + str);
  }
  return flags;
 }),
 flagsToPermissionString: (function(flag) {
  var perms = [ "r", "w", "rw" ][flag & 3];
  if (flag & 512) {
   perms += "w";
  }
  return perms;
 }),
 nodePermissions: (function(node, perms) {
  if (FS.ignorePermissions) {
   return 0;
  }
  if (perms.indexOf("r") !== -1 && !(node.mode & 292)) {
   return ERRNO_CODES.EACCES;
  } else if (perms.indexOf("w") !== -1 && !(node.mode & 146)) {
   return ERRNO_CODES.EACCES;
  } else if (perms.indexOf("x") !== -1 && !(node.mode & 73)) {
   return ERRNO_CODES.EACCES;
  }
  return 0;
 }),
 mayLookup: (function(dir) {
  var err = FS.nodePermissions(dir, "x");
  if (err) return err;
  if (!dir.node_ops.lookup) return ERRNO_CODES.EACCES;
  return 0;
 }),
 mayCreate: (function(dir, name) {
  try {
   var node = FS.lookupNode(dir, name);
   return ERRNO_CODES.EEXIST;
  } catch (e) {}
  return FS.nodePermissions(dir, "wx");
 }),
 mayDelete: (function(dir, name, isdir) {
  var node;
  try {
   node = FS.lookupNode(dir, name);
  } catch (e) {
   return e.errno;
  }
  var err = FS.nodePermissions(dir, "wx");
  if (err) {
   return err;
  }
  if (isdir) {
   if (!FS.isDir(node.mode)) {
    return ERRNO_CODES.ENOTDIR;
   }
   if (FS.isRoot(node) || FS.getPath(node) === FS.cwd()) {
    return ERRNO_CODES.EBUSY;
   }
  } else {
   if (FS.isDir(node.mode)) {
    return ERRNO_CODES.EISDIR;
   }
  }
  return 0;
 }),
 mayOpen: (function(node, flags) {
  if (!node) {
   return ERRNO_CODES.ENOENT;
  }
  if (FS.isLink(node.mode)) {
   return ERRNO_CODES.ELOOP;
  } else if (FS.isDir(node.mode)) {
   if ((flags & 2097155) !== 0 || flags & 512) {
    return ERRNO_CODES.EISDIR;
   }
  }
  return FS.nodePermissions(node, FS.flagsToPermissionString(flags));
 }),
 MAX_OPEN_FDS: 4096,
 nextfd: (function(fd_start, fd_end) {
  fd_start = fd_start || 0;
  fd_end = fd_end || FS.MAX_OPEN_FDS;
  for (var fd = fd_start; fd <= fd_end; fd++) {
   if (!FS.streams[fd]) {
    return fd;
   }
  }
  throw new FS.ErrnoError(ERRNO_CODES.EMFILE);
 }),
 getStream: (function(fd) {
  return FS.streams[fd];
 }),
 createStream: (function(stream, fd_start, fd_end) {
  if (!FS.FSStream) {
   FS.FSStream = (function() {});
   FS.FSStream.prototype = {};
   Object.defineProperties(FS.FSStream.prototype, {
    object: {
     get: (function() {
      return this.node;
     }),
     set: (function(val) {
      this.node = val;
     })
    },
    isRead: {
     get: (function() {
      return (this.flags & 2097155) !== 1;
     })
    },
    isWrite: {
     get: (function() {
      return (this.flags & 2097155) !== 0;
     })
    },
    isAppend: {
     get: (function() {
      return this.flags & 1024;
     })
    }
   });
  }
  var newStream = new FS.FSStream;
  for (var p in stream) {
   newStream[p] = stream[p];
  }
  stream = newStream;
  var fd = FS.nextfd(fd_start, fd_end);
  stream.fd = fd;
  FS.streams[fd] = stream;
  return stream;
 }),
 closeStream: (function(fd) {
  FS.streams[fd] = null;
 }),
 chrdev_stream_ops: {
  open: (function(stream) {
   var device = FS.getDevice(stream.node.rdev);
   stream.stream_ops = device.stream_ops;
   if (stream.stream_ops.open) {
    stream.stream_ops.open(stream);
   }
  }),
  llseek: (function() {
   throw new FS.ErrnoError(ERRNO_CODES.ESPIPE);
  })
 },
 major: (function(dev) {
  return dev >> 8;
 }),
 minor: (function(dev) {
  return dev & 255;
 }),
 makedev: (function(ma, mi) {
  return ma << 8 | mi;
 }),
 registerDevice: (function(dev, ops) {
  FS.devices[dev] = {
   stream_ops: ops
  };
 }),
 getDevice: (function(dev) {
  return FS.devices[dev];
 }),
 getMounts: (function(mount) {
  var mounts = [];
  var check = [ mount ];
  while (check.length) {
   var m = check.pop();
   mounts.push(m);
   check.push.apply(check, m.mounts);
  }
  return mounts;
 }),
 syncfs: (function(populate, callback) {
  if (typeof populate === "function") {
   callback = populate;
   populate = false;
  }
  var mounts = FS.getMounts(FS.root.mount);
  var completed = 0;
  function done(err) {
   if (err) {
    if (!done.errored) {
     done.errored = true;
     return callback(err);
    }
    return;
   }
   if (++completed >= mounts.length) {
    callback(null);
   }
  }
  mounts.forEach((function(mount) {
   if (!mount.type.syncfs) {
    return done(null);
   }
   mount.type.syncfs(mount, populate, done);
  }));
 }),
 mount: (function(type, opts, mountpoint) {
  var root = mountpoint === "/";
  var pseudo = !mountpoint;
  var node;
  if (root && FS.root) {
   throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
  } else if (!root && !pseudo) {
   var lookup = FS.lookupPath(mountpoint, {
    follow_mount: false
   });
   mountpoint = lookup.path;
   node = lookup.node;
   if (FS.isMountpoint(node)) {
    throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
   }
   if (!FS.isDir(node.mode)) {
    throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR);
   }
  }
  var mount = {
   type: type,
   opts: opts,
   mountpoint: mountpoint,
   mounts: []
  };
  var mountRoot = type.mount(mount);
  mountRoot.mount = mount;
  mount.root = mountRoot;
  if (root) {
   FS.root = mountRoot;
  } else if (node) {
   node.mounted = mount;
   if (node.mount) {
    node.mount.mounts.push(mount);
   }
  }
  return mountRoot;
 }),
 unmount: (function(mountpoint) {
  var lookup = FS.lookupPath(mountpoint, {
   follow_mount: false
  });
  if (!FS.isMountpoint(lookup.node)) {
   throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
  }
  var node = lookup.node;
  var mount = node.mounted;
  var mounts = FS.getMounts(mount);
  Object.keys(FS.nameTable).forEach((function(hash) {
   var current = FS.nameTable[hash];
   while (current) {
    var next = current.name_next;
    if (mounts.indexOf(current.mount) !== -1) {
     FS.destroyNode(current);
    }
    current = next;
   }
  }));
  node.mounted = null;
  var idx = node.mount.mounts.indexOf(mount);
  assert(idx !== -1);
  node.mount.mounts.splice(idx, 1);
 }),
 lookup: (function(parent, name) {
  return parent.node_ops.lookup(parent, name);
 }),
 mknod: (function(path, mode, dev) {
  var lookup = FS.lookupPath(path, {
   parent: true
  });
  var parent = lookup.node;
  var name = PATH.basename(path);
  if (!name || name === "." || name === "..") {
   throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
  }
  var err = FS.mayCreate(parent, name);
  if (err) {
   throw new FS.ErrnoError(err);
  }
  if (!parent.node_ops.mknod) {
   throw new FS.ErrnoError(ERRNO_CODES.EPERM);
  }
  return parent.node_ops.mknod(parent, name, mode, dev);
 }),
 create: (function(path, mode) {
  mode = mode !== undefined ? mode : 438;
  mode &= 4095;
  mode |= 32768;
  return FS.mknod(path, mode, 0);
 }),
 mkdir: (function(path, mode) {
  mode = mode !== undefined ? mode : 511;
  mode &= 511 | 512;
  mode |= 16384;
  return FS.mknod(path, mode, 0);
 }),
 mkdev: (function(path, mode, dev) {
  if (typeof dev === "undefined") {
   dev = mode;
   mode = 438;
  }
  mode |= 8192;
  return FS.mknod(path, mode, dev);
 }),
 symlink: (function(oldpath, newpath) {
  if (!PATH.resolve(oldpath)) {
   throw new FS.ErrnoError(ERRNO_CODES.ENOENT);
  }
  var lookup = FS.lookupPath(newpath, {
   parent: true
  });
  var parent = lookup.node;
  if (!parent) {
   throw new FS.ErrnoError(ERRNO_CODES.ENOENT);
  }
  var newname = PATH.basename(newpath);
  var err = FS.mayCreate(parent, newname);
  if (err) {
   throw new FS.ErrnoError(err);
  }
  if (!parent.node_ops.symlink) {
   throw new FS.ErrnoError(ERRNO_CODES.EPERM);
  }
  return parent.node_ops.symlink(parent, newname, oldpath);
 }),
 rename: (function(old_path, new_path) {
  var old_dirname = PATH.dirname(old_path);
  var new_dirname = PATH.dirname(new_path);
  var old_name = PATH.basename(old_path);
  var new_name = PATH.basename(new_path);
  var lookup, old_dir, new_dir;
  try {
   lookup = FS.lookupPath(old_path, {
    parent: true
   });
   old_dir = lookup.node;
   lookup = FS.lookupPath(new_path, {
    parent: true
   });
   new_dir = lookup.node;
  } catch (e) {
   throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
  }
  if (!old_dir || !new_dir) throw new FS.ErrnoError(ERRNO_CODES.ENOENT);
  if (old_dir.mount !== new_dir.mount) {
   throw new FS.ErrnoError(ERRNO_CODES.EXDEV);
  }
  var old_node = FS.lookupNode(old_dir, old_name);
  var relative = PATH.relative(old_path, new_dirname);
  if (relative.charAt(0) !== ".") {
   throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
  }
  relative = PATH.relative(new_path, old_dirname);
  if (relative.charAt(0) !== ".") {
   throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY);
  }
  var new_node;
  try {
   new_node = FS.lookupNode(new_dir, new_name);
  } catch (e) {}
  if (old_node === new_node) {
   return;
  }
  var isdir = FS.isDir(old_node.mode);
  var err = FS.mayDelete(old_dir, old_name, isdir);
  if (err) {
   throw new FS.ErrnoError(err);
  }
  err = new_node ? FS.mayDelete(new_dir, new_name, isdir) : FS.mayCreate(new_dir, new_name);
  if (err) {
   throw new FS.ErrnoError(err);
  }
  if (!old_dir.node_ops.rename) {
   throw new FS.ErrnoError(ERRNO_CODES.EPERM);
  }
  if (FS.isMountpoint(old_node) || new_node && FS.isMountpoint(new_node)) {
   throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
  }
  if (new_dir !== old_dir) {
   err = FS.nodePermissions(old_dir, "w");
   if (err) {
    throw new FS.ErrnoError(err);
   }
  }
  try {
   if (FS.trackingDelegate["willMovePath"]) {
    FS.trackingDelegate["willMovePath"](old_path, new_path);
   }
  } catch (e) {
   console.log("FS.trackingDelegate['willMovePath']('" + old_path + "', '" + new_path + "') threw an exception: " + e.message);
  }
  FS.hashRemoveNode(old_node);
  try {
   old_dir.node_ops.rename(old_node, new_dir, new_name);
  } catch (e) {
   throw e;
  } finally {
   FS.hashAddNode(old_node);
  }
  try {
   if (FS.trackingDelegate["onMovePath"]) FS.trackingDelegate["onMovePath"](old_path, new_path);
  } catch (e) {
   console.log("FS.trackingDelegate['onMovePath']('" + old_path + "', '" + new_path + "') threw an exception: " + e.message);
  }
 }),
 rmdir: (function(path) {
  var lookup = FS.lookupPath(path, {
   parent: true
  });
  var parent = lookup.node;
  var name = PATH.basename(path);
  var node = FS.lookupNode(parent, name);
  var err = FS.mayDelete(parent, name, true);
  if (err) {
   throw new FS.ErrnoError(err);
  }
  if (!parent.node_ops.rmdir) {
   throw new FS.ErrnoError(ERRNO_CODES.EPERM);
  }
  if (FS.isMountpoint(node)) {
   throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
  }
  try {
   if (FS.trackingDelegate["willDeletePath"]) {
    FS.trackingDelegate["willDeletePath"](path);
   }
  } catch (e) {
   console.log("FS.trackingDelegate['willDeletePath']('" + path + "') threw an exception: " + e.message);
  }
  parent.node_ops.rmdir(parent, name);
  FS.destroyNode(node);
  try {
   if (FS.trackingDelegate["onDeletePath"]) FS.trackingDelegate["onDeletePath"](path);
  } catch (e) {
   console.log("FS.trackingDelegate['onDeletePath']('" + path + "') threw an exception: " + e.message);
  }
 }),
 readdir: (function(path) {
  var lookup = FS.lookupPath(path, {
   follow: true
  });
  var node = lookup.node;
  if (!node.node_ops.readdir) {
   throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR);
  }
  return node.node_ops.readdir(node);
 }),
 unlink: (function(path) {
  var lookup = FS.lookupPath(path, {
   parent: true
  });
  var parent = lookup.node;
  var name = PATH.basename(path);
  var node = FS.lookupNode(parent, name);
  var err = FS.mayDelete(parent, name, false);
  if (err) {
   if (err === ERRNO_CODES.EISDIR) err = ERRNO_CODES.EPERM;
   throw new FS.ErrnoError(err);
  }
  if (!parent.node_ops.unlink) {
   throw new FS.ErrnoError(ERRNO_CODES.EPERM);
  }
  if (FS.isMountpoint(node)) {
   throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
  }
  try {
   if (FS.trackingDelegate["willDeletePath"]) {
    FS.trackingDelegate["willDeletePath"](path);
   }
  } catch (e) {
   console.log("FS.trackingDelegate['willDeletePath']('" + path + "') threw an exception: " + e.message);
  }
  parent.node_ops.unlink(parent, name);
  FS.destroyNode(node);
  try {
   if (FS.trackingDelegate["onDeletePath"]) FS.trackingDelegate["onDeletePath"](path);
  } catch (e) {
   console.log("FS.trackingDelegate['onDeletePath']('" + path + "') threw an exception: " + e.message);
  }
 }),
 readlink: (function(path) {
  var lookup = FS.lookupPath(path);
  var link = lookup.node;
  if (!link) {
   throw new FS.ErrnoError(ERRNO_CODES.ENOENT);
  }
  if (!link.node_ops.readlink) {
   throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
  }
  return PATH.resolve(FS.getPath(link.parent), link.node_ops.readlink(link));
 }),
 stat: (function(path, dontFollow) {
  var lookup = FS.lookupPath(path, {
   follow: !dontFollow
  });
  var node = lookup.node;
  if (!node) {
   throw new FS.ErrnoError(ERRNO_CODES.ENOENT);
  }
  if (!node.node_ops.getattr) {
   throw new FS.ErrnoError(ERRNO_CODES.EPERM);
  }
  return node.node_ops.getattr(node);
 }),
 lstat: (function(path) {
  return FS.stat(path, true);
 }),
 chmod: (function(path, mode, dontFollow) {
  var node;
  if (typeof path === "string") {
   var lookup = FS.lookupPath(path, {
    follow: !dontFollow
   });
   node = lookup.node;
  } else {
   node = path;
  }
  if (!node.node_ops.setattr) {
   throw new FS.ErrnoError(ERRNO_CODES.EPERM);
  }
  node.node_ops.setattr(node, {
   mode: mode & 4095 | node.mode & ~4095,
   timestamp: Date.now()
  });
 }),
 lchmod: (function(path, mode) {
  FS.chmod(path, mode, true);
 }),
 fchmod: (function(fd, mode) {
  var stream = FS.getStream(fd);
  if (!stream) {
   throw new FS.ErrnoError(ERRNO_CODES.EBADF);
  }
  FS.chmod(stream.node, mode);
 }),
 chown: (function(path, uid, gid, dontFollow) {
  var node;
  if (typeof path === "string") {
   var lookup = FS.lookupPath(path, {
    follow: !dontFollow
   });
   node = lookup.node;
  } else {
   node = path;
  }
  if (!node.node_ops.setattr) {
   throw new FS.ErrnoError(ERRNO_CODES.EPERM);
  }
  node.node_ops.setattr(node, {
   timestamp: Date.now()
  });
 }),
 lchown: (function(path, uid, gid) {
  FS.chown(path, uid, gid, true);
 }),
 fchown: (function(fd, uid, gid) {
  var stream = FS.getStream(fd);
  if (!stream) {
   throw new FS.ErrnoError(ERRNO_CODES.EBADF);
  }
  FS.chown(stream.node, uid, gid);
 }),
 truncate: (function(path, len) {
  if (len < 0) {
   throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
  }
  var node;
  if (typeof path === "string") {
   var lookup = FS.lookupPath(path, {
    follow: true
   });
   node = lookup.node;
  } else {
   node = path;
  }
  if (!node.node_ops.setattr) {
   throw new FS.ErrnoError(ERRNO_CODES.EPERM);
  }
  if (FS.isDir(node.mode)) {
   throw new FS.ErrnoError(ERRNO_CODES.EISDIR);
  }
  if (!FS.isFile(node.mode)) {
   throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
  }
  var err = FS.nodePermissions(node, "w");
  if (err) {
   throw new FS.ErrnoError(err);
  }
  node.node_ops.setattr(node, {
   size: len,
   timestamp: Date.now()
  });
 }),
 ftruncate: (function(fd, len) {
  var stream = FS.getStream(fd);
  if (!stream) {
   throw new FS.ErrnoError(ERRNO_CODES.EBADF);
  }
  if ((stream.flags & 2097155) === 0) {
   throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
  }
  FS.truncate(stream.node, len);
 }),
 utime: (function(path, atime, mtime) {
  var lookup = FS.lookupPath(path, {
   follow: true
  });
  var node = lookup.node;
  node.node_ops.setattr(node, {
   timestamp: Math.max(atime, mtime)
  });
 }),
 open: (function(path, flags, mode, fd_start, fd_end) {
  if (path === "") {
   throw new FS.ErrnoError(ERRNO_CODES.ENOENT);
  }
  flags = typeof flags === "string" ? FS.modeStringToFlags(flags) : flags;
  mode = typeof mode === "undefined" ? 438 : mode;
  if (flags & 64) {
   mode = mode & 4095 | 32768;
  } else {
   mode = 0;
  }
  var node;
  if (typeof path === "object") {
   node = path;
  } else {
   path = PATH.normalize(path);
   try {
    var lookup = FS.lookupPath(path, {
     follow: !(flags & 131072)
    });
    node = lookup.node;
   } catch (e) {}
  }
  var created = false;
  if (flags & 64) {
   if (node) {
    if (flags & 128) {
     throw new FS.ErrnoError(ERRNO_CODES.EEXIST);
    }
   } else {
    node = FS.mknod(path, mode, 0);
    created = true;
   }
  }
  if (!node) {
   throw new FS.ErrnoError(ERRNO_CODES.ENOENT);
  }
  if (FS.isChrdev(node.mode)) {
   flags &= ~512;
  }
  if (flags & 65536 && !FS.isDir(node.mode)) {
   throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR);
  }
  if (!created) {
   var err = FS.mayOpen(node, flags);
   if (err) {
    throw new FS.ErrnoError(err);
   }
  }
  if (flags & 512) {
   FS.truncate(node, 0);
  }
  flags &= ~(128 | 512);
  var stream = FS.createStream({
   node: node,
   path: FS.getPath(node),
   flags: flags,
   seekable: true,
   position: 0,
   stream_ops: node.stream_ops,
   ungotten: [],
   error: false
  }, fd_start, fd_end);
  if (stream.stream_ops.open) {
   stream.stream_ops.open(stream);
  }
  if (Module["logReadFiles"] && !(flags & 1)) {
   if (!FS.readFiles) FS.readFiles = {};
   if (!(path in FS.readFiles)) {
    FS.readFiles[path] = 1;
    Module["printErr"]("read file: " + path);
   }
  }
  try {
   if (FS.trackingDelegate["onOpenFile"]) {
    var trackingFlags = 0;
    if ((flags & 2097155) !== 1) {
     trackingFlags |= FS.tracking.openFlags.READ;
    }
    if ((flags & 2097155) !== 0) {
     trackingFlags |= FS.tracking.openFlags.WRITE;
    }
    FS.trackingDelegate["onOpenFile"](path, trackingFlags);
   }
  } catch (e) {
   console.log("FS.trackingDelegate['onOpenFile']('" + path + "', flags) threw an exception: " + e.message);
  }
  return stream;
 }),
 close: (function(stream) {
  if (stream.getdents) stream.getdents = null;
  try {
   if (stream.stream_ops.close) {
    stream.stream_ops.close(stream);
   }
  } catch (e) {
   throw e;
  } finally {
   FS.closeStream(stream.fd);
  }
 }),
 llseek: (function(stream, offset, whence) {
  if (!stream.seekable || !stream.stream_ops.llseek) {
   throw new FS.ErrnoError(ERRNO_CODES.ESPIPE);
  }
  stream.position = stream.stream_ops.llseek(stream, offset, whence);
  stream.ungotten = [];
  return stream.position;
 }),
 read: (function(stream, buffer, offset, length, position) {
  if (length < 0 || position < 0) {
   throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
  }
  if ((stream.flags & 2097155) === 1) {
   throw new FS.ErrnoError(ERRNO_CODES.EBADF);
  }
  if (FS.isDir(stream.node.mode)) {
   throw new FS.ErrnoError(ERRNO_CODES.EISDIR);
  }
  if (!stream.stream_ops.read) {
   throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
  }
  var seeking = true;
  if (typeof position === "undefined") {
   position = stream.position;
   seeking = false;
  } else if (!stream.seekable) {
   throw new FS.ErrnoError(ERRNO_CODES.ESPIPE);
  }
  var bytesRead = stream.stream_ops.read(stream, buffer, offset, length, position);
  if (!seeking) stream.position += bytesRead;
  return bytesRead;
 }),
 write: (function(stream, buffer, offset, length, position, canOwn) {
  if (length < 0 || position < 0) {
   throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
  }
  if ((stream.flags & 2097155) === 0) {
   throw new FS.ErrnoError(ERRNO_CODES.EBADF);
  }
  if (FS.isDir(stream.node.mode)) {
   throw new FS.ErrnoError(ERRNO_CODES.EISDIR);
  }
  if (!stream.stream_ops.write) {
   throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
  }
  if (stream.flags & 1024) {
   FS.llseek(stream, 0, 2);
  }
  var seeking = true;
  if (typeof position === "undefined") {
   position = stream.position;
   seeking = false;
  } else if (!stream.seekable) {
   throw new FS.ErrnoError(ERRNO_CODES.ESPIPE);
  }
  var bytesWritten = stream.stream_ops.write(stream, buffer, offset, length, position, canOwn);
  if (!seeking) stream.position += bytesWritten;
  try {
   if (stream.path && FS.trackingDelegate["onWriteToFile"]) FS.trackingDelegate["onWriteToFile"](stream.path);
  } catch (e) {
   console.log("FS.trackingDelegate['onWriteToFile']('" + path + "') threw an exception: " + e.message);
  }
  return bytesWritten;
 }),
 allocate: (function(stream, offset, length) {
  if (offset < 0 || length <= 0) {
   throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
  }
  if ((stream.flags & 2097155) === 0) {
   throw new FS.ErrnoError(ERRNO_CODES.EBADF);
  }
  if (!FS.isFile(stream.node.mode) && !FS.isDir(node.mode)) {
   throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
  }
  if (!stream.stream_ops.allocate) {
   throw new FS.ErrnoError(ERRNO_CODES.EOPNOTSUPP);
  }
  stream.stream_ops.allocate(stream, offset, length);
 }),
 mmap: (function(stream, buffer, offset, length, position, prot, flags) {
  if ((stream.flags & 2097155) === 1) {
   throw new FS.ErrnoError(ERRNO_CODES.EACCES);
  }
  if (!stream.stream_ops.mmap) {
   throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
  }
  return stream.stream_ops.mmap(stream, buffer, offset, length, position, prot, flags);
 }),
 msync: (function(stream, buffer, offset, length, mmapFlags) {
  if (!stream || !stream.stream_ops.msync) {
   return 0;
  }
  return stream.stream_ops.msync(stream, buffer, offset, length, mmapFlags);
 }),
 munmap: (function(stream) {
  return 0;
 }),
 ioctl: (function(stream, cmd, arg) {
  if (!stream.stream_ops.ioctl) {
   throw new FS.ErrnoError(ERRNO_CODES.ENOTTY);
  }
  return stream.stream_ops.ioctl(stream, cmd, arg);
 }),
 readFile: (function(path, opts) {
  opts = opts || {};
  opts.flags = opts.flags || "r";
  opts.encoding = opts.encoding || "binary";
  if (opts.encoding !== "utf8" && opts.encoding !== "binary") {
   throw new Error('Invalid encoding type "' + opts.encoding + '"');
  }
  var ret;
  var stream = FS.open(path, opts.flags);
  var stat = FS.stat(path);
  var length = stat.size;
  var buf = new Uint8Array(length);
  FS.read(stream, buf, 0, length, 0);
  if (opts.encoding === "utf8") {
   ret = UTF8ArrayToString(buf, 0);
  } else if (opts.encoding === "binary") {
   ret = buf;
  }
  FS.close(stream);
  return ret;
 }),
 writeFile: (function(path, data, opts) {
  opts = opts || {};
  opts.flags = opts.flags || "w";
  opts.encoding = opts.encoding || "utf8";
  if (opts.encoding !== "utf8" && opts.encoding !== "binary") {
   throw new Error('Invalid encoding type "' + opts.encoding + '"');
  }
  var stream = FS.open(path, opts.flags, opts.mode);
  if (opts.encoding === "utf8") {
   var buf = new Uint8Array(lengthBytesUTF8(data) + 1);
   var actualNumBytes = stringToUTF8Array(data, buf, 0, buf.length);
   FS.write(stream, buf, 0, actualNumBytes, 0, opts.canOwn);
  } else if (opts.encoding === "binary") {
   FS.write(stream, data, 0, data.length, 0, opts.canOwn);
  }
  FS.close(stream);
 }),
 cwd: (function() {
  return FS.currentPath;
 }),
 chdir: (function(path) {
  var lookup = FS.lookupPath(path, {
   follow: true
  });
  if (!FS.isDir(lookup.node.mode)) {
   throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR);
  }
  var err = FS.nodePermissions(lookup.node, "x");
  if (err) {
   throw new FS.ErrnoError(err);
  }
  FS.currentPath = lookup.path;
 }),
 createDefaultDirectories: (function() {
  FS.mkdir("/tmp");
  FS.mkdir("/home");
  FS.mkdir("/home/web_user");
 }),
 createDefaultDevices: (function() {
  FS.mkdir("/dev");
  FS.registerDevice(FS.makedev(1, 3), {
   read: (function() {
    return 0;
   }),
   write: (function(stream, buffer, offset, length, pos) {
    return length;
   })
  });
  FS.mkdev("/dev/null", FS.makedev(1, 3));
  TTY.register(FS.makedev(5, 0), TTY.default_tty_ops);
  TTY.register(FS.makedev(6, 0), TTY.default_tty1_ops);
  FS.mkdev("/dev/tty", FS.makedev(5, 0));
  FS.mkdev("/dev/tty1", FS.makedev(6, 0));
  var random_device;
  if (typeof crypto !== "undefined") {
   var randomBuffer = new Uint8Array(1);
   random_device = (function() {
    crypto.getRandomValues(randomBuffer);
    return randomBuffer[0];
   });
  } else if (ENVIRONMENT_IS_NODE) {
   random_device = (function() {
    return require("crypto").randomBytes(1)[0];
   });
  } else {
   random_device = (function() {
    return Math.random() * 256 | 0;
   });
  }
  FS.createDevice("/dev", "random", random_device);
  FS.createDevice("/dev", "urandom", random_device);
  FS.mkdir("/dev/shm");
  FS.mkdir("/dev/shm/tmp");
 }),
 createSpecialDirectories: (function() {
  FS.mkdir("/proc");
  FS.mkdir("/proc/self");
  FS.mkdir("/proc/self/fd");
  FS.mount({
   mount: (function() {
    var node = FS.createNode("/proc/self", "fd", 16384 | 511, 73);
    node.node_ops = {
     lookup: (function(parent, name) {
      var fd = +name;
      var stream = FS.getStream(fd);
      if (!stream) throw new FS.ErrnoError(ERRNO_CODES.EBADF);
      var ret = {
       parent: null,
       mount: {
        mountpoint: "fake"
       },
       node_ops: {
        readlink: (function() {
         return stream.path;
        })
       }
      };
      ret.parent = ret;
      return ret;
     })
    };
    return node;
   })
  }, {}, "/proc/self/fd");
 }),
 createStandardStreams: (function() {
  if (Module["stdin"]) {
   FS.createDevice("/dev", "stdin", Module["stdin"]);
  } else {
   FS.symlink("/dev/tty", "/dev/stdin");
  }
  if (Module["stdout"]) {
   FS.createDevice("/dev", "stdout", null, Module["stdout"]);
  } else {
   FS.symlink("/dev/tty", "/dev/stdout");
  }
  if (Module["stderr"]) {
   FS.createDevice("/dev", "stderr", null, Module["stderr"]);
  } else {
   FS.symlink("/dev/tty1", "/dev/stderr");
  }
  var stdin = FS.open("/dev/stdin", "r");
  assert(stdin.fd === 0, "invalid handle for stdin (" + stdin.fd + ")");
  var stdout = FS.open("/dev/stdout", "w");
  assert(stdout.fd === 1, "invalid handle for stdout (" + stdout.fd + ")");
  var stderr = FS.open("/dev/stderr", "w");
  assert(stderr.fd === 2, "invalid handle for stderr (" + stderr.fd + ")");
 }),
 ensureErrnoError: (function() {
  if (FS.ErrnoError) return;
  FS.ErrnoError = function ErrnoError(errno, node) {
   this.node = node;
   this.setErrno = (function(errno) {
    this.errno = errno;
    for (var key in ERRNO_CODES) {
     if (ERRNO_CODES[key] === errno) {
      this.code = key;
      break;
     }
    }
   });
   this.setErrno(errno);
   this.message = ERRNO_MESSAGES[errno];
  };
  FS.ErrnoError.prototype = new Error;
  FS.ErrnoError.prototype.constructor = FS.ErrnoError;
  [ ERRNO_CODES.ENOENT ].forEach((function(code) {
   FS.genericErrors[code] = new FS.ErrnoError(code);
   FS.genericErrors[code].stack = "<generic error, no stack>";
  }));
 }),
 staticInit: (function() {
  FS.ensureErrnoError();
  FS.nameTable = new Array(4096);
  FS.mount(MEMFS, {}, "/");
  FS.createDefaultDirectories();
  FS.createDefaultDevices();
  FS.createSpecialDirectories();
  FS.filesystems = {
   "MEMFS": MEMFS,
   "IDBFS": IDBFS,
   "NODEFS": NODEFS,
   "WORKERFS": WORKERFS
  };
 }),
 init: (function(input, output, error) {
  assert(!FS.init.initialized, "FS.init was previously called. If you want to initialize later with custom parameters, remove any earlier calls (note that one is automatically added to the generated code)");
  FS.init.initialized = true;
  FS.ensureErrnoError();
  Module["stdin"] = input || Module["stdin"];
  Module["stdout"] = output || Module["stdout"];
  Module["stderr"] = error || Module["stderr"];
  FS.createStandardStreams();
 }),
 quit: (function() {
  FS.init.initialized = false;
  var fflush = Module["_fflush"];
  if (fflush) fflush(0);
  for (var i = 0; i < FS.streams.length; i++) {
   var stream = FS.streams[i];
   if (!stream) {
    continue;
   }
   FS.close(stream);
  }
 }),
 getMode: (function(canRead, canWrite) {
  var mode = 0;
  if (canRead) mode |= 292 | 73;
  if (canWrite) mode |= 146;
  return mode;
 }),
 joinPath: (function(parts, forceRelative) {
  var path = PATH.join.apply(null, parts);
  if (forceRelative && path[0] == "/") path = path.substr(1);
  return path;
 }),
 absolutePath: (function(relative, base) {
  return PATH.resolve(base, relative);
 }),
 standardizePath: (function(path) {
  return PATH.normalize(path);
 }),
 findObject: (function(path, dontResolveLastLink) {
  var ret = FS.analyzePath(path, dontResolveLastLink);
  if (ret.exists) {
   return ret.object;
  } else {
   ___setErrNo(ret.error);
   return null;
  }
 }),
 analyzePath: (function(path, dontResolveLastLink) {
  try {
   var lookup = FS.lookupPath(path, {
    follow: !dontResolveLastLink
   });
   path = lookup.path;
  } catch (e) {}
  var ret = {
   isRoot: false,
   exists: false,
   error: 0,
   name: null,
   path: null,
   object: null,
   parentExists: false,
   parentPath: null,
   parentObject: null
  };
  try {
   var lookup = FS.lookupPath(path, {
    parent: true
   });
   ret.parentExists = true;
   ret.parentPath = lookup.path;
   ret.parentObject = lookup.node;
   ret.name = PATH.basename(path);
   lookup = FS.lookupPath(path, {
    follow: !dontResolveLastLink
   });
   ret.exists = true;
   ret.path = lookup.path;
   ret.object = lookup.node;
   ret.name = lookup.node.name;
   ret.isRoot = lookup.path === "/";
  } catch (e) {
   ret.error = e.errno;
  }
  return ret;
 }),
 createFolder: (function(parent, name, canRead, canWrite) {
  var path = PATH.join2(typeof parent === "string" ? parent : FS.getPath(parent), name);
  var mode = FS.getMode(canRead, canWrite);
  return FS.mkdir(path, mode);
 }),
 createPath: (function(parent, path, canRead, canWrite) {
  parent = typeof parent === "string" ? parent : FS.getPath(parent);
  var parts = path.split("/").reverse();
  while (parts.length) {
   var part = parts.pop();
   if (!part) continue;
   var current = PATH.join2(parent, part);
   try {
    FS.mkdir(current);
   } catch (e) {}
   parent = current;
  }
  return current;
 }),
 createFile: (function(parent, name, properties, canRead, canWrite) {
  var path = PATH.join2(typeof parent === "string" ? parent : FS.getPath(parent), name);
  var mode = FS.getMode(canRead, canWrite);
  return FS.create(path, mode);
 }),
 createDataFile: (function(parent, name, data, canRead, canWrite, canOwn) {
  var path = name ? PATH.join2(typeof parent === "string" ? parent : FS.getPath(parent), name) : parent;
  var mode = FS.getMode(canRead, canWrite);
  var node = FS.create(path, mode);
  if (data) {
   if (typeof data === "string") {
    var arr = new Array(data.length);
    for (var i = 0, len = data.length; i < len; ++i) arr[i] = data.charCodeAt(i);
    data = arr;
   }
   FS.chmod(node, mode | 146);
   var stream = FS.open(node, "w");
   FS.write(stream, data, 0, data.length, 0, canOwn);
   FS.close(stream);
   FS.chmod(node, mode);
  }
  return node;
 }),
 createDevice: (function(parent, name, input, output) {
  var path = PATH.join2(typeof parent === "string" ? parent : FS.getPath(parent), name);
  var mode = FS.getMode(!!input, !!output);
  if (!FS.createDevice.major) FS.createDevice.major = 64;
  var dev = FS.makedev(FS.createDevice.major++, 0);
  FS.registerDevice(dev, {
   open: (function(stream) {
    stream.seekable = false;
   }),
   close: (function(stream) {
    if (output && output.buffer && output.buffer.length) {
     output(10);
    }
   }),
   read: (function(stream, buffer, offset, length, pos) {
    var bytesRead = 0;
    for (var i = 0; i < length; i++) {
     var result;
     try {
      result = input();
     } catch (e) {
      throw new FS.ErrnoError(ERRNO_CODES.EIO);
     }
     if (result === undefined && bytesRead === 0) {
      throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
     }
     if (result === null || result === undefined) break;
     bytesRead++;
     buffer[offset + i] = result;
    }
    if (bytesRead) {
     stream.node.timestamp = Date.now();
    }
    return bytesRead;
   }),
   write: (function(stream, buffer, offset, length, pos) {
    for (var i = 0; i < length; i++) {
     try {
      output(buffer[offset + i]);
     } catch (e) {
      throw new FS.ErrnoError(ERRNO_CODES.EIO);
     }
    }
    if (length) {
     stream.node.timestamp = Date.now();
    }
    return i;
   })
  });
  return FS.mkdev(path, mode, dev);
 }),
 createLink: (function(parent, name, target, canRead, canWrite) {
  var path = PATH.join2(typeof parent === "string" ? parent : FS.getPath(parent), name);
  return FS.symlink(target, path);
 }),
 forceLoadFile: (function(obj) {
  if (obj.isDevice || obj.isFolder || obj.link || obj.contents) return true;
  var success = true;
  if (typeof XMLHttpRequest !== "undefined") {
   throw new Error("Lazy loading should have been performed (contents set) in createLazyFile, but it was not. Lazy loading only works in web workers. Use --embed-file or --preload-file in emcc on the main thread.");
  } else if (Module["read"]) {
   try {
    obj.contents = intArrayFromString(Module["read"](obj.url), true);
    obj.usedBytes = obj.contents.length;
   } catch (e) {
    success = false;
   }
  } else {
   throw new Error("Cannot load without read() or XMLHttpRequest.");
  }
  if (!success) ___setErrNo(ERRNO_CODES.EIO);
  return success;
 }),
 createLazyFile: (function(parent, name, url, canRead, canWrite) {
  function LazyUint8Array() {
   this.lengthKnown = false;
   this.chunks = [];
  }
  LazyUint8Array.prototype.get = function LazyUint8Array_get(idx) {
   if (idx > this.length - 1 || idx < 0) {
    return undefined;
   }
   var chunkOffset = idx % this.chunkSize;
   var chunkNum = idx / this.chunkSize | 0;
   return this.getter(chunkNum)[chunkOffset];
  };
  LazyUint8Array.prototype.setDataGetter = function LazyUint8Array_setDataGetter(getter) {
   this.getter = getter;
  };
  LazyUint8Array.prototype.cacheLength = function LazyUint8Array_cacheLength() {
   var xhr = new XMLHttpRequest;
   xhr.open("HEAD", url, false);
   xhr.send(null);
   if (!(xhr.status >= 200 && xhr.status < 300 || xhr.status === 304)) throw new Error("Couldn't load " + url + ". Status: " + xhr.status);
   var datalength = Number(xhr.getResponseHeader("Content-length"));
   var header;
   var hasByteServing = (header = xhr.getResponseHeader("Accept-Ranges")) && header === "bytes";
   var chunkSize = 1024 * 1024;
   if (!hasByteServing) chunkSize = datalength;
   var doXHR = (function(from, to) {
    if (from > to) throw new Error("invalid range (" + from + ", " + to + ") or no bytes requested!");
    if (to > datalength - 1) throw new Error("only " + datalength + " bytes available! programmer error!");
    var xhr = new XMLHttpRequest;
    xhr.open("GET", url, false);
    if (datalength !== chunkSize) xhr.setRequestHeader("Range", "bytes=" + from + "-" + to);
    if (typeof Uint8Array != "undefined") xhr.responseType = "arraybuffer";
    if (xhr.overrideMimeType) {
     xhr.overrideMimeType("text/plain; charset=x-user-defined");
    }
    xhr.send(null);
    if (!(xhr.status >= 200 && xhr.status < 300 || xhr.status === 304)) throw new Error("Couldn't load " + url + ". Status: " + xhr.status);
    if (xhr.response !== undefined) {
     return new Uint8Array(xhr.response || []);
    } else {
     return intArrayFromString(xhr.responseText || "", true);
    }
   });
   var lazyArray = this;
   lazyArray.setDataGetter((function(chunkNum) {
    var start = chunkNum * chunkSize;
    var end = (chunkNum + 1) * chunkSize - 1;
    end = Math.min(end, datalength - 1);
    if (typeof lazyArray.chunks[chunkNum] === "undefined") {
     lazyArray.chunks[chunkNum] = doXHR(start, end);
    }
    if (typeof lazyArray.chunks[chunkNum] === "undefined") throw new Error("doXHR failed!");
    return lazyArray.chunks[chunkNum];
   }));
   this._length = datalength;
   this._chunkSize = chunkSize;
   this.lengthKnown = true;
  };
  if (typeof XMLHttpRequest !== "undefined") {
   if (!ENVIRONMENT_IS_WORKER) throw "Cannot do synchronous binary XHRs outside webworkers in modern browsers. Use --embed-file or --preload-file in emcc";
   var lazyArray = new LazyUint8Array;
   Object.defineProperty(lazyArray, "length", {
    get: (function() {
     if (!this.lengthKnown) {
      this.cacheLength();
     }
     return this._length;
    })
   });
   Object.defineProperty(lazyArray, "chunkSize", {
    get: (function() {
     if (!this.lengthKnown) {
      this.cacheLength();
     }
     return this._chunkSize;
    })
   });
   var properties = {
    isDevice: false,
    contents: lazyArray
   };
  } else {
   var properties = {
    isDevice: false,
    url: url
   };
  }
  var node = FS.createFile(parent, name, properties, canRead, canWrite);
  if (properties.contents) {
   node.contents = properties.contents;
  } else if (properties.url) {
   node.contents = null;
   node.url = properties.url;
  }
  Object.defineProperty(node, "usedBytes", {
   get: (function() {
    return this.contents.length;
   })
  });
  var stream_ops = {};
  var keys = Object.keys(node.stream_ops);
  keys.forEach((function(key) {
   var fn = node.stream_ops[key];
   stream_ops[key] = function forceLoadLazyFile() {
    if (!FS.forceLoadFile(node)) {
     throw new FS.ErrnoError(ERRNO_CODES.EIO);
    }
    return fn.apply(null, arguments);
   };
  }));
  stream_ops.read = function stream_ops_read(stream, buffer, offset, length, position) {
   if (!FS.forceLoadFile(node)) {
    throw new FS.ErrnoError(ERRNO_CODES.EIO);
   }
   var contents = stream.node.contents;
   if (position >= contents.length) return 0;
   var size = Math.min(contents.length - position, length);
   assert(size >= 0);
   if (contents.slice) {
    for (var i = 0; i < size; i++) {
     buffer[offset + i] = contents[position + i];
    }
   } else {
    for (var i = 0; i < size; i++) {
     buffer[offset + i] = contents.get(position + i);
    }
   }
   return size;
  };
  node.stream_ops = stream_ops;
  return node;
 }),
 createPreloadedFile: (function(parent, name, url, canRead, canWrite, onload, onerror, dontCreateFile, canOwn, preFinish) {
  Browser.init();
  var fullname = name ? PATH.resolve(PATH.join2(parent, name)) : parent;
  var dep = getUniqueRunDependency("cp " + fullname);
  function processData(byteArray) {
   function finish(byteArray) {
    if (preFinish) preFinish();
    if (!dontCreateFile) {
     FS.createDataFile(parent, name, byteArray, canRead, canWrite, canOwn);
    }
    if (onload) onload();
    removeRunDependency(dep);
   }
   var handled = false;
   Module["preloadPlugins"].forEach((function(plugin) {
    if (handled) return;
    if (plugin["canHandle"](fullname)) {
     plugin["handle"](byteArray, fullname, finish, (function() {
      if (onerror) onerror();
      removeRunDependency(dep);
     }));
     handled = true;
    }
   }));
   if (!handled) finish(byteArray);
  }
  addRunDependency(dep);
  if (typeof url == "string") {
   Browser.asyncLoad(url, (function(byteArray) {
    processData(byteArray);
   }), onerror);
  } else {
   processData(url);
  }
 }),
 indexedDB: (function() {
  return window.indexedDB || window.mozIndexedDB || window.webkitIndexedDB || window.msIndexedDB;
 }),
 DB_NAME: (function() {
  return "EM_FS_" + window.location.pathname;
 }),
 DB_VERSION: 20,
 DB_STORE_NAME: "FILE_DATA",
 saveFilesToDB: (function(paths, onload, onerror) {
  onload = onload || (function() {});
  onerror = onerror || (function() {});
  var indexedDB = FS.indexedDB();
  try {
   var openRequest = indexedDB.open(FS.DB_NAME(), FS.DB_VERSION);
  } catch (e) {
   return onerror(e);
  }
  openRequest.onupgradeneeded = function openRequest_onupgradeneeded() {
   console.log("creating db");
   var db = openRequest.result;
   db.createObjectStore(FS.DB_STORE_NAME);
  };
  openRequest.onsuccess = function openRequest_onsuccess() {
   var db = openRequest.result;
   var transaction = db.transaction([ FS.DB_STORE_NAME ], "readwrite");
   var files = transaction.objectStore(FS.DB_STORE_NAME);
   var ok = 0, fail = 0, total = paths.length;
   function finish() {
    if (fail == 0) onload(); else onerror();
   }
   paths.forEach((function(path) {
    var putRequest = files.put(FS.analyzePath(path).object.contents, path);
    putRequest.onsuccess = function putRequest_onsuccess() {
     ok++;
     if (ok + fail == total) finish();
    };
    putRequest.onerror = function putRequest_onerror() {
     fail++;
     if (ok + fail == total) finish();
    };
   }));
   transaction.onerror = onerror;
  };
  openRequest.onerror = onerror;
 }),
 loadFilesFromDB: (function(paths, onload, onerror) {
  onload = onload || (function() {});
  onerror = onerror || (function() {});
  var indexedDB = FS.indexedDB();
  try {
   var openRequest = indexedDB.open(FS.DB_NAME(), FS.DB_VERSION);
  } catch (e) {
   return onerror(e);
  }
  openRequest.onupgradeneeded = onerror;
  openRequest.onsuccess = function openRequest_onsuccess() {
   var db = openRequest.result;
   try {
    var transaction = db.transaction([ FS.DB_STORE_NAME ], "readonly");
   } catch (e) {
    onerror(e);
    return;
   }
   var files = transaction.objectStore(FS.DB_STORE_NAME);
   var ok = 0, fail = 0, total = paths.length;
   function finish() {
    if (fail == 0) onload(); else onerror();
   }
   paths.forEach((function(path) {
    var getRequest = files.get(path);
    getRequest.onsuccess = function getRequest_onsuccess() {
     if (FS.analyzePath(path).exists) {
      FS.unlink(path);
     }
     FS.createDataFile(PATH.dirname(path), PATH.basename(path), getRequest.result, true, true, true);
     ok++;
     if (ok + fail == total) finish();
    };
    getRequest.onerror = function getRequest_onerror() {
     fail++;
     if (ok + fail == total) finish();
    };
   }));
   transaction.onerror = onerror;
  };
  openRequest.onerror = onerror;
 })
};
var PATH = {
 splitPath: (function(filename) {
  var splitPathRe = /^(\/?|)([\s\S]*?)((?:\.{1,2}|[^\/]+?|)(\.[^.\/]*|))(?:[\/]*)$/;
  return splitPathRe.exec(filename).slice(1);
 }),
 normalizeArray: (function(parts, allowAboveRoot) {
  var up = 0;
  for (var i = parts.length - 1; i >= 0; i--) {
   var last = parts[i];
   if (last === ".") {
    parts.splice(i, 1);
   } else if (last === "..") {
    parts.splice(i, 1);
    up++;
   } else if (up) {
    parts.splice(i, 1);
    up--;
   }
  }
  if (allowAboveRoot) {
   for (; up--; up) {
    parts.unshift("..");
   }
  }
  return parts;
 }),
 normalize: (function(path) {
  var isAbsolute = path.charAt(0) === "/", trailingSlash = path.substr(-1) === "/";
  path = PATH.normalizeArray(path.split("/").filter((function(p) {
   return !!p;
  })), !isAbsolute).join("/");
  if (!path && !isAbsolute) {
   path = ".";
  }
  if (path && trailingSlash) {
   path += "/";
  }
  return (isAbsolute ? "/" : "") + path;
 }),
 dirname: (function(path) {
  var result = PATH.splitPath(path), root = result[0], dir = result[1];
  if (!root && !dir) {
   return ".";
  }
  if (dir) {
   dir = dir.substr(0, dir.length - 1);
  }
  return root + dir;
 }),
 basename: (function(path) {
  if (path === "/") return "/";
  var lastSlash = path.lastIndexOf("/");
  if (lastSlash === -1) return path;
  return path.substr(lastSlash + 1);
 }),
 extname: (function(path) {
  return PATH.splitPath(path)[3];
 }),
 join: (function() {
  var paths = Array.prototype.slice.call(arguments, 0);
  return PATH.normalize(paths.join("/"));
 }),
 join2: (function(l, r) {
  return PATH.normalize(l + "/" + r);
 }),
 resolve: (function() {
  var resolvedPath = "", resolvedAbsolute = false;
  for (var i = arguments.length - 1; i >= -1 && !resolvedAbsolute; i--) {
   var path = i >= 0 ? arguments[i] : FS.cwd();
   if (typeof path !== "string") {
    throw new TypeError("Arguments to path.resolve must be strings");
   } else if (!path) {
    return "";
   }
   resolvedPath = path + "/" + resolvedPath;
   resolvedAbsolute = path.charAt(0) === "/";
  }
  resolvedPath = PATH.normalizeArray(resolvedPath.split("/").filter((function(p) {
   return !!p;
  })), !resolvedAbsolute).join("/");
  return (resolvedAbsolute ? "/" : "") + resolvedPath || ".";
 }),
 relative: (function(from, to) {
  from = PATH.resolve(from).substr(1);
  to = PATH.resolve(to).substr(1);
  function trim(arr) {
   var start = 0;
   for (; start < arr.length; start++) {
    if (arr[start] !== "") break;
   }
   var end = arr.length - 1;
   for (; end >= 0; end--) {
    if (arr[end] !== "") break;
   }
   if (start > end) return [];
   return arr.slice(start, end - start + 1);
  }
  var fromParts = trim(from.split("/"));
  var toParts = trim(to.split("/"));
  var length = Math.min(fromParts.length, toParts.length);
  var samePartsLength = length;
  for (var i = 0; i < length; i++) {
   if (fromParts[i] !== toParts[i]) {
    samePartsLength = i;
    break;
   }
  }
  var outputParts = [];
  for (var i = samePartsLength; i < fromParts.length; i++) {
   outputParts.push("..");
  }
  outputParts = outputParts.concat(toParts.slice(samePartsLength));
  return outputParts.join("/");
 })
};
function _emscripten_set_main_loop_timing(mode, value) {
 Browser.mainLoop.timingMode = mode;
 Browser.mainLoop.timingValue = value;
 if (!Browser.mainLoop.func) {
  return 1;
 }
 if (mode == 0) {
  Browser.mainLoop.scheduler = function Browser_mainLoop_scheduler_setTimeout() {
   setTimeout(Browser.mainLoop.runner, value);
  };
  Browser.mainLoop.method = "timeout";
 } else if (mode == 1) {
  Browser.mainLoop.scheduler = function Browser_mainLoop_scheduler_rAF() {
   Browser.requestAnimationFrame(Browser.mainLoop.runner);
  };
  Browser.mainLoop.method = "rAF";
 } else if (mode == 2) {
  if (!window["setImmediate"]) {
   var setImmediates = [];
   var emscriptenMainLoopMessageId = "__emcc";
   function Browser_setImmediate_messageHandler(event) {
    if (event.source === window && event.data === emscriptenMainLoopMessageId) {
     event.stopPropagation();
     setImmediates.shift()();
    }
   }
   window.addEventListener("message", Browser_setImmediate_messageHandler, true);
   window["setImmediate"] = function Browser_emulated_setImmediate(func) {
    setImmediates.push(func);
    window.postMessage(emscriptenMainLoopMessageId, "*");
   };
  }
  Browser.mainLoop.scheduler = function Browser_mainLoop_scheduler_setImmediate() {
   window["setImmediate"](Browser.mainLoop.runner);
  };
  Browser.mainLoop.method = "immediate";
 }
 return 0;
}
function _emscripten_set_main_loop(func, fps, simulateInfiniteLoop, arg, noSetTiming) {
 Module["noExitRuntime"] = true;
 assert(!Browser.mainLoop.func, "emscripten_set_main_loop: there can only be one main loop function at once: call emscripten_cancel_main_loop to cancel the previous one before setting a new one with different parameters.");
 Browser.mainLoop.func = func;
 Browser.mainLoop.arg = arg;
 var thisMainLoopId = Browser.mainLoop.currentlyRunningMainloop;
 Browser.mainLoop.runner = function Browser_mainLoop_runner() {
  if (ABORT) return;
  if (Browser.mainLoop.queue.length > 0) {
   var start = Date.now();
   var blocker = Browser.mainLoop.queue.shift();
   blocker.func(blocker.arg);
   if (Browser.mainLoop.remainingBlockers) {
    var remaining = Browser.mainLoop.remainingBlockers;
    var next = remaining % 1 == 0 ? remaining - 1 : Math.floor(remaining);
    if (blocker.counted) {
     Browser.mainLoop.remainingBlockers = next;
    } else {
     next = next + .5;
     Browser.mainLoop.remainingBlockers = (8 * remaining + next) / 9;
    }
   }
   console.log('main loop blocker "' + blocker.name + '" took ' + (Date.now() - start) + " ms");
   Browser.mainLoop.updateStatus();
   setTimeout(Browser.mainLoop.runner, 0);
   return;
  }
  if (thisMainLoopId < Browser.mainLoop.currentlyRunningMainloop) return;
  Browser.mainLoop.currentFrameNumber = Browser.mainLoop.currentFrameNumber + 1 | 0;
  if (Browser.mainLoop.timingMode == 1 && Browser.mainLoop.timingValue > 1 && Browser.mainLoop.currentFrameNumber % Browser.mainLoop.timingValue != 0) {
   Browser.mainLoop.scheduler();
   return;
  }
  if (Browser.mainLoop.method === "timeout" && Module.ctx) {
   Module.printErr("Looks like you are rendering without using requestAnimationFrame for the main loop. You should use 0 for the frame rate in emscripten_set_main_loop in order to use requestAnimationFrame, as that can greatly improve your frame rates!");
   Browser.mainLoop.method = "";
  }
  Browser.mainLoop.runIter((function() {
   if (typeof arg !== "undefined") {
    Runtime.dynCall("vi", func, [ arg ]);
   } else {
    Runtime.dynCall("v", func);
   }
  }));
  if (thisMainLoopId < Browser.mainLoop.currentlyRunningMainloop) return;
  if (typeof SDL === "object" && SDL.audio && SDL.audio.queueNewAudioData) SDL.audio.queueNewAudioData();
  Browser.mainLoop.scheduler();
 };
 if (!noSetTiming) {
  if (fps && fps > 0) _emscripten_set_main_loop_timing(0, 1e3 / fps); else _emscripten_set_main_loop_timing(1, 1);
  Browser.mainLoop.scheduler();
 }
 if (simulateInfiniteLoop) {
  throw "SimulateInfiniteLoop";
 }
}
var Browser = {
 mainLoop: {
  scheduler: null,
  method: "",
  currentlyRunningMainloop: 0,
  func: null,
  arg: 0,
  timingMode: 0,
  timingValue: 0,
  currentFrameNumber: 0,
  queue: [],
  pause: (function() {
   Browser.mainLoop.scheduler = null;
   Browser.mainLoop.currentlyRunningMainloop++;
  }),
  resume: (function() {
   Browser.mainLoop.currentlyRunningMainloop++;
   var timingMode = Browser.mainLoop.timingMode;
   var timingValue = Browser.mainLoop.timingValue;
   var func = Browser.mainLoop.func;
   Browser.mainLoop.func = null;
   _emscripten_set_main_loop(func, 0, false, Browser.mainLoop.arg, true);
   _emscripten_set_main_loop_timing(timingMode, timingValue);
   Browser.mainLoop.scheduler();
  }),
  updateStatus: (function() {
   if (Module["setStatus"]) {
    var message = Module["statusMessage"] || "Please wait...";
    var remaining = Browser.mainLoop.remainingBlockers;
    var expected = Browser.mainLoop.expectedBlockers;
    if (remaining) {
     if (remaining < expected) {
      Module["setStatus"](message + " (" + (expected - remaining) + "/" + expected + ")");
     } else {
      Module["setStatus"](message);
     }
    } else {
     Module["setStatus"]("");
    }
   }
  }),
  runIter: (function(func) {
   if (ABORT) return;
   if (Module["preMainLoop"]) {
    var preRet = Module["preMainLoop"]();
    if (preRet === false) {
     return;
    }
   }
   try {
    func();
   } catch (e) {
    if (e instanceof ExitStatus) {
     return;
    } else {
     if (e && typeof e === "object" && e.stack) Module.printErr("exception thrown: " + [ e, e.stack ]);
     throw e;
    }
   }
   if (Module["postMainLoop"]) Module["postMainLoop"]();
  })
 },
 isFullScreen: false,
 pointerLock: false,
 moduleContextCreatedCallbacks: [],
 workers: [],
 init: (function() {
  if (!Module["preloadPlugins"]) Module["preloadPlugins"] = [];
  if (Browser.initted) return;
  Browser.initted = true;
  try {
   new Blob;
   Browser.hasBlobConstructor = true;
  } catch (e) {
   Browser.hasBlobConstructor = false;
   console.log("warning: no blob constructor, cannot create blobs with mimetypes");
  }
  Browser.BlobBuilder = typeof MozBlobBuilder != "undefined" ? MozBlobBuilder : typeof WebKitBlobBuilder != "undefined" ? WebKitBlobBuilder : !Browser.hasBlobConstructor ? console.log("warning: no BlobBuilder") : null;
  Browser.URLObject = typeof window != "undefined" ? window.URL ? window.URL : window.webkitURL : undefined;
  if (!Module.noImageDecoding && typeof Browser.URLObject === "undefined") {
   console.log("warning: Browser does not support creating object URLs. Built-in browser image decoding will not be available.");
   Module.noImageDecoding = true;
  }
  var imagePlugin = {};
  imagePlugin["canHandle"] = function imagePlugin_canHandle(name) {
   return !Module.noImageDecoding && /\.(jpg|jpeg|png|bmp)$/i.test(name);
  };
  imagePlugin["handle"] = function imagePlugin_handle(byteArray, name, onload, onerror) {
   var b = null;
   if (Browser.hasBlobConstructor) {
    try {
     b = new Blob([ byteArray ], {
      type: Browser.getMimetype(name)
     });
     if (b.size !== byteArray.length) {
      b = new Blob([ (new Uint8Array(byteArray)).buffer ], {
       type: Browser.getMimetype(name)
      });
     }
    } catch (e) {
     Runtime.warnOnce("Blob constructor present but fails: " + e + "; falling back to blob builder");
    }
   }
   if (!b) {
    var bb = new Browser.BlobBuilder;
    bb.append((new Uint8Array(byteArray)).buffer);
    b = bb.getBlob();
   }
   var url = Browser.URLObject.createObjectURL(b);
   var img = new Image;
   img.onload = function img_onload() {
    assert(img.complete, "Image " + name + " could not be decoded");
    var canvas = document.createElement("canvas");
    canvas.width = img.width;
    canvas.height = img.height;
    var ctx = canvas.getContext("2d");
    ctx.drawImage(img, 0, 0);
    Module["preloadedImages"][name] = canvas;
    Browser.URLObject.revokeObjectURL(url);
    if (onload) onload(byteArray);
   };
   img.onerror = function img_onerror(event) {
    console.log("Image " + url + " could not be decoded");
    if (onerror) onerror();
   };
   img.src = url;
  };
  Module["preloadPlugins"].push(imagePlugin);
  var audioPlugin = {};
  audioPlugin["canHandle"] = function audioPlugin_canHandle(name) {
   return !Module.noAudioDecoding && name.substr(-4) in {
    ".ogg": 1,
    ".wav": 1,
    ".mp3": 1
   };
  };
  audioPlugin["handle"] = function audioPlugin_handle(byteArray, name, onload, onerror) {
   var done = false;
   function finish(audio) {
    if (done) return;
    done = true;
    Module["preloadedAudios"][name] = audio;
    if (onload) onload(byteArray);
   }
   function fail() {
    if (done) return;
    done = true;
    Module["preloadedAudios"][name] = new Audio;
    if (onerror) onerror();
   }
   if (Browser.hasBlobConstructor) {
    try {
     var b = new Blob([ byteArray ], {
      type: Browser.getMimetype(name)
     });
    } catch (e) {
     return fail();
    }
    var url = Browser.URLObject.createObjectURL(b);
    var audio = new Audio;
    audio.addEventListener("canplaythrough", (function() {
     finish(audio);
    }), false);
    audio.onerror = function audio_onerror(event) {
     if (done) return;
     console.log("warning: browser could not fully decode audio " + name + ", trying slower base64 approach");
     function encode64(data) {
      var BASE = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";
      var PAD = "=";
      var ret = "";
      var leftchar = 0;
      var leftbits = 0;
      for (var i = 0; i < data.length; i++) {
       leftchar = leftchar << 8 | data[i];
       leftbits += 8;
       while (leftbits >= 6) {
        var curr = leftchar >> leftbits - 6 & 63;
        leftbits -= 6;
        ret += BASE[curr];
       }
      }
      if (leftbits == 2) {
       ret += BASE[(leftchar & 3) << 4];
       ret += PAD + PAD;
      } else if (leftbits == 4) {
       ret += BASE[(leftchar & 15) << 2];
       ret += PAD;
      }
      return ret;
     }
     audio.src = "data:audio/x-" + name.substr(-3) + ";base64," + encode64(byteArray);
     finish(audio);
    };
    audio.src = url;
    Browser.safeSetTimeout((function() {
     finish(audio);
    }), 1e4);
   } else {
    return fail();
   }
  };
  Module["preloadPlugins"].push(audioPlugin);
  var canvas = Module["canvas"];
  function pointerLockChange() {
   Browser.pointerLock = document["pointerLockElement"] === canvas || document["mozPointerLockElement"] === canvas || document["webkitPointerLockElement"] === canvas || document["msPointerLockElement"] === canvas;
  }
  if (canvas) {
   canvas.requestPointerLock = canvas["requestPointerLock"] || canvas["mozRequestPointerLock"] || canvas["webkitRequestPointerLock"] || canvas["msRequestPointerLock"] || (function() {});
   canvas.exitPointerLock = document["exitPointerLock"] || document["mozExitPointerLock"] || document["webkitExitPointerLock"] || document["msExitPointerLock"] || (function() {});
   canvas.exitPointerLock = canvas.exitPointerLock.bind(document);
   document.addEventListener("pointerlockchange", pointerLockChange, false);
   document.addEventListener("mozpointerlockchange", pointerLockChange, false);
   document.addEventListener("webkitpointerlockchange", pointerLockChange, false);
   document.addEventListener("mspointerlockchange", pointerLockChange, false);
   if (Module["elementPointerLock"]) {
    canvas.addEventListener("click", (function(ev) {
     if (!Browser.pointerLock && canvas.requestPointerLock) {
      canvas.requestPointerLock();
      ev.preventDefault();
     }
    }), false);
   }
  }
 }),
 createContext: (function(canvas, useWebGL, setInModule, webGLContextAttributes) {
  if (useWebGL && Module.ctx && canvas == Module.canvas) return Module.ctx;
  var ctx;
  var contextHandle;
  if (useWebGL) {
   var contextAttributes = {
    antialias: false,
    alpha: false
   };
   if (webGLContextAttributes) {
    for (var attribute in webGLContextAttributes) {
     contextAttributes[attribute] = webGLContextAttributes[attribute];
    }
   }
   contextHandle = GL.createContext(canvas, contextAttributes);
   if (contextHandle) {
    ctx = GL.getContext(contextHandle).GLctx;
   }
   canvas.style.backgroundColor = "black";
  } else {
   ctx = canvas.getContext("2d");
  }
  if (!ctx) return null;
  if (setInModule) {
   if (!useWebGL) assert(typeof GLctx === "undefined", "cannot set in module if GLctx is used, but we are a non-GL context that would replace it");
   Module.ctx = ctx;
   if (useWebGL) GL.makeContextCurrent(contextHandle);
   Module.useWebGL = useWebGL;
   Browser.moduleContextCreatedCallbacks.forEach((function(callback) {
    callback();
   }));
   Browser.init();
  }
  return ctx;
 }),
 destroyContext: (function(canvas, useWebGL, setInModule) {}),
 fullScreenHandlersInstalled: false,
 lockPointer: undefined,
 resizeCanvas: undefined,
 requestFullScreen: (function(lockPointer, resizeCanvas, vrDevice) {
  Browser.lockPointer = lockPointer;
  Browser.resizeCanvas = resizeCanvas;
  Browser.vrDevice = vrDevice;
  if (typeof Browser.lockPointer === "undefined") Browser.lockPointer = true;
  if (typeof Browser.resizeCanvas === "undefined") Browser.resizeCanvas = false;
  if (typeof Browser.vrDevice === "undefined") Browser.vrDevice = null;
  var canvas = Module["canvas"];
  function fullScreenChange() {
   Browser.isFullScreen = false;
   var canvasContainer = canvas.parentNode;
   if ((document["webkitFullScreenElement"] || document["webkitFullscreenElement"] || document["mozFullScreenElement"] || document["mozFullscreenElement"] || document["fullScreenElement"] || document["fullscreenElement"] || document["msFullScreenElement"] || document["msFullscreenElement"] || document["webkitCurrentFullScreenElement"]) === canvasContainer) {
    canvas.cancelFullScreen = document["cancelFullScreen"] || document["mozCancelFullScreen"] || document["webkitCancelFullScreen"] || document["msExitFullscreen"] || document["exitFullscreen"] || (function() {});
    canvas.cancelFullScreen = canvas.cancelFullScreen.bind(document);
    if (Browser.lockPointer) canvas.requestPointerLock();
    Browser.isFullScreen = true;
    if (Browser.resizeCanvas) Browser.setFullScreenCanvasSize();
   } else {
    canvasContainer.parentNode.insertBefore(canvas, canvasContainer);
    canvasContainer.parentNode.removeChild(canvasContainer);
    if (Browser.resizeCanvas) Browser.setWindowedCanvasSize();
   }
   if (Module["onFullScreen"]) Module["onFullScreen"](Browser.isFullScreen);
   Browser.updateCanvasDimensions(canvas);
  }
  if (!Browser.fullScreenHandlersInstalled) {
   Browser.fullScreenHandlersInstalled = true;
   document.addEventListener("fullscreenchange", fullScreenChange, false);
   document.addEventListener("mozfullscreenchange", fullScreenChange, false);
   document.addEventListener("webkitfullscreenchange", fullScreenChange, false);
   document.addEventListener("MSFullscreenChange", fullScreenChange, false);
  }
  var canvasContainer = document.createElement("div");
  canvas.parentNode.insertBefore(canvasContainer, canvas);
  canvasContainer.appendChild(canvas);
  canvasContainer.requestFullScreen = canvasContainer["requestFullScreen"] || canvasContainer["mozRequestFullScreen"] || canvasContainer["msRequestFullscreen"] || (canvasContainer["webkitRequestFullScreen"] ? (function() {
   canvasContainer["webkitRequestFullScreen"](Element["ALLOW_KEYBOARD_INPUT"]);
  }) : null);
  if (vrDevice) {
   canvasContainer.requestFullScreen({
    vrDisplay: vrDevice
   });
  } else {
   canvasContainer.requestFullScreen();
  }
 }),
 nextRAF: 0,
 fakeRequestAnimationFrame: (function(func) {
  var now = Date.now();
  if (Browser.nextRAF === 0) {
   Browser.nextRAF = now + 1e3 / 60;
  } else {
   while (now + 2 >= Browser.nextRAF) {
    Browser.nextRAF += 1e3 / 60;
   }
  }
  var delay = Math.max(Browser.nextRAF - now, 0);
  setTimeout(func, delay);
 }),
 requestAnimationFrame: function requestAnimationFrame(func) {
  if (typeof window === "undefined") {
   Browser.fakeRequestAnimationFrame(func);
  } else {
   if (!window.requestAnimationFrame) {
    window.requestAnimationFrame = window["requestAnimationFrame"] || window["mozRequestAnimationFrame"] || window["webkitRequestAnimationFrame"] || window["msRequestAnimationFrame"] || window["oRequestAnimationFrame"] || Browser.fakeRequestAnimationFrame;
   }
   window.requestAnimationFrame(func);
  }
 },
 safeCallback: (function(func) {
  return (function() {
   if (!ABORT) return func.apply(null, arguments);
  });
 }),
 allowAsyncCallbacks: true,
 queuedAsyncCallbacks: [],
 pauseAsyncCallbacks: (function() {
  Browser.allowAsyncCallbacks = false;
 }),
 resumeAsyncCallbacks: (function() {
  Browser.allowAsyncCallbacks = true;
  if (Browser.queuedAsyncCallbacks.length > 0) {
   var callbacks = Browser.queuedAsyncCallbacks;
   Browser.queuedAsyncCallbacks = [];
   callbacks.forEach((function(func) {
    func();
   }));
  }
 }),
 safeRequestAnimationFrame: (function(func) {
  return Browser.requestAnimationFrame((function() {
   if (ABORT) return;
   if (Browser.allowAsyncCallbacks) {
    func();
   } else {
    Browser.queuedAsyncCallbacks.push(func);
   }
  }));
 }),
 safeSetTimeout: (function(func, timeout) {
  Module["noExitRuntime"] = true;
  return setTimeout((function() {
   if (ABORT) return;
   if (Browser.allowAsyncCallbacks) {
    func();
   } else {
    Browser.queuedAsyncCallbacks.push(func);
   }
  }), timeout);
 }),
 safeSetInterval: (function(func, timeout) {
  Module["noExitRuntime"] = true;
  return setInterval((function() {
   if (ABORT) return;
   if (Browser.allowAsyncCallbacks) {
    func();
   }
  }), timeout);
 }),
 getMimetype: (function(name) {
  return {
   "jpg": "image/jpeg",
   "jpeg": "image/jpeg",
   "png": "image/png",
   "bmp": "image/bmp",
   "ogg": "audio/ogg",
   "wav": "audio/wav",
   "mp3": "audio/mpeg"
  }[name.substr(name.lastIndexOf(".") + 1)];
 }),
 getUserMedia: (function(func) {
  if (!window.getUserMedia) {
   window.getUserMedia = navigator["getUserMedia"] || navigator["mozGetUserMedia"];
  }
  window.getUserMedia(func);
 }),
 getMovementX: (function(event) {
  return event["movementX"] || event["mozMovementX"] || event["webkitMovementX"] || 0;
 }),
 getMovementY: (function(event) {
  return event["movementY"] || event["mozMovementY"] || event["webkitMovementY"] || 0;
 }),
 getMouseWheelDelta: (function(event) {
  var delta = 0;
  switch (event.type) {
  case "DOMMouseScroll":
   delta = event.detail;
   break;
  case "mousewheel":
   delta = event.wheelDelta;
   break;
  case "wheel":
   delta = event["deltaY"];
   break;
  default:
   throw "unrecognized mouse wheel event: " + event.type;
  }
  return delta;
 }),
 mouseX: 0,
 mouseY: 0,
 mouseMovementX: 0,
 mouseMovementY: 0,
 touches: {},
 lastTouches: {},
 calculateMouseEvent: (function(event) {
  if (Browser.pointerLock) {
   if (event.type != "mousemove" && "mozMovementX" in event) {
    Browser.mouseMovementX = Browser.mouseMovementY = 0;
   } else {
    Browser.mouseMovementX = Browser.getMovementX(event);
    Browser.mouseMovementY = Browser.getMovementY(event);
   }
   if (typeof SDL != "undefined") {
    Browser.mouseX = SDL.mouseX + Browser.mouseMovementX;
    Browser.mouseY = SDL.mouseY + Browser.mouseMovementY;
   } else {
    Browser.mouseX += Browser.mouseMovementX;
    Browser.mouseY += Browser.mouseMovementY;
   }
  } else {
   var rect = Module["canvas"].getBoundingClientRect();
   var cw = Module["canvas"].width;
   var ch = Module["canvas"].height;
   var scrollX = typeof window.scrollX !== "undefined" ? window.scrollX : window.pageXOffset;
   var scrollY = typeof window.scrollY !== "undefined" ? window.scrollY : window.pageYOffset;
   if (event.type === "touchstart" || event.type === "touchend" || event.type === "touchmove") {
    var touch = event.touch;
    if (touch === undefined) {
     return;
    }
    var adjustedX = touch.pageX - (scrollX + rect.left);
    var adjustedY = touch.pageY - (scrollY + rect.top);
    adjustedX = adjustedX * (cw / rect.width);
    adjustedY = adjustedY * (ch / rect.height);
    var coords = {
     x: adjustedX,
     y: adjustedY
    };
    if (event.type === "touchstart") {
     Browser.lastTouches[touch.identifier] = coords;
     Browser.touches[touch.identifier] = coords;
    } else if (event.type === "touchend" || event.type === "touchmove") {
     var last = Browser.touches[touch.identifier];
     if (!last) last = coords;
     Browser.lastTouches[touch.identifier] = last;
     Browser.touches[touch.identifier] = coords;
    }
    return;
   }
   var x = event.pageX - (scrollX + rect.left);
   var y = event.pageY - (scrollY + rect.top);
   x = x * (cw / rect.width);
   y = y * (ch / rect.height);
   Browser.mouseMovementX = x - Browser.mouseX;
   Browser.mouseMovementY = y - Browser.mouseY;
   Browser.mouseX = x;
   Browser.mouseY = y;
  }
 }),
 xhrLoad: (function(url, onload, onerror) {
  var xhr = new XMLHttpRequest;
  xhr.open("GET", url, true);
  xhr.responseType = "arraybuffer";
  xhr.onload = function xhr_onload() {
   if (xhr.status == 200 || xhr.status == 0 && xhr.response) {
    onload(xhr.response);
   } else {
    onerror();
   }
  };
  xhr.onerror = onerror;
  xhr.send(null);
 }),
 asyncLoad: (function(url, onload, onerror, noRunDep) {
  Browser.xhrLoad(url, (function(arrayBuffer) {
   assert(arrayBuffer, 'Loading data file "' + url + '" failed (no arrayBuffer).');
   onload(new Uint8Array(arrayBuffer));
   if (!noRunDep) removeRunDependency("al " + url);
  }), (function(event) {
   if (onerror) {
    onerror();
   } else {
    throw 'Loading data file "' + url + '" failed.';
   }
  }));
  if (!noRunDep) addRunDependency("al " + url);
 }),
 resizeListeners: [],
 updateResizeListeners: (function() {
  var canvas = Module["canvas"];
  Browser.resizeListeners.forEach((function(listener) {
   listener(canvas.width, canvas.height);
  }));
 }),
 setCanvasSize: (function(width, height, noUpdates) {
  var canvas = Module["canvas"];
  Browser.updateCanvasDimensions(canvas, width, height);
  if (!noUpdates) Browser.updateResizeListeners();
 }),
 windowedWidth: 0,
 windowedHeight: 0,
 setFullScreenCanvasSize: (function() {
  if (typeof SDL != "undefined") {
   var flags = getU32(SDL.screen + Runtime.QUANTUM_SIZE * 0 | 0);
   flags = flags | 8388608;
   set32(SDL.screen + Runtime.QUANTUM_SIZE * 0 | 0, flags | 0);
  }
  Browser.updateResizeListeners();
 }),
 setWindowedCanvasSize: (function() {
  if (typeof SDL != "undefined") {
   var flags = getU32(SDL.screen + Runtime.QUANTUM_SIZE * 0 | 0);
   flags = flags & ~8388608;
   set32(SDL.screen + Runtime.QUANTUM_SIZE * 0 | 0, flags | 0);
  }
  Browser.updateResizeListeners();
 }),
 updateCanvasDimensions: (function(canvas, wNative, hNative) {
  if (wNative && hNative) {
   canvas.widthNative = wNative;
   canvas.heightNative = hNative;
  } else {
   wNative = canvas.widthNative;
   hNative = canvas.heightNative;
  }
  var w = wNative;
  var h = hNative;
  if (Module["forcedAspectRatio"] && Module["forcedAspectRatio"] > 0) {
   if (w / h < Module["forcedAspectRatio"]) {
    w = Math.round(h * Module["forcedAspectRatio"]);
   } else {
    h = Math.round(w / Module["forcedAspectRatio"]);
   }
  }
  if ((document["webkitFullScreenElement"] || document["webkitFullscreenElement"] || document["mozFullScreenElement"] || document["mozFullscreenElement"] || document["fullScreenElement"] || document["fullscreenElement"] || document["msFullScreenElement"] || document["msFullscreenElement"] || document["webkitCurrentFullScreenElement"]) === canvas.parentNode && typeof screen != "undefined") {
   var factor = Math.min(screen.width / w, screen.height / h);
   w = Math.round(w * factor);
   h = Math.round(h * factor);
  }
  if (Browser.resizeCanvas) {
   if (canvas.width != w) canvas.width = w;
   if (canvas.height != h) canvas.height = h;
   if (typeof canvas.style != "undefined") {
    canvas.style.removeProperty("width");
    canvas.style.removeProperty("height");
   }
  } else {
   if (canvas.width != wNative) canvas.width = wNative;
   if (canvas.height != hNative) canvas.height = hNative;
   if (typeof canvas.style != "undefined") {
    if (w != wNative || h != hNative) {
     canvas.style.setProperty("width", w + "px", "important");
     canvas.style.setProperty("height", h + "px", "important");
    } else {
     canvas.style.removeProperty("width");
     canvas.style.removeProperty("height");
    }
   }
  }
 }),
 wgetRequests: {},
 nextWgetRequestHandle: 0,
 getNextWgetRequestHandle: (function() {
  var handle = Browser.nextWgetRequestHandle;
  Browser.nextWgetRequestHandle++;
  return handle;
 })
};
Module["_i64Subtract"] = _i64Subtract;
var _DtoILow = true;
function _sysconf(name) {
 switch (name) {
 case 30:
  return PAGE_SIZE;
 case 85:
  return totalMemory / PAGE_SIZE;
 case 132:
 case 133:
 case 12:
 case 137:
 case 138:
 case 15:
 case 235:
 case 16:
 case 17:
 case 18:
 case 19:
 case 20:
 case 149:
 case 13:
 case 10:
 case 236:
 case 153:
 case 9:
 case 21:
 case 22:
 case 159:
 case 154:
 case 14:
 case 77:
 case 78:
 case 139:
 case 80:
 case 81:
 case 82:
 case 68:
 case 67:
 case 164:
 case 11:
 case 29:
 case 47:
 case 48:
 case 95:
 case 52:
 case 51:
 case 46:
  return 200809;
 case 79:
  return 0;
 case 27:
 case 246:
 case 127:
 case 128:
 case 23:
 case 24:
 case 160:
 case 161:
 case 181:
 case 182:
 case 242:
 case 183:
 case 184:
 case 243:
 case 244:
 case 245:
 case 165:
 case 178:
 case 179:
 case 49:
 case 50:
 case 168:
 case 169:
 case 175:
 case 170:
 case 171:
 case 172:
 case 97:
 case 76:
 case 32:
 case 173:
 case 35:
  return -1;
 case 176:
 case 177:
 case 7:
 case 155:
 case 8:
 case 157:
 case 125:
 case 126:
 case 92:
 case 93:
 case 129:
 case 130:
 case 131:
 case 94:
 case 91:
  return 1;
 case 74:
 case 60:
 case 69:
 case 70:
 case 4:
  return 1024;
 case 31:
 case 42:
 case 72:
  return 32;
 case 87:
 case 26:
 case 33:
  return 2147483647;
 case 34:
 case 1:
  return 47839;
 case 38:
 case 36:
  return 99;
 case 43:
 case 37:
  return 2048;
 case 0:
  return 2097152;
 case 3:
  return 65536;
 case 28:
  return 32768;
 case 44:
  return 32767;
 case 75:
  return 16384;
 case 39:
  return 1e3;
 case 89:
  return 700;
 case 71:
  return 256;
 case 40:
  return 255;
 case 2:
  return 100;
 case 180:
  return 64;
 case 25:
  return 20;
 case 5:
  return 16;
 case 6:
  return 6;
 case 73:
  return 4;
 case 84:
  {
   if (typeof navigator === "object") return navigator["hardwareConcurrency"] || 1;
   return 1;
  }
 }
 ___setErrNo(ERRNO_CODES.EINVAL);
 return -1;
}
var DLFCN = {
 error: null,
 errorMsg: null,
 loadedLibs: {},
 loadedLibNames: {}
};
function _dlsym(handle, symbol) {
 symbol = Pointer_stringify(symbol);
 if (!DLFCN.loadedLibs[handle]) {
  DLFCN.errorMsg = "Tried to dlsym() from an unopened handle: " + handle;
  return 0;
 } else {
  var lib = DLFCN.loadedLibs[handle];
  symbol = "_" + symbol;
  if (lib.cached_functions.hasOwnProperty(symbol)) {
   return lib.cached_functions[symbol];
  }
  if (!lib.module.hasOwnProperty(symbol)) {
   DLFCN.errorMsg = 'Tried to lookup unknown symbol "' + symbol + '" in dynamic lib: ' + lib.name;
   return 0;
  } else {
   var result = lib.module[symbol];
   if (typeof result == "function") {
    result = Runtime.addFunction(result);
    lib.cached_functions = result;
   }
   return result;
  }
 }
}
Module["_memset"] = _memset;
var _BDtoILow = true;
var _DtoIHigh = true;
Module["_bitshift64Shl"] = _bitshift64Shl;
function _abort() {
 Module["abort"]();
}
var SYSCALLS = {
 DEFAULT_POLLMASK: 5,
 mappings: {},
 umask: 511,
 calculateAt: (function(dirfd, path) {
  if (path[0] !== "/") {
   var dir;
   if (dirfd === -100) {
    dir = FS.cwd();
   } else {
    var dirstream = FS.getStream(dirfd);
    if (!dirstream) throw new FS.ErrnoError(ERRNO_CODES.EBADF);
    dir = dirstream.path;
   }
   path = PATH.join2(dir, path);
  }
  return path;
 }),
 doStat: (function(func, path, buf) {
  try {
   var stat = func(path);
  } catch (e) {
   if (e && e.node && PATH.normalize(path) !== PATH.normalize(FS.getPath(e.node))) {
    return -ERRNO_CODES.ENOTDIR;
   }
   throw e;
  }
  set32(buf | 0, stat.dev | 0);
  set32(buf + 4 | 0, 0 | 0);
  set32(buf + 8 | 0, stat.ino | 0);
  set32(buf + 12 | 0, stat.mode | 0);
  set32(buf + 16 | 0, stat.nlink | 0);
  set32(buf + 20 | 0, stat.uid | 0);
  set32(buf + 24 | 0, stat.gid | 0);
  set32(buf + 28 | 0, stat.rdev | 0);
  set32(buf + 32 | 0, 0 | 0);
  set32(buf + 36 | 0, stat.size | 0);
  set32(buf + 40 | 0, 4096 | 0);
  set32(buf + 44 | 0, stat.blocks | 0);
  set32(buf + 48 | 0, stat.atime.getTime() / 1e3 | 0 | 0);
  set32(buf + 52 | 0, 0 | 0);
  set32(buf + 56 | 0, stat.mtime.getTime() / 1e3 | 0 | 0);
  set32(buf + 60 | 0, 0 | 0);
  set32(buf + 64 | 0, stat.ctime.getTime() / 1e3 | 0 | 0);
  set32(buf + 68 | 0, 0 | 0);
  set32(buf + 72 | 0, stat.ino | 0);
  return 0;
 }),
 doMsync: (function(addr, stream, len, flags) {
  var buffer = new Uint8Array(HEAPU8.subarray(addr, addr + len));
  FS.msync(stream, buffer, 0, len, flags);
 }),
 doMkdir: (function(path, mode) {
  path = PATH.normalize(path);
  if (path[path.length - 1] === "/") path = path.substr(0, path.length - 1);
  FS.mkdir(path, mode, 0);
  return 0;
 }),
 doMknod: (function(path, mode, dev) {
  switch (mode & 61440) {
  case 32768:
  case 8192:
  case 24576:
  case 4096:
  case 49152:
   break;
  default:
   return -ERRNO_CODES.EINVAL;
  }
  FS.mknod(path, mode, dev);
  return 0;
 }),
 doReadlink: (function(path, buf, bufsize) {
  if (bufsize <= 0) return -ERRNO_CODES.EINVAL;
  var ret = FS.readlink(path);
  ret = ret.slice(0, Math.max(0, bufsize));
  writeStringToMemory(ret, buf, true);
  return ret.length;
 }),
 doAccess: (function(path, amode) {
  if (amode & ~7) {
   return -ERRNO_CODES.EINVAL;
  }
  var node;
  var lookup = FS.lookupPath(path, {
   follow: true
  });
  node = lookup.node;
  var perms = "";
  if (amode & 4) perms += "r";
  if (amode & 2) perms += "w";
  if (amode & 1) perms += "x";
  if (perms && FS.nodePermissions(node, perms)) {
   return -ERRNO_CODES.EACCES;
  }
  return 0;
 }),
 doDup: (function(path, flags, suggestFD) {
  var suggest = FS.getStream(suggestFD);
  if (suggest) FS.close(suggest);
  return FS.open(path, flags, 0, suggestFD, suggestFD).fd;
 }),
 doReadv: (function(stream, iov, iovcnt, offset) {
  var ret = 0;
  for (var i = 0; i < iovcnt; i++) {
   var ptr = get32(iov + i * 8 | 0);
   var len = get32(iov + (i * 8 + 4) | 0);
   var curr = FS.read(stream, HEAP8s[ptr >> SPLIT_MEMORY_BITS], ptr & SPLIT_MEMORY_MASK, len, offset);
   if (curr < 0) return -1;
   ret += curr;
   if (curr < len) break;
  }
  return ret;
 }),
 doWritev: (function(stream, iov, iovcnt, offset) {
  var ret = 0;
  for (var i = 0; i < iovcnt; i++) {
   var ptr = get32(iov + i * 8 | 0);
   var len = get32(iov + (i * 8 + 4) | 0);
   var curr = FS.write(stream, HEAP8s[ptr >> SPLIT_MEMORY_BITS], ptr & SPLIT_MEMORY_MASK, len, offset);
   if (curr < 0) return -1;
   ret += curr;
  }
  return ret;
 }),
 varargs: 0,
 get: (function(varargs) {
  SYSCALLS.varargs += 4;
  var ret = get32(SYSCALLS.varargs - 4 | 0);
  return ret;
 }),
 getStr: (function() {
  var ret = Pointer_stringify(SYSCALLS.get());
  return ret;
 }),
 getStreamFromFD: (function() {
  var stream = FS.getStream(SYSCALLS.get());
  if (!stream) throw new FS.ErrnoError(ERRNO_CODES.EBADF);
  return stream;
 }),
 getSocketFromFD: (function() {
  var socket = SOCKFS.getSocket(SYSCALLS.get());
  if (!socket) throw new FS.ErrnoError(ERRNO_CODES.EBADF);
  return socket;
 }),
 getSocketAddress: (function(allowNull) {
  var addrp = SYSCALLS.get(), addrlen = SYSCALLS.get();
  if (allowNull && addrp === 0) return null;
  var info = __read_sockaddr(addrp, addrlen);
  if (info.errno) throw new FS.ErrnoError(info.errno);
  info.addr = DNS.lookup_addr(info.addr) || info.addr;
  return info;
 }),
 get64: (function() {
  var low = SYSCALLS.get(), high = SYSCALLS.get();
  if (low >= 0) assert(high === 0); else assert(high === -1);
  return low;
 }),
 getZero: (function() {
  assert(SYSCALLS.get() === 0);
 })
};
function ___syscall195(which, varargs) {
 SYSCALLS.varargs = varargs;
 try {
  var path = SYSCALLS.getStr(), buf = SYSCALLS.get();
  return SYSCALLS.doStat(FS.stat, path, buf);
 } catch (e) {
  if (typeof FS === "undefined" || !(e instanceof FS.ErrnoError)) abort(e);
  return -e.errno;
 }
}
function ___syscall194(which, varargs) {
 SYSCALLS.varargs = varargs;
 try {
  var fd = SYSCALLS.get(), zero = SYSCALLS.getZero(), length = SYSCALLS.get64();
  FS.ftruncate(fd, length);
  return 0;
 } catch (e) {
  if (typeof FS === "undefined" || !(e instanceof FS.ErrnoError)) abort(e);
  return -e.errno;
 }
}
function ___syscall197(which, varargs) {
 SYSCALLS.varargs = varargs;
 try {
  var stream = SYSCALLS.getStreamFromFD(), buf = SYSCALLS.get();
  return SYSCALLS.doStat(FS.stat, stream.path, buf);
 } catch (e) {
  if (typeof FS === "undefined" || !(e instanceof FS.ErrnoError)) abort(e);
  return -e.errno;
 }
}
function ___lock() {}
function ___unlock() {}
var EmterpreterAsync = undefined;
function ___syscall118(which, varargs) {
 SYSCALLS.varargs = varargs;
 try {
  var stream = SYSCALLS.getStreamFromFD();
  return 0;
 } catch (e) {
  if (typeof FS === "undefined" || !(e instanceof FS.ErrnoError)) abort(e);
  return -e.errno;
 }
}
Module["_i64Add"] = _i64Add;
function _clock() {
 if (_clock.start === undefined) _clock.start = Date.now();
 return (Date.now() - _clock.start) * (1e6 / 1e3) | 0;
}
function _usleep(useconds) {
 var msec = useconds / 1e3;
 if ((ENVIRONMENT_IS_WEB || ENVIRONMENT_IS_WORKER) && self["performance"] && self["performance"]["now"]) {
  var start = self["performance"]["now"]();
  while (self["performance"]["now"]() - start < msec) {}
 } else {
  var start = Date.now();
  while (Date.now() - start < msec) {}
 }
 return 0;
}
Module["_usleep"] = _usleep;
function _nanosleep(rqtp, rmtp) {
 var seconds = get32(rqtp | 0);
 var nanoseconds = get32(rqtp + 4 | 0);
 if (rmtp !== 0) {
  set32(rmtp | 0, 0 | 0);
  set32(rmtp + 4 | 0, 0 | 0);
 }
 return _usleep(seconds * 1e6 + nanoseconds / 1e3);
}
function _emscripten_memcpy_big(dest, src, num) {
 HEAPU8.set(HEAPU8.subarray(src, src + num), dest);
 return dest;
}
Module["_memcpy"] = _memcpy;
var _emscripten_asm_const_int = true;
var _SItoD = true;
function ___syscall91(which, varargs) {
 SYSCALLS.varargs = varargs;
 try {
  var addr = SYSCALLS.get(), len = SYSCALLS.get();
  var info = SYSCALLS.mappings[addr];
  if (!info) return 0;
  if (len === info.len) {
   var stream = FS.getStream(info.fd);
   SYSCALLS.doMsync(addr, stream, len, info.flags);
   FS.munmap(stream);
   SYSCALLS.mappings[addr] = null;
   if (info.allocated) {
    _free(info.malloc);
   }
  }
  return 0;
 } catch (e) {
  if (typeof FS === "undefined" || !(e instanceof FS.ErrnoError)) abort(e);
  return -e.errno;
 }
}
function _dlerror() {
 if (DLFCN.errorMsg === null) {
  return 0;
 } else {
  if (DLFCN.error) _free(DLFCN.error);
  var msgArr = intArrayFromString(DLFCN.errorMsg);
  DLFCN.error = allocate(msgArr, "i8", ALLOC_NORMAL);
  DLFCN.errorMsg = null;
  return DLFCN.error;
 }
}
function __exit(status) {
 Module["exit"](status);
}
function _exit(status) {
 __exit(status);
}
function ___syscall54(which, varargs) {
 SYSCALLS.varargs = varargs;
 try {
  var stream = SYSCALLS.getStreamFromFD(), op = SYSCALLS.get();
  switch (op) {
  case 21505:
   {
    if (!stream.tty) return -ERRNO_CODES.ENOTTY;
    return 0;
   }
  case 21506:
   {
    if (!stream.tty) return -ERRNO_CODES.ENOTTY;
    return 0;
   }
  case 21519:
   {
    if (!stream.tty) return -ERRNO_CODES.ENOTTY;
    var argp = SYSCALLS.get();
    set32(argp | 0, 0 | 0);
    return 0;
   }
  case 21520:
   {
    if (!stream.tty) return -ERRNO_CODES.ENOTTY;
    return -ERRNO_CODES.EINVAL;
   }
  case 21531:
   {
    var argp = SYSCALLS.get();
    return FS.ioctl(stream, op, argp);
   }
  default:
   abort("bad ioctl syscall " + op);
  }
 } catch (e) {
  if (typeof FS === "undefined" || !(e instanceof FS.ErrnoError)) abort(e);
  return -e.errno;
 }
}
var ___tm_current = allocate(44, "i8", ALLOC_STATIC);
var ___tm_timezone = allocate(intArrayFromString("GMT"), "i8", ALLOC_STATIC);
var _tzname = allocate(8, "i32*", ALLOC_STATIC);
var _daylight = allocate(1, "i32*", ALLOC_STATIC);
var _timezone = allocate(1, "i32*", ALLOC_STATIC);
function _tzset() {
 if (_tzset.called) return;
 _tzset.called = true;
 set32(_timezone | 0, -(new Date).getTimezoneOffset() * 60 | 0);
 var winter = new Date(2e3, 0, 1);
 var summer = new Date(2e3, 6, 1);
 set32(_daylight | 0, Number(winter.getTimezoneOffset() != summer.getTimezoneOffset()) | 0);
 function extractZone(date) {
  var match = date.toTimeString().match(/\(([A-Za-z ]+)\)$/);
  return match ? match[1] : "GMT";
 }
 var winterName = extractZone(winter);
 var summerName = extractZone(summer);
 var winterNamePtr = allocate(intArrayFromString(winterName), "i8", ALLOC_NORMAL);
 var summerNamePtr = allocate(intArrayFromString(summerName), "i8", ALLOC_NORMAL);
 if (summer.getTimezoneOffset() < winter.getTimezoneOffset()) {
  set32(_tzname | 0, winterNamePtr | 0);
  set32(_tzname + 4 | 0, summerNamePtr | 0);
 } else {
  set32(_tzname | 0, summerNamePtr | 0);
  set32(_tzname + 4 | 0, winterNamePtr | 0);
 }
}
function _localtime_r(time, tmPtr) {
 _tzset();
 var date = new Date(get32(time | 0) * 1e3);
 set32(tmPtr | 0, date.getSeconds() | 0);
 set32(tmPtr + 4 | 0, date.getMinutes() | 0);
 set32(tmPtr + 8 | 0, date.getHours() | 0);
 set32(tmPtr + 12 | 0, date.getDate() | 0);
 set32(tmPtr + 16 | 0, date.getMonth() | 0);
 set32(tmPtr + 20 | 0, date.getFullYear() - 1900 | 0);
 set32(tmPtr + 24 | 0, date.getDay() | 0);
 var start = new Date(date.getFullYear(), 0, 1);
 var yday = (date.getTime() - start.getTime()) / (1e3 * 60 * 60 * 24) | 0;
 set32(tmPtr + 28 | 0, yday | 0);
 set32(tmPtr + 36 | 0, -(date.getTimezoneOffset() * 60) | 0);
 var summerOffset = (new Date(2e3, 6, 1)).getTimezoneOffset();
 var winterOffset = start.getTimezoneOffset();
 var dst = date.getTimezoneOffset() == Math.min(winterOffset, summerOffset) | 0;
 set32(tmPtr + 32 | 0, dst | 0);
 var zonePtr = get32(_tzname + (dst ? Runtime.QUANTUM_SIZE : 0) | 0);
 set32(tmPtr + 40 | 0, zonePtr | 0);
 return tmPtr;
}
function _localtime(time) {
 return _localtime_r(time, ___tm_current);
}
Module["_bitshift64Lshr"] = _bitshift64Lshr;
function _pthread_cleanup_pop() {
 assert(_pthread_cleanup_push.level == __ATEXIT__.length, "cannot pop if something else added meanwhile!");
 __ATEXIT__.pop();
 _pthread_cleanup_push.level = __ATEXIT__.length;
}
function ___syscall33(which, varargs) {
 SYSCALLS.varargs = varargs;
 try {
  var path = SYSCALLS.getStr(), amode = SYSCALLS.get();
  return SYSCALLS.doAccess(path, amode);
 } catch (e) {
  if (typeof FS === "undefined" || !(e instanceof FS.ErrnoError)) abort(e);
  return -e.errno;
 }
}
var _BDtoIHigh = true;
function _pthread_cleanup_push(routine, arg) {
 __ATEXIT__.push((function() {
  Runtime.dynCall("vi", routine, [ arg ]);
 }));
 _pthread_cleanup_push.level = __ATEXIT__.length;
}
function ___syscall10(which, varargs) {
 SYSCALLS.varargs = varargs;
 try {
  var path = SYSCALLS.getStr();
  FS.unlink(path);
  return 0;
 } catch (e) {
  if (typeof FS === "undefined" || !(e instanceof FS.ErrnoError)) abort(e);
  return -e.errno;
 }
}
var _environ = allocate(1, "i32*", ALLOC_STATIC);
var ___environ = _environ;
function ___buildEnvironment(env) {
 var MAX_ENV_VALUES = 64;
 var TOTAL_ENV_SIZE = 1024;
 var poolPtr;
 var envPtr;
 if (!___buildEnvironment.called) {
  ___buildEnvironment.called = true;
  ENV["USER"] = ENV["LOGNAME"] = "web_user";
  ENV["PATH"] = "/";
  ENV["PWD"] = "/";
  ENV["HOME"] = "/home/web_user";
  ENV["LANG"] = "C";
  ENV["_"] = Module["thisProgram"];
  poolPtr = allocate(TOTAL_ENV_SIZE, "i8", ALLOC_STATIC);
  envPtr = allocate(MAX_ENV_VALUES * 4, "i8*", ALLOC_STATIC);
  set32(envPtr | 0, poolPtr | 0);
  set32(_environ | 0, envPtr | 0);
 } else {
  envPtr = get32(_environ | 0);
  poolPtr = get32(envPtr | 0);
 }
 var strings = [];
 var totalSize = 0;
 for (var key in env) {
  if (typeof env[key] === "string") {
   var line = key + "=" + env[key];
   strings.push(line);
   totalSize += line.length;
  }
 }
 if (totalSize > TOTAL_ENV_SIZE) {
  throw new Error("Environment size exceeded TOTAL_ENV_SIZE!");
 }
 var ptrSize = 4;
 for (var i = 0; i < strings.length; i++) {
  var line = strings[i];
  writeAsciiToMemory(line, poolPtr);
  set32(envPtr + i * ptrSize | 0, poolPtr | 0);
  poolPtr += line.length + 1;
 }
 set32(envPtr + strings.length * ptrSize | 0, 0 | 0);
}
var ENV = {};
function _getenv(name) {
 if (name === 0) return 0;
 name = Pointer_stringify(name);
 if (!ENV.hasOwnProperty(name)) return 0;
 if (_getenv.ret) _free(_getenv.ret);
 _getenv.ret = allocate(intArrayFromString(ENV[name]), "i8", ALLOC_NORMAL);
 return _getenv.ret;
}
function _gettimeofday(ptr) {
 var now = Date.now();
 set32(ptr | 0, now / 1e3 | 0 | 0);
 set32(ptr + 4 | 0, now % 1e3 * 1e3 | 0 | 0);
 return 0;
}
function ___syscall183(which, varargs) {
 SYSCALLS.varargs = varargs;
 try {
  var buf = SYSCALLS.get(), size = SYSCALLS.get();
  if (size === 0) return -ERRNO_CODES.EINVAL;
  var cwd = FS.cwd();
  if (size < cwd.length + 1) return -ERRNO_CODES.ERANGE;
  writeAsciiToMemory(cwd, buf);
  return buf;
 } catch (e) {
  if (typeof FS === "undefined" || !(e instanceof FS.ErrnoError)) abort(e);
  return -e.errno;
 }
}
function ___syscall3(which, varargs) {
 SYSCALLS.varargs = varargs;
 try {
  var stream = SYSCALLS.getStreamFromFD(), buf = SYSCALLS.get(), count = SYSCALLS.get();
  return FS.read(stream, HEAP8s[buf >> SPLIT_MEMORY_BITS], buf & SPLIT_MEMORY_MASK, count);
 } catch (e) {
  if (typeof FS === "undefined" || !(e instanceof FS.ErrnoError)) abort(e);
  return -e.errno;
 }
}
function _dlclose(handle) {
 if (!DLFCN.loadedLibs[handle]) {
  DLFCN.errorMsg = "Tried to dlclose() unopened handle: " + handle;
  return 1;
 } else {
  var lib_record = DLFCN.loadedLibs[handle];
  if (--lib_record.refcount == 0) {
   if (lib_record.module.cleanups) {
    lib_record.module.cleanups.forEach((function(cleanup) {
     cleanup();
    }));
   }
   delete DLFCN.loadedLibNames[lib_record.name];
   delete DLFCN.loadedLibs[handle];
  }
  return 0;
 }
}
function ___syscall5(which, varargs) {
 SYSCALLS.varargs = varargs;
 try {
  var pathname = SYSCALLS.getStr(), flags = SYSCALLS.get(), mode = SYSCALLS.get();
  var stream = FS.open(pathname, flags, mode);
  return stream.fd;
 } catch (e) {
  if (typeof FS === "undefined" || !(e instanceof FS.ErrnoError)) abort(e);
  return -e.errno;
 }
}
function ___syscall4(which, varargs) {
 SYSCALLS.varargs = varargs;
 try {
  var stream = SYSCALLS.getStreamFromFD(), buf = SYSCALLS.get(), count = SYSCALLS.get();
  return FS.write(stream, HEAP8s[buf >> SPLIT_MEMORY_BITS], buf & SPLIT_MEMORY_MASK, count);
 } catch (e) {
  if (typeof FS === "undefined" || !(e instanceof FS.ErrnoError)) abort(e);
  return -e.errno;
 }
}
function _dlopen(filename, flag) {
 filename = filename === 0 ? "__self__" : (ENV["LD_LIBRARY_PATH"] || "/") + Pointer_stringify(filename);
 if (DLFCN.loadedLibNames[filename]) {
  var handle = DLFCN.loadedLibNames[filename];
  DLFCN.loadedLibs[handle].refcount++;
  return handle;
 }
 if (filename === "__self__") {
  var handle = -1;
  var lib_module = Module;
  var cached_functions = {};
 } else {
  var target = FS.findObject(filename);
  if (!target || target.isFolder || target.isDevice) {
   DLFCN.errorMsg = "Could not find dynamic lib: " + filename;
   return 0;
  } else {
   FS.forceLoadFile(target);
   var lib_data = FS.readFile(filename, {
    encoding: "utf8"
   });
  }
  try {
   var lib_module = eval(lib_data)(Runtime.alignFunctionTables(), Module);
  } catch (e) {
   DLFCN.errorMsg = "Could not evaluate dynamic lib: " + filename;
   return 0;
  }
  var handle = 1;
  for (var key in DLFCN.loadedLibs) {
   if (DLFCN.loadedLibs.hasOwnProperty(key)) handle++;
  }
  if (flag & 256) {
   for (var ident in lib_module) {
    if (lib_module.hasOwnProperty(ident)) {
     Module[ident] = lib_module[ident];
    }
   }
  }
  var cached_functions = {};
 }
 DLFCN.loadedLibs[handle] = {
  refcount: 1,
  name: filename,
  module: lib_module,
  cached_functions: cached_functions
 };
 DLFCN.loadedLibNames[filename] = handle;
 return handle;
}
function ___syscall6(which, varargs) {
 SYSCALLS.varargs = varargs;
 try {
  var stream = SYSCALLS.getStreamFromFD();
  FS.close(stream);
  return 0;
 } catch (e) {
  if (typeof FS === "undefined" || !(e instanceof FS.ErrnoError)) abort(e);
  return -e.errno;
 }
}
Module["_memmove"] = _memmove;
var _BItoD = true;
function ___syscall192(which, varargs) {
 SYSCALLS.varargs = varargs;
 try {
  var addr = SYSCALLS.get(), len = SYSCALLS.get(), prot = SYSCALLS.get(), flags = SYSCALLS.get(), fd = SYSCALLS.get(), off = SYSCALLS.get();
  off <<= 12;
  var ptr;
  var allocated = false;
  if (fd === -1) {
   ptr = _malloc(len);
   if (!ptr) return -ERRNO_CODES.ENOMEM;
   _memset(ptr, 0, len);
   allocated = true;
  } else {
   var info = FS.getStream(fd);
   if (!info) return -ERRNO_CODES.EBADF;
   var res = FS.mmap(info, HEAPU8, addr, len, off, prot, flags);
   ptr = res.ptr;
   allocated = res.allocated;
  }
  SYSCALLS.mappings[ptr] = {
   malloc: ptr,
   len: len,
   allocated: allocated,
   fd: fd,
   flags: flags
  };
  return ptr;
 } catch (e) {
  if (typeof FS === "undefined" || !(e instanceof FS.ErrnoError)) abort(e);
  return -e.errno;
 }
}
Module["_llvm_bswap_i32"] = _llvm_bswap_i32;
function _llvm_trap() {
 abort("trap!");
}
function _time(ptr) {
 var ret = Date.now() / 1e3 | 0;
 if (ptr) {
  set32(ptr | 0, ret | 0);
 }
 return ret;
}
function _pthread_self() {
 return 0;
}
function ___syscall140(which, varargs) {
 SYSCALLS.varargs = varargs;
 try {
  var stream = SYSCALLS.getStreamFromFD(), offset_high = SYSCALLS.get(), offset_low = SYSCALLS.get(), result = SYSCALLS.get(), whence = SYSCALLS.get();
  var offset = offset_low;
  assert(offset_high === 0);
  FS.llseek(stream, offset, whence);
  set32(result | 0, stream.position | 0);
  if (stream.getdents && offset === 0 && whence === 0) stream.getdents = null;
  return 0;
 } catch (e) {
  if (typeof FS === "undefined" || !(e instanceof FS.ErrnoError)) abort(e);
  return -e.errno;
 }
}
function _utimes(path, times) {
 var time;
 if (times) {
  var offset = 8 + 0;
  time = get32(times + offset | 0) * 1e3;
  offset = 8 + 4;
  time += get32(times + offset | 0) / 1e3;
 } else {
  time = Date.now();
 }
 path = Pointer_stringify(path);
 try {
  FS.utime(path, time, time);
  return 0;
 } catch (e) {
  FS.handleFSError(e);
  return -1;
 }
}
function ___syscall146(which, varargs) {
 SYSCALLS.varargs = varargs;
 try {
  var stream = SYSCALLS.getStreamFromFD(), iov = SYSCALLS.get(), iovcnt = SYSCALLS.get();
  return SYSCALLS.doWritev(stream, iov, iovcnt);
 } catch (e) {
  if (typeof FS === "undefined" || !(e instanceof FS.ErrnoError)) abort(e);
  return -e.errno;
 }
}
function ___syscall221(which, varargs) {
 SYSCALLS.varargs = varargs;
 try {
  var stream = SYSCALLS.getStreamFromFD(), cmd = SYSCALLS.get();
  switch (cmd) {
  case 0:
   {
    var arg = SYSCALLS.get();
    if (arg < 0) {
     return -ERRNO_CODES.EINVAL;
    }
    var newStream;
    newStream = FS.open(stream.path, stream.flags, 0, arg);
    return newStream.fd;
   }
  case 1:
  case 2:
   return 0;
  case 3:
   return stream.flags;
  case 4:
   {
    var arg = SYSCALLS.get();
    stream.flags |= arg;
    return 0;
   }
  case 12:
  case 12:
   {
    var arg = SYSCALLS.get();
    var offset = 0;
    set16(arg + offset | 0, 2 | 0);
    return 0;
   }
  case 13:
  case 14:
  case 13:
  case 14:
   return 0;
  case 16:
  case 8:
   return -ERRNO_CODES.EINVAL;
  case 9:
   ___setErrNo(ERRNO_CODES.EINVAL);
   return -1;
  default:
   {
    return -ERRNO_CODES.EINVAL;
   }
  }
 } catch (e) {
  if (typeof FS === "undefined" || !(e instanceof FS.ErrnoError)) abort(e);
  return -e.errno;
 }
}
function _emscripten_get_now() {
 if (!_emscripten_get_now.actual) {
  if (ENVIRONMENT_IS_NODE) {
   _emscripten_get_now.actual = function _emscripten_get_now_actual() {
    var t = process["hrtime"]();
    return t[0] * 1e3 + t[1] / 1e6;
   };
  } else if (typeof dateNow !== "undefined") {
   _emscripten_get_now.actual = dateNow;
  } else if (typeof self === "object" && self["performance"] && typeof self["performance"]["now"] === "function") {
   _emscripten_get_now.actual = function _emscripten_get_now_actual() {
    return self["performance"]["now"]();
   };
  } else if (typeof performance === "object" && typeof performance["now"] === "function") {
   _emscripten_get_now.actual = function _emscripten_get_now_actual() {
    return performance["now"]();
   };
  } else {
   _emscripten_get_now.actual = Date.now;
  }
 }
 return _emscripten_get_now.actual();
}
Module["requestFullScreen"] = function Module_requestFullScreen(lockPointer, resizeCanvas, vrDevice) {
 Browser.requestFullScreen(lockPointer, resizeCanvas, vrDevice);
};
Module["requestAnimationFrame"] = function Module_requestAnimationFrame(func) {
 Browser.requestAnimationFrame(func);
};
Module["setCanvasSize"] = function Module_setCanvasSize(width, height, noUpdates) {
 Browser.setCanvasSize(width, height, noUpdates);
};
Module["pauseMainLoop"] = function Module_pauseMainLoop() {
 Browser.mainLoop.pause();
};
Module["resumeMainLoop"] = function Module_resumeMainLoop() {
 Browser.mainLoop.resume();
};
Module["getUserMedia"] = function Module_getUserMedia() {
 Browser.getUserMedia();
};
Module["createContext"] = function Module_createContext(canvas, useWebGL, setInModule, webGLContextAttributes) {
 return Browser.createContext(canvas, useWebGL, setInModule, webGLContextAttributes);
};
FS.staticInit();
__ATINIT__.unshift((function() {
 if (!Module["noFSInit"] && !FS.init.initialized) FS.init();
}));
__ATMAIN__.push((function() {
 FS.ignorePermissions = false;
}));
__ATEXIT__.push((function() {
 FS.quit();
}));
Module["FS_createFolder"] = FS.createFolder;
Module["FS_createPath"] = FS.createPath;
Module["FS_createDataFile"] = FS.createDataFile;
Module["FS_createPreloadedFile"] = FS.createPreloadedFile;
Module["FS_createLazyFile"] = FS.createLazyFile;
Module["FS_createLink"] = FS.createLink;
Module["FS_createDevice"] = FS.createDevice;
Module["FS_unlink"] = FS.unlink;
__ATINIT__.unshift((function() {
 TTY.init();
}));
__ATEXIT__.push((function() {
 TTY.shutdown();
}));
if (ENVIRONMENT_IS_NODE) {
 var fs = require("fs");
 var NODEJS_PATH = require("path");
 NODEFS.staticInit();
}
___buildEnvironment(ENV);
STACK_BASE = STACKTOP = Runtime.alignMemory(STATICTOP);
staticSealed = true;
STACK_MAX = STACK_BASE + TOTAL_STACK;
DYNAMIC_BASE = DYNAMICTOP = Runtime.alignMemory(STACK_MAX);
assert(DYNAMIC_BASE < TOTAL_MEMORY, "TOTAL_MEMORY not big enough for stack");
assert(STACK_MAX < SPLIT_MEMORY, "SPLIT_MEMORY size must be big enough so the entire static memory + stack can fit in one chunk, need " + STACK_MAX);
var cttz_i8 = allocate([ 8, 0, 1, 0, 2, 0, 1, 0, 3, 0, 1, 0, 2, 0, 1, 0, 4, 0, 1, 0, 2, 0, 1, 0, 3, 0, 1, 0, 2, 0, 1, 0, 5, 0, 1, 0, 2, 0, 1, 0, 3, 0, 1, 0, 2, 0, 1, 0, 4, 0, 1, 0, 2, 0, 1, 0, 3, 0, 1, 0, 2, 0, 1, 0, 6, 0, 1, 0, 2, 0, 1, 0, 3, 0, 1, 0, 2, 0, 1, 0, 4, 0, 1, 0, 2, 0, 1, 0, 3, 0, 1, 0, 2, 0, 1, 0, 5, 0, 1, 0, 2, 0, 1, 0, 3, 0, 1, 0, 2, 0, 1, 0, 4, 0, 1, 0, 2, 0, 1, 0, 3, 0, 1, 0, 2, 0, 1, 0, 7, 0, 1, 0, 2, 0, 1, 0, 3, 0, 1, 0, 2, 0, 1, 0, 4, 0, 1, 0, 2, 0, 1, 0, 3, 0, 1, 0, 2, 0, 1, 0, 5, 0, 1, 0, 2, 0, 1, 0, 3, 0, 1, 0, 2, 0, 1, 0, 4, 0, 1, 0, 2, 0, 1, 0, 3, 0, 1, 0, 2, 0, 1, 0, 6, 0, 1, 0, 2, 0, 1, 0, 3, 0, 1, 0, 2, 0, 1, 0, 4, 0, 1, 0, 2, 0, 1, 0, 3, 0, 1, 0, 2, 0, 1, 0, 5, 0, 1, 0, 2, 0, 1, 0, 3, 0, 1, 0, 2, 0, 1, 0, 4, 0, 1, 0, 2, 0, 1, 0, 3, 0, 1, 0, 2, 0, 1, 0 ], "i8", ALLOC_DYNAMIC);
function invoke_vi(index, a1) {
 try {
  Module["dynCall_vi"](index, a1);
 } catch (e) {
  if (typeof e !== "number" && e !== "longjmp") throw e;
  asm["setThrew"](1, 0);
 }
}
function invoke_iiii(index, a1, a2, a3) {
 try {
  return Module["dynCall_iiii"](index, a1, a2, a3);
 } catch (e) {
  if (typeof e !== "number" && e !== "longjmp") throw e;
  asm["setThrew"](1, 0);
 }
}
function invoke_viiiiii(index, a1, a2, a3, a4, a5, a6) {
 try {
  Module["dynCall_viiiiii"](index, a1, a2, a3, a4, a5, a6);
 } catch (e) {
  if (typeof e !== "number" && e !== "longjmp") throw e;
  asm["setThrew"](1, 0);
 }
}
function invoke_dii(index, a1, a2) {
 try {
  return Module["dynCall_dii"](index, a1, a2);
 } catch (e) {
  if (typeof e !== "number" && e !== "longjmp") throw e;
  asm["setThrew"](1, 0);
 }
}
function invoke_vid(index, a1, a2) {
 try {
  Module["dynCall_vid"](index, a1, a2);
 } catch (e) {
  if (typeof e !== "number" && e !== "longjmp") throw e;
  asm["setThrew"](1, 0);
 }
}
function invoke_di(index, a1) {
 try {
  return Module["dynCall_di"](index, a1);
 } catch (e) {
  if (typeof e !== "number" && e !== "longjmp") throw e;
  asm["setThrew"](1, 0);
 }
}
function invoke_i(index) {
 try {
  return Module["dynCall_i"](index);
 } catch (e) {
  if (typeof e !== "number" && e !== "longjmp") throw e;
  asm["setThrew"](1, 0);
 }
}
function invoke_iiiiiiiiii(index, a1, a2, a3, a4, a5, a6, a7, a8, a9) {
 try {
  return Module["dynCall_iiiiiiiiii"](index, a1, a2, a3, a4, a5, a6, a7, a8, a9);
 } catch (e) {
  if (typeof e !== "number" && e !== "longjmp") throw e;
  asm["setThrew"](1, 0);
 }
}
function invoke_vii(index, a1, a2) {
 try {
  Module["dynCall_vii"](index, a1, a2);
 } catch (e) {
  if (typeof e !== "number" && e !== "longjmp") throw e;
  asm["setThrew"](1, 0);
 }
}
function invoke_iiiiiii(index, a1, a2, a3, a4, a5, a6) {
 try {
  return Module["dynCall_iiiiiii"](index, a1, a2, a3, a4, a5, a6);
 } catch (e) {
  if (typeof e !== "number" && e !== "longjmp") throw e;
  asm["setThrew"](1, 0);
 }
}
function invoke_ii(index, a1) {
 try {
  return Module["dynCall_ii"](index, a1);
 } catch (e) {
  if (typeof e !== "number" && e !== "longjmp") throw e;
  asm["setThrew"](1, 0);
 }
}
function invoke_viii(index, a1, a2, a3) {
 try {
  Module["dynCall_viii"](index, a1, a2, a3);
 } catch (e) {
  if (typeof e !== "number" && e !== "longjmp") throw e;
  asm["setThrew"](1, 0);
 }
}
function invoke_v(index) {
 try {
  Module["dynCall_v"](index);
 } catch (e) {
  if (typeof e !== "number" && e !== "longjmp") throw e;
  asm["setThrew"](1, 0);
 }
}
function invoke_iiiiiiiii(index, a1, a2, a3, a4, a5, a6, a7, a8) {
 try {
  return Module["dynCall_iiiiiiiii"](index, a1, a2, a3, a4, a5, a6, a7, a8);
 } catch (e) {
  if (typeof e !== "number" && e !== "longjmp") throw e;
  asm["setThrew"](1, 0);
 }
}
function invoke_iiiii(index, a1, a2, a3, a4) {
 try {
  return Module["dynCall_iiiii"](index, a1, a2, a3, a4);
 } catch (e) {
  if (typeof e !== "number" && e !== "longjmp") throw e;
  asm["setThrew"](1, 0);
 }
}
function invoke_viiii(index, a1, a2, a3, a4) {
 try {
  Module["dynCall_viiii"](index, a1, a2, a3, a4);
 } catch (e) {
  if (typeof e !== "number" && e !== "longjmp") throw e;
  asm["setThrew"](1, 0);
 }
}
function invoke_iii(index, a1, a2) {
 try {
  return Module["dynCall_iii"](index, a1, a2);
 } catch (e) {
  if (typeof e !== "number" && e !== "longjmp") throw e;
  asm["setThrew"](1, 0);
 }
}
function invoke_iiid(index, a1, a2, a3) {
 try {
  return Module["dynCall_iiid"](index, a1, a2, a3);
 } catch (e) {
  if (typeof e !== "number" && e !== "longjmp") throw e;
  asm["setThrew"](1, 0);
 }
}
function invoke_iiiiii(index, a1, a2, a3, a4, a5) {
 try {
  return Module["dynCall_iiiiii"](index, a1, a2, a3, a4, a5);
 } catch (e) {
  if (typeof e !== "number" && e !== "longjmp") throw e;
  asm["setThrew"](1, 0);
 }
}
Module.asmGlobalArg = {
 "Math": Math,
 "Int8Array": Int8Array,
 "Int16Array": Int16Array,
 "Int32Array": Int32Array,
 "Uint8Array": Uint8Array,
 "Uint16Array": Uint16Array,
 "Uint32Array": Uint32Array,
 "Float32Array": Float32Array,
 "Float64Array": Float64Array,
 "NaN": NaN,
 "Infinity": Infinity
};
Module.asmLibraryArg = {
 "abort": abort,
 "assert": assert,
 "invoke_vi": invoke_vi,
 "invoke_iiii": invoke_iiii,
 "invoke_viiiiii": invoke_viiiiii,
 "invoke_dii": invoke_dii,
 "invoke_vid": invoke_vid,
 "invoke_di": invoke_di,
 "invoke_i": invoke_i,
 "invoke_iiiiiiiiii": invoke_iiiiiiiiii,
 "invoke_vii": invoke_vii,
 "invoke_iiiiiii": invoke_iiiiiii,
 "invoke_ii": invoke_ii,
 "invoke_viii": invoke_viii,
 "invoke_v": invoke_v,
 "invoke_iiiiiiiii": invoke_iiiiiiiii,
 "invoke_iiiii": invoke_iiiii,
 "invoke_viiii": invoke_viiii,
 "invoke_iii": invoke_iii,
 "invoke_iiid": invoke_iiid,
 "invoke_iiiiii": invoke_iiiiii,
 "_pthread_cleanup_pop": _pthread_cleanup_pop,
 "___syscall221": ___syscall221,
 "_dlerror": _dlerror,
 "_utimes": _utimes,
 "_dlsym": _dlsym,
 "_pthread_cleanup_push": _pthread_cleanup_push,
 "_abort": _abort,
 "_emscripten_set_main_loop_timing": _emscripten_set_main_loop_timing,
 "___syscall183": ___syscall183,
 "_usleep": _usleep,
 "___buildEnvironment": ___buildEnvironment,
 "_localtime_r": _localtime_r,
 "_tzset": _tzset,
 "___setErrNo": ___setErrNo,
 "___syscall192": ___syscall192,
 "___syscall197": ___syscall197,
 "___syscall195": ___syscall195,
 "___syscall194": ___syscall194,
 "_sysconf": _sysconf,
 "___syscall140": ___syscall140,
 "_clock": _clock,
 "___syscall118": ___syscall118,
 "_nanosleep": _nanosleep,
 "_emscripten_memcpy_big": _emscripten_memcpy_big,
 "___syscall91": ___syscall91,
 "_pthread_self": _pthread_self,
 "_getenv": _getenv,
 "_dlopen": _dlopen,
 "___syscall33": ___syscall33,
 "___syscall54": ___syscall54,
 "___unlock": ___unlock,
 "_dlclose": _dlclose,
 "_emscripten_set_main_loop": _emscripten_set_main_loop,
 "_emscripten_get_now": _emscripten_get_now,
 "___syscall10": ___syscall10,
 "___syscall3": ___syscall3,
 "__exit": __exit,
 "___lock": ___lock,
 "___syscall6": ___syscall6,
 "___syscall5": ___syscall5,
 "___syscall4": ___syscall4,
 "_time": _time,
 "_gettimeofday": _gettimeofday,
 "_llvm_trap": _llvm_trap,
 "_localtime": _localtime,
 "_exit": _exit,
 "_emscripten_asm_const_2": _emscripten_asm_const_2,
 "___syscall146": ___syscall146,
 "_emscripten_asm_const_0": _emscripten_asm_const_0,
 "STACKTOP": STACKTOP,
 "STACK_MAX": STACK_MAX,
 "tempDoublePtr": tempDoublePtr,
 "ABORT": ABORT,
 "cttz_i8": cttz_i8
};
// EMSCRIPTEN_START_ASM

var asm = (function(global,env,buffer) {


  'almost asm';
  

  var STACKTOP=env.STACKTOP|0;
  var STACK_MAX=env.STACK_MAX|0;
  var tempDoublePtr=env.tempDoublePtr|0;
  var ABORT=env.ABORT|0;
  var cttz_i8=env.cttz_i8|0;

  var __THREW__ = 0;
  var threwValue = 0;
  var setjmpId = 0;
  var undef = 0;
  var nan = global.NaN, inf = global.Infinity;
  var tempInt = 0, tempBigInt = 0, tempBigIntP = 0, tempBigIntS = 0, tempBigIntR = 0.0, tempBigIntI = 0, tempBigIntD = 0, tempValue = 0, tempDouble = 0.0;

  var tempRet0 = 0;
  var tempRet1 = 0;
  var tempRet2 = 0;
  var tempRet3 = 0;
  var tempRet4 = 0;
  var tempRet5 = 0;
  var tempRet6 = 0;
  var tempRet7 = 0;
  var tempRet8 = 0;
  var tempRet9 = 0;
  var Math_floor=global.Math.floor;
  var Math_abs=global.Math.abs;
  var Math_sqrt=global.Math.sqrt;
  var Math_pow=global.Math.pow;
  var Math_cos=global.Math.cos;
  var Math_sin=global.Math.sin;
  var Math_tan=global.Math.tan;
  var Math_acos=global.Math.acos;
  var Math_asin=global.Math.asin;
  var Math_atan=global.Math.atan;
  var Math_atan2=global.Math.atan2;
  var Math_exp=global.Math.exp;
  var Math_log=global.Math.log;
  var Math_ceil=global.Math.ceil;
  var Math_imul=global.Math.imul;
  var Math_min=global.Math.min;
  var Math_clz32=global.Math.clz32;
  var abort=env.abort;
  var assert=env.assert;
  var invoke_vi=env.invoke_vi;
  var invoke_iiii=env.invoke_iiii;
  var invoke_viiiiii=env.invoke_viiiiii;
  var invoke_dii=env.invoke_dii;
  var invoke_vid=env.invoke_vid;
  var invoke_di=env.invoke_di;
  var invoke_i=env.invoke_i;
  var invoke_iiiiiiiiii=env.invoke_iiiiiiiiii;
  var invoke_vii=env.invoke_vii;
  var invoke_iiiiiii=env.invoke_iiiiiii;
  var invoke_ii=env.invoke_ii;
  var invoke_viii=env.invoke_viii;
  var invoke_v=env.invoke_v;
  var invoke_iiiiiiiii=env.invoke_iiiiiiiii;
  var invoke_iiiii=env.invoke_iiiii;
  var invoke_viiii=env.invoke_viiii;
  var invoke_iii=env.invoke_iii;
  var invoke_iiid=env.invoke_iiid;
  var invoke_iiiiii=env.invoke_iiiiii;
  var _pthread_cleanup_pop=env._pthread_cleanup_pop;
  var ___syscall221=env.___syscall221;
  var _dlerror=env._dlerror;
  var _utimes=env._utimes;
  var _dlsym=env._dlsym;
  var _pthread_cleanup_push=env._pthread_cleanup_push;
  var _abort=env._abort;
  var _emscripten_set_main_loop_timing=env._emscripten_set_main_loop_timing;
  var ___syscall183=env.___syscall183;
  var _usleep=env._usleep;
  var ___buildEnvironment=env.___buildEnvironment;
  var _localtime_r=env._localtime_r;
  var _tzset=env._tzset;
  var ___setErrNo=env.___setErrNo;
  var ___syscall192=env.___syscall192;
  var ___syscall197=env.___syscall197;
  var ___syscall195=env.___syscall195;
  var ___syscall194=env.___syscall194;
  var _sysconf=env._sysconf;
  var ___syscall140=env.___syscall140;
  var _clock=env._clock;
  var ___syscall118=env.___syscall118;
  var _nanosleep=env._nanosleep;
  var _emscripten_memcpy_big=env._emscripten_memcpy_big;
  var ___syscall91=env.___syscall91;
  var _pthread_self=env._pthread_self;
  var _getenv=env._getenv;
  var _dlopen=env._dlopen;
  var ___syscall33=env.___syscall33;
  var ___syscall54=env.___syscall54;
  var ___unlock=env.___unlock;
  var _dlclose=env._dlclose;
  var _emscripten_set_main_loop=env._emscripten_set_main_loop;
  var _emscripten_get_now=env._emscripten_get_now;
  var ___syscall10=env.___syscall10;
  var ___syscall3=env.___syscall3;
  var __exit=env.__exit;
  var ___lock=env.___lock;
  var ___syscall6=env.___syscall6;
  var ___syscall5=env.___syscall5;
  var ___syscall4=env.___syscall4;
  var _time=env._time;
  var _gettimeofday=env._gettimeofday;
  var _llvm_trap=env._llvm_trap;
  var _localtime=env._localtime;
  var _exit=env._exit;
  var _emscripten_asm_const_2=env._emscripten_asm_const_2;
  var ___syscall146=env.___syscall146;
  var _emscripten_asm_const_0=env._emscripten_asm_const_0;
  var tempFloat = 0.0;

function get8(ptr) {
  ptr = ptr | 0;
  return HEAP8s[ptr >> SPLIT_MEMORY_BITS][(ptr & SPLIT_MEMORY_MASK) >> 0] | 0;
}
function get16(ptr) {
  ptr = ptr | 0;
  return HEAP16s[ptr >> SPLIT_MEMORY_BITS][(ptr & SPLIT_MEMORY_MASK) >> 1] | 0;
}
function get32(ptr) {
  ptr = ptr | 0;
  return HEAP32s[ptr >> SPLIT_MEMORY_BITS][(ptr & SPLIT_MEMORY_MASK) >> 2] | 0;
}
function getU8(ptr) {
  ptr = ptr | 0;
  return HEAPU8s[ptr >> SPLIT_MEMORY_BITS][(ptr & SPLIT_MEMORY_MASK) >> 0] | 0;
}
function getU16(ptr) {
  ptr = ptr | 0;
  return HEAPU16s[ptr >> SPLIT_MEMORY_BITS][(ptr & SPLIT_MEMORY_MASK) >> 1] | 0;
}
function getU32(ptr) {
  ptr = ptr | 0;
  return HEAPU32s[ptr >> SPLIT_MEMORY_BITS][(ptr & SPLIT_MEMORY_MASK) >> 2] | 0;
}
function getF32(ptr) {
  ptr = ptr | 0;
  return +HEAPF32s[ptr >> SPLIT_MEMORY_BITS][(ptr & SPLIT_MEMORY_MASK) >> 2]; // TODO: fround when present
}
function getF64(ptr) {
  ptr = ptr | 0;
  return +HEAPF64s[ptr >> SPLIT_MEMORY_BITS][(ptr & SPLIT_MEMORY_MASK) >> 3];
}
function set8(ptr, value) {
  ptr = ptr | 0;
  value = value | 0;
  HEAP8s[ptr >> SPLIT_MEMORY_BITS][(ptr & SPLIT_MEMORY_MASK) >> 0] = value;
}
function set16(ptr, value) {
  ptr = ptr | 0;
  value = value | 0;
  HEAP16s[ptr >> SPLIT_MEMORY_BITS][(ptr & SPLIT_MEMORY_MASK) >> 1] = value;
}
function set32(ptr, value) {
  ptr = ptr | 0;
  value = value | 0;
  HEAP32s[ptr >> SPLIT_MEMORY_BITS][(ptr & SPLIT_MEMORY_MASK) >> 2] = value;
}
function setU8(ptr, value) {
  ptr = ptr | 0;
  value = value | 0;
  HEAPU8s[ptr >> SPLIT_MEMORY_BITS][(ptr & SPLIT_MEMORY_MASK) >> 0] = value;
}
function setU16(ptr, value) {
  ptr = ptr | 0;
  value = value | 0;
  HEAPU16s[ptr >> SPLIT_MEMORY_BITS][(ptr & SPLIT_MEMORY_MASK) >> 1] = value;
}
function setU32(ptr, value) {
  ptr = ptr | 0;
  value = value | 0;
  HEAPU32s[ptr >> SPLIT_MEMORY_BITS][(ptr & SPLIT_MEMORY_MASK) >> 2] = value;
}
function setF32(ptr, value) {
  ptr = ptr | 0;
  value = +value;
  HEAPF32s[ptr >> SPLIT_MEMORY_BITS][(ptr & SPLIT_MEMORY_MASK) >> 2] = value;
}
function setF64(ptr, value) {
  ptr = ptr | 0;
  value = +value;
  HEAPF64s[ptr >> SPLIT_MEMORY_BITS][(ptr & SPLIT_MEMORY_MASK) >> 3] = value;
}

// EMSCRIPTEN_START_FUNCS
function _yy_reduce(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0, i80 = 0, i81 = 0, i82 = 0, i83 = 0, i84 = 0, i85 = 0, i86 = 0, i87 = 0, i88 = 0, i89 = 0, i90 = 0, i91 = 0, i92 = 0, i93 = 0, i94 = 0, i95 = 0, i96 = 0, i97 = 0, i98 = 0, i99 = 0, i100 = 0, i101 = 0, i102 = 0, i103 = 0, i104 = 0, i105 = 0, i106 = 0, i107 = 0, i108 = 0, i109 = 0, i110 = 0, i111 = 0, i112 = 0, i113 = 0, i114 = 0, i115 = 0, i116 = 0, i117 = 0, i118 = 0, i119 = 0, i120 = 0, i121 = 0, i122 = 0, i123 = 0, i124 = 0, i125 = 0, i126 = 0, i127 = 0, i128 = 0, i129 = 0, i130 = 0, i131 = 0, i132 = 0, i133 = 0, i134 = 0, i135 = 0, i136 = 0, i137 = 0, i138 = 0, i139 = 0, i140 = 0, i141 = 0, i142 = 0, i143 = 0, i144 = 0, i145 = 0, i146 = 0, i147 = 0, i148 = 0, i149 = 0, i150 = 0, i151 = 0, i152 = 0, i153 = 0, i154 = 0, i155 = 0, i156 = 0, i157 = 0, i158 = 0, i159 = 0, i160 = 0, i161 = 0, i162 = 0, i163 = 0, i164 = 0, i165 = 0, i166 = 0, i167 = 0, i168 = 0, i169 = 0, i170 = 0, i171 = 0, i172 = 0, i173 = 0, i174 = 0, i175 = 0, i176 = 0, i177 = 0, i178 = 0, i179 = 0, i180 = 0, i181 = 0, i182 = 0, i183 = 0, i184 = 0, i185 = 0, i186 = 0, i187 = 0, i188 = 0, i189 = 0, i190 = 0, i191 = 0, i192 = 0, i193 = 0, i194 = 0, i195 = 0, i196 = 0, i197 = 0, i198 = 0, i199 = 0, i200 = 0, i201 = 0, i202 = 0, i203 = 0, i204 = 0, i205 = 0, i206 = 0, i207 = 0, i208 = 0, i209 = 0, i210 = 0, i211 = 0, i212 = 0, i213 = 0, i214 = 0, i215 = 0, i216 = 0, i217 = 0, i218 = 0, i219 = 0, i220 = 0, i221 = 0, i222 = 0, i223 = 0, i224 = 0, i225 = 0, i226 = 0, i227 = 0, i228 = 0, i229 = 0, i230 = 0, i231 = 0, i232 = 0, i233 = 0, i234 = 0, i235 = 0, i236 = 0, i237 = 0, i238 = 0, i239 = 0, i240 = 0, i241 = 0, i242 = 0, i243 = 0, i244 = 0, i245 = 0, i246 = 0, i247 = 0, i248 = 0, i249 = 0, i250 = 0, i251 = 0, i252 = 0, i253 = 0, i254 = 0, i255 = 0, i256 = 0, i257 = 0, i258 = 0, i259 = 0, i260 = 0, i261 = 0, i262 = 0, i263 = 0, i264 = 0, i265 = 0, i266 = 0, i267 = 0, i268 = 0, i269 = 0, i270 = 0, i271 = 0, i272 = 0, i273 = 0, i274 = 0, i275 = 0, i276 = 0, i277 = 0, i278 = 0, i279 = 0, i280 = 0, i281 = 0, i282 = 0, i283 = 0, i284 = 0, i285 = 0, i286 = 0, i287 = 0, i288 = 0, i289 = 0, i290 = 0, i291 = 0, i292 = 0, i293 = 0, i294 = 0, i295 = 0, i296 = 0, i297 = 0, i298 = 0, i299 = 0, i300 = 0, i301 = 0, i302 = 0, i303 = 0, i304 = 0, i305 = 0, i306 = 0, i307 = 0, i308 = 0, i309 = 0, i310 = 0, i311 = 0, i312 = 0, i313 = 0, i314 = 0, i315 = 0, i316 = 0, i317 = 0, i318 = 0, i319 = 0, i320 = 0, i321 = 0, i322 = 0, i323 = 0, i324 = 0, i325 = 0, i326 = 0, i327 = 0, i328 = 0, i329 = 0, i330 = 0, i331 = 0, i332 = 0, i333 = 0, i334 = 0, i335 = 0, i336 = 0, i337 = 0, i338 = 0, i339 = 0, i340 = 0, i341 = 0, i342 = 0, i343 = 0, i344 = 0, i345 = 0, i346 = 0, i347 = 0, i348 = 0, i349 = 0, i350 = 0, i351 = 0, i352 = 0, i353 = 0, i354 = 0, i355 = 0, i356 = 0, i357 = 0, i358 = 0, i359 = 0, i360 = 0, i361 = 0, i362 = 0, i363 = 0, i364 = 0, i365 = 0, i366 = 0, i367 = 0, i368 = 0, i369 = 0, i370 = 0, i371 = 0, i372 = 0, i373 = 0, i374 = 0, i375 = 0, i376 = 0, i377 = 0, i378 = 0, i379 = 0, i380 = 0, i381 = 0, i382 = 0, i383 = 0, i384 = 0, i385 = 0, i386 = 0, i387 = 0, i388 = 0, i389 = 0, i390 = 0, i391 = 0, i392 = 0, i393 = 0, i394 = 0, i395 = 0, i396 = 0, i397 = 0, i398 = 0, i399 = 0, i400 = 0, i401 = 0, i402 = 0, i403 = 0, i404 = 0, i405 = 0, i406 = 0, i407 = 0, i408 = 0, i409 = 0, i410 = 0, i411 = 0, i412 = 0, i413 = 0, i414 = 0, i415 = 0, i416 = 0, i417 = 0, i418 = 0, i419 = 0, i420 = 0, i421 = 0, i422 = 0, i423 = 0, i424 = 0, i425 = 0, i426 = 0, i427 = 0, i428 = 0, i429 = 0, i430 = 0, i431 = 0, i432 = 0, i433 = 0, i434 = 0, i435 = 0, i436 = 0, i437 = 0, i438 = 0, i439 = 0, i440 = 0, i441 = 0, i442 = 0, i443 = 0, i444 = 0, i445 = 0, i446 = 0, i447 = 0, i448 = 0, i449 = 0, i450 = 0, i451 = 0, i452 = 0, i453 = 0, i454 = 0, i455 = 0, i456 = 0, i457 = 0, i458 = 0, i459 = 0, i460 = 0, i461 = 0, i462 = 0, i463 = 0, i464 = 0, i465 = 0, i466 = 0, i467 = 0, i468 = 0, i469 = 0, i470 = 0, i471 = 0, i472 = 0, i473 = 0, i474 = 0, i475 = 0, i476 = 0, i477 = 0, i478 = 0, i479 = 0, i480 = 0, i481 = 0, i482 = 0, i483 = 0, i484 = 0, i485 = 0, i486 = 0, i487 = 0, i488 = 0, i489 = 0, i490 = 0, i491 = 0, i492 = 0, i493 = 0, i494 = 0, i495 = 0, i496 = 0, i497 = 0, i498 = 0, i499 = 0, i500 = 0, i501 = 0, i502 = 0, i503 = 0, i504 = 0, i505 = 0, i506 = 0, i507 = 0, i508 = 0, i509 = 0, i510 = 0, i511 = 0, i512 = 0, i513 = 0, i514 = 0, i515 = 0, i516 = 0, i517 = 0, i518 = 0, i519 = 0, i520 = 0, i521 = 0, i522 = 0, i523 = 0, i524 = 0, i525 = 0, i526 = 0, i527 = 0, i528 = 0, i529 = 0, i530 = 0, i531 = 0, i532 = 0, i533 = 0, i534 = 0, i535 = 0, i536 = 0, i537 = 0, i538 = 0, i539 = 0, i540 = 0, i541 = 0, i542 = 0, i543 = 0, i544 = 0, i545 = 0, i546 = 0, i547 = 0, i548 = 0, i549 = 0, i550 = 0, i551 = 0, i552 = 0, i553 = 0, i554 = 0, i555 = 0, i556 = 0, i557 = 0, i558 = 0, i559 = 0, i560 = 0, i561 = 0, i562 = 0, i563 = 0, i564 = 0, i565 = 0, i566 = 0, i567 = 0, i568 = 0, i569 = 0, i570 = 0, i571 = 0, i572 = 0, i573 = 0, i574 = 0, i575 = 0, i576 = 0, i577 = 0, i578 = 0, i579 = 0, i580 = 0, i581 = 0, i582 = 0, i583 = 0, i584 = 0, i585 = 0, i586 = 0, i587 = 0, i588 = 0, i589 = 0, i590 = 0, i591 = 0, i592 = 0, i593 = 0, i594 = 0, i595 = 0, i596 = 0, i597 = 0, i598 = 0, i599 = 0, i600 = 0, i601 = 0, i602 = 0, i603 = 0, i604 = 0, i605 = 0, i606 = 0, i607 = 0, i608 = 0, i609 = 0, i610 = 0, i611 = 0, i612 = 0, i613 = 0, i614 = 0, i615 = 0, i616 = 0, i617 = 0, i618 = 0, i619 = 0, i620 = 0, i621 = 0, i622 = 0, i623 = 0, i624 = 0, i625 = 0, i626 = 0, i627 = 0, i628 = 0, i629 = 0, i630 = 0, i631 = 0, i632 = 0, i633 = 0, i634 = 0, i635 = 0, i636 = 0, i637 = 0, i638 = 0, i639 = 0, i640 = 0, i641 = 0, i642 = 0, i643 = 0, i644 = 0, i645 = 0, i646 = 0, i647 = 0, i648 = 0, i649 = 0, i650 = 0, i651 = 0, i652 = 0, i653 = 0, i654 = 0, i655 = 0, i656 = 0, i657 = 0, i658 = 0, i659 = 0, i660 = 0, i661 = 0, i662 = 0, i663 = 0, i664 = 0, i665 = 0, i666 = 0, i667 = 0, i668 = 0, i669 = 0, i670 = 0, i671 = 0, i672 = 0, i673 = 0, i674 = 0, i675 = 0, i676 = 0, i677 = 0, i678 = 0, i679 = 0, i680 = 0, i681 = 0, i682 = 0, i683 = 0, i684 = 0, i685 = 0, i686 = 0, i687 = 0, i688 = 0, i689 = 0, i690 = 0, i691 = 0, i692 = 0, i693 = 0, i694 = 0, i695 = 0, i696 = 0, i697 = 0, i698 = 0, i699 = 0, i700 = 0, i701 = 0, i702 = 0, i703 = 0, i704 = 0, i705 = 0, i706 = 0, i707 = 0, i708 = 0, i709 = 0, i710 = 0, i711 = 0, i712 = 0, i713 = 0, i714 = 0, i715 = 0, i716 = 0, i717 = 0, i718 = 0, i719 = 0, i720 = 0, i721 = 0, i722 = 0, i723 = 0, i724 = 0, i725 = 0, i726 = 0, i727 = 0, i728 = 0, i729 = 0, i730 = 0, i731 = 0, i732 = 0, i733 = 0, i734 = 0, i735 = 0, i736 = 0, i737 = 0, i738 = 0, i739 = 0, i740 = 0, i741 = 0, i742 = 0, i743 = 0, i744 = 0, i745 = 0, i746 = 0, i747 = 0, i748 = 0, i749 = 0, i750 = 0, i751 = 0, i752 = 0, i753 = 0, i754 = 0, i755 = 0, i756 = 0, i757 = 0, i758 = 0, i759 = 0, i760 = 0, i761 = 0, i762 = 0, i763 = 0, i764 = 0, i765 = 0, i766 = 0, i767 = 0, i768 = 0, i769 = 0, i770 = 0, i771 = 0, i772 = 0, i773 = 0, i774 = 0, i775 = 0, i776 = 0, i777 = 0, i778 = 0, i779 = 0, i780 = 0, i781 = 0, i782 = 0, i783 = 0, i784 = 0, i785 = 0, i786 = 0, i787 = 0, i788 = 0, i789 = 0, i790 = 0, i791 = 0, i792 = 0, i793 = 0, i794 = 0, i795 = 0, i796 = 0, i797 = 0, i798 = 0, i799 = 0, i800 = 0, i801 = 0, i802 = 0, i803 = 0, i804 = 0, i805 = 0, i806 = 0, i807 = 0, i808 = 0, i809 = 0, i810 = 0, i811 = 0, i812 = 0, i813 = 0, i814 = 0, i815 = 0, i816 = 0, i817 = 0, i818 = 0, i819 = 0, i820 = 0, i821 = 0, i822 = 0, i823 = 0, i824 = 0, i825 = 0, i826 = 0, i827 = 0, i828 = 0, i829 = 0, i830 = 0, i831 = 0, i832 = 0, i833 = 0, i834 = 0, i835 = 0, i836 = 0, i837 = 0, i838 = 0, i839 = 0, i840 = 0, i841 = 0, i842 = 0, i843 = 0, i844 = 0, i845 = 0, i846 = 0, i847 = 0, i848 = 0, i849 = 0, i850 = 0, i851 = 0, i852 = 0, i853 = 0, i854 = 0, i855 = 0, i856 = 0, i857 = 0, i858 = 0, i859 = 0, i860 = 0, i861 = 0, i862 = 0, i863 = 0, i864 = 0, i865 = 0, i866 = 0, i867 = 0, i868 = 0, i869 = 0, i870 = 0, i871 = 0, i872 = 0, i873 = 0, i874 = 0, i875 = 0, i876 = 0, i877 = 0, i878 = 0, i879 = 0, i880 = 0, i881 = 0, i882 = 0, i883 = 0, i884 = 0, i885 = 0, i886 = 0, i887 = 0, i888 = 0, i889 = 0, i890 = 0, i891 = 0, i892 = 0, i893 = 0, i894 = 0, i895 = 0, i896 = 0, i897 = 0, i898 = 0, i899 = 0, i900 = 0, i901 = 0, i902 = 0, i903 = 0, i904 = 0, i905 = 0, i906 = 0, i907 = 0, i908 = 0, i909 = 0, i910 = 0, i911 = 0, i912 = 0, i913 = 0, i914 = 0, i915 = 0, i916 = 0, i917 = 0, i918 = 0, i919 = 0, i920 = 0, i921 = 0, i922 = 0, i923 = 0, i924 = 0, i925 = 0, i926 = 0, i927 = 0, i928 = 0, i929 = 0, i930 = 0, i931 = 0, i932 = 0, i933 = 0, i934 = 0, i935 = 0, i936 = 0, i937 = 0, i938 = 0, i939 = 0, i940 = 0, i941 = 0, i942 = 0, i943 = 0, i944 = 0, i945 = 0, i946 = 0, i947 = 0, i948 = 0, i949 = 0, i950 = 0, i951 = 0, i952 = 0, i953 = 0, i954 = 0, i955 = 0, i956 = 0, i957 = 0, i958 = 0, i959 = 0, i960 = 0, i961 = 0, i962 = 0, i963 = 0, i964 = 0, i965 = 0, i966 = 0, i967 = 0, i968 = 0, i969 = 0, i970 = 0, i971 = 0, i972 = 0, i973 = 0, i974 = 0, i975 = 0, i976 = 0, i977 = 0, i978 = 0, i979 = 0, i980 = 0, i981 = 0, i982 = 0, i983 = 0, i984 = 0, i985 = 0, i986 = 0, i987 = 0, i988 = 0, i989 = 0, i990 = 0, i991 = 0, i992 = 0, i993 = 0, i994 = 0, i995 = 0, i996 = 0, i997 = 0, i998 = 0, i999 = 0, i1000 = 0, i1001 = 0, i1002 = 0, i1003 = 0, i1004 = 0, i1005 = 0, i1006 = 0, i1007 = 0, i1008 = 0, i1009 = 0, i1010 = 0, i1011 = 0, i1012 = 0, i1013 = 0, i1014 = 0, i1015 = 0, i1016 = 0, i1017 = 0, i1018 = 0, i1019 = 0, i1020 = 0, i1021 = 0, i1022 = 0, i1023 = 0, i1024 = 0, i1025 = 0, i1026 = 0, i1027 = 0, i1028 = 0, i1029 = 0, i1030 = 0, i1031 = 0, i1032 = 0, i1033 = 0, i1034 = 0, i1035 = 0, i1036 = 0, i1037 = 0, i1038 = 0, i1039 = 0, i1040 = 0, i1041 = 0, i1042 = 0, i1043 = 0, i1044 = 0, i1045 = 0, i1046 = 0, i1047 = 0, i1048 = 0, i1049 = 0, i1050 = 0, i1051 = 0, i1052 = 0, i1053 = 0, i1054 = 0, i1055 = 0, i1056 = 0, i1057 = 0, i1058 = 0, i1059 = 0, i1060 = 0, i1061 = 0, i1062 = 0, i1063 = 0, i1064 = 0, i1065 = 0, i1066 = 0, i1067 = 0, i1068 = 0, i1069 = 0, i1070 = 0, i1071 = 0, i1072 = 0, i1073 = 0, i1074 = 0, i1075 = 0, i1076 = 0, i1077 = 0, i1078 = 0, i1079 = 0, i1080 = 0, i1081 = 0, i1082 = 0, i1083 = 0, i1084 = 0, i1085 = 0, i1086 = 0, i1087 = 0, i1088 = 0, i1089 = 0, i1090 = 0, i1091 = 0, i1092 = 0, i1093 = 0, i1094 = 0, i1095 = 0, i1096 = 0, i1097 = 0, i1098 = 0, i1099 = 0, i1100 = 0, i1101 = 0, i1102 = 0, i1103 = 0, i1104 = 0, i1105 = 0, i1106 = 0, i1107 = 0, i1108 = 0, i1109 = 0, i1110 = 0, i1111 = 0, i1112 = 0, i1113 = 0, i1114 = 0, i1115 = 0, i1116 = 0, i1117 = 0, i1118 = 0, i1119 = 0, i1120 = 0, i1121 = 0, i1122 = 0, i1123 = 0, i1124 = 0, i1125 = 0, i1126 = 0, i1127 = 0, i1128 = 0, i1129 = 0, i1130 = 0, i1131 = 0, i1132 = 0, i1133 = 0, i1134 = 0, i1135 = 0, i1136 = 0, i1137 = 0, i1138 = 0, i1139 = 0, i1140 = 0, i1141 = 0, i1142 = 0, i1143 = 0, i1144 = 0, i1145 = 0, i1146 = 0, i1147 = 0, i1148 = 0, i1149 = 0, i1150 = 0, i1151 = 0, i1152 = 0, i1153 = 0, i1154 = 0, i1155 = 0, i1156 = 0, i1157 = 0, i1158 = 0, i1159 = 0, i1160 = 0, i1161 = 0, i1162 = 0, i1163 = 0, i1164 = 0, i1165 = 0, i1166 = 0, i1167 = 0, i1168 = 0, i1169 = 0, i1170 = 0, i1171 = 0, i1172 = 0, i1173 = 0, i1174 = 0, i1175 = 0, i1176 = 0, i1177 = 0, i1178 = 0, i1179 = 0, i1180 = 0, i1181 = 0, i1182 = 0, i1183 = 0, i1184 = 0, i1185 = 0, i1186 = 0, i1187 = 0, i1188 = 0, i1189 = 0, i1190 = 0, i1191 = 0, i1192 = 0, i1193 = 0, i1194 = 0, i1195 = 0, i1196 = 0, i1197 = 0, i1198 = 0, i1199 = 0, i1200 = 0, i1201 = 0, i1202 = 0, i1203 = 0, i1204 = 0, i1205 = 0, i1206 = 0, i1207 = 0, i1208 = 0, i1209 = 0, i1210 = 0, i1211 = 0, i1212 = 0, i1213 = 0, i1214 = 0, i1215 = 0, i1216 = 0, i1217 = 0, i1218 = 0, i1219 = 0, i1220 = 0, i1221 = 0, i1222 = 0, i1223 = 0, i1224 = 0, i1225 = 0, i1226 = 0, i1227 = 0, i1228 = 0, i1229 = 0, i1230 = 0, i1231 = 0, i1232 = 0, i1233 = 0, i1234 = 0, i1235 = 0, i1236 = 0, i1237 = 0, i1238 = 0, i1239 = 0, i1240 = 0, i1241 = 0, i1242 = 0, i1243 = 0, i1244 = 0, i1245 = 0, i1246 = 0, i1247 = 0, i1248 = 0, i1249 = 0, i1250 = 0, i1251 = 0, i1252 = 0, i1253 = 0, i1254 = 0, i1255 = 0, i1256 = 0, i1257 = 0, i1258 = 0, i1259 = 0, i1260 = 0, i1261 = 0, i1262 = 0, i1263 = 0, i1264 = 0, i1265 = 0, i1266 = 0, i1267 = 0, i1268 = 0, i1269 = 0, i1270 = 0, i1271 = 0, i1272 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 1344 | 0;
 i4 = i3 + 1280 | 0;
 i5 = i3 + 1272 | 0;
 i6 = i3 + 1264 | 0;
 i7 = i3 + 1256 | 0;
 i8 = i3 + 1248 | 0;
 i9 = i3 + 1240 | 0;
 i10 = i3 + 1224 | 0;
 i11 = i3 + 1200 | 0;
 i12 = i3 + 1192 | 0;
 i13 = i3 + 1184 | 0;
 i14 = i3 + 1176 | 0;
 i15 = i3 + 1168 | 0;
 i16 = i3 + 1160 | 0;
 i17 = i3 + 1152 | 0;
 i18 = i3 + 1144 | 0;
 i19 = i3 + 1128 | 0;
 i20 = i3 + 1112 | 0;
 i21 = i3 + 1072 | 0;
 i22 = i3 + 1048 | 0;
 i23 = i3 + 1040 | 0;
 i24 = i3 + 1032 | 0;
 i25 = i3 + 1024 | 0;
 i26 = i3 + 1016 | 0;
 i27 = i3 + 1008 | 0;
 i28 = i3 + 1e3 | 0;
 i29 = i3 + 992 | 0;
 i30 = i3 + 976 | 0;
 i31 = i3 + 968 | 0;
 i32 = i3 + 952 | 0;
 i33 = i3 + 944 | 0;
 i34 = i3 + 936 | 0;
 i35 = i3 + 928 | 0;
 i36 = i3 + 920 | 0;
 i37 = i3 + 912 | 0;
 i38 = i3 + 904 | 0;
 i39 = i3 + 896 | 0;
 i40 = i3 + 888 | 0;
 i41 = i3 + 880 | 0;
 i42 = i3 + 872 | 0;
 i43 = i3 + 864 | 0;
 i44 = i3 + 856 | 0;
 i45 = i3 + 848 | 0;
 i46 = i3 + 840 | 0;
 i47 = i3 + 832 | 0;
 i48 = i3 + 824 | 0;
 i49 = i3 + 816 | 0;
 i50 = i3 + 808 | 0;
 i51 = i3 + 792 | 0;
 i52 = i3 + 784 | 0;
 i53 = i3 + 776 | 0;
 i54 = i3 + 768 | 0;
 i55 = i3 + 760 | 0;
 i56 = i3 + 752 | 0;
 i57 = i3 + 744 | 0;
 i58 = i3 + 728 | 0;
 i59 = i3 + 720 | 0;
 i60 = i3 + 712 | 0;
 i61 = i3 + 696 | 0;
 i62 = i3 + 688 | 0;
 i63 = i3 + 680 | 0;
 i64 = i3 + 672 | 0;
 i65 = i3 + 664 | 0;
 i66 = i3 + 640 | 0;
 i67 = i3 + 632 | 0;
 i68 = i3 + 616 | 0;
 i69 = i3 + 608 | 0;
 i70 = i3 + 600 | 0;
 i71 = i3 + 592 | 0;
 i72 = i3 + 584 | 0;
 i73 = i3 + 576 | 0;
 i74 = i3 + 568 | 0;
 i75 = i3 + 560 | 0;
 i76 = i3 + 552 | 0;
 i77 = i3 + 544 | 0;
 i78 = i3 + 536 | 0;
 i79 = i3 + 528 | 0;
 i80 = i3 + 520 | 0;
 i81 = i3 + 512 | 0;
 i82 = i3 + 504 | 0;
 i83 = i3 + 496 | 0;
 i84 = i3 + 488 | 0;
 i85 = i3 + 480 | 0;
 i86 = i3 + 472 | 0;
 i87 = i3 + 464 | 0;
 i88 = i3 + 456 | 0;
 i89 = i3 + 448 | 0;
 i90 = i3 + 440 | 0;
 i91 = i3 + 432 | 0;
 i92 = i3 + 424 | 0;
 i93 = i3 + 416 | 0;
 i94 = i3 + 408 | 0;
 i95 = i3 + 400 | 0;
 i96 = i3 + 392 | 0;
 i97 = i3 + 384 | 0;
 i98 = i3 + 376 | 0;
 i99 = i3 + 368 | 0;
 i100 = i3 + 360 | 0;
 i101 = i3 + 352 | 0;
 i102 = i3 + 344 | 0;
 i103 = i3 + 336 | 0;
 i104 = i3 + 328 | 0;
 i105 = i3 + 320 | 0;
 i106 = i3 + 312 | 0;
 i107 = i3 + 304 | 0;
 i108 = i3 + 296 | 0;
 i109 = i3 + 288 | 0;
 i110 = i3 + 280 | 0;
 i111 = i3 + 272 | 0;
 i112 = i3 + 264 | 0;
 i113 = i3 + 256 | 0;
 i114 = i3 + 248 | 0;
 i115 = i3 + 240 | 0;
 i116 = i3 + 232 | 0;
 i117 = i3 + 224 | 0;
 i118 = i3 + 216 | 0;
 i119 = i3 + 208 | 0;
 i120 = i3 + 200 | 0;
 i121 = i3 + 192 | 0;
 i122 = i3 + 184 | 0;
 i123 = i3 + 176 | 0;
 i124 = i3 + 168 | 0;
 i125 = i3 + 160 | 0;
 i126 = i3 + 152 | 0;
 i127 = i3 + 144 | 0;
 i128 = i3 + 136 | 0;
 i129 = i3 + 128 | 0;
 i130 = i3 + 120 | 0;
 i131 = i3 + 112 | 0;
 i132 = i3 + 104 | 0;
 i133 = i3 + 96 | 0;
 i134 = i3 + 88 | 0;
 i135 = i3 + 80 | 0;
 i136 = i3 + 72 | 0;
 i137 = i3 + 64 | 0;
 i138 = i3 + 56 | 0;
 i139 = i3 + 48 | 0;
 i140 = i3 + 40 | 0;
 i141 = i3 + 32 | 0;
 i142 = i3 + 16 | 0;
 i143 = i3 + 1288 | 0;
 i144 = i3;
 i145 = i3 + 1332 | 0;
 i146 = i3 + 1320 | 0;
 i147 = i3 + 1304 | 0;
 i148 = i1 + 8 | 0;
 i149 = get32(i148 | 0) | 0;
 i150 = get32(i1 | 0) | 0;
 set32(i144 | 0, get32(733 * 4 | 0) | 0);
 set32(i144 + 4 | 0, get32(734 * 4 | 0) | 0);
 set32(i144 + 8 | 0, get32(735 * 4 | 0) | 0);
 L1 : do switch (i2 | 0) {
 case 5:
  {
   set8(i149 + 484 >> 0 | 0, 0 | 0);
   set32(i149 + 456 | 0, 0 | 0);
   break;
  }
 case 6:
  {
   set8(i149 + 484 >> 0 | 0, 1 | 0);
   set32(i149 + 456 | 0, 0 | 0);
   break;
  }
 case 7:
  {
   set8(i149 + 484 >> 0 | 0, 2 | 0);
   set32(i149 + 456 | 0, 0 | 0);
   break;
  }
 case 8:
  {
   i151 = get32(i149 | 0) | 0;
   i152 = i151 + 30 | 0;
   if (((get8(i152 >> 0 | 0) | 0) == 0 ? (get8(i149 + 19 >> 0 | 0) | 0) == 0 : 0) ? (i153 = i149 + 64 | 0, (get32(i153 | 0) | 0) == 0) : 0) {
    i154 = i149 + 12 | 0;
    i155 = get32(i154 | 0) | 0;
    do if (!i155) {
     L11 : do if (!i151) {
      if (!(get32(50 * 4 | 0) | 0)) {
       i156 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
       i157 = 45;
       break;
      }
      i158 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
      set32(35 * 4 | 0, 192 | 0);
      if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
      i159 = get32(6 * 4 | 0) | 0;
      do if (i159) {
       i160 = get32(30 * 4 | 0) | 0;
       i161 = ((i160 | 0) < 0) << 31 >> 31;
       i162 = 16;
       i163 = _i64Subtract(get32(i162 | 0) | 0, get32(i162 + 4 | 0) | 0, i158 | 0, ((i158 | 0) < 0) << 31 >> 31 | 0) | 0;
       i162 = tempRet0;
       if ((i161 | 0) < (i162 | 0) | (i161 | 0) == (i162 | 0) & i160 >>> 0 < i163 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i163 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i159 & 15](i163, i160, i161, i158);
        set32(6 * 4 | 0, i159 | 0);
        set32(7 * 4 | 0, i163 | 0);
        break;
       }
      } while (0);
      i159 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i158) | 0;
      if (i159) {
       i163 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i159) | 0;
       i161 = (get32(30 * 4 | 0) | 0) + i163 | 0;
       set32(30 * 4 | 0, i161 | 0);
       if ((i161 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i161 | 0);
       i161 = get32(39 * 4 | 0) | 0;
       i163 = i161 + 1 | 0;
       set32(39 * 4 | 0, i163 | 0);
       if ((i161 | 0) < (get32(49 * 4 | 0) | 0)) i164 = i159; else {
        set32(49 * 4 | 0, i163 | 0);
        i164 = i159;
       }
      } else i157 = 55;
     } else {
      do if (get8(i151 + 234 >> 0 | 0) | 0) {
       if ((getU16(i151 + 232 | 0) | 0) < 192) {
        i159 = i151 + 248 | 0;
        set32(i159 | 0, (get32(i159 | 0) | 0) + 1 | 0);
        break;
       }
       i159 = i151 + 256 | 0;
       i163 = get32(i159 | 0) | 0;
       if (!i163) {
        i161 = i151 + 252 | 0;
        set32(i161 | 0, (get32(i161 | 0) | 0) + 1 | 0);
        break;
       }
       set32(i159 | 0, get32(i163 | 0) | 0);
       i159 = i151 + 236 | 0;
       i161 = get32(i159 | 0) | 0;
       i160 = i161 + 1 | 0;
       set32(i159 | 0, i160 | 0);
       i159 = i151 + 244 | 0;
       set32(i159 | 0, (get32(i159 | 0) | 0) + 1 | 0);
       i159 = i151 + 240 | 0;
       if ((i161 | 0) >= (get32(i159 | 0) | 0)) set32(i159 | 0, i160 | 0);
       i156 = i163;
       i157 = 45;
       break L11;
      } while (0);
      if (!(get32(50 * 4 | 0) | 0)) {
       i158 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
       if (i158) {
        i164 = i158;
        break;
       }
      } else {
       i158 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
       set32(35 * 4 | 0, 192 | 0);
       if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
       i163 = get32(6 * 4 | 0) | 0;
       do if (i163) {
        i160 = get32(30 * 4 | 0) | 0;
        i159 = ((i160 | 0) < 0) << 31 >> 31;
        i161 = 16;
        i162 = _i64Subtract(get32(i161 | 0) | 0, get32(i161 + 4 | 0) | 0, i158 | 0, ((i158 | 0) < 0) << 31 >> 31 | 0) | 0;
        i161 = tempRet0;
        if ((i159 | 0) < (i161 | 0) | (i159 | 0) == (i161 | 0) & i160 >>> 0 < i162 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i162 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i163 & 15](i162, i160, i159, i158);
         set32(6 * 4 | 0, i163 | 0);
         set32(7 * 4 | 0, i162 | 0);
         break;
        }
       } while (0);
       i163 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i158) | 0;
       if (i163) {
        i162 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i163) | 0;
        i159 = (get32(30 * 4 | 0) | 0) + i162 | 0;
        set32(30 * 4 | 0, i159 | 0);
        if ((i159 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i159 | 0);
        i159 = get32(39 * 4 | 0) | 0;
        i162 = i159 + 1 | 0;
        set32(39 * 4 | 0, i162 | 0);
        if ((i159 | 0) < (get32(49 * 4 | 0) | 0)) {
         i164 = i163;
         break;
        }
        set32(49 * 4 | 0, i162 | 0);
        i164 = i163;
        break;
       }
      }
      set8(i152 >> 0 | 0, 1 | 0);
      i157 = 55;
     } while (0);
     if ((i157 | 0) == 45) if (!i156) i157 = 55; else i164 = i156;
     if ((i157 | 0) == 55) {
      set32(i154 | 0, 0 | 0);
      i165 = i149 + 348 | 0;
      i157 = 388;
      break;
     }
     _memset(i164 | 0, 0, 192) | 0;
     set32(i164 | 0, i151 | 0);
     i163 = i151 + 136 | 0;
     i162 = get32(i163 | 0) | 0;
     if (i162) set32(i162 + 60 | 0, i164 | 0);
     set32(i164 + 64 | 0, i162 | 0);
     set32(i164 + 60 | 0, 0 | 0);
     set32(i163 | 0, i164 | 0);
     set32(i164 + 52 | 0, 649915045 | 0);
     set32(i154 | 0, i164 | 0);
     i163 = i164 + 28 | 0;
     i162 = i164 + 32 | 0;
     i159 = i164 + 4 | 0;
     i160 = _sqlite3DbRealloc(i151, 0, 1020) | 0;
     if (!i160) {
      i166 = i164;
      i157 = 56;
     } else {
      i161 = get32(i164 | 0) | 0;
      if (((i161 | 0) != 0 ? (get32(i161 + 260 | 0) | 0) >>> 0 <= i160 >>> 0 : 0) ? (get32(i161 + 264 | 0) | 0) >>> 0 > i160 >>> 0 : 0) i167 = getU16(i161 + 232 | 0) | 0; else i167 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i160) | 0;
      set32(i162 | 0, (i167 >>> 0) / 20 | 0 | 0);
      set32(i159 | 0, i160 | 0);
      set32(i163 | 0, (get32(i163 | 0) | 0) + 1 | 0);
      set8(i160 >> 0 | 0, -120 | 0);
      set8(i160 + 1 >> 0 | 0, 0 | 0);
      i168 = i160 + 3 | 0;
      i169 = i168 + 17 | 0;
      do {
       set8(i168 >> 0 | 0, 0 | 0);
       i168 = i168 + 1 | 0;
      } while ((i168 | 0) < (i169 | 0));
      i166 = i164;
      i157 = 56;
     }
    } else {
     i166 = i155;
     i157 = 56;
    } while (0);
    if ((i157 | 0) == 56) {
     i155 = i166 + 28 | 0;
     i160 = get32(i155 | 0) | 0;
     i163 = i166 + 32 | 0;
     i159 = get32(i163 | 0) | 0;
     if ((i159 | 0) <= (i160 | 0)) {
      i162 = i166 + 4 | 0;
      i161 = _sqlite3DbRealloc(get32(i166 | 0) | 0, get32(i162 | 0) | 0, (i159 | 0) == 0 ? 1020 : i159 * 40 | 0) | 0;
      if (i161) {
       i159 = get32(i166 | 0) | 0;
       if (((i159 | 0) != 0 ? (get32(i159 + 260 | 0) | 0) >>> 0 <= i161 >>> 0 : 0) ? (get32(i159 + 264 | 0) | 0) >>> 0 > i161 >>> 0 : 0) i170 = getU16(i159 + 232 | 0) | 0; else i170 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i161) | 0;
       set32(i163 | 0, (i170 >>> 0) / 20 | 0 | 0);
       set32(i162 | 0, i161 | 0);
       i171 = get32(i155 | 0) | 0;
       i172 = i161;
       i157 = 65;
      }
     } else {
      i171 = i160;
      i172 = get32(i166 + 4 | 0) | 0;
      i157 = 65;
     }
     if ((i157 | 0) == 65) {
      set32(i155 | 0, i171 + 1 | 0);
      set8(i172 + (i160 * 20 | 0) >> 0 | 0, 6 | 0);
      set8(i172 + (i160 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i168 = i172 + (i160 * 20 | 0) + 3 | 0;
      i169 = i168 + 17 | 0;
      do {
       set8(i168 >> 0 | 0, 0 | 0);
       i168 = i168 + 1 | 0;
      } while ((i168 | 0) < (i169 | 0));
     }
     i160 = i149 + 348 | 0;
     i161 = get32(i160 | 0) | 0;
     do if ((i161 | 0) > 0) {
      i162 = i161 + -1 | 0;
      i159 = get32(i155 | 0) | 0;
      if ((i159 | 0) > (i162 | 0)) set32((get32(i166 + 4 | 0) | 0) + (i162 * 20 | 0) + 8 | 0, i159 | 0);
      i159 = i151 + 4 | 0;
      if ((get32(i159 | 0) | 0) > 0) {
       i162 = i149 + 340 | 0;
       i173 = i166 + 112 | 0;
       i174 = i149 + 336 | 0;
       i175 = i166 + 4 | 0;
       i176 = i151 + 124 | 0;
       i177 = i151 + 8 | 0;
       i178 = 0;
       i179 = 1;
       while (1) {
        do if (get32(i162 | 0) & i179) {
         set32(i173 | 0, get32(i173 | 0) | 1 << i178 | 0);
         i180 = (get32(i174 | 0) & i179 | 0) != 0 & 1;
         i181 = get32(i155 | 0) | 0;
         i182 = get32(i163 | 0) | 0;
         if ((i182 | 0) <= (i181 | 0)) {
          i183 = _sqlite3DbRealloc(get32(i166 | 0) | 0, get32(i175 | 0) | 0, (i182 | 0) == 0 ? 1020 : i182 * 40 | 0) | 0;
          if (i183) {
           i182 = get32(i166 | 0) | 0;
           do if (!i182) i157 = 81; else {
            if ((get32(i182 + 260 | 0) | 0) >>> 0 > i183 >>> 0) {
             i157 = 81;
             break;
            }
            if ((get32(i182 + 264 | 0) | 0) >>> 0 <= i183 >>> 0) {
             i157 = 81;
             break;
            }
            i184 = getU16(i182 + 232 | 0) | 0;
           } while (0);
           if ((i157 | 0) == 81) {
            i157 = 0;
            i184 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i183) | 0;
           }
           set32(i163 | 0, (i184 >>> 0) / 20 | 0 | 0);
           set32(i175 | 0, i183 | 0);
           i185 = get32(i155 | 0) | 0;
           i186 = i183;
           i157 = 83;
          }
         } else {
          i185 = i181;
          i186 = get32(i175 | 0) | 0;
          i157 = 83;
         }
         if ((i157 | 0) == 83) {
          i157 = 0;
          set32(i155 | 0, i185 + 1 | 0);
          set8(i186 + (i181 * 20 | 0) >> 0 | 0, 34 | 0);
          set8(i186 + (i181 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
          set32(i186 + (i181 * 20 | 0) + 4 | 0, i178 | 0);
          set32(i186 + (i181 * 20 | 0) + 8 | 0, i180 | 0);
          set32(i186 + (i181 * 20 | 0) + 12 | 0, 0 | 0);
          set32(i186 + (i181 * 20 | 0) + 16 | 0, 0 | 0);
          set8(i186 + (i181 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         }
         if (!(get8(i176 >> 0 | 0) | 0)) {
          i182 = get32(i149 + 352 + (i178 << 2) | 0) | 0;
          i187 = get32((get32((get32(i177 | 0) | 0) + (i178 << 4) + 12 | 0) | 0) + 4 | 0) | 0;
          i188 = get32(i155 | 0) | 0;
          i189 = get32(i163 | 0) | 0;
          if ((i189 | 0) > (i188 | 0)) {
           i190 = i188;
           i191 = get32(i175 | 0) | 0;
          } else {
           i192 = _sqlite3DbRealloc(get32(i166 | 0) | 0, get32(i175 | 0) | 0, (i189 | 0) == 0 ? 1020 : i189 * 40 | 0) | 0;
           if (!i192) break;
           i189 = get32(i166 | 0) | 0;
           do if (!i189) i157 = 92; else {
            if ((get32(i189 + 260 | 0) | 0) >>> 0 > i192 >>> 0) {
             i157 = 92;
             break;
            }
            if ((get32(i189 + 264 | 0) | 0) >>> 0 <= i192 >>> 0) {
             i157 = 92;
             break;
            }
            i193 = getU16(i189 + 232 | 0) | 0;
           } while (0);
           if ((i157 | 0) == 92) {
            i157 = 0;
            i193 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i192) | 0;
           }
           set32(i163 | 0, (i193 >>> 0) / 20 | 0 | 0);
           set32(i175 | 0, i192 | 0);
           i190 = get32(i155 | 0) | 0;
           i191 = i192;
          }
          set32(i155 | 0, i190 + 1 | 0);
          set8(i191 + (i188 * 20 | 0) >> 0 | 0, 37 | 0);
          set8(i191 + (i188 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
          set32(i191 + (i188 * 20 | 0) + 4 | 0, i178 | 0);
          set32(i191 + (i188 * 20 | 0) + 8 | 0, i182 | 0);
          set32(i191 + (i188 * 20 | 0) + 12 | 0, i187 | 0);
          set32(i191 + (i188 * 20 | 0) + 16 | 0, 0 | 0);
          set8(i191 + (i188 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         }
        } while (0);
        i178 = i178 + 1 | 0;
        if ((i178 | 0) >= (get32(i159 | 0) | 0)) break; else i179 = i179 << 1;
       }
      }
      i179 = i149 + 532 | 0;
      if ((get32(i179 | 0) | 0) > 0) {
       i159 = i149 + 536 | 0;
       i178 = i166 + 4 | 0;
       i175 = 0;
       do {
        i177 = get32((get32((get32(i159 | 0) | 0) + (i175 << 2) | 0) | 0) + 52 | 0) | 0;
        L137 : do if (!i177) i194 = 0; else {
         i176 = i177;
         while (1) {
          if ((get32(i176 | 0) | 0) == (i151 | 0)) {
           i194 = i176;
           break L137;
          }
          i176 = get32(i176 + 24 | 0) | 0;
          if (!i176) {
           i194 = 0;
           break;
          }
         }
        } while (0);
        i177 = get32(i155 | 0) | 0;
        i176 = get32(i163 | 0) | 0;
        if ((i176 | 0) <= (i177 | 0)) {
         i188 = _sqlite3DbRealloc(get32(i166 | 0) | 0, get32(i178 | 0) | 0, (i176 | 0) == 0 ? 1020 : i176 * 40 | 0) | 0;
         if (!i188) i195 = 1; else {
          i176 = get32(i166 | 0) | 0;
          do if (!i176) i157 = 106; else {
           if ((get32(i176 + 260 | 0) | 0) >>> 0 > i188 >>> 0) {
            i157 = 106;
            break;
           }
           if ((get32(i176 + 264 | 0) | 0) >>> 0 <= i188 >>> 0) {
            i157 = 106;
            break;
           }
           i196 = getU16(i176 + 232 | 0) | 0;
          } while (0);
          if ((i157 | 0) == 106) {
           i157 = 0;
           i196 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i188) | 0;
          }
          set32(i163 | 0, (i196 >>> 0) / 20 | 0 | 0);
          set32(i178 | 0, i188 | 0);
          i197 = get32(i155 | 0) | 0;
          i198 = i188;
          i157 = 108;
         }
        } else {
         i197 = i177;
         i198 = get32(i178 | 0) | 0;
         i157 = 108;
        }
        if ((i157 | 0) == 108) {
         i157 = 0;
         set32(i155 | 0, i197 + 1 | 0);
         set8(i198 + (i177 * 20 | 0) >> 0 | 0, 124 | 0);
         set8(i198 + (i177 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         i168 = i198 + (i177 * 20 | 0) + 3 | 0;
         i169 = i168 + 17 | 0;
         do {
          set8(i168 >> 0 | 0, 0 | 0);
          i168 = i168 + 1 | 0;
         } while ((i168 | 0) < (i169 | 0));
         i195 = i177;
        }
        i188 = get32(i166 | 0) | 0;
        i176 = get32(i178 | 0) | 0;
        do if ((i176 | 0) != 0 ? (get8(i188 + 30 >> 0 | 0) | 0) == 0 : 0) {
         if ((i195 | 0) < 0) i199 = (get32(i155 | 0) | 0) + -1 | 0; else i199 = i195;
         i187 = i176 + (i199 * 20 | 0) + 1 | 0;
         i182 = i176 + (i199 * 20 | 0) + 16 | 0;
         _freeP4(i188, get8(i187 >> 0 | 0) | 0, get32(i182 | 0) | 0);
         set32(i182 | 0, 0 | 0);
         if (!i194) {
          set32(i182 | 0, 0 | 0);
          set8(i187 >> 0 | 0, 0 | 0);
          break;
         } else {
          set32(i182 | 0, i194 | 0);
          set8(i187 >> 0 | 0, -10 | 0);
          i187 = i194 + 12 | 0;
          set32(i187 | 0, (get32(i187 | 0) | 0) + 1 | 0);
          break;
         }
        } while (0);
        i175 = i175 + 1 | 0;
       } while ((i175 | 0) < (get32(i179 | 0) | 0));
      }
      set32(i179 | 0, 0 | 0);
      i175 = get32(i154 | 0) | 0;
      do if (!i175) {
       i178 = get32(i149 | 0) | 0;
       L169 : do if (!i178) {
        if (!(get32(50 * 4 | 0) | 0)) {
         i200 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
         i157 = 155;
         break;
        }
        i159 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
        set32(35 * 4 | 0, 192 | 0);
        if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
        i188 = get32(6 * 4 | 0) | 0;
        do if (i188) {
         i176 = get32(30 * 4 | 0) | 0;
         i177 = ((i176 | 0) < 0) << 31 >> 31;
         i187 = 16;
         i182 = _i64Subtract(get32(i187 | 0) | 0, get32(i187 + 4 | 0) | 0, i159 | 0, ((i159 | 0) < 0) << 31 >> 31 | 0) | 0;
         i187 = tempRet0;
         if ((i177 | 0) < (i187 | 0) | (i177 | 0) == (i187 | 0) & i176 >>> 0 < i182 >>> 0) {
          set32(11 * 4 | 0, 0 | 0);
          break;
         } else {
          set32(11 * 4 | 0, 1 | 0);
          i182 = get32(7 * 4 | 0) | 0;
          set32(6 * 4 | 0, 0 | 0);
          FUNCTION_TABLE_viiii[i188 & 15](i182, i176, i177, i159);
          set32(6 * 4 | 0, i188 | 0);
          set32(7 * 4 | 0, i182 | 0);
          break;
         }
        } while (0);
        i188 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i159) | 0;
        if (!i188) i157 = 156; else {
         i182 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i188) | 0;
         i177 = (get32(30 * 4 | 0) | 0) + i182 | 0;
         set32(30 * 4 | 0, i177 | 0);
         if ((i177 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i177 | 0);
         i177 = get32(39 * 4 | 0) | 0;
         i182 = i177 + 1 | 0;
         set32(39 * 4 | 0, i182 | 0);
         if ((i177 | 0) < (get32(49 * 4 | 0) | 0)) {
          i201 = i188;
          break;
         }
         set32(49 * 4 | 0, i182 | 0);
         i201 = i188;
        }
       } else {
        i188 = i178 + 30 | 0;
        if (!(get8(i188 >> 0 | 0) | 0)) {
         do if (get8(i178 + 234 >> 0 | 0) | 0) {
          if ((getU16(i178 + 232 | 0) | 0) < 192) {
           i182 = i178 + 248 | 0;
           set32(i182 | 0, (get32(i182 | 0) | 0) + 1 | 0);
           break;
          }
          i182 = i178 + 256 | 0;
          i177 = get32(i182 | 0) | 0;
          if (!i177) {
           i176 = i178 + 252 | 0;
           set32(i176 | 0, (get32(i176 | 0) | 0) + 1 | 0);
           break;
          }
          set32(i182 | 0, get32(i177 | 0) | 0);
          i182 = i178 + 236 | 0;
          i176 = get32(i182 | 0) | 0;
          i187 = i176 + 1 | 0;
          set32(i182 | 0, i187 | 0);
          i182 = i178 + 244 | 0;
          set32(i182 | 0, (get32(i182 | 0) | 0) + 1 | 0);
          i182 = i178 + 240 | 0;
          if ((i176 | 0) >= (get32(i182 | 0) | 0)) set32(i182 | 0, i187 | 0);
          i200 = i177;
          i157 = 155;
          break L169;
         } while (0);
         do if (!(get32(50 * 4 | 0) | 0)) {
          i159 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
          if (i159) {
           i201 = i159;
           break L169;
          }
         } else {
          i159 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
          set32(35 * 4 | 0, 192 | 0);
          if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
          i177 = get32(6 * 4 | 0) | 0;
          do if (i177) {
           i187 = get32(30 * 4 | 0) | 0;
           i182 = ((i187 | 0) < 0) << 31 >> 31;
           i176 = 16;
           i192 = _i64Subtract(get32(i176 | 0) | 0, get32(i176 + 4 | 0) | 0, i159 | 0, ((i159 | 0) < 0) << 31 >> 31 | 0) | 0;
           i176 = tempRet0;
           if ((i182 | 0) < (i176 | 0) | (i182 | 0) == (i176 | 0) & i187 >>> 0 < i192 >>> 0) {
            set32(11 * 4 | 0, 0 | 0);
            break;
           } else {
            set32(11 * 4 | 0, 1 | 0);
            i192 = get32(7 * 4 | 0) | 0;
            set32(6 * 4 | 0, 0 | 0);
            FUNCTION_TABLE_viiii[i177 & 15](i192, i187, i182, i159);
            set32(6 * 4 | 0, i177 | 0);
            set32(7 * 4 | 0, i192 | 0);
            break;
           }
          } while (0);
          i177 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i159) | 0;
          if (!i177) break;
          i192 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i177) | 0;
          i182 = (get32(30 * 4 | 0) | 0) + i192 | 0;
          set32(30 * 4 | 0, i182 | 0);
          if ((i182 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i182 | 0);
          i182 = get32(39 * 4 | 0) | 0;
          i192 = i182 + 1 | 0;
          set32(39 * 4 | 0, i192 | 0);
          if ((i182 | 0) < (get32(49 * 4 | 0) | 0)) {
           i201 = i177;
           break L169;
          }
          set32(49 * 4 | 0, i192 | 0);
          i201 = i177;
          break L169;
         } while (0);
         set8(i188 >> 0 | 0, 1 | 0);
         i157 = 156;
        } else i157 = 156;
       } while (0);
       if ((i157 | 0) == 155) if (!i200) i157 = 156; else i201 = i200;
       if ((i157 | 0) == 156) {
        set32(i154 | 0, 0 | 0);
        i202 = 0;
        break;
       }
       _memset(i201 | 0, 0, 192) | 0;
       set32(i201 | 0, i178 | 0);
       i177 = i178 + 136 | 0;
       i192 = get32(i177 | 0) | 0;
       if (i192) set32(i192 + 60 | 0, i201 | 0);
       set32(i201 + 64 | 0, i192 | 0);
       set32(i201 + 60 | 0, 0 | 0);
       set32(i177 | 0, i201 | 0);
       set32(i201 + 52 | 0, 649915045 | 0);
       set32(i154 | 0, i201 | 0);
       i177 = i201 + 28 | 0;
       i192 = i201 + 32 | 0;
       i182 = i201 + 4 | 0;
       i187 = _sqlite3DbRealloc(i178, 0, 1020) | 0;
       if (!i187) i202 = i201; else {
        i176 = get32(i201 | 0) | 0;
        do if ((i176 | 0) != 0 ? (get32(i176 + 260 | 0) | 0) >>> 0 <= i187 >>> 0 : 0) {
         if ((get32(i176 + 264 | 0) | 0) >>> 0 <= i187 >>> 0) {
          i157 = 164;
          break;
         }
         i203 = getU16(i176 + 232 | 0) | 0;
        } else i157 = 164; while (0);
        if ((i157 | 0) == 164) i203 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i187) | 0;
        set32(i192 | 0, (i203 >>> 0) / 20 | 0 | 0);
        set32(i182 | 0, i187 | 0);
        set32(i177 | 0, (get32(i177 | 0) | 0) + 1 | 0);
        set8(i187 >> 0 | 0, -120 | 0);
        set8(i187 + 1 >> 0 | 0, 0 | 0);
        i168 = i187 + 3 | 0;
        i169 = i168 + 17 | 0;
        do {
         set8(i168 >> 0 | 0, 0 | 0);
         i168 = i168 + 1 | 0;
        } while ((i168 | 0) < (i169 | 0));
        i202 = i201;
       }
      } else i202 = i175; while (0);
      i175 = i149 + 400 | 0;
      if ((get32(i175 | 0) | 0) > 0) {
       i179 = i149 + 404 | 0;
       i187 = i202 + 28 | 0;
       i177 = i202 + 32 | 0;
       i182 = i202 + 4 | 0;
       i192 = 0;
       do {
        i176 = get32(i179 | 0) | 0;
        i178 = get32(i176 + (i192 << 4) | 0) | 0;
        i174 = get32(i176 + (i192 << 4) + 4 | 0) | 0;
        i173 = getU8(i176 + (i192 << 4) + 8 >> 0 | 0) | 0;
        i162 = get32(i176 + (i192 << 4) + 12 | 0) | 0;
        i176 = get32(i187 | 0) | 0;
        i158 = get32(i177 | 0) | 0;
        if ((i158 | 0) <= (i176 | 0)) {
         i189 = _sqlite3DbRealloc(get32(i202 | 0) | 0, get32(i182 | 0) | 0, (i158 | 0) == 0 ? 1020 : i158 * 40 | 0) | 0;
         if (!i189) i204 = 1; else {
          i158 = get32(i202 | 0) | 0;
          do if (!i158) i157 = 175; else {
           if ((get32(i158 + 260 | 0) | 0) >>> 0 > i189 >>> 0) {
            i157 = 175;
            break;
           }
           if ((get32(i158 + 264 | 0) | 0) >>> 0 <= i189 >>> 0) {
            i157 = 175;
            break;
           }
           i205 = getU16(i158 + 232 | 0) | 0;
          } while (0);
          if ((i157 | 0) == 175) {
           i157 = 0;
           i205 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i189) | 0;
          }
          set32(i177 | 0, (i205 >>> 0) / 20 | 0 | 0);
          set32(i182 | 0, i189 | 0);
          i206 = get32(i187 | 0) | 0;
          i207 = i189;
          i157 = 177;
         }
        } else {
         i206 = i176;
         i207 = get32(i182 | 0) | 0;
         i157 = 177;
        }
        if ((i157 | 0) == 177) {
         i157 = 0;
         set32(i187 | 0, i206 + 1 | 0);
         set8(i207 + (i176 * 20 | 0) >> 0 | 0, 123 | 0);
         set8(i207 + (i176 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i207 + (i176 * 20 | 0) + 4 | 0, i178 | 0);
         set32(i207 + (i176 * 20 | 0) + 8 | 0, i174 | 0);
         set32(i207 + (i176 * 20 | 0) + 12 | 0, i173 | 0);
         set32(i207 + (i176 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i207 + (i176 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         i204 = i176;
        }
        i158 = get32(i202 | 0) | 0;
        i181 = get32(i182 | 0) | 0;
        do if ((i181 | 0) != 0 ? (get8(i158 + 30 >> 0 | 0) | 0) == 0 : 0) {
         if ((i204 | 0) < 0) i208 = (get32(i187 | 0) | 0) + -1 | 0; else i208 = i204;
         i180 = i181 + (i208 * 20 | 0) + 1 | 0;
         i183 = i181 + (i208 * 20 | 0) + 16 | 0;
         _freeP4(i158, get8(i180 >> 0 | 0) | 0, get32(i183 | 0) | 0);
         set32(i183 | 0, 0 | 0);
         if (!i162) {
          set32(i183 | 0, 0 | 0);
          set8(i180 >> 0 | 0, 0 | 0);
          break;
         } else {
          set32(i183 | 0, i162 | 0);
          set8(i180 >> 0 | 0, -2 | 0);
          break;
         }
        } while (0);
        i192 = i192 + 1 | 0;
       } while ((i192 | 0) < (get32(i175 | 0) | 0));
      }
      i175 = get32(i154 | 0) | 0;
      i192 = get32(i149 + 416 | 0) | 0;
      if (i192) {
       i187 = (get32(i149 | 0) | 0) + 8 | 0;
       i182 = i149 + 424 | 0;
       i177 = i175 + 28 | 0;
       i179 = i175 + 32 | 0;
       i162 = i175 + 4 | 0;
       i158 = i192;
       do {
        i192 = get32(i158 + 8 | 0) | 0;
        i181 = get32(i158 + 12 | 0) | 0;
        i176 = get32((get32((get32(i187 | 0) | 0) + (i192 << 4) + 12 | 0) | 0) + 72 | 0) | 0;
        do if (!(get8(i176 + 34 >> 0 | 0) & 16)) {
         i173 = get32(i154 | 0) | 0;
         do if (!i173) {
          i174 = get32(i149 | 0) | 0;
          L274 : do if (!i174) {
           if (!(get32(50 * 4 | 0) | 0)) {
            i209 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
            i157 = 227;
            break;
           }
           i178 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
           set32(35 * 4 | 0, 192 | 0);
           if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
           i189 = get32(6 * 4 | 0) | 0;
           do if (i189) {
            i180 = get32(30 * 4 | 0) | 0;
            i183 = ((i180 | 0) < 0) << 31 >> 31;
            i210 = 16;
            i211 = _i64Subtract(get32(i210 | 0) | 0, get32(i210 + 4 | 0) | 0, i178 | 0, ((i178 | 0) < 0) << 31 >> 31 | 0) | 0;
            i210 = tempRet0;
            if ((i183 | 0) < (i210 | 0) | (i183 | 0) == (i210 | 0) & i180 >>> 0 < i211 >>> 0) {
             set32(11 * 4 | 0, 0 | 0);
             break;
            } else {
             set32(11 * 4 | 0, 1 | 0);
             i211 = get32(7 * 4 | 0) | 0;
             set32(6 * 4 | 0, 0 | 0);
             FUNCTION_TABLE_viiii[i189 & 15](i211, i180, i183, i178);
             set32(6 * 4 | 0, i189 | 0);
             set32(7 * 4 | 0, i211 | 0);
             break;
            }
           } while (0);
           i189 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i178) | 0;
           if (!i189) {
            i157 = 228;
            break;
           }
           i211 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i189) | 0;
           i183 = (get32(30 * 4 | 0) | 0) + i211 | 0;
           set32(30 * 4 | 0, i183 | 0);
           if ((i183 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i183 | 0);
           i183 = get32(39 * 4 | 0) | 0;
           i211 = i183 + 1 | 0;
           set32(39 * 4 | 0, i211 | 0);
           if ((i183 | 0) < (get32(49 * 4 | 0) | 0)) {
            i212 = i189;
            break;
           }
           set32(49 * 4 | 0, i211 | 0);
           i212 = i189;
          } else {
           i189 = i174 + 30 | 0;
           if (get8(i189 >> 0 | 0) | 0) {
            i157 = 228;
            break;
           }
           do if (get8(i174 + 234 >> 0 | 0) | 0) {
            if ((getU16(i174 + 232 | 0) | 0) < 192) {
             i211 = i174 + 248 | 0;
             set32(i211 | 0, (get32(i211 | 0) | 0) + 1 | 0);
             break;
            }
            i211 = i174 + 256 | 0;
            i183 = get32(i211 | 0) | 0;
            if (!i183) {
             i180 = i174 + 252 | 0;
             set32(i180 | 0, (get32(i180 | 0) | 0) + 1 | 0);
             break;
            }
            set32(i211 | 0, get32(i183 | 0) | 0);
            i211 = i174 + 236 | 0;
            i180 = get32(i211 | 0) | 0;
            i210 = i180 + 1 | 0;
            set32(i211 | 0, i210 | 0);
            i211 = i174 + 244 | 0;
            set32(i211 | 0, (get32(i211 | 0) | 0) + 1 | 0);
            i211 = i174 + 240 | 0;
            if ((i180 | 0) >= (get32(i211 | 0) | 0)) set32(i211 | 0, i210 | 0);
            i209 = i183;
            i157 = 227;
            break L274;
           } while (0);
           do if (!(get32(50 * 4 | 0) | 0)) {
            i178 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
            if (i178) {
             i212 = i178;
             break L274;
            }
           } else {
            i178 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
            set32(35 * 4 | 0, 192 | 0);
            if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
            i183 = get32(6 * 4 | 0) | 0;
            do if (i183) {
             i210 = get32(30 * 4 | 0) | 0;
             i211 = ((i210 | 0) < 0) << 31 >> 31;
             i180 = 16;
             i213 = _i64Subtract(get32(i180 | 0) | 0, get32(i180 + 4 | 0) | 0, i178 | 0, ((i178 | 0) < 0) << 31 >> 31 | 0) | 0;
             i180 = tempRet0;
             if ((i211 | 0) < (i180 | 0) | (i211 | 0) == (i180 | 0) & i210 >>> 0 < i213 >>> 0) {
              set32(11 * 4 | 0, 0 | 0);
              break;
             } else {
              set32(11 * 4 | 0, 1 | 0);
              i213 = get32(7 * 4 | 0) | 0;
              set32(6 * 4 | 0, 0 | 0);
              FUNCTION_TABLE_viiii[i183 & 15](i213, i210, i211, i178);
              set32(6 * 4 | 0, i183 | 0);
              set32(7 * 4 | 0, i213 | 0);
              break;
             }
            } while (0);
            i183 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i178) | 0;
            if (!i183) break;
            i213 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i183) | 0;
            i211 = (get32(30 * 4 | 0) | 0) + i213 | 0;
            set32(30 * 4 | 0, i211 | 0);
            if ((i211 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i211 | 0);
            i211 = get32(39 * 4 | 0) | 0;
            i213 = i211 + 1 | 0;
            set32(39 * 4 | 0, i213 | 0);
            if ((i211 | 0) < (get32(49 * 4 | 0) | 0)) {
             i212 = i183;
             break L274;
            }
            set32(49 * 4 | 0, i213 | 0);
            i212 = i183;
            break L274;
           } while (0);
           set8(i189 >> 0 | 0, 1 | 0);
           i157 = 228;
          } while (0);
          if ((i157 | 0) == 227) {
           i157 = 0;
           if (!i209) i157 = 228; else i212 = i209;
          }
          if ((i157 | 0) == 228) {
           i157 = 0;
           set32(i154 | 0, 0 | 0);
           i214 = 0;
           break;
          }
          _memset(i212 | 0, 0, 192) | 0;
          set32(i212 | 0, i174 | 0);
          i159 = i174 + 136 | 0;
          i183 = get32(i159 | 0) | 0;
          if (i183) set32(i183 + 60 | 0, i212 | 0);
          set32(i212 + 64 | 0, i183 | 0);
          set32(i212 + 60 | 0, 0 | 0);
          set32(i159 | 0, i212 | 0);
          set32(i212 + 52 | 0, 649915045 | 0);
          set32(i154 | 0, i212 | 0);
          i159 = i212 + 28 | 0;
          i183 = i212 + 32 | 0;
          i213 = i212 + 4 | 0;
          i211 = _sqlite3DbRealloc(i174, 0, 1020) | 0;
          if (!i211) {
           i214 = i212;
           break;
          }
          i210 = get32(i212 | 0) | 0;
          do if (!i210) i157 = 236; else {
           if ((get32(i210 + 260 | 0) | 0) >>> 0 > i211 >>> 0) {
            i157 = 236;
            break;
           }
           if ((get32(i210 + 264 | 0) | 0) >>> 0 <= i211 >>> 0) {
            i157 = 236;
            break;
           }
           i215 = getU16(i210 + 232 | 0) | 0;
          } while (0);
          if ((i157 | 0) == 236) {
           i157 = 0;
           i215 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i211) | 0;
          }
          set32(i183 | 0, (i215 >>> 0) / 20 | 0 | 0);
          set32(i213 | 0, i211 | 0);
          set32(i159 | 0, (get32(i159 | 0) | 0) + 1 | 0);
          set8(i211 >> 0 | 0, -120 | 0);
          set8(i211 + 1 >> 0 | 0, 0 | 0);
          i168 = i211 + 3 | 0;
          i169 = i168 + 17 | 0;
          do {
           set8(i168 >> 0 | 0, 0 | 0);
           i168 = i168 + 1 | 0;
          } while ((i168 | 0) < (i169 | 0));
          i214 = i212;
         } else i214 = i173; while (0);
         i173 = i176 + 20 | 0;
         i188 = get32(i173 | 0) | 0;
         i211 = get32(i176 | 0) | 0;
         i159 = get32(i182 | 0) | 0;
         i213 = (i159 | 0) == 0 ? i149 : i159;
         i159 = i213 + 400 | 0;
         i183 = get32(i159 | 0) | 0;
         i210 = i213 + 404 | 0;
         do if ((i183 | 0) > 0) {
          i174 = get32(i210 | 0) | 0;
          i180 = 0;
          while (1) {
           if ((get32(i174 + (i180 << 4) | 0) | 0) == (i192 | 0) ? (get32(i174 + (i180 << 4) + 4 | 0) | 0) == (i188 | 0) : 0) {
            i216 = i180;
            i157 = 243;
            break;
           }
           i180 = i180 + 1 | 0;
           if ((i180 | 0) >= (i183 | 0)) {
            i157 = 245;
            break;
           }
          }
          if ((i157 | 0) == 243) {
           i157 = 0;
           i180 = i174 + (i216 << 4) + 8 | 0;
           set8(i180 >> 0 | 0, (get8(i180 >> 0 | 0) | 0) != 0 & 1 | 0);
           break;
          } else if ((i157 | 0) == 245) {
           i157 = 0;
           i217 = i210;
           i218 = i174;
           i157 = 246;
           break;
          }
         } else {
          i217 = i210;
          i218 = get32(i210 | 0) | 0;
          i157 = 246;
         } while (0);
         do if ((i157 | 0) == 246) {
          i157 = 0;
          i210 = get32(i213 | 0) | 0;
          i180 = _sqlite3DbRealloc(i210, i218, (i183 << 4) + 16 | 0) | 0;
          if (!i180) {
           _sqlite3DbFree(i210, i218);
           set32(i217 | 0, 0 | 0);
           set32(i159 | 0, 0 | 0);
           set8((get32(i213 | 0) | 0) + 30 >> 0 | 0, 1 | 0);
           break;
          } else {
           set32(i217 | 0, i180 | 0);
           i210 = get32(i159 | 0) | 0;
           set32(i159 | 0, i210 + 1 | 0);
           set32(i180 + (i210 << 4) | 0, i192 | 0);
           set32(i180 + (i210 << 4) + 4 | 0, i188 | 0);
           set8(i180 + (i210 << 4) + 8 >> 0 | 0, 0 | 0);
           set32(i180 + (i210 << 4) + 12 | 0, i211 | 0);
           break;
          }
         } while (0);
         i211 = get32(i173 | 0) | 0;
         i188 = i214 + 28 | 0;
         i159 = get32(i188 | 0) | 0;
         i213 = i214 + 32 | 0;
         i183 = get32(i213 | 0) | 0;
         do if ((i183 | 0) > (i159 | 0)) {
          i210 = i214 + 4 | 0;
          i219 = i210;
          i220 = i214;
          i221 = i159;
          i222 = get32(i210 | 0) | 0;
          i157 = 258;
         } else {
          i210 = i214 + 4 | 0;
          i180 = _sqlite3DbRealloc(get32(i214 | 0) | 0, get32(i210 | 0) | 0, (i183 | 0) == 0 ? 1020 : i183 * 40 | 0) | 0;
          if (!i180) {
           i223 = i214;
           i224 = i210;
           break;
          }
          i225 = get32(i214 | 0) | 0;
          do if (!i225) i157 = 256; else {
           if ((get32(i225 + 260 | 0) | 0) >>> 0 > i180 >>> 0) {
            i157 = 256;
            break;
           }
           if ((get32(i225 + 264 | 0) | 0) >>> 0 <= i180 >>> 0) {
            i157 = 256;
            break;
           }
           i226 = getU16(i225 + 232 | 0) | 0;
          } while (0);
          if ((i157 | 0) == 256) {
           i157 = 0;
           i226 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i180) | 0;
          }
          set32(i213 | 0, (i226 >>> 0) / 20 | 0 | 0);
          set32(i210 | 0, i180 | 0);
          i219 = i210;
          i220 = i214;
          i221 = get32(i188 | 0) | 0;
          i222 = i180;
          i157 = 258;
         } while (0);
         if ((i157 | 0) == 258) {
          i157 = 0;
          set32(i188 | 0, i221 + 1 | 0);
          set8(i222 + (i159 * 20 | 0) >> 0 | 0, 38 | 0);
          set8(i222 + (i159 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
          set32(i222 + (i159 * 20 | 0) + 4 | 0, 0 | 0);
          set32(i222 + (i159 * 20 | 0) + 8 | 0, i211 | 0);
          set32(i222 + (i159 * 20 | 0) + 12 | 0, i192 | 0);
          set32(i222 + (i159 * 20 | 0) + 16 | 0, 0 | 0);
          set8(i222 + (i159 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
          i223 = i220;
          i224 = i219;
         }
         i213 = get32(i176 + 8 | 0) | 0;
         i183 = get32(i223 | 0) | 0;
         i173 = get32(i224 | 0) | 0;
         if (!i173) break;
         if (get8(i183 + 30 >> 0 | 0) | 0) break;
         i225 = (get32(i188 | 0) | 0) + -1 | 0;
         i174 = i173 + (i225 * 20 | 0) + 1 | 0;
         i227 = i173 + (i225 * 20 | 0) + 16 | 0;
         _freeP4(i183, get8(i174 >> 0 | 0) | 0, get32(i227 | 0) | 0);
         set32(i227 | 0, i213 | 0);
         set8(i174 >> 0 | 0, -14 | 0);
        } while (0);
        i176 = get32(i177 | 0) | 0;
        i192 = i181 + -1 | 0;
        i174 = get32(get32(i158 + 4 | 0) | 0) | 0;
        i213 = get32(i179 | 0) | 0;
        do if ((i213 | 0) > (i176 | 0)) {
         i228 = i176;
         i229 = get32(i162 | 0) | 0;
         i157 = 271;
        } else {
         i227 = _sqlite3DbRealloc(get32(i175 | 0) | 0, get32(i162 | 0) | 0, (i213 | 0) == 0 ? 1020 : i213 * 40 | 0) | 0;
         if (!i227) {
          i230 = 1;
          break;
         }
         i183 = get32(i175 | 0) | 0;
         do if (!i183) i157 = 269; else {
          if ((get32(i183 + 260 | 0) | 0) >>> 0 > i227 >>> 0) {
           i157 = 269;
           break;
          }
          if ((get32(i183 + 264 | 0) | 0) >>> 0 <= i227 >>> 0) {
           i157 = 269;
           break;
          }
          i231 = getU16(i183 + 232 | 0) | 0;
         } while (0);
         if ((i157 | 0) == 269) {
          i157 = 0;
          i231 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i227) | 0;
         }
         set32(i179 | 0, (i231 >>> 0) / 20 | 0 | 0);
         set32(i162 | 0, i227 | 0);
         i228 = get32(i177 | 0) | 0;
         i229 = i227;
         i157 = 271;
        } while (0);
        if ((i157 | 0) == 271) {
         i157 = 0;
         set32(i177 | 0, i228 + 1 | 0);
         set8(i229 + (i176 * 20 | 0) >> 0 | 0, 94 | 0);
         set8(i229 + (i176 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i229 + (i176 * 20 | 0) + 4 | 0, 0 | 0);
         set32(i229 + (i176 * 20 | 0) + 8 | 0, i192 | 0);
         set32(i229 + (i176 * 20 | 0) + 12 | 0, 0 | 0);
         set32(i229 + (i176 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i229 + (i176 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         i230 = i176;
        }
        _sqlite3VdbeChangeP4(i175, i230, i174, 0);
        i213 = i176 + 9 | 0;
        i183 = get32(i177 | 0) | 0;
        i188 = get32(i179 | 0) | 0;
        do if ((i188 | 0) > (i183 | 0)) {
         i232 = i188;
         i233 = i183;
         i234 = get32(i162 | 0) | 0;
         i157 = 282;
        } else {
         i159 = _sqlite3DbRealloc(get32(i175 | 0) | 0, get32(i162 | 0) | 0, (i188 | 0) == 0 ? 1020 : i188 * 40 | 0) | 0;
         if (!i159) {
          i235 = get32(i179 | 0) | 0;
          i236 = get32(i177 | 0) | 0;
          break;
         }
         i211 = get32(i175 | 0) | 0;
         do if (!i211) i157 = 280; else {
          if ((get32(i211 + 260 | 0) | 0) >>> 0 > i159 >>> 0) {
           i157 = 280;
           break;
          }
          if ((get32(i211 + 264 | 0) | 0) >>> 0 <= i159 >>> 0) {
           i157 = 280;
           break;
          }
          i237 = getU16(i211 + 232 | 0) | 0;
         } while (0);
         if ((i157 | 0) == 280) {
          i157 = 0;
          i237 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i159) | 0;
         }
         i211 = (i237 >>> 0) / 20 | 0;
         set32(i179 | 0, i211 | 0);
         set32(i162 | 0, i159 | 0);
         i232 = i211;
         i233 = get32(i177 | 0) | 0;
         i234 = i159;
         i157 = 282;
        } while (0);
        if ((i157 | 0) == 282) {
         i157 = 0;
         i188 = i233 + 1 | 0;
         set32(i177 | 0, i188 | 0);
         set8(i234 + (i183 * 20 | 0) >> 0 | 0, 65 | 0);
         set8(i234 + (i183 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i234 + (i183 * 20 | 0) + 4 | 0, 0 | 0);
         set32(i234 + (i183 * 20 | 0) + 8 | 0, i213 | 0);
         set32(i234 + (i183 * 20 | 0) + 12 | 0, 0 | 0);
         set32(i234 + (i183 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i234 + (i183 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         i235 = i232;
         i236 = i188;
        }
        do if ((i235 | 0) > (i236 | 0)) {
         i238 = i235;
         i239 = i236;
         i240 = get32(i162 | 0) | 0;
         i157 = 293;
        } else {
         i188 = _sqlite3DbRealloc(get32(i175 | 0) | 0, get32(i162 | 0) | 0, (i235 | 0) == 0 ? 1020 : i235 * 40 | 0) | 0;
         if (!i188) {
          i241 = get32(i179 | 0) | 0;
          i242 = get32(i177 | 0) | 0;
          break;
         }
         i174 = get32(i175 | 0) | 0;
         do if (!i174) i157 = 291; else {
          if ((get32(i174 + 260 | 0) | 0) >>> 0 > i188 >>> 0) {
           i157 = 291;
           break;
          }
          if ((get32(i174 + 264 | 0) | 0) >>> 0 <= i188 >>> 0) {
           i157 = 291;
           break;
          }
          i243 = getU16(i174 + 232 | 0) | 0;
         } while (0);
         if ((i157 | 0) == 291) {
          i157 = 0;
          i243 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i188) | 0;
         }
         i174 = (i243 >>> 0) / 20 | 0;
         set32(i179 | 0, i174 | 0);
         set32(i162 | 0, i188 | 0);
         i238 = i174;
         i239 = get32(i177 | 0) | 0;
         i240 = i188;
         i157 = 293;
        } while (0);
        if ((i157 | 0) == 293) {
         i157 = 0;
         i183 = i239 + 1 | 0;
         set32(i177 | 0, i183 | 0);
         set8(i240 + (i236 * 20 | 0) >> 0 | 0, 28 | 0);
         set8(i240 + (i236 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i240 + (i236 * 20 | 0) + 4 | 0, 0 | 0);
         set32(i240 + (i236 * 20 | 0) + 8 | 0, 0 | 0);
         set32(i240 + (i236 * 20 | 0) + 12 | 0, i181 | 0);
         set32(i240 + (i236 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i240 + (i236 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         i241 = i238;
         i242 = i183;
        }
        i183 = i176 + 7 | 0;
        do if ((i241 | 0) > (i242 | 0)) {
         i244 = i242;
         i245 = get32(i162 | 0) | 0;
         i157 = 304;
        } else {
         i174 = _sqlite3DbRealloc(get32(i175 | 0) | 0, get32(i162 | 0) | 0, (i241 | 0) == 0 ? 1020 : i241 * 40 | 0) | 0;
         if (!i174) {
          i246 = get32(i177 | 0) | 0;
          break;
         }
         i159 = get32(i175 | 0) | 0;
         do if (!i159) i157 = 302; else {
          if ((get32(i159 + 260 | 0) | 0) >>> 0 > i174 >>> 0) {
           i157 = 302;
           break;
          }
          if ((get32(i159 + 264 | 0) | 0) >>> 0 <= i174 >>> 0) {
           i157 = 302;
           break;
          }
          i247 = getU16(i159 + 232 | 0) | 0;
         } while (0);
         if ((i157 | 0) == 302) {
          i157 = 0;
          i247 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i174) | 0;
         }
         set32(i179 | 0, (i247 >>> 0) / 20 | 0 | 0);
         set32(i162 | 0, i174 | 0);
         i244 = get32(i177 | 0) | 0;
         i245 = i174;
         i157 = 304;
        } while (0);
        if ((i157 | 0) == 304) {
         i157 = 0;
         i159 = i244 + 1 | 0;
         set32(i177 | 0, i159 | 0);
         set8(i245 + (i242 * 20 | 0) >> 0 | 0, 75 | 0);
         set8(i245 + (i242 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i245 + (i242 * 20 | 0) + 4 | 0, i192 | 0);
         set32(i245 + (i242 * 20 | 0) + 8 | 0, i183 | 0);
         set32(i245 + (i242 * 20 | 0) + 12 | 0, i181 | 0);
         set32(i245 + (i242 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i245 + (i242 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         i246 = i159;
        }
        i159 = get32(i162 | 0) | 0;
        if (i159) set8(i159 + ((i246 + -1 | 0) * 20 | 0) + 3 >> 0 | 0, 8 | 0);
        i188 = i181 + 1 | 0;
        i211 = get32(i179 | 0) | 0;
        do if ((i211 | 0) > (i246 | 0)) {
         i248 = i211;
         i249 = i246;
         i250 = i159;
         i157 = 316;
        } else {
         i227 = _sqlite3DbRealloc(get32(i175 | 0) | 0, i159, (i211 | 0) == 0 ? 1020 : i211 * 40 | 0) | 0;
         if (!i227) {
          i251 = get32(i177 | 0) | 0;
          i252 = get32(i179 | 0) | 0;
          break;
         }
         i225 = get32(i175 | 0) | 0;
         do if (!i225) i157 = 314; else {
          if ((get32(i225 + 260 | 0) | 0) >>> 0 > i227 >>> 0) {
           i157 = 314;
           break;
          }
          if ((get32(i225 + 264 | 0) | 0) >>> 0 <= i227 >>> 0) {
           i157 = 314;
           break;
          }
          i253 = getU16(i225 + 232 | 0) | 0;
         } while (0);
         if ((i157 | 0) == 314) {
          i157 = 0;
          i253 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i227) | 0;
         }
         i225 = (i253 >>> 0) / 20 | 0;
         set32(i179 | 0, i225 | 0);
         set32(i162 | 0, i227 | 0);
         i248 = i225;
         i249 = get32(i177 | 0) | 0;
         i250 = i227;
         i157 = 316;
        } while (0);
        if ((i157 | 0) == 316) {
         i157 = 0;
         i211 = i249 + 1 | 0;
         set32(i177 | 0, i211 | 0);
         set8(i250 + (i246 * 20 | 0) >> 0 | 0, 61 | 0);
         set8(i250 + (i246 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i250 + (i246 * 20 | 0) + 4 | 0, 0 | 0);
         set32(i250 + (i246 * 20 | 0) + 8 | 0, i188 | 0);
         set32(i250 + (i246 * 20 | 0) + 12 | 0, 0 | 0);
         set32(i250 + (i246 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i250 + (i246 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         i251 = i211;
         i252 = i248;
        }
        do if ((i252 | 0) > (i251 | 0)) {
         i254 = i251;
         i255 = get32(i162 | 0) | 0;
         i256 = i252;
         i157 = 327;
        } else {
         i211 = _sqlite3DbRealloc(get32(i175 | 0) | 0, get32(i162 | 0) | 0, (i252 | 0) == 0 ? 1020 : i252 * 40 | 0) | 0;
         if (!i211) {
          i257 = get32(i179 | 0) | 0;
          i258 = get32(i177 | 0) | 0;
          break;
         }
         i159 = get32(i175 | 0) | 0;
         do if (!i159) i157 = 325; else {
          if ((get32(i159 + 260 | 0) | 0) >>> 0 > i211 >>> 0) {
           i157 = 325;
           break;
          }
          if ((get32(i159 + 264 | 0) | 0) >>> 0 <= i211 >>> 0) {
           i157 = 325;
           break;
          }
          i259 = getU16(i159 + 232 | 0) | 0;
         } while (0);
         if ((i157 | 0) == 325) {
          i157 = 0;
          i259 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i211) | 0;
         }
         i159 = (i259 >>> 0) / 20 | 0;
         set32(i179 | 0, i159 | 0);
         set32(i162 | 0, i211 | 0);
         i254 = get32(i177 | 0) | 0;
         i255 = i211;
         i256 = i159;
         i157 = 327;
        } while (0);
        if ((i157 | 0) == 327) {
         i157 = 0;
         i188 = i254 + 1 | 0;
         set32(i177 | 0, i188 | 0);
         set8(i255 + (i251 * 20 | 0) >> 0 | 0, 28 | 0);
         set8(i255 + (i251 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i255 + (i251 * 20 | 0) + 4 | 0, 0 | 0);
         set32(i255 + (i251 * 20 | 0) + 8 | 0, 1 | 0);
         set32(i255 + (i251 * 20 | 0) + 12 | 0, i181 | 0);
         set32(i255 + (i251 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i255 + (i251 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         i257 = i256;
         i258 = i188;
        }
        do if ((i257 | 0) > (i258 | 0)) {
         i260 = i258;
         i261 = get32(i162 | 0) | 0;
         i262 = i257;
         i157 = 338;
        } else {
         i188 = _sqlite3DbRealloc(get32(i175 | 0) | 0, get32(i162 | 0) | 0, (i257 | 0) == 0 ? 1020 : i257 * 40 | 0) | 0;
         if (!i188) {
          i263 = get32(i179 | 0) | 0;
          i264 = get32(i177 | 0) | 0;
          break;
         }
         i159 = get32(i175 | 0) | 0;
         do if (!i159) i157 = 336; else {
          if ((get32(i159 + 260 | 0) | 0) >>> 0 > i188 >>> 0) {
           i157 = 336;
           break;
          }
          if ((get32(i159 + 264 | 0) | 0) >>> 0 <= i188 >>> 0) {
           i157 = 336;
           break;
          }
          i265 = getU16(i159 + 232 | 0) | 0;
         } while (0);
         if ((i157 | 0) == 336) {
          i157 = 0;
          i265 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i188) | 0;
         }
         i159 = (i265 >>> 0) / 20 | 0;
         set32(i179 | 0, i159 | 0);
         set32(i162 | 0, i188 | 0);
         i260 = get32(i177 | 0) | 0;
         i261 = i188;
         i262 = i159;
         i157 = 338;
        } while (0);
        if ((i157 | 0) == 338) {
         i157 = 0;
         i159 = i260 + 1 | 0;
         set32(i177 | 0, i159 | 0);
         set8(i261 + (i258 * 20 | 0) >> 0 | 0, 1 | 0);
         set8(i261 + (i258 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i261 + (i258 * 20 | 0) + 4 | 0, 0 | 0);
         set32(i261 + (i258 * 20 | 0) + 8 | 0, i213 | 0);
         set32(i261 + (i258 * 20 | 0) + 12 | 0, 0 | 0);
         set32(i261 + (i258 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i261 + (i258 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         i263 = i262;
         i264 = i159;
        }
        i159 = i176 + 2 | 0;
        do if ((i263 | 0) > (i264 | 0)) {
         i266 = i264;
         i267 = get32(i162 | 0) | 0;
         i268 = i263;
         i157 = 349;
        } else {
         i211 = _sqlite3DbRealloc(get32(i175 | 0) | 0, get32(i162 | 0) | 0, (i263 | 0) == 0 ? 1020 : i263 * 40 | 0) | 0;
         if (!i211) {
          i269 = get32(i179 | 0) | 0;
          i270 = get32(i177 | 0) | 0;
          break;
         }
         i227 = get32(i175 | 0) | 0;
         do if (!i227) i157 = 347; else {
          if ((get32(i227 + 260 | 0) | 0) >>> 0 > i211 >>> 0) {
           i157 = 347;
           break;
          }
          if ((get32(i227 + 264 | 0) | 0) >>> 0 <= i211 >>> 0) {
           i157 = 347;
           break;
          }
          i271 = getU16(i227 + 232 | 0) | 0;
         } while (0);
         if ((i157 | 0) == 347) {
          i157 = 0;
          i271 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i211) | 0;
         }
         i227 = (i271 >>> 0) / 20 | 0;
         set32(i179 | 0, i227 | 0);
         set32(i162 | 0, i211 | 0);
         i266 = get32(i177 | 0) | 0;
         i267 = i211;
         i268 = i227;
         i157 = 349;
        } while (0);
        if ((i157 | 0) == 349) {
         i157 = 0;
         i176 = i266 + 1 | 0;
         set32(i177 | 0, i176 | 0);
         set8(i267 + (i264 * 20 | 0) >> 0 | 0, 67 | 0);
         set8(i267 + (i264 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i267 + (i264 * 20 | 0) + 4 | 0, 0 | 0);
         set32(i267 + (i264 * 20 | 0) + 8 | 0, i159 | 0);
         set32(i267 + (i264 * 20 | 0) + 12 | 0, 0 | 0);
         set32(i267 + (i264 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i267 + (i264 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         i269 = i268;
         i270 = i176;
        }
        do if ((i269 | 0) > (i270 | 0)) {
         i272 = i270;
         i273 = get32(i162 | 0) | 0;
         i274 = i269;
         i157 = 360;
        } else {
         i176 = _sqlite3DbRealloc(get32(i175 | 0) | 0, get32(i162 | 0) | 0, (i269 | 0) == 0 ? 1020 : i269 * 40 | 0) | 0;
         if (!i176) {
          i275 = get32(i179 | 0) | 0;
          i276 = get32(i177 | 0) | 0;
          break;
         }
         i213 = get32(i175 | 0) | 0;
         do if (!i213) i157 = 358; else {
          if ((get32(i213 + 260 | 0) | 0) >>> 0 > i176 >>> 0) {
           i157 = 358;
           break;
          }
          if ((get32(i213 + 264 | 0) | 0) >>> 0 <= i176 >>> 0) {
           i157 = 358;
           break;
          }
          i277 = getU16(i213 + 232 | 0) | 0;
         } while (0);
         if ((i157 | 0) == 358) {
          i157 = 0;
          i277 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i176) | 0;
         }
         i213 = (i277 >>> 0) / 20 | 0;
         set32(i179 | 0, i213 | 0);
         set32(i162 | 0, i176 | 0);
         i272 = get32(i177 | 0) | 0;
         i273 = i176;
         i274 = i213;
         i157 = 360;
        } while (0);
        if ((i157 | 0) == 360) {
         i157 = 0;
         i159 = i272 + 1 | 0;
         set32(i177 | 0, i159 | 0);
         set8(i273 + (i270 * 20 | 0) >> 0 | 0, 7 | 0);
         set8(i273 + (i270 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i273 + (i270 * 20 | 0) + 4 | 0, 0 | 0);
         set32(i273 + (i270 * 20 | 0) + 8 | 0, i181 | 0);
         set32(i273 + (i270 * 20 | 0) + 12 | 0, 0 | 0);
         set32(i273 + (i270 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i273 + (i270 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         i275 = i274;
         i276 = i159;
        }
        do if ((i275 | 0) > (i276 | 0)) {
         i278 = i276;
         i279 = get32(i162 | 0) | 0;
         i157 = 370;
        } else {
         i159 = _sqlite3DbRealloc(get32(i175 | 0) | 0, get32(i162 | 0) | 0, (i275 | 0) == 0 ? 1020 : i275 * 40 | 0) | 0;
         if (!i159) break;
         i213 = get32(i175 | 0) | 0;
         do if (!i213) i157 = 368; else {
          if ((get32(i213 + 260 | 0) | 0) >>> 0 > i159 >>> 0) {
           i157 = 368;
           break;
          }
          if ((get32(i213 + 264 | 0) | 0) >>> 0 <= i159 >>> 0) {
           i157 = 368;
           break;
          }
          i280 = getU16(i213 + 232 | 0) | 0;
         } while (0);
         if ((i157 | 0) == 368) {
          i157 = 0;
          i280 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i159) | 0;
         }
         set32(i179 | 0, (i280 >>> 0) / 20 | 0 | 0);
         set32(i162 | 0, i159 | 0);
         i278 = get32(i177 | 0) | 0;
         i279 = i159;
         i157 = 370;
        } while (0);
        if ((i157 | 0) == 370) {
         i157 = 0;
         set32(i177 | 0, i278 + 1 | 0);
         set8(i279 + (i276 * 20 | 0) >> 0 | 0, 43 | 0);
         set8(i279 + (i276 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         i168 = i279 + (i276 * 20 | 0) + 3 | 0;
         i169 = i168 + 17 | 0;
         do {
          set8(i168 >> 0 | 0, 0 | 0);
          i168 = i168 + 1 | 0;
         } while ((i168 | 0) < (i169 | 0));
        }
        i158 = get32(i158 | 0) | 0;
       } while ((i158 | 0) != 0);
      }
      i158 = get32(i160 | 0) | 0;
      i177 = get32(i155 | 0) | 0;
      i162 = get32(i163 | 0) | 0;
      if ((i162 | 0) > (i177 | 0)) {
       i281 = i177;
       i282 = get32(i166 + 4 | 0) | 0;
      } else {
       i179 = i166 + 4 | 0;
       i175 = _sqlite3DbRealloc(get32(i166 | 0) | 0, get32(i179 | 0) | 0, (i162 | 0) == 0 ? 1020 : i162 * 40 | 0) | 0;
       if (!i175) break;
       i162 = get32(i166 | 0) | 0;
       do if (!i162) i157 = 379; else {
        if ((get32(i162 + 260 | 0) | 0) >>> 0 > i175 >>> 0) {
         i157 = 379;
         break;
        }
        if ((get32(i162 + 264 | 0) | 0) >>> 0 <= i175 >>> 0) {
         i157 = 379;
         break;
        }
        i283 = getU16(i162 + 232 | 0) | 0;
       } while (0);
       if ((i157 | 0) == 379) i283 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i175) | 0;
       set32(i163 | 0, (i283 >>> 0) / 20 | 0 | 0);
       set32(i179 | 0, i175 | 0);
       i281 = get32(i155 | 0) | 0;
       i282 = i175;
      }
      set32(i155 | 0, i281 + 1 | 0);
      set8(i282 + (i177 * 20 | 0) >> 0 | 0, 1 | 0);
      set8(i282 + (i177 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i282 + (i177 * 20 | 0) + 4 | 0, 0 | 0);
      set32(i282 + (i177 * 20 | 0) + 8 | 0, i158 | 0);
      set32(i282 + (i177 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i282 + (i177 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i282 + (i177 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     } while (0);
     if ((get32(i153 | 0) | 0) == 0 ? (get8(i152 >> 0 | 0) | 0) == 0 : 0) {
      if ((get32(i149 + 416 | 0) | 0) != 0 ? (i155 = i149 + 68 | 0, (get32(i155 | 0) | 0) == 0) : 0) set32(i155 | 0, 1 | 0);
      _sqlite3VdbeMakeReady(i166, i149);
      set32(i149 + 4 | 0, 101 | 0);
      set8(i149 + 16 >> 0 | 0, 0 | 0);
      i284 = i160;
     } else {
      i165 = i160;
      i157 = 388;
     }
    }
    if ((i157 | 0) == 388) {
     set32(i149 + 4 | 0, 1 | 0);
     i284 = i165;
    }
    set32(i149 + 68 | 0, 0 | 0);
    set32(i149 + 72 | 0, 0 | 0);
    set32(i149 + 76 | 0, 0 | 0);
    set32(i149 + 456 | 0, 0 | 0);
    set32(i149 + 340 | 0, 0 | 0);
    set32(i284 | 0, 0 | 0);
   }
   break;
  }
 case 9:
  {
   i155 = get32(i1 + 12 + (i150 + -1 << 4) + 4 | 0) | 0;
   i163 = get32(i149 | 0) | 0;
   L558 : do if (((get8(i163 + 124 >> 0 | 0) | 0) == 0 ? (get8(i149 + 528 >> 0 | 0) | 0) == 0 : 0) ? (i154 = get32(i163 + 268 | 0) | 0, (i154 | 0) != 0) : 0) switch (FUNCTION_TABLE_iiiiiii[i154 & 3](get32(i163 + 272 | 0) | 0, 22, 29149, 0, 0, get32(i149 + 516 | 0) | 0) | 0) {
   case 2:
    {
     break L1;
     break;
    }
   case 0:
    {
     break L558;
     break;
    }
   case 1:
    {
     _sqlite3ErrorMsg(i149, 26149, i141);
     set32(i149 + 4 | 0, 23 | 0);
     break L1;
     break;
    }
   default:
    {
     _sqlite3ErrorMsg(i149, 29155, i140);
     set32(i149 + 4 | 0, 1 | 0);
     break L1;
    }
   } while (0);
   i160 = i149 + 12 | 0;
   i152 = get32(i160 | 0) | 0;
   if (!i152) {
    i153 = get32(i149 | 0) | 0;
    L568 : do if (!i153) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i285 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
      i157 = 434;
      break;
     }
     i154 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
     set32(35 * 4 | 0, 192 | 0);
     if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
     i151 = get32(6 * 4 | 0) | 0;
     do if (i151) {
      i161 = get32(30 * 4 | 0) | 0;
      i162 = ((i161 | 0) < 0) << 31 >> 31;
      i182 = 16;
      i187 = _i64Subtract(get32(i182 | 0) | 0, get32(i182 + 4 | 0) | 0, i154 | 0, ((i154 | 0) < 0) << 31 >> 31 | 0) | 0;
      i182 = tempRet0;
      if ((i162 | 0) < (i182 | 0) | (i162 | 0) == (i182 | 0) & i161 >>> 0 < i187 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i187 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i151 & 15](i187, i161, i162, i154);
       set32(6 * 4 | 0, i151 | 0);
       set32(7 * 4 | 0, i187 | 0);
       break;
      }
     } while (0);
     i151 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i154) | 0;
     if (i151) {
      i177 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i151) | 0;
      i158 = (get32(30 * 4 | 0) | 0) + i177 | 0;
      set32(30 * 4 | 0, i158 | 0);
      if ((i158 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i158 | 0);
      i158 = get32(39 * 4 | 0) | 0;
      i177 = i158 + 1 | 0;
      set32(39 * 4 | 0, i177 | 0);
      if ((i158 | 0) < (get32(49 * 4 | 0) | 0)) i286 = i151; else {
       set32(49 * 4 | 0, i177 | 0);
       i286 = i151;
      }
     } else i157 = 444;
    } else {
     i151 = i153 + 30 | 0;
     if (!(get8(i151 >> 0 | 0) | 0)) {
      do if (get8(i153 + 234 >> 0 | 0) | 0) {
       if ((getU16(i153 + 232 | 0) | 0) < 192) {
        i177 = i153 + 248 | 0;
        set32(i177 | 0, (get32(i177 | 0) | 0) + 1 | 0);
        break;
       }
       i177 = i153 + 256 | 0;
       i158 = get32(i177 | 0) | 0;
       if (!i158) {
        i175 = i153 + 252 | 0;
        set32(i175 | 0, (get32(i175 | 0) | 0) + 1 | 0);
        break;
       }
       set32(i177 | 0, get32(i158 | 0) | 0);
       i177 = i153 + 236 | 0;
       i175 = get32(i177 | 0) | 0;
       i179 = i175 + 1 | 0;
       set32(i177 | 0, i179 | 0);
       i177 = i153 + 244 | 0;
       set32(i177 | 0, (get32(i177 | 0) | 0) + 1 | 0);
       i177 = i153 + 240 | 0;
       if ((i175 | 0) >= (get32(i177 | 0) | 0)) set32(i177 | 0, i179 | 0);
       i285 = i158;
       i157 = 434;
       break L568;
      } while (0);
      if (!(get32(50 * 4 | 0) | 0)) {
       i154 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
       if (i154) {
        i286 = i154;
        break;
       }
      } else {
       i154 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
       set32(35 * 4 | 0, 192 | 0);
       if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
       i158 = get32(6 * 4 | 0) | 0;
       do if (i158) {
        i179 = get32(30 * 4 | 0) | 0;
        i177 = ((i179 | 0) < 0) << 31 >> 31;
        i175 = 16;
        i187 = _i64Subtract(get32(i175 | 0) | 0, get32(i175 + 4 | 0) | 0, i154 | 0, ((i154 | 0) < 0) << 31 >> 31 | 0) | 0;
        i175 = tempRet0;
        if ((i177 | 0) < (i175 | 0) | (i177 | 0) == (i175 | 0) & i179 >>> 0 < i187 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i187 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i158 & 15](i187, i179, i177, i154);
         set32(6 * 4 | 0, i158 | 0);
         set32(7 * 4 | 0, i187 | 0);
         break;
        }
       } while (0);
       i158 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i154) | 0;
       if (i158) {
        i187 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i158) | 0;
        i177 = (get32(30 * 4 | 0) | 0) + i187 | 0;
        set32(30 * 4 | 0, i177 | 0);
        if ((i177 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i177 | 0);
        i177 = get32(39 * 4 | 0) | 0;
        i187 = i177 + 1 | 0;
        set32(39 * 4 | 0, i187 | 0);
        if ((i177 | 0) < (get32(49 * 4 | 0) | 0)) {
         i286 = i158;
         break;
        }
        set32(49 * 4 | 0, i187 | 0);
        i286 = i158;
        break;
       }
      }
      set8(i151 >> 0 | 0, 1 | 0);
      i157 = 444;
     } else i157 = 444;
    } while (0);
    if ((i157 | 0) == 434) if (!i285) i157 = 444; else i286 = i285;
    if ((i157 | 0) == 444) {
     set32(i160 | 0, 0 | 0);
     break L1;
    }
    _memset(i286 | 0, 0, 192) | 0;
    set32(i286 | 0, i153 | 0);
    i158 = i153 + 136 | 0;
    i187 = get32(i158 | 0) | 0;
    if (i187) set32(i187 + 60 | 0, i286 | 0);
    set32(i286 + 64 | 0, i187 | 0);
    set32(i286 + 60 | 0, 0 | 0);
    set32(i158 | 0, i286 | 0);
    set32(i286 + 52 | 0, 649915045 | 0);
    set32(i160 | 0, i286 | 0);
    i158 = i286 + 28 | 0;
    i187 = i286 + 32 | 0;
    i177 = i286 + 4 | 0;
    i179 = _sqlite3DbRealloc(i153, 0, 1020) | 0;
    if (!i179) i287 = i286; else {
     i175 = get32(i286 | 0) | 0;
     if (((i175 | 0) != 0 ? (get32(i175 + 260 | 0) | 0) >>> 0 <= i179 >>> 0 : 0) ? (get32(i175 + 264 | 0) | 0) >>> 0 > i179 >>> 0 : 0) i288 = getU16(i175 + 232 | 0) | 0; else i288 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i179) | 0;
     set32(i187 | 0, (i288 >>> 0) / 20 | 0 | 0);
     set32(i177 | 0, i179 | 0);
     set32(i158 | 0, (get32(i158 | 0) | 0) + 1 | 0);
     set8(i179 >> 0 | 0, -120 | 0);
     set8(i179 + 1 >> 0 | 0, 0 | 0);
     i168 = i179 + 3 | 0;
     i169 = i168 + 17 | 0;
     do {
      set8(i168 >> 0 | 0, 0 | 0);
      i168 = i168 + 1 | 0;
     } while ((i168 | 0) < (i169 | 0));
     i287 = i286;
    }
   } else i287 = i152;
   if ((i155 | 0) != 7 ? (i153 = i163 + 4 | 0, (get32(i153 | 0) | 0) > 0) : 0) {
    i160 = (i155 | 0) == 9 ? 2 : 1;
    i179 = i287 + 28 | 0;
    i158 = i287 + 32 | 0;
    i177 = i287 + 4 | 0;
    i187 = i287 + 112 | 0;
    i175 = 0;
    do {
     i162 = get32(i179 | 0) | 0;
     i161 = get32(i158 | 0) | 0;
     if ((i161 | 0) <= (i162 | 0)) {
      i182 = _sqlite3DbRealloc(get32(i287 | 0) | 0, get32(i177 | 0) | 0, (i161 | 0) == 0 ? 1020 : i161 * 40 | 0) | 0;
      if (i182) {
       i161 = get32(i287 | 0) | 0;
       if (((i161 | 0) != 0 ? (get32(i161 + 260 | 0) | 0) >>> 0 <= i182 >>> 0 : 0) ? (get32(i161 + 264 | 0) | 0) >>> 0 > i182 >>> 0 : 0) i289 = getU16(i161 + 232 | 0) | 0; else i289 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i182) | 0;
       set32(i158 | 0, (i289 >>> 0) / 20 | 0 | 0);
       set32(i177 | 0, i182 | 0);
       i290 = get32(i179 | 0) | 0;
       i291 = i182;
       i157 = 457;
      }
     } else {
      i290 = i162;
      i291 = get32(i177 | 0) | 0;
      i157 = 457;
     }
     if ((i157 | 0) == 457) {
      i157 = 0;
      set32(i179 | 0, i290 + 1 | 0);
      set8(i291 + (i162 * 20 | 0) >> 0 | 0, 34 | 0);
      set8(i291 + (i162 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i291 + (i162 * 20 | 0) + 4 | 0, i175 | 0);
      set32(i291 + (i162 * 20 | 0) + 8 | 0, i160 | 0);
      set32(i291 + (i162 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i291 + (i162 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i291 + (i162 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     }
     set32(i187 | 0, get32(i187 | 0) | 1 << i175 | 0);
     i175 = i175 + 1 | 0;
    } while ((i175 | 0) < (get32(i153 | 0) | 0));
   }
   i153 = i287 + 28 | 0;
   i175 = get32(i153 | 0) | 0;
   i187 = i287 + 32 | 0;
   i160 = get32(i187 | 0) | 0;
   if ((i160 | 0) > (i175 | 0)) {
    i292 = i175;
    i293 = get32(i287 + 4 | 0) | 0;
   } else {
    i179 = i287 + 4 | 0;
    i177 = _sqlite3DbRealloc(get32(i287 | 0) | 0, get32(i179 | 0) | 0, (i160 | 0) == 0 ? 1020 : i160 * 40 | 0) | 0;
    if (!i177) break L1;
    i160 = get32(i287 | 0) | 0;
    if (((i160 | 0) != 0 ? (get32(i160 + 260 | 0) | 0) >>> 0 <= i177 >>> 0 : 0) ? (get32(i160 + 264 | 0) | 0) >>> 0 > i177 >>> 0 : 0) i294 = getU16(i160 + 232 | 0) | 0; else i294 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i177) | 0;
    set32(i187 | 0, (i294 >>> 0) / 20 | 0 | 0);
    set32(i179 | 0, i177 | 0);
    i292 = get32(i153 | 0) | 0;
    i293 = i177;
   }
   set32(i153 | 0, i292 + 1 | 0);
   set8(i293 + (i175 * 20 | 0) >> 0 | 0, 33 | 0);
   set8(i293 + (i175 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i168 = i293 + (i175 * 20 | 0) + 3 | 0;
   i169 = i168 + 17 | 0;
   do {
    set8(i168 >> 0 | 0, 0 | 0);
    i168 = i168 + 1 | 0;
   } while ((i168 | 0) < (i169 | 0));
   break;
  }
 case 13:
  {
   set32(i144 | 0, 7 | 0);
   break;
  }
 case 117:
 case 115:
 case 16:
 case 15:
 case 14:
  {
   set32(i144 | 0, getU8(i1 + 12 + (i150 << 4) + 2 >> 0 | 0) | 0);
   break;
  }
 case 18:
 case 17:
  {
   i175 = get32(i149 | 0) | 0;
   L671 : do if (((get8(i175 + 124 >> 0 | 0) | 0) == 0 ? (get8(i149 + 528 >> 0 | 0) | 0) == 0 : 0) ? (i153 = get32(i175 + 268 | 0) | 0, (i153 | 0) != 0) : 0) switch (FUNCTION_TABLE_iiiiiii[i153 & 3](get32(i175 + 272 | 0) | 0, 22, 29178, 0, 0, get32(i149 + 516 | 0) | 0) | 0) {
   case 2:
    {
     break L1;
     break;
    }
   case 0:
    {
     break L671;
     break;
    }
   case 1:
    {
     _sqlite3ErrorMsg(i149, 26149, i139);
     set32(i149 + 4 | 0, 23 | 0);
     break L1;
     break;
    }
   default:
    {
     _sqlite3ErrorMsg(i149, 29155, i138);
     set32(i149 + 4 | 0, 1 | 0);
     break L1;
    }
   } while (0);
   i175 = i149 + 12 | 0;
   i153 = get32(i175 | 0) | 0;
   if (!i153) {
    i177 = get32(i149 | 0) | 0;
    L681 : do if (!i177) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i295 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
      i157 = 515;
      break;
     }
     i179 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
     set32(35 * 4 | 0, 192 | 0);
     if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
     i187 = get32(6 * 4 | 0) | 0;
     do if (i187) {
      i160 = get32(30 * 4 | 0) | 0;
      i158 = ((i160 | 0) < 0) << 31 >> 31;
      i155 = 16;
      i163 = _i64Subtract(get32(i155 | 0) | 0, get32(i155 + 4 | 0) | 0, i179 | 0, ((i179 | 0) < 0) << 31 >> 31 | 0) | 0;
      i155 = tempRet0;
      if ((i158 | 0) < (i155 | 0) | (i158 | 0) == (i155 | 0) & i160 >>> 0 < i163 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i163 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i187 & 15](i163, i160, i158, i179);
       set32(6 * 4 | 0, i187 | 0);
       set32(7 * 4 | 0, i163 | 0);
       break;
      }
     } while (0);
     i187 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i179) | 0;
     if (i187) {
      i151 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i187) | 0;
      i154 = (get32(30 * 4 | 0) | 0) + i151 | 0;
      set32(30 * 4 | 0, i154 | 0);
      if ((i154 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i154 | 0);
      i154 = get32(39 * 4 | 0) | 0;
      i151 = i154 + 1 | 0;
      set32(39 * 4 | 0, i151 | 0);
      if ((i154 | 0) < (get32(49 * 4 | 0) | 0)) i296 = i187; else {
       set32(49 * 4 | 0, i151 | 0);
       i296 = i187;
      }
     } else i157 = 525;
    } else {
     i187 = i177 + 30 | 0;
     if (!(get8(i187 >> 0 | 0) | 0)) {
      do if (get8(i177 + 234 >> 0 | 0) | 0) {
       if ((getU16(i177 + 232 | 0) | 0) < 192) {
        i151 = i177 + 248 | 0;
        set32(i151 | 0, (get32(i151 | 0) | 0) + 1 | 0);
        break;
       }
       i151 = i177 + 256 | 0;
       i154 = get32(i151 | 0) | 0;
       if (!i154) {
        i163 = i177 + 252 | 0;
        set32(i163 | 0, (get32(i163 | 0) | 0) + 1 | 0);
        break;
       }
       set32(i151 | 0, get32(i154 | 0) | 0);
       i151 = i177 + 236 | 0;
       i163 = get32(i151 | 0) | 0;
       i158 = i163 + 1 | 0;
       set32(i151 | 0, i158 | 0);
       i151 = i177 + 244 | 0;
       set32(i151 | 0, (get32(i151 | 0) | 0) + 1 | 0);
       i151 = i177 + 240 | 0;
       if ((i163 | 0) >= (get32(i151 | 0) | 0)) set32(i151 | 0, i158 | 0);
       i295 = i154;
       i157 = 515;
       break L681;
      } while (0);
      if (!(get32(50 * 4 | 0) | 0)) {
       i179 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
       if (i179) {
        i296 = i179;
        break;
       }
      } else {
       i179 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
       set32(35 * 4 | 0, 192 | 0);
       if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
       i154 = get32(6 * 4 | 0) | 0;
       do if (i154) {
        i158 = get32(30 * 4 | 0) | 0;
        i151 = ((i158 | 0) < 0) << 31 >> 31;
        i163 = 16;
        i160 = _i64Subtract(get32(i163 | 0) | 0, get32(i163 + 4 | 0) | 0, i179 | 0, ((i179 | 0) < 0) << 31 >> 31 | 0) | 0;
        i163 = tempRet0;
        if ((i151 | 0) < (i163 | 0) | (i151 | 0) == (i163 | 0) & i158 >>> 0 < i160 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i160 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i154 & 15](i160, i158, i151, i179);
         set32(6 * 4 | 0, i154 | 0);
         set32(7 * 4 | 0, i160 | 0);
         break;
        }
       } while (0);
       i154 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i179) | 0;
       if (i154) {
        i160 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i154) | 0;
        i151 = (get32(30 * 4 | 0) | 0) + i160 | 0;
        set32(30 * 4 | 0, i151 | 0);
        if ((i151 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i151 | 0);
        i151 = get32(39 * 4 | 0) | 0;
        i160 = i151 + 1 | 0;
        set32(39 * 4 | 0, i160 | 0);
        if ((i151 | 0) < (get32(49 * 4 | 0) | 0)) {
         i296 = i154;
         break;
        }
        set32(49 * 4 | 0, i160 | 0);
        i296 = i154;
        break;
       }
      }
      set8(i187 >> 0 | 0, 1 | 0);
      i157 = 525;
     } else i157 = 525;
    } while (0);
    if ((i157 | 0) == 515) if (!i295) i157 = 525; else i296 = i295;
    if ((i157 | 0) == 525) {
     set32(i175 | 0, 0 | 0);
     break L1;
    }
    _memset(i296 | 0, 0, 192) | 0;
    set32(i296 | 0, i177 | 0);
    i154 = i177 + 136 | 0;
    i160 = get32(i154 | 0) | 0;
    if (i160) set32(i160 + 60 | 0, i296 | 0);
    set32(i296 + 64 | 0, i160 | 0);
    set32(i296 + 60 | 0, 0 | 0);
    set32(i154 | 0, i296 | 0);
    set32(i296 + 52 | 0, 649915045 | 0);
    set32(i175 | 0, i296 | 0);
    i154 = i296 + 28 | 0;
    i160 = i296 + 32 | 0;
    i151 = i296 + 4 | 0;
    i158 = _sqlite3DbRealloc(i177, 0, 1020) | 0;
    if (!i158) i297 = i296; else {
     i163 = get32(i296 | 0) | 0;
     if (((i163 | 0) != 0 ? (get32(i163 + 260 | 0) | 0) >>> 0 <= i158 >>> 0 : 0) ? (get32(i163 + 264 | 0) | 0) >>> 0 > i158 >>> 0 : 0) i298 = getU16(i163 + 232 | 0) | 0; else i298 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i158) | 0;
     set32(i160 | 0, (i298 >>> 0) / 20 | 0 | 0);
     set32(i151 | 0, i158 | 0);
     set32(i154 | 0, (get32(i154 | 0) | 0) + 1 | 0);
     set8(i158 >> 0 | 0, -120 | 0);
     set8(i158 + 1 >> 0 | 0, 0 | 0);
     i168 = i158 + 3 | 0;
     i169 = i168 + 17 | 0;
     do {
      set8(i168 >> 0 | 0, 0 | 0);
      i168 = i168 + 1 | 0;
     } while ((i168 | 0) < (i169 | 0));
     i297 = i296;
    }
   } else i297 = i153;
   i177 = i297 + 28 | 0;
   i175 = get32(i177 | 0) | 0;
   i158 = i297 + 32 | 0;
   i154 = get32(i158 | 0) | 0;
   if ((i154 | 0) > (i175 | 0)) {
    i299 = i175;
    i300 = get32(i297 + 4 | 0) | 0;
   } else {
    i151 = i297 + 4 | 0;
    i160 = _sqlite3DbRealloc(get32(i297 | 0) | 0, get32(i151 | 0) | 0, (i154 | 0) == 0 ? 1020 : i154 * 40 | 0) | 0;
    if (!i160) break L1;
    i154 = get32(i297 | 0) | 0;
    if (((i154 | 0) != 0 ? (get32(i154 + 260 | 0) | 0) >>> 0 <= i160 >>> 0 : 0) ? (get32(i154 + 264 | 0) | 0) >>> 0 > i160 >>> 0 : 0) i301 = getU16(i154 + 232 | 0) | 0; else i301 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i160) | 0;
    set32(i158 | 0, (i301 >>> 0) / 20 | 0 | 0);
    set32(i151 | 0, i160 | 0);
    i299 = get32(i177 | 0) | 0;
    i300 = i160;
   }
   set32(i177 | 0, i299 + 1 | 0);
   set8(i300 + (i175 * 20 | 0) >> 0 | 0, 33 | 0);
   set8(i300 + (i175 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i300 + (i175 * 20 | 0) + 4 | 0, 1 | 0);
   set32(i300 + (i175 * 20 | 0) + 8 | 0, 0 | 0);
   set32(i300 + (i175 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i300 + (i175 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i300 + (i175 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   break;
  }
 case 19:
  {
   i175 = get32(i149 | 0) | 0;
   L762 : do if (((get8(i175 + 124 >> 0 | 0) | 0) == 0 ? (get8(i149 + 528 >> 0 | 0) | 0) == 0 : 0) ? (i177 = get32(i175 + 268 | 0) | 0, (i177 | 0) != 0) : 0) switch (FUNCTION_TABLE_iiiiiii[i177 & 3](get32(i175 + 272 | 0) | 0, 22, 29185, 0, 0, get32(i149 + 516 | 0) | 0) | 0) {
   case 2:
    {
     break L1;
     break;
    }
   case 0:
    {
     break L762;
     break;
    }
   case 1:
    {
     _sqlite3ErrorMsg(i149, 26149, i137);
     set32(i149 + 4 | 0, 23 | 0);
     break L1;
     break;
    }
   default:
    {
     _sqlite3ErrorMsg(i149, 29155, i136);
     set32(i149 + 4 | 0, 1 | 0);
     break L1;
    }
   } while (0);
   i175 = i149 + 12 | 0;
   i153 = get32(i175 | 0) | 0;
   if (!i153) {
    i177 = get32(i149 | 0) | 0;
    L772 : do if (!i177) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i302 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
      i157 = 580;
      break;
     }
     i160 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
     set32(35 * 4 | 0, 192 | 0);
     if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
     i151 = get32(6 * 4 | 0) | 0;
     do if (i151) {
      i158 = get32(30 * 4 | 0) | 0;
      i154 = ((i158 | 0) < 0) << 31 >> 31;
      i163 = 16;
      i155 = _i64Subtract(get32(i163 | 0) | 0, get32(i163 + 4 | 0) | 0, i160 | 0, ((i160 | 0) < 0) << 31 >> 31 | 0) | 0;
      i163 = tempRet0;
      if ((i154 | 0) < (i163 | 0) | (i154 | 0) == (i163 | 0) & i158 >>> 0 < i155 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i155 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i151 & 15](i155, i158, i154, i160);
       set32(6 * 4 | 0, i151 | 0);
       set32(7 * 4 | 0, i155 | 0);
       break;
      }
     } while (0);
     i151 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i160) | 0;
     if (i151) {
      i187 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i151) | 0;
      i179 = (get32(30 * 4 | 0) | 0) + i187 | 0;
      set32(30 * 4 | 0, i179 | 0);
      if ((i179 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i179 | 0);
      i179 = get32(39 * 4 | 0) | 0;
      i187 = i179 + 1 | 0;
      set32(39 * 4 | 0, i187 | 0);
      if ((i179 | 0) < (get32(49 * 4 | 0) | 0)) i303 = i151; else {
       set32(49 * 4 | 0, i187 | 0);
       i303 = i151;
      }
     } else i157 = 590;
    } else {
     i151 = i177 + 30 | 0;
     if (!(get8(i151 >> 0 | 0) | 0)) {
      do if (get8(i177 + 234 >> 0 | 0) | 0) {
       if ((getU16(i177 + 232 | 0) | 0) < 192) {
        i187 = i177 + 248 | 0;
        set32(i187 | 0, (get32(i187 | 0) | 0) + 1 | 0);
        break;
       }
       i187 = i177 + 256 | 0;
       i179 = get32(i187 | 0) | 0;
       if (!i179) {
        i155 = i177 + 252 | 0;
        set32(i155 | 0, (get32(i155 | 0) | 0) + 1 | 0);
        break;
       }
       set32(i187 | 0, get32(i179 | 0) | 0);
       i187 = i177 + 236 | 0;
       i155 = get32(i187 | 0) | 0;
       i154 = i155 + 1 | 0;
       set32(i187 | 0, i154 | 0);
       i187 = i177 + 244 | 0;
       set32(i187 | 0, (get32(i187 | 0) | 0) + 1 | 0);
       i187 = i177 + 240 | 0;
       if ((i155 | 0) >= (get32(i187 | 0) | 0)) set32(i187 | 0, i154 | 0);
       i302 = i179;
       i157 = 580;
       break L772;
      } while (0);
      if (!(get32(50 * 4 | 0) | 0)) {
       i160 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
       if (i160) {
        i303 = i160;
        break;
       }
      } else {
       i160 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
       set32(35 * 4 | 0, 192 | 0);
       if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
       i179 = get32(6 * 4 | 0) | 0;
       do if (i179) {
        i154 = get32(30 * 4 | 0) | 0;
        i187 = ((i154 | 0) < 0) << 31 >> 31;
        i155 = 16;
        i158 = _i64Subtract(get32(i155 | 0) | 0, get32(i155 + 4 | 0) | 0, i160 | 0, ((i160 | 0) < 0) << 31 >> 31 | 0) | 0;
        i155 = tempRet0;
        if ((i187 | 0) < (i155 | 0) | (i187 | 0) == (i155 | 0) & i154 >>> 0 < i158 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i158 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i179 & 15](i158, i154, i187, i160);
         set32(6 * 4 | 0, i179 | 0);
         set32(7 * 4 | 0, i158 | 0);
         break;
        }
       } while (0);
       i179 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i160) | 0;
       if (i179) {
        i158 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i179) | 0;
        i187 = (get32(30 * 4 | 0) | 0) + i158 | 0;
        set32(30 * 4 | 0, i187 | 0);
        if ((i187 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i187 | 0);
        i187 = get32(39 * 4 | 0) | 0;
        i158 = i187 + 1 | 0;
        set32(39 * 4 | 0, i158 | 0);
        if ((i187 | 0) < (get32(49 * 4 | 0) | 0)) {
         i303 = i179;
         break;
        }
        set32(49 * 4 | 0, i158 | 0);
        i303 = i179;
        break;
       }
      }
      set8(i151 >> 0 | 0, 1 | 0);
      i157 = 590;
     } else i157 = 590;
    } while (0);
    if ((i157 | 0) == 580) if (!i302) i157 = 590; else i303 = i302;
    if ((i157 | 0) == 590) {
     set32(i175 | 0, 0 | 0);
     break L1;
    }
    _memset(i303 | 0, 0, 192) | 0;
    set32(i303 | 0, i177 | 0);
    i179 = i177 + 136 | 0;
    i158 = get32(i179 | 0) | 0;
    if (i158) set32(i158 + 60 | 0, i303 | 0);
    set32(i303 + 64 | 0, i158 | 0);
    set32(i303 + 60 | 0, 0 | 0);
    set32(i179 | 0, i303 | 0);
    set32(i303 + 52 | 0, 649915045 | 0);
    set32(i175 | 0, i303 | 0);
    i179 = i303 + 28 | 0;
    i158 = i303 + 32 | 0;
    i187 = i303 + 4 | 0;
    i154 = _sqlite3DbRealloc(i177, 0, 1020) | 0;
    if (!i154) i304 = i303; else {
     i155 = get32(i303 | 0) | 0;
     if (((i155 | 0) != 0 ? (get32(i155 + 260 | 0) | 0) >>> 0 <= i154 >>> 0 : 0) ? (get32(i155 + 264 | 0) | 0) >>> 0 > i154 >>> 0 : 0) i305 = getU16(i155 + 232 | 0) | 0; else i305 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i154) | 0;
     set32(i158 | 0, (i305 >>> 0) / 20 | 0 | 0);
     set32(i187 | 0, i154 | 0);
     set32(i179 | 0, (get32(i179 | 0) | 0) + 1 | 0);
     set8(i154 >> 0 | 0, -120 | 0);
     set8(i154 + 1 >> 0 | 0, 0 | 0);
     i168 = i154 + 3 | 0;
     i169 = i168 + 17 | 0;
     do {
      set8(i168 >> 0 | 0, 0 | 0);
      i168 = i168 + 1 | 0;
     } while ((i168 | 0) < (i169 | 0));
     i304 = i303;
    }
   } else i304 = i153;
   i177 = i304 + 28 | 0;
   i175 = get32(i177 | 0) | 0;
   i154 = i304 + 32 | 0;
   i179 = get32(i154 | 0) | 0;
   if ((i179 | 0) > (i175 | 0)) {
    i306 = i175;
    i307 = get32(i304 + 4 | 0) | 0;
   } else {
    i187 = i304 + 4 | 0;
    i158 = _sqlite3DbRealloc(get32(i304 | 0) | 0, get32(i187 | 0) | 0, (i179 | 0) == 0 ? 1020 : i179 * 40 | 0) | 0;
    if (!i158) break L1;
    i179 = get32(i304 | 0) | 0;
    if (((i179 | 0) != 0 ? (get32(i179 + 260 | 0) | 0) >>> 0 <= i158 >>> 0 : 0) ? (get32(i179 + 264 | 0) | 0) >>> 0 > i158 >>> 0 : 0) i308 = getU16(i179 + 232 | 0) | 0; else i308 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i158) | 0;
    set32(i154 | 0, (i308 >>> 0) / 20 | 0 | 0);
    set32(i187 | 0, i158 | 0);
    i306 = get32(i177 | 0) | 0;
    i307 = i158;
   }
   set32(i177 | 0, i306 + 1 | 0);
   set8(i307 + (i175 * 20 | 0) >> 0 | 0, 33 | 0);
   set8(i307 + (i175 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i307 + (i175 * 20 | 0) + 4 | 0, 1 | 0);
   set32(i307 + (i175 * 20 | 0) + 8 | 0, 1 | 0);
   set32(i307 + (i175 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i307 + (i175 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i307 + (i175 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   break;
  }
 case 22:
  {
   i175 = get32(i149 | 0) | 0;
   i177 = get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0;
   i158 = get32(i1 + 12 + (i150 << 4) + 8 | 0) | 0;
   if (i177) {
    i187 = i158 + 1 | 0;
    L854 : do if (!i175) {
     if (i158 >>> 0 > 2147483390) break L1;
     if (!(get32(50 * 4 | 0) | 0)) {
      i309 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i187) | 0;
      i157 = 641;
      break;
     }
     i154 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i187) | 0;
     set32(35 * 4 | 0, i187 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i187 | 0)) set32(45 * 4 | 0, i187 | 0);
     i179 = get32(6 * 4 | 0) | 0;
     do if (i179) {
      i155 = get32(30 * 4 | 0) | 0;
      i163 = ((i155 | 0) < 0) << 31 >> 31;
      i152 = 16;
      i162 = _i64Subtract(get32(i152 | 0) | 0, get32(i152 + 4 | 0) | 0, i154 | 0, ((i154 | 0) < 0) << 31 >> 31 | 0) | 0;
      i152 = tempRet0;
      if ((i163 | 0) < (i152 | 0) | (i163 | 0) == (i152 | 0) & i155 >>> 0 < i162 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i162 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i179 & 15](i162, i155, i163, i154);
       set32(6 * 4 | 0, i179 | 0);
       set32(7 * 4 | 0, i162 | 0);
       break;
      }
     } while (0);
     i179 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i154) | 0;
     if (!i179) break L1;
     i151 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i179) | 0;
     i160 = (get32(30 * 4 | 0) | 0) + i151 | 0;
     set32(30 * 4 | 0, i160 | 0);
     if ((i160 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i160 | 0);
     i160 = get32(39 * 4 | 0) | 0;
     i151 = i160 + 1 | 0;
     set32(39 * 4 | 0, i151 | 0);
     if ((i160 | 0) < (get32(49 * 4 | 0) | 0)) i310 = i179; else {
      set32(49 * 4 | 0, i151 | 0);
      i310 = i179;
     }
    } else {
     i179 = i175 + 30 | 0;
     if (get8(i179 >> 0 | 0) | 0) break L1;
     do if (get8(i175 + 234 >> 0 | 0) | 0) {
      if ((getU16(i175 + 232 | 0) | 0) < (i187 | 0)) {
       i151 = i175 + 248 | 0;
       set32(i151 | 0, (get32(i151 | 0) | 0) + 1 | 0);
       break;
      }
      i151 = i175 + 256 | 0;
      i160 = get32(i151 | 0) | 0;
      if (!i160) {
       i162 = i175 + 252 | 0;
       set32(i162 | 0, (get32(i162 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i151 | 0, get32(i160 | 0) | 0);
      i151 = i175 + 236 | 0;
      i162 = get32(i151 | 0) | 0;
      i163 = i162 + 1 | 0;
      set32(i151 | 0, i163 | 0);
      i151 = i175 + 244 | 0;
      set32(i151 | 0, (get32(i151 | 0) | 0) + 1 | 0);
      i151 = i175 + 240 | 0;
      if ((i162 | 0) >= (get32(i151 | 0) | 0)) set32(i151 | 0, i163 | 0);
      i309 = i160;
      i157 = 641;
      break L854;
     } while (0);
     do if (i158 >>> 0 <= 2147483390) {
      if (!(get32(50 * 4 | 0) | 0)) {
       i154 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i187) | 0;
       if (!i154) break; else {
        i310 = i154;
        break L854;
       }
      }
      i154 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i187) | 0;
      set32(35 * 4 | 0, i187 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i187 | 0)) set32(45 * 4 | 0, i187 | 0);
      i160 = get32(6 * 4 | 0) | 0;
      do if (i160) {
       i163 = get32(30 * 4 | 0) | 0;
       i151 = ((i163 | 0) < 0) << 31 >> 31;
       i162 = 16;
       i155 = _i64Subtract(get32(i162 | 0) | 0, get32(i162 + 4 | 0) | 0, i154 | 0, ((i154 | 0) < 0) << 31 >> 31 | 0) | 0;
       i162 = tempRet0;
       if ((i151 | 0) < (i162 | 0) | (i151 | 0) == (i162 | 0) & i163 >>> 0 < i155 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i155 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i160 & 15](i155, i163, i151, i154);
        set32(6 * 4 | 0, i160 | 0);
        set32(7 * 4 | 0, i155 | 0);
        break;
       }
      } while (0);
      i160 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i154) | 0;
      if (i160) {
       i155 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i160) | 0;
       i151 = (get32(30 * 4 | 0) | 0) + i155 | 0;
       set32(30 * 4 | 0, i151 | 0);
       if ((i151 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i151 | 0);
       i151 = get32(39 * 4 | 0) | 0;
       i155 = i151 + 1 | 0;
       set32(39 * 4 | 0, i155 | 0);
       if ((i151 | 0) < (get32(49 * 4 | 0) | 0)) {
        i310 = i160;
        break L854;
       }
       set32(49 * 4 | 0, i155 | 0);
       i310 = i160;
       break L854;
      }
     } while (0);
     set8(i179 >> 0 | 0, 1 | 0);
     break L1;
    } while (0);
    if ((i157 | 0) == 641) if (!i309) break L1; else i310 = i309;
    _memcpy(i310 | 0, i177 | 0, i158 | 0) | 0;
    set8(i310 + i158 >> 0 | 0, 0 | 0);
    i187 = get8(i310 >> 0 | 0) | 0;
    switch (i187 << 24 >> 24 | 0) {
    case 96:
    case 34:
    case 39:
     {
      i311 = i187;
      i157 = 644;
      break;
     }
    case 91:
     {
      i311 = 93;
      i157 = 644;
      break;
     }
    default:
     {}
    }
    if ((i157 | 0) == 644) {
     i187 = get8(i310 + 1 >> 0 | 0) | 0;
     L915 : do if (!(i187 << 24 >> 24)) i312 = 0; else {
      i175 = i187;
      i153 = 1;
      i160 = 0;
      while (1) {
       if (i175 << 24 >> 24 == i311 << 24 >> 24) {
        i155 = i153 + 1 | 0;
        if ((get8(i310 + i155 >> 0 | 0) | 0) != i311 << 24 >> 24) {
         i312 = i160;
         break L915;
        }
        set8(i310 + i160 >> 0 | 0, i311 | 0);
        i313 = i155;
       } else {
        set8(i310 + i160 >> 0 | 0, i175 | 0);
        i313 = i153;
       }
       i155 = i160 + 1 | 0;
       i153 = i313 + 1 | 0;
       i175 = get8(i310 + i153 >> 0 | 0) | 0;
       if (!(i175 << 24 >> 24)) {
        i312 = i155;
        break;
       } else i160 = i155;
      }
     } while (0);
     set8(i310 + i312 >> 0 | 0, 0 | 0);
    }
    i187 = i149 + 12 | 0;
    i158 = get32(i187 | 0) | 0;
    do if (!i158) {
     i177 = get32(i149 | 0) | 0;
     L927 : do if (!i177) {
      if (!(get32(50 * 4 | 0) | 0)) {
       i314 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
       i157 = 689;
       break;
      }
      i160 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
      set32(35 * 4 | 0, 192 | 0);
      if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
      i175 = get32(6 * 4 | 0) | 0;
      do if (i175) {
       i153 = get32(30 * 4 | 0) | 0;
       i179 = ((i153 | 0) < 0) << 31 >> 31;
       i155 = 16;
       i151 = _i64Subtract(get32(i155 | 0) | 0, get32(i155 + 4 | 0) | 0, i160 | 0, ((i160 | 0) < 0) << 31 >> 31 | 0) | 0;
       i155 = tempRet0;
       if ((i179 | 0) < (i155 | 0) | (i179 | 0) == (i155 | 0) & i153 >>> 0 < i151 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i151 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i175 & 15](i151, i153, i179, i160);
        set32(6 * 4 | 0, i175 | 0);
        set32(7 * 4 | 0, i151 | 0);
        break;
       }
      } while (0);
      i175 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i160) | 0;
      if (i175) {
       i154 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i175) | 0;
       i151 = (get32(30 * 4 | 0) | 0) + i154 | 0;
       set32(30 * 4 | 0, i151 | 0);
       if ((i151 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i151 | 0);
       i151 = get32(39 * 4 | 0) | 0;
       i154 = i151 + 1 | 0;
       set32(39 * 4 | 0, i154 | 0);
       if ((i151 | 0) < (get32(49 * 4 | 0) | 0)) i315 = i175; else {
        set32(49 * 4 | 0, i154 | 0);
        i315 = i175;
       }
      } else i157 = 699;
     } else {
      i175 = i177 + 30 | 0;
      if (!(get8(i175 >> 0 | 0) | 0)) {
       do if (get8(i177 + 234 >> 0 | 0) | 0) {
        if ((getU16(i177 + 232 | 0) | 0) < 192) {
         i154 = i177 + 248 | 0;
         set32(i154 | 0, (get32(i154 | 0) | 0) + 1 | 0);
         break;
        }
        i154 = i177 + 256 | 0;
        i151 = get32(i154 | 0) | 0;
        if (!i151) {
         i179 = i177 + 252 | 0;
         set32(i179 | 0, (get32(i179 | 0) | 0) + 1 | 0);
         break;
        }
        set32(i154 | 0, get32(i151 | 0) | 0);
        i154 = i177 + 236 | 0;
        i179 = get32(i154 | 0) | 0;
        i153 = i179 + 1 | 0;
        set32(i154 | 0, i153 | 0);
        i154 = i177 + 244 | 0;
        set32(i154 | 0, (get32(i154 | 0) | 0) + 1 | 0);
        i154 = i177 + 240 | 0;
        if ((i179 | 0) >= (get32(i154 | 0) | 0)) set32(i154 | 0, i153 | 0);
        i314 = i151;
        i157 = 689;
        break L927;
       } while (0);
       if (!(get32(50 * 4 | 0) | 0)) {
        i160 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
        if (i160) {
         i315 = i160;
         break;
        }
       } else {
        i160 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
        set32(35 * 4 | 0, 192 | 0);
        if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
        i151 = get32(6 * 4 | 0) | 0;
        do if (i151) {
         i153 = get32(30 * 4 | 0) | 0;
         i154 = ((i153 | 0) < 0) << 31 >> 31;
         i179 = 16;
         i155 = _i64Subtract(get32(i179 | 0) | 0, get32(i179 + 4 | 0) | 0, i160 | 0, ((i160 | 0) < 0) << 31 >> 31 | 0) | 0;
         i179 = tempRet0;
         if ((i154 | 0) < (i179 | 0) | (i154 | 0) == (i179 | 0) & i153 >>> 0 < i155 >>> 0) {
          set32(11 * 4 | 0, 0 | 0);
          break;
         } else {
          set32(11 * 4 | 0, 1 | 0);
          i155 = get32(7 * 4 | 0) | 0;
          set32(6 * 4 | 0, 0 | 0);
          FUNCTION_TABLE_viiii[i151 & 15](i155, i153, i154, i160);
          set32(6 * 4 | 0, i151 | 0);
          set32(7 * 4 | 0, i155 | 0);
          break;
         }
        } while (0);
        i151 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i160) | 0;
        if (i151) {
         i155 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i151) | 0;
         i154 = (get32(30 * 4 | 0) | 0) + i155 | 0;
         set32(30 * 4 | 0, i154 | 0);
         if ((i154 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i154 | 0);
         i154 = get32(39 * 4 | 0) | 0;
         i155 = i154 + 1 | 0;
         set32(39 * 4 | 0, i155 | 0);
         if ((i154 | 0) < (get32(49 * 4 | 0) | 0)) {
          i315 = i151;
          break;
         }
         set32(49 * 4 | 0, i155 | 0);
         i315 = i151;
         break;
        }
       }
       set8(i175 >> 0 | 0, 1 | 0);
       i157 = 699;
      } else i157 = 699;
     } while (0);
     if ((i157 | 0) == 689) if (!i314) i157 = 699; else i315 = i314;
     if ((i157 | 0) == 699) {
      set32(i187 | 0, 0 | 0);
      break;
     }
     _memset(i315 | 0, 0, 192) | 0;
     set32(i315 | 0, i177 | 0);
     i151 = i177 + 136 | 0;
     i155 = get32(i151 | 0) | 0;
     if (i155) set32(i155 + 60 | 0, i315 | 0);
     set32(i315 + 64 | 0, i155 | 0);
     set32(i315 + 60 | 0, 0 | 0);
     set32(i151 | 0, i315 | 0);
     set32(i315 + 52 | 0, 649915045 | 0);
     set32(i187 | 0, i315 | 0);
     i151 = i315 + 28 | 0;
     i155 = i315 + 32 | 0;
     i154 = i315 + 4 | 0;
     i153 = _sqlite3DbRealloc(i177, 0, 1020) | 0;
     if (!i153) {
      i316 = i315;
      i157 = 700;
     } else {
      i179 = get32(i315 | 0) | 0;
      if (((i179 | 0) != 0 ? (get32(i179 + 260 | 0) | 0) >>> 0 <= i153 >>> 0 : 0) ? (get32(i179 + 264 | 0) | 0) >>> 0 > i153 >>> 0 : 0) i317 = getU16(i179 + 232 | 0) | 0; else i317 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i153) | 0;
      set32(i155 | 0, (i317 >>> 0) / 20 | 0 | 0);
      set32(i154 | 0, i153 | 0);
      set32(i151 | 0, (get32(i151 | 0) | 0) + 1 | 0);
      set8(i153 >> 0 | 0, -120 | 0);
      set8(i153 + 1 >> 0 | 0, 0 | 0);
      i168 = i153 + 3 | 0;
      i169 = i168 + 17 | 0;
      do {
       set8(i168 >> 0 | 0, 0 | 0);
       i168 = i168 + 1 | 0;
      } while ((i168 | 0) < (i169 | 0));
      i316 = i315;
      i157 = 700;
     }
    } else {
     i316 = i158;
     i157 = 700;
    } while (0);
    L994 : do if ((i157 | 0) == 700) {
     i158 = get32(i149 | 0) | 0;
     L996 : do if (((get8(i158 + 124 >> 0 | 0) | 0) == 0 ? (get8(i149 + 528 >> 0 | 0) | 0) == 0 : 0) ? (i187 = get32(i158 + 268 | 0) | 0, (i187 | 0) != 0) : 0) switch (FUNCTION_TABLE_iiiiiii[i187 & 3](get32(i158 + 272 | 0) | 0, 32, 29149, i310, 0, get32(i149 + 516 | 0) | 0) | 0) {
     case 2:
      {
       break L994;
       break;
      }
     case 0:
      {
       break L996;
       break;
      }
     case 1:
      {
       _sqlite3ErrorMsg(i149, 26149, i135);
       set32(i149 + 4 | 0, 23 | 0);
       break L994;
       break;
      }
     default:
      {
       _sqlite3ErrorMsg(i149, 29155, i134);
       set32(i149 + 4 | 0, 1 | 0);
       break L994;
      }
     } while (0);
     i158 = i316 + 28 | 0;
     i187 = get32(i158 | 0) | 0;
     i177 = i316 + 32 | 0;
     i153 = get32(i177 | 0) | 0;
     if ((i153 | 0) <= (i187 | 0)) {
      i151 = i316 + 4 | 0;
      i154 = _sqlite3DbRealloc(get32(i316 | 0) | 0, get32(i151 | 0) | 0, (i153 | 0) == 0 ? 1020 : i153 * 40 | 0) | 0;
      if (!i154) {
       i318 = 1;
       i319 = i316;
       i320 = i151;
      } else {
       i153 = get32(i316 | 0) | 0;
       if (((i153 | 0) != 0 ? (get32(i153 + 260 | 0) | 0) >>> 0 <= i154 >>> 0 : 0) ? (get32(i153 + 264 | 0) | 0) >>> 0 > i154 >>> 0 : 0) i321 = getU16(i153 + 232 | 0) | 0; else i321 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i154) | 0;
       set32(i177 | 0, (i321 >>> 0) / 20 | 0 | 0);
       set32(i151 | 0, i154 | 0);
       i322 = i151;
       i323 = i316;
       i324 = get32(i158 | 0) | 0;
       i325 = i154;
       i157 = 716;
      }
     } else {
      i154 = i316 + 4 | 0;
      i322 = i154;
      i323 = i316;
      i324 = i187;
      i325 = get32(i154 | 0) | 0;
      i157 = 716;
     }
     if ((i157 | 0) == 716) {
      set32(i158 | 0, i324 + 1 | 0);
      set8(i325 + (i187 * 20 | 0) >> 0 | 0, 32 | 0);
      set8(i325 + (i187 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i168 = i325 + (i187 * 20 | 0) + 3 | 0;
      i169 = i168 + 17 | 0;
      do {
       set8(i168 >> 0 | 0, 0 | 0);
       i168 = i168 + 1 | 0;
      } while ((i168 | 0) < (i169 | 0));
      i318 = i187;
      i319 = i323;
      i320 = i322;
     }
     i154 = get32(i319 | 0) | 0;
     i151 = get32(i320 | 0) | 0;
     if ((i151 | 0) != 0 ? (get8(i154 + 30 >> 0 | 0) | 0) == 0 : 0) {
      if ((i318 | 0) < 0) i326 = (get32(i158 | 0) | 0) + -1 | 0; else i326 = i318;
      i177 = i151 + (i326 * 20 | 0) + 1 | 0;
      i153 = i151 + (i326 * 20 | 0) + 16 | 0;
      _freeP4(i154, get8(i177 >> 0 | 0) | 0, get32(i153 | 0) | 0);
      set32(i153 | 0, i310 | 0);
      set8(i177 >> 0 | 0, -1 | 0);
      break L1;
     }
     _sqlite3DbFree(i154, i310);
     break L1;
    } while (0);
    _sqlite3DbFree(get32(i149 | 0) | 0, i310);
   }
   break;
  }
 case 23:
  {
   i154 = get32(i149 | 0) | 0;
   i177 = get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0;
   i153 = get32(i1 + 12 + (i150 << 4) + 8 | 0) | 0;
   if (i177) {
    i151 = i153 + 1 | 0;
    L1028 : do if (!i154) {
     if (i153 >>> 0 > 2147483390) break L1;
     if (!(get32(50 * 4 | 0) | 0)) {
      i327 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i151) | 0;
      i157 = 763;
      break;
     }
     i155 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i151) | 0;
     set32(35 * 4 | 0, i151 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i151 | 0)) set32(45 * 4 | 0, i151 | 0);
     i179 = get32(6 * 4 | 0) | 0;
     do if (i179) {
      i163 = get32(30 * 4 | 0) | 0;
      i162 = ((i163 | 0) < 0) << 31 >> 31;
      i152 = 16;
      i182 = _i64Subtract(get32(i152 | 0) | 0, get32(i152 + 4 | 0) | 0, i155 | 0, ((i155 | 0) < 0) << 31 >> 31 | 0) | 0;
      i152 = tempRet0;
      if ((i162 | 0) < (i152 | 0) | (i162 | 0) == (i152 | 0) & i163 >>> 0 < i182 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i182 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i179 & 15](i182, i163, i162, i155);
       set32(6 * 4 | 0, i179 | 0);
       set32(7 * 4 | 0, i182 | 0);
       break;
      }
     } while (0);
     i179 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i155) | 0;
     if (!i179) break L1;
     i158 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i179) | 0;
     i187 = (get32(30 * 4 | 0) | 0) + i158 | 0;
     set32(30 * 4 | 0, i187 | 0);
     if ((i187 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i187 | 0);
     i187 = get32(39 * 4 | 0) | 0;
     i158 = i187 + 1 | 0;
     set32(39 * 4 | 0, i158 | 0);
     if ((i187 | 0) < (get32(49 * 4 | 0) | 0)) i328 = i179; else {
      set32(49 * 4 | 0, i158 | 0);
      i328 = i179;
     }
    } else {
     i179 = i154 + 30 | 0;
     if (get8(i179 >> 0 | 0) | 0) break L1;
     do if (get8(i154 + 234 >> 0 | 0) | 0) {
      if ((getU16(i154 + 232 | 0) | 0) < (i151 | 0)) {
       i158 = i154 + 248 | 0;
       set32(i158 | 0, (get32(i158 | 0) | 0) + 1 | 0);
       break;
      }
      i158 = i154 + 256 | 0;
      i187 = get32(i158 | 0) | 0;
      if (!i187) {
       i182 = i154 + 252 | 0;
       set32(i182 | 0, (get32(i182 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i158 | 0, get32(i187 | 0) | 0);
      i158 = i154 + 236 | 0;
      i182 = get32(i158 | 0) | 0;
      i162 = i182 + 1 | 0;
      set32(i158 | 0, i162 | 0);
      i158 = i154 + 244 | 0;
      set32(i158 | 0, (get32(i158 | 0) | 0) + 1 | 0);
      i158 = i154 + 240 | 0;
      if ((i182 | 0) >= (get32(i158 | 0) | 0)) set32(i158 | 0, i162 | 0);
      i327 = i187;
      i157 = 763;
      break L1028;
     } while (0);
     do if (i153 >>> 0 <= 2147483390) {
      if (!(get32(50 * 4 | 0) | 0)) {
       i155 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i151) | 0;
       if (!i155) break; else {
        i328 = i155;
        break L1028;
       }
      }
      i155 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i151) | 0;
      set32(35 * 4 | 0, i151 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i151 | 0)) set32(45 * 4 | 0, i151 | 0);
      i187 = get32(6 * 4 | 0) | 0;
      do if (i187) {
       i162 = get32(30 * 4 | 0) | 0;
       i158 = ((i162 | 0) < 0) << 31 >> 31;
       i182 = 16;
       i163 = _i64Subtract(get32(i182 | 0) | 0, get32(i182 + 4 | 0) | 0, i155 | 0, ((i155 | 0) < 0) << 31 >> 31 | 0) | 0;
       i182 = tempRet0;
       if ((i158 | 0) < (i182 | 0) | (i158 | 0) == (i182 | 0) & i162 >>> 0 < i163 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i163 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i187 & 15](i163, i162, i158, i155);
        set32(6 * 4 | 0, i187 | 0);
        set32(7 * 4 | 0, i163 | 0);
        break;
       }
      } while (0);
      i187 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i155) | 0;
      if (i187) {
       i175 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i187) | 0;
       i160 = (get32(30 * 4 | 0) | 0) + i175 | 0;
       set32(30 * 4 | 0, i160 | 0);
       if ((i160 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i160 | 0);
       i160 = get32(39 * 4 | 0) | 0;
       i175 = i160 + 1 | 0;
       set32(39 * 4 | 0, i175 | 0);
       if ((i160 | 0) < (get32(49 * 4 | 0) | 0)) {
        i328 = i187;
        break L1028;
       }
       set32(49 * 4 | 0, i175 | 0);
       i328 = i187;
       break L1028;
      }
     } while (0);
     set8(i179 >> 0 | 0, 1 | 0);
     break L1;
    } while (0);
    if ((i157 | 0) == 763) if (!i327) break L1; else i328 = i327;
    _memcpy(i328 | 0, i177 | 0, i153 | 0) | 0;
    set8(i328 + i153 >> 0 | 0, 0 | 0);
    i151 = get8(i328 >> 0 | 0) | 0;
    switch (i151 << 24 >> 24 | 0) {
    case 96:
    case 34:
    case 39:
     {
      i329 = i151;
      i157 = 766;
      break;
     }
    case 91:
     {
      i329 = 93;
      i157 = 766;
      break;
     }
    default:
     {}
    }
    if ((i157 | 0) == 766) {
     i151 = get8(i328 + 1 >> 0 | 0) | 0;
     L1089 : do if (!(i151 << 24 >> 24)) i330 = 0; else {
      i154 = i151;
      i187 = 1;
      i175 = 0;
      while (1) {
       if (i154 << 24 >> 24 == i329 << 24 >> 24) {
        i160 = i187 + 1 | 0;
        if ((get8(i328 + i160 >> 0 | 0) | 0) != i329 << 24 >> 24) {
         i330 = i175;
         break L1089;
        }
        set8(i328 + i175 >> 0 | 0, i329 | 0);
        i331 = i160;
       } else {
        set8(i328 + i175 >> 0 | 0, i154 | 0);
        i331 = i187;
       }
       i160 = i175 + 1 | 0;
       i187 = i331 + 1 | 0;
       i154 = get8(i328 + i187 >> 0 | 0) | 0;
       if (!(i154 << 24 >> 24)) {
        i330 = i160;
        break;
       } else i175 = i160;
      }
     } while (0);
     set8(i328 + i330 >> 0 | 0, 0 | 0);
    }
    i151 = i149 + 12 | 0;
    i153 = get32(i151 | 0) | 0;
    do if (!i153) {
     i177 = get32(i149 | 0) | 0;
     L1101 : do if (!i177) {
      if (!(get32(50 * 4 | 0) | 0)) {
       i332 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
       i157 = 811;
       break;
      }
      i175 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
      set32(35 * 4 | 0, 192 | 0);
      if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
      i154 = get32(6 * 4 | 0) | 0;
      do if (i154) {
       i187 = get32(30 * 4 | 0) | 0;
       i179 = ((i187 | 0) < 0) << 31 >> 31;
       i160 = 16;
       i163 = _i64Subtract(get32(i160 | 0) | 0, get32(i160 + 4 | 0) | 0, i175 | 0, ((i175 | 0) < 0) << 31 >> 31 | 0) | 0;
       i160 = tempRet0;
       if ((i179 | 0) < (i160 | 0) | (i179 | 0) == (i160 | 0) & i187 >>> 0 < i163 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i163 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i154 & 15](i163, i187, i179, i175);
        set32(6 * 4 | 0, i154 | 0);
        set32(7 * 4 | 0, i163 | 0);
        break;
       }
      } while (0);
      i154 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i175) | 0;
      if (i154) {
       i155 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i154) | 0;
       i163 = (get32(30 * 4 | 0) | 0) + i155 | 0;
       set32(30 * 4 | 0, i163 | 0);
       if ((i163 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i163 | 0);
       i163 = get32(39 * 4 | 0) | 0;
       i155 = i163 + 1 | 0;
       set32(39 * 4 | 0, i155 | 0);
       if ((i163 | 0) < (get32(49 * 4 | 0) | 0)) i333 = i154; else {
        set32(49 * 4 | 0, i155 | 0);
        i333 = i154;
       }
      } else i157 = 821;
     } else {
      i154 = i177 + 30 | 0;
      if (!(get8(i154 >> 0 | 0) | 0)) {
       do if (get8(i177 + 234 >> 0 | 0) | 0) {
        if ((getU16(i177 + 232 | 0) | 0) < 192) {
         i155 = i177 + 248 | 0;
         set32(i155 | 0, (get32(i155 | 0) | 0) + 1 | 0);
         break;
        }
        i155 = i177 + 256 | 0;
        i163 = get32(i155 | 0) | 0;
        if (!i163) {
         i179 = i177 + 252 | 0;
         set32(i179 | 0, (get32(i179 | 0) | 0) + 1 | 0);
         break;
        }
        set32(i155 | 0, get32(i163 | 0) | 0);
        i155 = i177 + 236 | 0;
        i179 = get32(i155 | 0) | 0;
        i187 = i179 + 1 | 0;
        set32(i155 | 0, i187 | 0);
        i155 = i177 + 244 | 0;
        set32(i155 | 0, (get32(i155 | 0) | 0) + 1 | 0);
        i155 = i177 + 240 | 0;
        if ((i179 | 0) >= (get32(i155 | 0) | 0)) set32(i155 | 0, i187 | 0);
        i332 = i163;
        i157 = 811;
        break L1101;
       } while (0);
       if (!(get32(50 * 4 | 0) | 0)) {
        i175 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
        if (i175) {
         i333 = i175;
         break;
        }
       } else {
        i175 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
        set32(35 * 4 | 0, 192 | 0);
        if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
        i163 = get32(6 * 4 | 0) | 0;
        do if (i163) {
         i187 = get32(30 * 4 | 0) | 0;
         i155 = ((i187 | 0) < 0) << 31 >> 31;
         i179 = 16;
         i160 = _i64Subtract(get32(i179 | 0) | 0, get32(i179 + 4 | 0) | 0, i175 | 0, ((i175 | 0) < 0) << 31 >> 31 | 0) | 0;
         i179 = tempRet0;
         if ((i155 | 0) < (i179 | 0) | (i155 | 0) == (i179 | 0) & i187 >>> 0 < i160 >>> 0) {
          set32(11 * 4 | 0, 0 | 0);
          break;
         } else {
          set32(11 * 4 | 0, 1 | 0);
          i160 = get32(7 * 4 | 0) | 0;
          set32(6 * 4 | 0, 0 | 0);
          FUNCTION_TABLE_viiii[i163 & 15](i160, i187, i155, i175);
          set32(6 * 4 | 0, i163 | 0);
          set32(7 * 4 | 0, i160 | 0);
          break;
         }
        } while (0);
        i163 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i175) | 0;
        if (i163) {
         i160 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i163) | 0;
         i155 = (get32(30 * 4 | 0) | 0) + i160 | 0;
         set32(30 * 4 | 0, i155 | 0);
         if ((i155 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i155 | 0);
         i155 = get32(39 * 4 | 0) | 0;
         i160 = i155 + 1 | 0;
         set32(39 * 4 | 0, i160 | 0);
         if ((i155 | 0) < (get32(49 * 4 | 0) | 0)) {
          i333 = i163;
          break;
         }
         set32(49 * 4 | 0, i160 | 0);
         i333 = i163;
         break;
        }
       }
       set8(i154 >> 0 | 0, 1 | 0);
       i157 = 821;
      } else i157 = 821;
     } while (0);
     if ((i157 | 0) == 811) if (!i332) i157 = 821; else i333 = i332;
     if ((i157 | 0) == 821) {
      set32(i151 | 0, 0 | 0);
      break;
     }
     _memset(i333 | 0, 0, 192) | 0;
     set32(i333 | 0, i177 | 0);
     i163 = i177 + 136 | 0;
     i160 = get32(i163 | 0) | 0;
     if (i160) set32(i160 + 60 | 0, i333 | 0);
     set32(i333 + 64 | 0, i160 | 0);
     set32(i333 + 60 | 0, 0 | 0);
     set32(i163 | 0, i333 | 0);
     set32(i333 + 52 | 0, 649915045 | 0);
     set32(i151 | 0, i333 | 0);
     i163 = i333 + 28 | 0;
     i160 = i333 + 32 | 0;
     i155 = i333 + 4 | 0;
     i187 = _sqlite3DbRealloc(i177, 0, 1020) | 0;
     if (!i187) {
      i334 = i333;
      i157 = 822;
     } else {
      i179 = get32(i333 | 0) | 0;
      if (((i179 | 0) != 0 ? (get32(i179 + 260 | 0) | 0) >>> 0 <= i187 >>> 0 : 0) ? (get32(i179 + 264 | 0) | 0) >>> 0 > i187 >>> 0 : 0) i335 = getU16(i179 + 232 | 0) | 0; else i335 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i187) | 0;
      set32(i160 | 0, (i335 >>> 0) / 20 | 0 | 0);
      set32(i155 | 0, i187 | 0);
      set32(i163 | 0, (get32(i163 | 0) | 0) + 1 | 0);
      set8(i187 >> 0 | 0, -120 | 0);
      set8(i187 + 1 >> 0 | 0, 0 | 0);
      i168 = i187 + 3 | 0;
      i169 = i168 + 17 | 0;
      do {
       set8(i168 >> 0 | 0, 0 | 0);
       i168 = i168 + 1 | 0;
      } while ((i168 | 0) < (i169 | 0));
      i334 = i333;
      i157 = 822;
     }
    } else {
     i334 = i153;
     i157 = 822;
    } while (0);
    L1168 : do if ((i157 | 0) == 822) {
     i153 = get32(i149 | 0) | 0;
     L1170 : do if (((get8(i153 + 124 >> 0 | 0) | 0) == 0 ? (get8(i149 + 528 >> 0 | 0) | 0) == 0 : 0) ? (i151 = get32(i153 + 268 | 0) | 0, (i151 | 0) != 0) : 0) switch (FUNCTION_TABLE_iiiiiii[i151 & 3](get32(i153 + 272 | 0) | 0, 32, 29194, i328, 0, get32(i149 + 516 | 0) | 0) | 0) {
     case 2:
      {
       break L1168;
       break;
      }
     case 0:
      {
       break L1170;
       break;
      }
     case 1:
      {
       _sqlite3ErrorMsg(i149, 26149, i133);
       set32(i149 + 4 | 0, 23 | 0);
       break L1168;
       break;
      }
     default:
      {
       _sqlite3ErrorMsg(i149, 29155, i132);
       set32(i149 + 4 | 0, 1 | 0);
       break L1168;
      }
     } while (0);
     i153 = i334 + 28 | 0;
     i151 = get32(i153 | 0) | 0;
     i177 = i334 + 32 | 0;
     i187 = get32(i177 | 0) | 0;
     if ((i187 | 0) <= (i151 | 0)) {
      i163 = i334 + 4 | 0;
      i155 = _sqlite3DbRealloc(get32(i334 | 0) | 0, get32(i163 | 0) | 0, (i187 | 0) == 0 ? 1020 : i187 * 40 | 0) | 0;
      if (!i155) {
       i336 = 1;
       i337 = i334;
       i338 = i163;
      } else {
       i187 = get32(i334 | 0) | 0;
       if (((i187 | 0) != 0 ? (get32(i187 + 260 | 0) | 0) >>> 0 <= i155 >>> 0 : 0) ? (get32(i187 + 264 | 0) | 0) >>> 0 > i155 >>> 0 : 0) i339 = getU16(i187 + 232 | 0) | 0; else i339 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i155) | 0;
       set32(i177 | 0, (i339 >>> 0) / 20 | 0 | 0);
       set32(i163 | 0, i155 | 0);
       i340 = i163;
       i341 = i334;
       i342 = get32(i153 | 0) | 0;
       i343 = i155;
       i157 = 838;
      }
     } else {
      i155 = i334 + 4 | 0;
      i340 = i155;
      i341 = i334;
      i342 = i151;
      i343 = get32(i155 | 0) | 0;
      i157 = 838;
     }
     if ((i157 | 0) == 838) {
      set32(i153 | 0, i342 + 1 | 0);
      set8(i343 + (i151 * 20 | 0) >> 0 | 0, 32 | 0);
      set8(i343 + (i151 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i343 + (i151 * 20 | 0) + 4 | 0, 1 | 0);
      set32(i343 + (i151 * 20 | 0) + 8 | 0, 0 | 0);
      set32(i343 + (i151 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i343 + (i151 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i343 + (i151 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i336 = i151;
      i337 = i341;
      i338 = i340;
     }
     i151 = get32(i337 | 0) | 0;
     i155 = get32(i338 | 0) | 0;
     if ((i155 | 0) != 0 ? (get8(i151 + 30 >> 0 | 0) | 0) == 0 : 0) {
      if ((i336 | 0) < 0) i344 = (get32(i153 | 0) | 0) + -1 | 0; else i344 = i336;
      i153 = i155 + (i344 * 20 | 0) + 1 | 0;
      i163 = i155 + (i344 * 20 | 0) + 16 | 0;
      _freeP4(i151, get8(i153 >> 0 | 0) | 0, get32(i163 | 0) | 0);
      set32(i163 | 0, i328 | 0);
      set8(i153 >> 0 | 0, -1 | 0);
      break L1;
     }
     _sqlite3DbFree(i151, i328);
     break L1;
    } while (0);
    _sqlite3DbFree(get32(i149 | 0) | 0, i328);
   }
   break;
  }
 case 24:
  {
   i151 = get32(i149 | 0) | 0;
   i153 = get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0;
   i163 = get32(i1 + 12 + (i150 << 4) + 8 | 0) | 0;
   if (i153) {
    i155 = i163 + 1 | 0;
    L1202 : do if (!i151) {
     if (i163 >>> 0 > 2147483390) break L1;
     if (!(get32(50 * 4 | 0) | 0)) {
      i345 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i155) | 0;
      i157 = 885;
      break;
     }
     i177 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i155) | 0;
     set32(35 * 4 | 0, i155 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i155 | 0)) set32(45 * 4 | 0, i155 | 0);
     i187 = get32(6 * 4 | 0) | 0;
     do if (i187) {
      i160 = get32(30 * 4 | 0) | 0;
      i179 = ((i160 | 0) < 0) << 31 >> 31;
      i158 = 16;
      i162 = _i64Subtract(get32(i158 | 0) | 0, get32(i158 + 4 | 0) | 0, i177 | 0, ((i177 | 0) < 0) << 31 >> 31 | 0) | 0;
      i158 = tempRet0;
      if ((i179 | 0) < (i158 | 0) | (i179 | 0) == (i158 | 0) & i160 >>> 0 < i162 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i162 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i187 & 15](i162, i160, i179, i177);
       set32(6 * 4 | 0, i187 | 0);
       set32(7 * 4 | 0, i162 | 0);
       break;
      }
     } while (0);
     i187 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i177) | 0;
     if (!i187) break L1;
     i162 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i187) | 0;
     i179 = (get32(30 * 4 | 0) | 0) + i162 | 0;
     set32(30 * 4 | 0, i179 | 0);
     if ((i179 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i179 | 0);
     i179 = get32(39 * 4 | 0) | 0;
     i162 = i179 + 1 | 0;
     set32(39 * 4 | 0, i162 | 0);
     if ((i179 | 0) < (get32(49 * 4 | 0) | 0)) i346 = i187; else {
      set32(49 * 4 | 0, i162 | 0);
      i346 = i187;
     }
    } else {
     i187 = i151 + 30 | 0;
     if (get8(i187 >> 0 | 0) | 0) break L1;
     do if (get8(i151 + 234 >> 0 | 0) | 0) {
      if ((getU16(i151 + 232 | 0) | 0) < (i155 | 0)) {
       i162 = i151 + 248 | 0;
       set32(i162 | 0, (get32(i162 | 0) | 0) + 1 | 0);
       break;
      }
      i162 = i151 + 256 | 0;
      i179 = get32(i162 | 0) | 0;
      if (!i179) {
       i160 = i151 + 252 | 0;
       set32(i160 | 0, (get32(i160 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i162 | 0, get32(i179 | 0) | 0);
      i162 = i151 + 236 | 0;
      i160 = get32(i162 | 0) | 0;
      i158 = i160 + 1 | 0;
      set32(i162 | 0, i158 | 0);
      i162 = i151 + 244 | 0;
      set32(i162 | 0, (get32(i162 | 0) | 0) + 1 | 0);
      i162 = i151 + 240 | 0;
      if ((i160 | 0) >= (get32(i162 | 0) | 0)) set32(i162 | 0, i158 | 0);
      i345 = i179;
      i157 = 885;
      break L1202;
     } while (0);
     do if (i163 >>> 0 <= 2147483390) {
      if (!(get32(50 * 4 | 0) | 0)) {
       i177 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i155) | 0;
       if (!i177) break; else {
        i346 = i177;
        break L1202;
       }
      }
      i177 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i155) | 0;
      set32(35 * 4 | 0, i155 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i155 | 0)) set32(45 * 4 | 0, i155 | 0);
      i179 = get32(6 * 4 | 0) | 0;
      do if (i179) {
       i158 = get32(30 * 4 | 0) | 0;
       i162 = ((i158 | 0) < 0) << 31 >> 31;
       i160 = 16;
       i182 = _i64Subtract(get32(i160 | 0) | 0, get32(i160 + 4 | 0) | 0, i177 | 0, ((i177 | 0) < 0) << 31 >> 31 | 0) | 0;
       i160 = tempRet0;
       if ((i162 | 0) < (i160 | 0) | (i162 | 0) == (i160 | 0) & i158 >>> 0 < i182 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i182 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i179 & 15](i182, i158, i162, i177);
        set32(6 * 4 | 0, i179 | 0);
        set32(7 * 4 | 0, i182 | 0);
        break;
       }
      } while (0);
      i179 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i177) | 0;
      if (i179) {
       i154 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i179) | 0;
       i175 = (get32(30 * 4 | 0) | 0) + i154 | 0;
       set32(30 * 4 | 0, i175 | 0);
       if ((i175 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i175 | 0);
       i175 = get32(39 * 4 | 0) | 0;
       i154 = i175 + 1 | 0;
       set32(39 * 4 | 0, i154 | 0);
       if ((i175 | 0) < (get32(49 * 4 | 0) | 0)) {
        i346 = i179;
        break L1202;
       }
       set32(49 * 4 | 0, i154 | 0);
       i346 = i179;
       break L1202;
      }
     } while (0);
     set8(i187 >> 0 | 0, 1 | 0);
     break L1;
    } while (0);
    if ((i157 | 0) == 885) if (!i345) break L1; else i346 = i345;
    _memcpy(i346 | 0, i153 | 0, i163 | 0) | 0;
    set8(i346 + i163 >> 0 | 0, 0 | 0);
    i155 = get8(i346 >> 0 | 0) | 0;
    switch (i155 << 24 >> 24 | 0) {
    case 96:
    case 34:
    case 39:
     {
      i347 = i155;
      i157 = 888;
      break;
     }
    case 91:
     {
      i347 = 93;
      i157 = 888;
      break;
     }
    default:
     {}
    }
    if ((i157 | 0) == 888) {
     i155 = get8(i346 + 1 >> 0 | 0) | 0;
     L1263 : do if (!(i155 << 24 >> 24)) i348 = 0; else {
      i151 = i155;
      i179 = 1;
      i154 = 0;
      while (1) {
       if (i151 << 24 >> 24 == i347 << 24 >> 24) {
        i175 = i179 + 1 | 0;
        if ((get8(i346 + i175 >> 0 | 0) | 0) != i347 << 24 >> 24) {
         i348 = i154;
         break L1263;
        }
        set8(i346 + i154 >> 0 | 0, i347 | 0);
        i349 = i175;
       } else {
        set8(i346 + i154 >> 0 | 0, i151 | 0);
        i349 = i179;
       }
       i175 = i154 + 1 | 0;
       i179 = i349 + 1 | 0;
       i151 = get8(i346 + i179 >> 0 | 0) | 0;
       if (!(i151 << 24 >> 24)) {
        i348 = i175;
        break;
       } else i154 = i175;
      }
     } while (0);
     set8(i346 + i348 >> 0 | 0, 0 | 0);
    }
    i155 = i149 + 12 | 0;
    i163 = get32(i155 | 0) | 0;
    do if (!i163) {
     i153 = get32(i149 | 0) | 0;
     L1275 : do if (!i153) {
      if (!(get32(50 * 4 | 0) | 0)) {
       i350 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
       i157 = 933;
       break;
      }
      i154 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
      set32(35 * 4 | 0, 192 | 0);
      if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
      i151 = get32(6 * 4 | 0) | 0;
      do if (i151) {
       i179 = get32(30 * 4 | 0) | 0;
       i187 = ((i179 | 0) < 0) << 31 >> 31;
       i175 = 16;
       i182 = _i64Subtract(get32(i175 | 0) | 0, get32(i175 + 4 | 0) | 0, i154 | 0, ((i154 | 0) < 0) << 31 >> 31 | 0) | 0;
       i175 = tempRet0;
       if ((i187 | 0) < (i175 | 0) | (i187 | 0) == (i175 | 0) & i179 >>> 0 < i182 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i182 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i151 & 15](i182, i179, i187, i154);
        set32(6 * 4 | 0, i151 | 0);
        set32(7 * 4 | 0, i182 | 0);
        break;
       }
      } while (0);
      i151 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i154) | 0;
      if (i151) {
       i177 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i151) | 0;
       i182 = (get32(30 * 4 | 0) | 0) + i177 | 0;
       set32(30 * 4 | 0, i182 | 0);
       if ((i182 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i182 | 0);
       i182 = get32(39 * 4 | 0) | 0;
       i177 = i182 + 1 | 0;
       set32(39 * 4 | 0, i177 | 0);
       if ((i182 | 0) < (get32(49 * 4 | 0) | 0)) i351 = i151; else {
        set32(49 * 4 | 0, i177 | 0);
        i351 = i151;
       }
      } else i157 = 943;
     } else {
      i151 = i153 + 30 | 0;
      if (!(get8(i151 >> 0 | 0) | 0)) {
       do if (get8(i153 + 234 >> 0 | 0) | 0) {
        if ((getU16(i153 + 232 | 0) | 0) < 192) {
         i177 = i153 + 248 | 0;
         set32(i177 | 0, (get32(i177 | 0) | 0) + 1 | 0);
         break;
        }
        i177 = i153 + 256 | 0;
        i182 = get32(i177 | 0) | 0;
        if (!i182) {
         i187 = i153 + 252 | 0;
         set32(i187 | 0, (get32(i187 | 0) | 0) + 1 | 0);
         break;
        }
        set32(i177 | 0, get32(i182 | 0) | 0);
        i177 = i153 + 236 | 0;
        i187 = get32(i177 | 0) | 0;
        i179 = i187 + 1 | 0;
        set32(i177 | 0, i179 | 0);
        i177 = i153 + 244 | 0;
        set32(i177 | 0, (get32(i177 | 0) | 0) + 1 | 0);
        i177 = i153 + 240 | 0;
        if ((i187 | 0) >= (get32(i177 | 0) | 0)) set32(i177 | 0, i179 | 0);
        i350 = i182;
        i157 = 933;
        break L1275;
       } while (0);
       if (!(get32(50 * 4 | 0) | 0)) {
        i154 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
        if (i154) {
         i351 = i154;
         break;
        }
       } else {
        i154 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
        set32(35 * 4 | 0, 192 | 0);
        if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
        i182 = get32(6 * 4 | 0) | 0;
        do if (i182) {
         i179 = get32(30 * 4 | 0) | 0;
         i177 = ((i179 | 0) < 0) << 31 >> 31;
         i187 = 16;
         i175 = _i64Subtract(get32(i187 | 0) | 0, get32(i187 + 4 | 0) | 0, i154 | 0, ((i154 | 0) < 0) << 31 >> 31 | 0) | 0;
         i187 = tempRet0;
         if ((i177 | 0) < (i187 | 0) | (i177 | 0) == (i187 | 0) & i179 >>> 0 < i175 >>> 0) {
          set32(11 * 4 | 0, 0 | 0);
          break;
         } else {
          set32(11 * 4 | 0, 1 | 0);
          i175 = get32(7 * 4 | 0) | 0;
          set32(6 * 4 | 0, 0 | 0);
          FUNCTION_TABLE_viiii[i182 & 15](i175, i179, i177, i154);
          set32(6 * 4 | 0, i182 | 0);
          set32(7 * 4 | 0, i175 | 0);
          break;
         }
        } while (0);
        i182 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i154) | 0;
        if (i182) {
         i175 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i182) | 0;
         i177 = (get32(30 * 4 | 0) | 0) + i175 | 0;
         set32(30 * 4 | 0, i177 | 0);
         if ((i177 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i177 | 0);
         i177 = get32(39 * 4 | 0) | 0;
         i175 = i177 + 1 | 0;
         set32(39 * 4 | 0, i175 | 0);
         if ((i177 | 0) < (get32(49 * 4 | 0) | 0)) {
          i351 = i182;
          break;
         }
         set32(49 * 4 | 0, i175 | 0);
         i351 = i182;
         break;
        }
       }
       set8(i151 >> 0 | 0, 1 | 0);
       i157 = 943;
      } else i157 = 943;
     } while (0);
     if ((i157 | 0) == 933) if (!i350) i157 = 943; else i351 = i350;
     if ((i157 | 0) == 943) {
      set32(i155 | 0, 0 | 0);
      break;
     }
     _memset(i351 | 0, 0, 192) | 0;
     set32(i351 | 0, i153 | 0);
     i182 = i153 + 136 | 0;
     i175 = get32(i182 | 0) | 0;
     if (i175) set32(i175 + 60 | 0, i351 | 0);
     set32(i351 + 64 | 0, i175 | 0);
     set32(i351 + 60 | 0, 0 | 0);
     set32(i182 | 0, i351 | 0);
     set32(i351 + 52 | 0, 649915045 | 0);
     set32(i155 | 0, i351 | 0);
     i182 = i351 + 28 | 0;
     i175 = i351 + 32 | 0;
     i177 = i351 + 4 | 0;
     i179 = _sqlite3DbRealloc(i153, 0, 1020) | 0;
     if (!i179) {
      i352 = i351;
      i157 = 944;
     } else {
      i187 = get32(i351 | 0) | 0;
      if (((i187 | 0) != 0 ? (get32(i187 + 260 | 0) | 0) >>> 0 <= i179 >>> 0 : 0) ? (get32(i187 + 264 | 0) | 0) >>> 0 > i179 >>> 0 : 0) i353 = getU16(i187 + 232 | 0) | 0; else i353 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i179) | 0;
      set32(i175 | 0, (i353 >>> 0) / 20 | 0 | 0);
      set32(i177 | 0, i179 | 0);
      set32(i182 | 0, (get32(i182 | 0) | 0) + 1 | 0);
      set8(i179 >> 0 | 0, -120 | 0);
      set8(i179 + 1 >> 0 | 0, 0 | 0);
      i168 = i179 + 3 | 0;
      i169 = i168 + 17 | 0;
      do {
       set8(i168 >> 0 | 0, 0 | 0);
       i168 = i168 + 1 | 0;
      } while ((i168 | 0) < (i169 | 0));
      i352 = i351;
      i157 = 944;
     }
    } else {
     i352 = i163;
     i157 = 944;
    } while (0);
    L1342 : do if ((i157 | 0) == 944) {
     i163 = get32(i149 | 0) | 0;
     L1344 : do if (((get8(i163 + 124 >> 0 | 0) | 0) == 0 ? (get8(i149 + 528 >> 0 | 0) | 0) == 0 : 0) ? (i155 = get32(i163 + 268 | 0) | 0, (i155 | 0) != 0) : 0) switch (FUNCTION_TABLE_iiiiiii[i155 & 3](get32(i163 + 272 | 0) | 0, 32, 29185, i346, 0, get32(i149 + 516 | 0) | 0) | 0) {
     case 2:
      {
       break L1342;
       break;
      }
     case 0:
      {
       break L1344;
       break;
      }
     case 1:
      {
       _sqlite3ErrorMsg(i149, 26149, i131);
       set32(i149 + 4 | 0, 23 | 0);
       break L1342;
       break;
      }
     default:
      {
       _sqlite3ErrorMsg(i149, 29155, i130);
       set32(i149 + 4 | 0, 1 | 0);
       break L1342;
      }
     } while (0);
     i163 = i352 + 28 | 0;
     i155 = get32(i163 | 0) | 0;
     i153 = i352 + 32 | 0;
     i179 = get32(i153 | 0) | 0;
     if ((i179 | 0) <= (i155 | 0)) {
      i182 = i352 + 4 | 0;
      i177 = _sqlite3DbRealloc(get32(i352 | 0) | 0, get32(i182 | 0) | 0, (i179 | 0) == 0 ? 1020 : i179 * 40 | 0) | 0;
      if (!i177) {
       i354 = 1;
       i355 = i352;
       i356 = i182;
      } else {
       i179 = get32(i352 | 0) | 0;
       if (((i179 | 0) != 0 ? (get32(i179 + 260 | 0) | 0) >>> 0 <= i177 >>> 0 : 0) ? (get32(i179 + 264 | 0) | 0) >>> 0 > i177 >>> 0 : 0) i357 = getU16(i179 + 232 | 0) | 0; else i357 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i177) | 0;
       set32(i153 | 0, (i357 >>> 0) / 20 | 0 | 0);
       set32(i182 | 0, i177 | 0);
       i358 = i182;
       i359 = i352;
       i360 = get32(i163 | 0) | 0;
       i361 = i177;
       i157 = 960;
      }
     } else {
      i177 = i352 + 4 | 0;
      i358 = i177;
      i359 = i352;
      i360 = i155;
      i361 = get32(i177 | 0) | 0;
      i157 = 960;
     }
     if ((i157 | 0) == 960) {
      set32(i163 | 0, i360 + 1 | 0);
      set8(i361 + (i155 * 20 | 0) >> 0 | 0, 32 | 0);
      set8(i361 + (i155 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i361 + (i155 * 20 | 0) + 4 | 0, 2 | 0);
      set32(i361 + (i155 * 20 | 0) + 8 | 0, 0 | 0);
      set32(i361 + (i155 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i361 + (i155 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i361 + (i155 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i354 = i155;
      i355 = i359;
      i356 = i358;
     }
     i155 = get32(i355 | 0) | 0;
     i177 = get32(i356 | 0) | 0;
     if ((i177 | 0) != 0 ? (get8(i155 + 30 >> 0 | 0) | 0) == 0 : 0) {
      if ((i354 | 0) < 0) i362 = (get32(i163 | 0) | 0) + -1 | 0; else i362 = i354;
      i163 = i177 + (i362 * 20 | 0) + 1 | 0;
      i182 = i177 + (i362 * 20 | 0) + 16 | 0;
      _freeP4(i155, get8(i163 >> 0 | 0) | 0, get32(i182 | 0) | 0);
      set32(i182 | 0, i346 | 0);
      set8(i163 >> 0 | 0, -1 | 0);
      break L1;
     }
     _sqlite3DbFree(i155, i346);
     break L1;
    } while (0);
    _sqlite3DbFree(get32(i149 | 0) | 0, i346);
   }
   break;
  }
 case 26:
  {
   _sqlite3StartTable(i149, i1 + 12 + (i150 + -1 << 4) + 4 | 0, i1 + 12 + (i150 << 4) + 4 | 0, get32(i1 + 12 + (i150 + -4 << 4) + 4 | 0) | 0, 0, 0, get32(i1 + 12 + (i150 + -2 << 4) + 4 | 0) | 0);
   break;
  }
 case 27:
  {
   set8((get32(i149 | 0) | 0) + 234 >> 0 | 0, 0 | 0);
   i155 = i1 + 12 + (i150 << 4) + 4 | 0;
   i163 = get32(i155 + 4 | 0) | 0;
   i182 = i144;
   set32(i182 | 0, get32(i155 | 0) | 0);
   set32(i182 + 4 | 0, i163 | 0);
   break;
  }
 case 225:
 case 222:
 case 121:
 case 120:
 case 109:
 case 98:
 case 87:
 case 85:
 case 83:
 case 70:
 case 31:
 case 28:
  {
   set32(i144 | 0, 0 | 0);
   break;
  }
 case 226:
 case 223:
 case 119:
 case 108:
 case 86:
 case 71:
 case 30:
 case 29:
  {
   set32(i144 | 0, 1 | 0);
   break;
  }
 case 32:
  {
   _sqlite3EndTable(i149, i1 + 12 + (i150 + -1 << 4) + 4 | 0, i1 + 12 + (i150 << 4) + 4 | 0, 0);
   break;
  }
 case 33:
  {
   i163 = i1 + 12 + (i150 << 4) + 4 | 0;
   _sqlite3EndTable(i149, 0, 0, get32(i163 | 0) | 0);
   i182 = get32(i149 | 0) | 0;
   i155 = get32(i163 | 0) | 0;
   if (i155) {
    i163 = get32(i155 | 0) | 0;
    if (i163) {
     i177 = i163 + 12 | 0;
     if ((get32(i163 | 0) | 0) > 0) {
      i153 = 0;
      i179 = get32(i177 | 0) | 0;
      while (1) {
       _sqlite3ExprDelete(i182, get32(i179 | 0) | 0);
       _sqlite3DbFree(i182, get32(i179 + 4 | 0) | 0);
       _sqlite3DbFree(i182, get32(i179 + 8 | 0) | 0);
       i153 = i153 + 1 | 0;
       if ((i153 | 0) >= (get32(i163 | 0) | 0)) break; else i179 = i179 + 20 | 0;
      }
     }
     _sqlite3DbFree(i182, get32(i177 | 0) | 0);
     _sqlite3DbFree(i182, i163);
    }
    _sqlite3SrcListDelete(i182, get32(i155 + 8 | 0) | 0);
    _sqlite3ExprDelete(i182, get32(i155 + 12 | 0) | 0);
    i179 = get32(i155 + 16 | 0) | 0;
    if (i179) {
     i153 = i179 + 12 | 0;
     if ((get32(i179 | 0) | 0) > 0) {
      i175 = 0;
      i187 = get32(i153 | 0) | 0;
      while (1) {
       _sqlite3ExprDelete(i182, get32(i187 | 0) | 0);
       _sqlite3DbFree(i182, get32(i187 + 4 | 0) | 0);
       _sqlite3DbFree(i182, get32(i187 + 8 | 0) | 0);
       i175 = i175 + 1 | 0;
       if ((i175 | 0) >= (get32(i179 | 0) | 0)) break; else i187 = i187 + 20 | 0;
      }
     }
     _sqlite3DbFree(i182, get32(i153 | 0) | 0);
     _sqlite3DbFree(i182, i179);
    }
    _sqlite3ExprDelete(i182, get32(i155 + 20 | 0) | 0);
    i187 = get32(i155 + 24 | 0) | 0;
    if (i187) {
     i175 = i187 + 12 | 0;
     if ((get32(i187 | 0) | 0) > 0) {
      i163 = 0;
      i177 = get32(i175 | 0) | 0;
      while (1) {
       _sqlite3ExprDelete(i182, get32(i177 | 0) | 0);
       _sqlite3DbFree(i182, get32(i177 + 4 | 0) | 0);
       _sqlite3DbFree(i182, get32(i177 + 8 | 0) | 0);
       i163 = i163 + 1 | 0;
       if ((i163 | 0) >= (get32(i187 | 0) | 0)) break; else i177 = i177 + 20 | 0;
      }
     }
     _sqlite3DbFree(i182, get32(i175 | 0) | 0);
     _sqlite3DbFree(i182, i187);
    }
    i177 = get32(i155 + 28 | 0) | 0;
    if (i177) {
     i163 = get32(i177 | 0) | 0;
     if (i163) {
      i179 = i163 + 12 | 0;
      if ((get32(i163 | 0) | 0) > 0) {
       i153 = 0;
       i162 = get32(i179 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i182, get32(i162 | 0) | 0);
        _sqlite3DbFree(i182, get32(i162 + 4 | 0) | 0);
        _sqlite3DbFree(i182, get32(i162 + 8 | 0) | 0);
        i153 = i153 + 1 | 0;
        if ((i153 | 0) >= (get32(i163 | 0) | 0)) break; else i162 = i162 + 20 | 0;
       }
      }
      _sqlite3DbFree(i182, get32(i179 | 0) | 0);
      _sqlite3DbFree(i182, i163);
     }
     _sqlite3SrcListDelete(i182, get32(i177 + 8 | 0) | 0);
     _sqlite3ExprDelete(i182, get32(i177 + 12 | 0) | 0);
     i162 = get32(i177 + 16 | 0) | 0;
     if (i162) {
      i153 = i162 + 12 | 0;
      if ((get32(i162 | 0) | 0) > 0) {
       i187 = 0;
       i175 = get32(i153 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i182, get32(i175 | 0) | 0);
        _sqlite3DbFree(i182, get32(i175 + 4 | 0) | 0);
        _sqlite3DbFree(i182, get32(i175 + 8 | 0) | 0);
        i187 = i187 + 1 | 0;
        if ((i187 | 0) >= (get32(i162 | 0) | 0)) break; else i175 = i175 + 20 | 0;
       }
      }
      _sqlite3DbFree(i182, get32(i153 | 0) | 0);
      _sqlite3DbFree(i182, i162);
     }
     _sqlite3ExprDelete(i182, get32(i177 + 20 | 0) | 0);
     i175 = get32(i177 + 24 | 0) | 0;
     if (i175) {
      i187 = i175 + 12 | 0;
      if ((get32(i175 | 0) | 0) > 0) {
       i163 = 0;
       i179 = get32(i187 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i182, get32(i179 | 0) | 0);
        _sqlite3DbFree(i182, get32(i179 + 4 | 0) | 0);
        _sqlite3DbFree(i182, get32(i179 + 8 | 0) | 0);
        i163 = i163 + 1 | 0;
        if ((i163 | 0) >= (get32(i175 | 0) | 0)) break; else i179 = i179 + 20 | 0;
       }
      }
      _sqlite3DbFree(i182, get32(i187 | 0) | 0);
      _sqlite3DbFree(i182, i175);
     }
     _sqlite3SelectDelete(i182, get32(i177 + 28 | 0) | 0);
     _sqlite3ExprDelete(i182, get32(i177 + 40 | 0) | 0);
     _sqlite3ExprDelete(i182, get32(i177 + 44 | 0) | 0);
     _sqlite3DbFree(i182, i177);
    }
    _sqlite3ExprDelete(i182, get32(i155 + 40 | 0) | 0);
    _sqlite3ExprDelete(i182, get32(i155 + 44 | 0) | 0);
    _sqlite3DbFree(i182, i155);
   }
   break;
  }
 case 36:
  {
   i179 = get32(i1 + 12 + (i150 + -2 << 4) + 4 | 0) | 0;
   set32(i144 | 0, i179 | 0);
   set32(i144 + 4 | 0, (get32(i149 + 496 | 0) | 0) - i179 + (get32(i149 + 500 | 0) | 0) | 0);
   break;
  }
 case 37:
  {
   i179 = i1 + 12 + (i150 << 4) + 4 | 0;
   i163 = get32(i149 | 0) | 0;
   i162 = get32(i149 + 508 | 0) | 0;
   L1434 : do if (i162) {
    i153 = i162 + 8 | 0;
    if ((get32(i153 | 0) | 0) >= (get32(i163 + 80 | 0) | 0)) {
     set32(i129 | 0, get32(i162 | 0) | 0);
     _sqlite3ErrorMsg(i149, 30740, i129);
     break;
    }
    i158 = get32(i179 | 0) | 0;
    i160 = get32(i1 + 12 + (i150 << 4) + 8 | 0) | 0;
    if ((i158 | 0) != 0 ? (i152 = i160 + 1 | 0, i161 = i163 + 30 | 0, (get8(i161 >> 0 | 0) | 0) == 0) : 0) {
     do if (!(get8(i163 + 234 >> 0 | 0) | 0)) i157 = 1019; else {
      if ((getU16(i163 + 232 | 0) | 0) < (i152 | 0)) {
       i181 = i163 + 248 | 0;
       set32(i181 | 0, (get32(i181 | 0) | 0) + 1 | 0);
       i157 = 1019;
       break;
      }
      i181 = i163 + 256 | 0;
      i213 = get32(i181 | 0) | 0;
      if (!i213) {
       i176 = i163 + 252 | 0;
       set32(i176 | 0, (get32(i176 | 0) | 0) + 1 | 0);
       i157 = 1019;
       break;
      }
      set32(i181 | 0, get32(i213 | 0) | 0);
      i181 = i163 + 236 | 0;
      i176 = get32(i181 | 0) | 0;
      i211 = i176 + 1 | 0;
      set32(i181 | 0, i211 | 0);
      i181 = i163 + 244 | 0;
      set32(i181 | 0, (get32(i181 | 0) | 0) + 1 | 0);
      i181 = i163 + 240 | 0;
      if ((i176 | 0) >= (get32(i181 | 0) | 0)) set32(i181 | 0, i211 | 0);
      i363 = i213;
     } while (0);
     L1452 : do if ((i157 | 0) == 1019) {
      do if (i160 >>> 0 <= 2147483390) {
       if (!(get32(50 * 4 | 0) | 0)) {
        i213 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i152) | 0;
        if (!i213) break; else {
         i363 = i213;
         break L1452;
        }
       }
       i213 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i152) | 0;
       set32(35 * 4 | 0, i152 | 0);
       if ((get32(45 * 4 | 0) | 0) < (i152 | 0)) set32(45 * 4 | 0, i152 | 0);
       i211 = get32(6 * 4 | 0) | 0;
       do if (i211) {
        i181 = get32(30 * 4 | 0) | 0;
        i176 = ((i181 | 0) < 0) << 31 >> 31;
        i227 = 16;
        i188 = _i64Subtract(get32(i227 | 0) | 0, get32(i227 + 4 | 0) | 0, i213 | 0, ((i213 | 0) < 0) << 31 >> 31 | 0) | 0;
        i227 = tempRet0;
        if ((i176 | 0) < (i227 | 0) | (i176 | 0) == (i227 | 0) & i181 >>> 0 < i188 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i188 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i211 & 15](i188, i181, i176, i213);
         set32(6 * 4 | 0, i211 | 0);
         set32(7 * 4 | 0, i188 | 0);
         break;
        }
       } while (0);
       i211 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i213) | 0;
       if (i211) {
        i159 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i211) | 0;
        i188 = (get32(30 * 4 | 0) | 0) + i159 | 0;
        set32(30 * 4 | 0, i188 | 0);
        if ((i188 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i188 | 0);
        i188 = get32(39 * 4 | 0) | 0;
        i159 = i188 + 1 | 0;
        set32(39 * 4 | 0, i159 | 0);
        if ((i188 | 0) < (get32(49 * 4 | 0) | 0)) {
         i363 = i211;
         break L1452;
        }
        set32(49 * 4 | 0, i159 | 0);
        i363 = i211;
        break L1452;
       }
      } while (0);
      set8(i161 >> 0 | 0, 1 | 0);
      break L1434;
     } while (0);
     _memcpy(i363 | 0, i158 | 0, i160 | 0) | 0;
     set8(i363 + i160 >> 0 | 0, 0 | 0);
     i161 = get8(i363 >> 0 | 0) | 0;
     switch (i161 << 24 >> 24 | 0) {
     case 96:
     case 34:
     case 39:
      {
       i364 = i161;
       i157 = 1037;
       break;
      }
     case 91:
      {
       i364 = 93;
       i157 = 1037;
       break;
      }
     default:
      {}
     }
     if ((i157 | 0) == 1037) {
      i161 = get8(i363 + 1 >> 0 | 0) | 0;
      L1479 : do if (!(i161 << 24 >> 24)) i365 = 0; else {
       i152 = i161;
       i151 = 1;
       i154 = 0;
       while (1) {
        if (i152 << 24 >> 24 == i364 << 24 >> 24) {
         i211 = i151 + 1 | 0;
         if ((get8(i363 + i211 >> 0 | 0) | 0) != i364 << 24 >> 24) {
          i365 = i154;
          break L1479;
         }
         set8(i363 + i154 >> 0 | 0, i364 | 0);
         i366 = i211;
        } else {
         set8(i363 + i154 >> 0 | 0, i152 | 0);
         i366 = i151;
        }
        i211 = i154 + 1 | 0;
        i151 = i366 + 1 | 0;
        i152 = get8(i363 + i151 >> 0 | 0) | 0;
        if (!(i152 << 24 >> 24)) {
         i365 = i211;
         break;
        } else i154 = i211;
       }
      } while (0);
      set8(i363 + i365 >> 0 | 0, 0 | 0);
     }
     i161 = get32(i153 | 0) | 0;
     L1489 : do if ((i161 | 0) > 0) {
      i160 = get8(16286 + (getU8(i363 >> 0 | 0) | 0) >> 0 | 0) | 0;
      i158 = i162 + 12 | 0;
      i154 = get32(i158 | 0) | 0;
      i152 = i363 + 1 | 0;
      i151 = 0;
      while (1) {
       i211 = get32(i154 + (i151 * 24 | 0) | 0) | 0;
       if (i160 << 24 >> 24 == (get8(16286 + (getU8(i211 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
        i159 = i211 + 1 | 0;
        i211 = get8(i152 >> 0 | 0) | 0;
        L1495 : do if (!(i211 << 24 >> 24)) {
         i367 = 0;
         i368 = i159;
        } else {
         i188 = i211;
         i176 = i152;
         i181 = i159;
         while (1) {
          if ((get8(16286 + (i188 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i181 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
           i367 = i188;
           i368 = i181;
           break L1495;
          }
          i176 = i176 + 1 | 0;
          i227 = i181 + 1 | 0;
          i188 = get8(i176 >> 0 | 0) | 0;
          if (!(i188 << 24 >> 24)) {
           i367 = 0;
           i368 = i227;
           break;
          } else i181 = i227;
         }
        } while (0);
        if ((get8(16286 + (i367 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i368 >> 0 | 0) | 0) >> 0 | 0) | 0)) break;
       }
       i151 = i151 + 1 | 0;
       if ((i151 | 0) >= (i161 | 0)) {
        i369 = i158;
        break L1489;
       }
      }
      set32(i128 | 0, i363 | 0);
      _sqlite3ErrorMsg(i149, 30763, i128);
      _sqlite3DbFree(i163, i363);
      break L1434;
     } else i369 = i162 + 12 | 0; while (0);
     do if (!(i161 & 7)) {
      i158 = _sqlite3DbRealloc(i163, get32(i369 | 0) | 0, (i161 * 24 | 0) + 192 | 0) | 0;
      if (!i158) {
       _sqlite3DbFree(i163, i363);
       break L1434;
      } else {
       set32(i369 | 0, i158 | 0);
       i370 = i158;
       i371 = get32(i153 | 0) | 0;
       break;
      }
     } else {
      i370 = get32(i369 | 0) | 0;
      i371 = i161;
     } while (0);
     i161 = i370 + (i371 * 24 | 0) | 0;
     set32(i161 | 0, 0 | 0);
     set32(i161 + 4 | 0, 0 | 0);
     set32(i161 + 8 | 0, 0 | 0);
     set32(i161 + 12 | 0, 0 | 0);
     set32(i161 + 16 | 0, 0 | 0);
     set32(i161 + 20 | 0, 0 | 0);
     set32(i161 | 0, i363 | 0);
     set8(i370 + (i371 * 24 | 0) + 22 >> 0 | 0, 98 | 0);
     set32(i153 | 0, (get32(i153 | 0) | 0) + 1 | 0);
    }
   } while (0);
   i163 = i179;
   i162 = get32(i163 + 4 | 0) | 0;
   i155 = i144;
   set32(i155 | 0, get32(i163 | 0) | 0);
   set32(i155 + 4 | 0, i162 | 0);
   break;
  }
 case 285:
 case 267:
 case 266:
 case 265:
 case 264:
 case 263:
 case 262:
 case 261:
 case 260:
 case 251:
 case 147:
 case 138:
 case 128:
 case 127:
 case 49:
 case 46:
 case 43:
 case 42:
 case 41:
 case 40:
 case 39:
 case 38:
  {
   i162 = i1 + 12 + (i150 << 4) + 4 | 0;
   i155 = get32(i162 + 4 | 0) | 0;
   i163 = i144;
   set32(i163 | 0, get32(i162 | 0) | 0);
   set32(i163 + 4 | 0, i155 | 0);
   break;
  }
 case 45:
  {
   i155 = i1 + 12 + (i150 << 4) + 4 | 0;
   i163 = get32(i149 + 508 | 0) | 0;
   if ((i163 | 0) != 0 ? (i162 = get32(i163 + 8 | 0) | 0, (i162 | 0) >= 1) : 0) {
    i182 = i162 + -1 | 0;
    i162 = get32(i163 + 12 | 0) | 0;
    i163 = get32(i149 | 0) | 0;
    i177 = get32(i155 | 0) | 0;
    i155 = get32(i1 + 12 + (i150 << 4) + 8 | 0) | 0;
    L1516 : do if (i177) {
     i175 = i155 + 1 | 0;
     L1518 : do if (!i163) {
      if (i155 >>> 0 > 2147483390) {
       i157 = 1114;
       break L1516;
      }
      if (!(get32(50 * 4 | 0) | 0)) {
       i372 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i175) | 0;
       i157 = 1104;
       break;
      }
      i187 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i175) | 0;
      set32(35 * 4 | 0, i175 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i175 | 0)) set32(45 * 4 | 0, i175 | 0);
      i161 = get32(6 * 4 | 0) | 0;
      do if (i161) {
       i158 = get32(30 * 4 | 0) | 0;
       i151 = ((i158 | 0) < 0) << 31 >> 31;
       i152 = 16;
       i160 = _i64Subtract(get32(i152 | 0) | 0, get32(i152 + 4 | 0) | 0, i187 | 0, ((i187 | 0) < 0) << 31 >> 31 | 0) | 0;
       i152 = tempRet0;
       if ((i151 | 0) < (i152 | 0) | (i151 | 0) == (i152 | 0) & i158 >>> 0 < i160 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i160 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i161 & 15](i160, i158, i151, i187);
        set32(6 * 4 | 0, i161 | 0);
        set32(7 * 4 | 0, i160 | 0);
        break;
       }
      } while (0);
      i161 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i187) | 0;
      if (!i161) {
       i157 = 1114;
       break L1516;
      }
      i160 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i161) | 0;
      i151 = (get32(30 * 4 | 0) | 0) + i160 | 0;
      set32(30 * 4 | 0, i151 | 0);
      if ((i151 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i151 | 0);
      i151 = get32(39 * 4 | 0) | 0;
      i160 = i151 + 1 | 0;
      set32(39 * 4 | 0, i160 | 0);
      if ((i151 | 0) < (get32(49 * 4 | 0) | 0)) i373 = i161; else {
       set32(49 * 4 | 0, i160 | 0);
       i373 = i161;
      }
     } else {
      i161 = i163 + 30 | 0;
      if (get8(i161 >> 0 | 0) | 0) {
       i157 = 1114;
       break L1516;
      }
      do if (get8(i163 + 234 >> 0 | 0) | 0) {
       if ((getU16(i163 + 232 | 0) | 0) < (i175 | 0)) {
        i160 = i163 + 248 | 0;
        set32(i160 | 0, (get32(i160 | 0) | 0) + 1 | 0);
        break;
       }
       i160 = i163 + 256 | 0;
       i151 = get32(i160 | 0) | 0;
       if (!i151) {
        i158 = i163 + 252 | 0;
        set32(i158 | 0, (get32(i158 | 0) | 0) + 1 | 0);
        break;
       }
       set32(i160 | 0, get32(i151 | 0) | 0);
       i160 = i163 + 236 | 0;
       i158 = get32(i160 | 0) | 0;
       i152 = i158 + 1 | 0;
       set32(i160 | 0, i152 | 0);
       i160 = i163 + 244 | 0;
       set32(i160 | 0, (get32(i160 | 0) | 0) + 1 | 0);
       i160 = i163 + 240 | 0;
       if ((i158 | 0) >= (get32(i160 | 0) | 0)) set32(i160 | 0, i152 | 0);
       i372 = i151;
       i157 = 1104;
       break L1518;
      } while (0);
      do if (i155 >>> 0 <= 2147483390) {
       if (!(get32(50 * 4 | 0) | 0)) {
        i187 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i175) | 0;
        if (!i187) break; else {
         i373 = i187;
         break L1518;
        }
       }
       i187 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i175) | 0;
       set32(35 * 4 | 0, i175 | 0);
       if ((get32(45 * 4 | 0) | 0) < (i175 | 0)) set32(45 * 4 | 0, i175 | 0);
       i151 = get32(6 * 4 | 0) | 0;
       do if (i151) {
        i152 = get32(30 * 4 | 0) | 0;
        i160 = ((i152 | 0) < 0) << 31 >> 31;
        i158 = 16;
        i154 = _i64Subtract(get32(i158 | 0) | 0, get32(i158 + 4 | 0) | 0, i187 | 0, ((i187 | 0) < 0) << 31 >> 31 | 0) | 0;
        i158 = tempRet0;
        if ((i160 | 0) < (i158 | 0) | (i160 | 0) == (i158 | 0) & i152 >>> 0 < i154 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i154 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i151 & 15](i154, i152, i160, i187);
         set32(6 * 4 | 0, i151 | 0);
         set32(7 * 4 | 0, i154 | 0);
         break;
        }
       } while (0);
       i151 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i187) | 0;
       if (i151) {
        i154 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i151) | 0;
        i160 = (get32(30 * 4 | 0) | 0) + i154 | 0;
        set32(30 * 4 | 0, i160 | 0);
        if ((i160 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i160 | 0);
        i160 = get32(39 * 4 | 0) | 0;
        i154 = i160 + 1 | 0;
        set32(39 * 4 | 0, i154 | 0);
        if ((i160 | 0) < (get32(49 * 4 | 0) | 0)) {
         i373 = i151;
         break L1518;
        }
        set32(49 * 4 | 0, i154 | 0);
        i373 = i151;
        break L1518;
       }
      } while (0);
      set8(i161 >> 0 | 0, 1 | 0);
      i157 = 1114;
      break L1516;
     } while (0);
     if ((i157 | 0) == 1104) if (!i372) {
      i157 = 1114;
      break;
     } else i373 = i372;
     _memcpy(i373 | 0, i177 | 0, i155 | 0) | 0;
     set8(i373 + i155 >> 0 | 0, 0 | 0);
     i175 = get8(i373 >> 0 | 0) | 0;
     switch (i175 << 24 >> 24 | 0) {
     case 96:
     case 34:
     case 39:
      {
       i374 = i175;
       i157 = 1107;
       break;
      }
     case 91:
      {
       i374 = 93;
       i157 = 1107;
       break;
      }
     default:
      {}
     }
     if ((i157 | 0) == 1107) {
      i175 = get8(i373 + 1 >> 0 | 0) | 0;
      L1579 : do if (!(i175 << 24 >> 24)) i375 = 0; else {
       i153 = i175;
       i151 = 1;
       i154 = 0;
       while (1) {
        if (i153 << 24 >> 24 == i374 << 24 >> 24) {
         i160 = i151 + 1 | 0;
         if ((get8(i373 + i160 >> 0 | 0) | 0) != i374 << 24 >> 24) {
          i375 = i154;
          break L1579;
         }
         set8(i373 + i154 >> 0 | 0, i374 | 0);
         i376 = i160;
        } else {
         set8(i373 + i154 >> 0 | 0, i153 | 0);
         i376 = i151;
        }
        i160 = i154 + 1 | 0;
        i151 = i376 + 1 | 0;
        i153 = get8(i373 + i151 >> 0 | 0) | 0;
        if (!(i153 << 24 >> 24)) {
         i375 = i160;
         break;
        } else i154 = i160;
       }
      } while (0);
      set8(i373 + i375 >> 0 | 0, 0 | 0);
     }
     set32(i162 + (i182 * 24 | 0) + 12 | 0, i373 | 0);
     i175 = get8(i373 >> 0 | 0) | 0;
     if (!(i175 << 24 >> 24)) i377 = 99; else {
      i154 = i373;
      i153 = i175;
      i175 = 99;
      i151 = 0;
      while (1) {
       i161 = getU8(16286 + (i153 & 255) >> 0 | 0) | i151 << 8;
       i154 = i154 + 1 | 0;
       L1591 : do if ((i161 | 0) < 1685026146) {
        if ((i161 | 0) < 1667785074) {
         switch (i161 | 0) {
         case 1651273570:
          break;
         default:
          {
           i157 = 1123;
           break L1591;
          }
         }
         switch (i175 << 24 >> 24) {
         case 101:
         case 99:
          {
           i378 = 98;
           i379 = 1651273570;
           break L1591;
           break;
          }
         default:
          {
           i157 = 1122;
           break L1591;
          }
         }
        }
        if ((i161 | 0) < 1668050786) switch (i161 | 0) {
        case 1667785074:
         {
          i378 = 97;
          i379 = i161;
          break L1591;
          break;
         }
        default:
         {
          i157 = 1123;
          break L1591;
         }
        } else switch (i161 | 0) {
        case 1668050786:
         {
          i378 = 97;
          i379 = i161;
          break L1591;
          break;
         }
        default:
         {
          i157 = 1123;
          break L1591;
         }
        }
       } else {
        if ((i161 | 0) >= 1919246700) {
         if ((i161 | 0) >= 1952807028) switch (i161 | 0) {
         case 1952807028:
          {
           i378 = 97;
           i379 = i161;
           break L1591;
           break;
          }
         default:
          {
           i157 = 1123;
           break L1591;
          }
         }
         switch (i161 | 0) {
         case 1919246700:
          break;
         default:
          {
           i157 = 1123;
           break L1591;
          }
         }
         if (i175 << 24 >> 24 == 99) {
          i378 = 101;
          i379 = 1919246700;
          break;
         } else {
          i157 = 1122;
          break;
         }
        }
        if ((i161 | 0) < 1718382433) {
         switch (i161 | 0) {
         case 1685026146:
          break;
         default:
          {
           i157 = 1123;
           break L1591;
          }
         }
         if (i175 << 24 >> 24 == 99) {
          i378 = 101;
          i379 = 1685026146;
          break;
         }
        } else {
         switch (i161 | 0) {
         case 1718382433:
          break;
         default:
          {
           i157 = 1123;
           break L1591;
          }
         }
         if (i175 << 24 >> 24 == 99) {
          i378 = 101;
          i379 = 1718382433;
          break;
         }
        }
        i378 = i175;
        i379 = i161;
       } while (0);
       if ((i157 | 0) == 1122) {
        i157 = 0;
        i378 = i175;
        i379 = i161;
       } else if ((i157 | 0) == 1123) {
        i157 = 0;
        if ((i161 & 16777215 | 0) == 6909556) {
         i377 = 100;
         break L1516;
        } else {
         i378 = i175;
         i379 = i161;
        }
       }
       i153 = get8(i154 >> 0 | 0) | 0;
       if (!(i153 << 24 >> 24)) {
        i377 = i378;
        break;
       } else {
        i175 = i378;
        i151 = i379;
       }
      }
     }
    } else i157 = 1114; while (0);
    if ((i157 | 0) == 1114) {
     set32(i162 + (i182 * 24 | 0) + 12 | 0, 0 | 0);
     i377 = 99;
    }
    set8(i162 + (i182 * 24 | 0) + 22 >> 0 | 0, i377 | 0);
   }
   break;
  }
 case 47:
  {
   i155 = get32(i1 + 12 + (i150 + -3 << 4) + 4 | 0) | 0;
   set32(i144 | 0, i155 | 0);
   set32(i144 + 4 | 0, (get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0) + (get32(i1 + 12 + (i150 << 4) + 8 | 0) | 0) - i155 | 0);
   break;
  }
 case 48:
  {
   i155 = get32(i1 + 12 + (i150 + -5 << 4) + 4 | 0) | 0;
   set32(i144 | 0, i155 | 0);
   set32(i144 + 4 | 0, (get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0) + (get32(i1 + 12 + (i150 << 4) + 8 | 0) | 0) - i155 | 0);
   break;
  }
 case 50:
  {
   i155 = get32(i1 + 12 + (i150 + -1 << 4) + 4 | 0) | 0;
   set32(i144 | 0, i155 | 0);
   set32(i144 + 4 | 0, (get32(i1 + 12 + (i150 << 4) + 8 | 0) | 0) - i155 + (get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0) | 0);
   break;
  }
 case 59:
 case 57:
  {
   _sqlite3AddDefaultValue(i149, i1 + 12 + (i150 << 4) + 4 | 0);
   break;
  }
 case 58:
  {
   _sqlite3AddDefaultValue(i149, i1 + 12 + (i150 + -1 << 4) + 4 | 0);
   break;
  }
 case 60:
  {
   i155 = get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0;
   i177 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, 156, 0, 1) | 0;
   if (i177) {
    i163 = i177 + 8 | 0;
    if (!i155) {
     i179 = get32(i163 | 0) | 0;
     set32(i142 | 0, 0 | 0);
     if (!i179) {
      i380 = i142;
      i381 = 0;
     } else {
      i382 = i142;
      i383 = i179;
      i157 = 1138;
     }
    } else {
     set32(i163 | 0, i155 | 0);
     if (get16(i155 + 2 | 0) & 256) {
      i163 = i177 + 2 | 0;
      set16(i163 | 0, getU16(i163 | 0) | 256 | 0);
      set32(i177 + 20 | 0, get32(i155 + 20 | 0) | 0);
     }
     set32(i142 | 0, 0 | 0);
     i382 = i142;
     i383 = i155;
     i157 = 1138;
    }
    if ((i157 | 0) == 1138) {
     i163 = get32(i383 + 44 | 0) | 0;
     if ((i163 | 0) > 0) {
      set32(i142 | 0, i163 | 0);
      i380 = i382;
      i381 = i163;
     } else {
      i380 = i382;
      i381 = 0;
     }
    }
    i163 = get32(i177 + 12 | 0) | 0;
    if ((i163 | 0) != 0 ? (i179 = get32(i163 + 44 | 0) | 0, (i179 | 0) > (i381 | 0)) : 0) {
     set32(i142 | 0, i179 | 0);
     i384 = i179;
    } else i384 = i381;
    i179 = i177 + 16 | 0;
    if (!(get16(i177 + 2 | 0) & 2048)) {
     i163 = get32(i179 | 0) | 0;
     if (!i163) {
      i385 = i384;
      i157 = 1152;
     } else {
      i151 = get32(i163 | 0) | 0;
      if ((i151 | 0) > 0) {
       i175 = get32(i163 + 12 | 0) | 0;
       i163 = i384;
       i153 = 0;
       while (1) {
        i154 = get32(i175 + (i153 * 20 | 0) | 0) | 0;
        if ((i154 | 0) != 0 ? (i160 = get32(i154 + 44 | 0) | 0, (i160 | 0) > (i163 | 0)) : 0) {
         set32(i142 | 0, i160 | 0);
         i386 = i160;
        } else i386 = i163;
        i153 = i153 + 1 | 0;
        if ((i153 | 0) == (i151 | 0)) {
         i387 = i386;
         break;
        } else i163 = i386;
       }
      } else i387 = i384;
      i163 = i387 + 1 | 0;
      set32(i177 + 44 | 0, i163 | 0);
      i388 = i163;
     }
    } else {
     _heightOfSelect(get32(i179 | 0) | 0, i142);
     i385 = get32(i142 | 0) | 0;
     i157 = 1152;
    }
    if ((i157 | 0) == 1152) {
     i163 = i385 + 1 | 0;
     set32(i177 + 44 | 0, i163 | 0);
     i388 = i163;
    }
    i163 = get32((get32(i149 | 0) | 0) + 84 | 0) | 0;
    if ((i163 | 0) < (i388 | 0)) {
     set32(i127 | 0, i163 | 0);
     _sqlite3ErrorMsg(i149, 29585, i127);
    }
   } else _sqlite3ExprDelete(get32(i149 | 0) | 0, i155);
   set32(i145 | 0, i177 | 0);
   set32(i145 + 4 | 0, get32(i1 + 12 + (i150 + -1 << 4) + 4 | 0) | 0);
   set32(i145 + 8 | 0, get32(i1 + 12 + (i150 << 4) + 12 | 0) | 0);
   _sqlite3AddDefaultValue(i149, i145);
   break;
  }
 case 61:
  {
   i163 = i1 + 12 + (i150 << 4) + 4 | 0;
   i151 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, 94, i163, 1) | 0;
   if (i151) {
    set32(i142 | 0, 0 | 0);
    i153 = get32(i151 + 8 | 0) | 0;
    if ((i153 | 0) != 0 ? (i175 = get32(i153 + 44 | 0) | 0, (i175 | 0) > 0) : 0) {
     set32(i142 | 0, i175 | 0);
     i389 = i175;
    } else i389 = 0;
    i175 = get32(i151 + 12 | 0) | 0;
    if ((i175 | 0) != 0 ? (i153 = get32(i175 + 44 | 0) | 0, (i153 | 0) > (i389 | 0)) : 0) {
     set32(i142 | 0, i153 | 0);
     i390 = i153;
    } else i390 = i389;
    i153 = i151 + 16 | 0;
    if (!(get16(i151 + 2 | 0) & 2048)) {
     i175 = get32(i153 | 0) | 0;
     if ((i175 | 0) != 0 ? (i182 = get32(i175 | 0) | 0, (i182 | 0) > 0) : 0) {
      i162 = get32(i175 + 12 | 0) | 0;
      i175 = i390;
      i160 = 0;
      while (1) {
       i154 = get32(i162 + (i160 * 20 | 0) | 0) | 0;
       if ((i154 | 0) != 0 ? (i152 = get32(i154 + 44 | 0) | 0, (i152 | 0) > (i175 | 0)) : 0) {
        set32(i142 | 0, i152 | 0);
        i391 = i152;
       } else i391 = i175;
       i160 = i160 + 1 | 0;
       if ((i160 | 0) == (i182 | 0)) {
        i392 = i391;
        break;
       } else i175 = i391;
      }
     } else i392 = i390;
    } else {
     _heightOfSelect(get32(i153 | 0) | 0, i142);
     i392 = get32(i142 | 0) | 0;
    }
    i175 = i392 + 1 | 0;
    set32(i151 + 44 | 0, i175 | 0);
    i182 = get32((get32(i149 | 0) | 0) + 84 | 0) | 0;
    if ((i182 | 0) < (i175 | 0)) {
     set32(i126 | 0, i182 | 0);
     _sqlite3ErrorMsg(i149, 29585, i126);
    }
   }
   set32(i146 | 0, i151 | 0);
   i182 = get32(i163 | 0) | 0;
   set32(i146 + 4 | 0, i182 | 0);
   set32(i146 + 8 | 0, i182 + (get32(i1 + 12 + (i150 << 4) + 8 | 0) | 0) | 0);
   _sqlite3AddDefaultValue(i149, i146);
   break;
  }
 case 63:
  {
   i182 = get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0;
   i175 = get32(i149 + 508 | 0) | 0;
   if ((i175 | 0) != 0 ? (i160 = get32(i175 + 8 | 0) | 0, (i160 | 0) >= 1) : 0) set8((get32(i175 + 12 | 0) | 0) + ((i160 + -1 | 0) * 24 | 0) + 20 >> 0 | 0, i182 | 0);
   break;
  }
 case 64:
  {
   _sqlite3AddPrimaryKey(i149, 0, get32(i1 + 12 + (i150 + -1 << 4) + 4 | 0) | 0, get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0, get32(i1 + 12 + (i150 + -2 << 4) + 4 | 0) | 0);
   break;
  }
 case 65:
  {
   _sqlite3CreateIndex(i149, 0, 0, 0, 0, get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0, 0, 0, 0, 0) | 0;
   break;
  }
 case 66:
  {
   i182 = get32(i1 + 12 + (i150 + -1 << 4) + 4 | 0) | 0;
   i160 = get32(i149 | 0) | 0;
   i175 = get32(i149 + 508 | 0) | 0;
   if ((i175 | 0) != 0 ? (get8(i149 + 528 >> 0 | 0) | 0) == 0 : 0) {
    i162 = i175 + 44 | 0;
    i175 = get32(i162 | 0) | 0;
    do if (i175) if (!i182) i393 = i175; else {
     i177 = _sqlite3ExprAlloc(i160, 69, 0, 0) | 0;
     if (!i177) {
      _sqlite3ExprDelete(i160, i175);
      _sqlite3ExprDelete(i160, i182);
      i393 = 0;
      break;
     }
     set32(i177 + 12 | 0, i182 | 0);
     if (get16(i182 + 2 | 0) & 256) {
      i155 = i177 + 2 | 0;
      set16(i155 | 0, getU16(i155 | 0) | 256 | 0);
      set32(i177 + 20 | 0, get32(i182 + 20 | 0) | 0);
     }
     set32(i177 + 8 | 0, i175 | 0);
     i155 = i177 + 2 | 0;
     i179 = get16(i155 | 0) | 0;
     if (!(get16(i175 + 2 | 0) & 256)) i394 = i179; else {
      i152 = (i179 & 65535 | 256) & 65535;
      set16(i155 | 0, i152 | 0);
      set32(i177 + 20 | 0, get32(i175 + 20 | 0) | 0);
      i394 = i152;
     }
     i152 = get32(i175 + 44 | 0) | 0;
     i155 = (i152 | 0) > 0 ? i152 : 0;
     i152 = get32(i182 + 44 | 0) | 0;
     i179 = (i152 | 0) > (i155 | 0) ? i152 : i155;
     set32(i142 | 0, i179 | 0);
     i155 = i177 + 16 | 0;
     if (!(i394 & 2048)) {
      i152 = get32(i155 | 0) | 0;
      if ((i152 | 0) != 0 ? (i154 = get32(i152 | 0) | 0, (i154 | 0) > 0) : 0) {
       i158 = get32(i152 + 12 | 0) | 0;
       i152 = i179;
       i159 = 0;
       while (1) {
        i211 = get32(i158 + (i159 * 20 | 0) | 0) | 0;
        if ((i211 | 0) != 0 ? (i213 = get32(i211 + 44 | 0) | 0, (i213 | 0) > (i152 | 0)) : 0) {
         set32(i142 | 0, i213 | 0);
         i395 = i213;
        } else i395 = i152;
        i159 = i159 + 1 | 0;
        if ((i159 | 0) == (i154 | 0)) {
         i396 = i395;
         break;
        } else i152 = i395;
       }
      } else i396 = i179;
     } else {
      _heightOfSelect(get32(i155 | 0) | 0, i142);
      i396 = get32(i142 | 0) | 0;
     }
     set32(i177 + 44 | 0, i396 + 1 | 0);
     i393 = i177;
    } else i393 = i182; while (0);
    set32(i162 | 0, i393 | 0);
    break L1;
   }
   _sqlite3ExprDelete(i160, i182);
   break;
  }
 case 67:
  {
   _sqlite3CreateForeignKey(i149, 0, i1 + 12 + (i150 + -2 << 4) + 4 | 0, get32(i1 + 12 + (i150 + -1 << 4) + 4 | 0) | 0, get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0);
   break;
  }
 case 68:
  {
   i175 = get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0;
   i163 = get32(i149 + 508 | 0) | 0;
   if ((i163 | 0) != 0 ? (i151 = get32(i163 + 36 | 0) | 0, (i151 | 0) != 0) : 0) set8(i151 + 24 >> 0 | 0, i175 | 0);
   break;
  }
 case 69:
  {
   i175 = get32(i149 + 508 | 0) | 0;
   if ((i175 | 0) != 0 ? (i151 = (get32(i175 + 8 | 0) | 0) + -1 | 0, i163 = get32(i149 | 0) | 0, i153 = get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0, i152 = get32(i1 + 12 + (i150 << 4) + 8 | 0) | 0, (i153 | 0) != 0) : 0) {
    i154 = i152 + 1 | 0;
    L1729 : do if (!i163) {
     if (i152 >>> 0 > 2147483390) break L1;
     if (!(get32(50 * 4 | 0) | 0)) {
      i397 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i154) | 0;
      i157 = 1248;
      break;
     }
     i159 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i154) | 0;
     set32(35 * 4 | 0, i154 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i154 | 0)) set32(45 * 4 | 0, i154 | 0);
     i158 = get32(6 * 4 | 0) | 0;
     do if (i158) {
      i213 = get32(30 * 4 | 0) | 0;
      i211 = ((i213 | 0) < 0) << 31 >> 31;
      i181 = 16;
      i188 = _i64Subtract(get32(i181 | 0) | 0, get32(i181 + 4 | 0) | 0, i159 | 0, ((i159 | 0) < 0) << 31 >> 31 | 0) | 0;
      i181 = tempRet0;
      if ((i211 | 0) < (i181 | 0) | (i211 | 0) == (i181 | 0) & i213 >>> 0 < i188 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i188 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i158 & 15](i188, i213, i211, i159);
       set32(6 * 4 | 0, i158 | 0);
       set32(7 * 4 | 0, i188 | 0);
       break;
      }
     } while (0);
     i158 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i159) | 0;
     if (!i158) break L1;
     i177 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i158) | 0;
     i155 = (get32(30 * 4 | 0) | 0) + i177 | 0;
     set32(30 * 4 | 0, i155 | 0);
     if ((i155 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i155 | 0);
     i155 = get32(39 * 4 | 0) | 0;
     i177 = i155 + 1 | 0;
     set32(39 * 4 | 0, i177 | 0);
     if ((i155 | 0) < (get32(49 * 4 | 0) | 0)) i398 = i158; else {
      set32(49 * 4 | 0, i177 | 0);
      i398 = i158;
     }
    } else {
     i158 = i163 + 30 | 0;
     if (get8(i158 >> 0 | 0) | 0) break L1;
     do if (get8(i163 + 234 >> 0 | 0) | 0) {
      if ((getU16(i163 + 232 | 0) | 0) < (i154 | 0)) {
       i177 = i163 + 248 | 0;
       set32(i177 | 0, (get32(i177 | 0) | 0) + 1 | 0);
       break;
      }
      i177 = i163 + 256 | 0;
      i155 = get32(i177 | 0) | 0;
      if (!i155) {
       i179 = i163 + 252 | 0;
       set32(i179 | 0, (get32(i179 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i177 | 0, get32(i155 | 0) | 0);
      i177 = i163 + 236 | 0;
      i179 = get32(i177 | 0) | 0;
      i188 = i179 + 1 | 0;
      set32(i177 | 0, i188 | 0);
      i177 = i163 + 244 | 0;
      set32(i177 | 0, (get32(i177 | 0) | 0) + 1 | 0);
      i177 = i163 + 240 | 0;
      if ((i179 | 0) >= (get32(i177 | 0) | 0)) set32(i177 | 0, i188 | 0);
      i397 = i155;
      i157 = 1248;
      break L1729;
     } while (0);
     do if (i152 >>> 0 <= 2147483390) {
      if (!(get32(50 * 4 | 0) | 0)) {
       i159 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i154) | 0;
       if (!i159) break; else {
        i398 = i159;
        break L1729;
       }
      }
      i159 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i154) | 0;
      set32(35 * 4 | 0, i154 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i154 | 0)) set32(45 * 4 | 0, i154 | 0);
      i155 = get32(6 * 4 | 0) | 0;
      do if (i155) {
       i188 = get32(30 * 4 | 0) | 0;
       i177 = ((i188 | 0) < 0) << 31 >> 31;
       i179 = 16;
       i211 = _i64Subtract(get32(i179 | 0) | 0, get32(i179 + 4 | 0) | 0, i159 | 0, ((i159 | 0) < 0) << 31 >> 31 | 0) | 0;
       i179 = tempRet0;
       if ((i177 | 0) < (i179 | 0) | (i177 | 0) == (i179 | 0) & i188 >>> 0 < i211 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i211 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i155 & 15](i211, i188, i177, i159);
        set32(6 * 4 | 0, i155 | 0);
        set32(7 * 4 | 0, i211 | 0);
        break;
       }
      } while (0);
      i155 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i159) | 0;
      if (i155) {
       i161 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i155) | 0;
       i211 = (get32(30 * 4 | 0) | 0) + i161 | 0;
       set32(30 * 4 | 0, i211 | 0);
       if ((i211 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i211 | 0);
       i211 = get32(39 * 4 | 0) | 0;
       i161 = i211 + 1 | 0;
       set32(39 * 4 | 0, i161 | 0);
       if ((i211 | 0) < (get32(49 * 4 | 0) | 0)) {
        i398 = i155;
        break L1729;
       }
       set32(49 * 4 | 0, i161 | 0);
       i398 = i155;
       break L1729;
      }
     } while (0);
     set8(i158 >> 0 | 0, 1 | 0);
     break L1;
    } while (0);
    if ((i157 | 0) == 1248) if (!i397) break L1; else i398 = i397;
    _memcpy(i398 | 0, i153 | 0, i152 | 0) | 0;
    set8(i398 + i152 >> 0 | 0, 0 | 0);
    i154 = get8(i398 >> 0 | 0) | 0;
    switch (i154 << 24 >> 24 | 0) {
    case 96:
    case 34:
    case 39:
     {
      i399 = i154;
      i157 = 1251;
      break;
     }
    case 91:
     {
      i399 = 93;
      i157 = 1251;
      break;
     }
    default:
     {}
    }
    if ((i157 | 0) == 1251) {
     i154 = get8(i398 + 1 >> 0 | 0) | 0;
     L1790 : do if (!(i154 << 24 >> 24)) i400 = 0; else {
      i182 = i154;
      i160 = 1;
      i162 = 0;
      while (1) {
       if (i182 << 24 >> 24 == i399 << 24 >> 24) {
        i155 = i160 + 1 | 0;
        if ((get8(i398 + i155 >> 0 | 0) | 0) != i399 << 24 >> 24) {
         i400 = i162;
         break L1790;
        }
        set8(i398 + i162 >> 0 | 0, i399 | 0);
        i401 = i155;
       } else {
        set8(i398 + i162 >> 0 | 0, i182 | 0);
        i401 = i160;
       }
       i155 = i162 + 1 | 0;
       i160 = i401 + 1 | 0;
       i182 = get8(i398 + i160 >> 0 | 0) | 0;
       if (!(i182 << 24 >> 24)) {
        i400 = i155;
        break;
       } else i162 = i155;
      }
     } while (0);
     set8(i398 + i400 >> 0 | 0, 0 | 0);
    }
    i154 = get32(i149 | 0) | 0;
    i152 = get8((get32((get32(i154 + 8 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0) | 0;
    i153 = get8(i154 + 124 >> 0 | 0) | 0;
    i162 = _sqlite3FindCollSeq(i154, i152, i398, i153 & 255) | 0;
    i182 = (i162 | 0) == 0;
    do if (!(i153 << 24 >> 24)) {
     if (!i182 ? (get32(i162 + 12 | 0) | 0) != 0 : 0) break;
     if (!(_sqlite3GetCollSeq(i154, i152, i162, i398) | 0)) {
      set32(i125 | 0, i398 | 0);
      _sqlite3ErrorMsg(i149, 30475, i125);
      i157 = 1268;
     }
    } else if (i182) i157 = 1268; while (0);
    if ((i157 | 0) == 1268) {
     _sqlite3DbFree(i163, i398);
     break L1;
    }
    i182 = i175 + 12 | 0;
    set32((get32(i182 | 0) | 0) + (i151 * 24 | 0) + 16 | 0, i398 | 0);
    i162 = get32(i175 + 16 | 0) | 0;
    if (i162) {
     i152 = i162;
     do {
      if ((get32(get32(i152 + 8 | 0) | 0) | 0) == (i151 | 0)) set32(get32(i152 + 44 | 0) | 0, get32((get32(i182 | 0) | 0) + (i151 * 24 | 0) + 16 | 0) | 0);
      i152 = get32(i152 + 32 | 0) | 0;
     } while ((i152 | 0) != 0);
    }
   }
   break;
  }
 case 72:
  {
   set32(i144 | 0, 0 | 0);
   break;
  }
 case 73:
  {
   set32(i144 | 0, get32(i1 + 12 + (i150 + -1 << 4) + 4 | 0) & ~get32(i1 + 12 + (i150 << 4) + 8 | 0) | get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0);
   break;
  }
 case 75:
 case 74:
  {
   set32(i144 | 0, 0 | 0);
   set32(i144 + 4 | 0, 0 | 0);
   break;
  }
 case 76:
  {
   set32(i144 | 0, get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0);
   set32(i144 + 4 | 0, 255 | 0);
   break;
  }
 case 77:
  {
   set32(i144 | 0, get32(i1 + 12 + (i150 << 4) + 4 | 0) << 8 | 0);
   set32(i144 + 4 | 0, 65280 | 0);
   break;
  }
 case 78:
  {
   set32(i144 | 0, 7 | 0);
   break;
  }
 case 79:
  {
   set32(i144 | 0, 8 | 0);
   break;
  }
 case 80:
  {
   set32(i144 | 0, 9 | 0);
   break;
  }
 case 81:
  {
   set32(i144 | 0, 6 | 0);
   break;
  }
 case 82:
  {
   set32(i144 | 0, 0 | 0);
   break;
  }
 case 104:
 case 101:
 case 99:
 case 84:
  {
   set32(i144 | 0, get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0);
   break;
  }
 case 88:
  {
   set32(i144 + 4 | 0, 0 | 0);
   set32(i144 | 0, 0 | 0);
   break;
  }
 case 89:
  {
   i152 = i1 + 12 + (i150 + -1 << 4) + 4 | 0;
   i151 = get32(i152 + 4 | 0) | 0;
   i182 = i144;
   set32(i182 | 0, get32(i152 | 0) | 0);
   set32(i182 + 4 | 0, i151 | 0);
   break;
  }
 case 94:
  {
   _sqlite3AddPrimaryKey(i149, get32(i1 + 12 + (i150 + -3 << 4) + 4 | 0) | 0, get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0, get32(i1 + 12 + (i150 + -2 << 4) + 4 | 0) | 0, 0);
   break;
  }
 case 95:
  {
   _sqlite3CreateIndex(i149, 0, 0, 0, get32(i1 + 12 + (i150 + -2 << 4) + 4 | 0) | 0, get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0, 0, 0, 0, 0) | 0;
   break;
  }
 case 96:
  {
   i151 = get32(i1 + 12 + (i150 + -2 << 4) + 4 | 0) | 0;
   i182 = get32(i149 | 0) | 0;
   i152 = get32(i149 + 508 | 0) | 0;
   if ((i152 | 0) != 0 ? (get8(i149 + 528 >> 0 | 0) | 0) == 0 : 0) {
    i175 = i152 + 44 | 0;
    i152 = get32(i175 | 0) | 0;
    do if (i152) if (!i151) i402 = i152; else {
     i163 = _sqlite3ExprAlloc(i182, 69, 0, 0) | 0;
     if (!i163) {
      _sqlite3ExprDelete(i182, i152);
      _sqlite3ExprDelete(i182, i151);
      i402 = 0;
      break;
     }
     set32(i163 + 12 | 0, i151 | 0);
     if (get16(i151 + 2 | 0) & 256) {
      i162 = i163 + 2 | 0;
      set16(i162 | 0, getU16(i162 | 0) | 256 | 0);
      set32(i163 + 20 | 0, get32(i151 + 20 | 0) | 0);
     }
     set32(i163 + 8 | 0, i152 | 0);
     i162 = i163 + 2 | 0;
     i154 = get16(i162 | 0) | 0;
     if (!(get16(i152 + 2 | 0) & 256)) i403 = i154; else {
      i153 = (i154 & 65535 | 256) & 65535;
      set16(i162 | 0, i153 | 0);
      set32(i163 + 20 | 0, get32(i152 + 20 | 0) | 0);
      i403 = i153;
     }
     i153 = get32(i152 + 44 | 0) | 0;
     i162 = (i153 | 0) > 0 ? i153 : 0;
     i153 = get32(i151 + 44 | 0) | 0;
     i154 = (i153 | 0) > (i162 | 0) ? i153 : i162;
     set32(i142 | 0, i154 | 0);
     i162 = i163 + 16 | 0;
     if (!(i403 & 2048)) {
      i153 = get32(i162 | 0) | 0;
      if ((i153 | 0) != 0 ? (i160 = get32(i153 | 0) | 0, (i160 | 0) > 0) : 0) {
       i158 = get32(i153 + 12 | 0) | 0;
       i153 = i154;
       i155 = 0;
       while (1) {
        i161 = get32(i158 + (i155 * 20 | 0) | 0) | 0;
        if ((i161 | 0) != 0 ? (i211 = get32(i161 + 44 | 0) | 0, (i211 | 0) > (i153 | 0)) : 0) {
         set32(i142 | 0, i211 | 0);
         i404 = i211;
        } else i404 = i153;
        i155 = i155 + 1 | 0;
        if ((i155 | 0) == (i160 | 0)) {
         i405 = i404;
         break;
        } else i153 = i404;
       }
      } else i405 = i154;
     } else {
      _heightOfSelect(get32(i162 | 0) | 0, i142);
      i405 = get32(i142 | 0) | 0;
     }
     set32(i163 + 44 | 0, i405 + 1 | 0);
     i402 = i163;
    } else i402 = i151; while (0);
    set32(i175 | 0, i402 | 0);
    break L1;
   }
   _sqlite3ExprDelete(i182, i151);
   break;
  }
 case 97:
  {
   _sqlite3CreateForeignKey(i149, get32(i1 + 12 + (i150 + -6 << 4) + 4 | 0) | 0, i1 + 12 + (i150 + -3 << 4) + 4 | 0, get32(i1 + 12 + (i150 + -2 << 4) + 4 | 0) | 0, get32(i1 + 12 + (i150 + -1 << 4) + 4 | 0) | 0);
   i152 = get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0;
   i153 = get32(i149 + 508 | 0) | 0;
   if ((i153 | 0) != 0 ? (i160 = get32(i153 + 36 | 0) | 0, (i160 | 0) != 0) : 0) set8(i160 + 24 >> 0 | 0, i152 | 0);
   break;
  }
 case 100:
  {
   set32(i144 | 0, 99 | 0);
   break;
  }
 case 102:
  {
   set8(i144 >> 0 | 0, 99 | 0);
   break;
  }
 case 103:
  {
   set8(i144 >> 0 | 0, get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0);
   break;
  }
 case 105:
  {
   set32(i144 | 0, 4 | 0);
   break;
  }
 case 106:
  {
   set32(i144 | 0, 5 | 0);
   break;
  }
 case 107:
  {
   _sqlite3DropTable(i149, get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0, 0, get32(i1 + 12 + (i150 + -1 << 4) + 4 | 0) | 0);
   break;
  }
 case 110:
  {
   i152 = i1 + 12 + (i150 + -7 << 4) + 4 | 0;
   i160 = i1 + 12 + (i150 + -3 << 4) + 4 | 0;
   i153 = i150 + -2 | 0;
   i155 = i1 + 12 + (i153 << 4) + 4 | 0;
   i158 = get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0;
   i211 = get32(i1 + 12 + (i150 + -6 << 4) + 4 | 0) | 0;
   i161 = get32(i1 + 12 + (i150 + -4 << 4) + 4 | 0) | 0;
   i177 = get32(i149 | 0) | 0;
   L1870 : do if ((get32(i149 + 456 | 0) | 0) > 0) {
    _sqlite3ErrorMsg(i149, 31901, i124);
    if (i158) {
     i188 = get32(i158 | 0) | 0;
     if (i188) {
      i179 = i188 + 12 | 0;
      if ((get32(i188 | 0) | 0) > 0) {
       i213 = 0;
       i181 = get32(i179 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i177, get32(i181 | 0) | 0);
        _sqlite3DbFree(i177, get32(i181 + 4 | 0) | 0);
        _sqlite3DbFree(i177, get32(i181 + 8 | 0) | 0);
        i213 = i213 + 1 | 0;
        if ((i213 | 0) >= (get32(i188 | 0) | 0)) break; else i181 = i181 + 20 | 0;
       }
      }
      _sqlite3DbFree(i177, get32(i179 | 0) | 0);
      _sqlite3DbFree(i177, i188);
     }
     _sqlite3SrcListDelete(i177, get32(i158 + 8 | 0) | 0);
     _sqlite3ExprDelete(i177, get32(i158 + 12 | 0) | 0);
     i181 = get32(i158 + 16 | 0) | 0;
     if (i181) {
      i213 = i181 + 12 | 0;
      if ((get32(i181 | 0) | 0) > 0) {
       i163 = 0;
       i162 = get32(i213 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i177, get32(i162 | 0) | 0);
        _sqlite3DbFree(i177, get32(i162 + 4 | 0) | 0);
        _sqlite3DbFree(i177, get32(i162 + 8 | 0) | 0);
        i163 = i163 + 1 | 0;
        if ((i163 | 0) >= (get32(i181 | 0) | 0)) break; else i162 = i162 + 20 | 0;
       }
      }
      _sqlite3DbFree(i177, get32(i213 | 0) | 0);
      _sqlite3DbFree(i177, i181);
     }
     _sqlite3ExprDelete(i177, get32(i158 + 20 | 0) | 0);
     i162 = get32(i158 + 24 | 0) | 0;
     if (i162) {
      i163 = i162 + 12 | 0;
      if ((get32(i162 | 0) | 0) > 0) {
       i188 = 0;
       i179 = get32(i163 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i177, get32(i179 | 0) | 0);
        _sqlite3DbFree(i177, get32(i179 + 4 | 0) | 0);
        _sqlite3DbFree(i177, get32(i179 + 8 | 0) | 0);
        i188 = i188 + 1 | 0;
        if ((i188 | 0) >= (get32(i162 | 0) | 0)) break; else i179 = i179 + 20 | 0;
       }
      }
      _sqlite3DbFree(i177, get32(i163 | 0) | 0);
      _sqlite3DbFree(i177, i162);
     }
     i179 = get32(i158 + 28 | 0) | 0;
     if (i179) {
      i188 = get32(i179 | 0) | 0;
      if (i188) {
       i181 = i188 + 12 | 0;
       if ((get32(i188 | 0) | 0) > 0) {
        i213 = 0;
        i154 = get32(i181 | 0) | 0;
        while (1) {
         _sqlite3ExprDelete(i177, get32(i154 | 0) | 0);
         _sqlite3DbFree(i177, get32(i154 + 4 | 0) | 0);
         _sqlite3DbFree(i177, get32(i154 + 8 | 0) | 0);
         i213 = i213 + 1 | 0;
         if ((i213 | 0) >= (get32(i188 | 0) | 0)) break; else i154 = i154 + 20 | 0;
        }
       }
       _sqlite3DbFree(i177, get32(i181 | 0) | 0);
       _sqlite3DbFree(i177, i188);
      }
      _sqlite3SrcListDelete(i177, get32(i179 + 8 | 0) | 0);
      _sqlite3ExprDelete(i177, get32(i179 + 12 | 0) | 0);
      i154 = get32(i179 + 16 | 0) | 0;
      if (i154) {
       i213 = i154 + 12 | 0;
       if ((get32(i154 | 0) | 0) > 0) {
        i162 = 0;
        i163 = get32(i213 | 0) | 0;
        while (1) {
         _sqlite3ExprDelete(i177, get32(i163 | 0) | 0);
         _sqlite3DbFree(i177, get32(i163 + 4 | 0) | 0);
         _sqlite3DbFree(i177, get32(i163 + 8 | 0) | 0);
         i162 = i162 + 1 | 0;
         if ((i162 | 0) >= (get32(i154 | 0) | 0)) break; else i163 = i163 + 20 | 0;
        }
       }
       _sqlite3DbFree(i177, get32(i213 | 0) | 0);
       _sqlite3DbFree(i177, i154);
      }
      _sqlite3ExprDelete(i177, get32(i179 + 20 | 0) | 0);
      i163 = get32(i179 + 24 | 0) | 0;
      if (i163) {
       i162 = i163 + 12 | 0;
       if ((get32(i163 | 0) | 0) > 0) {
        i188 = 0;
        i181 = get32(i162 | 0) | 0;
        while (1) {
         _sqlite3ExprDelete(i177, get32(i181 | 0) | 0);
         _sqlite3DbFree(i177, get32(i181 + 4 | 0) | 0);
         _sqlite3DbFree(i177, get32(i181 + 8 | 0) | 0);
         i188 = i188 + 1 | 0;
         if ((i188 | 0) >= (get32(i163 | 0) | 0)) break; else i181 = i181 + 20 | 0;
        }
       }
       _sqlite3DbFree(i177, get32(i162 | 0) | 0);
       _sqlite3DbFree(i177, i163);
      }
      i181 = get32(i179 + 28 | 0) | 0;
      if (i181) {
       _clearSelect(i177, i181);
       _sqlite3DbFree(i177, i181);
      }
      _sqlite3ExprDelete(i177, get32(i179 + 40 | 0) | 0);
      _sqlite3ExprDelete(i177, get32(i179 + 44 | 0) | 0);
      _sqlite3DbFree(i177, i179);
     }
     _sqlite3ExprDelete(i177, get32(i158 + 40 | 0) | 0);
     _sqlite3ExprDelete(i177, get32(i158 + 44 | 0) | 0);
     _sqlite3DbFree(i177, i158);
    }
   } else {
    _sqlite3StartTable(i149, i160, i155, i211, 1, 0, i161);
    i181 = get32(i149 + 508 | 0) | 0;
    if ((i181 | 0) != 0 ? (i188 = i149 + 64 | 0, (get32(i188 | 0) | 0) == 0) : 0) {
     i154 = get32(i149 | 0) | 0;
     do if (get32(i1 + 12 + (i153 << 4) + 8 | 0) | 0) {
      if (get8(i154 + 124 >> 0 | 0) | 0) {
       _sqlite3ErrorMsg(i149, 29318, i123);
       set32(i188 | 0, (get32(i188 | 0) | 0) + 1 | 0);
       i406 = 0;
       break;
      }
      if ((_sqlite3FindDb(i154, i160) | 0) < 0) {
       set32(i122 | 0, i160 | 0);
       _sqlite3ErrorMsg(i149, 29335, i122);
       set32(i188 | 0, (get32(i188 | 0) | 0) + 1 | 0);
       i406 = i155;
      } else i406 = i155;
     } else i406 = i160; while (0);
     i188 = get32(i181 + 68 | 0) | 0;
     L1938 : do if (i188) {
      i154 = get32(i177 + 4 | 0) | 0;
      L1940 : do if ((i154 | 0) > 0) {
       i179 = get32(i177 + 8 | 0) | 0;
       i163 = 0;
       while (1) {
        if ((get32(i179 + (i163 << 4) + 12 | 0) | 0) == (i188 | 0)) {
         i407 = i163;
         break L1940;
        }
        i162 = i163 + 1 | 0;
        if ((i162 | 0) < (i154 | 0)) i163 = i162; else {
         i407 = i162;
         break;
        }
       }
      } else i407 = 0; while (0);
      if (!((i407 | 0) < 0 | (i407 | 0) == 1) ? (i154 = get32(i149 | 0) | 0, set32(i143 | 0, i149 | 0), set32(i143 + 4 | 0, get32((get32(i154 + 8 | 0) | 0) + (i407 << 4) | 0) | 0), set32(i143 + 8 | 0, 29417 | 0), set32(i143 + 12 | 0, i406 | 0), (i158 | 0) != 0) : 0) {
       i154 = i158;
       L1947 : while (1) {
        i159 = get32(i154 | 0) | 0;
        if ((i159 | 0) != 0 ? (get32(i159 | 0) | 0) > 0 : 0) {
         i163 = 0;
         i179 = get32(i159 + 12 | 0) | 0;
         while (1) {
          if (_sqlite3FixExpr(i143, get32(i179 | 0) | 0) | 0) break L1947;
          i163 = i163 + 1 | 0;
          if ((i163 | 0) >= (get32(i159 | 0) | 0)) break; else i179 = i179 + 20 | 0;
         }
        }
        if (_sqlite3FixSrcList(i143, get32(i154 + 8 | 0) | 0) | 0) break;
        if (_sqlite3FixExpr(i143, get32(i154 + 12 | 0) | 0) | 0) break;
        if (_sqlite3FixExpr(i143, get32(i154 + 20 | 0) | 0) | 0) break;
        i154 = get32(i154 + 28 | 0) | 0;
        if (!i154) break L1938;
       }
       i154 = get32(i158 | 0) | 0;
       if (i154) {
        i179 = i154 + 12 | 0;
        if ((get32(i154 | 0) | 0) > 0) {
         i159 = 0;
         i163 = get32(i179 | 0) | 0;
         while (1) {
          _sqlite3ExprDelete(i177, get32(i163 | 0) | 0);
          _sqlite3DbFree(i177, get32(i163 + 4 | 0) | 0);
          _sqlite3DbFree(i177, get32(i163 + 8 | 0) | 0);
          i159 = i159 + 1 | 0;
          if ((i159 | 0) >= (get32(i154 | 0) | 0)) break; else i163 = i163 + 20 | 0;
         }
        }
        _sqlite3DbFree(i177, get32(i179 | 0) | 0);
        _sqlite3DbFree(i177, i154);
       }
       _sqlite3SrcListDelete(i177, get32(i158 + 8 | 0) | 0);
       _sqlite3ExprDelete(i177, get32(i158 + 12 | 0) | 0);
       i163 = get32(i158 + 16 | 0) | 0;
       if (i163) {
        i159 = i163 + 12 | 0;
        if ((get32(i163 | 0) | 0) > 0) {
         i187 = 0;
         i162 = get32(i159 | 0) | 0;
         while (1) {
          _sqlite3ExprDelete(i177, get32(i162 | 0) | 0);
          _sqlite3DbFree(i177, get32(i162 + 4 | 0) | 0);
          _sqlite3DbFree(i177, get32(i162 + 8 | 0) | 0);
          i187 = i187 + 1 | 0;
          if ((i187 | 0) >= (get32(i163 | 0) | 0)) break; else i162 = i162 + 20 | 0;
         }
        }
        _sqlite3DbFree(i177, get32(i159 | 0) | 0);
        _sqlite3DbFree(i177, i163);
       }
       _sqlite3ExprDelete(i177, get32(i158 + 20 | 0) | 0);
       i162 = get32(i158 + 24 | 0) | 0;
       if (i162) {
        i187 = i162 + 12 | 0;
        if ((get32(i162 | 0) | 0) > 0) {
         i154 = 0;
         i179 = get32(i187 | 0) | 0;
         while (1) {
          _sqlite3ExprDelete(i177, get32(i179 | 0) | 0);
          _sqlite3DbFree(i177, get32(i179 + 4 | 0) | 0);
          _sqlite3DbFree(i177, get32(i179 + 8 | 0) | 0);
          i154 = i154 + 1 | 0;
          if ((i154 | 0) >= (get32(i162 | 0) | 0)) break; else i179 = i179 + 20 | 0;
         }
        }
        _sqlite3DbFree(i177, get32(i187 | 0) | 0);
        _sqlite3DbFree(i177, i162);
       }
       i179 = get32(i158 + 28 | 0) | 0;
       if (i179) {
        i154 = get32(i179 | 0) | 0;
        if (i154) {
         i163 = i154 + 12 | 0;
         if ((get32(i154 | 0) | 0) > 0) {
          i159 = 0;
          i213 = get32(i163 | 0) | 0;
          while (1) {
           _sqlite3ExprDelete(i177, get32(i213 | 0) | 0);
           _sqlite3DbFree(i177, get32(i213 + 4 | 0) | 0);
           _sqlite3DbFree(i177, get32(i213 + 8 | 0) | 0);
           i159 = i159 + 1 | 0;
           if ((i159 | 0) >= (get32(i154 | 0) | 0)) break; else i213 = i213 + 20 | 0;
          }
         }
         _sqlite3DbFree(i177, get32(i163 | 0) | 0);
         _sqlite3DbFree(i177, i154);
        }
        _sqlite3SrcListDelete(i177, get32(i179 + 8 | 0) | 0);
        _sqlite3ExprDelete(i177, get32(i179 + 12 | 0) | 0);
        i213 = get32(i179 + 16 | 0) | 0;
        if (i213) {
         i159 = i213 + 12 | 0;
         if ((get32(i213 | 0) | 0) > 0) {
          i162 = 0;
          i187 = get32(i159 | 0) | 0;
          while (1) {
           _sqlite3ExprDelete(i177, get32(i187 | 0) | 0);
           _sqlite3DbFree(i177, get32(i187 + 4 | 0) | 0);
           _sqlite3DbFree(i177, get32(i187 + 8 | 0) | 0);
           i162 = i162 + 1 | 0;
           if ((i162 | 0) >= (get32(i213 | 0) | 0)) break; else i187 = i187 + 20 | 0;
          }
         }
         _sqlite3DbFree(i177, get32(i159 | 0) | 0);
         _sqlite3DbFree(i177, i213);
        }
        _sqlite3ExprDelete(i177, get32(i179 + 20 | 0) | 0);
        i187 = get32(i179 + 24 | 0) | 0;
        if (i187) {
         i162 = i187 + 12 | 0;
         if ((get32(i187 | 0) | 0) > 0) {
          i154 = 0;
          i163 = get32(i162 | 0) | 0;
          while (1) {
           _sqlite3ExprDelete(i177, get32(i163 | 0) | 0);
           _sqlite3DbFree(i177, get32(i163 + 4 | 0) | 0);
           _sqlite3DbFree(i177, get32(i163 + 8 | 0) | 0);
           i154 = i154 + 1 | 0;
           if ((i154 | 0) >= (get32(i187 | 0) | 0)) break; else i163 = i163 + 20 | 0;
          }
         }
         _sqlite3DbFree(i177, get32(i162 | 0) | 0);
         _sqlite3DbFree(i177, i187);
        }
        i163 = get32(i179 + 28 | 0) | 0;
        if (i163) {
         _clearSelect(i177, i163);
         _sqlite3DbFree(i177, i163);
        }
        _sqlite3ExprDelete(i177, get32(i179 + 40 | 0) | 0);
        _sqlite3ExprDelete(i177, get32(i179 + 44 | 0) | 0);
        _sqlite3DbFree(i177, i179);
       }
       _sqlite3ExprDelete(i177, get32(i158 + 40 | 0) | 0);
       _sqlite3ExprDelete(i177, get32(i158 + 44 | 0) | 0);
       _sqlite3DbFree(i177, i158);
       break L1870;
      }
     } while (0);
     set32(i181 + 28 | 0, _sqlite3SelectDup(i177, i158, 1) | 0 | 0);
     if (i158) {
      i188 = get32(i158 | 0) | 0;
      if (i188) {
       i163 = i188 + 12 | 0;
       if ((get32(i188 | 0) | 0) > 0) {
        i154 = 0;
        i213 = get32(i163 | 0) | 0;
        while (1) {
         _sqlite3ExprDelete(i177, get32(i213 | 0) | 0);
         _sqlite3DbFree(i177, get32(i213 + 4 | 0) | 0);
         _sqlite3DbFree(i177, get32(i213 + 8 | 0) | 0);
         i154 = i154 + 1 | 0;
         if ((i154 | 0) >= (get32(i188 | 0) | 0)) break; else i213 = i213 + 20 | 0;
        }
       }
       _sqlite3DbFree(i177, get32(i163 | 0) | 0);
       _sqlite3DbFree(i177, i188);
      }
      _sqlite3SrcListDelete(i177, get32(i158 + 8 | 0) | 0);
      _sqlite3ExprDelete(i177, get32(i158 + 12 | 0) | 0);
      i213 = get32(i158 + 16 | 0) | 0;
      if (i213) {
       i154 = i213 + 12 | 0;
       if ((get32(i213 | 0) | 0) > 0) {
        i159 = 0;
        i176 = get32(i154 | 0) | 0;
        while (1) {
         _sqlite3ExprDelete(i177, get32(i176 | 0) | 0);
         _sqlite3DbFree(i177, get32(i176 + 4 | 0) | 0);
         _sqlite3DbFree(i177, get32(i176 + 8 | 0) | 0);
         i159 = i159 + 1 | 0;
         if ((i159 | 0) >= (get32(i213 | 0) | 0)) break; else i176 = i176 + 20 | 0;
        }
       }
       _sqlite3DbFree(i177, get32(i154 | 0) | 0);
       _sqlite3DbFree(i177, i213);
      }
      _sqlite3ExprDelete(i177, get32(i158 + 20 | 0) | 0);
      i176 = get32(i158 + 24 | 0) | 0;
      if (i176) {
       i159 = i176 + 12 | 0;
       if ((get32(i176 | 0) | 0) > 0) {
        i188 = 0;
        i163 = get32(i159 | 0) | 0;
        while (1) {
         _sqlite3ExprDelete(i177, get32(i163 | 0) | 0);
         _sqlite3DbFree(i177, get32(i163 + 4 | 0) | 0);
         _sqlite3DbFree(i177, get32(i163 + 8 | 0) | 0);
         i188 = i188 + 1 | 0;
         if ((i188 | 0) >= (get32(i176 | 0) | 0)) break; else i163 = i163 + 20 | 0;
        }
       }
       _sqlite3DbFree(i177, get32(i159 | 0) | 0);
       _sqlite3DbFree(i177, i176);
      }
      i163 = get32(i158 + 28 | 0) | 0;
      if (i163) {
       i188 = get32(i163 | 0) | 0;
       if (i188) {
        i213 = i188 + 12 | 0;
        if ((get32(i188 | 0) | 0) > 0) {
         i154 = 0;
         i180 = get32(i213 | 0) | 0;
         while (1) {
          _sqlite3ExprDelete(i177, get32(i180 | 0) | 0);
          _sqlite3DbFree(i177, get32(i180 + 4 | 0) | 0);
          _sqlite3DbFree(i177, get32(i180 + 8 | 0) | 0);
          i154 = i154 + 1 | 0;
          if ((i154 | 0) >= (get32(i188 | 0) | 0)) break; else i180 = i180 + 20 | 0;
         }
        }
        _sqlite3DbFree(i177, get32(i213 | 0) | 0);
        _sqlite3DbFree(i177, i188);
       }
       _sqlite3SrcListDelete(i177, get32(i163 + 8 | 0) | 0);
       _sqlite3ExprDelete(i177, get32(i163 + 12 | 0) | 0);
       i180 = get32(i163 + 16 | 0) | 0;
       if (i180) {
        i154 = i180 + 12 | 0;
        if ((get32(i180 | 0) | 0) > 0) {
         i176 = 0;
         i159 = get32(i154 | 0) | 0;
         while (1) {
          _sqlite3ExprDelete(i177, get32(i159 | 0) | 0);
          _sqlite3DbFree(i177, get32(i159 + 4 | 0) | 0);
          _sqlite3DbFree(i177, get32(i159 + 8 | 0) | 0);
          i176 = i176 + 1 | 0;
          if ((i176 | 0) >= (get32(i180 | 0) | 0)) break; else i159 = i159 + 20 | 0;
         }
        }
        _sqlite3DbFree(i177, get32(i154 | 0) | 0);
        _sqlite3DbFree(i177, i180);
       }
       _sqlite3ExprDelete(i177, get32(i163 + 20 | 0) | 0);
       i159 = get32(i163 + 24 | 0) | 0;
       if (i159) {
        i176 = i159 + 12 | 0;
        if ((get32(i159 | 0) | 0) > 0) {
         i188 = 0;
         i213 = get32(i176 | 0) | 0;
         while (1) {
          _sqlite3ExprDelete(i177, get32(i213 | 0) | 0);
          _sqlite3DbFree(i177, get32(i213 + 4 | 0) | 0);
          _sqlite3DbFree(i177, get32(i213 + 8 | 0) | 0);
          i188 = i188 + 1 | 0;
          if ((i188 | 0) >= (get32(i159 | 0) | 0)) break; else i213 = i213 + 20 | 0;
         }
        }
        _sqlite3DbFree(i177, get32(i176 | 0) | 0);
        _sqlite3DbFree(i177, i159);
       }
       i213 = get32(i163 + 28 | 0) | 0;
       if (i213) {
        _clearSelect(i177, i213);
        _sqlite3DbFree(i177, i213);
       }
       _sqlite3ExprDelete(i177, get32(i163 + 40 | 0) | 0);
       _sqlite3ExprDelete(i177, get32(i163 + 44 | 0) | 0);
       _sqlite3DbFree(i177, i163);
      }
      _sqlite3ExprDelete(i177, get32(i158 + 40 | 0) | 0);
      _sqlite3ExprDelete(i177, get32(i158 + 44 | 0) | 0);
      _sqlite3DbFree(i177, i158);
     }
     if (get8(i177 + 30 >> 0 | 0) | 0) break;
     if (!(get8(i177 + 124 >> 0 | 0) | 0)) _sqlite3ViewGetColumnNames(i149, i181) | 0;
     i213 = i149 + 496 | 0;
     i188 = get32(i213 | 0) | 0;
     i180 = get32(i213 + 4 | 0) | 0;
     i213 = i142;
     set32(i213 | 0, i188 | 0);
     set32(i213 + 4 | 0, i180 | 0);
     i213 = i188;
     switch (get8(i213 >> 0 | 0) | 0) {
     case 59:
     case 0:
      {
       i408 = i213;
       break;
      }
     default:
      {
       i188 = i213 + i180 | 0;
       set32(i142 | 0, i188 | 0);
       i408 = i188;
      }
     }
     i188 = i142 + 4 | 0;
     set32(i188 | 0, 0 | 0);
     i180 = get32(i152 | 0) | 0;
     i213 = i408 - i180 | 0;
     while (1) {
      i154 = i213;
      i213 = i213 + -1 | 0;
      i210 = i180 + i213 | 0;
      if ((i154 | 0) <= 0) {
       i409 = i210;
       break;
      }
      if (!(get8(16821 + (getU8(i210 >> 0 | 0) | 0) >> 0 | 0) & 1)) {
       i409 = i210;
       break;
      }
     }
     set32(i142 | 0, i409 | 0);
     set32(i188 | 0, 1 | 0);
     _sqlite3EndTable(i149, 0, i142, 0);
     break;
    }
    if (i158) {
     i213 = get32(i158 | 0) | 0;
     if (i213) {
      i180 = i213 + 12 | 0;
      if ((get32(i213 | 0) | 0) > 0) {
       i181 = 0;
       i163 = get32(i180 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i177, get32(i163 | 0) | 0);
        _sqlite3DbFree(i177, get32(i163 + 4 | 0) | 0);
        _sqlite3DbFree(i177, get32(i163 + 8 | 0) | 0);
        i181 = i181 + 1 | 0;
        if ((i181 | 0) >= (get32(i213 | 0) | 0)) break; else i163 = i163 + 20 | 0;
       }
      }
      _sqlite3DbFree(i177, get32(i180 | 0) | 0);
      _sqlite3DbFree(i177, i213);
     }
     _sqlite3SrcListDelete(i177, get32(i158 + 8 | 0) | 0);
     _sqlite3ExprDelete(i177, get32(i158 + 12 | 0) | 0);
     i163 = get32(i158 + 16 | 0) | 0;
     if (i163) {
      i181 = i163 + 12 | 0;
      if ((get32(i163 | 0) | 0) > 0) {
       i188 = 0;
       i159 = get32(i181 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i177, get32(i159 | 0) | 0);
        _sqlite3DbFree(i177, get32(i159 + 4 | 0) | 0);
        _sqlite3DbFree(i177, get32(i159 + 8 | 0) | 0);
        i188 = i188 + 1 | 0;
        if ((i188 | 0) >= (get32(i163 | 0) | 0)) break; else i159 = i159 + 20 | 0;
       }
      }
      _sqlite3DbFree(i177, get32(i181 | 0) | 0);
      _sqlite3DbFree(i177, i163);
     }
     _sqlite3ExprDelete(i177, get32(i158 + 20 | 0) | 0);
     i159 = get32(i158 + 24 | 0) | 0;
     if (i159) {
      i188 = i159 + 12 | 0;
      if ((get32(i159 | 0) | 0) > 0) {
       i213 = 0;
       i180 = get32(i188 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i177, get32(i180 | 0) | 0);
        _sqlite3DbFree(i177, get32(i180 + 4 | 0) | 0);
        _sqlite3DbFree(i177, get32(i180 + 8 | 0) | 0);
        i213 = i213 + 1 | 0;
        if ((i213 | 0) >= (get32(i159 | 0) | 0)) break; else i180 = i180 + 20 | 0;
       }
      }
      _sqlite3DbFree(i177, get32(i188 | 0) | 0);
      _sqlite3DbFree(i177, i159);
     }
     i180 = get32(i158 + 28 | 0) | 0;
     if (i180) {
      i213 = get32(i180 | 0) | 0;
      if (i213) {
       i163 = i213 + 12 | 0;
       if ((get32(i213 | 0) | 0) > 0) {
        i181 = 0;
        i176 = get32(i163 | 0) | 0;
        while (1) {
         _sqlite3ExprDelete(i177, get32(i176 | 0) | 0);
         _sqlite3DbFree(i177, get32(i176 + 4 | 0) | 0);
         _sqlite3DbFree(i177, get32(i176 + 8 | 0) | 0);
         i181 = i181 + 1 | 0;
         if ((i181 | 0) >= (get32(i213 | 0) | 0)) break; else i176 = i176 + 20 | 0;
        }
       }
       _sqlite3DbFree(i177, get32(i163 | 0) | 0);
       _sqlite3DbFree(i177, i213);
      }
      _sqlite3SrcListDelete(i177, get32(i180 + 8 | 0) | 0);
      _sqlite3ExprDelete(i177, get32(i180 + 12 | 0) | 0);
      i176 = get32(i180 + 16 | 0) | 0;
      if (i176) {
       i181 = i176 + 12 | 0;
       if ((get32(i176 | 0) | 0) > 0) {
        i159 = 0;
        i188 = get32(i181 | 0) | 0;
        while (1) {
         _sqlite3ExprDelete(i177, get32(i188 | 0) | 0);
         _sqlite3DbFree(i177, get32(i188 + 4 | 0) | 0);
         _sqlite3DbFree(i177, get32(i188 + 8 | 0) | 0);
         i159 = i159 + 1 | 0;
         if ((i159 | 0) >= (get32(i176 | 0) | 0)) break; else i188 = i188 + 20 | 0;
        }
       }
       _sqlite3DbFree(i177, get32(i181 | 0) | 0);
       _sqlite3DbFree(i177, i176);
      }
      _sqlite3ExprDelete(i177, get32(i180 + 20 | 0) | 0);
      i188 = get32(i180 + 24 | 0) | 0;
      if (i188) {
       i159 = i188 + 12 | 0;
       if ((get32(i188 | 0) | 0) > 0) {
        i213 = 0;
        i163 = get32(i159 | 0) | 0;
        while (1) {
         _sqlite3ExprDelete(i177, get32(i163 | 0) | 0);
         _sqlite3DbFree(i177, get32(i163 + 4 | 0) | 0);
         _sqlite3DbFree(i177, get32(i163 + 8 | 0) | 0);
         i213 = i213 + 1 | 0;
         if ((i213 | 0) >= (get32(i188 | 0) | 0)) break; else i163 = i163 + 20 | 0;
        }
       }
       _sqlite3DbFree(i177, get32(i159 | 0) | 0);
       _sqlite3DbFree(i177, i188);
      }
      i163 = get32(i180 + 28 | 0) | 0;
      if (i163) {
       _clearSelect(i177, i163);
       _sqlite3DbFree(i177, i163);
      }
      _sqlite3ExprDelete(i177, get32(i180 + 40 | 0) | 0);
      _sqlite3ExprDelete(i177, get32(i180 + 44 | 0) | 0);
      _sqlite3DbFree(i177, i180);
     }
     _sqlite3ExprDelete(i177, get32(i158 + 40 | 0) | 0);
     _sqlite3ExprDelete(i177, get32(i158 + 44 | 0) | 0);
     _sqlite3DbFree(i177, i158);
    }
   } while (0);
   break;
  }
 case 111:
  {
   _sqlite3DropTable(i149, get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0, 1, get32(i1 + 12 + (i150 + -1 << 4) + 4 | 0) | 0);
   break;
  }
 case 112:
  {
   set32(i147 | 0, get32(725 * 4 | 0) | 0);
   set32(i147 + 4 | 0, get32(726 * 4 | 0) | 0);
   set32(i147 + 8 | 0, get32(727 * 4 | 0) | 0);
   set32(i147 + 12 | 0, get32(728 * 4 | 0) | 0);
   i158 = i1 + 12 + (i150 << 4) + 4 | 0;
   _sqlite3Select(i149, get32(i158 | 0) | 0, i147) | 0;
   i177 = get32(i149 | 0) | 0;
   i152 = get32(i158 | 0) | 0;
   if (i152) {
    i158 = get32(i152 | 0) | 0;
    if (i158) {
     i160 = i158 + 12 | 0;
     if ((get32(i158 | 0) | 0) > 0) {
      i155 = 0;
      i153 = get32(i160 | 0) | 0;
      while (1) {
       _sqlite3ExprDelete(i177, get32(i153 | 0) | 0);
       _sqlite3DbFree(i177, get32(i153 + 4 | 0) | 0);
       _sqlite3DbFree(i177, get32(i153 + 8 | 0) | 0);
       i155 = i155 + 1 | 0;
       if ((i155 | 0) >= (get32(i158 | 0) | 0)) break; else i153 = i153 + 20 | 0;
      }
     }
     _sqlite3DbFree(i177, get32(i160 | 0) | 0);
     _sqlite3DbFree(i177, i158);
    }
    _sqlite3SrcListDelete(i177, get32(i152 + 8 | 0) | 0);
    _sqlite3ExprDelete(i177, get32(i152 + 12 | 0) | 0);
    i153 = get32(i152 + 16 | 0) | 0;
    if (i153) {
     i155 = i153 + 12 | 0;
     if ((get32(i153 | 0) | 0) > 0) {
      i161 = 0;
      i211 = get32(i155 | 0) | 0;
      while (1) {
       _sqlite3ExprDelete(i177, get32(i211 | 0) | 0);
       _sqlite3DbFree(i177, get32(i211 + 4 | 0) | 0);
       _sqlite3DbFree(i177, get32(i211 + 8 | 0) | 0);
       i161 = i161 + 1 | 0;
       if ((i161 | 0) >= (get32(i153 | 0) | 0)) break; else i211 = i211 + 20 | 0;
      }
     }
     _sqlite3DbFree(i177, get32(i155 | 0) | 0);
     _sqlite3DbFree(i177, i153);
    }
    _sqlite3ExprDelete(i177, get32(i152 + 20 | 0) | 0);
    i211 = get32(i152 + 24 | 0) | 0;
    if (i211) {
     i161 = i211 + 12 | 0;
     if ((get32(i211 | 0) | 0) > 0) {
      i158 = 0;
      i160 = get32(i161 | 0) | 0;
      while (1) {
       _sqlite3ExprDelete(i177, get32(i160 | 0) | 0);
       _sqlite3DbFree(i177, get32(i160 + 4 | 0) | 0);
       _sqlite3DbFree(i177, get32(i160 + 8 | 0) | 0);
       i158 = i158 + 1 | 0;
       if ((i158 | 0) >= (get32(i211 | 0) | 0)) break; else i160 = i160 + 20 | 0;
      }
     }
     _sqlite3DbFree(i177, get32(i161 | 0) | 0);
     _sqlite3DbFree(i177, i211);
    }
    i160 = get32(i152 + 28 | 0) | 0;
    if (i160) {
     i158 = get32(i160 | 0) | 0;
     if (i158) {
      i153 = i158 + 12 | 0;
      if ((get32(i158 | 0) | 0) > 0) {
       i155 = 0;
       i151 = get32(i153 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i177, get32(i151 | 0) | 0);
        _sqlite3DbFree(i177, get32(i151 + 4 | 0) | 0);
        _sqlite3DbFree(i177, get32(i151 + 8 | 0) | 0);
        i155 = i155 + 1 | 0;
        if ((i155 | 0) >= (get32(i158 | 0) | 0)) break; else i151 = i151 + 20 | 0;
       }
      }
      _sqlite3DbFree(i177, get32(i153 | 0) | 0);
      _sqlite3DbFree(i177, i158);
     }
     _sqlite3SrcListDelete(i177, get32(i160 + 8 | 0) | 0);
     _sqlite3ExprDelete(i177, get32(i160 + 12 | 0) | 0);
     i151 = get32(i160 + 16 | 0) | 0;
     if (i151) {
      i155 = i151 + 12 | 0;
      if ((get32(i151 | 0) | 0) > 0) {
       i211 = 0;
       i161 = get32(i155 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i177, get32(i161 | 0) | 0);
        _sqlite3DbFree(i177, get32(i161 + 4 | 0) | 0);
        _sqlite3DbFree(i177, get32(i161 + 8 | 0) | 0);
        i211 = i211 + 1 | 0;
        if ((i211 | 0) >= (get32(i151 | 0) | 0)) break; else i161 = i161 + 20 | 0;
       }
      }
      _sqlite3DbFree(i177, get32(i155 | 0) | 0);
      _sqlite3DbFree(i177, i151);
     }
     _sqlite3ExprDelete(i177, get32(i160 + 20 | 0) | 0);
     i161 = get32(i160 + 24 | 0) | 0;
     if (i161) {
      i211 = i161 + 12 | 0;
      if ((get32(i161 | 0) | 0) > 0) {
       i158 = 0;
       i153 = get32(i211 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i177, get32(i153 | 0) | 0);
        _sqlite3DbFree(i177, get32(i153 + 4 | 0) | 0);
        _sqlite3DbFree(i177, get32(i153 + 8 | 0) | 0);
        i158 = i158 + 1 | 0;
        if ((i158 | 0) >= (get32(i161 | 0) | 0)) break; else i153 = i153 + 20 | 0;
       }
      }
      _sqlite3DbFree(i177, get32(i211 | 0) | 0);
      _sqlite3DbFree(i177, i161);
     }
     _sqlite3SelectDelete(i177, get32(i160 + 28 | 0) | 0);
     _sqlite3ExprDelete(i177, get32(i160 + 40 | 0) | 0);
     _sqlite3ExprDelete(i177, get32(i160 + 44 | 0) | 0);
     _sqlite3DbFree(i177, i160);
    }
    _sqlite3ExprDelete(i177, get32(i152 + 40 | 0) | 0);
    _sqlite3ExprDelete(i177, get32(i152 + 44 | 0) | 0);
    _sqlite3DbFree(i177, i152);
   }
   break;
  }
 case 113:
  {
   set32(i144 | 0, get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0);
   break;
  }
 case 114:
  {
   i153 = i1 + 12 + (i150 << 4) + 4 | 0;
   i158 = get32(i153 | 0) | 0;
   if (!i158) {
    i151 = get32(i149 | 0) | 0;
    i155 = get32(i1 + 12 + (i150 + -2 << 4) + 4 | 0) | 0;
    if (i155) {
     i182 = get32(i155 | 0) | 0;
     if (i182) {
      i175 = i182 + 12 | 0;
      if ((get32(i182 | 0) | 0) > 0) {
       i163 = 0;
       i213 = get32(i175 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i151, get32(i213 | 0) | 0);
        _sqlite3DbFree(i151, get32(i213 + 4 | 0) | 0);
        _sqlite3DbFree(i151, get32(i213 + 8 | 0) | 0);
        i163 = i163 + 1 | 0;
        if ((i163 | 0) >= (get32(i182 | 0) | 0)) break; else i213 = i213 + 20 | 0;
       }
      }
      _sqlite3DbFree(i151, get32(i175 | 0) | 0);
      _sqlite3DbFree(i151, i182);
     }
     _sqlite3SrcListDelete(i151, get32(i155 + 8 | 0) | 0);
     _sqlite3ExprDelete(i151, get32(i155 + 12 | 0) | 0);
     i213 = get32(i155 + 16 | 0) | 0;
     if (i213) {
      i163 = i213 + 12 | 0;
      if ((get32(i213 | 0) | 0) > 0) {
       i152 = 0;
       i177 = get32(i163 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i151, get32(i177 | 0) | 0);
        _sqlite3DbFree(i151, get32(i177 + 4 | 0) | 0);
        _sqlite3DbFree(i151, get32(i177 + 8 | 0) | 0);
        i152 = i152 + 1 | 0;
        if ((i152 | 0) >= (get32(i213 | 0) | 0)) break; else i177 = i177 + 20 | 0;
       }
      }
      _sqlite3DbFree(i151, get32(i163 | 0) | 0);
      _sqlite3DbFree(i151, i213);
     }
     _sqlite3ExprDelete(i151, get32(i155 + 20 | 0) | 0);
     i177 = get32(i155 + 24 | 0) | 0;
     if (i177) {
      i152 = i177 + 12 | 0;
      if ((get32(i177 | 0) | 0) > 0) {
       i182 = 0;
       i175 = get32(i152 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i151, get32(i175 | 0) | 0);
        _sqlite3DbFree(i151, get32(i175 + 4 | 0) | 0);
        _sqlite3DbFree(i151, get32(i175 + 8 | 0) | 0);
        i182 = i182 + 1 | 0;
        if ((i182 | 0) >= (get32(i177 | 0) | 0)) break; else i175 = i175 + 20 | 0;
       }
      }
      _sqlite3DbFree(i151, get32(i152 | 0) | 0);
      _sqlite3DbFree(i151, i177);
     }
     i175 = get32(i155 + 28 | 0) | 0;
     if (i175) {
      i182 = get32(i175 | 0) | 0;
      if (i182) {
       i213 = i182 + 12 | 0;
       if ((get32(i182 | 0) | 0) > 0) {
        i163 = 0;
        i160 = get32(i213 | 0) | 0;
        while (1) {
         _sqlite3ExprDelete(i151, get32(i160 | 0) | 0);
         _sqlite3DbFree(i151, get32(i160 + 4 | 0) | 0);
         _sqlite3DbFree(i151, get32(i160 + 8 | 0) | 0);
         i163 = i163 + 1 | 0;
         if ((i163 | 0) >= (get32(i182 | 0) | 0)) break; else i160 = i160 + 20 | 0;
        }
       }
       _sqlite3DbFree(i151, get32(i213 | 0) | 0);
       _sqlite3DbFree(i151, i182);
      }
      _sqlite3SrcListDelete(i151, get32(i175 + 8 | 0) | 0);
      _sqlite3ExprDelete(i151, get32(i175 + 12 | 0) | 0);
      i160 = get32(i175 + 16 | 0) | 0;
      if (i160) {
       i163 = i160 + 12 | 0;
       if ((get32(i160 | 0) | 0) > 0) {
        i177 = 0;
        i152 = get32(i163 | 0) | 0;
        while (1) {
         _sqlite3ExprDelete(i151, get32(i152 | 0) | 0);
         _sqlite3DbFree(i151, get32(i152 + 4 | 0) | 0);
         _sqlite3DbFree(i151, get32(i152 + 8 | 0) | 0);
         i177 = i177 + 1 | 0;
         if ((i177 | 0) >= (get32(i160 | 0) | 0)) break; else i152 = i152 + 20 | 0;
        }
       }
       _sqlite3DbFree(i151, get32(i163 | 0) | 0);
       _sqlite3DbFree(i151, i160);
      }
      _sqlite3ExprDelete(i151, get32(i175 + 20 | 0) | 0);
      i152 = get32(i175 + 24 | 0) | 0;
      if (i152) {
       i177 = i152 + 12 | 0;
       if ((get32(i152 | 0) | 0) > 0) {
        i182 = 0;
        i213 = get32(i177 | 0) | 0;
        while (1) {
         _sqlite3ExprDelete(i151, get32(i213 | 0) | 0);
         _sqlite3DbFree(i151, get32(i213 + 4 | 0) | 0);
         _sqlite3DbFree(i151, get32(i213 + 8 | 0) | 0);
         i182 = i182 + 1 | 0;
         if ((i182 | 0) >= (get32(i152 | 0) | 0)) break; else i213 = i213 + 20 | 0;
        }
       }
       _sqlite3DbFree(i151, get32(i177 | 0) | 0);
       _sqlite3DbFree(i151, i152);
      }
      _sqlite3SelectDelete(i151, get32(i175 + 28 | 0) | 0);
      _sqlite3ExprDelete(i151, get32(i175 + 40 | 0) | 0);
      _sqlite3ExprDelete(i151, get32(i175 + 44 | 0) | 0);
      _sqlite3DbFree(i151, i175);
     }
     _sqlite3ExprDelete(i151, get32(i155 + 40 | 0) | 0);
     _sqlite3ExprDelete(i151, get32(i155 + 44 | 0) | 0);
     _sqlite3DbFree(i151, i155);
    }
   } else {
    set8(i158 + 4 >> 0 | 0, get32(i1 + 12 + (i150 + -1 << 4) + 4 | 0) | 0);
    set32(i158 + 28 | 0, get32(i1 + 12 + (i150 + -2 << 4) + 4 | 0) | 0);
   }
   set32(i144 | 0, get32(i153 | 0) | 0);
   break;
  }
 case 116:
  {
   set32(i144 | 0, 113 | 0);
   break;
  }
 case 118:
  {
   set32(i144 | 0, _sqlite3SelectNew(i149, get32(i1 + 12 + (i150 + -6 << 4) + 4 | 0) | 0, get32(i1 + 12 + (i150 + -5 << 4) + 4 | 0) | 0, get32(i1 + 12 + (i150 + -4 << 4) + 4 | 0) | 0, get32(i1 + 12 + (i150 + -3 << 4) + 4 | 0) | 0, get32(i1 + 12 + (i150 + -2 << 4) + 4 | 0) | 0, get32(i1 + 12 + (i150 + -1 << 4) + 4 | 0) | 0, get32(i1 + 12 + (i150 + -7 << 4) + 4 | 0) | 0, get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0, get32(i1 + 12 + (i150 << 4) + 8 | 0) | 0) | 0 | 0);
   break;
  }
 case 247:
 case 122:
  {
   set32(i144 | 0, get32(i1 + 12 + (i150 + -1 << 4) + 4 | 0) | 0);
   break;
  }
 case 246:
 case 240:
 case 159:
 case 151:
 case 123:
  {
   set32(i144 | 0, 0 | 0);
   break;
  }
 case 124:
  {
   i213 = i150 + -1 | 0;
   i182 = _sqlite3ExprListAppend(get32(i149 | 0) | 0, get32(i1 + 12 + (i150 + -2 << 4) + 4 | 0) | 0, get32(i1 + 12 + (i213 << 4) + 4 | 0) | 0) | 0;
   set32(i144 | 0, i182 | 0);
   i160 = get32(i1 + 12 + (i150 << 4) + 8 | 0) | 0;
   if (!i160) i410 = i182; else {
    L2259 : do if (i182) {
     i163 = (get32(i182 | 0) | 0) + -1 | 0;
     i161 = get32(i182 + 12 | 0) | 0;
     i211 = get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0;
     L2261 : do if (i211) {
      i176 = get32(i149 | 0) | 0;
      i181 = i160 + 1 | 0;
      L2263 : do if (!i176) {
       if (i160 >>> 0 > 2147483390) break L2261;
       if (!(get32(50 * 4 | 0) | 0)) {
        i411 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i181) | 0;
        i157 = 1611;
        break;
       }
       i210 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i181) | 0;
       set32(35 * 4 | 0, i181 | 0);
       if ((get32(45 * 4 | 0) | 0) < (i181 | 0)) set32(45 * 4 | 0, i181 | 0);
       i154 = get32(6 * 4 | 0) | 0;
       do if (i154) {
        i227 = get32(30 * 4 | 0) | 0;
        i183 = ((i227 | 0) < 0) << 31 >> 31;
        i192 = 16;
        i225 = _i64Subtract(get32(i192 | 0) | 0, get32(i192 + 4 | 0) | 0, i210 | 0, ((i210 | 0) < 0) << 31 >> 31 | 0) | 0;
        i192 = tempRet0;
        if ((i183 | 0) < (i192 | 0) | (i183 | 0) == (i192 | 0) & i227 >>> 0 < i225 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i225 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i154 & 15](i225, i227, i183, i210);
         set32(6 * 4 | 0, i154 | 0);
         set32(7 * 4 | 0, i225 | 0);
         break;
        }
       } while (0);
       i154 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i210) | 0;
       if (!i154) break L2261;
       i225 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i154) | 0;
       i183 = (get32(30 * 4 | 0) | 0) + i225 | 0;
       set32(30 * 4 | 0, i183 | 0);
       if ((i183 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i183 | 0);
       i183 = get32(39 * 4 | 0) | 0;
       i225 = i183 + 1 | 0;
       set32(39 * 4 | 0, i225 | 0);
       if ((i183 | 0) < (get32(49 * 4 | 0) | 0)) i412 = i154; else {
        set32(49 * 4 | 0, i225 | 0);
        i412 = i154;
       }
      } else {
       i154 = i176 + 30 | 0;
       if (get8(i154 >> 0 | 0) | 0) break L2261;
       do if (get8(i176 + 234 >> 0 | 0) | 0) {
        if ((getU16(i176 + 232 | 0) | 0) < (i181 | 0)) {
         i225 = i176 + 248 | 0;
         set32(i225 | 0, (get32(i225 | 0) | 0) + 1 | 0);
         break;
        }
        i225 = i176 + 256 | 0;
        i183 = get32(i225 | 0) | 0;
        if (!i183) {
         i227 = i176 + 252 | 0;
         set32(i227 | 0, (get32(i227 | 0) | 0) + 1 | 0);
         break;
        }
        set32(i225 | 0, get32(i183 | 0) | 0);
        i225 = i176 + 236 | 0;
        i227 = get32(i225 | 0) | 0;
        i192 = i227 + 1 | 0;
        set32(i225 | 0, i192 | 0);
        i225 = i176 + 244 | 0;
        set32(i225 | 0, (get32(i225 | 0) | 0) + 1 | 0);
        i225 = i176 + 240 | 0;
        if ((i227 | 0) >= (get32(i225 | 0) | 0)) set32(i225 | 0, i192 | 0);
        i411 = i183;
        i157 = 1611;
        break L2263;
       } while (0);
       do if (i160 >>> 0 <= 2147483390) {
        if (!(get32(50 * 4 | 0) | 0)) {
         i210 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i181) | 0;
         if (!i210) break; else {
          i412 = i210;
          break L2263;
         }
        }
        i210 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i181) | 0;
        set32(35 * 4 | 0, i181 | 0);
        if ((get32(45 * 4 | 0) | 0) < (i181 | 0)) set32(45 * 4 | 0, i181 | 0);
        i183 = get32(6 * 4 | 0) | 0;
        do if (i183) {
         i192 = get32(30 * 4 | 0) | 0;
         i225 = ((i192 | 0) < 0) << 31 >> 31;
         i227 = 16;
         i174 = _i64Subtract(get32(i227 | 0) | 0, get32(i227 + 4 | 0) | 0, i210 | 0, ((i210 | 0) < 0) << 31 >> 31 | 0) | 0;
         i227 = tempRet0;
         if ((i225 | 0) < (i227 | 0) | (i225 | 0) == (i227 | 0) & i192 >>> 0 < i174 >>> 0) {
          set32(11 * 4 | 0, 0 | 0);
          break;
         } else {
          set32(11 * 4 | 0, 1 | 0);
          i174 = get32(7 * 4 | 0) | 0;
          set32(6 * 4 | 0, 0 | 0);
          FUNCTION_TABLE_viiii[i183 & 15](i174, i192, i225, i210);
          set32(6 * 4 | 0, i183 | 0);
          set32(7 * 4 | 0, i174 | 0);
          break;
         }
        } while (0);
        i183 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i210) | 0;
        if (i183) {
         i174 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i183) | 0;
         i225 = (get32(30 * 4 | 0) | 0) + i174 | 0;
         set32(30 * 4 | 0, i225 | 0);
         if ((i225 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i225 | 0);
         i225 = get32(39 * 4 | 0) | 0;
         i174 = i225 + 1 | 0;
         set32(39 * 4 | 0, i174 | 0);
         if ((i225 | 0) < (get32(49 * 4 | 0) | 0)) {
          i412 = i183;
          break L2263;
         }
         set32(49 * 4 | 0, i174 | 0);
         i412 = i183;
         break L2263;
        }
       } while (0);
       set8(i154 >> 0 | 0, 1 | 0);
       break L2261;
      } while (0);
      if ((i157 | 0) == 1611) if (!i411) break; else i412 = i411;
      _memcpy(i412 | 0, i211 | 0, i160 | 0) | 0;
      set8(i412 + i160 >> 0 | 0, 0 | 0);
      set32(i161 + (i163 * 20 | 0) + 4 | 0, i412 | 0);
      i181 = get8(i412 >> 0 | 0) | 0;
      switch (i181 << 24 >> 24 | 0) {
      case 96:
      case 34:
      case 39:
       {
        i413 = i181;
        break;
       }
      case 91:
       {
        i413 = 93;
        break;
       }
      default:
       break L2259;
      }
      i181 = get8(i412 + 1 >> 0 | 0) | 0;
      L2323 : do if (!(i181 << 24 >> 24)) i414 = 0; else {
       i176 = i181;
       i179 = 1;
       i187 = 0;
       while (1) {
        if (i176 << 24 >> 24 == i413 << 24 >> 24) {
         i162 = i179 + 1 | 0;
         if ((get8(i412 + i162 >> 0 | 0) | 0) != i413 << 24 >> 24) {
          i414 = i187;
          break L2323;
         }
         set8(i412 + i187 >> 0 | 0, i413 | 0);
         i415 = i162;
        } else {
         set8(i412 + i187 >> 0 | 0, i176 | 0);
         i415 = i179;
        }
        i162 = i187 + 1 | 0;
        i179 = i415 + 1 | 0;
        i176 = get8(i412 + i179 >> 0 | 0) | 0;
        if (!(i176 << 24 >> 24)) {
         i414 = i162;
         break;
        } else i187 = i162;
       }
      } while (0);
      set8(i412 + i414 >> 0 | 0, 0 | 0);
      break L2259;
     } while (0);
     set32(i161 + (i163 * 20 | 0) + 4 | 0, 0 | 0);
    } while (0);
    i410 = get32(i144 | 0) | 0;
   }
   i160 = get32(i149 | 0) | 0;
   if (i410) {
    i182 = (get32(i410 + 12 | 0) | 0) + (((get32(i410 | 0) | 0) + -1 | 0) * 20 | 0) + 8 | 0;
    _sqlite3DbFree(i160, get32(i182 | 0) | 0);
    i153 = get32(i1 + 12 + (i213 << 4) + 8 | 0) | 0;
    i158 = (get32(i1 + 12 + (i213 << 4) + 12 | 0) | 0) - i153 | 0;
    L2336 : do if (!i153) i416 = 0; else {
     i155 = i158 + 1 | 0;
     L2338 : do if (!i160) {
      if (i158 >>> 0 > 2147483390) {
       i416 = 0;
       break L2336;
      }
      if (!(get32(50 * 4 | 0) | 0)) {
       i417 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i155) | 0;
       i157 = 1664;
       break;
      }
      i151 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i155) | 0;
      set32(35 * 4 | 0, i155 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i155 | 0)) set32(45 * 4 | 0, i155 | 0);
      i175 = get32(6 * 4 | 0) | 0;
      do if (i175) {
       i152 = get32(30 * 4 | 0) | 0;
       i177 = ((i152 | 0) < 0) << 31 >> 31;
       i211 = 16;
       i180 = _i64Subtract(get32(i211 | 0) | 0, get32(i211 + 4 | 0) | 0, i151 | 0, ((i151 | 0) < 0) << 31 >> 31 | 0) | 0;
       i211 = tempRet0;
       if ((i177 | 0) < (i211 | 0) | (i177 | 0) == (i211 | 0) & i152 >>> 0 < i180 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i180 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i175 & 15](i180, i152, i177, i151);
        set32(6 * 4 | 0, i175 | 0);
        set32(7 * 4 | 0, i180 | 0);
        break;
       }
      } while (0);
      i175 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i151) | 0;
      if (!i175) {
       i416 = 0;
       break L2336;
      }
      i180 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i175) | 0;
      i177 = (get32(30 * 4 | 0) | 0) + i180 | 0;
      set32(30 * 4 | 0, i177 | 0);
      if ((i177 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i177 | 0);
      i177 = get32(39 * 4 | 0) | 0;
      i180 = i177 + 1 | 0;
      set32(39 * 4 | 0, i180 | 0);
      if ((i177 | 0) < (get32(49 * 4 | 0) | 0)) i418 = i175; else {
       set32(49 * 4 | 0, i180 | 0);
       i418 = i175;
      }
     } else {
      i175 = i160 + 30 | 0;
      if (get8(i175 >> 0 | 0) | 0) {
       i416 = 0;
       break L2336;
      }
      do if (get8(i160 + 234 >> 0 | 0) | 0) {
       if ((getU16(i160 + 232 | 0) | 0) < (i155 | 0)) {
        i180 = i160 + 248 | 0;
        set32(i180 | 0, (get32(i180 | 0) | 0) + 1 | 0);
        break;
       }
       i180 = i160 + 256 | 0;
       i177 = get32(i180 | 0) | 0;
       if (!i177) {
        i152 = i160 + 252 | 0;
        set32(i152 | 0, (get32(i152 | 0) | 0) + 1 | 0);
        break;
       }
       set32(i180 | 0, get32(i177 | 0) | 0);
       i180 = i160 + 236 | 0;
       i152 = get32(i180 | 0) | 0;
       i211 = i152 + 1 | 0;
       set32(i180 | 0, i211 | 0);
       i180 = i160 + 244 | 0;
       set32(i180 | 0, (get32(i180 | 0) | 0) + 1 | 0);
       i180 = i160 + 240 | 0;
       if ((i152 | 0) >= (get32(i180 | 0) | 0)) set32(i180 | 0, i211 | 0);
       i417 = i177;
       i157 = 1664;
       break L2338;
      } while (0);
      do if (i158 >>> 0 <= 2147483390) {
       if (!(get32(50 * 4 | 0) | 0)) {
        i151 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i155) | 0;
        if (!i151) break; else {
         i418 = i151;
         break L2338;
        }
       }
       i151 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i155) | 0;
       set32(35 * 4 | 0, i155 | 0);
       if ((get32(45 * 4 | 0) | 0) < (i155 | 0)) set32(45 * 4 | 0, i155 | 0);
       i177 = get32(6 * 4 | 0) | 0;
       do if (i177) {
        i211 = get32(30 * 4 | 0) | 0;
        i180 = ((i211 | 0) < 0) << 31 >> 31;
        i152 = 16;
        i188 = _i64Subtract(get32(i152 | 0) | 0, get32(i152 + 4 | 0) | 0, i151 | 0, ((i151 | 0) < 0) << 31 >> 31 | 0) | 0;
        i152 = tempRet0;
        if ((i180 | 0) < (i152 | 0) | (i180 | 0) == (i152 | 0) & i211 >>> 0 < i188 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i188 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i177 & 15](i188, i211, i180, i151);
         set32(6 * 4 | 0, i177 | 0);
         set32(7 * 4 | 0, i188 | 0);
         break;
        }
       } while (0);
       i177 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i151) | 0;
       if (i177) {
        i188 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i177) | 0;
        i180 = (get32(30 * 4 | 0) | 0) + i188 | 0;
        set32(30 * 4 | 0, i180 | 0);
        if ((i180 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i180 | 0);
        i180 = get32(39 * 4 | 0) | 0;
        i188 = i180 + 1 | 0;
        set32(39 * 4 | 0, i188 | 0);
        if ((i180 | 0) < (get32(49 * 4 | 0) | 0)) {
         i418 = i177;
         break L2338;
        }
        set32(49 * 4 | 0, i188 | 0);
        i418 = i177;
        break L2338;
       }
      } while (0);
      set8(i175 >> 0 | 0, 1 | 0);
      i416 = 0;
      break L2336;
     } while (0);
     if ((i157 | 0) == 1664) if (!i417) {
      i416 = 0;
      break;
     } else i418 = i417;
     _memcpy(i418 | 0, i153 | 0, i158 | 0) | 0;
     set8(i418 + i158 >> 0 | 0, 0 | 0);
     i416 = i418;
    } while (0);
    set32(i182 | 0, i416 | 0);
   }
   break;
  }
 case 125:
  {
   i158 = get32(i149 | 0) | 0;
   set32(i142 | 0, 0 | 0);
   set32(i142 + 4 | 0, 0 | 0);
   i153 = _sqlite3ExprAlloc(i158, 113, i142, 0) | 0;
   set32(i144 | 0, _sqlite3ExprListAppend(get32(i149 | 0) | 0, get32(i1 + 12 + (i150 + -1 << 4) + 4 | 0) | 0, i153) | 0 | 0);
   break;
  }
 case 126:
  {
   i153 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, 113, i1 + 12 + (i150 << 4) + 4 | 0, 1) | 0;
   i158 = (i153 | 0) == 0;
   if (!i158) {
    set32(i142 | 0, 0 | 0);
    i160 = get32(i153 + 8 | 0) | 0;
    if ((i160 | 0) != 0 ? (i213 = get32(i160 + 44 | 0) | 0, (i213 | 0) > 0) : 0) {
     set32(i142 | 0, i213 | 0);
     i419 = i213;
    } else i419 = 0;
    i213 = get32(i153 + 12 | 0) | 0;
    if ((i213 | 0) != 0 ? (i160 = get32(i213 + 44 | 0) | 0, (i160 | 0) > (i419 | 0)) : 0) {
     set32(i142 | 0, i160 | 0);
     i420 = i160;
    } else i420 = i419;
    i160 = i153 + 16 | 0;
    if (!(get16(i153 + 2 | 0) & 2048)) {
     i213 = get32(i160 | 0) | 0;
     if (!i213) {
      i421 = i420;
      i157 = 1684;
     } else {
      i155 = get32(i213 | 0) | 0;
      if ((i155 | 0) > 0) {
       i163 = get32(i213 + 12 | 0) | 0;
       i213 = i420;
       i161 = 0;
       while (1) {
        i177 = get32(i163 + (i161 * 20 | 0) | 0) | 0;
        if ((i177 | 0) != 0 ? (i188 = get32(i177 + 44 | 0) | 0, (i188 | 0) > (i213 | 0)) : 0) {
         set32(i142 | 0, i188 | 0);
         i422 = i188;
        } else i422 = i213;
        i161 = i161 + 1 | 0;
        if ((i161 | 0) == (i155 | 0)) {
         i423 = i422;
         break;
        } else i213 = i422;
       }
      } else i423 = i420;
      i213 = i423 + 1 | 0;
      set32(i153 + 44 | 0, i213 | 0);
      i424 = i213;
     }
    } else {
     _heightOfSelect(get32(i160 | 0) | 0, i142);
     i421 = get32(i142 | 0) | 0;
     i157 = 1684;
    }
    if ((i157 | 0) == 1684) {
     i213 = i421 + 1 | 0;
     set32(i153 + 44 | 0, i213 | 0);
     i424 = i213;
    }
    i213 = get32((get32(i149 | 0) | 0) + 84 | 0) | 0;
    if ((i213 | 0) < (i424 | 0)) {
     set32(i121 | 0, i213 | 0);
     _sqlite3ErrorMsg(i149, 29585, i121);
    }
   }
   i213 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, 26, i1 + 12 + (i150 + -2 << 4) + 4 | 0, 1) | 0;
   i155 = (i213 | 0) == 0;
   if (!i155) {
    set32(i142 | 0, 0 | 0);
    i161 = get32(i213 + 8 | 0) | 0;
    if ((i161 | 0) != 0 ? (i163 = get32(i161 + 44 | 0) | 0, (i163 | 0) > 0) : 0) {
     set32(i142 | 0, i163 | 0);
     i425 = i163;
    } else i425 = 0;
    i163 = get32(i213 + 12 | 0) | 0;
    if ((i163 | 0) != 0 ? (i161 = get32(i163 + 44 | 0) | 0, (i161 | 0) > (i425 | 0)) : 0) {
     set32(i142 | 0, i161 | 0);
     i426 = i161;
    } else i426 = i425;
    i161 = i213 + 16 | 0;
    if (!(get16(i213 + 2 | 0) & 2048)) {
     i163 = get32(i161 | 0) | 0;
     if (!i163) {
      i427 = i426;
      i157 = 1704;
     } else {
      i182 = get32(i163 | 0) | 0;
      if ((i182 | 0) > 0) {
       i188 = get32(i163 + 12 | 0) | 0;
       i163 = i426;
       i177 = 0;
       while (1) {
        i180 = get32(i188 + (i177 * 20 | 0) | 0) | 0;
        if ((i180 | 0) != 0 ? (i211 = get32(i180 + 44 | 0) | 0, (i211 | 0) > (i163 | 0)) : 0) {
         set32(i142 | 0, i211 | 0);
         i428 = i211;
        } else i428 = i163;
        i177 = i177 + 1 | 0;
        if ((i177 | 0) == (i182 | 0)) {
         i429 = i428;
         break;
        } else i163 = i428;
       }
      } else i429 = i426;
      i163 = i429 + 1 | 0;
      set32(i213 + 44 | 0, i163 | 0);
      i430 = i163;
     }
    } else {
     _heightOfSelect(get32(i161 | 0) | 0, i142);
     i427 = get32(i142 | 0) | 0;
     i157 = 1704;
    }
    if ((i157 | 0) == 1704) {
     i163 = i427 + 1 | 0;
     set32(i213 + 44 | 0, i163 | 0);
     i430 = i163;
    }
    i163 = get32((get32(i149 | 0) | 0) + 84 | 0) | 0;
    if ((i163 | 0) < (i430 | 0)) {
     set32(i120 | 0, i163 | 0);
     _sqlite3ErrorMsg(i149, 29585, i120);
    }
   }
   i163 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, 118, 0, 1) | 0;
   i182 = get32(i149 | 0) | 0;
   if (i163) {
    if (!i158 ? (set32(i163 + 12 | 0, i153 | 0), (get16(i153 + 2 | 0) & 256) != 0) : 0) {
     i177 = i163 + 2 | 0;
     set16(i177 | 0, getU16(i177 | 0) | 256 | 0);
     set32(i163 + 20 | 0, get32(i153 + 20 | 0) | 0);
    }
    i177 = i163 + 8 | 0;
    if (i155) {
     i188 = get32(i177 | 0) | 0;
     set32(i142 | 0, 0 | 0);
     if (!i188) {
      i431 = i142;
      i432 = 0;
     } else {
      i433 = i142;
      i434 = i188;
      i157 = 1718;
     }
    } else {
     set32(i177 | 0, i213 | 0);
     if (get16(i213 + 2 | 0) & 256) {
      i177 = i163 + 2 | 0;
      set16(i177 | 0, getU16(i177 | 0) | 256 | 0);
      set32(i163 + 20 | 0, get32(i213 + 20 | 0) | 0);
     }
     set32(i142 | 0, 0 | 0);
     i433 = i142;
     i434 = i213;
     i157 = 1718;
    }
    if ((i157 | 0) == 1718) {
     i177 = get32(i434 + 44 | 0) | 0;
     if ((i177 | 0) > 0) {
      set32(i142 | 0, i177 | 0);
      i431 = i433;
      i432 = i177;
     } else {
      i431 = i433;
      i432 = 0;
     }
    }
    i177 = get32(i163 + 12 | 0) | 0;
    if ((i177 | 0) != 0 ? (i188 = get32(i177 + 44 | 0) | 0, (i188 | 0) > (i432 | 0)) : 0) {
     set32(i142 | 0, i188 | 0);
     i435 = i188;
    } else i435 = i432;
    i188 = i163 + 16 | 0;
    if (!(get16(i163 + 2 | 0) & 2048)) {
     i177 = get32(i188 | 0) | 0;
     if (!i177) {
      i436 = i435;
      i437 = i182;
      i157 = 1732;
     } else {
      i160 = get32(i177 | 0) | 0;
      if ((i160 | 0) > 0) {
       i211 = get32(i177 + 12 | 0) | 0;
       i177 = i435;
       i180 = 0;
       while (1) {
        i152 = get32(i211 + (i180 * 20 | 0) | 0) | 0;
        if ((i152 | 0) != 0 ? (i159 = get32(i152 + 44 | 0) | 0, (i159 | 0) > (i177 | 0)) : 0) {
         set32(i142 | 0, i159 | 0);
         i438 = i159;
        } else i438 = i177;
        i180 = i180 + 1 | 0;
        if ((i180 | 0) == (i160 | 0)) {
         i439 = i438;
         break;
        } else i177 = i438;
       }
      } else i439 = i435;
      i177 = i439 + 1 | 0;
      set32(i163 + 44 | 0, i177 | 0);
      i440 = i182;
      i441 = i177;
     }
    } else {
     _heightOfSelect(get32(i188 | 0) | 0, i142);
     i436 = get32(i142 | 0) | 0;
     i437 = get32(i149 | 0) | 0;
     i157 = 1732;
    }
    if ((i157 | 0) == 1732) {
     i177 = i436 + 1 | 0;
     set32(i163 + 44 | 0, i177 | 0);
     i440 = i437;
     i441 = i177;
    }
    i177 = get32(i440 + 84 | 0) | 0;
    if ((i177 | 0) < (i441 | 0)) {
     set32(i119 | 0, i177 | 0);
     _sqlite3ErrorMsg(i149, 29585, i119);
    }
   } else {
    _sqlite3ExprDelete(i182, i213);
    _sqlite3ExprDelete(i182, i153);
   }
   set32(i144 | 0, _sqlite3ExprListAppend(get32(i149 | 0) | 0, get32(i1 + 12 + (i150 + -3 << 4) + 4 | 0) | 0, i163) | 0 | 0);
   break;
  }
 case 129:
  {
   set32(i144 + 4 | 0, 0 | 0);
   break;
  }
 case 130:
  {
   i177 = get32(i149 | 0) | 0;
   L2495 : do if (!i177) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i442 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](64) | 0;
     i157 = 1775;
     break;
    }
    i160 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](64) | 0;
    set32(35 * 4 | 0, 64 | 0);
    if ((get32(45 * 4 | 0) | 0) < 64) set32(45 * 4 | 0, 64 | 0);
    i180 = get32(6 * 4 | 0) | 0;
    do if (i180) {
     i211 = get32(30 * 4 | 0) | 0;
     i155 = ((i211 | 0) < 0) << 31 >> 31;
     i158 = 16;
     i161 = _i64Subtract(get32(i158 | 0) | 0, get32(i158 + 4 | 0) | 0, i160 | 0, ((i160 | 0) < 0) << 31 >> 31 | 0) | 0;
     i158 = tempRet0;
     if ((i155 | 0) < (i158 | 0) | (i155 | 0) == (i158 | 0) & i211 >>> 0 < i161 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i161 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i180 & 15](i161, i211, i155, i160);
      set32(6 * 4 | 0, i180 | 0);
      set32(7 * 4 | 0, i161 | 0);
      break;
     }
    } while (0);
    i180 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i160) | 0;
    if (i180) {
     i161 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i180) | 0;
     i155 = (get32(30 * 4 | 0) | 0) + i161 | 0;
     set32(30 * 4 | 0, i155 | 0);
     if ((i155 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i155 | 0);
     i155 = get32(39 * 4 | 0) | 0;
     i161 = i155 + 1 | 0;
     set32(39 * 4 | 0, i161 | 0);
     if ((i155 | 0) < (get32(49 * 4 | 0) | 0)) {
      i443 = i180;
      i157 = 1776;
     } else {
      set32(49 * 4 | 0, i161 | 0);
      i443 = i180;
      i157 = 1776;
     }
    } else i444 = 0;
   } else {
    i180 = i177 + 30 | 0;
    if (!(get8(i180 >> 0 | 0) | 0)) {
     do if (get8(i177 + 234 >> 0 | 0) | 0) {
      if ((getU16(i177 + 232 | 0) | 0) < 64) {
       i161 = i177 + 248 | 0;
       set32(i161 | 0, (get32(i161 | 0) | 0) + 1 | 0);
       break;
      }
      i161 = i177 + 256 | 0;
      i155 = get32(i161 | 0) | 0;
      if (!i155) {
       i211 = i177 + 252 | 0;
       set32(i211 | 0, (get32(i211 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i161 | 0, get32(i155 | 0) | 0);
      i161 = i177 + 236 | 0;
      i211 = get32(i161 | 0) | 0;
      i158 = i211 + 1 | 0;
      set32(i161 | 0, i158 | 0);
      i161 = i177 + 244 | 0;
      set32(i161 | 0, (get32(i161 | 0) | 0) + 1 | 0);
      i161 = i177 + 240 | 0;
      if ((i211 | 0) >= (get32(i161 | 0) | 0)) set32(i161 | 0, i158 | 0);
      i442 = i155;
      i157 = 1775;
      break L2495;
     } while (0);
     if (!(get32(50 * 4 | 0) | 0)) {
      i160 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](64) | 0;
      if (i160) {
       i443 = i160;
       i157 = 1776;
       break;
      }
     } else {
      i160 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](64) | 0;
      set32(35 * 4 | 0, 64 | 0);
      if ((get32(45 * 4 | 0) | 0) < 64) set32(45 * 4 | 0, 64 | 0);
      i155 = get32(6 * 4 | 0) | 0;
      do if (i155) {
       i158 = get32(30 * 4 | 0) | 0;
       i161 = ((i158 | 0) < 0) << 31 >> 31;
       i211 = 16;
       i159 = _i64Subtract(get32(i211 | 0) | 0, get32(i211 + 4 | 0) | 0, i160 | 0, ((i160 | 0) < 0) << 31 >> 31 | 0) | 0;
       i211 = tempRet0;
       if ((i161 | 0) < (i211 | 0) | (i161 | 0) == (i211 | 0) & i158 >>> 0 < i159 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i159 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i155 & 15](i159, i158, i161, i160);
        set32(6 * 4 | 0, i155 | 0);
        set32(7 * 4 | 0, i159 | 0);
        break;
       }
      } while (0);
      i155 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i160) | 0;
      if (i155) {
       i159 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i155) | 0;
       i161 = (get32(30 * 4 | 0) | 0) + i159 | 0;
       set32(30 * 4 | 0, i161 | 0);
       if ((i161 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i161 | 0);
       i161 = get32(39 * 4 | 0) | 0;
       i159 = i161 + 1 | 0;
       set32(39 * 4 | 0, i159 | 0);
       if ((i161 | 0) < (get32(49 * 4 | 0) | 0)) {
        i443 = i155;
        i157 = 1776;
        break;
       }
       set32(49 * 4 | 0, i159 | 0);
       i443 = i155;
       i157 = 1776;
       break;
      }
     }
     set8(i180 >> 0 | 0, 1 | 0);
     i444 = 0;
    } else i444 = 0;
   } while (0);
   if ((i157 | 0) == 1775) if (!i442) i444 = 0; else {
    i443 = i442;
    i157 = 1776;
   }
   if ((i157 | 0) == 1776) {
    i168 = i443;
    i169 = i168 + 64 | 0;
    do {
     set8(i168 >> 0 | 0, 0 | 0);
     i168 = i168 + 1 | 0;
    } while ((i168 | 0) < (i169 | 0));
    i444 = i443;
   }
   set32(i144 | 0, i444 | 0);
   break;
  }
 case 131:
  {
   i177 = get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0;
   set32(i144 | 0, i177 | 0);
   if (i177) {
    i163 = get16(i177 | 0) | 0;
    if (i163 << 16 >> 16 > 1) {
     i153 = i163 << 16 >> 16;
     do {
      i163 = i153;
      i153 = i153 + -1 | 0;
      set8(i177 + 8 + (i153 * 56 | 0) + 21 >> 0 | 0, get8(i177 + 8 + ((i163 + -2 | 0) * 56 | 0) + 21 >> 0 | 0) | 0 | 0);
     } while ((i153 | 0) > 1);
    }
    set8(i177 + 29 >> 0 | 0, 0 | 0);
   }
   break;
  }
 case 132:
  {
   i153 = get32(i1 + 12 + (i150 + -1 << 4) + 4 | 0) | 0;
   set32(i144 | 0, i153 | 0);
   if ((i153 | 0) != 0 ? (i163 = get16(i153 | 0) | 0, i163 << 16 >> 16 > 0) : 0) set8(i153 + 8 + (((i163 << 16 >> 16) + -1 | 0) * 56 | 0) + 21 >> 0 | 0, get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0);
   break;
  }
 case 133:
  {
   set32(i144 | 0, 0 | 0);
   break;
  }
 case 134:
  {
   i163 = _sqlite3SrcListAppendFromTerm(i149, get32(i1 + 12 + (i150 + -6 << 4) + 4 | 0) | 0, i1 + 12 + (i150 + -5 << 4) + 4 | 0, i1 + 12 + (i150 + -4 << 4) + 4 | 0, i1 + 12 + (i150 + -3 << 4) + 4 | 0, 0, get32(i1 + 12 + (i150 + -1 << 4) + 4 | 0) | 0, get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0) | 0;
   set32(i144 | 0, i163 | 0);
   i153 = i150 + -2 | 0;
   i182 = i1 + 12 + (i153 << 4) + 4 | 0;
   if ((i163 | 0) != 0 ? (i213 = get16(i163 | 0) | 0, i213 << 16 >> 16 > 0) : 0) {
    i188 = (i213 << 16 >> 16) + -1 | 0;
    i213 = get32(i1 + 12 + (i153 << 4) + 8 | 0) | 0;
    i153 = get32(i182 | 0) | 0;
    i182 = (i153 | 0) == 0;
    if ((i213 | 0) == 1) if (i182) {
     set8(i163 + 8 + (i188 * 56 | 0) + 22 >> 0 | 0, 1 | 0);
     break L1;
    } else i157 = 1793; else if (i182) i445 = 0; else i157 = 1793;
    L2569 : do if ((i157 | 0) == 1793) {
     i182 = get32(i149 | 0) | 0;
     i155 = i213 + 1 | 0;
     L2571 : do if (!i182) {
      if (i213 >>> 0 > 2147483390) {
       i445 = 0;
       break L2569;
      }
      if (!(get32(50 * 4 | 0) | 0)) {
       i446 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i155) | 0;
       i157 = 1832;
       break;
      }
      i159 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i155) | 0;
      set32(35 * 4 | 0, i155 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i155 | 0)) set32(45 * 4 | 0, i155 | 0);
      i161 = get32(6 * 4 | 0) | 0;
      do if (i161) {
       i158 = get32(30 * 4 | 0) | 0;
       i211 = ((i158 | 0) < 0) << 31 >> 31;
       i152 = 16;
       i181 = _i64Subtract(get32(i152 | 0) | 0, get32(i152 + 4 | 0) | 0, i159 | 0, ((i159 | 0) < 0) << 31 >> 31 | 0) | 0;
       i152 = tempRet0;
       if ((i211 | 0) < (i152 | 0) | (i211 | 0) == (i152 | 0) & i158 >>> 0 < i181 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i181 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i161 & 15](i181, i158, i211, i159);
        set32(6 * 4 | 0, i161 | 0);
        set32(7 * 4 | 0, i181 | 0);
        break;
       }
      } while (0);
      i161 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i159) | 0;
      if (!i161) {
       i445 = 0;
       break L2569;
      }
      i175 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i161) | 0;
      i181 = (get32(30 * 4 | 0) | 0) + i175 | 0;
      set32(30 * 4 | 0, i181 | 0);
      if ((i181 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i181 | 0);
      i181 = get32(39 * 4 | 0) | 0;
      i175 = i181 + 1 | 0;
      set32(39 * 4 | 0, i175 | 0);
      if ((i181 | 0) < (get32(49 * 4 | 0) | 0)) i447 = i161; else {
       set32(49 * 4 | 0, i175 | 0);
       i447 = i161;
      }
     } else {
      i161 = i182 + 30 | 0;
      if (get8(i161 >> 0 | 0) | 0) {
       i445 = 0;
       break L2569;
      }
      do if (get8(i182 + 234 >> 0 | 0) | 0) {
       if ((getU16(i182 + 232 | 0) | 0) < (i155 | 0)) {
        i175 = i182 + 248 | 0;
        set32(i175 | 0, (get32(i175 | 0) | 0) + 1 | 0);
        break;
       }
       i175 = i182 + 256 | 0;
       i181 = get32(i175 | 0) | 0;
       if (!i181) {
        i211 = i182 + 252 | 0;
        set32(i211 | 0, (get32(i211 | 0) | 0) + 1 | 0);
        break;
       }
       set32(i175 | 0, get32(i181 | 0) | 0);
       i175 = i182 + 236 | 0;
       i211 = get32(i175 | 0) | 0;
       i158 = i211 + 1 | 0;
       set32(i175 | 0, i158 | 0);
       i175 = i182 + 244 | 0;
       set32(i175 | 0, (get32(i175 | 0) | 0) + 1 | 0);
       i175 = i182 + 240 | 0;
       if ((i211 | 0) >= (get32(i175 | 0) | 0)) set32(i175 | 0, i158 | 0);
       i446 = i181;
       i157 = 1832;
       break L2571;
      } while (0);
      do if (i213 >>> 0 <= 2147483390) {
       if (!(get32(50 * 4 | 0) | 0)) {
        i159 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i155) | 0;
        if (!i159) break; else {
         i447 = i159;
         break L2571;
        }
       }
       i159 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i155) | 0;
       set32(35 * 4 | 0, i155 | 0);
       if ((get32(45 * 4 | 0) | 0) < (i155 | 0)) set32(45 * 4 | 0, i155 | 0);
       i181 = get32(6 * 4 | 0) | 0;
       do if (i181) {
        i158 = get32(30 * 4 | 0) | 0;
        i175 = ((i158 | 0) < 0) << 31 >> 31;
        i211 = 16;
        i152 = _i64Subtract(get32(i211 | 0) | 0, get32(i211 + 4 | 0) | 0, i159 | 0, ((i159 | 0) < 0) << 31 >> 31 | 0) | 0;
        i211 = tempRet0;
        if ((i175 | 0) < (i211 | 0) | (i175 | 0) == (i211 | 0) & i158 >>> 0 < i152 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i152 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i181 & 15](i152, i158, i175, i159);
         set32(6 * 4 | 0, i181 | 0);
         set32(7 * 4 | 0, i152 | 0);
         break;
        }
       } while (0);
       i181 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i159) | 0;
       if (i181) {
        i151 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i181) | 0;
        i152 = (get32(30 * 4 | 0) | 0) + i151 | 0;
        set32(30 * 4 | 0, i152 | 0);
        if ((i152 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i152 | 0);
        i152 = get32(39 * 4 | 0) | 0;
        i151 = i152 + 1 | 0;
        set32(39 * 4 | 0, i151 | 0);
        if ((i152 | 0) < (get32(49 * 4 | 0) | 0)) {
         i447 = i181;
         break L2571;
        }
        set32(49 * 4 | 0, i151 | 0);
        i447 = i181;
        break L2571;
       }
      } while (0);
      set8(i161 >> 0 | 0, 1 | 0);
      i445 = 0;
      break L2569;
     } while (0);
     if ((i157 | 0) == 1832) if (!i446) {
      i445 = 0;
      break;
     } else i447 = i446;
     _memcpy(i447 | 0, i153 | 0, i213 | 0) | 0;
     set8(i447 + i213 >> 0 | 0, 0 | 0);
     i155 = get8(i447 >> 0 | 0) | 0;
     switch (i155 << 24 >> 24 | 0) {
     case 96:
     case 34:
     case 39:
      {
       i448 = i155;
       break;
      }
     case 91:
      {
       i448 = 93;
       break;
      }
     default:
      {
       i445 = i447;
       break L2569;
      }
     }
     i155 = get8(i447 + 1 >> 0 | 0) | 0;
     L2631 : do if (!(i155 << 24 >> 24)) i449 = 0; else {
      i182 = i155;
      i180 = 1;
      i160 = 0;
      while (1) {
       if (i182 << 24 >> 24 == i448 << 24 >> 24) {
        i181 = i180 + 1 | 0;
        if ((get8(i447 + i181 >> 0 | 0) | 0) != i448 << 24 >> 24) {
         i449 = i160;
         break L2631;
        }
        set8(i447 + i160 >> 0 | 0, i448 | 0);
        i450 = i181;
       } else {
        set8(i447 + i160 >> 0 | 0, i182 | 0);
        i450 = i180;
       }
       i181 = i160 + 1 | 0;
       i180 = i450 + 1 | 0;
       i182 = get8(i447 + i180 >> 0 | 0) | 0;
       if (!(i182 << 24 >> 24)) {
        i449 = i181;
        break;
       } else i160 = i181;
      }
     } while (0);
     set8(i447 + i449 >> 0 | 0, 0 | 0);
     i445 = i447;
    } while (0);
    set32(i163 + 8 + (i188 * 56 | 0) + 48 | 0, i445 | 0);
   }
   break;
  }
 case 135:
  {
   set32(i144 | 0, _sqlite3SrcListAppendFromTerm(i149, get32(i1 + 12 + (i150 + -6 << 4) + 4 | 0) | 0, 0, 0, i1 + 12 + (i150 + -2 << 4) + 4 | 0, get32(i1 + 12 + (i150 + -4 << 4) + 4 | 0) | 0, get32(i1 + 12 + (i150 + -1 << 4) + 4 | 0) | 0, get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0) | 0 | 0);
   break;
  }
 case 136:
  {
   i213 = i1 + 12 + (i150 + -6 << 4) + 4 | 0;
   if ((((get32(i213 | 0) | 0) == 0 ? (get32(i1 + 12 + (i150 + -2 << 4) + 8 | 0) | 0) == 0 : 0) ? (get32(i1 + 12 + (i150 + -1 << 4) + 4 | 0) | 0) == 0 : 0) ? (get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0) == 0 : 0) {
    set32(i144 | 0, get32(i1 + 12 + (i150 + -4 << 4) + 4 | 0) | 0);
    break L1;
   }
   i153 = get32(i1 + 12 + (i150 + -4 << 4) + 4 | 0) | 0;
   if (i153) {
    i177 = get16(i153 | 0) | 0;
    if (i177 << 16 >> 16 > 1) {
     i155 = i177 << 16 >> 16;
     do {
      i177 = i155;
      i155 = i155 + -1 | 0;
      set8(i153 + 8 + (i155 * 56 | 0) + 21 >> 0 | 0, get8(i153 + 8 + ((i177 + -2 | 0) * 56 | 0) + 21 >> 0 | 0) | 0 | 0);
     } while ((i155 | 0) > 1);
    }
    set8(i153 + 29 >> 0 | 0, 0 | 0);
   }
   i155 = _sqlite3SelectNew(i149, 0, i153, 0, 0, 0, 0, 0, 0, 0) | 0;
   set32(i144 | 0, _sqlite3SrcListAppendFromTerm(i149, get32(i213 | 0) | 0, 0, 0, i1 + 12 + (i150 + -2 << 4) + 4 | 0, i155, get32(i1 + 12 + (i150 + -1 << 4) + 4 | 0) | 0, get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0) | 0 | 0);
   break;
  }
 case 146:
 case 137:
  {
   set32(i144 | 0, 0 | 0);
   set32(i144 + 4 | 0, 0 | 0);
   break;
  }
 case 139:
  {
   set32(i144 | 0, _sqlite3SrcListAppend(get32(i149 | 0) | 0, 0, i1 + 12 + (i150 + -1 << 4) + 4 | 0, i1 + 12 + (i150 << 4) + 4 | 0) | 0 | 0);
   break;
  }
 case 140:
  {
   set32(i144 | 0, 1 | 0);
   break;
  }
 case 141:
  {
   set32(i144 | 0, _sqlite3JoinType(i149, i1 + 12 + (i150 + -1 << 4) + 4 | 0, 0, 0) | 0 | 0);
   break;
  }
 case 142:
  {
   set32(i144 | 0, _sqlite3JoinType(i149, i1 + 12 + (i150 + -2 << 4) + 4 | 0, i1 + 12 + (i150 + -1 << 4) + 4 | 0, 0) | 0 | 0);
   break;
  }
 case 143:
  {
   set32(i144 | 0, _sqlite3JoinType(i149, i1 + 12 + (i150 + -3 << 4) + 4 | 0, i1 + 12 + (i150 + -2 << 4) + 4 | 0, i1 + 12 + (i150 + -1 << 4) + 4 | 0) | 0 | 0);
   break;
  }
 case 237:
 case 235:
 case 169:
 case 162:
 case 155:
 case 144:
  {
   set32(i144 | 0, get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0);
   break;
  }
 case 238:
 case 236:
 case 168:
 case 161:
 case 145:
  {
   set32(i144 | 0, 0 | 0);
   break;
  }
 case 148:
  {
   set32(i144 | 0, 0 | 0);
   set32(i144 + 4 | 0, 1 | 0);
   break;
  }
 case 181:
 case 149:
  {
   set32(i144 | 0, get32(i1 + 12 + (i150 + -1 << 4) + 4 | 0) | 0);
   break;
  }
 case 180:
 case 150:
  {
   set32(i144 | 0, 0 | 0);
   break;
  }
 case 239:
 case 160:
 case 152:
  {
   set32(i144 | 0, get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0);
   break;
  }
 case 153:
  {
   i155 = _sqlite3ExprListAppend(get32(i149 | 0) | 0, get32(i1 + 12 + (i150 + -3 << 4) + 4 | 0) | 0, get32(i1 + 12 + (i150 + -1 << 4) + 4 | 0) | 0) | 0;
   set32(i144 | 0, i155 | 0);
   if (i155) set8((get32(i155 + 12 | 0) | 0) + (((get32(i155 | 0) | 0) + -1 | 0) * 20 | 0) + 12 >> 0 | 0, get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0);
   break;
  }
 case 154:
  {
   i155 = _sqlite3ExprListAppend(get32(i149 | 0) | 0, 0, get32(i1 + 12 + (i150 + -1 << 4) + 4 | 0) | 0) | 0;
   set32(i144 | 0, i155 | 0);
   if ((i155 | 0) != 0 ? (i188 = get32(i155 + 12 | 0) | 0, (i188 | 0) != 0) : 0) set8(i188 + 12 >> 0 | 0, get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0);
   break;
  }
 case 158:
 case 156:
  {
   set32(i144 | 0, 0 | 0);
   break;
  }
 case 157:
  {
   set32(i144 | 0, 1 | 0);
   break;
  }
 case 163:
  {
   set32(i144 | 0, 0 | 0);
   set32(i144 + 4 | 0, 0 | 0);
   break;
  }
 case 164:
  {
   set32(i144 | 0, get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0);
   set32(i144 + 4 | 0, 0 | 0);
   break;
  }
 case 165:
  {
   set32(i144 | 0, get32(i1 + 12 + (i150 + -2 << 4) + 4 | 0) | 0);
   set32(i144 + 4 | 0, get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0);
   break;
  }
 case 166:
  {
   set32(i144 + 4 | 0, get32(i1 + 12 + (i150 + -2 << 4) + 4 | 0) | 0);
   set32(i144 | 0, get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0);
   break;
  }
 case 167:
  {
   i188 = i1 + 12 + (i150 + -2 << 4) + 4 | 0;
   i155 = get32(i188 | 0) | 0;
   i163 = i150 + -1 | 0;
   i177 = i1 + 12 + (i163 << 4) + 4 | 0;
   do if (i155) {
    i160 = get16(i155 | 0) | 0;
    if (i160 << 16 >> 16 > 0) {
     i182 = (i160 << 16 >> 16) + -1 | 0;
     i160 = get32(i1 + 12 + (i163 << 4) + 8 | 0) | 0;
     i180 = get32(i177 | 0) | 0;
     i161 = (i180 | 0) == 0;
     if ((i160 | 0) == 1) if (i161) {
      set8(i155 + 8 + (i182 * 56 | 0) + 22 >> 0 | 0, 1 | 0);
      i451 = i155;
      break;
     } else i157 = 1884; else if (i161) i452 = 0; else i157 = 1884;
     L2688 : do if ((i157 | 0) == 1884) {
      i161 = get32(i149 | 0) | 0;
      i181 = i160 + 1 | 0;
      L2690 : do if (!i161) {
       if (i160 >>> 0 > 2147483390) {
        i452 = 0;
        break L2688;
       }
       if (!(get32(50 * 4 | 0) | 0)) {
        i453 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i181) | 0;
        i157 = 1923;
        break;
       }
       i151 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i181) | 0;
       set32(35 * 4 | 0, i181 | 0);
       if ((get32(45 * 4 | 0) | 0) < (i181 | 0)) set32(45 * 4 | 0, i181 | 0);
       i152 = get32(6 * 4 | 0) | 0;
       do if (i152) {
        i175 = get32(30 * 4 | 0) | 0;
        i158 = ((i175 | 0) < 0) << 31 >> 31;
        i211 = 16;
        i187 = _i64Subtract(get32(i211 | 0) | 0, get32(i211 + 4 | 0) | 0, i151 | 0, ((i151 | 0) < 0) << 31 >> 31 | 0) | 0;
        i211 = tempRet0;
        if ((i158 | 0) < (i211 | 0) | (i158 | 0) == (i211 | 0) & i175 >>> 0 < i187 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i187 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i152 & 15](i187, i175, i158, i151);
         set32(6 * 4 | 0, i152 | 0);
         set32(7 * 4 | 0, i187 | 0);
         break;
        }
       } while (0);
       i152 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i151) | 0;
       if (!i152) {
        i452 = 0;
        break L2688;
       }
       i159 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i152) | 0;
       i187 = (get32(30 * 4 | 0) | 0) + i159 | 0;
       set32(30 * 4 | 0, i187 | 0);
       if ((i187 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i187 | 0);
       i187 = get32(39 * 4 | 0) | 0;
       i159 = i187 + 1 | 0;
       set32(39 * 4 | 0, i159 | 0);
       if ((i187 | 0) < (get32(49 * 4 | 0) | 0)) i454 = i152; else {
        set32(49 * 4 | 0, i159 | 0);
        i454 = i152;
       }
      } else {
       i152 = i161 + 30 | 0;
       if (get8(i152 >> 0 | 0) | 0) {
        i452 = 0;
        break L2688;
       }
       do if (get8(i161 + 234 >> 0 | 0) | 0) {
        if ((getU16(i161 + 232 | 0) | 0) < (i181 | 0)) {
         i159 = i161 + 248 | 0;
         set32(i159 | 0, (get32(i159 | 0) | 0) + 1 | 0);
         break;
        }
        i159 = i161 + 256 | 0;
        i187 = get32(i159 | 0) | 0;
        if (!i187) {
         i158 = i161 + 252 | 0;
         set32(i158 | 0, (get32(i158 | 0) | 0) + 1 | 0);
         break;
        }
        set32(i159 | 0, get32(i187 | 0) | 0);
        i159 = i161 + 236 | 0;
        i158 = get32(i159 | 0) | 0;
        i175 = i158 + 1 | 0;
        set32(i159 | 0, i175 | 0);
        i159 = i161 + 244 | 0;
        set32(i159 | 0, (get32(i159 | 0) | 0) + 1 | 0);
        i159 = i161 + 240 | 0;
        if ((i158 | 0) >= (get32(i159 | 0) | 0)) set32(i159 | 0, i175 | 0);
        i453 = i187;
        i157 = 1923;
        break L2690;
       } while (0);
       do if (i160 >>> 0 <= 2147483390) {
        if (!(get32(50 * 4 | 0) | 0)) {
         i151 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i181) | 0;
         if (!i151) break; else {
          i454 = i151;
          break L2690;
         }
        }
        i151 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i181) | 0;
        set32(35 * 4 | 0, i181 | 0);
        if ((get32(45 * 4 | 0) | 0) < (i181 | 0)) set32(45 * 4 | 0, i181 | 0);
        i187 = get32(6 * 4 | 0) | 0;
        do if (i187) {
         i175 = get32(30 * 4 | 0) | 0;
         i159 = ((i175 | 0) < 0) << 31 >> 31;
         i158 = 16;
         i211 = _i64Subtract(get32(i158 | 0) | 0, get32(i158 + 4 | 0) | 0, i151 | 0, ((i151 | 0) < 0) << 31 >> 31 | 0) | 0;
         i158 = tempRet0;
         if ((i159 | 0) < (i158 | 0) | (i159 | 0) == (i158 | 0) & i175 >>> 0 < i211 >>> 0) {
          set32(11 * 4 | 0, 0 | 0);
          break;
         } else {
          set32(11 * 4 | 0, 1 | 0);
          i211 = get32(7 * 4 | 0) | 0;
          set32(6 * 4 | 0, 0 | 0);
          FUNCTION_TABLE_viiii[i187 & 15](i211, i175, i159, i151);
          set32(6 * 4 | 0, i187 | 0);
          set32(7 * 4 | 0, i211 | 0);
          break;
         }
        } while (0);
        i187 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i151) | 0;
        if (i187) {
         i210 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i187) | 0;
         i211 = (get32(30 * 4 | 0) | 0) + i210 | 0;
         set32(30 * 4 | 0, i211 | 0);
         if ((i211 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i211 | 0);
         i211 = get32(39 * 4 | 0) | 0;
         i210 = i211 + 1 | 0;
         set32(39 * 4 | 0, i210 | 0);
         if ((i211 | 0) < (get32(49 * 4 | 0) | 0)) {
          i454 = i187;
          break L2690;
         }
         set32(49 * 4 | 0, i210 | 0);
         i454 = i187;
         break L2690;
        }
       } while (0);
       set8(i152 >> 0 | 0, 1 | 0);
       i452 = 0;
       break L2688;
      } while (0);
      if ((i157 | 0) == 1923) if (!i453) {
       i452 = 0;
       break;
      } else i454 = i453;
      _memcpy(i454 | 0, i180 | 0, i160 | 0) | 0;
      set8(i454 + i160 >> 0 | 0, 0 | 0);
      i181 = get8(i454 >> 0 | 0) | 0;
      switch (i181 << 24 >> 24 | 0) {
      case 96:
      case 34:
      case 39:
       {
        i455 = i181;
        break;
       }
      case 91:
       {
        i455 = 93;
        break;
       }
      default:
       {
        i452 = i454;
        break L2688;
       }
      }
      i181 = get8(i454 + 1 >> 0 | 0) | 0;
      L2750 : do if (!(i181 << 24 >> 24)) i456 = 0; else {
       i161 = i181;
       i187 = 1;
       i210 = 0;
       while (1) {
        if (i161 << 24 >> 24 == i455 << 24 >> 24) {
         i211 = i187 + 1 | 0;
         if ((get8(i454 + i211 >> 0 | 0) | 0) != i455 << 24 >> 24) {
          i456 = i210;
          break L2750;
         }
         set8(i454 + i210 >> 0 | 0, i455 | 0);
         i457 = i211;
        } else {
         set8(i454 + i210 >> 0 | 0, i161 | 0);
         i457 = i187;
        }
        i211 = i210 + 1 | 0;
        i187 = i457 + 1 | 0;
        i161 = get8(i454 + i187 >> 0 | 0) | 0;
        if (!(i161 << 24 >> 24)) {
         i456 = i211;
         break;
        } else i210 = i211;
       }
      } while (0);
      set8(i454 + i456 >> 0 | 0, 0 | 0);
      i452 = i454;
     } while (0);
     set32(i155 + 8 + (i182 * 56 | 0) + 48 | 0, i452 | 0);
     i451 = get32(i188 | 0) | 0;
    } else i451 = i155;
   } else i451 = 0; while (0);
   _sqlite3DeleteFrom(i149, i451, get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0);
   break;
  }
 case 170:
  {
   i155 = i1 + 12 + (i150 + -4 << 4) + 4 | 0;
   i188 = get32(i155 | 0) | 0;
   i177 = i150 + -3 | 0;
   i163 = i1 + 12 + (i177 << 4) + 4 | 0;
   do if ((i188 | 0) != 0 ? (i213 = get16(i188 | 0) | 0, i213 << 16 >> 16 > 0) : 0) {
    i153 = (i213 << 16 >> 16) + -1 | 0;
    i213 = get32(i1 + 12 + (i177 << 4) + 8 | 0) | 0;
    i160 = get32(i163 | 0) | 0;
    i180 = (i160 | 0) == 0;
    if ((i213 | 0) == 1) if (i180) {
     set8(i188 + 8 + (i153 * 56 | 0) + 22 >> 0 | 0, 1 | 0);
     break;
    } else i157 = 1941; else if (i180) i458 = 0; else i157 = 1941;
    L2769 : do if ((i157 | 0) == 1941) {
     i180 = get32(i149 | 0) | 0;
     i181 = i213 + 1 | 0;
     L2771 : do if (!i180) {
      if (i213 >>> 0 > 2147483390) {
       i458 = 0;
       break L2769;
      }
      if (!(get32(50 * 4 | 0) | 0)) {
       i459 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i181) | 0;
       i157 = 1980;
       break;
      }
      i210 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i181) | 0;
      set32(35 * 4 | 0, i181 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i181 | 0)) set32(45 * 4 | 0, i181 | 0);
      i161 = get32(6 * 4 | 0) | 0;
      do if (i161) {
       i187 = get32(30 * 4 | 0) | 0;
       i152 = ((i187 | 0) < 0) << 31 >> 31;
       i211 = 16;
       i159 = _i64Subtract(get32(i211 | 0) | 0, get32(i211 + 4 | 0) | 0, i210 | 0, ((i210 | 0) < 0) << 31 >> 31 | 0) | 0;
       i211 = tempRet0;
       if ((i152 | 0) < (i211 | 0) | (i152 | 0) == (i211 | 0) & i187 >>> 0 < i159 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i159 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i161 & 15](i159, i187, i152, i210);
        set32(6 * 4 | 0, i161 | 0);
        set32(7 * 4 | 0, i159 | 0);
        break;
       }
      } while (0);
      i161 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i210) | 0;
      if (!i161) {
       i458 = 0;
       break L2769;
      }
      i159 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i161) | 0;
      i152 = (get32(30 * 4 | 0) | 0) + i159 | 0;
      set32(30 * 4 | 0, i152 | 0);
      if ((i152 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i152 | 0);
      i152 = get32(39 * 4 | 0) | 0;
      i159 = i152 + 1 | 0;
      set32(39 * 4 | 0, i159 | 0);
      if ((i152 | 0) < (get32(49 * 4 | 0) | 0)) i460 = i161; else {
       set32(49 * 4 | 0, i159 | 0);
       i460 = i161;
      }
     } else {
      i161 = i180 + 30 | 0;
      if (get8(i161 >> 0 | 0) | 0) {
       i458 = 0;
       break L2769;
      }
      do if (get8(i180 + 234 >> 0 | 0) | 0) {
       if ((getU16(i180 + 232 | 0) | 0) < (i181 | 0)) {
        i159 = i180 + 248 | 0;
        set32(i159 | 0, (get32(i159 | 0) | 0) + 1 | 0);
        break;
       }
       i159 = i180 + 256 | 0;
       i152 = get32(i159 | 0) | 0;
       if (!i152) {
        i187 = i180 + 252 | 0;
        set32(i187 | 0, (get32(i187 | 0) | 0) + 1 | 0);
        break;
       }
       set32(i159 | 0, get32(i152 | 0) | 0);
       i159 = i180 + 236 | 0;
       i187 = get32(i159 | 0) | 0;
       i211 = i187 + 1 | 0;
       set32(i159 | 0, i211 | 0);
       i159 = i180 + 244 | 0;
       set32(i159 | 0, (get32(i159 | 0) | 0) + 1 | 0);
       i159 = i180 + 240 | 0;
       if ((i187 | 0) >= (get32(i159 | 0) | 0)) set32(i159 | 0, i211 | 0);
       i459 = i152;
       i157 = 1980;
       break L2771;
      } while (0);
      do if (i213 >>> 0 <= 2147483390) {
       if (!(get32(50 * 4 | 0) | 0)) {
        i210 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i181) | 0;
        if (!i210) break; else {
         i460 = i210;
         break L2771;
        }
       }
       i210 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i181) | 0;
       set32(35 * 4 | 0, i181 | 0);
       if ((get32(45 * 4 | 0) | 0) < (i181 | 0)) set32(45 * 4 | 0, i181 | 0);
       i152 = get32(6 * 4 | 0) | 0;
       do if (i152) {
        i211 = get32(30 * 4 | 0) | 0;
        i159 = ((i211 | 0) < 0) << 31 >> 31;
        i187 = 16;
        i175 = _i64Subtract(get32(i187 | 0) | 0, get32(i187 + 4 | 0) | 0, i210 | 0, ((i210 | 0) < 0) << 31 >> 31 | 0) | 0;
        i187 = tempRet0;
        if ((i159 | 0) < (i187 | 0) | (i159 | 0) == (i187 | 0) & i211 >>> 0 < i175 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i175 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i152 & 15](i175, i211, i159, i210);
         set32(6 * 4 | 0, i152 | 0);
         set32(7 * 4 | 0, i175 | 0);
         break;
        }
       } while (0);
       i152 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i210) | 0;
       if (i152) {
        i151 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i152) | 0;
        i175 = (get32(30 * 4 | 0) | 0) + i151 | 0;
        set32(30 * 4 | 0, i175 | 0);
        if ((i175 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i175 | 0);
        i175 = get32(39 * 4 | 0) | 0;
        i151 = i175 + 1 | 0;
        set32(39 * 4 | 0, i151 | 0);
        if ((i175 | 0) < (get32(49 * 4 | 0) | 0)) {
         i460 = i152;
         break L2771;
        }
        set32(49 * 4 | 0, i151 | 0);
        i460 = i152;
        break L2771;
       }
      } while (0);
      set8(i161 >> 0 | 0, 1 | 0);
      i458 = 0;
      break L2769;
     } while (0);
     if ((i157 | 0) == 1980) if (!i459) {
      i458 = 0;
      break;
     } else i460 = i459;
     _memcpy(i460 | 0, i160 | 0, i213 | 0) | 0;
     set8(i460 + i213 >> 0 | 0, 0 | 0);
     i181 = get8(i460 >> 0 | 0) | 0;
     switch (i181 << 24 >> 24 | 0) {
     case 96:
     case 34:
     case 39:
      {
       i461 = i181;
       break;
      }
     case 91:
      {
       i461 = 93;
       break;
      }
     default:
      {
       i458 = i460;
       break L2769;
      }
     }
     i181 = get8(i460 + 1 >> 0 | 0) | 0;
     L2831 : do if (!(i181 << 24 >> 24)) i462 = 0; else {
      i180 = i181;
      i152 = 1;
      i151 = 0;
      while (1) {
       if (i180 << 24 >> 24 == i461 << 24 >> 24) {
        i175 = i152 + 1 | 0;
        if ((get8(i460 + i175 >> 0 | 0) | 0) != i461 << 24 >> 24) {
         i462 = i151;
         break L2831;
        }
        set8(i460 + i151 >> 0 | 0, i461 | 0);
        i463 = i175;
       } else {
        set8(i460 + i151 >> 0 | 0, i180 | 0);
        i463 = i152;
       }
       i175 = i151 + 1 | 0;
       i152 = i463 + 1 | 0;
       i180 = get8(i460 + i152 >> 0 | 0) | 0;
       if (!(i180 << 24 >> 24)) {
        i462 = i175;
        break;
       } else i151 = i175;
      }
     } while (0);
     set8(i460 + i462 >> 0 | 0, 0 | 0);
     i458 = i460;
    } while (0);
    set32(i188 + 8 + (i153 * 56 | 0) + 48 | 0, i458 | 0);
   } while (0);
   i188 = i1 + 12 + (i150 + -1 << 4) + 4 | 0;
   i163 = get32(i188 | 0) | 0;
   if (i163) if ((get32(i163 | 0) | 0) > (get32((get32(i149 | 0) | 0) + 80 | 0) | 0)) {
    set32(i118 | 0, 28154 | 0);
    _sqlite3ErrorMsg(i149, 33324, i118);
    i464 = get32(i188 | 0) | 0;
   } else i464 = i163; else i464 = 0;
   _sqlite3Update(i149, get32(i155 | 0) | 0, i464, get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0, getU8(i1 + 12 + (i150 + -5 << 4) + 4 >> 0 | 0) | 0);
   break;
  }
 case 171:
  {
   i163 = _sqlite3ExprListAppend(get32(i149 | 0) | 0, get32(i1 + 12 + (i150 + -4 << 4) + 4 | 0) | 0, get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0) | 0;
   set32(i144 | 0, i163 | 0);
   i188 = i150 + -2 | 0;
   if (i163) {
    i177 = (get32(i163 | 0) | 0) + -1 | 0;
    i213 = get32(i163 + 12 | 0) | 0;
    i163 = get32(i1 + 12 + (i188 << 4) + 4 | 0) | 0;
    i160 = get32(i1 + 12 + (i188 << 4) + 8 | 0) | 0;
    L2848 : do if (i163) {
     i188 = get32(i149 | 0) | 0;
     i182 = i160 + 1 | 0;
     L2850 : do if (!i188) {
      if (i160 >>> 0 > 2147483390) break L2848;
      if (!(get32(50 * 4 | 0) | 0)) {
       i465 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i182) | 0;
       i157 = 2036;
       break;
      }
      i181 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i182) | 0;
      set32(35 * 4 | 0, i182 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i182 | 0)) set32(45 * 4 | 0, i182 | 0);
      i151 = get32(6 * 4 | 0) | 0;
      do if (i151) {
       i180 = get32(30 * 4 | 0) | 0;
       i152 = ((i180 | 0) < 0) << 31 >> 31;
       i161 = 16;
       i175 = _i64Subtract(get32(i161 | 0) | 0, get32(i161 + 4 | 0) | 0, i181 | 0, ((i181 | 0) < 0) << 31 >> 31 | 0) | 0;
       i161 = tempRet0;
       if ((i152 | 0) < (i161 | 0) | (i152 | 0) == (i161 | 0) & i180 >>> 0 < i175 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i175 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i151 & 15](i175, i180, i152, i181);
        set32(6 * 4 | 0, i151 | 0);
        set32(7 * 4 | 0, i175 | 0);
        break;
       }
      } while (0);
      i151 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i181) | 0;
      if (!i151) break L2848;
      i175 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i151) | 0;
      i152 = (get32(30 * 4 | 0) | 0) + i175 | 0;
      set32(30 * 4 | 0, i152 | 0);
      if ((i152 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i152 | 0);
      i152 = get32(39 * 4 | 0) | 0;
      i175 = i152 + 1 | 0;
      set32(39 * 4 | 0, i175 | 0);
      if ((i152 | 0) < (get32(49 * 4 | 0) | 0)) i466 = i151; else {
       set32(49 * 4 | 0, i175 | 0);
       i466 = i151;
      }
     } else {
      i151 = i188 + 30 | 0;
      if (get8(i151 >> 0 | 0) | 0) break L2848;
      do if (get8(i188 + 234 >> 0 | 0) | 0) {
       if ((getU16(i188 + 232 | 0) | 0) < (i182 | 0)) {
        i175 = i188 + 248 | 0;
        set32(i175 | 0, (get32(i175 | 0) | 0) + 1 | 0);
        break;
       }
       i175 = i188 + 256 | 0;
       i152 = get32(i175 | 0) | 0;
       if (!i152) {
        i180 = i188 + 252 | 0;
        set32(i180 | 0, (get32(i180 | 0) | 0) + 1 | 0);
        break;
       }
       set32(i175 | 0, get32(i152 | 0) | 0);
       i175 = i188 + 236 | 0;
       i180 = get32(i175 | 0) | 0;
       i161 = i180 + 1 | 0;
       set32(i175 | 0, i161 | 0);
       i175 = i188 + 244 | 0;
       set32(i175 | 0, (get32(i175 | 0) | 0) + 1 | 0);
       i175 = i188 + 240 | 0;
       if ((i180 | 0) >= (get32(i175 | 0) | 0)) set32(i175 | 0, i161 | 0);
       i465 = i152;
       i157 = 2036;
       break L2850;
      } while (0);
      do if (i160 >>> 0 <= 2147483390) {
       if (!(get32(50 * 4 | 0) | 0)) {
        i181 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i182) | 0;
        if (!i181) break; else {
         i466 = i181;
         break L2850;
        }
       }
       i181 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i182) | 0;
       set32(35 * 4 | 0, i182 | 0);
       if ((get32(45 * 4 | 0) | 0) < (i182 | 0)) set32(45 * 4 | 0, i182 | 0);
       i152 = get32(6 * 4 | 0) | 0;
       do if (i152) {
        i161 = get32(30 * 4 | 0) | 0;
        i175 = ((i161 | 0) < 0) << 31 >> 31;
        i180 = 16;
        i159 = _i64Subtract(get32(i180 | 0) | 0, get32(i180 + 4 | 0) | 0, i181 | 0, ((i181 | 0) < 0) << 31 >> 31 | 0) | 0;
        i180 = tempRet0;
        if ((i175 | 0) < (i180 | 0) | (i175 | 0) == (i180 | 0) & i161 >>> 0 < i159 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i159 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i152 & 15](i159, i161, i175, i181);
         set32(6 * 4 | 0, i152 | 0);
         set32(7 * 4 | 0, i159 | 0);
         break;
        }
       } while (0);
       i152 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i181) | 0;
       if (i152) {
        i159 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i152) | 0;
        i175 = (get32(30 * 4 | 0) | 0) + i159 | 0;
        set32(30 * 4 | 0, i175 | 0);
        if ((i175 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i175 | 0);
        i175 = get32(39 * 4 | 0) | 0;
        i159 = i175 + 1 | 0;
        set32(39 * 4 | 0, i159 | 0);
        if ((i175 | 0) < (get32(49 * 4 | 0) | 0)) {
         i466 = i152;
         break L2850;
        }
        set32(49 * 4 | 0, i159 | 0);
        i466 = i152;
        break L2850;
       }
      } while (0);
      set8(i151 >> 0 | 0, 1 | 0);
      break L2848;
     } while (0);
     if ((i157 | 0) == 2036) if (!i465) break; else i466 = i465;
     _memcpy(i466 | 0, i163 | 0, i160 | 0) | 0;
     set8(i466 + i160 >> 0 | 0, 0 | 0);
     set32(i213 + (i177 * 20 | 0) + 4 | 0, i466 | 0);
     i182 = get8(i466 >> 0 | 0) | 0;
     switch (i182 << 24 >> 24 | 0) {
     case 96:
     case 34:
     case 39:
      {
       i467 = i182;
       break;
      }
     case 91:
      {
       i467 = 93;
       break;
      }
     default:
      break L1;
     }
     i182 = get8(i466 + 1 >> 0 | 0) | 0;
     L2910 : do if (!(i182 << 24 >> 24)) i468 = 0; else {
      i188 = i182;
      i153 = 1;
      i152 = 0;
      while (1) {
       if (i188 << 24 >> 24 == i467 << 24 >> 24) {
        i159 = i153 + 1 | 0;
        if ((get8(i466 + i159 >> 0 | 0) | 0) != i467 << 24 >> 24) {
         i468 = i152;
         break L2910;
        }
        set8(i466 + i152 >> 0 | 0, i467 | 0);
        i469 = i159;
       } else {
        set8(i466 + i152 >> 0 | 0, i188 | 0);
        i469 = i153;
       }
       i159 = i152 + 1 | 0;
       i153 = i469 + 1 | 0;
       i188 = get8(i466 + i153 >> 0 | 0) | 0;
       if (!(i188 << 24 >> 24)) {
        i468 = i159;
        break;
       } else i152 = i159;
      }
     } while (0);
     set8(i466 + i468 >> 0 | 0, 0 | 0);
     break L1;
    } while (0);
    set32(i213 + (i177 * 20 | 0) + 4 | 0, 0 | 0);
   }
   break;
  }
 case 172:
  {
   i160 = _sqlite3ExprListAppend(get32(i149 | 0) | 0, 0, get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0) | 0;
   set32(i144 | 0, i160 | 0);
   i163 = i150 + -2 | 0;
   if (i160) {
    i155 = (get32(i160 | 0) | 0) + -1 | 0;
    i182 = get32(i160 + 12 | 0) | 0;
    i160 = get32(i1 + 12 + (i163 << 4) + 4 | 0) | 0;
    i152 = get32(i1 + 12 + (i163 << 4) + 8 | 0) | 0;
    L2922 : do if (i160) {
     i163 = get32(i149 | 0) | 0;
     i188 = i152 + 1 | 0;
     L2924 : do if (!i163) {
      if (i152 >>> 0 > 2147483390) break L2922;
      if (!(get32(50 * 4 | 0) | 0)) {
       i470 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i188) | 0;
       i157 = 2088;
       break;
      }
      i153 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i188) | 0;
      set32(35 * 4 | 0, i188 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i188 | 0)) set32(45 * 4 | 0, i188 | 0);
      i151 = get32(6 * 4 | 0) | 0;
      do if (i151) {
       i159 = get32(30 * 4 | 0) | 0;
       i175 = ((i159 | 0) < 0) << 31 >> 31;
       i161 = 16;
       i180 = _i64Subtract(get32(i161 | 0) | 0, get32(i161 + 4 | 0) | 0, i153 | 0, ((i153 | 0) < 0) << 31 >> 31 | 0) | 0;
       i161 = tempRet0;
       if ((i175 | 0) < (i161 | 0) | (i175 | 0) == (i161 | 0) & i159 >>> 0 < i180 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i180 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i151 & 15](i180, i159, i175, i153);
        set32(6 * 4 | 0, i151 | 0);
        set32(7 * 4 | 0, i180 | 0);
        break;
       }
      } while (0);
      i151 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i153) | 0;
      if (!i151) break L2922;
      i180 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i151) | 0;
      i175 = (get32(30 * 4 | 0) | 0) + i180 | 0;
      set32(30 * 4 | 0, i175 | 0);
      if ((i175 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i175 | 0);
      i175 = get32(39 * 4 | 0) | 0;
      i180 = i175 + 1 | 0;
      set32(39 * 4 | 0, i180 | 0);
      if ((i175 | 0) < (get32(49 * 4 | 0) | 0)) i471 = i151; else {
       set32(49 * 4 | 0, i180 | 0);
       i471 = i151;
      }
     } else {
      i151 = i163 + 30 | 0;
      if (get8(i151 >> 0 | 0) | 0) break L2922;
      do if (get8(i163 + 234 >> 0 | 0) | 0) {
       if ((getU16(i163 + 232 | 0) | 0) < (i188 | 0)) {
        i180 = i163 + 248 | 0;
        set32(i180 | 0, (get32(i180 | 0) | 0) + 1 | 0);
        break;
       }
       i180 = i163 + 256 | 0;
       i175 = get32(i180 | 0) | 0;
       if (!i175) {
        i159 = i163 + 252 | 0;
        set32(i159 | 0, (get32(i159 | 0) | 0) + 1 | 0);
        break;
       }
       set32(i180 | 0, get32(i175 | 0) | 0);
       i180 = i163 + 236 | 0;
       i159 = get32(i180 | 0) | 0;
       i161 = i159 + 1 | 0;
       set32(i180 | 0, i161 | 0);
       i180 = i163 + 244 | 0;
       set32(i180 | 0, (get32(i180 | 0) | 0) + 1 | 0);
       i180 = i163 + 240 | 0;
       if ((i159 | 0) >= (get32(i180 | 0) | 0)) set32(i180 | 0, i161 | 0);
       i470 = i175;
       i157 = 2088;
       break L2924;
      } while (0);
      do if (i152 >>> 0 <= 2147483390) {
       if (!(get32(50 * 4 | 0) | 0)) {
        i153 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i188) | 0;
        if (!i153) break; else {
         i471 = i153;
         break L2924;
        }
       }
       i153 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i188) | 0;
       set32(35 * 4 | 0, i188 | 0);
       if ((get32(45 * 4 | 0) | 0) < (i188 | 0)) set32(45 * 4 | 0, i188 | 0);
       i175 = get32(6 * 4 | 0) | 0;
       do if (i175) {
        i161 = get32(30 * 4 | 0) | 0;
        i180 = ((i161 | 0) < 0) << 31 >> 31;
        i159 = 16;
        i211 = _i64Subtract(get32(i159 | 0) | 0, get32(i159 + 4 | 0) | 0, i153 | 0, ((i153 | 0) < 0) << 31 >> 31 | 0) | 0;
        i159 = tempRet0;
        if ((i180 | 0) < (i159 | 0) | (i180 | 0) == (i159 | 0) & i161 >>> 0 < i211 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i211 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i175 & 15](i211, i161, i180, i153);
         set32(6 * 4 | 0, i175 | 0);
         set32(7 * 4 | 0, i211 | 0);
         break;
        }
       } while (0);
       i175 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i153) | 0;
       if (i175) {
        i181 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i175) | 0;
        i211 = (get32(30 * 4 | 0) | 0) + i181 | 0;
        set32(30 * 4 | 0, i211 | 0);
        if ((i211 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i211 | 0);
        i211 = get32(39 * 4 | 0) | 0;
        i181 = i211 + 1 | 0;
        set32(39 * 4 | 0, i181 | 0);
        if ((i211 | 0) < (get32(49 * 4 | 0) | 0)) {
         i471 = i175;
         break L2924;
        }
        set32(49 * 4 | 0, i181 | 0);
        i471 = i175;
        break L2924;
       }
      } while (0);
      set8(i151 >> 0 | 0, 1 | 0);
      break L2922;
     } while (0);
     if ((i157 | 0) == 2088) if (!i470) break; else i471 = i470;
     _memcpy(i471 | 0, i160 | 0, i152 | 0) | 0;
     set8(i471 + i152 >> 0 | 0, 0 | 0);
     set32(i182 + (i155 * 20 | 0) + 4 | 0, i471 | 0);
     i188 = get8(i471 >> 0 | 0) | 0;
     switch (i188 << 24 >> 24 | 0) {
     case 96:
     case 34:
     case 39:
      {
       i472 = i188;
       break;
      }
     case 91:
      {
       i472 = 93;
       break;
      }
     default:
      break L1;
     }
     i188 = get8(i471 + 1 >> 0 | 0) | 0;
     L2984 : do if (!(i188 << 24 >> 24)) i473 = 0; else {
      i163 = i188;
      i175 = 1;
      i181 = 0;
      while (1) {
       if (i163 << 24 >> 24 == i472 << 24 >> 24) {
        i211 = i175 + 1 | 0;
        if ((get8(i471 + i211 >> 0 | 0) | 0) != i472 << 24 >> 24) {
         i473 = i181;
         break L2984;
        }
        set8(i471 + i181 >> 0 | 0, i472 | 0);
        i474 = i211;
       } else {
        set8(i471 + i181 >> 0 | 0, i163 | 0);
        i474 = i175;
       }
       i211 = i181 + 1 | 0;
       i175 = i474 + 1 | 0;
       i163 = get8(i471 + i175 >> 0 | 0) | 0;
       if (!(i163 << 24 >> 24)) {
        i473 = i211;
        break;
       } else i181 = i211;
      }
     } while (0);
     set8(i471 + i473 >> 0 | 0, 0 | 0);
     break L1;
    } while (0);
    set32(i182 + (i155 * 20 | 0) + 4 | 0, 0 | 0);
   }
   break;
  }
 case 173:
  {
   _sqlite3Insert(i149, get32(i1 + 12 + (i150 + -5 << 4) + 4 | 0) | 0, get32(i1 + 12 + (i150 + -1 << 4) + 4 | 0) | 0, 0, get32(i1 + 12 + (i150 + -4 << 4) + 4 | 0) | 0, getU8(i1 + 12 + (i150 + -7 << 4) + 4 >> 0 | 0) | 0);
   break;
  }
 case 174:
  {
   _sqlite3Insert(i149, get32(i1 + 12 + (i150 + -2 << 4) + 4 | 0) | 0, 0, get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0, get32(i1 + 12 + (i150 + -1 << 4) + 4 | 0) | 0, getU8(i1 + 12 + (i150 + -4 << 4) + 4 >> 0 | 0) | 0);
   break;
  }
 case 175:
  {
   _sqlite3Insert(i149, get32(i1 + 12 + (i150 + -3 << 4) + 4 | 0) | 0, 0, 0, get32(i1 + 12 + (i150 + -2 << 4) + 4 | 0) | 0, getU8(i1 + 12 + (i150 + -5 << 4) + 4 >> 0 | 0) | 0);
   break;
  }
 case 176:
  {
   set8(i144 >> 0 | 0, get8(i1 + 12 + (i150 << 4) + 4 >> 0 | 0) | 0 | 0);
   break;
  }
 case 177:
  {
   set8(i144 >> 0 | 0, 5 | 0);
   break;
  }
 case 241:
 case 178:
  {
   set32(i144 | 0, _sqlite3ExprListAppend(get32(i149 | 0) | 0, get32(i1 + 12 + (i150 + -2 << 4) + 4 | 0) | 0, get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0) | 0 | 0);
   break;
  }
 case 242:
 case 179:
  {
   set32(i144 | 0, _sqlite3ExprListAppend(get32(i149 | 0) | 0, 0, get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0) | 0 | 0);
   break;
  }
 case 182:
  {
   i152 = get32(i149 | 0) | 0;
   i160 = get32(i1 + 12 + (i150 + -2 << 4) + 4 | 0) | 0;
   i177 = i1 + 12 + (i150 << 4) + 4 | 0;
   L3002 : do if (!i160) {
    L3004 : do if (!i152) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i475 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](12) | 0;
      i157 = 2144;
      break;
     }
     i213 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](12) | 0;
     set32(35 * 4 | 0, 12 | 0);
     if ((get32(45 * 4 | 0) | 0) < 12) set32(45 * 4 | 0, 12 | 0);
     i188 = get32(6 * 4 | 0) | 0;
     do if (i188) {
      i181 = get32(30 * 4 | 0) | 0;
      i163 = ((i181 | 0) < 0) << 31 >> 31;
      i175 = 16;
      i151 = _i64Subtract(get32(i175 | 0) | 0, get32(i175 + 4 | 0) | 0, i213 | 0, ((i213 | 0) < 0) << 31 >> 31 | 0) | 0;
      i175 = tempRet0;
      if ((i163 | 0) < (i175 | 0) | (i163 | 0) == (i175 | 0) & i181 >>> 0 < i151 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i151 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i188 & 15](i151, i181, i163, i213);
       set32(6 * 4 | 0, i188 | 0);
       set32(7 * 4 | 0, i151 | 0);
       break;
      }
     } while (0);
     i188 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i213) | 0;
     if (!i188) {
      i476 = 0;
      break L3002;
     }
     i151 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i188) | 0;
     i163 = (get32(30 * 4 | 0) | 0) + i151 | 0;
     set32(30 * 4 | 0, i163 | 0);
     if ((i163 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i163 | 0);
     i163 = get32(39 * 4 | 0) | 0;
     i151 = i163 + 1 | 0;
     set32(39 * 4 | 0, i151 | 0);
     if ((i163 | 0) < (get32(49 * 4 | 0) | 0)) i477 = i188; else {
      set32(49 * 4 | 0, i151 | 0);
      i477 = i188;
     }
    } else {
     i188 = i152 + 30 | 0;
     if (get8(i188 >> 0 | 0) | 0) {
      i476 = 0;
      break L3002;
     }
     do if (get8(i152 + 234 >> 0 | 0) | 0) {
      if ((getU16(i152 + 232 | 0) | 0) < 12) {
       i151 = i152 + 248 | 0;
       set32(i151 | 0, (get32(i151 | 0) | 0) + 1 | 0);
       break;
      }
      i151 = i152 + 256 | 0;
      i163 = get32(i151 | 0) | 0;
      if (!i163) {
       i181 = i152 + 252 | 0;
       set32(i181 | 0, (get32(i181 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i151 | 0, get32(i163 | 0) | 0);
      i151 = i152 + 236 | 0;
      i181 = get32(i151 | 0) | 0;
      i175 = i181 + 1 | 0;
      set32(i151 | 0, i175 | 0);
      i151 = i152 + 244 | 0;
      set32(i151 | 0, (get32(i151 | 0) | 0) + 1 | 0);
      i151 = i152 + 240 | 0;
      if ((i181 | 0) >= (get32(i151 | 0) | 0)) set32(i151 | 0, i175 | 0);
      i475 = i163;
      i157 = 2144;
      break L3004;
     } while (0);
     if (!(get32(50 * 4 | 0) | 0)) {
      i213 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](12) | 0;
      if (i213) {
       i477 = i213;
       break;
      }
     } else {
      i213 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](12) | 0;
      set32(35 * 4 | 0, 12 | 0);
      if ((get32(45 * 4 | 0) | 0) < 12) set32(45 * 4 | 0, 12 | 0);
      i163 = get32(6 * 4 | 0) | 0;
      do if (i163) {
       i175 = get32(30 * 4 | 0) | 0;
       i151 = ((i175 | 0) < 0) << 31 >> 31;
       i181 = 16;
       i211 = _i64Subtract(get32(i181 | 0) | 0, get32(i181 + 4 | 0) | 0, i213 | 0, ((i213 | 0) < 0) << 31 >> 31 | 0) | 0;
       i181 = tempRet0;
       if ((i151 | 0) < (i181 | 0) | (i151 | 0) == (i181 | 0) & i175 >>> 0 < i211 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i211 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i163 & 15](i211, i175, i151, i213);
        set32(6 * 4 | 0, i163 | 0);
        set32(7 * 4 | 0, i211 | 0);
        break;
       }
      } while (0);
      i163 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i213) | 0;
      if (i163) {
       i211 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i163) | 0;
       i151 = (get32(30 * 4 | 0) | 0) + i211 | 0;
       set32(30 * 4 | 0, i151 | 0);
       if ((i151 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i151 | 0);
       i151 = get32(39 * 4 | 0) | 0;
       i211 = i151 + 1 | 0;
       set32(39 * 4 | 0, i211 | 0);
       if ((i151 | 0) < (get32(49 * 4 | 0) | 0)) {
        i477 = i163;
        break;
       }
       set32(49 * 4 | 0, i211 | 0);
       i477 = i163;
       break;
      }
     }
     set8(i188 >> 0 | 0, 1 | 0);
     i476 = 0;
     break L3002;
    } while (0);
    if ((i157 | 0) == 2144) if (!i475) {
     i476 = 0;
     break;
    } else i477 = i475;
    i168 = i477;
    i169 = i168 + 12 | 0;
    do {
     set8(i168 >> 0 | 0, 0 | 0);
     i168 = i168 + 1 | 0;
    } while ((i168 | 0) < (i169 | 0));
    i478 = i477;
    i157 = 2146;
   } else {
    i478 = i160;
    i157 = 2146;
   } while (0);
   do if ((i157 | 0) == 2146) {
    i160 = get32(i478 | 0) | 0;
    i155 = i478 + 4 | 0;
    i182 = i478 + 8 | 0;
    i163 = get32(i155 | 0) | 0;
    i211 = get32(i182 | 0) | 0;
    do if ((i163 | 0) < (i211 | 0)) {
     i479 = i160;
     i480 = i163;
     i157 = 2155;
    } else {
     i151 = _sqlite3DbRealloc(i152, i160, (i211 << 4) + 40 | 0) | 0;
     if (!i151) {
      set32(i478 | 0, i160 | 0);
      i481 = get32(i155 | 0) | 0;
      i482 = i160;
      break;
     }
     if (((i152 | 0) != 0 ? (get32(i152 + 260 | 0) | 0) >>> 0 <= i151 >>> 0 : 0) ? (get32(i152 + 264 | 0) | 0) >>> 0 > i151 >>> 0 : 0) i483 = getU16(i152 + 232 | 0) | 0; else i483 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i151) | 0;
     set32(i182 | 0, (i483 | 0) / 8 | 0 | 0);
     i479 = i151;
     i480 = get32(i155 | 0) | 0;
     i157 = 2155;
    } while (0);
    if ((i157 | 0) == 2155) {
     i182 = i479 + (i480 << 3) | 0;
     i160 = i182;
     set8(i160 >> 0 | 0, 0 | 0);
     set8(i160 + 1 >> 0 | 0, 0 | 0);
     set8(i160 + 2 >> 0 | 0, 0 | 0);
     set8(i160 + 3 >> 0 | 0, 0 | 0);
     i160 = i182 + 4 | 0;
     set8(i160 >> 0 | 0, 0 | 0);
     set8(i160 + 1 >> 0 | 0, 0 | 0);
     set8(i160 + 2 >> 0 | 0, 0 | 0);
     set8(i160 + 3 >> 0 | 0, 0 | 0);
     i160 = get32(i155 | 0) | 0;
     i182 = i160 + 1 | 0;
     set32(i155 | 0, i182 | 0);
     set32(i478 | 0, i479 | 0);
     if ((i160 | 0) < 0) {
      i481 = i182;
      i482 = i479;
     } else {
      i182 = get32(i177 | 0) | 0;
      i211 = get32(i1 + 12 + (i150 << 4) + 8 | 0) | 0;
      L3075 : do if (!i182) i484 = 0; else {
       i163 = i211 + 1 | 0;
       L3077 : do if (!i152) {
        if (i211 >>> 0 > 2147483390) {
         i484 = 0;
         break L3075;
        }
        if (!(get32(50 * 4 | 0) | 0)) {
         i485 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i163) | 0;
         i157 = 2201;
         break;
        }
        i151 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i163) | 0;
        set32(35 * 4 | 0, i163 | 0);
        if ((get32(45 * 4 | 0) | 0) < (i163 | 0)) set32(45 * 4 | 0, i163 | 0);
        i175 = get32(6 * 4 | 0) | 0;
        do if (i175) {
         i181 = get32(30 * 4 | 0) | 0;
         i180 = ((i181 | 0) < 0) << 31 >> 31;
         i161 = 16;
         i159 = _i64Subtract(get32(i161 | 0) | 0, get32(i161 + 4 | 0) | 0, i151 | 0, ((i151 | 0) < 0) << 31 >> 31 | 0) | 0;
         i161 = tempRet0;
         if ((i180 | 0) < (i161 | 0) | (i180 | 0) == (i161 | 0) & i181 >>> 0 < i159 >>> 0) {
          set32(11 * 4 | 0, 0 | 0);
          break;
         } else {
          set32(11 * 4 | 0, 1 | 0);
          i159 = get32(7 * 4 | 0) | 0;
          set32(6 * 4 | 0, 0 | 0);
          FUNCTION_TABLE_viiii[i175 & 15](i159, i181, i180, i151);
          set32(6 * 4 | 0, i175 | 0);
          set32(7 * 4 | 0, i159 | 0);
          break;
         }
        } while (0);
        i175 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i151) | 0;
        if (!i175) {
         i484 = 0;
         break L3075;
        }
        i153 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i175) | 0;
        i159 = (get32(30 * 4 | 0) | 0) + i153 | 0;
        set32(30 * 4 | 0, i159 | 0);
        if ((i159 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i159 | 0);
        i159 = get32(39 * 4 | 0) | 0;
        i153 = i159 + 1 | 0;
        set32(39 * 4 | 0, i153 | 0);
        if ((i159 | 0) < (get32(49 * 4 | 0) | 0)) i486 = i175; else {
         set32(49 * 4 | 0, i153 | 0);
         i486 = i175;
        }
       } else {
        i175 = i152 + 30 | 0;
        if (get8(i175 >> 0 | 0) | 0) {
         i484 = 0;
         break L3075;
        }
        do if (get8(i152 + 234 >> 0 | 0) | 0) {
         if ((getU16(i152 + 232 | 0) | 0) < (i163 | 0)) {
          i153 = i152 + 248 | 0;
          set32(i153 | 0, (get32(i153 | 0) | 0) + 1 | 0);
          break;
         }
         i153 = i152 + 256 | 0;
         i159 = get32(i153 | 0) | 0;
         if (!i159) {
          i180 = i152 + 252 | 0;
          set32(i180 | 0, (get32(i180 | 0) | 0) + 1 | 0);
          break;
         }
         set32(i153 | 0, get32(i159 | 0) | 0);
         i153 = i152 + 236 | 0;
         i180 = get32(i153 | 0) | 0;
         i181 = i180 + 1 | 0;
         set32(i153 | 0, i181 | 0);
         i153 = i152 + 244 | 0;
         set32(i153 | 0, (get32(i153 | 0) | 0) + 1 | 0);
         i153 = i152 + 240 | 0;
         if ((i180 | 0) >= (get32(i153 | 0) | 0)) set32(i153 | 0, i181 | 0);
         i485 = i159;
         i157 = 2201;
         break L3077;
        } while (0);
        do if (i211 >>> 0 <= 2147483390) {
         if (!(get32(50 * 4 | 0) | 0)) {
          i151 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i163) | 0;
          if (!i151) break; else {
           i486 = i151;
           break L3077;
          }
         }
         i151 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i163) | 0;
         set32(35 * 4 | 0, i163 | 0);
         if ((get32(45 * 4 | 0) | 0) < (i163 | 0)) set32(45 * 4 | 0, i163 | 0);
         i159 = get32(6 * 4 | 0) | 0;
         do if (i159) {
          i181 = get32(30 * 4 | 0) | 0;
          i153 = ((i181 | 0) < 0) << 31 >> 31;
          i180 = 16;
          i161 = _i64Subtract(get32(i180 | 0) | 0, get32(i180 + 4 | 0) | 0, i151 | 0, ((i151 | 0) < 0) << 31 >> 31 | 0) | 0;
          i180 = tempRet0;
          if ((i153 | 0) < (i180 | 0) | (i153 | 0) == (i180 | 0) & i181 >>> 0 < i161 >>> 0) {
           set32(11 * 4 | 0, 0 | 0);
           break;
          } else {
           set32(11 * 4 | 0, 1 | 0);
           i161 = get32(7 * 4 | 0) | 0;
           set32(6 * 4 | 0, 0 | 0);
           FUNCTION_TABLE_viiii[i159 & 15](i161, i181, i153, i151);
           set32(6 * 4 | 0, i159 | 0);
           set32(7 * 4 | 0, i161 | 0);
           break;
          }
         } while (0);
         i159 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i151) | 0;
         if (i159) {
          i210 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i159) | 0;
          i161 = (get32(30 * 4 | 0) | 0) + i210 | 0;
          set32(30 * 4 | 0, i161 | 0);
          if ((i161 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i161 | 0);
          i161 = get32(39 * 4 | 0) | 0;
          i210 = i161 + 1 | 0;
          set32(39 * 4 | 0, i210 | 0);
          if ((i161 | 0) < (get32(49 * 4 | 0) | 0)) {
           i486 = i159;
           break L3077;
          }
          set32(49 * 4 | 0, i210 | 0);
          i486 = i159;
          break L3077;
         }
        } while (0);
        set8(i175 >> 0 | 0, 1 | 0);
        i484 = 0;
        break L3075;
       } while (0);
       if ((i157 | 0) == 2201) if (!i485) {
        i484 = 0;
        break;
       } else i486 = i485;
       _memcpy(i486 | 0, i182 | 0, i211 | 0) | 0;
       set8(i486 + i211 >> 0 | 0, 0 | 0);
       i163 = get8(i486 >> 0 | 0) | 0;
       switch (i163 << 24 >> 24 | 0) {
       case 96:
       case 34:
       case 39:
        {
         i487 = i163;
         break;
        }
       case 91:
        {
         i487 = 93;
         break;
        }
       default:
        {
         i484 = i486;
         break L3075;
        }
       }
       i163 = get8(i486 + 1 >> 0 | 0) | 0;
       L3137 : do if (!(i163 << 24 >> 24)) i488 = 0; else {
        i188 = i163;
        i213 = 1;
        i159 = 0;
        while (1) {
         if (i188 << 24 >> 24 == i487 << 24 >> 24) {
          i210 = i213 + 1 | 0;
          if ((get8(i486 + i210 >> 0 | 0) | 0) != i487 << 24 >> 24) {
           i488 = i159;
           break L3137;
          }
          set8(i486 + i159 >> 0 | 0, i487 | 0);
          i489 = i210;
         } else {
          set8(i486 + i159 >> 0 | 0, i188 | 0);
          i489 = i213;
         }
         i210 = i159 + 1 | 0;
         i213 = i489 + 1 | 0;
         i188 = get8(i486 + i213 >> 0 | 0) | 0;
         if (!(i188 << 24 >> 24)) {
          i488 = i210;
          break;
         } else i159 = i210;
        }
       } while (0);
       set8(i486 + i488 >> 0 | 0, 0 | 0);
       i484 = i486;
      } while (0);
      set32((get32(i478 | 0) | 0) + (i160 << 3) | 0, i484 | 0);
      i476 = i478;
      break;
     }
    }
    if ((i481 | 0) > 0) {
     _sqlite3DbFree(i152, get32(i482 | 0) | 0);
     if ((get32(i155 | 0) | 0) > 1) {
      i211 = 1;
      do {
       _sqlite3DbFree(i152, get32((get32(i478 | 0) | 0) + (i211 << 3) | 0) | 0);
       i211 = i211 + 1 | 0;
      } while ((i211 | 0) < (get32(i155 | 0) | 0));
     }
     i490 = get32(i478 | 0) | 0;
    } else i490 = i482;
    _sqlite3DbFree(i152, i490);
    _sqlite3DbFree(i152, i478);
    i476 = 0;
   } while (0);
   set32(i144 | 0, i476 | 0);
   break;
  }
 case 183:
  {
   i152 = get32(i149 | 0) | 0;
   i177 = i1 + 12 + (i150 << 4) + 4 | 0;
   i155 = (i152 | 0) == 0;
   L3157 : do if (i155) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i491 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](12) | 0;
     i157 = 2250;
     break;
    }
    i211 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](12) | 0;
    set32(35 * 4 | 0, 12 | 0);
    if ((get32(45 * 4 | 0) | 0) < 12) set32(45 * 4 | 0, 12 | 0);
    i160 = get32(6 * 4 | 0) | 0;
    do if (i160) {
     i182 = get32(30 * 4 | 0) | 0;
     i163 = ((i182 | 0) < 0) << 31 >> 31;
     i159 = 16;
     i188 = _i64Subtract(get32(i159 | 0) | 0, get32(i159 + 4 | 0) | 0, i211 | 0, ((i211 | 0) < 0) << 31 >> 31 | 0) | 0;
     i159 = tempRet0;
     if ((i163 | 0) < (i159 | 0) | (i163 | 0) == (i159 | 0) & i182 >>> 0 < i188 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i188 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i160 & 15](i188, i182, i163, i211);
      set32(6 * 4 | 0, i160 | 0);
      set32(7 * 4 | 0, i188 | 0);
      break;
     }
    } while (0);
    i160 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i211) | 0;
    if (i160) {
     i188 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i160) | 0;
     i163 = (get32(30 * 4 | 0) | 0) + i188 | 0;
     set32(30 * 4 | 0, i163 | 0);
     if ((i163 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i163 | 0);
     i163 = get32(39 * 4 | 0) | 0;
     i188 = i163 + 1 | 0;
     set32(39 * 4 | 0, i188 | 0);
     if ((i163 | 0) < (get32(49 * 4 | 0) | 0)) {
      i492 = i160;
      i157 = 2251;
     } else {
      set32(49 * 4 | 0, i188 | 0);
      i492 = i160;
      i157 = 2251;
     }
    } else i493 = 0;
   } else {
    i160 = i152 + 30 | 0;
    if (!(get8(i160 >> 0 | 0) | 0)) {
     do if (get8(i152 + 234 >> 0 | 0) | 0) {
      if ((getU16(i152 + 232 | 0) | 0) < 12) {
       i188 = i152 + 248 | 0;
       set32(i188 | 0, (get32(i188 | 0) | 0) + 1 | 0);
       break;
      }
      i188 = i152 + 256 | 0;
      i163 = get32(i188 | 0) | 0;
      if (!i163) {
       i182 = i152 + 252 | 0;
       set32(i182 | 0, (get32(i182 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i188 | 0, get32(i163 | 0) | 0);
      i188 = i152 + 236 | 0;
      i182 = get32(i188 | 0) | 0;
      i159 = i182 + 1 | 0;
      set32(i188 | 0, i159 | 0);
      i188 = i152 + 244 | 0;
      set32(i188 | 0, (get32(i188 | 0) | 0) + 1 | 0);
      i188 = i152 + 240 | 0;
      if ((i182 | 0) >= (get32(i188 | 0) | 0)) set32(i188 | 0, i159 | 0);
      i491 = i163;
      i157 = 2250;
      break L3157;
     } while (0);
     if (!(get32(50 * 4 | 0) | 0)) {
      i211 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](12) | 0;
      if (i211) {
       i492 = i211;
       i157 = 2251;
       break;
      }
     } else {
      i211 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](12) | 0;
      set32(35 * 4 | 0, 12 | 0);
      if ((get32(45 * 4 | 0) | 0) < 12) set32(45 * 4 | 0, 12 | 0);
      i163 = get32(6 * 4 | 0) | 0;
      do if (i163) {
       i159 = get32(30 * 4 | 0) | 0;
       i188 = ((i159 | 0) < 0) << 31 >> 31;
       i182 = 16;
       i213 = _i64Subtract(get32(i182 | 0) | 0, get32(i182 + 4 | 0) | 0, i211 | 0, ((i211 | 0) < 0) << 31 >> 31 | 0) | 0;
       i182 = tempRet0;
       if ((i188 | 0) < (i182 | 0) | (i188 | 0) == (i182 | 0) & i159 >>> 0 < i213 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i213 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i163 & 15](i213, i159, i188, i211);
        set32(6 * 4 | 0, i163 | 0);
        set32(7 * 4 | 0, i213 | 0);
        break;
       }
      } while (0);
      i163 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i211) | 0;
      if (i163) {
       i213 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i163) | 0;
       i188 = (get32(30 * 4 | 0) | 0) + i213 | 0;
       set32(30 * 4 | 0, i188 | 0);
       if ((i188 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i188 | 0);
       i188 = get32(39 * 4 | 0) | 0;
       i213 = i188 + 1 | 0;
       set32(39 * 4 | 0, i213 | 0);
       if ((i188 | 0) < (get32(49 * 4 | 0) | 0)) {
        i492 = i163;
        i157 = 2251;
        break;
       }
       set32(49 * 4 | 0, i213 | 0);
       i492 = i163;
       i157 = 2251;
       break;
      }
     }
     set8(i160 >> 0 | 0, 1 | 0);
     i493 = 0;
    } else i493 = 0;
   } while (0);
   if ((i157 | 0) == 2250) if (!i491) i493 = 0; else {
    i492 = i491;
    i157 = 2251;
   }
   do if ((i157 | 0) == 2251) {
    i163 = i492 + 8 | 0;
    i213 = i492 + 4 | 0;
    i168 = i492;
    i169 = i168 + 12 | 0;
    do {
     set8(i168 >> 0 | 0, 0 | 0);
     i168 = i168 + 1 | 0;
    } while ((i168 | 0) < (i169 | 0));
    i160 = _sqlite3DbRealloc(i152, 0, 40) | 0;
    if (i160) {
     if ((!i155 ? (get32(i152 + 260 | 0) | 0) >>> 0 <= i160 >>> 0 : 0) ? (get32(i152 + 264 | 0) | 0) >>> 0 > i160 >>> 0 : 0) i494 = getU16(i152 + 232 | 0) | 0; else i494 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i160) | 0;
     set32(i163 | 0, (i494 | 0) / 8 | 0 | 0);
     i211 = i160 + (get32(i213 | 0) << 3) | 0;
     i188 = i211;
     set8(i188 >> 0 | 0, 0 | 0);
     set8(i188 + 1 >> 0 | 0, 0 | 0);
     set8(i188 + 2 >> 0 | 0, 0 | 0);
     set8(i188 + 3 >> 0 | 0, 0 | 0);
     i188 = i211 + 4 | 0;
     set8(i188 >> 0 | 0, 0 | 0);
     set8(i188 + 1 >> 0 | 0, 0 | 0);
     set8(i188 + 2 >> 0 | 0, 0 | 0);
     set8(i188 + 3 >> 0 | 0, 0 | 0);
     i188 = get32(i213 | 0) | 0;
     i211 = i188 + 1 | 0;
     set32(i213 | 0, i211 | 0);
     set32(i492 | 0, i160 | 0);
     if ((i188 | 0) < 0) {
      i495 = i160;
      i496 = i211;
      i497 = i160;
     } else {
      i160 = get32(i177 | 0) | 0;
      i211 = get32(i1 + 12 + (i150 << 4) + 8 | 0) | 0;
      L3223 : do if (!i160) i498 = 0; else {
       i159 = i211 + 1 | 0;
       L3225 : do if (i155) {
        if (i211 >>> 0 > 2147483390) {
         i498 = 0;
         break L3223;
        }
        if (!(get32(50 * 4 | 0) | 0)) {
         i499 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i159) | 0;
         i157 = 2304;
         break;
        }
        i182 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i159) | 0;
        set32(35 * 4 | 0, i159 | 0);
        if ((get32(45 * 4 | 0) | 0) < (i159 | 0)) set32(45 * 4 | 0, i159 | 0);
        i175 = get32(6 * 4 | 0) | 0;
        do if (i175) {
         i210 = get32(30 * 4 | 0) | 0;
         i161 = ((i210 | 0) < 0) << 31 >> 31;
         i153 = 16;
         i181 = _i64Subtract(get32(i153 | 0) | 0, get32(i153 + 4 | 0) | 0, i182 | 0, ((i182 | 0) < 0) << 31 >> 31 | 0) | 0;
         i153 = tempRet0;
         if ((i161 | 0) < (i153 | 0) | (i161 | 0) == (i153 | 0) & i210 >>> 0 < i181 >>> 0) {
          set32(11 * 4 | 0, 0 | 0);
          break;
         } else {
          set32(11 * 4 | 0, 1 | 0);
          i181 = get32(7 * 4 | 0) | 0;
          set32(6 * 4 | 0, 0 | 0);
          FUNCTION_TABLE_viiii[i175 & 15](i181, i210, i161, i182);
          set32(6 * 4 | 0, i175 | 0);
          set32(7 * 4 | 0, i181 | 0);
          break;
         }
        } while (0);
        i175 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i182) | 0;
        if (!i175) {
         i498 = 0;
         break L3223;
        }
        i181 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i175) | 0;
        i161 = (get32(30 * 4 | 0) | 0) + i181 | 0;
        set32(30 * 4 | 0, i161 | 0);
        if ((i161 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i161 | 0);
        i161 = get32(39 * 4 | 0) | 0;
        i181 = i161 + 1 | 0;
        set32(39 * 4 | 0, i181 | 0);
        if ((i161 | 0) < (get32(49 * 4 | 0) | 0)) i500 = i175; else {
         set32(49 * 4 | 0, i181 | 0);
         i500 = i175;
        }
       } else {
        i175 = i152 + 30 | 0;
        if (get8(i175 >> 0 | 0) | 0) {
         i498 = 0;
         break L3223;
        }
        do if (get8(i152 + 234 >> 0 | 0) | 0) {
         if ((getU16(i152 + 232 | 0) | 0) < (i159 | 0)) {
          i181 = i152 + 248 | 0;
          set32(i181 | 0, (get32(i181 | 0) | 0) + 1 | 0);
          break;
         }
         i181 = i152 + 256 | 0;
         i161 = get32(i181 | 0) | 0;
         if (!i161) {
          i210 = i152 + 252 | 0;
          set32(i210 | 0, (get32(i210 | 0) | 0) + 1 | 0);
          break;
         }
         set32(i181 | 0, get32(i161 | 0) | 0);
         i181 = i152 + 236 | 0;
         i210 = get32(i181 | 0) | 0;
         i153 = i210 + 1 | 0;
         set32(i181 | 0, i153 | 0);
         i181 = i152 + 244 | 0;
         set32(i181 | 0, (get32(i181 | 0) | 0) + 1 | 0);
         i181 = i152 + 240 | 0;
         if ((i210 | 0) >= (get32(i181 | 0) | 0)) set32(i181 | 0, i153 | 0);
         i499 = i161;
         i157 = 2304;
         break L3225;
        } while (0);
        do if (i211 >>> 0 <= 2147483390) {
         if (!(get32(50 * 4 | 0) | 0)) {
          i182 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i159) | 0;
          if (!i182) break; else {
           i500 = i182;
           break L3225;
          }
         }
         i182 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i159) | 0;
         set32(35 * 4 | 0, i159 | 0);
         if ((get32(45 * 4 | 0) | 0) < (i159 | 0)) set32(45 * 4 | 0, i159 | 0);
         i161 = get32(6 * 4 | 0) | 0;
         do if (i161) {
          i153 = get32(30 * 4 | 0) | 0;
          i181 = ((i153 | 0) < 0) << 31 >> 31;
          i210 = 16;
          i180 = _i64Subtract(get32(i210 | 0) | 0, get32(i210 + 4 | 0) | 0, i182 | 0, ((i182 | 0) < 0) << 31 >> 31 | 0) | 0;
          i210 = tempRet0;
          if ((i181 | 0) < (i210 | 0) | (i181 | 0) == (i210 | 0) & i153 >>> 0 < i180 >>> 0) {
           set32(11 * 4 | 0, 0 | 0);
           break;
          } else {
           set32(11 * 4 | 0, 1 | 0);
           i180 = get32(7 * 4 | 0) | 0;
           set32(6 * 4 | 0, 0 | 0);
           FUNCTION_TABLE_viiii[i161 & 15](i180, i153, i181, i182);
           set32(6 * 4 | 0, i161 | 0);
           set32(7 * 4 | 0, i180 | 0);
           break;
          }
         } while (0);
         i161 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i182) | 0;
         if (i161) {
          i151 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i161) | 0;
          i180 = (get32(30 * 4 | 0) | 0) + i151 | 0;
          set32(30 * 4 | 0, i180 | 0);
          if ((i180 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i180 | 0);
          i180 = get32(39 * 4 | 0) | 0;
          i151 = i180 + 1 | 0;
          set32(39 * 4 | 0, i151 | 0);
          if ((i180 | 0) < (get32(49 * 4 | 0) | 0)) {
           i500 = i161;
           break L3225;
          }
          set32(49 * 4 | 0, i151 | 0);
          i500 = i161;
          break L3225;
         }
        } while (0);
        set8(i175 >> 0 | 0, 1 | 0);
        i498 = 0;
        break L3223;
       } while (0);
       if ((i157 | 0) == 2304) if (!i499) {
        i498 = 0;
        break;
       } else i500 = i499;
       _memcpy(i500 | 0, i160 | 0, i211 | 0) | 0;
       set8(i500 + i211 >> 0 | 0, 0 | 0);
       i159 = get8(i500 >> 0 | 0) | 0;
       switch (i159 << 24 >> 24 | 0) {
       case 96:
       case 34:
       case 39:
        {
         i501 = i159;
         break;
        }
       case 91:
        {
         i501 = 93;
         break;
        }
       default:
        {
         i498 = i500;
         break L3223;
        }
       }
       i159 = get8(i500 + 1 >> 0 | 0) | 0;
       L3285 : do if (!(i159 << 24 >> 24)) i502 = 0; else {
        i161 = i159;
        i151 = 1;
        i180 = 0;
        while (1) {
         if (i161 << 24 >> 24 == i501 << 24 >> 24) {
          i181 = i151 + 1 | 0;
          if ((get8(i500 + i181 >> 0 | 0) | 0) != i501 << 24 >> 24) {
           i502 = i180;
           break L3285;
          }
          set8(i500 + i180 >> 0 | 0, i501 | 0);
          i503 = i181;
         } else {
          set8(i500 + i180 >> 0 | 0, i161 | 0);
          i503 = i151;
         }
         i181 = i180 + 1 | 0;
         i151 = i503 + 1 | 0;
         i161 = get8(i500 + i151 >> 0 | 0) | 0;
         if (!(i161 << 24 >> 24)) {
          i502 = i181;
          break;
         } else i180 = i181;
        }
       } while (0);
       set8(i500 + i502 >> 0 | 0, 0 | 0);
       i498 = i500;
      } while (0);
      set32((get32(i492 | 0) | 0) + (i188 << 3) | 0, i498 | 0);
      i493 = i492;
      break;
     }
    } else {
     set32(i492 | 0, 0 | 0);
     i495 = 0;
     i496 = get32(i213 | 0) | 0;
     i497 = 0;
    }
    if ((i496 | 0) > 0) {
     _sqlite3DbFree(i152, get32(i497 | 0) | 0);
     if ((get32(i213 | 0) | 0) > 1) {
      i211 = 1;
      do {
       _sqlite3DbFree(i152, get32((get32(i492 | 0) | 0) + (i211 << 3) | 0) | 0);
       i211 = i211 + 1 | 0;
      } while ((i211 | 0) < (get32(i213 | 0) | 0));
     }
     i504 = get32(i492 | 0) | 0;
    } else i504 = i495;
    _sqlite3DbFree(i152, i504);
    _sqlite3DbFree(i152, i492);
    i493 = 0;
   } while (0);
   set32(i144 | 0, i493 | 0);
   break;
  }
 case 184:
  {
   i152 = i1 + 12 + (i150 << 4) + 4 | 0;
   set32(i144 | 0, get32(i152 | 0) | 0);
   set32(i144 + 4 | 0, get32(i152 + 4 | 0) | 0);
   set32(i144 + 8 | 0, get32(i152 + 8 | 0) | 0);
   break;
  }
 case 185:
  {
   set32(i144 | 0, get32(i1 + 12 + (i150 + -1 << 4) + 4 | 0) | 0);
   i152 = get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0;
   i155 = get32(i1 + 12 + (i150 << 4) + 8 | 0) | 0;
   set32(i144 + 4 | 0, get32(i1 + 12 + (i150 + -2 << 4) + 4 | 0) | 0);
   set32(i144 + 8 | 0, i152 + i155 | 0);
   break;
  }
 case 192:
 case 191:
 case 186:
  {
   i155 = i1 + 12 + (i150 << 4) + 4 | 0;
   i152 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, getU8(i1 + 12 + (i150 << 4) + 2 >> 0 | 0) | 0, i155, 1) | 0;
   if (i152) {
    set32(i142 | 0, 0 | 0);
    i177 = get32(i152 + 8 | 0) | 0;
    if ((i177 | 0) != 0 ? (i213 = get32(i177 + 44 | 0) | 0, (i213 | 0) > 0) : 0) {
     set32(i142 | 0, i213 | 0);
     i505 = i213;
    } else i505 = 0;
    i213 = get32(i152 + 12 | 0) | 0;
    if ((i213 | 0) != 0 ? (i177 = get32(i213 + 44 | 0) | 0, (i177 | 0) > (i505 | 0)) : 0) {
     set32(i142 | 0, i177 | 0);
     i506 = i177;
    } else i506 = i505;
    i177 = i152 + 16 | 0;
    if (!(get16(i152 + 2 | 0) & 2048)) {
     i213 = get32(i177 | 0) | 0;
     if ((i213 | 0) != 0 ? (i211 = get32(i213 | 0) | 0, (i211 | 0) > 0) : 0) {
      i188 = get32(i213 + 12 | 0) | 0;
      i213 = i506;
      i160 = 0;
      while (1) {
       i163 = get32(i188 + (i160 * 20 | 0) | 0) | 0;
       if ((i163 | 0) != 0 ? (i159 = get32(i163 + 44 | 0) | 0, (i159 | 0) > (i213 | 0)) : 0) {
        set32(i142 | 0, i159 | 0);
        i507 = i159;
       } else i507 = i213;
       i160 = i160 + 1 | 0;
       if ((i160 | 0) == (i211 | 0)) {
        i508 = i507;
        break;
       } else i213 = i507;
      }
     } else i508 = i506;
    } else {
     _heightOfSelect(get32(i177 | 0) | 0, i142);
     i508 = get32(i142 | 0) | 0;
    }
    i213 = i508 + 1 | 0;
    set32(i152 + 44 | 0, i213 | 0);
    i211 = get32((get32(i149 | 0) | 0) + 84 | 0) | 0;
    if ((i211 | 0) < (i213 | 0)) {
     set32(i117 | 0, i211 | 0);
     _sqlite3ErrorMsg(i149, 29585, i117);
    }
   }
   set32(i144 | 0, i152 | 0);
   i211 = get32(i155 | 0) | 0;
   set32(i144 + 4 | 0, i211 | 0);
   set32(i144 + 8 | 0, i211 + (get32(i1 + 12 + (i150 << 4) + 8 | 0) | 0) | 0);
   break;
  }
 case 188:
 case 187:
  {
   i211 = i1 + 12 + (i150 << 4) + 4 | 0;
   i213 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, 26, i211, 1) | 0;
   if (i213) {
    set32(i142 | 0, 0 | 0);
    i160 = get32(i213 + 8 | 0) | 0;
    if ((i160 | 0) != 0 ? (i188 = get32(i160 + 44 | 0) | 0, (i188 | 0) > 0) : 0) {
     set32(i142 | 0, i188 | 0);
     i509 = i188;
    } else i509 = 0;
    i188 = get32(i213 + 12 | 0) | 0;
    if ((i188 | 0) != 0 ? (i160 = get32(i188 + 44 | 0) | 0, (i160 | 0) > (i509 | 0)) : 0) {
     set32(i142 | 0, i160 | 0);
     i510 = i160;
    } else i510 = i509;
    i160 = i213 + 16 | 0;
    if (!(get16(i213 + 2 | 0) & 2048)) {
     i188 = get32(i160 | 0) | 0;
     if ((i188 | 0) != 0 ? (i159 = get32(i188 | 0) | 0, (i159 | 0) > 0) : 0) {
      i163 = get32(i188 + 12 | 0) | 0;
      i188 = i510;
      i180 = 0;
      while (1) {
       i161 = get32(i163 + (i180 * 20 | 0) | 0) | 0;
       if ((i161 | 0) != 0 ? (i151 = get32(i161 + 44 | 0) | 0, (i151 | 0) > (i188 | 0)) : 0) {
        set32(i142 | 0, i151 | 0);
        i511 = i151;
       } else i511 = i188;
       i180 = i180 + 1 | 0;
       if ((i180 | 0) == (i159 | 0)) {
        i512 = i511;
        break;
       } else i188 = i511;
      }
     } else i512 = i510;
    } else {
     _heightOfSelect(get32(i160 | 0) | 0, i142);
     i512 = get32(i142 | 0) | 0;
    }
    i188 = i512 + 1 | 0;
    set32(i213 + 44 | 0, i188 | 0);
    i159 = get32((get32(i149 | 0) | 0) + 84 | 0) | 0;
    if ((i159 | 0) < (i188 | 0)) {
     set32(i116 | 0, i159 | 0);
     _sqlite3ErrorMsg(i149, 29585, i116);
    }
   }
   set32(i144 | 0, i213 | 0);
   i159 = get32(i211 | 0) | 0;
   set32(i144 + 4 | 0, i159 | 0);
   set32(i144 + 8 | 0, i159 + (get32(i1 + 12 + (i150 << 4) + 8 | 0) | 0) | 0);
   break;
  }
 case 189:
  {
   i159 = i1 + 12 + (i150 + -2 << 4) + 4 | 0;
   i188 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, 26, i159, 1) | 0;
   i180 = (i188 | 0) == 0;
   if (!i180) {
    set32(i142 | 0, 0 | 0);
    i163 = get32(i188 + 8 | 0) | 0;
    if ((i163 | 0) != 0 ? (i155 = get32(i163 + 44 | 0) | 0, (i155 | 0) > 0) : 0) {
     set32(i142 | 0, i155 | 0);
     i513 = i155;
    } else i513 = 0;
    i155 = get32(i188 + 12 | 0) | 0;
    if ((i155 | 0) != 0 ? (i163 = get32(i155 + 44 | 0) | 0, (i163 | 0) > (i513 | 0)) : 0) {
     set32(i142 | 0, i163 | 0);
     i514 = i163;
    } else i514 = i513;
    i163 = i188 + 16 | 0;
    if (!(get16(i188 + 2 | 0) & 2048)) {
     i155 = get32(i163 | 0) | 0;
     if (!i155) {
      i515 = i514;
      i157 = 2372;
     } else {
      i152 = get32(i155 | 0) | 0;
      if ((i152 | 0) > 0) {
       i177 = get32(i155 + 12 | 0) | 0;
       i155 = i514;
       i151 = 0;
       while (1) {
        i161 = get32(i177 + (i151 * 20 | 0) | 0) | 0;
        if ((i161 | 0) != 0 ? (i175 = get32(i161 + 44 | 0) | 0, (i175 | 0) > (i155 | 0)) : 0) {
         set32(i142 | 0, i175 | 0);
         i516 = i175;
        } else i516 = i155;
        i151 = i151 + 1 | 0;
        if ((i151 | 0) == (i152 | 0)) {
         i517 = i516;
         break;
        } else i155 = i516;
       }
      } else i517 = i514;
      i155 = i517 + 1 | 0;
      set32(i188 + 44 | 0, i155 | 0);
      i518 = i155;
     }
    } else {
     _heightOfSelect(get32(i163 | 0) | 0, i142);
     i515 = get32(i142 | 0) | 0;
     i157 = 2372;
    }
    if ((i157 | 0) == 2372) {
     i155 = i515 + 1 | 0;
     set32(i188 + 44 | 0, i155 | 0);
     i518 = i155;
    }
    i155 = get32((get32(i149 | 0) | 0) + 84 | 0) | 0;
    if ((i155 | 0) < (i518 | 0)) {
     set32(i115 | 0, i155 | 0);
     _sqlite3ErrorMsg(i149, 29585, i115);
    }
   }
   i155 = i1 + 12 + (i150 << 4) + 4 | 0;
   i152 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, 26, i155, 1) | 0;
   i151 = (i152 | 0) == 0;
   if (!i151) {
    set32(i142 | 0, 0 | 0);
    i177 = get32(i152 + 8 | 0) | 0;
    if ((i177 | 0) != 0 ? (i211 = get32(i177 + 44 | 0) | 0, (i211 | 0) > 0) : 0) {
     set32(i142 | 0, i211 | 0);
     i519 = i211;
    } else i519 = 0;
    i211 = get32(i152 + 12 | 0) | 0;
    if ((i211 | 0) != 0 ? (i177 = get32(i211 + 44 | 0) | 0, (i177 | 0) > (i519 | 0)) : 0) {
     set32(i142 | 0, i177 | 0);
     i520 = i177;
    } else i520 = i519;
    i177 = i152 + 16 | 0;
    if (!(get16(i152 + 2 | 0) & 2048)) {
     i211 = get32(i177 | 0) | 0;
     if (!i211) {
      i521 = i520;
      i157 = 2392;
     } else {
      i213 = get32(i211 | 0) | 0;
      if ((i213 | 0) > 0) {
       i160 = get32(i211 + 12 | 0) | 0;
       i211 = i520;
       i175 = 0;
       while (1) {
        i161 = get32(i160 + (i175 * 20 | 0) | 0) | 0;
        if ((i161 | 0) != 0 ? (i181 = get32(i161 + 44 | 0) | 0, (i181 | 0) > (i211 | 0)) : 0) {
         set32(i142 | 0, i181 | 0);
         i522 = i181;
        } else i522 = i211;
        i175 = i175 + 1 | 0;
        if ((i175 | 0) == (i213 | 0)) {
         i523 = i522;
         break;
        } else i211 = i522;
       }
      } else i523 = i520;
      i211 = i523 + 1 | 0;
      set32(i152 + 44 | 0, i211 | 0);
      i524 = i211;
     }
    } else {
     _heightOfSelect(get32(i177 | 0) | 0, i142);
     i521 = get32(i142 | 0) | 0;
     i157 = 2392;
    }
    if ((i157 | 0) == 2392) {
     i211 = i521 + 1 | 0;
     set32(i152 + 44 | 0, i211 | 0);
     i524 = i211;
    }
    i211 = get32((get32(i149 | 0) | 0) + 84 | 0) | 0;
    if ((i211 | 0) < (i524 | 0)) {
     set32(i114 | 0, i211 | 0);
     _sqlite3ErrorMsg(i149, 29585, i114);
    }
   }
   i211 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, 118, 0, 1) | 0;
   i213 = get32(i149 | 0) | 0;
   if (i211) {
    if (!i151 ? (set32(i211 + 12 | 0, i152 | 0), (get16(i152 + 2 | 0) & 256) != 0) : 0) {
     i175 = i211 + 2 | 0;
     set16(i175 | 0, getU16(i175 | 0) | 256 | 0);
     set32(i211 + 20 | 0, get32(i152 + 20 | 0) | 0);
    }
    i175 = i211 + 8 | 0;
    if (i180) {
     i160 = get32(i175 | 0) | 0;
     set32(i142 | 0, 0 | 0);
     if (!i160) {
      i525 = i142;
      i526 = 0;
     } else {
      i527 = i142;
      i528 = i160;
      i157 = 2406;
     }
    } else {
     set32(i175 | 0, i188 | 0);
     if (get16(i188 + 2 | 0) & 256) {
      i175 = i211 + 2 | 0;
      set16(i175 | 0, getU16(i175 | 0) | 256 | 0);
      set32(i211 + 20 | 0, get32(i188 + 20 | 0) | 0);
     }
     set32(i142 | 0, 0 | 0);
     i527 = i142;
     i528 = i188;
     i157 = 2406;
    }
    if ((i157 | 0) == 2406) {
     i175 = get32(i528 + 44 | 0) | 0;
     if ((i175 | 0) > 0) {
      set32(i142 | 0, i175 | 0);
      i525 = i527;
      i526 = i175;
     } else {
      i525 = i527;
      i526 = 0;
     }
    }
    i175 = get32(i211 + 12 | 0) | 0;
    if ((i175 | 0) != 0 ? (i160 = get32(i175 + 44 | 0) | 0, (i160 | 0) > (i526 | 0)) : 0) {
     set32(i142 | 0, i160 | 0);
     i529 = i160;
    } else i529 = i526;
    i160 = i211 + 16 | 0;
    if (!(get16(i211 + 2 | 0) & 2048)) {
     i175 = get32(i160 | 0) | 0;
     if (!i175) {
      i530 = i529;
      i531 = i213;
      i157 = 2420;
     } else {
      i163 = get32(i175 | 0) | 0;
      if ((i163 | 0) > 0) {
       i181 = get32(i175 + 12 | 0) | 0;
       i175 = i529;
       i161 = 0;
       while (1) {
        i153 = get32(i181 + (i161 * 20 | 0) | 0) | 0;
        if ((i153 | 0) != 0 ? (i210 = get32(i153 + 44 | 0) | 0, (i210 | 0) > (i175 | 0)) : 0) {
         set32(i142 | 0, i210 | 0);
         i532 = i210;
        } else i532 = i175;
        i161 = i161 + 1 | 0;
        if ((i161 | 0) == (i163 | 0)) {
         i533 = i532;
         break;
        } else i175 = i532;
       }
      } else i533 = i529;
      i175 = i533 + 1 | 0;
      set32(i211 + 44 | 0, i175 | 0);
      i534 = i213;
      i535 = i175;
     }
    } else {
     _heightOfSelect(get32(i160 | 0) | 0, i142);
     i530 = get32(i142 | 0) | 0;
     i531 = get32(i149 | 0) | 0;
     i157 = 2420;
    }
    if ((i157 | 0) == 2420) {
     i175 = i530 + 1 | 0;
     set32(i211 + 44 | 0, i175 | 0);
     i534 = i531;
     i535 = i175;
    }
    i175 = get32(i534 + 84 | 0) | 0;
    if ((i175 | 0) < (i535 | 0)) {
     set32(i113 | 0, i175 | 0);
     _sqlite3ErrorMsg(i149, 29585, i113);
    }
   } else {
    _sqlite3ExprDelete(i213, i188);
    _sqlite3ExprDelete(i213, i152);
   }
   set32(i144 | 0, i211 | 0);
   i175 = get32(i155 | 0) | 0;
   i163 = get32(i1 + 12 + (i150 << 4) + 8 | 0) | 0;
   set32(i144 + 4 | 0, get32(i159 | 0) | 0);
   set32(i144 + 8 | 0, i175 + i163 | 0);
   break;
  }
 case 190:
  {
   i163 = i1 + 12 + (i150 + -4 << 4) + 4 | 0;
   i175 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, 26, i163, 1) | 0;
   i161 = (i175 | 0) == 0;
   if (!i161) {
    set32(i142 | 0, 0 | 0);
    i181 = get32(i175 + 8 | 0) | 0;
    if ((i181 | 0) != 0 ? (i180 = get32(i181 + 44 | 0) | 0, (i180 | 0) > 0) : 0) {
     set32(i142 | 0, i180 | 0);
     i536 = i180;
    } else i536 = 0;
    i180 = get32(i175 + 12 | 0) | 0;
    if ((i180 | 0) != 0 ? (i181 = get32(i180 + 44 | 0) | 0, (i181 | 0) > (i536 | 0)) : 0) {
     set32(i142 | 0, i181 | 0);
     i537 = i181;
    } else i537 = i536;
    i181 = i175 + 16 | 0;
    if (!(get16(i175 + 2 | 0) & 2048)) {
     i180 = get32(i181 | 0) | 0;
     if (!i180) {
      i538 = i537;
      i157 = 2441;
     } else {
      i151 = get32(i180 | 0) | 0;
      if ((i151 | 0) > 0) {
       i177 = get32(i180 + 12 | 0) | 0;
       i180 = i537;
       i210 = 0;
       while (1) {
        i153 = get32(i177 + (i210 * 20 | 0) | 0) | 0;
        if ((i153 | 0) != 0 ? (i187 = get32(i153 + 44 | 0) | 0, (i187 | 0) > (i180 | 0)) : 0) {
         set32(i142 | 0, i187 | 0);
         i539 = i187;
        } else i539 = i180;
        i210 = i210 + 1 | 0;
        if ((i210 | 0) == (i151 | 0)) {
         i540 = i539;
         break;
        } else i180 = i539;
       }
      } else i540 = i537;
      i180 = i540 + 1 | 0;
      set32(i175 + 44 | 0, i180 | 0);
      i541 = i180;
     }
    } else {
     _heightOfSelect(get32(i181 | 0) | 0, i142);
     i538 = get32(i142 | 0) | 0;
     i157 = 2441;
    }
    if ((i157 | 0) == 2441) {
     i180 = i538 + 1 | 0;
     set32(i175 + 44 | 0, i180 | 0);
     i541 = i180;
    }
    i180 = get32((get32(i149 | 0) | 0) + 84 | 0) | 0;
    if ((i180 | 0) < (i541 | 0)) {
     set32(i112 | 0, i180 | 0);
     _sqlite3ErrorMsg(i149, 29585, i112);
    }
   }
   i180 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, 26, i1 + 12 + (i150 + -2 << 4) + 4 | 0, 1) | 0;
   i151 = (i180 | 0) == 0;
   if (!i151) {
    set32(i142 | 0, 0 | 0);
    i210 = get32(i180 + 8 | 0) | 0;
    if ((i210 | 0) != 0 ? (i177 = get32(i210 + 44 | 0) | 0, (i177 | 0) > 0) : 0) {
     set32(i142 | 0, i177 | 0);
     i542 = i177;
    } else i542 = 0;
    i177 = get32(i180 + 12 | 0) | 0;
    if ((i177 | 0) != 0 ? (i210 = get32(i177 + 44 | 0) | 0, (i210 | 0) > (i542 | 0)) : 0) {
     set32(i142 | 0, i210 | 0);
     i543 = i210;
    } else i543 = i542;
    i210 = i180 + 16 | 0;
    if (!(get16(i180 + 2 | 0) & 2048)) {
     i177 = get32(i210 | 0) | 0;
     if (!i177) {
      i544 = i543;
      i157 = 2461;
     } else {
      i159 = get32(i177 | 0) | 0;
      if ((i159 | 0) > 0) {
       i155 = get32(i177 + 12 | 0) | 0;
       i177 = i543;
       i211 = 0;
       while (1) {
        i152 = get32(i155 + (i211 * 20 | 0) | 0) | 0;
        if ((i152 | 0) != 0 ? (i213 = get32(i152 + 44 | 0) | 0, (i213 | 0) > (i177 | 0)) : 0) {
         set32(i142 | 0, i213 | 0);
         i545 = i213;
        } else i545 = i177;
        i211 = i211 + 1 | 0;
        if ((i211 | 0) == (i159 | 0)) {
         i546 = i545;
         break;
        } else i177 = i545;
       }
      } else i546 = i543;
      i177 = i546 + 1 | 0;
      set32(i180 + 44 | 0, i177 | 0);
      i547 = i177;
     }
    } else {
     _heightOfSelect(get32(i210 | 0) | 0, i142);
     i544 = get32(i142 | 0) | 0;
     i157 = 2461;
    }
    if ((i157 | 0) == 2461) {
     i177 = i544 + 1 | 0;
     set32(i180 + 44 | 0, i177 | 0);
     i547 = i177;
    }
    i177 = get32((get32(i149 | 0) | 0) + 84 | 0) | 0;
    if ((i177 | 0) < (i547 | 0)) {
     set32(i111 | 0, i177 | 0);
     _sqlite3ErrorMsg(i149, 29585, i111);
    }
   }
   i177 = i1 + 12 + (i150 << 4) + 4 | 0;
   i159 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, 26, i177, 1) | 0;
   i211 = (i159 | 0) == 0;
   if (!i211) {
    set32(i142 | 0, 0 | 0);
    i155 = get32(i159 + 8 | 0) | 0;
    if ((i155 | 0) != 0 ? (i181 = get32(i155 + 44 | 0) | 0, (i181 | 0) > 0) : 0) {
     set32(i142 | 0, i181 | 0);
     i548 = i181;
    } else i548 = 0;
    i181 = get32(i159 + 12 | 0) | 0;
    if ((i181 | 0) != 0 ? (i155 = get32(i181 + 44 | 0) | 0, (i155 | 0) > (i548 | 0)) : 0) {
     set32(i142 | 0, i155 | 0);
     i549 = i155;
    } else i549 = i548;
    i155 = i159 + 16 | 0;
    if (!(get16(i159 + 2 | 0) & 2048)) {
     i181 = get32(i155 | 0) | 0;
     if (!i181) {
      i550 = i549;
      i157 = 2481;
     } else {
      i213 = get32(i181 | 0) | 0;
      if ((i213 | 0) > 0) {
       i152 = get32(i181 + 12 | 0) | 0;
       i181 = i549;
       i188 = 0;
       while (1) {
        i160 = get32(i152 + (i188 * 20 | 0) | 0) | 0;
        if ((i160 | 0) != 0 ? (i187 = get32(i160 + 44 | 0) | 0, (i187 | 0) > (i181 | 0)) : 0) {
         set32(i142 | 0, i187 | 0);
         i551 = i187;
        } else i551 = i181;
        i188 = i188 + 1 | 0;
        if ((i188 | 0) == (i213 | 0)) {
         i552 = i551;
         break;
        } else i181 = i551;
       }
      } else i552 = i549;
      i181 = i552 + 1 | 0;
      set32(i159 + 44 | 0, i181 | 0);
      i553 = i181;
     }
    } else {
     _heightOfSelect(get32(i155 | 0) | 0, i142);
     i550 = get32(i142 | 0) | 0;
     i157 = 2481;
    }
    if ((i157 | 0) == 2481) {
     i181 = i550 + 1 | 0;
     set32(i159 + 44 | 0, i181 | 0);
     i553 = i181;
    }
    i181 = get32((get32(i149 | 0) | 0) + 84 | 0) | 0;
    if ((i181 | 0) < (i553 | 0)) {
     set32(i110 | 0, i181 | 0);
     _sqlite3ErrorMsg(i149, 29585, i110);
    }
   }
   i181 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, 118, 0, 1) | 0;
   i213 = get32(i149 | 0) | 0;
   i188 = (i181 | 0) == 0;
   if (!i188) {
    if (!i211 ? (set32(i181 + 12 | 0, i159 | 0), (get16(i159 + 2 | 0) & 256) != 0) : 0) {
     i152 = i181 + 2 | 0;
     set16(i152 | 0, getU16(i152 | 0) | 256 | 0);
     set32(i181 + 20 | 0, get32(i159 + 20 | 0) | 0);
    }
    i152 = i181 + 8 | 0;
    if (i151) {
     i210 = get32(i152 | 0) | 0;
     set32(i142 | 0, 0 | 0);
     if (!i210) {
      i554 = i142;
      i555 = 0;
     } else {
      i556 = i142;
      i557 = i210;
      i157 = 2495;
     }
    } else {
     set32(i152 | 0, i180 | 0);
     if (get16(i180 + 2 | 0) & 256) {
      i152 = i181 + 2 | 0;
      set16(i152 | 0, getU16(i152 | 0) | 256 | 0);
      set32(i181 + 20 | 0, get32(i180 + 20 | 0) | 0);
     }
     set32(i142 | 0, 0 | 0);
     i556 = i142;
     i557 = i180;
     i157 = 2495;
    }
    if ((i157 | 0) == 2495) {
     i152 = get32(i557 + 44 | 0) | 0;
     if ((i152 | 0) > 0) {
      set32(i142 | 0, i152 | 0);
      i554 = i556;
      i555 = i152;
     } else {
      i554 = i556;
      i555 = 0;
     }
    }
    i152 = get32(i181 + 12 | 0) | 0;
    if ((i152 | 0) != 0 ? (i210 = get32(i152 + 44 | 0) | 0, (i210 | 0) > (i555 | 0)) : 0) {
     set32(i142 | 0, i210 | 0);
     i558 = i210;
    } else i558 = i555;
    i210 = i181 + 16 | 0;
    if (!(get16(i181 + 2 | 0) & 2048)) {
     i152 = get32(i210 | 0) | 0;
     if (!i152) {
      i559 = i558;
      i560 = i213;
      i157 = 2509;
     } else {
      i187 = get32(i152 | 0) | 0;
      if ((i187 | 0) > 0) {
       i160 = get32(i152 + 12 | 0) | 0;
       i152 = i558;
       i153 = 0;
       while (1) {
        i158 = get32(i160 + (i153 * 20 | 0) | 0) | 0;
        if ((i158 | 0) != 0 ? (i176 = get32(i158 + 44 | 0) | 0, (i176 | 0) > (i152 | 0)) : 0) {
         set32(i142 | 0, i176 | 0);
         i561 = i176;
        } else i561 = i152;
        i153 = i153 + 1 | 0;
        if ((i153 | 0) == (i187 | 0)) {
         i562 = i561;
         break;
        } else i152 = i561;
       }
      } else i562 = i558;
      i152 = i562 + 1 | 0;
      set32(i181 + 44 | 0, i152 | 0);
      i563 = i213;
      i564 = i152;
     }
    } else {
     _heightOfSelect(get32(i210 | 0) | 0, i142);
     i559 = get32(i142 | 0) | 0;
     i560 = get32(i149 | 0) | 0;
     i157 = 2509;
    }
    if ((i157 | 0) == 2509) {
     i152 = i559 + 1 | 0;
     set32(i181 + 44 | 0, i152 | 0);
     i563 = i560;
     i564 = i152;
    }
    i152 = get32(i563 + 84 | 0) | 0;
    if ((i152 | 0) < (i564 | 0)) {
     set32(i109 | 0, i152 | 0);
     _sqlite3ErrorMsg(i149, 29585, i109);
    }
   } else {
    _sqlite3ExprDelete(i213, i180);
    _sqlite3ExprDelete(i213, i159);
   }
   i152 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, 118, 0, 1) | 0;
   i187 = get32(i149 | 0) | 0;
   if (i152) {
    if (!i188 ? (set32(i152 + 12 | 0, i181 | 0), (get16(i181 + 2 | 0) & 256) != 0) : 0) {
     i153 = i152 + 2 | 0;
     set16(i153 | 0, getU16(i153 | 0) | 256 | 0);
     set32(i152 + 20 | 0, get32(i181 + 20 | 0) | 0);
    }
    i153 = i152 + 8 | 0;
    if (i161) {
     i160 = get32(i153 | 0) | 0;
     set32(i142 | 0, 0 | 0);
     if (!i160) {
      i565 = i142;
      i566 = 0;
     } else {
      i567 = i142;
      i568 = i160;
      i157 = 2523;
     }
    } else {
     set32(i153 | 0, i175 | 0);
     if (get16(i175 + 2 | 0) & 256) {
      i153 = i152 + 2 | 0;
      set16(i153 | 0, getU16(i153 | 0) | 256 | 0);
      set32(i152 + 20 | 0, get32(i175 + 20 | 0) | 0);
     }
     set32(i142 | 0, 0 | 0);
     i567 = i142;
     i568 = i175;
     i157 = 2523;
    }
    if ((i157 | 0) == 2523) {
     i153 = get32(i568 + 44 | 0) | 0;
     if ((i153 | 0) > 0) {
      set32(i142 | 0, i153 | 0);
      i565 = i567;
      i566 = i153;
     } else {
      i565 = i567;
      i566 = 0;
     }
    }
    i153 = get32(i152 + 12 | 0) | 0;
    if ((i153 | 0) != 0 ? (i160 = get32(i153 + 44 | 0) | 0, (i160 | 0) > (i566 | 0)) : 0) {
     set32(i142 | 0, i160 | 0);
     i569 = i160;
    } else i569 = i566;
    i160 = i152 + 16 | 0;
    if (!(get16(i152 + 2 | 0) & 2048)) {
     i153 = get32(i160 | 0) | 0;
     if (!i153) {
      i570 = i569;
      i571 = i187;
      i157 = 2537;
     } else {
      i151 = get32(i153 | 0) | 0;
      if ((i151 | 0) > 0) {
       i211 = get32(i153 + 12 | 0) | 0;
       i153 = i569;
       i155 = 0;
       while (1) {
        i176 = get32(i211 + (i155 * 20 | 0) | 0) | 0;
        if ((i176 | 0) != 0 ? (i158 = get32(i176 + 44 | 0) | 0, (i158 | 0) > (i153 | 0)) : 0) {
         set32(i142 | 0, i158 | 0);
         i572 = i158;
        } else i572 = i153;
        i155 = i155 + 1 | 0;
        if ((i155 | 0) == (i151 | 0)) {
         i573 = i572;
         break;
        } else i153 = i572;
       }
      } else i573 = i569;
      i153 = i573 + 1 | 0;
      set32(i152 + 44 | 0, i153 | 0);
      i574 = i187;
      i575 = i153;
     }
    } else {
     _heightOfSelect(get32(i160 | 0) | 0, i142);
     i570 = get32(i142 | 0) | 0;
     i571 = get32(i149 | 0) | 0;
     i157 = 2537;
    }
    if ((i157 | 0) == 2537) {
     i153 = i570 + 1 | 0;
     set32(i152 + 44 | 0, i153 | 0);
     i574 = i571;
     i575 = i153;
    }
    i153 = get32(i574 + 84 | 0) | 0;
    if ((i153 | 0) < (i575 | 0)) {
     set32(i108 | 0, i153 | 0);
     _sqlite3ErrorMsg(i149, 29585, i108);
    }
   } else {
    _sqlite3ExprDelete(i187, i175);
    _sqlite3ExprDelete(i187, i181);
   }
   set32(i144 | 0, i152 | 0);
   i153 = get32(i177 | 0) | 0;
   i151 = get32(i1 + 12 + (i150 << 4) + 8 | 0) | 0;
   set32(i144 + 4 | 0, get32(i163 | 0) | 0);
   set32(i144 + 8 | 0, i153 + i151 | 0);
   break;
  }
 case 193:
  {
   i151 = i1 + 12 + (i150 << 4) + 4 | 0;
   do if (!(get8(i149 + 19 >> 0 | 0) | 0)) {
    set32(i107 | 0, i151 | 0);
    _sqlite3ErrorMsg(i149, 28163, i107);
    set32(i144 | 0, 0 | 0);
   } else {
    i153 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, 132, i151, 1) | 0;
    if (!i153) {
     set32(i144 | 0, 0 | 0);
     break;
    }
    set32(i142 | 0, 0 | 0);
    i155 = get32(i153 + 8 | 0) | 0;
    if ((i155 | 0) != 0 ? (i211 = get32(i155 + 44 | 0) | 0, (i211 | 0) > 0) : 0) {
     set32(i142 | 0, i211 | 0);
     i576 = i211;
    } else i576 = 0;
    i211 = get32(i153 + 12 | 0) | 0;
    if ((i211 | 0) != 0 ? (i155 = get32(i211 + 44 | 0) | 0, (i155 | 0) > (i576 | 0)) : 0) {
     set32(i142 | 0, i155 | 0);
     i577 = i155;
    } else i577 = i576;
    i155 = i153 + 16 | 0;
    if (!(get16(i153 + 2 | 0) & 2048)) {
     i211 = get32(i155 | 0) | 0;
     if (!i211) {
      i578 = i577;
      i157 = 2560;
     } else {
      i161 = get32(i211 | 0) | 0;
      if ((i161 | 0) > 0) {
       i188 = get32(i211 + 12 | 0) | 0;
       i211 = i577;
       i159 = 0;
       while (1) {
        i213 = get32(i188 + (i159 * 20 | 0) | 0) | 0;
        if ((i213 | 0) != 0 ? (i180 = get32(i213 + 44 | 0) | 0, (i180 | 0) > (i211 | 0)) : 0) {
         set32(i142 | 0, i180 | 0);
         i579 = i180;
        } else i579 = i211;
        i159 = i159 + 1 | 0;
        if ((i159 | 0) == (i161 | 0)) {
         i580 = i579;
         break;
        } else i211 = i579;
       }
      } else i580 = i577;
      i211 = i580 + 1 | 0;
      set32(i153 + 44 | 0, i211 | 0);
      i581 = i211;
     }
    } else {
     _heightOfSelect(get32(i155 | 0) | 0, i142);
     i578 = get32(i142 | 0) | 0;
     i157 = 2560;
    }
    if ((i157 | 0) == 2560) {
     i211 = i578 + 1 | 0;
     set32(i153 + 44 | 0, i211 | 0);
     i581 = i211;
    }
    i211 = get32((get32(i149 | 0) | 0) + 84 | 0) | 0;
    if ((i211 | 0) < (i581 | 0)) {
     set32(i106 | 0, i211 | 0);
     _sqlite3ErrorMsg(i149, 29585, i106);
    }
    set32(i144 | 0, i153 | 0);
    _sqlite3GetInt32((get32(i151 | 0) | 0) + 1 | 0, i153 + 24 | 0) | 0;
   } while (0);
   i163 = get32(i151 | 0) | 0;
   i177 = get32(i1 + 12 + (i150 << 4) + 8 | 0) | 0;
   set32(i144 + 4 | 0, i163 | 0);
   set32(i144 + 8 | 0, i163 + i177 | 0);
   break;
  }
 case 194:
  {
   i177 = i1 + 12 + (i150 << 4) + 4 | 0;
   i163 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, 133, i177, 1) | 0;
   i152 = (i163 | 0) == 0;
   if (!i152) {
    set32(i142 | 0, 0 | 0);
    i181 = get32(i163 + 8 | 0) | 0;
    if ((i181 | 0) != 0 ? (i187 = get32(i181 + 44 | 0) | 0, (i187 | 0) > 0) : 0) {
     set32(i142 | 0, i187 | 0);
     i582 = i187;
    } else i582 = 0;
    i187 = get32(i163 + 12 | 0) | 0;
    if ((i187 | 0) != 0 ? (i181 = get32(i187 + 44 | 0) | 0, (i181 | 0) > (i582 | 0)) : 0) {
     set32(i142 | 0, i181 | 0);
     i583 = i181;
    } else i583 = i582;
    i181 = i163 + 16 | 0;
    if (!(get16(i163 + 2 | 0) & 2048)) {
     i187 = get32(i181 | 0) | 0;
     if ((i187 | 0) != 0 ? (i175 = get32(i187 | 0) | 0, (i175 | 0) > 0) : 0) {
      i160 = get32(i187 + 12 | 0) | 0;
      i187 = i583;
      i211 = 0;
      while (1) {
       i161 = get32(i160 + (i211 * 20 | 0) | 0) | 0;
       if ((i161 | 0) != 0 ? (i159 = get32(i161 + 44 | 0) | 0, (i159 | 0) > (i187 | 0)) : 0) {
        set32(i142 | 0, i159 | 0);
        i584 = i159;
       } else i584 = i187;
       i211 = i211 + 1 | 0;
       if ((i211 | 0) == (i175 | 0)) {
        i585 = i584;
        break;
       } else i187 = i584;
      }
     } else i585 = i583;
    } else {
     _heightOfSelect(get32(i181 | 0) | 0, i142);
     i585 = get32(i142 | 0) | 0;
    }
    i187 = i585 + 1 | 0;
    set32(i163 + 44 | 0, i187 | 0);
    i175 = get32((get32(i149 | 0) | 0) + 84 | 0) | 0;
    if ((i175 | 0) < (i187 | 0)) {
     set32(i105 | 0, i175 | 0);
     _sqlite3ErrorMsg(i149, 29585, i105);
    }
   }
   set32(i144 | 0, i163 | 0);
   i175 = get32(i177 | 0) | 0;
   i187 = i144 + 4 | 0;
   set32(i187 | 0, i175 | 0);
   i211 = i1 + 12 + (i150 << 4) + 8 | 0;
   i160 = i144 + 8 | 0;
   set32(i160 | 0, i175 + (get32(i211 | 0) | 0) | 0);
   i175 = get32(i149 | 0) | 0;
   L3675 : do if (!i152) {
    i151 = get32(i163 + 4 | 0) | 0;
    i159 = i151 + 1 | 0;
    do if (get8(i159 >> 0 | 0) | 0) {
     if (!i151) i586 = 0; else {
      i161 = i151;
      while (1) if (!(get8(i161 >> 0 | 0) | 0)) {
       i587 = i161;
       break;
      } else i161 = i161 + 1 | 0;
      i586 = i587 - i151 & 1073741823;
     }
     L3685 : do if ((get8(i151 >> 0 | 0) | 0) == 63) {
      i161 = _sqlite3Atoi64(i159, i142, i586 + -1 | 0, 1) | 0;
      i188 = i142;
      i180 = get32(i188 | 0) | 0;
      i213 = get32(i188 + 4 | 0) | 0;
      i188 = i180 & 65535;
      set16(i163 + 28 | 0, i188 | 0);
      i210 = get32(i175 + 108 | 0) | 0;
      i158 = ((i210 | 0) < 0) << 31 >> 31;
      if ((i161 | 0) != 0 | ((i213 | 0) < 0 | (i213 | 0) == 0 & i180 >>> 0 < 1) | ((i213 | 0) > (i158 | 0) | (i213 | 0) == (i158 | 0) & i180 >>> 0 > i210 >>> 0)) {
       set32(i104 | 0, i210 | 0);
       _sqlite3ErrorMsg(i149, 33610, i104);
       i588 = 0;
      } else i588 = i188;
      i188 = i149 + 456 | 0;
      i210 = get32(i188 | 0) | 0;
      i158 = ((i210 | 0) < 0) << 31 >> 31;
      if ((i213 | 0) > (i158 | 0) | (i213 | 0) == (i158 | 0) & i180 >>> 0 > i210 >>> 0) {
       set32(i188 | 0, i180 | 0);
       i589 = i588;
      } else i589 = i588;
     } else {
      i180 = get32(i149 + 460 | 0) | 0;
      L3692 : do if ((i180 | 0) > 0) {
       i188 = get32(i149 + 464 | 0) | 0;
       i210 = i586 + 1 | 0;
       i158 = 0;
       i213 = 0;
       while (1) {
        i161 = get32(i188 + (i158 << 2) | 0) | 0;
        if ((i161 | 0) != 0 ? (_memcmp(i161, i151, i210) | 0) == 0 : 0) {
         i590 = i158;
         break;
        }
        i213 = i213 + 1 << 16 >> 16;
        i158 = i213 << 16 >> 16;
        if ((i158 | 0) >= (i180 | 0)) {
         i157 = 2602;
         break L3692;
        }
       }
       i158 = i590 + 1 & 65535;
       i213 = i163 + 28 | 0;
       set16(i213 | 0, i158 | 0);
       if (!(i158 << 16 >> 16)) i591 = i213; else {
        i589 = i158;
        break L3685;
       }
      } else i157 = 2602; while (0);
      if ((i157 | 0) == 2602) i591 = i163 + 28 | 0;
      i180 = i149 + 456 | 0;
      i158 = (get32(i180 | 0) | 0) + 1 | 0;
      set32(i180 | 0, i158 | 0);
      i180 = i158 & 65535;
      set16(i591 | 0, i180 | 0);
      i589 = i180;
     } while (0);
     i180 = i589 << 16 >> 16;
     if (i589 << 16 >> 16 > 0) {
      i158 = i149 + 460 | 0;
      if ((i180 | 0) > (get32(i158 | 0) | 0)) {
       i213 = i149 + 464 | 0;
       i210 = _sqlite3DbRealloc(i175, get32(i213 | 0) | 0, i180 << 2) | 0;
       if (!i210) break L3675;
       set32(i213 | 0, i210 | 0);
       i213 = get32(i158 | 0) | 0;
       _memset(i210 + (i213 << 2) | 0, 0, i180 - i213 << 2 | 0) | 0;
       set32(i158 | 0, i180 | 0);
      }
      if ((get8(i151 >> 0 | 0) | 0) == 63) {
       i158 = i180 + -1 | 0;
       i213 = i149 + 464 | 0;
       if (!(get32((get32(i213 | 0) | 0) + (i158 << 2) | 0) | 0)) {
        i592 = i158;
        i593 = i213;
        i594 = 0;
       } else break;
      } else {
       i213 = i149 + 464 | 0;
       i158 = i180 + -1 | 0;
       i592 = i158;
       i593 = i213;
       i594 = get32((get32(i213 | 0) | 0) + (i158 << 2) | 0) | 0;
      }
      _sqlite3DbFree(i175, i594);
      i158 = i586 + 1 | 0;
      L3713 : do if (!i175) {
       if (!(get32(50 * 4 | 0) | 0)) {
        i595 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i158) | 0;
        i157 = 2648;
        break;
       }
       i213 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i158) | 0;
       set32(35 * 4 | 0, i158 | 0);
       if ((get32(45 * 4 | 0) | 0) < (i158 | 0)) set32(45 * 4 | 0, i158 | 0);
       i180 = get32(6 * 4 | 0) | 0;
       do if (i180) {
        i210 = get32(30 * 4 | 0) | 0;
        i188 = ((i210 | 0) < 0) << 31 >> 31;
        i182 = 16;
        i161 = _i64Subtract(get32(i182 | 0) | 0, get32(i182 + 4 | 0) | 0, i213 | 0, ((i213 | 0) < 0) << 31 >> 31 | 0) | 0;
        i182 = tempRet0;
        if ((i188 | 0) < (i182 | 0) | (i188 | 0) == (i182 | 0) & i210 >>> 0 < i161 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i161 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i180 & 15](i161, i210, i188, i213);
         set32(6 * 4 | 0, i180 | 0);
         set32(7 * 4 | 0, i161 | 0);
         break;
        }
       } while (0);
       i180 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i213) | 0;
       if (i180) {
        i161 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i180) | 0;
        i188 = (get32(30 * 4 | 0) | 0) + i161 | 0;
        set32(30 * 4 | 0, i188 | 0);
        if ((i188 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i188 | 0);
        i188 = get32(39 * 4 | 0) | 0;
        i161 = i188 + 1 | 0;
        set32(39 * 4 | 0, i161 | 0);
        if ((i188 | 0) < (get32(49 * 4 | 0) | 0)) {
         i596 = i180;
         i157 = 2649;
        } else {
         set32(49 * 4 | 0, i161 | 0);
         i596 = i180;
         i157 = 2649;
        }
       } else i597 = 0;
      } else {
       i180 = i175 + 30 | 0;
       if (!(get8(i180 >> 0 | 0) | 0)) {
        do if (get8(i175 + 234 >> 0 | 0) | 0) {
         if ((getU16(i175 + 232 | 0) | 0) >>> 0 < i158 >>> 0) {
          i161 = i175 + 248 | 0;
          set32(i161 | 0, (get32(i161 | 0) | 0) + 1 | 0);
          break;
         }
         i161 = i175 + 256 | 0;
         i188 = get32(i161 | 0) | 0;
         if (!i188) {
          i210 = i175 + 252 | 0;
          set32(i210 | 0, (get32(i210 | 0) | 0) + 1 | 0);
          break;
         }
         set32(i161 | 0, get32(i188 | 0) | 0);
         i161 = i175 + 236 | 0;
         i210 = get32(i161 | 0) | 0;
         i182 = i210 + 1 | 0;
         set32(i161 | 0, i182 | 0);
         i161 = i175 + 244 | 0;
         set32(i161 | 0, (get32(i161 | 0) | 0) + 1 | 0);
         i161 = i175 + 240 | 0;
         if ((i210 | 0) >= (get32(i161 | 0) | 0)) set32(i161 | 0, i182 | 0);
         i595 = i188;
         i157 = 2648;
         break L3713;
        } while (0);
        if (!(get32(50 * 4 | 0) | 0)) {
         i213 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i158) | 0;
         if (i213) {
          i596 = i213;
          i157 = 2649;
          break;
         }
        } else {
         i213 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i158) | 0;
         set32(35 * 4 | 0, i158 | 0);
         if ((get32(45 * 4 | 0) | 0) < (i158 | 0)) set32(45 * 4 | 0, i158 | 0);
         i188 = get32(6 * 4 | 0) | 0;
         do if (i188) {
          i182 = get32(30 * 4 | 0) | 0;
          i161 = ((i182 | 0) < 0) << 31 >> 31;
          i210 = 16;
          i176 = _i64Subtract(get32(i210 | 0) | 0, get32(i210 + 4 | 0) | 0, i213 | 0, ((i213 | 0) < 0) << 31 >> 31 | 0) | 0;
          i210 = tempRet0;
          if ((i161 | 0) < (i210 | 0) | (i161 | 0) == (i210 | 0) & i182 >>> 0 < i176 >>> 0) {
           set32(11 * 4 | 0, 0 | 0);
           break;
          } else {
           set32(11 * 4 | 0, 1 | 0);
           i176 = get32(7 * 4 | 0) | 0;
           set32(6 * 4 | 0, 0 | 0);
           FUNCTION_TABLE_viiii[i188 & 15](i176, i182, i161, i213);
           set32(6 * 4 | 0, i188 | 0);
           set32(7 * 4 | 0, i176 | 0);
           break;
          }
         } while (0);
         i188 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i213) | 0;
         if (i188) {
          i176 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i188) | 0;
          i161 = (get32(30 * 4 | 0) | 0) + i176 | 0;
          set32(30 * 4 | 0, i161 | 0);
          if ((i161 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i161 | 0);
          i161 = get32(39 * 4 | 0) | 0;
          i176 = i161 + 1 | 0;
          set32(39 * 4 | 0, i176 | 0);
          if ((i161 | 0) < (get32(49 * 4 | 0) | 0)) {
           i596 = i188;
           i157 = 2649;
           break;
          }
          set32(49 * 4 | 0, i176 | 0);
          i596 = i188;
          i157 = 2649;
          break;
         }
        }
        set8(i180 >> 0 | 0, 1 | 0);
        i597 = 0;
       } else i597 = 0;
      } while (0);
      if ((i157 | 0) == 2648) if (!i595) i597 = 0; else {
       i596 = i595;
       i157 = 2649;
      }
      if ((i157 | 0) == 2649) {
       _memcpy(i596 | 0, i151 | 0, i586 | 0) | 0;
       set8(i596 + i586 >> 0 | 0, 0 | 0);
       i597 = i596;
      }
      set32((get32(i593 | 0) | 0) + (i592 << 2) | 0, i597 | 0);
     }
    } else {
     i158 = i149 + 456 | 0;
     i188 = (get32(i158 | 0) | 0) + 1 | 0;
     set32(i158 | 0, i188 | 0);
     set16(i163 + 28 | 0, i188 | 0);
    } while (0);
    if ((get32(i149 + 64 | 0) | 0) == 0 ? (get32(i149 + 456 | 0) | 0) > (get32(i175 + 108 | 0) | 0) : 0) _sqlite3ErrorMsg(i149, 33653, i103);
   } while (0);
   i175 = get32(i177 | 0) | 0;
   i163 = get32(i211 | 0) | 0;
   set32(i187 | 0, i175 | 0);
   set32(i160 | 0, i175 + i163 | 0);
   break;
  }
 case 195:
  {
   i163 = i150 + -2 | 0;
   i175 = i1 + 12 + (i150 << 4) + 4 | 0;
   set32(i144 | 0, _sqlite3ExprSetCollByToken(i149, get32(i1 + 12 + (i163 << 4) + 4 | 0) | 0, i175) | 0 | 0);
   set32(i144 + 4 | 0, get32(i1 + 12 + (i163 << 4) + 8 | 0) | 0);
   set32(i144 + 8 | 0, (get32(i175 | 0) | 0) + (get32(i1 + 12 + (i150 << 4) + 8 | 0) | 0) | 0);
   break;
  }
 case 196:
  {
   i175 = get32(i1 + 12 + (i150 + -3 << 4) + 4 | 0) | 0;
   i163 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, 37, i1 + 12 + (i150 + -1 << 4) + 4 | 0, 1) | 0;
   if (i163) {
    i152 = i163 + 8 | 0;
    if (!i175) {
     i181 = get32(i152 | 0) | 0;
     set32(i142 | 0, 0 | 0);
     if (!i181) {
      i598 = i142;
      i599 = 0;
     } else {
      i600 = i142;
      i601 = i181;
      i157 = 2663;
     }
    } else {
     set32(i152 | 0, i175 | 0);
     if (get16(i175 + 2 | 0) & 256) {
      i152 = i163 + 2 | 0;
      set16(i152 | 0, getU16(i152 | 0) | 256 | 0);
      set32(i163 + 20 | 0, get32(i175 + 20 | 0) | 0);
     }
     set32(i142 | 0, 0 | 0);
     i600 = i142;
     i601 = i175;
     i157 = 2663;
    }
    if ((i157 | 0) == 2663) {
     i152 = get32(i601 + 44 | 0) | 0;
     if ((i152 | 0) > 0) {
      set32(i142 | 0, i152 | 0);
      i598 = i600;
      i599 = i152;
     } else {
      i598 = i600;
      i599 = 0;
     }
    }
    i152 = get32(i163 + 12 | 0) | 0;
    if ((i152 | 0) != 0 ? (i181 = get32(i152 + 44 | 0) | 0, (i181 | 0) > (i599 | 0)) : 0) {
     set32(i142 | 0, i181 | 0);
     i602 = i181;
    } else i602 = i599;
    i181 = i163 + 16 | 0;
    if (!(get16(i163 + 2 | 0) & 2048)) {
     i152 = get32(i181 | 0) | 0;
     if (!i152) {
      i603 = i602;
      i157 = 2677;
     } else {
      i151 = get32(i152 | 0) | 0;
      if ((i151 | 0) > 0) {
       i159 = get32(i152 + 12 | 0) | 0;
       i152 = i602;
       i153 = 0;
       while (1) {
        i155 = get32(i159 + (i153 * 20 | 0) | 0) | 0;
        if ((i155 | 0) != 0 ? (i188 = get32(i155 + 44 | 0) | 0, (i188 | 0) > (i152 | 0)) : 0) {
         set32(i142 | 0, i188 | 0);
         i604 = i188;
        } else i604 = i152;
        i153 = i153 + 1 | 0;
        if ((i153 | 0) == (i151 | 0)) {
         i605 = i604;
         break;
        } else i152 = i604;
       }
      } else i605 = i602;
      i152 = i605 + 1 | 0;
      set32(i163 + 44 | 0, i152 | 0);
      i606 = i152;
     }
    } else {
     _heightOfSelect(get32(i181 | 0) | 0, i142);
     i603 = get32(i142 | 0) | 0;
     i157 = 2677;
    }
    if ((i157 | 0) == 2677) {
     i152 = i603 + 1 | 0;
     set32(i163 + 44 | 0, i152 | 0);
     i606 = i152;
    }
    i152 = get32((get32(i149 | 0) | 0) + 84 | 0) | 0;
    if ((i152 | 0) < (i606 | 0)) {
     set32(i102 | 0, i152 | 0);
     _sqlite3ErrorMsg(i149, 29585, i102);
    }
   } else _sqlite3ExprDelete(get32(i149 | 0) | 0, i175);
   set32(i144 | 0, i163 | 0);
   i152 = get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0;
   i151 = get32(i1 + 12 + (i150 << 4) + 8 | 0) | 0;
   set32(i144 + 4 | 0, get32(i1 + 12 + (i150 + -5 << 4) + 4 | 0) | 0);
   set32(i144 + 8 | 0, i152 + i151 | 0);
   break;
  }
 case 197:
  {
   i151 = i1 + 12 + (i150 + -1 << 4) + 4 | 0;
   i152 = get32(i151 | 0) | 0;
   if (i152) if ((get32(i152 | 0) | 0) > (get32((get32(i149 | 0) | 0) + 96 | 0) | 0)) {
    set32(i101 | 0, i1 + 12 + (i150 + -4 << 4) + 4 | 0);
    _sqlite3ErrorMsg(i149, 28187, i101);
    i607 = i149;
    i608 = get32(i151 | 0) | 0;
   } else {
    i607 = i149;
    i608 = i152;
   } else {
    i607 = i149;
    i608 = 0;
   }
   i152 = i1 + 12 + (i150 + -4 << 4) + 4 | 0;
   i151 = get32(i607 | 0) | 0;
   i153 = _sqlite3ExprAlloc(i151, 151, i152, 1) | 0;
   if (!i153) if (!i608) i609 = 0; else {
    i159 = i608 + 12 | 0;
    if ((get32(i608 | 0) | 0) > 0) {
     i160 = 0;
     i187 = get32(i159 | 0) | 0;
     while (1) {
      _sqlite3ExprDelete(i151, get32(i187 | 0) | 0);
      _sqlite3DbFree(i151, get32(i187 + 4 | 0) | 0);
      _sqlite3DbFree(i151, get32(i187 + 8 | 0) | 0);
      i160 = i160 + 1 | 0;
      if ((i160 | 0) >= (get32(i608 | 0) | 0)) break; else i187 = i187 + 20 | 0;
     }
    }
    _sqlite3DbFree(i151, get32(i159 | 0) | 0);
    _sqlite3DbFree(i151, i608);
    i609 = 0;
   } else {
    set32(i153 + 16 | 0, i608 | 0);
    _sqlite3ExprSetHeight(i149, i153);
    i609 = i153;
   }
   set32(i144 | 0, i609 | 0);
   i187 = get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0;
   i160 = get32(i1 + 12 + (i150 << 4) + 8 | 0) | 0;
   set32(i144 + 4 | 0, get32(i152 | 0) | 0);
   set32(i144 + 8 | 0, i187 + i160 | 0);
   if (!((i609 | 0) == 0 ? 1 : (get32(i1 + 12 + (i150 + -2 << 4) + 4 | 0) | 0) == 0)) {
    i160 = i609 + 2 | 0;
    set16(i160 | 0, getU16(i160 | 0) | 16 | 0);
   }
   break;
  }
 case 198:
  {
   i160 = i1 + 12 + (i150 + -3 << 4) + 4 | 0;
   i187 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, 151, i160, 1) | 0;
   if (!i187) i610 = 0; else {
    set32(i187 + 16 | 0, 0 | 0);
    _sqlite3ExprSetHeight(i149, i187);
    i610 = i187;
   }
   set32(i144 | 0, i610 | 0);
   i187 = get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0;
   i163 = get32(i1 + 12 + (i150 << 4) + 8 | 0) | 0;
   set32(i144 + 4 | 0, get32(i160 | 0) | 0);
   set32(i144 + 8 | 0, i187 + i163 | 0);
   break;
  }
 case 199:
  {
   i163 = i1 + 12 + (i150 << 4) + 4 | 0;
   i187 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, 151, i163, 1) | 0;
   if (!i187) i611 = 0; else {
    set32(i187 + 16 | 0, 0 | 0);
    _sqlite3ExprSetHeight(i149, i187);
    set8(i187 >> 0 | 0, -101 | 0);
    i611 = i187;
   }
   set32(i144 | 0, i611 | 0);
   i187 = get32(i163 | 0) | 0;
   i163 = get32(i1 + 12 + (i150 << 4) + 8 | 0) | 0;
   set32(i144 + 4 | 0, i187 | 0);
   set32(i144 + 8 | 0, i187 + i163 | 0);
   break;
  }
 case 207:
 case 206:
 case 205:
 case 204:
 case 203:
 case 202:
 case 201:
 case 200:
  {
   i163 = i150 + -2 | 0;
   i187 = get32(i1 + 12 + (i163 << 4) + 4 | 0) | 0;
   i160 = get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0;
   i175 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, getU8(i1 + 12 + (i150 + -1 << 4) + 2 >> 0 | 0) | 0, 0, 1) | 0;
   i181 = get32(i149 | 0) | 0;
   if (i175) {
    if ((i160 | 0) != 0 ? (set32(i175 + 12 | 0, i160 | 0), (get16(i160 + 2 | 0) & 256) != 0) : 0) {
     i211 = i175 + 2 | 0;
     set16(i211 | 0, getU16(i211 | 0) | 256 | 0);
     set32(i175 + 20 | 0, get32(i160 + 20 | 0) | 0);
    }
    i211 = i175 + 8 | 0;
    if (!i187) {
     i177 = get32(i211 | 0) | 0;
     set32(i142 | 0, 0 | 0);
     if (!i177) {
      i612 = i142;
      i613 = 0;
     } else {
      i614 = i142;
      i615 = i177;
      i157 = 2711;
     }
    } else {
     set32(i211 | 0, i187 | 0);
     if (get16(i187 + 2 | 0) & 256) {
      i211 = i175 + 2 | 0;
      set16(i211 | 0, getU16(i211 | 0) | 256 | 0);
      set32(i175 + 20 | 0, get32(i187 + 20 | 0) | 0);
     }
     set32(i142 | 0, 0 | 0);
     i614 = i142;
     i615 = i187;
     i157 = 2711;
    }
    if ((i157 | 0) == 2711) {
     i211 = get32(i615 + 44 | 0) | 0;
     if ((i211 | 0) > 0) {
      set32(i142 | 0, i211 | 0);
      i612 = i614;
      i613 = i211;
     } else {
      i612 = i614;
      i613 = 0;
     }
    }
    i211 = get32(i175 + 12 | 0) | 0;
    if ((i211 | 0) != 0 ? (i177 = get32(i211 + 44 | 0) | 0, (i177 | 0) > (i613 | 0)) : 0) {
     set32(i142 | 0, i177 | 0);
     i616 = i177;
    } else i616 = i613;
    i177 = i175 + 16 | 0;
    if (!(get16(i175 + 2 | 0) & 2048)) {
     i211 = get32(i177 | 0) | 0;
     if (!i211) {
      i617 = i616;
      i618 = i181;
      i157 = 2725;
     } else {
      i188 = get32(i211 | 0) | 0;
      if ((i188 | 0) > 0) {
       i155 = get32(i211 + 12 | 0) | 0;
       i211 = i616;
       i158 = 0;
       while (1) {
        i176 = get32(i155 + (i158 * 20 | 0) | 0) | 0;
        if ((i176 | 0) != 0 ? (i161 = get32(i176 + 44 | 0) | 0, (i161 | 0) > (i211 | 0)) : 0) {
         set32(i142 | 0, i161 | 0);
         i619 = i161;
        } else i619 = i211;
        i158 = i158 + 1 | 0;
        if ((i158 | 0) == (i188 | 0)) {
         i620 = i619;
         break;
        } else i211 = i619;
       }
      } else i620 = i616;
      i211 = i620 + 1 | 0;
      set32(i175 + 44 | 0, i211 | 0);
      i621 = i181;
      i622 = i211;
     }
    } else {
     _heightOfSelect(get32(i177 | 0) | 0, i142);
     i617 = get32(i142 | 0) | 0;
     i618 = get32(i149 | 0) | 0;
     i157 = 2725;
    }
    if ((i157 | 0) == 2725) {
     i211 = i617 + 1 | 0;
     set32(i175 + 44 | 0, i211 | 0);
     i621 = i618;
     i622 = i211;
    }
    i211 = get32(i621 + 84 | 0) | 0;
    if ((i211 | 0) < (i622 | 0)) {
     set32(i100 | 0, i211 | 0);
     _sqlite3ErrorMsg(i149, 29585, i100);
    }
   } else {
    _sqlite3ExprDelete(i181, i187);
    _sqlite3ExprDelete(i181, i160);
   }
   set32(i144 | 0, i175 | 0);
   set32(i144 + 4 | 0, get32(i1 + 12 + (i163 << 4) + 8 | 0) | 0);
   set32(i144 + 8 | 0, get32(i1 + 12 + (i150 << 4) + 12 | 0) | 0);
   break;
  }
 case 210:
 case 208:
  {
   i211 = i1 + 12 + (i150 << 4) + 4 | 0;
   i188 = get32(i211 + 4 | 0) | 0;
   i158 = i144;
   set32(i158 | 0, get32(i211 | 0) | 0);
   set32(i158 + 4 | 0, i188 | 0);
   set32(i144 + 8 | 0, 0 | 0);
   break;
  }
 case 211:
 case 209:
  {
   i188 = i1 + 12 + (i150 << 4) + 4 | 0;
   i158 = get32(i188 + 4 | 0) | 0;
   i211 = i144;
   set32(i211 | 0, get32(i188 | 0) | 0);
   set32(i211 + 4 | 0, i158 | 0);
   set32(i144 + 8 | 0, 1 | 0);
   break;
  }
 case 212:
  {
   i158 = _sqlite3ExprListAppend(get32(i149 | 0) | 0, 0, get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0) | 0;
   i211 = i150 + -2 | 0;
   i188 = _sqlite3ExprListAppend(get32(i149 | 0) | 0, i158, get32(i1 + 12 + (i211 << 4) + 4 | 0) | 0) | 0;
   i158 = i150 + -1 | 0;
   i155 = get32(i149 | 0) | 0;
   i152 = _sqlite3ExprAlloc(i155, 151, i1 + 12 + (i158 << 4) + 4 | 0, 1) | 0;
   if (!i152) if (!i188) i623 = 0; else {
    i153 = i188 + 12 | 0;
    if ((get32(i188 | 0) | 0) > 0) {
     i151 = 0;
     i159 = get32(i153 | 0) | 0;
     while (1) {
      _sqlite3ExprDelete(i155, get32(i159 | 0) | 0);
      _sqlite3DbFree(i155, get32(i159 + 4 | 0) | 0);
      _sqlite3DbFree(i155, get32(i159 + 8 | 0) | 0);
      i151 = i151 + 1 | 0;
      if ((i151 | 0) >= (get32(i188 | 0) | 0)) break; else i159 = i159 + 20 | 0;
     }
    }
    _sqlite3DbFree(i155, get32(i153 | 0) | 0);
    _sqlite3DbFree(i155, i188);
    i623 = 0;
   } else {
    set32(i152 + 16 | 0, i188 | 0);
    _sqlite3ExprSetHeight(i149, i152);
    i623 = i152;
   }
   set32(i144 | 0, i623 | 0);
   if (!(get32(i1 + 12 + (i158 << 4) + 12 | 0) | 0)) i624 = i623; else {
    i159 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, 19, 0, 1) | 0;
    if (i159) {
     i151 = i159 + 8 | 0;
     if (!i623) {
      i163 = get32(i151 | 0) | 0;
      set32(i142 | 0, 0 | 0);
      if (!i163) {
       i625 = i142;
       i626 = 0;
      } else {
       i627 = i142;
       i628 = i163;
       i157 = 2747;
      }
     } else {
      set32(i151 | 0, i623 | 0);
      if (get16(i623 + 2 | 0) & 256) {
       i151 = i159 + 2 | 0;
       set16(i151 | 0, getU16(i151 | 0) | 256 | 0);
       set32(i159 + 20 | 0, get32(i623 + 20 | 0) | 0);
      }
      set32(i142 | 0, 0 | 0);
      i627 = i142;
      i628 = i623;
      i157 = 2747;
     }
     if ((i157 | 0) == 2747) {
      i151 = get32(i628 + 44 | 0) | 0;
      if ((i151 | 0) > 0) {
       set32(i142 | 0, i151 | 0);
       i625 = i627;
       i626 = i151;
      } else {
       i625 = i627;
       i626 = 0;
      }
     }
     i151 = get32(i159 + 12 | 0) | 0;
     if ((i151 | 0) != 0 ? (i163 = get32(i151 + 44 | 0) | 0, (i163 | 0) > (i626 | 0)) : 0) {
      set32(i142 | 0, i163 | 0);
      i629 = i163;
     } else i629 = i626;
     i163 = i159 + 16 | 0;
     if (!(get16(i159 + 2 | 0) & 2048)) {
      i151 = get32(i163 | 0) | 0;
      if (!i151) {
       i630 = i629;
       i157 = 2761;
      } else {
       i175 = get32(i151 | 0) | 0;
       if ((i175 | 0) > 0) {
        i160 = get32(i151 + 12 | 0) | 0;
        i151 = i629;
        i181 = 0;
        while (1) {
         i187 = get32(i160 + (i181 * 20 | 0) | 0) | 0;
         if ((i187 | 0) != 0 ? (i177 = get32(i187 + 44 | 0) | 0, (i177 | 0) > (i151 | 0)) : 0) {
          set32(i142 | 0, i177 | 0);
          i631 = i177;
         } else i631 = i151;
         i181 = i181 + 1 | 0;
         if ((i181 | 0) == (i175 | 0)) {
          i632 = i631;
          break;
         } else i151 = i631;
        }
       } else i632 = i629;
       i151 = i632 + 1 | 0;
       set32(i159 + 44 | 0, i151 | 0);
       i633 = i151;
      }
     } else {
      _heightOfSelect(get32(i163 | 0) | 0, i142);
      i630 = get32(i142 | 0) | 0;
      i157 = 2761;
     }
     if ((i157 | 0) == 2761) {
      i151 = i630 + 1 | 0;
      set32(i159 + 44 | 0, i151 | 0);
      i633 = i151;
     }
     i151 = get32((get32(i149 | 0) | 0) + 84 | 0) | 0;
     if ((i151 | 0) < (i633 | 0)) {
      set32(i99 | 0, i151 | 0);
      _sqlite3ErrorMsg(i149, 29585, i99);
     }
    } else _sqlite3ExprDelete(get32(i149 | 0) | 0, i623);
    set32(i144 | 0, i159 | 0);
    i624 = i159;
   }
   set32(i144 + 4 | 0, get32(i1 + 12 + (i211 << 4) + 8 | 0) | 0);
   set32(i144 + 8 | 0, get32(i1 + 12 + (i150 << 4) + 12 | 0) | 0);
   if (i624) {
    i151 = i624 + 2 | 0;
    set16(i151 | 0, getU16(i151 | 0) | 128 | 0);
   }
   break;
  }
 case 213:
  {
   i151 = _sqlite3ExprListAppend(get32(i149 | 0) | 0, 0, get32(i1 + 12 + (i150 + -2 << 4) + 4 | 0) | 0) | 0;
   i175 = i150 + -4 | 0;
   i181 = _sqlite3ExprListAppend(get32(i149 | 0) | 0, i151, get32(i1 + 12 + (i175 << 4) + 4 | 0) | 0) | 0;
   i151 = _sqlite3ExprListAppend(get32(i149 | 0) | 0, i181, get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0) | 0;
   i181 = i150 + -3 | 0;
   i160 = get32(i149 | 0) | 0;
   i158 = _sqlite3ExprAlloc(i160, 151, i1 + 12 + (i181 << 4) + 4 | 0, 1) | 0;
   if (!i158) if (!i151) i634 = 0; else {
    i152 = i151 + 12 | 0;
    if ((get32(i151 | 0) | 0) > 0) {
     i188 = 0;
     i155 = get32(i152 | 0) | 0;
     while (1) {
      _sqlite3ExprDelete(i160, get32(i155 | 0) | 0);
      _sqlite3DbFree(i160, get32(i155 + 4 | 0) | 0);
      _sqlite3DbFree(i160, get32(i155 + 8 | 0) | 0);
      i188 = i188 + 1 | 0;
      if ((i188 | 0) >= (get32(i151 | 0) | 0)) break; else i155 = i155 + 20 | 0;
     }
    }
    _sqlite3DbFree(i160, get32(i152 | 0) | 0);
    _sqlite3DbFree(i160, i151);
    i634 = 0;
   } else {
    set32(i158 + 16 | 0, i151 | 0);
    _sqlite3ExprSetHeight(i149, i158);
    i634 = i158;
   }
   set32(i144 | 0, i634 | 0);
   if (!(get32(i1 + 12 + (i181 << 4) + 12 | 0) | 0)) i635 = i634; else {
    i155 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, 19, 0, 1) | 0;
    if (i155) {
     i188 = i155 + 8 | 0;
     if (!i634) {
      i211 = get32(i188 | 0) | 0;
      set32(i142 | 0, 0 | 0);
      if (!i211) {
       i636 = i142;
       i637 = 0;
      } else {
       i638 = i142;
       i639 = i211;
       i157 = 2783;
      }
     } else {
      set32(i188 | 0, i634 | 0);
      if (get16(i634 + 2 | 0) & 256) {
       i188 = i155 + 2 | 0;
       set16(i188 | 0, getU16(i188 | 0) | 256 | 0);
       set32(i155 + 20 | 0, get32(i634 + 20 | 0) | 0);
      }
      set32(i142 | 0, 0 | 0);
      i638 = i142;
      i639 = i634;
      i157 = 2783;
     }
     if ((i157 | 0) == 2783) {
      i188 = get32(i639 + 44 | 0) | 0;
      if ((i188 | 0) > 0) {
       set32(i142 | 0, i188 | 0);
       i636 = i638;
       i637 = i188;
      } else {
       i636 = i638;
       i637 = 0;
      }
     }
     i188 = get32(i155 + 12 | 0) | 0;
     if ((i188 | 0) != 0 ? (i211 = get32(i188 + 44 | 0) | 0, (i211 | 0) > (i637 | 0)) : 0) {
      set32(i142 | 0, i211 | 0);
      i640 = i211;
     } else i640 = i637;
     i211 = i155 + 16 | 0;
     if (!(get16(i155 + 2 | 0) & 2048)) {
      i188 = get32(i211 | 0) | 0;
      if (!i188) {
       i641 = i640;
       i157 = 2797;
      } else {
       i159 = get32(i188 | 0) | 0;
       if ((i159 | 0) > 0) {
        i163 = get32(i188 + 12 | 0) | 0;
        i188 = i640;
        i153 = 0;
        while (1) {
         i177 = get32(i163 + (i153 * 20 | 0) | 0) | 0;
         if ((i177 | 0) != 0 ? (i187 = get32(i177 + 44 | 0) | 0, (i187 | 0) > (i188 | 0)) : 0) {
          set32(i142 | 0, i187 | 0);
          i642 = i187;
         } else i642 = i188;
         i153 = i153 + 1 | 0;
         if ((i153 | 0) == (i159 | 0)) {
          i643 = i642;
          break;
         } else i188 = i642;
        }
       } else i643 = i640;
       i188 = i643 + 1 | 0;
       set32(i155 + 44 | 0, i188 | 0);
       i644 = i188;
      }
     } else {
      _heightOfSelect(get32(i211 | 0) | 0, i142);
      i641 = get32(i142 | 0) | 0;
      i157 = 2797;
     }
     if ((i157 | 0) == 2797) {
      i188 = i641 + 1 | 0;
      set32(i155 + 44 | 0, i188 | 0);
      i644 = i188;
     }
     i188 = get32((get32(i149 | 0) | 0) + 84 | 0) | 0;
     if ((i188 | 0) < (i644 | 0)) {
      set32(i98 | 0, i188 | 0);
      _sqlite3ErrorMsg(i149, 29585, i98);
     }
    } else _sqlite3ExprDelete(get32(i149 | 0) | 0, i634);
    set32(i144 | 0, i155 | 0);
    i635 = i155;
   }
   set32(i144 + 4 | 0, get32(i1 + 12 + (i175 << 4) + 8 | 0) | 0);
   set32(i144 + 8 | 0, get32(i1 + 12 + (i150 << 4) + 12 | 0) | 0);
   if (i635) {
    i188 = i635 + 2 | 0;
    set16(i188 | 0, getU16(i188 | 0) | 128 | 0);
   }
   break;
  }
 case 214:
  {
   i188 = i150 + -1 | 0;
   i159 = i1 + 12 + (i150 << 4) + 4 | 0;
   i153 = get32(i1 + 12 + (i188 << 4) + 4 | 0) | 0;
   i163 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, getU8(i1 + 12 + (i150 << 4) + 2 >> 0 | 0) | 0, 0, 1) | 0;
   if (i163) {
    i181 = i163 + 8 | 0;
    if (!i153) {
     i158 = get32(i181 | 0) | 0;
     set32(i142 | 0, 0 | 0);
     if (!i158) {
      i645 = i142;
      i646 = 0;
     } else {
      i647 = i142;
      i648 = i158;
      i157 = 2811;
     }
    } else {
     set32(i181 | 0, i153 | 0);
     if (get16(i153 + 2 | 0) & 256) {
      i181 = i163 + 2 | 0;
      set16(i181 | 0, getU16(i181 | 0) | 256 | 0);
      set32(i163 + 20 | 0, get32(i153 + 20 | 0) | 0);
     }
     set32(i142 | 0, 0 | 0);
     i647 = i142;
     i648 = i153;
     i157 = 2811;
    }
    if ((i157 | 0) == 2811) {
     i181 = get32(i648 + 44 | 0) | 0;
     if ((i181 | 0) > 0) {
      set32(i142 | 0, i181 | 0);
      i645 = i647;
      i646 = i181;
     } else {
      i645 = i647;
      i646 = 0;
     }
    }
    i181 = get32(i163 + 12 | 0) | 0;
    if ((i181 | 0) != 0 ? (i158 = get32(i181 + 44 | 0) | 0, (i158 | 0) > (i646 | 0)) : 0) {
     set32(i142 | 0, i158 | 0);
     i649 = i158;
    } else i649 = i646;
    i158 = i163 + 16 | 0;
    if (!(get16(i163 + 2 | 0) & 2048)) {
     i181 = get32(i158 | 0) | 0;
     if (!i181) {
      i650 = i649;
      i157 = 2825;
     } else {
      i151 = get32(i181 | 0) | 0;
      if ((i151 | 0) > 0) {
       i160 = get32(i181 + 12 | 0) | 0;
       i181 = i649;
       i152 = 0;
       while (1) {
        i187 = get32(i160 + (i152 * 20 | 0) | 0) | 0;
        if ((i187 | 0) != 0 ? (i177 = get32(i187 + 44 | 0) | 0, (i177 | 0) > (i181 | 0)) : 0) {
         set32(i142 | 0, i177 | 0);
         i651 = i177;
        } else i651 = i181;
        i152 = i152 + 1 | 0;
        if ((i152 | 0) == (i151 | 0)) {
         i652 = i651;
         break;
        } else i181 = i651;
       }
      } else i652 = i649;
      i181 = i652 + 1 | 0;
      set32(i163 + 44 | 0, i181 | 0);
      i653 = i181;
     }
    } else {
     _heightOfSelect(get32(i158 | 0) | 0, i142);
     i650 = get32(i142 | 0) | 0;
     i157 = 2825;
    }
    if ((i157 | 0) == 2825) {
     i181 = i650 + 1 | 0;
     set32(i163 + 44 | 0, i181 | 0);
     i653 = i181;
    }
    i181 = get32((get32(i149 | 0) | 0) + 84 | 0) | 0;
    if ((i181 | 0) < (i653 | 0)) {
     set32(i97 | 0, i181 | 0);
     _sqlite3ErrorMsg(i149, 29585, i97);
    }
   } else _sqlite3ExprDelete(get32(i149 | 0) | 0, i153);
   set32(i144 | 0, i163 | 0);
   set32(i144 + 4 | 0, get32(i1 + 12 + (i188 << 4) + 8 | 0) | 0);
   set32(i144 + 8 | 0, (get32(i159 | 0) | 0) + (get32(i1 + 12 + (i150 << 4) + 8 | 0) | 0) | 0);
   break;
  }
 case 215:
  {
   i181 = i150 + -2 | 0;
   i151 = i1 + 12 + (i150 << 4) + 4 | 0;
   i152 = get32(i1 + 12 + (i181 << 4) + 4 | 0) | 0;
   i160 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, 74, 0, 1) | 0;
   if (i160) {
    i175 = i160 + 8 | 0;
    if (!i152) {
     i155 = get32(i175 | 0) | 0;
     set32(i142 | 0, 0 | 0);
     if (!i155) {
      i654 = i142;
      i655 = 0;
     } else {
      i656 = i142;
      i657 = i155;
      i157 = 2837;
     }
    } else {
     set32(i175 | 0, i152 | 0);
     if (get16(i152 + 2 | 0) & 256) {
      i175 = i160 + 2 | 0;
      set16(i175 | 0, getU16(i175 | 0) | 256 | 0);
      set32(i160 + 20 | 0, get32(i152 + 20 | 0) | 0);
     }
     set32(i142 | 0, 0 | 0);
     i656 = i142;
     i657 = i152;
     i157 = 2837;
    }
    if ((i157 | 0) == 2837) {
     i175 = get32(i657 + 44 | 0) | 0;
     if ((i175 | 0) > 0) {
      set32(i142 | 0, i175 | 0);
      i654 = i656;
      i655 = i175;
     } else {
      i654 = i656;
      i655 = 0;
     }
    }
    i175 = get32(i160 + 12 | 0) | 0;
    if ((i175 | 0) != 0 ? (i155 = get32(i175 + 44 | 0) | 0, (i155 | 0) > (i655 | 0)) : 0) {
     set32(i142 | 0, i155 | 0);
     i658 = i155;
    } else i658 = i655;
    i155 = i160 + 16 | 0;
    if (!(get16(i160 + 2 | 0) & 2048)) {
     i175 = get32(i155 | 0) | 0;
     if (!i175) {
      i659 = i658;
      i157 = 2851;
     } else {
      i211 = get32(i175 | 0) | 0;
      if ((i211 | 0) > 0) {
       i177 = get32(i175 + 12 | 0) | 0;
       i175 = i658;
       i187 = 0;
       while (1) {
        i161 = get32(i177 + (i187 * 20 | 0) | 0) | 0;
        if ((i161 | 0) != 0 ? (i176 = get32(i161 + 44 | 0) | 0, (i176 | 0) > (i175 | 0)) : 0) {
         set32(i142 | 0, i176 | 0);
         i660 = i176;
        } else i660 = i175;
        i187 = i187 + 1 | 0;
        if ((i187 | 0) == (i211 | 0)) {
         i661 = i660;
         break;
        } else i175 = i660;
       }
      } else i661 = i658;
      i175 = i661 + 1 | 0;
      set32(i160 + 44 | 0, i175 | 0);
      i662 = i175;
     }
    } else {
     _heightOfSelect(get32(i155 | 0) | 0, i142);
     i659 = get32(i142 | 0) | 0;
     i157 = 2851;
    }
    if ((i157 | 0) == 2851) {
     i175 = i659 + 1 | 0;
     set32(i160 + 44 | 0, i175 | 0);
     i662 = i175;
    }
    i175 = get32((get32(i149 | 0) | 0) + 84 | 0) | 0;
    if ((i175 | 0) < (i662 | 0)) {
     set32(i96 | 0, i175 | 0);
     _sqlite3ErrorMsg(i149, 29585, i96);
    }
   } else _sqlite3ExprDelete(get32(i149 | 0) | 0, i152);
   set32(i144 | 0, i160 | 0);
   set32(i144 + 4 | 0, get32(i1 + 12 + (i181 << 4) + 8 | 0) | 0);
   set32(i144 + 8 | 0, (get32(i151 | 0) | 0) + (get32(i1 + 12 + (i150 << 4) + 8 | 0) | 0) | 0);
   break;
  }
 case 216:
  {
   i175 = i150 + -2 | 0;
   i211 = get32(i1 + 12 + (i175 << 4) + 4 | 0) | 0;
   i187 = i1 + 12 + (i150 << 4) + 4 | 0;
   i177 = get32(i187 | 0) | 0;
   i159 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, 70, 0, 1) | 0;
   i188 = get32(i149 | 0) | 0;
   if (i159) {
    if ((i177 | 0) != 0 ? (set32(i159 + 12 | 0, i177 | 0), (get16(i177 + 2 | 0) & 256) != 0) : 0) {
     i163 = i159 + 2 | 0;
     set16(i163 | 0, getU16(i163 | 0) | 256 | 0);
     set32(i159 + 20 | 0, get32(i177 + 20 | 0) | 0);
    }
    i163 = i159 + 8 | 0;
    if (!i211) {
     i153 = get32(i163 | 0) | 0;
     set32(i142 | 0, 0 | 0);
     if (!i153) {
      i663 = i142;
      i664 = 0;
     } else {
      i665 = i142;
      i666 = i153;
      i157 = 2866;
     }
    } else {
     set32(i163 | 0, i211 | 0);
     if (get16(i211 + 2 | 0) & 256) {
      i163 = i159 + 2 | 0;
      set16(i163 | 0, getU16(i163 | 0) | 256 | 0);
      set32(i159 + 20 | 0, get32(i211 + 20 | 0) | 0);
     }
     set32(i142 | 0, 0 | 0);
     i665 = i142;
     i666 = i211;
     i157 = 2866;
    }
    if ((i157 | 0) == 2866) {
     i163 = get32(i666 + 44 | 0) | 0;
     if ((i163 | 0) > 0) {
      set32(i142 | 0, i163 | 0);
      i663 = i665;
      i664 = i163;
     } else {
      i663 = i665;
      i664 = 0;
     }
    }
    i163 = get32(i159 + 12 | 0) | 0;
    if ((i163 | 0) != 0 ? (i153 = get32(i163 + 44 | 0) | 0, (i153 | 0) > (i664 | 0)) : 0) {
     set32(i142 | 0, i153 | 0);
     i667 = i153;
    } else i667 = i664;
    i153 = i159 + 16 | 0;
    if (!(get16(i159 + 2 | 0) & 2048)) {
     i163 = get32(i153 | 0) | 0;
     if (!i163) {
      i668 = i667;
      i669 = i188;
      i157 = 2880;
     } else {
      i158 = get32(i163 | 0) | 0;
      if ((i158 | 0) > 0) {
       i176 = get32(i163 + 12 | 0) | 0;
       i163 = i667;
       i161 = 0;
       while (1) {
        i182 = get32(i176 + (i161 * 20 | 0) | 0) | 0;
        if ((i182 | 0) != 0 ? (i210 = get32(i182 + 44 | 0) | 0, (i210 | 0) > (i163 | 0)) : 0) {
         set32(i142 | 0, i210 | 0);
         i670 = i210;
        } else i670 = i163;
        i161 = i161 + 1 | 0;
        if ((i161 | 0) == (i158 | 0)) {
         i671 = i670;
         break;
        } else i163 = i670;
       }
      } else i671 = i667;
      i163 = i671 + 1 | 0;
      set32(i159 + 44 | 0, i163 | 0);
      i672 = i188;
      i673 = i163;
     }
    } else {
     _heightOfSelect(get32(i153 | 0) | 0, i142);
     i668 = get32(i142 | 0) | 0;
     i669 = get32(i149 | 0) | 0;
     i157 = 2880;
    }
    if ((i157 | 0) == 2880) {
     i163 = i668 + 1 | 0;
     set32(i159 + 44 | 0, i163 | 0);
     i672 = i669;
     i673 = i163;
    }
    i163 = get32(i672 + 84 | 0) | 0;
    if ((i163 | 0) < (i673 | 0)) {
     set32(i95 | 0, i163 | 0);
     _sqlite3ErrorMsg(i149, 29585, i95);
    }
   } else {
    _sqlite3ExprDelete(i188, i211);
    _sqlite3ExprDelete(i188, i177);
   }
   set32(i144 | 0, i159 | 0);
   set32(i144 + 4 | 0, get32(i1 + 12 + (i175 << 4) + 8 | 0) | 0);
   set32(i144 + 8 | 0, get32(i1 + 12 + (i150 << 4) + 12 | 0) | 0);
   i163 = get32(i149 | 0) | 0;
   if ((get8(i163 + 30 >> 0 | 0) | 0) == 0 ? (get8(get32(i187 | 0) >> 0 | 0) | 0) == 98 : 0) {
    set8(i159 >> 0 | 0, 73 | 0);
    i158 = i159 + 12 | 0;
    _sqlite3ExprDelete(i163, get32(i158 | 0) | 0);
    set32(i158 | 0, 0 | 0);
   }
   break;
  }
 case 217:
  {
   i158 = i150 + -3 | 0;
   i163 = get32(i1 + 12 + (i158 << 4) + 4 | 0) | 0;
   i161 = i1 + 12 + (i150 << 4) + 4 | 0;
   i176 = get32(i161 | 0) | 0;
   i151 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, 146, 0, 1) | 0;
   i181 = get32(i149 | 0) | 0;
   if (i151) {
    if ((i176 | 0) != 0 ? (set32(i151 + 12 | 0, i176 | 0), (get16(i176 + 2 | 0) & 256) != 0) : 0) {
     i160 = i151 + 2 | 0;
     set16(i160 | 0, getU16(i160 | 0) | 256 | 0);
     set32(i151 + 20 | 0, get32(i176 + 20 | 0) | 0);
    }
    i160 = i151 + 8 | 0;
    if (!i163) {
     i152 = get32(i160 | 0) | 0;
     set32(i142 | 0, 0 | 0);
     if (!i152) {
      i674 = i142;
      i675 = 0;
     } else {
      i676 = i142;
      i677 = i152;
      i157 = 2897;
     }
    } else {
     set32(i160 | 0, i163 | 0);
     if (get16(i163 + 2 | 0) & 256) {
      i160 = i151 + 2 | 0;
      set16(i160 | 0, getU16(i160 | 0) | 256 | 0);
      set32(i151 + 20 | 0, get32(i163 + 20 | 0) | 0);
     }
     set32(i142 | 0, 0 | 0);
     i676 = i142;
     i677 = i163;
     i157 = 2897;
    }
    if ((i157 | 0) == 2897) {
     i160 = get32(i677 + 44 | 0) | 0;
     if ((i160 | 0) > 0) {
      set32(i142 | 0, i160 | 0);
      i674 = i676;
      i675 = i160;
     } else {
      i674 = i676;
      i675 = 0;
     }
    }
    i160 = get32(i151 + 12 | 0) | 0;
    if ((i160 | 0) != 0 ? (i152 = get32(i160 + 44 | 0) | 0, (i152 | 0) > (i675 | 0)) : 0) {
     set32(i142 | 0, i152 | 0);
     i678 = i152;
    } else i678 = i675;
    i152 = i151 + 16 | 0;
    if (!(get16(i151 + 2 | 0) & 2048)) {
     i160 = get32(i152 | 0) | 0;
     if (!i160) {
      i679 = i678;
      i680 = i181;
      i157 = 2911;
     } else {
      i155 = get32(i160 | 0) | 0;
      if ((i155 | 0) > 0) {
       i210 = get32(i160 + 12 | 0) | 0;
       i160 = i678;
       i182 = 0;
       while (1) {
        i179 = get32(i210 + (i182 * 20 | 0) | 0) | 0;
        if ((i179 | 0) != 0 ? (i154 = get32(i179 + 44 | 0) | 0, (i154 | 0) > (i160 | 0)) : 0) {
         set32(i142 | 0, i154 | 0);
         i681 = i154;
        } else i681 = i160;
        i182 = i182 + 1 | 0;
        if ((i182 | 0) == (i155 | 0)) {
         i682 = i681;
         break;
        } else i160 = i681;
       }
      } else i682 = i678;
      i160 = i682 + 1 | 0;
      set32(i151 + 44 | 0, i160 | 0);
      i683 = i181;
      i684 = i160;
     }
    } else {
     _heightOfSelect(get32(i152 | 0) | 0, i142);
     i679 = get32(i142 | 0) | 0;
     i680 = get32(i149 | 0) | 0;
     i157 = 2911;
    }
    if ((i157 | 0) == 2911) {
     i160 = i679 + 1 | 0;
     set32(i151 + 44 | 0, i160 | 0);
     i683 = i680;
     i684 = i160;
    }
    i160 = get32(i683 + 84 | 0) | 0;
    if ((i160 | 0) < (i684 | 0)) {
     set32(i94 | 0, i160 | 0);
     _sqlite3ErrorMsg(i149, 29585, i94);
    }
   } else {
    _sqlite3ExprDelete(i181, i163);
    _sqlite3ExprDelete(i181, i176);
   }
   set32(i144 | 0, i151 | 0);
   set32(i144 + 4 | 0, get32(i1 + 12 + (i158 << 4) + 8 | 0) | 0);
   set32(i144 + 8 | 0, get32(i1 + 12 + (i150 << 4) + 12 | 0) | 0);
   i160 = get32(i149 | 0) | 0;
   if ((get8(i160 + 30 >> 0 | 0) | 0) == 0 ? (get8(get32(i161 | 0) >> 0 | 0) | 0) == 98 : 0) {
    set8(i151 >> 0 | 0, 74 | 0);
    i155 = i151 + 12 | 0;
    _sqlite3ExprDelete(i160, get32(i155 | 0) | 0);
    set32(i155 | 0, 0 | 0);
   }
   break;
  }
 case 219:
 case 218:
  {
   i155 = i150 + -1 | 0;
   i160 = i1 + 12 + (i155 << 4) + 4 | 0;
   i182 = get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0;
   i210 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, getU8(i1 + 12 + (i155 << 4) + 2 >> 0 | 0) | 0, 0, 1) | 0;
   if (i210) {
    i155 = i210 + 8 | 0;
    if (!i182) {
     i159 = get32(i155 | 0) | 0;
     set32(i142 | 0, 0 | 0);
     if (!i159) {
      i685 = i142;
      i686 = 0;
     } else {
      i687 = i142;
      i688 = i159;
      i157 = 2925;
     }
    } else {
     set32(i155 | 0, i182 | 0);
     if (get16(i182 + 2 | 0) & 256) {
      i155 = i210 + 2 | 0;
      set16(i155 | 0, getU16(i155 | 0) | 256 | 0);
      set32(i210 + 20 | 0, get32(i182 + 20 | 0) | 0);
     }
     set32(i142 | 0, 0 | 0);
     i687 = i142;
     i688 = i182;
     i157 = 2925;
    }
    if ((i157 | 0) == 2925) {
     i155 = get32(i688 + 44 | 0) | 0;
     if ((i155 | 0) > 0) {
      set32(i142 | 0, i155 | 0);
      i685 = i687;
      i686 = i155;
     } else {
      i685 = i687;
      i686 = 0;
     }
    }
    i155 = get32(i210 + 12 | 0) | 0;
    if ((i155 | 0) != 0 ? (i159 = get32(i155 + 44 | 0) | 0, (i159 | 0) > (i686 | 0)) : 0) {
     set32(i142 | 0, i159 | 0);
     i689 = i159;
    } else i689 = i686;
    i159 = i210 + 16 | 0;
    if (!(get16(i210 + 2 | 0) & 2048)) {
     i155 = get32(i159 | 0) | 0;
     if (!i155) {
      i690 = i689;
      i157 = 2939;
     } else {
      i187 = get32(i155 | 0) | 0;
      if ((i187 | 0) > 0) {
       i175 = get32(i155 + 12 | 0) | 0;
       i155 = i689;
       i177 = 0;
       while (1) {
        i188 = get32(i175 + (i177 * 20 | 0) | 0) | 0;
        if ((i188 | 0) != 0 ? (i211 = get32(i188 + 44 | 0) | 0, (i211 | 0) > (i155 | 0)) : 0) {
         set32(i142 | 0, i211 | 0);
         i691 = i211;
        } else i691 = i155;
        i177 = i177 + 1 | 0;
        if ((i177 | 0) == (i187 | 0)) {
         i692 = i691;
         break;
        } else i155 = i691;
       }
      } else i692 = i689;
      i155 = i692 + 1 | 0;
      set32(i210 + 44 | 0, i155 | 0);
      i693 = i155;
     }
    } else {
     _heightOfSelect(get32(i159 | 0) | 0, i142);
     i690 = get32(i142 | 0) | 0;
     i157 = 2939;
    }
    if ((i157 | 0) == 2939) {
     i155 = i690 + 1 | 0;
     set32(i210 + 44 | 0, i155 | 0);
     i693 = i155;
    }
    i155 = get32((get32(i149 | 0) | 0) + 84 | 0) | 0;
    if ((i155 | 0) < (i693 | 0)) {
     set32(i93 | 0, i155 | 0);
     _sqlite3ErrorMsg(i149, 29585, i93);
    }
   } else _sqlite3ExprDelete(get32(i149 | 0) | 0, i182);
   set32(i144 | 0, i210 | 0);
   set32(i144 + 4 | 0, get32(i160 | 0) | 0);
   set32(i144 + 8 | 0, get32(i1 + 12 + (i150 << 4) + 12 | 0) | 0);
   break;
  }
 case 220:
  {
   i155 = i1 + 12 + (i150 + -1 << 4) + 4 | 0;
   i187 = get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0;
   i177 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, 156, 0, 1) | 0;
   if (i177) {
    i175 = i177 + 8 | 0;
    if (!i187) {
     i151 = get32(i175 | 0) | 0;
     set32(i142 | 0, 0 | 0);
     if (!i151) {
      i694 = i142;
      i695 = 0;
     } else {
      i696 = i142;
      i697 = i151;
      i157 = 2951;
     }
    } else {
     set32(i175 | 0, i187 | 0);
     if (get16(i187 + 2 | 0) & 256) {
      i175 = i177 + 2 | 0;
      set16(i175 | 0, getU16(i175 | 0) | 256 | 0);
      set32(i177 + 20 | 0, get32(i187 + 20 | 0) | 0);
     }
     set32(i142 | 0, 0 | 0);
     i696 = i142;
     i697 = i187;
     i157 = 2951;
    }
    if ((i157 | 0) == 2951) {
     i175 = get32(i697 + 44 | 0) | 0;
     if ((i175 | 0) > 0) {
      set32(i142 | 0, i175 | 0);
      i694 = i696;
      i695 = i175;
     } else {
      i694 = i696;
      i695 = 0;
     }
    }
    i175 = get32(i177 + 12 | 0) | 0;
    if ((i175 | 0) != 0 ? (i151 = get32(i175 + 44 | 0) | 0, (i151 | 0) > (i695 | 0)) : 0) {
     set32(i142 | 0, i151 | 0);
     i698 = i151;
    } else i698 = i695;
    i151 = i177 + 16 | 0;
    if (!(get16(i177 + 2 | 0) & 2048)) {
     i175 = get32(i151 | 0) | 0;
     if (!i175) {
      i699 = i698;
      i157 = 2965;
     } else {
      i161 = get32(i175 | 0) | 0;
      if ((i161 | 0) > 0) {
       i158 = get32(i175 + 12 | 0) | 0;
       i175 = i698;
       i176 = 0;
       while (1) {
        i181 = get32(i158 + (i176 * 20 | 0) | 0) | 0;
        if ((i181 | 0) != 0 ? (i163 = get32(i181 + 44 | 0) | 0, (i163 | 0) > (i175 | 0)) : 0) {
         set32(i142 | 0, i163 | 0);
         i700 = i163;
        } else i700 = i175;
        i176 = i176 + 1 | 0;
        if ((i176 | 0) == (i161 | 0)) {
         i701 = i700;
         break;
        } else i175 = i700;
       }
      } else i701 = i698;
      i175 = i701 + 1 | 0;
      set32(i177 + 44 | 0, i175 | 0);
      i702 = i175;
     }
    } else {
     _heightOfSelect(get32(i151 | 0) | 0, i142);
     i699 = get32(i142 | 0) | 0;
     i157 = 2965;
    }
    if ((i157 | 0) == 2965) {
     i175 = i699 + 1 | 0;
     set32(i177 + 44 | 0, i175 | 0);
     i702 = i175;
    }
    i175 = get32((get32(i149 | 0) | 0) + 84 | 0) | 0;
    if ((i175 | 0) < (i702 | 0)) {
     set32(i92 | 0, i175 | 0);
     _sqlite3ErrorMsg(i149, 29585, i92);
    }
   } else _sqlite3ExprDelete(get32(i149 | 0) | 0, i187);
   set32(i144 | 0, i177 | 0);
   set32(i144 + 4 | 0, get32(i155 | 0) | 0);
   set32(i144 + 8 | 0, get32(i1 + 12 + (i150 << 4) + 12 | 0) | 0);
   break;
  }
 case 221:
  {
   i175 = i1 + 12 + (i150 + -1 << 4) + 4 | 0;
   i161 = get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0;
   i176 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, 157, 0, 1) | 0;
   if (i176) {
    i158 = i176 + 8 | 0;
    if (!i161) {
     i160 = get32(i158 | 0) | 0;
     set32(i142 | 0, 0 | 0);
     if (!i160) {
      i703 = i142;
      i704 = 0;
     } else {
      i705 = i142;
      i706 = i160;
      i157 = 2977;
     }
    } else {
     set32(i158 | 0, i161 | 0);
     if (get16(i161 + 2 | 0) & 256) {
      i158 = i176 + 2 | 0;
      set16(i158 | 0, getU16(i158 | 0) | 256 | 0);
      set32(i176 + 20 | 0, get32(i161 + 20 | 0) | 0);
     }
     set32(i142 | 0, 0 | 0);
     i705 = i142;
     i706 = i161;
     i157 = 2977;
    }
    if ((i157 | 0) == 2977) {
     i158 = get32(i706 + 44 | 0) | 0;
     if ((i158 | 0) > 0) {
      set32(i142 | 0, i158 | 0);
      i703 = i705;
      i704 = i158;
     } else {
      i703 = i705;
      i704 = 0;
     }
    }
    i158 = get32(i176 + 12 | 0) | 0;
    if ((i158 | 0) != 0 ? (i160 = get32(i158 + 44 | 0) | 0, (i160 | 0) > (i704 | 0)) : 0) {
     set32(i142 | 0, i160 | 0);
     i707 = i160;
    } else i707 = i704;
    i160 = i176 + 16 | 0;
    if (!(get16(i176 + 2 | 0) & 2048)) {
     i158 = get32(i160 | 0) | 0;
     if (!i158) {
      i708 = i707;
      i157 = 2991;
     } else {
      i210 = get32(i158 | 0) | 0;
      if ((i210 | 0) > 0) {
       i182 = get32(i158 + 12 | 0) | 0;
       i158 = i707;
       i159 = 0;
       while (1) {
        i163 = get32(i182 + (i159 * 20 | 0) | 0) | 0;
        if ((i163 | 0) != 0 ? (i181 = get32(i163 + 44 | 0) | 0, (i181 | 0) > (i158 | 0)) : 0) {
         set32(i142 | 0, i181 | 0);
         i709 = i181;
        } else i709 = i158;
        i159 = i159 + 1 | 0;
        if ((i159 | 0) == (i210 | 0)) {
         i710 = i709;
         break;
        } else i158 = i709;
       }
      } else i710 = i707;
      i158 = i710 + 1 | 0;
      set32(i176 + 44 | 0, i158 | 0);
      i711 = i158;
     }
    } else {
     _heightOfSelect(get32(i160 | 0) | 0, i142);
     i708 = get32(i142 | 0) | 0;
     i157 = 2991;
    }
    if ((i157 | 0) == 2991) {
     i158 = i708 + 1 | 0;
     set32(i176 + 44 | 0, i158 | 0);
     i711 = i158;
    }
    i158 = get32((get32(i149 | 0) | 0) + 84 | 0) | 0;
    if ((i158 | 0) < (i711 | 0)) {
     set32(i91 | 0, i158 | 0);
     _sqlite3ErrorMsg(i149, 29585, i91);
    }
   } else _sqlite3ExprDelete(get32(i149 | 0) | 0, i161);
   set32(i144 | 0, i176 | 0);
   set32(i144 + 4 | 0, get32(i175 | 0) | 0);
   set32(i144 + 8 | 0, get32(i1 + 12 + (i150 << 4) + 12 | 0) | 0);
   break;
  }
 case 224:
  {
   i158 = _sqlite3ExprListAppend(get32(i149 | 0) | 0, 0, get32(i1 + 12 + (i150 + -2 << 4) + 4 | 0) | 0) | 0;
   i210 = _sqlite3ExprListAppend(get32(i149 | 0) | 0, i158, get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0) | 0;
   i158 = i150 + -4 | 0;
   i159 = get32(i1 + 12 + (i158 << 4) + 4 | 0) | 0;
   i182 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, 71, 0, 1) | 0;
   if (!i182) {
    _sqlite3ExprDelete(get32(i149 | 0) | 0, i159);
    set32(i144 | 0, 0 | 0);
    i155 = get32(i149 | 0) | 0;
    if (!i210) i712 = i144; else {
     i177 = i210 + 12 | 0;
     if ((get32(i210 | 0) | 0) > 0) {
      i187 = 0;
      i151 = get32(i177 | 0) | 0;
      while (1) {
       _sqlite3ExprDelete(i155, get32(i151 | 0) | 0);
       _sqlite3DbFree(i155, get32(i151 + 4 | 0) | 0);
       _sqlite3DbFree(i155, get32(i151 + 8 | 0) | 0);
       i187 = i187 + 1 | 0;
       if ((i187 | 0) >= (get32(i210 | 0) | 0)) break; else i151 = i151 + 20 | 0;
      }
     }
     _sqlite3DbFree(i155, get32(i177 | 0) | 0);
     _sqlite3DbFree(i155, i210);
     i712 = i144;
    }
   } else {
    i151 = i182 + 8 | 0;
    if (!i159) {
     i187 = get32(i151 | 0) | 0;
     set32(i142 | 0, 0 | 0);
     if (!i187) {
      i713 = i142;
      i714 = 0;
     } else {
      i715 = i142;
      i716 = i187;
      i157 = 3002;
     }
    } else {
     set32(i151 | 0, i159 | 0);
     if (get16(i159 + 2 | 0) & 256) {
      i151 = i182 + 2 | 0;
      set16(i151 | 0, getU16(i151 | 0) | 256 | 0);
      set32(i182 + 20 | 0, get32(i159 + 20 | 0) | 0);
     }
     set32(i142 | 0, 0 | 0);
     i715 = i142;
     i716 = i159;
     i157 = 3002;
    }
    if ((i157 | 0) == 3002) {
     i151 = get32(i716 + 44 | 0) | 0;
     if ((i151 | 0) > 0) {
      set32(i142 | 0, i151 | 0);
      i713 = i715;
      i714 = i151;
     } else {
      i713 = i715;
      i714 = 0;
     }
    }
    i151 = get32(i182 + 12 | 0) | 0;
    if ((i151 | 0) != 0 ? (i187 = get32(i151 + 44 | 0) | 0, (i187 | 0) > (i714 | 0)) : 0) {
     set32(i142 | 0, i187 | 0);
     i717 = i187;
    } else i717 = i714;
    i187 = i182 + 16 | 0;
    if (!(get16(i182 + 2 | 0) & 2048)) {
     i151 = get32(i187 | 0) | 0;
     if (!i151) {
      i718 = i717;
      i157 = 3016;
     } else {
      i175 = get32(i151 | 0) | 0;
      if ((i175 | 0) > 0) {
       i176 = get32(i151 + 12 | 0) | 0;
       i151 = i717;
       i161 = 0;
       while (1) {
        i160 = get32(i176 + (i161 * 20 | 0) | 0) | 0;
        if ((i160 | 0) != 0 ? (i181 = get32(i160 + 44 | 0) | 0, (i181 | 0) > (i151 | 0)) : 0) {
         set32(i142 | 0, i181 | 0);
         i719 = i181;
        } else i719 = i151;
        i161 = i161 + 1 | 0;
        if ((i161 | 0) == (i175 | 0)) {
         i720 = i719;
         break;
        } else i151 = i719;
       }
      } else i720 = i717;
      i151 = i720 + 1 | 0;
      set32(i182 + 44 | 0, i151 | 0);
      i721 = i151;
     }
    } else {
     _heightOfSelect(get32(i187 | 0) | 0, i142);
     i718 = get32(i142 | 0) | 0;
     i157 = 3016;
    }
    if ((i157 | 0) == 3016) {
     i151 = i718 + 1 | 0;
     set32(i182 + 44 | 0, i151 | 0);
     i721 = i151;
    }
    i151 = get32((get32(i149 | 0) | 0) + 84 | 0) | 0;
    if ((i151 | 0) < (i721 | 0)) {
     set32(i90 | 0, i151 | 0);
     _sqlite3ErrorMsg(i149, 29585, i90);
    }
    set32(i144 | 0, i182 | 0);
    set32(i182 + 16 | 0, i210 | 0);
    i712 = i144;
   }
   if (get32(i1 + 12 + (i150 + -3 << 4) + 4 | 0) | 0) {
    i151 = get32(i712 | 0) | 0;
    i175 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, 19, 0, 1) | 0;
    if (i175) {
     i161 = i175 + 8 | 0;
     if (!i151) {
      i176 = get32(i161 | 0) | 0;
      set32(i142 | 0, 0 | 0);
      if (!i176) {
       i722 = i142;
       i723 = 0;
      } else {
       i724 = i142;
       i725 = i176;
       i157 = 3034;
      }
     } else {
      set32(i161 | 0, i151 | 0);
      if (get16(i151 + 2 | 0) & 256) {
       i161 = i175 + 2 | 0;
       set16(i161 | 0, getU16(i161 | 0) | 256 | 0);
       set32(i175 + 20 | 0, get32(i151 + 20 | 0) | 0);
      }
      set32(i142 | 0, 0 | 0);
      i724 = i142;
      i725 = i151;
      i157 = 3034;
     }
     if ((i157 | 0) == 3034) {
      i161 = get32(i725 + 44 | 0) | 0;
      if ((i161 | 0) > 0) {
       set32(i142 | 0, i161 | 0);
       i722 = i724;
       i723 = i161;
      } else {
       i722 = i724;
       i723 = 0;
      }
     }
     i161 = get32(i175 + 12 | 0) | 0;
     if ((i161 | 0) != 0 ? (i176 = get32(i161 + 44 | 0) | 0, (i176 | 0) > (i723 | 0)) : 0) {
      set32(i142 | 0, i176 | 0);
      i726 = i176;
     } else i726 = i723;
     i176 = i175 + 16 | 0;
     if (!(get16(i175 + 2 | 0) & 2048)) {
      i161 = get32(i176 | 0) | 0;
      if (!i161) {
       i727 = i726;
       i157 = 3048;
      } else {
       i159 = get32(i161 | 0) | 0;
       if ((i159 | 0) > 0) {
        i155 = get32(i161 + 12 | 0) | 0;
        i161 = i726;
        i177 = 0;
        while (1) {
         i181 = get32(i155 + (i177 * 20 | 0) | 0) | 0;
         if ((i181 | 0) != 0 ? (i160 = get32(i181 + 44 | 0) | 0, (i160 | 0) > (i161 | 0)) : 0) {
          set32(i142 | 0, i160 | 0);
          i728 = i160;
         } else i728 = i161;
         i177 = i177 + 1 | 0;
         if ((i177 | 0) == (i159 | 0)) {
          i729 = i728;
          break;
         } else i161 = i728;
        }
       } else i729 = i726;
       i161 = i729 + 1 | 0;
       set32(i175 + 44 | 0, i161 | 0);
       i730 = i161;
      }
     } else {
      _heightOfSelect(get32(i176 | 0) | 0, i142);
      i727 = get32(i142 | 0) | 0;
      i157 = 3048;
     }
     if ((i157 | 0) == 3048) {
      i161 = i727 + 1 | 0;
      set32(i175 + 44 | 0, i161 | 0);
      i730 = i161;
     }
     i161 = get32((get32(i149 | 0) | 0) + 84 | 0) | 0;
     if ((i161 | 0) < (i730 | 0)) {
      set32(i89 | 0, i161 | 0);
      _sqlite3ErrorMsg(i149, 29585, i89);
     }
    } else _sqlite3ExprDelete(get32(i149 | 0) | 0, i151);
    set32(i712 | 0, i175 | 0);
   }
   set32(i144 + 4 | 0, get32(i1 + 12 + (i158 << 4) + 8 | 0) | 0);
   set32(i144 + 8 | 0, get32(i1 + 12 + (i150 << 4) + 12 | 0) | 0);
   break;
  }
 case 227:
  {
   i161 = i1 + 12 + (i150 + -1 << 4) + 4 | 0;
   if (get32(i161 | 0) | 0) {
    i159 = i150 + -4 | 0;
    i177 = get32(i1 + 12 + (i159 << 4) + 4 | 0) | 0;
    i155 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, 72, 0, 1) | 0;
    if (!i155) {
     _sqlite3ExprDelete(get32(i149 | 0) | 0, i177);
     set32(i144 | 0, 0 | 0);
     i210 = get32(i149 | 0) | 0;
     i182 = get32(i161 | 0) | 0;
     if (!i182) {
      i731 = 0;
      i732 = i144;
     } else {
      i187 = i182 + 12 | 0;
      if ((get32(i182 | 0) | 0) > 0) {
       i160 = 0;
       i181 = get32(i187 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i210, get32(i181 | 0) | 0);
        _sqlite3DbFree(i210, get32(i181 + 4 | 0) | 0);
        _sqlite3DbFree(i210, get32(i181 + 8 | 0) | 0);
        i160 = i160 + 1 | 0;
        if ((i160 | 0) >= (get32(i182 | 0) | 0)) break; else i181 = i181 + 20 | 0;
       }
      }
      _sqlite3DbFree(i210, get32(i187 | 0) | 0);
      _sqlite3DbFree(i210, i182);
      i731 = 0;
      i732 = i144;
     }
    } else {
     i181 = i155 + 8 | 0;
     if (!i177) {
      i160 = get32(i181 | 0) | 0;
      set32(i142 | 0, 0 | 0);
      if (!i160) {
       i733 = i142;
       i734 = 0;
      } else {
       i735 = i142;
       i736 = i160;
       i157 = 3082;
      }
     } else {
      set32(i181 | 0, i177 | 0);
      if (get16(i177 + 2 | 0) & 256) {
       i181 = i155 + 2 | 0;
       set16(i181 | 0, getU16(i181 | 0) | 256 | 0);
       set32(i155 + 20 | 0, get32(i177 + 20 | 0) | 0);
      }
      set32(i142 | 0, 0 | 0);
      i735 = i142;
      i736 = i177;
      i157 = 3082;
     }
     if ((i157 | 0) == 3082) {
      i181 = get32(i736 + 44 | 0) | 0;
      if ((i181 | 0) > 0) {
       set32(i142 | 0, i181 | 0);
       i733 = i735;
       i734 = i181;
      } else {
       i733 = i735;
       i734 = 0;
      }
     }
     i181 = get32(i155 + 12 | 0) | 0;
     if ((i181 | 0) != 0 ? (i160 = get32(i181 + 44 | 0) | 0, (i160 | 0) > (i734 | 0)) : 0) {
      set32(i142 | 0, i160 | 0);
      i737 = i160;
     } else i737 = i734;
     i160 = i155 + 16 | 0;
     if (!(get16(i155 + 2 | 0) & 2048)) {
      i181 = get32(i160 | 0) | 0;
      if (!i181) {
       i738 = i737;
       i157 = 3096;
      } else {
       i158 = get32(i181 | 0) | 0;
       if ((i158 | 0) > 0) {
        i175 = get32(i181 + 12 | 0) | 0;
        i181 = i737;
        i151 = 0;
        while (1) {
         i176 = get32(i175 + (i151 * 20 | 0) | 0) | 0;
         if ((i176 | 0) != 0 ? (i163 = get32(i176 + 44 | 0) | 0, (i163 | 0) > (i181 | 0)) : 0) {
          set32(i142 | 0, i163 | 0);
          i739 = i163;
         } else i739 = i181;
         i151 = i151 + 1 | 0;
         if ((i151 | 0) == (i158 | 0)) {
          i740 = i739;
          break;
         } else i181 = i739;
        }
       } else i740 = i737;
       i181 = i740 + 1 | 0;
       set32(i155 + 44 | 0, i181 | 0);
       i741 = i181;
      }
     } else {
      _heightOfSelect(get32(i160 | 0) | 0, i142);
      i738 = get32(i142 | 0) | 0;
      i157 = 3096;
     }
     if ((i157 | 0) == 3096) {
      i181 = i738 + 1 | 0;
      set32(i155 + 44 | 0, i181 | 0);
      i741 = i181;
     }
     i181 = get32((get32(i149 | 0) | 0) + 84 | 0) | 0;
     if ((i181 | 0) < (i741 | 0)) {
      set32(i87 | 0, i181 | 0);
      _sqlite3ErrorMsg(i149, 29585, i87);
     }
     set32(i144 | 0, i155 | 0);
     set32(i160 | 0, get32(i161 | 0) | 0);
     i181 = get32(i144 | 0) | 0;
     _sqlite3ExprSetHeight(i149, i181);
     i731 = i181;
     i732 = i144;
    }
    if (!(get32(i1 + 12 + (i150 + -3 << 4) + 4 | 0) | 0)) i742 = i159; else {
     i181 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, 19, 0, 1) | 0;
     if (i181) {
      i158 = i181 + 8 | 0;
      if (!i731) {
       i151 = get32(i158 | 0) | 0;
       set32(i142 | 0, 0 | 0);
       if (!i151) {
        i743 = i142;
        i744 = 0;
       } else {
        i745 = i142;
        i746 = i151;
        i157 = 3114;
       }
      } else {
       set32(i158 | 0, i731 | 0);
       if (get16(i731 + 2 | 0) & 256) {
        i158 = i181 + 2 | 0;
        set16(i158 | 0, getU16(i158 | 0) | 256 | 0);
        set32(i181 + 20 | 0, get32(i731 + 20 | 0) | 0);
       }
       set32(i142 | 0, 0 | 0);
       i745 = i142;
       i746 = i731;
       i157 = 3114;
      }
      if ((i157 | 0) == 3114) {
       i158 = get32(i746 + 44 | 0) | 0;
       if ((i158 | 0) > 0) {
        set32(i142 | 0, i158 | 0);
        i743 = i745;
        i744 = i158;
       } else {
        i743 = i745;
        i744 = 0;
       }
      }
      i158 = get32(i181 + 12 | 0) | 0;
      if ((i158 | 0) != 0 ? (i151 = get32(i158 + 44 | 0) | 0, (i151 | 0) > (i744 | 0)) : 0) {
       set32(i142 | 0, i151 | 0);
       i747 = i151;
      } else i747 = i744;
      i151 = i181 + 16 | 0;
      if (!(get16(i181 + 2 | 0) & 2048)) {
       i158 = get32(i151 | 0) | 0;
       if (!i158) {
        i748 = i747;
        i157 = 3128;
       } else {
        i175 = get32(i158 | 0) | 0;
        if ((i175 | 0) > 0) {
         i177 = get32(i158 + 12 | 0) | 0;
         i158 = i747;
         i182 = 0;
         while (1) {
          i210 = get32(i177 + (i182 * 20 | 0) | 0) | 0;
          if ((i210 | 0) != 0 ? (i187 = get32(i210 + 44 | 0) | 0, (i187 | 0) > (i158 | 0)) : 0) {
           set32(i142 | 0, i187 | 0);
           i749 = i187;
          } else i749 = i158;
          i182 = i182 + 1 | 0;
          if ((i182 | 0) == (i175 | 0)) {
           i750 = i749;
           break;
          } else i158 = i749;
         }
        } else i750 = i747;
        i158 = i750 + 1 | 0;
        set32(i181 + 44 | 0, i158 | 0);
        i751 = i158;
       }
      } else {
       _heightOfSelect(get32(i151 | 0) | 0, i142);
       i748 = get32(i142 | 0) | 0;
       i157 = 3128;
      }
      if ((i157 | 0) == 3128) {
       i158 = i748 + 1 | 0;
       set32(i181 + 44 | 0, i158 | 0);
       i751 = i158;
      }
      i158 = get32((get32(i149 | 0) | 0) + 84 | 0) | 0;
      if ((i158 | 0) < (i751 | 0)) {
       set32(i86 | 0, i158 | 0);
       _sqlite3ErrorMsg(i149, 29585, i86);
      }
     } else _sqlite3ExprDelete(get32(i149 | 0) | 0, i731);
     set32(i732 | 0, i181 | 0);
     i742 = i159;
    }
   } else {
    i158 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, 129, 2916 + (get32(i1 + 12 + (i150 + -3 << 4) + 4 | 0) << 3) | 0, 1) | 0;
    if (i158) {
     set32(i142 | 0, 0 | 0);
     i175 = get32(i158 + 8 | 0) | 0;
     if ((i175 | 0) != 0 ? (i182 = get32(i175 + 44 | 0) | 0, (i182 | 0) > 0) : 0) {
      set32(i142 | 0, i182 | 0);
      i752 = i182;
     } else i752 = 0;
     i182 = get32(i158 + 12 | 0) | 0;
     if ((i182 | 0) != 0 ? (i175 = get32(i182 + 44 | 0) | 0, (i175 | 0) > (i752 | 0)) : 0) {
      set32(i142 | 0, i175 | 0);
      i753 = i175;
     } else i753 = i752;
     i175 = i158 + 16 | 0;
     if (!(get16(i158 + 2 | 0) & 2048)) {
      i182 = get32(i175 | 0) | 0;
      if (!i182) {
       i754 = i753;
       i157 = 3071;
      } else {
       i177 = get32(i182 | 0) | 0;
       if ((i177 | 0) > 0) {
        i161 = get32(i182 + 12 | 0) | 0;
        i182 = i753;
        i160 = 0;
        while (1) {
         i155 = get32(i161 + (i160 * 20 | 0) | 0) | 0;
         if ((i155 | 0) != 0 ? (i187 = get32(i155 + 44 | 0) | 0, (i187 | 0) > (i182 | 0)) : 0) {
          set32(i142 | 0, i187 | 0);
          i755 = i187;
         } else i755 = i182;
         i160 = i160 + 1 | 0;
         if ((i160 | 0) == (i177 | 0)) {
          i756 = i755;
          break;
         } else i182 = i755;
        }
       } else i756 = i753;
       i182 = i756 + 1 | 0;
       set32(i158 + 44 | 0, i182 | 0);
       i757 = i182;
      }
     } else {
      _heightOfSelect(get32(i175 | 0) | 0, i142);
      i754 = get32(i142 | 0) | 0;
      i157 = 3071;
     }
     if ((i157 | 0) == 3071) {
      i182 = i754 + 1 | 0;
      set32(i158 + 44 | 0, i182 | 0);
      i757 = i182;
     }
     i182 = get32((get32(i149 | 0) | 0) + 84 | 0) | 0;
     if ((i182 | 0) < (i757 | 0)) {
      set32(i88 | 0, i182 | 0);
      _sqlite3ErrorMsg(i149, 29585, i88);
     }
    }
    set32(i144 | 0, i158 | 0);
    i182 = i150 + -4 | 0;
    _sqlite3ExprDelete(get32(i149 | 0) | 0, get32(i1 + 12 + (i182 << 4) + 4 | 0) | 0);
    i742 = i182;
   }
   set32(i144 + 4 | 0, get32(i1 + 12 + (i742 << 4) + 8 | 0) | 0);
   set32(i144 + 8 | 0, (get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0) + (get32(i1 + 12 + (i150 << 4) + 8 | 0) | 0) | 0);
   break;
  }
 case 228:
  {
   i182 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, 116, 0, 1) | 0;
   if (!i182) {
    set32(i144 | 0, 0 | 0);
    i177 = get32(i149 | 0) | 0;
    i160 = get32(i1 + 12 + (i150 + -1 << 4) + 4 | 0) | 0;
    if (i160) {
     i161 = get32(i160 | 0) | 0;
     if (i161) {
      i159 = i161 + 12 | 0;
      if ((get32(i161 | 0) | 0) > 0) {
       i181 = 0;
       i151 = get32(i159 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i177, get32(i151 | 0) | 0);
        _sqlite3DbFree(i177, get32(i151 + 4 | 0) | 0);
        _sqlite3DbFree(i177, get32(i151 + 8 | 0) | 0);
        i181 = i181 + 1 | 0;
        if ((i181 | 0) >= (get32(i161 | 0) | 0)) break; else i151 = i151 + 20 | 0;
       }
      }
      _sqlite3DbFree(i177, get32(i159 | 0) | 0);
      _sqlite3DbFree(i177, i161);
     }
     _sqlite3SrcListDelete(i177, get32(i160 + 8 | 0) | 0);
     _sqlite3ExprDelete(i177, get32(i160 + 12 | 0) | 0);
     i151 = get32(i160 + 16 | 0) | 0;
     if (i151) {
      i181 = i151 + 12 | 0;
      if ((get32(i151 | 0) | 0) > 0) {
       i158 = 0;
       i175 = get32(i181 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i177, get32(i175 | 0) | 0);
        _sqlite3DbFree(i177, get32(i175 + 4 | 0) | 0);
        _sqlite3DbFree(i177, get32(i175 + 8 | 0) | 0);
        i158 = i158 + 1 | 0;
        if ((i158 | 0) >= (get32(i151 | 0) | 0)) break; else i175 = i175 + 20 | 0;
       }
      }
      _sqlite3DbFree(i177, get32(i181 | 0) | 0);
      _sqlite3DbFree(i177, i151);
     }
     _sqlite3ExprDelete(i177, get32(i160 + 20 | 0) | 0);
     i175 = get32(i160 + 24 | 0) | 0;
     if (i175) {
      i158 = i175 + 12 | 0;
      if ((get32(i175 | 0) | 0) > 0) {
       i161 = 0;
       i159 = get32(i158 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i177, get32(i159 | 0) | 0);
        _sqlite3DbFree(i177, get32(i159 + 4 | 0) | 0);
        _sqlite3DbFree(i177, get32(i159 + 8 | 0) | 0);
        i161 = i161 + 1 | 0;
        if ((i161 | 0) >= (get32(i175 | 0) | 0)) break; else i159 = i159 + 20 | 0;
       }
      }
      _sqlite3DbFree(i177, get32(i158 | 0) | 0);
      _sqlite3DbFree(i177, i175);
     }
     i159 = get32(i160 + 28 | 0) | 0;
     if (i159) {
      i161 = get32(i159 | 0) | 0;
      if (i161) {
       i151 = i161 + 12 | 0;
       if ((get32(i161 | 0) | 0) > 0) {
        i181 = 0;
        i187 = get32(i151 | 0) | 0;
        while (1) {
         _sqlite3ExprDelete(i177, get32(i187 | 0) | 0);
         _sqlite3DbFree(i177, get32(i187 + 4 | 0) | 0);
         _sqlite3DbFree(i177, get32(i187 + 8 | 0) | 0);
         i181 = i181 + 1 | 0;
         if ((i181 | 0) >= (get32(i161 | 0) | 0)) break; else i187 = i187 + 20 | 0;
        }
       }
       _sqlite3DbFree(i177, get32(i151 | 0) | 0);
       _sqlite3DbFree(i177, i161);
      }
      _sqlite3SrcListDelete(i177, get32(i159 + 8 | 0) | 0);
      _sqlite3ExprDelete(i177, get32(i159 + 12 | 0) | 0);
      i187 = get32(i159 + 16 | 0) | 0;
      if (i187) {
       i181 = i187 + 12 | 0;
       if ((get32(i187 | 0) | 0) > 0) {
        i175 = 0;
        i158 = get32(i181 | 0) | 0;
        while (1) {
         _sqlite3ExprDelete(i177, get32(i158 | 0) | 0);
         _sqlite3DbFree(i177, get32(i158 + 4 | 0) | 0);
         _sqlite3DbFree(i177, get32(i158 + 8 | 0) | 0);
         i175 = i175 + 1 | 0;
         if ((i175 | 0) >= (get32(i187 | 0) | 0)) break; else i158 = i158 + 20 | 0;
        }
       }
       _sqlite3DbFree(i177, get32(i181 | 0) | 0);
       _sqlite3DbFree(i177, i187);
      }
      _sqlite3ExprDelete(i177, get32(i159 + 20 | 0) | 0);
      i158 = get32(i159 + 24 | 0) | 0;
      if (i158) {
       i175 = i158 + 12 | 0;
       if ((get32(i158 | 0) | 0) > 0) {
        i161 = 0;
        i151 = get32(i175 | 0) | 0;
        while (1) {
         _sqlite3ExprDelete(i177, get32(i151 | 0) | 0);
         _sqlite3DbFree(i177, get32(i151 + 4 | 0) | 0);
         _sqlite3DbFree(i177, get32(i151 + 8 | 0) | 0);
         i161 = i161 + 1 | 0;
         if ((i161 | 0) >= (get32(i158 | 0) | 0)) break; else i151 = i151 + 20 | 0;
        }
       }
       _sqlite3DbFree(i177, get32(i175 | 0) | 0);
       _sqlite3DbFree(i177, i158);
      }
      _sqlite3SelectDelete(i177, get32(i159 + 28 | 0) | 0);
      _sqlite3ExprDelete(i177, get32(i159 + 40 | 0) | 0);
      _sqlite3ExprDelete(i177, get32(i159 + 44 | 0) | 0);
      _sqlite3DbFree(i177, i159);
     }
     _sqlite3ExprDelete(i177, get32(i160 + 40 | 0) | 0);
     _sqlite3ExprDelete(i177, get32(i160 + 44 | 0) | 0);
     _sqlite3DbFree(i177, i160);
    }
   } else {
    set32(i142 | 0, 0 | 0);
    i151 = get32(i182 + 8 | 0) | 0;
    if ((i151 | 0) != 0 ? (i161 = get32(i151 + 44 | 0) | 0, (i161 | 0) > 0) : 0) {
     set32(i142 | 0, i161 | 0);
     i758 = i161;
    } else i758 = 0;
    i161 = get32(i182 + 12 | 0) | 0;
    if ((i161 | 0) != 0 ? (i151 = get32(i161 + 44 | 0) | 0, (i151 | 0) > (i758 | 0)) : 0) {
     set32(i142 | 0, i151 | 0);
     i759 = i151;
    } else i759 = i758;
    i151 = i182 + 16 | 0;
    if (!(get16(i182 + 2 | 0) & 2048)) {
     i161 = get32(i151 | 0) | 0;
     if (!i161) {
      i760 = i759;
      i157 = 3150;
     } else {
      i187 = get32(i161 | 0) | 0;
      if ((i187 | 0) > 0) {
       i181 = get32(i161 + 12 | 0) | 0;
       i161 = i759;
       i155 = 0;
       while (1) {
        i210 = get32(i181 + (i155 * 20 | 0) | 0) | 0;
        if ((i210 | 0) != 0 ? (i163 = get32(i210 + 44 | 0) | 0, (i163 | 0) > (i161 | 0)) : 0) {
         set32(i142 | 0, i163 | 0);
         i761 = i163;
        } else i761 = i161;
        i155 = i155 + 1 | 0;
        if ((i155 | 0) == (i187 | 0)) {
         i762 = i761;
         break;
        } else i161 = i761;
       }
      } else i762 = i759;
      i161 = i762 + 1 | 0;
      set32(i182 + 44 | 0, i161 | 0);
      i763 = i161;
     }
    } else {
     _heightOfSelect(get32(i151 | 0) | 0, i142);
     i760 = get32(i142 | 0) | 0;
     i157 = 3150;
    }
    if ((i157 | 0) == 3150) {
     i161 = i760 + 1 | 0;
     set32(i182 + 44 | 0, i161 | 0);
     i763 = i161;
    }
    i161 = get32((get32(i149 | 0) | 0) + 84 | 0) | 0;
    if ((i161 | 0) < (i763 | 0)) {
     set32(i85 | 0, i161 | 0);
     _sqlite3ErrorMsg(i149, 29585, i85);
    }
    set32(i144 | 0, i182 | 0);
    set32(i151 | 0, get32(i1 + 12 + (i150 + -1 << 4) + 4 | 0) | 0);
    i161 = get32(i144 | 0) | 0;
    i187 = i161 + 2 | 0;
    set16(i187 | 0, getU16(i187 | 0) | 2048 | 0);
    _sqlite3ExprSetHeight(i149, i161);
   }
   set32(i144 + 4 | 0, get32(i1 + 12 + (i150 + -2 << 4) + 4 | 0) | 0);
   set32(i144 + 8 | 0, (get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0) + (get32(i1 + 12 + (i150 << 4) + 8 | 0) | 0) | 0);
   break;
  }
 case 229:
  {
   i161 = i150 + -4 | 0;
   i187 = get32(i1 + 12 + (i161 << 4) + 4 | 0) | 0;
   i155 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, 72, 0, 1) | 0;
   if (!i155) {
    _sqlite3ExprDelete(get32(i149 | 0) | 0, i187);
    set32(i144 | 0, 0 | 0);
    i181 = get32(i149 | 0) | 0;
    i160 = get32(i1 + 12 + (i150 + -1 << 4) + 4 | 0) | 0;
    if (!i160) {
     i764 = 0;
     i765 = i144;
    } else {
     i177 = get32(i160 | 0) | 0;
     if (i177) {
      i159 = i177 + 12 | 0;
      if ((get32(i177 | 0) | 0) > 0) {
       i158 = 0;
       i175 = get32(i159 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i181, get32(i175 | 0) | 0);
        _sqlite3DbFree(i181, get32(i175 + 4 | 0) | 0);
        _sqlite3DbFree(i181, get32(i175 + 8 | 0) | 0);
        i158 = i158 + 1 | 0;
        if ((i158 | 0) >= (get32(i177 | 0) | 0)) break; else i175 = i175 + 20 | 0;
       }
      }
      _sqlite3DbFree(i181, get32(i159 | 0) | 0);
      _sqlite3DbFree(i181, i177);
     }
     _sqlite3SrcListDelete(i181, get32(i160 + 8 | 0) | 0);
     _sqlite3ExprDelete(i181, get32(i160 + 12 | 0) | 0);
     i175 = get32(i160 + 16 | 0) | 0;
     if (i175) {
      i158 = i175 + 12 | 0;
      if ((get32(i175 | 0) | 0) > 0) {
       i151 = 0;
       i182 = get32(i158 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i181, get32(i182 | 0) | 0);
        _sqlite3DbFree(i181, get32(i182 + 4 | 0) | 0);
        _sqlite3DbFree(i181, get32(i182 + 8 | 0) | 0);
        i151 = i151 + 1 | 0;
        if ((i151 | 0) >= (get32(i175 | 0) | 0)) break; else i182 = i182 + 20 | 0;
       }
      }
      _sqlite3DbFree(i181, get32(i158 | 0) | 0);
      _sqlite3DbFree(i181, i175);
     }
     _sqlite3ExprDelete(i181, get32(i160 + 20 | 0) | 0);
     i182 = get32(i160 + 24 | 0) | 0;
     if (i182) {
      i151 = i182 + 12 | 0;
      if ((get32(i182 | 0) | 0) > 0) {
       i177 = 0;
       i159 = get32(i151 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i181, get32(i159 | 0) | 0);
        _sqlite3DbFree(i181, get32(i159 + 4 | 0) | 0);
        _sqlite3DbFree(i181, get32(i159 + 8 | 0) | 0);
        i177 = i177 + 1 | 0;
        if ((i177 | 0) >= (get32(i182 | 0) | 0)) break; else i159 = i159 + 20 | 0;
       }
      }
      _sqlite3DbFree(i181, get32(i151 | 0) | 0);
      _sqlite3DbFree(i181, i182);
     }
     i159 = get32(i160 + 28 | 0) | 0;
     if (i159) {
      i177 = get32(i159 | 0) | 0;
      if (i177) {
       i175 = i177 + 12 | 0;
       if ((get32(i177 | 0) | 0) > 0) {
        i158 = 0;
        i163 = get32(i175 | 0) | 0;
        while (1) {
         _sqlite3ExprDelete(i181, get32(i163 | 0) | 0);
         _sqlite3DbFree(i181, get32(i163 + 4 | 0) | 0);
         _sqlite3DbFree(i181, get32(i163 + 8 | 0) | 0);
         i158 = i158 + 1 | 0;
         if ((i158 | 0) >= (get32(i177 | 0) | 0)) break; else i163 = i163 + 20 | 0;
        }
       }
       _sqlite3DbFree(i181, get32(i175 | 0) | 0);
       _sqlite3DbFree(i181, i177);
      }
      _sqlite3SrcListDelete(i181, get32(i159 + 8 | 0) | 0);
      _sqlite3ExprDelete(i181, get32(i159 + 12 | 0) | 0);
      i163 = get32(i159 + 16 | 0) | 0;
      if (i163) {
       i158 = i163 + 12 | 0;
       if ((get32(i163 | 0) | 0) > 0) {
        i182 = 0;
        i151 = get32(i158 | 0) | 0;
        while (1) {
         _sqlite3ExprDelete(i181, get32(i151 | 0) | 0);
         _sqlite3DbFree(i181, get32(i151 + 4 | 0) | 0);
         _sqlite3DbFree(i181, get32(i151 + 8 | 0) | 0);
         i182 = i182 + 1 | 0;
         if ((i182 | 0) >= (get32(i163 | 0) | 0)) break; else i151 = i151 + 20 | 0;
        }
       }
       _sqlite3DbFree(i181, get32(i158 | 0) | 0);
       _sqlite3DbFree(i181, i163);
      }
      _sqlite3ExprDelete(i181, get32(i159 + 20 | 0) | 0);
      i151 = get32(i159 + 24 | 0) | 0;
      if (i151) {
       i182 = i151 + 12 | 0;
       if ((get32(i151 | 0) | 0) > 0) {
        i177 = 0;
        i175 = get32(i182 | 0) | 0;
        while (1) {
         _sqlite3ExprDelete(i181, get32(i175 | 0) | 0);
         _sqlite3DbFree(i181, get32(i175 + 4 | 0) | 0);
         _sqlite3DbFree(i181, get32(i175 + 8 | 0) | 0);
         i177 = i177 + 1 | 0;
         if ((i177 | 0) >= (get32(i151 | 0) | 0)) break; else i175 = i175 + 20 | 0;
        }
       }
       _sqlite3DbFree(i181, get32(i182 | 0) | 0);
       _sqlite3DbFree(i181, i151);
      }
      _sqlite3SelectDelete(i181, get32(i159 + 28 | 0) | 0);
      _sqlite3ExprDelete(i181, get32(i159 + 40 | 0) | 0);
      _sqlite3ExprDelete(i181, get32(i159 + 44 | 0) | 0);
      _sqlite3DbFree(i181, i159);
     }
     _sqlite3ExprDelete(i181, get32(i160 + 40 | 0) | 0);
     _sqlite3ExprDelete(i181, get32(i160 + 44 | 0) | 0);
     _sqlite3DbFree(i181, i160);
     i764 = 0;
     i765 = i144;
    }
   } else {
    i175 = i155 + 8 | 0;
    if (!i187) {
     i177 = get32(i175 | 0) | 0;
     set32(i142 | 0, 0 | 0);
     if (!i177) {
      i766 = i142;
      i767 = 0;
     } else {
      i768 = i142;
      i769 = i177;
      i157 = 3196;
     }
    } else {
     set32(i175 | 0, i187 | 0);
     if (get16(i187 + 2 | 0) & 256) {
      i175 = i155 + 2 | 0;
      set16(i175 | 0, getU16(i175 | 0) | 256 | 0);
      set32(i155 + 20 | 0, get32(i187 + 20 | 0) | 0);
     }
     set32(i142 | 0, 0 | 0);
     i768 = i142;
     i769 = i187;
     i157 = 3196;
    }
    if ((i157 | 0) == 3196) {
     i175 = get32(i769 + 44 | 0) | 0;
     if ((i175 | 0) > 0) {
      set32(i142 | 0, i175 | 0);
      i766 = i768;
      i767 = i175;
     } else {
      i766 = i768;
      i767 = 0;
     }
    }
    i175 = get32(i155 + 12 | 0) | 0;
    if ((i175 | 0) != 0 ? (i177 = get32(i175 + 44 | 0) | 0, (i177 | 0) > (i767 | 0)) : 0) {
     set32(i142 | 0, i177 | 0);
     i770 = i177;
    } else i770 = i767;
    i177 = i155 + 16 | 0;
    if (!(get16(i155 + 2 | 0) & 2048)) {
     i175 = get32(i177 | 0) | 0;
     if (!i175) {
      i771 = i770;
      i157 = 3210;
     } else {
      i163 = get32(i175 | 0) | 0;
      if ((i163 | 0) > 0) {
       i158 = get32(i175 + 12 | 0) | 0;
       i175 = i770;
       i210 = 0;
       while (1) {
        i176 = get32(i158 + (i210 * 20 | 0) | 0) | 0;
        if ((i176 | 0) != 0 ? (i152 = get32(i176 + 44 | 0) | 0, (i152 | 0) > (i175 | 0)) : 0) {
         set32(i142 | 0, i152 | 0);
         i772 = i152;
        } else i772 = i175;
        i210 = i210 + 1 | 0;
        if ((i210 | 0) == (i163 | 0)) {
         i773 = i772;
         break;
        } else i175 = i772;
       }
      } else i773 = i770;
      i175 = i773 + 1 | 0;
      set32(i155 + 44 | 0, i175 | 0);
      i774 = i175;
     }
    } else {
     _heightOfSelect(get32(i177 | 0) | 0, i142);
     i771 = get32(i142 | 0) | 0;
     i157 = 3210;
    }
    if ((i157 | 0) == 3210) {
     i175 = i771 + 1 | 0;
     set32(i155 + 44 | 0, i175 | 0);
     i774 = i175;
    }
    i175 = get32((get32(i149 | 0) | 0) + 84 | 0) | 0;
    if ((i175 | 0) < (i774 | 0)) {
     set32(i84 | 0, i175 | 0);
     _sqlite3ErrorMsg(i149, 29585, i84);
    }
    set32(i144 | 0, i155 | 0);
    set32(i177 | 0, get32(i1 + 12 + (i150 + -1 << 4) + 4 | 0) | 0);
    i175 = get32(i144 | 0) | 0;
    i163 = i175 + 2 | 0;
    set16(i163 | 0, getU16(i163 | 0) | 2048 | 0);
    _sqlite3ExprSetHeight(i149, i175);
    i764 = i175;
    i765 = i144;
   }
   if (get32(i1 + 12 + (i150 + -3 << 4) + 4 | 0) | 0) {
    i175 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, 19, 0, 1) | 0;
    if (i175) {
     i163 = i175 + 8 | 0;
     if (!i764) {
      i210 = get32(i163 | 0) | 0;
      set32(i142 | 0, 0 | 0);
      if (!i210) {
       i775 = i142;
       i776 = 0;
      } else {
       i777 = i142;
       i778 = i210;
       i157 = 3257;
      }
     } else {
      set32(i163 | 0, i764 | 0);
      if (get16(i764 + 2 | 0) & 256) {
       i163 = i175 + 2 | 0;
       set16(i163 | 0, getU16(i163 | 0) | 256 | 0);
       set32(i175 + 20 | 0, get32(i764 + 20 | 0) | 0);
      }
      set32(i142 | 0, 0 | 0);
      i777 = i142;
      i778 = i764;
      i157 = 3257;
     }
     if ((i157 | 0) == 3257) {
      i163 = get32(i778 + 44 | 0) | 0;
      if ((i163 | 0) > 0) {
       set32(i142 | 0, i163 | 0);
       i775 = i777;
       i776 = i163;
      } else {
       i775 = i777;
       i776 = 0;
      }
     }
     i163 = get32(i175 + 12 | 0) | 0;
     if ((i163 | 0) != 0 ? (i210 = get32(i163 + 44 | 0) | 0, (i210 | 0) > (i776 | 0)) : 0) {
      set32(i142 | 0, i210 | 0);
      i779 = i210;
     } else i779 = i776;
     i210 = i175 + 16 | 0;
     if (!(get16(i175 + 2 | 0) & 2048)) {
      i163 = get32(i210 | 0) | 0;
      if (!i163) {
       i780 = i779;
       i157 = 3271;
      } else {
       i158 = get32(i163 | 0) | 0;
       if ((i158 | 0) > 0) {
        i187 = get32(i163 + 12 | 0) | 0;
        i163 = i779;
        i160 = 0;
        while (1) {
         i181 = get32(i187 + (i160 * 20 | 0) | 0) | 0;
         if ((i181 | 0) != 0 ? (i159 = get32(i181 + 44 | 0) | 0, (i159 | 0) > (i163 | 0)) : 0) {
          set32(i142 | 0, i159 | 0);
          i781 = i159;
         } else i781 = i163;
         i160 = i160 + 1 | 0;
         if ((i160 | 0) == (i158 | 0)) {
          i782 = i781;
          break;
         } else i163 = i781;
        }
       } else i782 = i779;
       i163 = i782 + 1 | 0;
       set32(i175 + 44 | 0, i163 | 0);
       i783 = i163;
      }
     } else {
      _heightOfSelect(get32(i210 | 0) | 0, i142);
      i780 = get32(i142 | 0) | 0;
      i157 = 3271;
     }
     if ((i157 | 0) == 3271) {
      i163 = i780 + 1 | 0;
      set32(i175 + 44 | 0, i163 | 0);
      i783 = i163;
     }
     i163 = get32((get32(i149 | 0) | 0) + 84 | 0) | 0;
     if ((i163 | 0) < (i783 | 0)) {
      set32(i83 | 0, i163 | 0);
      _sqlite3ErrorMsg(i149, 29585, i83);
     }
    } else _sqlite3ExprDelete(get32(i149 | 0) | 0, i764);
    set32(i765 | 0, i175 | 0);
   }
   set32(i144 + 4 | 0, get32(i1 + 12 + (i161 << 4) + 8 | 0) | 0);
   set32(i144 + 8 | 0, (get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0) + (get32(i1 + 12 + (i150 << 4) + 8 | 0) | 0) | 0);
   break;
  }
 case 230:
  {
   i163 = i150 + -1 | 0;
   i158 = i1 + 12 + (i163 << 4) + 4 | 0;
   i160 = i1 + 12 + (i150 << 4) + 4 | 0;
   i187 = _sqlite3SrcListAppend(get32(i149 | 0) | 0, 0, i158, i160) | 0;
   i177 = i150 + -3 | 0;
   i155 = get32(i1 + 12 + (i177 << 4) + 4 | 0) | 0;
   i159 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, 72, 0, 1) | 0;
   if (!i159) {
    _sqlite3ExprDelete(get32(i149 | 0) | 0, i155);
    set32(i144 | 0, 0 | 0);
    _sqlite3SrcListDelete(get32(i149 | 0) | 0, i187);
    i784 = 0;
    i785 = i144;
   } else {
    i181 = i159 + 8 | 0;
    if (!i155) {
     i151 = get32(i181 | 0) | 0;
     set32(i142 | 0, 0 | 0);
     if (!i151) {
      i786 = i142;
      i787 = 0;
     } else {
      i788 = i142;
      i789 = i151;
      i157 = 3283;
     }
    } else {
     set32(i181 | 0, i155 | 0);
     if (get16(i155 + 2 | 0) & 256) {
      i181 = i159 + 2 | 0;
      set16(i181 | 0, getU16(i181 | 0) | 256 | 0);
      set32(i159 + 20 | 0, get32(i155 + 20 | 0) | 0);
     }
     set32(i142 | 0, 0 | 0);
     i788 = i142;
     i789 = i155;
     i157 = 3283;
    }
    if ((i157 | 0) == 3283) {
     i155 = get32(i789 + 44 | 0) | 0;
     if ((i155 | 0) > 0) {
      set32(i142 | 0, i155 | 0);
      i786 = i788;
      i787 = i155;
     } else {
      i786 = i788;
      i787 = 0;
     }
    }
    i155 = get32(i159 + 12 | 0) | 0;
    if ((i155 | 0) != 0 ? (i181 = get32(i155 + 44 | 0) | 0, (i181 | 0) > (i787 | 0)) : 0) {
     set32(i142 | 0, i181 | 0);
     i790 = i181;
    } else i790 = i787;
    i181 = i159 + 16 | 0;
    if (!(get16(i159 + 2 | 0) & 2048)) {
     i155 = get32(i181 | 0) | 0;
     if (!i155) {
      i791 = i790;
      i157 = 3297;
     } else {
      i151 = get32(i155 | 0) | 0;
      if ((i151 | 0) > 0) {
       i182 = get32(i155 + 12 | 0) | 0;
       i155 = i790;
       i152 = 0;
       while (1) {
        i176 = get32(i182 + (i152 * 20 | 0) | 0) | 0;
        if ((i176 | 0) != 0 ? (i211 = get32(i176 + 44 | 0) | 0, (i211 | 0) > (i155 | 0)) : 0) {
         set32(i142 | 0, i211 | 0);
         i792 = i211;
        } else i792 = i155;
        i152 = i152 + 1 | 0;
        if ((i152 | 0) == (i151 | 0)) {
         i793 = i792;
         break;
        } else i155 = i792;
       }
      } else i793 = i790;
      i155 = i793 + 1 | 0;
      set32(i159 + 44 | 0, i155 | 0);
      i794 = i155;
     }
    } else {
     _heightOfSelect(get32(i181 | 0) | 0, i142);
     i791 = get32(i142 | 0) | 0;
     i157 = 3297;
    }
    if ((i157 | 0) == 3297) {
     i155 = i791 + 1 | 0;
     set32(i159 + 44 | 0, i155 | 0);
     i794 = i155;
    }
    i155 = get32((get32(i149 | 0) | 0) + 84 | 0) | 0;
    if ((i155 | 0) < (i794 | 0)) {
     set32(i82 | 0, i155 | 0);
     _sqlite3ErrorMsg(i149, 29585, i82);
    }
    set32(i144 | 0, i159 | 0);
    set32(i181 | 0, _sqlite3SelectNew(i149, 0, i187, 0, 0, 0, 0, 0, 0, 0) | 0 | 0);
    i155 = get32(i144 | 0) | 0;
    i151 = i155 + 2 | 0;
    set16(i151 | 0, getU16(i151 | 0) | 2048 | 0);
    _sqlite3ExprSetHeight(i149, i155);
    i784 = i155;
    i785 = i144;
   }
   if (get32(i1 + 12 + (i150 + -2 << 4) + 4 | 0) | 0) {
    i155 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, 19, 0, 1) | 0;
    if (i155) {
     i151 = i155 + 8 | 0;
     if (!i784) {
      i152 = get32(i151 | 0) | 0;
      set32(i142 | 0, 0 | 0);
      if (!i152) {
       i795 = i142;
       i796 = 0;
      } else {
       i797 = i142;
       i798 = i152;
       i157 = 3311;
      }
     } else {
      set32(i151 | 0, i784 | 0);
      if (get16(i784 + 2 | 0) & 256) {
       i151 = i155 + 2 | 0;
       set16(i151 | 0, getU16(i151 | 0) | 256 | 0);
       set32(i155 + 20 | 0, get32(i784 + 20 | 0) | 0);
      }
      set32(i142 | 0, 0 | 0);
      i797 = i142;
      i798 = i784;
      i157 = 3311;
     }
     if ((i157 | 0) == 3311) {
      i151 = get32(i798 + 44 | 0) | 0;
      if ((i151 | 0) > 0) {
       set32(i142 | 0, i151 | 0);
       i795 = i797;
       i796 = i151;
      } else {
       i795 = i797;
       i796 = 0;
      }
     }
     i151 = get32(i155 + 12 | 0) | 0;
     if ((i151 | 0) != 0 ? (i152 = get32(i151 + 44 | 0) | 0, (i152 | 0) > (i796 | 0)) : 0) {
      set32(i142 | 0, i152 | 0);
      i799 = i152;
     } else i799 = i796;
     i152 = i155 + 16 | 0;
     if (!(get16(i155 + 2 | 0) & 2048)) {
      i151 = get32(i152 | 0) | 0;
      if (!i151) {
       i800 = i799;
       i157 = 3325;
      } else {
       i182 = get32(i151 | 0) | 0;
       if ((i182 | 0) > 0) {
        i161 = get32(i151 + 12 | 0) | 0;
        i151 = i799;
        i175 = 0;
        while (1) {
         i210 = get32(i161 + (i175 * 20 | 0) | 0) | 0;
         if ((i210 | 0) != 0 ? (i211 = get32(i210 + 44 | 0) | 0, (i211 | 0) > (i151 | 0)) : 0) {
          set32(i142 | 0, i211 | 0);
          i801 = i211;
         } else i801 = i151;
         i175 = i175 + 1 | 0;
         if ((i175 | 0) == (i182 | 0)) {
          i802 = i801;
          break;
         } else i151 = i801;
        }
       } else i802 = i799;
       i151 = i802 + 1 | 0;
       set32(i155 + 44 | 0, i151 | 0);
       i803 = i151;
      }
     } else {
      _heightOfSelect(get32(i152 | 0) | 0, i142);
      i800 = get32(i142 | 0) | 0;
      i157 = 3325;
     }
     if ((i157 | 0) == 3325) {
      i151 = i800 + 1 | 0;
      set32(i155 + 44 | 0, i151 | 0);
      i803 = i151;
     }
     i151 = get32((get32(i149 | 0) | 0) + 84 | 0) | 0;
     if ((i151 | 0) < (i803 | 0)) {
      set32(i81 | 0, i151 | 0);
      _sqlite3ErrorMsg(i149, 29585, i81);
     }
    } else _sqlite3ExprDelete(get32(i149 | 0) | 0, i784);
    set32(i785 | 0, i155 | 0);
   }
   set32(i144 + 4 | 0, get32(i1 + 12 + (i177 << 4) + 8 | 0) | 0);
   i151 = get32(i160 | 0) | 0;
   if (!i151) i804 = (get32(i158 | 0) | 0) + (get32(i1 + 12 + (i163 << 4) + 8 | 0) | 0) | 0; else i804 = i151 + (get32(i1 + 12 + (i150 << 4) + 8 | 0) | 0) | 0;
   set32(i144 + 8 | 0, i804 | 0);
   break;
  }
 case 231:
  {
   i151 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, 20, 0, 1) | 0;
   if (!i151) {
    set32(i144 | 0, 0 | 0);
    i182 = get32(i149 | 0) | 0;
    i175 = get32(i1 + 12 + (i150 + -1 << 4) + 4 | 0) | 0;
    if (i175) {
     i161 = get32(i175 | 0) | 0;
     if (i161) {
      i187 = i161 + 12 | 0;
      if ((get32(i161 | 0) | 0) > 0) {
       i181 = 0;
       i159 = get32(i187 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i182, get32(i159 | 0) | 0);
        _sqlite3DbFree(i182, get32(i159 + 4 | 0) | 0);
        _sqlite3DbFree(i182, get32(i159 + 8 | 0) | 0);
        i181 = i181 + 1 | 0;
        if ((i181 | 0) >= (get32(i161 | 0) | 0)) break; else i159 = i159 + 20 | 0;
       }
      }
      _sqlite3DbFree(i182, get32(i187 | 0) | 0);
      _sqlite3DbFree(i182, i161);
     }
     _sqlite3SrcListDelete(i182, get32(i175 + 8 | 0) | 0);
     _sqlite3ExprDelete(i182, get32(i175 + 12 | 0) | 0);
     i159 = get32(i175 + 16 | 0) | 0;
     if (i159) {
      i181 = i159 + 12 | 0;
      if ((get32(i159 | 0) | 0) > 0) {
       i163 = 0;
       i158 = get32(i181 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i182, get32(i158 | 0) | 0);
        _sqlite3DbFree(i182, get32(i158 + 4 | 0) | 0);
        _sqlite3DbFree(i182, get32(i158 + 8 | 0) | 0);
        i163 = i163 + 1 | 0;
        if ((i163 | 0) >= (get32(i159 | 0) | 0)) break; else i158 = i158 + 20 | 0;
       }
      }
      _sqlite3DbFree(i182, get32(i181 | 0) | 0);
      _sqlite3DbFree(i182, i159);
     }
     _sqlite3ExprDelete(i182, get32(i175 + 20 | 0) | 0);
     i158 = get32(i175 + 24 | 0) | 0;
     if (i158) {
      i163 = i158 + 12 | 0;
      if ((get32(i158 | 0) | 0) > 0) {
       i161 = 0;
       i187 = get32(i163 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i182, get32(i187 | 0) | 0);
        _sqlite3DbFree(i182, get32(i187 + 4 | 0) | 0);
        _sqlite3DbFree(i182, get32(i187 + 8 | 0) | 0);
        i161 = i161 + 1 | 0;
        if ((i161 | 0) >= (get32(i158 | 0) | 0)) break; else i187 = i187 + 20 | 0;
       }
      }
      _sqlite3DbFree(i182, get32(i163 | 0) | 0);
      _sqlite3DbFree(i182, i158);
     }
     i187 = get32(i175 + 28 | 0) | 0;
     if (i187) {
      i161 = get32(i187 | 0) | 0;
      if (i161) {
       i159 = i161 + 12 | 0;
       if ((get32(i161 | 0) | 0) > 0) {
        i181 = 0;
        i160 = get32(i159 | 0) | 0;
        while (1) {
         _sqlite3ExprDelete(i182, get32(i160 | 0) | 0);
         _sqlite3DbFree(i182, get32(i160 + 4 | 0) | 0);
         _sqlite3DbFree(i182, get32(i160 + 8 | 0) | 0);
         i181 = i181 + 1 | 0;
         if ((i181 | 0) >= (get32(i161 | 0) | 0)) break; else i160 = i160 + 20 | 0;
        }
       }
       _sqlite3DbFree(i182, get32(i159 | 0) | 0);
       _sqlite3DbFree(i182, i161);
      }
      _sqlite3SrcListDelete(i182, get32(i187 + 8 | 0) | 0);
      _sqlite3ExprDelete(i182, get32(i187 + 12 | 0) | 0);
      i160 = get32(i187 + 16 | 0) | 0;
      if (i160) {
       i181 = i160 + 12 | 0;
       if ((get32(i160 | 0) | 0) > 0) {
        i158 = 0;
        i163 = get32(i181 | 0) | 0;
        while (1) {
         _sqlite3ExprDelete(i182, get32(i163 | 0) | 0);
         _sqlite3DbFree(i182, get32(i163 + 4 | 0) | 0);
         _sqlite3DbFree(i182, get32(i163 + 8 | 0) | 0);
         i158 = i158 + 1 | 0;
         if ((i158 | 0) >= (get32(i160 | 0) | 0)) break; else i163 = i163 + 20 | 0;
        }
       }
       _sqlite3DbFree(i182, get32(i181 | 0) | 0);
       _sqlite3DbFree(i182, i160);
      }
      _sqlite3ExprDelete(i182, get32(i187 + 20 | 0) | 0);
      i163 = get32(i187 + 24 | 0) | 0;
      if (i163) {
       i158 = i163 + 12 | 0;
       if ((get32(i163 | 0) | 0) > 0) {
        i161 = 0;
        i159 = get32(i158 | 0) | 0;
        while (1) {
         _sqlite3ExprDelete(i182, get32(i159 | 0) | 0);
         _sqlite3DbFree(i182, get32(i159 + 4 | 0) | 0);
         _sqlite3DbFree(i182, get32(i159 + 8 | 0) | 0);
         i161 = i161 + 1 | 0;
         if ((i161 | 0) >= (get32(i163 | 0) | 0)) break; else i159 = i159 + 20 | 0;
        }
       }
       _sqlite3DbFree(i182, get32(i158 | 0) | 0);
       _sqlite3DbFree(i182, i163);
      }
      _sqlite3SelectDelete(i182, get32(i187 + 28 | 0) | 0);
      _sqlite3ExprDelete(i182, get32(i187 + 40 | 0) | 0);
      _sqlite3ExprDelete(i182, get32(i187 + 44 | 0) | 0);
      _sqlite3DbFree(i182, i187);
     }
     _sqlite3ExprDelete(i182, get32(i175 + 40 | 0) | 0);
     _sqlite3ExprDelete(i182, get32(i175 + 44 | 0) | 0);
     _sqlite3DbFree(i182, i175);
    }
   } else {
    set32(i142 | 0, 0 | 0);
    i159 = get32(i151 + 8 | 0) | 0;
    if ((i159 | 0) != 0 ? (i161 = get32(i159 + 44 | 0) | 0, (i161 | 0) > 0) : 0) {
     set32(i142 | 0, i161 | 0);
     i805 = i161;
    } else i805 = 0;
    i161 = get32(i151 + 12 | 0) | 0;
    if ((i161 | 0) != 0 ? (i159 = get32(i161 + 44 | 0) | 0, (i159 | 0) > (i805 | 0)) : 0) {
     set32(i142 | 0, i159 | 0);
     i806 = i159;
    } else i806 = i805;
    i159 = i151 + 2 | 0;
    i161 = i151 + 16 | 0;
    if (!(get16(i159 | 0) & 2048)) {
     i160 = get32(i161 | 0) | 0;
     if (!i160) {
      i807 = i806;
      i157 = 3350;
     } else {
      i181 = get32(i160 | 0) | 0;
      if ((i181 | 0) > 0) {
       i177 = get32(i160 + 12 | 0) | 0;
       i160 = i806;
       i155 = 0;
       while (1) {
        i152 = get32(i177 + (i155 * 20 | 0) | 0) | 0;
        if ((i152 | 0) != 0 ? (i211 = get32(i152 + 44 | 0) | 0, (i211 | 0) > (i160 | 0)) : 0) {
         set32(i142 | 0, i211 | 0);
         i808 = i211;
        } else i808 = i160;
        i155 = i155 + 1 | 0;
        if ((i155 | 0) == (i181 | 0)) {
         i809 = i808;
         break;
        } else i160 = i808;
       }
      } else i809 = i806;
      i160 = i809 + 1 | 0;
      set32(i151 + 44 | 0, i160 | 0);
      i810 = i160;
     }
    } else {
     _heightOfSelect(get32(i161 | 0) | 0, i142);
     i807 = get32(i142 | 0) | 0;
     i157 = 3350;
    }
    if ((i157 | 0) == 3350) {
     i160 = i807 + 1 | 0;
     set32(i151 + 44 | 0, i160 | 0);
     i810 = i160;
    }
    i160 = get32((get32(i149 | 0) | 0) + 84 | 0) | 0;
    if ((i160 | 0) < (i810 | 0)) {
     set32(i80 | 0, i160 | 0);
     _sqlite3ErrorMsg(i149, 29585, i80);
    }
    set32(i144 | 0, i151 | 0);
    set32(i161 | 0, get32(i1 + 12 + (i150 + -1 << 4) + 4 | 0) | 0);
    set16(i159 | 0, getU16(i159 | 0) | 2048 | 0);
    _sqlite3ExprSetHeight(i149, i151);
   }
   set32(i144 + 4 | 0, get32(i1 + 12 + (i150 + -3 << 4) + 4 | 0) | 0);
   set32(i144 + 8 | 0, (get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0) + (get32(i1 + 12 + (i150 << 4) + 8 | 0) | 0) | 0);
   break;
  }
 case 232:
  {
   i160 = get32(i1 + 12 + (i150 + -3 << 4) + 4 | 0) | 0;
   i181 = get32(i1 + 12 + (i150 + -1 << 4) + 4 | 0) | 0;
   i155 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, 134, 0, 1) | 0;
   i177 = get32(i149 | 0) | 0;
   if (!i155) {
    _sqlite3ExprDelete(i177, i160);
    _sqlite3ExprDelete(i177, i181);
    i175 = get32(i149 | 0) | 0;
    set32(i144 | 0, 0 | 0);
    i182 = get32(i1 + 12 + (i150 + -2 << 4) + 4 | 0) | 0;
    if (i182) {
     i187 = i182 + 12 | 0;
     if ((get32(i182 | 0) | 0) > 0) {
      i163 = 0;
      i158 = get32(i187 | 0) | 0;
      while (1) {
       _sqlite3ExprDelete(i175, get32(i158 | 0) | 0);
       _sqlite3DbFree(i175, get32(i158 + 4 | 0) | 0);
       _sqlite3DbFree(i175, get32(i158 + 8 | 0) | 0);
       i163 = i163 + 1 | 0;
       if ((i163 | 0) >= (get32(i182 | 0) | 0)) break; else i158 = i158 + 20 | 0;
      }
     }
     _sqlite3DbFree(i175, get32(i187 | 0) | 0);
     _sqlite3DbFree(i175, i182);
    }
   } else {
    if ((i181 | 0) != 0 ? (set32(i155 + 12 | 0, i181 | 0), (get16(i181 + 2 | 0) & 256) != 0) : 0) {
     i158 = i155 + 2 | 0;
     set16(i158 | 0, getU16(i158 | 0) | 256 | 0);
     set32(i155 + 20 | 0, get32(i181 + 20 | 0) | 0);
    }
    i158 = i155 + 8 | 0;
    if (!i160) {
     i163 = get32(i158 | 0) | 0;
     set32(i142 | 0, 0 | 0);
     if (!i163) {
      i811 = 0;
      i812 = i142;
     } else {
      i813 = i163;
      i814 = i142;
      i157 = 3399;
     }
    } else {
     set32(i158 | 0, i160 | 0);
     if (get16(i160 + 2 | 0) & 256) {
      i158 = i155 + 2 | 0;
      set16(i158 | 0, getU16(i158 | 0) | 256 | 0);
      set32(i155 + 20 | 0, get32(i160 + 20 | 0) | 0);
     }
     set32(i142 | 0, 0 | 0);
     i813 = i160;
     i814 = i142;
     i157 = 3399;
    }
    if ((i157 | 0) == 3399) {
     i158 = get32(i813 + 44 | 0) | 0;
     if ((i158 | 0) > 0) {
      set32(i142 | 0, i158 | 0);
      i811 = i158;
      i812 = i814;
     } else {
      i811 = 0;
      i812 = i814;
     }
    }
    i158 = get32(i155 + 12 | 0) | 0;
    if ((i158 | 0) != 0 ? (i163 = get32(i158 + 44 | 0) | 0, (i163 | 0) > (i811 | 0)) : 0) {
     set32(i142 | 0, i163 | 0);
     i815 = i163;
    } else i815 = i811;
    i163 = i155 + 16 | 0;
    if (!(get16(i155 + 2 | 0) & 2048)) {
     i158 = get32(i163 | 0) | 0;
     if (!i158) {
      i816 = i815;
      i817 = i177;
      i157 = 3413;
     } else {
      i151 = get32(i158 | 0) | 0;
      if ((i151 | 0) > 0) {
       i159 = get32(i158 + 12 | 0) | 0;
       i158 = i815;
       i161 = 0;
       while (1) {
        i211 = get32(i159 + (i161 * 20 | 0) | 0) | 0;
        if ((i211 | 0) != 0 ? (i152 = get32(i211 + 44 | 0) | 0, (i152 | 0) > (i158 | 0)) : 0) {
         set32(i142 | 0, i152 | 0);
         i818 = i152;
        } else i818 = i158;
        i161 = i161 + 1 | 0;
        if ((i161 | 0) == (i151 | 0)) {
         i819 = i818;
         break;
        } else i158 = i818;
       }
      } else i819 = i815;
      i158 = i819 + 1 | 0;
      set32(i155 + 44 | 0, i158 | 0);
      i820 = i177;
      i821 = i158;
     }
    } else {
     _heightOfSelect(get32(i163 | 0) | 0, i142);
     i816 = get32(i142 | 0) | 0;
     i817 = get32(i149 | 0) | 0;
     i157 = 3413;
    }
    if ((i157 | 0) == 3413) {
     i158 = i816 + 1 | 0;
     set32(i155 + 44 | 0, i158 | 0);
     i820 = i817;
     i821 = i158;
    }
    i158 = get32(i820 + 84 | 0) | 0;
    if ((i158 | 0) < (i821 | 0)) {
     set32(i79 | 0, i158 | 0);
     _sqlite3ErrorMsg(i149, 29585, i79);
    }
    set32(i144 | 0, i155 | 0);
    set32(i163 | 0, get32(i1 + 12 + (i150 + -2 << 4) + 4 | 0) | 0);
    _sqlite3ExprSetHeight(i149, get32(i144 | 0) | 0);
   }
   set32(i144 + 4 | 0, get32(i1 + 12 + (i150 + -4 << 4) + 4 | 0) | 0);
   set32(i144 + 8 | 0, (get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0) + (get32(i1 + 12 + (i150 << 4) + 8 | 0) | 0) | 0);
   break;
  }
 case 233:
  {
   i158 = _sqlite3ExprListAppend(get32(i149 | 0) | 0, get32(i1 + 12 + (i150 + -4 << 4) + 4 | 0) | 0, get32(i1 + 12 + (i150 + -2 << 4) + 4 | 0) | 0) | 0;
   set32(i144 | 0, i158 | 0);
   set32(i144 | 0, _sqlite3ExprListAppend(get32(i149 | 0) | 0, i158, get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0) | 0 | 0);
   break;
  }
 case 234:
  {
   i158 = _sqlite3ExprListAppend(get32(i149 | 0) | 0, 0, get32(i1 + 12 + (i150 + -2 << 4) + 4 | 0) | 0) | 0;
   set32(i144 | 0, i158 | 0);
   set32(i144 | 0, _sqlite3ExprListAppend(get32(i149 | 0) | 0, i158, get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0) | 0 | 0);
   break;
  }
 case 243:
  {
   _sqlite3CreateIndex(i149, i1 + 12 + (i150 + -6 << 4) + 4 | 0, i1 + 12 + (i150 + -5 << 4) + 4 | 0, _sqlite3SrcListAppend(get32(i149 | 0) | 0, 0, i1 + 12 + (i150 + -3 << 4) + 4 | 0, 0) | 0, get32(i1 + 12 + (i150 + -1 << 4) + 4 | 0) | 0, get32(i1 + 12 + (i150 + -9 << 4) + 4 | 0) | 0, i1 + 12 + (i150 + -10 << 4) + 4 | 0, i1 + 12 + (i150 << 4) + 4 | 0, 0, get32(i1 + 12 + (i150 + -7 << 4) + 4 | 0) | 0) | 0;
   break;
  }
 case 298:
 case 244:
  {
   set32(i144 | 0, 2 | 0);
   break;
  }
 case 245:
  {
   set32(i144 | 0, 0 | 0);
   break;
  }
 case 248:
  {
   i158 = i150 + -1 | 0;
   if (!(get32(i1 + 12 + (i158 << 4) + 8 | 0) | 0)) {
    i822 = i149;
    i823 = 0;
   } else {
    i151 = get32(i149 | 0) | 0;
    set32(i142 | 0, 0 | 0);
    set32(i142 + 4 | 0, 0 | 0);
    i161 = _sqlite3ExprAlloc(i151, 152, i142, 0) | 0;
    _sqlite3ExprSetCollByToken(i149, i161, i1 + 12 + (i158 << 4) + 4 | 0) | 0;
    i822 = i149;
    i823 = i161;
   }
   i161 = _sqlite3ExprListAppend(get32(i822 | 0) | 0, get32(i1 + 12 + (i150 + -4 << 4) + 4 | 0) | 0, i823) | 0;
   set32(i144 | 0, i161 | 0);
   i158 = i150 + -2 | 0;
   if (i161) {
    i151 = (get32(i161 | 0) | 0) + -1 | 0;
    i159 = get32(i161 + 12 | 0) | 0;
    i161 = get32(i1 + 12 + (i158 << 4) + 4 | 0) | 0;
    i160 = get32(i1 + 12 + (i158 << 4) + 8 | 0) | 0;
    L4870 : do if (!i161) i157 = 3474; else {
     i158 = get32(i822 | 0) | 0;
     i181 = i160 + 1 | 0;
     L4872 : do if (!i158) {
      if (i160 >>> 0 > 2147483390) {
       i157 = 3474;
       break L4870;
      }
      if (!(get32(50 * 4 | 0) | 0)) {
       i824 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i181) | 0;
       i157 = 3473;
       break;
      }
      i182 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i181) | 0;
      set32(35 * 4 | 0, i181 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i181 | 0)) set32(45 * 4 | 0, i181 | 0);
      i175 = get32(6 * 4 | 0) | 0;
      do if (i175) {
       i187 = get32(30 * 4 | 0) | 0;
       i152 = ((i187 | 0) < 0) << 31 >> 31;
       i211 = 16;
       i210 = _i64Subtract(get32(i211 | 0) | 0, get32(i211 + 4 | 0) | 0, i182 | 0, ((i182 | 0) < 0) << 31 >> 31 | 0) | 0;
       i211 = tempRet0;
       if ((i152 | 0) < (i211 | 0) | (i152 | 0) == (i211 | 0) & i187 >>> 0 < i210 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i210 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i175 & 15](i210, i187, i152, i182);
        set32(6 * 4 | 0, i175 | 0);
        set32(7 * 4 | 0, i210 | 0);
        break;
       }
      } while (0);
      i175 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i182) | 0;
      if (!i175) {
       i157 = 3474;
       break L4870;
      }
      i210 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i175) | 0;
      i152 = (get32(30 * 4 | 0) | 0) + i210 | 0;
      set32(30 * 4 | 0, i152 | 0);
      if ((i152 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i152 | 0);
      i152 = get32(39 * 4 | 0) | 0;
      i210 = i152 + 1 | 0;
      set32(39 * 4 | 0, i210 | 0);
      if ((i152 | 0) < (get32(49 * 4 | 0) | 0)) i825 = i175; else {
       set32(49 * 4 | 0, i210 | 0);
       i825 = i175;
      }
     } else {
      i175 = i158 + 30 | 0;
      if (get8(i175 >> 0 | 0) | 0) {
       i157 = 3474;
       break L4870;
      }
      do if (get8(i158 + 234 >> 0 | 0) | 0) {
       if ((getU16(i158 + 232 | 0) | 0) < (i181 | 0)) {
        i210 = i158 + 248 | 0;
        set32(i210 | 0, (get32(i210 | 0) | 0) + 1 | 0);
        break;
       }
       i210 = i158 + 256 | 0;
       i152 = get32(i210 | 0) | 0;
       if (!i152) {
        i187 = i158 + 252 | 0;
        set32(i187 | 0, (get32(i187 | 0) | 0) + 1 | 0);
        break;
       }
       set32(i210 | 0, get32(i152 | 0) | 0);
       i210 = i158 + 236 | 0;
       i187 = get32(i210 | 0) | 0;
       i211 = i187 + 1 | 0;
       set32(i210 | 0, i211 | 0);
       i210 = i158 + 244 | 0;
       set32(i210 | 0, (get32(i210 | 0) | 0) + 1 | 0);
       i210 = i158 + 240 | 0;
       if ((i187 | 0) >= (get32(i210 | 0) | 0)) set32(i210 | 0, i211 | 0);
       i824 = i152;
       i157 = 3473;
       break L4872;
      } while (0);
      do if (i160 >>> 0 <= 2147483390) {
       if (!(get32(50 * 4 | 0) | 0)) {
        i182 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i181) | 0;
        if (!i182) break; else {
         i825 = i182;
         break L4872;
        }
       }
       i182 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i181) | 0;
       set32(35 * 4 | 0, i181 | 0);
       if ((get32(45 * 4 | 0) | 0) < (i181 | 0)) set32(45 * 4 | 0, i181 | 0);
       i152 = get32(6 * 4 | 0) | 0;
       do if (i152) {
        i211 = get32(30 * 4 | 0) | 0;
        i210 = ((i211 | 0) < 0) << 31 >> 31;
        i187 = 16;
        i176 = _i64Subtract(get32(i187 | 0) | 0, get32(i187 + 4 | 0) | 0, i182 | 0, ((i182 | 0) < 0) << 31 >> 31 | 0) | 0;
        i187 = tempRet0;
        if ((i210 | 0) < (i187 | 0) | (i210 | 0) == (i187 | 0) & i211 >>> 0 < i176 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i176 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i152 & 15](i176, i211, i210, i182);
         set32(6 * 4 | 0, i152 | 0);
         set32(7 * 4 | 0, i176 | 0);
         break;
        }
       } while (0);
       i152 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i182) | 0;
       if (i152) {
        i180 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i152) | 0;
        i213 = (get32(30 * 4 | 0) | 0) + i180 | 0;
        set32(30 * 4 | 0, i213 | 0);
        if ((i213 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i213 | 0);
        i213 = get32(39 * 4 | 0) | 0;
        i180 = i213 + 1 | 0;
        set32(39 * 4 | 0, i180 | 0);
        if ((i213 | 0) < (get32(49 * 4 | 0) | 0)) {
         i825 = i152;
         break L4872;
        }
        set32(49 * 4 | 0, i180 | 0);
        i825 = i152;
        break L4872;
       }
      } while (0);
      set8(i175 >> 0 | 0, 1 | 0);
      i157 = 3474;
      break L4870;
     } while (0);
     if ((i157 | 0) == 3473) if (!i824) {
      i157 = 3474;
      break;
     } else i825 = i824;
     _memcpy(i825 | 0, i161 | 0, i160 | 0) | 0;
     set8(i825 + i160 >> 0 | 0, 0 | 0);
     set32(i159 + (i151 * 20 | 0) + 4 | 0, i825 | 0);
     i181 = get8(i825 >> 0 | 0) | 0;
     switch (i181 << 24 >> 24 | 0) {
     case 96:
     case 34:
     case 39:
      {
       i826 = i181;
       break;
      }
     case 91:
      {
       i826 = 93;
       break;
      }
     default:
      break L4870;
     }
     i181 = get8(i825 + 1 >> 0 | 0) | 0;
     L4932 : do if (!(i181 << 24 >> 24)) i827 = 0; else {
      i158 = i181;
      i152 = 1;
      i180 = 0;
      while (1) {
       if (i158 << 24 >> 24 == i826 << 24 >> 24) {
        i213 = i152 + 1 | 0;
        if ((get8(i825 + i213 >> 0 | 0) | 0) != i826 << 24 >> 24) {
         i827 = i180;
         break L4932;
        }
        set8(i825 + i180 >> 0 | 0, i826 | 0);
        i828 = i213;
       } else {
        set8(i825 + i180 >> 0 | 0, i158 | 0);
        i828 = i152;
       }
       i213 = i180 + 1 | 0;
       i152 = i828 + 1 | 0;
       i158 = get8(i825 + i152 >> 0 | 0) | 0;
       if (!(i158 << 24 >> 24)) {
        i827 = i213;
        break;
       } else i180 = i213;
      }
     } while (0);
     set8(i825 + i827 >> 0 | 0, 0 | 0);
    } while (0);
    if ((i157 | 0) == 3474) set32(i159 + (i151 * 20 | 0) + 4 | 0, 0 | 0);
    i160 = get32(i144 | 0) | 0;
    if (i160) {
     i161 = get32(i160 | 0) | 0;
     if ((i161 | 0) > (get32((get32(i822 | 0) | 0) + 80 | 0) | 0)) {
      set32(i78 | 0, 28221 | 0);
      _sqlite3ErrorMsg(i149, 33324, i78);
      i163 = get32(i144 | 0) | 0;
      if (!i163) break L1;
      i829 = i163;
      i830 = get32(i163 | 0) | 0;
     } else {
      i829 = i160;
      i830 = i161;
     }
     set8((get32(i829 + 12 | 0) | 0) + ((i830 + -1 | 0) * 20 | 0) + 12 >> 0 | 0, get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0);
    }
   }
   break;
  }
 case 249:
  {
   i161 = i150 + -1 | 0;
   if (!(get32(i1 + 12 + (i161 << 4) + 8 | 0) | 0)) {
    i831 = i149;
    i832 = 0;
   } else {
    i160 = i1 + 12 + (i161 << 4) + 4 | 0;
    i161 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, 152, 0, 1) | 0;
    if (i161) {
     set32(i142 | 0, 0 | 0);
     i163 = get32(i161 + 8 | 0) | 0;
     if ((i163 | 0) != 0 ? (i155 = get32(i163 + 44 | 0) | 0, (i155 | 0) > 0) : 0) {
      set32(i142 | 0, i155 | 0);
      i833 = i155;
     } else i833 = 0;
     i155 = get32(i161 + 12 | 0) | 0;
     if ((i155 | 0) != 0 ? (i163 = get32(i155 + 44 | 0) | 0, (i163 | 0) > (i833 | 0)) : 0) {
      set32(i142 | 0, i163 | 0);
      i834 = i163;
     } else i834 = i833;
     i163 = i161 + 16 | 0;
     if (!(get16(i161 + 2 | 0) & 2048)) {
      i155 = get32(i163 | 0) | 0;
      if (!i155) {
       i835 = i834;
       i157 = 3507;
      } else {
       i177 = get32(i155 | 0) | 0;
       if ((i177 | 0) > 0) {
        i181 = get32(i155 + 12 | 0) | 0;
        i155 = i834;
        i180 = 0;
        while (1) {
         i158 = get32(i181 + (i180 * 20 | 0) | 0) | 0;
         if ((i158 | 0) != 0 ? (i152 = get32(i158 + 44 | 0) | 0, (i152 | 0) > (i155 | 0)) : 0) {
          set32(i142 | 0, i152 | 0);
          i836 = i152;
         } else i836 = i155;
         i180 = i180 + 1 | 0;
         if ((i180 | 0) == (i177 | 0)) {
          i837 = i836;
          break;
         } else i155 = i836;
        }
       } else i837 = i834;
       i155 = i837 + 1 | 0;
       set32(i161 + 44 | 0, i155 | 0);
       i838 = i155;
      }
     } else {
      _heightOfSelect(get32(i163 | 0) | 0, i142);
      i835 = get32(i142 | 0) | 0;
      i157 = 3507;
     }
     if ((i157 | 0) == 3507) {
      i155 = i835 + 1 | 0;
      set32(i161 + 44 | 0, i155 | 0);
      i838 = i155;
     }
     i155 = get32((get32(i149 | 0) | 0) + 84 | 0) | 0;
     if ((i155 | 0) < (i838 | 0)) {
      set32(i77 | 0, i155 | 0);
      _sqlite3ErrorMsg(i149, 29585, i77);
     }
    }
    _sqlite3ExprSetCollByToken(i149, i161, i160) | 0;
    i831 = i149;
    i832 = i161;
   }
   i155 = _sqlite3ExprListAppend(get32(i831 | 0) | 0, 0, i832) | 0;
   set32(i144 | 0, i155 | 0);
   i177 = i150 + -2 | 0;
   if (i155) {
    i180 = (get32(i155 | 0) | 0) + -1 | 0;
    i181 = get32(i155 + 12 | 0) | 0;
    i155 = get32(i1 + 12 + (i177 << 4) + 4 | 0) | 0;
    i151 = get32(i1 + 12 + (i177 << 4) + 8 | 0) | 0;
    L4983 : do if (!i155) i157 = 3554; else {
     i177 = get32(i831 | 0) | 0;
     i159 = i151 + 1 | 0;
     L4985 : do if (!i177) {
      if (i151 >>> 0 > 2147483390) {
       i157 = 3554;
       break L4983;
      }
      if (!(get32(50 * 4 | 0) | 0)) {
       i839 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i159) | 0;
       i157 = 3553;
       break;
      }
      i152 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i159) | 0;
      set32(35 * 4 | 0, i159 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i159 | 0)) set32(45 * 4 | 0, i159 | 0);
      i158 = get32(6 * 4 | 0) | 0;
      do if (i158) {
       i175 = get32(30 * 4 | 0) | 0;
       i213 = ((i175 | 0) < 0) << 31 >> 31;
       i176 = 16;
       i210 = _i64Subtract(get32(i176 | 0) | 0, get32(i176 + 4 | 0) | 0, i152 | 0, ((i152 | 0) < 0) << 31 >> 31 | 0) | 0;
       i176 = tempRet0;
       if ((i213 | 0) < (i176 | 0) | (i213 | 0) == (i176 | 0) & i175 >>> 0 < i210 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i210 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i158 & 15](i210, i175, i213, i152);
        set32(6 * 4 | 0, i158 | 0);
        set32(7 * 4 | 0, i210 | 0);
        break;
       }
      } while (0);
      i158 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i152) | 0;
      if (!i158) {
       i157 = 3554;
       break L4983;
      }
      i210 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i158) | 0;
      i213 = (get32(30 * 4 | 0) | 0) + i210 | 0;
      set32(30 * 4 | 0, i213 | 0);
      if ((i213 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i213 | 0);
      i213 = get32(39 * 4 | 0) | 0;
      i210 = i213 + 1 | 0;
      set32(39 * 4 | 0, i210 | 0);
      if ((i213 | 0) < (get32(49 * 4 | 0) | 0)) i840 = i158; else {
       set32(49 * 4 | 0, i210 | 0);
       i840 = i158;
      }
     } else {
      i158 = i177 + 30 | 0;
      if (get8(i158 >> 0 | 0) | 0) {
       i157 = 3554;
       break L4983;
      }
      do if (get8(i177 + 234 >> 0 | 0) | 0) {
       if ((getU16(i177 + 232 | 0) | 0) < (i159 | 0)) {
        i210 = i177 + 248 | 0;
        set32(i210 | 0, (get32(i210 | 0) | 0) + 1 | 0);
        break;
       }
       i210 = i177 + 256 | 0;
       i213 = get32(i210 | 0) | 0;
       if (!i213) {
        i175 = i177 + 252 | 0;
        set32(i175 | 0, (get32(i175 | 0) | 0) + 1 | 0);
        break;
       }
       set32(i210 | 0, get32(i213 | 0) | 0);
       i210 = i177 + 236 | 0;
       i175 = get32(i210 | 0) | 0;
       i176 = i175 + 1 | 0;
       set32(i210 | 0, i176 | 0);
       i210 = i177 + 244 | 0;
       set32(i210 | 0, (get32(i210 | 0) | 0) + 1 | 0);
       i210 = i177 + 240 | 0;
       if ((i175 | 0) >= (get32(i210 | 0) | 0)) set32(i210 | 0, i176 | 0);
       i839 = i213;
       i157 = 3553;
       break L4985;
      } while (0);
      do if (i151 >>> 0 <= 2147483390) {
       if (!(get32(50 * 4 | 0) | 0)) {
        i152 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i159) | 0;
        if (!i152) break; else {
         i840 = i152;
         break L4985;
        }
       }
       i152 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i159) | 0;
       set32(35 * 4 | 0, i159 | 0);
       if ((get32(45 * 4 | 0) | 0) < (i159 | 0)) set32(45 * 4 | 0, i159 | 0);
       i213 = get32(6 * 4 | 0) | 0;
       do if (i213) {
        i176 = get32(30 * 4 | 0) | 0;
        i210 = ((i176 | 0) < 0) << 31 >> 31;
        i175 = 16;
        i211 = _i64Subtract(get32(i175 | 0) | 0, get32(i175 + 4 | 0) | 0, i152 | 0, ((i152 | 0) < 0) << 31 >> 31 | 0) | 0;
        i175 = tempRet0;
        if ((i210 | 0) < (i175 | 0) | (i210 | 0) == (i175 | 0) & i176 >>> 0 < i211 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i211 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i213 & 15](i211, i176, i210, i152);
         set32(6 * 4 | 0, i213 | 0);
         set32(7 * 4 | 0, i211 | 0);
         break;
        }
       } while (0);
       i213 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i152) | 0;
       if (i213) {
        i182 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i213) | 0;
        i211 = (get32(30 * 4 | 0) | 0) + i182 | 0;
        set32(30 * 4 | 0, i211 | 0);
        if ((i211 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i211 | 0);
        i211 = get32(39 * 4 | 0) | 0;
        i182 = i211 + 1 | 0;
        set32(39 * 4 | 0, i182 | 0);
        if ((i211 | 0) < (get32(49 * 4 | 0) | 0)) {
         i840 = i213;
         break L4985;
        }
        set32(49 * 4 | 0, i182 | 0);
        i840 = i213;
        break L4985;
       }
      } while (0);
      set8(i158 >> 0 | 0, 1 | 0);
      i157 = 3554;
      break L4983;
     } while (0);
     if ((i157 | 0) == 3553) if (!i839) {
      i157 = 3554;
      break;
     } else i840 = i839;
     _memcpy(i840 | 0, i155 | 0, i151 | 0) | 0;
     set8(i840 + i151 >> 0 | 0, 0 | 0);
     set32(i181 + (i180 * 20 | 0) + 4 | 0, i840 | 0);
     i159 = get8(i840 >> 0 | 0) | 0;
     switch (i159 << 24 >> 24 | 0) {
     case 96:
     case 34:
     case 39:
      {
       i841 = i159;
       break;
      }
     case 91:
      {
       i841 = 93;
       break;
      }
     default:
      break L4983;
     }
     i159 = get8(i840 + 1 >> 0 | 0) | 0;
     L5045 : do if (!(i159 << 24 >> 24)) i842 = 0; else {
      i177 = i159;
      i213 = 1;
      i182 = 0;
      while (1) {
       if (i177 << 24 >> 24 == i841 << 24 >> 24) {
        i211 = i213 + 1 | 0;
        if ((get8(i840 + i211 >> 0 | 0) | 0) != i841 << 24 >> 24) {
         i842 = i182;
         break L5045;
        }
        set8(i840 + i182 >> 0 | 0, i841 | 0);
        i843 = i211;
       } else {
        set8(i840 + i182 >> 0 | 0, i177 | 0);
        i843 = i213;
       }
       i211 = i182 + 1 | 0;
       i213 = i843 + 1 | 0;
       i177 = get8(i840 + i213 >> 0 | 0) | 0;
       if (!(i177 << 24 >> 24)) {
        i842 = i211;
        break;
       } else i182 = i211;
      }
     } while (0);
     set8(i840 + i842 >> 0 | 0, 0 | 0);
    } while (0);
    if ((i157 | 0) == 3554) set32(i181 + (i180 * 20 | 0) + 4 | 0, 0 | 0);
    i151 = get32(i144 | 0) | 0;
    if (i151) {
     i155 = get32(i151 | 0) | 0;
     if ((i155 | 0) > (get32((get32(i831 | 0) | 0) + 80 | 0) | 0)) {
      set32(i76 | 0, 28221 | 0);
      _sqlite3ErrorMsg(i149, 33324, i76);
      i844 = get32(i151 | 0) | 0;
     } else i844 = i155;
     set8((get32(i151 + 12 | 0) | 0) + ((i844 + -1 | 0) * 20 | 0) + 12 >> 0 | 0, get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0);
    }
   }
   break;
  }
 case 250:
  {
   set32(i144 | 0, 0 | 0);
   set32(i144 + 4 | 0, 0 | 0);
   break;
  }
 case 252:
  {
   i151 = get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0;
   i155 = get32(i1 + 12 + (i150 + -1 << 4) + 4 | 0) | 0;
   i161 = get32(i149 | 0) | 0;
   L5063 : do if (!(get8(i161 + 30 >> 0 | 0) | 0)) {
    if ((get8(i161 + 124 >> 0 | 0) | 0) == 0 ? (i160 = _sqlite3Init(i161, i149 + 8 | 0) | 0, (i160 | 0) != 0) : 0) {
     set32(i149 + 4 | 0, i160 | 0);
     i160 = i149 + 64 | 0;
     set32(i160 | 0, (get32(i160 | 0) | 0) + 1 | 0);
     break;
    }
    i160 = get32(i151 + 12 | 0) | 0;
    i163 = get32(i151 + 8 | 0) | 0;
    if (!i160) i845 = 0; else {
     i159 = i160;
     while (1) if (!(get8(i159 >> 0 | 0) | 0)) {
      i846 = i159;
      break;
     } else i159 = i159 + 1 | 0;
     i845 = i846 - i160 & 1073741823;
    }
    i159 = i161 + 4 | 0;
    i182 = get32(i159 | 0) | 0;
    if ((i182 | 0) > 0) {
     i177 = i161 + 8 | 0;
     i213 = get32(i177 | 0) | 0;
     i158 = (i163 | 0) == 0;
     i211 = 0;
     i210 = 0;
     while (1) {
      i176 = (i211 | 0) < 2 ^ i211;
      i175 = get32(i213 + (i176 << 4) + 12 | 0) | 0;
      if (!i158) {
       i187 = get32(i213 + (i176 << 4) | 0) | 0;
       i176 = get8(i163 >> 0 | 0) | 0;
       L5080 : do if (!(i176 << 24 >> 24)) {
        i847 = 0;
        i848 = i187;
       } else {
        i188 = i176;
        i153 = i163;
        i154 = i187;
        while (1) {
         if ((get8(16286 + (i188 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i154 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
          i847 = i188;
          i848 = i154;
          break L5080;
         }
         i153 = i153 + 1 | 0;
         i179 = i154 + 1 | 0;
         i188 = get8(i153 >> 0 | 0) | 0;
         if (!(i188 << 24 >> 24)) {
          i847 = 0;
          i848 = i179;
          break;
         } else i154 = i179;
        }
       } while (0);
       if ((get8(16286 + (i847 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i848 >> 0 | 0) | 0) >> 0 | 0) | 0)) i849 = i210; else i157 = 3583;
      } else i157 = 3583;
      if ((i157 | 0) == 3583) {
       i157 = 0;
       i187 = _sqlite3HashFind(i175 + 24 | 0, i160, i845) | 0;
       if (!i187) i849 = i187; else {
        i850 = i187;
        break;
       }
      }
      i211 = i211 + 1 | 0;
      if ((i211 | 0) >= (i182 | 0)) {
       i850 = i849;
       break;
      } else i210 = i849;
     }
     if (i850) {
      if (get8(i850 + 25 >> 0 | 0) | 0) {
       set32(i73 | 0, 0 | 0);
       _sqlite3ErrorMsg(i149, 33696, i73);
       break;
      }
      i210 = get32(i850 + 36 | 0) | 0;
      L5093 : do if (!i210) i851 = -1e6; else {
       i211 = 0;
       while (1) {
        if ((get32(i213 + (i211 << 4) + 12 | 0) | 0) == (i210 | 0)) {
         i851 = i211;
         break L5093;
        }
        i160 = i211 + 1 | 0;
        if ((i160 | 0) < (i182 | 0)) i211 = i160; else {
         i851 = i160;
         break;
        }
       }
      } while (0);
      i182 = get32(i850 + 16 | 0) | 0;
      i210 = get32(i213 + (i851 << 4) | 0) | 0;
      i211 = (i851 | 0) == 1 ? 21655 : 21674;
      i175 = get32(i149 | 0) | 0;
      i160 = get8(i175 + 124 >> 0 | 0) | 0;
      L5098 : do if (!(i160 << 24 >> 24)) if ((get8(i149 + 528 >> 0 | 0) | 0) == 0 ? (i158 = get32(i175 + 268 | 0) | 0, (i158 | 0) != 0) : 0) switch (FUNCTION_TABLE_iiiiiii[i158 & 3](get32(i175 + 272 | 0) | 0, 9, i211, 0, i210, get32(i149 + 516 | 0) | 0) | 0) {
      case 2:
       {
        break L5063;
        break;
       }
      case 1:
       {
        _sqlite3ErrorMsg(i149, 26149, i72);
        set32(i149 + 4 | 0, 23 | 0);
        break L5063;
        break;
       }
      case 0:
       {
        i158 = get32(i149 | 0) | 0;
        i852 = get8(i158 + 124 >> 0 | 0) | 0;
        i853 = i158;
        break L5098;
        break;
       }
      default:
       {
        _sqlite3ErrorMsg(i149, 29155, i71);
        set32(i149 + 4 | 0, 1 | 0);
        break L5063;
       }
      } else {
       i852 = 0;
       i853 = i175;
      } else {
       i852 = i160;
       i853 = i175;
      } while (0);
      i175 = (i851 | 0) == 0 ? 10 : 12;
      i160 = get32(i850 | 0) | 0;
      i213 = get32(i182 | 0) | 0;
      L5107 : do if ((i852 << 24 >> 24 == 0 ? (get8(i149 + 528 >> 0 | 0) | 0) == 0 : 0) ? (i158 = get32(i853 + 268 | 0) | 0, (i158 | 0) != 0) : 0) switch (FUNCTION_TABLE_iiiiiii[i158 & 3](get32(i853 + 272 | 0) | 0, i175, i160, i213, i210, get32(i149 + 516 | 0) | 0) | 0) {
      case 2:
       {
        break L5063;
        break;
       }
      case 0:
       {
        break L5107;
        break;
       }
      case 1:
       {
        _sqlite3ErrorMsg(i149, 26149, i70);
        set32(i149 + 4 | 0, 23 | 0);
        break L5063;
        break;
       }
      default:
       {
        _sqlite3ErrorMsg(i149, 29155, i69);
        set32(i149 + 4 | 0, 1 | 0);
        break L5063;
       }
      } while (0);
      i210 = i149 + 12 | 0;
      i213 = get32(i210 | 0) | 0;
      if (!i213) {
       i160 = get32(i149 | 0) | 0;
       L5117 : do if (!i160) {
        if (!(get32(50 * 4 | 0) | 0)) {
         i854 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
         i157 = 3743;
         break;
        }
        i175 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
        set32(35 * 4 | 0, 192 | 0);
        if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
        i182 = get32(6 * 4 | 0) | 0;
        do if (i182) {
         i158 = get32(30 * 4 | 0) | 0;
         i187 = ((i158 | 0) < 0) << 31 >> 31;
         i176 = 16;
         i154 = _i64Subtract(get32(i176 | 0) | 0, get32(i176 + 4 | 0) | 0, i175 | 0, ((i175 | 0) < 0) << 31 >> 31 | 0) | 0;
         i176 = tempRet0;
         if ((i187 | 0) < (i176 | 0) | (i187 | 0) == (i176 | 0) & i158 >>> 0 < i154 >>> 0) {
          set32(11 * 4 | 0, 0 | 0);
          break;
         } else {
          set32(11 * 4 | 0, 1 | 0);
          i154 = get32(7 * 4 | 0) | 0;
          set32(6 * 4 | 0, 0 | 0);
          FUNCTION_TABLE_viiii[i182 & 15](i154, i158, i187, i175);
          set32(6 * 4 | 0, i182 | 0);
          set32(7 * 4 | 0, i154 | 0);
          break;
         }
        } while (0);
        i182 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i175) | 0;
        if (!i182) i157 = 3753; else {
         i154 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i182) | 0;
         i187 = (get32(30 * 4 | 0) | 0) + i154 | 0;
         set32(30 * 4 | 0, i187 | 0);
         if ((i187 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i187 | 0);
         i187 = get32(39 * 4 | 0) | 0;
         i154 = i187 + 1 | 0;
         set32(39 * 4 | 0, i154 | 0);
         if ((i187 | 0) < (get32(49 * 4 | 0) | 0)) {
          i855 = i182;
          break;
         }
         set32(49 * 4 | 0, i154 | 0);
         i855 = i182;
        }
       } else {
        i182 = i160 + 30 | 0;
        if (!(get8(i182 >> 0 | 0) | 0)) {
         do if (get8(i160 + 234 >> 0 | 0) | 0) {
          if ((getU16(i160 + 232 | 0) | 0) < 192) {
           i154 = i160 + 248 | 0;
           set32(i154 | 0, (get32(i154 | 0) | 0) + 1 | 0);
           break;
          }
          i154 = i160 + 256 | 0;
          i187 = get32(i154 | 0) | 0;
          if (!i187) {
           i158 = i160 + 252 | 0;
           set32(i158 | 0, (get32(i158 | 0) | 0) + 1 | 0);
           break;
          }
          set32(i154 | 0, get32(i187 | 0) | 0);
          i154 = i160 + 236 | 0;
          i158 = get32(i154 | 0) | 0;
          i176 = i158 + 1 | 0;
          set32(i154 | 0, i176 | 0);
          i154 = i160 + 244 | 0;
          set32(i154 | 0, (get32(i154 | 0) | 0) + 1 | 0);
          i154 = i160 + 240 | 0;
          if ((i158 | 0) >= (get32(i154 | 0) | 0)) set32(i154 | 0, i176 | 0);
          i854 = i187;
          i157 = 3743;
          break L5117;
         } while (0);
         do if (!(get32(50 * 4 | 0) | 0)) {
          i175 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
          if (i175) {
           i855 = i175;
           break L5117;
          }
         } else {
          i175 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
          set32(35 * 4 | 0, 192 | 0);
          if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
          i187 = get32(6 * 4 | 0) | 0;
          do if (i187) {
           i176 = get32(30 * 4 | 0) | 0;
           i154 = ((i176 | 0) < 0) << 31 >> 31;
           i158 = 16;
           i188 = _i64Subtract(get32(i158 | 0) | 0, get32(i158 + 4 | 0) | 0, i175 | 0, ((i175 | 0) < 0) << 31 >> 31 | 0) | 0;
           i158 = tempRet0;
           if ((i154 | 0) < (i158 | 0) | (i154 | 0) == (i158 | 0) & i176 >>> 0 < i188 >>> 0) {
            set32(11 * 4 | 0, 0 | 0);
            break;
           } else {
            set32(11 * 4 | 0, 1 | 0);
            i188 = get32(7 * 4 | 0) | 0;
            set32(6 * 4 | 0, 0 | 0);
            FUNCTION_TABLE_viiii[i187 & 15](i188, i176, i154, i175);
            set32(6 * 4 | 0, i187 | 0);
            set32(7 * 4 | 0, i188 | 0);
            break;
           }
          } while (0);
          i187 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i175) | 0;
          if (!i187) break;
          i188 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i187) | 0;
          i154 = (get32(30 * 4 | 0) | 0) + i188 | 0;
          set32(30 * 4 | 0, i154 | 0);
          if ((i154 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i154 | 0);
          i154 = get32(39 * 4 | 0) | 0;
          i188 = i154 + 1 | 0;
          set32(39 * 4 | 0, i188 | 0);
          if ((i154 | 0) < (get32(49 * 4 | 0) | 0)) {
           i855 = i187;
           break L5117;
          }
          set32(49 * 4 | 0, i188 | 0);
          i855 = i187;
          break L5117;
         } while (0);
         set8(i182 >> 0 | 0, 1 | 0);
         i157 = 3753;
        } else i157 = 3753;
       } while (0);
       if ((i157 | 0) == 3743) if (!i854) i157 = 3753; else i855 = i854;
       if ((i157 | 0) == 3753) {
        set32(i210 | 0, 0 | 0);
        break;
       }
       _memset(i855 | 0, 0, 192) | 0;
       set32(i855 | 0, i160 | 0);
       i187 = i160 + 136 | 0;
       i188 = get32(i187 | 0) | 0;
       if (i188) set32(i188 + 60 | 0, i855 | 0);
       set32(i855 + 64 | 0, i188 | 0);
       set32(i855 + 60 | 0, 0 | 0);
       set32(i187 | 0, i855 | 0);
       set32(i855 + 52 | 0, 649915045 | 0);
       set32(i210 | 0, i855 | 0);
       i187 = i855 + 28 | 0;
       i188 = i855 + 32 | 0;
       i154 = i855 + 4 | 0;
       i176 = _sqlite3DbRealloc(i160, 0, 1020) | 0;
       if (!i176) i856 = i855; else {
        i158 = get32(i855 | 0) | 0;
        do if ((i158 | 0) != 0 ? (get32(i158 + 260 | 0) | 0) >>> 0 <= i176 >>> 0 : 0) {
         if ((get32(i158 + 264 | 0) | 0) >>> 0 <= i176 >>> 0) {
          i157 = 3751;
          break;
         }
         i857 = getU16(i158 + 232 | 0) | 0;
        } else i157 = 3751; while (0);
        if ((i157 | 0) == 3751) i857 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i176) | 0;
        set32(i188 | 0, (i857 >>> 0) / 20 | 0 | 0);
        set32(i154 | 0, i176 | 0);
        set32(i187 | 0, (get32(i187 | 0) | 0) + 1 | 0);
        set8(i176 >> 0 | 0, -120 | 0);
        set8(i176 + 1 >> 0 | 0, 0 | 0);
        i168 = i176 + 3 | 0;
        i169 = i168 + 17 | 0;
        do {
         set8(i168 >> 0 | 0, 0 | 0);
         i168 = i168 + 1 | 0;
        } while ((i168 | 0) < (i169 | 0));
        i856 = i855;
       }
      } else i856 = i213;
      _sqlite3BeginWriteOperation(i149, 1, i851);
      i176 = get32(i850 | 0) | 0;
      set32(i68 | 0, get32((get32(i177 | 0) | 0) + (i851 << 4) | 0) | 0);
      set32(i68 + 4 | 0, i211 | 0);
      set32(i68 + 8 | 0, i176 | 0);
      _sqlite3NestedParse(i149, 33769, i68);
      i176 = get32(i177 | 0) | 0;
      i187 = get32(i176 + (i851 << 4) | 0) | 0;
      i154 = get32(i159 | 0) | 0;
      if ((i154 | 0) > 0) {
       i188 = (i187 | 0) == 0;
       i158 = 0;
       i160 = 0;
       while (1) {
        i153 = (i158 | 0) < 2 ^ i158;
        if (!i188) {
         i152 = get32(i176 + (i153 << 4) | 0) | 0;
         i179 = get8(i187 >> 0 | 0) | 0;
         L5191 : do if (!(i179 << 24 >> 24)) {
          i858 = 0;
          i859 = i152;
         } else {
          i162 = i179;
          i183 = i187;
          i174 = i152;
          while (1) {
           if ((get8(16286 + (i162 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i174 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
            i858 = i162;
            i859 = i174;
            break L5191;
           }
           i183 = i183 + 1 | 0;
           i225 = i174 + 1 | 0;
           i162 = get8(i183 >> 0 | 0) | 0;
           if (!(i162 << 24 >> 24)) {
            i858 = 0;
            i859 = i225;
            break;
           } else i174 = i225;
          }
         } while (0);
         if ((get8(16286 + (i858 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i859 >> 0 | 0) | 0) >> 0 | 0) | 0)) i860 = i160; else i157 = 3761;
        } else i157 = 3761;
        if ((i157 | 0) == 3761) {
         i157 = 0;
         i152 = _sqlite3HashFind((get32(i176 + (i153 << 4) + 12 | 0) | 0) + 8 | 0, 21982, 12) | 0;
         if (!i152) i860 = i152; else {
          i861 = i152;
          break;
         }
        }
        i158 = i158 + 1 | 0;
        if ((i158 | 0) >= (i154 | 0)) {
         i861 = i860;
         break;
        } else i160 = i860;
       }
       if (i861) {
        i160 = get32(i850 | 0) | 0;
        set32(i67 | 0, i187 | 0);
        set32(i67 + 4 | 0, i160 | 0);
        _sqlite3NestedParse(i149, 33818, i67);
       }
      }
      i160 = i149 + 21 | 0;
      i154 = get8(i160 >> 0 | 0) | 0;
      if (!(i154 << 24 >> 24)) {
       i158 = i149 + 72 | 0;
       i176 = (get32(i158 | 0) | 0) + 1 | 0;
       set32(i158 | 0, i176 | 0);
       i862 = i176;
      } else {
       i176 = i154 + -1 << 24 >> 24;
       set8(i160 >> 0 | 0, i176 | 0);
       i862 = get32(i149 + 24 + ((i176 & 255) << 2) | 0) | 0;
      }
      i176 = get32(i210 | 0) | 0;
      i154 = (get32(get32((get32((get32(i149 | 0) | 0) + 8 | 0) | 0) + (i851 << 4) + 12 | 0) | 0) | 0) + 1 | 0;
      i158 = i176 + 28 | 0;
      i188 = get32(i158 | 0) | 0;
      i159 = i176 + 32 | 0;
      i177 = get32(i159 | 0) | 0;
      do if ((i177 | 0) > (i188 | 0)) {
       i863 = i188;
       i864 = get32(i176 + 4 | 0) | 0;
       i865 = i177;
       i157 = 3778;
      } else {
       i211 = i176 + 4 | 0;
       i213 = _sqlite3DbRealloc(get32(i176 | 0) | 0, get32(i211 | 0) | 0, (i177 | 0) == 0 ? 1020 : i177 * 40 | 0) | 0;
       if (!i213) {
        i866 = get32(i159 | 0) | 0;
        i867 = get32(i158 | 0) | 0;
        break;
       }
       i152 = get32(i176 | 0) | 0;
       do if (!i152) i157 = 3776; else {
        if ((get32(i152 + 260 | 0) | 0) >>> 0 > i213 >>> 0) {
         i157 = 3776;
         break;
        }
        if ((get32(i152 + 264 | 0) | 0) >>> 0 <= i213 >>> 0) {
         i157 = 3776;
         break;
        }
        i868 = getU16(i152 + 232 | 0) | 0;
       } while (0);
       if ((i157 | 0) == 3776) i868 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i213) | 0;
       i152 = (i868 >>> 0) / 20 | 0;
       set32(i159 | 0, i152 | 0);
       set32(i211 | 0, i213 | 0);
       i863 = get32(i158 | 0) | 0;
       i864 = i213;
       i865 = i152;
       i157 = 3778;
      } while (0);
      if ((i157 | 0) == 3778) {
       i177 = i863 + 1 | 0;
       set32(i158 | 0, i177 | 0);
       set8(i864 + (i188 * 20 | 0) >> 0 | 0, 7 | 0);
       set8(i864 + (i188 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i864 + (i188 * 20 | 0) + 4 | 0, i154 | 0);
       set32(i864 + (i188 * 20 | 0) + 8 | 0, i862 | 0);
       set32(i864 + (i188 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i864 + (i188 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i864 + (i188 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i866 = i865;
       i867 = i177;
      }
      if ((i866 | 0) <= (i867 | 0)) {
       i177 = i176 + 4 | 0;
       i210 = _sqlite3DbRealloc(get32(i176 | 0) | 0, get32(i177 | 0) | 0, (i866 | 0) == 0 ? 1020 : i866 * 40 | 0) | 0;
       if (i210) {
        i187 = get32(i176 | 0) | 0;
        do if (!i187) i157 = 3786; else {
         if ((get32(i187 + 260 | 0) | 0) >>> 0 > i210 >>> 0) {
          i157 = 3786;
          break;
         }
         if ((get32(i187 + 264 | 0) | 0) >>> 0 <= i210 >>> 0) {
          i157 = 3786;
          break;
         }
         i869 = getU16(i187 + 232 | 0) | 0;
        } while (0);
        if ((i157 | 0) == 3786) i869 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i210) | 0;
        set32(i159 | 0, (i869 >>> 0) / 20 | 0 | 0);
        set32(i177 | 0, i210 | 0);
        i870 = get32(i158 | 0) | 0;
        i871 = i210;
        i157 = 3788;
       }
      } else {
       i870 = i867;
       i871 = get32(i176 + 4 | 0) | 0;
       i157 = 3788;
      }
      if ((i157 | 0) == 3788) {
       set32(i158 | 0, i870 + 1 | 0);
       set8(i871 + (i867 * 20 | 0) >> 0 | 0, 36 | 0);
       set8(i871 + (i867 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i871 + (i867 * 20 | 0) + 4 | 0, i851 | 0);
       set32(i871 + (i867 * 20 | 0) + 8 | 0, 1 | 0);
       set32(i871 + (i867 * 20 | 0) + 12 | 0, i862 | 0);
       set32(i871 + (i867 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i871 + (i867 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      }
      L5236 : do if ((i862 | 0) != 0 ? (i187 = get8(i160 >> 0 | 0) | 0, (i187 & 255) < 8) : 0) {
       do if ((get32(i149 + 112 | 0) | 0) == (i862 | 0)) i872 = i149 + 96 | 0; else {
        if ((get32(i149 + 136 | 0) | 0) == (i862 | 0)) {
         i872 = i149 + 120 | 0;
         break;
        }
        if ((get32(i149 + 160 | 0) | 0) == (i862 | 0)) {
         i872 = i149 + 144 | 0;
         break;
        }
        if ((get32(i149 + 184 | 0) | 0) == (i862 | 0)) {
         i872 = i149 + 168 | 0;
         break;
        }
        if ((get32(i149 + 208 | 0) | 0) == (i862 | 0)) {
         i872 = i149 + 192 | 0;
         break;
        }
        if ((get32(i149 + 232 | 0) | 0) == (i862 | 0)) {
         i872 = i149 + 216 | 0;
         break;
        }
        if ((get32(i149 + 256 | 0) | 0) == (i862 | 0)) {
         i872 = i149 + 240 | 0;
         break;
        }
        if ((get32(i149 + 280 | 0) | 0) == (i862 | 0)) {
         i872 = i149 + 264 | 0;
         break;
        }
        if ((get32(i149 + 304 | 0) | 0) == (i862 | 0)) {
         i872 = i149 + 288 | 0;
         break;
        }
        if ((get32(i149 + 328 | 0) | 0) == (i862 | 0)) {
         i872 = i149 + 312 | 0;
         break;
        }
        set8(i160 >> 0 | 0, i187 + 1 << 24 >> 24 | 0);
        set32(i149 + 24 + ((i187 & 255) << 2) | 0, i862 | 0);
        break L5236;
       } while (0);
       set8(i872 + 8 >> 0 | 0, 1 | 0);
      } while (0);
      _destroyRootPage(i149, get32(i850 + 20 | 0) | 0, i851);
      i160 = get32(i850 | 0) | 0;
      i158 = i856 + 28 | 0;
      i176 = get32(i158 | 0) | 0;
      i210 = i856 + 32 | 0;
      i177 = get32(i210 | 0) | 0;
      do if ((i177 | 0) > (i176 | 0)) {
       i873 = i176;
       i874 = get32(i856 + 4 | 0) | 0;
       i157 = 3812;
      } else {
       i159 = i856 + 4 | 0;
       i187 = _sqlite3DbRealloc(get32(i856 | 0) | 0, get32(i159 | 0) | 0, (i177 | 0) == 0 ? 1020 : i177 * 40 | 0) | 0;
       if (!i187) {
        i875 = 1;
        break;
       }
       i213 = get32(i856 | 0) | 0;
       do if (!i213) i157 = 3810; else {
        if ((get32(i213 + 260 | 0) | 0) >>> 0 > i187 >>> 0) {
         i157 = 3810;
         break;
        }
        if ((get32(i213 + 264 | 0) | 0) >>> 0 <= i187 >>> 0) {
         i157 = 3810;
         break;
        }
        i876 = getU16(i213 + 232 | 0) | 0;
       } while (0);
       if ((i157 | 0) == 3810) i876 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i187) | 0;
       set32(i210 | 0, (i876 >>> 0) / 20 | 0 | 0);
       set32(i159 | 0, i187 | 0);
       i873 = get32(i158 | 0) | 0;
       i874 = i187;
       i157 = 3812;
      } while (0);
      if ((i157 | 0) == 3812) {
       set32(i158 | 0, i873 + 1 | 0);
       set8(i874 + (i176 * 20 | 0) >> 0 | 0, 102 | 0);
       set8(i874 + (i176 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i874 + (i176 * 20 | 0) + 4 | 0, i851 | 0);
       set32(i874 + (i176 * 20 | 0) + 8 | 0, 0 | 0);
       set32(i874 + (i176 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i874 + (i176 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i874 + (i176 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i875 = i176;
      }
      _sqlite3VdbeChangeP4(i856, i875, i160, 0);
      break;
     }
    }
    if (i155) {
     i210 = get32(i149 | 0) | 0;
     i177 = i210 + 4 | 0;
     i213 = get32(i177 | 0) | 0;
     if ((i213 | 0) > 0) {
      i211 = i210 + 8 | 0;
      i210 = (i163 | 0) == 0;
      i188 = i149 + 424 | 0;
      i154 = i213;
      i213 = 0;
      while (1) {
       i152 = get32(i211 | 0) | 0;
       do if (!(get32(i152 + (i213 << 4) + 4 | 0) | 0)) i877 = i154; else {
        if (!i210) {
         i153 = get32(i152 + (i213 << 4) | 0) | 0;
         i179 = get8(i163 >> 0 | 0) | 0;
         L5277 : do if (!(i179 << 24 >> 24)) {
          i878 = 0;
          i879 = i153;
         } else {
          i182 = i179;
          i174 = i163;
          i162 = i153;
          while (1) {
           if ((get8(16286 + (i182 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i162 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
            i878 = i182;
            i879 = i162;
            break L5277;
           }
           i174 = i174 + 1 | 0;
           i183 = i162 + 1 | 0;
           i182 = get8(i174 >> 0 | 0) | 0;
           if (!(i182 << 24 >> 24)) {
            i878 = 0;
            i879 = i183;
            break;
           } else i162 = i183;
          }
         } while (0);
         if ((get8(16286 + (i878 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i879 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
          i877 = i154;
          break;
         }
        }
        i153 = get32(i188 | 0) | 0;
        i179 = (i153 | 0) == 0 ? i149 : i153;
        i153 = i179 + 348 | 0;
        do if (!(get32(i153 | 0) | 0)) {
         i162 = i179 + 12 | 0;
         i182 = get32(i162 | 0) | 0;
         if (!i182) {
          i174 = get32(i179 | 0) | 0;
          L5287 : do if (i174) {
           i183 = i174 + 30 | 0;
           if (!(get8(i183 >> 0 | 0) | 0)) {
            do if (get8(i174 + 234 >> 0 | 0) | 0) {
             if ((getU16(i174 + 232 | 0) | 0) < 192) {
              i175 = i174 + 248 | 0;
              set32(i175 | 0, (get32(i175 | 0) | 0) + 1 | 0);
              break;
             }
             i175 = i174 + 256 | 0;
             i225 = get32(i175 | 0) | 0;
             if (!i225) {
              i192 = i174 + 252 | 0;
              set32(i192 | 0, (get32(i192 | 0) | 0) + 1 | 0);
              break;
             }
             set32(i175 | 0, get32(i225 | 0) | 0);
             i175 = i174 + 236 | 0;
             i192 = get32(i175 | 0) | 0;
             i227 = i192 + 1 | 0;
             set32(i175 | 0, i227 | 0);
             i175 = i174 + 244 | 0;
             set32(i175 | 0, (get32(i175 | 0) | 0) + 1 | 0);
             i175 = i174 + 240 | 0;
             if ((i192 | 0) >= (get32(i175 | 0) | 0)) set32(i175 | 0, i227 | 0);
             i880 = i225;
             i157 = 3635;
             break L5287;
            } while (0);
            do if (!(get32(50 * 4 | 0) | 0)) {
             i189 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
             if (i189) {
              i881 = i189;
              break L5287;
             }
            } else {
             i189 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
             set32(35 * 4 | 0, 192 | 0);
             if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
             i225 = get32(6 * 4 | 0) | 0;
             do if (i225) {
              i227 = get32(30 * 4 | 0) | 0;
              i175 = ((i227 | 0) < 0) << 31 >> 31;
              i192 = 16;
              i173 = _i64Subtract(get32(i192 | 0) | 0, get32(i192 + 4 | 0) | 0, i189 | 0, ((i189 | 0) < 0) << 31 >> 31 | 0) | 0;
              i192 = tempRet0;
              if ((i175 | 0) < (i192 | 0) | (i175 | 0) == (i192 | 0) & i227 >>> 0 < i173 >>> 0) {
               set32(11 * 4 | 0, 0 | 0);
               break;
              } else {
               set32(11 * 4 | 0, 1 | 0);
               i173 = get32(7 * 4 | 0) | 0;
               set32(6 * 4 | 0, 0 | 0);
               FUNCTION_TABLE_viiii[i225 & 15](i173, i227, i175, i189);
               set32(6 * 4 | 0, i225 | 0);
               set32(7 * 4 | 0, i173 | 0);
               break;
              }
             } while (0);
             i225 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i189) | 0;
             if (!i225) break;
             i178 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i225) | 0;
             i173 = (get32(30 * 4 | 0) | 0) + i178 | 0;
             set32(30 * 4 | 0, i173 | 0);
             if ((i173 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i173 | 0);
             i173 = get32(39 * 4 | 0) | 0;
             i178 = i173 + 1 | 0;
             set32(39 * 4 | 0, i178 | 0);
             if ((i173 | 0) < (get32(49 * 4 | 0) | 0)) {
              i881 = i225;
              break L5287;
             }
             set32(49 * 4 | 0, i178 | 0);
             i881 = i225;
             break L5287;
            } while (0);
            set8(i183 >> 0 | 0, 1 | 0);
            i157 = 3645;
           } else i157 = 3645;
          } else {
           if (!(get32(50 * 4 | 0) | 0)) {
            i880 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
            i157 = 3635;
            break;
           }
           i225 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
           set32(35 * 4 | 0, 192 | 0);
           if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
           i178 = get32(6 * 4 | 0) | 0;
           do if (i178) {
            i173 = get32(30 * 4 | 0) | 0;
            i175 = ((i173 | 0) < 0) << 31 >> 31;
            i227 = 16;
            i192 = _i64Subtract(get32(i227 | 0) | 0, get32(i227 + 4 | 0) | 0, i225 | 0, ((i225 | 0) < 0) << 31 >> 31 | 0) | 0;
            i227 = tempRet0;
            if ((i175 | 0) < (i227 | 0) | (i175 | 0) == (i227 | 0) & i173 >>> 0 < i192 >>> 0) {
             set32(11 * 4 | 0, 0 | 0);
             break;
            } else {
             set32(11 * 4 | 0, 1 | 0);
             i192 = get32(7 * 4 | 0) | 0;
             set32(6 * 4 | 0, 0 | 0);
             FUNCTION_TABLE_viiii[i178 & 15](i192, i173, i175, i225);
             set32(6 * 4 | 0, i178 | 0);
             set32(7 * 4 | 0, i192 | 0);
             break;
            }
           } while (0);
           i178 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i225) | 0;
           if (!i178) {
            i157 = 3645;
            break;
           }
           i183 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i178) | 0;
           i192 = (get32(30 * 4 | 0) | 0) + i183 | 0;
           set32(30 * 4 | 0, i192 | 0);
           if ((i192 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i192 | 0);
           i192 = get32(39 * 4 | 0) | 0;
           i183 = i192 + 1 | 0;
           set32(39 * 4 | 0, i183 | 0);
           if ((i192 | 0) < (get32(49 * 4 | 0) | 0)) {
            i881 = i178;
            break;
           }
           set32(49 * 4 | 0, i183 | 0);
           i881 = i178;
          } while (0);
          if ((i157 | 0) == 3635) {
           i157 = 0;
           if (!i880) i157 = 3645; else i881 = i880;
          }
          if ((i157 | 0) == 3645) {
           i157 = 0;
           set32(i162 | 0, 0 | 0);
           break;
          }
          _memset(i881 | 0, 0, 192) | 0;
          set32(i881 | 0, i174 | 0);
          i178 = i174 + 136 | 0;
          i183 = get32(i178 | 0) | 0;
          if (i183) set32(i183 + 60 | 0, i881 | 0);
          set32(i881 + 64 | 0, i183 | 0);
          set32(i881 + 60 | 0, 0 | 0);
          set32(i178 | 0, i881 | 0);
          set32(i881 + 52 | 0, 649915045 | 0);
          set32(i162 | 0, i881 | 0);
          i178 = i881 + 28 | 0;
          i183 = i881 + 32 | 0;
          i192 = i881 + 4 | 0;
          i175 = _sqlite3DbRealloc(i174, 0, 1020) | 0;
          if (!i175) i882 = i881; else {
           i173 = get32(i881 | 0) | 0;
           do if (!i173) i157 = 3643; else {
            if ((get32(i173 + 260 | 0) | 0) >>> 0 > i175 >>> 0) {
             i157 = 3643;
             break;
            }
            if ((get32(i173 + 264 | 0) | 0) >>> 0 <= i175 >>> 0) {
             i157 = 3643;
             break;
            }
            i883 = getU16(i173 + 232 | 0) | 0;
           } while (0);
           if ((i157 | 0) == 3643) {
            i157 = 0;
            i883 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i175) | 0;
           }
           set32(i183 | 0, (i883 >>> 0) / 20 | 0 | 0);
           set32(i192 | 0, i175 | 0);
           set32(i178 | 0, (get32(i178 | 0) | 0) + 1 | 0);
           set8(i175 >> 0 | 0, -120 | 0);
           set8(i175 + 1 >> 0 | 0, 0 | 0);
           i168 = i175 + 3 | 0;
           i169 = i168 + 17 | 0;
           do {
            set8(i168 >> 0 | 0, 0 | 0);
            i168 = i168 + 1 | 0;
           } while ((i168 | 0) < (i169 | 0));
           i882 = i881;
          }
         } else i882 = i182;
         i175 = i882 + 28 | 0;
         i178 = get32(i175 | 0) | 0;
         i192 = i882 + 32 | 0;
         i183 = get32(i192 | 0) | 0;
         if ((i183 | 0) <= (i178 | 0)) {
          i173 = i882 + 4 | 0;
          i174 = _sqlite3DbRealloc(get32(i882 | 0) | 0, get32(i173 | 0) | 0, (i183 | 0) == 0 ? 1020 : i183 * 40 | 0) | 0;
          if (!i174) i884 = 1; else {
           i183 = get32(i882 | 0) | 0;
           do if (!i183) i157 = 3653; else {
            if ((get32(i183 + 260 | 0) | 0) >>> 0 > i174 >>> 0) {
             i157 = 3653;
             break;
            }
            if ((get32(i183 + 264 | 0) | 0) >>> 0 <= i174 >>> 0) {
             i157 = 3653;
             break;
            }
            i885 = getU16(i183 + 232 | 0) | 0;
           } while (0);
           if ((i157 | 0) == 3653) {
            i157 = 0;
            i885 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i174) | 0;
           }
           set32(i192 | 0, (i885 >>> 0) / 20 | 0 | 0);
           set32(i173 | 0, i174 | 0);
           i886 = get32(i175 | 0) | 0;
           i887 = i174;
           i157 = 3655;
          }
         } else {
          i886 = i178;
          i887 = get32(i882 + 4 | 0) | 0;
          i157 = 3655;
         }
         if ((i157 | 0) == 3655) {
          i157 = 0;
          set32(i175 | 0, i886 + 1 | 0);
          set8(i887 + (i178 * 20 | 0) >> 0 | 0, 1 | 0);
          set8(i887 + (i178 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
          i168 = i887 + (i178 * 20 | 0) + 3 | 0;
          i169 = i168 + 17 | 0;
          do {
           set8(i168 >> 0 | 0, 0 | 0);
           i168 = i168 + 1 | 0;
          } while ((i168 | 0) < (i169 | 0));
          i884 = i178;
         }
         set32(i153 | 0, i884 + 1 | 0);
         i157 = 3657;
        } else i157 = 3657; while (0);
        if (((i157 | 0) == 3657 ? (i157 = 0, i153 = 1 << i213, i175 = i179 + 340 | 0, i174 = get32(i175 | 0) | 0, (i174 & i153 | 0) == 0) : 0) ? (i173 = get32(i179 | 0) | 0, set32(i175 | 0, i174 | i153 | 0), set32(i179 + 352 + (i213 << 2) | 0, get32(get32((get32(i173 + 8 | 0) | 0) + (i213 << 4) + 12 | 0) | 0) | 0), (i213 | 0) == 1) : 0) {
         i173 = get32(i179 | 0) | 0;
         i153 = i173 + 8 | 0;
         do if ((get32((get32(i153 | 0) | 0) + 20 | 0) | 0) == 0 ? (get8(i179 + 484 >> 0 | 0) | 0) == 0 : 0) {
          i174 = _sqlite3BtreeOpen(get32(i173 | 0) | 0, 0, i173, i142, 0, 542) | 0;
          if (i174) {
           _sqlite3ErrorMsg(i179, 19482, i74);
           set32(i179 + 4 | 0, i174 | 0);
           break;
          }
          i174 = get32(i142 | 0) | 0;
          set32((get32(i153 | 0) | 0) + 20 | 0, i174 | 0);
          i175 = get32(i173 + 36 | 0) | 0;
          i192 = get32(i174 + 4 | 0) | 0;
          set32(i192 + 4 | 0, get32(i174 | 0) | 0);
          if (get8(i192 + 17 >> 0 | 0) | 0) break;
          i174 = i192 + 36 | 0;
          i183 = i192 + 40 | 0;
          i182 = (get32(i174 | 0) | 0) - (get32(i183 | 0) | 0) | 0;
          do if ((i175 + -512 | 0) >>> 0 < 65025) {
           if (i175 + -1 & i175) break;
           set32(i174 | 0, i175 | 0);
           i162 = i192 + 88 | 0;
           i227 = get32(i162 | 0) | 0;
           do if (i227) {
            if ((get32(379 * 4 | 0) | 0) >>> 0 <= i227 >>> 0 & (get32(380 * 4 | 0) | 0) >>> 0 > i227 >>> 0) {
             i888 = (get32(31 * 4 | 0) | 0) + -1 | 0;
             set32(31 * 4 | 0, i888 | 0);
             if ((i888 | 0) > (get32(41 * 4 | 0) | 0)) set32(41 * 4 | 0, i888 | 0);
             set32(i227 | 0, get32(383 * 4 | 0) | 0);
             set32(383 * 4 | 0, i227 | 0);
             i888 = (get32(382 * 4 | 0) | 0) + 1 | 0;
             set32(382 * 4 | 0, i888 | 0);
             set32(384 * 4 | 0, (i888 | 0) < (get32(378 * 4 | 0) | 0) & 1 | 0);
             break;
            }
            i888 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i227) | 0;
            i889 = (get32(32 * 4 | 0) | 0) - i888 | 0;
            set32(32 * 4 | 0, i889 | 0);
            if ((i889 | 0) > (get32(42 * 4 | 0) | 0)) set32(42 * 4 | 0, i889 | 0);
            if (!(get32(50 * 4 | 0) | 0)) {
             FUNCTION_TABLE_vi[get32(232 | 0) & 31](i227);
             break;
            }
            i889 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i227) | 0;
            i888 = (get32(30 * 4 | 0) | 0) - i889 | 0;
            set32(30 * 4 | 0, i888 | 0);
            if ((i888 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i888 | 0);
            i888 = (get32(39 * 4 | 0) | 0) + -1 | 0;
            set32(39 * 4 | 0, i888 | 0);
            if ((i888 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i888 | 0);
            FUNCTION_TABLE_vi[get32(232 | 0) & 31](i227);
           } while (0);
           set32(i162 | 0, 0 | 0);
          } while (0);
          i175 = _sqlite3PagerSetPagesize(get32(i192 | 0) | 0, i174, i182) | 0;
          set32(i183 | 0, (get32(i174 | 0) | 0) - (i182 & 65535) | 0);
          if ((i175 | 0) != 7) break;
          set8(i173 + 30 >> 0 | 0, 1 | 0);
         } while (0);
        }
        i877 = get32(i177 | 0) | 0;
       } while (0);
       i213 = i213 + 1 | 0;
       if ((i213 | 0) >= (i877 | 0)) break; else i154 = i877;
      }
     }
    } else {
     set32(i75 | 0, i151 | 0);
     set32(i75 + 4 | 0, 0 | 0);
     _sqlite3ErrorMsg(i149, 33678, i75);
    }
    set8(i149 + 18 >> 0 | 0, 1 | 0);
   } while (0);
   _sqlite3SrcListDelete(i161, i151);
   break;
  }
 case 254:
 case 253:
  {
   i155 = i149 + 12 | 0;
   i180 = get32(i155 | 0) | 0;
   if (!i180) {
    i181 = get32(i149 | 0) | 0;
    L5414 : do if (!i181) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i890 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
      i157 = 3853;
      break;
     }
     i154 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
     set32(35 * 4 | 0, 192 | 0);
     if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
     i213 = get32(6 * 4 | 0) | 0;
     do if (i213) {
      i177 = get32(30 * 4 | 0) | 0;
      i188 = ((i177 | 0) < 0) << 31 >> 31;
      i163 = 16;
      i210 = _i64Subtract(get32(i163 | 0) | 0, get32(i163 + 4 | 0) | 0, i154 | 0, ((i154 | 0) < 0) << 31 >> 31 | 0) | 0;
      i163 = tempRet0;
      if ((i188 | 0) < (i163 | 0) | (i188 | 0) == (i163 | 0) & i177 >>> 0 < i210 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i210 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i213 & 15](i210, i177, i188, i154);
       set32(6 * 4 | 0, i213 | 0);
       set32(7 * 4 | 0, i210 | 0);
       break;
      }
     } while (0);
     i213 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i154) | 0;
     if (i213) {
      i210 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i213) | 0;
      i188 = (get32(30 * 4 | 0) | 0) + i210 | 0;
      set32(30 * 4 | 0, i188 | 0);
      if ((i188 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i188 | 0);
      i188 = get32(39 * 4 | 0) | 0;
      i210 = i188 + 1 | 0;
      set32(39 * 4 | 0, i210 | 0);
      if ((i188 | 0) < (get32(49 * 4 | 0) | 0)) i891 = i213; else {
       set32(49 * 4 | 0, i210 | 0);
       i891 = i213;
      }
     } else i157 = 3863;
    } else {
     i213 = i181 + 30 | 0;
     if (!(get8(i213 >> 0 | 0) | 0)) {
      do if (get8(i181 + 234 >> 0 | 0) | 0) {
       if ((getU16(i181 + 232 | 0) | 0) < 192) {
        i210 = i181 + 248 | 0;
        set32(i210 | 0, (get32(i210 | 0) | 0) + 1 | 0);
        break;
       }
       i210 = i181 + 256 | 0;
       i188 = get32(i210 | 0) | 0;
       if (!i188) {
        i177 = i181 + 252 | 0;
        set32(i177 | 0, (get32(i177 | 0) | 0) + 1 | 0);
        break;
       }
       set32(i210 | 0, get32(i188 | 0) | 0);
       i210 = i181 + 236 | 0;
       i177 = get32(i210 | 0) | 0;
       i163 = i177 + 1 | 0;
       set32(i210 | 0, i163 | 0);
       i210 = i181 + 244 | 0;
       set32(i210 | 0, (get32(i210 | 0) | 0) + 1 | 0);
       i210 = i181 + 240 | 0;
       if ((i177 | 0) >= (get32(i210 | 0) | 0)) set32(i210 | 0, i163 | 0);
       i890 = i188;
       i157 = 3853;
       break L5414;
      } while (0);
      if (!(get32(50 * 4 | 0) | 0)) {
       i154 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
       if (i154) {
        i891 = i154;
        break;
       }
      } else {
       i154 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
       set32(35 * 4 | 0, 192 | 0);
       if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
       i188 = get32(6 * 4 | 0) | 0;
       do if (i188) {
        i163 = get32(30 * 4 | 0) | 0;
        i210 = ((i163 | 0) < 0) << 31 >> 31;
        i177 = 16;
        i211 = _i64Subtract(get32(i177 | 0) | 0, get32(i177 + 4 | 0) | 0, i154 | 0, ((i154 | 0) < 0) << 31 >> 31 | 0) | 0;
        i177 = tempRet0;
        if ((i210 | 0) < (i177 | 0) | (i210 | 0) == (i177 | 0) & i163 >>> 0 < i211 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i211 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i188 & 15](i211, i163, i210, i154);
         set32(6 * 4 | 0, i188 | 0);
         set32(7 * 4 | 0, i211 | 0);
         break;
        }
       } while (0);
       i188 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i154) | 0;
       if (i188) {
        i211 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i188) | 0;
        i210 = (get32(30 * 4 | 0) | 0) + i211 | 0;
        set32(30 * 4 | 0, i210 | 0);
        if ((i210 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i210 | 0);
        i210 = get32(39 * 4 | 0) | 0;
        i211 = i210 + 1 | 0;
        set32(39 * 4 | 0, i211 | 0);
        if ((i210 | 0) < (get32(49 * 4 | 0) | 0)) {
         i891 = i188;
         break;
        }
        set32(49 * 4 | 0, i211 | 0);
        i891 = i188;
        break;
       }
      }
      set8(i213 >> 0 | 0, 1 | 0);
      i157 = 3863;
     } else i157 = 3863;
    } while (0);
    if ((i157 | 0) == 3853) if (!i890) i157 = 3863; else i891 = i890;
    if ((i157 | 0) == 3863) {
     set32(i155 | 0, 0 | 0);
     break L1;
    }
    _memset(i891 | 0, 0, 192) | 0;
    set32(i891 | 0, i181 | 0);
    i151 = i181 + 136 | 0;
    i161 = get32(i151 | 0) | 0;
    if (i161) set32(i161 + 60 | 0, i891 | 0);
    set32(i891 + 64 | 0, i161 | 0);
    set32(i891 + 60 | 0, 0 | 0);
    set32(i151 | 0, i891 | 0);
    set32(i891 + 52 | 0, 649915045 | 0);
    set32(i155 | 0, i891 | 0);
    i151 = i891 + 28 | 0;
    i161 = i891 + 32 | 0;
    i188 = i891 + 4 | 0;
    i211 = _sqlite3DbRealloc(i181, 0, 1020) | 0;
    if (!i211) i892 = i891; else {
     i210 = get32(i891 | 0) | 0;
     if (((i210 | 0) != 0 ? (get32(i210 + 260 | 0) | 0) >>> 0 <= i211 >>> 0 : 0) ? (get32(i210 + 264 | 0) | 0) >>> 0 > i211 >>> 0 : 0) i893 = getU16(i210 + 232 | 0) | 0; else i893 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i211) | 0;
     set32(i161 | 0, (i893 >>> 0) / 20 | 0 | 0);
     set32(i188 | 0, i211 | 0);
     set32(i151 | 0, (get32(i151 | 0) | 0) + 1 | 0);
     set8(i211 >> 0 | 0, -120 | 0);
     set8(i211 + 1 >> 0 | 0, 0 | 0);
     i168 = i211 + 3 | 0;
     i169 = i168 + 17 | 0;
     do {
      set8(i168 >> 0 | 0, 0 | 0);
      i168 = i168 + 1 | 0;
     } while ((i168 | 0) < (i169 | 0));
     i892 = i891;
    }
   } else i892 = i180;
   i181 = i892 + 28 | 0;
   i155 = get32(i181 | 0) | 0;
   i211 = i892 + 32 | 0;
   i151 = get32(i211 | 0) | 0;
   if ((i151 | 0) > (i155 | 0)) {
    i894 = i155;
    i895 = get32(i892 + 4 | 0) | 0;
   } else {
    i188 = i892 + 4 | 0;
    i161 = _sqlite3DbRealloc(get32(i892 | 0) | 0, get32(i188 | 0) | 0, (i151 | 0) == 0 ? 1020 : i151 * 40 | 0) | 0;
    if (!i161) break L1;
    i151 = get32(i892 | 0) | 0;
    if (((i151 | 0) != 0 ? (get32(i151 + 260 | 0) | 0) >>> 0 <= i161 >>> 0 : 0) ? (get32(i151 + 264 | 0) | 0) >>> 0 > i161 >>> 0 : 0) i896 = getU16(i151 + 232 | 0) | 0; else i896 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i161) | 0;
    set32(i211 | 0, (i896 >>> 0) / 20 | 0 | 0);
    set32(i188 | 0, i161 | 0);
    i894 = get32(i181 | 0) | 0;
    i895 = i161;
   }
   set32(i181 | 0, i894 + 1 | 0);
   set8(i895 + (i155 * 20 | 0) >> 0 | 0, 120 | 0);
   set8(i895 + (i155 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i168 = i895 + (i155 * 20 | 0) + 3 | 0;
   i169 = i168 + 17 | 0;
   do {
    set8(i168 >> 0 | 0, 0 | 0);
    i168 = i168 + 1 | 0;
   } while ((i168 | 0) < (i169 | 0));
   break;
  }
 case 255:
  {
   _sqlite3Pragma(i149, i1 + 12 + (i150 + -1 << 4) + 4 | 0, i1 + 12 + (i150 << 4) + 4 | 0, 0, 0);
   break;
  }
 case 256:
  {
   _sqlite3Pragma(i149, i1 + 12 + (i150 + -3 << 4) + 4 | 0, i1 + 12 + (i150 + -2 << 4) + 4 | 0, i1 + 12 + (i150 << 4) + 4 | 0, 0);
   break;
  }
 case 257:
  {
   _sqlite3Pragma(i149, i1 + 12 + (i150 + -4 << 4) + 4 | 0, i1 + 12 + (i150 + -3 << 4) + 4 | 0, i1 + 12 + (i150 + -1 << 4) + 4 | 0, 0);
   break;
  }
 case 258:
  {
   _sqlite3Pragma(i149, i1 + 12 + (i150 + -3 << 4) + 4 | 0, i1 + 12 + (i150 + -2 << 4) + 4 | 0, i1 + 12 + (i150 << 4) + 4 | 0, 1);
   break;
  }
 case 259:
  {
   _sqlite3Pragma(i149, i1 + 12 + (i150 + -4 << 4) + 4 | 0, i1 + 12 + (i150 + -3 << 4) + 4 | 0, i1 + 12 + (i150 + -1 << 4) + 4 | 0, 1);
   break;
  }
 case 270:
  {
   i180 = get32(i1 + 12 + (i150 + -3 << 4) + 4 | 0) | 0;
   i155 = (get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0) - i180 + (get32(i1 + 12 + (i150 << 4) + 8 | 0) | 0) | 0;
   i181 = get32(i1 + 12 + (i150 + -1 << 4) + 4 | 0) | 0;
   i161 = i149 + 512 | 0;
   i188 = get32(i161 | 0) | 0;
   i211 = get32(i149 | 0) | 0;
   set32(i161 | 0, 0 | 0);
   L5500 : do if ((i188 | 0) != 0 & (get32(i149 + 64 | 0) | 0) == 0) {
    i161 = get32(i188 | 0) | 0;
    i151 = i188 + 20 | 0;
    i210 = get32(i151 | 0) | 0;
    L5502 : do if (i210) {
     i163 = get32(i211 + 4 | 0) | 0;
     if ((i163 | 0) > 0) {
      i177 = get32(i211 + 8 | 0) | 0;
      i160 = 0;
      while (1) {
       if ((get32(i177 + (i160 << 4) + 12 | 0) | 0) == (i210 | 0)) {
        i897 = i160;
        break L5502;
       }
       i176 = i160 + 1 | 0;
       if ((i176 | 0) < (i163 | 0)) i160 = i176; else {
        i897 = i176;
        break;
       }
      }
     } else i897 = 0;
    } else i897 = -1e6; while (0);
    set32(i188 + 28 | 0, i181 | 0);
    i210 = (i181 | 0) == 0;
    if (!i210) {
     i213 = i181;
     do {
      set32(i213 + 4 | 0, i188 | 0);
      i213 = get32(i213 + 32 | 0) | 0;
     } while ((i213 | 0) != 0);
    }
    set32(i143 | 0, i161 | 0);
    i213 = (i161 | 0) == 0;
    if (i213) i898 = 0; else {
     i154 = i161;
     while (1) if (!(get8(i154 >> 0 | 0) | 0)) {
      i899 = i154;
      break;
     } else i154 = i154 + 1 | 0;
     i898 = i899 - i161 & 1073741823;
    }
    set32(i143 + 4 | 0, i898 | 0);
    i154 = (i897 | 0) == 1;
    if (!((i897 | 0) < 0 | i154) ? (set32(i142 | 0, i149 | 0), set32(i142 + 4 | 0, get32((get32(i211 + 8 | 0) | 0) + (i897 << 4) | 0) | 0), set32(i142 + 8 | 0, 17148 | 0), set32(i142 + 12 | 0, i143 | 0), !i210) : 0) {
     i160 = i181;
     do {
      i163 = get32(i160 + 8 | 0) | 0;
      if (i163) {
       i177 = i163;
       do {
        i163 = get32(i177 | 0) | 0;
        if ((i163 | 0) != 0 ? (get32(i163 | 0) | 0) > 0 : 0) {
         i176 = 0;
         i158 = get32(i163 + 12 | 0) | 0;
         while (1) {
          if (_sqlite3FixExpr(i142, get32(i158 | 0) | 0) | 0) {
           i900 = 0;
           i901 = i188;
           break L5500;
          }
          i176 = i176 + 1 | 0;
          if ((i176 | 0) >= (get32(i163 | 0) | 0)) break; else i158 = i158 + 20 | 0;
         }
        }
        if (_sqlite3FixSrcList(i142, get32(i177 + 8 | 0) | 0) | 0) {
         i900 = 0;
         i901 = i188;
         break L5500;
        }
        if (_sqlite3FixExpr(i142, get32(i177 + 12 | 0) | 0) | 0) {
         i900 = 0;
         i901 = i188;
         break L5500;
        }
        if (_sqlite3FixExpr(i142, get32(i177 + 20 | 0) | 0) | 0) {
         i900 = 0;
         i901 = i188;
         break L5500;
        }
        i177 = get32(i177 + 28 | 0) | 0;
       } while ((i177 | 0) != 0);
      }
      if (_sqlite3FixExpr(i142, get32(i160 + 20 | 0) | 0) | 0) {
       i900 = 0;
       i901 = i188;
       break L5500;
      }
      i177 = get32(i160 + 24 | 0) | 0;
      if ((i177 | 0) != 0 ? (get32(i177 | 0) | 0) > 0 : 0) {
       i158 = 0;
       i163 = get32(i177 + 12 | 0) | 0;
       while (1) {
        if (_sqlite3FixExpr(i142, get32(i163 | 0) | 0) | 0) {
         i900 = 0;
         i901 = i188;
         break L5500;
        }
        i158 = i158 + 1 | 0;
        if ((i158 | 0) >= (get32(i177 | 0) | 0)) break; else i163 = i163 + 20 | 0;
       }
      }
      i160 = get32(i160 + 32 | 0) | 0;
     } while ((i160 | 0) != 0);
    }
    i160 = i211 + 124 | 0;
    if (!(get8(i160 >> 0 | 0) | 0)) {
     i210 = i149 + 12 | 0;
     i163 = get32(i210 | 0) | 0;
     if (!i163) {
      i177 = get32(i149 | 0) | 0;
      L5549 : do if (!i177) {
       if (!(get32(50 * 4 | 0) | 0)) {
        i902 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
        i157 = 3949;
        break;
       }
       i158 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
       set32(35 * 4 | 0, 192 | 0);
       if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
       i176 = get32(6 * 4 | 0) | 0;
       do if (i176) {
        i152 = get32(30 * 4 | 0) | 0;
        i187 = ((i152 | 0) < 0) << 31 >> 31;
        i159 = 16;
        i173 = _i64Subtract(get32(i159 | 0) | 0, get32(i159 + 4 | 0) | 0, i158 | 0, ((i158 | 0) < 0) << 31 >> 31 | 0) | 0;
        i159 = tempRet0;
        if ((i187 | 0) < (i159 | 0) | (i187 | 0) == (i159 | 0) & i152 >>> 0 < i173 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i173 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i176 & 15](i173, i152, i187, i158);
         set32(6 * 4 | 0, i176 | 0);
         set32(7 * 4 | 0, i173 | 0);
         break;
        }
       } while (0);
       i176 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i158) | 0;
       if (i176) {
        i173 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i176) | 0;
        i187 = (get32(30 * 4 | 0) | 0) + i173 | 0;
        set32(30 * 4 | 0, i187 | 0);
        if ((i187 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i187 | 0);
        i187 = get32(39 * 4 | 0) | 0;
        i173 = i187 + 1 | 0;
        set32(39 * 4 | 0, i173 | 0);
        if ((i187 | 0) < (get32(49 * 4 | 0) | 0)) i903 = i176; else {
         set32(49 * 4 | 0, i173 | 0);
         i903 = i176;
        }
       } else i157 = 3959;
      } else {
       i176 = i177 + 30 | 0;
       if (!(get8(i176 >> 0 | 0) | 0)) {
        do if (get8(i177 + 234 >> 0 | 0) | 0) {
         if ((getU16(i177 + 232 | 0) | 0) < 192) {
          i173 = i177 + 248 | 0;
          set32(i173 | 0, (get32(i173 | 0) | 0) + 1 | 0);
          break;
         }
         i173 = i177 + 256 | 0;
         i187 = get32(i173 | 0) | 0;
         if (!i187) {
          i152 = i177 + 252 | 0;
          set32(i152 | 0, (get32(i152 | 0) | 0) + 1 | 0);
          break;
         }
         set32(i173 | 0, get32(i187 | 0) | 0);
         i173 = i177 + 236 | 0;
         i152 = get32(i173 | 0) | 0;
         i159 = i152 + 1 | 0;
         set32(i173 | 0, i159 | 0);
         i173 = i177 + 244 | 0;
         set32(i173 | 0, (get32(i173 | 0) | 0) + 1 | 0);
         i173 = i177 + 240 | 0;
         if ((i152 | 0) >= (get32(i173 | 0) | 0)) set32(i173 | 0, i159 | 0);
         i902 = i187;
         i157 = 3949;
         break L5549;
        } while (0);
        if (!(get32(50 * 4 | 0) | 0)) {
         i158 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
         if (i158) {
          i903 = i158;
          break;
         }
        } else {
         i158 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
         set32(35 * 4 | 0, 192 | 0);
         if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
         i187 = get32(6 * 4 | 0) | 0;
         do if (i187) {
          i159 = get32(30 * 4 | 0) | 0;
          i173 = ((i159 | 0) < 0) << 31 >> 31;
          i152 = 16;
          i153 = _i64Subtract(get32(i152 | 0) | 0, get32(i152 + 4 | 0) | 0, i158 | 0, ((i158 | 0) < 0) << 31 >> 31 | 0) | 0;
          i152 = tempRet0;
          if ((i173 | 0) < (i152 | 0) | (i173 | 0) == (i152 | 0) & i159 >>> 0 < i153 >>> 0) {
           set32(11 * 4 | 0, 0 | 0);
           break;
          } else {
           set32(11 * 4 | 0, 1 | 0);
           i153 = get32(7 * 4 | 0) | 0;
           set32(6 * 4 | 0, 0 | 0);
           FUNCTION_TABLE_viiii[i187 & 15](i153, i159, i173, i158);
           set32(6 * 4 | 0, i187 | 0);
           set32(7 * 4 | 0, i153 | 0);
           break;
          }
         } while (0);
         i187 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i158) | 0;
         if (i187) {
          i153 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i187) | 0;
          i173 = (get32(30 * 4 | 0) | 0) + i153 | 0;
          set32(30 * 4 | 0, i173 | 0);
          if ((i173 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i173 | 0);
          i173 = get32(39 * 4 | 0) | 0;
          i153 = i173 + 1 | 0;
          set32(39 * 4 | 0, i153 | 0);
          if ((i173 | 0) < (get32(49 * 4 | 0) | 0)) {
           i903 = i187;
           break;
          }
          set32(49 * 4 | 0, i153 | 0);
          i903 = i187;
          break;
         }
        }
        set8(i176 >> 0 | 0, 1 | 0);
        i157 = 3959;
       } else i157 = 3959;
      } while (0);
      if ((i157 | 0) == 3949) if (!i902) i157 = 3959; else i903 = i902;
      if ((i157 | 0) == 3959) {
       set32(i210 | 0, 0 | 0);
       i900 = 0;
       i901 = i188;
       break;
      }
      _memset(i903 | 0, 0, 192) | 0;
      set32(i903 | 0, i177 | 0);
      i187 = i177 + 136 | 0;
      i153 = get32(i187 | 0) | 0;
      if (i153) set32(i153 + 60 | 0, i903 | 0);
      set32(i903 + 64 | 0, i153 | 0);
      set32(i903 + 60 | 0, 0 | 0);
      set32(i187 | 0, i903 | 0);
      set32(i903 + 52 | 0, 649915045 | 0);
      set32(i210 | 0, i903 | 0);
      i187 = i903 + 28 | 0;
      i153 = i903 + 32 | 0;
      i173 = i903 + 4 | 0;
      i159 = _sqlite3DbRealloc(i177, 0, 1020) | 0;
      if (!i159) i904 = i903; else {
       i152 = get32(i903 | 0) | 0;
       if (((i152 | 0) != 0 ? (get32(i152 + 260 | 0) | 0) >>> 0 <= i159 >>> 0 : 0) ? (get32(i152 + 264 | 0) | 0) >>> 0 > i159 >>> 0 : 0) i905 = getU16(i152 + 232 | 0) | 0; else i905 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i159) | 0;
       set32(i153 | 0, (i905 >>> 0) / 20 | 0 | 0);
       set32(i173 | 0, i159 | 0);
       set32(i187 | 0, (get32(i187 | 0) | 0) + 1 | 0);
       set8(i159 >> 0 | 0, -120 | 0);
       set8(i159 + 1 >> 0 | 0, 0 | 0);
       i168 = i159 + 3 | 0;
       i169 = i168 + 17 | 0;
       do {
        set8(i168 >> 0 | 0, 0 | 0);
        i168 = i168 + 1 | 0;
       } while ((i168 | 0) < (i169 | 0));
       i904 = i903;
      }
     } else i904 = i163;
     _sqlite3BeginWriteOperation(i149, 0, i897);
     i177 = i180;
     L5617 : do if (!i180) i906 = 0; else {
      i159 = i155 + 1 | 0;
      L5619 : do if (!i211) {
       if (i155 >>> 0 > 2147483390) {
        i906 = 0;
        break L5617;
       }
       if (!(get32(50 * 4 | 0) | 0)) {
        i907 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i159) | 0;
        i157 = 4e3;
        break;
       }
       i187 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i159) | 0;
       set32(35 * 4 | 0, i159 | 0);
       if ((get32(45 * 4 | 0) | 0) < (i159 | 0)) set32(45 * 4 | 0, i159 | 0);
       i173 = get32(6 * 4 | 0) | 0;
       do if (i173) {
        i153 = get32(30 * 4 | 0) | 0;
        i152 = ((i153 | 0) < 0) << 31 >> 31;
        i179 = 16;
        i175 = _i64Subtract(get32(i179 | 0) | 0, get32(i179 + 4 | 0) | 0, i187 | 0, ((i187 | 0) < 0) << 31 >> 31 | 0) | 0;
        i179 = tempRet0;
        if ((i152 | 0) < (i179 | 0) | (i152 | 0) == (i179 | 0) & i153 >>> 0 < i175 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i175 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i173 & 15](i175, i153, i152, i187);
         set32(6 * 4 | 0, i173 | 0);
         set32(7 * 4 | 0, i175 | 0);
         break;
        }
       } while (0);
       i173 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i187) | 0;
       if (!i173) {
        i906 = 0;
        break L5617;
       }
       i175 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i173) | 0;
       i152 = (get32(30 * 4 | 0) | 0) + i175 | 0;
       set32(30 * 4 | 0, i152 | 0);
       if ((i152 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i152 | 0);
       i152 = get32(39 * 4 | 0) | 0;
       i175 = i152 + 1 | 0;
       set32(39 * 4 | 0, i175 | 0);
       if ((i152 | 0) < (get32(49 * 4 | 0) | 0)) {
        i908 = i173;
        break;
       }
       set32(49 * 4 | 0, i175 | 0);
       i908 = i173;
      } else {
       i173 = i211 + 30 | 0;
       if (get8(i173 >> 0 | 0) | 0) {
        i906 = 0;
        break L5617;
       }
       do if (get8(i211 + 234 >> 0 | 0) | 0) {
        if ((getU16(i211 + 232 | 0) | 0) < (i159 | 0)) {
         i175 = i211 + 248 | 0;
         set32(i175 | 0, (get32(i175 | 0) | 0) + 1 | 0);
         break;
        }
        i175 = i211 + 256 | 0;
        i152 = get32(i175 | 0) | 0;
        if (!i152) {
         i153 = i211 + 252 | 0;
         set32(i153 | 0, (get32(i153 | 0) | 0) + 1 | 0);
         break;
        }
        set32(i175 | 0, get32(i152 | 0) | 0);
        i175 = i211 + 236 | 0;
        i153 = get32(i175 | 0) | 0;
        i179 = i153 + 1 | 0;
        set32(i175 | 0, i179 | 0);
        i175 = i211 + 244 | 0;
        set32(i175 | 0, (get32(i175 | 0) | 0) + 1 | 0);
        i175 = i211 + 240 | 0;
        if ((i153 | 0) >= (get32(i175 | 0) | 0)) set32(i175 | 0, i179 | 0);
        i907 = i152;
        i157 = 4e3;
        break L5619;
       } while (0);
       do if (i155 >>> 0 <= 2147483390) {
        if (!(get32(50 * 4 | 0) | 0)) {
         i187 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i159) | 0;
         if (!i187) break; else {
          i908 = i187;
          break L5619;
         }
        }
        i187 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i159) | 0;
        set32(35 * 4 | 0, i159 | 0);
        if ((get32(45 * 4 | 0) | 0) < (i159 | 0)) set32(45 * 4 | 0, i159 | 0);
        i152 = get32(6 * 4 | 0) | 0;
        do if (i152) {
         i179 = get32(30 * 4 | 0) | 0;
         i175 = ((i179 | 0) < 0) << 31 >> 31;
         i153 = 16;
         i178 = _i64Subtract(get32(i153 | 0) | 0, get32(i153 + 4 | 0) | 0, i187 | 0, ((i187 | 0) < 0) << 31 >> 31 | 0) | 0;
         i153 = tempRet0;
         if ((i175 | 0) < (i153 | 0) | (i175 | 0) == (i153 | 0) & i179 >>> 0 < i178 >>> 0) {
          set32(11 * 4 | 0, 0 | 0);
          break;
         } else {
          set32(11 * 4 | 0, 1 | 0);
          i178 = get32(7 * 4 | 0) | 0;
          set32(6 * 4 | 0, 0 | 0);
          FUNCTION_TABLE_viiii[i152 & 15](i178, i179, i175, i187);
          set32(6 * 4 | 0, i152 | 0);
          set32(7 * 4 | 0, i178 | 0);
          break;
         }
        } while (0);
        i152 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i187) | 0;
        if (!i152) break;
        i182 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i152) | 0;
        i174 = (get32(30 * 4 | 0) | 0) + i182 | 0;
        set32(30 * 4 | 0, i174 | 0);
        if ((i174 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i174 | 0);
        i174 = get32(39 * 4 | 0) | 0;
        i182 = i174 + 1 | 0;
        set32(39 * 4 | 0, i182 | 0);
        if ((i174 | 0) < (get32(49 * 4 | 0) | 0)) {
         i908 = i152;
         break L5619;
        }
        set32(49 * 4 | 0, i182 | 0);
        i908 = i152;
        break L5619;
       } while (0);
       set8(i173 >> 0 | 0, 1 | 0);
       i906 = 0;
       break L5617;
      } while (0);
      if ((i157 | 0) == 4e3) if (!i907) {
       i906 = 0;
       break;
      } else i908 = i907;
      _memcpy(i908 | 0, i177 | 0, i155 | 0) | 0;
      set8(i908 + i155 >> 0 | 0, 0 | 0);
      i906 = i908;
     } while (0);
     i177 = i211 + 8 | 0;
     i163 = get32(i188 + 4 | 0) | 0;
     set32(i66 | 0, get32((get32(i177 | 0) | 0) + (i897 << 4) | 0) | 0);
     set32(i66 + 4 | 0, (i154 ? 21655 : 21674) | 0);
     set32(i66 + 8 | 0, i161 | 0);
     set32(i66 + 12 | 0, i163 | 0);
     set32(i66 + 16 | 0, i906 | 0);
     _sqlite3NestedParse(i149, 35346, i66);
     _sqlite3DbFree(i211, i906);
     i163 = i149 + 21 | 0;
     i159 = get8(i163 >> 0 | 0) | 0;
     if (!(i159 << 24 >> 24)) {
      i176 = i149 + 72 | 0;
      i158 = (get32(i176 | 0) | 0) + 1 | 0;
      set32(i176 | 0, i158 | 0);
      i909 = i158;
     } else {
      i158 = i159 + -1 << 24 >> 24;
      set8(i163 >> 0 | 0, i158 | 0);
      i909 = get32(i149 + 24 + ((i158 & 255) << 2) | 0) | 0;
     }
     i158 = get32(i210 | 0) | 0;
     i159 = (get32(get32((get32((get32(i149 | 0) | 0) + 8 | 0) | 0) + (i897 << 4) + 12 | 0) | 0) | 0) + 1 | 0;
     i176 = i158 + 28 | 0;
     i152 = get32(i176 | 0) | 0;
     i182 = i158 + 32 | 0;
     i174 = get32(i182 | 0) | 0;
     do if ((i174 | 0) > (i152 | 0)) {
      i910 = i152;
      i911 = get32(i158 + 4 | 0) | 0;
      i912 = i174;
      i157 = 4015;
     } else {
      i183 = i158 + 4 | 0;
      i192 = _sqlite3DbRealloc(get32(i158 | 0) | 0, get32(i183 | 0) | 0, (i174 | 0) == 0 ? 1020 : i174 * 40 | 0) | 0;
      if (!i192) {
       i913 = get32(i182 | 0) | 0;
       i914 = get32(i176 | 0) | 0;
       break;
      }
      i178 = get32(i158 | 0) | 0;
      if (((i178 | 0) != 0 ? (get32(i178 + 260 | 0) | 0) >>> 0 <= i192 >>> 0 : 0) ? (get32(i178 + 264 | 0) | 0) >>> 0 > i192 >>> 0 : 0) i915 = getU16(i178 + 232 | 0) | 0; else i915 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i192) | 0;
      i178 = (i915 >>> 0) / 20 | 0;
      set32(i182 | 0, i178 | 0);
      set32(i183 | 0, i192 | 0);
      i910 = get32(i176 | 0) | 0;
      i911 = i192;
      i912 = i178;
      i157 = 4015;
     } while (0);
     if ((i157 | 0) == 4015) {
      i174 = i910 + 1 | 0;
      set32(i176 | 0, i174 | 0);
      set8(i911 + (i152 * 20 | 0) >> 0 | 0, 7 | 0);
      set8(i911 + (i152 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i911 + (i152 * 20 | 0) + 4 | 0, i159 | 0);
      set32(i911 + (i152 * 20 | 0) + 8 | 0, i909 | 0);
      set32(i911 + (i152 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i911 + (i152 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i911 + (i152 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i913 = i912;
      i914 = i174;
     }
     if ((i913 | 0) <= (i914 | 0)) {
      i174 = i158 + 4 | 0;
      i210 = _sqlite3DbRealloc(get32(i158 | 0) | 0, get32(i174 | 0) | 0, (i913 | 0) == 0 ? 1020 : i913 * 40 | 0) | 0;
      if (i210) {
       i154 = get32(i158 | 0) | 0;
       if (((i154 | 0) != 0 ? (get32(i154 + 260 | 0) | 0) >>> 0 <= i210 >>> 0 : 0) ? (get32(i154 + 264 | 0) | 0) >>> 0 > i210 >>> 0 : 0) i916 = getU16(i154 + 232 | 0) | 0; else i916 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i210) | 0;
       set32(i182 | 0, (i916 >>> 0) / 20 | 0 | 0);
       set32(i174 | 0, i210 | 0);
       i917 = get32(i176 | 0) | 0;
       i918 = i210;
       i157 = 4025;
      }
     } else {
      i917 = i914;
      i918 = get32(i158 + 4 | 0) | 0;
      i157 = 4025;
     }
     if ((i157 | 0) == 4025) {
      set32(i176 | 0, i917 + 1 | 0);
      set8(i918 + (i914 * 20 | 0) >> 0 | 0, 36 | 0);
      set8(i918 + (i914 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i918 + (i914 * 20 | 0) + 4 | 0, i897 | 0);
      set32(i918 + (i914 * 20 | 0) + 8 | 0, 1 | 0);
      set32(i918 + (i914 * 20 | 0) + 12 | 0, i909 | 0);
      set32(i918 + (i914 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i918 + (i914 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     }
     L5711 : do if ((i909 | 0) != 0 ? (i210 = get8(i163 >> 0 | 0) | 0, (i210 & 255) < 8) : 0) {
      do if ((get32(i149 + 112 | 0) | 0) != (i909 | 0)) if ((get32(i149 + 136 | 0) | 0) == (i909 | 0)) i919 = i149 + 120 | 0; else {
       if ((get32(i149 + 160 | 0) | 0) == (i909 | 0)) {
        i919 = i149 + 144 | 0;
        break;
       }
       if ((get32(i149 + 184 | 0) | 0) == (i909 | 0)) {
        i919 = i149 + 168 | 0;
        break;
       }
       if ((get32(i149 + 208 | 0) | 0) == (i909 | 0)) {
        i919 = i149 + 192 | 0;
        break;
       }
       if ((get32(i149 + 232 | 0) | 0) == (i909 | 0)) {
        i919 = i149 + 216 | 0;
        break;
       }
       if ((get32(i149 + 256 | 0) | 0) == (i909 | 0)) {
        i919 = i149 + 240 | 0;
        break;
       }
       if ((get32(i149 + 280 | 0) | 0) == (i909 | 0)) {
        i919 = i149 + 264 | 0;
        break;
       }
       if ((get32(i149 + 304 | 0) | 0) == (i909 | 0)) {
        i919 = i149 + 288 | 0;
        break;
       }
       if ((get32(i149 + 328 | 0) | 0) == (i909 | 0)) {
        i919 = i149 + 312 | 0;
        break;
       }
       set8(i163 >> 0 | 0, i210 + 1 << 24 >> 24 | 0);
       set32(i149 + 24 + ((i210 & 255) << 2) | 0, i909 | 0);
       break L5711;
      } else i919 = i149 + 96 | 0; while (0);
      set8(i919 + 8 >> 0 | 0, 1 | 0);
     } while (0);
     set32(i65 | 0, i161 | 0);
     i163 = _sqlite3MPrintf(i211, 35410, i65) | 0;
     i176 = i904 + 28 | 0;
     i158 = get32(i176 | 0) | 0;
     i182 = i904 + 32 | 0;
     i152 = get32(i182 | 0) | 0;
     if ((i152 | 0) <= (i158 | 0)) {
      i159 = i904 + 4 | 0;
      i210 = _sqlite3DbRealloc(get32(i904 | 0) | 0, get32(i159 | 0) | 0, (i152 | 0) == 0 ? 1020 : i152 * 40 | 0) | 0;
      if (!i210) {
       i920 = 1;
       i921 = i904;
       i922 = i159;
      } else {
       i152 = get32(i904 | 0) | 0;
       do if (!i152) i157 = 4047; else {
        if ((get32(i152 + 260 | 0) | 0) >>> 0 > i210 >>> 0) {
         i157 = 4047;
         break;
        }
        if ((get32(i152 + 264 | 0) | 0) >>> 0 <= i210 >>> 0) {
         i157 = 4047;
         break;
        }
        i923 = getU16(i152 + 232 | 0) | 0;
       } while (0);
       if ((i157 | 0) == 4047) i923 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i210) | 0;
       set32(i182 | 0, (i923 >>> 0) / 20 | 0 | 0);
       set32(i159 | 0, i210 | 0);
       i924 = i159;
       i925 = i904;
       i926 = get32(i176 | 0) | 0;
       i927 = i210;
       i157 = 4049;
      }
     } else {
      i152 = i904 + 4 | 0;
      i924 = i152;
      i925 = i904;
      i926 = i158;
      i927 = get32(i152 | 0) | 0;
      i157 = 4049;
     }
     if ((i157 | 0) == 4049) {
      set32(i176 | 0, i926 + 1 | 0);
      set8(i927 + (i158 * 20 | 0) >> 0 | 0, 99 | 0);
      set8(i927 + (i158 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i927 + (i158 * 20 | 0) + 4 | 0, i897 | 0);
      set32(i927 + (i158 * 20 | 0) + 8 | 0, 0 | 0);
      set32(i927 + (i158 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i927 + (i158 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i927 + (i158 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i920 = i158;
      i921 = i925;
      i922 = i924;
     }
     i152 = get32(i921 | 0) | 0;
     i174 = get32(i922 | 0) | 0;
     do if ((i174 | 0) != 0 ? (get8(i152 + 30 >> 0 | 0) | 0) == 0 : 0) {
      if ((i920 | 0) < 0) i928 = (get32(i176 | 0) | 0) + -1 | 0; else i928 = i920;
      i154 = i174 + (i928 * 20 | 0) + 1 | 0;
      i178 = i174 + (i928 * 20 | 0) + 16 | 0;
      _freeP4(i152, get8(i154 >> 0 | 0) | 0, get32(i178 | 0) | 0);
      set32(i178 | 0, 0 | 0);
      if (!i163) {
       set32(i178 | 0, 0 | 0);
       set8(i154 >> 0 | 0, 0 | 0);
       break;
      } else {
       set32(i178 | 0, i163 | 0);
       set8(i154 >> 0 | 0, -1 | 0);
       break;
      }
     } else i157 = 4052; while (0);
     if ((i157 | 0) == 4052 ? (i163 | 0) != 0 : 0) _sqlite3DbFree(i152, i163);
     i174 = get32((get32(i921 | 0) | 0) + 4 | 0) | 0;
     if ((i174 | 0) > 0) {
      i176 = i904 + 112 | 0;
      i158 = get32(i176 | 0) | 0;
      i210 = 0;
      while (1) {
       i159 = 1 << i210 | i158;
       i210 = i210 + 1 | 0;
       if ((i210 | 0) == (i174 | 0)) {
        i929 = i159;
        break;
       } else i158 = i159;
      }
      set32(i176 | 0, i929 | 0);
     }
     if (!(get8(i160 >> 0 | 0) | 0)) {
      i900 = 0;
      i901 = i188;
      break;
     } else i930 = i177;
    } else i930 = i211 + 8 | 0;
    i158 = (get32((get32(i930 | 0) | 0) + (i897 << 4) + 12 | 0) | 0) + 40 | 0;
    if (i213) i931 = 0; else {
     i174 = i161;
     while (1) if (!(get8(i174 >> 0 | 0) | 0)) {
      i932 = i174;
      break;
     } else i174 = i174 + 1 | 0;
     i931 = i932 - i161 & 1073741823;
    }
    i174 = _sqlite3HashInsert(i158, i161, i931, i188) | 0;
    if (i174) {
     set8(i211 + 30 >> 0 | 0, 1 | 0);
     i900 = 0;
     i901 = i174;
     break;
    }
    i213 = get32(i151 | 0) | 0;
    if ((i213 | 0) == (get32(i188 + 24 | 0) | 0)) {
     i177 = get32(i188 + 4 | 0) | 0;
     if (!i177) i933 = 0; else {
      i160 = i177;
      while (1) if (!(get8(i160 >> 0 | 0) | 0)) {
       i934 = i160;
       break;
      } else i160 = i160 + 1 | 0;
      i933 = i934 - i177 & 1073741823;
     }
     i160 = (_sqlite3HashFind(i213 + 8 | 0, i177, i933) | 0) + 64 | 0;
     set32(i188 + 32 | 0, get32(i160 | 0) | 0);
     set32(i160 | 0, i188 | 0);
     i900 = 0;
     i901 = i174;
    } else {
     i900 = 0;
     i901 = i174;
    }
   } else {
    i900 = i181;
    i901 = i188;
   } while (0);
   if (i901) {
    i188 = get32(i901 + 28 | 0) | 0;
    if (i188) {
     i181 = i188;
     do {
      i188 = i181;
      i181 = get32(i181 + 32 | 0) | 0;
      _sqlite3ExprDelete(i211, get32(i188 + 20 | 0) | 0);
      i155 = get32(i188 + 24 | 0) | 0;
      if (i155) {
       i180 = i155 + 12 | 0;
       if ((get32(i155 | 0) | 0) > 0) {
        i160 = 0;
        i151 = get32(i180 | 0) | 0;
        while (1) {
         _sqlite3ExprDelete(i211, get32(i151 | 0) | 0);
         _sqlite3DbFree(i211, get32(i151 + 4 | 0) | 0);
         _sqlite3DbFree(i211, get32(i151 + 8 | 0) | 0);
         i160 = i160 + 1 | 0;
         if ((i160 | 0) >= (get32(i155 | 0) | 0)) break; else i151 = i151 + 20 | 0;
        }
       }
       _sqlite3DbFree(i211, get32(i180 | 0) | 0);
       _sqlite3DbFree(i211, i155);
      }
      i151 = get32(i188 + 8 | 0) | 0;
      if (i151) {
       i160 = get32(i151 | 0) | 0;
       if (i160) {
        i174 = i160 + 12 | 0;
        if ((get32(i160 | 0) | 0) > 0) {
         i177 = 0;
         i213 = get32(i174 | 0) | 0;
         while (1) {
          _sqlite3ExprDelete(i211, get32(i213 | 0) | 0);
          _sqlite3DbFree(i211, get32(i213 + 4 | 0) | 0);
          _sqlite3DbFree(i211, get32(i213 + 8 | 0) | 0);
          i177 = i177 + 1 | 0;
          if ((i177 | 0) >= (get32(i160 | 0) | 0)) break; else i213 = i213 + 20 | 0;
         }
        }
        _sqlite3DbFree(i211, get32(i174 | 0) | 0);
        _sqlite3DbFree(i211, i160);
       }
       _sqlite3SrcListDelete(i211, get32(i151 + 8 | 0) | 0);
       _sqlite3ExprDelete(i211, get32(i151 + 12 | 0) | 0);
       i213 = get32(i151 + 16 | 0) | 0;
       if (i213) {
        i177 = i213 + 12 | 0;
        if ((get32(i213 | 0) | 0) > 0) {
         i155 = 0;
         i180 = get32(i177 | 0) | 0;
         while (1) {
          _sqlite3ExprDelete(i211, get32(i180 | 0) | 0);
          _sqlite3DbFree(i211, get32(i180 + 4 | 0) | 0);
          _sqlite3DbFree(i211, get32(i180 + 8 | 0) | 0);
          i155 = i155 + 1 | 0;
          if ((i155 | 0) >= (get32(i213 | 0) | 0)) break; else i180 = i180 + 20 | 0;
         }
        }
        _sqlite3DbFree(i211, get32(i177 | 0) | 0);
        _sqlite3DbFree(i211, i213);
       }
       _sqlite3ExprDelete(i211, get32(i151 + 20 | 0) | 0);
       i180 = get32(i151 + 24 | 0) | 0;
       if (i180) {
        i155 = i180 + 12 | 0;
        if ((get32(i180 | 0) | 0) > 0) {
         i160 = 0;
         i174 = get32(i155 | 0) | 0;
         while (1) {
          _sqlite3ExprDelete(i211, get32(i174 | 0) | 0);
          _sqlite3DbFree(i211, get32(i174 + 4 | 0) | 0);
          _sqlite3DbFree(i211, get32(i174 + 8 | 0) | 0);
          i160 = i160 + 1 | 0;
          if ((i160 | 0) >= (get32(i180 | 0) | 0)) break; else i174 = i174 + 20 | 0;
         }
        }
        _sqlite3DbFree(i211, get32(i155 | 0) | 0);
        _sqlite3DbFree(i211, i180);
       }
       i174 = get32(i151 + 28 | 0) | 0;
       if (i174) {
        i160 = get32(i174 | 0) | 0;
        if (i160) {
         i213 = i160 + 12 | 0;
         if ((get32(i160 | 0) | 0) > 0) {
          i177 = 0;
          i161 = get32(i213 | 0) | 0;
          while (1) {
           _sqlite3ExprDelete(i211, get32(i161 | 0) | 0);
           _sqlite3DbFree(i211, get32(i161 + 4 | 0) | 0);
           _sqlite3DbFree(i211, get32(i161 + 8 | 0) | 0);
           i177 = i177 + 1 | 0;
           if ((i177 | 0) >= (get32(i160 | 0) | 0)) break; else i161 = i161 + 20 | 0;
          }
         }
         _sqlite3DbFree(i211, get32(i213 | 0) | 0);
         _sqlite3DbFree(i211, i160);
        }
        _sqlite3SrcListDelete(i211, get32(i174 + 8 | 0) | 0);
        _sqlite3ExprDelete(i211, get32(i174 + 12 | 0) | 0);
        i161 = get32(i174 + 16 | 0) | 0;
        if (i161) {
         i177 = i161 + 12 | 0;
         if ((get32(i161 | 0) | 0) > 0) {
          i180 = 0;
          i155 = get32(i177 | 0) | 0;
          while (1) {
           _sqlite3ExprDelete(i211, get32(i155 | 0) | 0);
           _sqlite3DbFree(i211, get32(i155 + 4 | 0) | 0);
           _sqlite3DbFree(i211, get32(i155 + 8 | 0) | 0);
           i180 = i180 + 1 | 0;
           if ((i180 | 0) >= (get32(i161 | 0) | 0)) break; else i155 = i155 + 20 | 0;
          }
         }
         _sqlite3DbFree(i211, get32(i177 | 0) | 0);
         _sqlite3DbFree(i211, i161);
        }
        _sqlite3ExprDelete(i211, get32(i174 + 20 | 0) | 0);
        i155 = get32(i174 + 24 | 0) | 0;
        if (i155) {
         i180 = i155 + 12 | 0;
         if ((get32(i155 | 0) | 0) > 0) {
          i160 = 0;
          i213 = get32(i180 | 0) | 0;
          while (1) {
           _sqlite3ExprDelete(i211, get32(i213 | 0) | 0);
           _sqlite3DbFree(i211, get32(i213 + 4 | 0) | 0);
           _sqlite3DbFree(i211, get32(i213 + 8 | 0) | 0);
           i160 = i160 + 1 | 0;
           if ((i160 | 0) >= (get32(i155 | 0) | 0)) break; else i213 = i213 + 20 | 0;
          }
         }
         _sqlite3DbFree(i211, get32(i180 | 0) | 0);
         _sqlite3DbFree(i211, i155);
        }
        _sqlite3SelectDelete(i211, get32(i174 + 28 | 0) | 0);
        _sqlite3ExprDelete(i211, get32(i174 + 40 | 0) | 0);
        _sqlite3ExprDelete(i211, get32(i174 + 44 | 0) | 0);
        _sqlite3DbFree(i211, i174);
       }
       _sqlite3ExprDelete(i211, get32(i151 + 40 | 0) | 0);
       _sqlite3ExprDelete(i211, get32(i151 + 44 | 0) | 0);
       _sqlite3DbFree(i211, i151);
      }
      i213 = get32(i188 + 28 | 0) | 0;
      if (i213) {
       i160 = i213 + 4 | 0;
       if ((get32(i160 | 0) | 0) > 0) {
        i161 = 0;
        do {
         _sqlite3DbFree(i211, get32((get32(i213 | 0) | 0) + (i161 << 3) | 0) | 0);
         i161 = i161 + 1 | 0;
        } while ((i161 | 0) < (get32(i160 | 0) | 0));
       }
       _sqlite3DbFree(i211, get32(i213 | 0) | 0);
       _sqlite3DbFree(i211, i213);
      }
      _sqlite3DbFree(i211, i188);
     } while ((i181 | 0) != 0);
    }
    _sqlite3DbFree(i211, get32(i901 | 0) | 0);
    _sqlite3DbFree(i211, get32(i901 + 4 | 0) | 0);
    _sqlite3ExprDelete(i211, get32(i901 + 12 | 0) | 0);
    i181 = get32(i901 + 16 | 0) | 0;
    if (i181) {
     i160 = i181 + 4 | 0;
     if ((get32(i160 | 0) | 0) > 0) {
      i161 = 0;
      do {
       _sqlite3DbFree(i211, get32((get32(i181 | 0) | 0) + (i161 << 3) | 0) | 0);
       i161 = i161 + 1 | 0;
      } while ((i161 | 0) < (get32(i160 | 0) | 0));
     }
     _sqlite3DbFree(i211, get32(i181 | 0) | 0);
     _sqlite3DbFree(i211, i181);
    }
    _sqlite3DbFree(i211, i901);
   }
   if (i900) {
    i160 = i900;
    do {
     i161 = i160;
     i160 = get32(i160 + 32 | 0) | 0;
     _sqlite3ExprDelete(i211, get32(i161 + 20 | 0) | 0);
     i151 = get32(i161 + 24 | 0) | 0;
     if (i151) {
      i174 = i151 + 12 | 0;
      if ((get32(i151 | 0) | 0) > 0) {
       i155 = 0;
       i180 = get32(i174 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i211, get32(i180 | 0) | 0);
        _sqlite3DbFree(i211, get32(i180 + 4 | 0) | 0);
        _sqlite3DbFree(i211, get32(i180 + 8 | 0) | 0);
        i155 = i155 + 1 | 0;
        if ((i155 | 0) >= (get32(i151 | 0) | 0)) break; else i180 = i180 + 20 | 0;
       }
      }
      _sqlite3DbFree(i211, get32(i174 | 0) | 0);
      _sqlite3DbFree(i211, i151);
     }
     i180 = get32(i161 + 8 | 0) | 0;
     if (i180) {
      i155 = get32(i180 | 0) | 0;
      if (i155) {
       i188 = i155 + 12 | 0;
       if ((get32(i155 | 0) | 0) > 0) {
        i213 = 0;
        i177 = get32(i188 | 0) | 0;
        while (1) {
         _sqlite3ExprDelete(i211, get32(i177 | 0) | 0);
         _sqlite3DbFree(i211, get32(i177 + 4 | 0) | 0);
         _sqlite3DbFree(i211, get32(i177 + 8 | 0) | 0);
         i213 = i213 + 1 | 0;
         if ((i213 | 0) >= (get32(i155 | 0) | 0)) break; else i177 = i177 + 20 | 0;
        }
       }
       _sqlite3DbFree(i211, get32(i188 | 0) | 0);
       _sqlite3DbFree(i211, i155);
      }
      _sqlite3SrcListDelete(i211, get32(i180 + 8 | 0) | 0);
      _sqlite3ExprDelete(i211, get32(i180 + 12 | 0) | 0);
      i177 = get32(i180 + 16 | 0) | 0;
      if (i177) {
       i213 = i177 + 12 | 0;
       if ((get32(i177 | 0) | 0) > 0) {
        i151 = 0;
        i174 = get32(i213 | 0) | 0;
        while (1) {
         _sqlite3ExprDelete(i211, get32(i174 | 0) | 0);
         _sqlite3DbFree(i211, get32(i174 + 4 | 0) | 0);
         _sqlite3DbFree(i211, get32(i174 + 8 | 0) | 0);
         i151 = i151 + 1 | 0;
         if ((i151 | 0) >= (get32(i177 | 0) | 0)) break; else i174 = i174 + 20 | 0;
        }
       }
       _sqlite3DbFree(i211, get32(i213 | 0) | 0);
       _sqlite3DbFree(i211, i177);
      }
      _sqlite3ExprDelete(i211, get32(i180 + 20 | 0) | 0);
      i174 = get32(i180 + 24 | 0) | 0;
      if (i174) {
       i151 = i174 + 12 | 0;
       if ((get32(i174 | 0) | 0) > 0) {
        i155 = 0;
        i188 = get32(i151 | 0) | 0;
        while (1) {
         _sqlite3ExprDelete(i211, get32(i188 | 0) | 0);
         _sqlite3DbFree(i211, get32(i188 + 4 | 0) | 0);
         _sqlite3DbFree(i211, get32(i188 + 8 | 0) | 0);
         i155 = i155 + 1 | 0;
         if ((i155 | 0) >= (get32(i174 | 0) | 0)) break; else i188 = i188 + 20 | 0;
        }
       }
       _sqlite3DbFree(i211, get32(i151 | 0) | 0);
       _sqlite3DbFree(i211, i174);
      }
      i188 = get32(i180 + 28 | 0) | 0;
      if (i188) {
       i155 = get32(i188 | 0) | 0;
       if (i155) {
        i177 = i155 + 12 | 0;
        if ((get32(i155 | 0) | 0) > 0) {
         i213 = 0;
         i158 = get32(i177 | 0) | 0;
         while (1) {
          _sqlite3ExprDelete(i211, get32(i158 | 0) | 0);
          _sqlite3DbFree(i211, get32(i158 + 4 | 0) | 0);
          _sqlite3DbFree(i211, get32(i158 + 8 | 0) | 0);
          i213 = i213 + 1 | 0;
          if ((i213 | 0) >= (get32(i155 | 0) | 0)) break; else i158 = i158 + 20 | 0;
         }
        }
        _sqlite3DbFree(i211, get32(i177 | 0) | 0);
        _sqlite3DbFree(i211, i155);
       }
       _sqlite3SrcListDelete(i211, get32(i188 + 8 | 0) | 0);
       _sqlite3ExprDelete(i211, get32(i188 + 12 | 0) | 0);
       i158 = get32(i188 + 16 | 0) | 0;
       if (i158) {
        i213 = i158 + 12 | 0;
        if ((get32(i158 | 0) | 0) > 0) {
         i174 = 0;
         i151 = get32(i213 | 0) | 0;
         while (1) {
          _sqlite3ExprDelete(i211, get32(i151 | 0) | 0);
          _sqlite3DbFree(i211, get32(i151 + 4 | 0) | 0);
          _sqlite3DbFree(i211, get32(i151 + 8 | 0) | 0);
          i174 = i174 + 1 | 0;
          if ((i174 | 0) >= (get32(i158 | 0) | 0)) break; else i151 = i151 + 20 | 0;
         }
        }
        _sqlite3DbFree(i211, get32(i213 | 0) | 0);
        _sqlite3DbFree(i211, i158);
       }
       _sqlite3ExprDelete(i211, get32(i188 + 20 | 0) | 0);
       i151 = get32(i188 + 24 | 0) | 0;
       if (i151) {
        i174 = i151 + 12 | 0;
        if ((get32(i151 | 0) | 0) > 0) {
         i155 = 0;
         i177 = get32(i174 | 0) | 0;
         while (1) {
          _sqlite3ExprDelete(i211, get32(i177 | 0) | 0);
          _sqlite3DbFree(i211, get32(i177 + 4 | 0) | 0);
          _sqlite3DbFree(i211, get32(i177 + 8 | 0) | 0);
          i155 = i155 + 1 | 0;
          if ((i155 | 0) >= (get32(i151 | 0) | 0)) break; else i177 = i177 + 20 | 0;
         }
        }
        _sqlite3DbFree(i211, get32(i174 | 0) | 0);
        _sqlite3DbFree(i211, i151);
       }
       _sqlite3SelectDelete(i211, get32(i188 + 28 | 0) | 0);
       _sqlite3ExprDelete(i211, get32(i188 + 40 | 0) | 0);
       _sqlite3ExprDelete(i211, get32(i188 + 44 | 0) | 0);
       _sqlite3DbFree(i211, i188);
      }
      _sqlite3ExprDelete(i211, get32(i180 + 40 | 0) | 0);
      _sqlite3ExprDelete(i211, get32(i180 + 44 | 0) | 0);
      _sqlite3DbFree(i211, i180);
     }
     i177 = get32(i161 + 28 | 0) | 0;
     if (i177) {
      i155 = i177 + 4 | 0;
      if ((get32(i155 | 0) | 0) > 0) {
       i158 = 0;
       do {
        _sqlite3DbFree(i211, get32((get32(i177 | 0) | 0) + (i158 << 3) | 0) | 0);
        i158 = i158 + 1 | 0;
       } while ((i158 | 0) < (get32(i155 | 0) | 0));
      }
      _sqlite3DbFree(i211, get32(i177 | 0) | 0);
      _sqlite3DbFree(i211, i177);
     }
     _sqlite3DbFree(i211, i161);
    } while ((i160 | 0) != 0);
   }
   break;
  }
 case 271:
  {
   i160 = i1 + 12 + (i150 + -7 << 4) + 4 | 0;
   i211 = i150 + -6 | 0;
   i181 = i1 + 12 + (i211 << 4) + 4 | 0;
   i155 = get32(i1 + 12 + (i150 + -5 << 4) + 4 | 0) | 0;
   i158 = i150 + -4 | 0;
   i180 = get32(i1 + 12 + (i158 << 4) + 4 | 0) | 0;
   i188 = get32(i1 + 12 + (i158 << 4) + 8 | 0) | 0;
   i158 = get32(i1 + 12 + (i150 + -2 << 4) + 4 | 0) | 0;
   i151 = get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0;
   i174 = get32(i1 + 12 + (i150 + -8 << 4) + 4 | 0) | 0;
   i213 = get32(i149 | 0) | 0;
   i176 = (get32(i1 + 12 + (i150 + -10 << 4) + 4 | 0) | 0) != 0;
   i210 = i1 + 12 + (i211 << 4) + 8 | 0;
   i211 = (get32(i210 | 0) | 0) == 0;
   do if (i176) if (i211) if (!i158) {
    i935 = 0;
    i936 = 0;
    break;
   } else {
    i937 = i160;
    i938 = 1;
    i157 = 4185;
    break;
   } else {
    _sqlite3ErrorMsg(i149, 35439, i64);
    i935 = 0;
    i936 = 0;
    break;
   } else {
    if (!i211) {
     if (get8(i213 + 124 >> 0 | 0) | 0) {
      _sqlite3ErrorMsg(i149, 29318, i63);
      i163 = i149 + 64 | 0;
      set32(i163 | 0, (get32(i163 | 0) | 0) + 1 | 0);
      i935 = 0;
      i936 = 0;
      break;
     }
     i163 = _sqlite3FindDb(i213, i160) | 0;
     if ((i163 | 0) < 0) {
      set32(i62 | 0, i160 | 0);
      _sqlite3ErrorMsg(i149, 29335, i62);
      i152 = i149 + 64 | 0;
      set32(i152 | 0, (get32(i152 | 0) | 0) + 1 | 0);
      i935 = 0;
      i936 = 0;
      break;
     } else {
      i939 = i163;
      i940 = i181;
     }
    } else {
     i939 = get32(i213 + 116 | 0) | 0;
     i940 = i160;
    }
    if ((i158 | 0) != 0 & (i939 | 0) > -1) {
     i937 = i940;
     i938 = i939;
     i157 = 4185;
    } else {
     i935 = 0;
     i936 = 0;
    }
   } while (0);
   L5951 : do if ((i157 | 0) == 4185) {
    i211 = i213 + 30 | 0;
    if (!(get8(i211 >> 0 | 0) | 0)) {
     i163 = i158 + 12 | 0;
     i152 = get32(i163 | 0) | 0;
     i159 = i158 + 8 | 0;
     i182 = get32(i159 | 0) | 0;
     i154 = get32(i149 | 0) | 0;
     do if (!(get8(i154 + 124 >> 0 | 0) | 0)) {
      i178 = _sqlite3Init(i154, i149 + 8 | 0) | 0;
      if (!i178) {
       i941 = get32(i149 | 0) | 0;
       i157 = 4190;
       break;
      } else {
       set32(i149 + 4 | 0, i178 | 0);
       i178 = i149 + 64 | 0;
       set32(i178 | 0, (get32(i178 | 0) | 0) + 1 | 0);
       i942 = 0;
       break;
      }
     } else {
      i941 = i154;
      i157 = 4190;
     } while (0);
     do if ((i157 | 0) == 4190) {
      if (!i152) i943 = 0; else {
       i154 = i152;
       while (1) if (!(get8(i154 >> 0 | 0) | 0)) {
        i944 = i154;
        break;
       } else i154 = i154 + 1 | 0;
       i943 = i944 - i152 & 1073741823;
      }
      i154 = get32(i941 + 4 | 0) | 0;
      if ((i154 | 0) > 0) {
       i161 = (i182 | 0) == 0;
       i177 = get32(i941 + 8 | 0) | 0;
       i178 = 0;
       i192 = 0;
       while (1) {
        i183 = (i178 | 0) < 2 ^ i178;
        if (!i161) {
         i175 = get32(i177 + (i183 << 4) | 0) | 0;
         i179 = get8(i182 >> 0 | 0) | 0;
         L5972 : do if (!(i179 << 24 >> 24)) {
          i945 = 0;
          i946 = i175;
         } else {
          i153 = i179;
          i227 = i182;
          i225 = i175;
          while (1) {
           if ((get8(16286 + (i153 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i225 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
            i945 = i153;
            i946 = i225;
            break L5972;
           }
           i227 = i227 + 1 | 0;
           i888 = i225 + 1 | 0;
           i153 = get8(i227 >> 0 | 0) | 0;
           if (!(i153 << 24 >> 24)) {
            i945 = 0;
            i946 = i888;
            break;
           } else i225 = i888;
          }
         } while (0);
         if ((get8(16286 + (i945 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i946 >> 0 | 0) | 0) >> 0 | 0) | 0)) i947 = i192; else i157 = 4200;
        } else i157 = 4200;
        if ((i157 | 0) == 4200) {
         i157 = 0;
         i175 = _sqlite3HashFind((get32(i177 + (i183 << 4) + 12 | 0) | 0) + 8 | 0, i152, i943) | 0;
         if (!i175) i947 = i175; else {
          i948 = i175;
          break;
         }
        }
        i178 = i178 + 1 | 0;
        if ((i178 | 0) >= (i154 | 0)) {
         i948 = i947;
         break;
        } else i192 = i947;
       }
       if (i948) {
        i942 = i948;
        break;
       }
      }
      if (!i182) {
       set32(i60 | 0, 25690 | 0);
       set32(i60 + 4 | 0, i152 | 0);
       _sqlite3ErrorMsg(i149, 25714, i60);
      } else {
       set32(i61 | 0, 25690 | 0);
       set32(i61 + 4 | 0, i182 | 0);
       set32(i61 + 8 | 0, i152 | 0);
       _sqlite3ErrorMsg(i149, 25704, i61);
      }
      set8(i149 + 18 >> 0 | 0, 1 | 0);
      i942 = 0;
     } while (0);
     i152 = i158 + 20 | 0;
     _sqlite3DeleteTable(get32(i149 | 0) | 0, get32(i152 | 0) | 0);
     set32(i152 | 0, i942 | 0);
     L5987 : do if (i942) {
      i182 = i942 + 32 | 0;
      set16(i182 | 0, (get16(i182 | 0) | 0) + 1 << 16 >> 16 | 0);
      i182 = get32(i158 + 56 | 0) | 0;
      if (!i182) i949 = i942; else {
       i192 = get32(i942 + 16 | 0) | 0;
       L5990 : do if (i192) {
        i154 = i192;
        while (1) {
         i178 = get32(i154 | 0) | 0;
         i177 = get8(i178 >> 0 | 0) | 0;
         L5993 : do if (!(i177 << 24 >> 24)) {
          i950 = 0;
          i951 = i182;
         } else {
          i161 = i177;
          i175 = i178;
          i179 = i182;
          while (1) {
           if ((get8(16286 + (i161 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i179 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
            i950 = i161;
            i951 = i179;
            break L5993;
           }
           i175 = i175 + 1 | 0;
           i173 = i179 + 1 | 0;
           i161 = get8(i175 >> 0 | 0) | 0;
           if (!(i161 << 24 >> 24)) {
            i950 = 0;
            i951 = i173;
            break;
           } else i179 = i173;
          }
         } while (0);
         if ((get8(16286 + (i950 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i951 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
          i952 = i154;
          break;
         }
         i154 = get32(i154 + 32 | 0) | 0;
         if (!i154) break L5990;
        }
        set32(i158 + 60 | 0, i952 | 0);
        i949 = i942;
        break L5987;
       } while (0);
       set32(i59 | 0, i182 | 0);
       set32(i59 + 4 | 0, 0 | 0);
       _sqlite3ErrorMsg(i149, 30280, i59);
       set8(i149 + 18 >> 0 | 0, 1 | 0);
       i949 = 0;
      }
     } else i949 = 0; while (0);
     if ((get8(i213 + 124 >> 0 | 0) | 0) == 0 ? (i949 | 0) != 0 & (get32(i210 | 0) | 0) == 0 : 0) i953 = (get32(i949 + 68 | 0) | 0) == (get32((get32(i213 + 8 | 0) | 0) + 28 | 0) | 0) ? 1 : i938; else i953 = i938;
     if (!(get8(i211 >> 0 | 0) | 0)) {
      i192 = (i953 | 0) == 1;
      if (!((i953 | 0) < 0 | i192) ? (i154 = get32(i149 | 0) | 0, set32(i143 | 0, i149 | 0), set32(i143 + 4 | 0, get32((get32(i154 + 8 | 0) | 0) + (i953 << 4) | 0) | 0), set32(i143 + 8 | 0, 17148 | 0), set32(i143 + 12 | 0, i937 | 0), (_sqlite3FixSrcList(i143, i158) | 0) != 0) : 0) {
       i935 = 0;
       i936 = 0;
       break;
      }
      i154 = get32(i163 | 0) | 0;
      i183 = get32(i159 | 0) | 0;
      i178 = get32(i149 | 0) | 0;
      do if (!(get8(i178 + 124 >> 0 | 0) | 0)) {
       i177 = _sqlite3Init(i178, i149 + 8 | 0) | 0;
       if (!i177) {
        i954 = get32(i149 | 0) | 0;
        i157 = 4227;
        break;
       } else {
        set32(i149 + 4 | 0, i177 | 0);
        i177 = i149 + 64 | 0;
        set32(i177 | 0, (get32(i177 | 0) | 0) + 1 | 0);
        i955 = 0;
        break;
       }
      } else {
       i954 = i178;
       i157 = 4227;
      } while (0);
      do if ((i157 | 0) == 4227) {
       if (!i154) i956 = 0; else {
        i178 = i154;
        while (1) if (!(get8(i178 >> 0 | 0) | 0)) {
         i957 = i178;
         break;
        } else i178 = i178 + 1 | 0;
        i956 = i957 - i154 & 1073741823;
       }
       i178 = get32(i954 + 4 | 0) | 0;
       if ((i178 | 0) > 0) {
        i182 = (i183 | 0) == 0;
        i159 = get32(i954 + 8 | 0) | 0;
        i177 = 0;
        i179 = 0;
        while (1) {
         i161 = (i177 | 0) < 2 ^ i177;
         if (!i182) {
          i175 = get32(i159 + (i161 << 4) | 0) | 0;
          i162 = get8(i183 >> 0 | 0) | 0;
          L6028 : do if (!(i162 << 24 >> 24)) {
           i958 = 0;
           i959 = i175;
          } else {
           i173 = i162;
           i225 = i183;
           i153 = i175;
           while (1) {
            if ((get8(16286 + (i173 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i153 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
             i958 = i173;
             i959 = i153;
             break L6028;
            }
            i225 = i225 + 1 | 0;
            i227 = i153 + 1 | 0;
            i173 = get8(i225 >> 0 | 0) | 0;
            if (!(i173 << 24 >> 24)) {
             i958 = 0;
             i959 = i227;
             break;
            } else i153 = i227;
           }
          } while (0);
          if ((get8(16286 + (i958 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i959 >> 0 | 0) | 0) >> 0 | 0) | 0)) i960 = i179; else i157 = 4237;
         } else i157 = 4237;
         if ((i157 | 0) == 4237) {
          i157 = 0;
          i175 = _sqlite3HashFind((get32(i159 + (i161 << 4) + 12 | 0) | 0) + 8 | 0, i154, i956) | 0;
          if (!i175) i960 = i175; else {
           i961 = i175;
           break;
          }
         }
         i177 = i177 + 1 | 0;
         if ((i177 | 0) >= (i178 | 0)) {
          i961 = i960;
          break;
         } else i179 = i960;
        }
        if (i961) {
         i955 = i961;
         break;
        }
       }
       if (!i183) {
        set32(i57 | 0, 25690 | 0);
        set32(i57 + 4 | 0, i154 | 0);
        _sqlite3ErrorMsg(i149, 25714, i57);
       } else {
        set32(i58 | 0, 25690 | 0);
        set32(i58 + 4 | 0, i183 | 0);
        set32(i58 + 8 | 0, i154 | 0);
        _sqlite3ErrorMsg(i149, 25704, i58);
       }
       set8(i149 + 18 >> 0 | 0, 1 | 0);
       i955 = 0;
      } while (0);
      _sqlite3DeleteTable(get32(i149 | 0) | 0, get32(i152 | 0) | 0);
      set32(i152 | 0, i955 | 0);
      L6043 : do if (i955) {
       i154 = i955 + 32 | 0;
       set16(i154 | 0, (get16(i154 | 0) | 0) + 1 << 16 >> 16 | 0);
       i154 = get32(i158 + 56 | 0) | 0;
       L6045 : do if (i154) {
        i183 = get32(i955 + 16 | 0) | 0;
        L6047 : do if (i183) {
         i179 = i183;
         while (1) {
          i178 = get32(i179 | 0) | 0;
          i177 = get8(i178 >> 0 | 0) | 0;
          L6050 : do if (!(i177 << 24 >> 24)) {
           i962 = 0;
           i963 = i154;
          } else {
           i159 = i177;
           i182 = i178;
           i175 = i154;
           while (1) {
            if ((get8(16286 + (i159 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i175 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
             i962 = i159;
             i963 = i175;
             break L6050;
            }
            i182 = i182 + 1 | 0;
            i162 = i175 + 1 | 0;
            i159 = get8(i182 >> 0 | 0) | 0;
            if (!(i159 << 24 >> 24)) {
             i962 = 0;
             i963 = i162;
             break;
            } else i175 = i162;
           }
          } while (0);
          if ((get8(16286 + (i962 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i963 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
           i964 = i179;
           break;
          }
          i179 = get32(i179 + 32 | 0) | 0;
          if (!i179) break L6047;
         }
         set32(i158 + 60 | 0, i964 | 0);
         break L6045;
        } while (0);
        set32(i56 | 0, i154 | 0);
        set32(i56 + 4 | 0, 0 | 0);
        _sqlite3ErrorMsg(i149, 30280, i56);
        set8(i149 + 18 >> 0 | 0, 1 | 0);
        break L6043;
       } while (0);
       if (get8(i955 + 34 >> 0 | 0) & 16) {
        _sqlite3ErrorMsg(i149, 35485, i55);
        i935 = 0;
        i936 = 0;
        break L5951;
       }
       if (!i937) {
        i935 = 0;
        i936 = 0;
        break L5951;
       }
       i154 = get32(i937 | 0) | 0;
       i183 = get32(i937 + 4 | 0) | 0;
       if (!i154) {
        i935 = 0;
        i936 = 0;
        break L5951;
       }
       i161 = i183 + 1 | 0;
       i179 = (i213 | 0) == 0;
       L6064 : do if (i179) {
        if (i183 >>> 0 > 2147483390) {
         i935 = 0;
         i936 = 0;
         break L5951;
        }
        if (!(get32(50 * 4 | 0) | 0)) {
         i965 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i161) | 0;
         i157 = 4299;
         break;
        }
        i178 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i161) | 0;
        set32(35 * 4 | 0, i161 | 0);
        if ((get32(45 * 4 | 0) | 0) < (i161 | 0)) set32(45 * 4 | 0, i161 | 0);
        i177 = get32(6 * 4 | 0) | 0;
        do if (i177) {
         i175 = get32(30 * 4 | 0) | 0;
         i159 = ((i175 | 0) < 0) << 31 >> 31;
         i182 = 16;
         i189 = _i64Subtract(get32(i182 | 0) | 0, get32(i182 + 4 | 0) | 0, i178 | 0, ((i178 | 0) < 0) << 31 >> 31 | 0) | 0;
         i182 = tempRet0;
         if ((i159 | 0) < (i182 | 0) | (i159 | 0) == (i182 | 0) & i175 >>> 0 < i189 >>> 0) {
          set32(11 * 4 | 0, 0 | 0);
          break;
         } else {
          set32(11 * 4 | 0, 1 | 0);
          i189 = get32(7 * 4 | 0) | 0;
          set32(6 * 4 | 0, 0 | 0);
          FUNCTION_TABLE_viiii[i177 & 15](i189, i175, i159, i178);
          set32(6 * 4 | 0, i177 | 0);
          set32(7 * 4 | 0, i189 | 0);
          break;
         }
        } while (0);
        i177 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i178) | 0;
        if (!i177) {
         i935 = 0;
         i936 = 0;
         break L5951;
        }
        i189 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i177) | 0;
        i159 = (get32(30 * 4 | 0) | 0) + i189 | 0;
        set32(30 * 4 | 0, i159 | 0);
        if ((i159 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i159 | 0);
        i159 = get32(39 * 4 | 0) | 0;
        i189 = i159 + 1 | 0;
        set32(39 * 4 | 0, i189 | 0);
        if ((i159 | 0) < (get32(49 * 4 | 0) | 0)) {
         i966 = i177;
         break;
        }
        set32(49 * 4 | 0, i189 | 0);
        i966 = i177;
       } else {
        if (get8(i211 >> 0 | 0) | 0) {
         i935 = 0;
         i936 = 0;
         break L5951;
        }
        do if (get8(i213 + 234 >> 0 | 0) | 0) {
         if ((getU16(i213 + 232 | 0) | 0) < (i161 | 0)) {
          i177 = i213 + 248 | 0;
          set32(i177 | 0, (get32(i177 | 0) | 0) + 1 | 0);
          break;
         }
         i177 = i213 + 256 | 0;
         i189 = get32(i177 | 0) | 0;
         if (!i189) {
          i159 = i213 + 252 | 0;
          set32(i159 | 0, (get32(i159 | 0) | 0) + 1 | 0);
          break;
         }
         set32(i177 | 0, get32(i189 | 0) | 0);
         i177 = i213 + 236 | 0;
         i159 = get32(i177 | 0) | 0;
         i175 = i159 + 1 | 0;
         set32(i177 | 0, i175 | 0);
         i177 = i213 + 244 | 0;
         set32(i177 | 0, (get32(i177 | 0) | 0) + 1 | 0);
         i177 = i213 + 240 | 0;
         if ((i159 | 0) >= (get32(i177 | 0) | 0)) set32(i177 | 0, i175 | 0);
         i965 = i189;
         i157 = 4299;
         break L6064;
        } while (0);
        do if (i183 >>> 0 <= 2147483390) {
         if (!(get32(50 * 4 | 0) | 0)) {
          i178 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i161) | 0;
          if (!i178) break; else {
           i966 = i178;
           break L6064;
          }
         }
         i178 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i161) | 0;
         set32(35 * 4 | 0, i161 | 0);
         if ((get32(45 * 4 | 0) | 0) < (i161 | 0)) set32(45 * 4 | 0, i161 | 0);
         i189 = get32(6 * 4 | 0) | 0;
         do if (i189) {
          i175 = get32(30 * 4 | 0) | 0;
          i177 = ((i175 | 0) < 0) << 31 >> 31;
          i159 = 16;
          i182 = _i64Subtract(get32(i159 | 0) | 0, get32(i159 + 4 | 0) | 0, i178 | 0, ((i178 | 0) < 0) << 31 >> 31 | 0) | 0;
          i159 = tempRet0;
          if ((i177 | 0) < (i159 | 0) | (i177 | 0) == (i159 | 0) & i175 >>> 0 < i182 >>> 0) {
           set32(11 * 4 | 0, 0 | 0);
           break;
          } else {
           set32(11 * 4 | 0, 1 | 0);
           i182 = get32(7 * 4 | 0) | 0;
           set32(6 * 4 | 0, 0 | 0);
           FUNCTION_TABLE_viiii[i189 & 15](i182, i175, i177, i178);
           set32(6 * 4 | 0, i189 | 0);
           set32(7 * 4 | 0, i182 | 0);
           break;
          }
         } while (0);
         i189 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i178) | 0;
         if (!i189) break;
         i182 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i189) | 0;
         i177 = (get32(30 * 4 | 0) | 0) + i182 | 0;
         set32(30 * 4 | 0, i177 | 0);
         if ((i177 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i177 | 0);
         i177 = get32(39 * 4 | 0) | 0;
         i182 = i177 + 1 | 0;
         set32(39 * 4 | 0, i182 | 0);
         if ((i177 | 0) < (get32(49 * 4 | 0) | 0)) {
          i966 = i189;
          break L6064;
         }
         set32(49 * 4 | 0, i182 | 0);
         i966 = i189;
         break L6064;
        } while (0);
        set8(i211 >> 0 | 0, 1 | 0);
        i935 = 0;
        i936 = 0;
        break L5951;
       } while (0);
       if ((i157 | 0) == 4299) if (!i965) {
        i935 = 0;
        i936 = 0;
        break L5951;
       } else i966 = i965;
       _memcpy(i966 | 0, i154 | 0, i183 | 0) | 0;
       set8(i966 + i183 >> 0 | 0, 0 | 0);
       i161 = get8(i966 >> 0 | 0) | 0;
       switch (i161 << 24 >> 24 | 0) {
       case 96:
       case 34:
       case 39:
        {
         i967 = i161;
         i157 = 4302;
         break;
        }
       case 91:
        {
         i967 = 93;
         i157 = 4302;
         break;
        }
       default:
        {}
       }
       if ((i157 | 0) == 4302) {
        i161 = get8(i966 + 1 >> 0 | 0) | 0;
        L6125 : do if (!(i161 << 24 >> 24)) i968 = 0; else {
         i189 = i161;
         i182 = 1;
         i177 = 0;
         while (1) {
          if (i189 << 24 >> 24 == i967 << 24 >> 24) {
           i175 = i182 + 1 | 0;
           if ((get8(i966 + i175 >> 0 | 0) | 0) != i967 << 24 >> 24) {
            i968 = i177;
            break L6125;
           }
           set8(i966 + i177 >> 0 | 0, i967 | 0);
           i969 = i175;
          } else {
           set8(i966 + i177 >> 0 | 0, i189 | 0);
           i969 = i182;
          }
          i175 = i177 + 1 | 0;
          i182 = i969 + 1 | 0;
          i189 = get8(i966 + i182 >> 0 | 0) | 0;
          if (!(i189 << 24 >> 24)) {
           i968 = i175;
           break;
          } else i177 = i175;
         }
        } while (0);
        set8(i966 + i968 >> 0 | 0, 0 | 0);
       }
       if (_sqlite3CheckObjectName(i149, i966) | 0) {
        i935 = 0;
        i936 = i966;
        break L5951;
       }
       i161 = i213 + 8 | 0;
       i183 = get32(i161 | 0) | 0;
       i154 = get32(i183 + (i953 << 4) + 12 | 0) | 0;
       i177 = i966;
       while (1) if (!(get8(i177 >> 0 | 0) | 0)) {
        i970 = i177;
        break;
       } else i177 = i177 + 1 | 0;
       if (_sqlite3HashFind(i154 + 40 | 0, i966, i970 - i966 & 1073741823) | 0) {
        if (!i174) {
         set32(i54 | 0, i937 | 0);
         _sqlite3ErrorMsg(i149, 35526, i54);
         i935 = 0;
         i936 = i966;
         break L5951;
        }
        i177 = get32(i149 + 424 | 0) | 0;
        i189 = (i177 | 0) == 0 ? i149 : i177;
        i177 = i189 + 348 | 0;
        if (!(get32(i177 | 0) | 0)) {
         i182 = i189 + 12 | 0;
         i175 = get32(i182 | 0) | 0;
         do if (!i175) {
          i159 = get32(i189 | 0) | 0;
          L6148 : do if (!i159) {
           if (!(get32(50 * 4 | 0) | 0)) {
            i971 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
            i157 = 4354;
            break;
           }
           i162 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
           set32(35 * 4 | 0, 192 | 0);
           if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
           i153 = get32(6 * 4 | 0) | 0;
           do if (i153) {
            i173 = get32(30 * 4 | 0) | 0;
            i225 = ((i173 | 0) < 0) << 31 >> 31;
            i227 = 16;
            i187 = _i64Subtract(get32(i227 | 0) | 0, get32(i227 + 4 | 0) | 0, i162 | 0, ((i162 | 0) < 0) << 31 >> 31 | 0) | 0;
            i227 = tempRet0;
            if ((i225 | 0) < (i227 | 0) | (i225 | 0) == (i227 | 0) & i173 >>> 0 < i187 >>> 0) {
             set32(11 * 4 | 0, 0 | 0);
             break;
            } else {
             set32(11 * 4 | 0, 1 | 0);
             i187 = get32(7 * 4 | 0) | 0;
             set32(6 * 4 | 0, 0 | 0);
             FUNCTION_TABLE_viiii[i153 & 15](i187, i173, i225, i162);
             set32(6 * 4 | 0, i153 | 0);
             set32(7 * 4 | 0, i187 | 0);
             break;
            }
           } while (0);
           i153 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i162) | 0;
           if (!i153) {
            i157 = 4364;
            break;
           }
           i178 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i153) | 0;
           i187 = (get32(30 * 4 | 0) | 0) + i178 | 0;
           set32(30 * 4 | 0, i187 | 0);
           if ((i187 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i187 | 0);
           i187 = get32(39 * 4 | 0) | 0;
           i178 = i187 + 1 | 0;
           set32(39 * 4 | 0, i178 | 0);
           if ((i187 | 0) < (get32(49 * 4 | 0) | 0)) {
            i972 = i153;
            break;
           }
           set32(49 * 4 | 0, i178 | 0);
           i972 = i153;
          } else {
           i153 = i159 + 30 | 0;
           if (get8(i153 >> 0 | 0) | 0) {
            i157 = 4364;
            break;
           }
           do if (get8(i159 + 234 >> 0 | 0) | 0) {
            if ((getU16(i159 + 232 | 0) | 0) < 192) {
             i178 = i159 + 248 | 0;
             set32(i178 | 0, (get32(i178 | 0) | 0) + 1 | 0);
             break;
            }
            i178 = i159 + 256 | 0;
            i187 = get32(i178 | 0) | 0;
            if (!i187) {
             i225 = i159 + 252 | 0;
             set32(i225 | 0, (get32(i225 | 0) | 0) + 1 | 0);
             break;
            }
            set32(i178 | 0, get32(i187 | 0) | 0);
            i178 = i159 + 236 | 0;
            i225 = get32(i178 | 0) | 0;
            i173 = i225 + 1 | 0;
            set32(i178 | 0, i173 | 0);
            i178 = i159 + 244 | 0;
            set32(i178 | 0, (get32(i178 | 0) | 0) + 1 | 0);
            i178 = i159 + 240 | 0;
            if ((i225 | 0) >= (get32(i178 | 0) | 0)) set32(i178 | 0, i173 | 0);
            i971 = i187;
            i157 = 4354;
            break L6148;
           } while (0);
           do if (!(get32(50 * 4 | 0) | 0)) {
            i162 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
            if (i162) {
             i972 = i162;
             break L6148;
            }
           } else {
            i162 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
            set32(35 * 4 | 0, 192 | 0);
            if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
            i187 = get32(6 * 4 | 0) | 0;
            do if (i187) {
             i173 = get32(30 * 4 | 0) | 0;
             i178 = ((i173 | 0) < 0) << 31 >> 31;
             i225 = 16;
             i227 = _i64Subtract(get32(i225 | 0) | 0, get32(i225 + 4 | 0) | 0, i162 | 0, ((i162 | 0) < 0) << 31 >> 31 | 0) | 0;
             i225 = tempRet0;
             if ((i178 | 0) < (i225 | 0) | (i178 | 0) == (i225 | 0) & i173 >>> 0 < i227 >>> 0) {
              set32(11 * 4 | 0, 0 | 0);
              break;
             } else {
              set32(11 * 4 | 0, 1 | 0);
              i227 = get32(7 * 4 | 0) | 0;
              set32(6 * 4 | 0, 0 | 0);
              FUNCTION_TABLE_viiii[i187 & 15](i227, i173, i178, i162);
              set32(6 * 4 | 0, i187 | 0);
              set32(7 * 4 | 0, i227 | 0);
              break;
             }
            } while (0);
            i187 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i162) | 0;
            if (!i187) break;
            i227 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i187) | 0;
            i178 = (get32(30 * 4 | 0) | 0) + i227 | 0;
            set32(30 * 4 | 0, i178 | 0);
            if ((i178 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i178 | 0);
            i178 = get32(39 * 4 | 0) | 0;
            i227 = i178 + 1 | 0;
            set32(39 * 4 | 0, i227 | 0);
            if ((i178 | 0) < (get32(49 * 4 | 0) | 0)) {
             i972 = i187;
             break L6148;
            }
            set32(49 * 4 | 0, i227 | 0);
            i972 = i187;
            break L6148;
           } while (0);
           set8(i153 >> 0 | 0, 1 | 0);
           i157 = 4364;
          } while (0);
          if ((i157 | 0) == 4354) if (!i971) i157 = 4364; else i972 = i971;
          if ((i157 | 0) == 4364) {
           set32(i182 | 0, 0 | 0);
           i935 = 0;
           i936 = i966;
           break L5951;
          }
          _memset(i972 | 0, 0, 192) | 0;
          set32(i972 | 0, i159 | 0);
          i187 = i159 + 136 | 0;
          i227 = get32(i187 | 0) | 0;
          if (i227) set32(i227 + 60 | 0, i972 | 0);
          set32(i972 + 64 | 0, i227 | 0);
          set32(i972 + 60 | 0, 0 | 0);
          set32(i187 | 0, i972 | 0);
          set32(i972 + 52 | 0, 649915045 | 0);
          set32(i182 | 0, i972 | 0);
          i187 = i972 + 28 | 0;
          i227 = i972 + 32 | 0;
          i178 = i972 + 4 | 0;
          i173 = _sqlite3DbRealloc(i159, 0, 1020) | 0;
          if (!i173) {
           i973 = i972;
           break;
          }
          i225 = get32(i972 | 0) | 0;
          do if (!i225) i157 = 4362; else {
           if ((get32(i225 + 260 | 0) | 0) >>> 0 > i173 >>> 0) {
            i157 = 4362;
            break;
           }
           if ((get32(i225 + 264 | 0) | 0) >>> 0 <= i173 >>> 0) {
            i157 = 4362;
            break;
           }
           i974 = getU16(i225 + 232 | 0) | 0;
          } while (0);
          if ((i157 | 0) == 4362) i974 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i173) | 0;
          set32(i227 | 0, (i974 >>> 0) / 20 | 0 | 0);
          set32(i178 | 0, i173 | 0);
          set32(i187 | 0, (get32(i187 | 0) | 0) + 1 | 0);
          set8(i173 >> 0 | 0, -120 | 0);
          set8(i173 + 1 >> 0 | 0, 0 | 0);
          i168 = i173 + 3 | 0;
          i169 = i168 + 17 | 0;
          do {
           set8(i168 >> 0 | 0, 0 | 0);
           i168 = i168 + 1 | 0;
          } while ((i168 | 0) < (i169 | 0));
          i973 = i972;
         } else i973 = i175; while (0);
         i175 = i973 + 28 | 0;
         i182 = get32(i175 | 0) | 0;
         i154 = i973 + 32 | 0;
         i173 = get32(i154 | 0) | 0;
         do if ((i173 | 0) > (i182 | 0)) {
          i975 = i182;
          i976 = get32(i973 + 4 | 0) | 0;
          i157 = 4374;
         } else {
          i187 = i973 + 4 | 0;
          i178 = _sqlite3DbRealloc(get32(i973 | 0) | 0, get32(i187 | 0) | 0, (i173 | 0) == 0 ? 1020 : i173 * 40 | 0) | 0;
          if (!i178) {
           i977 = 1;
           break;
          }
          i227 = get32(i973 | 0) | 0;
          do if (!i227) i157 = 4372; else {
           if ((get32(i227 + 260 | 0) | 0) >>> 0 > i178 >>> 0) {
            i157 = 4372;
            break;
           }
           if ((get32(i227 + 264 | 0) | 0) >>> 0 <= i178 >>> 0) {
            i157 = 4372;
            break;
           }
           i978 = getU16(i227 + 232 | 0) | 0;
          } while (0);
          if ((i157 | 0) == 4372) i978 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i178) | 0;
          set32(i154 | 0, (i978 >>> 0) / 20 | 0 | 0);
          set32(i187 | 0, i178 | 0);
          i975 = get32(i175 | 0) | 0;
          i976 = i178;
          i157 = 4374;
         } while (0);
         if ((i157 | 0) == 4374) {
          set32(i175 | 0, i975 + 1 | 0);
          set8(i976 + (i182 * 20 | 0) >> 0 | 0, 1 | 0);
          set8(i976 + (i182 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
          i168 = i976 + (i182 * 20 | 0) + 3 | 0;
          i169 = i168 + 17 | 0;
          do {
           set8(i168 >> 0 | 0, 0 | 0);
           i168 = i168 + 1 | 0;
          } while ((i168 | 0) < (i169 | 0));
          i977 = i182;
         }
         set32(i177 | 0, i977 + 1 | 0);
        }
        if ((i953 | 0) <= -1) {
         i935 = 0;
         i936 = i966;
         break L5951;
        }
        i175 = 1 << i953;
        i154 = i189 + 340 | 0;
        i173 = get32(i154 | 0) | 0;
        if (i173 & i175) {
         i935 = 0;
         i936 = i966;
         break L5951;
        }
        i227 = get32(i189 | 0) | 0;
        set32(i154 | 0, i173 | i175 | 0);
        set32(i189 + 352 + (i953 << 2) | 0, get32(get32((get32(i227 + 8 | 0) | 0) + (i953 << 4) + 12 | 0) | 0) | 0);
        if (!i192) {
         i935 = 0;
         i936 = i966;
         break L5951;
        }
        i227 = get32(i189 | 0) | 0;
        i175 = i227 + 8 | 0;
        do if (!(get32((get32(i175 | 0) | 0) + 20 | 0) | 0)) {
         if (get8(i189 + 484 >> 0 | 0) | 0) break;
         i173 = _sqlite3BtreeOpen(get32(i227 | 0) | 0, 0, i227, i142, 0, 542) | 0;
         if (i173) {
          _sqlite3ErrorMsg(i189, 19482, i53);
          set32(i189 + 4 | 0, i173 | 0);
          break;
         }
         i173 = get32(i142 | 0) | 0;
         set32((get32(i175 | 0) | 0) + 20 | 0, i173 | 0);
         i154 = get32(i227 + 36 | 0) | 0;
         i225 = get32(i173 + 4 | 0) | 0;
         set32(i225 + 4 | 0, get32(i173 | 0) | 0);
         if (get8(i225 + 17 >> 0 | 0) | 0) break;
         i173 = i225 + 36 | 0;
         i159 = i225 + 40 | 0;
         i888 = (get32(i173 | 0) | 0) - (get32(i159 | 0) | 0) | 0;
         do if ((i154 + -512 | 0) >>> 0 < 65025) {
          if (i154 + -1 & i154) break;
          set32(i173 | 0, i154 | 0);
          i889 = i225 + 88 | 0;
          i979 = get32(i889 | 0) | 0;
          do if (i979) {
           if ((get32(379 * 4 | 0) | 0) >>> 0 <= i979 >>> 0 & (get32(380 * 4 | 0) | 0) >>> 0 > i979 >>> 0) {
            i980 = (get32(31 * 4 | 0) | 0) + -1 | 0;
            set32(31 * 4 | 0, i980 | 0);
            if ((i980 | 0) > (get32(41 * 4 | 0) | 0)) set32(41 * 4 | 0, i980 | 0);
            set32(i979 | 0, get32(383 * 4 | 0) | 0);
            set32(383 * 4 | 0, i979 | 0);
            i980 = (get32(382 * 4 | 0) | 0) + 1 | 0;
            set32(382 * 4 | 0, i980 | 0);
            set32(384 * 4 | 0, (i980 | 0) < (get32(378 * 4 | 0) | 0) & 1 | 0);
            break;
           }
           i980 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i979) | 0;
           i981 = (get32(32 * 4 | 0) | 0) - i980 | 0;
           set32(32 * 4 | 0, i981 | 0);
           if ((i981 | 0) > (get32(42 * 4 | 0) | 0)) set32(42 * 4 | 0, i981 | 0);
           if (!(get32(50 * 4 | 0) | 0)) {
            FUNCTION_TABLE_vi[get32(232 | 0) & 31](i979);
            break;
           }
           i981 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i979) | 0;
           i980 = (get32(30 * 4 | 0) | 0) - i981 | 0;
           set32(30 * 4 | 0, i980 | 0);
           if ((i980 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i980 | 0);
           i980 = (get32(39 * 4 | 0) | 0) + -1 | 0;
           set32(39 * 4 | 0, i980 | 0);
           if ((i980 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i980 | 0);
           FUNCTION_TABLE_vi[get32(232 | 0) & 31](i979);
          } while (0);
          set32(i889 | 0, 0 | 0);
         } while (0);
         i154 = _sqlite3PagerSetPagesize(get32(i225 | 0) | 0, i173, i888) | 0;
         set32(i159 | 0, (get32(i173 | 0) | 0) - (i888 & 65535) | 0);
         if ((i154 | 0) != 7) break;
         set8(i227 + 30 >> 0 | 0, 1 | 0);
        } while (0);
        i935 = 0;
        i936 = i966;
        break L5951;
       }
       i227 = get32(i955 | 0) | 0;
       i175 = get8(i227 >> 0 | 0) | 0;
       L6269 : do if (!(i175 << 24 >> 24)) {
        i982 = 29355;
        i157 = 4405;
       } else {
        i189 = i175 & 255;
        i177 = 16286 + i189 | 0;
        do if ((i189 & 223 | 0) == 83) {
         i182 = get8(i227 + 1 >> 0 | 0) | 0;
         if (!(i182 << 24 >> 24)) {
          i982 = 29356;
          i157 = 4405;
          break L6269;
         }
         i154 = i182 & 255;
         if ((i154 & 223 | 0) != 81) {
          i983 = 16286 + i154 | 0;
          i984 = 113;
          break;
         }
         i154 = get8(i227 + 2 >> 0 | 0) | 0;
         if (!(i154 << 24 >> 24)) {
          i982 = 29357;
          i157 = 4405;
          break L6269;
         }
         i182 = i154 & 255;
         if ((i182 & 223 | 0) != 76) {
          i983 = 16286 + i182 | 0;
          i984 = 108;
          break;
         }
         i182 = get8(i227 + 3 >> 0 | 0) | 0;
         if (!(i182 << 24 >> 24)) {
          i982 = 29358;
          i157 = 4405;
          break L6269;
         }
         i154 = i182 & 255;
         if ((i154 & 223 | 0) != 73) {
          i983 = 16286 + i154 | 0;
          i984 = 105;
          break;
         }
         i154 = get8(i227 + 4 >> 0 | 0) | 0;
         if (!(i154 << 24 >> 24)) {
          i982 = 29359;
          i157 = 4405;
          break L6269;
         }
         i182 = i154 & 255;
         if ((i182 & 223 | 0) != 84) {
          i983 = 16286 + i182 | 0;
          i984 = 116;
          break;
         }
         i182 = get8(i227 + 5 >> 0 | 0) | 0;
         if (!(i182 << 24 >> 24)) {
          i982 = 29360;
          i157 = 4405;
          break L6269;
         }
         i154 = i182 & 255;
         if ((i154 & 223 | 0) != 69) {
          i983 = 16286 + i154 | 0;
          i984 = 101;
          break;
         }
         i154 = get8(i227 + 6 >> 0 | 0) | 0;
         if (!(i154 << 24 >> 24)) {
          i982 = 29361;
          i157 = 4405;
          break L6269;
         }
         if (i154 << 24 >> 24 == 95) break L6269; else {
          i983 = 16286 + (i154 & 255) | 0;
          i984 = 95;
         }
        } else {
         i983 = i177;
         i984 = 115;
        } while (0);
        i985 = get8(i983 >> 0 | 0) | 0;
        i986 = i984;
        i157 = 4409;
       } while (0);
       if ((i157 | 0) == 4405) {
        i985 = 0;
        i986 = get8(16286 + (getU8(i982 >> 0 | 0) | 0) >> 0 | 0) | 0;
        i157 = 4409;
       }
       do if ((i157 | 0) == 4409) {
        if (i985 << 24 >> 24 == i986 << 24 >> 24) break;
        i175 = get32(i955 + 28 | 0) | 0;
        if ((i155 | 0) != 48 & (i175 | 0) != 0) {
         set32(i51 | 0, ((i155 | 0) == 34 ? 35627 : 35634) | 0);
         set32(i51 + 4 | 0, i158 | 0);
         set32(i51 + 8 | 0, 0 | 0);
         _sqlite3ErrorMsg(i149, 35590, i51);
         i935 = 0;
         i936 = i966;
         break L5951;
        }
        i177 = (i155 | 0) == 48;
        if (i177 & (i175 | 0) == 0) {
         set32(i50 | 0, i158 | 0);
         set32(i50 + 4 | 0, 0 | 0);
         _sqlite3ErrorMsg(i149, 35640, i50);
         i935 = 0;
         i936 = i966;
         break L5951;
        }
        i175 = i955 + 68 | 0;
        i189 = get32(i175 | 0) | 0;
        L6296 : do if (!i189) i987 = -1e6; else {
         i888 = get32(i213 + 4 | 0) | 0;
         if ((i888 | 0) > 0) i988 = 0; else {
          i987 = 0;
          break;
         }
         while (1) {
          if ((get32(i183 + (i988 << 4) + 12 | 0) | 0) == (i189 | 0)) {
           i987 = i988;
           break L6296;
          }
          i173 = i988 + 1 | 0;
          if ((i173 | 0) < (i888 | 0)) i988 = i173; else {
           i987 = i173;
           break;
          }
         }
        } while (0);
        i189 = get32(i183 + (i987 << 4) | 0) | 0;
        if (i176) i989 = get32(i183 + 16 | 0) | 0; else i989 = i189;
        i888 = (i987 | 0) == 1;
        i889 = i176 | i888 ? 5 : 7;
        i173 = get32(i149 | 0) | 0;
        L6305 : do if (!(get8(i173 + 124 >> 0 | 0) | 0)) {
         i159 = i149 + 528 | 0;
         i225 = get8(i159 >> 0 | 0) | 0;
         L6307 : do if (!(i225 << 24 >> 24)) {
          i154 = get32(i173 + 268 | 0) | 0;
          if (!i154) {
           i157 = 4427;
           break;
          }
          switch (FUNCTION_TABLE_iiiiiii[i154 & 3](get32(i173 + 272 | 0) | 0, i889, i966, i227, i989, get32(i149 + 516 | 0) | 0) | 0) {
          case 2:
           {
            i935 = 0;
            i936 = i966;
            break L5951;
            break;
           }
          case 1:
           {
            _sqlite3ErrorMsg(i149, 26149, i49);
            set32(i149 + 4 | 0, 23 | 0);
            i935 = 0;
            i936 = i966;
            break L5951;
            break;
           }
          case 0:
           {
            i154 = get32(i149 | 0) | 0;
            if (get8(i154 + 124 >> 0 | 0) | 0) {
             i157 = 4430;
             break L6305;
            }
            i990 = get8(i159 >> 0 | 0) | 0;
            i991 = i154;
            i992 = i888 ? 21655 : 21674;
            break L6307;
            break;
           }
          default:
           {
            _sqlite3ErrorMsg(i149, 29155, i48);
            set32(i149 + 4 | 0, 1 | 0);
            i935 = 0;
            i936 = i966;
            break L5951;
           }
          }
         } else i157 = 4427; while (0);
         if ((i157 | 0) == 4427) {
          i990 = i225;
          i991 = i173;
          i992 = i888 ? 21655 : 21674;
         }
         L6318 : do if (!(i990 << 24 >> 24)) {
          i159 = get32(i991 + 268 | 0) | 0;
          if (!i159) break;
          switch (FUNCTION_TABLE_iiiiiii[i159 & 3](get32(i991 + 272 | 0) | 0, 18, i992, 0, i189, get32(i149 + 516 | 0) | 0) | 0) {
          case 2:
           {
            i935 = 0;
            i936 = i966;
            break L5951;
            break;
           }
          case 0:
           {
            break L6318;
            break;
           }
          case 1:
           {
            _sqlite3ErrorMsg(i149, 26149, i47);
            set32(i149 + 4 | 0, 23 | 0);
            i935 = 0;
            i936 = i966;
            break L5951;
            break;
           }
          default:
           {
            _sqlite3ErrorMsg(i149, 29155, i46);
            set32(i149 + 4 | 0, 1 | 0);
            i935 = 0;
            i936 = i966;
            break L5951;
           }
          }
         } while (0);
         i225 = i177 ? 34 : i155;
         if (!i179) {
          i993 = i225;
          i157 = 4450;
          break;
         }
         if (!(get32(50 * 4 | 0) | 0)) {
          i994 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](36) | 0;
          i995 = i225;
          i996 = 1;
          i157 = 4473;
          break;
         }
         i159 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](36) | 0;
         set32(35 * 4 | 0, 36 | 0);
         if ((get32(45 * 4 | 0) | 0) < 36) set32(45 * 4 | 0, 36 | 0);
         i154 = get32(6 * 4 | 0) | 0;
         do if (i154) {
          i182 = get32(30 * 4 | 0) | 0;
          i178 = ((i182 | 0) < 0) << 31 >> 31;
          i187 = 16;
          i979 = _i64Subtract(get32(i187 | 0) | 0, get32(i187 + 4 | 0) | 0, i159 | 0, ((i159 | 0) < 0) << 31 >> 31 | 0) | 0;
          i187 = tempRet0;
          if ((i178 | 0) < (i187 | 0) | (i178 | 0) == (i187 | 0) & i182 >>> 0 < i979 >>> 0) {
           set32(11 * 4 | 0, 0 | 0);
           break;
          } else {
           set32(11 * 4 | 0, 1 | 0);
           i979 = get32(7 * 4 | 0) | 0;
           set32(6 * 4 | 0, 0 | 0);
           FUNCTION_TABLE_viiii[i154 & 15](i979, i182, i178, i159);
           set32(6 * 4 | 0, i154 | 0);
           set32(7 * 4 | 0, i979 | 0);
           break;
          }
         } while (0);
         i154 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i159) | 0;
         if (!i154) {
          i935 = 0;
          i936 = i966;
          break L5951;
         }
         i979 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i154) | 0;
         i178 = (get32(30 * 4 | 0) | 0) + i979 | 0;
         set32(30 * 4 | 0, i178 | 0);
         if ((i178 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i178 | 0);
         i178 = get32(39 * 4 | 0) | 0;
         i979 = i178 + 1 | 0;
         set32(39 * 4 | 0, i979 | 0);
         if ((i178 | 0) < (get32(49 * 4 | 0) | 0)) {
          i997 = i154;
          i998 = i225;
          i999 = 1;
          break;
         }
         set32(49 * 4 | 0, i979 | 0);
         i997 = i154;
         i998 = i225;
         i999 = 1;
        } else i157 = 4430; while (0);
        if ((i157 | 0) == 4430) {
         i993 = i177 ? 34 : i155;
         i157 = 4450;
        }
        L6345 : do if ((i157 | 0) == 4450) {
         if (get8(i211 >> 0 | 0) | 0) {
          i935 = 0;
          i936 = i966;
          break L5951;
         }
         do if (get8(i213 + 234 >> 0 | 0) | 0) {
          if ((getU16(i213 + 232 | 0) | 0) < 36) {
           i189 = i213 + 248 | 0;
           set32(i189 | 0, (get32(i189 | 0) | 0) + 1 | 0);
           break;
          }
          i189 = i213 + 256 | 0;
          i888 = get32(i189 | 0) | 0;
          if (!i888) {
           i173 = i213 + 252 | 0;
           set32(i173 | 0, (get32(i173 | 0) | 0) + 1 | 0);
           break;
          }
          set32(i189 | 0, get32(i888 | 0) | 0);
          i189 = i213 + 236 | 0;
          i173 = get32(i189 | 0) | 0;
          i889 = i173 + 1 | 0;
          set32(i189 | 0, i889 | 0);
          i189 = i213 + 244 | 0;
          set32(i189 | 0, (get32(i189 | 0) | 0) + 1 | 0);
          i189 = i213 + 240 | 0;
          if ((i173 | 0) >= (get32(i189 | 0) | 0)) set32(i189 | 0, i889 | 0);
          i994 = i888;
          i995 = i993;
          i996 = 0;
          i157 = 4473;
          break L6345;
         } while (0);
         do if (!(get32(50 * 4 | 0) | 0)) {
          i225 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](36) | 0;
          if (i225) {
           i997 = i225;
           i998 = i993;
           i999 = 0;
           break L6345;
          }
         } else {
          i225 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](36) | 0;
          set32(35 * 4 | 0, 36 | 0);
          if ((get32(45 * 4 | 0) | 0) < 36) set32(45 * 4 | 0, 36 | 0);
          i159 = get32(6 * 4 | 0) | 0;
          do if (i159) {
           i888 = get32(30 * 4 | 0) | 0;
           i889 = ((i888 | 0) < 0) << 31 >> 31;
           i189 = 16;
           i173 = _i64Subtract(get32(i189 | 0) | 0, get32(i189 + 4 | 0) | 0, i225 | 0, ((i225 | 0) < 0) << 31 >> 31 | 0) | 0;
           i189 = tempRet0;
           if ((i889 | 0) < (i189 | 0) | (i889 | 0) == (i189 | 0) & i888 >>> 0 < i173 >>> 0) {
            set32(11 * 4 | 0, 0 | 0);
            break;
           } else {
            set32(11 * 4 | 0, 1 | 0);
            i173 = get32(7 * 4 | 0) | 0;
            set32(6 * 4 | 0, 0 | 0);
            FUNCTION_TABLE_viiii[i159 & 15](i173, i888, i889, i225);
            set32(6 * 4 | 0, i159 | 0);
            set32(7 * 4 | 0, i173 | 0);
            break;
           }
          } while (0);
          i159 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i225) | 0;
          if (!i159) break;
          i162 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i159) | 0;
          i173 = (get32(30 * 4 | 0) | 0) + i162 | 0;
          set32(30 * 4 | 0, i173 | 0);
          if ((i173 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i173 | 0);
          i173 = get32(39 * 4 | 0) | 0;
          i162 = i173 + 1 | 0;
          set32(39 * 4 | 0, i162 | 0);
          if ((i173 | 0) < (get32(49 * 4 | 0) | 0)) {
           i997 = i159;
           i998 = i993;
           i999 = 0;
           break L6345;
          }
          set32(49 * 4 | 0, i162 | 0);
          i997 = i159;
          i998 = i993;
          i999 = 0;
          break L6345;
         } while (0);
         set8(i211 >> 0 | 0, 1 | 0);
         i935 = 0;
         i936 = i966;
         break L5951;
        } while (0);
        if ((i157 | 0) == 4473) if (!i994) {
         i935 = 0;
         i936 = i966;
         break L5951;
        } else {
         i997 = i994;
         i998 = i995;
         i999 = i996;
        }
        i168 = i997;
        i169 = i168 + 36 | 0;
        do {
         set8(i168 >> 0 | 0, 0 | 0);
         i168 = i168 + 1 | 0;
        } while ((i168 | 0) < (i169 | 0));
        set32(i997 | 0, i966 | 0);
        i177 = get32(i163 | 0) | 0;
        L6381 : do if (!i177) i1000 = 0; else {
         i159 = i177;
         while (1) if (!(get8(i159 >> 0 | 0) | 0)) {
          i1001 = i159;
          break;
         } else i159 = i159 + 1 | 0;
         i159 = (i1001 - i177 & 1073741823) + 1 | 0;
         L6385 : do if (i999) {
          if (!(get32(50 * 4 | 0) | 0)) {
           i1002 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i159) | 0;
           i157 = 4513;
           break;
          }
          i162 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i159) | 0;
          set32(35 * 4 | 0, i159 | 0);
          if ((get32(45 * 4 | 0) | 0) < (i159 | 0)) set32(45 * 4 | 0, i159 | 0);
          i173 = get32(6 * 4 | 0) | 0;
          do if (i173) {
           i889 = get32(30 * 4 | 0) | 0;
           i888 = ((i889 | 0) < 0) << 31 >> 31;
           i189 = 16;
           i154 = _i64Subtract(get32(i189 | 0) | 0, get32(i189 + 4 | 0) | 0, i162 | 0, ((i162 | 0) < 0) << 31 >> 31 | 0) | 0;
           i189 = tempRet0;
           if ((i888 | 0) < (i189 | 0) | (i888 | 0) == (i189 | 0) & i889 >>> 0 < i154 >>> 0) {
            set32(11 * 4 | 0, 0 | 0);
            break;
           } else {
            set32(11 * 4 | 0, 1 | 0);
            i154 = get32(7 * 4 | 0) | 0;
            set32(6 * 4 | 0, 0 | 0);
            FUNCTION_TABLE_viiii[i173 & 15](i154, i889, i888, i162);
            set32(6 * 4 | 0, i173 | 0);
            set32(7 * 4 | 0, i154 | 0);
            break;
           }
          } while (0);
          i173 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i162) | 0;
          if (!i173) {
           i1000 = 0;
           break L6381;
          }
          i225 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i173) | 0;
          i154 = (get32(30 * 4 | 0) | 0) + i225 | 0;
          set32(30 * 4 | 0, i154 | 0);
          if ((i154 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i154 | 0);
          i154 = get32(39 * 4 | 0) | 0;
          i225 = i154 + 1 | 0;
          set32(39 * 4 | 0, i225 | 0);
          if ((i154 | 0) < (get32(49 * 4 | 0) | 0)) {
           i1003 = i173;
           break;
          }
          set32(49 * 4 | 0, i225 | 0);
          i1003 = i173;
         } else {
          if (get8(i211 >> 0 | 0) | 0) {
           i1000 = 0;
           break L6381;
          }
          do if (get8(i213 + 234 >> 0 | 0) | 0) {
           if ((getU16(i213 + 232 | 0) | 0) >>> 0 < i159 >>> 0) {
            i173 = i213 + 248 | 0;
            set32(i173 | 0, (get32(i173 | 0) | 0) + 1 | 0);
            break;
           }
           i173 = i213 + 256 | 0;
           i225 = get32(i173 | 0) | 0;
           if (!i225) {
            i154 = i213 + 252 | 0;
            set32(i154 | 0, (get32(i154 | 0) | 0) + 1 | 0);
            break;
           }
           set32(i173 | 0, get32(i225 | 0) | 0);
           i173 = i213 + 236 | 0;
           i154 = get32(i173 | 0) | 0;
           i888 = i154 + 1 | 0;
           set32(i173 | 0, i888 | 0);
           i173 = i213 + 244 | 0;
           set32(i173 | 0, (get32(i173 | 0) | 0) + 1 | 0);
           i173 = i213 + 240 | 0;
           if ((i154 | 0) >= (get32(i173 | 0) | 0)) set32(i173 | 0, i888 | 0);
           i1002 = i225;
           i157 = 4513;
           break L6385;
          } while (0);
          do if (!(get32(50 * 4 | 0) | 0)) {
           i162 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i159) | 0;
           if (i162) {
            i1003 = i162;
            break L6385;
           }
          } else {
           i162 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i159) | 0;
           set32(35 * 4 | 0, i159 | 0);
           if ((get32(45 * 4 | 0) | 0) < (i159 | 0)) set32(45 * 4 | 0, i159 | 0);
           i225 = get32(6 * 4 | 0) | 0;
           do if (i225) {
            i888 = get32(30 * 4 | 0) | 0;
            i173 = ((i888 | 0) < 0) << 31 >> 31;
            i154 = 16;
            i889 = _i64Subtract(get32(i154 | 0) | 0, get32(i154 + 4 | 0) | 0, i162 | 0, ((i162 | 0) < 0) << 31 >> 31 | 0) | 0;
            i154 = tempRet0;
            if ((i173 | 0) < (i154 | 0) | (i173 | 0) == (i154 | 0) & i888 >>> 0 < i889 >>> 0) {
             set32(11 * 4 | 0, 0 | 0);
             break;
            } else {
             set32(11 * 4 | 0, 1 | 0);
             i889 = get32(7 * 4 | 0) | 0;
             set32(6 * 4 | 0, 0 | 0);
             FUNCTION_TABLE_viiii[i225 & 15](i889, i888, i173, i162);
             set32(6 * 4 | 0, i225 | 0);
             set32(7 * 4 | 0, i889 | 0);
             break;
            }
           } while (0);
           i225 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i162) | 0;
           if (!i225) break;
           i889 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i225) | 0;
           i173 = (get32(30 * 4 | 0) | 0) + i889 | 0;
           set32(30 * 4 | 0, i173 | 0);
           if ((i173 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i173 | 0);
           i173 = get32(39 * 4 | 0) | 0;
           i889 = i173 + 1 | 0;
           set32(39 * 4 | 0, i889 | 0);
           if ((i173 | 0) < (get32(49 * 4 | 0) | 0)) {
            i1003 = i225;
            break L6385;
           }
           set32(49 * 4 | 0, i889 | 0);
           i1003 = i225;
           break L6385;
          } while (0);
          set8(i211 >> 0 | 0, 1 | 0);
          i1000 = 0;
          break L6381;
         } while (0);
         if ((i157 | 0) == 4513) if (!i1002) {
          i1000 = 0;
          break;
         } else i1003 = i1002;
         _memcpy(i1003 | 0, i177 | 0, i159 | 0) | 0;
         i1000 = i1003;
        } while (0);
        set32(i997 + 4 | 0, i1000 | 0);
        set32(i997 + 20 | 0, get32((get32(i161 | 0) | 0) + (i953 << 4) + 12 | 0) | 0);
        set32(i997 + 24 | 0, get32(i175 | 0) | 0);
        set8(i997 + 8 >> 0 | 0, i180 | 0);
        set8(i997 + 9 >> 0 | 0, ((i998 | 0) == 34 ? 1 : 2) | 0);
        set32(i997 + 12 | 0, _exprDup(i213, i151, 1, 0) | 0 | 0);
        set32(i997 + 16 | 0, _sqlite3IdListDup(i213, i188) | 0 | 0);
        set32(i149 + 512 | 0, i997 | 0);
        i935 = i997;
        i936 = 0;
        break L5951;
       } while (0);
       _sqlite3ErrorMsg(i149, 35552, i52);
       i161 = i149 + 64 | 0;
       set32(i161 | 0, (get32(i161 | 0) | 0) + 1 | 0);
       i935 = 0;
       i936 = i966;
       break L5951;
      } while (0);
      if ((get32(i213 + 116 | 0) | 0) == 1) {
       set8(i213 + 125 >> 0 | 0, 1 | 0);
       i935 = 0;
       i936 = 0;
      } else {
       i935 = 0;
       i936 = 0;
      }
     } else {
      i935 = 0;
      i936 = 0;
     }
    } else {
     i935 = 0;
     i936 = 0;
    }
   } while (0);
   _sqlite3DbFree(i213, i936);
   _sqlite3SrcListDelete(i213, i158);
   if (i188) {
    i180 = i188 + 4 | 0;
    if ((get32(i180 | 0) | 0) > 0) {
     i155 = 0;
     do {
      _sqlite3DbFree(i213, get32((get32(i188 | 0) | 0) + (i155 << 3) | 0) | 0);
      i155 = i155 + 1 | 0;
     } while ((i155 | 0) < (get32(i180 | 0) | 0));
    }
    _sqlite3DbFree(i213, get32(i188 | 0) | 0);
    _sqlite3DbFree(i213, i188);
   }
   _sqlite3ExprDelete(i213, i151);
   if (!((i935 | 0) == 0 | (get32(i149 + 512 | 0) | 0) != 0)) {
    i180 = get32(i935 + 28 | 0) | 0;
    if (i180) {
     i155 = i180;
     do {
      i180 = i155;
      i155 = get32(i155 + 32 | 0) | 0;
      _sqlite3ExprDelete(i213, get32(i180 + 20 | 0) | 0);
      i158 = get32(i180 + 24 | 0) | 0;
      if (i158) {
       i176 = i158 + 12 | 0;
       if ((get32(i158 | 0) | 0) > 0) {
        i174 = 0;
        i211 = get32(i176 | 0) | 0;
        while (1) {
         _sqlite3ExprDelete(i213, get32(i211 | 0) | 0);
         _sqlite3DbFree(i213, get32(i211 + 4 | 0) | 0);
         _sqlite3DbFree(i213, get32(i211 + 8 | 0) | 0);
         i174 = i174 + 1 | 0;
         if ((i174 | 0) >= (get32(i158 | 0) | 0)) break; else i211 = i211 + 20 | 0;
        }
       }
       _sqlite3DbFree(i213, get32(i176 | 0) | 0);
       _sqlite3DbFree(i213, i158);
      }
      i211 = get32(i180 + 8 | 0) | 0;
      if (i211) {
       i174 = get32(i211 | 0) | 0;
       if (i174) {
        i163 = i174 + 12 | 0;
        if ((get32(i174 | 0) | 0) > 0) {
         i192 = 0;
         i152 = get32(i163 | 0) | 0;
         while (1) {
          _sqlite3ExprDelete(i213, get32(i152 | 0) | 0);
          _sqlite3DbFree(i213, get32(i152 + 4 | 0) | 0);
          _sqlite3DbFree(i213, get32(i152 + 8 | 0) | 0);
          i192 = i192 + 1 | 0;
          if ((i192 | 0) >= (get32(i174 | 0) | 0)) break; else i152 = i152 + 20 | 0;
         }
        }
        _sqlite3DbFree(i213, get32(i163 | 0) | 0);
        _sqlite3DbFree(i213, i174);
       }
       _sqlite3SrcListDelete(i213, get32(i211 + 8 | 0) | 0);
       _sqlite3ExprDelete(i213, get32(i211 + 12 | 0) | 0);
       i152 = get32(i211 + 16 | 0) | 0;
       if (i152) {
        i192 = i152 + 12 | 0;
        if ((get32(i152 | 0) | 0) > 0) {
         i158 = 0;
         i176 = get32(i192 | 0) | 0;
         while (1) {
          _sqlite3ExprDelete(i213, get32(i176 | 0) | 0);
          _sqlite3DbFree(i213, get32(i176 + 4 | 0) | 0);
          _sqlite3DbFree(i213, get32(i176 + 8 | 0) | 0);
          i158 = i158 + 1 | 0;
          if ((i158 | 0) >= (get32(i152 | 0) | 0)) break; else i176 = i176 + 20 | 0;
         }
        }
        _sqlite3DbFree(i213, get32(i192 | 0) | 0);
        _sqlite3DbFree(i213, i152);
       }
       _sqlite3ExprDelete(i213, get32(i211 + 20 | 0) | 0);
       i176 = get32(i211 + 24 | 0) | 0;
       if (i176) {
        i158 = i176 + 12 | 0;
        if ((get32(i176 | 0) | 0) > 0) {
         i174 = 0;
         i163 = get32(i158 | 0) | 0;
         while (1) {
          _sqlite3ExprDelete(i213, get32(i163 | 0) | 0);
          _sqlite3DbFree(i213, get32(i163 + 4 | 0) | 0);
          _sqlite3DbFree(i213, get32(i163 + 8 | 0) | 0);
          i174 = i174 + 1 | 0;
          if ((i174 | 0) >= (get32(i176 | 0) | 0)) break; else i163 = i163 + 20 | 0;
         }
        }
        _sqlite3DbFree(i213, get32(i158 | 0) | 0);
        _sqlite3DbFree(i213, i176);
       }
       i163 = get32(i211 + 28 | 0) | 0;
       if (i163) {
        i174 = get32(i163 | 0) | 0;
        if (i174) {
         i152 = i174 + 12 | 0;
         if ((get32(i174 | 0) | 0) > 0) {
          i192 = 0;
          i161 = get32(i152 | 0) | 0;
          while (1) {
           _sqlite3ExprDelete(i213, get32(i161 | 0) | 0);
           _sqlite3DbFree(i213, get32(i161 + 4 | 0) | 0);
           _sqlite3DbFree(i213, get32(i161 + 8 | 0) | 0);
           i192 = i192 + 1 | 0;
           if ((i192 | 0) >= (get32(i174 | 0) | 0)) break; else i161 = i161 + 20 | 0;
          }
         }
         _sqlite3DbFree(i213, get32(i152 | 0) | 0);
         _sqlite3DbFree(i213, i174);
        }
        _sqlite3SrcListDelete(i213, get32(i163 + 8 | 0) | 0);
        _sqlite3ExprDelete(i213, get32(i163 + 12 | 0) | 0);
        i161 = get32(i163 + 16 | 0) | 0;
        if (i161) {
         i192 = i161 + 12 | 0;
         if ((get32(i161 | 0) | 0) > 0) {
          i176 = 0;
          i158 = get32(i192 | 0) | 0;
          while (1) {
           _sqlite3ExprDelete(i213, get32(i158 | 0) | 0);
           _sqlite3DbFree(i213, get32(i158 + 4 | 0) | 0);
           _sqlite3DbFree(i213, get32(i158 + 8 | 0) | 0);
           i176 = i176 + 1 | 0;
           if ((i176 | 0) >= (get32(i161 | 0) | 0)) break; else i158 = i158 + 20 | 0;
          }
         }
         _sqlite3DbFree(i213, get32(i192 | 0) | 0);
         _sqlite3DbFree(i213, i161);
        }
        _sqlite3ExprDelete(i213, get32(i163 + 20 | 0) | 0);
        i158 = get32(i163 + 24 | 0) | 0;
        if (i158) {
         i176 = i158 + 12 | 0;
         if ((get32(i158 | 0) | 0) > 0) {
          i174 = 0;
          i152 = get32(i176 | 0) | 0;
          while (1) {
           _sqlite3ExprDelete(i213, get32(i152 | 0) | 0);
           _sqlite3DbFree(i213, get32(i152 + 4 | 0) | 0);
           _sqlite3DbFree(i213, get32(i152 + 8 | 0) | 0);
           i174 = i174 + 1 | 0;
           if ((i174 | 0) >= (get32(i158 | 0) | 0)) break; else i152 = i152 + 20 | 0;
          }
         }
         _sqlite3DbFree(i213, get32(i176 | 0) | 0);
         _sqlite3DbFree(i213, i158);
        }
        _sqlite3SelectDelete(i213, get32(i163 + 28 | 0) | 0);
        _sqlite3ExprDelete(i213, get32(i163 + 40 | 0) | 0);
        _sqlite3ExprDelete(i213, get32(i163 + 44 | 0) | 0);
        _sqlite3DbFree(i213, i163);
       }
       _sqlite3ExprDelete(i213, get32(i211 + 40 | 0) | 0);
       _sqlite3ExprDelete(i213, get32(i211 + 44 | 0) | 0);
       _sqlite3DbFree(i213, i211);
      }
      i152 = get32(i180 + 28 | 0) | 0;
      if (i152) {
       i174 = i152 + 4 | 0;
       if ((get32(i174 | 0) | 0) > 0) {
        i161 = 0;
        do {
         _sqlite3DbFree(i213, get32((get32(i152 | 0) | 0) + (i161 << 3) | 0) | 0);
         i161 = i161 + 1 | 0;
        } while ((i161 | 0) < (get32(i174 | 0) | 0));
       }
       _sqlite3DbFree(i213, get32(i152 | 0) | 0);
       _sqlite3DbFree(i213, i152);
      }
      _sqlite3DbFree(i213, i180);
     } while ((i155 | 0) != 0);
    }
    _sqlite3DbFree(i213, get32(i935 | 0) | 0);
    _sqlite3DbFree(i213, get32(i935 + 4 | 0) | 0);
    _sqlite3ExprDelete(i213, get32(i935 + 12 | 0) | 0);
    i155 = get32(i935 + 16 | 0) | 0;
    if (i155) {
     i151 = i155 + 4 | 0;
     if ((get32(i151 | 0) | 0) > 0) {
      i188 = 0;
      do {
       _sqlite3DbFree(i213, get32((get32(i155 | 0) | 0) + (i188 << 3) | 0) | 0);
       i188 = i188 + 1 | 0;
      } while ((i188 | 0) < (get32(i151 | 0) | 0));
     }
     _sqlite3DbFree(i213, get32(i155 | 0) | 0);
     _sqlite3DbFree(i213, i155);
    }
    _sqlite3DbFree(i213, i935);
   }
   if (!(get32(i210 | 0) | 0)) {
    i151 = i160;
    i188 = get32(i151 + 4 | 0) | 0;
    i174 = i144;
    set32(i174 | 0, get32(i151 | 0) | 0);
    set32(i174 + 4 | 0, i188 | 0);
    break L1;
   } else {
    i188 = i181;
    i174 = get32(i188 + 4 | 0) | 0;
    i151 = i144;
    set32(i151 | 0, get32(i188 | 0) | 0);
    set32(i151 + 4 | 0, i174 | 0);
    break L1;
   }
   break;
  }
 case 275:
 case 272:
  {
   set32(i144 | 0, 34 | 0);
   break;
  }
 case 273:
  {
   set32(i144 | 0, 30 | 0);
   break;
  }
 case 274:
  {
   set32(i144 | 0, 48 | 0);
   break;
  }
 case 277:
 case 276:
  {
   set32(i144 | 0, getU8(i1 + 12 + (i150 << 4) + 2 >> 0 | 0) | 0);
   set32(i144 + 4 | 0, 0 | 0);
   break;
  }
 case 278:
  {
   set32(i144 | 0, 107 | 0);
   set32(i144 + 4 | 0, get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0);
   break;
  }
 case 303:
 case 281:
  {
   set32(i144 | 0, 0 | 0);
   break;
  }
 case 304:
 case 282:
  {
   set32(i144 | 0, get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0);
   break;
  }
 case 283:
  {
   i174 = i1 + 12 + (i150 + -1 << 4) + 4 | 0;
   i151 = i1 + 12 + (i150 + -2 << 4) + 4 | 0;
   set32((get32((get32(i151 | 0) | 0) + 36 | 0) | 0) + 32 | 0, get32(i174 | 0) | 0);
   set32((get32(i151 | 0) | 0) + 36 | 0, get32(i174 | 0) | 0);
   set32(i144 | 0, get32(i151 | 0) | 0);
   break;
  }
 case 284:
  {
   i151 = i1 + 12 + (i150 + -1 << 4) + 4 | 0;
   i174 = get32(i151 | 0) | 0;
   set32(i174 + 36 | 0, i174 | 0);
   set32(i144 | 0, get32(i151 | 0) | 0);
   break;
  }
 case 286:
  {
   i151 = i1 + 12 + (i150 << 4) + 4 | 0;
   i174 = get32(i151 + 4 | 0) | 0;
   i188 = i144;
   set32(i188 | 0, get32(i151 | 0) | 0);
   set32(i188 + 4 | 0, i174 | 0);
   _sqlite3ErrorMsg(i149, 28227, i45);
   break;
  }
 case 288:
  {
   _sqlite3ErrorMsg(i149, 28322, i44);
   break;
  }
 case 289:
  {
   _sqlite3ErrorMsg(i149, 28406, i43);
   break;
  }
 case 290:
  {
   i174 = get32(i149 | 0) | 0;
   i188 = i150 + -4 | 0;
   i151 = i1 + 12 + (i188 << 4) + 4 | 0;
   i161 = get32(i1 + 12 + (i150 + -1 << 4) + 4 | 0) | 0;
   i211 = get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0;
   i163 = get8(i1 + 12 + (i150 + -5 << 4) + 4 >> 0 | 0) | 0;
   i158 = i1 + 12 + (i188 << 4) + 8 | 0;
   i188 = get32(i158 | 0) | 0;
   i176 = i188 + 40 | 0;
   L6553 : do if (!i174) if ((i188 + 39 | 0) >>> 0 <= 2147483390) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i1004 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i176) | 0;
     i157 = 4628;
     break;
    }
    i192 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i176) | 0;
    set32(35 * 4 | 0, i176 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i176 | 0)) set32(45 * 4 | 0, i176 | 0);
    i179 = get32(6 * 4 | 0) | 0;
    do if (i179) {
     i227 = get32(30 * 4 | 0) | 0;
     i183 = ((i227 | 0) < 0) << 31 >> 31;
     i177 = 16;
     i225 = _i64Subtract(get32(i177 | 0) | 0, get32(i177 + 4 | 0) | 0, i192 | 0, ((i192 | 0) < 0) << 31 >> 31 | 0) | 0;
     i177 = tempRet0;
     if ((i183 | 0) < (i177 | 0) | (i183 | 0) == (i177 | 0) & i227 >>> 0 < i225 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i225 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i179 & 15](i225, i227, i183, i192);
      set32(6 * 4 | 0, i179 | 0);
      set32(7 * 4 | 0, i225 | 0);
      break;
     }
    } while (0);
    i179 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i192) | 0;
    if (i179) {
     i180 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i179) | 0;
     i152 = (get32(30 * 4 | 0) | 0) + i180 | 0;
     set32(30 * 4 | 0, i152 | 0);
     if ((i152 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i152 | 0);
     i152 = get32(39 * 4 | 0) | 0;
     i180 = i152 + 1 | 0;
     set32(39 * 4 | 0, i180 | 0);
     if ((i152 | 0) < (get32(49 * 4 | 0) | 0)) {
      i1005 = i179;
      i157 = 4629;
     } else {
      set32(49 * 4 | 0, i180 | 0);
      i1005 = i179;
      i157 = 4629;
     }
    } else i1006 = 0;
   } else i1006 = 0; else {
    i179 = i174 + 30 | 0;
    if (!(get8(i179 >> 0 | 0) | 0)) {
     do if (get8(i174 + 234 >> 0 | 0) | 0) {
      if ((getU16(i174 + 232 | 0) | 0) < (i176 | 0)) {
       i180 = i174 + 248 | 0;
       set32(i180 | 0, (get32(i180 | 0) | 0) + 1 | 0);
       break;
      }
      i180 = i174 + 256 | 0;
      i152 = get32(i180 | 0) | 0;
      if (!i152) {
       i225 = i174 + 252 | 0;
       set32(i225 | 0, (get32(i225 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i180 | 0, get32(i152 | 0) | 0);
      i180 = i174 + 236 | 0;
      i225 = get32(i180 | 0) | 0;
      i183 = i225 + 1 | 0;
      set32(i180 | 0, i183 | 0);
      i180 = i174 + 244 | 0;
      set32(i180 | 0, (get32(i180 | 0) | 0) + 1 | 0);
      i180 = i174 + 240 | 0;
      if ((i225 | 0) >= (get32(i180 | 0) | 0)) set32(i180 | 0, i183 | 0);
      i1004 = i152;
      i157 = 4628;
      break L6553;
     } while (0);
     do if ((i188 + 39 | 0) >>> 0 <= 2147483390) {
      if (!(get32(50 * 4 | 0) | 0)) {
       i192 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i176) | 0;
       if (!i192) break; else {
        i1005 = i192;
        i157 = 4629;
        break L6553;
       }
      }
      i192 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i176) | 0;
      set32(35 * 4 | 0, i176 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i176 | 0)) set32(45 * 4 | 0, i176 | 0);
      i152 = get32(6 * 4 | 0) | 0;
      do if (i152) {
       i183 = get32(30 * 4 | 0) | 0;
       i180 = ((i183 | 0) < 0) << 31 >> 31;
       i225 = 16;
       i227 = _i64Subtract(get32(i225 | 0) | 0, get32(i225 + 4 | 0) | 0, i192 | 0, ((i192 | 0) < 0) << 31 >> 31 | 0) | 0;
       i225 = tempRet0;
       if ((i180 | 0) < (i225 | 0) | (i180 | 0) == (i225 | 0) & i183 >>> 0 < i227 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i227 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i152 & 15](i227, i183, i180, i192);
        set32(6 * 4 | 0, i152 | 0);
        set32(7 * 4 | 0, i227 | 0);
        break;
       }
      } while (0);
      i152 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i192) | 0;
      if (i152) {
       i227 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i152) | 0;
       i180 = (get32(30 * 4 | 0) | 0) + i227 | 0;
       set32(30 * 4 | 0, i180 | 0);
       if ((i180 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i180 | 0);
       i180 = get32(39 * 4 | 0) | 0;
       i227 = i180 + 1 | 0;
       set32(39 * 4 | 0, i227 | 0);
       if ((i180 | 0) < (get32(49 * 4 | 0) | 0)) {
        i1005 = i152;
        i157 = 4629;
        break L6553;
       }
       set32(49 * 4 | 0, i227 | 0);
       i1005 = i152;
       i157 = 4629;
       break L6553;
      }
     } while (0);
     set8(i179 >> 0 | 0, 1 | 0);
     i1006 = 0;
    } else i1006 = 0;
   } while (0);
   if ((i157 | 0) == 4628) if (!i1004) i1006 = 0; else {
    i1005 = i1004;
    i157 = 4629;
   }
   if ((i157 | 0) == 4629) {
    _memset(i1005 | 0, 0, i176 | 0) | 0;
    i188 = i1005 + 40 | 0;
    _memcpy(i188 | 0, get32(i151 | 0) | 0, get32(i158 | 0) | 0) | 0;
    set32(i1005 + 12 | 0, i188 | 0);
    set32(i1005 + 16 | 0, get32(i158 | 0) | 0);
    set8(i1005 >> 0 | 0, 107 | 0);
    if (!i1005) i1006 = 0; else {
     set32(i1005 + 24 | 0, _sqlite3ExprListDup(i174, i161, 1) | 0 | 0);
     set32(i1005 + 20 | 0, _exprDup(i174, i211, 1, 0) | 0 | 0);
     set8(i1005 + 1 >> 0 | 0, i163 | 0);
     i1006 = i1005;
    }
   }
   if (i161) {
    i188 = i161 + 12 | 0;
    if ((get32(i161 | 0) | 0) > 0) {
     i181 = 0;
     i160 = get32(i188 | 0) | 0;
     while (1) {
      _sqlite3ExprDelete(i174, get32(i160 | 0) | 0);
      _sqlite3DbFree(i174, get32(i160 + 4 | 0) | 0);
      _sqlite3DbFree(i174, get32(i160 + 8 | 0) | 0);
      i181 = i181 + 1 | 0;
      if ((i181 | 0) >= (get32(i161 | 0) | 0)) break; else i160 = i160 + 20 | 0;
     }
    }
    _sqlite3DbFree(i174, get32(i188 | 0) | 0);
    _sqlite3DbFree(i174, i161);
   }
   _sqlite3ExprDelete(i174, i211);
   set32(i144 | 0, i1006 | 0);
   break;
  }
 case 291:
  {
   i160 = get32(i149 | 0) | 0;
   i181 = i150 + -5 | 0;
   i163 = i1 + 12 + (i181 << 4) + 4 | 0;
   i158 = get32(i1 + 12 + (i150 + -4 << 4) + 4 | 0) | 0;
   i151 = get32(i1 + 12 + (i150 + -1 << 4) + 4 | 0) | 0;
   i176 = get8(i1 + 12 + (i150 + -7 << 4) + 4 >> 0 | 0) | 0;
   i210 = i1 + 12 + (i181 << 4) + 8 | 0;
   i181 = get32(i210 | 0) | 0;
   i213 = i181 + 40 | 0;
   L6622 : do if (!i160) if ((i181 + 39 | 0) >>> 0 <= 2147483390) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i1007 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i213) | 0;
     i157 = 4676;
     break;
    }
    i155 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i213) | 0;
    set32(35 * 4 | 0, i213 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i213 | 0)) set32(45 * 4 | 0, i213 | 0);
    i152 = get32(6 * 4 | 0) | 0;
    do if (i152) {
     i227 = get32(30 * 4 | 0) | 0;
     i180 = ((i227 | 0) < 0) << 31 >> 31;
     i183 = 16;
     i225 = _i64Subtract(get32(i183 | 0) | 0, get32(i183 + 4 | 0) | 0, i155 | 0, ((i155 | 0) < 0) << 31 >> 31 | 0) | 0;
     i183 = tempRet0;
     if ((i180 | 0) < (i183 | 0) | (i180 | 0) == (i183 | 0) & i227 >>> 0 < i225 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i225 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i152 & 15](i225, i227, i180, i155);
      set32(6 * 4 | 0, i152 | 0);
      set32(7 * 4 | 0, i225 | 0);
      break;
     }
    } while (0);
    i152 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i155) | 0;
    if (i152) {
     i179 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i152) | 0;
     i225 = (get32(30 * 4 | 0) | 0) + i179 | 0;
     set32(30 * 4 | 0, i225 | 0);
     if ((i225 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i225 | 0);
     i225 = get32(39 * 4 | 0) | 0;
     i179 = i225 + 1 | 0;
     set32(39 * 4 | 0, i179 | 0);
     if ((i225 | 0) < (get32(49 * 4 | 0) | 0)) {
      i1008 = i152;
      i157 = 4677;
     } else {
      set32(49 * 4 | 0, i179 | 0);
      i1008 = i152;
      i157 = 4677;
     }
    } else i157 = 4679;
   } else i157 = 4679; else {
    i152 = i160 + 30 | 0;
    if (!(get8(i152 >> 0 | 0) | 0)) {
     do if (get8(i160 + 234 >> 0 | 0) | 0) {
      if ((getU16(i160 + 232 | 0) | 0) < (i213 | 0)) {
       i179 = i160 + 248 | 0;
       set32(i179 | 0, (get32(i179 | 0) | 0) + 1 | 0);
       break;
      }
      i179 = i160 + 256 | 0;
      i225 = get32(i179 | 0) | 0;
      if (!i225) {
       i180 = i160 + 252 | 0;
       set32(i180 | 0, (get32(i180 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i179 | 0, get32(i225 | 0) | 0);
      i179 = i160 + 236 | 0;
      i180 = get32(i179 | 0) | 0;
      i227 = i180 + 1 | 0;
      set32(i179 | 0, i227 | 0);
      i179 = i160 + 244 | 0;
      set32(i179 | 0, (get32(i179 | 0) | 0) + 1 | 0);
      i179 = i160 + 240 | 0;
      if ((i180 | 0) >= (get32(i179 | 0) | 0)) set32(i179 | 0, i227 | 0);
      i1007 = i225;
      i157 = 4676;
      break L6622;
     } while (0);
     do if ((i181 + 39 | 0) >>> 0 <= 2147483390) {
      if (!(get32(50 * 4 | 0) | 0)) {
       i155 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i213) | 0;
       if (!i155) break; else {
        i1008 = i155;
        i157 = 4677;
        break L6622;
       }
      }
      i155 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i213) | 0;
      set32(35 * 4 | 0, i213 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i213 | 0)) set32(45 * 4 | 0, i213 | 0);
      i225 = get32(6 * 4 | 0) | 0;
      do if (i225) {
       i227 = get32(30 * 4 | 0) | 0;
       i179 = ((i227 | 0) < 0) << 31 >> 31;
       i180 = 16;
       i183 = _i64Subtract(get32(i180 | 0) | 0, get32(i180 + 4 | 0) | 0, i155 | 0, ((i155 | 0) < 0) << 31 >> 31 | 0) | 0;
       i180 = tempRet0;
       if ((i179 | 0) < (i180 | 0) | (i179 | 0) == (i180 | 0) & i227 >>> 0 < i183 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i183 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i225 & 15](i183, i227, i179, i155);
        set32(6 * 4 | 0, i225 | 0);
        set32(7 * 4 | 0, i183 | 0);
        break;
       }
      } while (0);
      i225 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i155) | 0;
      if (i225) {
       i192 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i225) | 0;
       i183 = (get32(30 * 4 | 0) | 0) + i192 | 0;
       set32(30 * 4 | 0, i183 | 0);
       if ((i183 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i183 | 0);
       i183 = get32(39 * 4 | 0) | 0;
       i192 = i183 + 1 | 0;
       set32(39 * 4 | 0, i192 | 0);
       if ((i183 | 0) < (get32(49 * 4 | 0) | 0)) {
        i1008 = i225;
        i157 = 4677;
        break L6622;
       }
       set32(49 * 4 | 0, i192 | 0);
       i1008 = i225;
       i157 = 4677;
       break L6622;
      }
     } while (0);
     set8(i152 >> 0 | 0, 1 | 0);
     i157 = 4679;
    } else i157 = 4679;
   } while (0);
   if ((i157 | 0) == 4676) if (!i1007) i157 = 4679; else {
    i1008 = i1007;
    i157 = 4677;
   }
   if ((i157 | 0) == 4677) {
    _memset(i1008 | 0, 0, i213 | 0) | 0;
    i181 = i1008 + 40 | 0;
    _memcpy(i181 | 0, get32(i163 | 0) | 0, get32(i210 | 0) | 0) | 0;
    set32(i1008 + 12 | 0, i181 | 0);
    set32(i1008 + 16 | 0, get32(i210 | 0) | 0);
    set8(i1008 >> 0 | 0, 105 | 0);
    if (!i1008) i157 = 4679; else {
     set32(i1008 + 8 | 0, 0 | 0);
     set32(i1008 + 28 | 0, i158 | 0);
     set32(i1008 + 24 | 0, _sqlite3ExprListDup(i160, i151, 1) | 0 | 0);
     set8(i1008 + 1 >> 0 | 0, i176 | 0);
     i1009 = i1008;
    }
   }
   if ((i157 | 0) == 4679) if (!i158) i1009 = 0; else {
    i181 = i158 + 4 | 0;
    if ((get32(i181 | 0) | 0) > 0) {
     i211 = 0;
     do {
      _sqlite3DbFree(i160, get32((get32(i158 | 0) | 0) + (i211 << 3) | 0) | 0);
      i211 = i211 + 1 | 0;
     } while ((i211 | 0) < (get32(i181 | 0) | 0));
    }
    _sqlite3DbFree(i160, get32(i158 | 0) | 0);
    _sqlite3DbFree(i160, i158);
    i1009 = 0;
   }
   if (i151) {
    i181 = i151 + 12 | 0;
    if ((get32(i151 | 0) | 0) > 0) {
     i211 = 0;
     i176 = get32(i181 | 0) | 0;
     while (1) {
      _sqlite3ExprDelete(i160, get32(i176 | 0) | 0);
      _sqlite3DbFree(i160, get32(i176 + 4 | 0) | 0);
      _sqlite3DbFree(i160, get32(i176 + 8 | 0) | 0);
      i211 = i211 + 1 | 0;
      if ((i211 | 0) >= (get32(i151 | 0) | 0)) break; else i176 = i176 + 20 | 0;
     }
    }
    _sqlite3DbFree(i160, get32(i181 | 0) | 0);
    _sqlite3DbFree(i160, i151);
   }
   set32(i144 | 0, i1009 | 0);
   break;
  }
 case 292:
  {
   i176 = get32(i149 | 0) | 0;
   i211 = i150 + -2 | 0;
   i158 = i1 + 12 + (i211 << 4) + 4 | 0;
   i210 = get32(i1 + 12 + (i150 + -1 << 4) + 4 | 0) | 0;
   i163 = get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0;
   i213 = get8(i1 + 12 + (i150 + -4 << 4) + 4 >> 0 | 0) | 0;
   i174 = i1 + 12 + (i211 << 4) + 8 | 0;
   i211 = get32(i174 | 0) | 0;
   i161 = i211 + 40 | 0;
   L6699 : do if (!i176) if ((i211 + 39 | 0) >>> 0 <= 2147483390) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i1010 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i161) | 0;
     i157 = 4729;
     break;
    }
    i188 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i161) | 0;
    set32(35 * 4 | 0, i161 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i161 | 0)) set32(45 * 4 | 0, i161 | 0);
    i225 = get32(6 * 4 | 0) | 0;
    do if (i225) {
     i192 = get32(30 * 4 | 0) | 0;
     i183 = ((i192 | 0) < 0) << 31 >> 31;
     i179 = 16;
     i227 = _i64Subtract(get32(i179 | 0) | 0, get32(i179 + 4 | 0) | 0, i188 | 0, ((i188 | 0) < 0) << 31 >> 31 | 0) | 0;
     i179 = tempRet0;
     if ((i183 | 0) < (i179 | 0) | (i183 | 0) == (i179 | 0) & i192 >>> 0 < i227 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i227 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i225 & 15](i227, i192, i183, i188);
      set32(6 * 4 | 0, i225 | 0);
      set32(7 * 4 | 0, i227 | 0);
      break;
     }
    } while (0);
    i225 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i188) | 0;
    if (i225) {
     i152 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i225) | 0;
     i227 = (get32(30 * 4 | 0) | 0) + i152 | 0;
     set32(30 * 4 | 0, i227 | 0);
     if ((i227 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i227 | 0);
     i227 = get32(39 * 4 | 0) | 0;
     i152 = i227 + 1 | 0;
     set32(39 * 4 | 0, i152 | 0);
     if ((i227 | 0) < (get32(49 * 4 | 0) | 0)) {
      i1011 = i225;
      i157 = 4730;
     } else {
      set32(49 * 4 | 0, i152 | 0);
      i1011 = i225;
      i157 = 4730;
     }
    } else i157 = 4732;
   } else i157 = 4732; else {
    i225 = i176 + 30 | 0;
    if (!(get8(i225 >> 0 | 0) | 0)) {
     do if (get8(i176 + 234 >> 0 | 0) | 0) {
      if ((getU16(i176 + 232 | 0) | 0) < (i161 | 0)) {
       i152 = i176 + 248 | 0;
       set32(i152 | 0, (get32(i152 | 0) | 0) + 1 | 0);
       break;
      }
      i152 = i176 + 256 | 0;
      i227 = get32(i152 | 0) | 0;
      if (!i227) {
       i183 = i176 + 252 | 0;
       set32(i183 | 0, (get32(i183 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i152 | 0, get32(i227 | 0) | 0);
      i152 = i176 + 236 | 0;
      i183 = get32(i152 | 0) | 0;
      i192 = i183 + 1 | 0;
      set32(i152 | 0, i192 | 0);
      i152 = i176 + 244 | 0;
      set32(i152 | 0, (get32(i152 | 0) | 0) + 1 | 0);
      i152 = i176 + 240 | 0;
      if ((i183 | 0) >= (get32(i152 | 0) | 0)) set32(i152 | 0, i192 | 0);
      i1010 = i227;
      i157 = 4729;
      break L6699;
     } while (0);
     do if ((i211 + 39 | 0) >>> 0 <= 2147483390) {
      if (!(get32(50 * 4 | 0) | 0)) {
       i188 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i161) | 0;
       if (!i188) break; else {
        i1011 = i188;
        i157 = 4730;
        break L6699;
       }
      }
      i188 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i161) | 0;
      set32(35 * 4 | 0, i161 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i161 | 0)) set32(45 * 4 | 0, i161 | 0);
      i227 = get32(6 * 4 | 0) | 0;
      do if (i227) {
       i192 = get32(30 * 4 | 0) | 0;
       i152 = ((i192 | 0) < 0) << 31 >> 31;
       i183 = 16;
       i179 = _i64Subtract(get32(i183 | 0) | 0, get32(i183 + 4 | 0) | 0, i188 | 0, ((i188 | 0) < 0) << 31 >> 31 | 0) | 0;
       i183 = tempRet0;
       if ((i152 | 0) < (i183 | 0) | (i152 | 0) == (i183 | 0) & i192 >>> 0 < i179 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i179 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i227 & 15](i179, i192, i152, i188);
        set32(6 * 4 | 0, i227 | 0);
        set32(7 * 4 | 0, i179 | 0);
        break;
       }
      } while (0);
      i227 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i188) | 0;
      if (i227) {
       i155 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i227) | 0;
       i179 = (get32(30 * 4 | 0) | 0) + i155 | 0;
       set32(30 * 4 | 0, i179 | 0);
       if ((i179 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i179 | 0);
       i179 = get32(39 * 4 | 0) | 0;
       i155 = i179 + 1 | 0;
       set32(39 * 4 | 0, i155 | 0);
       if ((i179 | 0) < (get32(49 * 4 | 0) | 0)) {
        i1011 = i227;
        i157 = 4730;
        break L6699;
       }
       set32(49 * 4 | 0, i155 | 0);
       i1011 = i227;
       i157 = 4730;
       break L6699;
      }
     } while (0);
     set8(i225 >> 0 | 0, 1 | 0);
     i157 = 4732;
    } else i157 = 4732;
   } while (0);
   if ((i157 | 0) == 4729) if (!i1010) i157 = 4732; else {
    i1011 = i1010;
    i157 = 4730;
   }
   if ((i157 | 0) == 4730) {
    _memset(i1011 | 0, 0, i161 | 0) | 0;
    i211 = i1011 + 40 | 0;
    _memcpy(i211 | 0, get32(i158 | 0) | 0, get32(i174 | 0) | 0) | 0;
    set32(i1011 + 12 | 0, i211 | 0);
    set32(i1011 + 16 | 0, get32(i174 | 0) | 0);
    set8(i1011 >> 0 | 0, 105 | 0);
    if (!i1011) i157 = 4732; else {
     set32(i1011 + 8 | 0, _sqlite3SelectDup(i176, i163, 1) | 0 | 0);
     set32(i1011 + 28 | 0, i210 | 0);
     set32(i1011 + 24 | 0, 0 | 0);
     set8(i1011 + 1 >> 0 | 0, i213 | 0);
     i1012 = i1011;
    }
   }
   if ((i157 | 0) == 4732) if (!i210) i1012 = 0; else {
    i211 = i210 + 4 | 0;
    if ((get32(i211 | 0) | 0) > 0) {
     i151 = 0;
     do {
      _sqlite3DbFree(i176, get32((get32(i210 | 0) | 0) + (i151 << 3) | 0) | 0);
      i151 = i151 + 1 | 0;
     } while ((i151 | 0) < (get32(i211 | 0) | 0));
    }
    _sqlite3DbFree(i176, get32(i210 | 0) | 0);
    _sqlite3DbFree(i176, i210);
    i1012 = 0;
   }
   if (i163) {
    i211 = get32(i163 | 0) | 0;
    if (i211) {
     i151 = i211 + 12 | 0;
     if ((get32(i211 | 0) | 0) > 0) {
      i213 = 0;
      i174 = get32(i151 | 0) | 0;
      while (1) {
       _sqlite3ExprDelete(i176, get32(i174 | 0) | 0);
       _sqlite3DbFree(i176, get32(i174 + 4 | 0) | 0);
       _sqlite3DbFree(i176, get32(i174 + 8 | 0) | 0);
       i213 = i213 + 1 | 0;
       if ((i213 | 0) >= (get32(i211 | 0) | 0)) break; else i174 = i174 + 20 | 0;
      }
     }
     _sqlite3DbFree(i176, get32(i151 | 0) | 0);
     _sqlite3DbFree(i176, i211);
    }
    _sqlite3SrcListDelete(i176, get32(i163 + 8 | 0) | 0);
    _sqlite3ExprDelete(i176, get32(i163 + 12 | 0) | 0);
    i174 = get32(i163 + 16 | 0) | 0;
    if (i174) {
     i213 = i174 + 12 | 0;
     if ((get32(i174 | 0) | 0) > 0) {
      i210 = 0;
      i158 = get32(i213 | 0) | 0;
      while (1) {
       _sqlite3ExprDelete(i176, get32(i158 | 0) | 0);
       _sqlite3DbFree(i176, get32(i158 + 4 | 0) | 0);
       _sqlite3DbFree(i176, get32(i158 + 8 | 0) | 0);
       i210 = i210 + 1 | 0;
       if ((i210 | 0) >= (get32(i174 | 0) | 0)) break; else i158 = i158 + 20 | 0;
      }
     }
     _sqlite3DbFree(i176, get32(i213 | 0) | 0);
     _sqlite3DbFree(i176, i174);
    }
    _sqlite3ExprDelete(i176, get32(i163 + 20 | 0) | 0);
    i158 = get32(i163 + 24 | 0) | 0;
    if (i158) {
     i210 = i158 + 12 | 0;
     if ((get32(i158 | 0) | 0) > 0) {
      i211 = 0;
      i151 = get32(i210 | 0) | 0;
      while (1) {
       _sqlite3ExprDelete(i176, get32(i151 | 0) | 0);
       _sqlite3DbFree(i176, get32(i151 + 4 | 0) | 0);
       _sqlite3DbFree(i176, get32(i151 + 8 | 0) | 0);
       i211 = i211 + 1 | 0;
       if ((i211 | 0) >= (get32(i158 | 0) | 0)) break; else i151 = i151 + 20 | 0;
      }
     }
     _sqlite3DbFree(i176, get32(i210 | 0) | 0);
     _sqlite3DbFree(i176, i158);
    }
    i151 = get32(i163 + 28 | 0) | 0;
    if (i151) {
     i211 = get32(i151 | 0) | 0;
     if (i211) {
      i174 = i211 + 12 | 0;
      if ((get32(i211 | 0) | 0) > 0) {
       i213 = 0;
       i161 = get32(i174 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i176, get32(i161 | 0) | 0);
        _sqlite3DbFree(i176, get32(i161 + 4 | 0) | 0);
        _sqlite3DbFree(i176, get32(i161 + 8 | 0) | 0);
        i213 = i213 + 1 | 0;
        if ((i213 | 0) >= (get32(i211 | 0) | 0)) break; else i161 = i161 + 20 | 0;
       }
      }
      _sqlite3DbFree(i176, get32(i174 | 0) | 0);
      _sqlite3DbFree(i176, i211);
     }
     _sqlite3SrcListDelete(i176, get32(i151 + 8 | 0) | 0);
     _sqlite3ExprDelete(i176, get32(i151 + 12 | 0) | 0);
     i161 = get32(i151 + 16 | 0) | 0;
     if (i161) {
      i213 = i161 + 12 | 0;
      if ((get32(i161 | 0) | 0) > 0) {
       i158 = 0;
       i210 = get32(i213 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i176, get32(i210 | 0) | 0);
        _sqlite3DbFree(i176, get32(i210 + 4 | 0) | 0);
        _sqlite3DbFree(i176, get32(i210 + 8 | 0) | 0);
        i158 = i158 + 1 | 0;
        if ((i158 | 0) >= (get32(i161 | 0) | 0)) break; else i210 = i210 + 20 | 0;
       }
      }
      _sqlite3DbFree(i176, get32(i213 | 0) | 0);
      _sqlite3DbFree(i176, i161);
     }
     _sqlite3ExprDelete(i176, get32(i151 + 20 | 0) | 0);
     i210 = get32(i151 + 24 | 0) | 0;
     if (i210) {
      i158 = i210 + 12 | 0;
      if ((get32(i210 | 0) | 0) > 0) {
       i211 = 0;
       i174 = get32(i158 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i176, get32(i174 | 0) | 0);
        _sqlite3DbFree(i176, get32(i174 + 4 | 0) | 0);
        _sqlite3DbFree(i176, get32(i174 + 8 | 0) | 0);
        i211 = i211 + 1 | 0;
        if ((i211 | 0) >= (get32(i210 | 0) | 0)) break; else i174 = i174 + 20 | 0;
       }
      }
      _sqlite3DbFree(i176, get32(i158 | 0) | 0);
      _sqlite3DbFree(i176, i210);
     }
     _sqlite3SelectDelete(i176, get32(i151 + 28 | 0) | 0);
     _sqlite3ExprDelete(i176, get32(i151 + 40 | 0) | 0);
     _sqlite3ExprDelete(i176, get32(i151 + 44 | 0) | 0);
     _sqlite3DbFree(i176, i151);
    }
    _sqlite3ExprDelete(i176, get32(i163 + 40 | 0) | 0);
    _sqlite3ExprDelete(i176, get32(i163 + 44 | 0) | 0);
    _sqlite3DbFree(i176, i163);
   }
   set32(i144 | 0, i1012 | 0);
   break;
  }
 case 293:
  {
   i174 = get32(i149 | 0) | 0;
   i211 = i150 + -2 | 0;
   i161 = i1 + 12 + (i211 << 4) + 4 | 0;
   i213 = get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0;
   i160 = i1 + 12 + (i211 << 4) + 8 | 0;
   i211 = get32(i160 | 0) | 0;
   i181 = i211 + 40 | 0;
   L6822 : do if (!i174) if ((i211 + 39 | 0) >>> 0 <= 2147483390) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i1013 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i181) | 0;
     i157 = 4811;
     break;
    }
    i227 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i181) | 0;
    set32(35 * 4 | 0, i181 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i181 | 0)) set32(45 * 4 | 0, i181 | 0);
    i155 = get32(6 * 4 | 0) | 0;
    do if (i155) {
     i179 = get32(30 * 4 | 0) | 0;
     i152 = ((i179 | 0) < 0) << 31 >> 31;
     i192 = 16;
     i183 = _i64Subtract(get32(i192 | 0) | 0, get32(i192 + 4 | 0) | 0, i227 | 0, ((i227 | 0) < 0) << 31 >> 31 | 0) | 0;
     i192 = tempRet0;
     if ((i152 | 0) < (i192 | 0) | (i152 | 0) == (i192 | 0) & i179 >>> 0 < i183 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i183 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i155 & 15](i183, i179, i152, i227);
      set32(6 * 4 | 0, i155 | 0);
      set32(7 * 4 | 0, i183 | 0);
      break;
     }
    } while (0);
    i155 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i227) | 0;
    if (i155) {
     i225 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i155) | 0;
     i183 = (get32(30 * 4 | 0) | 0) + i225 | 0;
     set32(30 * 4 | 0, i183 | 0);
     if ((i183 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i183 | 0);
     i183 = get32(39 * 4 | 0) | 0;
     i225 = i183 + 1 | 0;
     set32(39 * 4 | 0, i225 | 0);
     if ((i183 | 0) < (get32(49 * 4 | 0) | 0)) {
      i1014 = i155;
      i157 = 4812;
     } else {
      set32(49 * 4 | 0, i225 | 0);
      i1014 = i155;
      i157 = 4812;
     }
    } else i1015 = 0;
   } else i1015 = 0; else {
    i155 = i174 + 30 | 0;
    if (!(get8(i155 >> 0 | 0) | 0)) {
     do if (get8(i174 + 234 >> 0 | 0) | 0) {
      if ((getU16(i174 + 232 | 0) | 0) < (i181 | 0)) {
       i225 = i174 + 248 | 0;
       set32(i225 | 0, (get32(i225 | 0) | 0) + 1 | 0);
       break;
      }
      i225 = i174 + 256 | 0;
      i183 = get32(i225 | 0) | 0;
      if (!i183) {
       i152 = i174 + 252 | 0;
       set32(i152 | 0, (get32(i152 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i225 | 0, get32(i183 | 0) | 0);
      i225 = i174 + 236 | 0;
      i152 = get32(i225 | 0) | 0;
      i179 = i152 + 1 | 0;
      set32(i225 | 0, i179 | 0);
      i225 = i174 + 244 | 0;
      set32(i225 | 0, (get32(i225 | 0) | 0) + 1 | 0);
      i225 = i174 + 240 | 0;
      if ((i152 | 0) >= (get32(i225 | 0) | 0)) set32(i225 | 0, i179 | 0);
      i1013 = i183;
      i157 = 4811;
      break L6822;
     } while (0);
     do if ((i211 + 39 | 0) >>> 0 <= 2147483390) {
      if (!(get32(50 * 4 | 0) | 0)) {
       i227 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i181) | 0;
       if (!i227) break; else {
        i1014 = i227;
        i157 = 4812;
        break L6822;
       }
      }
      i227 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i181) | 0;
      set32(35 * 4 | 0, i181 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i181 | 0)) set32(45 * 4 | 0, i181 | 0);
      i183 = get32(6 * 4 | 0) | 0;
      do if (i183) {
       i179 = get32(30 * 4 | 0) | 0;
       i225 = ((i179 | 0) < 0) << 31 >> 31;
       i152 = 16;
       i192 = _i64Subtract(get32(i152 | 0) | 0, get32(i152 + 4 | 0) | 0, i227 | 0, ((i227 | 0) < 0) << 31 >> 31 | 0) | 0;
       i152 = tempRet0;
       if ((i225 | 0) < (i152 | 0) | (i225 | 0) == (i152 | 0) & i179 >>> 0 < i192 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i192 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i183 & 15](i192, i179, i225, i227);
        set32(6 * 4 | 0, i183 | 0);
        set32(7 * 4 | 0, i192 | 0);
        break;
       }
      } while (0);
      i183 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i227) | 0;
      if (i183) {
       i188 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i183) | 0;
       i192 = (get32(30 * 4 | 0) | 0) + i188 | 0;
       set32(30 * 4 | 0, i192 | 0);
       if ((i192 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i192 | 0);
       i192 = get32(39 * 4 | 0) | 0;
       i188 = i192 + 1 | 0;
       set32(39 * 4 | 0, i188 | 0);
       if ((i192 | 0) < (get32(49 * 4 | 0) | 0)) {
        i1014 = i183;
        i157 = 4812;
        break L6822;
       }
       set32(49 * 4 | 0, i188 | 0);
       i1014 = i183;
       i157 = 4812;
       break L6822;
      }
     } while (0);
     set8(i155 >> 0 | 0, 1 | 0);
     i1015 = 0;
    } else i1015 = 0;
   } while (0);
   if ((i157 | 0) == 4811) if (!i1013) i1015 = 0; else {
    i1014 = i1013;
    i157 = 4812;
   }
   if ((i157 | 0) == 4812) {
    _memset(i1014 | 0, 0, i181 | 0) | 0;
    i211 = i1014 + 40 | 0;
    _memcpy(i211 | 0, get32(i161 | 0) | 0, get32(i160 | 0) | 0) | 0;
    set32(i1014 + 12 | 0, i211 | 0);
    set32(i1014 + 16 | 0, get32(i160 | 0) | 0);
    set8(i1014 >> 0 | 0, 106 | 0);
    if (!i1014) i1015 = 0; else {
     set32(i1014 + 20 | 0, _exprDup(i174, i213, 1, 0) | 0 | 0);
     set8(i1014 + 1 >> 0 | 0, 99 | 0);
     i1015 = i1014;
    }
   }
   _sqlite3ExprDelete(i174, i213);
   set32(i144 | 0, i1015 | 0);
   break;
  }
 case 294:
  {
   i211 = get32(i149 | 0) | 0;
   i163 = get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0;
   L6883 : do if (!i211) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i1016 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](40) | 0;
     i157 = 4852;
     break;
    }
    i176 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](40) | 0;
    set32(35 * 4 | 0, 40 | 0);
    if ((get32(45 * 4 | 0) | 0) < 40) set32(45 * 4 | 0, 40 | 0);
    i151 = get32(6 * 4 | 0) | 0;
    do if (i151) {
     i210 = get32(30 * 4 | 0) | 0;
     i158 = ((i210 | 0) < 0) << 31 >> 31;
     i183 = 16;
     i188 = _i64Subtract(get32(i183 | 0) | 0, get32(i183 + 4 | 0) | 0, i176 | 0, ((i176 | 0) < 0) << 31 >> 31 | 0) | 0;
     i183 = tempRet0;
     if ((i158 | 0) < (i183 | 0) | (i158 | 0) == (i183 | 0) & i210 >>> 0 < i188 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i188 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i151 & 15](i188, i210, i158, i176);
      set32(6 * 4 | 0, i151 | 0);
      set32(7 * 4 | 0, i188 | 0);
      break;
     }
    } while (0);
    i151 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i176) | 0;
    if (i151) {
     i155 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i151) | 0;
     i188 = (get32(30 * 4 | 0) | 0) + i155 | 0;
     set32(30 * 4 | 0, i188 | 0);
     if ((i188 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i188 | 0);
     i188 = get32(39 * 4 | 0) | 0;
     i155 = i188 + 1 | 0;
     set32(39 * 4 | 0, i155 | 0);
     if ((i188 | 0) < (get32(49 * 4 | 0) | 0)) {
      i1017 = i151;
      i157 = 4904;
     } else {
      set32(49 * 4 | 0, i155 | 0);
      i1017 = i151;
      i157 = 4904;
     }
    } else i157 = 4853;
   } else {
    i151 = i211 + 30 | 0;
    if (!(get8(i151 >> 0 | 0) | 0)) {
     do if (get8(i211 + 234 >> 0 | 0) | 0) {
      if ((getU16(i211 + 232 | 0) | 0) < 40) {
       i155 = i211 + 248 | 0;
       set32(i155 | 0, (get32(i155 | 0) | 0) + 1 | 0);
       break;
      }
      i155 = i211 + 256 | 0;
      i188 = get32(i155 | 0) | 0;
      if (!i188) {
       i158 = i211 + 252 | 0;
       set32(i158 | 0, (get32(i158 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i155 | 0, get32(i188 | 0) | 0);
      i155 = i211 + 236 | 0;
      i158 = get32(i155 | 0) | 0;
      i210 = i158 + 1 | 0;
      set32(i155 | 0, i210 | 0);
      i155 = i211 + 244 | 0;
      set32(i155 | 0, (get32(i155 | 0) | 0) + 1 | 0);
      i155 = i211 + 240 | 0;
      if ((i158 | 0) >= (get32(i155 | 0) | 0)) set32(i155 | 0, i210 | 0);
      i1016 = i188;
      i157 = 4852;
      break L6883;
     } while (0);
     if (!(get32(50 * 4 | 0) | 0)) {
      i176 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](40) | 0;
      if (i176) {
       i1017 = i176;
       i157 = 4904;
       break;
      }
     } else {
      i176 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](40) | 0;
      set32(35 * 4 | 0, 40 | 0);
      if ((get32(45 * 4 | 0) | 0) < 40) set32(45 * 4 | 0, 40 | 0);
      i188 = get32(6 * 4 | 0) | 0;
      do if (i188) {
       i210 = get32(30 * 4 | 0) | 0;
       i155 = ((i210 | 0) < 0) << 31 >> 31;
       i158 = 16;
       i183 = _i64Subtract(get32(i158 | 0) | 0, get32(i158 + 4 | 0) | 0, i176 | 0, ((i176 | 0) < 0) << 31 >> 31 | 0) | 0;
       i158 = tempRet0;
       if ((i155 | 0) < (i158 | 0) | (i155 | 0) == (i158 | 0) & i210 >>> 0 < i183 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i183 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i188 & 15](i183, i210, i155, i176);
        set32(6 * 4 | 0, i188 | 0);
        set32(7 * 4 | 0, i183 | 0);
        break;
       }
      } while (0);
      i188 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i176) | 0;
      if (i188) {
       i183 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i188) | 0;
       i155 = (get32(30 * 4 | 0) | 0) + i183 | 0;
       set32(30 * 4 | 0, i155 | 0);
       if ((i155 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i155 | 0);
       i155 = get32(39 * 4 | 0) | 0;
       i183 = i155 + 1 | 0;
       set32(39 * 4 | 0, i183 | 0);
       if ((i155 | 0) < (get32(49 * 4 | 0) | 0)) {
        i1017 = i188;
        i157 = 4904;
        break;
       }
       set32(49 * 4 | 0, i183 | 0);
       i1017 = i188;
       i157 = 4904;
       break;
      }
     }
     set8(i151 >> 0 | 0, 1 | 0);
     i157 = 4853;
    } else i157 = 4853;
   } while (0);
   if ((i157 | 0) == 4852) if (!i1016) i157 = 4853; else {
    i1017 = i1016;
    i157 = 4904;
   }
   if ((i157 | 0) == 4853) if (!i163) i1018 = 0; else {
    i213 = get32(i163 | 0) | 0;
    if (i213) {
     i174 = i213 + 12 | 0;
     if ((get32(i213 | 0) | 0) > 0) {
      i160 = 0;
      i161 = get32(i174 | 0) | 0;
      while (1) {
       _sqlite3ExprDelete(i211, get32(i161 | 0) | 0);
       _sqlite3DbFree(i211, get32(i161 + 4 | 0) | 0);
       _sqlite3DbFree(i211, get32(i161 + 8 | 0) | 0);
       i160 = i160 + 1 | 0;
       if ((i160 | 0) >= (get32(i213 | 0) | 0)) break; else i161 = i161 + 20 | 0;
      }
     }
     _sqlite3DbFree(i211, get32(i174 | 0) | 0);
     _sqlite3DbFree(i211, i213);
    }
    _sqlite3SrcListDelete(i211, get32(i163 + 8 | 0) | 0);
    _sqlite3ExprDelete(i211, get32(i163 + 12 | 0) | 0);
    i161 = get32(i163 + 16 | 0) | 0;
    if (i161) {
     i160 = i161 + 12 | 0;
     if ((get32(i161 | 0) | 0) > 0) {
      i181 = 0;
      i188 = get32(i160 | 0) | 0;
      while (1) {
       _sqlite3ExprDelete(i211, get32(i188 | 0) | 0);
       _sqlite3DbFree(i211, get32(i188 + 4 | 0) | 0);
       _sqlite3DbFree(i211, get32(i188 + 8 | 0) | 0);
       i181 = i181 + 1 | 0;
       if ((i181 | 0) >= (get32(i161 | 0) | 0)) break; else i188 = i188 + 20 | 0;
      }
     }
     _sqlite3DbFree(i211, get32(i160 | 0) | 0);
     _sqlite3DbFree(i211, i161);
    }
    _sqlite3ExprDelete(i211, get32(i163 + 20 | 0) | 0);
    i188 = get32(i163 + 24 | 0) | 0;
    if (i188) {
     i181 = i188 + 12 | 0;
     if ((get32(i188 | 0) | 0) > 0) {
      i213 = 0;
      i174 = get32(i181 | 0) | 0;
      while (1) {
       _sqlite3ExprDelete(i211, get32(i174 | 0) | 0);
       _sqlite3DbFree(i211, get32(i174 + 4 | 0) | 0);
       _sqlite3DbFree(i211, get32(i174 + 8 | 0) | 0);
       i213 = i213 + 1 | 0;
       if ((i213 | 0) >= (get32(i188 | 0) | 0)) break; else i174 = i174 + 20 | 0;
      }
     }
     _sqlite3DbFree(i211, get32(i181 | 0) | 0);
     _sqlite3DbFree(i211, i188);
    }
    i174 = get32(i163 + 28 | 0) | 0;
    if (i174) {
     i213 = get32(i174 | 0) | 0;
     if (i213) {
      i161 = i213 + 12 | 0;
      if ((get32(i213 | 0) | 0) > 0) {
       i160 = 0;
       i183 = get32(i161 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i211, get32(i183 | 0) | 0);
        _sqlite3DbFree(i211, get32(i183 + 4 | 0) | 0);
        _sqlite3DbFree(i211, get32(i183 + 8 | 0) | 0);
        i160 = i160 + 1 | 0;
        if ((i160 | 0) >= (get32(i213 | 0) | 0)) break; else i183 = i183 + 20 | 0;
       }
      }
      _sqlite3DbFree(i211, get32(i161 | 0) | 0);
      _sqlite3DbFree(i211, i213);
     }
     _sqlite3SrcListDelete(i211, get32(i174 + 8 | 0) | 0);
     _sqlite3ExprDelete(i211, get32(i174 + 12 | 0) | 0);
     i183 = get32(i174 + 16 | 0) | 0;
     if (i183) {
      i160 = i183 + 12 | 0;
      if ((get32(i183 | 0) | 0) > 0) {
       i188 = 0;
       i181 = get32(i160 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i211, get32(i181 | 0) | 0);
        _sqlite3DbFree(i211, get32(i181 + 4 | 0) | 0);
        _sqlite3DbFree(i211, get32(i181 + 8 | 0) | 0);
        i188 = i188 + 1 | 0;
        if ((i188 | 0) >= (get32(i183 | 0) | 0)) break; else i181 = i181 + 20 | 0;
       }
      }
      _sqlite3DbFree(i211, get32(i160 | 0) | 0);
      _sqlite3DbFree(i211, i183);
     }
     _sqlite3ExprDelete(i211, get32(i174 + 20 | 0) | 0);
     i181 = get32(i174 + 24 | 0) | 0;
     if (i181) {
      i188 = i181 + 12 | 0;
      if ((get32(i181 | 0) | 0) > 0) {
       i213 = 0;
       i161 = get32(i188 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i211, get32(i161 | 0) | 0);
        _sqlite3DbFree(i211, get32(i161 + 4 | 0) | 0);
        _sqlite3DbFree(i211, get32(i161 + 8 | 0) | 0);
        i213 = i213 + 1 | 0;
        if ((i213 | 0) >= (get32(i181 | 0) | 0)) break; else i161 = i161 + 20 | 0;
       }
      }
      _sqlite3DbFree(i211, get32(i188 | 0) | 0);
      _sqlite3DbFree(i211, i181);
     }
     i161 = get32(i174 + 28 | 0) | 0;
     if (i161) {
      i213 = get32(i161 | 0) | 0;
      if (i213) {
       i183 = i213 + 12 | 0;
       if ((get32(i213 | 0) | 0) > 0) {
        i160 = 0;
        i155 = get32(i183 | 0) | 0;
        while (1) {
         _sqlite3ExprDelete(i211, get32(i155 | 0) | 0);
         _sqlite3DbFree(i211, get32(i155 + 4 | 0) | 0);
         _sqlite3DbFree(i211, get32(i155 + 8 | 0) | 0);
         i160 = i160 + 1 | 0;
         if ((i160 | 0) >= (get32(i213 | 0) | 0)) break; else i155 = i155 + 20 | 0;
        }
       }
       _sqlite3DbFree(i211, get32(i183 | 0) | 0);
       _sqlite3DbFree(i211, i213);
      }
      _sqlite3SrcListDelete(i211, get32(i161 + 8 | 0) | 0);
      _sqlite3ExprDelete(i211, get32(i161 + 12 | 0) | 0);
      i155 = get32(i161 + 16 | 0) | 0;
      if (i155) {
       i160 = i155 + 12 | 0;
       if ((get32(i155 | 0) | 0) > 0) {
        i181 = 0;
        i188 = get32(i160 | 0) | 0;
        while (1) {
         _sqlite3ExprDelete(i211, get32(i188 | 0) | 0);
         _sqlite3DbFree(i211, get32(i188 + 4 | 0) | 0);
         _sqlite3DbFree(i211, get32(i188 + 8 | 0) | 0);
         i181 = i181 + 1 | 0;
         if ((i181 | 0) >= (get32(i155 | 0) | 0)) break; else i188 = i188 + 20 | 0;
        }
       }
       _sqlite3DbFree(i211, get32(i160 | 0) | 0);
       _sqlite3DbFree(i211, i155);
      }
      _sqlite3ExprDelete(i211, get32(i161 + 20 | 0) | 0);
      i188 = get32(i161 + 24 | 0) | 0;
      if (i188) {
       i181 = i188 + 12 | 0;
       if ((get32(i188 | 0) | 0) > 0) {
        i213 = 0;
        i183 = get32(i181 | 0) | 0;
        while (1) {
         _sqlite3ExprDelete(i211, get32(i183 | 0) | 0);
         _sqlite3DbFree(i211, get32(i183 + 4 | 0) | 0);
         _sqlite3DbFree(i211, get32(i183 + 8 | 0) | 0);
         i213 = i213 + 1 | 0;
         if ((i213 | 0) >= (get32(i188 | 0) | 0)) break; else i183 = i183 + 20 | 0;
        }
       }
       _sqlite3DbFree(i211, get32(i181 | 0) | 0);
       _sqlite3DbFree(i211, i188);
      }
      _sqlite3SelectDelete(i211, get32(i161 + 28 | 0) | 0);
      _sqlite3ExprDelete(i211, get32(i161 + 40 | 0) | 0);
      _sqlite3ExprDelete(i211, get32(i161 + 44 | 0) | 0);
      _sqlite3DbFree(i211, i161);
     }
     _sqlite3ExprDelete(i211, get32(i174 + 40 | 0) | 0);
     _sqlite3ExprDelete(i211, get32(i174 + 44 | 0) | 0);
     _sqlite3DbFree(i211, i174);
    }
    _sqlite3ExprDelete(i211, get32(i163 + 40 | 0) | 0);
    _sqlite3ExprDelete(i211, get32(i163 + 44 | 0) | 0);
    _sqlite3DbFree(i211, i163);
    i1018 = 0;
   } else if ((i157 | 0) == 4904) {
    i168 = i1017;
    i169 = i168 + 40 | 0;
    do {
     set8(i168 >> 0 | 0, 0 | 0);
     i168 = i168 + 1 | 0;
    } while ((i168 | 0) < (i169 | 0));
    set8(i1017 >> 0 | 0, 116 | 0);
    set32(i1017 + 8 | 0, i163 | 0);
    set8(i1017 + 1 >> 0 | 0, 99 | 0);
    i1018 = i1017;
   }
   set32(i144 | 0, i1018 | 0);
   break;
  }
 case 295:
  {
   i211 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, 56, 0, 1) | 0;
   if (!i211) set32(i144 | 0, 0 | 0); else {
    set32(i142 | 0, 0 | 0);
    i174 = get32(i211 + 8 | 0) | 0;
    if ((i174 | 0) != 0 ? (i161 = get32(i174 + 44 | 0) | 0, (i161 | 0) > 0) : 0) {
     set32(i142 | 0, i161 | 0);
     i1019 = i161;
    } else i1019 = 0;
    i161 = get32(i211 + 12 | 0) | 0;
    if ((i161 | 0) != 0 ? (i174 = get32(i161 + 44 | 0) | 0, (i174 | 0) > (i1019 | 0)) : 0) {
     set32(i142 | 0, i174 | 0);
     i1020 = i174;
    } else i1020 = i1019;
    i174 = i211 + 16 | 0;
    if (!(get16(i211 + 2 | 0) & 2048)) {
     i161 = get32(i174 | 0) | 0;
     if (!i161) {
      i1021 = i1020;
      i157 = 4922;
     } else {
      i188 = get32(i161 | 0) | 0;
      if ((i188 | 0) > 0) {
       i181 = get32(i161 + 12 | 0) | 0;
       i161 = i1020;
       i183 = 0;
       while (1) {
        i213 = get32(i181 + (i183 * 20 | 0) | 0) | 0;
        if ((i213 | 0) != 0 ? (i155 = get32(i213 + 44 | 0) | 0, (i155 | 0) > (i161 | 0)) : 0) {
         set32(i142 | 0, i155 | 0);
         i1022 = i155;
        } else i1022 = i161;
        i183 = i183 + 1 | 0;
        if ((i183 | 0) == (i188 | 0)) {
         i1023 = i1022;
         break;
        } else i161 = i1022;
       }
      } else i1023 = i1020;
      i161 = i1023 + 1 | 0;
      set32(i211 + 44 | 0, i161 | 0);
      i1024 = i161;
     }
    } else {
     _heightOfSelect(get32(i174 | 0) | 0, i142);
     i1021 = get32(i142 | 0) | 0;
     i157 = 4922;
    }
    if ((i157 | 0) == 4922) {
     i161 = i1021 + 1 | 0;
     set32(i211 + 44 | 0, i161 | 0);
     i1024 = i161;
    }
    i161 = get32((get32(i149 | 0) | 0) + 84 | 0) | 0;
    if ((i161 | 0) < (i1024 | 0)) {
     set32(i42 | 0, i161 | 0);
     _sqlite3ErrorMsg(i149, 29585, i42);
    }
    set32(i144 | 0, i211 | 0);
    set8(i211 + 1 >> 0 | 0, 4 | 0);
   }
   set32(i144 + 4 | 0, get32(i1 + 12 + (i150 + -3 << 4) + 4 | 0) | 0);
   set32(i144 + 8 | 0, (get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0) + (get32(i1 + 12 + (i150 << 4) + 8 | 0) | 0) | 0);
   break;
  }
 case 296:
  {
   i161 = _sqlite3ExprAlloc(get32(i149 | 0) | 0, 56, i1 + 12 + (i150 + -1 << 4) + 4 | 0, 1) | 0;
   if (!i161) set32(i144 | 0, 0 | 0); else {
    set32(i142 | 0, 0 | 0);
    i188 = get32(i161 + 8 | 0) | 0;
    if ((i188 | 0) != 0 ? (i183 = get32(i188 + 44 | 0) | 0, (i183 | 0) > 0) : 0) {
     set32(i142 | 0, i183 | 0);
     i1025 = i183;
    } else i1025 = 0;
    i183 = get32(i161 + 12 | 0) | 0;
    if ((i183 | 0) != 0 ? (i188 = get32(i183 + 44 | 0) | 0, (i188 | 0) > (i1025 | 0)) : 0) {
     set32(i142 | 0, i188 | 0);
     i1026 = i188;
    } else i1026 = i1025;
    i188 = i161 + 16 | 0;
    if (!(get16(i161 + 2 | 0) & 2048)) {
     i183 = get32(i188 | 0) | 0;
     if (!i183) {
      i1027 = i1026;
      i157 = 4945;
     } else {
      i181 = get32(i183 | 0) | 0;
      if ((i181 | 0) > 0) {
       i163 = get32(i183 + 12 | 0) | 0;
       i183 = i1026;
       i155 = 0;
       while (1) {
        i213 = get32(i163 + (i155 * 20 | 0) | 0) | 0;
        if ((i213 | 0) != 0 ? (i160 = get32(i213 + 44 | 0) | 0, (i160 | 0) > (i183 | 0)) : 0) {
         set32(i142 | 0, i160 | 0);
         i1028 = i160;
        } else i1028 = i183;
        i155 = i155 + 1 | 0;
        if ((i155 | 0) == (i181 | 0)) {
         i1029 = i1028;
         break;
        } else i183 = i1028;
       }
      } else i1029 = i1026;
      i183 = i1029 + 1 | 0;
      set32(i161 + 44 | 0, i183 | 0);
      i1030 = i183;
     }
    } else {
     _heightOfSelect(get32(i188 | 0) | 0, i142);
     i1027 = get32(i142 | 0) | 0;
     i157 = 4945;
    }
    if ((i157 | 0) == 4945) {
     i183 = i1027 + 1 | 0;
     set32(i161 + 44 | 0, i183 | 0);
     i1030 = i183;
    }
    i183 = get32((get32(i149 | 0) | 0) + 84 | 0) | 0;
    if ((i183 | 0) < (i1030 | 0)) {
     set32(i41 | 0, i183 | 0);
     _sqlite3ErrorMsg(i149, 29585, i41);
    }
    set32(i144 | 0, i161 | 0);
    set8(i161 + 1 >> 0 | 0, get32(i1 + 12 + (i150 + -3 << 4) + 4 | 0) | 0);
   }
   set32(i144 + 4 | 0, get32(i1 + 12 + (i150 + -5 << 4) + 4 | 0) | 0);
   set32(i144 + 8 | 0, (get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0) + (get32(i1 + 12 + (i150 << 4) + 8 | 0) | 0) | 0);
   break;
  }
 case 297:
  {
   set32(i144 | 0, 1 | 0);
   break;
  }
 case 299:
  {
   set32(i144 | 0, 3 | 0);
   break;
  }
 case 300:
  {
   i183 = get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0;
   i181 = get32(i1 + 12 + (i150 + -1 << 4) + 4 | 0) | 0;
   i155 = get32(i149 | 0) | 0;
   do if (!(get8(i155 + 30 >> 0 | 0) | 0)) {
    if ((get8(i155 + 124 >> 0 | 0) | 0) == 0 ? (i163 = _sqlite3Init(i155, i149 + 8 | 0) | 0, (i163 | 0) != 0) : 0) {
     set32(i149 + 4 | 0, i163 | 0);
     i163 = i149 + 64 | 0;
     set32(i163 | 0, (get32(i163 | 0) | 0) + 1 | 0);
     break;
    }
    i163 = get32(i183 + 8 | 0) | 0;
    i211 = get32(i183 + 12 | 0) | 0;
    if (!i211) i1031 = 0; else {
     i174 = i211;
     while (1) if (!(get8(i174 >> 0 | 0) | 0)) {
      i1032 = i174;
      break;
     } else i174 = i174 + 1 | 0;
     i1031 = i1032 - i211 & 1073741823;
    }
    i174 = get32(i155 + 4 | 0) | 0;
    if ((i174 | 0) > 0) {
     i151 = (i163 | 0) == 0;
     i176 = get32(i155 + 8 | 0) | 0;
     i160 = 0;
     i213 = 0;
     while (1) {
      i210 = (i160 | 0) < 2 ^ i160;
      if (!i151) {
       i158 = get32(i176 + (i210 << 4) | 0) | 0;
       i192 = get8(i158 >> 0 | 0) | 0;
       L7103 : do if (!(i192 << 24 >> 24)) {
        i1033 = 0;
        i1034 = i163;
       } else {
        i225 = i192;
        i179 = i158;
        i152 = i163;
        while (1) {
         if ((get8(16286 + (i225 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i152 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
          i1033 = i225;
          i1034 = i152;
          break L7103;
         }
         i179 = i179 + 1 | 0;
         i180 = i152 + 1 | 0;
         i225 = get8(i179 >> 0 | 0) | 0;
         if (!(i225 << 24 >> 24)) {
          i1033 = 0;
          i1034 = i180;
          break;
         } else i152 = i180;
        }
       } while (0);
       if ((get8(16286 + (i1033 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i1034 >> 0 | 0) | 0) >> 0 | 0) | 0)) i1035 = i213; else i157 = 4968;
      } else i157 = 4968;
      if ((i157 | 0) == 4968) {
       i157 = 0;
       i158 = _sqlite3HashFind((get32(i176 + (i210 << 4) + 12 | 0) | 0) + 40 | 0, i211, i1031) | 0;
       if (!i158) i1035 = i158; else {
        i1036 = i158;
        break;
       }
      }
      i160 = i160 + 1 | 0;
      if ((i160 | 0) >= (i174 | 0)) {
       i1036 = i1035;
       break;
      } else i213 = i1035;
     }
     if (i1036) {
      _sqlite3DropTriggerPtr(i149, i1036);
      break;
     }
    }
    if (i181) {
     i213 = get32(i149 | 0) | 0;
     i174 = i213 + 4 | 0;
     i160 = get32(i174 | 0) | 0;
     if ((i160 | 0) > 0) {
      i211 = i213 + 8 | 0;
      i213 = (i163 | 0) == 0;
      i176 = i149 + 424 | 0;
      i151 = i160;
      i160 = 0;
      while (1) {
       i158 = get32(i211 | 0) | 0;
       do if (!(get32(i158 + (i160 << 4) + 4 | 0) | 0)) i1037 = i151; else {
        if (!i213) {
         i192 = get32(i158 + (i160 << 4) | 0) | 0;
         i227 = get8(i163 >> 0 | 0) | 0;
         L7124 : do if (!(i227 << 24 >> 24)) {
          i1038 = 0;
          i1039 = i192;
         } else {
          i152 = i227;
          i225 = i163;
          i179 = i192;
          while (1) {
           if ((get8(16286 + (i152 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i179 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
            i1038 = i152;
            i1039 = i179;
            break L7124;
           }
           i225 = i225 + 1 | 0;
           i175 = i179 + 1 | 0;
           i152 = get8(i225 >> 0 | 0) | 0;
           if (!(i152 << 24 >> 24)) {
            i1038 = 0;
            i1039 = i175;
            break;
           } else i179 = i175;
          }
         } while (0);
         if ((get8(16286 + (i1038 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i1039 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
          i1037 = i151;
          break;
         }
        }
        i192 = get32(i176 | 0) | 0;
        i227 = (i192 | 0) == 0 ? i149 : i192;
        i192 = i227 + 348 | 0;
        do if (!(get32(i192 | 0) | 0)) {
         i179 = i227 + 12 | 0;
         i152 = get32(i179 | 0) | 0;
         if (!i152) {
          i225 = get32(i227 | 0) | 0;
          L7134 : do if (i225) {
           i159 = i225 + 30 | 0;
           if (!(get8(i159 >> 0 | 0) | 0)) {
            do if (get8(i225 + 234 >> 0 | 0) | 0) {
             if ((getU16(i225 + 232 | 0) | 0) < 192) {
              i175 = i225 + 248 | 0;
              set32(i175 | 0, (get32(i175 | 0) | 0) + 1 | 0);
              break;
             }
             i175 = i225 + 256 | 0;
             i180 = get32(i175 | 0) | 0;
             if (!i180) {
              i177 = i225 + 252 | 0;
              set32(i177 | 0, (get32(i177 | 0) | 0) + 1 | 0);
              break;
             }
             set32(i175 | 0, get32(i180 | 0) | 0);
             i175 = i225 + 236 | 0;
             i177 = get32(i175 | 0) | 0;
             i889 = i177 + 1 | 0;
             set32(i175 | 0, i889 | 0);
             i175 = i225 + 244 | 0;
             set32(i175 | 0, (get32(i175 | 0) | 0) + 1 | 0);
             i175 = i225 + 240 | 0;
             if ((i177 | 0) >= (get32(i175 | 0) | 0)) set32(i175 | 0, i889 | 0);
             i1040 = i180;
             i157 = 5020;
             break L7134;
            } while (0);
            do if (!(get32(50 * 4 | 0) | 0)) {
             i180 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
             if (i180) {
              i1041 = i180;
              break L7134;
             }
            } else {
             i180 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
             set32(35 * 4 | 0, 192 | 0);
             if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
             i889 = get32(6 * 4 | 0) | 0;
             do if (i889) {
              i175 = get32(30 * 4 | 0) | 0;
              i177 = ((i175 | 0) < 0) << 31 >> 31;
              i173 = 16;
              i888 = _i64Subtract(get32(i173 | 0) | 0, get32(i173 + 4 | 0) | 0, i180 | 0, ((i180 | 0) < 0) << 31 >> 31 | 0) | 0;
              i173 = tempRet0;
              if ((i177 | 0) < (i173 | 0) | (i177 | 0) == (i173 | 0) & i175 >>> 0 < i888 >>> 0) {
               set32(11 * 4 | 0, 0 | 0);
               break;
              } else {
               set32(11 * 4 | 0, 1 | 0);
               i888 = get32(7 * 4 | 0) | 0;
               set32(6 * 4 | 0, 0 | 0);
               FUNCTION_TABLE_viiii[i889 & 15](i888, i175, i177, i180);
               set32(6 * 4 | 0, i889 | 0);
               set32(7 * 4 | 0, i888 | 0);
               break;
              }
             } while (0);
             i889 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i180) | 0;
             if (!i889) break;
             i162 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i889) | 0;
             i888 = (get32(30 * 4 | 0) | 0) + i162 | 0;
             set32(30 * 4 | 0, i888 | 0);
             if ((i888 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i888 | 0);
             i888 = get32(39 * 4 | 0) | 0;
             i162 = i888 + 1 | 0;
             set32(39 * 4 | 0, i162 | 0);
             if ((i888 | 0) < (get32(49 * 4 | 0) | 0)) {
              i1041 = i889;
              break L7134;
             }
             set32(49 * 4 | 0, i162 | 0);
             i1041 = i889;
             break L7134;
            } while (0);
            set8(i159 >> 0 | 0, 1 | 0);
            i157 = 5030;
           } else i157 = 5030;
          } else {
           if (!(get32(50 * 4 | 0) | 0)) {
            i1040 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
            i157 = 5020;
            break;
           }
           i889 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
           set32(35 * 4 | 0, 192 | 0);
           if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
           i162 = get32(6 * 4 | 0) | 0;
           do if (i162) {
            i888 = get32(30 * 4 | 0) | 0;
            i177 = ((i888 | 0) < 0) << 31 >> 31;
            i175 = 16;
            i173 = _i64Subtract(get32(i175 | 0) | 0, get32(i175 + 4 | 0) | 0, i889 | 0, ((i889 | 0) < 0) << 31 >> 31 | 0) | 0;
            i175 = tempRet0;
            if ((i177 | 0) < (i175 | 0) | (i177 | 0) == (i175 | 0) & i888 >>> 0 < i173 >>> 0) {
             set32(11 * 4 | 0, 0 | 0);
             break;
            } else {
             set32(11 * 4 | 0, 1 | 0);
             i173 = get32(7 * 4 | 0) | 0;
             set32(6 * 4 | 0, 0 | 0);
             FUNCTION_TABLE_viiii[i162 & 15](i173, i888, i177, i889);
             set32(6 * 4 | 0, i162 | 0);
             set32(7 * 4 | 0, i173 | 0);
             break;
            }
           } while (0);
           i162 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i889) | 0;
           if (!i162) {
            i157 = 5030;
            break;
           }
           i159 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i162) | 0;
           i173 = (get32(30 * 4 | 0) | 0) + i159 | 0;
           set32(30 * 4 | 0, i173 | 0);
           if ((i173 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i173 | 0);
           i173 = get32(39 * 4 | 0) | 0;
           i159 = i173 + 1 | 0;
           set32(39 * 4 | 0, i159 | 0);
           if ((i173 | 0) < (get32(49 * 4 | 0) | 0)) {
            i1041 = i162;
            break;
           }
           set32(49 * 4 | 0, i159 | 0);
           i1041 = i162;
          } while (0);
          if ((i157 | 0) == 5020) {
           i157 = 0;
           if (!i1040) i157 = 5030; else i1041 = i1040;
          }
          if ((i157 | 0) == 5030) {
           i157 = 0;
           set32(i179 | 0, 0 | 0);
           break;
          }
          _memset(i1041 | 0, 0, 192) | 0;
          set32(i1041 | 0, i225 | 0);
          i162 = i225 + 136 | 0;
          i159 = get32(i162 | 0) | 0;
          if (i159) set32(i159 + 60 | 0, i1041 | 0);
          set32(i1041 + 64 | 0, i159 | 0);
          set32(i1041 + 60 | 0, 0 | 0);
          set32(i162 | 0, i1041 | 0);
          set32(i1041 + 52 | 0, 649915045 | 0);
          set32(i179 | 0, i1041 | 0);
          i162 = i1041 + 28 | 0;
          i159 = i1041 + 32 | 0;
          i173 = i1041 + 4 | 0;
          i177 = _sqlite3DbRealloc(i225, 0, 1020) | 0;
          if (!i177) i1042 = i1041; else {
           i888 = get32(i1041 | 0) | 0;
           do if (!i888) i157 = 5028; else {
            if ((get32(i888 + 260 | 0) | 0) >>> 0 > i177 >>> 0) {
             i157 = 5028;
             break;
            }
            if ((get32(i888 + 264 | 0) | 0) >>> 0 <= i177 >>> 0) {
             i157 = 5028;
             break;
            }
            i1043 = getU16(i888 + 232 | 0) | 0;
           } while (0);
           if ((i157 | 0) == 5028) {
            i157 = 0;
            i1043 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i177) | 0;
           }
           set32(i159 | 0, (i1043 >>> 0) / 20 | 0 | 0);
           set32(i173 | 0, i177 | 0);
           set32(i162 | 0, (get32(i162 | 0) | 0) + 1 | 0);
           set8(i177 >> 0 | 0, -120 | 0);
           set8(i177 + 1 >> 0 | 0, 0 | 0);
           i168 = i177 + 3 | 0;
           i169 = i168 + 17 | 0;
           do {
            set8(i168 >> 0 | 0, 0 | 0);
            i168 = i168 + 1 | 0;
           } while ((i168 | 0) < (i169 | 0));
           i1042 = i1041;
          }
         } else i1042 = i152;
         i177 = i1042 + 28 | 0;
         i162 = get32(i177 | 0) | 0;
         i173 = i1042 + 32 | 0;
         i159 = get32(i173 | 0) | 0;
         if ((i159 | 0) <= (i162 | 0)) {
          i888 = i1042 + 4 | 0;
          i225 = _sqlite3DbRealloc(get32(i1042 | 0) | 0, get32(i888 | 0) | 0, (i159 | 0) == 0 ? 1020 : i159 * 40 | 0) | 0;
          if (!i225) i1044 = 1; else {
           i159 = get32(i1042 | 0) | 0;
           do if (!i159) i157 = 5038; else {
            if ((get32(i159 + 260 | 0) | 0) >>> 0 > i225 >>> 0) {
             i157 = 5038;
             break;
            }
            if ((get32(i159 + 264 | 0) | 0) >>> 0 <= i225 >>> 0) {
             i157 = 5038;
             break;
            }
            i1045 = getU16(i159 + 232 | 0) | 0;
           } while (0);
           if ((i157 | 0) == 5038) {
            i157 = 0;
            i1045 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i225) | 0;
           }
           set32(i173 | 0, (i1045 >>> 0) / 20 | 0 | 0);
           set32(i888 | 0, i225 | 0);
           i1046 = get32(i177 | 0) | 0;
           i1047 = i225;
           i157 = 5040;
          }
         } else {
          i1046 = i162;
          i1047 = get32(i1042 + 4 | 0) | 0;
          i157 = 5040;
         }
         if ((i157 | 0) == 5040) {
          i157 = 0;
          set32(i177 | 0, i1046 + 1 | 0);
          set8(i1047 + (i162 * 20 | 0) >> 0 | 0, 1 | 0);
          set8(i1047 + (i162 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
          i168 = i1047 + (i162 * 20 | 0) + 3 | 0;
          i169 = i168 + 17 | 0;
          do {
           set8(i168 >> 0 | 0, 0 | 0);
           i168 = i168 + 1 | 0;
          } while ((i168 | 0) < (i169 | 0));
          i1044 = i162;
         }
         set32(i192 | 0, i1044 + 1 | 0);
         i157 = 5042;
        } else i157 = 5042; while (0);
        if (((i157 | 0) == 5042 ? (i157 = 0, i192 = 1 << i160, i177 = i227 + 340 | 0, i225 = get32(i177 | 0) | 0, (i225 & i192 | 0) == 0) : 0) ? (i888 = get32(i227 | 0) | 0, set32(i177 | 0, i225 | i192 | 0), set32(i227 + 352 + (i160 << 2) | 0, get32(get32((get32(i888 + 8 | 0) | 0) + (i160 << 4) + 12 | 0) | 0) | 0), (i160 | 0) == 1) : 0) {
         i888 = get32(i227 | 0) | 0;
         i192 = i888 + 8 | 0;
         do if ((get32((get32(i192 | 0) | 0) + 20 | 0) | 0) == 0 ? (get8(i227 + 484 >> 0 | 0) | 0) == 0 : 0) {
          i225 = _sqlite3BtreeOpen(get32(i888 | 0) | 0, 0, i888, i142, 0, 542) | 0;
          if (i225) {
           _sqlite3ErrorMsg(i227, 19482, i39);
           set32(i227 + 4 | 0, i225 | 0);
           break;
          }
          i225 = get32(i142 | 0) | 0;
          set32((get32(i192 | 0) | 0) + 20 | 0, i225 | 0);
          i177 = get32(i888 + 36 | 0) | 0;
          i173 = get32(i225 + 4 | 0) | 0;
          set32(i173 + 4 | 0, get32(i225 | 0) | 0);
          if (get8(i173 + 17 >> 0 | 0) | 0) break;
          i225 = i173 + 36 | 0;
          i159 = i173 + 40 | 0;
          i152 = (get32(i225 | 0) | 0) - (get32(i159 | 0) | 0) | 0;
          do if ((i177 + -512 | 0) >>> 0 < 65025) {
           if (i177 + -1 & i177) break;
           set32(i225 | 0, i177 | 0);
           i179 = i173 + 88 | 0;
           i175 = get32(i179 | 0) | 0;
           do if (i175) {
            if ((get32(379 * 4 | 0) | 0) >>> 0 <= i175 >>> 0 & (get32(380 * 4 | 0) | 0) >>> 0 > i175 >>> 0) {
             i154 = (get32(31 * 4 | 0) | 0) + -1 | 0;
             set32(31 * 4 | 0, i154 | 0);
             if ((i154 | 0) > (get32(41 * 4 | 0) | 0)) set32(41 * 4 | 0, i154 | 0);
             set32(i175 | 0, get32(383 * 4 | 0) | 0);
             set32(383 * 4 | 0, i175 | 0);
             i154 = (get32(382 * 4 | 0) | 0) + 1 | 0;
             set32(382 * 4 | 0, i154 | 0);
             set32(384 * 4 | 0, (i154 | 0) < (get32(378 * 4 | 0) | 0) & 1 | 0);
             break;
            }
            i154 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i175) | 0;
            i189 = (get32(32 * 4 | 0) | 0) - i154 | 0;
            set32(32 * 4 | 0, i189 | 0);
            if ((i189 | 0) > (get32(42 * 4 | 0) | 0)) set32(42 * 4 | 0, i189 | 0);
            if (!(get32(50 * 4 | 0) | 0)) {
             FUNCTION_TABLE_vi[get32(232 | 0) & 31](i175);
             break;
            }
            i189 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i175) | 0;
            i154 = (get32(30 * 4 | 0) | 0) - i189 | 0;
            set32(30 * 4 | 0, i154 | 0);
            if ((i154 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i154 | 0);
            i154 = (get32(39 * 4 | 0) | 0) + -1 | 0;
            set32(39 * 4 | 0, i154 | 0);
            if ((i154 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i154 | 0);
            FUNCTION_TABLE_vi[get32(232 | 0) & 31](i175);
           } while (0);
           set32(i179 | 0, 0 | 0);
          } while (0);
          i177 = _sqlite3PagerSetPagesize(get32(i173 | 0) | 0, i225, i152) | 0;
          set32(i159 | 0, (get32(i225 | 0) | 0) - (i152 & 65535) | 0);
          if ((i177 | 0) != 7) break;
          set8(i888 + 30 >> 0 | 0, 1 | 0);
         } while (0);
        }
        i1037 = get32(i174 | 0) | 0;
       } while (0);
       i160 = i160 + 1 | 0;
       if ((i160 | 0) >= (i1037 | 0)) break; else i151 = i1037;
      }
     }
    } else {
     set32(i40 | 0, i183 | 0);
     set32(i40 + 4 | 0, 0 | 0);
     _sqlite3ErrorMsg(i149, 35686, i40);
    }
    set8(i149 + 18 >> 0 | 0, 1 | 0);
   } while (0);
   _sqlite3SrcListDelete(i155, i183);
   break;
  }
 case 301:
  {
   i181 = get32(i1 + 12 + (i150 + -3 << 4) + 4 | 0) | 0;
   _codeAttach(i149, 24, 3176, i181, i181, get32(i1 + 12 + (i150 + -1 << 4) + 4 | 0) | 0, get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0);
   break;
  }
 case 302:
  {
   i181 = get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0;
   _codeAttach(i149, 25, 3268, i181, 0, 0, i181);
   break;
  }
 case 307:
  {
   i181 = get32(i149 | 0) | 0;
   do if (!(get8(i181 + 124 >> 0 | 0) | 0)) {
    i161 = _sqlite3Init(i181, i149 + 8 | 0) | 0;
    if (!i161) {
     i1048 = get32(i149 | 0) | 0;
     break;
    } else {
     set32(i149 + 4 | 0, i161 | 0);
     i161 = i149 + 64 | 0;
     set32(i161 | 0, (get32(i161 | 0) | 0) + 1 | 0);
     break L1;
    }
   } else i1048 = i181; while (0);
   i181 = i1048 + 4 | 0;
   i183 = get32(i181 | 0) | 0;
   if ((i183 | 0) > 0) {
    i155 = i183;
    i183 = 0;
    i161 = get32(i1048 + 8 | 0) | 0;
    while (1) {
     i188 = get32((get32(i161 + 12 | 0) | 0) + 16 | 0) | 0;
     if (!i188) i1049 = i155; else {
      i151 = i188;
      do {
       i188 = get32(i151 + 8 | 0) | 0;
       i160 = get32(i188 + 16 | 0) | 0;
       if (i160) {
        i174 = i188 + 68 | 0;
        i188 = i160;
        do {
         i160 = get32(i149 | 0) | 0;
         i176 = get32(i174 | 0) | 0;
         L7277 : do if (i176) {
          i163 = get32(i160 + 4 | 0) | 0;
          if ((i163 | 0) > 0) {
           i213 = get32(i160 + 8 | 0) | 0;
           i211 = 0;
           while (1) {
            if ((get32(i213 + (i211 << 4) + 12 | 0) | 0) == (i176 | 0)) {
             i1050 = i211;
             break L7277;
            }
            i158 = i211 + 1 | 0;
            if ((i158 | 0) < (i163 | 0)) i211 = i158; else {
             i1050 = i158;
             break;
            }
           }
          } else i1050 = 0;
         } else i1050 = -1e6; while (0);
         _sqlite3BeginWriteOperation(i149, 0, i1050);
         _sqlite3RefillIndex(i149, i188, -1);
         i188 = get32(i188 + 32 | 0) | 0;
        } while ((i188 | 0) != 0);
       }
       i151 = get32(i151 | 0) | 0;
      } while ((i151 | 0) != 0);
      i1049 = get32(i181 | 0) | 0;
     }
     i183 = i183 + 1 | 0;
     if ((i183 | 0) >= (i1049 | 0)) break; else {
      i155 = i1049;
      i161 = i161 + 16 | 0;
     }
    }
   }
   break;
  }
 case 308:
  {
   i161 = i150 + -1 | 0;
   i155 = i1 + 12 + (i161 << 4) + 4 | 0;
   i183 = i1 + 12 + (i150 << 4) + 4 | 0;
   i181 = get32(i149 | 0) | 0;
   do if (!(get8(i181 + 124 >> 0 | 0) | 0)) {
    i151 = _sqlite3Init(i181, i149 + 8 | 0) | 0;
    if (!i151) {
     i1051 = get32(i149 | 0) | 0;
     break;
    } else {
     set32(i149 + 4 | 0, i151 | 0);
     i151 = i149 + 64 | 0;
     set32(i151 | 0, (get32(i151 | 0) | 0) + 1 | 0);
     break L1;
    }
   } else i1051 = i181; while (0);
   if (!(get32(i183 | 0) | 0)) {
    i151 = get32(i155 | 0) | 0;
    i188 = get32(i1 + 12 + (i161 << 4) + 8 | 0) | 0;
    if (!i151) break L1;
    i174 = i188 + 1 | 0;
    L7297 : do if (!i1051) {
     if (i188 >>> 0 > 2147483390) break L1;
     if (!(get32(50 * 4 | 0) | 0)) {
      i1052 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i174) | 0;
      i157 = 5139;
      break;
     }
     i176 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i174) | 0;
     set32(35 * 4 | 0, i174 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i174 | 0)) set32(45 * 4 | 0, i174 | 0);
     i160 = get32(6 * 4 | 0) | 0;
     do if (i160) {
      i211 = get32(30 * 4 | 0) | 0;
      i163 = ((i211 | 0) < 0) << 31 >> 31;
      i213 = 16;
      i152 = _i64Subtract(get32(i213 | 0) | 0, get32(i213 + 4 | 0) | 0, i176 | 0, ((i176 | 0) < 0) << 31 >> 31 | 0) | 0;
      i213 = tempRet0;
      if ((i163 | 0) < (i213 | 0) | (i163 | 0) == (i213 | 0) & i211 >>> 0 < i152 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i152 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i160 & 15](i152, i211, i163, i176);
       set32(6 * 4 | 0, i160 | 0);
       set32(7 * 4 | 0, i152 | 0);
       break;
      }
     } while (0);
     i160 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i176) | 0;
     if (!i160) break L1;
     i152 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i160) | 0;
     i163 = (get32(30 * 4 | 0) | 0) + i152 | 0;
     set32(30 * 4 | 0, i163 | 0);
     if ((i163 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i163 | 0);
     i163 = get32(39 * 4 | 0) | 0;
     i152 = i163 + 1 | 0;
     set32(39 * 4 | 0, i152 | 0);
     if ((i163 | 0) < (get32(49 * 4 | 0) | 0)) i1053 = i160; else {
      set32(49 * 4 | 0, i152 | 0);
      i1053 = i160;
     }
    } else {
     i160 = i1051 + 30 | 0;
     if (get8(i160 >> 0 | 0) | 0) break L1;
     do if (get8(i1051 + 234 >> 0 | 0) | 0) {
      if ((getU16(i1051 + 232 | 0) | 0) < (i174 | 0)) {
       i152 = i1051 + 248 | 0;
       set32(i152 | 0, (get32(i152 | 0) | 0) + 1 | 0);
       break;
      }
      i152 = i1051 + 256 | 0;
      i163 = get32(i152 | 0) | 0;
      if (!i163) {
       i211 = i1051 + 252 | 0;
       set32(i211 | 0, (get32(i211 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i152 | 0, get32(i163 | 0) | 0);
      i152 = i1051 + 236 | 0;
      i211 = get32(i152 | 0) | 0;
      i213 = i211 + 1 | 0;
      set32(i152 | 0, i213 | 0);
      i152 = i1051 + 244 | 0;
      set32(i152 | 0, (get32(i152 | 0) | 0) + 1 | 0);
      i152 = i1051 + 240 | 0;
      if ((i211 | 0) >= (get32(i152 | 0) | 0)) set32(i152 | 0, i213 | 0);
      i1052 = i163;
      i157 = 5139;
      break L7297;
     } while (0);
     do if (i188 >>> 0 <= 2147483390) {
      if (!(get32(50 * 4 | 0) | 0)) {
       i176 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i174) | 0;
       if (!i176) break; else {
        i1053 = i176;
        break L7297;
       }
      }
      i176 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i174) | 0;
      set32(35 * 4 | 0, i174 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i174 | 0)) set32(45 * 4 | 0, i174 | 0);
      i163 = get32(6 * 4 | 0) | 0;
      do if (i163) {
       i213 = get32(30 * 4 | 0) | 0;
       i152 = ((i213 | 0) < 0) << 31 >> 31;
       i211 = 16;
       i225 = _i64Subtract(get32(i211 | 0) | 0, get32(i211 + 4 | 0) | 0, i176 | 0, ((i176 | 0) < 0) << 31 >> 31 | 0) | 0;
       i211 = tempRet0;
       if ((i152 | 0) < (i211 | 0) | (i152 | 0) == (i211 | 0) & i213 >>> 0 < i225 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i225 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i163 & 15](i225, i213, i152, i176);
        set32(6 * 4 | 0, i163 | 0);
        set32(7 * 4 | 0, i225 | 0);
        break;
       }
      } while (0);
      i163 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i176) | 0;
      if (i163) {
       i225 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i163) | 0;
       i152 = (get32(30 * 4 | 0) | 0) + i225 | 0;
       set32(30 * 4 | 0, i152 | 0);
       if ((i152 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i152 | 0);
       i152 = get32(39 * 4 | 0) | 0;
       i225 = i152 + 1 | 0;
       set32(39 * 4 | 0, i225 | 0);
       if ((i152 | 0) < (get32(49 * 4 | 0) | 0)) {
        i1053 = i163;
        break L7297;
       }
       set32(49 * 4 | 0, i225 | 0);
       i1053 = i163;
       break L7297;
      }
     } while (0);
     set8(i160 >> 0 | 0, 1 | 0);
     break L1;
    } while (0);
    if ((i157 | 0) == 5139) if (!i1052) break L1; else i1053 = i1052;
    _memcpy(i1053 | 0, i151 | 0, i188 | 0) | 0;
    set8(i1053 + i188 >> 0 | 0, 0 | 0);
    i174 = get8(i1053 >> 0 | 0) | 0;
    switch (i174 << 24 >> 24 | 0) {
    case 96:
    case 34:
    case 39:
     {
      i1054 = i174;
      i157 = 5142;
      break;
     }
    case 91:
     {
      i1054 = 93;
      i157 = 5142;
      break;
     }
    default:
     {}
    }
    if ((i157 | 0) == 5142) {
     i174 = get8(i1053 + 1 >> 0 | 0) | 0;
     L7358 : do if (!(i174 << 24 >> 24)) i1055 = 0; else {
      i161 = i174;
      i163 = 1;
      i225 = 0;
      while (1) {
       if (i161 << 24 >> 24 == i1054 << 24 >> 24) {
        i152 = i163 + 1 | 0;
        if ((get8(i1053 + i152 >> 0 | 0) | 0) != i1054 << 24 >> 24) {
         i1055 = i225;
         break L7358;
        }
        set8(i1053 + i225 >> 0 | 0, i1054 | 0);
        i1056 = i152;
       } else {
        set8(i1053 + i225 >> 0 | 0, i161 | 0);
        i1056 = i163;
       }
       i152 = i225 + 1 | 0;
       i163 = i1056 + 1 | 0;
       i161 = get8(i1053 + i163 >> 0 | 0) | 0;
       if (!(i161 << 24 >> 24)) {
        i1055 = i152;
        break;
       } else i225 = i152;
      }
     } while (0);
     set8(i1053 + i1055 >> 0 | 0, 0 | 0);
    }
    i174 = get8((get32((get32(i181 + 8 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0) | 0;
    i188 = i1053;
    while (1) if (!(get8(i188 >> 0 | 0) | 0)) {
     i1057 = i188;
     break;
    } else i188 = i188 + 1 | 0;
    i188 = _sqlite3HashFind(i181 + 412 | 0, i1053, i1057 - i1053 & 1073741823) | 0;
    if ((i188 | 0) != 0 ? (i188 + (((i174 & 255) + -1 | 0) * 20 | 0) | 0) != 0 : 0) {
     i188 = get32(i149 | 0) | 0;
     i151 = i188 + 4 | 0;
     i225 = get32(i151 | 0) | 0;
     if ((i225 | 0) > 0) {
      i161 = i225;
      i225 = 0;
      i163 = get32(i188 + 8 | 0) | 0;
      while (1) {
       i188 = get32((get32(i163 + 12 | 0) | 0) + 16 | 0) | 0;
       if (!i188) i1058 = i161; else {
        i160 = i188;
        do {
         _reindexTable(i149, get32(i160 + 8 | 0) | 0, i1053);
         i160 = get32(i160 | 0) | 0;
        } while ((i160 | 0) != 0);
        i1058 = get32(i151 | 0) | 0;
       }
       i225 = i225 + 1 | 0;
       if ((i225 | 0) >= (i1058 | 0)) break; else {
        i161 = i1058;
        i163 = i163 + 16 | 0;
       }
      }
     }
     _sqlite3DbFree(i181, i1053);
     break L1;
    }
    _sqlite3DbFree(i181, i1053);
    i1059 = get32(i149 | 0) | 0;
   } else i1059 = i1051;
   if (!(get32(i1 + 12 + (i150 << 4) + 8 | 0) | 0)) {
    i163 = get32(i1059 + 116 | 0) | 0;
    if ((i163 | 0) < 0) break L1; else {
     i1060 = i163;
     i1061 = i155;
    }
   } else {
    if (get8(i1059 + 124 >> 0 | 0) | 0) {
     _sqlite3ErrorMsg(i149, 29318, i38);
     i163 = i149 + 64 | 0;
     set32(i163 | 0, (get32(i163 | 0) | 0) + 1 | 0);
     break L1;
    }
    i163 = _sqlite3FindDb(i1059, i155) | 0;
    if ((i163 | 0) < 0) {
     set32(i37 | 0, i155 | 0);
     _sqlite3ErrorMsg(i149, 29335, i37);
     i161 = i149 + 64 | 0;
     set32(i161 | 0, (get32(i161 | 0) | 0) + 1 | 0);
     break L1;
    } else {
     i1060 = i163;
     i1061 = i183;
    }
   }
   i163 = get32(i1061 | 0) | 0;
   i161 = get32(i1061 + 4 | 0) | 0;
   if (i163) {
    i225 = i161 + 1 | 0;
    L7395 : do if (!i181) {
     if (i161 >>> 0 > 2147483390) break L1;
     if (!(get32(50 * 4 | 0) | 0)) {
      i1062 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i225) | 0;
      i157 = 5207;
      break;
     }
     i151 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i225) | 0;
     set32(35 * 4 | 0, i225 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i225 | 0)) set32(45 * 4 | 0, i225 | 0);
     i174 = get32(6 * 4 | 0) | 0;
     do if (i174) {
      i160 = get32(30 * 4 | 0) | 0;
      i188 = ((i160 | 0) < 0) << 31 >> 31;
      i152 = 16;
      i213 = _i64Subtract(get32(i152 | 0) | 0, get32(i152 + 4 | 0) | 0, i151 | 0, ((i151 | 0) < 0) << 31 >> 31 | 0) | 0;
      i152 = tempRet0;
      if ((i188 | 0) < (i152 | 0) | (i188 | 0) == (i152 | 0) & i160 >>> 0 < i213 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i213 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i174 & 15](i213, i160, i188, i151);
       set32(6 * 4 | 0, i174 | 0);
       set32(7 * 4 | 0, i213 | 0);
       break;
      }
     } while (0);
     i174 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i151) | 0;
     if (!i174) break L1;
     i213 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i174) | 0;
     i188 = (get32(30 * 4 | 0) | 0) + i213 | 0;
     set32(30 * 4 | 0, i188 | 0);
     if ((i188 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i188 | 0);
     i188 = get32(39 * 4 | 0) | 0;
     i213 = i188 + 1 | 0;
     set32(39 * 4 | 0, i213 | 0);
     if ((i188 | 0) < (get32(49 * 4 | 0) | 0)) i1063 = i174; else {
      set32(49 * 4 | 0, i213 | 0);
      i1063 = i174;
     }
    } else {
     i174 = i181 + 30 | 0;
     if (get8(i174 >> 0 | 0) | 0) break L1;
     do if (get8(i181 + 234 >> 0 | 0) | 0) {
      if ((getU16(i181 + 232 | 0) | 0) < (i225 | 0)) {
       i213 = i181 + 248 | 0;
       set32(i213 | 0, (get32(i213 | 0) | 0) + 1 | 0);
       break;
      }
      i213 = i181 + 256 | 0;
      i188 = get32(i213 | 0) | 0;
      if (!i188) {
       i160 = i181 + 252 | 0;
       set32(i160 | 0, (get32(i160 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i213 | 0, get32(i188 | 0) | 0);
      i213 = i181 + 236 | 0;
      i160 = get32(i213 | 0) | 0;
      i152 = i160 + 1 | 0;
      set32(i213 | 0, i152 | 0);
      i213 = i181 + 244 | 0;
      set32(i213 | 0, (get32(i213 | 0) | 0) + 1 | 0);
      i213 = i181 + 240 | 0;
      if ((i160 | 0) >= (get32(i213 | 0) | 0)) set32(i213 | 0, i152 | 0);
      i1062 = i188;
      i157 = 5207;
      break L7395;
     } while (0);
     do if (i161 >>> 0 <= 2147483390) {
      if (!(get32(50 * 4 | 0) | 0)) {
       i151 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i225) | 0;
       if (!i151) break; else {
        i1063 = i151;
        break L7395;
       }
      }
      i151 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i225) | 0;
      set32(35 * 4 | 0, i225 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i225 | 0)) set32(45 * 4 | 0, i225 | 0);
      i188 = get32(6 * 4 | 0) | 0;
      do if (i188) {
       i152 = get32(30 * 4 | 0) | 0;
       i213 = ((i152 | 0) < 0) << 31 >> 31;
       i160 = 16;
       i211 = _i64Subtract(get32(i160 | 0) | 0, get32(i160 + 4 | 0) | 0, i151 | 0, ((i151 | 0) < 0) << 31 >> 31 | 0) | 0;
       i160 = tempRet0;
       if ((i213 | 0) < (i160 | 0) | (i213 | 0) == (i160 | 0) & i152 >>> 0 < i211 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i211 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i188 & 15](i211, i152, i213, i151);
        set32(6 * 4 | 0, i188 | 0);
        set32(7 * 4 | 0, i211 | 0);
        break;
       }
      } while (0);
      i188 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i151) | 0;
      if (i188) {
       i176 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i188) | 0;
       i211 = (get32(30 * 4 | 0) | 0) + i176 | 0;
       set32(30 * 4 | 0, i211 | 0);
       if ((i211 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i211 | 0);
       i211 = get32(39 * 4 | 0) | 0;
       i176 = i211 + 1 | 0;
       set32(39 * 4 | 0, i176 | 0);
       if ((i211 | 0) < (get32(49 * 4 | 0) | 0)) {
        i1063 = i188;
        break L7395;
       }
       set32(49 * 4 | 0, i176 | 0);
       i1063 = i188;
       break L7395;
      }
     } while (0);
     set8(i174 >> 0 | 0, 1 | 0);
     break L1;
    } while (0);
    if ((i157 | 0) == 5207) if (!i1062) break L1; else i1063 = i1062;
    _memcpy(i1063 | 0, i163 | 0, i161 | 0) | 0;
    set8(i1063 + i161 >> 0 | 0, 0 | 0);
    i225 = get8(i1063 >> 0 | 0) | 0;
    switch (i225 << 24 >> 24 | 0) {
    case 96:
    case 34:
    case 39:
     {
      i1064 = i225;
      i157 = 5210;
      break;
     }
    case 91:
     {
      i1064 = 93;
      i157 = 5210;
      break;
     }
    default:
     {}
    }
    if ((i157 | 0) == 5210) {
     i225 = get8(i1063 + 1 >> 0 | 0) | 0;
     L7456 : do if (!(i225 << 24 >> 24)) i1065 = 0; else {
      i183 = i225;
      i155 = 1;
      i188 = 0;
      while (1) {
       if (i183 << 24 >> 24 == i1064 << 24 >> 24) {
        i176 = i155 + 1 | 0;
        if ((get8(i1063 + i176 >> 0 | 0) | 0) != i1064 << 24 >> 24) {
         i1065 = i188;
         break L7456;
        }
        set8(i1063 + i188 >> 0 | 0, i1064 | 0);
        i1066 = i176;
       } else {
        set8(i1063 + i188 >> 0 | 0, i183 | 0);
        i1066 = i155;
       }
       i176 = i188 + 1 | 0;
       i155 = i1066 + 1 | 0;
       i183 = get8(i1063 + i155 >> 0 | 0) | 0;
       if (!(i183 << 24 >> 24)) {
        i1065 = i176;
        break;
       } else i188 = i176;
      }
     } while (0);
     set8(i1063 + i1065 >> 0 | 0, 0 | 0);
    }
    i225 = get32(i181 + 8 | 0) | 0;
    i161 = get32(i225 + (i1060 << 4) | 0) | 0;
    i163 = i1063;
    while (1) if (!(get8(i163 >> 0 | 0) | 0)) {
     i1067 = i163;
     break;
    } else i163 = i163 + 1 | 0;
    i163 = i1063;
    i188 = i1067 - i163 & 1073741823;
    i183 = get32(i181 + 4 | 0) | 0;
    i155 = (i183 | 0) > 0;
    if (i155) {
     i174 = (i161 | 0) == 0;
     i176 = 0;
     i211 = 0;
     while (1) {
      i213 = (i176 | 0) < 2 ^ i176;
      if (!i174) {
       i152 = get32(i225 + (i213 << 4) | 0) | 0;
       i160 = get8(i161 >> 0 | 0) | 0;
       L7475 : do if (!(i160 << 24 >> 24)) {
        i1068 = 0;
        i1069 = i152;
       } else {
        i159 = i160;
        i173 = i161;
        i158 = i152;
        while (1) {
         if ((get8(16286 + (i159 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i158 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
          i1068 = i159;
          i1069 = i158;
          break L7475;
         }
         i173 = i173 + 1 | 0;
         i210 = i158 + 1 | 0;
         i159 = get8(i173 >> 0 | 0) | 0;
         if (!(i159 << 24 >> 24)) {
          i1068 = 0;
          i1069 = i210;
          break;
         } else i158 = i210;
        }
       } while (0);
       if ((get8(16286 + (i1068 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i1069 >> 0 | 0) | 0) >> 0 | 0) | 0)) i1070 = i211; else i157 = 5226;
      } else i157 = 5226;
      if ((i157 | 0) == 5226) {
       i157 = 0;
       i152 = _sqlite3HashFind((get32(i225 + (i213 << 4) + 12 | 0) | 0) + 8 | 0, i1063, i188) | 0;
       if (!i152) i1070 = i152; else {
        i1071 = i152;
        break;
       }
      }
      i176 = i176 + 1 | 0;
      if ((i176 | 0) >= (i183 | 0)) {
       i1071 = i1070;
       break;
      } else i211 = i1070;
     }
     if (i1071) {
      i211 = get32(i1071 + 16 | 0) | 0;
      if (i211) {
       i176 = i1071 + 68 | 0;
       i188 = i211;
       do {
        i211 = get32(i149 | 0) | 0;
        i174 = get32(i176 | 0) | 0;
        L7489 : do if (i174) {
         i152 = get32(i211 + 4 | 0) | 0;
         if ((i152 | 0) > 0) {
          i160 = get32(i211 + 8 | 0) | 0;
          i158 = 0;
          while (1) {
           if ((get32(i160 + (i158 << 4) + 12 | 0) | 0) == (i174 | 0)) {
            i1072 = i158;
            break L7489;
           }
           i159 = i158 + 1 | 0;
           if ((i159 | 0) < (i152 | 0)) i158 = i159; else {
            i1072 = i159;
            break;
           }
          }
         } else i1072 = 0;
        } else i1072 = -1e6; while (0);
        _sqlite3BeginWriteOperation(i149, 0, i1072);
        _sqlite3RefillIndex(i149, i188, -1);
        i188 = get32(i188 + 32 | 0) | 0;
       } while ((i188 | 0) != 0);
      }
      _sqlite3DbFree(i181, i1063);
      break L1;
     } else i1073 = i1063;
    } else i1073 = i1063;
    while (1) if (!(get8(i1073 >> 0 | 0) | 0)) {
     i1074 = i1073;
     break;
    } else i1073 = i1073 + 1 | 0;
    i188 = i1074 - i163 & 1073741823;
    if (i155) {
     i176 = (i161 | 0) == 0;
     i174 = 0;
     i211 = 0;
     while (1) {
      i213 = (i174 | 0) < 2 ^ i174;
      i158 = get32(i225 + (i213 << 4) + 12 | 0) | 0;
      if (!i176) {
       i152 = get32(i225 + (i213 << 4) | 0) | 0;
       i213 = get8(i161 >> 0 | 0) | 0;
       L7506 : do if (!(i213 << 24 >> 24)) {
        i1075 = 0;
        i1076 = i152;
       } else {
        i160 = i213;
        i159 = i161;
        i173 = i152;
        while (1) {
         if ((get8(16286 + (i160 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i173 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
          i1075 = i160;
          i1076 = i173;
          break L7506;
         }
         i159 = i159 + 1 | 0;
         i151 = i173 + 1 | 0;
         i160 = get8(i159 >> 0 | 0) | 0;
         if (!(i160 << 24 >> 24)) {
          i1075 = 0;
          i1076 = i151;
          break;
         } else i173 = i151;
        }
       } while (0);
       if ((get8(16286 + (i1075 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i1076 >> 0 | 0) | 0) >> 0 | 0) | 0)) i1077 = i211; else i157 = 5247;
      } else i157 = 5247;
      if ((i157 | 0) == 5247) {
       i157 = 0;
       i152 = _sqlite3HashFind(i158 + 24 | 0, i1063, i188) | 0;
       if (!i152) i1077 = i152; else {
        i1078 = i152;
        break;
       }
      }
      i174 = i174 + 1 | 0;
      if ((i174 | 0) >= (i183 | 0)) {
       i1078 = i1077;
       break;
      } else i211 = i1077;
     }
     _sqlite3DbFree(i181, i1063);
     if (i1078) {
      _sqlite3BeginWriteOperation(i149, 0, i1060);
      _sqlite3RefillIndex(i149, i1078, -1);
      break L1;
     }
    } else _sqlite3DbFree(i181, i1063);
    _sqlite3ErrorMsg(i149, 36174, i36);
   }
   break;
  }
 case 309:
  {
   i211 = get32(i149 | 0) | 0;
   if ((get8(i211 + 124 >> 0 | 0) | 0) == 0 ? (i183 = _sqlite3Init(i211, i149 + 8 | 0) | 0, (i183 | 0) != 0) : 0) {
    set32(i149 + 4 | 0, i183 | 0);
    i183 = i149 + 64 | 0;
    set32(i183 | 0, (get32(i183 | 0) | 0) + 1 | 0);
    break L1;
   }
   i183 = i211 + 4 | 0;
   i211 = get32(i183 | 0) | 0;
   if ((i211 | 0) > 0) {
    i174 = i211;
    i211 = 0;
    while (1) {
     if ((i211 | 0) == 1) i1079 = i174; else {
      _analyzeDatabase(i149, i211);
      i1079 = get32(i183 | 0) | 0;
     }
     i211 = i211 + 1 | 0;
     if ((i211 | 0) >= (i1079 | 0)) break; else i174 = i1079;
    }
   }
   break;
  }
 case 310:
  {
   i174 = i150 + -1 | 0;
   i211 = i1 + 12 + (i174 << 4) + 4 | 0;
   i183 = i1 + 12 + (i150 << 4) + 4 | 0;
   i181 = get32(i149 | 0) | 0;
   if ((get8(i181 + 124 >> 0 | 0) | 0) == 0 ? (i188 = _sqlite3Init(i181, i149 + 8 | 0) | 0, (i188 | 0) != 0) : 0) {
    set32(i149 + 4 | 0, i188 | 0);
    i188 = i149 + 64 | 0;
    set32(i188 | 0, (get32(i188 | 0) | 0) + 1 | 0);
    break L1;
   }
   i188 = i1 + 12 + (i150 << 4) + 8 | 0;
   if (!(get32(i188 | 0) | 0)) {
    i161 = _sqlite3FindDb(i181, i211) | 0;
    if ((i161 | 0) > -1) {
     _analyzeDatabase(i149, i161);
     break L1;
    }
    i161 = get32(i211 | 0) | 0;
    i225 = get32(i1 + 12 + (i174 << 4) + 8 | 0) | 0;
    if (!i161) break L1;
    i174 = i225 + 1 | 0;
    L7539 : do if (!i181) {
     if (i225 >>> 0 > 2147483390) break L1;
     if (!(get32(50 * 4 | 0) | 0)) {
      i1080 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i174) | 0;
      i157 = 5305;
      break;
     }
     i176 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i174) | 0;
     set32(35 * 4 | 0, i174 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i174 | 0)) set32(45 * 4 | 0, i174 | 0);
     i155 = get32(6 * 4 | 0) | 0;
     do if (i155) {
      i163 = get32(30 * 4 | 0) | 0;
      i152 = ((i163 | 0) < 0) << 31 >> 31;
      i213 = 16;
      i173 = _i64Subtract(get32(i213 | 0) | 0, get32(i213 + 4 | 0) | 0, i176 | 0, ((i176 | 0) < 0) << 31 >> 31 | 0) | 0;
      i213 = tempRet0;
      if ((i152 | 0) < (i213 | 0) | (i152 | 0) == (i213 | 0) & i163 >>> 0 < i173 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i173 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i155 & 15](i173, i163, i152, i176);
       set32(6 * 4 | 0, i155 | 0);
       set32(7 * 4 | 0, i173 | 0);
       break;
      }
     } while (0);
     i155 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i176) | 0;
     if (!i155) break L1;
     i158 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i155) | 0;
     i173 = (get32(30 * 4 | 0) | 0) + i158 | 0;
     set32(30 * 4 | 0, i173 | 0);
     if ((i173 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i173 | 0);
     i173 = get32(39 * 4 | 0) | 0;
     i158 = i173 + 1 | 0;
     set32(39 * 4 | 0, i158 | 0);
     if ((i173 | 0) < (get32(49 * 4 | 0) | 0)) i1081 = i155; else {
      set32(49 * 4 | 0, i158 | 0);
      i1081 = i155;
     }
    } else {
     i155 = i181 + 30 | 0;
     if (get8(i155 >> 0 | 0) | 0) break L1;
     do if (get8(i181 + 234 >> 0 | 0) | 0) {
      if ((getU16(i181 + 232 | 0) | 0) < (i174 | 0)) {
       i158 = i181 + 248 | 0;
       set32(i158 | 0, (get32(i158 | 0) | 0) + 1 | 0);
       break;
      }
      i158 = i181 + 256 | 0;
      i173 = get32(i158 | 0) | 0;
      if (!i173) {
       i152 = i181 + 252 | 0;
       set32(i152 | 0, (get32(i152 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i158 | 0, get32(i173 | 0) | 0);
      i158 = i181 + 236 | 0;
      i152 = get32(i158 | 0) | 0;
      i163 = i152 + 1 | 0;
      set32(i158 | 0, i163 | 0);
      i158 = i181 + 244 | 0;
      set32(i158 | 0, (get32(i158 | 0) | 0) + 1 | 0);
      i158 = i181 + 240 | 0;
      if ((i152 | 0) >= (get32(i158 | 0) | 0)) set32(i158 | 0, i163 | 0);
      i1080 = i173;
      i157 = 5305;
      break L7539;
     } while (0);
     do if (i225 >>> 0 <= 2147483390) {
      if (!(get32(50 * 4 | 0) | 0)) {
       i176 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i174) | 0;
       if (!i176) break; else {
        i1081 = i176;
        break L7539;
       }
      }
      i176 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i174) | 0;
      set32(35 * 4 | 0, i174 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i174 | 0)) set32(45 * 4 | 0, i174 | 0);
      i173 = get32(6 * 4 | 0) | 0;
      do if (i173) {
       i163 = get32(30 * 4 | 0) | 0;
       i158 = ((i163 | 0) < 0) << 31 >> 31;
       i152 = 16;
       i213 = _i64Subtract(get32(i152 | 0) | 0, get32(i152 + 4 | 0) | 0, i176 | 0, ((i176 | 0) < 0) << 31 >> 31 | 0) | 0;
       i152 = tempRet0;
       if ((i158 | 0) < (i152 | 0) | (i158 | 0) == (i152 | 0) & i163 >>> 0 < i213 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i213 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i173 & 15](i213, i163, i158, i176);
        set32(6 * 4 | 0, i173 | 0);
        set32(7 * 4 | 0, i213 | 0);
        break;
       }
      } while (0);
      i173 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i176) | 0;
      if (i173) {
       i213 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i173) | 0;
       i158 = (get32(30 * 4 | 0) | 0) + i213 | 0;
       set32(30 * 4 | 0, i158 | 0);
       if ((i158 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i158 | 0);
       i158 = get32(39 * 4 | 0) | 0;
       i213 = i158 + 1 | 0;
       set32(39 * 4 | 0, i213 | 0);
       if ((i158 | 0) < (get32(49 * 4 | 0) | 0)) {
        i1081 = i173;
        break L7539;
       }
       set32(49 * 4 | 0, i213 | 0);
       i1081 = i173;
       break L7539;
      }
     } while (0);
     set8(i155 >> 0 | 0, 1 | 0);
     break L1;
    } while (0);
    if ((i157 | 0) == 5305) if (!i1080) break L1; else i1081 = i1080;
    _memcpy(i1081 | 0, i161 | 0, i225 | 0) | 0;
    set8(i1081 + i225 >> 0 | 0, 0 | 0);
    i174 = get8(i1081 >> 0 | 0) | 0;
    switch (i174 << 24 >> 24 | 0) {
    case 96:
    case 34:
    case 39:
     {
      i1082 = i174;
      i157 = 5308;
      break;
     }
    case 91:
     {
      i1082 = 93;
      i157 = 5308;
      break;
     }
    default:
     i1083 = i1081;
    }
    if ((i157 | 0) == 5308) {
     i174 = get8(i1081 + 1 >> 0 | 0) | 0;
     L7600 : do if (!(i174 << 24 >> 24)) i1084 = 0; else {
      i173 = i174;
      i213 = 1;
      i158 = 0;
      while (1) {
       if (i173 << 24 >> 24 == i1082 << 24 >> 24) {
        i163 = i213 + 1 | 0;
        if ((get8(i1081 + i163 >> 0 | 0) | 0) != i1082 << 24 >> 24) {
         i1084 = i158;
         break L7600;
        }
        set8(i1081 + i158 >> 0 | 0, i1082 | 0);
        i1085 = i163;
       } else {
        set8(i1081 + i158 >> 0 | 0, i173 | 0);
        i1085 = i213;
       }
       i163 = i158 + 1 | 0;
       i213 = i1085 + 1 | 0;
       i173 = get8(i1081 + i213 >> 0 | 0) | 0;
       if (!(i173 << 24 >> 24)) {
        i1084 = i163;
        break;
       } else i158 = i163;
      }
     } while (0);
     set8(i1081 + i1084 >> 0 | 0, 0 | 0);
     i1083 = i1081;
    }
    while (1) if (!(get8(i1083 >> 0 | 0) | 0)) {
     i1086 = i1083;
     break;
    } else i1083 = i1083 + 1 | 0;
    i174 = i1081;
    i225 = i1086 - i174 & 1073741823;
    i161 = get32(i181 + 4 | 0) | 0;
    L7612 : do if ((i161 | 0) > 0) {
     i158 = get32(i181 + 8 | 0) | 0;
     i173 = 0;
     while (1) {
      i213 = _sqlite3HashFind((get32(i158 + (((i173 | 0) < 2 ^ i173) << 4) + 12 | 0) | 0) + 24 | 0, i1081, i225) | 0;
      if (i213) {
       i1087 = i213;
       break;
      }
      i173 = i173 + 1 | 0;
      if ((i173 | 0) >= (i161 | 0)) {
       i157 = 5321;
       break L7612;
      }
     }
     _analyzeTable(i149, get32(i1087 + 16 | 0) | 0, i1087);
    } else i157 = 5321; while (0);
    L7618 : do if ((i157 | 0) == 5321) {
     i161 = get32(i149 | 0) | 0;
     do if (!(get8(i161 + 124 >> 0 | 0) | 0)) {
      i225 = _sqlite3Init(i161, i149 + 8 | 0) | 0;
      if (!i225) {
       i1088 = get32(i149 | 0) | 0;
       break;
      } else {
       set32(i149 + 4 | 0, i225 | 0);
       i225 = i149 + 64 | 0;
       set32(i225 | 0, (get32(i225 | 0) | 0) + 1 | 0);
       break L7618;
      }
     } else i1088 = i161; while (0);
     i161 = i1081;
     while (1) if (!(get8(i161 >> 0 | 0) | 0)) {
      i1089 = i161;
      break;
     } else i161 = i161 + 1 | 0;
     i161 = i1089 - i174 & 1073741823;
     i225 = get32(i1088 + 4 | 0) | 0;
     L7629 : do if ((i225 | 0) > 0) {
      i173 = get32(i1088 + 8 | 0) | 0;
      i158 = 0;
      while (1) {
       i213 = _sqlite3HashFind((get32(i173 + (((i158 | 0) < 2 ^ i158) << 4) + 12 | 0) | 0) + 8 | 0, i1081, i161) | 0;
       if (i213) {
        i1090 = i213;
        break;
       }
       i158 = i158 + 1 | 0;
       if ((i158 | 0) >= (i225 | 0)) break L7629;
      }
      _analyzeTable(i149, i1090, 0);
      break L7618;
     } while (0);
     set32(i35 | 0, 25690 | 0);
     set32(i35 + 4 | 0, i1081 | 0);
     _sqlite3ErrorMsg(i149, 25714, i35);
     set8(i149 + 18 >> 0 | 0, 1 | 0);
    } while (0);
    _sqlite3DbFree(i181, i1081);
    break L1;
   }
   i174 = get32(i149 | 0) | 0;
   if (get8(i174 + 124 >> 0 | 0) | 0) {
    _sqlite3ErrorMsg(i149, 29318, i34);
    i225 = i149 + 64 | 0;
    set32(i225 | 0, (get32(i225 | 0) | 0) + 1 | 0);
    break L1;
   }
   i225 = _sqlite3FindDb(i174, i211) | 0;
   if ((i225 | 0) < 0) {
    set32(i33 | 0, i211 | 0);
    _sqlite3ErrorMsg(i149, 29335, i33);
    i174 = i149 + 64 | 0;
    set32(i174 | 0, (get32(i174 | 0) | 0) + 1 | 0);
    break L1;
   }
   i174 = i181 + 8 | 0;
   i161 = get32((get32(i174 | 0) | 0) + (i225 << 4) | 0) | 0;
   i225 = get32(i183 | 0) | 0;
   i158 = get32(i188 | 0) | 0;
   if ((i225 | 0) != 0 ? (i173 = i158 + 1 | 0, i176 = i181 + 30 | 0, (get8(i176 >> 0 | 0) | 0) == 0) : 0) {
    do if (!(get8(i181 + 234 >> 0 | 0) | 0)) i157 = 5347; else {
     if ((getU16(i181 + 232 | 0) | 0) < (i173 | 0)) {
      i213 = i181 + 248 | 0;
      set32(i213 | 0, (get32(i213 | 0) | 0) + 1 | 0);
      i157 = 5347;
      break;
     }
     i213 = i181 + 256 | 0;
     i155 = get32(i213 | 0) | 0;
     if (!i155) {
      i163 = i181 + 252 | 0;
      set32(i163 | 0, (get32(i163 | 0) | 0) + 1 | 0);
      i157 = 5347;
      break;
     }
     set32(i213 | 0, get32(i155 | 0) | 0);
     i213 = i181 + 236 | 0;
     i163 = get32(i213 | 0) | 0;
     i152 = i163 + 1 | 0;
     set32(i213 | 0, i152 | 0);
     i213 = i181 + 244 | 0;
     set32(i213 | 0, (get32(i213 | 0) | 0) + 1 | 0);
     i213 = i181 + 240 | 0;
     if ((i163 | 0) >= (get32(i213 | 0) | 0)) set32(i213 | 0, i152 | 0);
     i1091 = i155;
    } while (0);
    L7657 : do if ((i157 | 0) == 5347) {
     do if (i158 >>> 0 <= 2147483390) {
      if (!(get32(50 * 4 | 0) | 0)) {
       i188 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i173) | 0;
       if (!i188) break; else {
        i1091 = i188;
        break L7657;
       }
      }
      i188 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i173) | 0;
      set32(35 * 4 | 0, i173 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i173 | 0)) set32(45 * 4 | 0, i173 | 0);
      i183 = get32(6 * 4 | 0) | 0;
      do if (i183) {
       i211 = get32(30 * 4 | 0) | 0;
       i155 = ((i211 | 0) < 0) << 31 >> 31;
       i152 = 16;
       i213 = _i64Subtract(get32(i152 | 0) | 0, get32(i152 + 4 | 0) | 0, i188 | 0, ((i188 | 0) < 0) << 31 >> 31 | 0) | 0;
       i152 = tempRet0;
       if ((i155 | 0) < (i152 | 0) | (i155 | 0) == (i152 | 0) & i211 >>> 0 < i213 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i213 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i183 & 15](i213, i211, i155, i188);
        set32(6 * 4 | 0, i183 | 0);
        set32(7 * 4 | 0, i213 | 0);
        break;
       }
      } while (0);
      i183 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i188) | 0;
      if (i183) {
       i213 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i183) | 0;
       i155 = (get32(30 * 4 | 0) | 0) + i213 | 0;
       set32(30 * 4 | 0, i155 | 0);
       if ((i155 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i155 | 0);
       i155 = get32(39 * 4 | 0) | 0;
       i213 = i155 + 1 | 0;
       set32(39 * 4 | 0, i213 | 0);
       if ((i155 | 0) < (get32(49 * 4 | 0) | 0)) {
        i1091 = i183;
        break L7657;
       }
       set32(49 * 4 | 0, i213 | 0);
       i1091 = i183;
       break L7657;
      }
     } while (0);
     set8(i176 >> 0 | 0, 1 | 0);
     break L1;
    } while (0);
    _memcpy(i1091 | 0, i225 | 0, i158 | 0) | 0;
    set8(i1091 + i158 >> 0 | 0, 0 | 0);
    i176 = get8(i1091 >> 0 | 0) | 0;
    switch (i176 << 24 >> 24 | 0) {
    case 96:
    case 34:
    case 39:
     {
      i1092 = i176;
      i157 = 5365;
      break;
     }
    case 91:
     {
      i1092 = 93;
      i157 = 5365;
      break;
     }
    default:
     i1093 = i1091;
    }
    if ((i157 | 0) == 5365) {
     i176 = get8(i1091 + 1 >> 0 | 0) | 0;
     L7684 : do if (!(i176 << 24 >> 24)) i1094 = 0; else {
      i173 = i176;
      i183 = 1;
      i213 = 0;
      while (1) {
       if (i173 << 24 >> 24 == i1092 << 24 >> 24) {
        i155 = i183 + 1 | 0;
        if ((get8(i1091 + i155 >> 0 | 0) | 0) != i1092 << 24 >> 24) {
         i1094 = i213;
         break L7684;
        }
        set8(i1091 + i213 >> 0 | 0, i1092 | 0);
        i1095 = i155;
       } else {
        set8(i1091 + i213 >> 0 | 0, i173 | 0);
        i1095 = i183;
       }
       i155 = i213 + 1 | 0;
       i183 = i1095 + 1 | 0;
       i173 = get8(i1091 + i183 >> 0 | 0) | 0;
       if (!(i173 << 24 >> 24)) {
        i1094 = i155;
        break;
       } else i213 = i155;
      }
     } while (0);
     set8(i1091 + i1094 >> 0 | 0, 0 | 0);
     i1093 = i1091;
    }
    while (1) if (!(get8(i1093 >> 0 | 0) | 0)) {
     i1096 = i1093;
     break;
    } else i1093 = i1093 + 1 | 0;
    i176 = i1091;
    i158 = i1096 - i176 & 1073741823;
    i225 = get32(i181 + 4 | 0) | 0;
    if ((i225 | 0) > 0) {
     i213 = get32(i174 | 0) | 0;
     i173 = (i161 | 0) == 0;
     i183 = 0;
     i155 = 0;
     while (1) {
      i211 = (i183 | 0) < 2 ^ i183;
      i152 = get32(i213 + (i211 << 4) + 12 | 0) | 0;
      if (!i173) {
       i163 = get32(i213 + (i211 << 4) | 0) | 0;
       i211 = get8(i161 >> 0 | 0) | 0;
       L7702 : do if (!(i211 << 24 >> 24)) {
        i1097 = 0;
        i1098 = i163;
       } else {
        i160 = i211;
        i159 = i161;
        i151 = i163;
        while (1) {
         if ((get8(16286 + (i160 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i151 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
          i1097 = i160;
          i1098 = i151;
          break L7702;
         }
         i159 = i159 + 1 | 0;
         i210 = i151 + 1 | 0;
         i160 = get8(i159 >> 0 | 0) | 0;
         if (!(i160 << 24 >> 24)) {
          i1097 = 0;
          i1098 = i210;
          break;
         } else i151 = i210;
        }
       } while (0);
       if ((get8(16286 + (i1097 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i1098 >> 0 | 0) | 0) >> 0 | 0) | 0)) i1099 = i155; else i157 = 5380;
      } else i157 = 5380;
      if ((i157 | 0) == 5380) {
       i157 = 0;
       i163 = _sqlite3HashFind(i152 + 24 | 0, i1091, i158) | 0;
       if (!i163) i1099 = i163; else {
        i1100 = i163;
        break;
       }
      }
      i183 = i183 + 1 | 0;
      if ((i183 | 0) >= (i225 | 0)) {
       i1100 = i1099;
       break;
      } else i155 = i1099;
     }
     if (i1100) _analyzeTable(i149, get32(i1100 + 16 | 0) | 0, i1100); else i157 = 5384;
    } else i157 = 5384;
    L7712 : do if ((i157 | 0) == 5384) {
     i155 = get32(i149 | 0) | 0;
     do if (!(get8(i155 + 124 >> 0 | 0) | 0)) {
      i225 = _sqlite3Init(i155, i149 + 8 | 0) | 0;
      if (!i225) {
       i1101 = get32(i149 | 0) | 0;
       break;
      } else {
       set32(i149 + 4 | 0, i225 | 0);
       i225 = i149 + 64 | 0;
       set32(i225 | 0, (get32(i225 | 0) | 0) + 1 | 0);
       break L7712;
      }
     } else i1101 = i155; while (0);
     i155 = i1091;
     while (1) if (!(get8(i155 >> 0 | 0) | 0)) {
      i1102 = i155;
      break;
     } else i155 = i155 + 1 | 0;
     i155 = i1102 - i176 & 1073741823;
     i152 = get32(i1101 + 4 | 0) | 0;
     if ((i152 | 0) > 0) {
      i225 = (i161 | 0) == 0;
      i183 = get32(i1101 + 8 | 0) | 0;
      i158 = 0;
      i213 = 0;
      while (1) {
       i173 = (i158 | 0) < 2 ^ i158;
       if (!i225) {
        i174 = get32(i183 + (i173 << 4) | 0) | 0;
        i163 = get8(i161 >> 0 | 0) | 0;
        L7729 : do if (!(i163 << 24 >> 24)) {
         i1103 = 0;
         i1104 = i174;
        } else {
         i211 = i163;
         i151 = i161;
         i160 = i174;
         while (1) {
          if ((get8(16286 + (i211 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i160 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
           i1103 = i211;
           i1104 = i160;
           break L7729;
          }
          i151 = i151 + 1 | 0;
          i159 = i160 + 1 | 0;
          i211 = get8(i151 >> 0 | 0) | 0;
          if (!(i211 << 24 >> 24)) {
           i1103 = 0;
           i1104 = i159;
           break;
          } else i160 = i159;
         }
        } while (0);
        if ((get8(16286 + (i1103 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i1104 >> 0 | 0) | 0) >> 0 | 0) | 0)) i1105 = i213; else i157 = 5397;
       } else i157 = 5397;
       if ((i157 | 0) == 5397) {
        i157 = 0;
        i174 = _sqlite3HashFind((get32(i183 + (i173 << 4) + 12 | 0) | 0) + 8 | 0, i1091, i155) | 0;
        if (!i174) i1105 = i174; else {
         i1106 = i174;
         break;
        }
       }
       i158 = i158 + 1 | 0;
       if ((i158 | 0) >= (i152 | 0)) {
        i1106 = i1105;
        break;
       } else i213 = i1105;
      }
      if (i1106) {
       _analyzeTable(i149, i1106, 0);
       break;
      }
     }
     if (!i161) {
      set32(i31 | 0, 25690 | 0);
      set32(i31 + 4 | 0, i1091 | 0);
      _sqlite3ErrorMsg(i149, 25714, i31);
     } else {
      set32(i32 | 0, 25690 | 0);
      set32(i32 + 4 | 0, i161 | 0);
      set32(i32 + 8 | 0, i1091 | 0);
      _sqlite3ErrorMsg(i149, 25704, i32);
     }
     set8(i149 + 18 >> 0 | 0, 1 | 0);
    } while (0);
    _sqlite3DbFree(i181, i1091);
   }
   break;
  }
 case 311:
  {
   i161 = get32(i1 + 12 + (i150 + -3 << 4) + 4 | 0) | 0;
   i176 = i1 + 12 + (i150 << 4) + 4 | 0;
   i213 = get32(i149 | 0) | 0;
   i152 = i213 + 12 | 0;
   i158 = get32(i152 | 0) | 0;
   i155 = i213 + 30 | 0;
   L7746 : do if (!(get8(i155 >> 0 | 0) | 0)) {
    i183 = get32(i161 + 12 | 0) | 0;
    i225 = get32(i161 + 8 | 0) | 0;
    do if (!(get8(i213 + 124 >> 0 | 0) | 0)) {
     i174 = _sqlite3Init(i213, i149 + 8 | 0) | 0;
     if (!i174) {
      i1107 = get32(i149 | 0) | 0;
      break;
     } else {
      set32(i149 + 4 | 0, i174 | 0);
      i174 = i149 + 64 | 0;
      set32(i174 | 0, (get32(i174 | 0) | 0) + 1 | 0);
      i1108 = 0;
      break L7746;
     }
    } else i1107 = i213; while (0);
    if (!i183) i1109 = 0; else {
     i174 = i183;
     while (1) if (!(get8(i174 >> 0 | 0) | 0)) {
      i1110 = i174;
      break;
     } else i174 = i174 + 1 | 0;
     i1109 = i1110 - i183 & 1073741823;
    }
    i174 = get32(i1107 + 4 | 0) | 0;
    if ((i174 | 0) > 0) {
     i163 = (i225 | 0) == 0;
     i160 = get32(i1107 + 8 | 0) | 0;
     i211 = 0;
     i151 = 0;
     while (1) {
      i159 = (i211 | 0) < 2 ^ i211;
      if (!i163) {
       i188 = get32(i160 + (i159 << 4) | 0) | 0;
       i210 = get8(i225 >> 0 | 0) | 0;
       L7765 : do if (!(i210 << 24 >> 24)) {
        i1111 = 0;
        i1112 = i188;
       } else {
        i888 = i210;
        i192 = i225;
        i227 = i188;
        while (1) {
         if ((get8(16286 + (i888 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i227 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
          i1111 = i888;
          i1112 = i227;
          break L7765;
         }
         i192 = i192 + 1 | 0;
         i177 = i227 + 1 | 0;
         i888 = get8(i192 >> 0 | 0) | 0;
         if (!(i888 << 24 >> 24)) {
          i1111 = 0;
          i1112 = i177;
          break;
         } else i227 = i177;
        }
       } while (0);
       if ((get8(16286 + (i1111 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i1112 >> 0 | 0) | 0) >> 0 | 0) | 0)) i1113 = i151; else i157 = 5421;
      } else i157 = 5421;
      if ((i157 | 0) == 5421) {
       i157 = 0;
       i188 = _sqlite3HashFind((get32(i160 + (i159 << 4) + 12 | 0) | 0) + 8 | 0, i183, i1109) | 0;
       if (!i188) i1113 = i188; else {
        i1114 = i188;
        break;
       }
      }
      i211 = i211 + 1 | 0;
      if ((i211 | 0) >= (i174 | 0)) {
       i1114 = i1113;
       break;
      } else i151 = i1113;
     }
     if (i1114) {
      i151 = i1114 + 68 | 0;
      i211 = get32(i151 | 0) | 0;
      L7775 : do if (!i211) i1115 = -1e6; else {
       i163 = 0;
       while (1) {
        if ((get32(i160 + (i163 << 4) + 12 | 0) | 0) == (i211 | 0)) {
         i1115 = i163;
         break L7775;
        }
        i188 = i163 + 1 | 0;
        if ((i188 | 0) < (i174 | 0)) i163 = i188; else {
         i1115 = i188;
         break;
        }
       }
      } while (0);
      i174 = i213 + 8 | 0;
      i211 = get32((get32(i174 | 0) | 0) + (i1115 << 4) | 0) | 0;
      set32(i152 | 0, get32(i152 | 0) | 268435456 | 0);
      i160 = get32(i176 | 0) | 0;
      i163 = get32(i1 + 12 + (i150 << 4) + 8 | 0) | 0;
      if (!i160) {
       i1108 = 0;
       break;
      }
      i159 = i163 + 1 | 0;
      if (get8(i155 >> 0 | 0) | 0) {
       i1108 = 0;
       break;
      }
      do if (!(get8(i213 + 234 >> 0 | 0) | 0)) i157 = 5440; else {
       if ((getU16(i213 + 232 | 0) | 0) < (i159 | 0)) {
        i188 = i213 + 248 | 0;
        set32(i188 | 0, (get32(i188 | 0) | 0) + 1 | 0);
        i157 = 5440;
        break;
       }
       i188 = i213 + 256 | 0;
       i210 = get32(i188 | 0) | 0;
       if (!i210) {
        i173 = i213 + 252 | 0;
        set32(i173 | 0, (get32(i173 | 0) | 0) + 1 | 0);
        i157 = 5440;
        break;
       }
       set32(i188 | 0, get32(i210 | 0) | 0);
       i188 = i213 + 236 | 0;
       i173 = get32(i188 | 0) | 0;
       i227 = i173 + 1 | 0;
       set32(i188 | 0, i227 | 0);
       i188 = i213 + 244 | 0;
       set32(i188 | 0, (get32(i188 | 0) | 0) + 1 | 0);
       i188 = i213 + 240 | 0;
       if ((i173 | 0) >= (get32(i188 | 0) | 0)) set32(i188 | 0, i227 | 0);
       i1116 = i210;
      } while (0);
      L7793 : do if ((i157 | 0) == 5440) {
       do if (i163 >>> 0 <= 2147483390) {
        if (!(get32(50 * 4 | 0) | 0)) {
         i210 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i159) | 0;
         if (!i210) break; else {
          i1116 = i210;
          break L7793;
         }
        }
        i210 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i159) | 0;
        set32(35 * 4 | 0, i159 | 0);
        if ((get32(45 * 4 | 0) | 0) < (i159 | 0)) set32(45 * 4 | 0, i159 | 0);
        i227 = get32(6 * 4 | 0) | 0;
        do if (i227) {
         i188 = get32(30 * 4 | 0) | 0;
         i173 = ((i188 | 0) < 0) << 31 >> 31;
         i888 = 16;
         i192 = _i64Subtract(get32(i888 | 0) | 0, get32(i888 + 4 | 0) | 0, i210 | 0, ((i210 | 0) < 0) << 31 >> 31 | 0) | 0;
         i888 = tempRet0;
         if ((i173 | 0) < (i888 | 0) | (i173 | 0) == (i888 | 0) & i188 >>> 0 < i192 >>> 0) {
          set32(11 * 4 | 0, 0 | 0);
          break;
         } else {
          set32(11 * 4 | 0, 1 | 0);
          i192 = get32(7 * 4 | 0) | 0;
          set32(6 * 4 | 0, 0 | 0);
          FUNCTION_TABLE_viiii[i227 & 15](i192, i188, i173, i210);
          set32(6 * 4 | 0, i227 | 0);
          set32(7 * 4 | 0, i192 | 0);
          break;
         }
        } while (0);
        i227 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i210) | 0;
        if (i227) {
         i192 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i227) | 0;
         i173 = (get32(30 * 4 | 0) | 0) + i192 | 0;
         set32(30 * 4 | 0, i173 | 0);
         if ((i173 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i173 | 0);
         i173 = get32(39 * 4 | 0) | 0;
         i192 = i173 + 1 | 0;
         set32(39 * 4 | 0, i192 | 0);
         if ((i173 | 0) < (get32(49 * 4 | 0) | 0)) {
          i1116 = i227;
          break L7793;
         }
         set32(49 * 4 | 0, i192 | 0);
         i1116 = i227;
         break L7793;
        }
       } while (0);
       set8(i155 >> 0 | 0, 1 | 0);
       i1108 = 0;
       break L7746;
      } while (0);
      _memcpy(i1116 | 0, i160 | 0, i163 | 0) | 0;
      set8(i1116 + i163 >> 0 | 0, 0 | 0);
      i159 = get8(i1116 >> 0 | 0) | 0;
      switch (i159 << 24 >> 24 | 0) {
      case 96:
      case 34:
      case 39:
       {
        i1117 = i159;
        i157 = 5458;
        break;
       }
      case 91:
       {
        i1117 = 93;
        i157 = 5458;
        break;
       }
      default:
       i1118 = i1116;
      }
      if ((i157 | 0) == 5458) {
       i159 = get8(i1116 + 1 >> 0 | 0) | 0;
       L7820 : do if (!(i159 << 24 >> 24)) i1119 = 0; else {
        i227 = i159;
        i192 = 1;
        i173 = 0;
        while (1) {
         if (i227 << 24 >> 24 == i1117 << 24 >> 24) {
          i188 = i192 + 1 | 0;
          if ((get8(i1116 + i188 >> 0 | 0) | 0) != i1117 << 24 >> 24) {
           i1119 = i173;
           break L7820;
          }
          set8(i1116 + i173 >> 0 | 0, i1117 | 0);
          i1120 = i188;
         } else {
          set8(i1116 + i173 >> 0 | 0, i227 | 0);
          i1120 = i192;
         }
         i188 = i173 + 1 | 0;
         i192 = i1120 + 1 | 0;
         i227 = get8(i1116 + i192 >> 0 | 0) | 0;
         if (!(i227 << 24 >> 24)) {
          i1119 = i188;
          break;
         } else i173 = i188;
        }
       } while (0);
       set8(i1116 + i1119 >> 0 | 0, 0 | 0);
       i1118 = i1116;
      }
      while (1) if (!(get8(i1118 >> 0 | 0) | 0)) {
       i1121 = i1118;
       break;
      } else i1118 = i1118 + 1 | 0;
      i159 = i1116;
      i163 = i1121 - i159 & 1073741823;
      i160 = i213 + 4 | 0;
      i173 = get32(i160 | 0) | 0;
      i227 = (i173 | 0) > 0;
      if (i227) {
       i192 = (i211 | 0) == 0;
       i188 = get32(i174 | 0) | 0;
       i888 = 0;
       i177 = 0;
       while (1) {
        i162 = (i888 | 0) < 2 ^ i888;
        if (!i192) {
         i175 = get32(i188 + (i162 << 4) | 0) | 0;
         i889 = get8(i211 >> 0 | 0) | 0;
         L7838 : do if (!(i889 << 24 >> 24)) {
          i1122 = 0;
          i1123 = i175;
         } else {
          i154 = i889;
          i189 = i211;
          i979 = i175;
          while (1) {
           if ((get8(16286 + (i154 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i979 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
            i1122 = i154;
            i1123 = i979;
            break L7838;
           }
           i189 = i189 + 1 | 0;
           i178 = i979 + 1 | 0;
           i154 = get8(i189 >> 0 | 0) | 0;
           if (!(i154 << 24 >> 24)) {
            i1122 = 0;
            i1123 = i178;
            break;
           } else i979 = i178;
          }
         } while (0);
         if ((get8(16286 + (i1122 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i1123 >> 0 | 0) | 0) >> 0 | 0) | 0)) i1124 = i177; else i157 = 5473;
        } else i157 = 5473;
        if ((i157 | 0) == 5473) {
         i157 = 0;
         i175 = _sqlite3HashFind((get32(i188 + (i162 << 4) + 12 | 0) | 0) + 8 | 0, i1116, i163) | 0;
         if (!i175) i1124 = i175; else {
          i1125 = i175;
          break;
         }
        }
        i888 = i888 + 1 | 0;
        if ((i888 | 0) >= (i173 | 0)) {
         i1125 = i1124;
         break;
        } else i177 = i1124;
       }
       if (!i1125) {
        i1126 = i1116;
        i157 = 5476;
       }
      } else {
       i1126 = i1116;
       i157 = 5476;
      }
      do if ((i157 | 0) == 5476) {
       while (1) {
        i157 = 0;
        if (!(get8(i1126 >> 0 | 0) | 0)) {
         i1127 = i1126;
         break;
        } else {
         i1126 = i1126 + 1 | 0;
         i157 = 5476;
        }
       }
       i162 = i1127 - i159 & 1073741823;
       if (i227) {
        i177 = get32(i174 | 0) | 0;
        i888 = (i211 | 0) == 0;
        i163 = 0;
        i188 = 0;
        while (1) {
         i192 = (i163 | 0) < 2 ^ i163;
         i175 = get32(i177 + (i192 << 4) + 12 | 0) | 0;
         if (!i888) {
          i889 = get32(i177 + (i192 << 4) | 0) | 0;
          i192 = get8(i211 >> 0 | 0) | 0;
          L7857 : do if (!(i192 << 24 >> 24)) {
           i1128 = 0;
           i1129 = i889;
          } else {
           i979 = i192;
           i154 = i211;
           i189 = i889;
           while (1) {
            if ((get8(16286 + (i979 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i189 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
             i1128 = i979;
             i1129 = i189;
             break L7857;
            }
            i154 = i154 + 1 | 0;
            i210 = i189 + 1 | 0;
            i979 = get8(i154 >> 0 | 0) | 0;
            if (!(i979 << 24 >> 24)) {
             i1128 = 0;
             i1129 = i210;
             break;
            } else i189 = i210;
           }
          } while (0);
          if ((get8(16286 + (i1128 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i1129 >> 0 | 0) | 0) >> 0 | 0) | 0)) i1130 = i188; else i157 = 5484;
         } else i157 = 5484;
         if ((i157 | 0) == 5484) {
          i157 = 0;
          i889 = _sqlite3HashFind(i175 + 24 | 0, i1116, i162) | 0;
          if (!i889) i1130 = i889; else {
           i1131 = i889;
           break;
          }
         }
         i163 = i163 + 1 | 0;
         if ((i163 | 0) >= (i173 | 0)) {
          i1131 = i1130;
          break;
         } else i188 = i1130;
        }
        if (i1131) break;
       }
       if (_isSystemTable(i149, get32(i1114 | 0) | 0) | 0) {
        i1108 = i1116;
        break L7746;
       }
       if (_sqlite3CheckObjectName(i149, i1116) | 0) {
        i1108 = i1116;
        break L7746;
       }
       i188 = get32(i1114 | 0) | 0;
       if (get32(i1114 + 28 | 0) | 0) {
        set32(i27 | 0, i188 | 0);
        _sqlite3ErrorMsg(i149, 36357, i27);
        i1108 = i1116;
        break L7746;
       }
       i163 = get32(i149 | 0) | 0;
       L7872 : do if (!(get8(i163 + 124 >> 0 | 0) | 0)) {
        if (get8(i149 + 528 >> 0 | 0) | 0) break;
        i162 = get32(i163 + 268 | 0) | 0;
        if (!i162) break;
        switch (FUNCTION_TABLE_iiiiiii[i162 & 3](get32(i163 + 272 | 0) | 0, 26, i211, i188, 0, get32(i149 + 516 | 0) | 0) | 0) {
        case 2:
         {
          i1108 = i1116;
          break L7746;
          break;
         }
        case 0:
         {
          break L7872;
          break;
         }
        case 1:
         {
          _sqlite3ErrorMsg(i149, 26149, i26);
          set32(i149 + 4 | 0, 23 | 0);
          i1108 = i1116;
          break L7746;
          break;
         }
        default:
         {
          _sqlite3ErrorMsg(i149, 29155, i25);
          set32(i149 + 4 | 0, 1 | 0);
          i1108 = i1116;
          break L7746;
         }
        }
       } while (0);
       if (_sqlite3ViewGetColumnNames(i149, i1114) | 0) {
        i1108 = i1116;
        break L7746;
       }
       if (!(get8(i1114 + 34 >> 0 | 0) & 16)) i1132 = 0; else {
        i188 = get32(i1114 + 52 | 0) | 0;
        L7883 : do if (!i188) i1133 = 0; else {
         i163 = i188;
         while (1) {
          if ((get32(i163 | 0) | 0) == (i213 | 0)) {
           i1133 = i163;
           break L7883;
          }
          i163 = get32(i163 + 24 | 0) | 0;
          if (!i163) {
           i1133 = 0;
           break;
          }
         }
        } while (0);
        i1132 = (get32((get32(get32(i1133 + 8 | 0) | 0) | 0) + 76 | 0) | 0) == 0 ? 0 : i1133;
       }
       i188 = i149 + 12 | 0;
       i163 = get32(i188 | 0) | 0;
       do if (!i163) {
        i175 = get32(i149 | 0) | 0;
        L7891 : do if (!i175) {
         if (!(get32(50 * 4 | 0) | 0)) {
          i1134 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
          i157 = 5542;
          break;
         }
         i162 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
         set32(35 * 4 | 0, 192 | 0);
         if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
         i177 = get32(6 * 4 | 0) | 0;
         do if (i177) {
          i888 = get32(30 * 4 | 0) | 0;
          i889 = ((i888 | 0) < 0) << 31 >> 31;
          i192 = 16;
          i189 = _i64Subtract(get32(i192 | 0) | 0, get32(i192 + 4 | 0) | 0, i162 | 0, ((i162 | 0) < 0) << 31 >> 31 | 0) | 0;
          i192 = tempRet0;
          if ((i889 | 0) < (i192 | 0) | (i889 | 0) == (i192 | 0) & i888 >>> 0 < i189 >>> 0) {
           set32(11 * 4 | 0, 0 | 0);
           break;
          } else {
           set32(11 * 4 | 0, 1 | 0);
           i189 = get32(7 * 4 | 0) | 0;
           set32(6 * 4 | 0, 0 | 0);
           FUNCTION_TABLE_viiii[i177 & 15](i189, i888, i889, i162);
           set32(6 * 4 | 0, i177 | 0);
           set32(7 * 4 | 0, i189 | 0);
           break;
          }
         } while (0);
         i177 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i162) | 0;
         if (!i177) {
          i157 = 5552;
          break;
         }
         i189 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i177) | 0;
         i889 = (get32(30 * 4 | 0) | 0) + i189 | 0;
         set32(30 * 4 | 0, i889 | 0);
         if ((i889 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i889 | 0);
         i889 = get32(39 * 4 | 0) | 0;
         i189 = i889 + 1 | 0;
         set32(39 * 4 | 0, i189 | 0);
         if ((i889 | 0) < (get32(49 * 4 | 0) | 0)) {
          i1135 = i177;
          break;
         }
         set32(49 * 4 | 0, i189 | 0);
         i1135 = i177;
        } else {
         i177 = i175 + 30 | 0;
         if (get8(i177 >> 0 | 0) | 0) {
          i157 = 5552;
          break;
         }
         do if (get8(i175 + 234 >> 0 | 0) | 0) {
          if ((getU16(i175 + 232 | 0) | 0) < 192) {
           i189 = i175 + 248 | 0;
           set32(i189 | 0, (get32(i189 | 0) | 0) + 1 | 0);
           break;
          }
          i189 = i175 + 256 | 0;
          i889 = get32(i189 | 0) | 0;
          if (!i889) {
           i888 = i175 + 252 | 0;
           set32(i888 | 0, (get32(i888 | 0) | 0) + 1 | 0);
           break;
          }
          set32(i189 | 0, get32(i889 | 0) | 0);
          i189 = i175 + 236 | 0;
          i888 = get32(i189 | 0) | 0;
          i192 = i888 + 1 | 0;
          set32(i189 | 0, i192 | 0);
          i189 = i175 + 244 | 0;
          set32(i189 | 0, (get32(i189 | 0) | 0) + 1 | 0);
          i189 = i175 + 240 | 0;
          if ((i888 | 0) >= (get32(i189 | 0) | 0)) set32(i189 | 0, i192 | 0);
          i1134 = i889;
          i157 = 5542;
          break L7891;
         } while (0);
         do if (!(get32(50 * 4 | 0) | 0)) {
          i162 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
          if (i162) {
           i1135 = i162;
           break L7891;
          }
         } else {
          i162 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
          set32(35 * 4 | 0, 192 | 0);
          if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
          i889 = get32(6 * 4 | 0) | 0;
          do if (i889) {
           i192 = get32(30 * 4 | 0) | 0;
           i189 = ((i192 | 0) < 0) << 31 >> 31;
           i888 = 16;
           i979 = _i64Subtract(get32(i888 | 0) | 0, get32(i888 + 4 | 0) | 0, i162 | 0, ((i162 | 0) < 0) << 31 >> 31 | 0) | 0;
           i888 = tempRet0;
           if ((i189 | 0) < (i888 | 0) | (i189 | 0) == (i888 | 0) & i192 >>> 0 < i979 >>> 0) {
            set32(11 * 4 | 0, 0 | 0);
            break;
           } else {
            set32(11 * 4 | 0, 1 | 0);
            i979 = get32(7 * 4 | 0) | 0;
            set32(6 * 4 | 0, 0 | 0);
            FUNCTION_TABLE_viiii[i889 & 15](i979, i192, i189, i162);
            set32(6 * 4 | 0, i889 | 0);
            set32(7 * 4 | 0, i979 | 0);
            break;
           }
          } while (0);
          i889 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i162) | 0;
          if (!i889) break;
          i179 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i889) | 0;
          i979 = (get32(30 * 4 | 0) | 0) + i179 | 0;
          set32(30 * 4 | 0, i979 | 0);
          if ((i979 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i979 | 0);
          i979 = get32(39 * 4 | 0) | 0;
          i179 = i979 + 1 | 0;
          set32(39 * 4 | 0, i179 | 0);
          if ((i979 | 0) < (get32(49 * 4 | 0) | 0)) {
           i1135 = i889;
           break L7891;
          }
          set32(49 * 4 | 0, i179 | 0);
          i1135 = i889;
          break L7891;
         } while (0);
         set8(i177 >> 0 | 0, 1 | 0);
         i157 = 5552;
        } while (0);
        if ((i157 | 0) == 5542) if (!i1134) i157 = 5552; else i1135 = i1134;
        if ((i157 | 0) == 5552) {
         set32(i188 | 0, 0 | 0);
         i1108 = i1116;
         break L7746;
        }
        _memset(i1135 | 0, 0, 192) | 0;
        set32(i1135 | 0, i175 | 0);
        i889 = i175 + 136 | 0;
        i179 = get32(i889 | 0) | 0;
        if (i179) set32(i179 + 60 | 0, i1135 | 0);
        set32(i1135 + 64 | 0, i179 | 0);
        set32(i1135 + 60 | 0, 0 | 0);
        set32(i889 | 0, i1135 | 0);
        set32(i1135 + 52 | 0, 649915045 | 0);
        set32(i188 | 0, i1135 | 0);
        i889 = i1135 + 28 | 0;
        i179 = i1135 + 32 | 0;
        i979 = i1135 + 4 | 0;
        i189 = _sqlite3DbRealloc(i175, 0, 1020) | 0;
        if (!i189) {
         i1136 = i1135;
         break;
        }
        i192 = get32(i1135 | 0) | 0;
        do if (!i192) i157 = 5550; else {
         if ((get32(i192 + 260 | 0) | 0) >>> 0 > i189 >>> 0) {
          i157 = 5550;
          break;
         }
         if ((get32(i192 + 264 | 0) | 0) >>> 0 <= i189 >>> 0) {
          i157 = 5550;
          break;
         }
         i1137 = getU16(i192 + 232 | 0) | 0;
        } while (0);
        if ((i157 | 0) == 5550) i1137 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i189) | 0;
        set32(i179 | 0, (i1137 >>> 0) / 20 | 0 | 0);
        set32(i979 | 0, i189 | 0);
        set32(i889 | 0, (get32(i889 | 0) | 0) + 1 | 0);
        set8(i189 >> 0 | 0, -120 | 0);
        set8(i189 + 1 >> 0 | 0, 0 | 0);
        i168 = i189 + 3 | 0;
        i169 = i168 + 17 | 0;
        do {
         set8(i168 >> 0 | 0, 0 | 0);
         i168 = i168 + 1 | 0;
        } while ((i168 | 0) < (i169 | 0));
        i1136 = i1135;
       } else i1136 = i163; while (0);
       i163 = (i1132 | 0) != 0;
       _sqlite3BeginWriteOperation(i149, i163 & 1, i1115);
       i189 = i149 + 21 | 0;
       i889 = get8(i189 >> 0 | 0) | 0;
       if (!(i889 << 24 >> 24)) {
        i979 = i149 + 72 | 0;
        i179 = (get32(i979 | 0) | 0) + 1 | 0;
        set32(i979 | 0, i179 | 0);
        i1138 = i179;
       } else {
        i179 = i889 + -1 << 24 >> 24;
        set8(i189 >> 0 | 0, i179 | 0);
        i1138 = get32(i149 + 24 + ((i179 & 255) << 2) | 0) | 0;
       }
       i179 = get32(i188 | 0) | 0;
       i889 = (get32(get32((get32((get32(i149 | 0) | 0) + 8 | 0) | 0) + (i1115 << 4) + 12 | 0) | 0) | 0) + 1 | 0;
       i979 = i179 + 28 | 0;
       i192 = get32(i979 | 0) | 0;
       i175 = i179 + 32 | 0;
       i888 = get32(i175 | 0) | 0;
       do if ((i888 | 0) > (i192 | 0)) {
        i1139 = i192;
        i1140 = get32(i179 + 4 | 0) | 0;
        i1141 = i888;
        i157 = 5566;
       } else {
        i154 = i179 + 4 | 0;
        i210 = _sqlite3DbRealloc(get32(i179 | 0) | 0, get32(i154 | 0) | 0, (i888 | 0) == 0 ? 1020 : i888 * 40 | 0) | 0;
        if (!i210) {
         i1142 = get32(i175 | 0) | 0;
         i1143 = get32(i979 | 0) | 0;
         break;
        }
        i178 = get32(i179 | 0) | 0;
        do if (!i178) i157 = 5564; else {
         if ((get32(i178 + 260 | 0) | 0) >>> 0 > i210 >>> 0) {
          i157 = 5564;
          break;
         }
         if ((get32(i178 + 264 | 0) | 0) >>> 0 <= i210 >>> 0) {
          i157 = 5564;
          break;
         }
         i1144 = getU16(i178 + 232 | 0) | 0;
        } while (0);
        if ((i157 | 0) == 5564) i1144 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i210) | 0;
        i178 = (i1144 >>> 0) / 20 | 0;
        set32(i175 | 0, i178 | 0);
        set32(i154 | 0, i210 | 0);
        i1139 = get32(i979 | 0) | 0;
        i1140 = i210;
        i1141 = i178;
        i157 = 5566;
       } while (0);
       if ((i157 | 0) == 5566) {
        i888 = i1139 + 1 | 0;
        set32(i979 | 0, i888 | 0);
        set8(i1140 + (i192 * 20 | 0) >> 0 | 0, 7 | 0);
        set8(i1140 + (i192 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i1140 + (i192 * 20 | 0) + 4 | 0, i889 | 0);
        set32(i1140 + (i192 * 20 | 0) + 8 | 0, i1138 | 0);
        set32(i1140 + (i192 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i1140 + (i192 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i1140 + (i192 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i1142 = i1141;
        i1143 = i888;
       }
       do if ((i1142 | 0) > (i1143 | 0)) {
        i1145 = i1143;
        i1146 = get32(i179 + 4 | 0) | 0;
        i157 = 5576;
       } else {
        i888 = i179 + 4 | 0;
        i188 = _sqlite3DbRealloc(get32(i179 | 0) | 0, get32(i888 | 0) | 0, (i1142 | 0) == 0 ? 1020 : i1142 * 40 | 0) | 0;
        if (!i188) break;
        i178 = get32(i179 | 0) | 0;
        do if (!i178) i157 = 5574; else {
         if ((get32(i178 + 260 | 0) | 0) >>> 0 > i188 >>> 0) {
          i157 = 5574;
          break;
         }
         if ((get32(i178 + 264 | 0) | 0) >>> 0 <= i188 >>> 0) {
          i157 = 5574;
          break;
         }
         i1147 = getU16(i178 + 232 | 0) | 0;
        } while (0);
        if ((i157 | 0) == 5574) i1147 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i188) | 0;
        set32(i175 | 0, (i1147 >>> 0) / 20 | 0 | 0);
        set32(i888 | 0, i188 | 0);
        i1145 = get32(i979 | 0) | 0;
        i1146 = i188;
        i157 = 5576;
       } while (0);
       if ((i157 | 0) == 5576) {
        set32(i979 | 0, i1145 + 1 | 0);
        set8(i1146 + (i1143 * 20 | 0) >> 0 | 0, 36 | 0);
        set8(i1146 + (i1143 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i1146 + (i1143 * 20 | 0) + 4 | 0, i1115 | 0);
        set32(i1146 + (i1143 * 20 | 0) + 8 | 0, 1 | 0);
        set32(i1146 + (i1143 * 20 | 0) + 12 | 0, i1138 | 0);
        set32(i1146 + (i1143 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i1146 + (i1143 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       }
       L7993 : do if (i1138) {
        i175 = get8(i189 >> 0 | 0) | 0;
        if ((i175 & 255) >= 8) break;
        do if ((get32(i149 + 112 | 0) | 0) == (i1138 | 0)) i1148 = i149 + 96 | 0; else {
         if ((get32(i149 + 136 | 0) | 0) == (i1138 | 0)) {
          i1148 = i149 + 120 | 0;
          break;
         }
         if ((get32(i149 + 160 | 0) | 0) == (i1138 | 0)) {
          i1148 = i149 + 144 | 0;
          break;
         }
         if ((get32(i149 + 184 | 0) | 0) == (i1138 | 0)) {
          i1148 = i149 + 168 | 0;
          break;
         }
         if ((get32(i149 + 208 | 0) | 0) == (i1138 | 0)) {
          i1148 = i149 + 192 | 0;
          break;
         }
         if ((get32(i149 + 232 | 0) | 0) == (i1138 | 0)) {
          i1148 = i149 + 216 | 0;
          break;
         }
         if ((get32(i149 + 256 | 0) | 0) == (i1138 | 0)) {
          i1148 = i149 + 240 | 0;
          break;
         }
         if ((get32(i149 + 280 | 0) | 0) == (i1138 | 0)) {
          i1148 = i149 + 264 | 0;
          break;
         }
         if ((get32(i149 + 304 | 0) | 0) == (i1138 | 0)) {
          i1148 = i149 + 288 | 0;
          break;
         }
         if ((get32(i149 + 328 | 0) | 0) == (i1138 | 0)) {
          i1148 = i149 + 312 | 0;
          break;
         }
         set8(i189 >> 0 | 0, i175 + 1 << 24 >> 24 | 0);
         set32(i149 + 24 + ((i175 & 255) << 2) | 0, i1138 | 0);
         break L7993;
        } while (0);
        set8(i1148 + 8 >> 0 | 0, 1 | 0);
       } while (0);
       if (i163) {
        i189 = i149 + 72 | 0;
        i979 = (get32(i189 | 0) | 0) + 1 | 0;
        set32(i189 | 0, i979 | 0);
        i189 = i1136 + 28 | 0;
        i175 = get32(i189 | 0) | 0;
        i188 = i1136 + 32 | 0;
        i888 = get32(i188 | 0) | 0;
        do if ((i888 | 0) > (i175 | 0)) {
         i1149 = i175;
         i1150 = get32(i1136 + 4 | 0) | 0;
         i157 = 5601;
        } else {
         i179 = i1136 + 4 | 0;
         i192 = _sqlite3DbRealloc(get32(i1136 | 0) | 0, get32(i179 | 0) | 0, (i888 | 0) == 0 ? 1020 : i888 * 40 | 0) | 0;
         if (!i192) {
          i1151 = 1;
          break;
         }
         i889 = get32(i1136 | 0) | 0;
         do if (!i889) i157 = 5599; else {
          if ((get32(i889 + 260 | 0) | 0) >>> 0 > i192 >>> 0) {
           i157 = 5599;
           break;
          }
          if ((get32(i889 + 264 | 0) | 0) >>> 0 <= i192 >>> 0) {
           i157 = 5599;
           break;
          }
          i1152 = getU16(i889 + 232 | 0) | 0;
         } while (0);
         if ((i157 | 0) == 5599) i1152 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i192) | 0;
         set32(i188 | 0, (i1152 >>> 0) / 20 | 0 | 0);
         set32(i179 | 0, i192 | 0);
         i1149 = get32(i189 | 0) | 0;
         i1150 = i192;
         i157 = 5601;
        } while (0);
        if ((i157 | 0) == 5601) {
         set32(i189 | 0, i1149 + 1 | 0);
         set8(i1150 + (i175 * 20 | 0) >> 0 | 0, 94 | 0);
         set8(i1150 + (i175 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i1150 + (i175 * 20 | 0) + 4 | 0, 0 | 0);
         set32(i1150 + (i175 * 20 | 0) + 8 | 0, i979 | 0);
         set32(i1150 + (i175 * 20 | 0) + 12 | 0, 0 | 0);
         set32(i1150 + (i175 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i1150 + (i175 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         i1151 = i175;
        }
        _sqlite3VdbeChangeP4(i1136, i1151, i1116, 0);
        i888 = get32(i189 | 0) | 0;
        i163 = get32(i188 | 0) | 0;
        do if ((i163 | 0) > (i888 | 0)) {
         i889 = i1136 + 4 | 0;
         i1153 = i889;
         i1154 = i1136;
         i1155 = i888;
         i1156 = get32(i889 | 0) | 0;
         i157 = 5611;
        } else {
         i889 = i1136 + 4 | 0;
         i178 = _sqlite3DbRealloc(get32(i1136 | 0) | 0, get32(i889 | 0) | 0, (i163 | 0) == 0 ? 1020 : i163 * 40 | 0) | 0;
         if (!i178) {
          i1157 = 1;
          i1158 = i1136;
          i1159 = i889;
          break;
         }
         i210 = get32(i1136 | 0) | 0;
         do if (!i210) i157 = 5609; else {
          if ((get32(i210 + 260 | 0) | 0) >>> 0 > i178 >>> 0) {
           i157 = 5609;
           break;
          }
          if ((get32(i210 + 264 | 0) | 0) >>> 0 <= i178 >>> 0) {
           i157 = 5609;
           break;
          }
          i1160 = getU16(i210 + 232 | 0) | 0;
         } while (0);
         if ((i157 | 0) == 5609) i1160 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i178) | 0;
         set32(i188 | 0, (i1160 >>> 0) / 20 | 0 | 0);
         set32(i889 | 0, i178 | 0);
         i1153 = i889;
         i1154 = i1136;
         i1155 = get32(i189 | 0) | 0;
         i1156 = i178;
         i157 = 5611;
        } while (0);
        if ((i157 | 0) == 5611) {
         set32(i189 | 0, i1155 + 1 | 0);
         set8(i1156 + (i888 * 20 | 0) >> 0 | 0, -124 | 0);
         set8(i1156 + (i888 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i1156 + (i888 * 20 | 0) + 4 | 0, i979 | 0);
         set32(i1156 + (i888 * 20 | 0) + 8 | 0, 0 | 0);
         set32(i1156 + (i888 * 20 | 0) + 12 | 0, 0 | 0);
         set32(i1156 + (i888 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i1156 + (i888 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         i1157 = i888;
         i1158 = i1154;
         i1159 = i1153;
        }
        i188 = get32(i1158 | 0) | 0;
        i163 = get32(i1159 | 0) | 0;
        do if (i163) {
         if (get8(i188 + 30 >> 0 | 0) | 0) break;
         if ((i1157 | 0) < 0) i1161 = (get32(i189 | 0) | 0) + -1 | 0; else i1161 = i1157;
         i175 = i163 + (i1161 * 20 | 0) + 1 | 0;
         i210 = i163 + (i1161 * 20 | 0) + 16 | 0;
         _freeP4(i188, get8(i175 >> 0 | 0) | 0, get32(i210 | 0) | 0);
         set32(i210 | 0, i1132 | 0);
         set8(i175 >> 0 | 0, -10 | 0);
         i175 = i1132 + 12 | 0;
         set32(i175 | 0, (get32(i175 | 0) | 0) + 1 | 0);
        } while (0);
        i188 = get32(i149 + 424 | 0) | 0;
        set8(((i188 | 0) == 0 ? i149 : i188) + 345 >> 0 | 0, 1 | 0);
       }
       i188 = get32(i1114 | 0) | 0;
       i163 = get8(i188 >> 0 | 0) | 0;
       if ((i188 | 0) != (-1 | 0) & i163 << 24 >> 24 != 0) {
        i189 = i163;
        i888 = 0;
        i979 = i188;
        while (1) {
         i175 = i979 + 1 | 0;
         if ((i189 & 255) > 191) {
          i210 = i175;
          while (1) {
           i192 = get8(i210 >> 0 | 0) | 0;
           if ((i192 & -64) << 24 >> 24 == -128) i210 = i210 + 1 | 0; else {
            i1162 = i192;
            i1163 = i210;
            break;
           }
          }
         } else {
          i1162 = get8(i175 >> 0 | 0) | 0;
          i1163 = i175;
         }
         i210 = i888 + 1 | 0;
         if (i1162 << 24 >> 24 != 0 & (i1163 | 0) != (-1 | 0)) {
          i189 = i1162;
          i888 = i210;
          i979 = i1163;
         } else {
          i1164 = i210;
          break;
         }
        }
       } else i1164 = 0;
       do if (get32(i152 | 0) & 67108864) {
        if (!i188) i1165 = 0; else {
         if (!(i163 << 24 >> 24)) i1166 = i188; else {
          i979 = i188;
          while (1) {
           i888 = i979 + 1 | 0;
           if (!(get8(i888 >> 0 | 0) | 0)) {
            i1166 = i888;
            break;
           } else i979 = i888;
          }
         }
         i1165 = i1166 - i188 & 1073741823;
        }
        i979 = _sqlite3HashFind((get32(i151 | 0) | 0) + 56 | 0, i188, i1165) | 0;
        if (!i979) break;
        i175 = i979;
        i979 = 0;
        while (1) {
         i888 = get32(i149 | 0) | 0;
         i189 = get32(get32(i175 | 0) | 0) | 0;
         if (!i979) {
          set32(i24 | 0, i189 | 0);
          i1167 = _sqlite3MPrintf(i888, 37e3, i24) | 0;
         } else {
          set32(i23 | 0, i979 | 0);
          set32(i23 + 4 | 0, i189 | 0);
          i189 = _sqlite3MPrintf(i888, 37008, i23) | 0;
          _sqlite3DbFree(i888, i979);
          i1167 = i189;
         }
         i175 = get32(i175 + 12 | 0) | 0;
         if (!i175) {
          i1168 = i1167;
          break;
         } else i979 = i1167;
        }
        if (!i1168) break;
        set32(i22 | 0, i211 | 0);
        set32(i22 + 4 | 0, ((i1115 | 0) == 1 ? 21655 : 21674) | 0);
        set32(i22 + 8 | 0, i188 | 0);
        set32(i22 + 12 | 0, i1116 | 0);
        set32(i22 + 16 | 0, i1168 | 0);
        _sqlite3NestedParse(i149, 36384, i22);
        _sqlite3DbFree(i213, i1168);
       } while (0);
       set32(i21 | 0, i211 | 0);
       set32(i21 + 4 | 0, ((i1115 | 0) == 1 ? 21655 : 21674) | 0);
       set32(i21 + 8 | 0, i1116 | 0);
       set32(i21 + 12 | 0, i1116 | 0);
       set32(i21 + 16 | 0, i1116 | 0);
       set32(i21 + 20 | 0, i1116 | 0);
       set32(i21 + 24 | 0, i1116 | 0);
       set32(i21 + 28 | 0, i1164 | 0);
       set32(i21 + 32 | 0, i188 | 0);
       _sqlite3NestedParse(i149, 36453, i21);
       i163 = get32(i160 | 0) | 0;
       do if ((i163 | 0) > 0) {
        i979 = (i211 | 0) == 0;
        i175 = get32(i174 | 0) | 0;
        i189 = 0;
        i888 = 0;
        while (1) {
         i210 = (i189 | 0) < 2 ^ i189;
         if (!i979) {
          i178 = get32(i175 + (i210 << 4) | 0) | 0;
          i889 = get8(i211 >> 0 | 0) | 0;
          L8081 : do if (!(i889 << 24 >> 24)) {
           i1169 = 0;
           i1170 = i178;
          } else {
           i192 = i889;
           i179 = i211;
           i154 = i178;
           while (1) {
            if ((get8(16286 + (i192 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i154 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
             i1169 = i192;
             i1170 = i154;
             break L8081;
            }
            i179 = i179 + 1 | 0;
            i182 = i154 + 1 | 0;
            i192 = get8(i179 >> 0 | 0) | 0;
            if (!(i192 << 24 >> 24)) {
             i1169 = 0;
             i1170 = i182;
             break;
            } else i154 = i182;
           }
          } while (0);
          if ((get8(16286 + (i1169 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i1170 >> 0 | 0) | 0) >> 0 | 0) | 0)) i1171 = i888; else i157 = 5643;
         } else i157 = 5643;
         if ((i157 | 0) == 5643) {
          i157 = 0;
          i178 = _sqlite3HashFind((get32(i175 + (i210 << 4) + 12 | 0) | 0) + 8 | 0, 29302, 15) | 0;
          if (!i178) i1171 = i178; else {
           i1172 = i178;
           break;
          }
         }
         i189 = i189 + 1 | 0;
         if ((i189 | 0) >= (i163 | 0)) {
          i1172 = i1171;
          break;
         } else i888 = i1171;
        }
        if (!i1172) break;
        i888 = get32(i1114 | 0) | 0;
        set32(i20 | 0, i211 | 0);
        set32(i20 + 4 | 0, i1116 | 0);
        set32(i20 + 8 | 0, i888 | 0);
        _sqlite3NestedParse(i149, 36822, i20);
       } while (0);
       i163 = _whereTempTriggers(i149, i1114) | 0;
       if (i163) {
        set32(i19 | 0, i1116 | 0);
        set32(i19 + 4 | 0, i1116 | 0);
        set32(i19 + 8 | 0, i163 | 0);
        _sqlite3NestedParse(i149, 36880, i19);
        _sqlite3DbFree(i213, i163);
       }
       do if (get32(i152 | 0) & 67108864) {
        i163 = get32(i1114 | 0) | 0;
        if (!i163) i1173 = 0; else {
         i188 = i163;
         while (1) if (!(get8(i188 >> 0 | 0) | 0)) {
          i1174 = i188;
          break;
         } else i188 = i188 + 1 | 0;
         i1173 = i1174 - i163 & 1073741823;
        }
        i188 = _sqlite3HashFind((get32(i151 | 0) | 0) + 56 | 0, i163, i1173) | 0;
        if (!i188) break;
        i888 = i188;
        do {
         i188 = get32(i888 | 0) | 0;
         if ((i188 | 0) != (i1114 | 0)) _reloadTableSchema(i149, i188, get32(i188 | 0) | 0);
         i888 = get32(i888 + 12 | 0) | 0;
        } while ((i888 | 0) != 0);
       } while (0);
       _reloadTableSchema(i149, i1114, i1116);
       i1108 = i1116;
       break L7746;
      } while (0);
      set32(i28 | 0, i1116 | 0);
      _sqlite3ErrorMsg(i149, 36298, i28);
      i1108 = i1116;
      break;
     }
    }
    if (!i225) {
     set32(i29 | 0, 25690 | 0);
     set32(i29 + 4 | 0, i183 | 0);
     _sqlite3ErrorMsg(i149, 25714, i29);
    } else {
     set32(i30 | 0, 25690 | 0);
     set32(i30 + 4 | 0, i225 | 0);
     set32(i30 + 8 | 0, i183 | 0);
     _sqlite3ErrorMsg(i149, 25704, i30);
    }
    set8(i149 + 18 >> 0 | 0, 1 | 0);
    i1108 = 0;
   } else i1108 = 0; while (0);
   _sqlite3SrcListDelete(i213, i161);
   _sqlite3DbFree(i213, i1108);
   set32(i152 | 0, i158 | 0);
   break;
  }
 case 312:
  {
   i155 = i1 + 12 + (i150 << 4) + 4 | 0;
   i176 = get32(i149 | 0) | 0;
   L8117 : do if ((get32(i149 + 64 | 0) | 0) == 0 ? (i181 = i176 + 30 | 0, (get8(i181 >> 0 | 0) | 0) == 0) : 0) {
    i151 = get32(i149 + 508 | 0) | 0;
    i211 = get32(i151 + 68 | 0) | 0;
    L8120 : do if (i211) {
     i174 = get32(i176 + 4 | 0) | 0;
     if ((i174 | 0) > 0) {
      i160 = get32(i176 + 8 | 0) | 0;
      i173 = 0;
      while (1) {
       if ((get32(i160 + (i173 << 4) + 12 | 0) | 0) == (i211 | 0)) {
        i1175 = i173;
        break L8120;
       }
       i227 = i173 + 1 | 0;
       if ((i227 | 0) < (i174 | 0)) i173 = i227; else {
        i1175 = i227;
        break;
       }
      }
     } else i1175 = 0;
    } else i1175 = -1e6; while (0);
    i211 = get32(i176 + 8 | 0) | 0;
    i183 = get32(i211 + (i1175 << 4) | 0) | 0;
    i225 = (get32(i151 | 0) | 0) + 16 | 0;
    i173 = (get32(i151 + 8 | 0) | 0) + -1 | 0;
    i174 = get32(i151 + 12 | 0) | 0;
    i160 = get32(i174 + (i173 * 24 | 0) + 4 | 0) | 0;
    i227 = i225;
    while (1) if (!(get8(i227 >> 0 | 0) | 0)) {
     i1176 = i227;
     break;
    } else i227 = i227 + 1 | 0;
    i227 = i1176 - i225 & 1073741823;
    i159 = get32(i176 + 4 | 0) | 0;
    L8130 : do if ((i159 | 0) > 0) {
     i888 = (i183 | 0) == 0;
     i163 = 0;
     i188 = 0;
     while (1) {
      i189 = (i163 | 0) < 2 ^ i163;
      if (!i888) {
       i175 = get32(i211 + (i189 << 4) | 0) | 0;
       i979 = get8(i183 >> 0 | 0) | 0;
       L8136 : do if (!(i979 << 24 >> 24)) {
        i1177 = 0;
        i1178 = i175;
       } else {
        i178 = i979;
        i889 = i183;
        i177 = i175;
        while (1) {
         if ((get8(16286 + (i178 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i177 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
          i1177 = i178;
          i1178 = i177;
          break L8136;
         }
         i889 = i889 + 1 | 0;
         i154 = i177 + 1 | 0;
         i178 = get8(i889 >> 0 | 0) | 0;
         if (!(i178 << 24 >> 24)) {
          i1177 = 0;
          i1178 = i154;
          break;
         } else i177 = i154;
        }
       } while (0);
       if ((get8(16286 + (i1177 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i1178 >> 0 | 0) | 0) >> 0 | 0) | 0)) i1179 = i188; else i157 = 5676;
      } else i157 = 5676;
      if ((i157 | 0) == 5676) {
       i157 = 0;
       i175 = _sqlite3HashFind((get32(i211 + (i189 << 4) + 12 | 0) | 0) + 8 | 0, i225, i227) | 0;
       if (!i175) i1179 = i175; else {
        i1180 = i175;
        break L8130;
       }
      }
      i163 = i163 + 1 | 0;
      if ((i163 | 0) >= (i159 | 0)) {
       i1180 = i1179;
       break;
      } else i188 = i1179;
     }
    } else i1180 = 0; while (0);
    i159 = get32(i1180 | 0) | 0;
    L8145 : do if (((get8(i176 + 124 >> 0 | 0) | 0) == 0 ? (get8(i149 + 528 >> 0 | 0) | 0) == 0 : 0) ? (i227 = get32(i176 + 268 | 0) | 0, (i227 | 0) != 0) : 0) switch (FUNCTION_TABLE_iiiiiii[i227 & 3](get32(i176 + 272 | 0) | 0, 26, i183, i159, 0, get32(i149 + 516 | 0) | 0) | 0) {
    case 2:
     {
      break L8117;
      break;
     }
    case 0:
     {
      break L8145;
      break;
     }
    case 1:
     {
      _sqlite3ErrorMsg(i149, 26149, i18);
      set32(i149 + 4 | 0, 23 | 0);
      break L8117;
      break;
     }
    default:
     {
      _sqlite3ErrorMsg(i149, 29155, i17);
      set32(i149 + 4 | 0, 1 | 0);
      break L8117;
     }
    } while (0);
    if (!i160) i1181 = 0; else i1181 = (get8(i160 >> 0 | 0) | 0) == 98 ? 0 : i160;
    if (get8(i174 + (i173 * 24 | 0) + 21 >> 0 | 0) | 0) {
     _sqlite3ErrorMsg(i149, 37058, i16);
     break;
    }
    if (get32(i151 + 16 | 0) | 0) {
     _sqlite3ErrorMsg(i149, 37090, i15);
     break;
    }
    i159 = i176 + 12 | 0;
    if ((get32(i159 | 0) & 67108864 | 0) != 0 ? (i1181 | 0) != 0 & (get32(i151 + 36 | 0) | 0) != 0 : 0) {
     _sqlite3ErrorMsg(i149, 37117, i14);
     break;
    }
    i227 = (i1181 | 0) != 0;
    if (!(i227 | (get8(i174 + (i173 * 24 | 0) + 20 >> 0 | 0) | 0) == 0)) {
     _sqlite3ErrorMsg(i149, 37176, i13);
     break;
    }
    do if (i227) {
     if (_sqlite3ValueFromExpr(i176, i1181, 1, 98, i142) | 0) {
      set8(i181 >> 0 | 0, 1 | 0);
      break L8117;
     }
     i211 = get32(i142 | 0) | 0;
     if (!i211) {
      _sqlite3ErrorMsg(i149, 37229, i12);
      break L8117;
     } else {
      _sqlite3VdbeMemReleaseExternal(i211);
      i188 = i211 + 36 | 0;
      _sqlite3DbFree(get32(i211 | 0) | 0, get32(i188 | 0) | 0);
      set32(i211 + 4 | 0, 0 | 0);
      set32(i188 | 0, 0 | 0);
      set32(i211 + 32 | 0, 0 | 0);
      _sqlite3DbFree(get32(i211 | 0) | 0, i211);
      break;
     }
    } while (0);
    i173 = get32(i155 | 0) | 0;
    i174 = i1 + 12 + (i150 << 4) + 8 | 0;
    i160 = get32(i174 | 0) | 0;
    L8178 : do if ((i173 | 0) != 0 ? (i211 = i160 + 1 | 0, (get8(i181 >> 0 | 0) | 0) == 0) : 0) {
     do if (!(get8(i176 + 234 >> 0 | 0) | 0)) i157 = 5710; else {
      if ((getU16(i176 + 232 | 0) | 0) < (i211 | 0)) {
       i188 = i176 + 248 | 0;
       set32(i188 | 0, (get32(i188 | 0) | 0) + 1 | 0);
       i157 = 5710;
       break;
      }
      i188 = i176 + 256 | 0;
      i163 = get32(i188 | 0) | 0;
      if (!i163) {
       i888 = i176 + 252 | 0;
       set32(i888 | 0, (get32(i888 | 0) | 0) + 1 | 0);
       i157 = 5710;
       break;
      }
      set32(i188 | 0, get32(i163 | 0) | 0);
      i188 = i176 + 236 | 0;
      i888 = get32(i188 | 0) | 0;
      i175 = i888 + 1 | 0;
      set32(i188 | 0, i175 | 0);
      i188 = i176 + 244 | 0;
      set32(i188 | 0, (get32(i188 | 0) | 0) + 1 | 0);
      i188 = i176 + 240 | 0;
      if ((i888 | 0) >= (get32(i188 | 0) | 0)) set32(i188 | 0, i175 | 0);
      i1182 = i163;
     } while (0);
     L8192 : do if ((i157 | 0) == 5710) {
      do if (i160 >>> 0 <= 2147483390) {
       if (!(get32(50 * 4 | 0) | 0)) {
        i163 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i211) | 0;
        if (!i163) break; else {
         i1182 = i163;
         break L8192;
        }
       }
       i163 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i211) | 0;
       set32(35 * 4 | 0, i211 | 0);
       if ((get32(45 * 4 | 0) | 0) < (i211 | 0)) set32(45 * 4 | 0, i211 | 0);
       i175 = get32(6 * 4 | 0) | 0;
       do if (i175) {
        i188 = get32(30 * 4 | 0) | 0;
        i888 = ((i188 | 0) < 0) << 31 >> 31;
        i979 = 16;
        i177 = _i64Subtract(get32(i979 | 0) | 0, get32(i979 + 4 | 0) | 0, i163 | 0, ((i163 | 0) < 0) << 31 >> 31 | 0) | 0;
        i979 = tempRet0;
        if ((i888 | 0) < (i979 | 0) | (i888 | 0) == (i979 | 0) & i188 >>> 0 < i177 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i177 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i175 & 15](i177, i188, i888, i163);
         set32(6 * 4 | 0, i175 | 0);
         set32(7 * 4 | 0, i177 | 0);
         break;
        }
       } while (0);
       i175 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i163) | 0;
       if (!i175) break;
       i177 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i175) | 0;
       i888 = (get32(30 * 4 | 0) | 0) + i177 | 0;
       set32(30 * 4 | 0, i888 | 0);
       if ((i888 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i888 | 0);
       i888 = get32(39 * 4 | 0) | 0;
       i177 = i888 + 1 | 0;
       set32(39 * 4 | 0, i177 | 0);
       if ((i888 | 0) < (get32(49 * 4 | 0) | 0)) {
        i1182 = i175;
        break L8192;
       }
       set32(49 * 4 | 0, i177 | 0);
       i1182 = i175;
       break L8192;
      } while (0);
      set8(i181 >> 0 | 0, 1 | 0);
      break L8178;
     } while (0);
     _memcpy(i1182 | 0, i173 | 0, i160 | 0) | 0;
     set8(i1182 + i160 >> 0 | 0, 0 | 0);
     i211 = (get32(i174 | 0) | 0) + -1 | 0;
     i189 = get32(i159 | 0) | 0;
     if ((i211 | 0) > 0) {
      i175 = i1182 + i211 | 0;
      do {
       i211 = get8(i175 >> 0 | 0) | 0;
       if (i211 << 24 >> 24 != 59 ? (get8(16821 + (i211 & 255) >> 0 | 0) & 1) == 0 : 0) break;
       set8(i175 >> 0 | 0, 0 | 0);
       i175 = i175 + -1 | 0;
      } while (i175 >>> 0 > i1182 >>> 0);
      i1183 = get32(i159 | 0) | 0;
     } else i1183 = i189;
     set32(i159 | 0, i1183 | 268435456 | 0);
     i175 = get32(i151 + 48 | 0) | 0;
     set32(i11 | 0, i183 | 0);
     set32(i11 + 4 | 0, ((i1175 | 0) == 1 ? 21655 : 21674) | 0);
     set32(i11 + 8 | 0, i175 | 0);
     set32(i11 + 12 | 0, i1182 | 0);
     set32(i11 + 16 | 0, i175 + 1 | 0);
     set32(i11 + 20 | 0, i225 | 0);
     _sqlite3NestedParse(i149, 37275, i11);
     _sqlite3DbFree(i176, i1182);
     set32(i159 | 0, i189 | 0);
    } while (0);
    i159 = i227 ? 3 : 2;
    i225 = i149 + 12 | 0;
    i183 = get32(i225 | 0) | 0;
    do if (!i183) {
     i151 = get32(i149 | 0) | 0;
     L8227 : do if (i151) {
      i174 = i151 + 30 | 0;
      if (!(get8(i174 >> 0 | 0) | 0)) {
       do if (get8(i151 + 234 >> 0 | 0) | 0) {
        if ((getU16(i151 + 232 | 0) | 0) < 192) {
         i160 = i151 + 248 | 0;
         set32(i160 | 0, (get32(i160 | 0) | 0) + 1 | 0);
         break;
        }
        i160 = i151 + 256 | 0;
        i173 = get32(i160 | 0) | 0;
        if (!i173) {
         i181 = i151 + 252 | 0;
         set32(i181 | 0, (get32(i181 | 0) | 0) + 1 | 0);
         break;
        }
        set32(i160 | 0, get32(i173 | 0) | 0);
        i160 = i151 + 236 | 0;
        i181 = get32(i160 | 0) | 0;
        i175 = i181 + 1 | 0;
        set32(i160 | 0, i175 | 0);
        i160 = i151 + 244 | 0;
        set32(i160 | 0, (get32(i160 | 0) | 0) + 1 | 0);
        i160 = i151 + 240 | 0;
        if ((i181 | 0) >= (get32(i160 | 0) | 0)) set32(i160 | 0, i175 | 0);
        i1184 = i173;
        i157 = 5771;
        break L8227;
       } while (0);
       do if (!(get32(50 * 4 | 0) | 0)) {
        i173 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
        if (i173) {
         i1185 = i173;
         break L8227;
        }
       } else {
        i173 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
        set32(35 * 4 | 0, 192 | 0);
        if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
        i175 = get32(6 * 4 | 0) | 0;
        do if (i175) {
         i160 = get32(30 * 4 | 0) | 0;
         i181 = ((i160 | 0) < 0) << 31 >> 31;
         i211 = 16;
         i177 = _i64Subtract(get32(i211 | 0) | 0, get32(i211 + 4 | 0) | 0, i173 | 0, ((i173 | 0) < 0) << 31 >> 31 | 0) | 0;
         i211 = tempRet0;
         if ((i181 | 0) < (i211 | 0) | (i181 | 0) == (i211 | 0) & i160 >>> 0 < i177 >>> 0) {
          set32(11 * 4 | 0, 0 | 0);
          break;
         } else {
          set32(11 * 4 | 0, 1 | 0);
          i177 = get32(7 * 4 | 0) | 0;
          set32(6 * 4 | 0, 0 | 0);
          FUNCTION_TABLE_viiii[i175 & 15](i177, i160, i181, i173);
          set32(6 * 4 | 0, i175 | 0);
          set32(7 * 4 | 0, i177 | 0);
          break;
         }
        } while (0);
        i175 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i173) | 0;
        if (!i175) break;
        i163 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i175) | 0;
        i177 = (get32(30 * 4 | 0) | 0) + i163 | 0;
        set32(30 * 4 | 0, i177 | 0);
        if ((i177 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i177 | 0);
        i177 = get32(39 * 4 | 0) | 0;
        i163 = i177 + 1 | 0;
        set32(39 * 4 | 0, i163 | 0);
        if ((i177 | 0) < (get32(49 * 4 | 0) | 0)) {
         i1185 = i175;
         break L8227;
        }
        set32(49 * 4 | 0, i163 | 0);
        i1185 = i175;
        break L8227;
       } while (0);
       set8(i174 >> 0 | 0, 1 | 0);
       i157 = 5781;
      } else i157 = 5781;
     } else {
      if (!(get32(50 * 4 | 0) | 0)) {
       i1184 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
       i157 = 5771;
       break;
      }
      i175 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
      set32(35 * 4 | 0, 192 | 0);
      if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
      i163 = get32(6 * 4 | 0) | 0;
      do if (i163) {
       i177 = get32(30 * 4 | 0) | 0;
       i181 = ((i177 | 0) < 0) << 31 >> 31;
       i160 = 16;
       i211 = _i64Subtract(get32(i160 | 0) | 0, get32(i160 + 4 | 0) | 0, i175 | 0, ((i175 | 0) < 0) << 31 >> 31 | 0) | 0;
       i160 = tempRet0;
       if ((i181 | 0) < (i160 | 0) | (i181 | 0) == (i160 | 0) & i177 >>> 0 < i211 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i211 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i163 & 15](i211, i177, i181, i175);
        set32(6 * 4 | 0, i163 | 0);
        set32(7 * 4 | 0, i211 | 0);
        break;
       }
      } while (0);
      i163 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i175) | 0;
      if (!i163) {
       i157 = 5781;
       break;
      }
      i174 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i163) | 0;
      i211 = (get32(30 * 4 | 0) | 0) + i174 | 0;
      set32(30 * 4 | 0, i211 | 0);
      if ((i211 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i211 | 0);
      i211 = get32(39 * 4 | 0) | 0;
      i174 = i211 + 1 | 0;
      set32(39 * 4 | 0, i174 | 0);
      if ((i211 | 0) < (get32(49 * 4 | 0) | 0)) {
       i1185 = i163;
       break;
      }
      set32(49 * 4 | 0, i174 | 0);
      i1185 = i163;
     } while (0);
     if ((i157 | 0) == 5771) if (!i1184) i157 = 5781; else i1185 = i1184;
     if ((i157 | 0) == 5781) {
      set32(i225 | 0, 0 | 0);
      break;
     }
     _memset(i1185 | 0, 0, 192) | 0;
     set32(i1185 | 0, i151 | 0);
     i189 = i151 + 136 | 0;
     i163 = get32(i189 | 0) | 0;
     if (i163) set32(i163 + 60 | 0, i1185 | 0);
     set32(i1185 + 64 | 0, i163 | 0);
     set32(i1185 + 60 | 0, 0 | 0);
     set32(i189 | 0, i1185 | 0);
     set32(i1185 + 52 | 0, 649915045 | 0);
     set32(i225 | 0, i1185 | 0);
     i189 = i1185 + 28 | 0;
     i163 = i1185 + 32 | 0;
     i174 = i1185 + 4 | 0;
     i211 = _sqlite3DbRealloc(i151, 0, 1020) | 0;
     if (!i211) {
      i1186 = i1185;
      i157 = 5782;
     } else {
      i181 = get32(i1185 | 0) | 0;
      do if (!i181) i157 = 5779; else {
       if ((get32(i181 + 260 | 0) | 0) >>> 0 > i211 >>> 0) {
        i157 = 5779;
        break;
       }
       if ((get32(i181 + 264 | 0) | 0) >>> 0 <= i211 >>> 0) {
        i157 = 5779;
        break;
       }
       i1187 = getU16(i181 + 232 | 0) | 0;
      } while (0);
      if ((i157 | 0) == 5779) i1187 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i211) | 0;
      set32(i163 | 0, (i1187 >>> 0) / 20 | 0 | 0);
      set32(i174 | 0, i211 | 0);
      set32(i189 | 0, (get32(i189 | 0) | 0) + 1 | 0);
      set8(i211 >> 0 | 0, -120 | 0);
      set8(i211 + 1 >> 0 | 0, 0 | 0);
      i168 = i211 + 3 | 0;
      i169 = i168 + 17 | 0;
      do {
       set8(i168 >> 0 | 0, 0 | 0);
       i168 = i168 + 1 | 0;
      } while ((i168 | 0) < (i169 | 0));
      i1186 = i1185;
      i157 = 5782;
     }
    } else {
     i1186 = i183;
     i157 = 5782;
    } while (0);
    L8294 : do if ((i157 | 0) == 5782) {
     i183 = i149 + 21 | 0;
     i225 = get8(i183 >> 0 | 0) | 0;
     do if (i225 << 24 >> 24) {
      i227 = i225 + -1 << 24 >> 24;
      set8(i183 >> 0 | 0, i227 | 0);
      i211 = get32(i149 + 24 + ((i227 & 255) << 2) | 0) | 0;
      if (!(i227 << 24 >> 24)) {
       i227 = i149 + 72 | 0;
       i1188 = i211;
       i1189 = i227;
       i1190 = get32(i227 | 0) | 0;
       i157 = 5786;
       break;
      } else {
       i227 = i225 + -2 << 24 >> 24;
       set8(i183 >> 0 | 0, i227 | 0);
       i1191 = get32(i149 + 24 + ((i227 & 255) << 2) | 0) | 0;
       i1192 = i211;
       break;
      }
     } else {
      i211 = i149 + 72 | 0;
      i227 = (get32(i211 | 0) | 0) + 1 | 0;
      set32(i211 | 0, i227 | 0);
      i1188 = i227;
      i1189 = i211;
      i1190 = i227;
      i157 = 5786;
     } while (0);
     if ((i157 | 0) == 5786) {
      i225 = i1190 + 1 | 0;
      set32(i1189 | 0, i225 | 0);
      i1191 = i225;
      i1192 = i1188;
     }
     i225 = i1186 + 28 | 0;
     i227 = get32(i225 | 0) | 0;
     i211 = i1186 + 32 | 0;
     i189 = get32(i211 | 0) | 0;
     do if ((i189 | 0) > (i227 | 0)) {
      i1193 = i227;
      i1194 = get32(i1186 + 4 | 0) | 0;
      i1195 = i189;
      i157 = 5798;
     } else {
      i174 = i1186 + 4 | 0;
      i163 = _sqlite3DbRealloc(get32(i1186 | 0) | 0, get32(i174 | 0) | 0, (i189 | 0) == 0 ? 1020 : i189 * 40 | 0) | 0;
      if (!i163) {
       i1196 = get32(i211 | 0) | 0;
       i1197 = get32(i225 | 0) | 0;
       break;
      }
      i181 = get32(i1186 | 0) | 0;
      do if (!i181) i157 = 5796; else {
       if ((get32(i181 + 260 | 0) | 0) >>> 0 > i163 >>> 0) {
        i157 = 5796;
        break;
       }
       if ((get32(i181 + 264 | 0) | 0) >>> 0 <= i163 >>> 0) {
        i157 = 5796;
        break;
       }
       i1198 = getU16(i181 + 232 | 0) | 0;
      } while (0);
      if ((i157 | 0) == 5796) i1198 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i163) | 0;
      i181 = (i1198 >>> 0) / 20 | 0;
      set32(i211 | 0, i181 | 0);
      set32(i174 | 0, i163 | 0);
      i1193 = get32(i225 | 0) | 0;
      i1194 = i163;
      i1195 = i181;
      i157 = 5798;
     } while (0);
     if ((i157 | 0) == 5798) {
      i189 = i1193 + 1 | 0;
      set32(i225 | 0, i189 | 0);
      set8(i1194 + (i227 * 20 | 0) >> 0 | 0, 35 | 0);
      set8(i1194 + (i227 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i1194 + (i227 * 20 | 0) + 4 | 0, i1175 | 0);
      set32(i1194 + (i227 * 20 | 0) + 8 | 0, i1192 | 0);
      set32(i1194 + (i227 * 20 | 0) + 12 | 0, 2 | 0);
      set32(i1194 + (i227 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i1194 + (i227 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i1196 = i1195;
      i1197 = i189;
     }
     i189 = i1186 + 112 | 0;
     set32(i189 | 0, get32(i189 | 0) | 1 << i1175 | 0);
     do if ((i1196 | 0) > (i1197 | 0)) {
      i1199 = i1197;
      i1200 = get32(i1186 + 4 | 0) | 0;
      i1201 = i1196;
      i157 = 5809;
     } else {
      i189 = i1186 + 4 | 0;
      i181 = _sqlite3DbRealloc(get32(i1186 | 0) | 0, get32(i189 | 0) | 0, (i1196 | 0) == 0 ? 1020 : i1196 * 40 | 0) | 0;
      if (!i181) {
       i1202 = get32(i211 | 0) | 0;
       i1203 = get32(i225 | 0) | 0;
       break;
      }
      i175 = get32(i1186 | 0) | 0;
      do if (!i175) i157 = 5807; else {
       if ((get32(i175 + 260 | 0) | 0) >>> 0 > i181 >>> 0) {
        i157 = 5807;
        break;
       }
       if ((get32(i175 + 264 | 0) | 0) >>> 0 <= i181 >>> 0) {
        i157 = 5807;
        break;
       }
       i1204 = getU16(i175 + 232 | 0) | 0;
      } while (0);
      if ((i157 | 0) == 5807) i1204 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i181) | 0;
      i175 = (i1204 >>> 0) / 20 | 0;
      set32(i211 | 0, i175 | 0);
      set32(i189 | 0, i181 | 0);
      i1199 = get32(i225 | 0) | 0;
      i1200 = i181;
      i1201 = i175;
      i157 = 5809;
     } while (0);
     if ((i157 | 0) == 5809) {
      i227 = i1199 + 1 | 0;
      set32(i225 | 0, i227 | 0);
      set8(i1200 + (i1197 * 20 | 0) >> 0 | 0, 7 | 0);
      set8(i1200 + (i1197 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i1200 + (i1197 * 20 | 0) + 4 | 0, i159 | 0);
      set32(i1200 + (i1197 * 20 | 0) + 8 | 0, i1191 | 0);
      set32(i1200 + (i1197 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i1200 + (i1197 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i1200 + (i1197 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i1202 = i1201;
      i1203 = i227;
     }
     do if ((i1202 | 0) > (i1203 | 0)) {
      i1205 = i1203;
      i1206 = get32(i1186 + 4 | 0) | 0;
      i1207 = i1202;
      i157 = 5820;
     } else {
      i227 = i1186 + 4 | 0;
      i175 = _sqlite3DbRealloc(get32(i1186 | 0) | 0, get32(i227 | 0) | 0, (i1202 | 0) == 0 ? 1020 : i1202 * 40 | 0) | 0;
      if (!i175) {
       i1208 = 1;
       i1209 = get32(i211 | 0) | 0;
       i1210 = get32(i225 | 0) | 0;
       break;
      }
      i163 = get32(i1186 | 0) | 0;
      do if (!i163) i157 = 5818; else {
       if ((get32(i163 + 260 | 0) | 0) >>> 0 > i175 >>> 0) {
        i157 = 5818;
        break;
       }
       if ((get32(i163 + 264 | 0) | 0) >>> 0 <= i175 >>> 0) {
        i157 = 5818;
        break;
       }
       i1211 = getU16(i163 + 232 | 0) | 0;
      } while (0);
      if ((i157 | 0) == 5818) i1211 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i175) | 0;
      i163 = (i1211 >>> 0) / 20 | 0;
      set32(i211 | 0, i163 | 0);
      set32(i227 | 0, i175 | 0);
      i1205 = get32(i225 | 0) | 0;
      i1206 = i175;
      i1207 = i163;
      i157 = 5820;
     } while (0);
     if ((i157 | 0) == 5820) {
      i163 = i1205 + 1 | 0;
      set32(i225 | 0, i163 | 0);
      set8(i1206 + (i1203 * 20 | 0) >> 0 | 0, 80 | 0);
      set8(i1206 + (i1203 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i1206 + (i1203 * 20 | 0) + 4 | 0, i1191 | 0);
      set32(i1206 + (i1203 * 20 | 0) + 8 | 0, 0 | 0);
      set32(i1206 + (i1203 * 20 | 0) + 12 | 0, i1192 | 0);
      set32(i1206 + (i1203 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i1206 + (i1203 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i1208 = i1203;
      i1209 = i1207;
      i1210 = i163;
     }
     do if ((i1209 | 0) > (i1210 | 0)) {
      i1212 = i1210;
      i1213 = get32(i1186 + 4 | 0) | 0;
      i157 = 5831;
     } else {
      i163 = i1186 + 4 | 0;
      i181 = _sqlite3DbRealloc(get32(i1186 | 0) | 0, get32(i163 | 0) | 0, (i1209 | 0) == 0 ? 1020 : i1209 * 40 | 0) | 0;
      if (!i181) {
       i1214 = get32(i225 | 0) | 0;
       break;
      }
      i189 = get32(i1186 | 0) | 0;
      do if (!i189) i157 = 5829; else {
       if ((get32(i189 + 260 | 0) | 0) >>> 0 > i181 >>> 0) {
        i157 = 5829;
        break;
       }
       if ((get32(i189 + 264 | 0) | 0) >>> 0 <= i181 >>> 0) {
        i157 = 5829;
        break;
       }
       i1215 = getU16(i189 + 232 | 0) | 0;
      } while (0);
      if ((i157 | 0) == 5829) i1215 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i181) | 0;
      set32(i211 | 0, (i1215 >>> 0) / 20 | 0 | 0);
      set32(i163 | 0, i181 | 0);
      i1212 = get32(i225 | 0) | 0;
      i1213 = i181;
      i157 = 5831;
     } while (0);
     if ((i157 | 0) == 5831) {
      i211 = i1212 + 1 | 0;
      set32(i225 | 0, i211 | 0);
      set8(i1213 + (i1210 * 20 | 0) >> 0 | 0, 36 | 0);
      set8(i1213 + (i1210 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i1213 + (i1210 * 20 | 0) + 4 | 0, i1175 | 0);
      set32(i1213 + (i1210 * 20 | 0) + 8 | 0, 2 | 0);
      set32(i1213 + (i1210 * 20 | 0) + 12 | 0, i1191 | 0);
      set32(i1213 + (i1210 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i1213 + (i1210 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i1214 = i211;
     }
     if ((i1214 | 0) > (i1208 | 0)) set32((get32(i1186 + 4 | 0) | 0) + (i1208 * 20 | 0) + 8 | 0, i1214 | 0);
     L8372 : do if (i1192) {
      i211 = get8(i183 >> 0 | 0) | 0;
      if ((i211 & 255) >= 8) break;
      do if ((get32(i149 + 112 | 0) | 0) == (i1192 | 0)) i1216 = i149 + 96 | 0; else {
       if ((get32(i149 + 136 | 0) | 0) == (i1192 | 0)) {
        i1216 = i149 + 120 | 0;
        break;
       }
       if ((get32(i149 + 160 | 0) | 0) == (i1192 | 0)) {
        i1216 = i149 + 144 | 0;
        break;
       }
       if ((get32(i149 + 184 | 0) | 0) == (i1192 | 0)) {
        i1216 = i149 + 168 | 0;
        break;
       }
       if ((get32(i149 + 208 | 0) | 0) == (i1192 | 0)) {
        i1216 = i149 + 192 | 0;
        break;
       }
       if ((get32(i149 + 232 | 0) | 0) == (i1192 | 0)) {
        i1216 = i149 + 216 | 0;
        break;
       }
       if ((get32(i149 + 256 | 0) | 0) == (i1192 | 0)) {
        i1216 = i149 + 240 | 0;
        break;
       }
       if ((get32(i149 + 280 | 0) | 0) == (i1192 | 0)) {
        i1216 = i149 + 264 | 0;
        break;
       }
       if ((get32(i149 + 304 | 0) | 0) == (i1192 | 0)) {
        i1216 = i149 + 288 | 0;
        break;
       }
       if ((get32(i149 + 328 | 0) | 0) == (i1192 | 0)) {
        i1216 = i149 + 312 | 0;
        break;
       }
       set8(i183 >> 0 | 0, i211 + 1 << 24 >> 24 | 0);
       set32(i149 + 24 + ((i211 & 255) << 2) | 0, i1192 | 0);
       break L8372;
      } while (0);
      set8(i1216 + 8 >> 0 | 0, 1 | 0);
     } while (0);
     if (!i1191) break;
     i225 = get8(i183 >> 0 | 0) | 0;
     if ((i225 & 255) >= 8) break;
     do if ((get32(i149 + 112 | 0) | 0) == (i1191 | 0)) i1217 = i149 + 96 | 0; else {
      if ((get32(i149 + 136 | 0) | 0) == (i1191 | 0)) {
       i1217 = i149 + 120 | 0;
       break;
      }
      if ((get32(i149 + 160 | 0) | 0) == (i1191 | 0)) {
       i1217 = i149 + 144 | 0;
       break;
      }
      if ((get32(i149 + 184 | 0) | 0) == (i1191 | 0)) {
       i1217 = i149 + 168 | 0;
       break;
      }
      if ((get32(i149 + 208 | 0) | 0) == (i1191 | 0)) {
       i1217 = i149 + 192 | 0;
       break;
      }
      if ((get32(i149 + 232 | 0) | 0) == (i1191 | 0)) {
       i1217 = i149 + 216 | 0;
       break;
      }
      if ((get32(i149 + 256 | 0) | 0) == (i1191 | 0)) {
       i1217 = i149 + 240 | 0;
       break;
      }
      if ((get32(i149 + 280 | 0) | 0) == (i1191 | 0)) {
       i1217 = i149 + 264 | 0;
       break;
      }
      if ((get32(i149 + 304 | 0) | 0) == (i1191 | 0)) {
       i1217 = i149 + 288 | 0;
       break;
      }
      if ((get32(i149 + 328 | 0) | 0) == (i1191 | 0)) {
       i1217 = i149 + 312 | 0;
       break;
      }
      set8(i183 >> 0 | 0, i225 + 1 << 24 >> 24 | 0);
      set32(i149 + 24 + ((i225 & 255) << 2) | 0, i1191 | 0);
      break L8294;
     } while (0);
     set8(i1217 + 8 >> 0 | 0, 1 | 0);
    } while (0);
    _reloadTableSchema(i149, i1180, get32(i1180 | 0) | 0);
   } while (0);
   break;
  }
 case 313:
  {
   i176 = get32(i149 | 0) | 0;
   i155 = i176 + 234 | 0;
   set8(i155 >> 0 | 0, 0 | 0);
   i158 = get32(i1 + 12 + (i150 << 4) + 4 | 0) | 0;
   i152 = i176 + 30 | 0;
   L8405 : do if (!(get8(i152 >> 0 | 0) | 0)) {
    i213 = get32(i158 + 12 | 0) | 0;
    i161 = get32(i158 + 8 | 0) | 0;
    do if (!(get8(i176 + 124 >> 0 | 0) | 0)) {
     i159 = _sqlite3Init(i176, i149 + 8 | 0) | 0;
     if (!i159) {
      i1218 = get32(i149 | 0) | 0;
      break;
     } else {
      set32(i149 + 4 | 0, i159 | 0);
      i159 = i149 + 64 | 0;
      set32(i159 | 0, (get32(i159 | 0) | 0) + 1 | 0);
      break L8405;
     }
    } else i1218 = i176; while (0);
    if (!i213) i1219 = 0; else {
     i159 = i213;
     while (1) if (!(get8(i159 >> 0 | 0) | 0)) {
      i1220 = i159;
      break;
     } else i159 = i159 + 1 | 0;
     i1219 = i1220 - i213 & 1073741823;
    }
    i159 = get32(i1218 + 4 | 0) | 0;
    if ((i159 | 0) > 0) {
     i225 = (i161 | 0) == 0;
     i183 = get32(i1218 + 8 | 0) | 0;
     i211 = 0;
     i181 = 0;
     while (1) {
      i163 = (i211 | 0) < 2 ^ i211;
      if (!i225) {
       i189 = get32(i183 + (i163 << 4) | 0) | 0;
       i175 = get8(i161 >> 0 | 0) | 0;
       L8424 : do if (!(i175 << 24 >> 24)) {
        i1221 = 0;
        i1222 = i189;
       } else {
        i227 = i175;
        i174 = i161;
        i151 = i189;
        while (1) {
         if ((get8(16286 + (i227 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i151 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
          i1221 = i227;
          i1222 = i151;
          break L8424;
         }
         i174 = i174 + 1 | 0;
         i177 = i151 + 1 | 0;
         i227 = get8(i174 >> 0 | 0) | 0;
         if (!(i227 << 24 >> 24)) {
          i1221 = 0;
          i1222 = i177;
          break;
         } else i151 = i177;
        }
       } while (0);
       if ((get8(16286 + (i1221 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i1222 >> 0 | 0) | 0) >> 0 | 0) | 0)) i1223 = i181; else i157 = 5879;
      } else i157 = 5879;
      if ((i157 | 0) == 5879) {
       i157 = 0;
       i189 = _sqlite3HashFind((get32(i183 + (i163 << 4) + 12 | 0) | 0) + 8 | 0, i213, i1219) | 0;
       if (!i189) i1223 = i189; else {
        i1224 = i189;
        break;
       }
      }
      i211 = i211 + 1 | 0;
      if ((i211 | 0) >= (i159 | 0)) {
       i1224 = i1223;
       break;
      } else i181 = i1223;
     }
     if (i1224) {
      if (get8(i1224 + 34 >> 0 | 0) & 16) {
       _sqlite3ErrorMsg(i149, 37384, i8);
       break;
      }
      if (get32(i1224 + 28 | 0) | 0) {
       _sqlite3ErrorMsg(i149, 37418, i7);
       break;
      }
      if (_isSystemTable(i149, get32(i1224 | 0) | 0) | 0) break;
      i181 = get32(i1224 + 68 | 0) | 0;
      L8441 : do if (i181) {
       i159 = get32(i176 + 4 | 0) | 0;
       if ((i159 | 0) > 0) {
        i211 = get32(i176 + 8 | 0) | 0;
        i183 = 0;
        while (1) {
         if ((get32(i211 + (i183 << 4) + 12 | 0) | 0) == (i181 | 0)) {
          i1225 = i183;
          i157 = 5896;
          break L8441;
         }
         i225 = i183 + 1 | 0;
         if ((i225 | 0) < (i159 | 0)) i183 = i225; else {
          i1225 = i225;
          i157 = 5896;
          break;
         }
        }
       } else {
        i1226 = 0;
        i157 = 5910;
       }
      } else {
       i1225 = -1e6;
       i157 = 5896;
      } while (0);
      do if ((i157 | 0) == 5896) if (!i176) {
       if (!(get32(50 * 4 | 0) | 0)) {
        i1227 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](76) | 0;
        i1228 = 1;
        i1229 = i1225;
        i157 = 5933;
        break;
       }
       i181 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](76) | 0;
       set32(35 * 4 | 0, 76 | 0);
       if ((get32(45 * 4 | 0) | 0) < 76) set32(45 * 4 | 0, 76 | 0);
       i183 = get32(6 * 4 | 0) | 0;
       do if (i183) {
        i159 = get32(30 * 4 | 0) | 0;
        i211 = ((i159 | 0) < 0) << 31 >> 31;
        i163 = 16;
        i225 = _i64Subtract(get32(i163 | 0) | 0, get32(i163 + 4 | 0) | 0, i181 | 0, ((i181 | 0) < 0) << 31 >> 31 | 0) | 0;
        i163 = tempRet0;
        if ((i211 | 0) < (i163 | 0) | (i211 | 0) == (i163 | 0) & i159 >>> 0 < i225 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i225 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i183 & 15](i225, i159, i211, i181);
         set32(6 * 4 | 0, i183 | 0);
         set32(7 * 4 | 0, i225 | 0);
         break;
        }
       } while (0);
       i183 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i181) | 0;
       if (!i183) break L8405;
       i225 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i183) | 0;
       i211 = (get32(30 * 4 | 0) | 0) + i225 | 0;
       set32(30 * 4 | 0, i211 | 0);
       if ((i211 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i211 | 0);
       i211 = get32(39 * 4 | 0) | 0;
       i225 = i211 + 1 | 0;
       set32(39 * 4 | 0, i225 | 0);
       if ((i211 | 0) < (get32(49 * 4 | 0) | 0)) {
        i1230 = i183;
        i1231 = 1;
        i1232 = i1225;
       } else {
        set32(49 * 4 | 0, i225 | 0);
        i1230 = i183;
        i1231 = 1;
        i1232 = i1225;
       }
      } else {
       i1226 = i1225;
       i157 = 5910;
      } while (0);
      L8467 : do if ((i157 | 0) == 5910) {
       if (get8(i152 >> 0 | 0) | 0) break L8405;
       do if (get8(i155 >> 0 | 0) | 0) {
        if ((getU16(i176 + 232 | 0) | 0) < 76) {
         i183 = i176 + 248 | 0;
         set32(i183 | 0, (get32(i183 | 0) | 0) + 1 | 0);
         break;
        }
        i183 = i176 + 256 | 0;
        i225 = get32(i183 | 0) | 0;
        if (!i225) {
         i211 = i176 + 252 | 0;
         set32(i211 | 0, (get32(i211 | 0) | 0) + 1 | 0);
         break;
        }
        set32(i183 | 0, get32(i225 | 0) | 0);
        i183 = i176 + 236 | 0;
        i211 = get32(i183 | 0) | 0;
        i159 = i211 + 1 | 0;
        set32(i183 | 0, i159 | 0);
        i183 = i176 + 244 | 0;
        set32(i183 | 0, (get32(i183 | 0) | 0) + 1 | 0);
        i183 = i176 + 240 | 0;
        if ((i211 | 0) >= (get32(i183 | 0) | 0)) set32(i183 | 0, i159 | 0);
        i1227 = i225;
        i1228 = 0;
        i1229 = i1226;
        i157 = 5933;
        break L8467;
       } while (0);
       if (!(get32(50 * 4 | 0) | 0)) {
        i181 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](76) | 0;
        if (i181) {
         i1230 = i181;
         i1231 = 0;
         i1232 = i1226;
         break;
        }
       } else {
        i181 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](76) | 0;
        set32(35 * 4 | 0, 76 | 0);
        if ((get32(45 * 4 | 0) | 0) < 76) set32(45 * 4 | 0, 76 | 0);
        i225 = get32(6 * 4 | 0) | 0;
        do if (i225) {
         i159 = get32(30 * 4 | 0) | 0;
         i183 = ((i159 | 0) < 0) << 31 >> 31;
         i211 = 16;
         i163 = _i64Subtract(get32(i211 | 0) | 0, get32(i211 + 4 | 0) | 0, i181 | 0, ((i181 | 0) < 0) << 31 >> 31 | 0) | 0;
         i211 = tempRet0;
         if ((i183 | 0) < (i211 | 0) | (i183 | 0) == (i211 | 0) & i159 >>> 0 < i163 >>> 0) {
          set32(11 * 4 | 0, 0 | 0);
          break;
         } else {
          set32(11 * 4 | 0, 1 | 0);
          i163 = get32(7 * 4 | 0) | 0;
          set32(6 * 4 | 0, 0 | 0);
          FUNCTION_TABLE_viiii[i225 & 15](i163, i159, i183, i181);
          set32(6 * 4 | 0, i225 | 0);
          set32(7 * 4 | 0, i163 | 0);
          break;
         }
        } while (0);
        i225 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i181) | 0;
        if (i225) {
         i163 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i225) | 0;
         i183 = (get32(30 * 4 | 0) | 0) + i163 | 0;
         set32(30 * 4 | 0, i183 | 0);
         if ((i183 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i183 | 0);
         i183 = get32(39 * 4 | 0) | 0;
         i163 = i183 + 1 | 0;
         set32(39 * 4 | 0, i163 | 0);
         if ((i183 | 0) < (get32(49 * 4 | 0) | 0)) {
          i1230 = i225;
          i1231 = 0;
          i1232 = i1226;
          break;
         }
         set32(49 * 4 | 0, i163 | 0);
         i1230 = i225;
         i1231 = 0;
         i1232 = i1226;
         break;
        }
       }
       set8(i152 >> 0 | 0, 1 | 0);
       break L8405;
      } while (0);
      if ((i157 | 0) == 5933) if (!i1227) break; else {
       i1230 = i1227;
       i1231 = i1228;
       i1232 = i1229;
      }
      i168 = i1230;
      i169 = i168 + 76 | 0;
      do {
       set8(i168 >> 0 | 0, 0 | 0);
       i168 = i168 + 1 | 0;
      } while ((i168 | 0) < (i169 | 0));
      set32(i149 + 508 | 0, i1230 | 0);
      i225 = i1230 + 32 | 0;
      set16(i225 | 0, 1 | 0);
      i163 = get32(i1224 + 8 | 0) | 0;
      i183 = i1230 + 8 | 0;
      set32(i183 | 0, i163 | 0);
      i159 = ((i163 + -1 | 0) / 8 | 0) * 192 | 0;
      i163 = i159 + 192 | 0;
      L8503 : do if (i1231) if ((i159 + 191 | 0) >>> 0 <= 2147483390) {
       if (!(get32(50 * 4 | 0) | 0)) {
        i1233 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i163) | 0;
        i157 = 5973;
        break;
       }
       i211 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i163) | 0;
       set32(35 * 4 | 0, i163 | 0);
       if ((get32(45 * 4 | 0) | 0) < (i163 | 0)) set32(45 * 4 | 0, i163 | 0);
       i189 = get32(6 * 4 | 0) | 0;
       do if (i189) {
        i175 = get32(30 * 4 | 0) | 0;
        i151 = ((i175 | 0) < 0) << 31 >> 31;
        i227 = 16;
        i174 = _i64Subtract(get32(i227 | 0) | 0, get32(i227 + 4 | 0) | 0, i211 | 0, ((i211 | 0) < 0) << 31 >> 31 | 0) | 0;
        i227 = tempRet0;
        if ((i151 | 0) < (i227 | 0) | (i151 | 0) == (i227 | 0) & i175 >>> 0 < i174 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i174 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i189 & 15](i174, i175, i151, i211);
         set32(6 * 4 | 0, i189 | 0);
         set32(7 * 4 | 0, i174 | 0);
         break;
        }
       } while (0);
       i189 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i211) | 0;
       if (i189) {
        i181 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i189) | 0;
        i174 = (get32(30 * 4 | 0) | 0) + i181 | 0;
        set32(30 * 4 | 0, i174 | 0);
        if ((i174 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i174 | 0);
        i174 = get32(39 * 4 | 0) | 0;
        i181 = i174 + 1 | 0;
        set32(39 * 4 | 0, i181 | 0);
        if ((i174 | 0) < (get32(49 * 4 | 0) | 0)) {
         i1234 = i189;
         i157 = 5974;
         break;
        }
        set32(49 * 4 | 0, i181 | 0);
        i1234 = i189;
        i157 = 5974;
       } else i1235 = 0;
      } else i1235 = 0; else if (!(get8(i152 >> 0 | 0) | 0)) {
       do if (get8(i155 >> 0 | 0) | 0) {
        if ((getU16(i176 + 232 | 0) | 0) < (i163 | 0)) {
         i189 = i176 + 248 | 0;
         set32(i189 | 0, (get32(i189 | 0) | 0) + 1 | 0);
         break;
        }
        i189 = i176 + 256 | 0;
        i181 = get32(i189 | 0) | 0;
        if (!i181) {
         i174 = i176 + 252 | 0;
         set32(i174 | 0, (get32(i174 | 0) | 0) + 1 | 0);
         break;
        }
        set32(i189 | 0, get32(i181 | 0) | 0);
        i189 = i176 + 236 | 0;
        i174 = get32(i189 | 0) | 0;
        i151 = i174 + 1 | 0;
        set32(i189 | 0, i151 | 0);
        i189 = i176 + 244 | 0;
        set32(i189 | 0, (get32(i189 | 0) | 0) + 1 | 0);
        i189 = i176 + 240 | 0;
        if ((i174 | 0) >= (get32(i189 | 0) | 0)) set32(i189 | 0, i151 | 0);
        i1233 = i181;
        i157 = 5973;
        break L8503;
       } while (0);
       do if ((i159 + 191 | 0) >>> 0 <= 2147483390) {
        if (!(get32(50 * 4 | 0) | 0)) {
         i211 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i163) | 0;
         if (!i211) break; else {
          i1234 = i211;
          i157 = 5974;
          break L8503;
         }
        }
        i211 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i163) | 0;
        set32(35 * 4 | 0, i163 | 0);
        if ((get32(45 * 4 | 0) | 0) < (i163 | 0)) set32(45 * 4 | 0, i163 | 0);
        i181 = get32(6 * 4 | 0) | 0;
        do if (i181) {
         i151 = get32(30 * 4 | 0) | 0;
         i189 = ((i151 | 0) < 0) << 31 >> 31;
         i174 = 16;
         i175 = _i64Subtract(get32(i174 | 0) | 0, get32(i174 + 4 | 0) | 0, i211 | 0, ((i211 | 0) < 0) << 31 >> 31 | 0) | 0;
         i174 = tempRet0;
         if ((i189 | 0) < (i174 | 0) | (i189 | 0) == (i174 | 0) & i151 >>> 0 < i175 >>> 0) {
          set32(11 * 4 | 0, 0 | 0);
          break;
         } else {
          set32(11 * 4 | 0, 1 | 0);
          i175 = get32(7 * 4 | 0) | 0;
          set32(6 * 4 | 0, 0 | 0);
          FUNCTION_TABLE_viiii[i181 & 15](i175, i151, i189, i211);
          set32(6 * 4 | 0, i181 | 0);
          set32(7 * 4 | 0, i175 | 0);
          break;
         }
        } while (0);
        i181 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i211) | 0;
        if (!i181) break;
        i175 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i181) | 0;
        i189 = (get32(30 * 4 | 0) | 0) + i175 | 0;
        set32(30 * 4 | 0, i189 | 0);
        if ((i189 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i189 | 0);
        i189 = get32(39 * 4 | 0) | 0;
        i175 = i189 + 1 | 0;
        set32(39 * 4 | 0, i175 | 0);
        if ((i189 | 0) < (get32(49 * 4 | 0) | 0)) {
         i1234 = i181;
         i157 = 5974;
         break L8503;
        }
        set32(49 * 4 | 0, i175 | 0);
        i1234 = i181;
        i157 = 5974;
        break L8503;
       } while (0);
       set8(i152 >> 0 | 0, 1 | 0);
       i1235 = 0;
      } else i1235 = 0; while (0);
      if ((i157 | 0) == 5973) if (!i1233) i1235 = 0; else {
       i1234 = i1233;
       i157 = 5974;
      }
      if ((i157 | 0) == 5974) {
       _memset(i1234 | 0, 0, i163 | 0) | 0;
       i1235 = i1234;
      }
      i159 = i1230 + 12 | 0;
      set32(i159 | 0, i1235 | 0);
      set32(i6 | 0, get32(i1224 | 0) | 0);
      i181 = _sqlite3MPrintf(i176, 37448, i6) | 0;
      set32(i1230 | 0, i181 | 0);
      i175 = get32(i159 | 0) | 0;
      if ((i181 | 0) == 0 | (i175 | 0) == 0) {
       set8(i152 >> 0 | 0, 1 | 0);
       break;
      }
      _memcpy(i175 | 0, get32(i1224 + 12 | 0) | 0, (get32(i183 | 0) | 0) * 24 | 0) | 0;
      if ((get32(i183 | 0) | 0) > 0) {
       i175 = i176 + 232 | 0;
       i181 = i176 + 248 | 0;
       i189 = i176 + 256 | 0;
       i151 = i176 + 252 | 0;
       i174 = i176 + 236 | 0;
       i227 = i176 + 244 | 0;
       i177 = i176 + 240 | 0;
       i160 = 0;
       do {
        i888 = get32(i159 | 0) | 0;
        i188 = i888 + (i160 * 24 | 0) | 0;
        i979 = get32(i188 | 0) | 0;
        L8569 : do if (!i979) i1236 = 0; else {
         i178 = i979;
         while (1) if (!(get8(i178 >> 0 | 0) | 0)) {
          i1237 = i178;
          break;
         } else i178 = i178 + 1 | 0;
         i178 = (i1237 - i979 & 1073741823) + 1 | 0;
         L8573 : do if (i1231) {
          if (!(get32(50 * 4 | 0) | 0)) {
           i1238 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i178) | 0;
           i157 = 6018;
           break;
          }
          i211 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i178) | 0;
          set32(35 * 4 | 0, i178 | 0);
          if ((get32(45 * 4 | 0) | 0) < (i178 | 0)) set32(45 * 4 | 0, i178 | 0);
          i889 = get32(6 * 4 | 0) | 0;
          do if (i889) {
           i210 = get32(30 * 4 | 0) | 0;
           i154 = ((i210 | 0) < 0) << 31 >> 31;
           i192 = 16;
           i179 = _i64Subtract(get32(i192 | 0) | 0, get32(i192 + 4 | 0) | 0, i211 | 0, ((i211 | 0) < 0) << 31 >> 31 | 0) | 0;
           i192 = tempRet0;
           if ((i154 | 0) < (i192 | 0) | (i154 | 0) == (i192 | 0) & i210 >>> 0 < i179 >>> 0) {
            set32(11 * 4 | 0, 0 | 0);
            break;
           } else {
            set32(11 * 4 | 0, 1 | 0);
            i179 = get32(7 * 4 | 0) | 0;
            set32(6 * 4 | 0, 0 | 0);
            FUNCTION_TABLE_viiii[i889 & 15](i179, i210, i154, i211);
            set32(6 * 4 | 0, i889 | 0);
            set32(7 * 4 | 0, i179 | 0);
            break;
           }
          } while (0);
          i889 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i211) | 0;
          if (!i889) {
           i1236 = 0;
           break L8569;
          }
          i173 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i889) | 0;
          i179 = (get32(30 * 4 | 0) | 0) + i173 | 0;
          set32(30 * 4 | 0, i179 | 0);
          if ((i179 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i179 | 0);
          i179 = get32(39 * 4 | 0) | 0;
          i173 = i179 + 1 | 0;
          set32(39 * 4 | 0, i173 | 0);
          if ((i179 | 0) < (get32(49 * 4 | 0) | 0)) {
           i1239 = i889;
           break;
          }
          set32(49 * 4 | 0, i173 | 0);
          i1239 = i889;
         } else {
          if (get8(i152 >> 0 | 0) | 0) {
           i1236 = 0;
           break L8569;
          }
          do if (get8(i155 >> 0 | 0) | 0) {
           if ((getU16(i175 | 0) | 0) >>> 0 < i178 >>> 0) {
            set32(i181 | 0, (get32(i181 | 0) | 0) + 1 | 0);
            break;
           }
           i889 = get32(i189 | 0) | 0;
           if (!i889) {
            set32(i151 | 0, (get32(i151 | 0) | 0) + 1 | 0);
            break;
           }
           set32(i189 | 0, get32(i889 | 0) | 0);
           i173 = get32(i174 | 0) | 0;
           i179 = i173 + 1 | 0;
           set32(i174 | 0, i179 | 0);
           set32(i227 | 0, (get32(i227 | 0) | 0) + 1 | 0);
           if ((i173 | 0) >= (get32(i177 | 0) | 0)) set32(i177 | 0, i179 | 0);
           i1238 = i889;
           i157 = 6018;
           break L8573;
          } while (0);
          do if (!(get32(50 * 4 | 0) | 0)) {
           i211 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i178) | 0;
           if (i211) {
            i1239 = i211;
            break L8573;
           }
          } else {
           i211 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i178) | 0;
           set32(35 * 4 | 0, i178 | 0);
           if ((get32(45 * 4 | 0) | 0) < (i178 | 0)) set32(45 * 4 | 0, i178 | 0);
           i889 = get32(6 * 4 | 0) | 0;
           do if (i889) {
            i179 = get32(30 * 4 | 0) | 0;
            i173 = ((i179 | 0) < 0) << 31 >> 31;
            i154 = 16;
            i210 = _i64Subtract(get32(i154 | 0) | 0, get32(i154 + 4 | 0) | 0, i211 | 0, ((i211 | 0) < 0) << 31 >> 31 | 0) | 0;
            i154 = tempRet0;
            if ((i173 | 0) < (i154 | 0) | (i173 | 0) == (i154 | 0) & i179 >>> 0 < i210 >>> 0) {
             set32(11 * 4 | 0, 0 | 0);
             break;
            } else {
             set32(11 * 4 | 0, 1 | 0);
             i210 = get32(7 * 4 | 0) | 0;
             set32(6 * 4 | 0, 0 | 0);
             FUNCTION_TABLE_viiii[i889 & 15](i210, i179, i173, i211);
             set32(6 * 4 | 0, i889 | 0);
             set32(7 * 4 | 0, i210 | 0);
             break;
            }
           } while (0);
           i889 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i211) | 0;
           if (!i889) break;
           i210 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i889) | 0;
           i173 = (get32(30 * 4 | 0) | 0) + i210 | 0;
           set32(30 * 4 | 0, i173 | 0);
           if ((i173 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i173 | 0);
           i173 = get32(39 * 4 | 0) | 0;
           i210 = i173 + 1 | 0;
           set32(39 * 4 | 0, i210 | 0);
           if ((i173 | 0) < (get32(49 * 4 | 0) | 0)) {
            i1239 = i889;
            break L8573;
           }
           set32(49 * 4 | 0, i210 | 0);
           i1239 = i889;
           break L8573;
          } while (0);
          set8(i152 >> 0 | 0, 1 | 0);
          i1236 = 0;
          break L8569;
         } while (0);
         if ((i157 | 0) == 6018) {
          i157 = 0;
          if (!i1238) {
           i1236 = 0;
           break;
          } else i1239 = i1238;
         }
         _memcpy(i1239 | 0, i979 | 0, i178 | 0) | 0;
         i1236 = i1239;
        } while (0);
        set32(i188 | 0, i1236 | 0);
        i979 = i888 + (i160 * 24 | 0) + 4 | 0;
        i160 = i160 + 1 | 0;
        set32(i979 | 0, 0 | 0);
        set32(i979 + 4 | 0, 0 | 0);
        set32(i979 + 8 | 0, 0 | 0);
        set32(i979 + 12 | 0, 0 | 0);
       } while ((i160 | 0) < (get32(i183 | 0) | 0));
      }
      set32(i1230 + 68 | 0, get32((get32(i176 + 8 | 0) | 0) + (i1232 << 4) + 12 | 0) | 0);
      set32(i1230 + 48 | 0, get32(i1224 + 48 | 0) | 0);
      set16(i225 | 0, 1 | 0);
      _sqlite3BeginWriteOperation(i149, 0, i1232);
      i183 = i149 + 12 | 0;
      if (!(get32(i183 | 0) | 0)) {
       i160 = get32(i149 | 0) | 0;
       L8631 : do if (i160) {
        i177 = i160 + 30 | 0;
        if (!(get8(i177 >> 0 | 0) | 0)) {
         do if (get8(i160 + 234 >> 0 | 0) | 0) {
          if ((getU16(i160 + 232 | 0) | 0) < 192) {
           i227 = i160 + 248 | 0;
           set32(i227 | 0, (get32(i227 | 0) | 0) + 1 | 0);
           break;
          }
          i227 = i160 + 256 | 0;
          i174 = get32(i227 | 0) | 0;
          if (!i174) {
           i189 = i160 + 252 | 0;
           set32(i189 | 0, (get32(i189 | 0) | 0) + 1 | 0);
           break;
          }
          set32(i227 | 0, get32(i174 | 0) | 0);
          i227 = i160 + 236 | 0;
          i189 = get32(i227 | 0) | 0;
          i151 = i189 + 1 | 0;
          set32(i227 | 0, i151 | 0);
          i227 = i160 + 244 | 0;
          set32(i227 | 0, (get32(i227 | 0) | 0) + 1 | 0);
          i227 = i160 + 240 | 0;
          if ((i189 | 0) >= (get32(i227 | 0) | 0)) set32(i227 | 0, i151 | 0);
          i1240 = i174;
          i157 = 6059;
          break L8631;
         } while (0);
         do if (!(get32(50 * 4 | 0) | 0)) {
          i888 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
          if (i888) {
           i1241 = i888;
           break L8631;
          }
         } else {
          i888 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
          set32(35 * 4 | 0, 192 | 0);
          if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
          i188 = get32(6 * 4 | 0) | 0;
          do if (i188) {
           i174 = get32(30 * 4 | 0) | 0;
           i151 = ((i174 | 0) < 0) << 31 >> 31;
           i227 = 16;
           i189 = _i64Subtract(get32(i227 | 0) | 0, get32(i227 + 4 | 0) | 0, i888 | 0, ((i888 | 0) < 0) << 31 >> 31 | 0) | 0;
           i227 = tempRet0;
           if ((i151 | 0) < (i227 | 0) | (i151 | 0) == (i227 | 0) & i174 >>> 0 < i189 >>> 0) {
            set32(11 * 4 | 0, 0 | 0);
            break;
           } else {
            set32(11 * 4 | 0, 1 | 0);
            i189 = get32(7 * 4 | 0) | 0;
            set32(6 * 4 | 0, 0 | 0);
            FUNCTION_TABLE_viiii[i188 & 15](i189, i174, i151, i888);
            set32(6 * 4 | 0, i188 | 0);
            set32(7 * 4 | 0, i189 | 0);
            break;
           }
          } while (0);
          i188 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i888) | 0;
          if (!i188) break;
          i178 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i188) | 0;
          i189 = (get32(30 * 4 | 0) | 0) + i178 | 0;
          set32(30 * 4 | 0, i189 | 0);
          if ((i189 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i189 | 0);
          i189 = get32(39 * 4 | 0) | 0;
          i178 = i189 + 1 | 0;
          set32(39 * 4 | 0, i178 | 0);
          if ((i189 | 0) < (get32(49 * 4 | 0) | 0)) {
           i1241 = i188;
           break L8631;
          }
          set32(49 * 4 | 0, i178 | 0);
          i1241 = i188;
          break L8631;
         } while (0);
         set8(i177 >> 0 | 0, 1 | 0);
         i157 = 6069;
        } else i157 = 6069;
       } else {
        if (!(get32(50 * 4 | 0) | 0)) {
         i1240 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
         i157 = 6059;
         break;
        }
        i188 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
        set32(35 * 4 | 0, 192 | 0);
        if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
        i178 = get32(6 * 4 | 0) | 0;
        do if (i178) {
         i189 = get32(30 * 4 | 0) | 0;
         i151 = ((i189 | 0) < 0) << 31 >> 31;
         i174 = 16;
         i227 = _i64Subtract(get32(i174 | 0) | 0, get32(i174 + 4 | 0) | 0, i188 | 0, ((i188 | 0) < 0) << 31 >> 31 | 0) | 0;
         i174 = tempRet0;
         if ((i151 | 0) < (i174 | 0) | (i151 | 0) == (i174 | 0) & i189 >>> 0 < i227 >>> 0) {
          set32(11 * 4 | 0, 0 | 0);
          break;
         } else {
          set32(11 * 4 | 0, 1 | 0);
          i227 = get32(7 * 4 | 0) | 0;
          set32(6 * 4 | 0, 0 | 0);
          FUNCTION_TABLE_viiii[i178 & 15](i227, i189, i151, i188);
          set32(6 * 4 | 0, i178 | 0);
          set32(7 * 4 | 0, i227 | 0);
          break;
         }
        } while (0);
        i178 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i188) | 0;
        if (!i178) {
         i157 = 6069;
         break;
        }
        i177 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i178) | 0;
        i227 = (get32(30 * 4 | 0) | 0) + i177 | 0;
        set32(30 * 4 | 0, i227 | 0);
        if ((i227 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i227 | 0);
        i227 = get32(39 * 4 | 0) | 0;
        i177 = i227 + 1 | 0;
        set32(39 * 4 | 0, i177 | 0);
        if ((i227 | 0) < (get32(49 * 4 | 0) | 0)) {
         i1241 = i178;
         break;
        }
        set32(49 * 4 | 0, i177 | 0);
        i1241 = i178;
       } while (0);
       if ((i157 | 0) == 6059) if (!i1240) i157 = 6069; else i1241 = i1240;
       if ((i157 | 0) == 6069) {
        set32(i183 | 0, 0 | 0);
        break;
       }
       _memset(i1241 | 0, 0, 192) | 0;
       set32(i1241 | 0, i160 | 0);
       i225 = i160 + 136 | 0;
       i178 = get32(i225 | 0) | 0;
       if (i178) set32(i178 + 60 | 0, i1241 | 0);
       set32(i1241 + 64 | 0, i178 | 0);
       set32(i1241 + 60 | 0, 0 | 0);
       set32(i225 | 0, i1241 | 0);
       set32(i1241 + 52 | 0, 649915045 | 0);
       set32(i183 | 0, i1241 | 0);
       i225 = i1241 + 28 | 0;
       i178 = i1241 + 32 | 0;
       i177 = i1241 + 4 | 0;
       i227 = _sqlite3DbRealloc(i160, 0, 1020) | 0;
       if (i227) {
        i151 = get32(i1241 | 0) | 0;
        do if (!i151) i157 = 6067; else {
         if ((get32(i151 + 260 | 0) | 0) >>> 0 > i227 >>> 0) {
          i157 = 6067;
          break;
         }
         if ((get32(i151 + 264 | 0) | 0) >>> 0 <= i227 >>> 0) {
          i157 = 6067;
          break;
         }
         i1242 = getU16(i151 + 232 | 0) | 0;
        } while (0);
        if ((i157 | 0) == 6067) i1242 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i227) | 0;
        set32(i178 | 0, (i1242 >>> 0) / 20 | 0 | 0);
        set32(i177 | 0, i227 | 0);
        set32(i225 | 0, (get32(i225 | 0) | 0) + 1 | 0);
        set8(i227 >> 0 | 0, -120 | 0);
        set8(i227 + 1 >> 0 | 0, 0 | 0);
        i168 = i227 + 3 | 0;
        i169 = i168 + 17 | 0;
        do {
         set8(i168 >> 0 | 0, 0 | 0);
         i168 = i168 + 1 | 0;
        } while ((i168 | 0) < (i169 | 0));
       }
      }
      i227 = i149 + 21 | 0;
      i225 = get8(i227 >> 0 | 0) | 0;
      if (!(i225 << 24 >> 24)) {
       i177 = i149 + 72 | 0;
       i178 = (get32(i177 | 0) | 0) + 1 | 0;
       set32(i177 | 0, i178 | 0);
       i1243 = i178;
      } else {
       i178 = i225 + -1 << 24 >> 24;
       set8(i227 >> 0 | 0, i178 | 0);
       i1243 = get32(i149 + 24 + ((i178 & 255) << 2) | 0) | 0;
      }
      i178 = get32(i183 | 0) | 0;
      i225 = (get32(get32((get32((get32(i149 | 0) | 0) + 8 | 0) | 0) + (i1232 << 4) + 12 | 0) | 0) | 0) + 1 | 0;
      i177 = i178 + 28 | 0;
      i151 = get32(i177 | 0) | 0;
      i160 = i178 + 32 | 0;
      i189 = get32(i160 | 0) | 0;
      do if ((i189 | 0) > (i151 | 0)) {
       i1244 = i151;
       i1245 = get32(i178 + 4 | 0) | 0;
       i1246 = i189;
       i157 = 6083;
      } else {
       i174 = i178 + 4 | 0;
       i181 = _sqlite3DbRealloc(get32(i178 | 0) | 0, get32(i174 | 0) | 0, (i189 | 0) == 0 ? 1020 : i189 * 40 | 0) | 0;
       if (!i181) {
        i1247 = get32(i160 | 0) | 0;
        i1248 = get32(i177 | 0) | 0;
        break;
       }
       i175 = get32(i178 | 0) | 0;
       do if (!i175) i157 = 6081; else {
        if ((get32(i175 + 260 | 0) | 0) >>> 0 > i181 >>> 0) {
         i157 = 6081;
         break;
        }
        if ((get32(i175 + 264 | 0) | 0) >>> 0 <= i181 >>> 0) {
         i157 = 6081;
         break;
        }
        i1249 = getU16(i175 + 232 | 0) | 0;
       } while (0);
       if ((i157 | 0) == 6081) i1249 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i181) | 0;
       i175 = (i1249 >>> 0) / 20 | 0;
       set32(i160 | 0, i175 | 0);
       set32(i174 | 0, i181 | 0);
       i1244 = get32(i177 | 0) | 0;
       i1245 = i181;
       i1246 = i175;
       i157 = 6083;
      } while (0);
      if ((i157 | 0) == 6083) {
       i189 = i1244 + 1 | 0;
       set32(i177 | 0, i189 | 0);
       set8(i1245 + (i151 * 20 | 0) >> 0 | 0, 7 | 0);
       set8(i1245 + (i151 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i1245 + (i151 * 20 | 0) + 4 | 0, i225 | 0);
       set32(i1245 + (i151 * 20 | 0) + 8 | 0, i1243 | 0);
       set32(i1245 + (i151 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i1245 + (i151 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i1245 + (i151 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i1247 = i1246;
       i1248 = i189;
      }
      do if ((i1247 | 0) > (i1248 | 0)) {
       i1250 = i1248;
       i1251 = get32(i178 + 4 | 0) | 0;
       i157 = 6093;
      } else {
       i189 = i178 + 4 | 0;
       i183 = _sqlite3DbRealloc(get32(i178 | 0) | 0, get32(i189 | 0) | 0, (i1247 | 0) == 0 ? 1020 : i1247 * 40 | 0) | 0;
       if (!i183) break;
       i175 = get32(i178 | 0) | 0;
       do if (!i175) i157 = 6091; else {
        if ((get32(i175 + 260 | 0) | 0) >>> 0 > i183 >>> 0) {
         i157 = 6091;
         break;
        }
        if ((get32(i175 + 264 | 0) | 0) >>> 0 <= i183 >>> 0) {
         i157 = 6091;
         break;
        }
        i1252 = getU16(i175 + 232 | 0) | 0;
       } while (0);
       if ((i157 | 0) == 6091) i1252 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i183) | 0;
       set32(i160 | 0, (i1252 >>> 0) / 20 | 0 | 0);
       set32(i189 | 0, i183 | 0);
       i1250 = get32(i177 | 0) | 0;
       i1251 = i183;
       i157 = 6093;
      } while (0);
      if ((i157 | 0) == 6093) {
       set32(i177 | 0, i1250 + 1 | 0);
       set8(i1251 + (i1248 * 20 | 0) >> 0 | 0, 36 | 0);
       set8(i1251 + (i1248 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i1251 + (i1248 * 20 | 0) + 4 | 0, i1232 | 0);
       set32(i1251 + (i1248 * 20 | 0) + 8 | 0, 1 | 0);
       set32(i1251 + (i1248 * 20 | 0) + 12 | 0, i1243 | 0);
       set32(i1251 + (i1248 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i1251 + (i1248 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      }
      if (!i1243) break;
      i160 = get8(i227 >> 0 | 0) | 0;
      if ((i160 & 255) >= 8) break;
      do if ((get32(i149 + 112 | 0) | 0) == (i1243 | 0)) i1253 = i149 + 96 | 0; else {
       if ((get32(i149 + 136 | 0) | 0) == (i1243 | 0)) {
        i1253 = i149 + 120 | 0;
        break;
       }
       if ((get32(i149 + 160 | 0) | 0) == (i1243 | 0)) {
        i1253 = i149 + 144 | 0;
        break;
       }
       if ((get32(i149 + 184 | 0) | 0) == (i1243 | 0)) {
        i1253 = i149 + 168 | 0;
        break;
       }
       if ((get32(i149 + 208 | 0) | 0) == (i1243 | 0)) {
        i1253 = i149 + 192 | 0;
        break;
       }
       if ((get32(i149 + 232 | 0) | 0) == (i1243 | 0)) {
        i1253 = i149 + 216 | 0;
        break;
       }
       if ((get32(i149 + 256 | 0) | 0) == (i1243 | 0)) {
        i1253 = i149 + 240 | 0;
        break;
       }
       if ((get32(i149 + 280 | 0) | 0) == (i1243 | 0)) {
        i1253 = i149 + 264 | 0;
        break;
       }
       if ((get32(i149 + 304 | 0) | 0) == (i1243 | 0)) {
        i1253 = i149 + 288 | 0;
        break;
       }
       if ((get32(i149 + 328 | 0) | 0) == (i1243 | 0)) {
        i1253 = i149 + 312 | 0;
        break;
       }
       set8(i227 >> 0 | 0, i160 + 1 << 24 >> 24 | 0);
       set32(i149 + 24 + ((i160 & 255) << 2) | 0, i1243 | 0);
       break L8405;
      } while (0);
      set8(i1253 + 8 >> 0 | 0, 1 | 0);
      break;
     }
    }
    if (!i161) {
     set32(i9 | 0, 25690 | 0);
     set32(i9 + 4 | 0, i213 | 0);
     _sqlite3ErrorMsg(i149, 25714, i9);
    } else {
     set32(i10 | 0, 25690 | 0);
     set32(i10 + 4 | 0, i161 | 0);
     set32(i10 + 8 | 0, i213 | 0);
     _sqlite3ErrorMsg(i149, 25704, i10);
    }
    set8(i149 + 18 >> 0 | 0, 1 | 0);
   } while (0);
   _sqlite3SrcListDelete(i176, i158);
   break;
  }
 case 316:
  {
   _sqlite3VtabFinishParse(i149, 0);
   break;
  }
 case 317:
  {
   _sqlite3VtabFinishParse(i149, i1 + 12 + (i150 << 4) + 4 | 0);
   break;
  }
 case 318:
  {
   i152 = i1 + 12 + (i150 + -3 << 4) + 4 | 0;
   i155 = i1 + 12 + (i150 << 4) + 4 | 0;
   _sqlite3StartTable(i149, i152, i1 + 12 + (i150 + -2 << 4) + 4 | 0, 0, 0, 1, 0);
   i160 = get32(i149 + 508 | 0) | 0;
   if (i160) {
    i227 = get32(i149 | 0) | 0;
    i177 = get32(i160 + 68 | 0) | 0;
    L8757 : do if (i177) {
     i178 = get32(i227 + 4 | 0) | 0;
     if ((i178 | 0) > 0) {
      i151 = get32(i227 + 8 | 0) | 0;
      i225 = 0;
      while (1) {
       if ((get32(i151 + (i225 << 4) + 12 | 0) | 0) == (i177 | 0)) {
        i1254 = i225;
        break L8757;
       }
       i175 = i225 + 1 | 0;
       if ((i175 | 0) < (i178 | 0)) i225 = i175; else {
        i1254 = i175;
        break;
       }
      }
     } else i1254 = 0;
    } else i1254 = -1e6; while (0);
    i177 = i160 + 34 | 0;
    set8(i177 >> 0 | 0, getU8(i177 >> 0 | 0) | 16 | 0);
    i177 = i160 + 56 | 0;
    set32(i177 | 0, 0 | 0);
    i158 = get32(i155 | 0) | 0;
    i176 = i1 + 12 + (i150 << 4) + 8 | 0;
    i225 = get32(i176 | 0) | 0;
    L8764 : do if (!i158) i1255 = 0; else {
     i178 = i225 + 1 | 0;
     L8766 : do if (!i227) {
      if (i225 >>> 0 > 2147483390) {
       i1255 = 0;
       break L8764;
      }
      if (!(get32(50 * 4 | 0) | 0)) {
       i1256 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i178) | 0;
       i157 = 6157;
       break;
      }
      i151 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i178) | 0;
      set32(35 * 4 | 0, i178 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i178 | 0)) set32(45 * 4 | 0, i178 | 0);
      i213 = get32(6 * 4 | 0) | 0;
      do if (i213) {
       i161 = get32(30 * 4 | 0) | 0;
       i175 = ((i161 | 0) < 0) << 31 >> 31;
       i181 = 16;
       i174 = _i64Subtract(get32(i181 | 0) | 0, get32(i181 + 4 | 0) | 0, i151 | 0, ((i151 | 0) < 0) << 31 >> 31 | 0) | 0;
       i181 = tempRet0;
       if ((i175 | 0) < (i181 | 0) | (i175 | 0) == (i181 | 0) & i161 >>> 0 < i174 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i174 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i213 & 15](i174, i161, i175, i151);
        set32(6 * 4 | 0, i213 | 0);
        set32(7 * 4 | 0, i174 | 0);
        break;
       }
      } while (0);
      i213 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i151) | 0;
      if (!i213) {
       i1255 = 0;
       break L8764;
      }
      i183 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i213) | 0;
      i189 = (get32(30 * 4 | 0) | 0) + i183 | 0;
      set32(30 * 4 | 0, i189 | 0);
      if ((i189 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i189 | 0);
      i189 = get32(39 * 4 | 0) | 0;
      i183 = i189 + 1 | 0;
      set32(39 * 4 | 0, i183 | 0);
      if ((i189 | 0) < (get32(49 * 4 | 0) | 0)) i1257 = i213; else {
       set32(49 * 4 | 0, i183 | 0);
       i1257 = i213;
      }
     } else {
      i213 = i227 + 30 | 0;
      if (get8(i213 >> 0 | 0) | 0) {
       i1255 = 0;
       break L8764;
      }
      do if (get8(i227 + 234 >> 0 | 0) | 0) {
       if ((getU16(i227 + 232 | 0) | 0) < (i178 | 0)) {
        i183 = i227 + 248 | 0;
        set32(i183 | 0, (get32(i183 | 0) | 0) + 1 | 0);
        break;
       }
       i183 = i227 + 256 | 0;
       i189 = get32(i183 | 0) | 0;
       if (!i189) {
        i174 = i227 + 252 | 0;
        set32(i174 | 0, (get32(i174 | 0) | 0) + 1 | 0);
        break;
       }
       set32(i183 | 0, get32(i189 | 0) | 0);
       i183 = i227 + 236 | 0;
       i174 = get32(i183 | 0) | 0;
       i175 = i174 + 1 | 0;
       set32(i183 | 0, i175 | 0);
       i183 = i227 + 244 | 0;
       set32(i183 | 0, (get32(i183 | 0) | 0) + 1 | 0);
       i183 = i227 + 240 | 0;
       if ((i174 | 0) >= (get32(i183 | 0) | 0)) set32(i183 | 0, i175 | 0);
       i1256 = i189;
       i157 = 6157;
       break L8766;
      } while (0);
      do if (i225 >>> 0 <= 2147483390) {
       if (!(get32(50 * 4 | 0) | 0)) {
        i151 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i178) | 0;
        if (!i151) break; else {
         i1257 = i151;
         break L8766;
        }
       }
       i151 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i178) | 0;
       set32(35 * 4 | 0, i178 | 0);
       if ((get32(45 * 4 | 0) | 0) < (i178 | 0)) set32(45 * 4 | 0, i178 | 0);
       i189 = get32(6 * 4 | 0) | 0;
       do if (i189) {
        i175 = get32(30 * 4 | 0) | 0;
        i183 = ((i175 | 0) < 0) << 31 >> 31;
        i174 = 16;
        i161 = _i64Subtract(get32(i174 | 0) | 0, get32(i174 + 4 | 0) | 0, i151 | 0, ((i151 | 0) < 0) << 31 >> 31 | 0) | 0;
        i174 = tempRet0;
        if ((i183 | 0) < (i174 | 0) | (i183 | 0) == (i174 | 0) & i175 >>> 0 < i161 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i161 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i189 & 15](i161, i175, i183, i151);
         set32(6 * 4 | 0, i189 | 0);
         set32(7 * 4 | 0, i161 | 0);
         break;
        }
       } while (0);
       i189 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i151) | 0;
       if (i189) {
        i888 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i189) | 0;
        i161 = (get32(30 * 4 | 0) | 0) + i888 | 0;
        set32(30 * 4 | 0, i161 | 0);
        if ((i161 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i161 | 0);
        i161 = get32(39 * 4 | 0) | 0;
        i888 = i161 + 1 | 0;
        set32(39 * 4 | 0, i888 | 0);
        if ((i161 | 0) < (get32(49 * 4 | 0) | 0)) {
         i1257 = i189;
         break L8766;
        }
        set32(49 * 4 | 0, i888 | 0);
        i1257 = i189;
        break L8766;
       }
      } while (0);
      set8(i213 >> 0 | 0, 1 | 0);
      i1255 = 0;
      break L8764;
     } while (0);
     if ((i157 | 0) == 6157) if (!i1256) {
      i1255 = 0;
      break;
     } else i1257 = i1256;
     _memcpy(i1257 | 0, i158 | 0, i225 | 0) | 0;
     set8(i1257 + i225 >> 0 | 0, 0 | 0);
     i178 = get8(i1257 >> 0 | 0) | 0;
     switch (i178 << 24 >> 24 | 0) {
     case 96:
     case 34:
     case 39:
      {
       i1258 = i178;
       break;
      }
     case 91:
      {
       i1258 = 93;
       break;
      }
     default:
      {
       i1255 = i1257;
       break L8764;
      }
     }
     i178 = get8(i1257 + 1 >> 0 | 0) | 0;
     L8826 : do if (!(i178 << 24 >> 24)) i1259 = 0; else {
      i189 = i178;
      i888 = 1;
      i161 = 0;
      while (1) {
       if (i189 << 24 >> 24 == i1258 << 24 >> 24) {
        i183 = i888 + 1 | 0;
        if ((get8(i1257 + i183 >> 0 | 0) | 0) != i1258 << 24 >> 24) {
         i1259 = i161;
         break L8826;
        }
        set8(i1257 + i161 >> 0 | 0, i1258 | 0);
        i1260 = i183;
       } else {
        set8(i1257 + i161 >> 0 | 0, i189 | 0);
        i1260 = i888;
       }
       i183 = i161 + 1 | 0;
       i888 = i1260 + 1 | 0;
       i189 = get8(i1257 + i888 >> 0 | 0) | 0;
       if (!(i189 << 24 >> 24)) {
        i1259 = i183;
        break;
       } else i161 = i183;
      }
     } while (0);
     set8(i1257 + i1259 >> 0 | 0, 0 | 0);
     i1255 = i1257;
    } while (0);
    i225 = get32(i177 | 0) | 0;
    i158 = i225 + 1 | 0;
    set32(i177 | 0, i158 | 0);
    i178 = i160 + 60 | 0;
    i161 = _sqlite3DbRealloc(i227, get32(i178 | 0) | 0, (i225 << 2) + 8 | 0) | 0;
    if (!i161) {
     if ((i225 | 0) > 0) {
      i189 = 0;
      do {
       _sqlite3DbFree(i227, get32((get32(i178 | 0) | 0) + (i189 << 2) | 0) | 0);
       i189 = i189 + 1 | 0;
      } while ((i189 | 0) != (i225 | 0));
     }
     _sqlite3DbFree(i227, i1255);
     _sqlite3DbFree(i227, get32(i178 | 0) | 0);
     set32(i177 | 0, 0 | 0);
    } else {
     set32(i161 + (i225 << 2) | 0, i1255 | 0);
     set32(i161 + (i158 << 2) | 0, 0 | 0);
    }
    set32(i178 | 0, i161 | 0);
    i189 = get32((get32(i227 + 8 | 0) | 0) + (i1254 << 4) | 0) | 0;
    L8844 : do if (!i189) i1261 = 0; else {
     i888 = i189;
     while (1) if (!(get8(i888 >> 0 | 0) | 0)) {
      i1262 = i888;
      break;
     } else i888 = i888 + 1 | 0;
     i888 = (i1262 - i189 & 1073741823) + 1 | 0;
     L8848 : do if (!i227) {
      if (!(get32(50 * 4 | 0) | 0)) {
       i1263 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i888) | 0;
       i157 = 6211;
       break;
      }
      i213 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i888) | 0;
      set32(35 * 4 | 0, i888 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i888 | 0)) set32(45 * 4 | 0, i888 | 0);
      i183 = get32(6 * 4 | 0) | 0;
      do if (i183) {
       i175 = get32(30 * 4 | 0) | 0;
       i174 = ((i175 | 0) < 0) << 31 >> 31;
       i181 = 16;
       i188 = _i64Subtract(get32(i181 | 0) | 0, get32(i181 + 4 | 0) | 0, i213 | 0, ((i213 | 0) < 0) << 31 >> 31 | 0) | 0;
       i181 = tempRet0;
       if ((i174 | 0) < (i181 | 0) | (i174 | 0) == (i181 | 0) & i175 >>> 0 < i188 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i188 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i183 & 15](i188, i175, i174, i213);
        set32(6 * 4 | 0, i183 | 0);
        set32(7 * 4 | 0, i188 | 0);
        break;
       }
      } while (0);
      i183 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i213) | 0;
      if (!i183) {
       i1261 = 0;
       break L8844;
      }
      i188 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i183) | 0;
      i174 = (get32(30 * 4 | 0) | 0) + i188 | 0;
      set32(30 * 4 | 0, i174 | 0);
      if ((i174 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i174 | 0);
      i174 = get32(39 * 4 | 0) | 0;
      i188 = i174 + 1 | 0;
      set32(39 * 4 | 0, i188 | 0);
      if ((i174 | 0) < (get32(49 * 4 | 0) | 0)) i1264 = i183; else {
       set32(49 * 4 | 0, i188 | 0);
       i1264 = i183;
      }
     } else {
      i183 = i227 + 30 | 0;
      if (get8(i183 >> 0 | 0) | 0) {
       i1261 = 0;
       break L8844;
      }
      do if (get8(i227 + 234 >> 0 | 0) | 0) {
       if ((getU16(i227 + 232 | 0) | 0) >>> 0 < i888 >>> 0) {
        i188 = i227 + 248 | 0;
        set32(i188 | 0, (get32(i188 | 0) | 0) + 1 | 0);
        break;
       }
       i188 = i227 + 256 | 0;
       i174 = get32(i188 | 0) | 0;
       if (!i174) {
        i175 = i227 + 252 | 0;
        set32(i175 | 0, (get32(i175 | 0) | 0) + 1 | 0);
        break;
       }
       set32(i188 | 0, get32(i174 | 0) | 0);
       i188 = i227 + 236 | 0;
       i175 = get32(i188 | 0) | 0;
       i181 = i175 + 1 | 0;
       set32(i188 | 0, i181 | 0);
       i188 = i227 + 244 | 0;
       set32(i188 | 0, (get32(i188 | 0) | 0) + 1 | 0);
       i188 = i227 + 240 | 0;
       if ((i175 | 0) >= (get32(i188 | 0) | 0)) set32(i188 | 0, i181 | 0);
       i1263 = i174;
       i157 = 6211;
       break L8848;
      } while (0);
      if (!(get32(50 * 4 | 0) | 0)) {
       i213 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i888) | 0;
       if (i213) {
        i1264 = i213;
        break;
       }
      } else {
       i213 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i888) | 0;
       set32(35 * 4 | 0, i888 | 0);
       if ((get32(45 * 4 | 0) | 0) < (i888 | 0)) set32(45 * 4 | 0, i888 | 0);
       i174 = get32(6 * 4 | 0) | 0;
       do if (i174) {
        i181 = get32(30 * 4 | 0) | 0;
        i188 = ((i181 | 0) < 0) << 31 >> 31;
        i175 = 16;
        i159 = _i64Subtract(get32(i175 | 0) | 0, get32(i175 + 4 | 0) | 0, i213 | 0, ((i213 | 0) < 0) << 31 >> 31 | 0) | 0;
        i175 = tempRet0;
        if ((i188 | 0) < (i175 | 0) | (i188 | 0) == (i175 | 0) & i181 >>> 0 < i159 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i159 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i174 & 15](i159, i181, i188, i213);
         set32(6 * 4 | 0, i174 | 0);
         set32(7 * 4 | 0, i159 | 0);
         break;
        }
       } while (0);
       i174 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i213) | 0;
       if (i174) {
        i159 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i174) | 0;
        i188 = (get32(30 * 4 | 0) | 0) + i159 | 0;
        set32(30 * 4 | 0, i188 | 0);
        if ((i188 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i188 | 0);
        i188 = get32(39 * 4 | 0) | 0;
        i159 = i188 + 1 | 0;
        set32(39 * 4 | 0, i159 | 0);
        if ((i188 | 0) < (get32(49 * 4 | 0) | 0)) {
         i1264 = i174;
         break;
        }
        set32(49 * 4 | 0, i159 | 0);
        i1264 = i174;
        break;
       }
      }
      set8(i183 >> 0 | 0, 1 | 0);
      i1261 = 0;
      break L8844;
     } while (0);
     if ((i157 | 0) == 6211) if (!i1263) {
      i1261 = 0;
      break;
     } else i1264 = i1263;
     _memcpy(i1264 | 0, i189 | 0, i888 | 0) | 0;
     i1261 = i1264;
    } while (0);
    i189 = get32(i177 | 0) | 0;
    i161 = i189 + 1 | 0;
    set32(i177 | 0, i161 | 0);
    i158 = _sqlite3DbRealloc(i227, get32(i178 | 0) | 0, (i189 << 2) + 8 | 0) | 0;
    if (!i158) {
     if ((i189 | 0) > 0) {
      i225 = 0;
      do {
       _sqlite3DbFree(i227, get32((get32(i178 | 0) | 0) + (i225 << 2) | 0) | 0);
       i225 = i225 + 1 | 0;
      } while ((i225 | 0) != (i189 | 0));
     }
     _sqlite3DbFree(i227, i1261);
     _sqlite3DbFree(i227, get32(i178 | 0) | 0);
     set32(i177 | 0, 0 | 0);
    } else {
     set32(i158 + (i189 << 2) | 0, i1261 | 0);
     set32(i158 + (i161 << 2) | 0, 0 | 0);
    }
    set32(i178 | 0, i158 | 0);
    i225 = get32(i160 | 0) | 0;
    L8911 : do if (!i225) i1265 = 0; else {
     i174 = i225;
     while (1) if (!(get8(i174 >> 0 | 0) | 0)) {
      i1266 = i174;
      break;
     } else i174 = i174 + 1 | 0;
     i174 = (i1266 - i225 & 1073741823) + 1 | 0;
     L8915 : do if (!i227) {
      if (!(get32(50 * 4 | 0) | 0)) {
       i1267 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i174) | 0;
       i157 = 6257;
       break;
      }
      i888 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i174) | 0;
      set32(35 * 4 | 0, i174 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i174 | 0)) set32(45 * 4 | 0, i174 | 0);
      i159 = get32(6 * 4 | 0) | 0;
      do if (i159) {
       i188 = get32(30 * 4 | 0) | 0;
       i181 = ((i188 | 0) < 0) << 31 >> 31;
       i175 = 16;
       i163 = _i64Subtract(get32(i175 | 0) | 0, get32(i175 + 4 | 0) | 0, i888 | 0, ((i888 | 0) < 0) << 31 >> 31 | 0) | 0;
       i175 = tempRet0;
       if ((i181 | 0) < (i175 | 0) | (i181 | 0) == (i175 | 0) & i188 >>> 0 < i163 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i163 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i159 & 15](i163, i188, i181, i888);
        set32(6 * 4 | 0, i159 | 0);
        set32(7 * 4 | 0, i163 | 0);
        break;
       }
      } while (0);
      i159 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i888) | 0;
      if (!i159) {
       i1265 = 0;
       break L8911;
      }
      i183 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i159) | 0;
      i213 = (get32(30 * 4 | 0) | 0) + i183 | 0;
      set32(30 * 4 | 0, i213 | 0);
      if ((i213 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i213 | 0);
      i213 = get32(39 * 4 | 0) | 0;
      i183 = i213 + 1 | 0;
      set32(39 * 4 | 0, i183 | 0);
      if ((i213 | 0) < (get32(49 * 4 | 0) | 0)) i1268 = i159; else {
       set32(49 * 4 | 0, i183 | 0);
       i1268 = i159;
      }
     } else {
      i159 = i227 + 30 | 0;
      if (get8(i159 >> 0 | 0) | 0) {
       i1265 = 0;
       break L8911;
      }
      do if (get8(i227 + 234 >> 0 | 0) | 0) {
       if ((getU16(i227 + 232 | 0) | 0) >>> 0 < i174 >>> 0) {
        i183 = i227 + 248 | 0;
        set32(i183 | 0, (get32(i183 | 0) | 0) + 1 | 0);
        break;
       }
       i183 = i227 + 256 | 0;
       i213 = get32(i183 | 0) | 0;
       if (!i213) {
        i163 = i227 + 252 | 0;
        set32(i163 | 0, (get32(i163 | 0) | 0) + 1 | 0);
        break;
       }
       set32(i183 | 0, get32(i213 | 0) | 0);
       i183 = i227 + 236 | 0;
       i163 = get32(i183 | 0) | 0;
       i181 = i163 + 1 | 0;
       set32(i183 | 0, i181 | 0);
       i183 = i227 + 244 | 0;
       set32(i183 | 0, (get32(i183 | 0) | 0) + 1 | 0);
       i183 = i227 + 240 | 0;
       if ((i163 | 0) >= (get32(i183 | 0) | 0)) set32(i183 | 0, i181 | 0);
       i1267 = i213;
       i157 = 6257;
       break L8915;
      } while (0);
      if (!(get32(50 * 4 | 0) | 0)) {
       i888 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i174) | 0;
       if (i888) {
        i1268 = i888;
        break;
       }
      } else {
       i888 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i174) | 0;
       set32(35 * 4 | 0, i174 | 0);
       if ((get32(45 * 4 | 0) | 0) < (i174 | 0)) set32(45 * 4 | 0, i174 | 0);
       i213 = get32(6 * 4 | 0) | 0;
       do if (i213) {
        i181 = get32(30 * 4 | 0) | 0;
        i183 = ((i181 | 0) < 0) << 31 >> 31;
        i163 = 16;
        i188 = _i64Subtract(get32(i163 | 0) | 0, get32(i163 + 4 | 0) | 0, i888 | 0, ((i888 | 0) < 0) << 31 >> 31 | 0) | 0;
        i163 = tempRet0;
        if ((i183 | 0) < (i163 | 0) | (i183 | 0) == (i163 | 0) & i181 >>> 0 < i188 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i188 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i213 & 15](i188, i181, i183, i888);
         set32(6 * 4 | 0, i213 | 0);
         set32(7 * 4 | 0, i188 | 0);
         break;
        }
       } while (0);
       i213 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i888) | 0;
       if (i213) {
        i188 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i213) | 0;
        i183 = (get32(30 * 4 | 0) | 0) + i188 | 0;
        set32(30 * 4 | 0, i183 | 0);
        if ((i183 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i183 | 0);
        i183 = get32(39 * 4 | 0) | 0;
        i188 = i183 + 1 | 0;
        set32(39 * 4 | 0, i188 | 0);
        if ((i183 | 0) < (get32(49 * 4 | 0) | 0)) {
         i1268 = i213;
         break;
        }
        set32(49 * 4 | 0, i188 | 0);
        i1268 = i213;
        break;
       }
      }
      set8(i159 >> 0 | 0, 1 | 0);
      i1265 = 0;
      break L8911;
     } while (0);
     if ((i157 | 0) == 6257) if (!i1267) {
      i1265 = 0;
      break;
     } else i1268 = i1267;
     _memcpy(i1268 | 0, i225 | 0, i174 | 0) | 0;
     i1265 = i1268;
    } while (0);
    i225 = get32(i177 | 0) | 0;
    i158 = i225 + 1 | 0;
    set32(i177 | 0, i158 | 0);
    i161 = _sqlite3DbRealloc(i227, get32(i178 | 0) | 0, (i225 << 2) + 8 | 0) | 0;
    i189 = (i161 | 0) == 0;
    if (i189) {
     if ((i225 | 0) > 0) {
      i213 = 0;
      do {
       _sqlite3DbFree(i227, get32((get32(i178 | 0) | 0) + (i213 << 2) | 0) | 0);
       i213 = i213 + 1 | 0;
      } while ((i213 | 0) != (i225 | 0));
     }
     _sqlite3DbFree(i227, i1265);
     _sqlite3DbFree(i227, get32(i178 | 0) | 0);
     set32(i177 | 0, 0 | 0);
    } else {
     set32(i161 + (i225 << 2) | 0, i1265 | 0);
     set32(i161 + (i158 << 2) | 0, 0 | 0);
    }
    set32(i178 | 0, i161 | 0);
    set32(i149 + 492 | 0, (get32(i155 | 0) | 0) + (get32(i176 | 0) | 0) - (get32(i152 | 0) | 0) | 0);
    if (((!i189 ? (i213 = get32(i160 | 0) | 0, i188 = get32(i161 | 0) | 0, i183 = get32(i149 | 0) | 0, i181 = get32((get32(i183 + 8 | 0) | 0) + (i1254 << 4) | 0) | 0, (get8(i183 + 124 >> 0 | 0) | 0) == 0) : 0) ? (get8(i149 + 528 >> 0 | 0) | 0) == 0 : 0) ? (i163 = get32(i183 + 268 | 0) | 0, (i163 | 0) != 0) : 0) switch (FUNCTION_TABLE_iiiiiii[i163 & 3](get32(i183 + 272 | 0) | 0, 29, i213, i188, i181, get32(i149 + 516 | 0) | 0) | 0) {
    case 0:
    case 2:
     {
      break L1;
      break;
     }
    case 1:
     {
      _sqlite3ErrorMsg(i149, 26149, i5);
      set32(i149 + 4 | 0, 23 | 0);
      break L1;
      break;
     }
    default:
     {
      _sqlite3ErrorMsg(i149, 29155, i4);
      set32(i149 + 4 | 0, 1 | 0);
      break L1;
     }
    }
   }
   break;
  }
 case 321:
  {
   i181 = i149 + 520 | 0;
   i188 = get32(i181 | 0) | 0;
   if ((i188 | 0) != 0 ? (i213 = get32(i149 + 508 | 0) | 0, (i213 | 0) != 0) : 0) {
    i183 = get32(i149 + 524 | 0) | 0;
    i163 = get32(i149 | 0) | 0;
    i175 = i183 + 1 | 0;
    L8989 : do if (!i163) if (i183 >>> 0 <= 2147483390) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i1269 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i175) | 0;
      i157 = 6312;
      break;
     }
     i979 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i175) | 0;
     set32(35 * 4 | 0, i175 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i175 | 0)) set32(45 * 4 | 0, i175 | 0);
     i889 = get32(6 * 4 | 0) | 0;
     do if (i889) {
      i210 = get32(30 * 4 | 0) | 0;
      i173 = ((i210 | 0) < 0) << 31 >> 31;
      i179 = 16;
      i154 = _i64Subtract(get32(i179 | 0) | 0, get32(i179 + 4 | 0) | 0, i979 | 0, ((i979 | 0) < 0) << 31 >> 31 | 0) | 0;
      i179 = tempRet0;
      if ((i173 | 0) < (i179 | 0) | (i173 | 0) == (i179 | 0) & i210 >>> 0 < i154 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i154 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i889 & 15](i154, i210, i173, i979);
       set32(6 * 4 | 0, i889 | 0);
       set32(7 * 4 | 0, i154 | 0);
       break;
      }
     } while (0);
     i889 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i979) | 0;
     if (i889) {
      i174 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i889) | 0;
      i154 = (get32(30 * 4 | 0) | 0) + i174 | 0;
      set32(30 * 4 | 0, i154 | 0);
      if ((i154 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i154 | 0);
      i154 = get32(39 * 4 | 0) | 0;
      i174 = i154 + 1 | 0;
      set32(39 * 4 | 0, i174 | 0);
      if ((i154 | 0) < (get32(49 * 4 | 0) | 0)) {
       i1270 = i889;
       i157 = 6313;
      } else {
       set32(49 * 4 | 0, i174 | 0);
       i1270 = i889;
       i157 = 6313;
      }
     } else i1271 = 0;
    } else i1271 = 0; else {
     i889 = i163 + 30 | 0;
     if (!(get8(i889 >> 0 | 0) | 0)) {
      do if (get8(i163 + 234 >> 0 | 0) | 0) {
       if ((getU16(i163 + 232 | 0) | 0) < (i175 | 0)) {
        i174 = i163 + 248 | 0;
        set32(i174 | 0, (get32(i174 | 0) | 0) + 1 | 0);
        break;
       }
       i174 = i163 + 256 | 0;
       i154 = get32(i174 | 0) | 0;
       if (!i154) {
        i173 = i163 + 252 | 0;
        set32(i173 | 0, (get32(i173 | 0) | 0) + 1 | 0);
        break;
       }
       set32(i174 | 0, get32(i154 | 0) | 0);
       i174 = i163 + 236 | 0;
       i173 = get32(i174 | 0) | 0;
       i210 = i173 + 1 | 0;
       set32(i174 | 0, i210 | 0);
       i174 = i163 + 244 | 0;
       set32(i174 | 0, (get32(i174 | 0) | 0) + 1 | 0);
       i174 = i163 + 240 | 0;
       if ((i173 | 0) >= (get32(i174 | 0) | 0)) set32(i174 | 0, i210 | 0);
       i1269 = i154;
       i157 = 6312;
       break L8989;
      } while (0);
      do if (i183 >>> 0 <= 2147483390) {
       if (!(get32(50 * 4 | 0) | 0)) {
        i979 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i175) | 0;
        if (!i979) break; else {
         i1270 = i979;
         i157 = 6313;
         break L8989;
        }
       }
       i979 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i175) | 0;
       set32(35 * 4 | 0, i175 | 0);
       if ((get32(45 * 4 | 0) | 0) < (i175 | 0)) set32(45 * 4 | 0, i175 | 0);
       i154 = get32(6 * 4 | 0) | 0;
       do if (i154) {
        i210 = get32(30 * 4 | 0) | 0;
        i174 = ((i210 | 0) < 0) << 31 >> 31;
        i173 = 16;
        i179 = _i64Subtract(get32(i173 | 0) | 0, get32(i173 + 4 | 0) | 0, i979 | 0, ((i979 | 0) < 0) << 31 >> 31 | 0) | 0;
        i173 = tempRet0;
        if ((i174 | 0) < (i173 | 0) | (i174 | 0) == (i173 | 0) & i210 >>> 0 < i179 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i179 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i154 & 15](i179, i210, i174, i979);
         set32(6 * 4 | 0, i154 | 0);
         set32(7 * 4 | 0, i179 | 0);
         break;
        }
       } while (0);
       i154 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i979) | 0;
       if (i154) {
        i159 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i154) | 0;
        i888 = (get32(30 * 4 | 0) | 0) + i159 | 0;
        set32(30 * 4 | 0, i888 | 0);
        if ((i888 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i888 | 0);
        i888 = get32(39 * 4 | 0) | 0;
        i159 = i888 + 1 | 0;
        set32(39 * 4 | 0, i159 | 0);
        if ((i888 | 0) < (get32(49 * 4 | 0) | 0)) {
         i1270 = i154;
         i157 = 6313;
         break L8989;
        }
        set32(49 * 4 | 0, i159 | 0);
        i1270 = i154;
        i157 = 6313;
        break L8989;
       }
      } while (0);
      set8(i889 >> 0 | 0, 1 | 0);
      i1271 = 0;
     } else i1271 = 0;
    } while (0);
    if ((i157 | 0) == 6312) if (!i1269) i1271 = 0; else {
     i1270 = i1269;
     i157 = 6313;
    }
    if ((i157 | 0) == 6313) {
     _memcpy(i1270 | 0, i188 | 0, i183 | 0) | 0;
     set8(i1270 + i183 >> 0 | 0, 0 | 0);
     i1271 = i1270;
    }
    i175 = i213 + 56 | 0;
    i161 = get32(i175 | 0) | 0;
    i160 = i161 + 1 | 0;
    set32(i175 | 0, i160 | 0);
    i189 = i213 + 60 | 0;
    i152 = _sqlite3DbRealloc(i163, get32(i189 | 0) | 0, (i161 << 2) + 8 | 0) | 0;
    if (!i152) {
     if ((i161 | 0) > 0) {
      i176 = 0;
      do {
       _sqlite3DbFree(i163, get32((get32(i189 | 0) | 0) + (i176 << 2) | 0) | 0);
       i176 = i176 + 1 | 0;
      } while ((i176 | 0) != (i161 | 0));
     }
     _sqlite3DbFree(i163, i1271);
     _sqlite3DbFree(i163, get32(i189 | 0) | 0);
     set32(i175 | 0, 0 | 0);
    } else {
     set32(i152 + (i161 << 2) | 0, i1271 | 0);
     set32(i152 + (i160 << 2) | 0, 0 | 0);
    }
    set32(i189 | 0, i152 | 0);
   }
   set32(i181 | 0, 0 | 0);
   set32(i149 + 524 | 0, 0 | 0);
   break;
  }
 case 325:
 case 324:
 case 323:
  {
   i176 = i1 + 12 + (i150 << 4) + 4 | 0;
   i213 = i149 + 520 | 0;
   i183 = get32(i213 | 0) | 0;
   i188 = get32(i1 + 12 + (i150 << 4) + 8 | 0) | 0;
   if (!i183) {
    set32(i213 | 0, get32(i176 | 0) | 0);
    i1272 = i188;
   } else i1272 = (get32(i176 | 0) | 0) + i188 - i183 | 0;
   set32(i149 + 524 | 0, i1272 | 0);
   break;
  }
 default:
  {}
 } while (0);
 i1272 = get8(28491 + (i2 << 1) >> 0 | 0) | 0;
 i149 = i1272 & 255;
 i1271 = get8(28491 + (i2 << 1) + 1 >> 0 | 0) | 0;
 i2 = i1271 & 255;
 i1270 = (get32(i1 | 0) | 0) - i2 | 0;
 set32(i1 | 0, i1270 | 0);
 i157 = get16(12530 + ((get16(15644 + (getU16(i1 + 12 + (i150 - i2 << 4) | 0) << 1) | 0) | 0) + i149 << 1) | 0) | 0;
 i1269 = i157 & 65535;
 if ((i157 & 65535) < 630) if (!(i1271 << 24 >> 24)) {
  _yy_shift(i1, i1269, i149, i144);
  STACKTOP = i3;
  return;
 } else {
  set32(i1 | 0, i1270 + 1 | 0);
  i149 = 1 - i2 + i150 | 0;
  set16(i1 + 12 + (i149 << 4) | 0, i157 | 0);
  set8(i1 + 12 + (i149 << 4) + 2 >> 0 | 0, i1272 | 0);
  i1272 = i1 + 12 + (i149 << 4) + 4 | 0;
  set32(i1272 | 0, get32(i144 | 0) | 0);
  set32(i1272 + 4 | 0, get32(i144 + 4 | 0) | 0);
  set32(i1272 + 8 | 0, get32(i144 + 8 | 0) | 0);
  STACKTOP = i3;
  return;
 } else {
  i144 = get32(i148 | 0) | 0;
  if ((i1270 | 0) > -1 ? (_yy_destructor(i144, get8(i1 + 12 + (i1270 << 4) + 2 >> 0 | 0) | 0, i1 + 12 + (i1270 << 4) + 4 | 0), i1270 = get32(i1 | 0) | 0, i1272 = i1270 + -1 | 0, set32(i1 | 0, i1272 | 0), (i1270 | 0) > 0) : 0) {
   i1270 = i1272;
   do {
    _yy_destructor(get32(i148 | 0) | 0, get8(i1 + 12 + (i1270 << 4) + 2 >> 0 | 0) | 0, i1 + 12 + (i1270 << 4) + 4 | 0);
    i1272 = get32(i1 | 0) | 0;
    i1270 = i1272 + -1 | 0;
    set32(i1 | 0, i1270 | 0);
   } while ((i1272 | 0) > 0);
  }
  set32(i148 | 0, i144 | 0);
  STACKTOP = i3;
  return;
 }
}
function _sqlite3VdbeExec(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0, i80 = 0, i81 = 0, i82 = 0, i83 = 0, i84 = 0, i85 = 0, i86 = 0, i87 = 0, i88 = 0, i89 = 0, i90 = 0, i91 = 0, i92 = 0, i93 = 0, i94 = 0, i95 = 0, i96 = 0, i97 = 0, i98 = 0, i99 = 0, i100 = 0, i101 = 0, i102 = 0, i103 = 0, i104 = 0, i105 = 0, i106 = 0, i107 = 0, i108 = 0, i109 = 0, i110 = 0, i111 = 0, i112 = 0, i113 = 0, i114 = 0, i115 = 0, i116 = 0, i117 = 0, i118 = 0, i119 = 0, i120 = 0, i121 = 0, i122 = 0, i123 = 0, i124 = 0, i125 = 0, i126 = 0, i127 = 0, i128 = 0, i129 = 0, i130 = 0, i131 = 0, i132 = 0, i133 = 0, i134 = 0, i135 = 0, i136 = 0, i137 = 0, i138 = 0, i139 = 0, i140 = 0, i141 = 0, i142 = 0, i143 = 0, i144 = 0, i145 = 0, i146 = 0, i147 = 0, i148 = 0, i149 = 0, i150 = 0, i151 = 0, i152 = 0, i153 = 0, i154 = 0, i155 = 0, i156 = 0, i157 = 0, i158 = 0, i159 = 0, i160 = 0, i161 = 0, i162 = 0, i163 = 0, i164 = 0, i165 = 0, i166 = 0, i167 = 0, i168 = 0, i169 = 0, i170 = 0, i171 = 0, i172 = 0, i173 = 0, i174 = 0, i175 = 0, i176 = 0, i177 = 0, i178 = 0, i179 = 0, i180 = 0, i181 = 0, i182 = 0, i183 = 0, i184 = 0, i185 = 0, i186 = 0, i187 = 0, i188 = 0, i189 = 0, i190 = 0, i191 = 0, i192 = 0, i193 = 0, i194 = 0, i195 = 0, i196 = 0, i197 = 0, i198 = 0, i199 = 0, i200 = 0, i201 = 0, i202 = 0, i203 = 0, i204 = 0, i205 = 0, i206 = 0, i207 = 0, i208 = 0, i209 = 0, i210 = 0, i211 = 0, i212 = 0, i213 = 0, i214 = 0, i215 = 0, i216 = 0, i217 = 0, i218 = 0, i219 = 0, i220 = 0, i221 = 0, i222 = 0, i223 = 0, i224 = 0, i225 = 0, i226 = 0, i227 = 0, i228 = 0, i229 = 0, i230 = 0, i231 = 0, i232 = 0, i233 = 0, i234 = 0, i235 = 0, i236 = 0, i237 = 0, i238 = 0, i239 = 0, i240 = 0, i241 = 0, i242 = 0, i243 = 0, i244 = 0, i245 = 0, i246 = 0, i247 = 0, i248 = 0, i249 = 0, i250 = 0, i251 = 0, i252 = 0, i253 = 0, i254 = 0, i255 = 0, i256 = 0, i257 = 0, i258 = 0, i259 = 0, i260 = 0, i261 = 0, i262 = 0, i263 = 0, i264 = 0, i265 = 0, i266 = 0, i267 = 0, i268 = 0, i269 = 0, i270 = 0, i271 = 0, i272 = 0, i273 = 0, i274 = 0, i275 = 0, i276 = 0, i277 = 0, i278 = 0, i279 = 0, i280 = 0, i281 = 0, i282 = 0, i283 = 0, i284 = 0, i285 = 0, i286 = 0, i287 = 0, i288 = 0, i289 = 0, i290 = 0, i291 = 0, i292 = 0, i293 = 0, i294 = 0, i295 = 0, i296 = 0, i297 = 0, i298 = 0, i299 = 0, i300 = 0, i301 = 0, i302 = 0, i303 = 0, i304 = 0, i305 = 0, i306 = 0, i307 = 0, i308 = 0, i309 = 0, i310 = 0, i311 = 0, i312 = 0, i313 = 0, i314 = 0, i315 = 0, i316 = 0, i317 = 0, i318 = 0, i319 = 0, i320 = 0, i321 = 0, i322 = 0, i323 = 0, i324 = 0, i325 = 0, i326 = 0, i327 = 0, i328 = 0, i329 = 0, i330 = 0, i331 = 0, i332 = 0, i333 = 0, i334 = 0, i335 = 0, i336 = 0, i337 = 0, i338 = 0, i339 = 0, i340 = 0, i341 = 0, i342 = 0, i343 = 0, i344 = 0, i345 = 0, i346 = 0, i347 = 0, i348 = 0, i349 = 0, i350 = 0, i351 = 0, i352 = 0, i353 = 0, i354 = 0, i355 = 0, i356 = 0, i357 = 0, i358 = 0, i359 = 0, i360 = 0, i361 = 0, i362 = 0, i363 = 0, i364 = 0, i365 = 0, i366 = 0, i367 = 0, i368 = 0, i369 = 0, i370 = 0, i371 = 0, i372 = 0, i373 = 0, i374 = 0, i375 = 0, i376 = 0, i377 = 0, i378 = 0, i379 = 0, i380 = 0, i381 = 0, i382 = 0, i383 = 0, i384 = 0, i385 = 0, i386 = 0, i387 = 0, i388 = 0, i389 = 0, i390 = 0, i391 = 0, i392 = 0, i393 = 0, i394 = 0, i395 = 0, i396 = 0, i397 = 0, i398 = 0, i399 = 0, i400 = 0, i401 = 0, i402 = 0, i403 = 0, i404 = 0, i405 = 0, i406 = 0, i407 = 0, i408 = 0, i409 = 0, i410 = 0, i411 = 0, i412 = 0, i413 = 0, i414 = 0, i415 = 0, i416 = 0, i417 = 0, i418 = 0, i419 = 0, i420 = 0, i421 = 0, i422 = 0, i423 = 0, i424 = 0, i425 = 0, i426 = 0, i427 = 0, i428 = 0, i429 = 0, i430 = 0, i431 = 0, i432 = 0, i433 = 0, i434 = 0, i435 = 0, i436 = 0, i437 = 0, i438 = 0, i439 = 0, i440 = 0, i441 = 0, i442 = 0, i443 = 0, i444 = 0, i445 = 0, i446 = 0, i447 = 0, i448 = 0, i449 = 0, i450 = 0, i451 = 0, i452 = 0, i453 = 0, i454 = 0, i455 = 0, i456 = 0, i457 = 0, i458 = 0, i459 = 0, i460 = 0, i461 = 0, i462 = 0, i463 = 0, i464 = 0, i465 = 0, i466 = 0, i467 = 0, i468 = 0, i469 = 0, i470 = 0, i471 = 0, i472 = 0, i473 = 0, i474 = 0, i475 = 0, i476 = 0, i477 = 0, i478 = 0, i479 = 0, i480 = 0, i481 = 0, i482 = 0, i483 = 0, i484 = 0, i485 = 0, i486 = 0, i487 = 0, i488 = 0, i489 = 0, i490 = 0, i491 = 0, i492 = 0, i493 = 0, i494 = 0, i495 = 0, i496 = 0, i497 = 0, i498 = 0, i499 = 0, i500 = 0, i501 = 0, i502 = 0, i503 = 0, i504 = 0, i505 = 0, i506 = 0, i507 = 0, i508 = 0, i509 = 0, i510 = 0, i511 = 0, i512 = 0, i513 = 0, i514 = 0, i515 = 0, i516 = 0, i517 = 0, i518 = 0, i519 = 0, i520 = 0, i521 = 0, i522 = 0, i523 = 0, i524 = 0, i525 = 0, i526 = 0, i527 = 0, i528 = 0, i529 = 0, i530 = 0, i531 = 0, i532 = 0, i533 = 0, i534 = 0, i535 = 0, i536 = 0, i537 = 0, i538 = 0, i539 = 0, i540 = 0, i541 = 0, i542 = 0, i543 = 0, i544 = 0, i545 = 0, i546 = 0, i547 = 0, i548 = 0, i549 = 0, i550 = 0, i551 = 0, i552 = 0, i553 = 0, i554 = 0, i555 = 0, i556 = 0, i557 = 0, i558 = 0, i559 = 0, i560 = 0, i561 = 0, i562 = 0, i563 = 0, i564 = 0, i565 = 0, i566 = 0, i567 = 0, i568 = 0, i569 = 0, i570 = 0, i571 = 0, i572 = 0, i573 = 0, i574 = 0, i575 = 0, i576 = 0, i577 = 0, i578 = 0, i579 = 0, i580 = 0, i581 = 0, i582 = 0, i583 = 0, i584 = 0, i585 = 0, i586 = 0, i587 = 0, i588 = 0, i589 = 0, i590 = 0, i591 = 0, i592 = 0, i593 = 0, i594 = 0, i595 = 0, i596 = 0, i597 = 0, i598 = 0, i599 = 0, i600 = 0, i601 = 0, i602 = 0, i603 = 0, i604 = 0, i605 = 0, i606 = 0, i607 = 0, i608 = 0, i609 = 0, i610 = 0, i611 = 0, i612 = 0, i613 = 0, i614 = 0, i615 = 0, i616 = 0, i617 = 0, i618 = 0, i619 = 0, i620 = 0, i621 = 0, i622 = 0, i623 = 0, i624 = 0, i625 = 0, i626 = 0, i627 = 0, i628 = 0, i629 = 0, i630 = 0, i631 = 0, i632 = 0, i633 = 0, i634 = 0, i635 = 0, i636 = 0, i637 = 0, i638 = 0, i639 = 0, i640 = 0, i641 = 0, i642 = 0, i643 = 0, i644 = 0, i645 = 0, i646 = 0, i647 = 0, i648 = 0, i649 = 0, i650 = 0, i651 = 0, i652 = 0, i653 = 0, i654 = 0, i655 = 0, i656 = 0, i657 = 0, i658 = 0, i659 = 0, i660 = 0, i661 = 0, i662 = 0, i663 = 0, i664 = 0, i665 = 0, i666 = 0, i667 = 0, i668 = 0, i669 = 0, i670 = 0, i671 = 0, i672 = 0, i673 = 0, i674 = 0, i675 = 0, i676 = 0, i677 = 0, i678 = 0, i679 = 0, i680 = 0, i681 = 0, i682 = 0, i683 = 0, i684 = 0, i685 = 0, i686 = 0, i687 = 0, i688 = 0, i689 = 0, i690 = 0, i691 = 0, i692 = 0, i693 = 0, i694 = 0, i695 = 0, i696 = 0, i697 = 0, i698 = 0, i699 = 0, i700 = 0, i701 = 0, i702 = 0, i703 = 0, i704 = 0, i705 = 0, i706 = 0, i707 = 0, i708 = 0, i709 = 0, i710 = 0, i711 = 0, i712 = 0, i713 = 0, i714 = 0, i715 = 0, i716 = 0, i717 = 0, i718 = 0, i719 = 0, i720 = 0, i721 = 0, i722 = 0, i723 = 0, i724 = 0, i725 = 0, i726 = 0, i727 = 0, i728 = 0, i729 = 0, i730 = 0, i731 = 0, i732 = 0, i733 = 0, i734 = 0, i735 = 0, i736 = 0, i737 = 0, i738 = 0, i739 = 0, i740 = 0, i741 = 0, i742 = 0, i743 = 0, i744 = 0, i745 = 0, i746 = 0, i747 = 0, i748 = 0, i749 = 0, i750 = 0, i751 = 0, i752 = 0, i753 = 0, i754 = 0, i755 = 0, i756 = 0, i757 = 0, i758 = 0, i759 = 0, i760 = 0, i761 = 0, i762 = 0, i763 = 0, i764 = 0, i765 = 0, i766 = 0, i767 = 0, i768 = 0, i769 = 0, i770 = 0, i771 = 0, i772 = 0, i773 = 0, i774 = 0, i775 = 0, i776 = 0, i777 = 0, i778 = 0, i779 = 0, i780 = 0, i781 = 0, i782 = 0, i783 = 0, i784 = 0, i785 = 0, i786 = 0, i787 = 0, i788 = 0, i789 = 0, i790 = 0, i791 = 0, i792 = 0, i793 = 0, i794 = 0, i795 = 0, i796 = 0, i797 = 0, i798 = 0, i799 = 0, i800 = 0, i801 = 0, i802 = 0, i803 = 0, i804 = 0, d805 = 0.0, i806 = 0, i807 = 0, i808 = 0, i809 = 0, i810 = 0, i811 = 0, i812 = 0, i813 = 0, i814 = 0, i815 = 0, i816 = 0, i817 = 0, i818 = 0, i819 = 0, i820 = 0, i821 = 0, i822 = 0, i823 = 0, i824 = 0, i825 = 0, i826 = 0, i827 = 0, i828 = 0, i829 = 0, i830 = 0, i831 = 0, i832 = 0, i833 = 0, i834 = 0, i835 = 0, i836 = 0, i837 = 0, i838 = 0, i839 = 0, i840 = 0, i841 = 0, i842 = 0, i843 = 0, i844 = 0, i845 = 0, i846 = 0, i847 = 0, i848 = 0, i849 = 0, i850 = 0, i851 = 0, i852 = 0, i853 = 0, i854 = 0, i855 = 0, i856 = 0, i857 = 0, i858 = 0, i859 = 0, i860 = 0, i861 = 0, i862 = 0, i863 = 0, i864 = 0, i865 = 0, i866 = 0, i867 = 0, i868 = 0, i869 = 0, i870 = 0, i871 = 0, i872 = 0, i873 = 0, i874 = 0, i875 = 0, i876 = 0, i877 = 0, i878 = 0, i879 = 0, i880 = 0, i881 = 0, i882 = 0, i883 = 0, i884 = 0, i885 = 0, i886 = 0, i887 = 0, i888 = 0, i889 = 0, i890 = 0, i891 = 0, i892 = 0, i893 = 0, i894 = 0, i895 = 0, i896 = 0, i897 = 0, i898 = 0, i899 = 0, i900 = 0, i901 = 0, i902 = 0, i903 = 0, i904 = 0, i905 = 0, i906 = 0, i907 = 0, i908 = 0, i909 = 0, i910 = 0, i911 = 0, i912 = 0, i913 = 0, i914 = 0, i915 = 0, i916 = 0, i917 = 0, i918 = 0, i919 = 0, i920 = 0, i921 = 0, i922 = 0, i923 = 0, i924 = 0, i925 = 0, i926 = 0, i927 = 0, i928 = 0, i929 = 0, i930 = 0, i931 = 0, i932 = 0, i933 = 0, i934 = 0, i935 = 0, i936 = 0, i937 = 0, i938 = 0, i939 = 0, i940 = 0, i941 = 0, i942 = 0, i943 = 0, i944 = 0, i945 = 0, i946 = 0, i947 = 0, i948 = 0, i949 = 0, i950 = 0, i951 = 0, i952 = 0, i953 = 0, i954 = 0, i955 = 0, i956 = 0, i957 = 0, i958 = 0, i959 = 0, i960 = 0, i961 = 0, i962 = 0, i963 = 0, i964 = 0, i965 = 0, i966 = 0, i967 = 0, i968 = 0, i969 = 0, i970 = 0, i971 = 0, i972 = 0, i973 = 0, i974 = 0, i975 = 0, i976 = 0, i977 = 0, i978 = 0, i979 = 0, i980 = 0, i981 = 0, i982 = 0, i983 = 0, i984 = 0, i985 = 0, i986 = 0, i987 = 0, i988 = 0, i989 = 0, i990 = 0, i991 = 0, i992 = 0, i993 = 0, i994 = 0, i995 = 0, i996 = 0, i997 = 0, i998 = 0, i999 = 0, i1000 = 0, i1001 = 0, i1002 = 0, i1003 = 0, i1004 = 0, i1005 = 0, i1006 = 0, i1007 = 0, i1008 = 0, i1009 = 0, i1010 = 0, i1011 = 0, i1012 = 0, i1013 = 0, i1014 = 0, i1015 = 0, i1016 = 0, i1017 = 0, i1018 = 0, i1019 = 0, i1020 = 0, i1021 = 0, i1022 = 0, i1023 = 0, i1024 = 0, i1025 = 0, i1026 = 0, i1027 = 0, i1028 = 0, i1029 = 0, i1030 = 0, i1031 = 0, i1032 = 0, i1033 = 0, i1034 = 0, i1035 = 0, i1036 = 0, i1037 = 0, i1038 = 0, i1039 = 0, i1040 = 0, i1041 = 0, i1042 = 0, i1043 = 0, i1044 = 0, i1045 = 0, i1046 = 0, i1047 = 0, i1048 = 0, i1049 = 0, i1050 = 0, i1051 = 0, i1052 = 0, i1053 = 0, i1054 = 0, i1055 = 0, i1056 = 0, i1057 = 0, i1058 = 0, i1059 = 0, i1060 = 0, i1061 = 0, i1062 = 0, i1063 = 0, i1064 = 0, i1065 = 0, i1066 = 0, i1067 = 0, i1068 = 0, i1069 = 0, i1070 = 0, i1071 = 0, i1072 = 0, i1073 = 0, i1074 = 0, i1075 = 0, i1076 = 0, i1077 = 0, i1078 = 0, i1079 = 0, i1080 = 0, i1081 = 0, i1082 = 0, i1083 = 0, i1084 = 0, i1085 = 0, i1086 = 0, i1087 = 0, i1088 = 0, i1089 = 0, i1090 = 0, i1091 = 0, i1092 = 0, i1093 = 0, i1094 = 0, i1095 = 0, i1096 = 0, i1097 = 0, i1098 = 0, i1099 = 0, i1100 = 0, i1101 = 0, i1102 = 0, i1103 = 0, d1104 = 0.0, d1105 = 0.0, d1106 = 0.0, d1107 = 0.0, i1108 = 0, i1109 = 0, i1110 = 0, i1111 = 0, i1112 = 0, i1113 = 0, i1114 = 0, i1115 = 0, i1116 = 0, i1117 = 0, i1118 = 0, i1119 = 0, i1120 = 0, i1121 = 0, i1122 = 0, i1123 = 0, i1124 = 0, i1125 = 0, i1126 = 0, i1127 = 0, i1128 = 0, d1129 = 0.0, i1130 = 0, i1131 = 0, i1132 = 0, d1133 = 0.0, i1134 = 0, i1135 = 0, i1136 = 0, d1137 = 0.0, i1138 = 0, i1139 = 0, i1140 = 0, i1141 = 0, i1142 = 0, i1143 = 0, i1144 = 0, i1145 = 0, i1146 = 0, i1147 = 0, i1148 = 0, i1149 = 0, i1150 = 0, i1151 = 0, i1152 = 0, i1153 = 0, i1154 = 0, i1155 = 0, i1156 = 0, i1157 = 0, i1158 = 0, i1159 = 0, i1160 = 0, i1161 = 0, i1162 = 0, i1163 = 0, i1164 = 0, i1165 = 0, i1166 = 0, i1167 = 0, i1168 = 0, i1169 = 0, i1170 = 0, d1171 = 0.0, i1172 = 0, i1173 = 0, i1174 = 0, i1175 = 0, i1176 = 0, i1177 = 0, i1178 = 0, i1179 = 0, i1180 = 0, i1181 = 0, i1182 = 0, i1183 = 0, i1184 = 0, i1185 = 0, i1186 = 0, i1187 = 0, i1188 = 0, i1189 = 0, i1190 = 0, i1191 = 0, i1192 = 0, i1193 = 0, i1194 = 0, i1195 = 0, i1196 = 0, i1197 = 0, i1198 = 0, i1199 = 0, i1200 = 0, i1201 = 0, i1202 = 0, i1203 = 0, i1204 = 0, i1205 = 0, i1206 = 0, i1207 = 0, i1208 = 0, i1209 = 0, i1210 = 0, i1211 = 0, i1212 = 0, i1213 = 0, i1214 = 0, i1215 = 0, i1216 = 0, i1217 = 0, i1218 = 0, i1219 = 0, i1220 = 0, i1221 = 0, i1222 = 0, i1223 = 0, i1224 = 0, i1225 = 0, i1226 = 0, i1227 = 0, i1228 = 0, i1229 = 0, i1230 = 0, i1231 = 0, i1232 = 0, i1233 = 0, i1234 = 0, i1235 = 0, i1236 = 0, i1237 = 0, i1238 = 0, i1239 = 0, i1240 = 0, i1241 = 0, i1242 = 0, i1243 = 0, i1244 = 0, i1245 = 0, i1246 = 0, i1247 = 0, i1248 = 0, i1249 = 0, i1250 = 0, i1251 = 0, i1252 = 0, i1253 = 0, i1254 = 0, i1255 = 0, i1256 = 0, i1257 = 0, i1258 = 0, i1259 = 0, i1260 = 0, i1261 = 0, i1262 = 0, i1263 = 0, i1264 = 0, i1265 = 0, i1266 = 0, i1267 = 0, i1268 = 0, i1269 = 0, i1270 = 0, i1271 = 0, i1272 = 0, i1273 = 0, i1274 = 0, i1275 = 0, i1276 = 0, i1277 = 0, i1278 = 0, i1279 = 0, i1280 = 0, i1281 = 0, i1282 = 0, i1283 = 0, i1284 = 0, i1285 = 0, i1286 = 0, i1287 = 0, i1288 = 0, i1289 = 0, i1290 = 0, i1291 = 0, i1292 = 0, i1293 = 0, i1294 = 0, i1295 = 0, i1296 = 0, i1297 = 0, i1298 = 0, i1299 = 0, i1300 = 0, i1301 = 0, i1302 = 0, i1303 = 0, i1304 = 0, i1305 = 0, i1306 = 0, i1307 = 0, i1308 = 0, i1309 = 0, i1310 = 0, i1311 = 0, i1312 = 0, i1313 = 0, i1314 = 0, i1315 = 0, i1316 = 0, i1317 = 0, i1318 = 0, i1319 = 0, i1320 = 0, i1321 = 0, i1322 = 0, i1323 = 0, i1324 = 0, i1325 = 0, i1326 = 0, i1327 = 0, i1328 = 0, i1329 = 0, i1330 = 0, i1331 = 0, i1332 = 0, i1333 = 0, i1334 = 0, i1335 = 0, i1336 = 0, i1337 = 0, i1338 = 0, i1339 = 0, i1340 = 0, i1341 = 0, i1342 = 0, i1343 = 0, i1344 = 0, i1345 = 0, i1346 = 0, i1347 = 0, i1348 = 0, i1349 = 0, i1350 = 0, i1351 = 0, i1352 = 0, i1353 = 0, i1354 = 0, i1355 = 0, i1356 = 0, i1357 = 0, i1358 = 0, i1359 = 0, i1360 = 0, i1361 = 0, i1362 = 0, i1363 = 0, i1364 = 0, i1365 = 0, i1366 = 0, i1367 = 0, i1368 = 0, i1369 = 0, i1370 = 0, i1371 = 0, i1372 = 0, i1373 = 0, i1374 = 0, i1375 = 0, i1376 = 0, i1377 = 0, i1378 = 0, i1379 = 0, i1380 = 0, i1381 = 0, i1382 = 0, i1383 = 0, i1384 = 0, i1385 = 0, i1386 = 0, i1387 = 0, i1388 = 0, i1389 = 0, i1390 = 0, i1391 = 0, i1392 = 0, i1393 = 0, i1394 = 0, i1395 = 0, i1396 = 0, i1397 = 0, i1398 = 0, i1399 = 0, i1400 = 0, i1401 = 0, i1402 = 0, i1403 = 0, i1404 = 0, i1405 = 0, i1406 = 0, i1407 = 0, i1408 = 0, i1409 = 0, i1410 = 0, i1411 = 0, i1412 = 0, i1413 = 0, i1414 = 0, i1415 = 0, i1416 = 0, i1417 = 0, i1418 = 0, i1419 = 0, i1420 = 0, i1421 = 0, i1422 = 0, i1423 = 0, i1424 = 0, i1425 = 0, i1426 = 0, i1427 = 0, i1428 = 0, i1429 = 0, i1430 = 0, i1431 = 0, i1432 = 0, i1433 = 0, i1434 = 0, i1435 = 0, i1436 = 0, i1437 = 0, i1438 = 0, i1439 = 0, i1440 = 0, i1441 = 0, i1442 = 0, i1443 = 0, i1444 = 0, i1445 = 0, i1446 = 0, i1447 = 0, i1448 = 0, i1449 = 0, i1450 = 0, i1451 = 0, i1452 = 0, i1453 = 0, i1454 = 0, i1455 = 0, i1456 = 0, i1457 = 0, i1458 = 0, i1459 = 0, i1460 = 0, i1461 = 0, i1462 = 0, i1463 = 0, i1464 = 0, i1465 = 0, i1466 = 0, i1467 = 0, i1468 = 0, i1469 = 0, i1470 = 0, i1471 = 0, i1472 = 0, i1473 = 0, i1474 = 0, i1475 = 0, i1476 = 0, i1477 = 0, i1478 = 0, i1479 = 0, i1480 = 0, i1481 = 0, i1482 = 0, i1483 = 0, i1484 = 0, i1485 = 0, i1486 = 0, i1487 = 0, i1488 = 0, i1489 = 0, i1490 = 0, i1491 = 0, i1492 = 0, i1493 = 0, i1494 = 0, i1495 = 0, i1496 = 0, i1497 = 0, i1498 = 0, i1499 = 0, i1500 = 0, i1501 = 0, i1502 = 0, i1503 = 0, i1504 = 0, i1505 = 0, i1506 = 0, i1507 = 0, i1508 = 0, i1509 = 0, i1510 = 0, i1511 = 0, i1512 = 0, i1513 = 0, i1514 = 0, i1515 = 0, i1516 = 0, i1517 = 0, i1518 = 0, i1519 = 0, i1520 = 0, i1521 = 0, i1522 = 0, i1523 = 0, i1524 = 0, i1525 = 0, i1526 = 0, i1527 = 0, i1528 = 0, i1529 = 0, i1530 = 0, i1531 = 0, i1532 = 0, i1533 = 0, i1534 = 0, i1535 = 0, i1536 = 0, i1537 = 0, i1538 = 0, i1539 = 0, i1540 = 0, i1541 = 0, i1542 = 0, i1543 = 0, i1544 = 0, i1545 = 0, i1546 = 0, i1547 = 0, i1548 = 0, i1549 = 0, i1550 = 0, i1551 = 0, i1552 = 0, i1553 = 0, i1554 = 0, i1555 = 0, i1556 = 0, i1557 = 0, i1558 = 0, i1559 = 0, i1560 = 0, i1561 = 0, i1562 = 0, i1563 = 0, i1564 = 0, i1565 = 0, i1566 = 0, i1567 = 0, i1568 = 0, i1569 = 0, i1570 = 0, i1571 = 0, i1572 = 0, i1573 = 0, i1574 = 0, i1575 = 0, i1576 = 0, i1577 = 0, i1578 = 0, i1579 = 0, i1580 = 0, i1581 = 0, i1582 = 0, i1583 = 0, i1584 = 0, i1585 = 0, i1586 = 0, i1587 = 0, i1588 = 0, i1589 = 0, i1590 = 0, i1591 = 0, i1592 = 0, i1593 = 0, i1594 = 0, i1595 = 0, i1596 = 0, i1597 = 0, i1598 = 0, i1599 = 0, i1600 = 0, i1601 = 0, i1602 = 0, i1603 = 0, i1604 = 0, i1605 = 0, i1606 = 0, i1607 = 0, i1608 = 0, i1609 = 0, i1610 = 0, i1611 = 0, i1612 = 0, i1613 = 0, i1614 = 0, i1615 = 0, i1616 = 0, i1617 = 0, i1618 = 0, i1619 = 0, i1620 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 1056 | 0;
 i3 = i2 + 936 | 0;
 i4 = i2 + 928 | 0;
 i5 = i2 + 920 | 0;
 i6 = i2 + 912 | 0;
 i7 = i2 + 896 | 0;
 i8 = i2 + 888 | 0;
 i9 = i2 + 880 | 0;
 i10 = i2 + 872 | 0;
 i11 = i2 + 864 | 0;
 i12 = i2 + 856 | 0;
 i13 = i2 + 848 | 0;
 i14 = i2 + 840 | 0;
 i15 = i2 + 832 | 0;
 i16 = i2 + 824 | 0;
 i17 = i2 + 816 | 0;
 i18 = i2 + 808 | 0;
 i19 = i2 + 800 | 0;
 i20 = i2 + 792 | 0;
 i21 = i2 + 784 | 0;
 i22 = i2 + 776 | 0;
 i23 = i2 + 768 | 0;
 i24 = i2 + 760 | 0;
 i25 = i2 + 736 | 0;
 i26 = i2 + 728 | 0;
 i27 = i2 + 712 | 0;
 i28 = i2 + 704 | 0;
 i29 = i2 + 696 | 0;
 i30 = i2 + 688 | 0;
 i31 = i2 + 680 | 0;
 i32 = i2 + 672 | 0;
 i33 = i2 + 664 | 0;
 i34 = i2 + 656 | 0;
 i35 = i2 + 648 | 0;
 i36 = i2 + 640 | 0;
 i37 = i2 + 632 | 0;
 i38 = i2 + 624 | 0;
 i39 = i2 + 616 | 0;
 i40 = i2 + 608 | 0;
 i41 = i2 + 600 | 0;
 i42 = i2 + 592 | 0;
 i43 = i2 + 584 | 0;
 i44 = i2 + 576 | 0;
 i45 = i2 + 568 | 0;
 i46 = i2 + 560 | 0;
 i47 = i2 + 552 | 0;
 i48 = i2 + 544 | 0;
 i49 = i2 + 536 | 0;
 i50 = i2 + 528 | 0;
 i51 = i2 + 520 | 0;
 i52 = i2 + 512 | 0;
 i53 = i2 + 504 | 0;
 i54 = i2 + 496 | 0;
 i55 = i2 + 488 | 0;
 i56 = i2 + 480 | 0;
 i57 = i2 + 472 | 0;
 i58 = i2 + 464 | 0;
 i59 = i2 + 448 | 0;
 i60 = i2 + 440 | 0;
 i61 = i2 + 288 | 0;
 i62 = i2 + 248 | 0;
 i63 = i2 + 192 | 0;
 i64 = i2 + 944 | 0;
 i65 = i2;
 i66 = i2 + 940 | 0;
 i67 = i1 + 4 | 0;
 i68 = get32(i67 | 0) | 0;
 i69 = get32(i1 | 0) | 0;
 i70 = i69 + 8 | 0;
 i71 = get8((get32((get32(i70 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0) | 0;
 i72 = i1 + 8 | 0;
 i73 = get32(i72 | 0) | 0;
 i74 = i69 + 48 | 0;
 i75 = i74;
 i76 = get32(i75 | 0) | 0;
 i77 = get32(i75 + 4 | 0) | 0;
 i75 = i1 + 92 | 0;
 L1 : do if ((get32(i75 | 0) | 0) == 7) {
  i78 = i69 + 30 | 0;
  i79 = i1 + 56 | 0;
  i80 = i76;
  i81 = i77;
  i82 = 0;
  i83 = 0;
  i84 = 2896;
 } else {
  set32(i75 | 0, 0 | 0);
  i85 = i1 + 20 | 0;
  set32(i85 | 0, 0 | 0);
  set32(i69 + 436 | 0, 0 | 0);
  i86 = i69 + 224 | 0;
  L4 : do if (!(get32(i86 | 0) | 0)) {
   i87 = i69 + 276 | 0;
   i88 = (get32(i87 | 0) | 0) == 0;
   i89 = i1 + 88 | 0;
   i90 = i69 + 30 | 0;
   i91 = i1 + 168 | 0;
   i92 = i1 + 176 | 0;
   i93 = i1 + 108 | 0;
   i94 = i69 + 60 | 0;
   i95 = i69 + 64 | 0;
   i96 = i71 & 255;
   i97 = i71 << 24 >> 24 == 1;
   i98 = i69 + 72 | 0;
   i99 = i1 + 72 | 0;
   i100 = i65 + 4 | 0;
   i101 = i65 + 8 | 0;
   i102 = i65 + 12 | 0;
   i103 = i1 + 144 | 0;
   i104 = i1 + 96 | 0;
   i105 = i1 + 56 | 0;
   i106 = i65 + 24 | 0;
   i107 = i65 + 32 | 0;
   i108 = i65 + 16 | 0;
   i109 = i69 + 152 | 0;
   i110 = i1 + 160 | 0;
   i111 = i63 + 4 | 0;
   i112 = i63 + 8 | 0;
   i113 = i63 + 12 | 0;
   i114 = i63 + 16 | 0;
   i115 = i63 + 20 | 0;
   i116 = i63 + 25 | 0;
   i117 = i63 + 26 | 0;
   i118 = i63 + 24 | 0;
   i119 = i69 + 156 | 0;
   i120 = i61 + 24 | 0;
   i121 = i61 + 4 | 0;
   i122 = i61 + 36 | 0;
   i123 = i1 + 82 | 0;
   i124 = i1 + 76 | 0;
   i125 = i65 + 76 | 0;
   i126 = i1 + 12 | 0;
   i127 = i65 + 72 | 0;
   i128 = i101 + 4 | 0;
   i129 = i101 + 8 | 0;
   i130 = i101 + 36 | 0;
   i131 = i101 + 40 | 0;
   i132 = i101 + 44 | 0;
   i133 = i101 + 12 | 0;
   i134 = i101 + 52 | 0;
   i135 = i101 + 56 | 0;
   i136 = i65 + 6 | 0;
   i137 = i65 + 20 | 0;
   i138 = i65 + 28 | 0;
   i139 = i65 + 64 | 0;
   i140 = i65 + 60 | 0;
   i141 = i65 + 28 | 0;
   i142 = i1 + 68 | 0;
   i143 = i65 + 128 | 0;
   i144 = i1 + 84 | 0;
   i145 = i65 + 44 | 0;
   i146 = i65 + 36 | 0;
   i147 = i65 + 40 | 0;
   i148 = i65 + 100 | 0;
   i149 = i65 + 68 | 0;
   i150 = i65 + 48 | 0;
   i151 = i65 + 96 | 0;
   i152 = i65 + 56 | 0;
   i153 = i65 + 124 | 0;
   i154 = i65 + 112 | 0;
   i155 = i65 + 120 | 0;
   i156 = i65 + 92 | 0;
   i157 = i65 + 108 | 0;
   i158 = i65 + 104 | 0;
   i159 = i65 + 52 | 0;
   i160 = i65 + 116 | 0;
   i161 = i1 + 101 | 0;
   i162 = i65 + 36 | 0;
   i163 = i69 + 144 | 0;
   i164 = i69 + 484 | 0;
   i165 = i69 + 480 | 0;
   i166 = i69 + 308 | 0;
   i167 = i69 + 234 | 0;
   i168 = i69 + 28 | 0;
   i169 = i69 + 476 | 0;
   i170 = i69 + 496 | 0;
   i171 = i69 + 488 | 0;
   i172 = i69 + 232 | 0;
   i173 = i69 + 248 | 0;
   i174 = i69 + 256 | 0;
   i175 = i69 + 252 | 0;
   i176 = i69 + 236 | 0;
   i177 = i69 + 244 | 0;
   i178 = i69 + 240 | 0;
   i179 = i69 + 312 | 0;
   i180 = i69 + 140 | 0;
   i181 = i65 + 28 | 0;
   i182 = i69 + 4 | 0;
   i183 = i69 + 12 | 0;
   i184 = i69 + 136 | 0;
   i185 = i1 + 103 | 0;
   i186 = i1 + 120 | 0;
   i187 = i1 + 152 | 0;
   i188 = i1 + 99 | 0;
   i189 = i65 + 28 | 0;
   i190 = i1 + 24 | 0;
   i191 = i1 + 102 | 0;
   i192 = i65 + 22 | 0;
   i193 = i65 + 40 | 0;
   i194 = i106 + 4 | 0;
   i195 = i106 + 6 | 0;
   i196 = i106 + 16 | 0;
   i197 = i106 + 8 | 0;
   i198 = i69 + 188 | 0;
   i199 = i65 + 28 | 0;
   i200 = i65 + 36 | 0;
   i201 = i69 + 184 | 0;
   i202 = i1 + 128 | 0;
   i203 = i62 + 4 | 0;
   i204 = i62 + 24 | 0;
   i205 = i63 + 16 | 0;
   i206 = i62 + 36 | 0;
   i207 = i62 + 32 | 0;
   i208 = i101 + 6 | 0;
   i209 = i101 + 16 | 0;
   i210 = i61 + 24 | 0;
   i211 = i61 + 4 | 0;
   i212 = i61 + 36 | 0;
   i213 = i61 + 32 | 0;
   i214 = i102 + 4 | 0;
   i215 = i102 + 8 | 0;
   i216 = i69 + 124 | 0;
   i217 = i102 + 12 | 0;
   i218 = i63 + 4 | 0;
   i219 = i63 + 8 | 0;
   i220 = i63 + 16 | 0;
   i221 = i63 + 20 | 0;
   i222 = i63 + 24 | 0;
   i223 = i63 + 12 | 0;
   i224 = i63 + 32 | 0;
   i225 = i63 + 36 | 0;
   i226 = i63 + 28 | 0;
   i227 = i63 + 40 | 0;
   i228 = i63 + 44 | 0;
   i229 = i63 + 48 | 0;
   i230 = i63 + 53 | 0;
   i231 = i63 + 54 | 0;
   i232 = i63 + 52 | 0;
   i233 = i69 + 112 | 0;
   i234 = i1 + 50 | 0;
   i235 = i1 + 28 | 0;
   i236 = i65 + 28 | 0;
   i237 = i65 + 80 | 0;
   i238 = i108 + 48 | 0;
   i239 = i106 + 28 | 0;
   i240 = i106 + 4 | 0;
   i241 = i106 + 36 | 0;
   i242 = i106 + 32 | 0;
   i243 = i108 + 52 | 0;
   i244 = i108 + 56 | 0;
   i245 = i61 + 8 | 0;
   i246 = i61 + 36 | 0;
   i247 = i61 + 48 | 0;
   i248 = i61 + 52 | 0;
   i249 = i100 + 8 | 0;
   i250 = i100 + 4 | 0;
   i251 = i69 + 29 | 0;
   i252 = i69 + 36 | 0;
   i253 = i69 + 32 | 0;
   i254 = i61 + 20 | 0;
   i255 = i61 + 24 | 0;
   i256 = i61 + 4 | 0;
   i257 = i61 + 16 | 0;
   i258 = i69 + 288 | 0;
   i259 = i65 + 28 | 0;
   i260 = i65 + 36 | 0;
   i261 = i69 + 34 | 0;
   i262 = i65 + 28 | 0;
   i263 = i69 + 284 | 0;
   i264 = i69 + 280 | 0;
   i265 = i76;
   i266 = i77;
   i267 = i73;
   i268 = i68;
   i269 = 0;
   i270 = 0;
   i271 = 0;
   i272 = 0;
   i273 = get32(i89 | 0) | 0;
   i274 = 0;
   L6 : while (1) {
    i275 = i265;
    i276 = i266;
    i277 = i271;
    i278 = i272;
    i279 = i273;
    L8 : while (1) {
     if (get8(i90 >> 0 | 0) | 0) {
      i78 = i90;
      i79 = i105;
      i80 = i275;
      i81 = i276;
      i82 = i279;
      i83 = i274;
      i84 = 2896;
      break L1;
     }
     if (i88) i280 = i277; else {
      if ((get32(i263 | 0) | 0) == (i277 | 0)) if (!(FUNCTION_TABLE_ii[get32(i87 | 0) & 127](get32(i264 | 0) | 0) | 0)) i281 = 0; else {
       i282 = i105;
       i283 = i275;
       i284 = i276;
       i285 = i279;
       i286 = 9;
       i287 = i274;
       break L1;
      } else i281 = i277;
      i280 = i281 + 1 | 0;
     }
     if (!(get8(i268 + (i279 * 20 | 0) + 2 >> 0 | 0) & 2)) i288 = i278; else {
      i289 = get32(i268 + (i279 * 20 | 0) + 8 | 0) | 0;
      i290 = i267 + (i289 * 40 | 0) | 0;
      _sqlite3VdbeMemReleaseExternal(i290);
      set16(i267 + (i289 * 40 | 0) + 28 | 0, 4 | 0);
      i288 = i290;
     }
     i290 = i268 + (i279 * 20 | 0) | 0;
     i289 = get8(i290 >> 0 | 0) | 0;
     i291 = i289 & 255;
     L20 : do switch (i291 | 0) {
     case 16:
      {
       i292 = i275;
       i293 = i276;
       i294 = i267;
       i295 = i268;
       i296 = i279;
       i297 = i274;
       i84 = 72;
       break L6;
       break;
      }
     case 33:
      {
       i298 = i275;
       i299 = i276;
       i300 = i268;
       i301 = i279;
       i302 = i274;
       i84 = 867;
       break L6;
       break;
      }
     case 1:
      {
       i303 = i275;
       i304 = i276;
       i305 = i280;
       i306 = i288;
       i307 = i279;
       i84 = 16;
       break L8;
       break;
      }
     case 2:
      {
       i308 = i275;
       i309 = i276;
       i310 = i280;
       i311 = i288;
       i312 = i279;
       i84 = 18;
       break L8;
       break;
      }
     case 3:
      {
       i313 = i275;
       i314 = i276;
       i315 = i280;
       i316 = i288;
       i317 = i279;
       i84 = 19;
       break L8;
       break;
      }
     case 4:
      {
       i318 = i275;
       i319 = i276;
       i320 = i280;
       i321 = i288;
       i322 = i279;
       i84 = 20;
       break L8;
       break;
      }
     case 5:
      {
       i323 = i275;
       i324 = i276;
       i325 = i280;
       i326 = i288;
       i327 = i279;
       i84 = 21;
       break L8;
       break;
      }
     case 6:
      {
       i328 = i275;
       i329 = i276;
       i330 = i280;
       i331 = i288;
       i332 = i279;
       i84 = 22;
       break L8;
       break;
      }
     case 7:
      {
       i333 = i275;
       i334 = i276;
       i335 = i280;
       i336 = i288;
       i337 = i279;
       i84 = 34;
       break L8;
       break;
      }
     case 8:
      {
       i338 = i275;
       i339 = i276;
       i340 = i280;
       i341 = i288;
       i342 = i279;
       i84 = 35;
       break L8;
       break;
      }
     case 130:
      {
       i343 = i275;
       i344 = i276;
       i345 = i280;
       i346 = i288;
       i347 = i279;
       i84 = 36;
       break L8;
       break;
      }
     case 10:
      {
       i348 = i275;
       i349 = i276;
       i350 = i280;
       i351 = i288;
       i352 = i279;
       i84 = 48;
       break L8;
       break;
      }
     case 11:
      {
       i353 = i275;
       i354 = i276;
       i355 = i280;
       i356 = i288;
       i357 = i279;
       i84 = 49;
       break L8;
       break;
      }
     case 12:
      {
       i358 = i275;
       i359 = i276;
       i360 = i280;
       i361 = i288;
       i362 = i279;
       i84 = 50;
       break L8;
       break;
      }
     case 13:
      {
       i363 = i275;
       i364 = i276;
       i365 = i280;
       i366 = i279;
       i84 = 56;
       break L8;
       break;
      }
     case 14:
      {
       i367 = i275;
       i368 = i276;
       i369 = i280;
       i370 = i279;
       i84 = 59;
       break L8;
       break;
      }
     case 15:
      {
       i371 = i275;
       i372 = i276;
       i373 = i280;
       i374 = i279;
       i84 = 70;
       break L8;
       break;
      }
     case 91:
      {
       i375 = i275;
       i376 = i276;
       i377 = i280;
       i378 = i279;
       i84 = 100;
       break L8;
       break;
      }
     case 90:
     case 89:
     case 88:
     case 87:
     case 86:
      {
       i379 = i290;
       i380 = i275;
       i381 = i276;
       i382 = i280;
       i383 = i279;
       i84 = 126;
       break L8;
       break;
      }
     case 136:
      {
       i384 = i275;
       i385 = i276;
       i386 = i280;
       i387 = i288;
       i388 = i279;
       i84 = 2792;
       break L8;
       break;
      }
     case 85:
     case 84:
     case 83:
     case 82:
      {
       i389 = i290;
       i390 = i275;
       i391 = i276;
       i392 = i280;
       i393 = i279;
       i84 = 254;
       break L8;
       break;
      }
     case 20:
      {
       i394 = i275;
       i395 = i276;
       i396 = i280;
       i397 = i288;
       i398 = i279;
       i84 = 291;
       break L8;
       break;
      }
     case 21:
      {
       i399 = i275;
       i400 = i276;
       i401 = i280;
       i402 = i288;
       i403 = i279;
       i84 = 298;
       break L8;
       break;
      }
     case 22:
      {
       i404 = i275;
       i405 = i276;
       i406 = i280;
       i407 = i288;
       i408 = i279;
       i84 = 311;
       break L8;
       break;
      }
     case 142:
      {
       i409 = i275;
       i410 = i276;
       i411 = i280;
       i412 = i288;
       i413 = i279;
       i84 = 327;
       break L8;
       break;
      }
     case 143:
      {
       i414 = i275;
       i415 = i276;
       i416 = i280;
       i417 = i288;
       i418 = i279;
       i84 = 333;
       break L8;
       break;
      }
     case 144:
      {
       i419 = i275;
       i420 = i276;
       i421 = i280;
       i422 = i288;
       i423 = i279;
       i84 = 345;
       break L8;
       break;
      }
     case 145:
      {
       i424 = i275;
       i425 = i276;
       i426 = i280;
       i427 = i288;
       i428 = i279;
       i84 = 353;
       break L8;
       break;
      }
     case 80:
     case 77:
     case 78:
     case 79:
     case 75:
     case 76:
      {
       i429 = i290;
       i430 = i289;
       i431 = i275;
       i432 = i276;
       i433 = i280;
       i434 = i288;
       i435 = i279;
       i84 = 361;
       break L8;
       break;
      }
     case 23:
      {
       i436 = i275;
       i437 = i276;
       i438 = i280;
       i439 = i288;
       i440 = i279;
       i84 = 415;
       break L8;
       break;
      }
     case 24:
      {
       i441 = i275;
       i442 = i276;
       i443 = i280;
       i444 = i288;
       i445 = i279;
       i84 = 416;
       break L8;
       break;
      }
     case 25:
      {
       i446 = i275;
       i447 = i276;
       i448 = i280;
       i449 = i288;
       i450 = i279;
       i84 = 423;
       break L8;
       break;
      }
     case 68:
     case 69:
      {
       i451 = i290;
       i452 = i275;
       i453 = i276;
       i454 = i280;
       i455 = i279;
       i84 = 428;
       break L8;
       break;
      }
     case 19:
      {
       i456 = i275;
       i457 = i276;
       i458 = i280;
       i459 = i279;
       i84 = 447;
       break L8;
       break;
      }
     case 93:
      {
       i460 = i275;
       i461 = i276;
       i462 = i280;
       i463 = i279;
       i84 = 464;
       break L8;
       break;
      }
     case 27:
     case 26:
      {
       i464 = i290;
       i465 = i275;
       i466 = i276;
       i467 = i280;
       i468 = i288;
       i469 = i279;
       i84 = 481;
       break L8;
       break;
      }
     case 73:
      {
       i470 = i275;
       i471 = i276;
       i472 = i280;
       i473 = i288;
       i474 = i279;
       i84 = 493;
       break L8;
       break;
      }
     case 74:
      {
       i475 = i275;
       i476 = i276;
       i477 = i280;
       i478 = i288;
       i479 = i279;
       i84 = 495;
       break L8;
       break;
      }
     case 28:
      {
       i480 = i275;
       i481 = i276;
       i482 = i280;
       i483 = i288;
       i484 = i279;
       i84 = 497;
       break L8;
       break;
      }
     case 29:
      {
       i485 = i275;
       i486 = i276;
       i487 = i280;
       i488 = i288;
       i489 = i279;
       i84 = 596;
       break L8;
       break;
      }
     case 30:
      {
       i490 = i275;
       i491 = i276;
       i492 = i280;
       i493 = i279;
       i84 = 615;
       break L8;
       break;
      }
     case 35:
      {
       i494 = i275;
       i495 = i276;
       i496 = i280;
       i497 = i288;
       i498 = i279;
       i84 = 906;
       break L8;
       break;
      }
     case 37:
      {
       i499 = i275;
       i500 = i276;
       i501 = i280;
       i502 = i288;
       i503 = i279;
       i84 = 923;
       break L8;
       break;
      }
     case 42:
      {
       i504 = i275;
       i505 = i276;
       i506 = i280;
       i507 = i288;
       i508 = i279;
       i84 = 1028;
       break L8;
       break;
      }
     case 43:
      {
       i509 = i275;
       i510 = i276;
       i511 = i280;
       i512 = i288;
       i513 = i279;
       i84 = 1042;
       break L8;
       break;
      }
     case 47:
     case 46:
     case 45:
     case 44:
      {
       i514 = i291;
       i515 = i275;
       i516 = i276;
       i517 = i280;
       i518 = i288;
       i519 = i279;
       i84 = 1050;
       break L8;
       break;
      }
     case 48:
      {
       i520 = i275;
       i521 = i276;
       i522 = i280;
       i523 = i288;
       i524 = i279;
       i84 = 1128;
       break L8;
       break;
      }
     case 50:
     case 49:
      {
       i525 = i290;
       i526 = i289;
       i527 = i275;
       i528 = i276;
       i529 = i280;
       i530 = i288;
       i531 = i279;
       i84 = 1136;
       break L8;
       break;
      }
     case 53:
      {
       i532 = i275;
       i533 = i276;
       i534 = i280;
       i535 = i288;
       i536 = i279;
       i84 = 1172;
       break L8;
       break;
      }
     case 56:
     case 55:
      {
       i537 = i289;
       i538 = i275;
       i539 = i276;
       i540 = i280;
       i541 = i288;
       i542 = i279;
       i84 = 1234;
       break L8;
       break;
      }
     case 58:
      {
       i543 = i275;
       i544 = i276;
       i545 = i280;
       i546 = i288;
       i547 = i279;
       i84 = 1271;
       break L8;
       break;
      }
     case 62:
      {
       i548 = i275;
       i549 = i276;
       i550 = i280;
       i551 = i288;
       i552 = i279;
       i84 = 1372;
       break L8;
       break;
      }
     case 72:
      {
       i553 = i275;
       i554 = i276;
       i555 = i280;
       i556 = i288;
       i557 = i279;
       i84 = 1439;
       break L8;
       break;
      }
     case 95:
      {
       i558 = i275;
       i559 = i276;
       i560 = i280;
       i561 = i288;
       i562 = i279;
       i84 = 1482;
       break L8;
       break;
      }
     case 101:
      {
       i563 = i275;
       i564 = i276;
       i565 = i280;
       i566 = i288;
       i567 = i279;
       i84 = 1560;
       break L8;
       break;
      }
     case 102:
      {
       i568 = i275;
       i569 = i276;
       i570 = i280;
       i571 = i288;
       i572 = i279;
       i84 = 1564;
       break L8;
       break;
      }
     case 103:
      {
       i573 = i275;
       i574 = i276;
       i575 = i280;
       i576 = i288;
       i577 = i279;
       i84 = 1575;
       break L8;
       break;
      }
     case 104:
      {
       i578 = i275;
       i579 = i276;
       i580 = i280;
       i581 = i288;
       i582 = i279;
       i84 = 1655;
       break L8;
       break;
      }
     case 105:
      {
       i583 = i275;
       i584 = i276;
       i585 = i280;
       i586 = i288;
       i587 = i279;
       i84 = 1836;
       break L8;
       break;
      }
     case 106:
      {
       i588 = i275;
       i589 = i276;
       i590 = i280;
       i591 = i288;
       i592 = i279;
       i84 = 1886;
       break L8;
       break;
      }
     case 107:
      {
       i593 = i275;
       i594 = i276;
       i595 = i280;
       i596 = i288;
       i597 = i279;
       i84 = 1906;
       break L8;
       break;
      }
     case 108:
      {
       i598 = i275;
       i599 = i276;
       i600 = i280;
       i601 = i288;
       i602 = i279;
       i84 = 1974;
       break L8;
       break;
      }
     case 109:
      {
       i603 = i275;
       i604 = i276;
       i605 = i280;
       i606 = i288;
       i607 = i279;
       i84 = 2014;
       break L8;
       break;
      }
     case 110:
      {
       i608 = i275;
       i609 = i276;
       i610 = i280;
       i611 = i288;
       i612 = i279;
       i84 = 2016;
       break L8;
       break;
      }
     case 111:
      {
       i613 = i275;
       i614 = i276;
       i615 = i280;
       i616 = i288;
       i617 = i279;
       i84 = 2019;
       break L8;
       break;
      }
     case 112:
      {
       i618 = i275;
       i619 = i276;
       i620 = i280;
       i621 = i288;
       i622 = i279;
       i84 = 2024;
       break L8;
       break;
      }
     case 113:
      {
       i623 = i275;
       i624 = i276;
       i625 = i280;
       i626 = i288;
       i627 = i279;
       i84 = 2042;
       break L8;
       break;
      }
     case 114:
      {
       i628 = i275;
       i629 = i276;
       i630 = i280;
       i631 = i288;
       i632 = i279;
       i84 = 2044;
       break L8;
       break;
      }
     case 115:
      {
       i633 = i275;
       i634 = i276;
       i635 = i280;
       i636 = i288;
       i637 = i279;
       i84 = 2046;
       break L8;
       break;
      }
     case 122:
      {
       i638 = i275;
       i639 = i276;
       i640 = i280;
       i641 = i288;
       i642 = i279;
       i84 = 2265;
       break L8;
       break;
      }
     case 123:
      {
       i643 = i275;
       i644 = i276;
       i645 = i280;
       i646 = i288;
       i647 = i279;
       i84 = 2269;
       break L8;
       break;
      }
     case 125:
      {
       i648 = i275;
       i649 = i276;
       i650 = i280;
       i651 = i288;
       i652 = i279;
       i84 = 2365;
       break L8;
       break;
      }
     case 127:
      {
       i653 = i275;
       i654 = i276;
       i655 = i280;
       i656 = i288;
       i657 = i279;
       i84 = 2416;
       break L8;
       break;
      }
     case 134:
      {
       i658 = i275;
       i659 = i276;
       i660 = i280;
       i661 = i288;
       i662 = i279;
       i84 = 2785;
       break L8;
       break;
      }
     case 135:
      {
       i663 = i275;
       i664 = i276;
       i665 = i280;
       i666 = i288;
       i667 = i279;
       i84 = 2786;
       break L8;
       break;
      }
     case 94:
      {
       set8(i290 >> 0 | 0, 9 | 0);
       i668 = i268 + (i279 * 20 | 0) + 16 | 0;
       i669 = get32(i668 | 0) | 0;
       i670 = i669;
       if (!i669) i671 = 0; else {
        i672 = i669;
        while (1) if (!(get8(i672 >> 0 | 0) | 0)) {
         i673 = i672;
         break;
        } else i672 = i672 + 1 | 0;
        i671 = i673 - i670 & 1073741823;
       }
       i672 = i268 + (i279 * 20 | 0) + 4 | 0;
       set32(i672 | 0, i671 | 0);
       if (i97) {
        i674 = i670;
        i675 = i671;
        i676 = 0;
       } else {
        i677 = _sqlite3VdbeMemSetStr(i288, i669, -1, 1, 0) | 0;
        if ((i677 | 0) == 18) {
         i678 = i275;
         i679 = i276;
         i680 = i279;
         i681 = i274;
         i84 = 2895;
         break L6;
        }
        if (_sqlite3VdbeChangeEncoding(i288, i96) | 0) {
         i78 = i90;
         i79 = i105;
         i80 = i275;
         i81 = i276;
         i82 = i279;
         i83 = i274;
         i84 = 2896;
         break L1;
        }
        set32(i288 + 36 | 0, 0 | 0);
        i682 = i288 + 28 | 0;
        set16(i682 | 0, getU16(i682 | 0) & 62463 | 2048 | 0);
        i682 = i268 + (i279 * 20 | 0) + 1 | 0;
        if ((get8(i682 >> 0 | 0) | 0) == -1) _sqlite3DbFree(i69, get32(i668 | 0) | 0);
        set8(i682 >> 0 | 0, -1 | 0);
        i682 = get32(i288 + 4 | 0) | 0;
        set32(i668 | 0, i682 | 0);
        i683 = get32(i288 + 24 | 0) | 0;
        set32(i672 | 0, i683 | 0);
        i674 = i682;
        i675 = i683;
        i676 = i677;
       }
       if ((i675 | 0) > (get32(i98 | 0) | 0)) {
        i678 = i275;
        i679 = i276;
        i680 = i279;
        i681 = i274;
        i84 = 2895;
        break L6;
       } else {
        i684 = i674;
        i685 = i675;
        i686 = i676;
        i84 = 47;
       }
       break;
      }
     case 9:
      {
       i684 = get32(i268 + (i279 * 20 | 0) + 16 | 0) | 0;
       i685 = get32(i268 + (i279 * 20 | 0) + 4 | 0) | 0;
       i686 = 0;
       i84 = 47;
       break;
      }
     case 18:
      {
       i677 = get8(i268 + (i279 * 20 | 0) + 3 >> 0 | 0) | 0;
       set32(i125 | 0, i677 & 255 | 0);
       i683 = get32(i126 | 0) | 0;
       set32(i127 | 0, i683 | 0);
       i682 = get32(i268 + (i279 * 20 | 0) + 12 | 0) | 0;
       i672 = i267 + (i682 * 40 | 0) | 0;
       i687 = i267 + ((get32(i268 + (i279 * 20 | 0) + 8 | 0) | 0) * 40 | 0) | 0;
       set32(i100 | 0, i687 | 0);
       set32(i65 | 0, 0 | 0);
       L37 : do if (i677 << 24 >> 24) {
        i688 = i687;
        i689 = i683;
        i690 = 0;
        while (1) {
         set32(i689 + (i690 << 2) | 0, i688 | 0);
         i691 = get32(i100 | 0) | 0;
         i692 = i691 + 28 | 0;
         i693 = get16(i692 | 0) | 0;
         if (i693 & 4096) {
          do if (i693 & 16384) {
           i694 = i691 + 24 | 0;
           i695 = i691 + 16 | 0;
           i696 = (get32(i695 | 0) | 0) + (get32(i694 | 0) | 0) | 0;
           if (!(_sqlite3VdbeMemGrow(i691, (i696 | 0) < 1 ? 1 : i696, 1) | 0)) {
            _memset((get32(i691 + 4 | 0) | 0) + (get32(i694 | 0) | 0) | 0, 0, get32(i695 | 0) | 0) | 0;
            set32(i694 | 0, (get32(i694 | 0) | 0) + (get32(i695 | 0) | 0) | 0);
            i695 = getU16(i692 | 0) & 48639;
            set16(i692 | 0, i695 | 0);
            i697 = i695;
            break;
           } else {
            i697 = get16(i692 | 0) | 0;
            break;
           }
          } else i697 = i693; while (0);
          if ((i697 & 18) != 0 ? (i693 = i691 + 4 | 0, (get32(i693 | 0) | 0) != (get32(i691 + 36 | 0) | 0)) : 0) {
           i695 = i691 + 24 | 0;
           if (_sqlite3VdbeMemGrow(i691, (get32(i695 | 0) | 0) + 2 | 0, 1) | 0) {
            i78 = i90;
            i79 = i105;
            i80 = i275;
            i81 = i276;
            i82 = i279;
            i83 = i274;
            i84 = 2896;
            break L1;
           }
           set8((get32(i693 | 0) | 0) + (get32(i695 | 0) | 0) >> 0 | 0, 0 | 0);
           set8((get32(i693 | 0) | 0) + ((get32(i695 | 0) | 0) + 1) >> 0 | 0, 0 | 0);
           set16(i692 | 0, getU16(i692 | 0) | 512 | 0);
          }
         }
         i695 = get32(i100 | 0) | 0;
         i693 = getU16(i695 + 28 | 0) | 0;
         do if (!(i693 & 1)) {
          if (i693 & 4) {
           set8(i695 + 30 >> 0 | 0, 1 | 0);
           break;
          }
          if (i693 & 8) {
           set8(i695 + 30 >> 0 | 0, 2 | 0);
           break;
          }
          i694 = i695 + 30 | 0;
          if (!(i693 & 2)) {
           set8(i694 >> 0 | 0, 4 | 0);
           break;
          } else {
           set8(i694 >> 0 | 0, 3 | 0);
           break;
          }
         } else set8(i695 + 30 >> 0 | 0, 5 | 0); while (0);
         i695 = (get32(i65 | 0) | 0) + 1 | 0;
         set32(i65 | 0, i695 | 0);
         i693 = (get32(i100 | 0) | 0) + 40 | 0;
         set32(i100 | 0, i693 | 0);
         if ((i695 | 0) >= (get32(i125 | 0) | 0)) break L37;
         i688 = i693;
         i689 = get32(i127 | 0) | 0;
         i690 = i695;
        }
       } while (0);
       i683 = i268 + (i279 * 20 | 0) + 1 | 0;
       i687 = i268 + (i279 * 20 | 0) + 16 | 0;
       if ((get8(i683 >> 0 | 0) | 0) == -5) {
        set32(i101 | 0, get32(i687 | 0) | 0);
        set32(i128 | 0, 0 | 0);
       } else {
        i677 = get32(i687 | 0) | 0;
        set32(i128 | 0, i677 | 0);
        set32(i101 | 0, get32(i677 | 0) | 0);
       }
       set16(i130 | 0, 1 | 0);
       set32(i129 | 0, i69 | 0);
       set32(i131 | 0, 0 | 0);
       set32(i132 | 0, 0 | 0);
       _sqlite3VdbeMemReleaseExternal(i129);
       _sqlite3DbFree(get32(i129 | 0) | 0, get32(i132 | 0) | 0);
       set32(i133 | 0, 0 | 0);
       set32(i132 | 0, 0 | 0);
       set32(i131 | 0, 0 | 0);
       i698 = i129;
       i699 = i672;
       i700 = i698 + 40 | 0;
       do {
        set32(i698 | 0, get32(i699 | 0) | 0);
        i698 = i698 + 4 | 0;
        i699 = i699 + 4 | 0;
       } while ((i698 | 0) < (i700 | 0));
       i677 = i267 + (i682 * 40 | 0) + 28 | 0;
       set16(i677 | 0, 1 | 0);
       i668 = i267 + (i682 * 40 | 0) + 32 | 0;
       set32(i668 | 0, 0 | 0);
       i669 = i267 + (i682 * 40 | 0) + 36 | 0;
       set32(i669 | 0, 0 | 0);
       set16(i130 | 0, getU16(i130 | 0) & 48896 | 1 | 0);
       set32(i134 | 0, 0 | 0);
       i670 = get32(i101 | 0) | 0;
       if (get8(i670 + 3 >> 0 | 0) & 8) set32(i135 | 0, get32(i268 + ((i279 + -1 | 0) * 20 | 0) + 16 | 0) | 0);
       i690 = i74;
       set32(i690 | 0, i275 | 0);
       set32(i690 + 4 | 0, i276 | 0);
       FUNCTION_TABLE_viii[get32(i670 + 12 | 0) & 63](i101, get32(i125 | 0) | 0, get32(i127 | 0) | 0);
       i670 = i74;
       i690 = get32(i670 | 0) | 0;
       i689 = get32(i670 + 4 | 0) | 0;
       i670 = get32(i128 | 0) | 0;
       if (i670) {
        i688 = i670;
        i695 = get32(i268 + (i279 * 20 | 0) + 4 | 0) | 0;
        i693 = i670 + 4 | 0;
        i692 = get32(i693 | 0) | 0;
        if ((i692 | 0) > 0) {
         i691 = i692;
         i692 = 0;
         while (1) {
          if ((i692 | 0) <= 31 ? (1 << i692 & i695 | 0) != 0 : 0) i701 = i691; else i84 = 239;
          do if ((i84 | 0) == 239) {
           i84 = 0;
           i694 = i670 + 8 + (i692 << 3) | 0;
           i696 = get32(i694 | 0) | 0;
           if (!i696) {
            i701 = i691;
            break;
           }
           i702 = get32(i670 + 8 + (i692 << 3) + 4 | 0) | 0;
           if (!i702) i703 = i691; else {
            FUNCTION_TABLE_vi[i702 & 31](i696);
            i703 = get32(i693 | 0) | 0;
           }
           set32(i694 | 0, 0 | 0);
           i701 = i703;
          } while (0);
          i692 = i692 + 1 | 0;
          if ((i692 | 0) >= (i701 | 0)) break; else i691 = i701;
         }
         i704 = get32(i128 | 0) | 0;
        } else i704 = i688;
        set32(i687 | 0, i704 | 0);
        set8(i683 >> 0 | 0, -7 | 0);
       }
       if (get8(i90 >> 0 | 0) | 0) {
        i705 = i690;
        i706 = i689;
        i707 = i279;
        i708 = i274;
        i84 = 247;
        break L6;
       }
       if (!(get32(i134 | 0) | 0)) i709 = 0; else {
        set32(i56 | 0, _sqlite3ValueText(i129, 1) | 0 | 0);
        _sqlite3SetString(i105, i69, 16817, i56);
        i709 = get32(i134 | 0) | 0;
       }
       _sqlite3VdbeChangeEncoding(i129, i96) | 0;
       _sqlite3VdbeMemReleaseExternal(i672);
       _sqlite3DbFree(get32(i672 | 0) | 0, get32(i669 | 0) | 0);
       set32(i267 + (i682 * 40 | 0) + 4 | 0, 0 | 0);
       set32(i669 | 0, 0 | 0);
       set32(i668 | 0, 0 | 0);
       i698 = i672;
       i699 = i129;
       i700 = i698 + 40 | 0;
       do {
        set32(i698 | 0, get32(i699 | 0) | 0);
        i698 = i698 + 4 | 0;
        i699 = i699 + 4 | 0;
       } while ((i698 | 0) < (i700 | 0));
       set16(i130 | 0, 1 | 0);
       set32(i131 | 0, 0 | 0);
       set32(i132 | 0, 0 | 0);
       i668 = getU16(i677 | 0) | 0;
       if (i668 & 18) {
        i669 = get32(i267 + (i682 * 40 | 0) + 24 | 0) | 0;
        if (!(i668 & 16384)) i710 = i669; else i710 = (get32(i267 + (i682 * 40 | 0) + 16 | 0) | 0) + i669 | 0;
        if ((i710 | 0) > (get32((get32(i672 | 0) | 0) + 72 | 0) | 0)) {
         i678 = i690;
         i679 = i689;
         i680 = i279;
         i681 = i274;
         i84 = 2895;
         break L6;
        } else {
         i711 = i690;
         i712 = i689;
         i713 = i672;
         i714 = i279;
         i715 = i709;
        }
       } else {
        i711 = i690;
        i712 = i689;
        i713 = i672;
        i714 = i279;
        i715 = i709;
       }
       break;
      }
     case 141:
      {
       i669 = get32(i268 + (i279 * 20 | 0) + 4 | 0) | 0;
       i668 = i267 + (i669 * 40 | 0) | 0;
       i683 = i267 + (i669 * 40 | 0) + 28 | 0;
       i687 = getU16(i683 | 0) | 0;
       if (i687 & 1) {
        i716 = i275;
        i717 = i276;
        i718 = i267;
        i719 = i268;
        i720 = i269;
        i721 = i270;
        i722 = i280;
        i723 = i288;
        i724 = i279;
        i725 = i274;
        break L8;
       }
       i688 = i687 >>> 3 & 2 | i687;
       i691 = i688 & 65535;
       set16(i683 | 0, i691 | 0);
       if ((i687 & 12 | 0) == 0 | (i688 & 2 | 0) != 0) i726 = i691; else {
        _sqlite3VdbeMemStringify(i668, i96) | 0;
        i726 = get16(i683 | 0) | 0;
       }
       i691 = i726 & 65523;
       set16(i683 | 0, i691 | 0);
       do if (i726 & 16384) {
        i688 = i267 + (i669 * 40 | 0) + 24 | 0;
        i687 = i267 + (i669 * 40 | 0) + 16 | 0;
        i692 = (get32(i687 | 0) | 0) + (get32(i688 | 0) | 0) | 0;
        if (!(_sqlite3VdbeMemGrow(i668, (i692 | 0) < 1 ? 1 : i692, 1) | 0)) {
         _memset((get32(i267 + (i669 * 40 | 0) + 4 | 0) | 0) + (get32(i688 | 0) | 0) | 0, 0, get32(i687 | 0) | 0) | 0;
         set32(i688 | 0, (get32(i688 | 0) | 0) + (get32(i687 | 0) | 0) | 0);
         i687 = getU16(i683 | 0) & 48639;
         set16(i683 | 0, i687 | 0);
         i727 = 0;
         i728 = i687;
         break;
        } else {
         i727 = 7;
         i728 = get16(i683 | 0) | 0;
         break;
        }
       } else {
        i727 = 0;
        i728 = i691;
       } while (0);
       set16(i683 | 0, i728 & 49123 | 0);
       i711 = i275;
       i712 = i276;
       i713 = i288;
       i714 = i279;
       i715 = i727;
       break;
      }
     case 31:
      {
       i691 = get32(get32((get32(i142 | 0) | 0) + (get32(i268 + (i279 * 20 | 0) + 4 | 0) << 2) | 0) | 0) | 0;
       set32(i101 | 0, i691 | 0);
       L112 : do if (i691) {
        i669 = _moveToRoot(i691) | 0;
        if (!i669) {
         i668 = i691 + 90 | 0;
         i672 = i691 + 4 | 0;
         i689 = i691 + 58 | 0;
         i690 = i691 + 82 | 0;
         i682 = get16(i668 | 0) | 0;
         i677 = 0;
         i687 = 0;
         L116 : while (1) {
          i688 = get32(i691 + 132 + (i682 << 16 >> 16 << 2) | 0) | 0;
          if (!(get8(i688 + 3 >> 0 | 0) | 0)) if (!(get8(i688 + 2 >> 0 | 0) | 0)) {
           i692 = _i64Add(getU16(i688 + 16 | 0) | 0, 0, i677 | 0, i687 | 0) | 0;
           i729 = i692;
           i730 = tempRet0;
           i731 = i682;
           i732 = i688;
          } else {
           i729 = i677;
           i730 = i687;
           i731 = i682;
           i732 = i688;
          } else {
           i692 = _i64Add(getU16(i688 + 16 | 0) | 0, 0, i677 | 0, i687 | 0) | 0;
           i693 = tempRet0;
           i670 = i682;
           i695 = i688;
           while (1) {
            if (!(i670 << 16 >> 16)) {
             i733 = i692;
             i734 = i693;
             i84 = 736;
             break L116;
            }
            if (!i695) i735 = i670; else {
             _sqlite3PagerUnref(get32(i695 + 68 | 0) | 0);
             i735 = get16(i668 | 0) | 0;
            }
            i670 = i735 + -1 << 16 >> 16;
            set16(i668 | 0, i670 | 0);
            set16(i689 | 0, 0 | 0);
            set8(i690 >> 0 | 0, 0 | 0);
            i688 = i670 << 16 >> 16;
            i694 = i691 + 92 + (i688 << 1) | 0;
            i696 = get16(i694 | 0) | 0;
            i695 = get32(i691 + 132 + (i688 << 2) | 0) | 0;
            if ((i696 & 65535) < (getU16(i695 + 16 | 0) | 0)) {
             i736 = i694;
             i737 = i696;
             break;
            }
           }
           set16(i736 | 0, i737 + 1 << 16 >> 16 | 0);
           i695 = get16(i668 | 0) | 0;
           i729 = i692;
           i730 = i693;
           i731 = i695;
           i732 = get32(i691 + 132 + (i695 << 16 >> 16 << 2) | 0) | 0;
          }
          i695 = i731 << 16 >> 16;
          i670 = get16(i691 + 92 + (i695 << 1) | 0) | 0;
          if (i670 << 16 >> 16 == (get16(i732 + 16 | 0) | 0)) {
           i696 = getU8(i732 + 5 >> 0 | 0) | 0;
           i694 = get32(i732 + 64 | 0) | 0;
           i688 = getU8(i694 + (i696 + 9) >> 0 | 0) << 16 | getU8(i694 + (i696 + 8) >> 0 | 0) << 24 | getU8(i694 + (i696 + 10) >> 0 | 0) << 8 | getU8(i694 + (i696 + 11) >> 0 | 0);
           if (i731 << 16 >> 16 > 18) {
            i84 = 743;
            break;
           }
           i696 = get32(i672 | 0) | 0;
           if ((get32(i696 + 48 | 0) | 0) >>> 0 < i688 >>> 0) {
            i84 = 745;
            break;
           }
           i694 = _sqlite3PagerAcquire(get32(i696 | 0) | 0, i688, i61, 0) | 0;
           if (i694) {
            i738 = i694;
            i84 = 747;
            break;
           }
           i694 = get32(i61 | 0) | 0;
           i702 = get32(i694 + 4 | 0) | 0;
           set32(i702 + 64 | 0, get32(i694 | 0) | 0);
           i739 = i702 + 68 | 0;
           set32(i739 | 0, i694 | 0);
           set32(i702 + 60 | 0, i696 | 0);
           set32(i702 + 72 | 0, i688 | 0);
           set8(i702 + 5 >> 0 | 0, ((i688 | 0) == 1 ? 100 : 0) | 0);
           i688 = _btreeInitPage(i702) | 0;
           if (i688) {
            i740 = i739;
            i741 = i688;
            i742 = i702;
            i84 = 749;
            break;
           }
           i688 = i695 + 1 | 0;
           set32(i691 + 132 + (i688 << 2) | 0, i702 | 0);
           set16(i691 + 92 + (i688 << 1) | 0, 0 | 0);
           i688 = (get16(i668 | 0) | 0) + 1 << 16 >> 16;
           set16(i668 | 0, i688 | 0);
           set16(i689 | 0, 0 | 0);
           set8(i690 >> 0 | 0, 0 | 0);
           if (!(get16(i702 + 16 | 0) | 0)) {
            i84 = 753;
            break;
           }
           if ((get8(i702 + 2 >> 0 | 0) | 0) == (get8((get32(i691 + 132 + (i695 << 2) | 0) | 0) + 2 >> 0 | 0) | 0)) {
            i682 = i688;
            i677 = i729;
            i687 = i730;
            continue;
           } else {
            i84 = 753;
            break;
           }
          } else {
           i688 = get32(i732 + 64 | 0) | 0;
           i702 = (getU16(i732 + 12 | 0) | 0) + ((i670 & 65535) << 1) | 0;
           i670 = (getU8(i688 + i702 >> 0 | 0) << 8 | getU8(i688 + (i702 + 1) >> 0 | 0)) & getU16(i732 + 18 | 0);
           i702 = getU8(i688 + (i670 + 1) >> 0 | 0) << 16 | getU8(i688 + i670 >> 0 | 0) << 24 | getU8(i688 + (i670 + 2) >> 0 | 0) << 8 | getU8(i688 + (i670 + 3) >> 0 | 0);
           if (i731 << 16 >> 16 > 18) {
            i84 = 755;
            break;
           }
           i670 = get32(i672 | 0) | 0;
           if ((get32(i670 + 48 | 0) | 0) >>> 0 < i702 >>> 0) {
            i84 = 757;
            break;
           }
           i688 = _sqlite3PagerAcquire(get32(i670 | 0) | 0, i702, i61, 0) | 0;
           if (i688) {
            i743 = i688;
            i84 = 759;
            break;
           }
           i688 = get32(i61 | 0) | 0;
           i739 = get32(i688 + 4 | 0) | 0;
           set32(i739 + 64 | 0, get32(i688 | 0) | 0);
           i696 = i739 + 68 | 0;
           set32(i696 | 0, i688 | 0);
           set32(i739 + 60 | 0, i670 | 0);
           set32(i739 + 72 | 0, i702 | 0);
           set8(i739 + 5 >> 0 | 0, ((i702 | 0) == 1 ? 100 : 0) | 0);
           i702 = _btreeInitPage(i739) | 0;
           if (i702) {
            i744 = i696;
            i745 = i702;
            i746 = i739;
            i84 = 761;
            break;
           }
           i702 = i695 + 1 | 0;
           set32(i691 + 132 + (i702 << 2) | 0, i739 | 0);
           set16(i691 + 92 + (i702 << 1) | 0, 0 | 0);
           i702 = (get16(i668 | 0) | 0) + 1 << 16 >> 16;
           set16(i668 | 0, i702 | 0);
           set16(i689 | 0, 0 | 0);
           set8(i690 >> 0 | 0, 0 | 0);
           if (!(get16(i739 + 16 | 0) | 0)) {
            i84 = 765;
            break;
           }
           if ((get8(i739 + 2 >> 0 | 0) | 0) == (get8((get32(i691 + 132 + (i695 << 2) | 0) | 0) + 2 >> 0 | 0) | 0)) {
            i682 = i702;
            i677 = i729;
            i687 = i730;
            continue;
           } else {
            i84 = 765;
            break;
           }
          }
         }
         switch (i84 | 0) {
         case 736:
          {
           i84 = 0;
           i687 = i65;
           set32(i687 | 0, i733 | 0);
           set32(i687 + 4 | 0, i734 | 0);
           i747 = 0;
           break L112;
           break;
          }
         case 743:
          {
           i84 = 0;
           set32(i53 | 0, 51636 | 0);
           set32(i53 + 4 | 0, 17203 | 0);
           _sqlite3_log(11, 19615, i53);
           i747 = 11;
           break L112;
           break;
          }
         case 745:
          {
           i84 = 0;
           set32(i52 | 0, 49122 | 0);
           set32(i52 + 4 | 0, 17203 | 0);
           _sqlite3_log(11, 19615, i52);
           i747 = 11;
           break L112;
           break;
          }
         case 747:
          {
           i84 = 0;
           i747 = i738;
           break L112;
           break;
          }
         case 749:
          {
           i84 = 0;
           if (!i742) {
            i747 = i741;
            break L112;
           }
           _sqlite3PagerUnref(get32(i740 | 0) | 0);
           i747 = i741;
           break L112;
           break;
          }
         case 753:
          {
           i84 = 0;
           set32(i51 | 0, 51647 | 0);
           set32(i51 + 4 | 0, 17203 | 0);
           _sqlite3_log(11, 19615, i51);
           i747 = 11;
           break L112;
           break;
          }
         case 755:
          {
           i84 = 0;
           set32(i50 | 0, 51636 | 0);
           set32(i50 + 4 | 0, 17203 | 0);
           _sqlite3_log(11, 19615, i50);
           i747 = 11;
           break L112;
           break;
          }
         case 757:
          {
           i84 = 0;
           set32(i49 | 0, 49122 | 0);
           set32(i49 + 4 | 0, 17203 | 0);
           _sqlite3_log(11, 19615, i49);
           i747 = 11;
           break L112;
           break;
          }
         case 759:
          {
           i84 = 0;
           i747 = i743;
           break L112;
           break;
          }
         case 761:
          {
           i84 = 0;
           if (!i746) {
            i747 = i745;
            break L112;
           }
           _sqlite3PagerUnref(get32(i744 | 0) | 0);
           i747 = i745;
           break L112;
           break;
          }
         case 765:
          {
           i84 = 0;
           set32(i48 | 0, 51647 | 0);
           set32(i48 + 4 | 0, 17203 | 0);
           _sqlite3_log(11, 19615, i48);
           i747 = 11;
           break L112;
           break;
          }
         }
        } else i747 = i669;
       } else {
        i687 = i65;
        set32(i687 | 0, 0 | 0);
        set32(i687 + 4 | 0, 0 | 0);
        i747 = 0;
       } while (0);
       i691 = i65;
       i683 = get32(i691 + 4 | 0) | 0;
       i687 = i288 + 16 | 0;
       set32(i687 | 0, get32(i691 | 0) | 0);
       set32(i687 + 4 | 0, i683 | 0);
       i711 = i275;
       i712 = i276;
       i713 = i288;
       i714 = i279;
       i715 = i747;
       break;
      }
     case 32:
      {
       i683 = get32(i268 + (i279 * 20 | 0) + 4 | 0) | 0;
       set32(i65 | 0, i683 | 0);
       i687 = get32(i268 + (i279 * 20 | 0) + 16 | 0) | 0;
       set32(i100 | 0, i687 | 0);
       if (!i683) {
        i748 = i687;
        i749 = i275;
        i750 = i276;
        i751 = i280;
        i752 = i288;
        i753 = i279;
        i84 = 769;
        break L8;
       }
       set32(i106 | 0, 0 | 0);
       i691 = get32(i169 | 0) | 0;
       set32(i108 | 0, i691 | 0);
       i677 = i691;
       L160 : do if (!i691) {
        i754 = i677;
        i755 = 0;
       } else {
        i682 = 0;
        i690 = i677;
        i689 = i691;
        while (1) {
         i668 = get32(i689 | 0) | 0;
         i672 = get8(i668 >> 0 | 0) | 0;
         L163 : do if (!(i672 << 24 >> 24)) {
          i756 = 0;
          i757 = i687;
         } else {
          i702 = i672;
          i695 = i668;
          i739 = i687;
          while (1) {
           if ((get8(16286 + (i702 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i739 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
            i756 = i702;
            i757 = i739;
            break L163;
           }
           i695 = i695 + 1 | 0;
           i696 = i739 + 1 | 0;
           i702 = get8(i695 >> 0 | 0) | 0;
           if (!(i702 << 24 >> 24)) {
            i756 = 0;
            i757 = i696;
            break;
           } else i739 = i696;
          }
         } while (0);
         if ((get8(16286 + (i756 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i757 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
          i754 = i690;
          i755 = i682;
          break L160;
         }
         i668 = i682 + 1 | 0;
         set32(i106 | 0, i668 | 0);
         i689 = get32(i690 + 16 | 0) | 0;
         set32(i108 | 0, i689 | 0);
         i672 = i689;
         if (!i689) {
          i754 = i672;
          i755 = i668;
          break;
         } else {
          i682 = i668;
          i690 = i672;
         }
        }
       } while (0);
       if (!i754) {
        i758 = i687;
        i759 = i275;
        i760 = i276;
        i761 = i279;
        i762 = i274;
        i84 = 820;
        break L6;
       }
       if ((get32(i163 | 0) | 0) > 0) {
        i763 = i683;
        i764 = i275;
        i765 = i276;
        i766 = i279;
        i767 = i274;
        i84 = 824;
        break L6;
       }
       if ((i683 | 0) == 2 ? (get32(i180 | 0) | 0) > 1 : 0) {
        i763 = 2;
        i764 = i275;
        i765 = i276;
        i766 = i279;
        i767 = i274;
        i84 = 824;
        break L6;
       }
       if (!(get32(i754 + 16 | 0) | 0)) {
        i691 = (get8(i171 >> 0 | 0) | 0) != 0;
        if ((i683 | 0) == 1 & i691) {
         i677 = get32(i1 | 0) | 0;
         i690 = i677 + 496 | 0;
         i682 = get32(i690 + 4 | 0) | 0;
         if ((i682 | 0) > 0 | (i682 | 0) == 0 & (get32(i690 | 0) | 0) >>> 0 > 0) {
          i768 = i677;
          i769 = i275;
          i770 = i276;
          i84 = 828;
          break L6;
         }
         set8(i168 >> 0 | 0, 1 | 0);
         if ((_sqlite3VdbeHalt(i1) | 0) == 5) {
          i771 = i275;
          i772 = i276;
          i773 = i279;
          i84 = 830;
          break L6;
         }
         set8(i171 >> 0 | 0, 0 | 0);
         i774 = 1;
         i775 = get32(i75 | 0) | 0;
        } else {
         i776 = i691;
         i84 = 832;
        }
       } else {
        i776 = 0;
        i84 = 832;
       }
       if ((i84 | 0) == 832) {
        i84 = 0;
        i691 = (get32(i165 | 0) | 0) + ~i755 | 0;
        set32(i106 | 0, i691 | 0);
        set32(i181 | 0, 0 | 0);
        i677 = get32(i182 | 0) | 0;
        L182 : do if ((i677 | 0) > 0) {
         i690 = i677;
         i682 = i683;
         i689 = i691;
         i669 = 0;
         while (1) {
          i672 = get32((get32(i70 | 0) | 0) + (i669 << 4) + 4 | 0) | 0;
          do if (!i672) {
           i777 = i682;
           i778 = i669;
           i779 = i690;
          } else {
           if ((get8(i672 + 8 >> 0 | 0) | 0) != 2) {
            i777 = i682;
            i778 = i669;
            i779 = i690;
            break;
           }
           i668 = get32(i672 + 4 | 0) | 0;
           set32(i668 + 4 | 0, get32(i672 | 0) | 0);
           i693 = _sqlite3PagerSavepoint(get32(i668 | 0) | 0, i682, i689) | 0;
           if (i693) {
            i780 = i275;
            i781 = i276;
            i782 = i279;
            i783 = i693;
            i784 = i274;
            break L6;
           }
           do if ((i689 | 0) < 0) {
            if (!(get8(i668 + 19 >> 0 | 0) | 0)) break;
            set32(i668 + 48 | 0, 0 | 0);
           } while (0);
           i693 = _newDatabase(i668) | 0;
           i692 = get32((get32(i668 + 12 | 0) | 0) + 64 | 0) | 0;
           set32(i668 + 48 | 0, getU8(i692 + 29 >> 0 | 0) << 16 | getU8(i692 + 28 >> 0 | 0) << 24 | getU8(i692 + 30 >> 0 | 0) << 8 | getU8(i692 + 31 >> 0 | 0) | 0);
           if (i693) {
            i780 = i275;
            i781 = i276;
            i782 = i279;
            i783 = i693;
            i784 = i274;
            break L6;
           }
           i777 = get32(i65 | 0) | 0;
           i778 = get32(i181 | 0) | 0;
           i779 = get32(i182 | 0) | 0;
          } while (0);
          i672 = i778 + 1 | 0;
          set32(i181 | 0, i672 | 0);
          if ((i672 | 0) >= (i779 | 0)) {
           i785 = i777;
           break L182;
          }
          i690 = i779;
          i682 = i777;
          i689 = get32(i106 | 0) | 0;
          i669 = i672;
         }
        } else i785 = i683; while (0);
        if ((i785 | 0) == 2 ? (get32(i183 | 0) & 512 | 0) != 0 : 0) {
         i683 = get32(i184 | 0) | 0;
         if (i683) {
          i691 = i683;
          do {
           set8(i691 + 99 >> 0 | 0, 1 | 0);
           i691 = get32(i691 + 64 | 0) | 0;
          } while ((i691 | 0) != 0);
         }
         _sqlite3ResetInternalSchema(i69, -1);
         set32(i183 | 0, get32(i183 | 0) | 512 | 0);
         i774 = i776;
         i775 = 0;
        } else {
         i774 = i776;
         i775 = 0;
        }
       }
       i691 = get32(i169 | 0) | 0;
       if ((i691 | 0) == (get32(i108 | 0) | 0)) i786 = i691; else {
        i683 = i691;
        while (1) {
         set32(i137 | 0, i683 | 0);
         set32(i169 | 0, get32(i683 + 16 | 0) | 0);
         _sqlite3DbFree(i69, i683);
         set32(i165 | 0, (get32(i165 | 0) | 0) + -1 | 0);
         i691 = get32(i169 | 0) | 0;
         if ((i691 | 0) == (get32(i108 | 0) | 0)) {
          i786 = i691;
          break;
         } else i683 = i691;
        }
       }
       i683 = get32(i65 | 0) | 0;
       if ((i683 | 0) == 1) {
        set32(i169 | 0, get32(i786 + 16 | 0) | 0);
        _sqlite3DbFree(i69, i786);
        if (i774) {
         i711 = i275;
         i712 = i276;
         i713 = i288;
         i714 = i279;
         i715 = i775;
         break L20;
        } else {
         i787 = i275;
         i788 = i276;
         i789 = i280;
         i790 = i288;
         i791 = i279;
         i84 = 852;
         break L8;
        }
       } else {
        i691 = i786 + 8 | 0;
        i677 = get32(i691 + 4 | 0) | 0;
        i687 = i170;
        set32(i687 | 0, get32(i691 | 0) | 0);
        set32(i687 + 4 | 0, i677 | 0);
        if (i774) {
         i711 = i275;
         i712 = i276;
         i713 = i288;
         i714 = i279;
         i715 = i775;
         break L20;
        } else {
         i792 = i275;
         i793 = i276;
         i794 = i683;
         i795 = i280;
         i796 = i288;
         i797 = i279;
         i84 = 854;
         break L8;
        }
       }
       break;
      }
     case 34:
      {
       i683 = get32((get32(i70 | 0) | 0) + (get32(i268 + (i279 * 20 | 0) + 4 | 0) << 4) + 4 | 0) | 0;
       set32(i65 | 0, i683 | 0);
       if (!i683) {
        i716 = i275;
        i717 = i276;
        i718 = i267;
        i719 = i268;
        i720 = i269;
        i721 = i270;
        i722 = i280;
        i723 = i288;
        i724 = i279;
        i725 = i274;
        break L8;
       }
       i677 = i268 + (i279 * 20 | 0) + 8 | 0;
       i687 = _sqlite3BtreeBeginTrans(i683, get32(i677 | 0) | 0) | 0;
       switch (i687 | 0) {
       case 5:
        {
         i798 = i275;
         i799 = i276;
         i800 = i279;
         i84 = 888;
         break L6;
         break;
        }
       case 0:
        break;
       default:
        {
         i780 = i275;
         i781 = i276;
         i782 = i279;
         i783 = i687;
         i784 = i274;
         break L6;
        }
       }
       if (!(get32(i677 | 0) | 0)) {
        i716 = i275;
        i717 = i276;
        i718 = i267;
        i719 = i268;
        i720 = i269;
        i721 = i270;
        i722 = i280;
        i723 = i288;
        i724 = i279;
        i725 = i274;
        break L8;
       }
       if (!(get8(i185 >> 0 | 0) | 0)) {
        i716 = i275;
        i717 = i276;
        i718 = i267;
        i719 = i268;
        i720 = i269;
        i721 = i270;
        i722 = i280;
        i723 = i288;
        i724 = i279;
        i725 = i274;
        break L8;
       }
       if ((get8(i168 >> 0 | 0) | 0) != 0 ? (get32(i180 | 0) | 0) <= 1 : 0) {
        i716 = i275;
        i717 = i276;
        i718 = i267;
        i719 = i268;
        i720 = i269;
        i721 = i270;
        i722 = i280;
        i723 = i288;
        i724 = i279;
        i725 = i274;
        break L8;
       }
       i677 = get32(i186 | 0) | 0;
       if (!i677) {
        i687 = (get32(i164 | 0) | 0) + 1 | 0;
        set32(i164 | 0, i687 | 0);
        i683 = (get32(i165 | 0) | 0) + i687 | 0;
        set32(i186 | 0, i683 | 0);
        i801 = i683;
       } else i801 = i677;
       i677 = i801 + -1 | 0;
       i683 = get32(i166 | 0) | 0;
       L222 : do if ((i683 | 0) != 0 ? (i687 = get32(i179 | 0) | 0, (i687 | 0) > 0) : 0) {
        i691 = i687;
        i687 = i683;
        i669 = 0;
        while (1) {
         i689 = get32(i687 + (i669 << 2) | 0) | 0;
         i682 = get32(get32(i689 + 4 | 0) | 0) | 0;
         do if ((get32(i682 | 0) | 0) > 1) {
          i690 = get32(i682 + 80 | 0) | 0;
          set32(i689 + 20 | 0, i801 | 0);
          if (!i690) {
           i802 = i691;
           break;
          }
          i672 = FUNCTION_TABLE_iii[i690 & 127](get32(i689 + 8 | 0) | 0, i677) | 0;
          if (i672) {
           i803 = i672;
           break L222;
          }
          i802 = get32(i179 | 0) | 0;
         } else i802 = i691; while (0);
         i689 = i669 + 1 | 0;
         if ((i689 | 0) >= (i802 | 0)) break;
         i691 = i802;
         i687 = get32(i166 | 0) | 0;
         i669 = i689;
        }
        i804 = get32(i186 | 0) | 0;
        i84 = 904;
       } else {
        i804 = i801;
        i84 = 904;
       } while (0);
       if ((i84 | 0) == 904) {
        i84 = 0;
        i677 = get32(i65 | 0) | 0;
        i683 = get32(i677 + 4 | 0) | 0;
        set32(i683 + 4 | 0, get32(i677 | 0) | 0);
        i803 = _sqlite3PagerOpenSavepoint(get32(i683 | 0) | 0, i804) | 0;
       }
       i683 = i170;
       i677 = get32(i683 + 4 | 0) | 0;
       i669 = i187;
       set32(i669 | 0, get32(i683 | 0) | 0);
       set32(i669 + 4 | 0, i677 | 0);
       i711 = i275;
       i712 = i276;
       i713 = i288;
       i714 = i279;
       i715 = i803;
       break;
      }
     case 36:
      {
       i677 = i268 + (i279 * 20 | 0) + 4 | 0;
       i669 = (get32(i70 | 0) | 0) + (get32(i677 | 0) << 4) | 0;
       set32(i65 | 0, i669 | 0);
       i683 = get32(i268 + (i279 * 20 | 0) + 12 | 0) | 0;
       i687 = i267 + (i683 * 40 | 0) + 28 | 0;
       i691 = get16(i687 | 0) | 0;
       i689 = i691 & 65535;
       do if (!(i689 & 4)) {
        if (i689 & 8) {
         d805 = +getF64(i267 + (i683 * 40 | 0) + 8 | 0);
         i682 = d805 < -9223372036854775808.0 | d805 > 9223372036854775808.0;
         i672 = +Math_abs(d805) >= 1.0 ? (d805 > 0.0 ? ~~+Math_min(+Math_floor(d805 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d805 - +(~~d805 >>> 0)) / 4294967296.0) >>> 0) : 0;
         i806 = i682 ? 0 : ~~d805 >>> 0;
         i807 = i682 ? -2147483648 : i672;
         i808 = i691;
         i809 = i669;
         break;
        }
        if (!(i689 & 18)) {
         i806 = 0;
         i807 = 0;
         i808 = i691;
         i809 = i669;
        } else {
         i672 = i61;
         set32(i672 | 0, 0 | 0);
         set32(i672 + 4 | 0, 0 | 0);
         _sqlite3Atoi64(get32(i267 + (i683 * 40 | 0) + 4 | 0) | 0, i61, get32(i267 + (i683 * 40 | 0) + 24 | 0) | 0, get8(i267 + (i683 * 40 | 0) + 31 >> 0 | 0) | 0) | 0;
         i672 = i61;
         i806 = get32(i672 | 0) | 0;
         i807 = get32(i672 + 4 | 0) | 0;
         i808 = get16(i687 | 0) | 0;
         i809 = get32(i65 | 0) | 0;
        }
       } else {
        i672 = i267 + (i683 * 40 | 0) + 16 | 0;
        i806 = get32(i672 | 0) | 0;
        i807 = get32(i672 + 4 | 0) | 0;
        i808 = i691;
        i809 = i669;
       } while (0);
       i669 = i267 + (i683 * 40 | 0) + 16 | 0;
       i691 = i669;
       set32(i691 | 0, i806 | 0);
       set32(i691 + 4 | 0, i807 | 0);
       set16(i687 | 0, i808 & 48896 | 4 | 0);
       i691 = get32(i809 + 4 | 0) | 0;
       i689 = i268 + (i279 * 20 | 0) + 8 | 0;
       i672 = get32(i689 | 0) | 0;
       i682 = get32(i691 + 4 | 0) | 0;
       set32(i682 + 4 | 0, get32(i691 | 0) | 0);
       i691 = get32(i682 + 12 | 0) | 0;
       i690 = get32(i691 + 64 | 0) | 0;
       i693 = _sqlite3PagerWrite(get32(i691 + 68 | 0) | 0) | 0;
       if ((i693 | 0) == 0 ? (i691 = i672 << 2, set8(i690 + (i691 + 36) >> 0 | 0, i806 >>> 24 | 0), set8(i690 + (i691 + 37) >> 0 | 0, i806 >>> 16 | 0), set8(i690 + (i691 + 38) >> 0 | 0, i806 >>> 8 | 0), i692 = i806 & 255, set8(i690 + (i691 + 39) >> 0 | 0, i692 | 0), (i672 | 0) == 7) : 0) set8(i682 + 22 >> 0 | 0, i692 | 0);
       switch (get32(i689 | 0) | 0) {
       case 1:
        {
         set32(get32((get32(i65 | 0) | 0) + 12 | 0) | 0, get32(i669 | 0) | 0);
         set32(i183 | 0, get32(i183 | 0) | 512 | 0);
         break;
        }
       case 2:
        {
         set8((get32((get32(i65 | 0) | 0) + 12 | 0) | 0) + 76 >> 0 | 0, get32(i669 | 0) | 0);
         break;
        }
       default:
        {}
       }
       if ((get32(i677 | 0) | 0) == 1) {
        i669 = get32(i184 | 0) | 0;
        if (i669) {
         i689 = i669;
         do {
          set8(i689 + 99 >> 0 | 0, 1 | 0);
          i689 = get32(i689 + 64 | 0) | 0;
         } while ((i689 | 0) != 0);
        }
        set8(i188 >> 0 | 0, 0 | 0);
        i711 = i275;
        i712 = i276;
        i713 = i288;
        i714 = i279;
        i715 = i693;
       } else {
        i711 = i275;
        i712 = i276;
        i713 = i288;
        i714 = i279;
        i715 = i693;
       }
       break;
      }
     case 39:
     case 38:
      {
       if (get8(i188 >> 0 | 0) | 0) {
        i810 = i275;
        i811 = i276;
        i812 = i279;
        i813 = 4;
        i814 = i274;
        i84 = 2888;
        break L6;
       }
       set32(i65 | 0, 0 | 0);
       set32(i100 | 0, 0 | 0);
       i689 = get32(i268 + (i279 * 20 | 0) + 8 | 0) | 0;
       set32(i101 | 0, i689 | 0);
       i677 = get32(i268 + (i279 * 20 | 0) + 12 | 0) | 0;
       set32(i102 | 0, i677 | 0);
       i687 = get32(i70 | 0) | 0;
       set32(i189 | 0, i687 + (i677 << 4) | 0);
       set32(i137 | 0, get32(i687 + (i677 << 4) + 4 | 0) | 0);
       if (i289 << 24 >> 24 == 39) {
        set32(i108 | 0, 1 | 0);
        i683 = get8((get32(i687 + (i677 << 4) + 12 | 0) | 0) + 76 >> 0 | 0) | 0;
        if ((i683 & 255) < (getU8(i161 >> 0 | 0) | 0)) set8(i161 >> 0 | 0, i683 | 0);
       } else set32(i108 | 0, 0 | 0);
       if (get8(i268 + (i279 * 20 | 0) + 3 >> 0 | 0) | 0) {
        i683 = i267 + (i689 * 40 | 0) + 28 | 0;
        i677 = get16(i683 | 0) | 0;
        i687 = i677 & 65535;
        do if (!(i687 & 4)) {
         if (i687 & 8) {
          d805 = +getF64(i267 + (i689 * 40 | 0) + 8 | 0);
          i669 = d805 < -9223372036854775808.0 | d805 > 9223372036854775808.0;
          i692 = +Math_abs(d805) >= 1.0 ? (d805 > 0.0 ? ~~+Math_min(+Math_floor(d805 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d805 - +(~~d805 >>> 0)) / 4294967296.0) >>> 0) : 0;
          i815 = i669 ? 0 : ~~d805 >>> 0;
          i816 = i669 ? -2147483648 : i692;
          i817 = i677;
          break;
         }
         if (!(i687 & 18)) {
          i815 = 0;
          i816 = 0;
          i817 = i677;
         } else {
          i692 = i61;
          set32(i692 | 0, 0 | 0);
          set32(i692 + 4 | 0, 0 | 0);
          _sqlite3Atoi64(get32(i267 + (i689 * 40 | 0) + 4 | 0) | 0, i61, get32(i267 + (i689 * 40 | 0) + 24 | 0) | 0, get8(i267 + (i689 * 40 | 0) + 31 >> 0 | 0) | 0) | 0;
          i692 = i61;
          i815 = get32(i692 | 0) | 0;
          i816 = get32(i692 + 4 | 0) | 0;
          i817 = get16(i683 | 0) | 0;
         }
        } else {
         i692 = i267 + (i689 * 40 | 0) + 16 | 0;
         i815 = get32(i692 | 0) | 0;
         i816 = get32(i692 + 4 | 0) | 0;
         i817 = i677;
        } while (0);
        i677 = i267 + (i689 * 40 | 0) + 16 | 0;
        set32(i677 | 0, i815 | 0);
        set32(i677 + 4 | 0, i816 | 0);
        set16(i683 | 0, i817 & 48896 | 4 | 0);
        set32(i101 | 0, i815 | 0);
        if ((i815 | 0) < 2) {
         i818 = i275;
         i819 = i276;
         i820 = i279;
         i821 = i274;
         i84 = 968;
         break L6;
        }
       }
       i677 = i268 + (i279 * 20 | 0) + 1 | 0;
       switch (get8(i677 >> 0 | 0) | 0) {
       case -6:
        {
         i687 = get32(i268 + (i279 * 20 | 0) + 16 | 0) | 0;
         set32(i100 | 0, i687 | 0);
         set8(i687 + 4 >> 0 | 0, get8((get32((get32((get32(i1 | 0) | 0) + 8 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0) | 0 | 0);
         i693 = (getU16(i687 + 6 | 0) | 0) + 1 | 0;
         set32(i65 | 0, i693 | 0);
         i822 = i693;
         break;
        }
       case -14:
        {
         i693 = get32(i268 + (i279 * 20 | 0) + 16 | 0) | 0;
         set32(i65 | 0, i693 | 0);
         i822 = i693;
         break;
        }
       default:
        i822 = get32(i65 | 0) | 0;
       }
       i693 = get32(i268 + (i279 * 20 | 0) + 4 | 0) | 0;
       i687 = get32(i102 | 0) | 0;
       i692 = (get32(i190 | 0) | 0) - i693 | 0;
       i669 = get32(i72 | 0) | 0;
       i682 = i669 + (i692 * 40 | 0) | 0;
       i672 = i822 << 3;
       i691 = i672 + 312 | 0;
       i690 = get32((get32(i142 | 0) | 0) + (i693 << 2) | 0) | 0;
       if (i690) {
        i739 = get32(i690 + 4 | 0) | 0;
        if (!i739) {
         i702 = get32(i690 | 0) | 0;
         if (i702) _sqlite3BtreeCloseCursor(i702);
        } else _sqlite3BtreeClose(i739);
        i739 = get32(i690 + 36 | 0) | 0;
        if (i739) {
         i702 = get32(i690 + 40 | 0) | 0;
         set8(i191 >> 0 | 0, 1 | 0);
         FUNCTION_TABLE_ii[get32(i702 + 28 | 0) & 127](i739) | 0;
         set8(i191 >> 0 | 0, 0 | 0);
        }
        set32((get32(i142 | 0) | 0) + (i693 << 2) | 0, 0 | 0);
       }
       if (_sqlite3VdbeMemGrow(i682, i691, 0) | 0) {
        i823 = i275;
        i824 = i276;
        i825 = i279;
        i826 = i274;
        i84 = 982;
        break L6;
       }
       i691 = i669 + (i692 * 40 | 0) + 4 | 0;
       i692 = get32(i691 | 0) | 0;
       set32((get32(i142 | 0) | 0) + (i693 << 2) | 0, i692 | 0);
       i698 = i692;
       i700 = i698 + 96 | 0;
       do {
        set32(i698 | 0, 0 | 0);
        i698 = i698 + 4 | 0;
       } while ((i698 | 0) < (i700 | 0));
       set32(i692 + 12 | 0, i687 | 0);
       set32(i692 + 20 | 0, i822 | 0);
       i683 = get32(i691 | 0) | 0;
       if (i822) set32(i692 + 84 | 0, i683 + 96 | 0);
       i689 = i683 + (i672 + 96) | 0;
       set32(i692 | 0, i689 | 0);
       i698 = i689;
       i700 = i698 + 88 | 0;
       do {
        set32(i698 | 0, 0 | 0);
        i698 = i698 + 4 | 0;
       } while ((i698 | 0) < (i700 | 0));
       set16(i689 + 88 | 0, 0 | 0);
       set32(i106 | 0, i692 | 0);
       if (!i692) {
        i78 = i90;
        i79 = i105;
        i80 = i275;
        i81 = i276;
        i82 = i279;
        i83 = i274;
        i84 = 2896;
        break L1;
       }
       set8(i692 + 28 >> 0 | 0, 1 | 0);
       set8(i692 + 32 >> 0 | 0, 1 | 0);
       i672 = get32(i137 | 0) | 0;
       i691 = get32(i101 | 0) | 0;
       i687 = get32(i108 | 0) | 0;
       i683 = get32(i100 | 0) | 0;
       i693 = get32(i692 | 0) | 0;
       i669 = get32(i672 + 4 | 0) | 0;
       set32(i669 + 4 | 0, get32(i672 | 0) | 0);
       if ((i687 | 0) != 0 ? (get8(i669 + 16 >> 0 | 0) | 0) != 0 : 0) {
        i827 = 8;
        i84 = 993;
       } else i84 = 988;
       L299 : do if ((i84 | 0) == 988) {
        i84 = 0;
        do if ((i691 | 0) == 1) {
         if (get32(i669 + 48 | 0) | 0) break;
         set32(i692 + 8 | 0, get32(i100 | 0) | 0);
         set32(i692 | 0, 0 | 0);
         i828 = 0;
         break L299;
        } while (0);
        set32(i693 + 20 | 0, i691 | 0);
        set16(i693 + 90 | 0, -1 | 0);
        set32(i693 + 16 | 0, i683 | 0);
        set32(i693 | 0, i672 | 0);
        set32(i693 + 4 | 0, i669 | 0);
        set8(i693 + 80 >> 0 | 0, i687 | 0);
        i682 = i669 + 8 | 0;
        i739 = get32(i682 | 0) | 0;
        set32(i693 + 8 | 0, i739 | 0);
        if (i739) set32(i739 + 12 | 0, i693 | 0);
        set32(i682 | 0, i693 | 0);
        set8(i693 + 83 >> 0 | 0, 0 | 0);
        i682 = i693 + 24 | 0;
        set32(i682 | 0, 0 | 0);
        set32(i682 + 4 | 0, 0 | 0);
        i827 = 0;
        i84 = 993;
       } while (0);
       if ((i84 | 0) == 993) {
        i84 = 0;
        set32(i692 + 8 | 0, get32(i100 | 0) | 0);
        i828 = i827;
       }
       i693 = (get8(i677 >> 0 | 0) | 0) != -6 & 1;
       set8(i692 + 30 >> 0 | 0, i693 | 0);
       set8(i692 + 31 >> 0 | 0, i693 ^ 1 | 0);
       i711 = i275;
       i712 = i276;
       i713 = i288;
       i714 = i279;
       i715 = i828;
       break;
      }
     case 41:
     case 40:
      {
       i693 = get32(i268 + (i279 * 20 | 0) + 4 | 0) | 0;
       i669 = get32(i268 + (i279 * 20 | 0) + 8 | 0) | 0;
       i687 = (get32(i190 | 0) | 0) - i693 | 0;
       i672 = get32(i72 | 0) | 0;
       i683 = i672 + (i687 * 40 | 0) | 0;
       i691 = i669 << 3;
       i689 = i691 + 312 | 0;
       i682 = get32((get32(i142 | 0) | 0) + (i693 << 2) | 0) | 0;
       if (i682) {
        i739 = get32(i682 + 4 | 0) | 0;
        if (!i739) {
         i702 = get32(i682 | 0) | 0;
         if (i702) _sqlite3BtreeCloseCursor(i702);
        } else _sqlite3BtreeClose(i739);
        i739 = get32(i682 + 36 | 0) | 0;
        if (i739) {
         i702 = get32(i682 + 40 | 0) | 0;
         set8(i191 >> 0 | 0, 1 | 0);
         FUNCTION_TABLE_ii[get32(i702 + 28 | 0) & 127](i739) | 0;
         set8(i191 >> 0 | 0, 0 | 0);
        }
        set32((get32(i142 | 0) | 0) + (i693 << 2) | 0, 0 | 0);
       }
       if (_sqlite3VdbeMemGrow(i683, i689, 0) | 0) {
        i829 = i275;
        i830 = i276;
        i831 = i279;
        i832 = i274;
        i84 = 1005;
        break L6;
       }
       i689 = i672 + (i687 * 40 | 0) + 4 | 0;
       i687 = get32(i689 | 0) | 0;
       set32((get32(i142 | 0) | 0) + (i693 << 2) | 0, i687 | 0);
       i698 = i687;
       i700 = i698 + 96 | 0;
       do {
        set32(i698 | 0, 0 | 0);
        i698 = i698 + 4 | 0;
       } while ((i698 | 0) < (i700 | 0));
       set32(i687 + 12 | 0, -1 | 0);
       set32(i687 + 20 | 0, i669 | 0);
       i692 = get32(i689 | 0) | 0;
       if (i669) set32(i687 + 84 | 0, i692 + 96 | 0);
       i677 = i692 + (i691 + 96) | 0;
       set32(i687 | 0, i677 | 0);
       i698 = i677;
       i700 = i698 + 88 | 0;
       do {
        set32(i698 | 0, 0 | 0);
        i698 = i698 + 4 | 0;
       } while ((i698 | 0) < (i700 | 0));
       set16(i677 + 88 | 0, 0 | 0);
       set32(i65 | 0, i687 | 0);
       if (!i687) {
        i78 = i90;
        i79 = i105;
        i80 = i275;
        i81 = i276;
        i82 = i279;
        i83 = i274;
        i84 = 2896;
        break L1;
       }
       set8(i687 + 28 >> 0 | 0, 1 | 0);
       i691 = i268 + (i279 * 20 | 0) + 3 | 0;
       i669 = _sqlite3BtreeOpen(get32(i69 | 0) | 0, 0, i69, i687 + 4 | 0, getU8(i691 >> 0 | 0) | 9, 1054) | 0;
       do if (!i669) {
        i689 = _sqlite3BtreeBeginTrans(get32((get32(i65 | 0) | 0) + 4 | 0) | 0, 1) | 0;
        if (!i689) {
         i692 = i268 + (i279 * 20 | 0) + 16 | 0;
         i693 = get32(i65 | 0) | 0;
         i672 = get32(i693 + 4 | 0) | 0;
         if (!(get32(i692 | 0) | 0)) {
          i683 = get32(i693 | 0) | 0;
          i739 = get32(i672 + 4 | 0) | 0;
          set32(i739 + 4 | 0, get32(i672 | 0) | 0);
          do if (!(get8(i739 + 16 >> 0 | 0) | 0)) {
           if (!(get32(i739 + 48 | 0) | 0)) {
            i833 = 16;
            break;
           }
           set32(i683 + 20 | 0, 1 | 0);
           set16(i683 + 90 | 0, -1 | 0);
           set32(i683 + 16 | 0, 0 | 0);
           set32(i683 | 0, i672 | 0);
           set32(i683 + 4 | 0, i739 | 0);
           set8(i683 + 80 >> 0 | 0, 1 | 0);
           i702 = i739 + 8 | 0;
           i682 = get32(i702 | 0) | 0;
           set32(i683 + 8 | 0, i682 | 0);
           if (i682) set32(i682 + 12 | 0, i683 | 0);
           set32(i702 | 0, i683 | 0);
           set8(i683 + 83 >> 0 | 0, 0 | 0);
           i702 = i683 + 24 | 0;
           set32(i702 | 0, 0 | 0);
           set32(i702 + 4 | 0, 0 | 0);
           i833 = 0;
          } else i833 = 8; while (0);
          set8(i693 + 30 >> 0 | 0, 1 | 0);
          i834 = i833;
          break;
         }
         i683 = _sqlite3BtreeCreateTable(i672, i66, 2) | 0;
         i739 = get32(i65 | 0) | 0;
         if (!i683) {
          i702 = get32(i739 + 4 | 0) | 0;
          i682 = get32(i66 | 0) | 0;
          i690 = get32(i692 | 0) | 0;
          i695 = get32(i739 | 0) | 0;
          i696 = get32(i702 + 4 | 0) | 0;
          set32(i696 + 4 | 0, get32(i702 | 0) | 0);
          do if (!(get8(i696 + 16 >> 0 | 0) | 0)) {
           if ((i682 | 0) == 1 ? (get32(i696 + 48 | 0) | 0) == 0 : 0) {
            i835 = 16;
            break;
           }
           set32(i695 + 20 | 0, i682 | 0);
           set16(i695 + 90 | 0, -1 | 0);
           set32(i695 + 16 | 0, i690 | 0);
           set32(i695 | 0, i702 | 0);
           set32(i695 + 4 | 0, i696 | 0);
           set8(i695 + 80 >> 0 | 0, 1 | 0);
           i670 = i696 + 8 | 0;
           i688 = get32(i670 | 0) | 0;
           set32(i695 + 8 | 0, i688 | 0);
           if (i688) set32(i688 + 12 | 0, i695 | 0);
           set32(i670 | 0, i695 | 0);
           set8(i695 + 83 >> 0 | 0, 0 | 0);
           i670 = i695 + 24 | 0;
           set32(i670 | 0, 0 | 0);
           set32(i670 + 4 | 0, 0 | 0);
           i835 = 0;
          } else i835 = 8; while (0);
          i695 = get32(i692 | 0) | 0;
          set32(i739 + 8 | 0, i695 | 0);
          set8(i695 + 4 >> 0 | 0, get8((get32((get32((get32(i1 | 0) | 0) + 8 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0) | 0 | 0);
          i836 = i835;
         } else i836 = i683;
         set8(i739 + 30 >> 0 | 0, 0 | 0);
         i834 = i836;
        } else i834 = i689;
       } else i834 = i669; while (0);
       i669 = get32(i65 | 0) | 0;
       set8(i669 + 32 >> 0 | 0, (get8(i691 >> 0 | 0) | 0) != 16 & 1 | 0);
       set8(i669 + 31 >> 0 | 0, (get8(i669 + 30 >> 0 | 0) | 0) == 0 & 1 | 0);
       i711 = i275;
       i712 = i276;
       i713 = i288;
       i714 = i279;
       i715 = i834;
       break;
      }
     case 51:
      {
       i669 = get32(i268 + (i279 * 20 | 0) + 12 | 0) | 0;
       set32(i108 | 0, i267 + ((get32(i268 + (i279 * 20 | 0) + 16 | 0) | 0) * 40 | 0) | 0);
       i687 = get32((get32(i142 | 0) | 0) + (get32(i268 + (i279 * 20 | 0) + 4 | 0) << 2) | 0) | 0;
       set32(i100 | 0, i687 | 0);
       set32(i687 + 72 | 0, 0 | 0);
       set32(i687 + 76 | 0, 0 | 0);
       i677 = get32(i687 | 0) | 0;
       set32(i101 | 0, i677 | 0);
       i695 = get16((get32(i687 + 8 | 0) | 0) + 6 | 0) | 0;
       set16(i102 | 0, i695 | 0);
       set16(i65 | 0, 0 | 0);
       i687 = i677;
       if (i695 << 16 >> 16) {
        i696 = get32(i108 | 0) | 0;
        i702 = 0;
        do {
         if (get16(i696 + ((i702 & 65535) * 40 | 0) + 28 | 0) & 1) {
          i837 = i275;
          i838 = i276;
          i839 = i280;
          i840 = i288;
          i841 = i279;
          i84 = 1155;
          break L8;
         }
         i702 = i702 + 1 << 16 >> 16;
         set16(i65 | 0, i702 | 0);
        } while ((i702 & 65535) < (i695 & 65535));
       }
       if (!i677) {
        i716 = i275;
        i717 = i276;
        i718 = i267;
        i719 = i268;
        i720 = i269;
        i721 = i270;
        i722 = i280;
        i723 = i288;
        i724 = i279;
        i725 = i274;
        break L8;
       }
       i702 = get32(i100 | 0) | 0;
       set32(i106 | 0, get32(i702 + 8 | 0) | 0);
       set16(i194 | 0, (i695 & 65535) + 1 | 0);
       set16(i195 | 0, 32 | 0);
       set32(i196 | 0, get32(i108 | 0) | 0);
       i696 = i267 + (i669 * 40 | 0) + 28 | 0;
       i691 = get16(i696 | 0) | 0;
       i690 = i691 & 65535;
       do if (!(i690 & 4)) {
        if (i690 & 8) {
         d805 = +getF64(i267 + (i669 * 40 | 0) + 8 | 0);
         i682 = d805 < -9223372036854775808.0 | d805 > 9223372036854775808.0;
         i672 = +Math_abs(d805) >= 1.0 ? (d805 > 0.0 ? ~~+Math_min(+Math_floor(d805 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d805 - +(~~d805 >>> 0)) / 4294967296.0) >>> 0) : 0;
         i842 = i682 ? 0 : ~~d805 >>> 0;
         i843 = i682 ? -2147483648 : i672;
         i844 = i691;
         i845 = i702;
         i846 = i687;
         break;
        }
        if (!(i690 & 18)) {
         i842 = 0;
         i843 = 0;
         i844 = i691;
         i845 = i702;
         i846 = i687;
        } else {
         i672 = i61;
         set32(i672 | 0, 0 | 0);
         set32(i672 + 4 | 0, 0 | 0);
         _sqlite3Atoi64(get32(i267 + (i669 * 40 | 0) + 4 | 0) | 0, i61, get32(i267 + (i669 * 40 | 0) + 24 | 0) | 0, get8(i267 + (i669 * 40 | 0) + 31 >> 0 | 0) | 0) | 0;
         i672 = i61;
         i842 = get32(i672 | 0) | 0;
         i843 = get32(i672 + 4 | 0) | 0;
         i844 = get16(i696 | 0) | 0;
         i845 = get32(i100 | 0) | 0;
         i846 = get32(i101 | 0) | 0;
        }
       } else {
        i672 = i267 + (i669 * 40 | 0) + 16 | 0;
        i842 = get32(i672 | 0) | 0;
        i843 = get32(i672 + 4 | 0) | 0;
        i844 = i691;
        i845 = i702;
        i846 = i687;
       } while (0);
       i687 = i267 + (i669 * 40 | 0) + 16 | 0;
       i702 = i687;
       set32(i702 | 0, i842 | 0);
       set32(i702 + 4 | 0, i843 | 0);
       set16(i696 | 0, i844 & 48896 | 4 | 0);
       i702 = i150;
       set32(i702 | 0, i842 | 0);
       set32(i702 + 4 | 0, i843 | 0);
       i702 = _sqlite3BtreeMovetoUnpacked(i846, i106, 0, 0, 0, i845 + 72 | 0) | 0;
       if ((get16(i195 | 0) & 32) == 0 ? (i691 = i197, i690 = get32(i691 | 0) | 0, i695 = get32(i691 + 4 | 0) | 0, i691 = i150, !((i690 | 0) == (get32(i691 | 0) | 0) ? (i695 | 0) == (get32(i691 + 4 | 0) | 0) : 0)) : 0) {
        i691 = i687;
        set32(i691 | 0, i690 | 0);
        set32(i691 + 4 | 0, i695 | 0);
        i711 = i275;
        i712 = i276;
        i713 = i288;
        i714 = i279;
        i715 = i702;
        break L20;
       }
       i711 = i275;
       i712 = i276;
       i713 = i288;
       i714 = (get32(i268 + (i279 * 20 | 0) + 8 | 0) | 0) + -1 | 0;
       i715 = i702;
       break;
      }
     case 52:
      {
       i702 = get32(i268 + (i279 * 20 | 0) + 12 | 0) | 0;
       i695 = get32((get32(i142 | 0) | 0) + (get32(i268 + (i279 * 20 | 0) + 4 | 0) << 2) | 0) | 0;
       set32(i65 | 0, i695 | 0);
       i691 = get32(i695 | 0) | 0;
       set32(i100 | 0, i691 | 0);
       if (!i691) {
        i847 = i695;
        i848 = i275;
        i849 = i276;
        i850 = i280;
        i851 = i288;
        i852 = i279;
        i84 = 1171;
        break L8;
       }
       set32(i101 | 0, 0 | 0);
       i695 = i267 + (i702 * 40 | 0) + 16 | 0;
       i702 = i695;
       i690 = get32(i702 | 0) | 0;
       i687 = get32(i702 + 4 | 0) | 0;
       i702 = i108;
       set32(i702 | 0, i690 | 0);
       set32(i702 + 4 | 0, i687 | 0);
       i702 = _sqlite3BtreeMovetoUnpacked(i691, 0, i690, i687, 0, i101) | 0;
       i687 = i695;
       i695 = get32(i687 + 4 | 0) | 0;
       i690 = get32(i65 | 0) | 0;
       i691 = i690 + 64 | 0;
       set32(i691 | 0, get32(i687 | 0) | 0);
       set32(i691 + 4 | 0, i695 | 0);
       i695 = (get32(i101 | 0) | 0) == 0;
       set8(i690 + 25 >> 0 | 0, i695 & 1 | 0);
       set8(i690 + 28 >> 0 | 0, 0 | 0);
       set32(i690 + 76 | 0, 0 | 0);
       set8(i690 + 29 >> 0 | 0, 0 | 0);
       if (i695) i853 = i279; else i853 = (get32(i268 + (i279 * 20 | 0) + 8 | 0) | 0) + -1 | 0;
       set32((get32(i65 | 0) | 0) + 72 | 0, get32(i101 | 0) | 0);
       i711 = i275;
       i712 = i276;
       i713 = i288;
       i714 = i853;
       i715 = i702;
       break;
      }
     case 54:
      {
       i702 = i65;
       set32(i702 | 0, 0 | 0);
       set32(i702 + 4 | 0, 0 | 0);
       set32(i102 | 0, 0 | 0);
       i702 = get32((get32(i142 | 0) | 0) + (get32(i268 + (i279 * 20 | 0) + 4 | 0) << 2) | 0) | 0;
       set32(i101 | 0, i702 | 0);
       i695 = get32(i702 | 0) | 0;
       if (!i695) {
        i854 = 0;
        i855 = 0;
        i856 = 0;
       } else {
        if (!(get8(i702 + 27 >> 0 | 0) | 0)) {
         i690 = i695 + 24 | 0;
         i691 = get32(i690 | 0) | 0;
         i687 = get32(i690 + 4 | 0) | 0;
         i690 = i65;
         set32(i690 | 0, i691 | 0);
         set32(i690 + 4 | 0, i687 | 0);
         L384 : do if ((i691 | 0) == 0 & (i687 | 0) == 0) {
          i690 = i695 + 83 | 0;
          if ((get8(i690 >> 0 | 0) | 0) == 1 ? (get8(i695 + 81 >> 0 | 0) | 0) != 0 : 0) {
           i857 = i695;
           i84 = 1200;
          } else i84 = 1178;
          L388 : do if ((i84 | 0) == 1178) {
           i84 = 0;
           i677 = _moveToRoot(i695) | 0;
           if (i677) {
            i780 = i275;
            i781 = i276;
            i782 = i279;
            i783 = i677;
            i784 = i274;
            break L6;
           }
           do if (!(get8(i690 >> 0 | 0) | 0)) set32(i102 | 0, 1 | 0); else {
            set32(i102 | 0, 0 | 0);
            i677 = i695 + 90 | 0;
            i672 = i695 + 4 | 0;
            i682 = i695 + 58 | 0;
            i693 = i695 + 82 | 0;
            i670 = get16(i677 | 0) | 0;
            while (1) {
             i688 = i670 << 16 >> 16;
             i694 = get32(i695 + 132 + (i688 << 2) | 0) | 0;
             if (get8(i694 + 3 >> 0 | 0) | 0) {
              i858 = i688;
              i859 = i694;
              break;
             }
             i860 = getU8(i694 + 5 >> 0 | 0) | 0;
             i861 = get32(i694 + 64 | 0) | 0;
             i862 = getU8(i861 + (i860 + 9) >> 0 | 0) << 16 | getU8(i861 + (i860 + 8) >> 0 | 0) << 24 | getU8(i861 + (i860 + 10) >> 0 | 0) << 8 | getU8(i861 + (i860 + 11) >> 0 | 0);
             set16(i695 + 92 + (i688 << 1) | 0, get16(i694 + 16 | 0) | 0 | 0);
             i694 = get16(i677 | 0) | 0;
             i688 = i694 << 16 >> 16;
             if (i694 << 16 >> 16 > 18) {
              i863 = i695;
              i864 = i275;
              i865 = i276;
              i866 = i279;
              i867 = i274;
              i84 = 1184;
              break L6;
             }
             i694 = get32(i672 | 0) | 0;
             if ((get32(i694 + 48 | 0) | 0) >>> 0 < i862 >>> 0) {
              i868 = i695;
              i869 = i275;
              i870 = i276;
              i871 = i279;
              i872 = i274;
              i84 = 1186;
              break L6;
             }
             i860 = _sqlite3PagerAcquire(get32(i694 | 0) | 0, i862, i61, 0) | 0;
             if (i860) {
              i873 = i860;
              i874 = i695;
              i875 = i275;
              i876 = i276;
              i877 = i279;
              i878 = i274;
              i84 = 1188;
              break L6;
             }
             i860 = get32(i61 | 0) | 0;
             i861 = get32(i860 + 4 | 0) | 0;
             set32(i861 + 64 | 0, get32(i860 | 0) | 0);
             i879 = i861 + 68 | 0;
             set32(i879 | 0, i860 | 0);
             set32(i861 + 60 | 0, i694 | 0);
             set32(i861 + 72 | 0, i862 | 0);
             set8(i861 + 5 >> 0 | 0, ((i862 | 0) == 1 ? 100 : 0) | 0);
             i862 = _btreeInitPage(i861) | 0;
             if (i862) {
              i880 = i879;
              i881 = i862;
              i882 = i695;
              i883 = i275;
              i884 = i276;
              i885 = i861;
              i886 = i279;
              i887 = i274;
              i84 = 1190;
              break L6;
             }
             i862 = i688 + 1 | 0;
             set32(i695 + 132 + (i862 << 2) | 0, i861 | 0);
             set16(i695 + 92 + (i862 << 1) | 0, 0 | 0);
             i670 = (get16(i677 | 0) | 0) + 1 << 16 >> 16;
             set16(i677 | 0, i670 | 0);
             set16(i682 | 0, 0 | 0);
             set8(i693 >> 0 | 0, 0 | 0);
             if (!(get16(i861 + 16 | 0) | 0)) {
              i888 = i695;
              i889 = i275;
              i890 = i276;
              i891 = i279;
              i892 = i274;
              i84 = 1194;
              break L6;
             }
             if ((get8(i861 + 2 >> 0 | 0) | 0) != (get8((get32(i695 + 132 + (i688 << 2) | 0) | 0) + 2 >> 0 | 0) | 0)) {
              i888 = i695;
              i889 = i275;
              i890 = i276;
              i891 = i279;
              i892 = i274;
              i84 = 1194;
              break L6;
             }
            }
            set16(i695 + 92 + (i858 << 1) | 0, (getU16(i859 + 16 | 0) | 0) + 65535 | 0);
            set16(i682 | 0, 0 | 0);
            set8(i693 >> 0 | 0, 0 | 0);
            set8(i695 + 81 >> 0 | 0, 1 | 0);
            if (get32(i102 | 0) | 0) break;
            i670 = get32(get32(i101 | 0) | 0) | 0;
            if ((get8(i670 + 83 >> 0 | 0) | 0) == 1) {
             i857 = i670;
             i84 = 1200;
             break L388;
            }
            i670 = i65;
            set32(i670 | 0, 0 | 0);
            set32(i670 + 4 | 0, 0 | 0);
            i893 = 0;
            i894 = 0;
            break L388;
           } while (0);
           i670 = i65;
           set32(i670 | 0, 1 | 0);
           set32(i670 + 4 | 0, 0 | 0);
           break L384;
          } while (0);
          if ((i84 | 0) == 1200) {
           i84 = 0;
           i690 = i857 + 32 | 0;
           if (!(get16(i857 + 58 | 0) | 0)) {
            i689 = get16(i857 + 90 | 0) | 0;
            i739 = get32(i857 + 132 + (i689 << 2) | 0) | 0;
            i683 = get32(i739 + 64 | 0) | 0;
            i692 = (getU16(i739 + 12 | 0) | 0) + (getU16(i857 + 92 + (i689 << 1) | 0) << 1) | 0;
            _btreeParseCellPtr(i739, i683 + ((getU8(i683 + i692 >> 0 | 0) << 8 | getU8(i683 + (i692 + 1) >> 0 | 0)) & getU16(i739 + 18 | 0)) | 0, i690);
            set8(i857 + 82 >> 0 | 0, 1 | 0);
           }
           i739 = i690;
           i690 = get32(i739 | 0) | 0;
           i692 = get32(i739 + 4 | 0) | 0;
           i739 = i65;
           set32(i739 | 0, i690 | 0);
           set32(i739 + 4 | 0, i692 | 0);
           if ((i690 | 0) == -1 & (i692 | 0) == 2147483647) {
            set8((get32(i101 | 0) | 0) + 27 >> 0 | 0, 1 | 0);
            break;
           } else {
            i893 = i690;
            i894 = i692;
           }
          }
          i692 = _i64Add(i893 | 0, i894 | 0, 1, 0) | 0;
          i690 = i65;
          set32(i690 | 0, i692 | 0);
          set32(i690 + 4 | 0, tempRet0 | 0);
         } while (0);
         i687 = get32(i268 + (i279 * 20 | 0) + 12 | 0) | 0;
         if (!i687) i895 = get32(i101 | 0) | 0; else {
          i691 = get32(i91 | 0) | 0;
          if (!i691) i896 = i267; else {
           i696 = i691;
           while (1) {
            i691 = get32(i696 + 60 | 0) | 0;
            if (!i691) {
             i897 = i696;
             break;
            } else i696 = i691;
           }
           set32(i106 | 0, i897 | 0);
           i896 = get32(i897 + 16 | 0) | 0;
          }
          i696 = i896 + (i687 * 40 | 0) | 0;
          set32(i137 | 0, i696 | 0);
          i691 = i896 + (i687 * 40 | 0) + 28 | 0;
          i669 = get16(i691 | 0) | 0;
          i690 = i669 & 65535;
          do if (!(i690 & 4)) {
           if (i690 & 8) {
            d805 = +getF64(i896 + (i687 * 40 | 0) + 8 | 0);
            i692 = d805 < -9223372036854775808.0 | d805 > 9223372036854775808.0;
            i739 = +Math_abs(d805) >= 1.0 ? (d805 > 0.0 ? ~~+Math_min(+Math_floor(d805 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d805 - +(~~d805 >>> 0)) / 4294967296.0) >>> 0) : 0;
            i898 = i692 ? 0 : ~~d805 >>> 0;
            i899 = i692 ? -2147483648 : i739;
            i900 = i669;
            i901 = i696;
            break;
           }
           if (!(i690 & 18)) {
            i898 = 0;
            i899 = 0;
            i900 = i669;
            i901 = i696;
            break;
           }
           i739 = i61;
           set32(i739 | 0, 0 | 0);
           set32(i739 + 4 | 0, 0 | 0);
           _sqlite3Atoi64(get32(i896 + (i687 * 40 | 0) + 4 | 0) | 0, i61, get32(i896 + (i687 * 40 | 0) + 24 | 0) | 0, get8(i896 + (i687 * 40 | 0) + 31 >> 0 | 0) | 0) | 0;
           i739 = i61;
           i898 = get32(i739 | 0) | 0;
           i899 = get32(i739 + 4 | 0) | 0;
           i900 = get16(i691 | 0) | 0;
           i901 = get32(i137 | 0) | 0;
          } else {
           i739 = i896 + (i687 * 40 | 0) + 16 | 0;
           i898 = get32(i739 | 0) | 0;
           i899 = get32(i739 + 4 | 0) | 0;
           i900 = i669;
           i901 = i696;
          } while (0);
          i696 = i896 + (i687 * 40 | 0) + 16 | 0;
          set32(i696 | 0, i898 | 0);
          set32(i696 + 4 | 0, i899 | 0);
          set16(i691 | 0, i900 & 48896 | 4 | 0);
          i696 = i901 + 16 | 0;
          i669 = i696;
          i690 = get32(i669 | 0) | 0;
          i739 = get32(i669 + 4 | 0) | 0;
          if ((i690 | 0) == -1 & (i739 | 0) == 2147483647) {
           i780 = i275;
           i781 = i276;
           i782 = i279;
           i783 = 13;
           i784 = i274;
           break L6;
          }
          i669 = get32(i101 | 0) | 0;
          if (get8(i669 + 27 >> 0 | 0) | 0) {
           i780 = i275;
           i781 = i276;
           i782 = i279;
           i783 = 13;
           i784 = i274;
           break L6;
          }
          i692 = i65;
          i683 = get32(i692 | 0) | 0;
          i689 = get32(i692 + 4 | 0) | 0;
          i692 = _i64Add(i690 | 0, i739 | 0, 1, 0) | 0;
          i739 = tempRet0;
          if ((i689 | 0) < (i739 | 0) | (i689 | 0) == (i739 | 0) & i683 >>> 0 < i692 >>> 0) {
           i690 = i65;
           set32(i690 | 0, i692 | 0);
           set32(i690 + 4 | 0, i739 | 0);
           i902 = i692;
           i903 = i739;
          } else {
           i902 = i683;
           i903 = i689;
          }
          i689 = i696;
          set32(i689 | 0, i902 | 0);
          set32(i689 + 4 | 0, i903 | 0);
          i895 = i669;
         }
         i669 = get32(i895 | 0) | 0;
         i689 = i65;
         i696 = get32(i689 | 0) | 0;
         i683 = get32(i689 + 4 | 0) | 0;
         i689 = (i696 | 0) != -1 | (i683 | 0) != 2147483647;
         i739 = _i64Add(i696 | 0, i683 | 0, 1, 0) | 0;
         i683 = i689 ? i739 : 0;
         i739 = i689 ? tempRet0 : 0;
         i689 = get32((get32(i669 + 4 | 0) | 0) + 8 | 0) | 0;
         if (!i689) {
          i904 = i895;
          i905 = i669;
         } else {
          i696 = get32(i669 + 20 | 0) | 0;
          i692 = i689;
          do {
           if ((get32(i692 + 20 | 0) | 0) == (i696 | 0)) {
            i689 = i692 + 24 | 0;
            set32(i689 | 0, i683 | 0);
            set32(i689 + 4 | 0, i739 | 0);
           }
           i692 = get32(i692 + 8 | 0) | 0;
          } while ((i692 | 0) != 0);
          i904 = i895;
          i905 = i669;
         }
        } else {
         i904 = i702;
         i905 = i695;
        }
        if (!(get8(i904 + 27 >> 0 | 0) | 0)) {
         i906 = i904;
         i907 = 0;
        } else {
         i669 = _i64Add(i275 | 0, i276 & 1073741823 | 0, 1, 0) | 0;
         i692 = tempRet0;
         i739 = i65;
         set32(i739 | 0, i669 | 0);
         set32(i739 + 4 | 0, i692 | 0);
         set32(i108 | 0, 0 | 0);
         i739 = _sqlite3BtreeMovetoUnpacked(i905, 0, i669, i692, 0, i102) | 0;
         i692 = get32(i102 | 0) | 0;
         L445 : do if (!(i692 | i739)) {
          i669 = i692;
          i683 = i739;
          while (1) {
           i696 = (get32(i108 | 0) | 0) + 1 | 0;
           set32(i108 | 0, i696 | 0);
           if ((i696 | 0) >= 100) {
            i908 = i683;
            i909 = i669;
            break L445;
           }
           _sqlite3_randomness(8, i65);
           i696 = (get32(i108 | 0) | 0) < 5;
           i691 = i65;
           i687 = _i64Add((i696 ? 16777215 : -1) & get32(i691 | 0) | 0, (i696 ? 0 : 1073741823) & get32(i691 + 4 | 0) | 0, 1, 0) | 0;
           i691 = tempRet0;
           i696 = i65;
           set32(i696 | 0, i687 | 0);
           set32(i696 + 4 | 0, i691 | 0);
           i696 = _sqlite3BtreeMovetoUnpacked(get32(get32(i101 | 0) | 0) | 0, 0, i687, i691, 0, i102) | 0;
           i691 = get32(i102 | 0) | 0;
           if (!(i691 | i696)) {
            i669 = i691;
            i683 = i696;
           } else {
            i908 = i696;
            i909 = i691;
            break;
           }
          }
         } else {
          i908 = i739;
          i909 = i692;
         } while (0);
         if (!(i908 | i909)) {
          i780 = i275;
          i781 = i276;
          i782 = i279;
          i783 = 13;
          i784 = i274;
          break L6;
         }
         i906 = get32(i101 | 0) | 0;
         i907 = i908;
        }
        set8(i906 + 25 >> 0 | 0, 0 | 0);
        set8(i906 + 29 >> 0 | 0, 0 | 0);
        set32(i906 + 76 | 0, 0 | 0);
        i692 = i65;
        i854 = get32(i692 | 0) | 0;
        i855 = get32(i692 + 4 | 0) | 0;
        i856 = i907;
       }
       i692 = i288 + 16 | 0;
       set32(i692 | 0, i854 | 0);
       set32(i692 + 4 | 0, i855 | 0);
       i711 = i275;
       i712 = i276;
       i713 = i288;
       i714 = i279;
       i715 = i856;
       break;
      }
     case 57:
      {
       i692 = i65;
       set32(i692 | 0, 0 | 0);
       set32(i692 + 4 | 0, 0 | 0);
       i692 = get32((get32(i142 | 0) | 0) + (get32(i268 + (i279 * 20 | 0) + 4 | 0) << 2) | 0) | 0;
       set32(i101 | 0, i692 | 0);
       if ((get32(i198 | 0) | 0) != 0 ? (get32(i268 + (i279 * 20 | 0) + 16 | 0) | 0) != 0 : 0) {
        i739 = i692 + 64 | 0;
        i695 = get32(i739 + 4 | 0) | 0;
        i702 = i65;
        set32(i702 | 0, get32(i739 | 0) | 0);
        set32(i702 + 4 | 0, i695 | 0);
       }
       i695 = _sqlite3VdbeCursorMoveto(i692) | 0;
       if (i695) {
        i780 = i275;
        i781 = i276;
        i782 = i279;
        i783 = i695;
        i784 = i274;
        break L6;
       }
       i695 = get32(get32(i101 | 0) | 0) | 0;
       i692 = get32((get32(i695 + 4 | 0) | 0) + 8 | 0) | 0;
       if (i692) {
        i702 = get32(i695 + 20 | 0) | 0;
        i739 = i692;
        do {
         if ((get32(i739 + 20 | 0) | 0) == (i702 | 0)) {
          i692 = i739 + 24 | 0;
          set32(i692 | 0, 0 | 0);
          set32(i692 + 4 | 0, 0 | 0);
         }
         i739 = get32(i739 + 8 | 0) | 0;
        } while ((i739 | 0) != 0);
       }
       i739 = _sqlite3BtreeDelete(i695) | 0;
       i702 = get32(i101 | 0) | 0;
       set32(i702 + 76 | 0, 0 | 0);
       if (((i739 | 0) == 0 ? (i692 = get32(i198 | 0) | 0, (i692 | 0) != 0) : 0) ? (i683 = get32(i268 + (i279 * 20 | 0) + 16 | 0) | 0, (i683 | 0) != 0) : 0) {
        i669 = i65;
        FUNCTION_TABLE_viiiiii[i692 & 0](get32(i201 | 0) | 0, 9, get32((get32(i70 | 0) | 0) + (get32(i702 + 12 | 0) << 4) | 0) | 0, i683, get32(i669 | 0) | 0, get32(i669 + 4 | 0) | 0);
       }
       if (!(get32(i268 + (i279 * 20 | 0) + 8 | 0) & 1)) {
        i711 = i275;
        i712 = i276;
        i713 = i288;
        i714 = i279;
        i715 = i739;
       } else {
        set32(i93 | 0, (get32(i93 | 0) | 0) + 1 | 0);
        i711 = i275;
        i712 = i276;
        i713 = i288;
        i714 = i279;
        i715 = i739;
       }
       break;
      }
     case 60:
     case 59:
      {
       i739 = get32(i268 + (i279 * 20 | 0) + 8 | 0) | 0;
       i669 = i267 + (i739 * 40 | 0) | 0;
       i683 = get32((get32(i142 | 0) | 0) + (get32(i268 + (i279 * 20 | 0) + 4 | 0) << 2) | 0) | 0;
       set32(i65 | 0, i683 | 0);
       set32(i100 | 0, get32(i683 | 0) | 0);
       i702 = _sqlite3VdbeCursorMoveto(i683) | 0;
       if (i702) {
        i780 = i275;
        i781 = i276;
        i782 = i279;
        i783 = i702;
        i784 = i274;
        break L6;
       }
       i702 = get32(i100 | 0) | 0;
       if (!(get8((get32(i65 | 0) | 0) + 31 >> 0 | 0) | 0)) {
        if (!(get16(i702 + 58 | 0) | 0)) {
         i683 = get16(i702 + 90 | 0) | 0;
         i692 = get32(i702 + 132 + (i683 << 2) | 0) | 0;
         i691 = get32(i692 + 64 | 0) | 0;
         i696 = (getU16(i692 + 12 | 0) | 0) + (getU16(i702 + 92 + (i683 << 1) | 0) << 1) | 0;
         _btreeParseCellPtr(i692, i691 + ((getU8(i691 + i696 >> 0 | 0) << 8 | getU8(i691 + (i696 + 1) >> 0 | 0)) & getU16(i692 + 18 | 0)) | 0, i702 + 32 | 0);
         set8(i702 + 82 >> 0 | 0, 1 | 0);
        }
        i692 = get32(i702 + 44 | 0) | 0;
        set32(i101 | 0, i692 | 0);
        if (i692 >>> 0 > (get32(i98 | 0) | 0) >>> 0) {
         i678 = i275;
         i679 = i276;
         i680 = i279;
         i681 = i274;
         i84 = 2895;
         break L6;
        } else i910 = i692;
       } else {
        if ((get8(i702 + 83 >> 0 | 0) | 0) == 1) {
         i692 = i702 + 32 | 0;
         if (!(get16(i702 + 58 | 0) | 0)) {
          i696 = get16(i702 + 90 | 0) | 0;
          i691 = get32(i702 + 132 + (i696 << 2) | 0) | 0;
          i683 = get32(i691 + 64 | 0) | 0;
          i687 = (getU16(i691 + 12 | 0) | 0) + (getU16(i702 + 92 + (i696 << 1) | 0) << 1) | 0;
          _btreeParseCellPtr(i691, i683 + ((getU8(i683 + i687 >> 0 | 0) << 8 | getU8(i683 + (i687 + 1) >> 0 | 0)) & getU16(i691 + 18 | 0)) | 0, i692);
          set8(i702 + 82 >> 0 | 0, 1 | 0);
         }
         i702 = i692;
         i911 = get32(i702 | 0) | 0;
         i912 = get32(i702 + 4 | 0) | 0;
        } else {
         i911 = 0;
         i912 = 0;
        }
        i702 = i108;
        set32(i702 | 0, i911 | 0);
        set32(i702 + 4 | 0, i912 | 0);
        i702 = get32(i98 | 0) | 0;
        i692 = ((i702 | 0) < 0) << 31 >> 31;
        if ((i912 | 0) > (i692 | 0) | (i912 | 0) == (i692 | 0) & i911 >>> 0 > i702 >>> 0) {
         i678 = i275;
         i679 = i276;
         i680 = i279;
         i681 = i274;
         i84 = 2895;
         break L6;
        }
        set32(i101 | 0, i911 | 0);
        i910 = i911;
       }
       if (_sqlite3VdbeMemGrow(i669, i910, 0) | 0) {
        i78 = i90;
        i79 = i105;
        i80 = i275;
        i81 = i276;
        i82 = i279;
        i83 = i274;
        i84 = 2896;
        break L1;
       }
       i702 = get32(i101 | 0) | 0;
       set32(i267 + (i739 * 40 | 0) + 24 | 0, i702 | 0);
       i692 = i267 + (i739 * 40 | 0) + 28 | 0;
       set16(i692 | 0, getU16(i692 | 0) & 48896 | 16 | 0);
       i692 = get32(i100 | 0) | 0;
       i691 = get32(i267 + (i739 * 40 | 0) + 4 | 0) | 0;
       L490 : do if (!(get8((get32(i65 | 0) | 0) + 31 >> 0 | 0) | 0)) {
        i687 = i692 + 83 | 0;
        i683 = get8(i687 >> 0 | 0) | 0;
        if (!(i683 << 24 >> 24)) i913 = 4; else {
         do if ((i683 & 255) > 1) {
          if (i683 << 24 >> 24 == 3) {
           i696 = get32(i692 + 76 | 0) | 0;
           if (!i696) break; else {
            i913 = i696;
            break L490;
           }
          }
          set8(i687 >> 0 | 0, 0 | 0);
          i696 = i692 + 72 | 0;
          i689 = get32(i696 | 0) | 0;
          i690 = i692 + 64 | 0;
          i670 = get32(i690 | 0) | 0;
          i677 = get32(i690 + 4 | 0) | 0;
          i690 = i692 + 76 | 0;
          do if (!i689) i914 = _sqlite3BtreeMovetoUnpacked(i692, 0, i670, i677, 0, i690) | 0; else {
           i672 = _sqlite3VdbeRecordUnpack(get32(i692 + 16 | 0) | 0, i670, i689, i61, 150) | 0;
           if (!i672) {
            i913 = 7;
            break L490;
           }
           i668 = _sqlite3BtreeMovetoUnpacked(i692, i672, i670, i677, 0, i690) | 0;
           if (!(get16(i672 + 6 | 0) & 1)) {
            i914 = i668;
            break;
           }
           _sqlite3DbFree(get32(get32(i672 | 0) | 0) | 0, i672);
           i914 = i668;
          } while (0);
          if (i914) {
           i913 = i914;
           break L490;
          }
          i690 = get32(i696 | 0) | 0;
          do if (i690) {
           if (!(get32(50 * 4 | 0) | 0)) {
            FUNCTION_TABLE_vi[get32(232 | 0) & 31](i690);
            break;
           }
           i677 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i690) | 0;
           i670 = (get32(30 * 4 | 0) | 0) - i677 | 0;
           set32(30 * 4 | 0, i670 | 0);
           if ((i670 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i670 | 0);
           i670 = (get32(39 * 4 | 0) | 0) + -1 | 0;
           set32(39 * 4 | 0, i670 | 0);
           if ((i670 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i670 | 0);
           FUNCTION_TABLE_vi[get32(232 | 0) & 31](i690);
          } while (0);
          set32(i696 | 0, 0 | 0);
         } while (0);
         i913 = _accessPayload(i692, 0, i702, i691, 0) | 0;
        }
       } else i913 = _accessPayload(i692, 0, i702, i691, 0) | 0; while (0);
       set8(i267 + (i739 * 40 | 0) + 31 >> 0 | 0, 1 | 0);
       i711 = i275;
       i712 = i276;
       i713 = i669;
       i714 = i279;
       i715 = i913;
       break;
      }
     case 61:
      {
       i691 = get32((get32(i142 | 0) | 0) + (get32(i268 + (i279 * 20 | 0) + 4 | 0) << 2) | 0) | 0;
       set32(i65 | 0, i691 | 0);
       if (get8(i691 + 28 >> 0 | 0) | 0) {
        i915 = i275;
        i916 = i276;
        i917 = i280;
        i918 = i288;
        i919 = i279;
        i84 = 1309;
        break L8;
       }
       do if (!(get8(i691 + 29 >> 0 | 0) | 0)) {
        i702 = get32(i691 + 36 | 0) | 0;
        if (!i702) {
         i692 = _sqlite3VdbeCursorMoveto(i691) | 0;
         if (i692) {
          i780 = i275;
          i781 = i276;
          i782 = i279;
          i783 = i692;
          i784 = i274;
          break L6;
         }
         i692 = get32(i65 | 0) | 0;
         if (get8(i692 + 25 >> 0 | 0) | 0) {
          i695 = i692 + 64 | 0;
          i687 = get32(i695 | 0) | 0;
          i683 = get32(i695 + 4 | 0) | 0;
          i695 = i101;
          set32(i695 | 0, i687 | 0);
          set32(i695 + 4 | 0, i683 | 0);
          i920 = i687;
          i921 = i683;
          i922 = 0;
          break;
         }
         i683 = get32(i692 | 0) | 0;
         if ((get8(i683 + 83 >> 0 | 0) | 0) == 1) {
          i692 = i683 + 32 | 0;
          if (!(get16(i683 + 58 | 0) | 0)) {
           i687 = get16(i683 + 90 | 0) | 0;
           i695 = get32(i683 + 132 + (i687 << 2) | 0) | 0;
           i690 = get32(i695 + 64 | 0) | 0;
           i670 = (getU16(i695 + 12 | 0) | 0) + (getU16(i683 + 92 + (i687 << 1) | 0) << 1) | 0;
           _btreeParseCellPtr(i695, i690 + ((getU8(i690 + i670 >> 0 | 0) << 8 | getU8(i690 + (i670 + 1) >> 0 | 0)) & getU16(i695 + 18 | 0)) | 0, i692);
           set8(i683 + 82 >> 0 | 0, 1 | 0);
          }
          i683 = i692;
          i923 = get32(i683 | 0) | 0;
          i924 = get32(i683 + 4 | 0) | 0;
         } else {
          i923 = 0;
          i924 = 0;
         }
         i683 = i101;
         set32(i683 | 0, i923 | 0);
         set32(i683 + 4 | 0, i924 | 0);
         i920 = i923;
         i921 = i924;
         i922 = 0;
         break;
        }
        i683 = get32(i702 | 0) | 0;
        set32(i108 | 0, i683 | 0);
        i692 = get32(i683 | 0) | 0;
        set32(i137 | 0, i692 | 0);
        i683 = FUNCTION_TABLE_iii[get32(i692 + 48 | 0) & 127](i702, i101) | 0;
        i702 = get32(i108 | 0) | 0;
        i692 = get32(i1 | 0) | 0;
        _sqlite3DbFree(i692, get32(i105 | 0) | 0);
        i695 = i702 + 8 | 0;
        i702 = get32(i695 | 0) | 0;
        L539 : do if (!i702) i925 = 0; else {
         i670 = i702;
         while (1) if (!(get8(i670 >> 0 | 0) | 0)) {
          i926 = i670;
          break;
         } else i670 = i670 + 1 | 0;
         i670 = (i926 - i702 & 1073741823) + 1 | 0;
         L543 : do if (!i692) {
          if (!(get32(50 * 4 | 0) | 0)) {
           i927 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i670) | 0;
           i84 = 1352;
           break;
          }
          i696 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i670) | 0;
          set32(35 * 4 | 0, i670 | 0);
          if ((get32(45 * 4 | 0) | 0) < (i670 | 0)) set32(45 * 4 | 0, i670 | 0);
          i690 = get32(6 * 4 | 0) | 0;
          do if (i690) {
           i687 = get32(30 * 4 | 0) | 0;
           i677 = ((i687 | 0) < 0) << 31 >> 31;
           i689 = 16;
           i668 = _i64Subtract(get32(i689 | 0) | 0, get32(i689 + 4 | 0) | 0, i696 | 0, ((i696 | 0) < 0) << 31 >> 31 | 0) | 0;
           i689 = tempRet0;
           if ((i677 | 0) < (i689 | 0) | (i677 | 0) == (i689 | 0) & i687 >>> 0 < i668 >>> 0) {
            set32(11 * 4 | 0, 0 | 0);
            break;
           } else {
            set32(11 * 4 | 0, 1 | 0);
            i668 = get32(7 * 4 | 0) | 0;
            set32(6 * 4 | 0, 0 | 0);
            FUNCTION_TABLE_viiii[i690 & 15](i668, i687, i677, i696);
            set32(6 * 4 | 0, i690 | 0);
            set32(7 * 4 | 0, i668 | 0);
            break;
           }
          } while (0);
          i690 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i696) | 0;
          if (!i690) {
           i925 = 0;
           break L539;
          }
          i693 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i690) | 0;
          i682 = (get32(30 * 4 | 0) | 0) + i693 | 0;
          set32(30 * 4 | 0, i682 | 0);
          if ((i682 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i682 | 0);
          i682 = get32(39 * 4 | 0) | 0;
          i693 = i682 + 1 | 0;
          set32(39 * 4 | 0, i693 | 0);
          if ((i682 | 0) < (get32(49 * 4 | 0) | 0)) {
           i928 = i690;
           break;
          }
          set32(49 * 4 | 0, i693 | 0);
          i928 = i690;
         } else {
          i690 = i692 + 30 | 0;
          if (get8(i690 >> 0 | 0) | 0) {
           i925 = 0;
           break L539;
          }
          do if (get8(i692 + 234 >> 0 | 0) | 0) {
           if ((getU16(i692 + 232 | 0) | 0) >>> 0 < i670 >>> 0) {
            i693 = i692 + 248 | 0;
            set32(i693 | 0, (get32(i693 | 0) | 0) + 1 | 0);
            break;
           }
           i693 = i692 + 256 | 0;
           i682 = get32(i693 | 0) | 0;
           if (!i682) {
            i668 = i692 + 252 | 0;
            set32(i668 | 0, (get32(i668 | 0) | 0) + 1 | 0);
            break;
           }
           set32(i693 | 0, get32(i682 | 0) | 0);
           i693 = i692 + 236 | 0;
           i668 = get32(i693 | 0) | 0;
           i677 = i668 + 1 | 0;
           set32(i693 | 0, i677 | 0);
           i693 = i692 + 244 | 0;
           set32(i693 | 0, (get32(i693 | 0) | 0) + 1 | 0);
           i693 = i692 + 240 | 0;
           if ((i668 | 0) >= (get32(i693 | 0) | 0)) set32(i693 | 0, i677 | 0);
           i927 = i682;
           i84 = 1352;
           break L543;
          } while (0);
          do if (!(get32(50 * 4 | 0) | 0)) {
           i696 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i670) | 0;
           if (i696) {
            i928 = i696;
            break L543;
           }
          } else {
           i696 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i670) | 0;
           set32(35 * 4 | 0, i670 | 0);
           if ((get32(45 * 4 | 0) | 0) < (i670 | 0)) set32(45 * 4 | 0, i670 | 0);
           i682 = get32(6 * 4 | 0) | 0;
           do if (i682) {
            i677 = get32(30 * 4 | 0) | 0;
            i693 = ((i677 | 0) < 0) << 31 >> 31;
            i668 = 16;
            i687 = _i64Subtract(get32(i668 | 0) | 0, get32(i668 + 4 | 0) | 0, i696 | 0, ((i696 | 0) < 0) << 31 >> 31 | 0) | 0;
            i668 = tempRet0;
            if ((i693 | 0) < (i668 | 0) | (i693 | 0) == (i668 | 0) & i677 >>> 0 < i687 >>> 0) {
             set32(11 * 4 | 0, 0 | 0);
             break;
            } else {
             set32(11 * 4 | 0, 1 | 0);
             i687 = get32(7 * 4 | 0) | 0;
             set32(6 * 4 | 0, 0 | 0);
             FUNCTION_TABLE_viiii[i682 & 15](i687, i677, i693, i696);
             set32(6 * 4 | 0, i682 | 0);
             set32(7 * 4 | 0, i687 | 0);
             break;
            }
           } while (0);
           i682 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i696) | 0;
           if (!i682) break;
           i687 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i682) | 0;
           i693 = (get32(30 * 4 | 0) | 0) + i687 | 0;
           set32(30 * 4 | 0, i693 | 0);
           if ((i693 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i693 | 0);
           i693 = get32(39 * 4 | 0) | 0;
           i687 = i693 + 1 | 0;
           set32(39 * 4 | 0, i687 | 0);
           if ((i693 | 0) < (get32(49 * 4 | 0) | 0)) {
            i928 = i682;
            break L543;
           }
           set32(49 * 4 | 0, i687 | 0);
           i928 = i682;
           break L543;
          } while (0);
          set8(i690 >> 0 | 0, 1 | 0);
          i925 = 0;
          break L539;
         } while (0);
         if ((i84 | 0) == 1352) {
          i84 = 0;
          if (!i927) {
           i925 = 0;
           break;
          } else i928 = i927;
         }
         _memcpy(i928 | 0, i702 | 0, i670 | 0) | 0;
         i925 = i928;
        } while (0);
        set32(i105 | 0, i925 | 0);
        i702 = get32(i695 | 0) | 0;
        do if (i702) {
         if (!(get32(50 * 4 | 0) | 0)) {
          FUNCTION_TABLE_vi[get32(232 | 0) & 31](i702);
          break;
         }
         i692 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i702) | 0;
         i682 = (get32(30 * 4 | 0) | 0) - i692 | 0;
         set32(30 * 4 | 0, i682 | 0);
         if ((i682 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i682 | 0);
         i682 = (get32(39 * 4 | 0) | 0) + -1 | 0;
         set32(39 * 4 | 0, i682 | 0);
         if ((i682 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i682 | 0);
         FUNCTION_TABLE_vi[get32(232 | 0) & 31](i702);
        } while (0);
        set32(i695 | 0, 0 | 0);
        i702 = i101;
        i920 = get32(i702 | 0) | 0;
        i921 = get32(i702 + 4 | 0) | 0;
        i922 = i683;
       } else {
        i702 = i691 + 56 | 0;
        i682 = get32(i702 | 0) | 0;
        i692 = get32(i702 + 4 | 0) | 0;
        i702 = i101;
        set32(i702 | 0, i682 | 0);
        set32(i702 + 4 | 0, i692 | 0);
        i920 = i682;
        i921 = i692;
        i922 = 0;
       } while (0);
       i691 = i288 + 16 | 0;
       set32(i691 | 0, i920 | 0);
       set32(i691 + 4 | 0, i921 | 0);
       i711 = i275;
       i712 = i276;
       i713 = i288;
       i714 = i279;
       i715 = i922;
       break;
      }
     case 63:
      {
       i691 = get32((get32(i142 | 0) | 0) + (get32(i268 + (i279 * 20 | 0) + 4 | 0) << 2) | 0) | 0;
       set32(i65 | 0, i691 | 0);
       i669 = get32(i691 | 0) | 0;
       set32(i100 | 0, i669 | 0);
       do if (i669) {
        i691 = i669 + 83 | 0;
        if ((get8(i691 >> 0 | 0) | 0) == 1 ? (get8(i669 + 81 >> 0 | 0) | 0) != 0 : 0) {
         i929 = 0;
         break;
        }
        i739 = _moveToRoot(i669) | 0;
        if (!i739) {
         if (!(get8(i691 >> 0 | 0) | 0)) {
          set32(i101 | 0, 1 | 0);
          i929 = 0;
          break;
         }
         set32(i101 | 0, 0 | 0);
         i691 = i669 + 90 | 0;
         i692 = i669 + 4 | 0;
         i682 = i669 + 58 | 0;
         i702 = i669 + 82 | 0;
         i687 = get16(i691 | 0) | 0;
         while (1) {
          i693 = i687 << 16 >> 16;
          i677 = get32(i669 + 132 + (i693 << 2) | 0) | 0;
          if (get8(i677 + 3 >> 0 | 0) | 0) {
           i930 = i693;
           i931 = i677;
           i84 = 1403;
           break;
          }
          i668 = getU8(i677 + 5 >> 0 | 0) | 0;
          i689 = get32(i677 + 64 | 0) | 0;
          i672 = getU8(i689 + (i668 + 9) >> 0 | 0) << 16 | getU8(i689 + (i668 + 8) >> 0 | 0) << 24 | getU8(i689 + (i668 + 10) >> 0 | 0) << 8 | getU8(i689 + (i668 + 11) >> 0 | 0);
          set16(i669 + 92 + (i693 << 1) | 0, get16(i677 + 16 | 0) | 0 | 0);
          i677 = get16(i691 | 0) | 0;
          i693 = i677 << 16 >> 16;
          if (i677 << 16 >> 16 > 18) {
           i84 = 1392;
           break;
          }
          i677 = get32(i692 | 0) | 0;
          if ((get32(i677 + 48 | 0) | 0) >>> 0 < i672 >>> 0) {
           i84 = 1394;
           break;
          }
          i668 = _sqlite3PagerAcquire(get32(i677 | 0) | 0, i672, i61, 0) | 0;
          if (i668) {
           i932 = i668;
           i84 = 1396;
           break;
          }
          i668 = get32(i61 | 0) | 0;
          i689 = get32(i668 + 4 | 0) | 0;
          set32(i689 + 64 | 0, get32(i668 | 0) | 0);
          i688 = i689 + 68 | 0;
          set32(i688 | 0, i668 | 0);
          set32(i689 + 60 | 0, i677 | 0);
          set32(i689 + 72 | 0, i672 | 0);
          set8(i689 + 5 >> 0 | 0, ((i672 | 0) == 1 ? 100 : 0) | 0);
          i672 = _btreeInitPage(i689) | 0;
          if (i672) {
           i933 = i688;
           i934 = i672;
           i935 = i689;
           i84 = 1398;
           break;
          }
          i672 = i693 + 1 | 0;
          set32(i669 + 132 + (i672 << 2) | 0, i689 | 0);
          set16(i669 + 92 + (i672 << 1) | 0, 0 | 0);
          i687 = (get16(i691 | 0) | 0) + 1 << 16 >> 16;
          set16(i691 | 0, i687 | 0);
          set16(i682 | 0, 0 | 0);
          set8(i702 >> 0 | 0, 0 | 0);
          if (!(get16(i689 + 16 | 0) | 0)) {
           i84 = 1402;
           break;
          }
          if ((get8(i689 + 2 >> 0 | 0) | 0) != (get8((get32(i669 + 132 + (i693 << 2) | 0) | 0) + 2 >> 0 | 0) | 0)) {
           i84 = 1402;
           break;
          }
         }
         if ((i84 | 0) == 1392) {
          i84 = 0;
          set32(i32 | 0, 51636 | 0);
          set32(i32 + 4 | 0, 17203 | 0);
          _sqlite3_log(11, 19615, i32);
          i936 = 11;
         } else if ((i84 | 0) == 1394) {
          i84 = 0;
          set32(i31 | 0, 49122 | 0);
          set32(i31 + 4 | 0, 17203 | 0);
          _sqlite3_log(11, 19615, i31);
          i936 = 11;
         } else if ((i84 | 0) == 1396) {
          i84 = 0;
          i936 = i932;
         } else if ((i84 | 0) == 1398) {
          i84 = 0;
          if (!i935) i936 = i934; else {
           _sqlite3PagerUnref(get32(i933 | 0) | 0);
           i936 = i934;
          }
         } else if ((i84 | 0) == 1402) {
          i84 = 0;
          set32(i30 | 0, 51647 | 0);
          set32(i30 + 4 | 0, 17203 | 0);
          _sqlite3_log(11, 19615, i30);
          i936 = 11;
         } else if ((i84 | 0) == 1403) {
          i84 = 0;
          set16(i669 + 92 + (i930 << 1) | 0, (getU16(i931 + 16 | 0) | 0) + 65535 | 0);
          set16(i682 | 0, 0 | 0);
          set8(i702 >> 0 | 0, 0 | 0);
          i936 = 0;
         }
         set8(i669 + 81 >> 0 | 0, (i936 | 0) == 0 & 1 | 0);
         i929 = i936;
        } else i929 = i739;
       } else {
        set32(i101 | 0, 1 | 0);
        i929 = 0;
       } while (0);
       i669 = get32(i65 | 0) | 0;
       set8(i669 + 28 >> 0 | 0, get32(i101 | 0) | 0);
       set8(i669 + 29 >> 0 | 0, 0 | 0);
       set8(i669 + 25 >> 0 | 0, 0 | 0);
       set32(i669 + 76 | 0, 0 | 0);
       i669 = get32(i268 + (i279 * 20 | 0) + 8 | 0) | 0;
       i711 = i275;
       i712 = i276;
       i713 = i288;
       i714 = (i669 | 0) < 1 | (get32(i101 | 0) | 0) == 0 ? i279 : i669 + -1 | 0;
       i715 = i929;
       break;
      }
     case 64:
      {
       set32(i202 | 0, (get32(i202 | 0) | 0) + 1 | 0);
       i84 = 1407;
       break;
      }
     case 65:
      {
       i84 = 1407;
       break;
      }
     case 67:
     case 66:
      {
       if (get32(i86 | 0) | 0) {
        i937 = i105;
        i938 = i275;
        i939 = i276;
        i940 = i279;
        i941 = i274;
        break L4;
       }
       i669 = get32((get32(i142 | 0) | 0) + (get32(i268 + (i279 * 20 | 0) + 4 | 0) << 2) | 0) | 0;
       set32(i65 | 0, i669 | 0);
       if (!i669) {
        i716 = i275;
        i717 = i276;
        i718 = i267;
        i719 = i268;
        i720 = i269;
        i721 = i270;
        i722 = i280;
        i723 = i288;
        i724 = i279;
        i725 = i274;
        break L8;
       }
       i687 = get32(i669 | 0) | 0;
       set32(i100 | 0, i687 | 0);
       if (!i687) {
        i942 = i669;
        i943 = i275;
        i944 = i276;
        i945 = i280;
        i946 = i288;
        i947 = i279;
        i84 = 1419;
        break L8;
       }
       set32(i101 | 0, 1 | 0);
       if (i289 << 24 >> 24 == 67) i948 = _sqlite3BtreeNext(i687, i101) | 0; else i948 = _sqlite3BtreePrevious(i687, i101) | 0;
       i687 = get32(i101 | 0) | 0;
       i669 = get32(i65 | 0) | 0;
       set8(i669 + 28 >> 0 | 0, i687 | 0);
       set32(i669 + 76 | 0, 0 | 0);
       if (!i687) {
        i687 = (get32(i268 + (i279 * 20 | 0) + 8 | 0) | 0) + -1 | 0;
        i669 = get8(i268 + (i279 * 20 | 0) + 3 >> 0 | 0) | 0;
        if (!(i669 << 24 >> 24)) i949 = i687; else {
         i691 = i1 + 124 + ((i669 & 255) + -1 << 2) | 0;
         set32(i691 | 0, (get32(i691 | 0) | 0) + 1 | 0);
         i949 = i687;
        }
       } else i949 = i279;
       set8((get32(i65 | 0) | 0) + 25 >> 0 | 0, 0 | 0);
       i711 = i275;
       i712 = i276;
       i713 = i288;
       i714 = i949;
       i715 = i948;
       break;
      }
     case 70:
      {
       i687 = get32((get32(i142 | 0) | 0) + (get32(i268 + (i279 * 20 | 0) + 4 | 0) << 2) | 0) | 0;
       set32(i65 | 0, i687 | 0);
       i691 = get32(i268 + (i279 * 20 | 0) + 8 | 0) | 0;
       i669 = get32(i687 | 0) | 0;
       set32(i100 | 0, i669 | 0);
       if (!i669) {
        i716 = i275;
        i717 = i276;
        i718 = i267;
        i719 = i268;
        i720 = i269;
        i721 = i270;
        i722 = i280;
        i723 = i288;
        i724 = i279;
        i725 = i274;
        break L8;
       }
       i687 = i267 + (i691 * 40 | 0) + 28 | 0;
       i692 = i267 + (i691 * 40 | 0) + 24 | 0;
       i683 = get32(i692 | 0) | 0;
       if (!(get16(i687 | 0) & 16384)) {
        i950 = i267 + (i691 * 40 | 0) + 4 | 0;
        i951 = i683;
        i952 = i669;
       } else {
        i669 = i267 + (i691 * 40 | 0) + 16 | 0;
        i695 = (get32(i669 | 0) | 0) + i683 | 0;
        if (_sqlite3VdbeMemGrow(i267 + (i691 * 40 | 0) | 0, (i695 | 0) < 1 ? 1 : i695, 1) | 0) {
         i810 = i275;
         i811 = i276;
         i812 = i279;
         i813 = 7;
         i814 = i274;
         i84 = 2888;
         break L6;
        }
        i695 = i267 + (i691 * 40 | 0) + 4 | 0;
        _memset((get32(i695 | 0) | 0) + (get32(i692 | 0) | 0) | 0, 0, get32(i669 | 0) | 0) | 0;
        i691 = (get32(i692 | 0) | 0) + (get32(i669 | 0) | 0) | 0;
        set32(i692 | 0, i691 | 0);
        set16(i687 | 0, getU16(i687 | 0) & 48639 | 0);
        i950 = i695;
        i951 = i691;
        i952 = get32(i100 | 0) | 0;
       }
       set32(i101 | 0, i951 | 0);
       i691 = get32(i950 | 0) | 0;
       set32(i102 | 0, i691 | 0);
       if (!(get8(i268 + (i279 * 20 | 0) + 3 >> 0 | 0) & 16)) i953 = 0; else i953 = get32((get32(i65 | 0) | 0) + 72 | 0) | 0;
       i695 = _sqlite3BtreeInsert(i952, i691, i951, ((i951 | 0) < 0) << 31 >> 31, 16820, 0, 0, get32(i268 + (i279 * 20 | 0) + 12 | 0) | 0, i953) | 0;
       set32((get32(i65 | 0) | 0) + 76 | 0, 0 | 0);
       i711 = i275;
       i712 = i276;
       i713 = i288;
       i714 = i279;
       i715 = i695;
       break;
      }
     case 71:
      {
       i695 = get32((get32(i142 | 0) | 0) + (get32(i268 + (i279 * 20 | 0) + 4 | 0) << 2) | 0) | 0;
       set32(i65 | 0, i695 | 0);
       i691 = get32(i695 | 0) | 0;
       set32(i100 | 0, i691 | 0);
       if (!i691) {
        i716 = i275;
        i717 = i276;
        i718 = i267;
        i719 = i268;
        i720 = i269;
        i721 = i270;
        i722 = i280;
        i723 = i288;
        i724 = i279;
        i725 = i274;
        break L8;
       }
       set32(i108 | 0, get32(i695 + 8 | 0) | 0);
       set16(i137 | 0, get32(i268 + (i279 * 20 | 0) + 12 | 0) | 0);
       set16(i192 | 0, 0 | 0);
       set32(i107 | 0, i267 + ((get32(i268 + (i279 * 20 | 0) + 8 | 0) | 0) * 40 | 0) | 0);
       i695 = _sqlite3BtreeMovetoUnpacked(i691, i108, 0, 0, 0, i101) | 0;
       if (!(get32(i101 | 0) | i695)) i954 = _sqlite3BtreeDelete(get32(i100 | 0) | 0) | 0; else i954 = i695;
       set32((get32(i65 | 0) | 0) + 76 | 0, 0 | 0);
       i711 = i275;
       i712 = i276;
       i713 = i288;
       i714 = i279;
       i715 = i954;
       break;
      }
     case 92:
     case 81:
      {
       i695 = get32((get32(i142 | 0) | 0) + (get32(i268 + (i279 * 20 | 0) + 4 | 0) << 2) | 0) | 0;
       set32(i65 | 0, i695 | 0);
       i691 = get32(i695 | 0) | 0;
       if (!i691) {
        i716 = i275;
        i717 = i276;
        i718 = i267;
        i719 = i268;
        i720 = i269;
        i721 = i270;
        i722 = i280;
        i723 = i288;
        i724 = i279;
        i725 = i274;
        break L8;
       }
       set32(i101 | 0, get32(i695 + 8 | 0) | 0);
       set16(i128 | 0, get32(i268 + (i279 * 20 | 0) + 16 | 0) | 0);
       set16(i208 | 0, ((get8(i268 + (i279 * 20 | 0) + 3 >> 0 | 0) | 0) == 0 ? 4 : 12) | 0);
       set32(i209 | 0, i267 + ((get32(i268 + (i279 * 20 | 0) + 12 | 0) | 0) * 40 | 0) | 0);
       if ((get8(i691 + 83 >> 0 | 0) | 0) == 1) {
        i687 = i691 + 32 | 0;
        if (!(get16(i691 + 58 | 0) | 0)) {
         i692 = get16(i691 + 90 | 0) | 0;
         i669 = get32(i691 + 132 + (i692 << 2) | 0) | 0;
         i683 = get32(i669 + 64 | 0) | 0;
         i693 = (getU16(i669 + 12 | 0) | 0) + (getU16(i691 + 92 + (i692 << 1) | 0) << 1) | 0;
         _btreeParseCellPtr(i669, i683 + ((getU8(i683 + i693 >> 0 | 0) << 8 | getU8(i683 + (i693 + 1) >> 0 | 0)) & getU16(i669 + 18 | 0)) | 0, i687);
         set8(i691 + 82 >> 0 | 0, 1 | 0);
        }
        i691 = i687;
        i687 = get32(i691 | 0) | 0;
        i669 = _i64Add(i687 | 0, get32(i691 + 4 | 0) | 0, -1, -1) | 0;
        i691 = tempRet0;
        if (!(i691 >>> 0 > 0 | (i691 | 0) == 0 & i669 >>> 0 > 2147483646)) {
         i698 = i61;
         i700 = i698 + 40 | 0;
         do {
          set32(i698 | 0, 0 | 0);
          i698 = i698 + 4 | 0;
         } while ((i698 | 0) < (i700 | 0));
         i669 = _sqlite3VdbeMemFromBtree(get32(i695 | 0) | 0, 0, i687, 1, i61) | 0;
         if (!i669) {
          set32(i100 | 0, _sqlite3VdbeRecordCompare(get32(i210 | 0) | 0, get32(i211 | 0) | 0, i101) | 0 | 0);
          _sqlite3VdbeMemReleaseExternal(i61);
          _sqlite3DbFree(get32(i61 | 0) | 0, get32(i212 | 0) | 0);
          set32(i211 | 0, 0 | 0);
          set32(i212 | 0, 0 | 0);
          set32(i213 | 0, 0 | 0);
          i955 = 0;
         } else i955 = i669;
        } else i84 = 1477;
       } else i84 = 1477;
       if ((i84 | 0) == 1477) {
        i84 = 0;
        set32(i100 | 0, 0 | 0);
        set32(i28 | 0, 60702 | 0);
        set32(i28 + 4 | 0, 17203 | 0);
        _sqlite3_log(11, 19615, i28);
        i955 = 11;
       }
       i669 = get32(i100 | 0) | 0;
       i691 = (get8(i290 >> 0 | 0) | 0) == 81 ? 0 - i669 | 0 : i669 + 1 | 0;
       set32(i100 | 0, i691 | 0);
       if ((i691 | 0) > 0) {
        i711 = i275;
        i712 = i276;
        i713 = i288;
        i714 = (get32(i268 + (i279 * 20 | 0) + 8 | 0) | 0) + -1 | 0;
        i715 = i955;
       } else {
        i711 = i275;
        i712 = i276;
        i713 = i288;
        i714 = i279;
        i715 = i955;
       }
       break;
      }
     case 96:
      {
       set32(i65 | 0, 0 | 0);
       i691 = get32((get32(i70 | 0) | 0) + (get32(i268 + (i279 * 20 | 0) + 8 | 0) << 4) + 4 | 0) | 0;
       i669 = get32(i268 + (i279 * 20 | 0) + 4 | 0) | 0;
       i693 = i268 + (i279 * 20 | 0) + 12 | 0;
       i683 = (get32(i693 | 0) | 0) != 0 ? i65 : 0;
       i692 = get32(i691 + 4 | 0) | 0;
       set32(i692 + 4 | 0, get32(i691 | 0) | 0);
       i691 = get32(i692 + 8 | 0) | 0;
       if (i691) {
        i689 = i691;
        do {
         if (get8(i689 + 88 >> 0 | 0) | 0) set8(i689 + 83 >> 0 | 0, 0 | 0);
         i689 = get32(i689 + 8 | 0) | 0;
        } while ((i689 | 0) != 0);
       }
       i689 = _saveAllCursors(i692, i669, 0) | 0;
       if (!i689) i956 = _clearDatabasePage(i692, i669, 0, i683) | 0; else i956 = i689;
       i689 = get32(i693 | 0) | 0;
       if ((i689 | 0) != 0 ? (i687 = get32(i65 | 0) | 0, set32(i93 | 0, (get32(i93 | 0) | 0) + i687 | 0), (i689 | 0) > 0) : 0) {
        i695 = i267 + (i689 * 40 | 0) + 16 | 0;
        i689 = i695;
        i691 = _i64Add(get32(i689 | 0) | 0, get32(i689 + 4 | 0) | 0, i687 | 0, ((i687 | 0) < 0) << 31 >> 31 | 0) | 0;
        i687 = i695;
        set32(i687 | 0, i691 | 0);
        set32(i687 + 4 | 0, tempRet0 | 0);
        i711 = i275;
        i712 = i276;
        i713 = i288;
        i714 = i279;
        i715 = i956;
       } else {
        i711 = i275;
        i712 = i276;
        i713 = i288;
        i714 = i279;
        i715 = i956;
       }
       break;
      }
     case 98:
     case 97:
      {
       set32(i65 | 0, 0 | 0);
       i687 = get32(i268 + (i279 * 20 | 0) + 4 | 0) | 0;
       i691 = get32(i70 | 0) | 0;
       set32(i101 | 0, i691 + (i687 << 4) | 0);
       i695 = i289 << 24 >> 24 == 98 ? 1 : 2;
       set32(i100 | 0, i695 | 0);
       i689 = _sqlite3BtreeCreateTable(get32(i691 + (i687 << 4) + 4 | 0) | 0, i65, i695) | 0;
       i695 = get32(i65 | 0) | 0;
       i687 = i288 + 16 | 0;
       set32(i687 | 0, i695 | 0);
       set32(i687 + 4 | 0, ((i695 | 0) < 0) << 31 >> 31 | 0);
       i711 = i275;
       i712 = i276;
       i713 = i288;
       i714 = i279;
       i715 = i689;
       break;
      }
     case 99:
      {
       i689 = get32(i268 + (i279 * 20 | 0) + 4 | 0) | 0;
       set32(i65 | 0, i689 | 0);
       i695 = (i689 | 0) == 1 ? 21655 : 21674;
       set32(i100 | 0, i695 | 0);
       set32(i102 | 0, i69 | 0);
       set32(i214 | 0, i689 | 0);
       set32(i215 | 0, i105 | 0);
       i687 = get32(i268 + (i279 * 20 | 0) + 16 | 0) | 0;
       set32(i27 | 0, get32((get32(i70 | 0) | 0) + (i689 << 4) | 0) | 0);
       set32(i27 + 4 | 0, i695 | 0);
       set32(i27 + 8 | 0, i687 | 0);
       i687 = _sqlite3MPrintf(i69, 21688, i27) | 0;
       set32(i101 | 0, i687 | 0);
       if (!i687) {
        i78 = i90;
        i79 = i105;
        i80 = i275;
        i81 = i276;
        i82 = i279;
        i83 = i274;
        i84 = 2896;
        break L1;
       }
       set8(i216 >> 0 | 0, 1 | 0);
       set32(i217 | 0, 0 | 0);
       i695 = _sqlite3_exec(i69, i687, 16, i102, 0) | 0;
       if (!i695) i957 = get32(i217 | 0) | 0; else i957 = i695;
       _sqlite3DbFree(i69, get32(i101 | 0) | 0);
       set8(i216 >> 0 | 0, 0 | 0);
       if ((i957 | 0) == 7) {
        i78 = i90;
        i79 = i105;
        i80 = i275;
        i81 = i276;
        i82 = i279;
        i83 = i274;
        i84 = 2896;
        break L1;
       } else {
        i711 = i275;
        i712 = i276;
        i713 = i288;
        i714 = i279;
        i715 = i957;
       }
       break;
      }
     case 100:
      {
       i711 = i275;
       i712 = i276;
       i713 = i288;
       i714 = i279;
       i715 = _sqlite3AnalysisLoad(i69, get32(i268 + (i279 * 20 | 0) + 4 | 0) | 0) | 0;
       break;
      }
     case 116:
      {
       i695 = get8(i268 + (i279 * 20 | 0) + 3 >> 0 | 0) | 0;
       i687 = i695 & 255;
       set32(i65 | 0, i687 | 0);
       i689 = i267 + ((get32(i268 + (i279 * 20 | 0) + 8 | 0) | 0) * 40 | 0) | 0;
       set32(i102 | 0, i689 | 0);
       i691 = get32(i126 | 0) | 0;
       set32(i237 | 0, i691 | 0);
       set32(i100 | 0, 0 | 0);
       if (i695 << 24 >> 24) {
        i695 = i689;
        i689 = i691;
        i691 = 0;
        while (1) {
         set32(i689 + (i691 << 2) | 0, i695 | 0);
         i672 = get32(i102 | 0) | 0;
         i688 = getU16(i672 + 28 | 0) | 0;
         do if (!(i688 & 1)) {
          if (i688 & 4) {
           set8(i672 + 30 >> 0 | 0, 1 | 0);
           break;
          }
          if (i688 & 8) {
           set8(i672 + 30 >> 0 | 0, 2 | 0);
           break;
          }
          i677 = i672 + 30 | 0;
          if (!(i688 & 2)) {
           set8(i677 >> 0 | 0, 4 | 0);
           break;
          } else {
           set8(i677 >> 0 | 0, 3 | 0);
           break;
          }
         } else set8(i672 + 30 >> 0 | 0, 5 | 0); while (0);
         i688 = i691 + 1 | 0;
         i739 = i672 + 40 | 0;
         set32(i102 | 0, i739 | 0);
         if ((i688 | 0) >= (i687 | 0)) break;
         i695 = i739;
         i689 = get32(i237 | 0) | 0;
         i691 = i688;
        }
        set32(i100 | 0, (i687 >>> 0 > 1 ? i687 : 1) | 0);
       }
       i691 = get32(i268 + (i279 * 20 | 0) + 16 | 0) | 0;
       set32(i108 | 0, i691 | 0);
       i689 = get32(i268 + (i279 * 20 | 0) + 12 | 0) | 0;
       i695 = i267 + (i689 * 40 | 0) | 0;
       set32(i101 | 0, i695 | 0);
       set32(i238 | 0, i695 | 0);
       i695 = i267 + (i689 * 40 | 0) + 24 | 0;
       set32(i695 | 0, (get32(i695 | 0) | 0) + 1 | 0);
       set16(i239 | 0, 1 | 0);
       set32(i240 | 0, 0 | 0);
       set32(i241 | 0, 0 | 0);
       set32(i242 | 0, 0 | 0);
       set32(i106 | 0, i69 | 0);
       set32(i243 | 0, 0 | 0);
       set32(i244 | 0, 0 | 0);
       i695 = i691;
       if (get8(i695 + 3 >> 0 | 0) & 8) set32(i244 | 0, get32(i268 + ((i279 + -1 | 0) * 20 | 0) + 16 | 0) | 0);
       FUNCTION_TABLE_viii[get32(i695 + 16 | 0) & 63](i108, i687, get32(i237 | 0) | 0);
       if (!(get32(i243 | 0) | 0)) i958 = 0; else {
        set32(i20 | 0, _sqlite3ValueText(i106, 1) | 0 | 0);
        _sqlite3SetString(i105, i69, 16817, i20);
        i958 = get32(i243 | 0) | 0;
       }
       _sqlite3VdbeMemReleaseExternal(i106);
       _sqlite3DbFree(get32(i106 | 0) | 0, get32(i241 | 0) | 0);
       set32(i240 | 0, 0 | 0);
       set32(i241 | 0, 0 | 0);
       set32(i242 | 0, 0 | 0);
       i711 = i275;
       i712 = i276;
       i713 = i288;
       i714 = i279;
       i715 = i958;
       break;
      }
     case 117:
      {
       i695 = get32(i268 + (i279 * 20 | 0) + 4 | 0) | 0;
       i691 = i267 + (i695 * 40 | 0) | 0;
       set32(i65 | 0, i691 | 0);
       i689 = get32(i268 + (i279 * 20 | 0) + 16 | 0) | 0;
       if ((i689 | 0) != 0 ? (i693 = get32(i689 + 20 | 0) | 0, (i693 | 0) != 0) : 0) {
        i698 = i61;
        i700 = i698 + 64 | 0;
        do {
         set32(i698 | 0, 0 | 0);
         i698 = i698 + 4 | 0;
        } while ((i698 | 0) < (i700 | 0));
        set16(i246 | 0, 1 | 0);
        set32(i245 | 0, get32(i691 | 0) | 0);
        set32(i247 | 0, i691 | 0);
        set32(i61 | 0, i689 | 0);
        FUNCTION_TABLE_vi[i693 & 31](i61);
        _sqlite3DbFree(get32(i691 | 0) | 0, get32(i267 + (i695 * 40 | 0) + 36 | 0) | 0);
        i698 = i691;
        i699 = i245;
        i700 = i698 + 40 | 0;
        do {
         set32(i698 | 0, get32(i699 | 0) | 0);
         i698 = i698 + 4 | 0;
         i699 = i699 + 4 | 0;
        } while ((i698 | 0) < (i700 | 0));
        i691 = get32(i248 | 0) | 0;
        if (i691) {
         set32(i19 | 0, _sqlite3ValueText(get32(i65 | 0) | 0, 1) | 0 | 0);
         _sqlite3SetString(i105, i69, 16817, i19);
         i959 = i691;
        } else i959 = 0;
       } else i959 = 0;
       _sqlite3VdbeChangeEncoding(get32(i65 | 0) | 0, i96) | 0;
       i691 = get32(i65 | 0) | 0;
       i695 = getU16(i691 + 28 | 0) | 0;
       if (i695 & 18) {
        i693 = get32(i691 + 24 | 0) | 0;
        if (!(i695 & 16384)) i960 = i693; else i960 = (get32(i691 + 16 | 0) | 0) + i693 | 0;
        if ((i960 | 0) > (get32((get32(i691 | 0) | 0) + 72 | 0) | 0)) {
         i678 = i275;
         i679 = i276;
         i680 = i279;
         i681 = i274;
         i84 = 2895;
         break L6;
        } else {
         i711 = i275;
         i712 = i276;
         i713 = i288;
         i714 = i279;
         i715 = i959;
        }
       } else {
        i711 = i275;
        i712 = i276;
        i713 = i288;
        i714 = i279;
        i715 = i959;
       }
       break;
      }
     case 118:
      {
       set32(i100 | 0, 0 | 0);
       set32(i249 | 0, -1 | 0);
       set32(i250 | 0, -1 | 0);
       i691 = get32(i268 + (i279 * 20 | 0) + 4 | 0) | 0;
       i693 = get32(i268 + (i279 * 20 | 0) + 8 | 0) | 0;
       i695 = get32(i182 | 0) | 0;
       if ((i695 | 0) > 0) {
        i689 = (i691 | 0) == 10;
        i687 = i250;
        i683 = i249;
        i669 = i695;
        i695 = 0;
        i692 = 0;
        while (1) {
         if (i689 | (i692 | 0) == (i691 | 0)) {
          i688 = get32((get32(i70 | 0) | 0) + (i692 << 4) + 4 | 0) | 0;
          if (i688) {
           i739 = get32(i688 + 4 | 0) | 0;
           set32(i739 + 4 | 0, get32(i688 | 0) | 0);
           if (!(get8(i739 + 23 >> 0 | 0) | 0)) {
            i688 = get32(i739 | 0) | 0;
            i739 = get32(i688 + 172 | 0) | 0;
            if (!i739) {
             i961 = i669;
             i962 = 0;
            } else {
             i702 = _sqlite3WalCheckpoint(i739, i693, get32(i688 + 152 | 0) | 0, get32(i688 + 156 | 0) | 0, getU8(i688 + 10 >> 0 | 0) | 0, get32(i688 + 128 | 0) | 0, get32(i688 + 164 | 0) | 0, i687, i683) | 0;
             i961 = get32(i182 | 0) | 0;
             i962 = i702;
            }
           } else {
            i961 = i669;
            i962 = 6;
           }
          } else {
           i961 = i669;
           i962 = 0;
          }
          i702 = (i962 | 0) == 5;
          i963 = 0;
          i964 = 0;
          i965 = i961;
          i966 = i702 ? 1 : i695;
          i967 = i702 ? 0 : i962;
         } else {
          i963 = i683;
          i964 = i687;
          i965 = i669;
          i966 = i695;
          i967 = 0;
         }
         i692 = i692 + 1 | 0;
         i702 = (i967 | 0) == 0;
         if (!((i692 | 0) < (i965 | 0) & i702)) {
          i968 = i702;
          i969 = i966;
          i970 = i967;
          break;
         } else {
          i687 = i964;
          i683 = i963;
          i669 = i965;
          i695 = i966;
         }
        }
       } else {
        i968 = 1;
        i969 = 0;
        i970 = 0;
       }
       i695 = i968 & (i969 | 0) != 0 ? 5 : i970;
       if ((i695 | 0) == 5) {
        set32(i100 | 0, 1 | 0);
        i971 = 0;
       } else i971 = i695;
       set32(i65 | 0, 0 | 0);
       i695 = i267 + ((get32(i268 + (i279 * 20 | 0) + 12 | 0) | 0) * 40 | 0) | 0;
       set32(i108 | 0, i695 | 0);
       i669 = 0;
       i683 = i695;
       do {
        i695 = get32(i100 + (i669 << 2) | 0) | 0;
        _sqlite3VdbeMemReleaseExternal(i683);
        i687 = i683 + 36 | 0;
        _sqlite3DbFree(get32(i683 | 0) | 0, get32(i687 | 0) | 0);
        set32(i683 + 4 | 0, 0 | 0);
        set32(i687 | 0, 0 | 0);
        set32(i683 + 32 | 0, 0 | 0);
        i687 = i683 + 16 | 0;
        set32(i687 | 0, i695 | 0);
        set32(i687 + 4 | 0, ((i695 | 0) < 0) << 31 >> 31 | 0);
        set16(i683 + 28 | 0, 4 | 0);
        set8(i683 + 30 >> 0 | 0, 1 | 0);
        i669 = (get32(i65 | 0) | 0) + 1 | 0;
        set32(i65 | 0, i669 | 0);
        i683 = (get32(i108 | 0) | 0) + 40 | 0;
        set32(i108 | 0, i683 | 0);
       } while ((i669 | 0) < 3);
       i711 = i275;
       i712 = i276;
       i713 = i288;
       i714 = i279;
       i715 = i971;
       break;
      }
     case 119:
      {
       i669 = get32(i268 + (i279 * 20 | 0) + 12 | 0) | 0;
       set32(i101 | 0, i669 | 0);
       i683 = get32((get32(i70 | 0) | 0) + (get32(i268 + (i279 * 20 | 0) + 4 | 0) << 4) + 4 | 0) | 0;
       set32(i65 | 0, i683 | 0);
       i695 = get32(get32(i683 + 4 | 0) | 0) | 0;
       set32(i100 | 0, i695 | 0);
       i683 = get8(i695 + 5 >> 0 | 0) | 0;
       i687 = i683 & 255;
       set32(i102 | 0, i687 | 0);
       if ((i669 | 0) == -1) {
        set32(i101 | 0, i687 | 0);
        i972 = i687;
       } else i972 = i669;
       if ((getU8(i695 + 15 >> 0 | 0) | 0) <= 2) if ((get32(get32(i695 + 64 | 0) | 0) | 0) != 0 ? (i669 = i695 + 72 | 0, i692 = get32(i669 + 4 | 0) | 0, (i692 | 0) > 0 | (i692 | 0) == 0 & (get32(i669 | 0) | 0) >>> 0 > 0) : 0) i84 = 2093; else i973 = i972; else i84 = 2093;
       if ((i84 | 0) == 2093) {
        i84 = 0;
        set32(i101 | 0, i687 | 0);
        i973 = i687;
       }
       i669 = get32(i695 + 144 | 0) | 0;
       set32(i108 | 0, i669 | 0);
       do if ((i973 | 0) == 5) {
        if (get8(i669 >> 0 | 0) | 0) {
         i692 = get32(get32(i695 + 60 | 0) | 0) | 0;
         if (get8(i695 + 4 >> 0 | 0) | 0) {
          i974 = 5;
          i84 = 2100;
          break;
         }
         if ((get32(i692 | 0) | 0) > 1 ? (get32(i692 + 52 | 0) | 0) != 0 : 0) {
          i974 = 5;
          i84 = 2100;
          break;
         }
        }
        set32(i101 | 0, i687 | 0);
        i975 = i687;
        i976 = 0;
       } else {
        i974 = i973;
        i84 = 2100;
       } while (0);
       L775 : do if ((i84 | 0) == 2100) {
        i84 = 0;
        if ((i974 | 0) != (i687 | 0) ? (i669 = (i974 | 0) == 5, i683 << 24 >> 24 == 5 | i669) : 0) {
         if (!(get8(i168 >> 0 | 0) | 0)) {
          i977 = i669;
          i978 = i275;
          i979 = i276;
          i980 = i279;
          i981 = i274;
          i84 = 2104;
          break L6;
         }
         if ((get32(i180 | 0) | 0) > 1) {
          i977 = i669;
          i978 = i275;
          i979 = i276;
          i980 = i279;
          i981 = i274;
          i84 = 2104;
          break L6;
         }
         L781 : do switch (i687 | 0) {
         case 5:
          {
           i669 = i695 + 172 | 0;
           i692 = get32(i669 | 0) | 0;
           L783 : do if (!i692) {
            set32(i61 | 0, 0 | 0);
            i693 = i695 + 16 | 0;
            L785 : do switch (get8(i693 >> 0 | 0) | 0) {
            case 0:
            case 5:
             {
              i691 = get32(i695 + 60 | 0) | 0;
              i689 = FUNCTION_TABLE_iii[get32((get32(i691 | 0) | 0) + 28 | 0) & 127](i691, 1) | 0;
              if (i689) {
               i982 = i689;
               i84 = 2123;
               break L783;
              }
              if ((get8(i693 >> 0 | 0) | 0) == 5) break L785;
              set8(i693 >> 0 | 0, 1 | 0);
              break;
             }
            default:
             {}
            } while (0);
            i690 = get32(i695 | 0) | 0;
            i689 = FUNCTION_TABLE_iiiii[get32(i690 + 32 | 0) & 31](i690, get32(i695 + 176 | 0) | 0, 0, i61) | 0;
            if ((i689 | 0) == 0 & (get32(i61 | 0) | 0) != 0) i983 = _pagerOpenWal(i695) | 0; else i983 = i689;
            if (i983) {
             i982 = i983;
             i84 = 2123;
             break;
            }
            i689 = get32(i669 | 0) | 0;
            if (i689) {
             i984 = i693;
             i985 = i689;
             i84 = 2117;
             break;
            }
            i84 = 2125;
           } else {
            i984 = i695 + 16 | 0;
            i985 = i692;
            i84 = 2117;
           } while (0);
           L796 : do if ((i84 | 0) == 2117) {
            i84 = 0;
            L798 : do switch (get8(i984 >> 0 | 0) | 0) {
            case 0:
            case 1:
            case 2:
            case 3:
            case 5:
             {
              i692 = i695 + 60 | 0;
              i670 = get32(i692 | 0) | 0;
              i689 = FUNCTION_TABLE_iii[get32((get32(i670 | 0) | 0) + 28 | 0) & 127](i670, 4) | 0;
              if (!i689) {
               set8(i984 >> 0 | 0, 4 | 0);
               i986 = get32(i669 | 0) | 0;
               break L798;
              }
              i670 = get32(i692 | 0) | 0;
              i692 = get32(i670 | 0) | 0;
              if (!i692) {
               i982 = i689;
               i84 = 2123;
               break L796;
              }
              FUNCTION_TABLE_iii[get32(i692 + 32 | 0) & 127](i670, 1) | 0;
              if ((get8(i984 >> 0 | 0) | 0) == 5) {
               i982 = i689;
               i84 = 2123;
               break L796;
              }
              set8(i984 >> 0 | 0, 1 | 0);
              i982 = i689;
              i84 = 2123;
              break L796;
              break;
             }
            default:
             i986 = i985;
            } while (0);
            i693 = _sqlite3WalClose(i986, getU8(i695 + 10 >> 0 | 0) | 0, get32(i695 + 128 | 0) | 0, get32(i695 + 164 | 0) | 0) | 0;
            set32(i669 | 0, 0 | 0);
            if (!i693) i84 = 2125; else {
             i987 = i693;
             break L781;
            }
           } while (0);
           if ((i84 | 0) == 2123) {
            i84 = 0;
            i987 = i982;
            break L781;
           } else if ((i84 | 0) == 2125) {
            i84 = 0;
            _sqlite3PagerSetJournalMode(get32(i100 | 0) | 0, get32(i101 | 0) | 0) | 0;
            i84 = 2127;
            break L781;
           }
           break;
          }
         case 4:
          {
           _sqlite3PagerSetJournalMode(i695, 2) | 0;
           i84 = 2127;
           break;
          }
         default:
          i84 = 2127;
         } while (0);
         if ((i84 | 0) == 2127) {
          i84 = 0;
          i672 = get32(i65 | 0) | 0;
          i669 = (get32(i101 | 0) | 0) == 5;
          i693 = get32(i672 + 4 | 0) | 0;
          i689 = i693 + 24 | 0;
          set8(i689 >> 0 | 0, i669 & 1 ^ 1 | 0);
          i670 = _sqlite3BtreeBeginTrans(i672, 0) | 0;
          do if (!i670) {
           i692 = i693 + 12 | 0;
           i690 = get32((get32(i692 | 0) | 0) + 64 | 0) | 0;
           i691 = i690 + 18 | 0;
           i702 = get8(i691 >> 0 | 0) | 0;
           i688 = i669 ? 2 : 1;
           if (!(i702 << 24 >> 24 == i688 << 24 >> 24 ? (get8(i690 + 19 >> 0 | 0) | 0) == i702 << 24 >> 24 : 0)) {
            i702 = _sqlite3BtreeBeginTrans(i672, 2) | 0;
            if (i702) {
             i988 = i702;
             break;
            }
            i702 = _sqlite3PagerWrite(get32((get32(i692 | 0) | 0) + 68 | 0) | 0) | 0;
            if (i702) {
             i988 = i702;
             break;
            }
            set8(i691 >> 0 | 0, i688 | 0);
            set8(i690 + 19 >> 0 | 0, i688 | 0);
           }
           set8(i689 >> 0 | 0, 0 | 0);
           i975 = get32(i101 | 0) | 0;
           i976 = 0;
           break L775;
          } else i988 = i670; while (0);
          set8(i689 >> 0 | 0, 0 | 0);
          i987 = i988;
         }
         i670 = get32(i102 | 0) | 0;
         set32(i101 | 0, i670 | 0);
         i975 = i670;
         i976 = i987;
        } else {
         i975 = i973;
         i976 = 0;
        }
       } while (0);
       i695 = _sqlite3PagerSetJournalMode(get32(i100 | 0) | 0, i975) | 0;
       set32(i101 | 0, i695 | 0);
       i687 = get32(i268 + (i279 * 20 | 0) + 8 | 0) | 0;
       i683 = i267 + (i687 * 40 | 0) | 0;
       set16(i267 + (i687 * 40 | 0) + 28 | 0, 2562 | 0);
       if ((i695 | 0) == 6) {
        set32(i267 + (i687 * 40 | 0) + 4 | 0, 0 | 0);
        i989 = 0;
       } else {
        i670 = get32(2124 + (i695 << 2) | 0) | 0;
        set32(i267 + (i687 * 40 | 0) + 4 | 0, i670 | 0);
        i695 = i670;
        while (1) if (!(get8(i695 >> 0 | 0) | 0)) {
         i990 = i695;
         break;
        } else i695 = i695 + 1 | 0;
        i989 = i990 - i670 & 1073741823;
       }
       set32(i267 + (i687 * 40 | 0) + 24 | 0, i989 | 0);
       set8(i267 + (i687 * 40 | 0) + 31 >> 0 | 0, 1 | 0);
       _sqlite3VdbeChangeEncoding(i683, i96) | 0;
       i711 = i275;
       i712 = i276;
       i713 = i683;
       i714 = i279;
       i715 = i976;
       break;
      }
     case 120:
      {
       if (!(get8(i168 >> 0 | 0) | 0)) {
        i991 = i275;
        i992 = i276;
        i993 = i279;
        i994 = i274;
        i84 = 2143;
        break L6;
       }
       if ((get32(i180 | 0) | 0) > 1) {
        i995 = i275;
        i996 = i276;
        i997 = i279;
        i998 = i274;
        i84 = 2145;
        break L6;
       }
       i695 = get32(i183 | 0) | 0;
       i672 = get32(i94 | 0) | 0;
       i669 = get32(i95 | 0) | 0;
       i693 = get32(i109 | 0) | 0;
       set32(i183 | 0, i695 & -352649217 | 268763136 | 0);
       set32(i109 | 0, 0 | 0);
       i688 = get32((get32(i70 | 0) | 0) + 4 | 0) | 0;
       i690 = i688 + 4 | 0;
       i691 = get8((get32(get32(i690 | 0) | 0) | 0) + 14 >> 0 | 0) | 0;
       i702 = get32(i182 | 0) | 0;
       i692 = _execSql(i69, i105, (get8(i251 >> 0 | 0) | 0) == 2 ? 23157 : 23189) | 0;
       i739 = get32(i182 | 0) | 0;
       if ((i739 | 0) > (i702 | 0)) i999 = (get32(i70 | 0) | 0) + (i739 + -1 << 4) | 0; else i999 = 0;
       L837 : do if (!i692) {
        i702 = get32((get32(i70 | 0) | 0) + (i739 + -1 << 4) + 4 | 0) | 0;
        _sqlite3BtreeCommit(i702) | 0;
        i682 = get32(i690 | 0) | 0;
        set32(i682 + 4 | 0, get32(i688 | 0) | 0);
        i677 = get32(i682 + 36 | 0) | 0;
        i668 = i677 - (get32(i682 + 40 | 0) | 0) | 0;
        if ((get8((get32(i682 | 0) | 0) + 5 >> 0 | 0) | 0) == 5) set32(i252 | 0, 0 | 0);
        i682 = i702 + 4 | 0;
        i861 = get32(i682 | 0) | 0;
        set32(i861 + 4 | 0, get32(i702 | 0) | 0);
        if (!(get8(i861 + 17 >> 0 | 0) | 0)) {
         i862 = (i668 | 0) < 0;
         if (i862) i1000 = (get32(i861 + 36 | 0) | 0) - (get32(i861 + 40 | 0) | 0) | 0; else i1000 = i668;
         do if ((i677 + -512 | 0) >>> 0 < 65025) {
          if (i677 + -1 & i677) break;
          set32(i861 + 36 | 0, i677 | 0);
          i879 = i861 + 88 | 0;
          i694 = get32(i879 | 0) | 0;
          do if (i694) {
           if ((get32(379 * 4 | 0) | 0) >>> 0 <= i694 >>> 0 & (get32(380 * 4 | 0) | 0) >>> 0 > i694 >>> 0) {
            i860 = (get32(31 * 4 | 0) | 0) + -1 | 0;
            set32(31 * 4 | 0, i860 | 0);
            if ((i860 | 0) > (get32(41 * 4 | 0) | 0)) set32(41 * 4 | 0, i860 | 0);
            set32(i694 | 0, get32(383 * 4 | 0) | 0);
            set32(383 * 4 | 0, i694 | 0);
            i860 = (get32(382 * 4 | 0) | 0) + 1 | 0;
            set32(382 * 4 | 0, i860 | 0);
            set32(384 * 4 | 0, (i860 | 0) < (get32(378 * 4 | 0) | 0) & 1 | 0);
            break;
           }
           i860 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i694) | 0;
           i1001 = (get32(32 * 4 | 0) | 0) - i860 | 0;
           set32(32 * 4 | 0, i1001 | 0);
           if ((i1001 | 0) > (get32(42 * 4 | 0) | 0)) set32(42 * 4 | 0, i1001 | 0);
           if (!(get32(50 * 4 | 0) | 0)) {
            FUNCTION_TABLE_vi[get32(232 | 0) & 31](i694);
            break;
           }
           i1001 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i694) | 0;
           i860 = (get32(30 * 4 | 0) | 0) - i1001 | 0;
           set32(30 * 4 | 0, i860 | 0);
           if ((i860 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i860 | 0);
           i860 = (get32(39 * 4 | 0) | 0) + -1 | 0;
           set32(39 * 4 | 0, i860 | 0);
           if ((i860 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i860 | 0);
           FUNCTION_TABLE_vi[get32(232 | 0) & 31](i694);
          } while (0);
          set32(i879 | 0, 0 | 0);
         } while (0);
         i677 = i861 + 36 | 0;
         i689 = _sqlite3PagerSetPagesize(get32(i861 | 0) | 0, i677, i1000) | 0;
         set32(i861 + 40 | 0, (get32(i677 | 0) | 0) - (i1000 & 65535) | 0);
         if (!i689) {
          if (!(i691 << 24 >> 24)) {
           i689 = get32(i252 | 0) | 0;
           i677 = get32(i682 | 0) | 0;
           set32(i677 + 4 | 0, get32(i702 | 0) | 0);
           if (get8(i677 + 17 >> 0 | 0) | 0) {
            i1002 = i688;
            i1003 = 7;
            break;
           }
           if (i862) i1004 = (get32(i677 + 36 | 0) | 0) - (get32(i677 + 40 | 0) | 0) | 0; else i1004 = i668;
           do if ((i689 + -512 | 0) >>> 0 < 65025) {
            if (i689 + -1 & i689) break;
            set32(i677 + 36 | 0, i689 | 0);
            i694 = i677 + 88 | 0;
            i860 = get32(i694 | 0) | 0;
            do if (i860) {
             if ((get32(379 * 4 | 0) | 0) >>> 0 <= i860 >>> 0 & (get32(380 * 4 | 0) | 0) >>> 0 > i860 >>> 0) {
              i1001 = (get32(31 * 4 | 0) | 0) + -1 | 0;
              set32(31 * 4 | 0, i1001 | 0);
              if ((i1001 | 0) > (get32(41 * 4 | 0) | 0)) set32(41 * 4 | 0, i1001 | 0);
              set32(i860 | 0, get32(383 * 4 | 0) | 0);
              set32(383 * 4 | 0, i860 | 0);
              i1001 = (get32(382 * 4 | 0) | 0) + 1 | 0;
              set32(382 * 4 | 0, i1001 | 0);
              set32(384 * 4 | 0, (i1001 | 0) < (get32(378 * 4 | 0) | 0) & 1 | 0);
              break;
             }
             i1001 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i860) | 0;
             i1005 = (get32(32 * 4 | 0) | 0) - i1001 | 0;
             set32(32 * 4 | 0, i1005 | 0);
             if ((i1005 | 0) > (get32(42 * 4 | 0) | 0)) set32(42 * 4 | 0, i1005 | 0);
             if (!(get32(50 * 4 | 0) | 0)) {
              FUNCTION_TABLE_vi[get32(232 | 0) & 31](i860);
              break;
             }
             i1005 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i860) | 0;
             i1001 = (get32(30 * 4 | 0) | 0) - i1005 | 0;
             set32(30 * 4 | 0, i1001 | 0);
             if ((i1001 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i1001 | 0);
             i1001 = (get32(39 * 4 | 0) | 0) + -1 | 0;
             set32(39 * 4 | 0, i1001 | 0);
             if ((i1001 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i1001 | 0);
             FUNCTION_TABLE_vi[get32(232 | 0) & 31](i860);
            } while (0);
            set32(i694 | 0, 0 | 0);
           } while (0);
           i689 = i677 + 36 | 0;
           i861 = _sqlite3PagerSetPagesize(get32(i677 | 0) | 0, i689, i1004) | 0;
           set32(i677 + 40 | 0, (get32(i689 | 0) | 0) - (i1004 & 65535) | 0);
           if (i861) {
            i1002 = i688;
            i1003 = 7;
            break;
           }
          }
          if (get8(i90 >> 0 | 0) | 0) {
           i1002 = i688;
           i1003 = 7;
           break;
          }
          i861 = _execSql(i69, i105, 23213) | 0;
          if (i861) {
           i1002 = i688;
           i1003 = i861;
           break;
          }
          i861 = get8(i253 >> 0 | 0) | 0;
          do if (i861 << 24 >> 24 > -1) i1006 = i861 << 24 >> 24; else {
           i689 = get32(i690 | 0) | 0;
           set32(i689 + 4 | 0, get32(i688 | 0) | 0);
           if (!(get8(i689 + 21 >> 0 | 0) | 0)) {
            i1006 = 0;
            break;
           }
           i1006 = (get8(i689 + 22 >> 0 | 0) | 0) == 0 ? 1 : 2;
          } while (0);
          i861 = get32(i682 | 0) | 0;
          set32(i861 + 4 | 0, get32(i702 | 0) | 0);
          i677 = i1006 & 255;
          if (get8(i861 + 17 >> 0 | 0) | 0) {
           i689 = i861 + 21 | 0;
           if (((i677 | 0) != 0 | 0) == (getU8(i689 >> 0 | 0) | 0)) {
            i1007 = i689;
            i84 = 2204;
           }
          } else {
           i1007 = i861 + 21 | 0;
           i84 = 2204;
          }
          if ((i84 | 0) == 2204) {
           i84 = 0;
           set8(i1007 >> 0 | 0, (i677 | 0) != 0 & 1 | 0);
           set8(i861 + 22 >> 0 | 0, (i677 | 0) == 2 & 1 | 0);
          }
          i677 = _execSql(i69, i105, 23246) | 0;
          if (i677) {
           i1002 = i688;
           i1003 = i677;
           break;
          }
          i677 = _execExecSql(i69, i105, 23263) | 0;
          if (i677) {
           i1002 = i688;
           i1003 = i677;
           break;
          }
          i677 = _execExecSql(i69, i105, 23399) | 0;
          if (i677) {
           i1002 = i688;
           i1003 = i677;
           break;
          }
          i677 = _execExecSql(i69, i105, 23503) | 0;
          if (i677) {
           i1002 = i688;
           i1003 = i677;
           break;
          }
          i677 = _execExecSql(i69, i105, 23621) | 0;
          if (i677) {
           i1002 = i688;
           i1003 = i677;
           break;
          }
          i677 = _execExecSql(i69, i105, 23805) | 0;
          if (i677) {
           i1002 = i688;
           i1003 = i677;
           break;
          }
          i677 = _execExecSql(i69, i105, 23918) | 0;
          if (i677) {
           i1002 = i688;
           i1003 = i677;
           break;
          }
          i677 = _execSql(i69, i105, 24073) | 0;
          if (!i677) i1008 = 0; else {
           i1002 = i688;
           i1003 = i677;
           break;
          }
          do {
           i677 = getU8(24257 + i1008 >> 0 | 0) | 0;
           i861 = get32(i690 | 0) | 0;
           set32(i861 + 4 | 0, get32(i688 | 0) | 0);
           i689 = i677 << 2;
           i677 = i689 + 36 | 0;
           i860 = get32((get32(i861 + 12 | 0) | 0) + 64 | 0) | 0;
           i861 = i689 + 37 | 0;
           i879 = i689 + 38 | 0;
           i1001 = i689 + 39 | 0;
           i689 = (getU8(i860 + i861 >> 0 | 0) << 16 | getU8(i860 + i677 >> 0 | 0) << 24 | getU8(i860 + i879 >> 0 | 0) << 8 | getU8(i860 + i1001 >> 0 | 0)) + (getU8(24257 + (i1008 | 1) >> 0 | 0) | 0) | 0;
           i860 = get32(i682 | 0) | 0;
           set32(i860 + 4 | 0, get32(i702 | 0) | 0);
           i1005 = get32(i860 + 12 | 0) | 0;
           i860 = get32(i1005 + 64 | 0) | 0;
           i1009 = _sqlite3PagerWrite(get32(i1005 + 68 | 0) | 0) | 0;
           if (i1009) {
            i1002 = i688;
            i1003 = i1009;
            break L837;
           }
           set8(i860 + i677 >> 0 | 0, i689 >>> 24 | 0);
           set8(i860 + i861 >> 0 | 0, i689 >>> 16 | 0);
           set8(i860 + i879 >> 0 | 0, i689 >>> 8 | 0);
           set8(i860 + i1001 >> 0 | 0, i689 | 0);
           i1008 = i1008 + 2 | 0;
          } while ((i1008 | 0) < 8);
          set32((get32(i690 | 0) | 0) + 4 | 0, get32(i688 | 0) | 0);
          i689 = get32(i702 | 0) | 0;
          set32((get32(i682 | 0) | 0) + 4 | 0, i689 | 0);
          i698 = i61;
          i700 = i698 + 48 | 0;
          do {
           set32(i698 | 0, 0 | 0);
           i698 = i698 + 4 | 0;
          } while ((i698 | 0) < (i700 | 0));
          set32(i254 | 0, i689 | 0);
          set32(i255 | 0, i702 | 0);
          set32(i256 | 0, i688 | 0);
          set32(i257 | 0, 1 | 0);
          _sqlite3_backup_step(i61, 2147483647) | 0;
          i1001 = _sqlite3_backup_finish(i61) | 0;
          if (i1001) {
           i1002 = i688;
           i1003 = i1001;
           break;
          }
          set8((get32(i690 | 0) | 0) + 17 >> 0 | 0, 0 | 0);
          i1001 = _sqlite3BtreeCommit(i702) | 0;
          if (i1001) {
           i1002 = i688;
           i1003 = i1001;
           break;
          }
          i1001 = get32(i682 | 0) | 0;
          set32(i1001 + 4 | 0, get32(i702 | 0) | 0);
          if (!(get8(i1001 + 21 >> 0 | 0) | 0)) i1010 = 0; else i1010 = (get8(i1001 + 22 >> 0 | 0) | 0) == 0 ? 1 : 2;
          i860 = get32(i690 | 0) | 0;
          i879 = get32(i688 | 0) | 0;
          i861 = i860 + 4 | 0;
          set32(i861 | 0, i879 | 0);
          i677 = i860 + 17 | 0;
          i1009 = (get8(i677 >> 0 | 0) | 0) == 0;
          do if (i1009) i1011 = i860 + 21 | 0; else {
           i1005 = i860 + 21 | 0;
           if (((i1010 | 0) != 0 | 0) == (getU8(i1005 >> 0 | 0) | 0)) {
            i1011 = i1005;
            break;
           }
           set32(i861 | 0, i879 | 0);
           i1002 = i688;
           i1003 = 8;
           break L837;
          } while (0);
          set8(i1011 >> 0 | 0, (i1010 | 0) != 0 & 1 | 0);
          set8(i860 + 22 >> 0 | 0, (i1010 | 0) == 2 & 1 | 0);
          i702 = get32(i1001 + 36 | 0) | 0;
          set32(i861 | 0, i879 | 0);
          if (!i1009) {
           i1002 = i688;
           i1003 = 8;
           break;
          }
          if (i862) i1012 = (get32(i860 + 36 | 0) | 0) - (get32(i860 + 40 | 0) | 0) | 0; else i1012 = i668;
          do if ((i702 + -512 | 0) >>> 0 < 65025) {
           if (i702 + -1 & i702) break;
           set32(i860 + 36 | 0, i702 | 0);
           i682 = i860 + 88 | 0;
           i689 = get32(i682 | 0) | 0;
           do if (i689) {
            if ((get32(379 * 4 | 0) | 0) >>> 0 <= i689 >>> 0 & (get32(380 * 4 | 0) | 0) >>> 0 > i689 >>> 0) {
             i1005 = (get32(31 * 4 | 0) | 0) + -1 | 0;
             set32(31 * 4 | 0, i1005 | 0);
             if ((i1005 | 0) > (get32(41 * 4 | 0) | 0)) set32(41 * 4 | 0, i1005 | 0);
             set32(i689 | 0, get32(383 * 4 | 0) | 0);
             set32(383 * 4 | 0, i689 | 0);
             i1005 = (get32(382 * 4 | 0) | 0) + 1 | 0;
             set32(382 * 4 | 0, i1005 | 0);
             set32(384 * 4 | 0, (i1005 | 0) < (get32(378 * 4 | 0) | 0) & 1 | 0);
             break;
            }
            i1005 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i689) | 0;
            i1013 = (get32(32 * 4 | 0) | 0) - i1005 | 0;
            set32(32 * 4 | 0, i1013 | 0);
            if ((i1013 | 0) > (get32(42 * 4 | 0) | 0)) set32(42 * 4 | 0, i1013 | 0);
            if (!(get32(50 * 4 | 0) | 0)) {
             FUNCTION_TABLE_vi[get32(232 | 0) & 31](i689);
             break;
            }
            i1013 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i689) | 0;
            i1005 = (get32(30 * 4 | 0) | 0) - i1013 | 0;
            set32(30 * 4 | 0, i1005 | 0);
            if ((i1005 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i1005 | 0);
            i1005 = (get32(39 * 4 | 0) | 0) + -1 | 0;
            set32(39 * 4 | 0, i1005 | 0);
            if ((i1005 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i1005 | 0);
            FUNCTION_TABLE_vi[get32(232 | 0) & 31](i689);
           } while (0);
           set32(i682 | 0, 0 | 0);
          } while (0);
          i702 = i860 + 36 | 0;
          i668 = _sqlite3PagerSetPagesize(get32(i860 | 0) | 0, i702, i1012) | 0;
          set32(i860 + 40 | 0, (get32(i702 | 0) | 0) - (i1012 & 65535) | 0);
          set8(i677 >> 0 | 0, 1 | 0);
          i1002 = i688;
          i1003 = i668;
         } else {
          i1002 = i688;
          i1003 = 7;
         }
        } else {
         i1002 = i688;
         i1003 = 7;
        }
       } else {
        i1002 = i688;
        i1003 = i692;
       } while (0);
       set32(i183 | 0, i695 | 0);
       set32(i94 | 0, i672 | 0);
       set32(i95 | 0, i669 | 0);
       set32(i109 | 0, i693 | 0);
       i692 = get32(i690 | 0) | 0;
       set32(i692 + 4 | 0, get32(i1002 | 0) | 0);
       i688 = i692 + 17 | 0;
       if (!(get8(i688 >> 0 | 0) | 0)) {
        i691 = i692 + 36 | 0;
        i739 = i692 + 40 | 0;
        i683 = (get32(i691 | 0) | 0) - (get32(i739 | 0) | 0) | 0;
        _sqlite3PagerSetPagesize(get32(i692 | 0) | 0, i691, i683) | 0;
        set32(i739 | 0, (get32(i691 | 0) | 0) - (i683 & 65535) | 0);
        set8(i688 >> 0 | 0, 1 | 0);
       }
       set8(i168 >> 0 | 0, 1 | 0);
       if (i999) {
        i688 = i999 + 4 | 0;
        _sqlite3BtreeClose(get32(i688 | 0) | 0);
        set32(i688 | 0, 0 | 0);
        set32(i999 + 12 | 0, 0 | 0);
       }
       _sqlite3ResetInternalSchema(i69, -1);
       i711 = i275;
       i712 = i276;
       i713 = i288;
       i714 = i279;
       i715 = i1003;
       break;
      }
     case 121:
      {
       i688 = get32((get32(i70 | 0) | 0) + (get32(i268 + (i279 * 20 | 0) + 4 | 0) << 4) + 4 | 0) | 0;
       set32(i65 | 0, i688 | 0);
       i683 = get32(i688 + 4 | 0) | 0;
       set32(i683 + 4 | 0, get32(i688 | 0) | 0);
       if (!(get8(i683 + 21 >> 0 | 0) | 0)) {
        i1014 = i275;
        i1015 = i276;
        i1016 = i280;
        i1017 = i288;
        i1018 = i279;
        i84 = 2264;
        break L8;
       }
       i688 = get32(i683 + 8 | 0) | 0;
       if (i688) {
        i691 = i688;
        do {
         i688 = i691 + 84 | 0;
         i739 = get32(i688 | 0) | 0;
         do if (i739) {
          if (!(get32(50 * 4 | 0) | 0)) {
           FUNCTION_TABLE_vi[get32(232 | 0) & 31](i739);
           break;
          }
          i692 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i739) | 0;
          i687 = (get32(30 * 4 | 0) | 0) - i692 | 0;
          set32(30 * 4 | 0, i687 | 0);
          if ((i687 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i687 | 0);
          i687 = (get32(39 * 4 | 0) | 0) + -1 | 0;
          set32(39 * 4 | 0, i687 | 0);
          if ((i687 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i687 | 0);
          FUNCTION_TABLE_vi[get32(232 | 0) & 31](i739);
         } while (0);
         set32(i688 | 0, 0 | 0);
         i691 = get32(i691 + 8 | 0) | 0;
        } while ((i691 | 0) != 0);
       }
       i691 = i683 + 48 | 0;
       i690 = _incrVacuumStep(i683, 0, get32(i691 | 0) | 0) | 0;
       if (!i690) {
        i693 = i683 + 12 | 0;
        i669 = _sqlite3PagerWrite(get32((get32(i693 | 0) | 0) + 68 | 0) | 0) | 0;
        i672 = get32((get32(i693 | 0) | 0) + 64 | 0) | 0;
        i693 = get32(i691 | 0) | 0;
        set8(i672 + 28 >> 0 | 0, i693 >>> 24 | 0);
        set8(i672 + 29 >> 0 | 0, i693 >>> 16 | 0);
        set8(i672 + 30 >> 0 | 0, i693 >>> 8 | 0);
        set8(i672 + 31 >> 0 | 0, i693 | 0);
        i1019 = i669;
       } else i1019 = i690;
       if ((i1019 | 0) == 101) {
        i1014 = i275;
        i1015 = i276;
        i1016 = i280;
        i1017 = i288;
        i1018 = i279;
        i84 = 2264;
        break L8;
       } else {
        i711 = i275;
        i712 = i276;
        i713 = i288;
        i714 = i279;
        i715 = i1019;
       }
       break;
      }
     case 124:
      {
       i690 = get32(i268 + (i279 * 20 | 0) + 16 | 0) | 0;
       set32(i65 | 0, i690 | 0);
       i669 = get32(i179 | 0) | 0;
       i693 = (i669 | 0) > 0;
       if (i693 ? (get32(i166 | 0) | 0) == 0 : 0) i1020 = 6; else i84 = 2303;
       L1001 : do if ((i84 | 0) == 2303) {
        i84 = 0;
        if ((i690 | 0) != 0 ? (i672 = i690 + 8 | 0, i691 = get32(i672 | 0) | 0, i695 = (get32(i691 | 0) | 0) + 56 | 0, i739 = get32(i695 | 0) | 0, (i739 | 0) != 0) : 0) {
         if (i693) {
          i677 = get32(i166 | 0) | 0;
          i860 = 0;
          do {
           if ((get32(i677 + (i860 << 2) | 0) | 0) == (i690 | 0)) {
            i1020 = 0;
            break L1001;
           }
           i860 = i860 + 1 | 0;
          } while ((i860 | 0) < (i669 | 0));
         }
         if (!((i669 | 0) % 5 | 0)) {
          i860 = _sqlite3DbRealloc(i69, get32(i166 | 0) | 0, (i669 << 2) + 20 | 0) | 0;
          if (!i860) {
           i1020 = 7;
           break;
          }
          i677 = i860 + (get32(i179 | 0) << 2) | 0;
          set32(i677 | 0, 0 | 0);
          set32(i677 + 4 | 0, 0 | 0);
          set32(i677 + 8 | 0, 0 | 0);
          set32(i677 + 12 | 0, 0 | 0);
          set32(i677 + 16 | 0, 0 | 0);
          set32(i166 | 0, i860 | 0);
          i1021 = get32(i695 | 0) | 0;
          i1022 = get32(i672 | 0) | 0;
         } else {
          i1021 = i739;
          i1022 = i691;
         }
         i860 = FUNCTION_TABLE_ii[i1021 & 127](i1022) | 0;
         if (!i860) {
          i677 = get32(i179 | 0) | 0;
          set32(i179 | 0, i677 + 1 | 0);
          set32((get32(i166 | 0) | 0) + (i677 << 2) | 0, i690 | 0);
          i677 = i690 + 12 | 0;
          set32(i677 | 0, (get32(i677 | 0) | 0) + 1 | 0);
          i1020 = 0;
         } else i1020 = i860;
        } else i1020 = 0;
       } while (0);
       i690 = get32(i65 | 0) | 0;
       if (!i690) {
        i711 = i275;
        i712 = i276;
        i713 = i288;
        i714 = i279;
        i715 = i1020;
       } else {
        i669 = get32(i690 + 8 | 0) | 0;
        i690 = get32(i1 | 0) | 0;
        _sqlite3DbFree(i690, get32(i105 | 0) | 0);
        i693 = i669 + 8 | 0;
        i669 = get32(i693 | 0) | 0;
        L1018 : do if (!i669) i1023 = 0; else {
         i683 = i669;
         while (1) if (!(get8(i683 >> 0 | 0) | 0)) {
          i1024 = i683;
          break;
         } else i683 = i683 + 1 | 0;
         i683 = (i1024 - i669 & 1073741823) + 1 | 0;
         L1022 : do if (!i690) {
          if (!(get32(50 * 4 | 0) | 0)) {
           i1025 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i683) | 0;
           i84 = 2354;
           break;
          }
          i691 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i683) | 0;
          set32(35 * 4 | 0, i683 | 0);
          if ((get32(45 * 4 | 0) | 0) < (i683 | 0)) set32(45 * 4 | 0, i683 | 0);
          i739 = get32(6 * 4 | 0) | 0;
          do if (i739) {
           i672 = get32(30 * 4 | 0) | 0;
           i695 = ((i672 | 0) < 0) << 31 >> 31;
           i860 = 16;
           i677 = _i64Subtract(get32(i860 | 0) | 0, get32(i860 + 4 | 0) | 0, i691 | 0, ((i691 | 0) < 0) << 31 >> 31 | 0) | 0;
           i860 = tempRet0;
           if ((i695 | 0) < (i860 | 0) | (i695 | 0) == (i860 | 0) & i672 >>> 0 < i677 >>> 0) {
            set32(11 * 4 | 0, 0 | 0);
            break;
           } else {
            set32(11 * 4 | 0, 1 | 0);
            i677 = get32(7 * 4 | 0) | 0;
            set32(6 * 4 | 0, 0 | 0);
            FUNCTION_TABLE_viiii[i739 & 15](i677, i672, i695, i691);
            set32(6 * 4 | 0, i739 | 0);
            set32(7 * 4 | 0, i677 | 0);
            break;
           }
          } while (0);
          i739 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i691) | 0;
          if (!i739) {
           i1023 = 0;
           break L1018;
          }
          i682 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i739) | 0;
          i677 = (get32(30 * 4 | 0) | 0) + i682 | 0;
          set32(30 * 4 | 0, i677 | 0);
          if ((i677 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i677 | 0);
          i677 = get32(39 * 4 | 0) | 0;
          i682 = i677 + 1 | 0;
          set32(39 * 4 | 0, i682 | 0);
          if ((i677 | 0) < (get32(49 * 4 | 0) | 0)) {
           i1026 = i739;
           break;
          }
          set32(49 * 4 | 0, i682 | 0);
          i1026 = i739;
         } else {
          i739 = i690 + 30 | 0;
          if (get8(i739 >> 0 | 0) | 0) {
           i1023 = 0;
           break L1018;
          }
          do if (get8(i690 + 234 >> 0 | 0) | 0) {
           if ((getU16(i690 + 232 | 0) | 0) >>> 0 < i683 >>> 0) {
            i682 = i690 + 248 | 0;
            set32(i682 | 0, (get32(i682 | 0) | 0) + 1 | 0);
            break;
           }
           i682 = i690 + 256 | 0;
           i677 = get32(i682 | 0) | 0;
           if (!i677) {
            i695 = i690 + 252 | 0;
            set32(i695 | 0, (get32(i695 | 0) | 0) + 1 | 0);
            break;
           }
           set32(i682 | 0, get32(i677 | 0) | 0);
           i682 = i690 + 236 | 0;
           i695 = get32(i682 | 0) | 0;
           i672 = i695 + 1 | 0;
           set32(i682 | 0, i672 | 0);
           i682 = i690 + 244 | 0;
           set32(i682 | 0, (get32(i682 | 0) | 0) + 1 | 0);
           i682 = i690 + 240 | 0;
           if ((i695 | 0) >= (get32(i682 | 0) | 0)) set32(i682 | 0, i672 | 0);
           i1025 = i677;
           i84 = 2354;
           break L1022;
          } while (0);
          do if (!(get32(50 * 4 | 0) | 0)) {
           i691 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i683) | 0;
           if (i691) {
            i1026 = i691;
            break L1022;
           }
          } else {
           i691 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i683) | 0;
           set32(35 * 4 | 0, i683 | 0);
           if ((get32(45 * 4 | 0) | 0) < (i683 | 0)) set32(45 * 4 | 0, i683 | 0);
           i677 = get32(6 * 4 | 0) | 0;
           do if (i677) {
            i672 = get32(30 * 4 | 0) | 0;
            i682 = ((i672 | 0) < 0) << 31 >> 31;
            i695 = 16;
            i860 = _i64Subtract(get32(i695 | 0) | 0, get32(i695 + 4 | 0) | 0, i691 | 0, ((i691 | 0) < 0) << 31 >> 31 | 0) | 0;
            i695 = tempRet0;
            if ((i682 | 0) < (i695 | 0) | (i682 | 0) == (i695 | 0) & i672 >>> 0 < i860 >>> 0) {
             set32(11 * 4 | 0, 0 | 0);
             break;
            } else {
             set32(11 * 4 | 0, 1 | 0);
             i860 = get32(7 * 4 | 0) | 0;
             set32(6 * 4 | 0, 0 | 0);
             FUNCTION_TABLE_viiii[i677 & 15](i860, i672, i682, i691);
             set32(6 * 4 | 0, i677 | 0);
             set32(7 * 4 | 0, i860 | 0);
             break;
            }
           } while (0);
           i677 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i691) | 0;
           if (!i677) break;
           i860 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i677) | 0;
           i682 = (get32(30 * 4 | 0) | 0) + i860 | 0;
           set32(30 * 4 | 0, i682 | 0);
           if ((i682 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i682 | 0);
           i682 = get32(39 * 4 | 0) | 0;
           i860 = i682 + 1 | 0;
           set32(39 * 4 | 0, i860 | 0);
           if ((i682 | 0) < (get32(49 * 4 | 0) | 0)) {
            i1026 = i677;
            break L1022;
           }
           set32(49 * 4 | 0, i860 | 0);
           i1026 = i677;
           break L1022;
          } while (0);
          set8(i739 >> 0 | 0, 1 | 0);
          i1023 = 0;
          break L1018;
         } while (0);
         if ((i84 | 0) == 2354) {
          i84 = 0;
          if (!i1025) {
           i1023 = 0;
           break;
          } else i1026 = i1025;
         }
         _memcpy(i1026 | 0, i669 | 0, i683 | 0) | 0;
         i1023 = i1026;
        } while (0);
        set32(i105 | 0, i1023 | 0);
        i669 = get32(i693 | 0) | 0;
        do if (i669) {
         if (!(get32(50 * 4 | 0) | 0)) {
          FUNCTION_TABLE_vi[get32(232 | 0) & 31](i669);
          break;
         }
         i690 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i669) | 0;
         i677 = (get32(30 * 4 | 0) | 0) - i690 | 0;
         set32(30 * 4 | 0, i677 | 0);
         if ((i677 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i677 | 0);
         i677 = (get32(39 * 4 | 0) | 0) + -1 | 0;
         set32(39 * 4 | 0, i677 | 0);
         if ((i677 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i677 | 0);
         FUNCTION_TABLE_vi[get32(232 | 0) & 31](i669);
        } while (0);
        set32(i693 | 0, 0 | 0);
        i711 = i275;
        i712 = i276;
        i713 = i288;
        i714 = i279;
        i715 = i1020;
       }
       break;
      }
     case 126:
      {
       set8(i191 >> 0 | 0, 2 | 0);
       i669 = get32(i268 + (i279 * 20 | 0) + 16 | 0) | 0;
       i677 = get32(i70 | 0) | 0;
       i690 = get32(i677 + (get32(i268 + (i279 * 20 | 0) + 4 | 0) << 4) | 0) | 0;
       if (!i669) i1027 = 0; else {
        i860 = i669;
        while (1) if (!(get8(i860 >> 0 | 0) | 0)) {
         i1028 = i860;
         break;
        } else i860 = i860 + 1 | 0;
        i1027 = i1028 - i669 & 1073741823;
       }
       i860 = get32(i182 | 0) | 0;
       if ((i860 | 0) > 0) {
        i693 = (i690 | 0) == 0;
        i682 = 0;
        i672 = 0;
        while (1) {
         i695 = (i682 | 0) < 2 ^ i682;
         if (!i693) {
          i688 = get32(i677 + (i695 << 4) | 0) | 0;
          i687 = get8(i690 >> 0 | 0) | 0;
          L1101 : do if (!(i687 << 24 >> 24)) {
           i1029 = 0;
           i1030 = i688;
          } else {
           i692 = i687;
           i670 = i690;
           i668 = i688;
           while (1) {
            if ((get8(16286 + (i692 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i668 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
             i1029 = i692;
             i1030 = i668;
             break L1101;
            }
            i670 = i670 + 1 | 0;
            i702 = i668 + 1 | 0;
            i692 = get8(i670 >> 0 | 0) | 0;
            if (!(i692 << 24 >> 24)) {
             i1029 = 0;
             i1030 = i702;
             break;
            } else i668 = i702;
           }
          } while (0);
          if ((get8(16286 + (i1029 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i1030 >> 0 | 0) | 0) >> 0 | 0) | 0)) i1031 = i672; else i84 = 2403;
         } else i84 = 2403;
         if ((i84 | 0) == 2403) {
          i84 = 0;
          i688 = _sqlite3HashFind((get32(i677 + (i695 << 4) + 12 | 0) | 0) + 8 | 0, i669, i1027) | 0;
          if (!i688) i1031 = i688; else {
           i1032 = i688;
           break;
          }
         }
         i682 = i682 + 1 | 0;
         if ((i682 | 0) >= (i860 | 0)) {
          i1032 = i1031;
          break;
         } else i672 = i1031;
        }
        if ((i1032 | 0) != 0 ? (i672 = i1032 + 52 | 0, i860 = get32(i672 | 0) | 0, (i860 | 0) != 0) : 0) {
         set32(i672 | 0, 0 | 0);
         i682 = 0;
         i669 = i860;
         L1112 : while (1) {
          i860 = i669;
          while (1) {
           i677 = get32(i860 | 0) | 0;
           i690 = i860 + 24 | 0;
           i693 = i860;
           i860 = get32(i690 | 0) | 0;
           if ((i677 | 0) == (i69 | 0)) {
            i1033 = i690;
            i1034 = i860;
            i1035 = i693;
            break;
           }
           i688 = i677 + 316 | 0;
           set32(i690 | 0, get32(i688 | 0) | 0);
           set32(i688 | 0, i693 | 0);
           if (!i860) {
            i1036 = i682;
            break L1112;
           }
          }
          set32(i672 | 0, i1035 | 0);
          set32(i1033 | 0, 0 | 0);
          if (!i1034) {
           i1036 = i1035;
           break;
          } else {
           i682 = i1035;
           i669 = i1034;
          }
         }
         i669 = i1036 + 8 | 0;
         i682 = FUNCTION_TABLE_ii[get32((get32(get32(i1036 + 4 | 0) | 0) | 0) + 20 | 0) & 127](get32(i669 | 0) | 0) | 0;
         if (!i682) {
          set32(i669 | 0, 0 | 0);
          set32(i672 | 0, 0 | 0);
          i669 = get32(i1036 | 0) | 0;
          i860 = i1036 + 12 | 0;
          i695 = (get32(i860 | 0) | 0) + -1 | 0;
          set32(i860 | 0, i695 | 0);
          if (!i695) {
           _sqlite3DbFree(i669, i1036);
           i1037 = 0;
          } else i1037 = 0;
         } else i1037 = i682;
        } else i1037 = 0;
       } else i1037 = 0;
       set8(i191 >> 0 | 0, 0 | 0);
       i711 = i275;
       i712 = i276;
       i713 = i288;
       i714 = i279;
       i715 = i1037;
       break;
      }
     case 128:
      {
       i682 = get32(i268 + (i279 * 20 | 0) + 12 | 0) | 0;
       set32(i102 | 0, i267 + (i682 * 40 | 0) | 0);
       i669 = i682 + 1 | 0;
       i695 = i267 + (i669 * 40 | 0) | 0;
       set32(i108 | 0, i695 | 0);
       i860 = get32((get32(i142 | 0) | 0) + (get32(i268 + (i279 * 20 | 0) + 4 | 0) << 2) | 0) | 0;
       set32(i259 | 0, i860 | 0);
       i693 = get32(i860 + 36 | 0) | 0;
       set32(i137 | 0, i693 | 0);
       i860 = get32(i693 | 0) | 0;
       set32(i106 | 0, i860 | 0);
       i688 = get32(i860 | 0) | 0;
       set32(i101 | 0, i688 | 0);
       i860 = get32(i267 + (i669 * 40 | 0) + 16 | 0) | 0;
       set32(i65 | 0, i860 | 0);
       i669 = get32(i267 + (i682 * 40 | 0) + 16 | 0) | 0;
       set32(i100 | 0, i669 | 0);
       set32(i107 | 0, 0 | 0);
       i682 = get32(i126 | 0) | 0;
       set32(i147 | 0, i682 | 0);
       set32(i260 | 0, 0 | 0);
       i690 = i682;
       i682 = i688;
       if ((i860 | 0) > 0) {
        i688 = 0;
        i677 = i695;
        i695 = i690;
        while (1) {
         i687 = i688 + 1 | 0;
         set32(i695 + (i688 << 2) | 0, i677 + (i687 * 40 | 0) | 0);
         i683 = get32(i147 | 0) | 0;
         i668 = get32(i683 + (i688 << 2) | 0) | 0;
         i692 = getU16(i668 + 28 | 0) | 0;
         do if (!(i692 & 1)) {
          if (i692 & 4) {
           set8(i668 + 30 >> 0 | 0, 1 | 0);
           break;
          }
          if (i692 & 8) {
           set8(i668 + 30 >> 0 | 0, 2 | 0);
           break;
          }
          i670 = i668 + 30 | 0;
          if (!(i692 & 2)) {
           set8(i670 >> 0 | 0, 4 | 0);
           break;
          } else {
           set8(i670 >> 0 | 0, 3 | 0);
           break;
          }
         } else set8(i668 + 30 >> 0 | 0, 5 | 0); while (0);
         if ((i687 | 0) >= (i860 | 0)) {
          i1038 = i683;
          break;
         }
         i688 = i687;
         i677 = get32(i108 | 0) | 0;
         i695 = i683;
        }
        set32(i260 | 0, ((i860 | 0) > 1 ? i860 : 1) | 0);
        i1039 = get32(i101 | 0) | 0;
        i1040 = get32(i137 | 0) | 0;
        i1041 = i1038;
       } else {
        i1039 = i682;
        i1040 = i693;
        i1041 = i690;
       }
       set8(i191 >> 0 | 0, 1 | 0);
       i695 = FUNCTION_TABLE_iiiiii[get32(i1039 + 32 | 0) & 31](i1040, i669, get32(i268 + (i279 * 20 | 0) + 16 | 0) | 0, i860, i1041) | 0;
       set8(i191 >> 0 | 0, 0 | 0);
       i677 = get32(i106 | 0) | 0;
       i688 = get32(i1 | 0) | 0;
       _sqlite3DbFree(i688, get32(i105 | 0) | 0);
       i672 = i677 + 8 | 0;
       i677 = get32(i672 | 0) | 0;
       L1142 : do if (!i677) i1042 = 0; else {
        i668 = i677;
        while (1) if (!(get8(i668 >> 0 | 0) | 0)) {
         i1043 = i668;
         break;
        } else i668 = i668 + 1 | 0;
        i668 = (i1043 - i677 & 1073741823) + 1 | 0;
        L1146 : do if (!i688) {
         if (!(get32(50 * 4 | 0) | 0)) {
          i1044 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i668) | 0;
          i84 = 2531;
          break;
         }
         i683 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i668) | 0;
         set32(35 * 4 | 0, i668 | 0);
         if ((get32(45 * 4 | 0) | 0) < (i668 | 0)) set32(45 * 4 | 0, i668 | 0);
         i687 = get32(6 * 4 | 0) | 0;
         do if (i687) {
          i692 = get32(30 * 4 | 0) | 0;
          i670 = ((i692 | 0) < 0) << 31 >> 31;
          i739 = 16;
          i702 = _i64Subtract(get32(i739 | 0) | 0, get32(i739 + 4 | 0) | 0, i683 | 0, ((i683 | 0) < 0) << 31 >> 31 | 0) | 0;
          i739 = tempRet0;
          if ((i670 | 0) < (i739 | 0) | (i670 | 0) == (i739 | 0) & i692 >>> 0 < i702 >>> 0) {
           set32(11 * 4 | 0, 0 | 0);
           break;
          } else {
           set32(11 * 4 | 0, 1 | 0);
           i702 = get32(7 * 4 | 0) | 0;
           set32(6 * 4 | 0, 0 | 0);
           FUNCTION_TABLE_viiii[i687 & 15](i702, i692, i670, i683);
           set32(6 * 4 | 0, i687 | 0);
           set32(7 * 4 | 0, i702 | 0);
           break;
          }
         } while (0);
         i687 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i683) | 0;
         if (!i687) {
          i1042 = 0;
          break L1142;
         }
         i702 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i687) | 0;
         i670 = (get32(30 * 4 | 0) | 0) + i702 | 0;
         set32(30 * 4 | 0, i670 | 0);
         if ((i670 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i670 | 0);
         i670 = get32(39 * 4 | 0) | 0;
         i702 = i670 + 1 | 0;
         set32(39 * 4 | 0, i702 | 0);
         if ((i670 | 0) < (get32(49 * 4 | 0) | 0)) {
          i1045 = i687;
          break;
         }
         set32(49 * 4 | 0, i702 | 0);
         i1045 = i687;
        } else {
         i687 = i688 + 30 | 0;
         if (get8(i687 >> 0 | 0) | 0) {
          i1042 = 0;
          break L1142;
         }
         do if (get8(i688 + 234 >> 0 | 0) | 0) {
          if ((getU16(i688 + 232 | 0) | 0) >>> 0 < i668 >>> 0) {
           i702 = i688 + 248 | 0;
           set32(i702 | 0, (get32(i702 | 0) | 0) + 1 | 0);
           break;
          }
          i702 = i688 + 256 | 0;
          i670 = get32(i702 | 0) | 0;
          if (!i670) {
           i692 = i688 + 252 | 0;
           set32(i692 | 0, (get32(i692 | 0) | 0) + 1 | 0);
           break;
          }
          set32(i702 | 0, get32(i670 | 0) | 0);
          i702 = i688 + 236 | 0;
          i692 = get32(i702 | 0) | 0;
          i739 = i692 + 1 | 0;
          set32(i702 | 0, i739 | 0);
          i702 = i688 + 244 | 0;
          set32(i702 | 0, (get32(i702 | 0) | 0) + 1 | 0);
          i702 = i688 + 240 | 0;
          if ((i692 | 0) >= (get32(i702 | 0) | 0)) set32(i702 | 0, i739 | 0);
          i1044 = i670;
          i84 = 2531;
          break L1146;
         } while (0);
         do if (!(get32(50 * 4 | 0) | 0)) {
          i683 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i668) | 0;
          if (i683) {
           i1045 = i683;
           break L1146;
          }
         } else {
          i683 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i668) | 0;
          set32(35 * 4 | 0, i668 | 0);
          if ((get32(45 * 4 | 0) | 0) < (i668 | 0)) set32(45 * 4 | 0, i668 | 0);
          i670 = get32(6 * 4 | 0) | 0;
          do if (i670) {
           i739 = get32(30 * 4 | 0) | 0;
           i702 = ((i739 | 0) < 0) << 31 >> 31;
           i692 = 16;
           i862 = _i64Subtract(get32(i692 | 0) | 0, get32(i692 + 4 | 0) | 0, i683 | 0, ((i683 | 0) < 0) << 31 >> 31 | 0) | 0;
           i692 = tempRet0;
           if ((i702 | 0) < (i692 | 0) | (i702 | 0) == (i692 | 0) & i739 >>> 0 < i862 >>> 0) {
            set32(11 * 4 | 0, 0 | 0);
            break;
           } else {
            set32(11 * 4 | 0, 1 | 0);
            i862 = get32(7 * 4 | 0) | 0;
            set32(6 * 4 | 0, 0 | 0);
            FUNCTION_TABLE_viiii[i670 & 15](i862, i739, i702, i683);
            set32(6 * 4 | 0, i670 | 0);
            set32(7 * 4 | 0, i862 | 0);
            break;
           }
          } while (0);
          i670 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i683) | 0;
          if (!i670) break;
          i691 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i670) | 0;
          i862 = (get32(30 * 4 | 0) | 0) + i691 | 0;
          set32(30 * 4 | 0, i862 | 0);
          if ((i862 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i862 | 0);
          i862 = get32(39 * 4 | 0) | 0;
          i691 = i862 + 1 | 0;
          set32(39 * 4 | 0, i691 | 0);
          if ((i862 | 0) < (get32(49 * 4 | 0) | 0)) {
           i1045 = i670;
           break L1146;
          }
          set32(49 * 4 | 0, i691 | 0);
          i1045 = i670;
          break L1146;
         } while (0);
         set8(i687 >> 0 | 0, 1 | 0);
         i1042 = 0;
         break L1142;
        } while (0);
        if ((i84 | 0) == 2531) {
         i84 = 0;
         if (!i1044) {
          i1042 = 0;
          break;
         } else i1045 = i1044;
        }
        _memcpy(i1045 | 0, i677 | 0, i668 | 0) | 0;
        i1042 = i1045;
       } while (0);
       set32(i105 | 0, i1042 | 0);
       i677 = get32(i672 | 0) | 0;
       do if (i677) {
        if (!(get32(50 * 4 | 0) | 0)) {
         FUNCTION_TABLE_vi[get32(232 | 0) & 31](i677);
         break;
        }
        i688 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i677) | 0;
        i860 = (get32(30 * 4 | 0) | 0) - i688 | 0;
        set32(30 * 4 | 0, i860 | 0);
        if ((i860 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i860 | 0);
        i860 = (get32(39 * 4 | 0) | 0) + -1 | 0;
        set32(39 * 4 | 0, i860 | 0);
        if ((i860 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i860 | 0);
        FUNCTION_TABLE_vi[get32(232 | 0) & 31](i677);
       } while (0);
       set32(i672 | 0, 0 | 0);
       if (!i695) {
        i677 = FUNCTION_TABLE_ii[get32((get32(i101 | 0) | 0) + 40 | 0) & 127](get32(i137 | 0) | 0) | 0;
        set32(i107 | 0, i677 | 0);
        i1046 = i677;
       } else i1046 = get32(i107 | 0) | 0;
       if (!i1046) i1047 = i279; else i1047 = (get32(i268 + (i279 * 20 | 0) + 8 | 0) | 0) + -1 | 0;
       set8((get32(i259 | 0) | 0) + 28 >> 0 | 0, 0 | 0);
       i711 = i275;
       i712 = i276;
       i713 = i288;
       i714 = i1047;
       i715 = i695;
       break;
      }
     case 129:
      {
       i677 = get32((get32(i142 | 0) | 0) + (get32(i268 + (i279 * 20 | 0) + 4 | 0) << 2) | 0) | 0;
       i860 = get32(i268 + (i279 * 20 | 0) + 12 | 0) | 0;
       i688 = i267 + (i860 * 40 | 0) | 0;
       set32(i101 | 0, i688 | 0);
       if (get8(i677 + 28 >> 0 | 0) | 0) {
        i1048 = i860;
        i1049 = i275;
        i1050 = i276;
        i1051 = i280;
        i1052 = i288;
        i1053 = i279;
        i84 = 2548;
        break L8;
       }
       i669 = i677 + 36 | 0;
       i677 = get32(get32(i669 | 0) | 0) | 0;
       set32(i65 | 0, i677 | 0);
       set32(i100 | 0, get32(i677 | 0) | 0);
       i698 = i108;
       i700 = i698 + 64 | 0;
       do {
        set32(i698 | 0, 0 | 0);
        i698 = i698 + 4 | 0;
       } while ((i698 | 0) < (i700 | 0));
       _sqlite3VdbeMemReleaseExternal(i106);
       _sqlite3DbFree(get32(i106 | 0) | 0, get32(i241 | 0) | 0);
       set32(i240 | 0, 0 | 0);
       set32(i241 | 0, 0 | 0);
       set32(i242 | 0, 0 | 0);
       i698 = i106;
       i699 = i688;
       i700 = i698 + 40 | 0;
       do {
        set32(i698 | 0, get32(i699 | 0) | 0);
        i698 = i698 + 4 | 0;
        i699 = i699 + 4 | 0;
       } while ((i698 | 0) < (i700 | 0));
       set16(i267 + (i860 * 40 | 0) + 28 | 0, 1 | 0);
       set32(i267 + (i860 * 40 | 0) + 32 | 0, 0 | 0);
       set32(i267 + (i860 * 40 | 0) + 36 | 0, 0 | 0);
       set16(i239 | 0, getU16(i239 | 0) & 48896 | 1 | 0);
       i688 = FUNCTION_TABLE_iiii[get32((get32(i100 | 0) | 0) + 44 | 0) & 63](get32(i669 | 0) | 0, i108, get32(i268 + (i279 * 20 | 0) + 8 | 0) | 0) | 0;
       i695 = get32(i65 | 0) | 0;
       i672 = get32(i1 | 0) | 0;
       _sqlite3DbFree(i672, get32(i105 | 0) | 0);
       i677 = i695 + 8 | 0;
       i695 = get32(i677 | 0) | 0;
       L1222 : do if (!i695) i1054 = 0; else {
        i690 = i695;
        while (1) if (!(get8(i690 >> 0 | 0) | 0)) {
         i1055 = i690;
         break;
        } else i690 = i690 + 1 | 0;
        i690 = (i1055 - i695 & 1073741823) + 1 | 0;
        L1226 : do if (!i672) {
         if (!(get32(50 * 4 | 0) | 0)) {
          i1056 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i690) | 0;
          i84 = 2596;
          break;
         }
         i668 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i690) | 0;
         set32(35 * 4 | 0, i690 | 0);
         if ((get32(45 * 4 | 0) | 0) < (i690 | 0)) set32(45 * 4 | 0, i690 | 0);
         i693 = get32(6 * 4 | 0) | 0;
         do if (i693) {
          i682 = get32(30 * 4 | 0) | 0;
          i670 = ((i682 | 0) < 0) << 31 >> 31;
          i691 = 16;
          i862 = _i64Subtract(get32(i691 | 0) | 0, get32(i691 + 4 | 0) | 0, i668 | 0, ((i668 | 0) < 0) << 31 >> 31 | 0) | 0;
          i691 = tempRet0;
          if ((i670 | 0) < (i691 | 0) | (i670 | 0) == (i691 | 0) & i682 >>> 0 < i862 >>> 0) {
           set32(11 * 4 | 0, 0 | 0);
           break;
          } else {
           set32(11 * 4 | 0, 1 | 0);
           i862 = get32(7 * 4 | 0) | 0;
           set32(6 * 4 | 0, 0 | 0);
           FUNCTION_TABLE_viiii[i693 & 15](i862, i682, i670, i668);
           set32(6 * 4 | 0, i693 | 0);
           set32(7 * 4 | 0, i862 | 0);
           break;
          }
         } while (0);
         i693 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i668) | 0;
         if (!i693) {
          i1054 = 0;
          break L1222;
         }
         i687 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i693) | 0;
         i862 = (get32(30 * 4 | 0) | 0) + i687 | 0;
         set32(30 * 4 | 0, i862 | 0);
         if ((i862 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i862 | 0);
         i862 = get32(39 * 4 | 0) | 0;
         i687 = i862 + 1 | 0;
         set32(39 * 4 | 0, i687 | 0);
         if ((i862 | 0) < (get32(49 * 4 | 0) | 0)) {
          i1057 = i693;
          break;
         }
         set32(49 * 4 | 0, i687 | 0);
         i1057 = i693;
        } else {
         i693 = i672 + 30 | 0;
         if (get8(i693 >> 0 | 0) | 0) {
          i1054 = 0;
          break L1222;
         }
         do if (get8(i672 + 234 >> 0 | 0) | 0) {
          if ((getU16(i672 + 232 | 0) | 0) >>> 0 < i690 >>> 0) {
           i687 = i672 + 248 | 0;
           set32(i687 | 0, (get32(i687 | 0) | 0) + 1 | 0);
           break;
          }
          i687 = i672 + 256 | 0;
          i862 = get32(i687 | 0) | 0;
          if (!i862) {
           i670 = i672 + 252 | 0;
           set32(i670 | 0, (get32(i670 | 0) | 0) + 1 | 0);
           break;
          }
          set32(i687 | 0, get32(i862 | 0) | 0);
          i687 = i672 + 236 | 0;
          i670 = get32(i687 | 0) | 0;
          i682 = i670 + 1 | 0;
          set32(i687 | 0, i682 | 0);
          i687 = i672 + 244 | 0;
          set32(i687 | 0, (get32(i687 | 0) | 0) + 1 | 0);
          i687 = i672 + 240 | 0;
          if ((i670 | 0) >= (get32(i687 | 0) | 0)) set32(i687 | 0, i682 | 0);
          i1056 = i862;
          i84 = 2596;
          break L1226;
         } while (0);
         do if (!(get32(50 * 4 | 0) | 0)) {
          i668 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i690) | 0;
          if (i668) {
           i1057 = i668;
           break L1226;
          }
         } else {
          i668 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i690) | 0;
          set32(35 * 4 | 0, i690 | 0);
          if ((get32(45 * 4 | 0) | 0) < (i690 | 0)) set32(45 * 4 | 0, i690 | 0);
          i862 = get32(6 * 4 | 0) | 0;
          do if (i862) {
           i682 = get32(30 * 4 | 0) | 0;
           i687 = ((i682 | 0) < 0) << 31 >> 31;
           i670 = 16;
           i691 = _i64Subtract(get32(i670 | 0) | 0, get32(i670 + 4 | 0) | 0, i668 | 0, ((i668 | 0) < 0) << 31 >> 31 | 0) | 0;
           i670 = tempRet0;
           if ((i687 | 0) < (i670 | 0) | (i687 | 0) == (i670 | 0) & i682 >>> 0 < i691 >>> 0) {
            set32(11 * 4 | 0, 0 | 0);
            break;
           } else {
            set32(11 * 4 | 0, 1 | 0);
            i691 = get32(7 * 4 | 0) | 0;
            set32(6 * 4 | 0, 0 | 0);
            FUNCTION_TABLE_viiii[i862 & 15](i691, i682, i687, i668);
            set32(6 * 4 | 0, i862 | 0);
            set32(7 * 4 | 0, i691 | 0);
            break;
           }
          } while (0);
          i862 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i668) | 0;
          if (!i862) break;
          i683 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i862) | 0;
          i691 = (get32(30 * 4 | 0) | 0) + i683 | 0;
          set32(30 * 4 | 0, i691 | 0);
          if ((i691 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i691 | 0);
          i691 = get32(39 * 4 | 0) | 0;
          i683 = i691 + 1 | 0;
          set32(39 * 4 | 0, i683 | 0);
          if ((i691 | 0) < (get32(49 * 4 | 0) | 0)) {
           i1057 = i862;
           break L1226;
          }
          set32(49 * 4 | 0, i683 | 0);
          i1057 = i862;
          break L1226;
         } while (0);
         set8(i693 >> 0 | 0, 1 | 0);
         i1054 = 0;
         break L1222;
        } while (0);
        if ((i84 | 0) == 2596) {
         i84 = 0;
         if (!i1056) {
          i1054 = 0;
          break;
         } else i1057 = i1056;
        }
        _memcpy(i1057 | 0, i695 | 0, i690 | 0) | 0;
        i1054 = i1057;
       } while (0);
       set32(i105 | 0, i1054 | 0);
       i695 = get32(i677 | 0) | 0;
       do if (i695) {
        if (!(get32(50 * 4 | 0) | 0)) {
         FUNCTION_TABLE_vi[get32(232 | 0) & 31](i695);
         break;
        }
        i672 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i695) | 0;
        i669 = (get32(30 * 4 | 0) | 0) - i672 | 0;
        set32(30 * 4 | 0, i669 | 0);
        if ((i669 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i669 | 0);
        i669 = (get32(39 * 4 | 0) | 0) + -1 | 0;
        set32(39 * 4 | 0, i669 | 0);
        if ((i669 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i669 | 0);
        FUNCTION_TABLE_vi[get32(232 | 0) & 31](i695);
       } while (0);
       set32(i677 | 0, 0 | 0);
       i695 = get32(i243 | 0) | 0;
       i669 = (i695 | 0) == 0 ? i688 : i695;
       _sqlite3VdbeChangeEncoding(i106, i96) | 0;
       i695 = get32(i101 | 0) | 0;
       _sqlite3VdbeMemReleaseExternal(i695);
       i672 = i695 + 36 | 0;
       _sqlite3DbFree(get32(i695 | 0) | 0, get32(i672 | 0) | 0);
       set32(i695 + 4 | 0, 0 | 0);
       set32(i672 | 0, 0 | 0);
       set32(i695 + 32 | 0, 0 | 0);
       i698 = i695;
       i699 = i106;
       i700 = i698 + 40 | 0;
       do {
        set32(i698 | 0, get32(i699 | 0) | 0);
        i698 = i698 + 4 | 0;
        i699 = i699 + 4 | 0;
       } while ((i698 | 0) < (i700 | 0));
       set16(i239 | 0, 1 | 0);
       set32(i242 | 0, 0 | 0);
       set32(i241 | 0, 0 | 0);
       i688 = get32(i101 | 0) | 0;
       i677 = getU16(i688 + 28 | 0) | 0;
       if (i677 & 18) {
        i695 = get32(i688 + 24 | 0) | 0;
        if (!(i677 & 16384)) i1058 = i695; else i1058 = (get32(i688 + 16 | 0) | 0) + i695 | 0;
        if ((i1058 | 0) > (get32((get32(i688 | 0) | 0) + 72 | 0) | 0)) {
         i678 = i275;
         i679 = i276;
         i680 = i279;
         i681 = i274;
         i84 = 2895;
         break L6;
        } else {
         i711 = i275;
         i712 = i276;
         i713 = i288;
         i714 = i279;
         i715 = i669;
        }
       } else {
        i711 = i275;
        i712 = i276;
        i713 = i288;
        i714 = i279;
        i715 = i669;
       }
       break;
      }
     case 131:
      {
       set32(i101 | 0, 0 | 0);
       i688 = get32((get32(i142 | 0) | 0) + (get32(i268 + (i279 * 20 | 0) + 4 | 0) << 2) | 0) | 0;
       set32(i102 | 0, i688 | 0);
       if (get8(i688 + 28 >> 0 | 0) | 0) {
        i716 = i275;
        i717 = i276;
        i718 = i267;
        i719 = i268;
        i720 = i269;
        i721 = i270;
        i722 = i280;
        i723 = i288;
        i724 = i279;
        i725 = i274;
        break L8;
       }
       i695 = get32(i688 + 36 | 0) | 0;
       i688 = get32(i695 | 0) | 0;
       set32(i65 | 0, i688 | 0);
       i677 = get32(i688 | 0) | 0;
       set32(i100 | 0, i677 | 0);
       set8(i191 >> 0 | 0, 1 | 0);
       i688 = FUNCTION_TABLE_ii[get32(i677 + 36 | 0) & 127](i695) | 0;
       set8(i191 >> 0 | 0, 0 | 0);
       i695 = get32(i65 | 0) | 0;
       i677 = get32(i1 | 0) | 0;
       _sqlite3DbFree(i677, get32(i105 | 0) | 0);
       i672 = i695 + 8 | 0;
       i695 = get32(i672 | 0) | 0;
       L1299 : do if (!i695) i1059 = 0; else {
        i860 = i695;
        while (1) if (!(get8(i860 >> 0 | 0) | 0)) {
         i1060 = i860;
         break;
        } else i860 = i860 + 1 | 0;
        i860 = (i1060 - i695 & 1073741823) + 1 | 0;
        L1303 : do if (!i677) {
         if (!(get32(50 * 4 | 0) | 0)) {
          i1061 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i860) | 0;
          i84 = 2650;
          break;
         }
         i690 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i860) | 0;
         set32(35 * 4 | 0, i860 | 0);
         if ((get32(45 * 4 | 0) | 0) < (i860 | 0)) set32(45 * 4 | 0, i860 | 0);
         i862 = get32(6 * 4 | 0) | 0;
         do if (i862) {
          i683 = get32(30 * 4 | 0) | 0;
          i691 = ((i683 | 0) < 0) << 31 >> 31;
          i687 = 16;
          i682 = _i64Subtract(get32(i687 | 0) | 0, get32(i687 + 4 | 0) | 0, i690 | 0, ((i690 | 0) < 0) << 31 >> 31 | 0) | 0;
          i687 = tempRet0;
          if ((i691 | 0) < (i687 | 0) | (i691 | 0) == (i687 | 0) & i683 >>> 0 < i682 >>> 0) {
           set32(11 * 4 | 0, 0 | 0);
           break;
          } else {
           set32(11 * 4 | 0, 1 | 0);
           i682 = get32(7 * 4 | 0) | 0;
           set32(6 * 4 | 0, 0 | 0);
           FUNCTION_TABLE_viiii[i862 & 15](i682, i683, i691, i690);
           set32(6 * 4 | 0, i862 | 0);
           set32(7 * 4 | 0, i682 | 0);
           break;
          }
         } while (0);
         i862 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i690) | 0;
         if (!i862) {
          i1059 = 0;
          break L1299;
         }
         i693 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i862) | 0;
         i682 = (get32(30 * 4 | 0) | 0) + i693 | 0;
         set32(30 * 4 | 0, i682 | 0);
         if ((i682 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i682 | 0);
         i682 = get32(39 * 4 | 0) | 0;
         i693 = i682 + 1 | 0;
         set32(39 * 4 | 0, i693 | 0);
         if ((i682 | 0) < (get32(49 * 4 | 0) | 0)) {
          i1062 = i862;
          break;
         }
         set32(49 * 4 | 0, i693 | 0);
         i1062 = i862;
        } else {
         i862 = i677 + 30 | 0;
         if (get8(i862 >> 0 | 0) | 0) {
          i1059 = 0;
          break L1299;
         }
         do if (get8(i677 + 234 >> 0 | 0) | 0) {
          if ((getU16(i677 + 232 | 0) | 0) >>> 0 < i860 >>> 0) {
           i693 = i677 + 248 | 0;
           set32(i693 | 0, (get32(i693 | 0) | 0) + 1 | 0);
           break;
          }
          i693 = i677 + 256 | 0;
          i682 = get32(i693 | 0) | 0;
          if (!i682) {
           i691 = i677 + 252 | 0;
           set32(i691 | 0, (get32(i691 | 0) | 0) + 1 | 0);
           break;
          }
          set32(i693 | 0, get32(i682 | 0) | 0);
          i693 = i677 + 236 | 0;
          i691 = get32(i693 | 0) | 0;
          i683 = i691 + 1 | 0;
          set32(i693 | 0, i683 | 0);
          i693 = i677 + 244 | 0;
          set32(i693 | 0, (get32(i693 | 0) | 0) + 1 | 0);
          i693 = i677 + 240 | 0;
          if ((i691 | 0) >= (get32(i693 | 0) | 0)) set32(i693 | 0, i683 | 0);
          i1061 = i682;
          i84 = 2650;
          break L1303;
         } while (0);
         do if (!(get32(50 * 4 | 0) | 0)) {
          i690 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i860) | 0;
          if (i690) {
           i1062 = i690;
           break L1303;
          }
         } else {
          i690 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i860) | 0;
          set32(35 * 4 | 0, i860 | 0);
          if ((get32(45 * 4 | 0) | 0) < (i860 | 0)) set32(45 * 4 | 0, i860 | 0);
          i682 = get32(6 * 4 | 0) | 0;
          do if (i682) {
           i683 = get32(30 * 4 | 0) | 0;
           i693 = ((i683 | 0) < 0) << 31 >> 31;
           i691 = 16;
           i687 = _i64Subtract(get32(i691 | 0) | 0, get32(i691 + 4 | 0) | 0, i690 | 0, ((i690 | 0) < 0) << 31 >> 31 | 0) | 0;
           i691 = tempRet0;
           if ((i693 | 0) < (i691 | 0) | (i693 | 0) == (i691 | 0) & i683 >>> 0 < i687 >>> 0) {
            set32(11 * 4 | 0, 0 | 0);
            break;
           } else {
            set32(11 * 4 | 0, 1 | 0);
            i687 = get32(7 * 4 | 0) | 0;
            set32(6 * 4 | 0, 0 | 0);
            FUNCTION_TABLE_viiii[i682 & 15](i687, i683, i693, i690);
            set32(6 * 4 | 0, i682 | 0);
            set32(7 * 4 | 0, i687 | 0);
            break;
           }
          } while (0);
          i682 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i690) | 0;
          if (!i682) break;
          i668 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i682) | 0;
          i687 = (get32(30 * 4 | 0) | 0) + i668 | 0;
          set32(30 * 4 | 0, i687 | 0);
          if ((i687 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i687 | 0);
          i687 = get32(39 * 4 | 0) | 0;
          i668 = i687 + 1 | 0;
          set32(39 * 4 | 0, i668 | 0);
          if ((i687 | 0) < (get32(49 * 4 | 0) | 0)) {
           i1062 = i682;
           break L1303;
          }
          set32(49 * 4 | 0, i668 | 0);
          i1062 = i682;
          break L1303;
         } while (0);
         set8(i862 >> 0 | 0, 1 | 0);
         i1059 = 0;
         break L1299;
        } while (0);
        if ((i84 | 0) == 2650) {
         i84 = 0;
         if (!i1061) {
          i1059 = 0;
          break;
         } else i1062 = i1061;
        }
        _memcpy(i1062 | 0, i695 | 0, i860 | 0) | 0;
        i1059 = i1062;
       } while (0);
       set32(i105 | 0, i1059 | 0);
       i695 = get32(i672 | 0) | 0;
       do if (i695) {
        if (!(get32(50 * 4 | 0) | 0)) {
         FUNCTION_TABLE_vi[get32(232 | 0) & 31](i695);
         break;
        }
        i677 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i695) | 0;
        i669 = (get32(30 * 4 | 0) | 0) - i677 | 0;
        set32(30 * 4 | 0, i669 | 0);
        if ((i669 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i669 | 0);
        i669 = (get32(39 * 4 | 0) | 0) + -1 | 0;
        set32(39 * 4 | 0, i669 | 0);
        if ((i669 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i669 | 0);
        FUNCTION_TABLE_vi[get32(232 | 0) & 31](i695);
       } while (0);
       set32(i672 | 0, 0 | 0);
       if (!i688) {
        i695 = FUNCTION_TABLE_ii[get32((get32(i100 | 0) | 0) + 40 | 0) & 127](get32((get32(i102 | 0) | 0) + 36 | 0) | 0) | 0;
        set32(i101 | 0, i695 | 0);
        i1063 = i695;
       } else i1063 = get32(i101 | 0) | 0;
       if (!i1063) {
        i711 = i275;
        i712 = i276;
        i713 = i288;
        i714 = (get32(i268 + (i279 * 20 | 0) + 8 | 0) | 0) + -1 | 0;
        i715 = i688;
       } else {
        i711 = i275;
        i712 = i276;
        i713 = i288;
        i714 = i279;
        i715 = i688;
       }
       break;
      }
     case 132:
      {
       i695 = get32((get32(i268 + (i279 * 20 | 0) + 16 | 0) | 0) + 8 | 0) | 0;
       set32(i65 | 0, i695 | 0);
       i669 = get32(i268 + (i279 * 20 | 0) + 4 | 0) | 0;
       set32(i100 | 0, i267 + (i669 * 40 | 0) | 0);
       i677 = i695;
       i695 = FUNCTION_TABLE_iii[get32((get32(i677 | 0) | 0) + 76 | 0) & 127](i677, get32(i267 + (i669 * 40 | 0) + 4 | 0) | 0) | 0;
       i669 = get32(i65 | 0) | 0;
       i677 = get32(i1 | 0) | 0;
       _sqlite3DbFree(i677, get32(i105 | 0) | 0);
       i682 = i669 + 8 | 0;
       i669 = get32(i682 | 0) | 0;
       L1376 : do if (!i669) i1064 = 0; else {
        i668 = i669;
        while (1) if (!(get8(i668 >> 0 | 0) | 0)) {
         i1065 = i668;
         break;
        } else i668 = i668 + 1 | 0;
        i668 = (i1065 - i669 & 1073741823) + 1 | 0;
        L1380 : do if (!i677) {
         if (!(get32(50 * 4 | 0) | 0)) {
          i1066 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i668) | 0;
          i84 = 2704;
          break;
         }
         i860 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i668) | 0;
         set32(35 * 4 | 0, i668 | 0);
         if ((get32(45 * 4 | 0) | 0) < (i668 | 0)) set32(45 * 4 | 0, i668 | 0);
         i687 = get32(6 * 4 | 0) | 0;
         do if (i687) {
          i693 = get32(30 * 4 | 0) | 0;
          i683 = ((i693 | 0) < 0) << 31 >> 31;
          i691 = 16;
          i670 = _i64Subtract(get32(i691 | 0) | 0, get32(i691 + 4 | 0) | 0, i860 | 0, ((i860 | 0) < 0) << 31 >> 31 | 0) | 0;
          i691 = tempRet0;
          if ((i683 | 0) < (i691 | 0) | (i683 | 0) == (i691 | 0) & i693 >>> 0 < i670 >>> 0) {
           set32(11 * 4 | 0, 0 | 0);
           break;
          } else {
           set32(11 * 4 | 0, 1 | 0);
           i670 = get32(7 * 4 | 0) | 0;
           set32(6 * 4 | 0, 0 | 0);
           FUNCTION_TABLE_viiii[i687 & 15](i670, i693, i683, i860);
           set32(6 * 4 | 0, i687 | 0);
           set32(7 * 4 | 0, i670 | 0);
           break;
          }
         } while (0);
         i687 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i860) | 0;
         if (!i687) {
          i1064 = 0;
          break L1376;
         }
         i862 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i687) | 0;
         i670 = (get32(30 * 4 | 0) | 0) + i862 | 0;
         set32(30 * 4 | 0, i670 | 0);
         if ((i670 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i670 | 0);
         i670 = get32(39 * 4 | 0) | 0;
         i862 = i670 + 1 | 0;
         set32(39 * 4 | 0, i862 | 0);
         if ((i670 | 0) < (get32(49 * 4 | 0) | 0)) i1067 = i687; else {
          set32(49 * 4 | 0, i862 | 0);
          i1067 = i687;
         }
        } else {
         i687 = i677 + 30 | 0;
         if (get8(i687 >> 0 | 0) | 0) {
          i1064 = 0;
          break L1376;
         }
         do if (get8(i677 + 234 >> 0 | 0) | 0) {
          if ((getU16(i677 + 232 | 0) | 0) >>> 0 < i668 >>> 0) {
           i862 = i677 + 248 | 0;
           set32(i862 | 0, (get32(i862 | 0) | 0) + 1 | 0);
           break;
          }
          i862 = i677 + 256 | 0;
          i670 = get32(i862 | 0) | 0;
          if (!i670) {
           i683 = i677 + 252 | 0;
           set32(i683 | 0, (get32(i683 | 0) | 0) + 1 | 0);
           break;
          }
          set32(i862 | 0, get32(i670 | 0) | 0);
          i862 = i677 + 236 | 0;
          i683 = get32(i862 | 0) | 0;
          i693 = i683 + 1 | 0;
          set32(i862 | 0, i693 | 0);
          i862 = i677 + 244 | 0;
          set32(i862 | 0, (get32(i862 | 0) | 0) + 1 | 0);
          i862 = i677 + 240 | 0;
          if ((i683 | 0) >= (get32(i862 | 0) | 0)) set32(i862 | 0, i693 | 0);
          i1066 = i670;
          i84 = 2704;
          break L1380;
         } while (0);
         do if (!(get32(50 * 4 | 0) | 0)) {
          i860 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i668) | 0;
          if (i860) {
           i1067 = i860;
           break L1380;
          }
         } else {
          i860 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i668) | 0;
          set32(35 * 4 | 0, i668 | 0);
          if ((get32(45 * 4 | 0) | 0) < (i668 | 0)) set32(45 * 4 | 0, i668 | 0);
          i670 = get32(6 * 4 | 0) | 0;
          do if (i670) {
           i693 = get32(30 * 4 | 0) | 0;
           i862 = ((i693 | 0) < 0) << 31 >> 31;
           i683 = 16;
           i691 = _i64Subtract(get32(i683 | 0) | 0, get32(i683 + 4 | 0) | 0, i860 | 0, ((i860 | 0) < 0) << 31 >> 31 | 0) | 0;
           i683 = tempRet0;
           if ((i862 | 0) < (i683 | 0) | (i862 | 0) == (i683 | 0) & i693 >>> 0 < i691 >>> 0) {
            set32(11 * 4 | 0, 0 | 0);
            break;
           } else {
            set32(11 * 4 | 0, 1 | 0);
            i691 = get32(7 * 4 | 0) | 0;
            set32(6 * 4 | 0, 0 | 0);
            FUNCTION_TABLE_viiii[i670 & 15](i691, i693, i862, i860);
            set32(6 * 4 | 0, i670 | 0);
            set32(7 * 4 | 0, i691 | 0);
            break;
           }
          } while (0);
          i670 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i860) | 0;
          if (!i670) break;
          i690 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i670) | 0;
          i691 = (get32(30 * 4 | 0) | 0) + i690 | 0;
          set32(30 * 4 | 0, i691 | 0);
          if ((i691 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i691 | 0);
          i691 = get32(39 * 4 | 0) | 0;
          i690 = i691 + 1 | 0;
          set32(39 * 4 | 0, i690 | 0);
          if ((i691 | 0) < (get32(49 * 4 | 0) | 0)) {
           i1067 = i670;
           break L1380;
          }
          set32(49 * 4 | 0, i690 | 0);
          i1067 = i670;
          break L1380;
         } while (0);
         set8(i687 >> 0 | 0, 1 | 0);
         i1064 = 0;
         break L1376;
        } while (0);
        if ((i84 | 0) == 2704) {
         i84 = 0;
         if (!i1066) {
          i1064 = 0;
          break;
         } else i1067 = i1066;
        }
        _memcpy(i1067 | 0, i669 | 0, i668 | 0) | 0;
        i1064 = i1067;
       } while (0);
       set32(i105 | 0, i1064 | 0);
       i669 = get32(i682 | 0) | 0;
       do if (i669) {
        if (!(get32(50 * 4 | 0) | 0)) {
         FUNCTION_TABLE_vi[get32(232 | 0) & 31](i669);
         break;
        }
        i677 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i669) | 0;
        i688 = (get32(30 * 4 | 0) | 0) - i677 | 0;
        set32(30 * 4 | 0, i688 | 0);
        if ((i688 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i688 | 0);
        i688 = (get32(39 * 4 | 0) | 0) + -1 | 0;
        set32(39 * 4 | 0, i688 | 0);
        if ((i688 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i688 | 0);
        FUNCTION_TABLE_vi[get32(232 | 0) & 31](i669);
       } while (0);
       set32(i682 | 0, 0 | 0);
       set8(i188 >> 0 | 0, 0 | 0);
       i711 = i275;
       i712 = i276;
       i713 = i288;
       i714 = i279;
       i715 = i695;
       break;
      }
     case 133:
      {
       i669 = i268 + (i279 * 20 | 0) + 16 | 0;
       i688 = get32((get32(i669 | 0) | 0) + 8 | 0) | 0;
       set32(i65 | 0, i688 | 0);
       i677 = get32(i688 | 0) | 0;
       set32(i100 | 0, i677 | 0);
       i672 = get32(i268 + (i279 * 20 | 0) + 8 | 0) | 0;
       set32(i101 | 0, i672 | 0);
       i670 = get32(i677 + 52 | 0) | 0;
       if (!i670) {
        i716 = i275;
        i717 = i276;
        i718 = i267;
        i719 = i268;
        i720 = i269;
        i721 = i270;
        i722 = i280;
        i723 = i288;
        i724 = i279;
        i725 = i274;
        break L8;
       }
       i677 = get8(i261 >> 0 | 0) | 0;
       i690 = get32(i126 | 0) | 0;
       set32(i106 | 0, i690 | 0);
       i691 = i267 + ((get32(i268 + (i279 * 20 | 0) + 12 | 0) | 0) * 40 | 0) | 0;
       set32(i262 | 0, i691 | 0);
       set32(i102 | 0, 0 | 0);
       i862 = i690;
       if ((i672 | 0) > 0) {
        i690 = i691;
        i691 = 0;
        do {
         i693 = i690;
         i683 = getU16(i690 + 28 | 0) | 0;
         do if (!(i683 & 1)) {
          if (i683 & 4) {
           set8(i690 + 30 >> 0 | 0, 1 | 0);
           break;
          }
          if (i683 & 8) {
           set8(i690 + 30 >> 0 | 0, 2 | 0);
           break;
          }
          i702 = i690 + 30 | 0;
          if (!(i683 & 2)) {
           set8(i702 >> 0 | 0, 4 | 0);
           break;
          } else {
           set8(i702 >> 0 | 0, 3 | 0);
           break;
          }
         } else set8(i690 + 30 >> 0 | 0, 5 | 0); while (0);
         set32((get32(i106 | 0) | 0) + (i691 << 2) | 0, i693 | 0);
         i690 = (get32(i262 | 0) | 0) + 40 | 0;
         set32(i262 | 0, i690 | 0);
         i691 = i691 + 1 | 0;
        } while ((i691 | 0) != (i672 | 0));
        set32(i102 | 0, ((i672 | 0) > 1 ? i672 : 1) | 0);
        i1068 = get32((get32(i100 | 0) | 0) + 52 | 0) | 0;
        i1069 = get32(i65 | 0) | 0;
        i1070 = get32(i106 | 0) | 0;
       } else {
        i1068 = i670;
        i1069 = i688;
        i1070 = i862;
       }
       i691 = i268 + (i279 * 20 | 0) + 3 | 0;
       set8(i261 >> 0 | 0, get8(i691 >> 0 | 0) | 0 | 0);
       i690 = FUNCTION_TABLE_iiiii[i1068 & 31](i1069, i672, i1070, i108) | 0;
       set8(i261 >> 0 | 0, i677 | 0);
       i695 = get32(i65 | 0) | 0;
       i682 = get32(i1 | 0) | 0;
       _sqlite3DbFree(i682, get32(i105 | 0) | 0);
       i683 = i695 + 8 | 0;
       i695 = get32(i683 | 0) | 0;
       L1467 : do if (!i695) i1071 = 0; else {
        i668 = i695;
        while (1) if (!(get8(i668 >> 0 | 0) | 0)) {
         i1072 = i668;
         break;
        } else i668 = i668 + 1 | 0;
        i668 = (i1072 - i695 & 1073741823) + 1 | 0;
        L1471 : do if (!i682) {
         if (!(get32(50 * 4 | 0) | 0)) {
          i1073 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i668) | 0;
          i84 = 2767;
          break;
         }
         i693 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i668) | 0;
         set32(35 * 4 | 0, i668 | 0);
         if ((get32(45 * 4 | 0) | 0) < (i668 | 0)) set32(45 * 4 | 0, i668 | 0);
         i702 = get32(6 * 4 | 0) | 0;
         do if (i702) {
          i739 = get32(30 * 4 | 0) | 0;
          i692 = ((i739 | 0) < 0) << 31 >> 31;
          i1009 = 16;
          i879 = _i64Subtract(get32(i1009 | 0) | 0, get32(i1009 + 4 | 0) | 0, i693 | 0, ((i693 | 0) < 0) << 31 >> 31 | 0) | 0;
          i1009 = tempRet0;
          if ((i692 | 0) < (i1009 | 0) | (i692 | 0) == (i1009 | 0) & i739 >>> 0 < i879 >>> 0) {
           set32(11 * 4 | 0, 0 | 0);
           break;
          } else {
           set32(11 * 4 | 0, 1 | 0);
           i879 = get32(7 * 4 | 0) | 0;
           set32(6 * 4 | 0, 0 | 0);
           FUNCTION_TABLE_viiii[i702 & 15](i879, i739, i692, i693);
           set32(6 * 4 | 0, i702 | 0);
           set32(7 * 4 | 0, i879 | 0);
           break;
          }
         } while (0);
         i702 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i693) | 0;
         if (!i702) {
          i1071 = 0;
          break L1467;
         }
         i687 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i702) | 0;
         i879 = (get32(30 * 4 | 0) | 0) + i687 | 0;
         set32(30 * 4 | 0, i879 | 0);
         if ((i879 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i879 | 0);
         i879 = get32(39 * 4 | 0) | 0;
         i687 = i879 + 1 | 0;
         set32(39 * 4 | 0, i687 | 0);
         if ((i879 | 0) < (get32(49 * 4 | 0) | 0)) {
          i1074 = i702;
          break;
         }
         set32(49 * 4 | 0, i687 | 0);
         i1074 = i702;
        } else {
         i702 = i682 + 30 | 0;
         if (get8(i702 >> 0 | 0) | 0) {
          i1071 = 0;
          break L1467;
         }
         do if (get8(i682 + 234 >> 0 | 0) | 0) {
          if ((getU16(i682 + 232 | 0) | 0) >>> 0 < i668 >>> 0) {
           i687 = i682 + 248 | 0;
           set32(i687 | 0, (get32(i687 | 0) | 0) + 1 | 0);
           break;
          }
          i687 = i682 + 256 | 0;
          i879 = get32(i687 | 0) | 0;
          if (!i879) {
           i692 = i682 + 252 | 0;
           set32(i692 | 0, (get32(i692 | 0) | 0) + 1 | 0);
           break;
          }
          set32(i687 | 0, get32(i879 | 0) | 0);
          i687 = i682 + 236 | 0;
          i692 = get32(i687 | 0) | 0;
          i739 = i692 + 1 | 0;
          set32(i687 | 0, i739 | 0);
          i687 = i682 + 244 | 0;
          set32(i687 | 0, (get32(i687 | 0) | 0) + 1 | 0);
          i687 = i682 + 240 | 0;
          if ((i692 | 0) >= (get32(i687 | 0) | 0)) set32(i687 | 0, i739 | 0);
          i1073 = i879;
          i84 = 2767;
          break L1471;
         } while (0);
         do if (!(get32(50 * 4 | 0) | 0)) {
          i693 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i668) | 0;
          if (i693) {
           i1074 = i693;
           break L1471;
          }
         } else {
          i693 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i668) | 0;
          set32(35 * 4 | 0, i668 | 0);
          if ((get32(45 * 4 | 0) | 0) < (i668 | 0)) set32(45 * 4 | 0, i668 | 0);
          i879 = get32(6 * 4 | 0) | 0;
          do if (i879) {
           i739 = get32(30 * 4 | 0) | 0;
           i687 = ((i739 | 0) < 0) << 31 >> 31;
           i692 = 16;
           i1009 = _i64Subtract(get32(i692 | 0) | 0, get32(i692 + 4 | 0) | 0, i693 | 0, ((i693 | 0) < 0) << 31 >> 31 | 0) | 0;
           i692 = tempRet0;
           if ((i687 | 0) < (i692 | 0) | (i687 | 0) == (i692 | 0) & i739 >>> 0 < i1009 >>> 0) {
            set32(11 * 4 | 0, 0 | 0);
            break;
           } else {
            set32(11 * 4 | 0, 1 | 0);
            i1009 = get32(7 * 4 | 0) | 0;
            set32(6 * 4 | 0, 0 | 0);
            FUNCTION_TABLE_viiii[i879 & 15](i1009, i739, i687, i693);
            set32(6 * 4 | 0, i879 | 0);
            set32(7 * 4 | 0, i1009 | 0);
            break;
           }
          } while (0);
          i879 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i693) | 0;
          if (!i879) break;
          i860 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i879) | 0;
          i1009 = (get32(30 * 4 | 0) | 0) + i860 | 0;
          set32(30 * 4 | 0, i1009 | 0);
          if ((i1009 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i1009 | 0);
          i1009 = get32(39 * 4 | 0) | 0;
          i860 = i1009 + 1 | 0;
          set32(39 * 4 | 0, i860 | 0);
          if ((i1009 | 0) < (get32(49 * 4 | 0) | 0)) {
           i1074 = i879;
           break L1471;
          }
          set32(49 * 4 | 0, i860 | 0);
          i1074 = i879;
          break L1471;
         } while (0);
         set8(i702 >> 0 | 0, 1 | 0);
         i1071 = 0;
         break L1467;
        } while (0);
        if ((i84 | 0) == 2767) {
         i84 = 0;
         if (!i1073) {
          i1071 = 0;
          break;
         } else i1074 = i1073;
        }
        _memcpy(i1074 | 0, i695 | 0, i668 | 0) | 0;
        i1071 = i1074;
       } while (0);
       set32(i105 | 0, i1071 | 0);
       i695 = get32(i683 | 0) | 0;
       do if (i695) {
        if (!(get32(50 * 4 | 0) | 0)) {
         FUNCTION_TABLE_vi[get32(232 | 0) & 31](i695);
         break;
        }
        i682 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i695) | 0;
        i677 = (get32(30 * 4 | 0) | 0) - i682 | 0;
        set32(30 * 4 | 0, i677 | 0);
        if ((i677 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i677 | 0);
        i677 = (get32(39 * 4 | 0) | 0) + -1 | 0;
        set32(39 * 4 | 0, i677 | 0);
        if ((i677 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i677 | 0);
        FUNCTION_TABLE_vi[get32(232 | 0) & 31](i695);
       } while (0);
       set32(i683 | 0, 0 | 0);
       switch (i690 | 0) {
       case 0:
        {
         if (!(get32(i268 + (i279 * 20 | 0) + 4 | 0) | 0)) {
          i1075 = i275;
          i1076 = i276;
         } else {
          i695 = i108;
          i677 = get32(i695 | 0) | 0;
          i682 = get32(i695 + 4 | 0) | 0;
          i695 = i74;
          set32(i695 | 0, i677 | 0);
          set32(i695 + 4 | 0, i682 | 0);
          i1075 = i677;
          i1076 = i682;
         }
         break;
        }
       case 19:
        {
         if (!(get8((get32(i669 | 0) | 0) + 16 >> 0 | 0) | 0)) {
          i1075 = i275;
          i1076 = i276;
         } else {
          i1077 = i691;
          i1078 = i275;
          i1079 = i276;
          i1080 = i280;
          i1081 = i288;
          i1082 = i279;
          i84 = 2781;
          break L8;
         }
         break;
        }
       default:
        {
         i1075 = i275;
         i1076 = i276;
        }
       }
       set32(i93 | 0, (get32(i93 | 0) | 0) + 1 | 0);
       i711 = i1075;
       i712 = i1076;
       i713 = i288;
       i714 = i279;
       i715 = i690;
       break;
      }
     default:
      {
       i716 = i275;
       i717 = i276;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i280;
       i723 = i288;
       i724 = i279;
       i725 = i274;
       break L8;
      }
     } while (0);
     do if ((i84 | 0) == 47) {
      i84 = 0;
      set16(i288 + 28 | 0, 2562 | 0);
      set32(i288 + 4 | 0, i684 | 0);
      set32(i288 + 24 | 0, i685 | 0);
      set8(i288 + 31 >> 0 | 0, i71 | 0);
      i711 = i275;
      i712 = i276;
      i713 = i288;
      i714 = i279;
      i715 = i686;
     } else if ((i84 | 0) == 1407) {
      i84 = 0;
      i289 = get32((get32(i142 | 0) | 0) + (get32(i268 + (i279 * 20 | 0) + 4 | 0) << 2) | 0) | 0;
      set32(i65 | 0, i289 | 0);
      set32(i101 | 0, 1 | 0);
      i290 = i289;
      i289 = get32(i290 | 0) | 0;
      set32(i100 | 0, i289 | 0);
      if (i289) {
       i291 = _moveToRoot(i289) | 0;
       do if (!i291) if (!(get8(i289 + 83 >> 0 | 0) | 0)) {
        set32(i101 | 0, 1 | 0);
        i1083 = 1;
        i1084 = 0;
        break;
       } else {
        set32(i101 | 0, 0 | 0);
        i1085 = _moveToLeftmost(i289) | 0;
        i84 = 1413;
        break;
       } else {
        i1085 = i291;
        i84 = 1413;
       } while (0);
       if ((i84 | 0) == 1413) {
        i84 = 0;
        i1083 = get32(i101 | 0) | 0;
        i1084 = i1085;
       }
       i291 = (i1083 | 0) == 0;
       i289 = get32(i65 | 0) | 0;
       set8(i289 + 26 >> 0 | 0, i291 & 1 | 0);
       set8(i289 + 29 >> 0 | 0, 0 | 0);
       set32(i289 + 76 | 0, 0 | 0);
       set8(i289 + 25 >> 0 | 0, 0 | 0);
       set8(i289 + 28 >> 0 | 0, i1083 | 0);
       if (i291) {
        i711 = i275;
        i712 = i276;
        i713 = i288;
        i714 = i279;
        i715 = i1084;
        break;
       } else i1086 = i1084;
      } else {
       set8(i290 + 28 >> 0 | 0, 1 | 0);
       i1086 = 0;
      }
      i711 = i275;
      i712 = i276;
      i713 = i288;
      i714 = (get32(i268 + (i279 * 20 | 0) + 8 | 0) | 0) + -1 | 0;
      i715 = i1086;
     } while (0);
     i291 = i714 + 1 | 0;
     if (!i715) {
      i275 = i711;
      i276 = i712;
      i277 = i280;
      i278 = i713;
      i279 = i291;
     } else {
      i282 = i105;
      i283 = i711;
      i284 = i712;
      i285 = i291;
      i286 = i715;
      i287 = i274;
      break L1;
     }
    }
    L1559 : switch (i84 | 0) {
    case 16:
     {
      i84 = 0;
      if (get32(i86 | 0) | 0) {
       i937 = i105;
       i938 = i303;
       i939 = i304;
       i940 = i307;
       i941 = i274;
       break L4;
      }
      i716 = i303;
      i717 = i304;
      i718 = i267;
      i719 = i268;
      i720 = i269;
      i721 = i270;
      i722 = i305;
      i723 = i306;
      i724 = (get32(i268 + (i307 * 20 | 0) + 8 | 0) | 0) + -1 | 0;
      i725 = i274;
      break;
     }
    case 18:
     {
      i84 = 0;
      i279 = get32(i268 + (i312 * 20 | 0) + 4 | 0) | 0;
      set16(i267 + (i279 * 40 | 0) + 28 | 0, 4 | 0);
      i278 = i267 + (i279 * 40 | 0) + 16 | 0;
      set32(i278 | 0, i312 | 0);
      set32(i278 + 4 | 0, ((i312 | 0) < 0) << 31 >> 31 | 0);
      i716 = i308;
      i717 = i309;
      i718 = i267;
      i719 = i268;
      i720 = i269;
      i721 = i270;
      i722 = i310;
      i723 = i311;
      i724 = (get32(i268 + (i312 * 20 | 0) + 8 | 0) | 0) + -1 | 0;
      i725 = i274;
      break;
     }
    case 19:
     {
      i84 = 0;
      i716 = i313;
      i717 = i314;
      i718 = i267;
      i719 = i268;
      i720 = i269;
      i721 = i270;
      i722 = i315;
      i723 = i316;
      i724 = get32(i267 + ((get32(i268 + (i317 * 20 | 0) + 4 | 0) | 0) * 40 | 0) + 16 | 0) | 0;
      i725 = i274;
      break;
     }
    case 20:
     {
      i84 = 0;
      i278 = get32(i268 + (i322 * 20 | 0) + 4 | 0) | 0;
      set16(i267 + (i278 * 40 | 0) + 28 | 0, 4 | 0);
      i279 = i267 + (i278 * 40 | 0) + 16 | 0;
      i278 = get32(i279 | 0) | 0;
      set32(i65 | 0, i278 | 0);
      i277 = i279;
      set32(i277 | 0, i322 | 0);
      set32(i277 + 4 | 0, ((i322 | 0) < 0) << 31 >> 31 | 0);
      i716 = i318;
      i717 = i319;
      i718 = i267;
      i719 = i268;
      i720 = i269;
      i721 = i270;
      i722 = i320;
      i723 = i321;
      i724 = i278;
      i725 = i274;
      break;
     }
    case 21:
     {
      i84 = 0;
      if (!(get16(i267 + ((get32(i268 + (i327 * 20 | 0) + 12 | 0) | 0) * 40 | 0) + 28 | 0) & 1)) {
       i716 = i323;
       i717 = i324;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i325;
       i723 = i326;
       i724 = i327;
       i725 = i274;
      } else {
       i328 = i323;
       i329 = i324;
       i330 = i325;
       i331 = i326;
       i332 = i327;
       i84 = 22;
      }
      break;
     }
    case 34:
     {
      i84 = 0;
      i278 = get32(i268 + (i337 * 20 | 0) + 4 | 0) | 0;
      i277 = i336 + 16 | 0;
      set32(i277 | 0, i278 | 0);
      set32(i277 + 4 | 0, ((i278 | 0) < 0) << 31 >> 31 | 0);
      i716 = i333;
      i717 = i334;
      i718 = i267;
      i719 = i268;
      i720 = i269;
      i721 = i270;
      i722 = i335;
      i723 = i336;
      i724 = i337;
      i725 = i274;
      break;
     }
    case 35:
     {
      i84 = 0;
      i278 = get32(i268 + (i342 * 20 | 0) + 16 | 0) | 0;
      i277 = get32(i278 + 4 | 0) | 0;
      i279 = i341 + 16 | 0;
      set32(i279 | 0, get32(i278 | 0) | 0);
      set32(i279 + 4 | 0, i277 | 0);
      i716 = i338;
      i717 = i339;
      i718 = i267;
      i719 = i268;
      i720 = i269;
      i721 = i270;
      i722 = i340;
      i723 = i341;
      i724 = i342;
      i725 = i274;
      break;
     }
    case 36:
     {
      i84 = 0;
      set16(i346 + 28 | 0, 8 | 0);
      setF64(i346 + 8 | 0, +(+getF64(get32(i268 + (i347 * 20 | 0) + 16 | 0) | 0)));
      i716 = i343;
      i717 = i344;
      i718 = i267;
      i719 = i268;
      i720 = i269;
      i721 = i270;
      i722 = i345;
      i723 = i346;
      i724 = i347;
      i725 = i274;
      break;
     }
    case 48:
     {
      i84 = 0;
      set16(i351 + 28 | 0, 1 | 0);
      i716 = i348;
      i717 = i349;
      i718 = i267;
      i719 = i268;
      i720 = i269;
      i721 = i270;
      i722 = i350;
      i723 = i351;
      i724 = i352;
      i725 = i274;
      break;
     }
    case 49:
     {
      i84 = 0;
      _sqlite3VdbeMemSetStr(i356, get32(i268 + (i357 * 20 | 0) + 16 | 0) | 0, get32(i268 + (i357 * 20 | 0) + 4 | 0) | 0, 0, 0) | 0;
      set8(i356 + 31 >> 0 | 0, i71 | 0);
      i716 = i353;
      i717 = i354;
      i718 = i267;
      i719 = i268;
      i720 = i269;
      i721 = i270;
      i722 = i355;
      i723 = i356;
      i724 = i357;
      i725 = i274;
      break;
     }
    case 50:
     {
      i84 = 0;
      i277 = (get32(i268 + (i362 * 20 | 0) + 4 | 0) | 0) + -1 | 0;
      i279 = get32(i99 | 0) | 0;
      i278 = i279 + (i277 * 40 | 0) | 0;
      set32(i65 | 0, i278 | 0);
      i276 = i279 + (i277 * 40 | 0) + 28 | 0;
      i275 = getU16(i276 | 0) | 0;
      if (i275 & 18) {
       i291 = get32(i279 + (i277 * 40 | 0) + 24 | 0) | 0;
       if (!(i275 & 16384)) i1087 = i291; else i1087 = (get32(i279 + (i277 * 40 | 0) + 16 | 0) | 0) + i291 | 0;
       if ((i1087 | 0) > (get32((get32(i278 | 0) | 0) + 72 | 0) | 0)) {
        i678 = i358;
        i679 = i359;
        i680 = i362;
        i681 = i274;
        i84 = 2895;
        break L6;
       } else {
        i1088 = i358;
        i1089 = i359;
        i1090 = i362;
       }
      } else {
       i1088 = i358;
       i1089 = i359;
       i1090 = i362;
      }
      _sqlite3VdbeMemReleaseExternal(i361);
      set32(i361 | 0, get32(i278 | 0) | 0);
      set32(i361 + 4 | 0, get32(i278 + 4 | 0) | 0);
      set32(i361 + 8 | 0, get32(i278 + 8 | 0) | 0);
      set32(i361 + 12 | 0, get32(i278 + 12 | 0) | 0);
      set32(i361 + 16 | 0, get32(i278 + 16 | 0) | 0);
      set32(i361 + 20 | 0, get32(i278 + 20 | 0) | 0);
      set32(i361 + 24 | 0, get32(i278 + 24 | 0) | 0);
      set32(i361 + 28 | 0, get32(i278 + 28 | 0) | 0);
      set32(i361 + 32 | 0, 0 | 0);
      if (!(get16(i276 | 0) & 2048)) {
       i276 = i361 + 28 | 0;
       set16(i276 | 0, getU16(i276 | 0) & 58367 | 2048 | 0);
       i716 = i1088;
       i717 = i1089;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i360;
       i723 = i361;
       i724 = i1090;
       i725 = i274;
      } else {
       i716 = i1088;
       i717 = i1089;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i360;
       i723 = i361;
       i724 = i1090;
       i725 = i274;
      }
      break;
     }
    case 56:
     {
      i84 = 0;
      i276 = get32(i268 + (i366 * 20 | 0) + 12 | 0) | 0;
      i278 = get32(i268 + (i366 * 20 | 0) + 4 | 0) | 0;
      set32(i101 | 0, i278 | 0);
      i291 = get32(i268 + (i366 * 20 | 0) + 8 | 0) | 0;
      set32(i102 | 0, i291 | 0);
      i277 = i267 + (i291 * 40 | 0) | 0;
      set32(i100 | 0, i276 + -1 | 0);
      if (!i276) {
       i716 = i363;
       i717 = i364;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i365;
       i723 = i277;
       i724 = i366;
       i725 = i274;
      } else {
       i276 = i267 + (i278 * 40 | 0) | 0;
       i278 = i277;
       while (1) {
        i277 = i278 + 36 | 0;
        set32(i65 | 0, get32(i277 | 0) | 0);
        set32(i277 | 0, 0 | 0);
        _sqlite3VdbeMemReleaseExternal(i278);
        _sqlite3DbFree(get32(i278 | 0) | 0, get32(i277 | 0) | 0);
        set32(i278 + 4 | 0, 0 | 0);
        set32(i277 | 0, 0 | 0);
        set32(i278 + 32 | 0, 0 | 0);
        i698 = i278;
        i699 = i276;
        i700 = i698 + 40 | 0;
        do {
         set32(i698 | 0, get32(i699 | 0) | 0);
         i698 = i698 + 4 | 0;
         i699 = i699 + 4 | 0;
        } while ((i698 | 0) < (i700 | 0));
        set16(i276 + 28 | 0, 1 | 0);
        set32(i276 + 32 | 0, 0 | 0);
        set32(i276 + 36 | 0, get32(i65 | 0) | 0);
        i277 = i278 + 40 | 0;
        i291 = get32(i100 | 0) | 0;
        set32(i100 | 0, i291 + -1 | 0);
        if (!i291) {
         i716 = i363;
         i717 = i364;
         i718 = i267;
         i719 = i268;
         i720 = i269;
         i721 = i270;
         i722 = i365;
         i723 = i277;
         i724 = i366;
         i725 = i274;
         break;
        } else {
         i276 = i276 + 40 | 0;
         i278 = i277;
        }
       }
      }
      break;
     }
    case 59:
     {
      i84 = 0;
      i278 = get32(i268 + (i370 * 20 | 0) + 4 | 0) | 0;
      i276 = i267 + (i278 * 40 | 0) | 0;
      i277 = get32(i268 + (i370 * 20 | 0) + 8 | 0) | 0;
      i291 = i267 + (i277 * 40 | 0) | 0;
      _sqlite3VdbeMemReleaseExternal(i291);
      set32(i291 | 0, get32(i276 | 0) | 0);
      set32(i291 + 4 | 0, get32(i276 + 4 | 0) | 0);
      set32(i291 + 8 | 0, get32(i276 + 8 | 0) | 0);
      set32(i291 + 12 | 0, get32(i276 + 12 | 0) | 0);
      set32(i291 + 16 | 0, get32(i276 + 16 | 0) | 0);
      set32(i291 + 20 | 0, get32(i276 + 20 | 0) | 0);
      set32(i291 + 24 | 0, get32(i276 + 24 | 0) | 0);
      set32(i291 + 28 | 0, get32(i276 + 28 | 0) | 0);
      set32(i267 + (i277 * 40 | 0) + 32 | 0, 0 | 0);
      i276 = i267 + (i277 * 40 | 0) + 28 | 0;
      i279 = get16(i276 | 0) | 0;
      if (!(get16(i267 + (i278 * 40 | 0) + 28 | 0) & 2048)) {
       i278 = (i279 & 58367 | 4096) & 65535;
       set16(i276 | 0, i278 | 0);
       i1091 = i278;
      } else i1091 = i279;
      if (i1091 & 4096) {
       do if (i1091 & 16384) {
        i279 = i267 + (i277 * 40 | 0) + 24 | 0;
        i278 = i267 + (i277 * 40 | 0) + 16 | 0;
        i275 = (get32(i278 | 0) | 0) + (get32(i279 | 0) | 0) | 0;
        if (!(_sqlite3VdbeMemGrow(i291, (i275 | 0) < 1 ? 1 : i275, 1) | 0)) {
         _memset((get32(i267 + (i277 * 40 | 0) + 4 | 0) | 0) + (get32(i279 | 0) | 0) | 0, 0, get32(i278 | 0) | 0) | 0;
         set32(i279 | 0, (get32(i279 | 0) | 0) + (get32(i278 | 0) | 0) | 0);
         i278 = getU16(i276 | 0) & 48639;
         set16(i276 | 0, i278 | 0);
         i1092 = i278;
         break;
        } else {
         i1092 = get16(i276 | 0) | 0;
         break;
        }
       } else i1092 = i1091; while (0);
       if ((i1092 & 18) != 0 ? (i278 = i267 + (i277 * 40 | 0) + 4 | 0, (get32(i278 | 0) | 0) != (get32(i267 + (i277 * 40 | 0) + 36 | 0) | 0)) : 0) {
        i279 = i267 + (i277 * 40 | 0) + 24 | 0;
        if (_sqlite3VdbeMemGrow(i291, (get32(i279 | 0) | 0) + 2 | 0, 1) | 0) {
         i78 = i90;
         i79 = i105;
         i80 = i367;
         i81 = i368;
         i82 = i370;
         i83 = i274;
         i84 = 2896;
         break L1;
        }
        set8((get32(i278 | 0) | 0) + (get32(i279 | 0) | 0) >> 0 | 0, 0 | 0);
        set8((get32(i278 | 0) | 0) + ((get32(i279 | 0) | 0) + 1) >> 0 | 0, 0 | 0);
        set16(i276 | 0, getU16(i276 | 0) | 512 | 0);
        i716 = i367;
        i717 = i368;
        i718 = i267;
        i719 = i268;
        i720 = i269;
        i721 = i270;
        i722 = i369;
        i723 = i291;
        i724 = i370;
        i725 = i274;
       } else {
        i716 = i367;
        i717 = i368;
        i718 = i267;
        i719 = i268;
        i720 = i269;
        i721 = i270;
        i722 = i369;
        i723 = i291;
        i724 = i370;
        i725 = i274;
       }
      } else {
       i716 = i367;
       i717 = i368;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i369;
       i723 = i291;
       i724 = i370;
       i725 = i274;
      }
      break;
     }
    case 70:
     {
      i84 = 0;
      i279 = get32(i268 + (i374 * 20 | 0) + 4 | 0) | 0;
      i278 = i267 + (i279 * 40 | 0) | 0;
      i275 = get32(i268 + (i374 * 20 | 0) + 8 | 0) | 0;
      i289 = i267 + (i275 * 40 | 0) | 0;
      _sqlite3VdbeMemReleaseExternal(i289);
      set32(i289 | 0, get32(i278 | 0) | 0);
      set32(i289 + 4 | 0, get32(i278 + 4 | 0) | 0);
      set32(i289 + 8 | 0, get32(i278 + 8 | 0) | 0);
      set32(i289 + 12 | 0, get32(i278 + 12 | 0) | 0);
      set32(i289 + 16 | 0, get32(i278 + 16 | 0) | 0);
      set32(i289 + 20 | 0, get32(i278 + 20 | 0) | 0);
      set32(i289 + 24 | 0, get32(i278 + 24 | 0) | 0);
      set32(i289 + 28 | 0, get32(i278 + 28 | 0) | 0);
      set32(i267 + (i275 * 40 | 0) + 32 | 0, 0 | 0);
      if (!(get16(i267 + (i279 * 40 | 0) + 28 | 0) & 2048)) {
       i279 = i267 + (i275 * 40 | 0) + 28 | 0;
       set16(i279 | 0, getU16(i279 | 0) & 58367 | 4096 | 0);
       i716 = i371;
       i717 = i372;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i373;
       i723 = i289;
       i724 = i374;
       i725 = i274;
      } else {
       i716 = i371;
       i717 = i372;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i373;
       i723 = i289;
       i724 = i374;
       i725 = i274;
      }
      break;
     }
    case 100:
     {
      i84 = 0;
      i289 = get32(i268 + (i378 * 20 | 0) + 4 | 0) | 0;
      i279 = i267 + (i289 * 40 | 0) | 0;
      i275 = get32(i268 + (i378 * 20 | 0) + 8 | 0) | 0;
      i278 = i267 + (i275 * 40 | 0) | 0;
      i690 = get32(i268 + (i378 * 20 | 0) + 12 | 0) | 0;
      i691 = i267 + (i690 * 40 | 0) | 0;
      i669 = i267 + (i289 * 40 | 0) + 28 | 0;
      i683 = get16(i669 | 0) | 0;
      i682 = i267 + (i275 * 40 | 0) + 28 | 0;
      i677 = get16(i682 | 0) | 0;
      if ((i677 | i683) & 1) {
       i695 = i267 + (i690 * 40 | 0) + 28 | 0;
       i672 = get16(i695 | 0) | 0;
       if (i672 & 64) {
        i862 = get32(i267 + (i690 * 40 | 0) + 16 | 0) | 0;
        i688 = (get32(i862 | 0) | 0) + 172 | 0;
        set32(i862 + 60 | 0, get32(i688 | 0) | 0);
        set32(i688 | 0, i862 | 0);
       }
       if (!(i672 & 32)) i1093 = i672; else {
        i862 = get32(i267 + (i690 * 40 | 0) + 16 | 0) | 0;
        i688 = get32(i862 | 0) | 0;
        if (!i688) i1094 = i672; else {
         i672 = i862 + 4 | 0;
         i670 = i688;
         do {
          i688 = i670;
          i670 = get32(i670 | 0) | 0;
          _sqlite3DbFree(get32(i672 | 0) | 0, i688);
         } while ((i670 | 0) != 0);
         i1094 = get16(i695 | 0) | 0;
        }
        set32(i862 | 0, 0 | 0);
        set16(i862 + 24 | 0, 0 | 0);
        set32(i862 + 8 | 0, 0 | 0);
        set32(i862 + 12 | 0, 0 | 0);
        set32(i862 + 20 | 0, 0 | 0);
        set8(i862 + 26 >> 0 | 0, 1 | 0);
        i1093 = i1094;
       }
       set16(i695 | 0, i1093 & 48896 | 1 | 0);
       set8(i267 + (i690 * 40 | 0) + 30 >> 0 | 0, 5 | 0);
       i716 = i375;
       i717 = i376;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i377;
       i723 = i691;
       i724 = i378;
       i725 = i274;
       break;
      }
      if (!(i683 & 16384)) {
       i1095 = i683;
       i1096 = i677;
      } else {
       i670 = i267 + (i289 * 40 | 0) + 24 | 0;
       i672 = i267 + (i289 * 40 | 0) + 16 | 0;
       i291 = (get32(i672 | 0) | 0) + (get32(i670 | 0) | 0) | 0;
       if (_sqlite3VdbeMemGrow(i279, (i291 | 0) < 1 ? 1 : i291, 1) | 0) {
        i78 = i90;
        i79 = i105;
        i80 = i375;
        i81 = i376;
        i82 = i378;
        i83 = i274;
        i84 = 2896;
        break L1;
       }
       _memset((get32(i267 + (i289 * 40 | 0) + 4 | 0) | 0) + (get32(i670 | 0) | 0) | 0, 0, get32(i672 | 0) | 0) | 0;
       set32(i670 | 0, (get32(i670 | 0) | 0) + (get32(i672 | 0) | 0) | 0);
       i672 = getU16(i669 | 0) & 48639;
       set16(i669 | 0, i672 | 0);
       i1095 = i672;
       i1096 = get16(i682 | 0) | 0;
      }
      if (!(i1096 & 16384)) {
       i1097 = i1096;
       i1098 = i1095;
      } else {
       i672 = i267 + (i275 * 40 | 0) + 24 | 0;
       i670 = i267 + (i275 * 40 | 0) + 16 | 0;
       i291 = (get32(i670 | 0) | 0) + (get32(i672 | 0) | 0) | 0;
       if (_sqlite3VdbeMemGrow(i278, (i291 | 0) < 1 ? 1 : i291, 1) | 0) {
        i78 = i90;
        i79 = i105;
        i80 = i375;
        i81 = i376;
        i82 = i378;
        i83 = i274;
        i84 = 2896;
        break L1;
       }
       _memset((get32(i267 + (i275 * 40 | 0) + 4 | 0) | 0) + (get32(i672 | 0) | 0) | 0, 0, get32(i670 | 0) | 0) | 0;
       set32(i672 | 0, (get32(i672 | 0) | 0) + (get32(i670 | 0) | 0) | 0);
       i670 = getU16(i682 | 0) & 48639;
       set16(i682 | 0, i670 | 0);
       i1097 = i670;
       i1098 = get16(i669 | 0) | 0;
      }
      if (!(i1098 & 18)) {
       if (_sqlite3VdbeMemStringify(i279, i96) | 0) {
        i78 = i90;
        i79 = i105;
        i80 = i375;
        i81 = i376;
        i82 = i378;
        i83 = i274;
        i84 = 2896;
        break L1;
       }
       i1099 = get16(i682 | 0) | 0;
      } else i1099 = i1097;
      if ((i1099 & 18) == 0 ? (_sqlite3VdbeMemStringify(i278, i96) | 0) != 0 : 0) {
       i78 = i90;
       i79 = i105;
       i80 = i375;
       i81 = i376;
       i82 = i378;
       i83 = i274;
       i84 = 2896;
       break L1;
      }
      i670 = i267 + (i289 * 40 | 0) + 24 | 0;
      i672 = i267 + (i275 * 40 | 0) + 24 | 0;
      i291 = (get32(i672 | 0) | 0) + (get32(i670 | 0) | 0) | 0;
      i276 = i65;
      set32(i276 | 0, i291 | 0);
      set32(i276 + 4 | 0, ((i291 | 0) < 0) << 31 >> 31 | 0);
      if ((i291 | 0) > (get32(i98 | 0) | 0)) {
       i678 = i375;
       i679 = i376;
       i680 = i378;
       i681 = i274;
       i84 = 2895;
       break L6;
      }
      i276 = i267 + (i690 * 40 | 0) + 28 | 0;
      set16(i276 | 0, getU16(i276 | 0) & 48896 | 2 | 0);
      i277 = (i690 | 0) == (i275 | 0);
      if (_sqlite3VdbeMemGrow(i691, i291 + 2 | 0, i277 & 1) | 0) {
       i78 = i90;
       i79 = i105;
       i80 = i375;
       i81 = i376;
       i82 = i378;
       i83 = i274;
       i84 = 2896;
       break L1;
      }
      i291 = i267 + (i690 * 40 | 0) + 4 | 0;
      if (!i277) _memcpy(get32(i291 | 0) | 0, get32(i267 + (i275 * 40 | 0) + 4 | 0) | 0, get32(i672 | 0) | 0) | 0;
      _memcpy((get32(i291 | 0) | 0) + (get32(i672 | 0) | 0) | 0, get32(i267 + (i289 * 40 | 0) + 4 | 0) | 0, get32(i670 | 0) | 0) | 0;
      set8((get32(i291 | 0) | 0) + (get32(i65 | 0) | 0) >> 0 | 0, 0 | 0);
      i670 = i65;
      i672 = _i64Add(get32(i670 | 0) | 0, get32(i670 + 4 | 0) | 0, 1, 0) | 0;
      set8((get32(i291 | 0) | 0) + i672 >> 0 | 0, 0 | 0);
      set16(i276 | 0, getU16(i276 | 0) | 512 | 0);
      set32(i267 + (i690 * 40 | 0) + 24 | 0, get32(i65 | 0) | 0);
      set8(i267 + (i690 * 40 | 0) + 31 >> 0 | 0, i71 | 0);
      i716 = i375;
      i717 = i376;
      i718 = i267;
      i719 = i268;
      i720 = i269;
      i721 = i270;
      i722 = i377;
      i723 = i691;
      i724 = i378;
      i725 = i274;
      break;
     }
    case 126:
     {
      i84 = 0;
      i276 = get32(i268 + (i383 * 20 | 0) + 4 | 0) | 0;
      i672 = i267 + (i276 * 40 | 0) + 28 | 0;
      i291 = getU16(i672 | 0) | 0;
      do if (((i291 & 12 | 0) == 0 ? (i670 = get8(i267 + (i276 * 40 | 0) + 31 >> 0 | 0) | 0, (i291 & 2 | 0) != 0) : 0) ? (i277 = i267 + (i276 * 40 | 0) + 4 | 0, i688 = i267 + (i276 * 40 | 0) + 24 | 0, (_sqlite3AtoF(get32(i277 | 0) | 0, i61, get32(i688 | 0) | 0, i670) | 0) != 0) : 0) if (!(_sqlite3Atoi64(get32(i277 | 0) | 0, i62, get32(i688 | 0) | 0, i670) | 0)) {
       i670 = i62;
       i688 = get32(i670 + 4 | 0) | 0;
       i277 = i267 + (i276 * 40 | 0) + 16 | 0;
       set32(i277 | 0, get32(i670 | 0) | 0);
       set32(i277 + 4 | 0, i688 | 0);
       set16(i672 | 0, getU16(i672 | 0) | 4 | 0);
       break;
      } else {
       setF64(i267 + (i276 * 40 | 0) + 8 | 0, +(+getF64(i61 | 0)));
       set16(i672 | 0, getU16(i672 | 0) | 8 | 0);
       break;
      } while (0);
      i291 = get32(i268 + (i383 * 20 | 0) + 8 | 0) | 0;
      i691 = i267 + (i291 * 40 | 0) + 28 | 0;
      i690 = getU16(i691 | 0) | 0;
      do if (((i690 & 12 | 0) == 0 ? (i289 = get8(i267 + (i291 * 40 | 0) + 31 >> 0 | 0) | 0, (i690 & 2 | 0) != 0) : 0) ? (i275 = i267 + (i291 * 40 | 0) + 4 | 0, i278 = i267 + (i291 * 40 | 0) + 24 | 0, (_sqlite3AtoF(get32(i275 | 0) | 0, i61, get32(i278 | 0) | 0, i289) | 0) != 0) : 0) if (!(_sqlite3Atoi64(get32(i275 | 0) | 0, i62, get32(i278 | 0) | 0, i289) | 0)) {
       i289 = i62;
       i278 = get32(i289 + 4 | 0) | 0;
       i275 = i267 + (i291 * 40 | 0) + 16 | 0;
       set32(i275 | 0, get32(i289 | 0) | 0);
       set32(i275 + 4 | 0, i278 | 0);
       set16(i691 | 0, getU16(i691 | 0) | 4 | 0);
       break;
      } else {
       setF64(i267 + (i291 * 40 | 0) + 8 | 0, +(+getF64(i61 | 0)));
       set16(i691 | 0, getU16(i691 | 0) | 8 | 0);
       break;
      } while (0);
      i690 = get32(i268 + (i383 * 20 | 0) + 12 | 0) | 0;
      i278 = i267 + (i690 * 40 | 0) | 0;
      i275 = get16(i672 | 0) | 0;
      i289 = get16(i691 | 0) | 0;
      i682 = (i289 | i275) & 65535;
      set32(i65 | 0, i682 | 0);
      L1654 : do if (!(i682 & 1)) {
       L1656 : do if ((i275 & 4 & i289) << 16 >> 16) {
        i279 = i267 + (i276 * 40 | 0) + 16 | 0;
        i669 = get32(i279 | 0) | 0;
        i677 = get32(i279 + 4 | 0) | 0;
        i279 = i101;
        set32(i279 | 0, i669 | 0);
        set32(i279 + 4 | 0, i677 | 0);
        i279 = i267 + (i291 * 40 | 0) + 16 | 0;
        i683 = get32(i279 | 0) | 0;
        i695 = get32(i279 + 4 | 0) | 0;
        i279 = i108;
        set32(i279 | 0, i683 | 0);
        set32(i279 + 4 | 0, i695 | 0);
        L1658 : do switch (getU8(i379 >> 0 | 0) | 0) {
        case 86:
         {
          if ((i677 | 0) > -1 | (i677 | 0) == -1 & i669 >>> 0 > 4294967295) {
           i279 = _i64Subtract(-1, 2147483647, i683 | 0, i695 | 0) | 0;
           i862 = tempRet0;
           if (((i695 | 0) > 0 | (i695 | 0) == 0 & i683 >>> 0 > 0) & ((i862 | 0) < (i677 | 0) | (i862 | 0) == (i677 | 0) & i279 >>> 0 < i669 >>> 0)) break L1656;
          } else if ((i695 | 0) < 0 ? (i279 = _i64Subtract(1, -2147483648, i683 | 0, i695 | 0) | 0, i862 = tempRet0, i688 = _i64Add(i669 | 0, i677 | 0, 1, 0) | 0, i277 = tempRet0, (i862 | 0) > (i277 | 0) | (i862 | 0) == (i277 | 0) & i279 >>> 0 > i688 >>> 0) : 0) break L1656;
          i688 = _i64Add(i683 | 0, i695 | 0, i669 | 0, i677 | 0) | 0;
          i279 = tempRet0;
          i277 = i108;
          set32(i277 | 0, i688 | 0);
          set32(i277 + 4 | 0, i279 | 0);
          i1100 = i688;
          i1101 = i279;
          break;
         }
        case 87:
         {
          if ((i669 | 0) == 0 & (i677 | 0) == -2147483648) {
           if ((i695 | 0) > -1 | (i695 | 0) == -1 & i683 >>> 0 > 4294967295) break L1656;
           i279 = i695 ^ -2147483648;
           i688 = i108;
           set32(i688 | 0, i683 | 0);
           set32(i688 + 4 | 0, i279 | 0);
           i1100 = i683;
           i1101 = i279;
           break L1658;
          }
          if ((i677 | 0) < 0 | (i677 | 0) == 0 & i669 >>> 0 < 1) {
           i279 = _i64Subtract(0, 0, i669 | 0, i677 | 0) | 0;
           i688 = tempRet0;
           i277 = _i64Subtract(-1, 2147483647, i683 | 0, i695 | 0) | 0;
           i862 = tempRet0;
           if (((i695 | 0) > 0 | (i695 | 0) == 0 & i683 >>> 0 > 0) & ((i862 | 0) < (i688 | 0) | (i862 | 0) == (i688 | 0) & i277 >>> 0 < i279 >>> 0)) break L1656;
          } else if ((i695 | 0) < 0 ? (i279 = _i64Subtract(1, -2147483648, i683 | 0, i695 | 0) | 0, i277 = tempRet0, i688 = _i64Subtract(1, 0, i669 | 0, i677 | 0) | 0, i862 = tempRet0, (i277 | 0) > (i862 | 0) | (i277 | 0) == (i862 | 0) & i279 >>> 0 > i688 >>> 0) : 0) break L1656;
          i688 = _i64Subtract(i683 | 0, i695 | 0, i669 | 0, i677 | 0) | 0;
          i279 = tempRet0;
          i862 = i108;
          set32(i862 | 0, i688 | 0);
          set32(i862 + 4 | 0, i279 | 0);
          i1100 = i688;
          i1101 = i279;
          break;
         }
        case 88:
         {
          i279 = ___divdi3(i683 | 0, i695 | 0, 0, 1) | 0;
          i688 = tempRet0;
          i862 = ___remdi3(i683 | 0, i695 | 0, 0, 1) | 0;
          i277 = tempRet0;
          i670 = ___divdi3(i669 | 0, i677 | 0, 0, 1) | 0;
          i879 = tempRet0;
          i860 = ___remdi3(i669 | 0, i677 | 0, 0, 1) | 0;
          i1009 = tempRet0;
          if (!((___muldi3(i670 | 0, i879 | 0, i279 | 0, i688 | 0) | 0) == 0 & (tempRet0 | 0) == 0)) break L1656;
          i687 = ___muldi3(i860 | 0, i1009 | 0, i279 | 0, i688 | 0) | 0;
          i688 = _i64Add(i687 | 0, tempRet0 | 0, ___muldi3(i670 | 0, i879 | 0, i862 | 0, i277 | 0) | 0, tempRet0 | 0) | 0;
          i879 = tempRet0;
          i670 = _i64Add(i688 | 0, i879 | 0, -2147483648, 0) | 0;
          i687 = tempRet0;
          if (i687 >>> 0 > 0 | (i687 | 0) == 0 & i670 >>> 0 > 4294967295) break L1656;
          i670 = ___muldi3(i860 | 0, i1009 | 0, i862 | 0, i277 | 0) | 0;
          i277 = tempRet0;
          if ((i277 | 0) > -1 | (i277 | 0) == -1 & i670 >>> 0 > 4294967295) {
           i862 = _i64Subtract(-1, 2147483647, 0, i688 | 0) | 0;
           i1009 = tempRet0;
           if (((i879 | 0) > 0 | (i879 | 0) == 0 & i688 >>> 0 > 0) & ((i1009 | 0) < (i277 | 0) | (i1009 | 0) == (i277 | 0) & i862 >>> 0 < i670 >>> 0)) break L1656;
          } else if ((i879 | 0) < 0 ? (i879 = _i64Subtract(1, -2147483648, 0, i688 | 0) | 0, i862 = tempRet0, i1009 = _i64Add(i670 | 0, i277 | 0, 1, 0) | 0, i860 = tempRet0, (i862 | 0) > (i860 | 0) | (i862 | 0) == (i860 | 0) & i879 >>> 0 > i1009 >>> 0) : 0) break L1656;
          i1009 = _i64Add(0, i688 | 0, i670 | 0, i277 | 0) | 0;
          i277 = tempRet0;
          i670 = i108;
          set32(i670 | 0, i1009 | 0);
          set32(i670 + 4 | 0, i277 | 0);
          i1100 = i1009;
          i1101 = i277;
          break;
         }
        case 89:
         {
          switch (i669 | 0) {
          case 0:
           {
            if (!i677) break L1654;
            break;
           }
          case -1:
           {
            if ((i677 | 0) == -1 ? (i683 | 0) == 0 & (i695 | 0) == -2147483648 : 0) break L1656;
            break;
           }
          default:
           {}
          }
          i277 = ___divdi3(i683 | 0, i695 | 0, i669 | 0, i677 | 0) | 0;
          i1009 = tempRet0;
          i670 = i108;
          set32(i670 | 0, i277 | 0);
          set32(i670 + 4 | 0, i1009 | 0);
          i1100 = i277;
          i1101 = i1009;
          break;
         }
        default:
         {
          switch (i669 | 0) {
          case 0:
           {
            if (!i677) break L1654; else {
             i1102 = i669;
             i1103 = i677;
            }
            break;
           }
          case -1:
           {
            if ((i677 | 0) == -1) {
             i1009 = i101;
             set32(i1009 | 0, 1 | 0);
             set32(i1009 + 4 | 0, 0 | 0);
             i1102 = 1;
             i1103 = 0;
            } else {
             i1102 = i669;
             i1103 = i677;
            }
            break;
           }
          default:
           {
            i1102 = i669;
            i1103 = i677;
           }
          }
          i1009 = ___remdi3(i683 | 0, i695 | 0, i1102 | 0, i1103 | 0) | 0;
          i277 = tempRet0;
          i670 = i108;
          set32(i670 | 0, i1009 | 0);
          set32(i670 + 4 | 0, i277 | 0);
          i1100 = i1009;
          i1101 = i277;
         }
        } while (0);
        i695 = i267 + (i690 * 40 | 0) + 16 | 0;
        set32(i695 | 0, i1100 | 0);
        set32(i695 + 4 | 0, i1101 | 0);
        i695 = i267 + (i690 * 40 | 0) + 28 | 0;
        set16(i695 | 0, getU16(i695 | 0) & 48896 | 4 | 0);
        i716 = i380;
        i717 = i381;
        i718 = i267;
        i719 = i268;
        i720 = i269;
        i721 = i270;
        i722 = i382;
        i723 = i278;
        i724 = i383;
        i725 = i274;
        break L1559;
       } while (0);
       i695 = i275 & 65535;
       do if (!(i695 & 8)) {
        if (i695 & 4) {
         i683 = i267 + (i276 * 40 | 0) + 16 | 0;
         d1104 = +((get32(i683 | 0) | 0) >>> 0) + 4294967296.0 * +(get32(i683 + 4 | 0) | 0);
         break;
        }
        if (!(i695 & 18)) d1104 = 0.0; else {
         setF64(i61 | 0, +(0.0));
         _sqlite3AtoF(get32(i267 + (i276 * 40 | 0) + 4 | 0) | 0, i61, get32(i267 + (i276 * 40 | 0) + 24 | 0) | 0, get8(i267 + (i276 * 40 | 0) + 31 >> 0 | 0) | 0) | 0;
         d1104 = +getF64(i61 | 0);
        }
       } else d1104 = +getF64(i267 + (i276 * 40 | 0) + 8 | 0); while (0);
       setF64(i106 | 0, +d1104);
       i695 = getU16(i691 | 0) | 0;
       do if (!(i695 & 8)) {
        if (i695 & 4) {
         i683 = i267 + (i291 * 40 | 0) + 16 | 0;
         d1105 = +((get32(i683 | 0) | 0) >>> 0) + 4294967296.0 * +(get32(i683 + 4 | 0) | 0);
         break;
        }
        if (!(i695 & 18)) d1105 = 0.0; else {
         setF64(i61 | 0, +(0.0));
         _sqlite3AtoF(get32(i267 + (i291 * 40 | 0) + 4 | 0) | 0, i61, get32(i267 + (i291 * 40 | 0) + 24 | 0) | 0, get8(i267 + (i291 * 40 | 0) + 31 >> 0 | 0) | 0) | 0;
         d1105 = +getF64(i61 | 0);
        }
       } else d1105 = +getF64(i267 + (i291 * 40 | 0) + 8 | 0); while (0);
       setF64(i107 | 0, +d1105);
       switch (getU8(i379 >> 0 | 0) | 0) {
       case 86:
        {
         d805 = d1105 + +getF64(i106 | 0);
         setF64(i107 | 0, +d805);
         d1106 = d805;
         break;
        }
       case 87:
        {
         d805 = d1105 - +getF64(i106 | 0);
         setF64(i107 | 0, +d805);
         d1106 = d805;
         break;
        }
       case 88:
        {
         d805 = d1105 * +getF64(i106 | 0);
         setF64(i107 | 0, +d805);
         d1106 = d805;
         break;
        }
       case 89:
        {
         d805 = +getF64(i106 | 0);
         if (d805 == 0.0) break L1654;
         d1107 = d1105 / d805;
         setF64(i107 | 0, +d1107);
         d1106 = d1107;
         break;
        }
       default:
        {
         d1107 = +getF64(i106 | 0);
         i695 = ~~d1107 >>> 0;
         i683 = +Math_abs(d1107) >= 1.0 ? (d1107 > 0.0 ? ~~+Math_min(+Math_floor(d1107 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d1107 - +(~~d1107 >>> 0)) / 4294967296.0) >>> 0) : 0;
         i677 = i101;
         set32(i677 | 0, i695 | 0);
         set32(i677 + 4 | 0, i683 | 0);
         i677 = ~~d1105 >>> 0;
         i669 = +Math_abs(d1105) >= 1.0 ? (d1105 > 0.0 ? ~~+Math_min(+Math_floor(d1105 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d1105 - +(~~d1105 >>> 0)) / 4294967296.0) >>> 0) : 0;
         i290 = i108;
         set32(i290 | 0, i677 | 0);
         set32(i290 + 4 | 0, i669 | 0);
         switch (i695 | 0) {
         case 0:
          {
           if (!i683) break L1654; else {
            i1108 = i695;
            i1109 = i683;
           }
           break;
          }
         case -1:
          {
           if ((i683 | 0) == -1) {
            i290 = i101;
            set32(i290 | 0, 1 | 0);
            set32(i290 + 4 | 0, 0 | 0);
            i1108 = 1;
            i1109 = 0;
           } else {
            i1108 = i695;
            i1109 = i683;
           }
           break;
          }
         default:
          {
           i1108 = i695;
           i1109 = i683;
          }
         }
         d1107 = +((___remdi3(i677 | 0, i669 | 0, i1108 | 0, i1109 | 0) | 0) >>> 0) + 4294967296.0 * +(tempRet0 | 0);
         setF64(i107 | 0, +d1107);
         d1106 = d1107;
        }
       }
       setF64(i61 | 0, +d1106);
       setF64(i62 | 0, +(+getF64(i61 | 0)));
       if (!(+getF64(i61 | 0) != +getF64(i62 | 0))) {
        d1107 = +getF64(i107 | 0);
        setF64(i267 + (i690 * 40 | 0) + 8 | 0, +d1107);
        i669 = i267 + (i690 * 40 | 0) + 28 | 0;
        i677 = getU16(i669 | 0) & 48896;
        set16(i669 | 0, i677 | 8 | 0);
        if (get32(i65 | 0) & 8) {
         i716 = i380;
         i717 = i381;
         i718 = i267;
         i719 = i268;
         i720 = i269;
         i721 = i270;
         i722 = i382;
         i723 = i278;
         i724 = i383;
         i725 = i274;
         break L1559;
        }
        i683 = d1107 < -9223372036854775808.0 | d1107 > 9223372036854775808.0;
        i695 = +Math_abs(d1107) >= 1.0 ? (d1107 > 0.0 ? ~~+Math_min(+Math_floor(d1107 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d1107 - +(~~d1107 >>> 0)) / 4294967296.0) >>> 0) : 0;
        i290 = i683 ? 0 : ~~d1107 >>> 0;
        i277 = i683 ? -2147483648 : i695;
        i695 = i267 + (i690 * 40 | 0) + 16 | 0;
        set32(i695 | 0, i290 | 0);
        set32(i695 + 4 | 0, i277 | 0);
        i695 = _i64Add(i290 | 0, i277 | 0, 1, -2147483648) | 0;
        i683 = tempRet0;
        if (d1107 != +(i290 >>> 0) + 4294967296.0 * +(i277 | 0) | (i683 >>> 0 < 0 | (i683 | 0) == 0 & i695 >>> 0 < 2)) {
         i716 = i380;
         i717 = i381;
         i718 = i267;
         i719 = i268;
         i720 = i269;
         i721 = i270;
         i722 = i382;
         i723 = i278;
         i724 = i383;
         i725 = i274;
         break L1559;
        }
        set16(i669 | 0, i677 | 12 | 0);
        i716 = i380;
        i717 = i381;
        i718 = i267;
        i719 = i268;
        i720 = i269;
        i721 = i270;
        i722 = i382;
        i723 = i278;
        i724 = i383;
        i725 = i274;
        break L1559;
       }
      } while (0);
      i291 = i267 + (i690 * 40 | 0) + 28 | 0;
      i691 = get16(i291 | 0) | 0;
      if (i691 & 64) {
       i276 = get32(i267 + (i690 * 40 | 0) + 16 | 0) | 0;
       i275 = (get32(i276 | 0) | 0) + 172 | 0;
       set32(i276 + 60 | 0, get32(i275 | 0) | 0);
       set32(i275 | 0, i276 | 0);
      }
      if (!(i691 & 32)) i1110 = i691; else {
       i276 = get32(i267 + (i690 * 40 | 0) + 16 | 0) | 0;
       i275 = get32(i276 | 0) | 0;
       if (!i275) i1111 = i691; else {
        i691 = i276 + 4 | 0;
        i289 = i275;
        do {
         i275 = i289;
         i289 = get32(i289 | 0) | 0;
         _sqlite3DbFree(get32(i691 | 0) | 0, i275);
        } while ((i289 | 0) != 0);
        i1111 = get16(i291 | 0) | 0;
       }
       set32(i276 | 0, 0 | 0);
       set16(i276 + 24 | 0, 0 | 0);
       set32(i276 + 8 | 0, 0 | 0);
       set32(i276 + 12 | 0, 0 | 0);
       set32(i276 + 20 | 0, 0 | 0);
       set8(i276 + 26 >> 0 | 0, 1 | 0);
       i1110 = i1111;
      }
      set16(i291 | 0, i1110 & 48896 | 1 | 0);
      set8(i267 + (i690 * 40 | 0) + 30 >> 0 | 0, 5 | 0);
      i716 = i380;
      i717 = i381;
      i718 = i267;
      i719 = i268;
      i720 = i269;
      i721 = i270;
      i722 = i382;
      i723 = i278;
      i724 = i383;
      i725 = i274;
      break;
     }
    case 254:
     {
      i84 = 0;
      i289 = get32(i268 + (i393 * 20 | 0) + 4 | 0) | 0;
      i691 = get32(i268 + (i393 * 20 | 0) + 8 | 0) | 0;
      i275 = get32(i268 + (i393 * 20 | 0) + 12 | 0) | 0;
      i682 = i267 + (i275 * 40 | 0) | 0;
      i672 = i267 + (i289 * 40 | 0) + 28 | 0;
      i677 = get16(i267 + (i691 * 40 | 0) + 28 | 0) | 0;
      if ((i677 | get16(i672 | 0)) & 1) {
       i669 = i267 + (i275 * 40 | 0) + 28 | 0;
       i695 = get16(i669 | 0) | 0;
       if (i695 & 64) {
        i683 = get32(i267 + (i275 * 40 | 0) + 16 | 0) | 0;
        i277 = (get32(i683 | 0) | 0) + 172 | 0;
        set32(i683 + 60 | 0, get32(i277 | 0) | 0);
        set32(i277 | 0, i683 | 0);
       }
       if (!(i695 & 32)) i1112 = i695; else {
        i683 = get32(i267 + (i275 * 40 | 0) + 16 | 0) | 0;
        i277 = get32(i683 | 0) | 0;
        if (!i277) i1113 = i695; else {
         i695 = i683 + 4 | 0;
         i290 = i277;
         do {
          i277 = i290;
          i290 = get32(i290 | 0) | 0;
          _sqlite3DbFree(get32(i695 | 0) | 0, i277);
         } while ((i290 | 0) != 0);
         i1113 = get16(i669 | 0) | 0;
        }
        set32(i683 | 0, 0 | 0);
        set16(i683 + 24 | 0, 0 | 0);
        set32(i683 + 8 | 0, 0 | 0);
        set32(i683 + 12 | 0, 0 | 0);
        set32(i683 + 20 | 0, 0 | 0);
        set8(i683 + 26 >> 0 | 0, 1 | 0);
        i1112 = i1113;
       }
       set16(i669 | 0, i1112 & 48896 | 1 | 0);
       set8(i267 + (i275 * 40 | 0) + 30 >> 0 | 0, 5 | 0);
       i716 = i390;
       i717 = i391;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i392;
       i723 = i682;
       i724 = i393;
       i725 = i274;
       break;
      }
      i290 = i677 & 65535;
      do if (!(i290 & 4)) {
       if (i290 & 8) {
        d1107 = +getF64(i267 + (i691 * 40 | 0) + 8 | 0);
        i695 = d1107 < -9223372036854775808.0 | d1107 > 9223372036854775808.0;
        i278 = +Math_abs(d1107) >= 1.0 ? (d1107 > 0.0 ? ~~+Math_min(+Math_floor(d1107 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d1107 - +(~~d1107 >>> 0)) / 4294967296.0) >>> 0) : 0;
        i1114 = i695 ? 0 : ~~d1107 >>> 0;
        i1115 = i695 ? -2147483648 : i278;
        break;
       }
       if (!(i290 & 18)) {
        i1114 = 0;
        i1115 = 0;
       } else {
        i278 = i61;
        set32(i278 | 0, 0 | 0);
        set32(i278 + 4 | 0, 0 | 0);
        _sqlite3Atoi64(get32(i267 + (i691 * 40 | 0) + 4 | 0) | 0, i61, get32(i267 + (i691 * 40 | 0) + 24 | 0) | 0, get8(i267 + (i691 * 40 | 0) + 31 >> 0 | 0) | 0) | 0;
        i278 = i61;
        i1114 = get32(i278 | 0) | 0;
        i1115 = get32(i278 + 4 | 0) | 0;
       }
      } else {
       i278 = i267 + (i691 * 40 | 0) + 16 | 0;
       i1114 = get32(i278 | 0) | 0;
       i1115 = get32(i278 + 4 | 0) | 0;
      } while (0);
      i691 = i65;
      set32(i691 | 0, i1114 | 0);
      set32(i691 + 4 | 0, i1115 | 0);
      i691 = getU16(i672 | 0) | 0;
      do if (!(i691 & 4)) {
       if (i691 & 8) {
        d1107 = +getF64(i267 + (i289 * 40 | 0) + 8 | 0);
        i290 = d1107 < -9223372036854775808.0 | d1107 > 9223372036854775808.0;
        i677 = +Math_abs(d1107) >= 1.0 ? (d1107 > 0.0 ? ~~+Math_min(+Math_floor(d1107 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d1107 - +(~~d1107 >>> 0)) / 4294967296.0) >>> 0) : 0;
        i1116 = i290 ? 0 : ~~d1107 >>> 0;
        i1117 = i290 ? -2147483648 : i677;
        break;
       }
       if (!(i691 & 18)) {
        i1116 = 0;
        i1117 = 0;
       } else {
        i677 = i61;
        set32(i677 | 0, 0 | 0);
        set32(i677 + 4 | 0, 0 | 0);
        _sqlite3Atoi64(get32(i267 + (i289 * 40 | 0) + 4 | 0) | 0, i61, get32(i267 + (i289 * 40 | 0) + 24 | 0) | 0, get8(i267 + (i289 * 40 | 0) + 31 >> 0 | 0) | 0) | 0;
        i677 = i61;
        i1116 = get32(i677 | 0) | 0;
        i1117 = get32(i677 + 4 | 0) | 0;
       }
      } else {
       i677 = i267 + (i289 * 40 | 0) + 16 | 0;
       i1116 = get32(i677 | 0) | 0;
       i1117 = get32(i677 + 4 | 0) | 0;
      } while (0);
      i289 = i108;
      set32(i289 | 0, i1116 | 0);
      set32(i289 + 4 | 0, i1117 | 0);
      i289 = get8(i389 >> 0 | 0) | 0;
      set8(i106 >> 0 | 0, i289 | 0);
      L1910 : do switch (i289 << 24 >> 24) {
      case 82:
       {
        i691 = i65;
        i672 = get32(i691 | 0) & i1116;
        i677 = get32(i691 + 4 | 0) & i1117;
        i691 = i65;
        set32(i691 | 0, i672 | 0);
        set32(i691 + 4 | 0, i677 | 0);
        i1118 = i672;
        i1119 = i677;
        break;
       }
      case 83:
       {
        i677 = i65;
        i672 = get32(i677 | 0) | i1116;
        i691 = get32(i677 + 4 | 0) | i1117;
        i677 = i65;
        set32(i677 | 0, i672 | 0);
        set32(i677 + 4 | 0, i691 | 0);
        i1118 = i672;
        i1119 = i691;
        break;
       }
      default:
       {
        if ((i1116 | 0) == 0 & (i1117 | 0) == 0) {
         i691 = i65;
         i1118 = get32(i691 | 0) | 0;
         i1119 = get32(i691 + 4 | 0) | 0;
         break L1910;
        }
        if ((i1117 | 0) < 0) {
         i691 = 169 - (i289 & 255) & 255;
         set8(i106 >> 0 | 0, i691 | 0);
         i672 = (i1117 | 0) > -1 | (i1117 | 0) == -1 & i1116 >>> 0 > 4294967232;
         i677 = _i64Subtract(0, 0, i1116 | 0, i1117 | 0) | 0;
         i290 = i672 ? i677 : 64;
         i677 = i672 ? tempRet0 : 0;
         i672 = i108;
         set32(i672 | 0, i290 | 0);
         set32(i672 + 4 | 0, i677 | 0);
         i1120 = i677;
         i1121 = i290;
         i1122 = i691;
        } else {
         i1120 = i1117;
         i1121 = i1116;
         i1122 = i289;
        }
        i691 = i65;
        i290 = get32(i691 | 0) | 0;
        i677 = get32(i691 + 4 | 0) | 0;
        if ((i1120 | 0) > 0 | (i1120 | 0) == 0 & i1121 >>> 0 > 63) {
         i691 = (i1122 << 24 >> 24 != 84 & (i677 | 0) < 0) << 31 >> 31;
         i672 = ((i691 | 0) < 0) << 31 >> 31;
         i669 = i65;
         set32(i669 | 0, i691 | 0);
         set32(i669 + 4 | 0, i672 | 0);
         i1118 = i691;
         i1119 = i672;
         break L1910;
        }
        i672 = i101;
        set32(i672 | 0, i290 | 0);
        set32(i672 + 4 | 0, i677 | 0);
        if (i1122 << 24 >> 24 != 84) {
         i672 = _bitshift64Lshr(i290 | 0, i677 | 0, i1121 | 0) | 0;
         i691 = tempRet0;
         i669 = i101;
         set32(i669 | 0, i672 | 0);
         set32(i669 + 4 | 0, i691 | 0);
         if ((i677 | 0) < 0) {
          i669 = _i64Subtract(64, 0, i1121 | 0, i1120 | 0) | 0;
          i683 = _bitshift64Shl(-1, -1, i669 | 0) | 0;
          i669 = i683 | i672;
          i683 = tempRet0 | i691;
          i278 = i101;
          set32(i278 | 0, i669 | 0);
          set32(i278 + 4 | 0, i683 | 0);
          i1123 = i669;
          i1124 = i683;
         } else {
          i1123 = i672;
          i1124 = i691;
         }
        } else {
         i691 = _bitshift64Shl(i290 | 0, i677 | 0, i1121 | 0) | 0;
         i677 = tempRet0;
         i290 = i101;
         set32(i290 | 0, i691 | 0);
         set32(i290 + 4 | 0, i677 | 0);
         i1123 = i691;
         i1124 = i677;
        }
        i677 = i65;
        set32(i677 | 0, i1123 | 0);
        set32(i677 + 4 | 0, i1124 | 0);
        i1118 = i1123;
        i1119 = i1124;
       }
      } while (0);
      i289 = i267 + (i275 * 40 | 0) + 16 | 0;
      set32(i289 | 0, i1118 | 0);
      set32(i289 + 4 | 0, i1119 | 0);
      i289 = i267 + (i275 * 40 | 0) + 28 | 0;
      set16(i289 | 0, getU16(i289 | 0) & 48896 | 4 | 0);
      i716 = i390;
      i717 = i391;
      i718 = i267;
      i719 = i268;
      i720 = i269;
      i721 = i270;
      i722 = i392;
      i723 = i682;
      i724 = i393;
      i725 = i274;
      break;
     }
    case 291:
     {
      i84 = 0;
      i289 = get32(i268 + (i398 * 20 | 0) + 4 | 0) | 0;
      i677 = i267 + (i289 * 40 | 0) + 28 | 0;
      i691 = get16(i677 | 0) | 0;
      i290 = i691 & 65535;
      do if (!(i290 & 4)) {
       if (i290 & 8) {
        d1107 = +getF64(i267 + (i289 * 40 | 0) + 8 | 0);
        i672 = d1107 < -9223372036854775808.0 | d1107 > 9223372036854775808.0;
        i683 = +Math_abs(d1107) >= 1.0 ? (d1107 > 0.0 ? ~~+Math_min(+Math_floor(d1107 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d1107 - +(~~d1107 >>> 0)) / 4294967296.0) >>> 0) : 0;
        i1125 = i691;
        i1126 = i672 ? 0 : ~~d1107 >>> 0;
        i1127 = i672 ? -2147483648 : i683;
        break;
       }
       if (!(i290 & 18)) {
        i1125 = i691;
        i1126 = 0;
        i1127 = 0;
       } else {
        i683 = i61;
        set32(i683 | 0, 0 | 0);
        set32(i683 + 4 | 0, 0 | 0);
        _sqlite3Atoi64(get32(i267 + (i289 * 40 | 0) + 4 | 0) | 0, i61, get32(i267 + (i289 * 40 | 0) + 24 | 0) | 0, get8(i267 + (i289 * 40 | 0) + 31 >> 0 | 0) | 0) | 0;
        i683 = i61;
        i1125 = get16(i677 | 0) | 0;
        i1126 = get32(i683 | 0) | 0;
        i1127 = get32(i683 + 4 | 0) | 0;
       }
      } else {
       i683 = i267 + (i289 * 40 | 0) + 16 | 0;
       i1125 = i691;
       i1126 = get32(i683 | 0) | 0;
       i1127 = get32(i683 + 4 | 0) | 0;
      } while (0);
      set16(i677 | 0, i1125 & 48896 | 4 | 0);
      i691 = get32(i268 + (i398 * 20 | 0) + 8 | 0) | 0;
      i290 = _i64Add(i691 | 0, ((i691 | 0) < 0) << 31 >> 31 | 0, i1126 | 0, i1127 | 0) | 0;
      i691 = i267 + (i289 * 40 | 0) + 16 | 0;
      set32(i691 | 0, i290 | 0);
      set32(i691 + 4 | 0, tempRet0 | 0);
      i716 = i394;
      i717 = i395;
      i718 = i267;
      i719 = i268;
      i720 = i269;
      i721 = i270;
      i722 = i396;
      i723 = i397;
      i724 = i398;
      i725 = i274;
      break;
     }
    case 298:
     {
      i84 = 0;
      i691 = get32(i268 + (i403 * 20 | 0) + 4 | 0) | 0;
      i290 = i267 + (i691 * 40 | 0) + 28 | 0;
      i682 = getU16(i290 | 0) | 0;
      do if (((i682 & 12 | 0) == 0 ? (i275 = get8(i267 + (i691 * 40 | 0) + 31 >> 0 | 0) | 0, (i682 & 2 | 0) != 0) : 0) ? (i683 = i267 + (i691 * 40 | 0) + 4 | 0, i672 = i267 + (i691 * 40 | 0) + 24 | 0, (_sqlite3AtoF(get32(i683 | 0) | 0, i61, get32(i672 | 0) | 0, i275) | 0) != 0) : 0) if (!(_sqlite3Atoi64(get32(i683 | 0) | 0, i62, get32(i672 | 0) | 0, i275) | 0)) {
       i275 = i62;
       i672 = get32(i275 + 4 | 0) | 0;
       i683 = i267 + (i691 * 40 | 0) + 16 | 0;
       set32(i683 | 0, get32(i275 | 0) | 0);
       set32(i683 + 4 | 0, i672 | 0);
       set16(i290 | 0, getU16(i290 | 0) | 4 | 0);
       break;
      } else {
       setF64(i267 + (i691 * 40 | 0) + 8 | 0, +(+getF64(i61 | 0)));
       set16(i290 | 0, getU16(i290 | 0) | 8 | 0);
       break;
      } while (0);
      i682 = get16(i290 | 0) | 0;
      if ((i682 & 8) != 0 ? (d1107 = +getF64(i267 + (i691 * 40 | 0) + 8 | 0), i289 = d1107 < -9223372036854775808.0 | d1107 > 9223372036854775808.0, i677 = +Math_abs(d1107) >= 1.0 ? (d1107 > 0.0 ? ~~+Math_min(+Math_floor(d1107 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d1107 - +(~~d1107 >>> 0)) / 4294967296.0) >>> 0) : 0, i672 = i289 ? 0 : ~~d1107 >>> 0, i683 = i289 ? -2147483648 : i677, i677 = i267 + (i691 * 40 | 0) + 16 | 0, set32(i677 | 0, i672 | 0), set32(i677 + 4 | 0, i683 | 0), i677 = _i64Add(i672 | 0, i683 | 0, 1, -2147483648) | 0, i289 = tempRet0, !(d1107 != +(i672 >>> 0) + 4294967296.0 * +(i683 | 0) | (i289 >>> 0 < 0 | (i289 | 0) == 0 & i677 >>> 0 < 2))) : 0) {
       i677 = (i682 & 65535 | 4) & 65535;
       set16(i290 | 0, i677 | 0);
       i1128 = i677;
      } else i1128 = i682;
      i682 = i1128 & 65535;
      if (i682 & 4) {
       set16(i290 | 0, i682 & 48896 | 4 | 0);
       i716 = i399;
       i717 = i400;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i401;
       i723 = i402;
       i724 = i403;
       i725 = i274;
       break;
      }
      i682 = get32(i268 + (i403 * 20 | 0) + 8 | 0) | 0;
      if (!i682) {
       i780 = i399;
       i781 = i400;
       i782 = i403;
       i783 = 20;
       i784 = i274;
       break L6;
      }
      i716 = i399;
      i717 = i400;
      i718 = i267;
      i719 = i268;
      i720 = i269;
      i721 = i270;
      i722 = i401;
      i723 = i402;
      i724 = i682 + -1 | 0;
      i725 = i274;
      break;
     }
    case 311:
     {
      i84 = 0;
      i682 = get32(i268 + (i408 * 20 | 0) + 4 | 0) | 0;
      i677 = i267 + (i682 * 40 | 0) + 28 | 0;
      i289 = get16(i677 | 0) | 0;
      if (!(i289 & 4)) {
       i716 = i404;
       i717 = i405;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i406;
       i723 = i407;
       i724 = i408;
       i725 = i274;
      } else {
       i683 = i289 & 65535;
       do if (!(i683 & 8)) {
        if (i683 & 4) {
         i672 = i267 + (i682 * 40 | 0) + 16 | 0;
         d1129 = +((get32(i672 | 0) | 0) >>> 0) + 4294967296.0 * +(get32(i672 + 4 | 0) | 0);
         i1130 = i289;
         break;
        }
        if (!(i683 & 18)) {
         d1129 = 0.0;
         i1130 = i289;
        } else {
         setF64(i61 | 0, +(0.0));
         _sqlite3AtoF(get32(i267 + (i682 * 40 | 0) + 4 | 0) | 0, i61, get32(i267 + (i682 * 40 | 0) + 24 | 0) | 0, get8(i267 + (i682 * 40 | 0) + 31 >> 0 | 0) | 0) | 0;
         d1129 = +getF64(i61 | 0);
         i1130 = get16(i677 | 0) | 0;
        }
       } else {
        d1129 = +getF64(i267 + (i682 * 40 | 0) + 8 | 0);
        i1130 = i289;
       } while (0);
       setF64(i267 + (i682 * 40 | 0) + 8 | 0, +d1129);
       set16(i677 | 0, i1130 & 48896 | 8 | 0);
       i716 = i404;
       i717 = i405;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i406;
       i723 = i407;
       i724 = i408;
       i725 = i274;
      }
      break;
     }
    case 327:
     {
      i84 = 0;
      i289 = get32(i268 + (i413 * 20 | 0) + 4 | 0) | 0;
      i683 = i267 + (i289 * 40 | 0) | 0;
      i290 = i267 + (i289 * 40 | 0) + 28 | 0;
      i289 = get16(i290 | 0) | 0;
      i691 = i289 & 65535;
      if (!(i691 & 1)) {
       if (i691 & 16) {
        set16(i290 | 0, i691 & 65296 | 0);
        i716 = i409;
        i717 = i410;
        i718 = i267;
        i719 = i268;
        i720 = i269;
        i721 = i270;
        i722 = i411;
        i723 = i412;
        i724 = i413;
        i725 = i274;
        break;
       }
       if ((i691 & 2 | 0) != 0 | (i691 & 12 | 0) == 0) i1131 = i289; else {
        _sqlite3VdbeMemStringify(i683, i96) | 0;
        i1131 = get16(i290 | 0) | 0;
       }
       set16(i290 | 0, i1131 & 48896 | 16 | 0);
       i716 = i409;
       i717 = i410;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i411;
       i723 = i412;
       i724 = i413;
       i725 = i274;
      } else {
       i716 = i409;
       i717 = i410;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i411;
       i723 = i412;
       i724 = i413;
       i725 = i274;
      }
      break;
     }
    case 333:
     {
      i84 = 0;
      i290 = get32(i268 + (i418 * 20 | 0) + 4 | 0) | 0;
      i683 = i267 + (i290 * 40 | 0) + 28 | 0;
      i289 = get16(i683 | 0) | 0;
      do if (!(i289 & 13)) {
       i691 = i267 + (i290 * 40 | 0) + 4 | 0;
       i672 = i267 + (i290 * 40 | 0) + 16 | 0;
       i275 = i267 + (i290 * 40 | 0) + 24 | 0;
       i669 = i267 + (i290 * 40 | 0) + 31 | 0;
       if (!(_sqlite3Atoi64(get32(i691 | 0) | 0, i672, get32(i275 | 0) | 0, get8(i669 >> 0 | 0) | 0) | 0)) {
        i278 = (getU16(i683 | 0) & 48896 | 4) & 65535;
        set16(i683 | 0, i278 | 0);
        i1132 = i278;
        break;
       }
       i278 = getU16(i683 | 0) | 0;
       do if (!(i278 & 8)) {
        if (i278 & 4) {
         i695 = i672;
         d1133 = +((get32(i695 | 0) | 0) >>> 0) + 4294967296.0 * +(get32(i695 + 4 | 0) | 0);
         break;
        }
        if (!(i278 & 18)) d1133 = 0.0; else {
         setF64(i61 | 0, +(0.0));
         _sqlite3AtoF(get32(i691 | 0) | 0, i61, get32(i275 | 0) | 0, get8(i669 >> 0 | 0) | 0) | 0;
         d1133 = +getF64(i61 | 0);
        }
       } else d1133 = +getF64(i267 + (i290 * 40 | 0) + 8 | 0); while (0);
       setF64(i267 + (i290 * 40 | 0) + 8 | 0, +d1133);
       i669 = getU16(i683 | 0) & 48896;
       i275 = (i669 | 8) & 65535;
       set16(i683 | 0, i275 | 0);
       i691 = d1133 < -9223372036854775808.0 | d1133 > 9223372036854775808.0;
       i278 = +Math_abs(d1133) >= 1.0 ? (d1133 > 0.0 ? ~~+Math_min(+Math_floor(d1133 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d1133 - +(~~d1133 >>> 0)) / 4294967296.0) >>> 0) : 0;
       i695 = i691 ? 0 : ~~d1133 >>> 0;
       i690 = i691 ? -2147483648 : i278;
       i278 = i672;
       set32(i278 | 0, i695 | 0);
       set32(i278 + 4 | 0, i690 | 0);
       i278 = _i64Add(i695 | 0, i690 | 0, 1, -2147483648) | 0;
       i691 = tempRet0;
       if (d1133 != +(i695 >>> 0) + 4294967296.0 * +(i690 | 0) | (i691 >>> 0 < 0 | (i691 | 0) == 0 & i278 >>> 0 < 2)) i1132 = i275; else {
        i275 = (i669 | 12) & 65535;
        set16(i683 | 0, i275 | 0);
        i1132 = i275;
       }
      } else i1132 = i289; while (0);
      set16(i683 | 0, i1132 & 65517 | 0);
      i716 = i414;
      i717 = i415;
      i718 = i267;
      i719 = i268;
      i720 = i269;
      i721 = i270;
      i722 = i416;
      i723 = i417;
      i724 = i418;
      i725 = i274;
      break;
     }
    case 345:
     {
      i84 = 0;
      i289 = get32(i268 + (i423 * 20 | 0) + 4 | 0) | 0;
      i290 = i267 + (i289 * 40 | 0) + 28 | 0;
      i677 = get16(i290 | 0) | 0;
      if (!(i677 & 1)) {
       i682 = i677 & 65535;
       do if (!(i682 & 4)) {
        if (i682 & 8) {
         d1107 = +getF64(i267 + (i289 * 40 | 0) + 8 | 0);
         i275 = d1107 < -9223372036854775808.0 | d1107 > 9223372036854775808.0;
         i669 = +Math_abs(d1107) >= 1.0 ? (d1107 > 0.0 ? ~~+Math_min(+Math_floor(d1107 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d1107 - +(~~d1107 >>> 0)) / 4294967296.0) >>> 0) : 0;
         i1134 = i275 ? 0 : ~~d1107 >>> 0;
         i1135 = i275 ? -2147483648 : i669;
         i1136 = i677;
         break;
        }
        if (!(i682 & 18)) {
         i1134 = 0;
         i1135 = 0;
         i1136 = i677;
        } else {
         i669 = i61;
         set32(i669 | 0, 0 | 0);
         set32(i669 + 4 | 0, 0 | 0);
         _sqlite3Atoi64(get32(i267 + (i289 * 40 | 0) + 4 | 0) | 0, i61, get32(i267 + (i289 * 40 | 0) + 24 | 0) | 0, get8(i267 + (i289 * 40 | 0) + 31 >> 0 | 0) | 0) | 0;
         i669 = i61;
         i1134 = get32(i669 | 0) | 0;
         i1135 = get32(i669 + 4 | 0) | 0;
         i1136 = get16(i290 | 0) | 0;
        }
       } else {
        i669 = i267 + (i289 * 40 | 0) + 16 | 0;
        i1134 = get32(i669 | 0) | 0;
        i1135 = get32(i669 + 4 | 0) | 0;
        i1136 = i677;
       } while (0);
       i677 = i267 + (i289 * 40 | 0) + 16 | 0;
       set32(i677 | 0, i1134 | 0);
       set32(i677 + 4 | 0, i1135 | 0);
       set16(i290 | 0, i1136 & 48896 | 4 | 0);
       i716 = i419;
       i717 = i420;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i421;
       i723 = i422;
       i724 = i423;
       i725 = i274;
      } else {
       i716 = i419;
       i717 = i420;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i421;
       i723 = i422;
       i724 = i423;
       i725 = i274;
      }
      break;
     }
    case 353:
     {
      i84 = 0;
      i677 = get32(i268 + (i428 * 20 | 0) + 4 | 0) | 0;
      i682 = i267 + (i677 * 40 | 0) + 28 | 0;
      i683 = get16(i682 | 0) | 0;
      if (!(i683 & 1)) {
       i669 = i683 & 65535;
       do if (!(i669 & 8)) {
        if (i669 & 4) {
         i275 = i267 + (i677 * 40 | 0) + 16 | 0;
         d1137 = +((get32(i275 | 0) | 0) >>> 0) + 4294967296.0 * +(get32(i275 + 4 | 0) | 0);
         i1138 = i683;
         break;
        }
        if (!(i669 & 18)) {
         d1137 = 0.0;
         i1138 = i683;
        } else {
         setF64(i61 | 0, +(0.0));
         _sqlite3AtoF(get32(i267 + (i677 * 40 | 0) + 4 | 0) | 0, i61, get32(i267 + (i677 * 40 | 0) + 24 | 0) | 0, get8(i267 + (i677 * 40 | 0) + 31 >> 0 | 0) | 0) | 0;
         d1137 = +getF64(i61 | 0);
         i1138 = get16(i682 | 0) | 0;
        }
       } else {
        d1137 = +getF64(i267 + (i677 * 40 | 0) + 8 | 0);
        i1138 = i683;
       } while (0);
       setF64(i267 + (i677 * 40 | 0) + 8 | 0, +d1137);
       set16(i682 | 0, i1138 & 48896 | 8 | 0);
       i716 = i424;
       i717 = i425;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i426;
       i723 = i427;
       i724 = i428;
       i725 = i274;
      } else {
       i716 = i424;
       i717 = i425;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i426;
       i723 = i427;
       i724 = i428;
       i725 = i274;
      }
      break;
     }
    case 361:
     {
      i84 = 0;
      i683 = get32(i268 + (i435 * 20 | 0) + 4 | 0) | 0;
      i669 = i267 + (i683 * 40 | 0) | 0;
      i290 = get32(i268 + (i435 * 20 | 0) + 12 | 0) | 0;
      i289 = i267 + (i290 * 40 | 0) | 0;
      i275 = i267 + (i683 * 40 | 0) + 28 | 0;
      i278 = get16(i275 | 0) | 0;
      set16(i136 | 0, i278 | 0);
      i691 = i267 + (i290 * 40 | 0) + 28 | 0;
      i690 = get16(i691 | 0) | 0;
      set16(i101 | 0, i690 | 0);
      i695 = i268 + (i435 * 20 | 0) + 3 | 0;
      i291 = getU8(i695 >> 0 | 0) | 0;
      do if (!((i690 | i278) & 1)) {
       i276 = i291 & 103;
       set8(i100 >> 0 | 0, i276 | 0);
       switch (i276 << 24 >> 24) {
       case 0:
        {
         i1139 = i431;
         i1140 = i432;
         i1141 = i278;
         i1142 = i435;
         break;
        }
       case 97:
        {
         i276 = i278 & 65535;
         if ((i276 & 2 | 0) != 0 | (i276 & 12 | 0) == 0) i1143 = i278; else {
          _sqlite3VdbeMemStringify(i669, i96) | 0;
          i1143 = get16(i275 | 0) | 0;
         }
         set16(i275 | 0, i1143 & 65523 | 0);
         i84 = 381;
         break;
        }
       case 98:
        {
         i84 = 394;
         break;
        }
       default:
        {
         i276 = i278 & 65535;
         do if (((i276 & 12 | 0) == 0 ? (i277 = get8(i267 + (i683 * 40 | 0) + 31 >> 0 | 0) | 0, (i276 & 2 | 0) != 0) : 0) ? (i1009 = i267 + (i683 * 40 | 0) + 4 | 0, i670 = i267 + (i683 * 40 | 0) + 24 | 0, (_sqlite3AtoF(get32(i1009 | 0) | 0, i61, get32(i670 | 0) | 0, i277) | 0) != 0) : 0) if (!(_sqlite3Atoi64(get32(i1009 | 0) | 0, i62, get32(i670 | 0) | 0, i277) | 0)) {
          i277 = i62;
          i670 = get32(i277 + 4 | 0) | 0;
          i1009 = i267 + (i683 * 40 | 0) + 16 | 0;
          set32(i1009 | 0, get32(i277 | 0) | 0);
          set32(i1009 + 4 | 0, i670 | 0);
          set16(i275 | 0, getU16(i275 | 0) | 4 | 0);
          break;
         } else {
          setF64(i267 + (i683 * 40 | 0) + 8 | 0, +(+getF64(i61 | 0)));
          set16(i275 | 0, getU16(i275 | 0) | 8 | 0);
          break;
         } while (0);
         i276 = get16(i275 | 0) | 0;
         if ((i276 & 8) != 0 ? (d1107 = +getF64(i267 + (i683 * 40 | 0) + 8 | 0), i672 = d1107 < -9223372036854775808.0 | d1107 > 9223372036854775808.0, i670 = +Math_abs(d1107) >= 1.0 ? (d1107 > 0.0 ? ~~+Math_min(+Math_floor(d1107 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d1107 - +(~~d1107 >>> 0)) / 4294967296.0) >>> 0) : 0, i1009 = i672 ? 0 : ~~d1107 >>> 0, i277 = i672 ? -2147483648 : i670, i670 = i267 + (i683 * 40 | 0) + 16 | 0, set32(i670 | 0, i1009 | 0), set32(i670 + 4 | 0, i277 | 0), i670 = _i64Add(i1009 | 0, i277 | 0, 1, -2147483648) | 0, i672 = tempRet0, !(d1107 != +(i1009 >>> 0) + 4294967296.0 * +(i277 | 0) | (i672 >>> 0 < 0 | (i672 | 0) == 0 & i670 >>> 0 < 2))) : 0) {
          set16(i275 | 0, i276 & 65535 | 4 | 0);
          i84 = 381;
         } else i84 = 381;
        }
       }
       L2028 : do if ((i84 | 0) == 381) {
        i84 = 0;
        switch (get8(i100 >> 0 | 0) | 0) {
        case 98:
         {
          i84 = 394;
          break L2028;
          break;
         }
        case 97:
         {
          i276 = get16(i691 | 0) | 0;
          i670 = i276 & 65535;
          if ((i670 & 2 | 0) != 0 | (i670 & 12 | 0) == 0) i1144 = i276; else {
           _sqlite3VdbeMemStringify(i289, i96) | 0;
           i1144 = get16(i691 | 0) | 0;
          }
          set16(i691 | 0, i1144 & 65523 | 0);
          i84 = 394;
          break L2028;
          break;
         }
        default:
         {}
        }
        i276 = getU16(i691 | 0) | 0;
        do if (((i276 & 12 | 0) == 0 ? (i670 = get8(i267 + (i290 * 40 | 0) + 31 >> 0 | 0) | 0, (i276 & 2 | 0) != 0) : 0) ? (i672 = i267 + (i290 * 40 | 0) + 4 | 0, i277 = i267 + (i290 * 40 | 0) + 24 | 0, (_sqlite3AtoF(get32(i672 | 0) | 0, i61, get32(i277 | 0) | 0, i670) | 0) != 0) : 0) if (!(_sqlite3Atoi64(get32(i672 | 0) | 0, i62, get32(i277 | 0) | 0, i670) | 0)) {
         i670 = i62;
         i277 = get32(i670 + 4 | 0) | 0;
         i672 = i267 + (i290 * 40 | 0) + 16 | 0;
         set32(i672 | 0, get32(i670 | 0) | 0);
         set32(i672 + 4 | 0, i277 | 0);
         set16(i691 | 0, getU16(i691 | 0) | 4 | 0);
         break;
        } else {
         setF64(i267 + (i290 * 40 | 0) + 8 | 0, +(+getF64(i61 | 0)));
         set16(i691 | 0, getU16(i691 | 0) | 8 | 0);
         break;
        } while (0);
        i276 = get16(i691 | 0) | 0;
        if ((i276 & 8) != 0 ? (d1107 = +getF64(i267 + (i290 * 40 | 0) + 8 | 0), i277 = d1107 < -9223372036854775808.0 | d1107 > 9223372036854775808.0, i672 = +Math_abs(d1107) >= 1.0 ? (d1107 > 0.0 ? ~~+Math_min(+Math_floor(d1107 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d1107 - +(~~d1107 >>> 0)) / 4294967296.0) >>> 0) : 0, i670 = i277 ? 0 : ~~d1107 >>> 0, i1009 = i277 ? -2147483648 : i672, i672 = i267 + (i290 * 40 | 0) + 16 | 0, set32(i672 | 0, i670 | 0), set32(i672 + 4 | 0, i1009 | 0), i672 = _i64Add(i670 | 0, i1009 | 0, 1, -2147483648) | 0, i277 = tempRet0, !(d1107 != +(i670 >>> 0) + 4294967296.0 * +(i1009 | 0) | (i277 >>> 0 < 0 | (i277 | 0) == 0 & i672 >>> 0 < 2))) : 0) {
         set16(i691 | 0, i276 & 65535 | 4 | 0);
         i84 = 394;
        } else i84 = 394;
       } while (0);
       if ((i84 | 0) == 394) {
        i84 = 0;
        if (get8(i90 >> 0 | 0) | 0) {
         i78 = i90;
         i79 = i105;
         i80 = i431;
         i81 = i432;
         i82 = i435;
         i83 = i274;
         i84 = 2896;
         break L1;
        }
        i1139 = i431;
        i1140 = i432;
        i1141 = get16(i275 | 0) | 0;
        i1142 = i435;
       }
       if ((i1141 & 16384) != 0 ? (i276 = i267 + (i683 * 40 | 0) + 24 | 0, i672 = i267 + (i683 * 40 | 0) + 16 | 0, i277 = (get32(i672 | 0) | 0) + (get32(i276 | 0) | 0) | 0, (_sqlite3VdbeMemGrow(i669, (i277 | 0) < 1 ? 1 : i277, 1) | 0) == 0) : 0) {
        _memset((get32(i267 + (i683 * 40 | 0) + 4 | 0) | 0) + (get32(i276 | 0) | 0) | 0, 0, get32(i672 | 0) | 0) | 0;
        set32(i276 | 0, (get32(i276 | 0) | 0) + (get32(i672 | 0) | 0) | 0);
        set16(i275 | 0, getU16(i275 | 0) & 48639 | 0);
       }
       if ((get16(i691 | 0) & 16384) != 0 ? (i672 = i267 + (i290 * 40 | 0) + 24 | 0, i276 = i267 + (i290 * 40 | 0) + 16 | 0, i277 = (get32(i276 | 0) | 0) + (get32(i672 | 0) | 0) | 0, (_sqlite3VdbeMemGrow(i289, (i277 | 0) < 1 ? 1 : i277, 1) | 0) == 0) : 0) {
        _memset((get32(i267 + (i290 * 40 | 0) + 4 | 0) | 0) + (get32(i672 | 0) | 0) | 0, 0, get32(i276 | 0) | 0) | 0;
        set32(i672 | 0, (get32(i672 | 0) | 0) + (get32(i276 | 0) | 0) | 0);
        set16(i691 | 0, getU16(i691 | 0) & 48639 | 0);
       }
       i276 = _sqlite3MemCompare(i289, i669, get32(i268 + (i1142 * 20 | 0) + 16 | 0) | 0) | 0;
       set32(i65 | 0, i276 | 0);
       i1145 = i1139;
       i1146 = i1140;
       i1147 = get8(i429 >> 0 | 0) | 0;
       i1148 = i276;
       i1149 = i1142;
      } else {
       if (i291 & 128) {
        i276 = (i278 & 1 & i690 ^ 1) & 65535;
        set32(i65 | 0, i276 | 0);
        i1145 = i431;
        i1146 = i432;
        i1147 = i430;
        i1148 = i276;
        i1149 = i435;
        break;
       }
       if (i291 & 16) {
        i276 = get32(i268 + (i435 * 20 | 0) + 8 | 0) | 0;
        i672 = i267 + (i276 * 40 | 0) + 28 | 0;
        set16(i672 | 0, getU16(i672 | 0) & 48896 | 1 | 0);
        i716 = i431;
        i717 = i432;
        i718 = i267;
        i719 = i268;
        i720 = i269;
        i721 = i270;
        i722 = i433;
        i723 = i267 + (i276 * 40 | 0) | 0;
        i724 = i435;
        i725 = i274;
        break L1559;
       }
       if (!(i291 & 8)) {
        i716 = i431;
        i717 = i432;
        i718 = i267;
        i719 = i268;
        i720 = i269;
        i721 = i270;
        i722 = i433;
        i723 = i434;
        i724 = i435;
        i725 = i274;
        break L1559;
       }
       i716 = i431;
       i717 = i432;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i433;
       i723 = i434;
       i724 = (get32(i268 + (i435 * 20 | 0) + 8 | 0) | 0) + -1 | 0;
       i725 = i274;
       break L1559;
      } while (0);
      switch (i1147 & 255 | 0) {
      case 76:
       {
        i291 = (i1148 | 0) == 0 & 1;
        set32(i65 | 0, i291 | 0);
        i1150 = i291;
        break;
       }
      case 75:
       {
        i291 = (i1148 | 0) != 0 & 1;
        set32(i65 | 0, i291 | 0);
        i1150 = i291;
        break;
       }
      case 79:
       {
        i291 = i1148 >>> 31;
        set32(i65 | 0, i291 | 0);
        i1150 = i291;
        break;
       }
      case 78:
       {
        i291 = (i1148 | 0) < 1 & 1;
        set32(i65 | 0, i291 | 0);
        i1150 = i291;
        break;
       }
      case 77:
       {
        i291 = (i1148 | 0) > 0 & 1;
        set32(i65 | 0, i291 | 0);
        i1150 = i291;
        break;
       }
      default:
       {
        i291 = i1148 >>> 31 ^ 1;
        set32(i65 | 0, i291 | 0);
        i1150 = i291;
       }
      }
      if (!(get8(i695 >> 0 | 0) & 16)) if (!i1150) {
       i1151 = i434;
       i1152 = i1149;
      } else {
       i1151 = i434;
       i1152 = (get32(i268 + (i1149 * 20 | 0) + 8 | 0) | 0) + -1 | 0;
      } else {
       i291 = get32(i268 + (i1149 * 20 | 0) + 8 | 0) | 0;
       i690 = i267 + (i291 * 40 | 0) + 28 | 0;
       set16(i690 | 0, getU16(i690 | 0) & 48896 | 4 | 0);
       i690 = i267 + (i291 * 40 | 0) + 16 | 0;
       set32(i690 | 0, i1150 | 0);
       set32(i690 + 4 | 0, ((i1150 | 0) < 0) << 31 >> 31 | 0);
       i1151 = i267 + (i291 * 40 | 0) | 0;
       i1152 = i1149;
      }
      set16(i275 | 0, getU16(i136 | 0) & 255 | getU16(i275 | 0) & 65280 | 0);
      set16(i691 | 0, getU16(i101 | 0) & 255 | getU16(i691 | 0) & 65280 | 0);
      i716 = i1145;
      i717 = i1146;
      i718 = i267;
      i719 = i268;
      i720 = i269;
      i721 = i270;
      i722 = i433;
      i723 = i1151;
      i724 = i1152;
      i725 = i274;
      break;
     }
    case 415:
     {
      i84 = 0;
      i716 = i436;
      i717 = i437;
      i718 = i267;
      i719 = i268;
      i720 = get32(i268 + (i440 * 20 | 0) + 16 | 0) | 0;
      i721 = i270;
      i722 = i438;
      i723 = i439;
      i724 = i440;
      i725 = i274;
      break;
     }
    case 416:
     {
      i84 = 0;
      i291 = get32(i268 + (i445 * 20 | 0) + 12 | 0) | 0;
      set32(i65 | 0, i291 | 0);
      set32(i108 | 0, get32(i268 + (i445 * 20 | 0) + 16 | 0) | 0);
      set32(i101 | 0, get32(i268 + (i445 * 20 | 0) + 4 | 0) | 0);
      set32(i102 | 0, get32(i268 + (i445 * 20 | 0) + 8 | 0) | 0);
      set32(i100 | 0, 0 | 0);
      if ((i291 | 0) > 0) {
       i291 = (i269 | 0) == 0;
       i690 = 0;
       while (1) {
        if (i291) i1153 = i690; else i1153 = get32(i269 + (i690 << 2) | 0) | 0;
        set32(i137 | 0, i1153 | 0);
        i278 = get32(i108 | 0) | 0;
        i669 = get32(i278 + 12 + (i690 << 2) | 0) | 0;
        set32(i106 | 0, i669 | 0);
        set32(i138 | 0, getU8((get32(i278 + 8 | 0) | 0) + i690 >> 0 | 0) | 0);
        i278 = _sqlite3MemCompare(i267 + (((get32(i101 | 0) | 0) + i1153 | 0) * 40 | 0) | 0, i267 + (((get32(i102 | 0) | 0) + i1153 | 0) * 40 | 0) | 0, i669) | 0;
        if (i278) {
         i1154 = i278;
         break;
        }
        i690 = (get32(i100 | 0) | 0) + 1 | 0;
        set32(i100 | 0, i690 | 0);
        if ((i690 | 0) >= (get32(i65 | 0) | 0)) {
         i716 = i441;
         i717 = i442;
         i718 = i267;
         i719 = i268;
         i720 = 0;
         i721 = 0;
         i722 = i443;
         i723 = i444;
         i724 = i445;
         i725 = i274;
         break L1559;
        }
       }
       i716 = i441;
       i717 = i442;
       i718 = i267;
       i719 = i268;
       i720 = 0;
       i721 = (get32(i138 | 0) | 0) == 0 ? i1154 : 0 - i1154 | 0;
       i722 = i443;
       i723 = i444;
       i724 = i445;
       i725 = i274;
      } else {
       i716 = i441;
       i717 = i442;
       i718 = i267;
       i719 = i268;
       i720 = 0;
       i721 = i270;
       i722 = i443;
       i723 = i444;
       i724 = i445;
       i725 = i274;
      }
      break;
     }
    case 423:
     {
      i84 = 0;
      if ((i270 | 0) < 0) {
       i716 = i446;
       i717 = i447;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i448;
       i723 = i449;
       i724 = (get32(i268 + (i450 * 20 | 0) + 4 | 0) | 0) + -1 | 0;
       i725 = i274;
       break;
      }
      if (!i270) {
       i716 = i446;
       i717 = i447;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = 0;
       i722 = i448;
       i723 = i449;
       i724 = (get32(i268 + (i450 * 20 | 0) + 8 | 0) | 0) + -1 | 0;
       i725 = i274;
       break;
      } else {
       i716 = i446;
       i717 = i447;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i448;
       i723 = i449;
       i724 = (get32(i268 + (i450 * 20 | 0) + 12 | 0) | 0) + -1 | 0;
       i725 = i274;
       break;
      }
      break;
     }
    case 428:
     {
      i84 = 0;
      i690 = get32(i268 + (i455 * 20 | 0) + 4 | 0) | 0;
      i291 = get16(i267 + (i690 * 40 | 0) + 28 | 0) | 0;
      if (!(i291 & 1)) {
       i691 = i291 & 65535;
       do if (!(i691 & 4)) {
        if (i691 & 8) {
         d1107 = +getF64(i267 + (i690 * 40 | 0) + 8 | 0);
         i291 = d1107 < -9223372036854775808.0 | d1107 > 9223372036854775808.0;
         i275 = +Math_abs(d1107) >= 1.0 ? (d1107 > 0.0 ? ~~+Math_min(+Math_floor(d1107 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d1107 - +(~~d1107 >>> 0)) / 4294967296.0) >>> 0) : 0;
         i1155 = i291 ? 0 : ~~d1107 >>> 0;
         i1156 = i291 ? -2147483648 : i275;
         break;
        }
        if (!(i691 & 18)) {
         i1155 = 0;
         i1156 = 0;
        } else {
         i275 = i61;
         set32(i275 | 0, 0 | 0);
         set32(i275 + 4 | 0, 0 | 0);
         _sqlite3Atoi64(get32(i267 + (i690 * 40 | 0) + 4 | 0) | 0, i61, get32(i267 + (i690 * 40 | 0) + 24 | 0) | 0, get8(i267 + (i690 * 40 | 0) + 31 >> 0 | 0) | 0) | 0;
         i275 = i61;
         i1155 = get32(i275 | 0) | 0;
         i1156 = get32(i275 + 4 | 0) | 0;
        }
       } else {
        i275 = i267 + (i690 * 40 | 0) + 16 | 0;
        i1155 = get32(i275 | 0) | 0;
        i1156 = get32(i275 + 4 | 0) | 0;
       } while (0);
       i1157 = ((i1155 | 0) != 0 | (i1156 | 0) != 0) & 1;
      } else i1157 = 2;
      set32(i65 | 0, i1157 | 0);
      i690 = get32(i268 + (i455 * 20 | 0) + 8 | 0) | 0;
      i691 = get16(i267 + (i690 * 40 | 0) + 28 | 0) | 0;
      if (!(i691 & 1)) {
       i275 = i691 & 65535;
       do if (!(i275 & 4)) {
        if (i275 & 8) {
         d1107 = +getF64(i267 + (i690 * 40 | 0) + 8 | 0);
         i691 = d1107 < -9223372036854775808.0 | d1107 > 9223372036854775808.0;
         i291 = +Math_abs(d1107) >= 1.0 ? (d1107 > 0.0 ? ~~+Math_min(+Math_floor(d1107 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d1107 - +(~~d1107 >>> 0)) / 4294967296.0) >>> 0) : 0;
         i1158 = i1157;
         i1159 = i691 ? 0 : ~~d1107 >>> 0;
         i1160 = i691 ? -2147483648 : i291;
         break;
        }
        if (!(i275 & 18)) {
         i1158 = i1157;
         i1159 = 0;
         i1160 = 0;
        } else {
         i291 = i61;
         set32(i291 | 0, 0 | 0);
         set32(i291 + 4 | 0, 0 | 0);
         _sqlite3Atoi64(get32(i267 + (i690 * 40 | 0) + 4 | 0) | 0, i61, get32(i267 + (i690 * 40 | 0) + 24 | 0) | 0, get8(i267 + (i690 * 40 | 0) + 31 >> 0 | 0) | 0) | 0;
         i291 = i61;
         i1158 = get32(i65 | 0) | 0;
         i1159 = get32(i291 | 0) | 0;
         i1160 = get32(i291 + 4 | 0) | 0;
        }
       } else {
        i291 = i267 + (i690 * 40 | 0) + 16 | 0;
        i1158 = i1157;
        i1159 = get32(i291 | 0) | 0;
        i1160 = get32(i291 + 4 | 0) | 0;
       } while (0);
       i1161 = i1158;
       i1162 = ((i1159 | 0) != 0 | (i1160 | 0) != 0) & 1;
      } else {
       i1161 = i1157;
       i1162 = 2;
      }
      set32(i100 | 0, i1162 | 0);
      i690 = get8(((get8(i451 >> 0 | 0) | 0) == 69 ? 21226 : 21235) + ((i1161 * 3 | 0) + i1162) >> 0 | 0) | 0;
      set32(i65 | 0, i690 & 255 | 0);
      i275 = get32(i268 + (i455 * 20 | 0) + 12 | 0) | 0;
      i291 = i267 + (i275 * 40 | 0) | 0;
      if (i690 << 24 >> 24 == 2) {
       i691 = i267 + (i275 * 40 | 0) + 28 | 0;
       set16(i691 | 0, getU16(i691 | 0) & 48896 | 1 | 0);
       i716 = i452;
       i717 = i453;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i454;
       i723 = i291;
       i724 = i455;
       i725 = i274;
       break;
      } else {
       i691 = i267 + (i275 * 40 | 0) + 16 | 0;
       set32(i691 | 0, i690 & 255 | 0);
       set32(i691 + 4 | 0, 0 | 0);
       i691 = i267 + (i275 * 40 | 0) + 28 | 0;
       set16(i691 | 0, getU16(i691 | 0) & 48896 | 4 | 0);
       i716 = i452;
       i717 = i453;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i454;
       i723 = i291;
       i724 = i455;
       i725 = i274;
       break;
      }
      break;
     }
    case 447:
     {
      i84 = 0;
      i291 = get32(i268 + (i459 * 20 | 0) + 4 | 0) | 0;
      i691 = get32(i268 + (i459 * 20 | 0) + 8 | 0) | 0;
      i275 = i267 + (i691 * 40 | 0) | 0;
      i690 = get16(i267 + (i291 * 40 | 0) + 28 | 0) | 0;
      if (!(i690 & 1)) {
       i695 = i690 & 65535;
       do if (!(i695 & 4)) {
        if (i695 & 8) {
         d1107 = +getF64(i267 + (i291 * 40 | 0) + 8 | 0);
         i690 = d1107 < -9223372036854775808.0 | d1107 > 9223372036854775808.0;
         i278 = +Math_abs(d1107) >= 1.0 ? (d1107 > 0.0 ? ~~+Math_min(+Math_floor(d1107 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d1107 - +(~~d1107 >>> 0)) / 4294967296.0) >>> 0) : 0;
         i1163 = i690 ? 0 : ~~d1107 >>> 0;
         i1164 = i690 ? -2147483648 : i278;
         break;
        }
        if (!(i695 & 18)) {
         i1163 = 0;
         i1164 = 0;
        } else {
         i278 = i61;
         set32(i278 | 0, 0 | 0);
         set32(i278 + 4 | 0, 0 | 0);
         _sqlite3Atoi64(get32(i267 + (i291 * 40 | 0) + 4 | 0) | 0, i61, get32(i267 + (i291 * 40 | 0) + 24 | 0) | 0, get8(i267 + (i291 * 40 | 0) + 31 >> 0 | 0) | 0) | 0;
         i278 = i61;
         i1163 = get32(i278 | 0) | 0;
         i1164 = get32(i278 + 4 | 0) | 0;
        }
       } else {
        i278 = i267 + (i291 * 40 | 0) + 16 | 0;
        i1163 = get32(i278 | 0) | 0;
        i1164 = get32(i278 + 4 | 0) | 0;
       } while (0);
       _sqlite3VdbeMemReleaseExternal(i275);
       i291 = i267 + (i691 * 40 | 0) + 36 | 0;
       _sqlite3DbFree(get32(i275 | 0) | 0, get32(i291 | 0) | 0);
       set32(i267 + (i691 * 40 | 0) + 4 | 0, 0 | 0);
       set32(i291 | 0, 0 | 0);
       set32(i267 + (i691 * 40 | 0) + 32 | 0, 0 | 0);
       i291 = i267 + (i691 * 40 | 0) + 16 | 0;
       set32(i291 | 0, (i1163 | 0) == 0 & (i1164 | 0) == 0 & 1 | 0);
       set32(i291 + 4 | 0, 0 | 0);
       set16(i267 + (i691 * 40 | 0) + 28 | 0, 4 | 0);
       set8(i267 + (i691 * 40 | 0) + 30 >> 0 | 0, 1 | 0);
       i716 = i456;
       i717 = i457;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i458;
       i723 = i275;
       i724 = i459;
       i725 = i274;
       break;
      }
      i291 = i267 + (i691 * 40 | 0) + 28 | 0;
      i695 = get16(i291 | 0) | 0;
      if (i695 & 64) {
       i278 = get32(i267 + (i691 * 40 | 0) + 16 | 0) | 0;
       i690 = (get32(i278 | 0) | 0) + 172 | 0;
       set32(i278 + 60 | 0, get32(i690 | 0) | 0);
       set32(i690 | 0, i278 | 0);
      }
      if (!(i695 & 32)) i1165 = i695; else {
       i278 = get32(i267 + (i691 * 40 | 0) + 16 | 0) | 0;
       i690 = get32(i278 | 0) | 0;
       if (!i690) i1166 = i695; else {
        i695 = i278 + 4 | 0;
        i669 = i690;
        do {
         i690 = i669;
         i669 = get32(i669 | 0) | 0;
         _sqlite3DbFree(get32(i695 | 0) | 0, i690);
        } while ((i669 | 0) != 0);
        i1166 = get16(i291 | 0) | 0;
       }
       set32(i278 | 0, 0 | 0);
       set16(i278 + 24 | 0, 0 | 0);
       set32(i278 + 8 | 0, 0 | 0);
       set32(i278 + 12 | 0, 0 | 0);
       set32(i278 + 20 | 0, 0 | 0);
       set8(i278 + 26 >> 0 | 0, 1 | 0);
       i1165 = i1166;
      }
      set16(i291 | 0, i1165 & 48896 | 1 | 0);
      set8(i267 + (i691 * 40 | 0) + 30 >> 0 | 0, 5 | 0);
      i716 = i456;
      i717 = i457;
      i718 = i267;
      i719 = i268;
      i720 = i269;
      i721 = i270;
      i722 = i458;
      i723 = i275;
      i724 = i459;
      i725 = i274;
      break;
     }
    case 464:
     {
      i84 = 0;
      i669 = get32(i268 + (i463 * 20 | 0) + 4 | 0) | 0;
      i695 = get32(i268 + (i463 * 20 | 0) + 8 | 0) | 0;
      i690 = i267 + (i695 * 40 | 0) | 0;
      i289 = get16(i267 + (i669 * 40 | 0) + 28 | 0) | 0;
      if (!(i289 & 1)) {
       i290 = i289 & 65535;
       do if (!(i290 & 4)) {
        if (i290 & 8) {
         d1107 = +getF64(i267 + (i669 * 40 | 0) + 8 | 0);
         i289 = d1107 < -9223372036854775808.0 | d1107 > 9223372036854775808.0;
         i683 = +Math_abs(d1107) >= 1.0 ? (d1107 > 0.0 ? ~~+Math_min(+Math_floor(d1107 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d1107 - +(~~d1107 >>> 0)) / 4294967296.0) >>> 0) : 0;
         i1167 = i289 ? 0 : ~~d1107 >>> 0;
         i1168 = i289 ? -2147483648 : i683;
         break;
        }
        if (!(i290 & 18)) {
         i1167 = 0;
         i1168 = 0;
        } else {
         i683 = i61;
         set32(i683 | 0, 0 | 0);
         set32(i683 + 4 | 0, 0 | 0);
         _sqlite3Atoi64(get32(i267 + (i669 * 40 | 0) + 4 | 0) | 0, i61, get32(i267 + (i669 * 40 | 0) + 24 | 0) | 0, get8(i267 + (i669 * 40 | 0) + 31 >> 0 | 0) | 0) | 0;
         i683 = i61;
         i1167 = get32(i683 | 0) | 0;
         i1168 = get32(i683 + 4 | 0) | 0;
        }
       } else {
        i683 = i267 + (i669 * 40 | 0) + 16 | 0;
        i1167 = get32(i683 | 0) | 0;
        i1168 = get32(i683 + 4 | 0) | 0;
       } while (0);
       _sqlite3VdbeMemReleaseExternal(i690);
       i669 = i267 + (i695 * 40 | 0) + 36 | 0;
       _sqlite3DbFree(get32(i690 | 0) | 0, get32(i669 | 0) | 0);
       set32(i267 + (i695 * 40 | 0) + 4 | 0, 0 | 0);
       set32(i669 | 0, 0 | 0);
       set32(i267 + (i695 * 40 | 0) + 32 | 0, 0 | 0);
       i669 = i267 + (i695 * 40 | 0) + 16 | 0;
       set32(i669 | 0, ~i1167 | 0);
       set32(i669 + 4 | 0, ~i1168 | 0);
       set16(i267 + (i695 * 40 | 0) + 28 | 0, 4 | 0);
       set8(i267 + (i695 * 40 | 0) + 30 >> 0 | 0, 1 | 0);
       i716 = i460;
       i717 = i461;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i462;
       i723 = i690;
       i724 = i463;
       i725 = i274;
       break;
      }
      i669 = i267 + (i695 * 40 | 0) + 28 | 0;
      i290 = get16(i669 | 0) | 0;
      if (i290 & 64) {
       i275 = get32(i267 + (i695 * 40 | 0) + 16 | 0) | 0;
       i691 = (get32(i275 | 0) | 0) + 172 | 0;
       set32(i275 + 60 | 0, get32(i691 | 0) | 0);
       set32(i691 | 0, i275 | 0);
      }
      if (!(i290 & 32)) i1169 = i290; else {
       i275 = get32(i267 + (i695 * 40 | 0) + 16 | 0) | 0;
       i691 = get32(i275 | 0) | 0;
       if (!i691) i1170 = i290; else {
        i290 = i275 + 4 | 0;
        i291 = i691;
        do {
         i691 = i291;
         i291 = get32(i291 | 0) | 0;
         _sqlite3DbFree(get32(i290 | 0) | 0, i691);
        } while ((i291 | 0) != 0);
        i1170 = get16(i669 | 0) | 0;
       }
       set32(i275 | 0, 0 | 0);
       set16(i275 + 24 | 0, 0 | 0);
       set32(i275 + 8 | 0, 0 | 0);
       set32(i275 + 12 | 0, 0 | 0);
       set32(i275 + 20 | 0, 0 | 0);
       set8(i275 + 26 >> 0 | 0, 1 | 0);
       i1169 = i1170;
      }
      set16(i669 | 0, i1169 & 48896 | 1 | 0);
      set8(i267 + (i695 * 40 | 0) + 30 >> 0 | 0, 5 | 0);
      i716 = i460;
      i717 = i461;
      i718 = i267;
      i719 = i268;
      i720 = i269;
      i721 = i270;
      i722 = i462;
      i723 = i690;
      i724 = i463;
      i725 = i274;
      break;
     }
    case 481:
     {
      i84 = 0;
      i291 = get32(i268 + (i469 * 20 | 0) + 4 | 0) | 0;
      i290 = get16(i267 + (i291 * 40 | 0) + 28 | 0) | 0;
      if (!(i290 & 1)) {
       i691 = i290 & 65535;
       do if (!(i691 & 8)) {
        if (i691 & 4) {
         i290 = i267 + (i291 * 40 | 0) + 16 | 0;
         d1171 = +((get32(i290 | 0) | 0) >>> 0) + 4294967296.0 * +(get32(i290 + 4 | 0) | 0);
         break;
        }
        if (!(i691 & 18)) d1171 = 0.0; else {
         setF64(i61 | 0, +(0.0));
         _sqlite3AtoF(get32(i267 + (i291 * 40 | 0) + 4 | 0) | 0, i61, get32(i267 + (i291 * 40 | 0) + 24 | 0) | 0, get8(i267 + (i291 * 40 | 0) + 31 >> 0 | 0) | 0) | 0;
         d1171 = +getF64(i61 | 0);
        }
       } else d1171 = +getF64(i267 + (i291 * 40 | 0) + 8 | 0); while (0);
       i291 = d1171 != 0.0 & 1;
       set32(i65 | 0, i291 | 0);
       if ((get8(i464 >> 0 | 0) | 0) == 27) {
        i691 = i291 ^ 1;
        set32(i65 | 0, i691 | 0);
        i1172 = i691;
       } else i1172 = i291;
      } else {
       i291 = get32(i268 + (i469 * 20 | 0) + 12 | 0) | 0;
       set32(i65 | 0, i291 | 0);
       i1172 = i291;
      }
      if (!i1172) {
       i716 = i465;
       i717 = i466;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i467;
       i723 = i468;
       i724 = i469;
       i725 = i274;
      } else {
       i716 = i465;
       i717 = i466;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i467;
       i723 = i468;
       i724 = (get32(i268 + (i469 * 20 | 0) + 8 | 0) | 0) + -1 | 0;
       i725 = i274;
      }
      break;
     }
    case 493:
     {
      i84 = 0;
      if (!(get16(i267 + ((get32(i268 + (i474 * 20 | 0) + 4 | 0) | 0) * 40 | 0) + 28 | 0) & 1)) {
       i716 = i470;
       i717 = i471;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i472;
       i723 = i473;
       i724 = i474;
       i725 = i274;
      } else {
       i716 = i470;
       i717 = i471;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i472;
       i723 = i473;
       i724 = (get32(i268 + (i474 * 20 | 0) + 8 | 0) | 0) + -1 | 0;
       i725 = i274;
      }
      break;
     }
    case 495:
     {
      i84 = 0;
      if (!(get16(i267 + ((get32(i268 + (i479 * 20 | 0) + 4 | 0) | 0) * 40 | 0) + 28 | 0) & 1)) {
       i716 = i475;
       i717 = i476;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i477;
       i723 = i478;
       i724 = (get32(i268 + (i479 * 20 | 0) + 8 | 0) | 0) + -1 | 0;
       i725 = i274;
      } else {
       i716 = i475;
       i717 = i476;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i477;
       i723 = i478;
       i724 = i479;
       i725 = i274;
      }
      break;
     }
    case 497:
     {
      i84 = 0;
      i291 = get32(i268 + (i484 * 20 | 0) + 4 | 0) | 0;
      set32(i108 | 0, i291 | 0);
      set32(i137 | 0, get32(i268 + (i484 * 20 | 0) + 8 | 0) | 0);
      set32(i106 | 0, 0 | 0);
      i698 = i139;
      i700 = i698 + 40 | 0;
      do {
       set32(i698 | 0, 0 | 0);
       i698 = i698 + 4 | 0;
      } while ((i698 | 0) < (i700 | 0));
      i691 = get32(i268 + (i484 * 20 | 0) + 12 | 0) | 0;
      set32(i140 | 0, i267 + (i691 * 40 | 0) | 0);
      i690 = i267 + (i691 * 40 | 0) + 28 | 0;
      set16(i690 | 0, getU16(i690 | 0) & 48896 | 1 | 0);
      set32(i141 | 0, 0 | 0);
      i690 = get32((get32(i142 | 0) | 0) + (i291 << 2) | 0) | 0;
      set32(i106 | 0, i690 | 0);
      i691 = get32(i690 | 0) | 0;
      set32(i107 | 0, i691 | 0);
      do if (!i691) {
       i695 = get32(i690 + 16 | 0) | 0;
       if ((i695 | 0) <= 0) {
        set32(i65 | 0, 0 | 0);
        i716 = i480;
        i717 = i481;
        i718 = i267;
        i719 = i268;
        i720 = i269;
        i721 = i270;
        i722 = i482;
        i723 = i483;
        i724 = i484;
        i725 = i274;
        break L1559;
       }
       set32(i143 | 0, i267 + (i695 * 40 | 0) | 0);
       i669 = get32(i267 + (i695 * 40 | 0) + 24 | 0) | 0;
       set32(i65 | 0, i669 | 0);
       set32(i141 | 0, get32(i267 + (i695 * 40 | 0) + 4 | 0) | 0);
       if (!(get8(i268 + (i484 * 20 | 0) + 3 >> 0 | 0) & 32)) i1173 = get32(i144 | 0) | 0; else i1173 = 0;
       set32(i690 + 76 | 0, i1173 | 0);
       i1174 = i669;
      } else {
       i669 = _sqlite3VdbeCursorMoveto(i690) | 0;
       if (i669) {
        i780 = i480;
        i781 = i481;
        i782 = i484;
        i783 = i669;
        i784 = i274;
        break L6;
       }
       i669 = get32(i106 | 0) | 0;
       if (get8(i669 + 28 >> 0 | 0) | 0) {
        set32(i65 | 0, 0 | 0);
        i716 = i480;
        i717 = i481;
        i718 = i267;
        i719 = i268;
        i720 = i269;
        i721 = i270;
        i722 = i482;
        i723 = i483;
        i724 = i484;
        i725 = i274;
        break L1559;
       }
       if ((get32(i669 + 76 | 0) | 0) == (get32(i144 | 0) | 0)) {
        i695 = get32(i669 + 80 | 0) | 0;
        set32(i65 | 0, i695 | 0);
        set32(i141 | 0, get32(i669 + 92 | 0) | 0);
        i1174 = i695;
        break;
       }
       i695 = get32(i107 | 0) | 0;
       if (!(get8(i669 + 31 >> 0 | 0) | 0)) {
        if (!(get16(i695 + 58 | 0) | 0)) {
         i669 = get16(i695 + 90 | 0) | 0;
         i275 = get32(i695 + 132 + (i669 << 2) | 0) | 0;
         i290 = get32(i275 + 64 | 0) | 0;
         i278 = (getU16(i275 + 12 | 0) | 0) + (getU16(i695 + 92 + (i669 << 1) | 0) << 1) | 0;
         _btreeParseCellPtr(i275, i290 + ((getU8(i290 + i278 >> 0 | 0) << 8 | getU8(i290 + (i278 + 1) >> 0 | 0)) & getU16(i275 + 18 | 0)) | 0, i695 + 32 | 0);
         set8(i695 + 82 >> 0 | 0, 1 | 0);
        }
        i275 = get32(i695 + 44 | 0) | 0;
        set32(i65 | 0, i275 | 0);
        i1174 = i275;
        break;
       }
       if ((get8(i695 + 83 >> 0 | 0) | 0) == 1) {
        i275 = i695 + 32 | 0;
        if (!(get16(i695 + 58 | 0) | 0)) {
         i278 = get16(i695 + 90 | 0) | 0;
         i290 = get32(i695 + 132 + (i278 << 2) | 0) | 0;
         i669 = get32(i290 + 64 | 0) | 0;
         i683 = (getU16(i290 + 12 | 0) | 0) + (getU16(i695 + 92 + (i278 << 1) | 0) << 1) | 0;
         _btreeParseCellPtr(i290, i669 + ((getU8(i669 + i683 >> 0 | 0) << 8 | getU8(i669 + (i683 + 1) >> 0 | 0)) & getU16(i290 + 18 | 0)) | 0, i275);
         set8(i695 + 82 >> 0 | 0, 1 | 0);
        }
        i695 = i275;
        i1175 = get32(i695 | 0) | 0;
        i1176 = get32(i695 + 4 | 0) | 0;
       } else {
        i1175 = 0;
        i1176 = 0;
       }
       i695 = i101;
       set32(i695 | 0, i1175 | 0);
       set32(i695 + 4 | 0, i1176 | 0);
       set32(i65 | 0, i1175 | 0);
       i1174 = i1175;
      } while (0);
      if (i1174) {
       if (i1174 >>> 0 > (get32(i98 | 0) | 0) >>> 0) {
        i678 = i480;
        i679 = i481;
        i680 = i484;
        i681 = i274;
        i84 = 2895;
        break L6;
       }
       i690 = get32(i106 | 0) | 0;
       i691 = get32(i690 + 20 | 0) | 0;
       set32(i145 | 0, i691 | 0);
       i291 = get32(i690 + 84 | 0) | 0;
       set32(i146 | 0, i291 | 0);
       i695 = i690 + 76 | 0;
       i275 = get32(i144 | 0) | 0;
       if ((get32(i695 | 0) | 0) == (i275 | 0)) {
        i290 = get32(i690 + 88 | 0) | 0;
        set32(i147 | 0, i290 | 0);
        i1177 = i290;
       } else {
        set32(i153 | 0, 0 | 0);
        i290 = i291 + (i691 << 2) | 0;
        set32(i147 | 0, i290 | 0);
        set32(i690 + 88 | 0, i290 | 0);
        set32(i690 + 80 | 0, i1174 | 0);
        set32(i695 | 0, i275 | 0);
        i275 = get32(i141 | 0) | 0;
        do if (!i275) {
         i695 = get32(i107 | 0) | 0;
         i290 = (get8(i695 + 83 >> 0 | 0) | 0) == 1;
         if (!(get8(i690 + 31 >> 0 | 0) | 0)) if (i290) {
          i691 = get16(i695 + 90 | 0) | 0;
          i291 = get32(i695 + 132 + (i691 << 2) | 0) | 0;
          i683 = i695 + 32 | 0;
          if (!(get16(i695 + 58 | 0) | 0)) {
           i669 = get32(i291 + 64 | 0) | 0;
           i278 = (getU16(i291 + 12 | 0) | 0) + (getU16(i695 + 92 + (i691 << 1) | 0) << 1) | 0;
           _btreeParseCellPtr(i291, i669 + ((getU8(i669 + i278 >> 0 | 0) << 8 | getU8(i669 + (i278 + 1) >> 0 | 0)) & getU16(i291 + 18 | 0)) | 0, i683);
          }
          if (!(get8(i291 + 2 >> 0 | 0) | 0)) i1178 = get32(i683 | 0) | 0; else i1178 = 0;
          i683 = (getU16(i695 + 54 | 0) | 0) - i1178 | 0;
          i291 = (get32(i695 + 40 | 0) | 0) + (i1178 + (getU16(i695 + 52 | 0) | 0)) | 0;
          set32(i153 | 0, i683 | 0);
          i1179 = i683;
          i1180 = i291;
         } else {
          i1179 = 0;
          i1180 = 0;
         } else if (i290) {
          i290 = get16(i695 + 90 | 0) | 0;
          i291 = get32(i695 + 132 + (i290 << 2) | 0) | 0;
          if (!(get16(i695 + 58 | 0) | 0)) {
           i683 = get32(i291 + 64 | 0) | 0;
           i278 = (getU16(i291 + 12 | 0) | 0) + (getU16(i695 + 92 + (i290 << 1) | 0) << 1) | 0;
           _btreeParseCellPtr(i291, i683 + ((getU8(i683 + i278 >> 0 | 0) << 8 | getU8(i683 + (i278 + 1) >> 0 | 0)) & getU16(i291 + 18 | 0)) | 0, i695 + 32 | 0);
          }
          i291 = getU16(i695 + 54 | 0) | 0;
          i278 = (get32(i695 + 40 | 0) | 0) + (getU16(i695 + 52 | 0) | 0) | 0;
          set32(i153 | 0, i291 | 0);
          i1179 = i291;
          i1180 = i278;
         } else {
          i1179 = 0;
          i1180 = 0;
         }
         set32(i152 | 0, i1180 | 0);
         i278 = i1180;
         if ((get32(i65 | 0) | 0) >>> 0 > i1179 >>> 0) {
          set32((get32(i106 | 0) | 0) + 92 | 0, 0 | 0);
          i1181 = i1180;
          break;
         } else {
          set32(i141 | 0, i278 | 0);
          set32((get32(i106 | 0) | 0) + 92 | 0, i278 | 0);
          i1181 = i1180;
          break;
         }
        } else {
         set32(i152 | 0, i275 | 0);
         i1181 = i275;
        } while (0);
        i275 = get8(i1181 >> 0 | 0) | 0;
        if (i275 << 24 >> 24 <= -1) {
         i690 = i275 & 255;
         i278 = getU8(i1181 + 1 >> 0 | 0) | 0;
         do if (i278 & 128) {
          i291 = getU8(i1181 + 2 >> 0 | 0) | 0;
          if (!(i291 & 128)) {
           i695 = (i291 | i690 << 14) & 2080895 | i278 << 7 & 16256;
           set32(i154 | 0, i695 | 0);
           i1182 = 3;
           i1183 = i695;
           break;
          } else {
           i695 = _sqlite3GetVarint(i1181, i61) | 0;
           i291 = i61;
           i683 = get32(i291 | 0) | 0;
           i290 = ((i683 | 0) == (i683 | 0) ? 0 == (get32(i291 + 4 | 0) | 0) : 0) ? i683 : -1;
           set32(i154 | 0, i290 | 0);
           i1182 = i695;
           i1183 = i290;
           break;
          }
         } else {
          i290 = i278 | i690 << 7 & 16256;
          set32(i154 | 0, i290 | 0);
          i1182 = 2;
          i1183 = i290;
         } while (0);
         i690 = i1182 & 255;
         set32(i155 | 0, i690 | 0);
         if (i1183 >>> 0 > 98307) {
          i1184 = i480;
          i1185 = i481;
          i1186 = i484;
          i1187 = i274;
          i84 = 545;
          break L6;
         } else {
          i1188 = i690;
          i1189 = i1183;
         }
        } else {
         i690 = i275 & 255;
         set32(i154 | 0, i690 | 0);
         set32(i155 | 0, 1 | 0);
         i1188 = 1;
         i1189 = i690;
        }
        i690 = get32(i145 | 0) | 0;
        i278 = (i690 * 5 | 0) + 3 | 0;
        i290 = (i278 | 0) > (i1189 | 0) ? i1189 : i278;
        set32(i150 | 0, i290 | 0);
        if ((get32(i141 | 0) | 0) == 0 ? (get32(i153 | 0) | 0) < (i290 | 0) : 0) {
         set16(i156 | 0, 0 | 0);
         set32(i139 | 0, 0 | 0);
         i278 = _sqlite3VdbeMemFromBtree(get32(i107 | 0) | 0, 0, i290, getU8((get32(i106 | 0) | 0) + 31 >> 0 | 0) | 0, i139) | 0;
         if (i278) {
          i810 = i480;
          i811 = i481;
          i812 = i484;
          i813 = i278;
          i814 = i274;
          i84 = 2888;
          break L6;
         }
         set32(i152 | 0, get32(i149 | 0) | 0);
         i1190 = get32(i150 | 0) | 0;
         i1191 = get32(i155 | 0) | 0;
         i1192 = get32(i145 | 0) | 0;
        } else {
         i1190 = i290;
         i1191 = i1188;
         i1192 = i690;
        }
        i690 = get32(i152 | 0) | 0;
        i290 = i690 + i1190 | 0;
        set32(i157 | 0, i290 | 0);
        i278 = i690 + i1191 | 0;
        set32(i158 | 0, i278 | 0);
        set32(i159 | 0, 0 | 0);
        L2263 : do if ((i1192 | 0) > 0) {
         i690 = i278;
         i695 = i290;
         i683 = 0;
         while (1) {
          if (i690 >>> 0 < i695 >>> 0) {
           set32((get32(i147 | 0) | 0) + (i683 << 2) | 0, get32(i154 | 0) | 0);
           i291 = get8(i690 >> 0 | 0) | 0;
           if (i291 << 24 >> 24 > -1) {
            i669 = get32(i146 | 0) | 0;
            set32(i669 + (get32(i159 | 0) << 2) | 0, i291 & 255 | 0);
            i1193 = i690;
            i1194 = 1;
            i1195 = i669;
           } else {
            i669 = get32(i146 | 0) | 0;
            i691 = i669 + (get32(i159 | 0) << 2) | 0;
            i289 = i291 & 255;
            i291 = getU8(i690 + 1 >> 0 | 0) | 0;
            do if (i291 & 128) {
             i682 = getU8(i690 + 2 >> 0 | 0) | 0;
             if (!(i682 & 128)) {
              set32(i691 | 0, (i682 | i289 << 14) & 2080895 | i291 << 7 & 16256 | 0);
              i1196 = 3;
              i1197 = i690;
              i1198 = i669;
              break;
             } else {
              i682 = _sqlite3GetVarint(i690, i61) | 0;
              i677 = i61;
              i276 = get32(i677 | 0) | 0;
              set32(i691 | 0, (((i276 | 0) == (i276 | 0) ? 0 == (get32(i677 + 4 | 0) | 0) : 0) ? i276 : -1) | 0);
              i1196 = i682;
              i1197 = get32(i158 | 0) | 0;
              i1198 = get32(i146 | 0) | 0;
              break;
             }
            } else {
             set32(i691 | 0, i291 | i289 << 7 & 16256 | 0);
             i1196 = 2;
             i1197 = i690;
             i1198 = i669;
            } while (0);
            i1193 = i1197;
            i1194 = i1196 & 255;
            i1195 = i1198;
           }
           i669 = i1193 + i1194 | 0;
           set32(i158 | 0, i669 | 0);
           i289 = get32(i159 | 0) | 0;
           i291 = get32(i1195 + (i289 << 2) | 0) | 0;
           if (i291 >>> 0 > 11) i1199 = (i291 + -12 | 0) >>> 1; else i1199 = getU8(21914 + i291 >> 0 | 0) | 0;
           set32(i160 | 0, i1199 | 0);
           i291 = (get32(i154 | 0) | 0) + i1199 | 0;
           set32(i154 | 0, i291 | 0);
           if (i291 >>> 0 < i1199 >>> 0) break; else {
            i1200 = i669;
            i1201 = i289;
           }
          } else {
           set32((get32(i147 | 0) | 0) + (i683 << 2) | 0, 0 | 0);
           i1200 = i690;
           i1201 = get32(i159 | 0) | 0;
          }
          i289 = i1201 + 1 | 0;
          set32(i159 | 0, i289 | 0);
          if ((i289 | 0) >= (get32(i145 | 0) | 0)) break L2263;
          i690 = i1200;
          i695 = get32(i157 | 0) | 0;
          i683 = i289;
         }
         set32(i158 | 0, (get32(i157 | 0) | 0) + 1 | 0);
        } while (0);
        _sqlite3VdbeMemReleaseExternal(i139);
        _sqlite3DbFree(get32(i139 | 0) | 0, get32(i148 | 0) | 0);
        set32(i149 | 0, 0 | 0);
        set32(i148 | 0, 0 | 0);
        set32(i151 | 0, 0 | 0);
        set16(i156 | 0, 1 | 0);
        i290 = get32(i158 | 0) | 0;
        i278 = get32(i157 | 0) | 0;
        if (i290 >>> 0 > i278 >>> 0) {
         i1202 = i480;
         i1203 = i481;
         i1204 = i484;
         i1205 = i274;
         i84 = 572;
         break L6;
        }
        i275 = get32(i154 | 0) | 0;
        i683 = get32(i65 | 0) | 0;
        if (i275 >>> 0 > i683 >>> 0) {
         i1202 = i480;
         i1203 = i481;
         i1204 = i484;
         i1205 = i274;
         i84 = 572;
         break L6;
        }
        if (!((i290 | 0) != (i278 | 0) | (i275 | 0) == (i683 | 0))) {
         i1202 = i480;
         i1203 = i481;
         i1204 = i484;
         i1205 = i274;
         i84 = 572;
         break L6;
        }
        i1177 = get32(i147 | 0) | 0;
       }
       i683 = get32(i137 | 0) | 0;
       if (!(get32(i1177 + (i683 << 2) | 0) | 0)) {
        if ((get8(i268 + (i484 * 20 | 0) + 1 >> 0 | 0) | 0) == -8 ? (i275 = get32(i140 | 0) | 0, i278 = get32(i268 + (i484 * 20 | 0) + 16 | 0) | 0, _sqlite3VdbeMemReleaseExternal(i275), set32(i275 | 0, get32(i278 | 0) | 0), set32(i275 + 4 | 0, get32(i278 + 4 | 0) | 0), set32(i275 + 8 | 0, get32(i278 + 8 | 0) | 0), set32(i275 + 12 | 0, get32(i278 + 12 | 0) | 0), set32(i275 + 16 | 0, get32(i278 + 16 | 0) | 0), set32(i275 + 20 | 0, get32(i278 + 20 | 0) | 0), set32(i275 + 24 | 0, get32(i278 + 24 | 0) | 0), set32(i275 + 28 | 0, get32(i278 + 28 | 0) | 0), set32(i275 + 32 | 0, 0 | 0), (get16(i278 + 28 | 0) & 2048) == 0) : 0) {
         i278 = i275 + 28 | 0;
         set16(i278 | 0, getU16(i278 | 0) & 58367 | 2048 | 0);
        }
       } else {
        if (!(get32(i141 | 0) | 0)) {
         i278 = get32((get32(i146 | 0) | 0) + (i683 << 2) | 0) | 0;
         if (i278 >>> 0 > 11) i1206 = (i278 + -12 | 0) >>> 1; else i1206 = getU8(21914 + i278 >> 0 | 0) | 0;
         set32(i150 | 0, i1206 | 0);
         i278 = get32(i140 | 0) | 0;
         _sqlite3VdbeMemReleaseExternal(i139);
         _sqlite3DbFree(get32(i139 | 0) | 0, get32(i148 | 0) | 0);
         set32(i149 | 0, 0 | 0);
         set32(i148 | 0, 0 | 0);
         set32(i151 | 0, 0 | 0);
         i698 = i139;
         i699 = i278;
         i700 = i698 + 40 | 0;
         do {
          set32(i698 | 0, get32(i699 | 0) | 0);
          i698 = i698 + 4 | 0;
          i699 = i699 + 4 | 0;
         } while ((i698 | 0) < (i700 | 0));
         set16(i278 + 28 | 0, 1 | 0);
         set32(i278 + 32 | 0, 0 | 0);
         set32(i278 + 36 | 0, 0 | 0);
         i683 = _sqlite3VdbeMemFromBtree(get32(i107 | 0) | 0, get32((get32(i147 | 0) | 0) + (get32(i137 | 0) << 2) | 0) | 0, get32(i150 | 0) | 0, getU8((get32(i106 | 0) | 0) + 31 >> 0 | 0) | 0, i139) | 0;
         if (i683) {
          i810 = i480;
          i811 = i481;
          i812 = i484;
          i813 = i683;
          i814 = i274;
          i84 = 2888;
          break L6;
         }
         i683 = get32(i149 | 0) | 0;
         set32(i152 | 0, i683 | 0);
         _sqlite3VdbeSerialGet(i683, get32((get32(i146 | 0) | 0) + (get32(i137 | 0) << 2) | 0) | 0, get32(i140 | 0) | 0) | 0;
        } else {
         _sqlite3VdbeMemReleaseExternal(get32(i140 | 0) | 0);
         i683 = get32(i137 | 0) | 0;
         _sqlite3VdbeSerialGet((get32(i141 | 0) | 0) + (get32((get32(i147 | 0) | 0) + (i683 << 2) | 0) | 0) | 0, get32((get32(i146 | 0) | 0) + (i683 << 2) | 0) | 0, get32(i140 | 0) | 0) | 0;
        }
        set8((get32(i140 | 0) | 0) + 31 >> 0 | 0, i71 | 0);
       }
       i683 = get32(i148 | 0) | 0;
       if (!i683) {
        i275 = get32(i140 | 0) | 0;
        i1207 = i275;
        i1208 = get16(i275 + 28 | 0) | 0;
       } else {
        i275 = get32(i140 | 0) | 0;
        i290 = i275 + 28 | 0;
        i695 = (getU16(i290 | 0) & 58879 | 512) & 65535;
        set16(i290 | 0, i695 | 0);
        set32(i275 + 4 | 0, get32(i149 | 0) | 0);
        set32(i275 + 36 | 0, i683 | 0);
        i1207 = i275;
        i1208 = i695;
       }
       i695 = i1207 + 28 | 0;
       do if (i1208 & 16384) {
        i275 = i1207 + 24 | 0;
        i683 = i1207 + 16 | 0;
        i290 = (get32(i683 | 0) | 0) + (get32(i275 | 0) | 0) | 0;
        if (!(_sqlite3VdbeMemGrow(i1207, (i290 | 0) < 1 ? 1 : i290, 1) | 0)) {
         _memset((get32(i1207 + 4 | 0) | 0) + (get32(i275 | 0) | 0) | 0, 0, get32(i683 | 0) | 0) | 0;
         set32(i275 | 0, (get32(i275 | 0) | 0) + (get32(i683 | 0) | 0) | 0);
         i683 = getU16(i695 | 0) & 48639;
         set16(i695 | 0, i683 | 0);
         i1209 = i683;
         break;
        } else {
         i1209 = get16(i695 | 0) | 0;
         break;
        }
       } else i1209 = i1208; while (0);
       if ((i1209 & 18) != 0 ? (i278 = i1207 + 4 | 0, (get32(i278 | 0) | 0) != (get32(i1207 + 36 | 0) | 0)) : 0) {
        i683 = i1207 + 24 | 0;
        if (_sqlite3VdbeMemGrow(i1207, (get32(i683 | 0) | 0) + 2 | 0, 1) | 0) {
         i810 = i480;
         i811 = i481;
         i812 = i484;
         i813 = 7;
         i814 = i274;
         i84 = 2888;
         break L6;
        }
        set8((get32(i278 | 0) | 0) + (get32(i683 | 0) | 0) >> 0 | 0, 0 | 0);
        set8((get32(i278 | 0) | 0) + ((get32(i683 | 0) | 0) + 1) >> 0 | 0, 0 | 0);
        set16(i695 | 0, getU16(i695 | 0) | 512 | 0);
        i716 = i480;
        i717 = i481;
        i718 = i267;
        i719 = i268;
        i720 = i269;
        i721 = i270;
        i722 = i482;
        i723 = i483;
        i724 = i484;
        i725 = i274;
       } else {
        i716 = i480;
        i717 = i481;
        i718 = i267;
        i719 = i268;
        i720 = i269;
        i721 = i270;
        i722 = i482;
        i723 = i483;
        i724 = i484;
        i725 = i274;
       }
      } else {
       i716 = i480;
       i717 = i481;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i482;
       i723 = i483;
       i724 = i484;
       i725 = i274;
      }
      break;
     }
    case 596:
     {
      i84 = 0;
      i683 = get32(i268 + (i489 * 20 | 0) + 4 | 0) | 0;
      i278 = get32(i268 + (i489 * 20 | 0) + 16 | 0) | 0;
      set32(i65 | 0, i278 + 1 | 0);
      i275 = get8(i278 >> 0 | 0) | 0;
      set8(i100 >> 0 | 0, i275 | 0);
      if (!(i275 << 24 >> 24)) {
       i716 = i485;
       i717 = i486;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i487;
       i723 = i488;
       i724 = i489;
       i725 = i274;
      } else {
       i275 = i267 + (i683 * 40 | 0) | 0;
       while (1) {
        i683 = i275 + 28 | 0;
        if ((get16(i683 | 0) & 16384) != 0 ? (i278 = i275 + 24 | 0, i290 = i275 + 16 | 0, i690 = (get32(i290 | 0) | 0) + (get32(i278 | 0) | 0) | 0, (_sqlite3VdbeMemGrow(i275, (i690 | 0) < 1 ? 1 : i690, 1) | 0) == 0) : 0) {
         _memset((get32(i275 + 4 | 0) | 0) + (get32(i278 | 0) | 0) | 0, 0, get32(i290 | 0) | 0) | 0;
         set32(i278 | 0, (get32(i278 | 0) | 0) + (get32(i290 | 0) | 0) | 0);
         set16(i683 | 0, getU16(i683 | 0) & 48639 | 0);
        }
        switch (get8(i100 >> 0 | 0) | 0) {
        case 97:
         {
          i290 = get16(i683 | 0) | 0;
          i278 = i290 & 65535;
          if ((i278 & 2 | 0) != 0 | (i278 & 12 | 0) == 0) i1210 = i290; else {
           _sqlite3VdbeMemStringify(i275, i96) | 0;
           i1210 = get16(i683 | 0) | 0;
          }
          set16(i683 | 0, i1210 & 65523 | 0);
          break;
         }
        case 98:
         break;
        default:
         {
          i290 = getU16(i683 | 0) | 0;
          do if (((i290 & 12 | 0) == 0 ? (i278 = get8(i275 + 31 >> 0 | 0) | 0, (i290 & 2 | 0) != 0) : 0) ? (i690 = i275 + 4 | 0, i289 = i275 + 24 | 0, (_sqlite3AtoF(get32(i690 | 0) | 0, i61, get32(i289 | 0) | 0, i278) | 0) != 0) : 0) if (!(_sqlite3Atoi64(get32(i690 | 0) | 0, i62, get32(i289 | 0) | 0, i278) | 0)) {
           i278 = i62;
           i289 = get32(i278 + 4 | 0) | 0;
           i690 = i275 + 16 | 0;
           set32(i690 | 0, get32(i278 | 0) | 0);
           set32(i690 + 4 | 0, i289 | 0);
           set16(i683 | 0, getU16(i683 | 0) | 4 | 0);
           break;
          } else {
           setF64(i275 + 8 | 0, +(+getF64(i61 | 0)));
           set16(i683 | 0, getU16(i683 | 0) | 8 | 0);
           break;
          } while (0);
          i290 = get16(i683 | 0) | 0;
          if ((i290 & 8) != 0 ? (d1107 = +getF64(i275 + 8 | 0), i289 = d1107 < -9223372036854775808.0 | d1107 > 9223372036854775808.0, i690 = +Math_abs(d1107) >= 1.0 ? (d1107 > 0.0 ? ~~+Math_min(+Math_floor(d1107 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d1107 - +(~~d1107 >>> 0)) / 4294967296.0) >>> 0) : 0, i278 = i289 ? 0 : ~~d1107 >>> 0, i669 = i289 ? -2147483648 : i690, i690 = i275 + 16 | 0, set32(i690 | 0, i278 | 0), set32(i690 + 4 | 0, i669 | 0), i690 = _i64Add(i278 | 0, i669 | 0, 1, -2147483648) | 0, i289 = tempRet0, !(d1107 != +(i278 >>> 0) + 4294967296.0 * +(i669 | 0) | (i289 >>> 0 < 0 | (i289 | 0) == 0 & i690 >>> 0 < 2))) : 0) set16(i683 | 0, i290 & 65535 | 4 | 0);
         }
        }
        i290 = get32(i65 | 0) | 0;
        set32(i65 | 0, i290 + 1 | 0);
        i690 = get8(i290 >> 0 | 0) | 0;
        set8(i100 >> 0 | 0, i690 | 0);
        if (!(i690 << 24 >> 24)) {
         i716 = i485;
         i717 = i486;
         i718 = i267;
         i719 = i268;
         i720 = i269;
         i721 = i270;
         i722 = i487;
         i723 = i488;
         i724 = i489;
         i725 = i274;
         break L1559;
        } else i275 = i275 + 40 | 0;
       }
      }
      break;
     }
    case 615:
     {
      i84 = 0;
      i275 = i101;
      set32(i275 | 0, 0 | 0);
      set32(i275 + 4 | 0, 0 | 0);
      set32(i108 | 0, 0 | 0);
      set32(i107 | 0, 0 | 0);
      i275 = get32(i268 + (i493 * 20 | 0) + 4 | 0) | 0;
      i695 = get32(i268 + (i493 * 20 | 0) + 16 | 0) | 0;
      set32(i152 | 0, i695 | 0);
      i690 = i267 + (i275 * 40 | 0) | 0;
      set32(i145 | 0, i690 | 0);
      i290 = get32(i268 + (i493 * 20 | 0) + 8 | 0) | 0;
      set32(i159 | 0, i290 | 0);
      i289 = i275 + -1 + i290 | 0;
      set32(i150 | 0, i267 + (i289 * 40 | 0) | 0);
      set32(i140 | 0, getU8(i161 >> 0 | 0) | 0);
      i290 = get32(i268 + (i493 * 20 | 0) + 12 | 0) | 0;
      i669 = i267 + (i290 * 40 | 0) | 0;
      set32(i100 | 0, i690 | 0);
      L2346 : do if ((i275 | 0) > (i289 | 0)) {
       i1211 = 0;
       i1212 = 0;
       i1213 = 0;
      } else {
       i278 = i695;
       i291 = i690;
       while (1) {
        L2350 : do if (i278) {
         switch (get8(i278 + ((i291 - (get32(i145 | 0) | 0) | 0) / 40 | 0) >> 0 | 0) | 0) {
         case 98:
          {
           break L2350;
           break;
          }
         case 97:
          {
           i691 = i291 + 28 | 0;
           i682 = get16(i691 | 0) | 0;
           i276 = i682 & 65535;
           if ((i276 & 2 | 0) != 0 | (i276 & 12 | 0) == 0) i1214 = i682; else {
            _sqlite3VdbeMemStringify(i291, i96) | 0;
            i1214 = get16(i691 | 0) | 0;
           }
           set16(i691 | 0, i1214 & 65523 | 0);
           break L2350;
           break;
          }
         default:
          {}
         }
         i691 = i291 + 28 | 0;
         i682 = getU16(i691 | 0) | 0;
         do if (((i682 & 12 | 0) == 0 ? (i276 = get8(i291 + 31 >> 0 | 0) | 0, (i682 & 2 | 0) != 0) : 0) ? (i677 = i291 + 4 | 0, i672 = i291 + 24 | 0, (_sqlite3AtoF(get32(i677 | 0) | 0, i61, get32(i672 | 0) | 0, i276) | 0) != 0) : 0) if (!(_sqlite3Atoi64(get32(i677 | 0) | 0, i62, get32(i672 | 0) | 0, i276) | 0)) {
          i276 = i62;
          i672 = get32(i276 + 4 | 0) | 0;
          i677 = i291 + 16 | 0;
          set32(i677 | 0, get32(i276 | 0) | 0);
          set32(i677 + 4 | 0, i672 | 0);
          set16(i691 | 0, getU16(i691 | 0) | 4 | 0);
          break;
         } else {
          setF64(i291 + 8 | 0, +(+getF64(i61 | 0)));
          set16(i691 | 0, getU16(i691 | 0) | 8 | 0);
          break;
         } while (0);
         i682 = get16(i691 | 0) | 0;
         if ((i682 & 8) != 0 ? (d1107 = +getF64(i291 + 8 | 0), i668 = d1107 < -9223372036854775808.0 | d1107 > 9223372036854775808.0, i672 = +Math_abs(d1107) >= 1.0 ? (d1107 > 0.0 ? ~~+Math_min(+Math_floor(d1107 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d1107 - +(~~d1107 >>> 0)) / 4294967296.0) >>> 0) : 0, i677 = i668 ? 0 : ~~d1107 >>> 0, i276 = i668 ? -2147483648 : i672, i672 = i291 + 16 | 0, set32(i672 | 0, i677 | 0), set32(i672 + 4 | 0, i276 | 0), i672 = _i64Add(i677 | 0, i276 | 0, 1, -2147483648) | 0, i668 = tempRet0, !(d1107 != +(i677 >>> 0) + 4294967296.0 * +(i276 | 0) | (i668 >>> 0 < 0 | (i668 | 0) == 0 & i672 >>> 0 < 2))) : 0) set16(i691 | 0, i682 & 65535 | 4 | 0);
        } while (0);
        i682 = get32(i100 | 0) | 0;
        i672 = i682 + 28 | 0;
        if (((get16(i672 | 0) & 16384) != 0 ? (i668 = i682 + 24 | 0, i276 = get32(i668 | 0) | 0, (i276 | 0) > 0) : 0) ? (i677 = i682 + 16 | 0, i277 = (get32(i677 | 0) | 0) + i276 | 0, (_sqlite3VdbeMemGrow(i682, (i277 | 0) < 1 ? 1 : i277, 1) | 0) == 0) : 0) {
         _memset((get32(i682 + 4 | 0) | 0) + (get32(i668 | 0) | 0) | 0, 0, get32(i677 | 0) | 0) | 0;
         set32(i668 | 0, (get32(i668 | 0) | 0) + (get32(i677 | 0) | 0) | 0);
         set16(i672 | 0, getU16(i672 | 0) & 48639 | 0);
        }
        i672 = get32(i100 | 0) | 0;
        i677 = get32(i140 | 0) | 0;
        i668 = get16(i672 + 28 | 0) | 0;
        i682 = i668 & 65535;
        L2374 : do if (!(i682 & 1)) {
         do if (!(i682 & 4)) {
          if (i682 & 8) {
           i1215 = 7;
           i84 = 651;
           break L2374;
          }
          i277 = get32(i672 + 24 | 0) | 0;
          if (!(i682 & 16384)) i1216 = i277; else i1216 = (get32(i672 + 16 | 0) | 0) + i277 | 0;
          i1217 = (i1216 << 1) + 12 | i682 >>> 1 & 1;
         } else {
          i277 = i672 + 16 | 0;
          i276 = get32(i277 | 0) | 0;
          i1009 = get32(i277 + 4 | 0) | 0;
          if ((i677 | 0) > 3 & ((i276 & 1 | 0) == (i276 | 0) & 0 == (i1009 | 0))) {
           i1217 = i276 + 8 | 0;
           break;
          }
          if ((i1009 | 0) < 0) {
           if ((i1009 | 0) < -32768 | (i1009 | 0) == -32768 & i276 >>> 0 < 1) {
            i1215 = 6;
            i84 = 651;
            break L2374;
           }
           i277 = _i64Subtract(0, 0, i276 | 0, i1009 | 0) | 0;
           i1218 = tempRet0;
           i1219 = i277;
          } else {
           i1218 = i1009;
           i1219 = i276;
          }
          if (i1218 >>> 0 < 0 | (i1218 | 0) == 0 & i1219 >>> 0 < 128) {
           i1215 = 1;
           i84 = 651;
           break L2374;
          }
          if (i1218 >>> 0 < 0 | (i1218 | 0) == 0 & i1219 >>> 0 < 32768) {
           i1215 = 2;
           i84 = 651;
           break L2374;
          }
          if (i1218 >>> 0 < 0 | (i1218 | 0) == 0 & i1219 >>> 0 < 8388608) {
           i1215 = 3;
           i84 = 651;
           break L2374;
          }
          if (i1218 >>> 0 < 0 | (i1218 | 0) == 0 & i1219 >>> 0 < 2147483648) {
           i1215 = 4;
           i84 = 651;
           break L2374;
          }
          i1215 = i1218 >>> 0 < 32768 | (i1218 | 0) == 32768 & i1219 >>> 0 < 0 ? 5 : 6;
          i84 = 651;
          break L2374;
         } while (0);
         set32(i147 | 0, i1217 | 0);
         if (i1217 >>> 0 > 11) {
          i1220 = i1217;
          i1221 = (i1217 + -12 | 0) >>> 1;
         } else {
          i1222 = i1217;
          i84 = 654;
         }
        } else {
         i1215 = 0;
         i84 = 651;
        } while (0);
        if ((i84 | 0) == 651) {
         i84 = 0;
         set32(i147 | 0, i1215 | 0);
         i1222 = i1215;
         i84 = 654;
        }
        if ((i84 | 0) == 654) {
         i84 = 0;
         i1220 = i1222;
         i1221 = getU8(21914 + i1222 >> 0 | 0) | 0;
        }
        set32(i149 | 0, i1221 | 0);
        i677 = i101;
        i682 = _i64Add(get32(i677 | 0) | 0, get32(i677 + 4 | 0) | 0, i1221 | 0, 0) | 0;
        i677 = tempRet0;
        i691 = i101;
        set32(i691 | 0, i682 | 0);
        set32(i691 + 4 | 0, i677 | 0);
        i691 = i1220;
        i276 = 0;
        i1009 = 0;
        while (1) {
         i277 = i1009 + 1 | 0;
         i691 = _bitshift64Lshr(i691 | 0, i276 | 0, 7) | 0;
         i276 = tempRet0;
         if (!(((i691 | 0) != 0 | (i276 | 0) != 0) & (i277 | 0) < 9)) {
          i1223 = i277;
          break;
         } else i1009 = i277;
        }
        i1009 = (get32(i108 | 0) | 0) + i1223 | 0;
        set32(i108 | 0, i1009 | 0);
        if (!(i668 & 16384)) {
         if (i1221) set32(i107 | 0, 0 | 0);
        } else set32(i107 | 0, (get32(i107 | 0) | 0) + (get32(i672 + 16 | 0) | 0) | 0);
        i276 = i672 + 40 | 0;
        set32(i100 | 0, i276 | 0);
        if (i276 >>> 0 > (get32(i150 | 0) | 0) >>> 0) {
         i1211 = i1009;
         i1212 = i682;
         i1213 = i677;
         break L2346;
        }
        i278 = get32(i152 | 0) | 0;
        i291 = i276;
       }
      } while (0);
      i690 = i1211;
      i695 = ((i1211 | 0) < 0) << 31 >> 31;
      i289 = 0;
      while (1) {
       i275 = i289 + 1 | 0;
       i690 = _bitshift64Lshr(i690 | 0, i695 | 0, 7) | 0;
       i695 = tempRet0;
       if (!(((i690 | 0) != 0 | (i695 | 0) != 0) & (i275 | 0) < 9)) {
        i1224 = i275;
        break;
       } else i289 = i275;
      }
      set32(i162 | 0, i1224 | 0);
      i289 = i1224 + i1211 | 0;
      set32(i108 | 0, i289 | 0);
      i695 = i289;
      i690 = ((i289 | 0) < 0) << 31 >> 31;
      i275 = 0;
      while (1) {
       i291 = i275 + 1 | 0;
       i695 = _bitshift64Lshr(i695 | 0, i690 | 0, 7) | 0;
       i690 = tempRet0;
       if (!(((i695 | 0) != 0 | (i690 | 0) != 0) & (i291 | 0) < 9)) {
        i1225 = i291;
        break;
       } else i275 = i291;
      }
      if ((i1224 | 0) < (i1225 | 0)) {
       i275 = i289 + 1 | 0;
       set32(i108 | 0, i275 | 0);
       i1226 = i275;
      } else i1226 = i289;
      i275 = _i64Add(i1226 | 0, ((i1226 | 0) < 0) << 31 >> 31 | 0, i1212 | 0, i1213 | 0) | 0;
      i690 = get32(i107 | 0) | 0;
      i695 = _i64Subtract(i275 | 0, tempRet0 | 0, i690 | 0, ((i690 | 0) < 0) << 31 >> 31 | 0) | 0;
      i690 = tempRet0;
      i275 = i106;
      set32(i275 | 0, i695 | 0);
      set32(i275 + 4 | 0, i690 | 0);
      i275 = get32(i98 | 0) | 0;
      i291 = ((i275 | 0) < 0) << 31 >> 31;
      if ((i690 | 0) > (i291 | 0) | (i690 | 0) == (i291 | 0) & i695 >>> 0 > i275 >>> 0) {
       i678 = i490;
       i679 = i491;
       i680 = i493;
       i681 = i274;
       i84 = 2895;
       break L6;
      }
      if (_sqlite3VdbeMemGrow(i669, i695, 0) | 0) {
       i78 = i90;
       i79 = i105;
       i80 = i490;
       i81 = i491;
       i82 = i493;
       i83 = i274;
       i84 = 2896;
       break L1;
      }
      i695 = get32(i267 + (i290 * 40 | 0) + 4 | 0) | 0;
      set32(i65 | 0, i695 | 0);
      i275 = get32(i108 | 0) | 0;
      do if (i275 >>> 0 >= 128) if (i275 >>> 0 < 16384) {
       set8(i695 >> 0 | 0, i275 >>> 7 | 128 | 0);
       set8(i695 + 1 >> 0 | 0, i275 & 127 | 0);
       i1227 = 2;
       break;
      } else {
       i1227 = _sqlite3PutVarint(i695, i275, 0) | 0;
       break;
      } else {
       set8(i695 >> 0 | 0, i275 | 0);
       i1227 = 1;
      } while (0);
      i275 = i1227 & 255;
      set32(i139 | 0, i275 | 0);
      i695 = get32(i145 | 0) | 0;
      set32(i100 | 0, i695 | 0);
      i289 = i695;
      i291 = get32(i150 | 0) | 0;
      if (i289 >>> 0 > i291 >>> 0) {
       i1228 = i275;
       i1229 = i695;
       i1230 = i291;
      } else {
       i291 = i289;
       i289 = i275;
       while (1) {
        i275 = get32(i140 | 0) | 0;
        i695 = getU16(i291 + 28 | 0) | 0;
        L2432 : do if (!(i695 & 1)) {
         do if (!(i695 & 4)) {
          if (i695 & 8) {
           i1231 = 7;
           i84 = 693;
           break L2432;
          }
          i690 = get32(i291 + 24 | 0) | 0;
          if (!(i695 & 16384)) i1232 = i690; else i1232 = (get32(i291 + 16 | 0) | 0) + i690 | 0;
          i1233 = (i1232 << 1) + 12 | i695 >>> 1 & 1;
         } else {
          i690 = i291 + 16 | 0;
          i278 = get32(i690 | 0) | 0;
          i683 = get32(i690 + 4 | 0) | 0;
          if ((i275 | 0) > 3 & ((i278 & 1 | 0) == (i278 | 0) & 0 == (i683 | 0))) {
           i1233 = i278 + 8 | 0;
           break;
          }
          if ((i683 | 0) < 0) {
           if ((i683 | 0) < -32768 | (i683 | 0) == -32768 & i278 >>> 0 < 1) {
            i1231 = 6;
            i84 = 693;
            break L2432;
           }
           i690 = _i64Subtract(0, 0, i278 | 0, i683 | 0) | 0;
           i1234 = tempRet0;
           i1235 = i690;
          } else {
           i1234 = i683;
           i1235 = i278;
          }
          if (i1234 >>> 0 < 0 | (i1234 | 0) == 0 & i1235 >>> 0 < 128) {
           i1231 = 1;
           i84 = 693;
           break L2432;
          }
          if (i1234 >>> 0 < 0 | (i1234 | 0) == 0 & i1235 >>> 0 < 32768) {
           i1231 = 2;
           i84 = 693;
           break L2432;
          }
          if (i1234 >>> 0 < 0 | (i1234 | 0) == 0 & i1235 >>> 0 < 8388608) {
           i1231 = 3;
           i84 = 693;
           break L2432;
          }
          if (i1234 >>> 0 < 0 | (i1234 | 0) == 0 & i1235 >>> 0 < 2147483648) {
           i1231 = 4;
           i84 = 693;
           break L2432;
          }
          i1231 = i1234 >>> 0 < 32768 | (i1234 | 0) == 32768 & i1235 >>> 0 < 0 ? 5 : 6;
          i84 = 693;
          break L2432;
         } while (0);
         set32(i147 | 0, i1233 | 0);
         if (i1233 >>> 0 >= 128) {
          i677 = get32(i65 | 0) | 0;
          i682 = i677 + i289 | 0;
          if (i1233 >>> 0 < 16384) {
           set8(i682 >> 0 | 0, i1233 >>> 7 | 128 | 0);
           set8(i677 + (i289 + 1) >> 0 | 0, i1233 & 127 | 0);
           i1236 = 2;
           break;
          } else {
           i1236 = _sqlite3PutVarint(i682, i1233, 0) | 0;
           break;
          }
         } else {
          i1237 = i1233;
          i84 = 695;
         }
        } else {
         i1231 = 0;
         i84 = 693;
        } while (0);
        if ((i84 | 0) == 693) {
         i84 = 0;
         set32(i147 | 0, i1231 | 0);
         i1237 = i1231;
         i84 = 695;
        }
        if ((i84 | 0) == 695) {
         i84 = 0;
         set8((get32(i65 | 0) | 0) + i289 >> 0 | 0, i1237 | 0);
         i1236 = 1;
        }
        i275 = (get32(i139 | 0) | 0) + (i1236 & 255) | 0;
        set32(i139 | 0, i275 | 0);
        i291 = (get32(i100 | 0) | 0) + 40 | 0;
        set32(i100 | 0, i291 | 0);
        i695 = get32(i150 | 0) | 0;
        if (i291 >>> 0 > i695 >>> 0) {
         i1238 = i275;
         i1239 = i695;
         break;
        } else i289 = i275;
       }
       i1228 = i1238;
       i1229 = get32(i145 | 0) | 0;
       i1230 = i1239;
      }
      set32(i100 | 0, i1229 | 0);
      i289 = i1229;
      if (i289 >>> 0 <= i1230 >>> 0) {
       i291 = i1228;
       i275 = i289;
       do {
        i289 = get32(i65 | 0) | 0;
        i695 = i289 + i291 | 0;
        i682 = i106;
        i677 = _i64Subtract(get32(i682 | 0) | 0, get32(i682 + 4 | 0) | 0, i291 | 0, 0) | 0;
        i682 = get32(i140 | 0) | 0;
        i672 = i275 + 28 | 0;
        i668 = getU16(i672 | 0) | 0;
        do if (!(i668 & 1)) {
         do if (!(i668 & 4)) if (!(i668 & 8)) {
          i278 = get32(i275 + 24 | 0) | 0;
          if (!(i668 & 16384)) i1240 = i278; else i1240 = (get32(i275 + 16 | 0) | 0) + i278 | 0;
          i1241 = (i1240 << 1) + 12 | i668 >>> 1 & 1;
          i84 = 718;
         } else i1242 = 7; else {
          i278 = i275 + 16 | 0;
          i683 = get32(i278 | 0) | 0;
          i690 = get32(i278 + 4 | 0) | 0;
          if ((i682 | 0) > 3 & ((i683 & 1 | 0) == (i683 | 0) & 0 == (i690 | 0))) {
           i1241 = i683 + 8 | 0;
           i84 = 718;
           break;
          }
          if ((i690 | 0) < 0) {
           if ((i690 | 0) < -32768 | (i690 | 0) == -32768 & i683 >>> 0 < 1) {
            i1242 = 6;
            break;
           }
           i278 = _i64Subtract(0, 0, i683 | 0, i690 | 0) | 0;
           i1243 = tempRet0;
           i1244 = i278;
          } else {
           i1243 = i690;
           i1244 = i683;
          }
          if (i1243 >>> 0 < 0 | (i1243 | 0) == 0 & i1244 >>> 0 < 128) {
           i1242 = 1;
           break;
          }
          if (i1243 >>> 0 < 0 | (i1243 | 0) == 0 & i1244 >>> 0 < 32768) {
           i1242 = 2;
           break;
          }
          if (i1243 >>> 0 < 0 | (i1243 | 0) == 0 & i1244 >>> 0 < 8388608) {
           i1242 = 3;
           break;
          }
          if (i1243 >>> 0 < 0 | (i1243 | 0) == 0 & i1244 >>> 0 < 2147483648) {
           i1242 = 4;
           break;
          }
          i1241 = i1243 >>> 0 < 32768 | (i1243 | 0) == 32768 & i1244 >>> 0 < 0 ? 5 : 6;
          i84 = 718;
         } while (0);
         if ((i84 | 0) == 718) {
          i84 = 0;
          if ((i1241 + -1 | 0) >>> 0 < 7) i1242 = i1241; else {
           if (i1241 >>> 0 <= 11) {
            i1245 = 0;
            break;
           }
           i683 = i275 + 24 | 0;
           i690 = get32(i683 | 0) | 0;
           _memcpy(i695 | 0, get32(i275 + 4 | 0) | 0, i690 | 0) | 0;
           if (!(get16(i672 | 0) & 16384)) {
            i1245 = i690;
            break;
           }
           i278 = (get32(i275 + 16 | 0) | 0) + i690 | 0;
           i690 = i278 >>> 0 > i677 >>> 0 ? i677 : i278;
           i278 = get32(i683 | 0) | 0;
           _memset(i289 + (i278 + i291) | 0, 0, i690 - i278 | 0) | 0;
           i1245 = i690;
           break;
          }
         }
         i690 = getU8(21914 + i1242 >> 0 | 0) | 0;
         i278 = (i1242 | 0) == 7 ? i275 + 8 | 0 : i275 + 16 | 0;
         i683 = i690;
         i276 = get32(i278 | 0) | 0;
         i1009 = get32(i278 + 4 | 0) | 0;
         while (1) {
          i683 = i683 + -1 | 0;
          set8(i289 + (i683 + i291) >> 0 | 0, i276 | 0);
          i276 = _bitshift64Lshr(i276 | 0, i1009 | 0, 8) | 0;
          if (!i683) {
           i1245 = i690;
           break;
          } else i1009 = tempRet0;
         }
        } else i1245 = 0; while (0);
        i291 = (get32(i139 | 0) | 0) + i1245 | 0;
        set32(i139 | 0, i291 | 0);
        i275 = (get32(i100 | 0) | 0) + 40 | 0;
        set32(i100 | 0, i275 | 0);
       } while (i275 >>> 0 <= (get32(i150 | 0) | 0) >>> 0);
      }
      set32(i267 + (i290 * 40 | 0) + 24 | 0, get32(i106 | 0) | 0);
      i275 = i267 + (i290 * 40 | 0) + 28 | 0;
      set16(i275 | 0, 1040 | 0);
      set32(i267 + (i290 * 40 | 0) + 32 | 0, 0 | 0);
      i291 = get32(i107 | 0) | 0;
      if (i291) {
       set32(i267 + (i290 * 40 | 0) + 16 | 0, i291 | 0);
       set16(i275 | 0, 17424 | 0);
      }
      set8(i267 + (i290 * 40 | 0) + 31 >> 0 | 0, 1 | 0);
      i716 = i490;
      i717 = i491;
      i718 = i267;
      i719 = i268;
      i720 = i269;
      i721 = i270;
      i722 = i492;
      i723 = i669;
      i724 = i493;
      i725 = i274;
      break;
     }
    case 769:
     {
      i84 = 0;
      if ((get32(i163 | 0) | 0) > 0) {
       i1246 = i749;
       i1247 = i750;
       i1248 = i753;
       i1249 = i274;
       i84 = 770;
       break L6;
      }
      if (!i748) i1250 = 0; else {
       i275 = i748;
       while (1) if (!(get8(i275 >> 0 | 0) | 0)) {
        i1251 = i275;
        break;
       } else i275 = i275 + 1 | 0;
       i1250 = i1251 - i748 & 1073741823;
      }
      set32(i101 | 0, i1250 | 0);
      i275 = (get32(i165 | 0) | 0) + (get32(i164 | 0) | 0) | 0;
      i669 = get32(i166 | 0) | 0;
      if ((i669 | 0) != 0 ? (i290 = i275 + 1 | 0, i291 = get32(i179 | 0) | 0, (i291 | 0) > 0) : 0) {
       i289 = i291;
       i291 = i669;
       i669 = 0;
       while (1) {
        i677 = get32(i291 + (i669 << 2) | 0) | 0;
        i672 = get32(get32(i677 + 4 | 0) | 0) | 0;
        if ((get32(i672 | 0) | 0) > 1 ? (i695 = get32(i672 + 80 | 0) | 0, set32(i677 + 20 | 0, i290 | 0), (i695 | 0) != 0) : 0) {
         i672 = FUNCTION_TABLE_iii[i695 & 127](get32(i677 + 8 | 0) | 0, i275) | 0;
         if (i672) {
          i780 = i749;
          i781 = i750;
          i782 = i753;
          i783 = i672;
          i784 = i274;
          break L6;
         }
         i1252 = get32(i179 | 0) | 0;
        } else i1252 = i289;
        i672 = i669 + 1 | 0;
        if ((i672 | 0) >= (i1252 | 0)) break;
        i289 = i1252;
        i291 = get32(i166 | 0) | 0;
        i669 = i672;
       }
       i1253 = i749;
       i1254 = i750;
       i1255 = get32(i101 | 0) | 0;
       i1256 = i753;
      } else {
       i1253 = i749;
       i1254 = i750;
       i1255 = i1250;
       i1256 = i753;
      }
      i669 = i1255 + 25 | 0;
      L3748 : do if (!(get8(i90 >> 0 | 0) | 0)) {
       do if (!(get8(i167 >> 0 | 0) | 0)) i84 = 791; else {
        if ((getU16(i172 | 0) | 0) < (i669 | 0)) {
         set32(i173 | 0, (get32(i173 | 0) | 0) + 1 | 0);
         i84 = 791;
         break;
        }
        i291 = get32(i174 | 0) | 0;
        if (!i291) {
         set32(i175 | 0, (get32(i175 | 0) | 0) + 1 | 0);
         i84 = 791;
         break;
        }
        set32(i174 | 0, get32(i291 | 0) | 0);
        i289 = get32(i176 | 0) | 0;
        i275 = i289 + 1 | 0;
        set32(i176 | 0, i275 | 0);
        set32(i177 | 0, (get32(i177 | 0) | 0) + 1 | 0);
        if ((i289 | 0) >= (get32(i178 | 0) | 0)) set32(i178 | 0, i275 | 0);
        set32(i102 | 0, i291 | 0);
        i1257 = i291;
        i1258 = i291;
       } while (0);
       L3761 : do if ((i84 | 0) == 791) {
        i84 = 0;
        L3763 : do if ((i1255 + 24 | 0) >>> 0 > 2147483390) {
         i1259 = i1253;
         i1260 = i1254;
         i1261 = i752;
         i1262 = i1256;
        } else {
         do if (!(get32(50 * 4 | 0) | 0)) {
          i291 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i669) | 0;
          if (!i291) {
           i1259 = i1253;
           i1260 = i1254;
           i1261 = i752;
           i1262 = i1256;
           break L3763;
          } else i1263 = i291;
         } else {
          i291 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i669) | 0;
          set32(35 * 4 | 0, i669 | 0);
          if ((get32(45 * 4 | 0) | 0) < (i669 | 0)) set32(45 * 4 | 0, i669 | 0);
          i275 = get32(6 * 4 | 0) | 0;
          do if (i275) {
           i289 = get32(30 * 4 | 0) | 0;
           i290 = ((i289 | 0) < 0) << 31 >> 31;
           i672 = 16;
           i677 = _i64Subtract(get32(i672 | 0) | 0, get32(i672 + 4 | 0) | 0, i291 | 0, ((i291 | 0) < 0) << 31 >> 31 | 0) | 0;
           i672 = tempRet0;
           if ((i290 | 0) < (i672 | 0) | (i290 | 0) == (i672 | 0) & i289 >>> 0 < i677 >>> 0) {
            set32(11 * 4 | 0, 0 | 0);
            break;
           } else {
            set32(11 * 4 | 0, 1 | 0);
            i677 = get32(7 * 4 | 0) | 0;
            set32(6 * 4 | 0, 0 | 0);
            FUNCTION_TABLE_viiii[i275 & 15](i677, i289, i290, i291);
            set32(6 * 4 | 0, i275 | 0);
            set32(7 * 4 | 0, i677 | 0);
            break;
           }
          } while (0);
          i275 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i291) | 0;
          if (!i275) {
           i1259 = i1253;
           i1260 = i1254;
           i1261 = i752;
           i1262 = i1256;
           break L3763;
          }
          i702 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i275) | 0;
          i677 = (get32(30 * 4 | 0) | 0) + i702 | 0;
          set32(30 * 4 | 0, i677 | 0);
          if ((i677 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i677 | 0);
          i677 = get32(39 * 4 | 0) | 0;
          i702 = i677 + 1 | 0;
          set32(39 * 4 | 0, i702 | 0);
          if ((i677 | 0) < (get32(49 * 4 | 0) | 0)) {
           i1263 = i275;
           break;
          }
          set32(49 * 4 | 0, i702 | 0);
          i1263 = i275;
         } while (0);
         set32(i102 | 0, i1263 | 0);
         i1257 = i1263;
         i1258 = i1263;
         break L3761;
        } while (0);
        set8(i90 >> 0 | 0, 1 | 0);
        i1264 = i1259;
        i1265 = i1260;
        i1266 = i1261;
        i1267 = i1262;
        break L3748;
       } while (0);
       set32(i1257 | 0, i1257 + 24 | 0);
       _memcpy(get32(i1258 | 0) | 0, get32(i100 | 0) | 0, (get32(i101 | 0) | 0) + 1 | 0) | 0;
       if (!(get8(i168 >> 0 | 0) | 0)) set32(i165 | 0, (get32(i165 | 0) | 0) + 1 | 0); else {
        set8(i168 >> 0 | 0, 0 | 0);
        set8(i171 >> 0 | 0, 1 | 0);
       }
       i275 = get32(i102 | 0) | 0;
       set32(i275 + 16 | 0, get32(i169 | 0) | 0);
       set32(i169 | 0, i275 | 0);
       i702 = i170;
       i677 = get32(i702 + 4 | 0) | 0;
       i290 = i275 + 8 | 0;
       set32(i290 | 0, get32(i702 | 0) | 0);
       set32(i290 + 4 | 0, i677 | 0);
       i716 = i1253;
       i717 = i1254;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i751;
       i723 = i752;
       i724 = i1256;
       i725 = i274;
       break L1559;
      } else {
       i1264 = i1253;
       i1265 = i1254;
       i1266 = i752;
       i1267 = i1256;
      } while (0);
      set32(i102 | 0, 0 | 0);
      i716 = i1264;
      i717 = i1265;
      i718 = i267;
      i719 = i268;
      i720 = i269;
      i721 = i270;
      i722 = i751;
      i723 = i1266;
      i724 = i1267;
      i725 = i274;
      break;
     }
    case 852:
     {
      i84 = 0;
      set32(i165 | 0, (get32(i165 | 0) | 0) + -1 | 0);
      i792 = i787;
      i793 = i788;
      i794 = get32(i65 | 0) | 0;
      i795 = i789;
      i796 = i790;
      i797 = i791;
      i84 = 854;
      break;
     }
    case 906:
     {
      i84 = 0;
      i669 = get32(i268 + (i498 * 20 | 0) + 4 | 0) | 0;
      set32(i100 | 0, i669 | 0);
      i677 = get32(i268 + (i498 * 20 | 0) + 12 | 0) | 0;
      set32(i101 | 0, i677 | 0);
      i290 = get32((get32(i70 | 0) | 0) + (i669 << 4) + 4 | 0) | 0;
      i669 = get32(i290 + 4 | 0) | 0;
      set32(i669 + 4 | 0, get32(i290 | 0) | 0);
      i290 = i677 << 2;
      i677 = get32((get32(i669 + 12 | 0) | 0) + 64 | 0) | 0;
      i669 = getU8(i677 + (i290 + 37) >> 0 | 0) << 16 | getU8(i677 + (i290 + 36) >> 0 | 0) << 24 | getU8(i677 + (i290 + 38) >> 0 | 0) << 8 | getU8(i677 + (i290 + 39) >> 0 | 0);
      set32(i65 | 0, i669 | 0);
      i290 = i497 + 16 | 0;
      set32(i290 | 0, i669 | 0);
      set32(i290 + 4 | 0, ((i669 | 0) < 0) << 31 >> 31 | 0);
      i716 = i494;
      i717 = i495;
      i718 = i267;
      i719 = i268;
      i720 = i269;
      i721 = i270;
      i722 = i496;
      i723 = i497;
      i724 = i498;
      i725 = i274;
      break;
     }
    case 923:
     {
      i84 = 0;
      i669 = i268 + (i503 * 20 | 0) + 4 | 0;
      i290 = get32(i70 | 0) | 0;
      i677 = get32(i290 + (get32(i669 | 0) << 4) + 4 | 0) | 0;
      set32(i101 | 0, i677 | 0);
      if (!i677) {
       set32(i65 | 0, 0 | 0);
       i1268 = 0;
       i1269 = 0;
      } else {
       i702 = get32(i677 + 4 | 0) | 0;
       set32(i702 + 4 | 0, get32(i677 | 0) | 0);
       i677 = get32((get32(i702 + 12 | 0) | 0) + 64 | 0) | 0;
       i702 = getU8(i677 + 41 >> 0 | 0) << 16 | getU8(i677 + 40 >> 0 | 0) << 24 | getU8(i677 + 42 >> 0 | 0) << 8 | getU8(i677 + 43 >> 0 | 0);
       set32(i65 | 0, i702 | 0);
       i1268 = i702;
       i1269 = get32((get32(i290 + (get32(i669 | 0) << 4) + 12 | 0) | 0) + 4 | 0) | 0;
      }
      set32(i100 | 0, i1269 | 0);
      if ((i1268 | 0) != (get32(i268 + (i503 * 20 | 0) + 8 | 0) | 0)) {
       i1270 = i669;
       i1271 = i499;
       i1272 = i500;
       i1273 = i503;
       i1274 = i274;
       i84 = 928;
       break L6;
      }
      if ((i1269 | 0) == (get32(i268 + (i503 * 20 | 0) + 12 | 0) | 0)) {
       i716 = i499;
       i717 = i500;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i501;
       i723 = i502;
       i724 = i503;
       i725 = i274;
      } else {
       i1270 = i669;
       i1271 = i499;
       i1272 = i500;
       i1273 = i503;
       i1274 = i274;
       i84 = 928;
       break L6;
      }
      break;
     }
    case 1028:
     {
      i84 = 0;
      i669 = get32(i268 + (i508 * 20 | 0) + 4 | 0) | 0;
      i290 = get32(i268 + (i508 * 20 | 0) + 12 | 0) | 0;
      i702 = (get32(i190 | 0) | 0) - i669 | 0;
      i677 = get32(i72 | 0) | 0;
      i275 = i677 + (i702 * 40 | 0) | 0;
      i289 = (i290 << 3) + 96 | 0;
      i672 = get32((get32(i142 | 0) | 0) + (i669 << 2) | 0) | 0;
      if (i672) {
       i695 = get32(i672 + 4 | 0) | 0;
       if (!i695) {
        i682 = get32(i672 | 0) | 0;
        if (i682) _sqlite3BtreeCloseCursor(i682);
       } else _sqlite3BtreeClose(i695);
       i695 = get32(i672 + 36 | 0) | 0;
       if (i695) {
        i682 = get32(i672 + 40 | 0) | 0;
        set8(i191 >> 0 | 0, 1 | 0);
        FUNCTION_TABLE_ii[get32(i682 + 28 | 0) & 127](i695) | 0;
        set8(i191 >> 0 | 0, 0 | 0);
       }
       set32((get32(i142 | 0) | 0) + (i669 << 2) | 0, 0 | 0);
      }
      if (_sqlite3VdbeMemGrow(i275, i289, 0) | 0) {
       i1275 = i504;
       i1276 = i505;
       i1277 = i508;
       i1278 = i274;
       i84 = 1037;
       break L6;
      }
      i289 = i677 + (i702 * 40 | 0) + 4 | 0;
      i702 = get32(i289 | 0) | 0;
      set32((get32(i142 | 0) | 0) + (i669 << 2) | 0, i702 | 0);
      i698 = i702;
      i700 = i698 + 96 | 0;
      do {
       set32(i698 | 0, 0 | 0);
       i698 = i698 + 4 | 0;
      } while ((i698 | 0) < (i700 | 0));
      set32(i702 + 12 | 0, -1 | 0);
      set32(i702 + 20 | 0, i290 | 0);
      if (!i290) {
       set32(i65 | 0, i702 | 0);
       if (!i702) {
        i78 = i90;
        i79 = i105;
        i80 = i504;
        i81 = i505;
        i82 = i508;
        i83 = i274;
        i84 = 2896;
        break L1;
       }
      } else {
       set32(i702 + 84 | 0, (get32(i289 | 0) | 0) + 96 | 0);
       set32(i65 | 0, i702 | 0);
      }
      set8(i702 + 28 >> 0 | 0, 1 | 0);
      set32(i702 + 16 | 0, get32(i268 + (i508 * 20 | 0) + 8 | 0) | 0);
      set8(i702 + 30 >> 0 | 0, 1 | 0);
      set8(i702 + 31 >> 0 | 0, 0 | 0);
      i716 = i504;
      i717 = i505;
      i718 = i267;
      i719 = i268;
      i720 = i269;
      i721 = i270;
      i722 = i506;
      i723 = i507;
      i724 = i508;
      i725 = i274;
      break;
     }
    case 1042:
     {
      i84 = 0;
      i669 = i268 + (i513 * 20 | 0) + 4 | 0;
      i677 = get32((get32(i142 | 0) | 0) + (get32(i669 | 0) << 2) | 0) | 0;
      if (i677) {
       i275 = get32(i677 + 4 | 0) | 0;
       if (!i275) {
        i695 = get32(i677 | 0) | 0;
        if (i695) _sqlite3BtreeCloseCursor(i695);
       } else _sqlite3BtreeClose(i275);
       i275 = get32(i677 + 36 | 0) | 0;
       if (i275) {
        i695 = get32(i677 + 40 | 0) | 0;
        set8(i191 >> 0 | 0, 1 | 0);
        FUNCTION_TABLE_ii[get32(i695 + 28 | 0) & 127](i275) | 0;
        set8(i191 >> 0 | 0, 0 | 0);
       }
      }
      set32((get32(i142 | 0) | 0) + (get32(i669 | 0) << 2) | 0, 0 | 0);
      i716 = i509;
      i717 = i510;
      i718 = i267;
      i719 = i268;
      i720 = i269;
      i721 = i270;
      i722 = i511;
      i723 = i512;
      i724 = i513;
      i725 = i274;
      break;
     }
    case 1050:
     {
      i84 = 0;
      i669 = get32((get32(i142 | 0) | 0) + (get32(i268 + (i519 * 20 | 0) + 4 | 0) << 2) | 0) | 0;
      set32(i101 | 0, i669 | 0);
      if (!(get32(i669 | 0) | 0)) {
       i716 = i515;
       i717 = i516;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i517;
       i723 = i518;
       i724 = (get32(i268 + (i519 * 20 | 0) + 8 | 0) | 0) + -1 | 0;
       i725 = i274;
       break;
      }
      set32(i100 | 0, i514 | 0);
      set8(i669 + 28 >> 0 | 0, 0 | 0);
      if (get8(i669 + 30 >> 0 | 0) | 0) {
       i669 = get32(i268 + (i519 * 20 | 0) + 12 | 0) | 0;
       i275 = i267 + (i669 * 40 | 0) + 28 | 0;
       i695 = getU16(i275 | 0) | 0;
       do if (((i695 & 12 | 0) == 0 ? (i677 = get8(i267 + (i669 * 40 | 0) + 31 >> 0 | 0) | 0, (i695 & 2 | 0) != 0) : 0) ? (i682 = i267 + (i669 * 40 | 0) + 4 | 0, i672 = i267 + (i669 * 40 | 0) + 24 | 0, (_sqlite3AtoF(get32(i682 | 0) | 0, i61, get32(i672 | 0) | 0, i677) | 0) != 0) : 0) if (!(_sqlite3Atoi64(get32(i682 | 0) | 0, i62, get32(i672 | 0) | 0, i677) | 0)) {
        i677 = i62;
        i672 = get32(i677 + 4 | 0) | 0;
        i682 = i267 + (i669 * 40 | 0) + 16 | 0;
        set32(i682 | 0, get32(i677 | 0) | 0);
        set32(i682 + 4 | 0, i672 | 0);
        set16(i275 | 0, getU16(i275 | 0) | 4 | 0);
        break;
       } else {
        setF64(i267 + (i669 * 40 | 0) + 8 | 0, +(+getF64(i61 | 0)));
        set16(i275 | 0, getU16(i275 | 0) | 8 | 0);
        break;
       } while (0);
       i695 = getU16(i275 | 0) | 0;
       do if (!(i695 & 4)) {
        if (i695 & 8) {
         d1107 = +getF64(i267 + (i669 * 40 | 0) + 8 | 0);
         i702 = d1107 < -9223372036854775808.0 | d1107 > 9223372036854775808.0;
         i289 = +Math_abs(d1107) >= 1.0 ? (d1107 > 0.0 ? ~~+Math_min(+Math_floor(d1107 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d1107 - +(~~d1107 >>> 0)) / 4294967296.0) >>> 0) : 0;
         i1279 = i702 ? 0 : ~~d1107 >>> 0;
         i1280 = i702 ? -2147483648 : i289;
         break;
        }
        if (!(i695 & 18)) {
         i1279 = 0;
         i1280 = 0;
        } else {
         i289 = i61;
         set32(i289 | 0, 0 | 0);
         set32(i289 + 4 | 0, 0 | 0);
         _sqlite3Atoi64(get32(i267 + (i669 * 40 | 0) + 4 | 0) | 0, i61, get32(i267 + (i669 * 40 | 0) + 24 | 0) | 0, get8(i267 + (i669 * 40 | 0) + 31 >> 0 | 0) | 0) | 0;
         i289 = i61;
         i1279 = get32(i289 | 0) | 0;
         i1280 = get32(i289 + 4 | 0) | 0;
        }
       } else {
        i289 = i267 + (i669 * 40 | 0) + 16 | 0;
        i1279 = get32(i289 | 0) | 0;
        i1280 = get32(i289 + 4 | 0) | 0;
       } while (0);
       i695 = i150;
       set32(i695 | 0, i1279 | 0);
       set32(i695 + 4 | 0, i1280 | 0);
       set8((get32(i101 | 0) | 0) + 25 >> 0 | 0, 0 | 0);
       i695 = getU16(i275 | 0) | 0;
       L2562 : do if (!(i695 & 4)) {
        if (!(i695 & 8)) {
         i716 = i515;
         i717 = i516;
         i718 = i267;
         i719 = i268;
         i720 = i269;
         i721 = i270;
         i722 = i517;
         i723 = i518;
         i724 = (get32(i268 + (i519 * 20 | 0) + 8 | 0) | 0) + -1 | 0;
         i725 = i274;
         break L1559;
        }
        i289 = i150;
        i702 = get32(i289 | 0) | 0;
        i290 = get32(i289 + 4 | 0) | 0;
        if ((i702 | 0) == 0 & (i290 | 0) == -2147483648 ? (d1107 = +getF64(i267 + (i669 * 40 | 0) + 8 | 0), d1107 < -9223372036854775808.0 | d1107 > 0.0) : 0) {
         set32(i65 | 0, 1 | 0);
         i289 = get32(i100 | 0) | 0;
         do if (d1107 < 0.0) if ((i289 | 0) > 45) {
          i672 = get32(get32(i101 | 0) | 0) | 0;
          i682 = _moveToRoot(i672) | 0;
          if (i682) {
           i780 = i515;
           i781 = i516;
           i782 = i519;
           i783 = i682;
           i784 = i274;
           break L6;
          }
          if (get8(i672 + 83 >> 0 | 0) | 0) {
           set32(i65 | 0, 0 | 0);
           i682 = _moveToLeftmost(i672) | 0;
           if (!i682) {
            i1281 = i515;
            i1282 = i516;
            i1283 = i519;
            i84 = 1098;
            break;
           } else {
            i780 = i515;
            i781 = i516;
            i782 = i519;
            i783 = i682;
            i784 = i274;
            break L6;
           }
          } else {
           set32(i65 | 0, 1 | 0);
           i1284 = i515;
           i1285 = i516;
           i1286 = i519;
           break;
          }
         } else {
          i1281 = i515;
          i1282 = i516;
          i1283 = i519;
          i84 = 1098;
         } else if ((i289 | 0) < 46) {
          i682 = get32(get32(i101 | 0) | 0) | 0;
          i672 = i682 + 83 | 0;
          if ((get8(i672 >> 0 | 0) | 0) == 1 ? (get8(i682 + 81 >> 0 | 0) | 0) != 0 : 0) {
           i1281 = i515;
           i1282 = i516;
           i1283 = i519;
           i84 = 1098;
           break;
          }
          i677 = _moveToRoot(i682) | 0;
          if (i677) {
           i780 = i515;
           i781 = i516;
           i782 = i519;
           i783 = i677;
           i784 = i274;
           break L6;
          }
          if (!(get8(i672 >> 0 | 0) | 0)) {
           set32(i65 | 0, 1 | 0);
           i1284 = i515;
           i1285 = i516;
           i1286 = i519;
           break;
          }
          set32(i65 | 0, 0 | 0);
          i672 = i682 + 90 | 0;
          i677 = i682 + 4 | 0;
          i668 = i682 + 58 | 0;
          i1009 = i682 + 82 | 0;
          i690 = get16(i672 | 0) | 0;
          while (1) {
           i683 = i690 << 16 >> 16;
           i276 = get32(i682 + 132 + (i683 << 2) | 0) | 0;
           if (get8(i276 + 3 >> 0 | 0) | 0) {
            i1287 = i683;
            i1288 = i276;
            break;
           }
           i278 = getU8(i276 + 5 >> 0 | 0) | 0;
           i691 = get32(i276 + 64 | 0) | 0;
           i277 = getU8(i691 + (i278 + 9) >> 0 | 0) << 16 | getU8(i691 + (i278 + 8) >> 0 | 0) << 24 | getU8(i691 + (i278 + 10) >> 0 | 0) << 8 | getU8(i691 + (i278 + 11) >> 0 | 0);
           set16(i682 + 92 + (i683 << 1) | 0, get16(i276 + 16 | 0) | 0 | 0);
           i276 = get16(i672 | 0) | 0;
           i683 = i276 << 16 >> 16;
           if (i276 << 16 >> 16 > 18) {
            i1289 = i682;
            i1290 = i515;
            i1291 = i516;
            i1292 = i519;
            i1293 = i274;
            i84 = 1085;
            break L6;
           }
           i276 = get32(i677 | 0) | 0;
           if ((get32(i276 + 48 | 0) | 0) >>> 0 < i277 >>> 0) {
            i1294 = i682;
            i1295 = i515;
            i1296 = i516;
            i1297 = i519;
            i1298 = i274;
            i84 = 1087;
            break L6;
           }
           i278 = _sqlite3PagerAcquire(get32(i276 | 0) | 0, i277, i61, 0) | 0;
           if (i278) {
            i1299 = i278;
            i1300 = i682;
            i1301 = i515;
            i1302 = i516;
            i1303 = i519;
            i1304 = i274;
            i84 = 1089;
            break L6;
           }
           i278 = get32(i61 | 0) | 0;
           i691 = get32(i278 + 4 | 0) | 0;
           set32(i691 + 64 | 0, get32(i278 | 0) | 0);
           i670 = i691 + 68 | 0;
           set32(i670 | 0, i278 | 0);
           set32(i691 + 60 | 0, i276 | 0);
           set32(i691 + 72 | 0, i277 | 0);
           set8(i691 + 5 >> 0 | 0, ((i277 | 0) == 1 ? 100 : 0) | 0);
           i277 = _btreeInitPage(i691) | 0;
           if (i277) {
            i1305 = i670;
            i1306 = i277;
            i1307 = i682;
            i1308 = i515;
            i1309 = i516;
            i1310 = i691;
            i1311 = i519;
            i1312 = i274;
            i84 = 1091;
            break L6;
           }
           i277 = i683 + 1 | 0;
           set32(i682 + 132 + (i277 << 2) | 0, i691 | 0);
           set16(i682 + 92 + (i277 << 1) | 0, 0 | 0);
           i690 = (get16(i672 | 0) | 0) + 1 << 16 >> 16;
           set16(i672 | 0, i690 | 0);
           set16(i668 | 0, 0 | 0);
           set8(i1009 >> 0 | 0, 0 | 0);
           if (!(get16(i691 + 16 | 0) | 0)) {
            i1313 = i682;
            i1314 = i515;
            i1315 = i516;
            i1316 = i519;
            i1317 = i274;
            i84 = 1095;
            break L6;
           }
           if ((get8(i691 + 2 >> 0 | 0) | 0) != (get8((get32(i682 + 132 + (i683 << 2) | 0) | 0) + 2 >> 0 | 0) | 0)) {
            i1313 = i682;
            i1314 = i515;
            i1315 = i516;
            i1316 = i519;
            i1317 = i274;
            i84 = 1095;
            break L6;
           }
          }
          set16(i682 + 92 + (i1287 << 1) | 0, (getU16(i1288 + 16 | 0) | 0) + 65535 | 0);
          set16(i668 | 0, 0 | 0);
          set8(i1009 >> 0 | 0, 0 | 0);
          set8(i682 + 81 >> 0 | 0, 1 | 0);
          i1281 = i515;
          i1282 = i516;
          i1283 = i519;
          i84 = 1098;
         } else {
          i1281 = i515;
          i1282 = i516;
          i1283 = i519;
          i84 = 1098;
         } while (0);
         if ((i84 | 0) == 1098) {
          i84 = 0;
          if (!(get32(i65 | 0) | 0)) {
           i716 = i1281;
           i717 = i1282;
           i718 = i267;
           i719 = i268;
           i720 = i269;
           i721 = i270;
           i722 = i517;
           i723 = i518;
           i724 = i1283;
           i725 = i274;
           break L1559;
          } else {
           i1284 = i1281;
           i1285 = i1282;
           i1286 = i1283;
          }
         }
         i716 = i1284;
         i717 = i1285;
         i718 = i267;
         i719 = i268;
         i720 = i269;
         i721 = i270;
         i722 = i517;
         i723 = i518;
         i724 = (get32(i268 + (i1286 * 20 | 0) + 8 | 0) | 0) + -1 | 0;
         i725 = i274;
         break L1559;
        }
        switch (get32(i100 | 0) | 0) {
        case 46:
        case 44:
         {
          if (!(+getF64(i267 + (i669 * 40 | 0) + 8 | 0) > +(i702 >>> 0) + 4294967296.0 * +(i290 | 0))) {
           i1318 = i702;
           i1319 = i290;
           break L2562;
          }
          i289 = _i64Add(i702 | 0, i290 | 0, 1, 0) | 0;
          i690 = tempRet0;
          i672 = i150;
          set32(i672 | 0, i289 | 0);
          set32(i672 + 4 | 0, i690 | 0);
          i1318 = i289;
          i1319 = i690;
          break L2562;
          break;
         }
        default:
         {
          if (!(+getF64(i267 + (i669 * 40 | 0) + 8 | 0) < +(i702 >>> 0) + 4294967296.0 * +(i290 | 0))) {
           i1318 = i702;
           i1319 = i290;
           break L2562;
          }
          i690 = _i64Add(i702 | 0, i290 | 0, -1, -1) | 0;
          i289 = tempRet0;
          i672 = i150;
          set32(i672 | 0, i690 | 0);
          set32(i672 + 4 | 0, i289 | 0);
          i1318 = i690;
          i1319 = i289;
          break L2562;
         }
        }
       } else {
        i289 = i150;
        i1318 = get32(i289 | 0) | 0;
        i1319 = get32(i289 + 4 | 0) | 0;
       } while (0);
       i669 = _sqlite3BtreeMovetoUnpacked(get32(get32(i101 | 0) | 0) | 0, 0, i1318, i1319, 0, i65) | 0;
       if (i669) {
        i780 = i515;
        i781 = i516;
        i782 = i519;
        i783 = i669;
        i784 = i274;
        break L6;
       }
       if (!(get32(i65 | 0) | 0)) {
        i669 = get32(i101 | 0) | 0;
        set8(i669 + 25 >> 0 | 0, 1 | 0);
        i695 = i150;
        i275 = get32(i695 + 4 | 0) | 0;
        i289 = i669 + 64 | 0;
        set32(i289 | 0, get32(i695 | 0) | 0);
        set32(i289 + 4 | 0, i275 | 0);
       }
      } else {
       i275 = get32(i268 + (i519 * 20 | 0) + 16 | 0) | 0;
       set32(i147 | 0, i275 | 0);
       set32(i108 | 0, get32((get32(i101 | 0) | 0) + 8 | 0) | 0);
       set16(i137 | 0, i275 | 0);
       set16(i192 | 0, get32(i100 | 0) << 3 & 8 | 0);
       i275 = get32(i268 + (i519 * 20 | 0) + 12 | 0) | 0;
       i289 = i267 + (i275 * 40 | 0) | 0;
       set32(i107 | 0, i289 | 0);
       i695 = i267 + (i275 * 40 | 0) + 28 | 0;
       if ((get16(i695 | 0) & 16384) != 0 ? (i669 = i267 + (i275 * 40 | 0) + 24 | 0, i690 = i267 + (i275 * 40 | 0) + 16 | 0, i672 = (get32(i690 | 0) | 0) + (get32(i669 | 0) | 0) | 0, (_sqlite3VdbeMemGrow(i289, (i672 | 0) < 1 ? 1 : i672, 1) | 0) == 0) : 0) {
        _memset((get32(i267 + (i275 * 40 | 0) + 4 | 0) | 0) + (get32(i669 | 0) | 0) | 0, 0, get32(i690 | 0) | 0) | 0;
        set32(i669 | 0, (get32(i669 | 0) | 0) + (get32(i690 | 0) | 0) | 0);
        set16(i695 | 0, getU16(i695 | 0) & 48639 | 0);
       }
       i695 = _sqlite3BtreeMovetoUnpacked(get32(get32(i101 | 0) | 0) | 0, i108, 0, 0, 0, i65) | 0;
       if (i695) {
        i780 = i515;
        i781 = i516;
        i782 = i519;
        i783 = i695;
        i784 = i274;
        break L6;
       }
       set8((get32(i101 | 0) | 0) + 25 >> 0 | 0, 0 | 0);
      }
      i695 = get32(i101 | 0) | 0;
      set8(i695 + 29 >> 0 | 0, 0 | 0);
      set32(i695 + 76 | 0, 0 | 0);
      i695 = get32(i100 | 0) | 0;
      i690 = get32(i65 | 0) | 0;
      do if ((i695 | 0) > 45) {
       if ((i690 | 0) >= 0 ? !((i695 | 0) == 47 & (i690 | 0) == 0) : 0) {
        set32(i65 | 0, 0 | 0);
        i716 = i515;
        i717 = i516;
        i718 = i267;
        i719 = i268;
        i720 = i269;
        i721 = i270;
        i722 = i517;
        i723 = i518;
        i724 = i519;
        i725 = i274;
        break L1559;
       }
       i669 = _sqlite3BtreeNext(get32(get32(i101 | 0) | 0) | 0, i65) | 0;
       if (i669) {
        i780 = i515;
        i781 = i516;
        i782 = i519;
        i783 = i669;
        i784 = i274;
        break L6;
       }
       set8((get32(i101 | 0) | 0) + 25 >> 0 | 0, 0 | 0);
       i1320 = i515;
       i1321 = i516;
       i1322 = i519;
       i84 = 1124;
      } else {
       if ((i690 | 0) <= 0 ? !((i695 | 0) == 44 & (i690 | 0) == 0) : 0) {
        i669 = (get8((get32(get32(i101 | 0) | 0) | 0) + 83 >> 0 | 0) | 0) != 1 & 1;
        set32(i65 | 0, i669 | 0);
        i1323 = i515;
        i1324 = i516;
        i1325 = i669;
        i1326 = i519;
        break;
       }
       i669 = _sqlite3BtreePrevious(get32(get32(i101 | 0) | 0) | 0, i65) | 0;
       if (i669) {
        i780 = i515;
        i781 = i516;
        i782 = i519;
        i783 = i669;
        i784 = i274;
        break L6;
       }
       set8((get32(i101 | 0) | 0) + 25 >> 0 | 0, 0 | 0);
       i1320 = i515;
       i1321 = i516;
       i1322 = i519;
       i84 = 1124;
      } while (0);
      if ((i84 | 0) == 1124) {
       i84 = 0;
       i1323 = i1320;
       i1324 = i1321;
       i1325 = get32(i65 | 0) | 0;
       i1326 = i1322;
      }
      if (!i1325) {
       i716 = i1323;
       i717 = i1324;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i517;
       i723 = i518;
       i724 = i1326;
       i725 = i274;
      } else {
       i716 = i1323;
       i717 = i1324;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i517;
       i723 = i518;
       i724 = (get32(i268 + (i1326 * 20 | 0) + 8 | 0) | 0) + -1 | 0;
       i725 = i274;
      }
      break;
     }
    case 1128:
     {
      i84 = 0;
      i690 = get32((get32(i142 | 0) | 0) + (get32(i268 + (i524 * 20 | 0) + 4 | 0) << 2) | 0) | 0;
      set32(i65 | 0, i690 | 0);
      if (!(get32(i690 | 0) | 0)) {
       i716 = i520;
       i717 = i521;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i522;
       i723 = i523;
       i724 = i524;
       i725 = i274;
      } else {
       set8(i690 + 28 >> 0 | 0, 0 | 0);
       i690 = get32(i268 + (i524 * 20 | 0) + 8 | 0) | 0;
       i695 = getU16(i267 + (i690 * 40 | 0) + 28 | 0) | 0;
       do if (!(i695 & 4)) {
        if (i695 & 8) {
         d1107 = +getF64(i267 + (i690 * 40 | 0) + 8 | 0);
         i669 = d1107 < -9223372036854775808.0 | d1107 > 9223372036854775808.0;
         i275 = +Math_abs(d1107) >= 1.0 ? (d1107 > 0.0 ? ~~+Math_min(+Math_floor(d1107 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d1107 - +(~~d1107 >>> 0)) / 4294967296.0) >>> 0) : 0;
         i1327 = i669 ? 0 : ~~d1107 >>> 0;
         i1328 = i669 ? -2147483648 : i275;
         break;
        }
        if (!(i695 & 18)) {
         i1327 = 0;
         i1328 = 0;
        } else {
         i275 = i61;
         set32(i275 | 0, 0 | 0);
         set32(i275 + 4 | 0, 0 | 0);
         _sqlite3Atoi64(get32(i267 + (i690 * 40 | 0) + 4 | 0) | 0, i61, get32(i267 + (i690 * 40 | 0) + 24 | 0) | 0, get8(i267 + (i690 * 40 | 0) + 31 >> 0 | 0) | 0) | 0;
         i275 = i61;
         i1327 = get32(i275 | 0) | 0;
         i1328 = get32(i275 + 4 | 0) | 0;
        }
       } else {
        i275 = i267 + (i690 * 40 | 0) + 16 | 0;
        i1327 = get32(i275 | 0) | 0;
        i1328 = get32(i275 + 4 | 0) | 0;
       } while (0);
       i690 = get32(i65 | 0) | 0;
       i695 = i690 + 56 | 0;
       set32(i695 | 0, i1327 | 0);
       set32(i695 + 4 | 0, i1328 | 0);
       set8(i690 + 25 >> 0 | 0, 0 | 0);
       set8(i690 + 29 >> 0 | 0, 1 | 0);
       i716 = i520;
       i717 = i521;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i522;
       i723 = i523;
       i724 = i524;
       i725 = i274;
      }
      break;
     }
    case 1136:
     {
      i84 = 0;
      set32(i65 | 0, 0 | 0);
      i690 = get32((get32(i142 | 0) | 0) + (get32(i268 + (i531 * 20 | 0) + 4 | 0) << 2) | 0) | 0;
      set32(i100 | 0, i690 | 0);
      i695 = get32(i268 + (i531 * 20 | 0) + 12 | 0) | 0;
      i275 = i267 + (i695 * 40 | 0) | 0;
      i669 = get32(i690 | 0) | 0;
      if (!i669) {
       i1329 = i526;
       i1330 = 0;
       i1331 = i531;
      } else {
       i672 = i268 + (i531 * 20 | 0) + 16 | 0;
       i289 = get32(i672 | 0) | 0;
       i677 = get32(i690 + 8 | 0) | 0;
       if ((i289 | 0) > 0) {
        set32(i108 | 0, i677 | 0);
        set16(i137 | 0, i289 | 0);
        set32(i107 | 0, i275 | 0);
        set16(i192 | 0, 16 | 0);
        set32(i102 | 0, i108 | 0);
        i1332 = i669;
        i1333 = i108;
       } else {
        i669 = _sqlite3VdbeRecordUnpack(i677, get32(i267 + (i695 * 40 | 0) + 24 | 0) | 0, get32(i267 + (i695 * 40 | 0) + 4 | 0) | 0, i193, 151) | 0;
        set32(i102 | 0, i669 | 0);
        if (!i669) {
         i78 = i90;
         i79 = i105;
         i80 = i527;
         i81 = i528;
         i82 = i531;
         i83 = i274;
         i84 = 2896;
         break L1;
        }
        i695 = i669 + 6 | 0;
        set16(i695 | 0, getU16(i695 | 0) | 16 | 0);
        i1332 = get32(get32(i100 | 0) | 0) | 0;
        i1333 = i669;
       }
       i669 = _sqlite3BtreeMovetoUnpacked(i1332, i1333, 0, 0, 0, i101) | 0;
       if ((get32(i672 | 0) | 0) == 0 ? (i672 = get32(i102 | 0) | 0, (get16(i672 + 6 | 0) & 1) != 0) : 0) _sqlite3DbFree(get32(get32(i672 | 0) | 0) | 0, i672);
       if (i669) {
        i810 = i527;
        i811 = i528;
        i812 = i531;
        i813 = i669;
        i814 = i274;
        i84 = 2888;
        break L6;
       }
       i669 = (get32(i101 | 0) | 0) == 0 & 1;
       set32(i65 | 0, i669 | 0);
       i672 = get32(i100 | 0) | 0;
       set8(i672 + 29 >> 0 | 0, 0 | 0);
       set32(i672 + 76 | 0, 0 | 0);
       i1329 = get8(i525 >> 0 | 0) | 0;
       i1330 = i669;
       i1331 = i531;
      }
      i669 = (i1330 | 0) != 0;
      if (i1329 << 24 >> 24 == 50) {
       if (!i669) {
        i716 = i527;
        i717 = i528;
        i718 = i267;
        i719 = i268;
        i720 = i269;
        i721 = i270;
        i722 = i529;
        i723 = i530;
        i724 = i1331;
        i725 = i274;
        break;
       }
       i716 = i527;
       i717 = i528;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i529;
       i723 = i530;
       i724 = (get32(i268 + (i1331 * 20 | 0) + 8 | 0) | 0) + -1 | 0;
       i725 = i274;
       break;
      } else {
       if (i669) {
        i716 = i527;
        i717 = i528;
        i718 = i267;
        i719 = i268;
        i720 = i269;
        i721 = i270;
        i722 = i529;
        i723 = i530;
        i724 = i1331;
        i725 = i274;
        break;
       }
       i716 = i527;
       i717 = i528;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i529;
       i723 = i530;
       i724 = (get32(i268 + (i1331 * 20 | 0) + 8 | 0) | 0) + -1 | 0;
       i725 = i274;
       break;
      }
      break;
     }
    case 1155:
     {
      i84 = 0;
      i669 = (get32(i268 + (i841 * 20 | 0) + 8 | 0) | 0) + -1 | 0;
      set32(i101 | 0, 0 | 0);
      i716 = i837;
      i717 = i838;
      i718 = i267;
      i719 = i268;
      i720 = i269;
      i721 = i270;
      i722 = i839;
      i723 = i840;
      i724 = i669;
      i725 = i274;
      break;
     }
    case 1171:
     {
      i84 = 0;
      i669 = (get32(i268 + (i852 * 20 | 0) + 8 | 0) | 0) + -1 | 0;
      set32(i847 + 72 | 0, 0 | 0);
      i716 = i848;
      i717 = i849;
      i718 = i267;
      i719 = i268;
      i720 = i269;
      i721 = i270;
      i722 = i850;
      i723 = i851;
      i724 = i669;
      i725 = i274;
      break;
     }
    case 1172:
     {
      i84 = 0;
      i669 = (get32((get32(i142 | 0) | 0) + (get32(i268 + (i536 * 20 | 0) + 4 | 0) << 2) | 0) | 0) + 48 | 0;
      i672 = i669;
      i695 = get32(i672 | 0) | 0;
      i677 = get32(i672 + 4 | 0) | 0;
      i672 = _i64Add(i695 | 0, i677 | 0, 1, 0) | 0;
      i275 = i669;
      set32(i275 | 0, i672 | 0);
      set32(i275 + 4 | 0, tempRet0 | 0);
      i275 = i535 + 16 | 0;
      set32(i275 | 0, i695 | 0);
      set32(i275 + 4 | 0, i677 | 0);
      i716 = i532;
      i717 = i533;
      i718 = i267;
      i719 = i268;
      i720 = i269;
      i721 = i270;
      i722 = i534;
      i723 = i535;
      i724 = i536;
      i725 = i274;
      break;
     }
    case 1234:
     {
      i84 = 0;
      i677 = get32(i268 + (i542 * 20 | 0) + 8 | 0) | 0;
      set32(i65 | 0, i267 + (i677 * 40 | 0) | 0);
      i275 = get32((get32(i142 | 0) | 0) + (get32(i268 + (i542 * 20 | 0) + 4 | 0) << 2) | 0) | 0;
      set32(i108 | 0, i275 | 0);
      i695 = get32(i268 + (i542 * 20 | 0) + 12 | 0) | 0;
      i672 = i275;
      if (i537 << 24 >> 24 == 55) {
       set32(i100 | 0, i267 + (i695 * 40 | 0) | 0);
       i275 = i267 + (i695 * 40 | 0) + 16 | 0;
       i1334 = get32(i275 | 0) | 0;
       i1335 = get32(i275 + 4 | 0) | 0;
      } else {
       i1334 = i695;
       i1335 = ((i695 | 0) < 0) << 31 >> 31;
      }
      i695 = i101;
      set32(i695 | 0, i1334 | 0);
      set32(i695 + 4 | 0, i1335 | 0);
      i695 = i268 + (i542 * 20 | 0) + 3 | 0;
      i275 = get8(i695 >> 0 | 0) | 0;
      if (i275 & 1) set32(i93 | 0, (get32(i93 | 0) | 0) + 1 | 0);
      if (!(i275 & 2)) {
       i1336 = i538;
       i1337 = i539;
      } else {
       i669 = i74;
       set32(i669 | 0, i1334 | 0);
       set32(i669 + 4 | 0, i1335 | 0);
       i1336 = i1334;
       i1337 = i1335;
      }
      i669 = get16(i267 + (i677 * 40 | 0) + 28 | 0) | 0;
      if (i669 & 1) {
       set32(i267 + (i677 * 40 | 0) + 4 | 0, 0 | 0);
       set32(i267 + (i677 * 40 | 0) + 24 | 0, 0 | 0);
      }
      if (!(i275 & 16)) i1338 = 0; else i1338 = get32(i672 + 72 | 0) | 0;
      set32(i106 | 0, i1338 | 0);
      if (!(i669 & 16384)) i1339 = 0; else i1339 = get32(i267 + (i677 * 40 | 0) + 16 | 0) | 0;
      set32(i137 | 0, i1339 | 0);
      i669 = get32(i672 | 0) | 0;
      i672 = get32((get32(i669 + 4 | 0) | 0) + 8 | 0) | 0;
      if (i672) {
       i289 = get32(i669 + 20 | 0) | 0;
       i690 = i672;
       do {
        if ((get32(i690 + 20 | 0) | 0) == (i289 | 0)) {
         i672 = i690 + 24 | 0;
         set32(i672 | 0, 0 | 0);
         set32(i672 + 4 | 0, 0 | 0);
        }
        i690 = get32(i690 + 8 | 0) | 0;
       } while ((i690 | 0) != 0);
      }
      i690 = _sqlite3BtreeInsert(i669, 0, i1334, i1335, get32(i267 + (i677 * 40 | 0) + 4 | 0) | 0, get32(i267 + (i677 * 40 | 0) + 24 | 0) | 0, i1339, i275 & 8, i1338) | 0;
      i289 = get32(i108 | 0) | 0;
      set8(i289 + 25 >> 0 | 0, 0 | 0);
      set8(i289 + 29 >> 0 | 0, 0 | 0);
      set32(i289 + 76 | 0, 0 | 0);
      if (i690) {
       i810 = i1336;
       i811 = i1337;
       i812 = i542;
       i813 = i690;
       i814 = i274;
       i84 = 2888;
       break L6;
      }
      i690 = get32(i198 | 0) | 0;
      if ((i690 | 0) != 0 ? (i672 = i268 + (i542 * 20 | 0) + 16 | 0, (get32(i672 | 0) | 0) != 0) : 0) {
       i683 = get32((get32(i70 | 0) | 0) + (get32(i289 + 12 | 0) << 4) | 0) | 0;
       set32(i199 | 0, i683 | 0);
       i289 = get32(i672 | 0) | 0;
       set32(i107 | 0, i289 | 0);
       i672 = (get8(i695 >> 0 | 0) & 4) != 0 ? 23 : 18;
       set32(i200 | 0, i672 | 0);
       i691 = i101;
       FUNCTION_TABLE_viiiiii[i690 & 0](get32(i201 | 0) | 0, i672, i683, i289, get32(i691 | 0) | 0, get32(i691 + 4 | 0) | 0);
       i716 = i1336;
       i717 = i1337;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i540;
       i723 = i541;
       i724 = i542;
       i725 = i274;
      } else {
       i716 = i1336;
       i717 = i1337;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i540;
       i723 = i541;
       i724 = i542;
       i725 = i274;
      }
      break;
     }
    case 1271:
     {
      i84 = 0;
      i691 = get32(i93 | 0) | 0;
      set32(i94 | 0, i691 | 0);
      set32(i95 | 0, (get32(i95 | 0) | 0) + i691 | 0);
      set32(i93 | 0, 0 | 0);
      i716 = i543;
      i717 = i544;
      i718 = i267;
      i719 = i268;
      i720 = i269;
      i721 = i270;
      i722 = i545;
      i723 = i546;
      i724 = i547;
      i725 = i274;
      break;
     }
    case 1309:
     {
      i84 = 0;
      set16(i918 + 28 | 0, 1 | 0);
      i716 = i915;
      i717 = i916;
      i718 = i267;
      i719 = i268;
      i720 = i269;
      i721 = i270;
      i722 = i917;
      i723 = i918;
      i724 = i919;
      i725 = i274;
      break;
     }
    case 1372:
     {
      i84 = 0;
      i691 = get32((get32(i142 | 0) | 0) + (get32(i268 + (i552 * 20 | 0) + 4 | 0) << 2) | 0) | 0;
      set32(i65 | 0, i691 | 0);
      set8(i691 + 28 >> 0 | 0, 1 | 0);
      set8(i691 + 25 >> 0 | 0, 0 | 0);
      i289 = get32(i691 | 0) | 0;
      if (!i289) {
       i716 = i548;
       i717 = i549;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i550;
       i723 = i551;
       i724 = i552;
       i725 = i274;
      } else {
       i691 = i289 + 72 | 0;
       i683 = get32(i691 | 0) | 0;
       do if (i683) {
        if (!(get32(50 * 4 | 0) | 0)) {
         FUNCTION_TABLE_vi[get32(232 | 0) & 31](i683);
         break;
        }
        i672 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i683) | 0;
        i690 = (get32(30 * 4 | 0) | 0) - i672 | 0;
        set32(30 * 4 | 0, i690 | 0);
        if ((i690 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i690 | 0);
        i690 = (get32(39 * 4 | 0) | 0) + -1 | 0;
        set32(39 * 4 | 0, i690 | 0);
        if ((i690 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i690 | 0);
        FUNCTION_TABLE_vi[get32(232 | 0) & 31](i683);
       } while (0);
       set32(i691 | 0, 0 | 0);
       set8(i289 + 83 >> 0 | 0, 0 | 0);
       i716 = i548;
       i717 = i549;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i550;
       i723 = i551;
       i724 = i552;
       i725 = i274;
      }
      break;
     }
    case 1419:
     {
      i84 = 0;
      set8(i942 + 28 >> 0 | 0, 1 | 0);
      i716 = i943;
      i717 = i944;
      i718 = i267;
      i719 = i268;
      i720 = i269;
      i721 = i270;
      i722 = i945;
      i723 = i946;
      i724 = i947;
      i725 = i274;
      break;
     }
    case 1439:
     {
      i84 = 0;
      i683 = get32((get32(i142 | 0) | 0) + (get32(i268 + (i557 * 20 | 0) + 4 | 0) << 2) | 0) | 0;
      set32(i100 | 0, i683 | 0);
      i695 = get32(i683 | 0) | 0;
      set32(i65 | 0, i695 | 0);
      i275 = i556 + 28 | 0;
      set16(i275 | 0, 1 | 0);
      if (i695) {
       i695 = _sqlite3VdbeCursorMoveto(i683) | 0;
       if (i695) {
        i780 = i553;
        i781 = i554;
        i782 = i557;
        i783 = i695;
        i784 = i274;
        break L6;
       }
       if (!(get8((get32(i100 | 0) | 0) + 28 >> 0 | 0) | 0)) {
        i695 = get32(i65 | 0) | 0;
        if ((get8(i695 + 83 >> 0 | 0) | 0) == 1) {
         i683 = i695 + 32 | 0;
         if (!(get16(i695 + 58 | 0) | 0)) {
          i677 = get16(i695 + 90 | 0) | 0;
          i669 = get32(i695 + 132 + (i677 << 2) | 0) | 0;
          i690 = get32(i669 + 64 | 0) | 0;
          i672 = (getU16(i669 + 12 | 0) | 0) + (getU16(i695 + 92 + (i677 << 1) | 0) << 1) | 0;
          _btreeParseCellPtr(i669, i690 + ((getU8(i690 + i672 >> 0 | 0) << 8 | getU8(i690 + (i672 + 1) >> 0 | 0)) & getU16(i669 + 18 | 0)) | 0, i683);
          set8(i695 + 82 >> 0 | 0, 1 | 0);
         }
         i1340 = get32(i683 | 0) | 0;
        } else i1340 = 0;
        i698 = i62;
        i700 = i698 + 40 | 0;
        do {
         set32(i698 | 0, 0 | 0);
         i698 = i698 + 4 | 0;
        } while ((i698 | 0) < (i700 | 0));
        i289 = _sqlite3VdbeMemFromBtree(i695, 0, i1340, 1, i62) | 0;
        if (i289) {
         i1341 = i289;
         i1342 = i553;
         i1343 = i554;
         i1344 = i557;
         i1345 = i274;
         i84 = 1470;
         break L6;
        }
        i289 = get32(i203 | 0) | 0;
        i691 = get8(i289 >> 0 | 0) | 0;
        if (i691 << 24 >> 24 > -1) i1346 = i691 & 255; else {
         i683 = i691 & 255;
         i691 = getU8(i289 + 1 >> 0 | 0) | 0;
         do if (i691 & 128) {
          i669 = getU8(i289 + 2 >> 0 | 0) | 0;
          if (!(i669 & 128)) {
           i1347 = (i669 | i683 << 14) & 2080895 | i691 << 7 & 16256;
           break;
          } else {
           _sqlite3GetVarint(i289, i61) | 0;
           i669 = i61;
           i672 = get32(i669 | 0) | 0;
           i1347 = ((i672 | 0) == (i672 | 0) ? 0 == (get32(i669 + 4 | 0) | 0) : 0) ? i672 : -1;
           break;
          }
         } else i1347 = i691 | i683 << 7 & 16256; while (0);
         i1346 = i1347;
        }
        if (i1346 >>> 0 < 3 ? 1 : (i1346 | 0) > (get32(i204 | 0) | 0)) {
         i1348 = i553;
         i1349 = i554;
         i1350 = i557;
         i1351 = i274;
         i84 = 1469;
         break L6;
        }
        i683 = get32(i203 | 0) | 0;
        i691 = i683 + (i1346 + -1) | 0;
        i289 = get8(i691 >> 0 | 0) | 0;
        if (i289 << 24 >> 24 > -1) i1352 = i289 & 255; else {
         i695 = i289 & 255;
         i289 = getU8(i683 + i1346 >> 0 | 0) | 0;
         do if (i289 & 128) {
          i672 = getU8(i683 + (i1346 + 1) >> 0 | 0) | 0;
          if (!(i672 & 128)) {
           i1353 = (i672 | i695 << 14) & 2080895 | i289 << 7 & 16256;
           break;
          } else {
           _sqlite3GetVarint(i691, i61) | 0;
           i672 = i61;
           i669 = get32(i672 | 0) | 0;
           i1353 = ((i669 | 0) == (i669 | 0) ? 0 == (get32(i672 + 4 | 0) | 0) : 0) ? i669 : -1;
           break;
          }
         } else i1353 = i289 | i695 << 7 & 16256; while (0);
         i1352 = i1353;
        }
        if ((i1352 | 0) == 7 | (i1352 + -1 | 0) >>> 0 > 8) {
         i1348 = i553;
         i1349 = i554;
         i1350 = i557;
         i1351 = i274;
         i84 = 1469;
         break L6;
        }
        if (i1352 >>> 0 > 11) i1354 = (i1352 + -12 | 0) >>> 1; else i1354 = getU8(21914 + i1352 >> 0 | 0) | 0;
        i695 = get32(i204 | 0) | 0;
        if (i695 >>> 0 < (i1354 + i1346 | 0) >>> 0) {
         i1348 = i553;
         i1349 = i554;
         i1350 = i557;
         i1351 = i274;
         i84 = 1469;
         break L6;
        }
        _sqlite3VdbeSerialGet((get32(i203 | 0) | 0) + (i695 - i1354) | 0, i1352, i63) | 0;
        i695 = i205;
        i289 = get32(i695 + 4 | 0) | 0;
        i691 = i101;
        set32(i691 | 0, get32(i695 | 0) | 0);
        set32(i691 + 4 | 0, i289 | 0);
        _sqlite3VdbeMemReleaseExternal(i62);
        _sqlite3DbFree(get32(i62 | 0) | 0, get32(i206 | 0) | 0);
        i289 = i101;
        i691 = get32(i289 + 4 | 0) | 0;
        i695 = i556 + 16 | 0;
        set32(i695 | 0, get32(i289 | 0) | 0);
        set32(i695 + 4 | 0, i691 | 0);
        set16(i275 | 0, 4 | 0);
        i716 = i553;
        i717 = i554;
        i718 = i267;
        i719 = i268;
        i720 = i269;
        i721 = i270;
        i722 = i555;
        i723 = i556;
        i724 = i557;
        i725 = i274;
       } else {
        i716 = i553;
        i717 = i554;
        i718 = i267;
        i719 = i268;
        i720 = i269;
        i721 = i270;
        i722 = i555;
        i723 = i556;
        i724 = i557;
        i725 = i274;
       }
      } else {
       i716 = i553;
       i717 = i554;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i555;
       i723 = i556;
       i724 = i557;
       i725 = i274;
      }
      break;
     }
    case 1482:
     {
      i84 = 0;
      set32(i100 | 0, 0 | 0);
      i691 = get32(i184 | 0) | 0;
      set32(i101 | 0, i691 | 0);
      if (i691) {
       i695 = i691;
       i691 = 0;
       while (1) {
        i289 = i695;
        if (((get32(i289 + 52 | 0) | 0) == -1108210269 ? (getU8(i289 + 102 >> 0 | 0) | 0) < 2 : 0) ? (get32(i289 + 88 | 0) | 0) > -1 : 0) {
         i683 = i691 + 1 | 0;
         set32(i100 | 0, i683 | 0);
         i1355 = i683;
        } else i1355 = i691;
        i695 = get32(i289 + 64 | 0) | 0;
        set32(i101 | 0, i695 | 0);
        if (!i695) {
         i1356 = i1355;
         break;
        } else i691 = i1355;
       }
       i691 = i561 + 28 | 0;
       set16(i691 | 0, 1 | 0);
       if ((i1356 | 0) > 1) {
        i1357 = i558;
        i1358 = i559;
        i1359 = i562;
        i1360 = i274;
        i84 = 1490;
        break L6;
       } else i1361 = i691;
      } else {
       i691 = i561 + 28 | 0;
       set16(i691 | 0, 1 | 0);
       i1361 = i691;
      }
      i691 = get32(i268 + (i562 * 20 | 0) + 12 | 0) | 0;
      set32(i102 | 0, i691 | 0);
      i695 = get32((get32(i70 | 0) | 0) + (i691 << 4) + 4 | 0) | 0;
      i691 = i268 + (i562 * 20 | 0) + 4 | 0;
      i275 = get32(i691 | 0) | 0;
      i289 = i695 + 4 | 0;
      i683 = get32(i289 | 0) | 0;
      set32(i683 + 4 | 0, get32(i695 | 0) | 0);
      if (get32(i683 + 8 | 0) | 0) {
       i1362 = 262;
       i1363 = i558;
       i1364 = i559;
       i1365 = i1361;
       i1366 = i561;
       i1367 = i562;
       i1368 = i274;
       i84 = 1532;
       break L6;
      }
      i669 = _sqlite3PagerAcquire(get32(i683 | 0) | 0, i275, i61, 0) | 0;
      if (i669) {
       i1369 = i1361;
       i1370 = i669;
       i1371 = i558;
       i1372 = i559;
       i1373 = i561;
       i1374 = i562;
       i1375 = i274;
       i84 = 1493;
       break L6;
      }
      i669 = get32(i61 | 0) | 0;
      i672 = get32(i669 + 4 | 0) | 0;
      set32(i672 + 64 | 0, get32(i669 | 0) | 0);
      i690 = i672 + 68 | 0;
      set32(i690 | 0, i669 | 0);
      i669 = i672 + 60 | 0;
      set32(i669 | 0, i683 | 0);
      i677 = i672 + 72 | 0;
      set32(i677 | 0, i275 | 0);
      set8(i672 + 5 >> 0 | 0, ((i275 | 0) == 1 ? 100 : 0) | 0);
      i277 = get32(i289 | 0) | 0;
      set32(i277 + 4 | 0, get32(i695 | 0) | 0);
      i670 = get32(i277 + 8 | 0) | 0;
      if (i670) {
       i276 = i670;
       do {
        if (get8(i276 + 88 >> 0 | 0) | 0) set8(i276 + 83 >> 0 | 0, 0 | 0);
        i276 = get32(i276 + 8 | 0) | 0;
       } while ((i276 | 0) != 0);
      }
      i276 = _saveAllCursors(i277, i275, 0) | 0;
      if (i276) {
       i1376 = i1361;
       i1377 = i690;
       i1378 = i558;
       i1379 = i559;
       i1380 = i672;
       i1381 = i561;
       i1382 = i562;
       i1383 = i276;
       i1384 = i274;
       i84 = 1500;
       break L6;
      }
      i276 = _clearDatabasePage(i277, i275, 0, 0) | 0;
      if (i276) {
       i1376 = i1361;
       i1377 = i690;
       i1378 = i558;
       i1379 = i559;
       i1380 = i672;
       i1381 = i561;
       i1382 = i562;
       i1383 = i276;
       i1384 = i274;
       i84 = 1500;
       break L6;
      }
      set32(i65 | 0, 0 | 0);
      do if (i275 >>> 0 <= 1) {
       _zeroPage(i672, 9);
       if (!i672) {
        i1385 = i558;
        i1386 = i559;
        i1387 = i561;
        i1388 = i562;
        i84 = 1533;
       } else {
        _sqlite3PagerUnref(get32(i690 | 0) | 0);
        i1385 = i558;
        i1386 = i559;
        i1387 = i561;
        i1388 = i562;
        i84 = 1533;
       }
      } else {
       if (!(get8(i683 + 21 >> 0 | 0) | 0)) {
        i276 = _freePage2(get32(i669 | 0) | 0, i672, get32(i677 | 0) | 0) | 0;
        if (i672) _sqlite3PagerUnref(get32(i690 | 0) | 0);
        set16(i1361 | 0, 4 | 0);
        i670 = get32(i65 | 0) | 0;
        i278 = i561 + 16 | 0;
        set32(i278 | 0, i670 | 0);
        set32(i278 + 4 | 0, ((i670 | 0) < 0) << 31 >> 31 | 0);
        if (!i276) {
         i1389 = i558;
         i1390 = i559;
         i1391 = i561;
         i1392 = i562;
         break;
        } else {
         i810 = i558;
         i811 = i559;
         i812 = i562;
         i813 = i276;
         i814 = i274;
         i84 = 2888;
         break L6;
        }
       }
       i276 = get32(i289 | 0) | 0;
       set32(i276 + 4 | 0, get32(i695 | 0) | 0);
       i670 = get32((get32(i276 + 12 | 0) | 0) + 64 | 0) | 0;
       i276 = getU8(i670 + 53 >> 0 | 0) << 16 | getU8(i670 + 52 >> 0 | 0) << 24 | getU8(i670 + 54 >> 0 | 0) << 8 | getU8(i670 + 55 >> 0 | 0);
       if ((i276 | 0) == (i275 | 0)) {
        i670 = _freePage2(get32(i669 | 0) | 0, i672, get32(i677 | 0) | 0) | 0;
        if (i672) _sqlite3PagerUnref(get32(i690 | 0) | 0);
        if (i670) {
         i1362 = i670;
         i1363 = i558;
         i1364 = i559;
         i1365 = i1361;
         i1366 = i561;
         i1367 = i562;
         i1368 = i274;
         i84 = 1532;
         break L6;
        }
       } else {
        if (i672) _sqlite3PagerUnref(get32(i690 | 0) | 0);
        i670 = _sqlite3PagerAcquire(get32(i683 | 0) | 0, i276, i61, 0) | 0;
        if (i670) {
         i1393 = i1361;
         i1394 = i670;
         i1395 = i558;
         i1396 = i559;
         i1397 = i561;
         i1398 = i562;
         i1399 = i274;
         i84 = 1511;
         break L6;
        }
        i670 = get32(i61 | 0) | 0;
        i278 = get32(i670 + 4 | 0) | 0;
        set32(i278 + 64 | 0, get32(i670 | 0) | 0);
        i688 = i278 + 68 | 0;
        set32(i688 | 0, i670 | 0);
        set32(i278 + 60 | 0, i683 | 0);
        set32(i278 + 72 | 0, i276 | 0);
        i670 = (i276 | 0) == 1 ? 100 : 0;
        set8(i278 + 5 >> 0 | 0, i670 | 0);
        i879 = _relocatePage(i683, i278, 1, 0, i275, 0) | 0;
        if (i278) _sqlite3PagerUnref(get32(i688 | 0) | 0);
        if (i879) {
         i1362 = i879;
         i1363 = i558;
         i1364 = i559;
         i1365 = i1361;
         i1366 = i561;
         i1367 = i562;
         i1368 = i274;
         i84 = 1532;
         break L6;
        }
        i879 = _sqlite3PagerAcquire(get32(i683 | 0) | 0, i276, i61, 0) | 0;
        if (i879) {
         i1400 = i1361;
         i1401 = i879;
         i1402 = i558;
         i1403 = i559;
         i1404 = i561;
         i1405 = i562;
         i1406 = i274;
         i84 = 1516;
         break L6;
        }
        i879 = get32(i61 | 0) | 0;
        i688 = get32(i879 + 4 | 0) | 0;
        set32(i688 + 64 | 0, get32(i879 | 0) | 0);
        i278 = i688 + 68 | 0;
        set32(i278 | 0, i879 | 0);
        set32(i688 + 60 | 0, i683 | 0);
        set32(i688 + 72 | 0, i276 | 0);
        set8(i688 + 5 >> 0 | 0, i670 | 0);
        i670 = _freePage2(i683, i688, i276) | 0;
        if (i688) _sqlite3PagerUnref(get32(i278 | 0) | 0);
        if (i670) {
         i1362 = i670;
         i1363 = i558;
         i1364 = i559;
         i1365 = i1361;
         i1366 = i561;
         i1367 = i562;
         i1368 = i274;
         i84 = 1532;
         break L6;
        }
        set32(i65 | 0, i276 | 0);
       }
       i670 = ((get32(199 * 4 | 0) | 0) >>> 0) / ((get32(i683 + 36 | 0) | 0) >>> 0) | 0;
       i278 = i670 + 1 | 0;
       i688 = i683 + 40 | 0;
       i879 = i276;
       while (1) {
        i276 = i879 + -1 | 0;
        if ((i276 | 0) == (i278 | 0)) {
         i879 = i276;
         continue;
        }
        if (i276 >>> 0 < 2) i1407 = 0; else {
         i860 = i879 + -3 | 0;
         i862 = i860 - ((i860 >>> 0) % (((((get32(i688 | 0) | 0) >>> 0) / 5 | 0) + 1 | 0) >>> 0) | 0) | 0;
         i1407 = ((i862 + 1 | 0) == (i670 | 0) ? 3 : 2) + i862 | 0;
        }
        if ((i1407 | 0) == (i276 | 0)) i879 = i276; else {
         i1408 = i276;
         break;
        }
       }
       i879 = get32(i289 | 0) | 0;
       set32(i879 + 4 | 0, get32(i695 | 0) | 0);
       i670 = get32(i879 + 12 | 0) | 0;
       i879 = get32(i670 + 64 | 0) | 0;
       i688 = _sqlite3PagerWrite(get32(i670 + 68 | 0) | 0) | 0;
       if (i688) {
        i1362 = i688;
        i1363 = i558;
        i1364 = i559;
        i1365 = i1361;
        i1366 = i561;
        i1367 = i562;
        i1368 = i274;
        i84 = 1532;
        break L6;
       }
       set8(i879 + 52 >> 0 | 0, i1408 >>> 24 | 0);
       set8(i879 + 53 >> 0 | 0, i1408 >>> 16 | 0);
       set8(i879 + 54 >> 0 | 0, i1408 >>> 8 | 0);
       set8(i879 + 55 >> 0 | 0, i1408 | 0);
       i1385 = i558;
       i1386 = i559;
       i1387 = i561;
       i1388 = i562;
       i84 = 1533;
      } while (0);
      if ((i84 | 0) == 1533) {
       i84 = 0;
       set16(i1361 | 0, 4 | 0);
       i695 = get32(i65 | 0) | 0;
       i289 = i561 + 16 | 0;
       set32(i289 | 0, i695 | 0);
       set32(i289 + 4 | 0, ((i695 | 0) < 0) << 31 >> 31 | 0);
       i1389 = i1385;
       i1390 = i1386;
       i1391 = i1387;
       i1392 = i1388;
      }
      i695 = get32(i65 | 0) | 0;
      if (!i695) {
       i716 = i1389;
       i717 = i1390;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i560;
       i723 = i1391;
       i724 = i1392;
       i725 = i274;
      } else {
       i289 = get32(i691 | 0) | 0;
       i683 = get32((get32(i70 | 0) | 0) + (get32(i102 | 0) << 4) + 12 | 0) | 0;
       i275 = get32(i683 + 16 | 0) | 0;
       if (i275) {
        i690 = i275;
        do {
         i275 = (get32(i690 + 8 | 0) | 0) + 20 | 0;
         if ((get32(i275 | 0) | 0) == (i695 | 0)) set32(i275 | 0, i289 | 0);
         i690 = get32(i690 | 0) | 0;
        } while ((i690 | 0) != 0);
       }
       i690 = get32(i683 + 32 | 0) | 0;
       if (i690) {
        i691 = i690;
        do {
         i690 = (get32(i691 + 8 | 0) | 0) + 20 | 0;
         if ((get32(i690 | 0) | 0) == (i695 | 0)) set32(i690 | 0, i289 | 0);
         i691 = get32(i691 | 0) | 0;
        } while ((i691 | 0) != 0);
       }
       i716 = i1389;
       i717 = i1390;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i560;
       i723 = i1391;
       i724 = i1392;
       i725 = (get32(i102 | 0) | 0) + 1 & 255;
      }
      break;
     }
    case 1560:
     {
      i84 = 0;
      i691 = get32(i268 + (i567 * 20 | 0) + 16 | 0) | 0;
      i289 = (get32((get32(i70 | 0) | 0) + (get32(i268 + (i567 * 20 | 0) + 4 | 0) << 4) + 12 | 0) | 0) + 8 | 0;
      if (!i691) i1409 = 0; else {
       i695 = i691;
       while (1) if (!(get8(i695 >> 0 | 0) | 0)) {
        i1410 = i695;
        break;
       } else i695 = i695 + 1 | 0;
       i1409 = i1410 - i691 & 1073741823;
      }
      _sqlite3DeleteTable(i69, _sqlite3HashInsert(i289, i691, i1409, 0) | 0);
      set32(i183 | 0, get32(i183 | 0) | 512 | 0);
      i716 = i563;
      i717 = i564;
      i718 = i267;
      i719 = i268;
      i720 = i269;
      i721 = i270;
      i722 = i565;
      i723 = i566;
      i724 = i567;
      i725 = i274;
      break;
     }
    case 1564:
     {
      i84 = 0;
      i695 = get32(i268 + (i572 * 20 | 0) + 16 | 0) | 0;
      i683 = (get32((get32(i70 | 0) | 0) + (get32(i268 + (i572 * 20 | 0) + 4 | 0) << 4) + 12 | 0) | 0) + 24 | 0;
      if (!i695) i1411 = 0; else {
       i690 = i695;
       while (1) if (!(get8(i690 >> 0 | 0) | 0)) {
        i1412 = i690;
        break;
       } else i690 = i690 + 1 | 0;
       i1411 = i1412 - i695 & 1073741823;
      }
      i690 = _sqlite3HashInsert(i683, i695, i1411, 0) | 0;
      if (i690) {
       i691 = (get32(i690 + 16 | 0) | 0) + 16 | 0;
       i289 = get32(i691 | 0) | 0;
       L2835 : do if ((i289 | 0) == (i690 | 0)) set32(i691 | 0, get32(i690 + 32 | 0) | 0); else {
        i275 = i289;
        while (1) {
         if (!i275) break L2835;
         i672 = i275 + 32 | 0;
         i275 = get32(i672 | 0) | 0;
         if ((i275 | 0) == (i690 | 0)) {
          i1413 = i672;
          break;
         }
        }
        set32(i1413 | 0, get32(i690 + 32 | 0) | 0);
       } while (0);
       _sqlite3DbFree(i69, get32(i690 + 28 | 0) | 0);
       _sqlite3DbFree(i69, i690);
      }
      set32(i183 | 0, get32(i183 | 0) | 512 | 0);
      i716 = i568;
      i717 = i569;
      i718 = i267;
      i719 = i268;
      i720 = i269;
      i721 = i270;
      i722 = i570;
      i723 = i571;
      i724 = i572;
      i725 = i274;
      break;
     }
    case 1575:
     {
      i84 = 0;
      i289 = get32(i268 + (i577 * 20 | 0) + 16 | 0) | 0;
      i691 = (get32((get32(i70 | 0) | 0) + (get32(i268 + (i577 * 20 | 0) + 4 | 0) << 4) + 12 | 0) | 0) + 40 | 0;
      if (!i289) i1414 = 0; else {
       i695 = i289;
       while (1) if (!(get8(i695 >> 0 | 0) | 0)) {
        i1415 = i695;
        break;
       } else i695 = i695 + 1 | 0;
       i1414 = i1415 - i289 & 1073741823;
      }
      i695 = _sqlite3HashInsert(i691, i289, i1414, 0) | 0;
      if (!i695) {
       i716 = i573;
       i717 = i574;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i575;
       i723 = i576;
       i724 = i577;
       i725 = i274;
      } else {
       i690 = get32(i695 + 20 | 0) | 0;
       if ((i690 | 0) == (get32(i695 + 24 | 0) | 0)) {
        i683 = get32(i695 + 4 | 0) | 0;
        if (!i683) i1416 = 0; else {
         i275 = i683;
         while (1) if (!(get8(i275 >> 0 | 0) | 0)) {
          i1417 = i275;
          break;
         } else i275 = i275 + 1 | 0;
         i1416 = i1417 - i683 & 1073741823;
        }
        i275 = (_sqlite3HashFind(i690 + 8 | 0, i683, i1416) | 0) + 64 | 0;
        while (1) {
         i289 = get32(i275 | 0) | 0;
         i691 = i289 + 32 | 0;
         if ((i289 | 0) == (i695 | 0)) {
          i1418 = i691;
          i1419 = i275;
          break;
         } else i275 = i691;
        }
        set32(i1419 | 0, get32(i1418 | 0) | 0);
       }
       i275 = get32(i695 + 28 | 0) | 0;
       if (i275) {
        i683 = i275;
        do {
         i275 = i683;
         i683 = get32(i683 + 32 | 0) | 0;
         _sqlite3ExprDelete(i69, get32(i275 + 20 | 0) | 0);
         i690 = get32(i275 + 24 | 0) | 0;
         if (i690) {
          i691 = i690 + 12 | 0;
          if ((get32(i690 | 0) | 0) > 0) {
           i289 = 0;
           i672 = get32(i691 | 0) | 0;
           while (1) {
            _sqlite3ExprDelete(i69, get32(i672 | 0) | 0);
            _sqlite3DbFree(i69, get32(i672 + 4 | 0) | 0);
            _sqlite3DbFree(i69, get32(i672 + 8 | 0) | 0);
            i289 = i289 + 1 | 0;
            if ((i289 | 0) >= (get32(i690 | 0) | 0)) break; else i672 = i672 + 20 | 0;
           }
          }
          _sqlite3DbFree(i69, get32(i691 | 0) | 0);
          _sqlite3DbFree(i69, i690);
         }
         i672 = get32(i275 + 8 | 0) | 0;
         if (i672) {
          i289 = get32(i672 | 0) | 0;
          if (i289) {
           i677 = i289 + 12 | 0;
           if ((get32(i289 | 0) | 0) > 0) {
            i669 = 0;
            i277 = get32(i677 | 0) | 0;
            while (1) {
             _sqlite3ExprDelete(i69, get32(i277 | 0) | 0);
             _sqlite3DbFree(i69, get32(i277 + 4 | 0) | 0);
             _sqlite3DbFree(i69, get32(i277 + 8 | 0) | 0);
             i669 = i669 + 1 | 0;
             if ((i669 | 0) >= (get32(i289 | 0) | 0)) break; else i277 = i277 + 20 | 0;
            }
           }
           _sqlite3DbFree(i69, get32(i677 | 0) | 0);
           _sqlite3DbFree(i69, i289);
          }
          _sqlite3SrcListDelete(i69, get32(i672 + 8 | 0) | 0);
          _sqlite3ExprDelete(i69, get32(i672 + 12 | 0) | 0);
          i277 = get32(i672 + 16 | 0) | 0;
          if (i277) {
           i669 = i277 + 12 | 0;
           if ((get32(i277 | 0) | 0) > 0) {
            i690 = 0;
            i691 = get32(i669 | 0) | 0;
            while (1) {
             _sqlite3ExprDelete(i69, get32(i691 | 0) | 0);
             _sqlite3DbFree(i69, get32(i691 + 4 | 0) | 0);
             _sqlite3DbFree(i69, get32(i691 + 8 | 0) | 0);
             i690 = i690 + 1 | 0;
             if ((i690 | 0) >= (get32(i277 | 0) | 0)) break; else i691 = i691 + 20 | 0;
            }
           }
           _sqlite3DbFree(i69, get32(i669 | 0) | 0);
           _sqlite3DbFree(i69, i277);
          }
          _sqlite3ExprDelete(i69, get32(i672 + 20 | 0) | 0);
          i691 = get32(i672 + 24 | 0) | 0;
          if (i691) {
           i690 = i691 + 12 | 0;
           if ((get32(i691 | 0) | 0) > 0) {
            i289 = 0;
            i677 = get32(i690 | 0) | 0;
            while (1) {
             _sqlite3ExprDelete(i69, get32(i677 | 0) | 0);
             _sqlite3DbFree(i69, get32(i677 + 4 | 0) | 0);
             _sqlite3DbFree(i69, get32(i677 + 8 | 0) | 0);
             i289 = i289 + 1 | 0;
             if ((i289 | 0) >= (get32(i691 | 0) | 0)) break; else i677 = i677 + 20 | 0;
            }
           }
           _sqlite3DbFree(i69, get32(i690 | 0) | 0);
           _sqlite3DbFree(i69, i691);
          }
          i677 = get32(i672 + 28 | 0) | 0;
          if (i677) {
           i289 = get32(i677 | 0) | 0;
           if (i289) {
            i277 = i289 + 12 | 0;
            if ((get32(i289 | 0) | 0) > 0) {
             i669 = 0;
             i879 = get32(i277 | 0) | 0;
             while (1) {
              _sqlite3ExprDelete(i69, get32(i879 | 0) | 0);
              _sqlite3DbFree(i69, get32(i879 + 4 | 0) | 0);
              _sqlite3DbFree(i69, get32(i879 + 8 | 0) | 0);
              i669 = i669 + 1 | 0;
              if ((i669 | 0) >= (get32(i289 | 0) | 0)) break; else i879 = i879 + 20 | 0;
             }
            }
            _sqlite3DbFree(i69, get32(i277 | 0) | 0);
            _sqlite3DbFree(i69, i289);
           }
           _sqlite3SrcListDelete(i69, get32(i677 + 8 | 0) | 0);
           _sqlite3ExprDelete(i69, get32(i677 + 12 | 0) | 0);
           i879 = get32(i677 + 16 | 0) | 0;
           if (i879) {
            i669 = i879 + 12 | 0;
            if ((get32(i879 | 0) | 0) > 0) {
             i691 = 0;
             i690 = get32(i669 | 0) | 0;
             while (1) {
              _sqlite3ExprDelete(i69, get32(i690 | 0) | 0);
              _sqlite3DbFree(i69, get32(i690 + 4 | 0) | 0);
              _sqlite3DbFree(i69, get32(i690 + 8 | 0) | 0);
              i691 = i691 + 1 | 0;
              if ((i691 | 0) >= (get32(i879 | 0) | 0)) break; else i690 = i690 + 20 | 0;
             }
            }
            _sqlite3DbFree(i69, get32(i669 | 0) | 0);
            _sqlite3DbFree(i69, i879);
           }
           _sqlite3ExprDelete(i69, get32(i677 + 20 | 0) | 0);
           i690 = get32(i677 + 24 | 0) | 0;
           if (i690) {
            i691 = i690 + 12 | 0;
            if ((get32(i690 | 0) | 0) > 0) {
             i289 = 0;
             i277 = get32(i691 | 0) | 0;
             while (1) {
              _sqlite3ExprDelete(i69, get32(i277 | 0) | 0);
              _sqlite3DbFree(i69, get32(i277 + 4 | 0) | 0);
              _sqlite3DbFree(i69, get32(i277 + 8 | 0) | 0);
              i289 = i289 + 1 | 0;
              if ((i289 | 0) >= (get32(i690 | 0) | 0)) break; else i277 = i277 + 20 | 0;
             }
            }
            _sqlite3DbFree(i69, get32(i691 | 0) | 0);
            _sqlite3DbFree(i69, i690);
           }
           i277 = get32(i677 + 28 | 0) | 0;
           if (i277) {
            i289 = get32(i277 | 0) | 0;
            if (i289) {
             i879 = i289 + 12 | 0;
             if ((get32(i289 | 0) | 0) > 0) {
              i669 = 0;
              i688 = get32(i879 | 0) | 0;
              while (1) {
               _sqlite3ExprDelete(i69, get32(i688 | 0) | 0);
               _sqlite3DbFree(i69, get32(i688 + 4 | 0) | 0);
               _sqlite3DbFree(i69, get32(i688 + 8 | 0) | 0);
               i669 = i669 + 1 | 0;
               if ((i669 | 0) >= (get32(i289 | 0) | 0)) break; else i688 = i688 + 20 | 0;
              }
             }
             _sqlite3DbFree(i69, get32(i879 | 0) | 0);
             _sqlite3DbFree(i69, i289);
            }
            _sqlite3SrcListDelete(i69, get32(i277 + 8 | 0) | 0);
            _sqlite3ExprDelete(i69, get32(i277 + 12 | 0) | 0);
            i688 = get32(i277 + 16 | 0) | 0;
            if (i688) {
             i669 = i688 + 12 | 0;
             if ((get32(i688 | 0) | 0) > 0) {
              i690 = 0;
              i691 = get32(i669 | 0) | 0;
              while (1) {
               _sqlite3ExprDelete(i69, get32(i691 | 0) | 0);
               _sqlite3DbFree(i69, get32(i691 + 4 | 0) | 0);
               _sqlite3DbFree(i69, get32(i691 + 8 | 0) | 0);
               i690 = i690 + 1 | 0;
               if ((i690 | 0) >= (get32(i688 | 0) | 0)) break; else i691 = i691 + 20 | 0;
              }
             }
             _sqlite3DbFree(i69, get32(i669 | 0) | 0);
             _sqlite3DbFree(i69, i688);
            }
            _sqlite3ExprDelete(i69, get32(i277 + 20 | 0) | 0);
            i691 = get32(i277 + 24 | 0) | 0;
            if (i691) {
             i690 = i691 + 12 | 0;
             if ((get32(i691 | 0) | 0) > 0) {
              i289 = 0;
              i879 = get32(i690 | 0) | 0;
              while (1) {
               _sqlite3ExprDelete(i69, get32(i879 | 0) | 0);
               _sqlite3DbFree(i69, get32(i879 + 4 | 0) | 0);
               _sqlite3DbFree(i69, get32(i879 + 8 | 0) | 0);
               i289 = i289 + 1 | 0;
               if ((i289 | 0) >= (get32(i691 | 0) | 0)) break; else i879 = i879 + 20 | 0;
              }
             }
             _sqlite3DbFree(i69, get32(i690 | 0) | 0);
             _sqlite3DbFree(i69, i691);
            }
            _sqlite3SelectDelete(i69, get32(i277 + 28 | 0) | 0);
            _sqlite3ExprDelete(i69, get32(i277 + 40 | 0) | 0);
            _sqlite3ExprDelete(i69, get32(i277 + 44 | 0) | 0);
            _sqlite3DbFree(i69, i277);
           }
           _sqlite3ExprDelete(i69, get32(i677 + 40 | 0) | 0);
           _sqlite3ExprDelete(i69, get32(i677 + 44 | 0) | 0);
           _sqlite3DbFree(i69, i677);
          }
          _sqlite3ExprDelete(i69, get32(i672 + 40 | 0) | 0);
          _sqlite3ExprDelete(i69, get32(i672 + 44 | 0) | 0);
          _sqlite3DbFree(i69, i672);
         }
         i879 = get32(i275 + 28 | 0) | 0;
         if (i879) {
          i289 = i879 + 4 | 0;
          if ((get32(i289 | 0) | 0) > 0) {
           i688 = 0;
           do {
            _sqlite3DbFree(i69, get32((get32(i879 | 0) | 0) + (i688 << 3) | 0) | 0);
            i688 = i688 + 1 | 0;
           } while ((i688 | 0) < (get32(i289 | 0) | 0));
          }
          _sqlite3DbFree(i69, get32(i879 | 0) | 0);
          _sqlite3DbFree(i69, i879);
         }
         _sqlite3DbFree(i69, i275);
        } while ((i683 | 0) != 0);
       }
       _sqlite3DbFree(i69, get32(i695 | 0) | 0);
       _sqlite3DbFree(i69, get32(i695 + 4 | 0) | 0);
       _sqlite3ExprDelete(i69, get32(i695 + 12 | 0) | 0);
       i683 = get32(i695 + 16 | 0) | 0;
       if (i683) {
        i289 = i683 + 4 | 0;
        if ((get32(i289 | 0) | 0) > 0) {
         i688 = 0;
         do {
          _sqlite3DbFree(i69, get32((get32(i683 | 0) | 0) + (i688 << 3) | 0) | 0);
          i688 = i688 + 1 | 0;
         } while ((i688 | 0) < (get32(i289 | 0) | 0));
        }
        _sqlite3DbFree(i69, get32(i683 | 0) | 0);
        _sqlite3DbFree(i69, i683);
       }
       _sqlite3DbFree(i69, i695);
       set32(i183 | 0, get32(i183 | 0) | 512 | 0);
       i716 = i573;
       i717 = i574;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i575;
       i723 = i576;
       i724 = i577;
       i725 = i274;
      }
      break;
     }
    case 1655:
     {
      i84 = 0;
      i289 = get32(i268 + (i582 * 20 | 0) + 8 | 0) | 0;
      set32(i65 | 0, i289 | 0);
      i688 = i289 << 2;
      i289 = i688 + 4 | 0;
      if (get8(i90 >> 0 | 0) | 0) {
       i1420 = i578;
       i1421 = i579;
       i1422 = i582;
       i1423 = i274;
       i84 = 1678;
       break L6;
      }
      do if (!(get8(i167 >> 0 | 0) | 0)) i84 = 1663; else {
       if ((getU16(i172 | 0) | 0) < (i289 | 0)) {
        set32(i173 | 0, (get32(i173 | 0) | 0) + 1 | 0);
        i84 = 1663;
        break;
       }
       i672 = get32(i174 | 0) | 0;
       if (!i672) {
        set32(i175 | 0, (get32(i175 | 0) | 0) + 1 | 0);
        i84 = 1663;
        break;
       }
       set32(i174 | 0, get32(i672 | 0) | 0);
       i677 = get32(i176 | 0) | 0;
       i277 = i677 + 1 | 0;
       set32(i176 | 0, i277 | 0);
       set32(i177 | 0, (get32(i177 | 0) | 0) + 1 | 0);
       if ((i677 | 0) >= (get32(i178 | 0) | 0)) set32(i178 | 0, i277 | 0);
       set32(i100 | 0, i672 | 0);
       i1424 = i578;
       i1425 = i579;
       i1426 = i672;
       i1427 = i582;
      } while (0);
      if ((i84 | 0) == 1663) {
       i84 = 0;
       if ((i688 | 3) >>> 0 > 2147483390) {
        i1428 = i578;
        i1429 = i579;
        i1430 = i582;
        i1431 = i274;
        i84 = 1677;
        break L6;
       }
       if (!(get32(50 * 4 | 0) | 0)) {
        i695 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i289) | 0;
        if (!i695) {
         i1428 = i578;
         i1429 = i579;
         i1430 = i582;
         i1431 = i274;
         i84 = 1677;
         break L6;
        } else {
         i1432 = i695;
         i1433 = i578;
         i1434 = i579;
         i1435 = i582;
        }
       } else {
        i695 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i289) | 0;
        set32(35 * 4 | 0, i289 | 0);
        if ((get32(45 * 4 | 0) | 0) < (i289 | 0)) set32(45 * 4 | 0, i289 | 0);
        i683 = get32(6 * 4 | 0) | 0;
        do if (i683) {
         i672 = get32(30 * 4 | 0) | 0;
         i277 = ((i672 | 0) < 0) << 31 >> 31;
         i677 = 16;
         i691 = _i64Subtract(get32(i677 | 0) | 0, get32(i677 + 4 | 0) | 0, i695 | 0, ((i695 | 0) < 0) << 31 >> 31 | 0) | 0;
         i677 = tempRet0;
         if ((i277 | 0) < (i677 | 0) | (i277 | 0) == (i677 | 0) & i672 >>> 0 < i691 >>> 0) {
          set32(11 * 4 | 0, 0 | 0);
          break;
         } else {
          set32(11 * 4 | 0, 1 | 0);
          i691 = get32(7 * 4 | 0) | 0;
          set32(6 * 4 | 0, 0 | 0);
          FUNCTION_TABLE_viiii[i683 & 15](i691, i672, i277, i695);
          set32(6 * 4 | 0, i683 | 0);
          set32(7 * 4 | 0, i691 | 0);
          break;
         }
        } while (0);
        i683 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i695) | 0;
        if (!i683) {
         i1428 = i578;
         i1429 = i579;
         i1430 = i582;
         i1431 = i274;
         i84 = 1677;
         break L6;
        }
        i289 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i683) | 0;
        i688 = (get32(30 * 4 | 0) | 0) + i289 | 0;
        set32(30 * 4 | 0, i688 | 0);
        if ((i688 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i688 | 0);
        i688 = get32(39 * 4 | 0) | 0;
        i289 = i688 + 1 | 0;
        set32(39 * 4 | 0, i289 | 0);
        if ((i688 | 0) < (get32(49 * 4 | 0) | 0)) {
         i1432 = i683;
         i1433 = i578;
         i1434 = i579;
         i1435 = i582;
        } else {
         set32(49 * 4 | 0, i289 | 0);
         i1432 = i683;
         i1433 = i578;
         i1434 = i579;
         i1435 = i582;
        }
       }
       set32(i100 | 0, i1432 | 0);
       i1424 = i1433;
       i1425 = i1434;
       i1426 = i1432;
       i1427 = i1435;
      }
      i683 = i267 + ((get32(i268 + (i1427 * 20 | 0) + 12 | 0) | 0) * 40 | 0) | 0;
      set32(i137 | 0, i683 | 0);
      i289 = get32(i268 + (i1427 * 20 | 0) + 4 | 0) | 0;
      i688 = i267 + (i289 * 40 | 0) | 0;
      set32(i101 | 0, 0 | 0);
      if ((get32(i65 | 0) | 0) > 0) {
       i691 = i1426;
       i277 = i1426;
       i672 = i1426;
       i677 = 0;
       while (1) {
        i690 = i677 + i289 | 0;
        i669 = getU16(i267 + (i690 * 40 | 0) + 28 | 0) | 0;
        do if (!(i669 & 4)) {
         if (i669 & 8) {
          d1107 = +getF64(i267 + (i690 * 40 | 0) + 8 | 0);
          i1436 = d1107 < -9223372036854775808.0 | d1107 > 9223372036854775808.0 ? 0 : ~~d1107 >>> 0;
          i1437 = i691;
          i1438 = i277;
          i1439 = i672;
          i1440 = i677;
          break;
         }
         if (!(i669 & 18)) {
          i1436 = 0;
          i1437 = i691;
          i1438 = i277;
          i1439 = i672;
          i1440 = i677;
         } else {
          i670 = i61;
          set32(i670 | 0, 0 | 0);
          set32(i670 + 4 | 0, 0 | 0);
          _sqlite3Atoi64(get32(i267 + (i690 * 40 | 0) + 4 | 0) | 0, i61, get32(i267 + (i690 * 40 | 0) + 24 | 0) | 0, get8(i267 + (i690 * 40 | 0) + 31 >> 0 | 0) | 0) | 0;
          i670 = get32(i100 | 0) | 0;
          i1436 = get32(i61 | 0) | 0;
          i1437 = i670;
          i1438 = i670;
          i1439 = i670;
          i1440 = get32(i101 | 0) | 0;
         }
        } else {
         i1436 = get32(i267 + (i690 * 40 | 0) + 16 | 0) | 0;
         i1437 = i691;
         i1438 = i277;
         i1439 = i672;
         i1440 = i677;
        } while (0);
        set32(i1439 + (i1440 << 2) | 0, i1436 | 0);
        i690 = (get32(i101 | 0) | 0) + 1 | 0;
        set32(i101 | 0, i690 | 0);
        if ((i690 | 0) < (get32(i65 | 0) | 0)) {
         i691 = i1437;
         i277 = i1438;
         i672 = i1439;
         i677 = i690;
        } else {
         i1441 = i1437;
         i1442 = i1438;
         i1443 = i690;
         break;
        }
       }
       i1444 = i1442;
       i1445 = get32(i137 | 0) | 0;
       i1446 = i1441;
       i1447 = i1443;
      } else {
       i1444 = i1426;
       i1445 = i683;
       i1446 = i1426;
       i1447 = 0;
      }
      set32(i1444 + (i1447 << 2) | 0, 0 | 0);
      i677 = get32((get32(i70 | 0) | 0) + (getU8(i268 + (i1427 * 20 | 0) + 3 >> 0 | 0) << 4) + 4 | 0) | 0;
      i672 = get32(i65 | 0) | 0;
      i277 = get32(i1445 + 16 | 0) | 0;
      i691 = get32(i677 + 4 | 0) | 0;
      set32(i691 + 4 | 0, get32(i677 | 0) | 0);
      i677 = get32(i691 | 0) | 0;
      i695 = get32((get32(i677 + 168 | 0) | 0) + 12 | 0) | 0;
      set32(i63 | 0, i691 | 0);
      set32(i218 | 0, i677 | 0);
      i677 = get32(i691 + 48 | 0) | 0;
      set32(i219 | 0, i677 | 0);
      set32(i220 | 0, i277 | 0);
      set32(i221 | 0, 0 | 0);
      set32(i222 | 0, 0 | 0);
      set32(i102 | 0, 0 | 0);
      L3018 : do if (!i677) i1448 = 0; else {
       i277 = i677 << 2;
       i690 = i277 + 4 | 0;
       do if ((i277 | 3) >>> 0 > 2147483390) i84 = 1704; else {
        if (!(get32(50 * 4 | 0) | 0)) {
         i669 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i690) | 0;
         set32(i223 | 0, i669 | 0);
         if (!i669) break; else i1449 = i669;
        } else {
         i669 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i690) | 0;
         set32(35 * 4 | 0, i690 | 0);
         if ((get32(45 * 4 | 0) | 0) < (i690 | 0)) set32(45 * 4 | 0, i690 | 0);
         i275 = get32(6 * 4 | 0) | 0;
         do if (i275) {
          i879 = get32(30 * 4 | 0) | 0;
          i670 = ((i879 | 0) < 0) << 31 >> 31;
          i278 = 16;
          i290 = _i64Subtract(get32(i278 | 0) | 0, get32(i278 + 4 | 0) | 0, i669 | 0, ((i669 | 0) < 0) << 31 >> 31 | 0) | 0;
          i278 = tempRet0;
          if ((i670 | 0) < (i278 | 0) | (i670 | 0) == (i278 | 0) & i879 >>> 0 < i290 >>> 0) {
           set32(11 * 4 | 0, 0 | 0);
           break;
          } else {
           set32(11 * 4 | 0, 1 | 0);
           i290 = get32(7 * 4 | 0) | 0;
           set32(6 * 4 | 0, 0 | 0);
           FUNCTION_TABLE_viiii[i275 & 15](i290, i879, i670, i669);
           set32(6 * 4 | 0, i275 | 0);
           set32(7 * 4 | 0, i290 | 0);
           break;
          }
         } while (0);
         i275 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i669) | 0;
         if (!i275) {
          i84 = 1704;
          break;
         }
         i682 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i275) | 0;
         i1009 = (get32(30 * 4 | 0) | 0) + i682 | 0;
         set32(30 * 4 | 0, i1009 | 0);
         if ((i1009 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i1009 | 0);
         i1009 = get32(39 * 4 | 0) | 0;
         i682 = i1009 + 1 | 0;
         set32(39 * 4 | 0, i682 | 0);
         if ((i1009 | 0) >= (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i682 | 0);
         set32(i223 | 0, i275 | 0);
         i1449 = i275;
        }
        i275 = 0;
        do {
         set32(i1449 + (i275 << 2) | 0, 0 | 0);
         i275 = i275 + 1 | 0;
         i682 = get32(i219 | 0) | 0;
        } while (i275 >>> 0 <= i682 >>> 0);
        i1450 = i682;
        i275 = i691 + 36 | 0;
        i669 = (((get32(199 * 4 | 0) | 0) >>> 0) / ((get32(i275 | 0) | 0) >>> 0) | 0) + 1 | 0;
        if (i669 >>> 0 <= i1450 >>> 0) set32(i1449 + (i669 << 2) | 0, 1 | 0);
        set32(i224 | 0, i64 | 0);
        set32(i225 | 0, i64 | 0);
        set32(i226 | 0, 0 | 0);
        set32(i227 | 0, 0 | 0);
        set32(i228 | 0, 100 | 0);
        set32(i229 | 0, 2e4 | 0);
        set8(i231 >> 0 | 0, 0 | 0);
        set8(i232 >> 0 | 0, 0 | 0);
        set8(i230 >> 0 | 0, 2 | 0);
        i669 = get32((get32(i691 + 12 | 0) | 0) + 64 | 0) | 0;
        _checkList(i63, 1, getU8(i669 + 33 >> 0 | 0) << 16 | getU8(i669 + 32 >> 0 | 0) << 24 | getU8(i669 + 34 >> 0 | 0) << 8 | getU8(i669 + 35 >> 0 | 0), getU8(i669 + 37 >> 0 | 0) << 16 | getU8(i669 + 36 >> 0 | 0) << 24 | getU8(i669 + 38 >> 0 | 0) << 8 | getU8(i669 + 39 >> 0 | 0), 22048);
        i669 = get32(i220 | 0) | 0;
        if ((i672 | 0) > 0 & (i669 | 0) != 0) {
         i682 = i691 + 21 | 0;
         i1009 = i669;
         i668 = 0;
         while (1) {
          i290 = i1446 + (i668 << 2) | 0;
          i670 = get32(i290 | 0) | 0;
          if (!i670) i1451 = i1009; else {
           if ((i670 | 0) > 1 & (get8(i682 >> 0 | 0) | 0) != 0) {
            i879 = _ptrmapGet(get32(i63 | 0) | 0, i670, i61, i62) | 0;
            L3056 : do if ((i879 | 0) < 7) {
             switch (i879 | 0) {
             case 0:
              break;
             default:
              {
               i84 = 1720;
               break L3056;
              }
             }
             i278 = get8(i61 >> 0 | 0) | 0;
             i702 = get32(i62 | 0) | 0;
             if (i278 << 24 >> 24 == 1 & (i702 | 0) == 0) break;
             set32(i25 | 0, i670 | 0);
             set32(i25 + 4 | 0, 1 | 0);
             set32(i25 + 8 | 0, 0 | 0);
             set32(i25 + 12 | 0, i278 & 255 | 0);
             set32(i25 + 16 | 0, i702 | 0);
             _checkAppendMsg(i63, 0, 22399, i25);
            } else {
             if ((i879 | 0) < 3082) switch (i879 | 0) {
             case 7:
              break;
             default:
              {
               i84 = 1720;
               break L3056;
              }
             } else switch (i879 | 0) {
             case 3082:
              break;
             default:
              {
               i84 = 1720;
               break L3056;
              }
             }
             set32(i222 | 0, 1 | 0);
             i84 = 1720;
            } while (0);
            if ((i84 | 0) == 1720) {
             i84 = 0;
             set32(i26 | 0, i670 | 0);
             _checkAppendMsg(i63, 0, 22370, i26);
            }
            i1452 = get32(i290 | 0) | 0;
           } else i1452 = i670;
           _checkTreePage(i63, i1452, 22064, 0, 0) | 0;
           i1451 = get32(i220 | 0) | 0;
          }
          i668 = i668 + 1 | 0;
          if (!((i668 | 0) < (i672 | 0) & (i1451 | 0) != 0)) {
           i1453 = i1451;
           break;
          } else i1009 = i1451;
         }
        } else i1453 = i669;
        if ((i1453 | 0) != 0 & (get32(i219 | 0) | 0) != 0) {
         i1009 = i691 + 21 | 0;
         i668 = i691 + 40 | 0;
         i682 = 1;
         do {
          do if (!(get32((get32(i223 | 0) | 0) + (i682 << 2) | 0) | 0)) {
           if (i682 >>> 0 < 2) i1454 = 0; else {
            i879 = i682 + -2 | 0;
            i702 = i879 - ((i879 >>> 0) % (((((get32(i668 | 0) | 0) >>> 0) / 5 | 0) + 1 | 0) >>> 0) | 0) | 0;
            i1454 = ((i702 + 1 | 0) == (((get32(199 * 4 | 0) | 0) >>> 0) / ((get32(i275 | 0) | 0) >>> 0) | 0 | 0) ? 3 : 2) + i702 | 0;
           }
           if ((i1454 | 0) == (i682 | 0) ? (get8(i1009 >> 0 | 0) | 0) != 0 : 0) break;
           set32(i24 | 0, i682 | 0);
           _checkAppendMsg(i63, 0, 22085, i24);
           if (get32((get32(i223 | 0) | 0) + (i682 << 2) | 0) | 0) i84 = 1732;
          } else i84 = 1732; while (0);
          do if ((i84 | 0) == 1732) {
           i84 = 0;
           if (i682 >>> 0 < 2) i1455 = 0; else {
            i670 = i682 + -2 | 0;
            i290 = i670 - ((i670 >>> 0) % (((((get32(i668 | 0) | 0) >>> 0) / 5 | 0) + 1 | 0) >>> 0) | 0) | 0;
            i1455 = ((i290 + 1 | 0) == (((get32(199 * 4 | 0) | 0) >>> 0) / ((get32(i275 | 0) | 0) >>> 0) | 0 | 0) ? 3 : 2) + i290 | 0;
           }
           if ((i1455 | 0) != (i682 | 0)) break;
           if (!(get8(i1009 >> 0 | 0) | 0)) break;
           set32(i23 | 0, i682 | 0);
           _checkAppendMsg(i63, 0, 22107, i23);
          } while (0);
          i682 = i682 + 1 | 0;
         } while ((get32(i220 | 0) | 0) != 0 ? i682 >>> 0 <= (get32(i219 | 0) | 0) >>> 0 : 0);
        }
        i682 = get32((get32((get32(i691 | 0) | 0) + 168 | 0) | 0) + 12 | 0) | 0;
        if ((i695 | 0) != (i682 | 0)) {
         set32(i22 | 0, i695 | 0);
         set32(i22 + 4 | 0, i682 | 0);
         _checkAppendMsg(i63, 0, 22141, i22);
        }
        i682 = get32(i223 | 0) | 0;
        do if (i682) {
         if (!(get32(50 * 4 | 0) | 0)) {
          FUNCTION_TABLE_vi[get32(232 | 0) & 31](i682);
          break;
         }
         i1009 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i682) | 0;
         i275 = (get32(30 * 4 | 0) | 0) - i1009 | 0;
         set32(30 * 4 | 0, i275 | 0);
         if ((i275 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i275 | 0);
         i275 = (get32(39 * 4 | 0) | 0) + -1 | 0;
         set32(39 * 4 | 0, i275 | 0);
         if ((i275 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i275 | 0);
         FUNCTION_TABLE_vi[get32(232 | 0) & 31](i682);
        } while (0);
        if (get32(i222 | 0) | 0) {
         i682 = get32(i225 | 0) | 0;
         do if ((i682 | 0) != (get32(i224 | 0) | 0)) {
          if ((get8(i230 >> 0 | 0) | 0) == 1) {
           _sqlite3DbFree(get32(i226 | 0) | 0, i682);
           break;
          }
          if (!i682) break;
          if (!(get32(50 * 4 | 0) | 0)) {
           FUNCTION_TABLE_vi[get32(232 | 0) & 31](i682);
           break;
          }
          i275 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i682) | 0;
          i1009 = (get32(30 * 4 | 0) | 0) - i275 | 0;
          set32(30 * 4 | 0, i1009 | 0);
          if ((i1009 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i1009 | 0);
          i1009 = (get32(39 * 4 | 0) | 0) + -1 | 0;
          set32(39 * 4 | 0, i1009 | 0);
          if ((i1009 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i1009 | 0);
          FUNCTION_TABLE_vi[get32(232 | 0) & 31](i682);
         } while (0);
         set32(i225 | 0, 0 | 0);
         set32(i102 | 0, (get32(i221 | 0) | 0) + 1 | 0);
         i1448 = 0;
         break L3018;
        }
        i682 = get32(i221 | 0) | 0;
        set32(i102 | 0, i682 | 0);
        i1009 = get32(i225 | 0) | 0;
        do if (i682) {
         if (!i1009) break;
         set8(i1009 + (get32(i227 | 0) | 0) >> 0 | 0, 0 | 0);
         i275 = get8(i230 >> 0 | 0) | 0;
         if (!(i275 << 24 >> 24)) break;
         if ((get32(i225 | 0) | 0) != (get32(i224 | 0) | 0)) break;
         L3148 : do if (i275 << 24 >> 24 == 1) {
          i668 = get32(i226 | 0) | 0;
          i669 = get32(i227 | 0) | 0;
          i290 = i669 + 1 | 0;
          L3150 : do if (!i668) {
           if (i669 >>> 0 > 2147483390) {
            i84 = 1818;
            break;
           }
           if (!(get32(50 * 4 | 0) | 0)) {
            i1456 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i290) | 0;
            i84 = 1820;
            break L3148;
           }
           i670 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i290) | 0;
           set32(35 * 4 | 0, i290 | 0);
           if ((get32(45 * 4 | 0) | 0) < (i290 | 0)) set32(45 * 4 | 0, i290 | 0);
           i702 = get32(6 * 4 | 0) | 0;
           do if (i702) {
            i879 = get32(30 * 4 | 0) | 0;
            i278 = ((i879 | 0) < 0) << 31 >> 31;
            i276 = 16;
            i862 = _i64Subtract(get32(i276 | 0) | 0, get32(i276 + 4 | 0) | 0, i670 | 0, ((i670 | 0) < 0) << 31 >> 31 | 0) | 0;
            i276 = tempRet0;
            if ((i278 | 0) < (i276 | 0) | (i278 | 0) == (i276 | 0) & i879 >>> 0 < i862 >>> 0) {
             set32(11 * 4 | 0, 0 | 0);
             break;
            } else {
             set32(11 * 4 | 0, 1 | 0);
             i862 = get32(7 * 4 | 0) | 0;
             set32(6 * 4 | 0, 0 | 0);
             FUNCTION_TABLE_viiii[i702 & 15](i862, i879, i278, i670);
             set32(6 * 4 | 0, i702 | 0);
             set32(7 * 4 | 0, i862 | 0);
             break;
            }
           } while (0);
           i702 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i670) | 0;
           if (!i702) {
            i84 = 1818;
            break;
           }
           i693 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i702) | 0;
           i862 = (get32(30 * 4 | 0) | 0) + i693 | 0;
           set32(30 * 4 | 0, i862 | 0);
           if ((i862 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i862 | 0);
           i862 = get32(39 * 4 | 0) | 0;
           i693 = i862 + 1 | 0;
           set32(39 * 4 | 0, i693 | 0);
           if ((i862 | 0) < (get32(49 * 4 | 0) | 0)) {
            i1457 = i702;
            i84 = 1819;
            break;
           }
           set32(49 * 4 | 0, i693 | 0);
           i1457 = i702;
           i84 = 1819;
          } else {
           i702 = i668 + 30 | 0;
           if (get8(i702 >> 0 | 0) | 0) {
            i84 = 1818;
            break;
           }
           do if (get8(i668 + 234 >> 0 | 0) | 0) {
            if ((getU16(i668 + 232 | 0) | 0) < (i290 | 0)) {
             i693 = i668 + 248 | 0;
             set32(i693 | 0, (get32(i693 | 0) | 0) + 1 | 0);
             break;
            }
            i693 = i668 + 256 | 0;
            i862 = get32(i693 | 0) | 0;
            if (!i862) {
             i278 = i668 + 252 | 0;
             set32(i278 | 0, (get32(i278 | 0) | 0) + 1 | 0);
             break;
            }
            set32(i693 | 0, get32(i862 | 0) | 0);
            i693 = i668 + 236 | 0;
            i278 = get32(i693 | 0) | 0;
            i879 = i278 + 1 | 0;
            set32(i693 | 0, i879 | 0);
            i693 = i668 + 244 | 0;
            set32(i693 | 0, (get32(i693 | 0) | 0) + 1 | 0);
            i693 = i668 + 240 | 0;
            if ((i278 | 0) >= (get32(i693 | 0) | 0)) set32(i693 | 0, i879 | 0);
            i1456 = i862;
            i84 = 1820;
            break L3148;
           } while (0);
           do if (i669 >>> 0 <= 2147483390) {
            if (!(get32(50 * 4 | 0) | 0)) {
             i670 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i290) | 0;
             if (!i670) break; else {
              i1457 = i670;
              i84 = 1819;
              break L3150;
             }
            }
            i670 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i290) | 0;
            set32(35 * 4 | 0, i290 | 0);
            if ((get32(45 * 4 | 0) | 0) < (i290 | 0)) set32(45 * 4 | 0, i290 | 0);
            i862 = get32(6 * 4 | 0) | 0;
            do if (i862) {
             i879 = get32(30 * 4 | 0) | 0;
             i693 = ((i879 | 0) < 0) << 31 >> 31;
             i278 = 16;
             i276 = _i64Subtract(get32(i278 | 0) | 0, get32(i278 + 4 | 0) | 0, i670 | 0, ((i670 | 0) < 0) << 31 >> 31 | 0) | 0;
             i278 = tempRet0;
             if ((i693 | 0) < (i278 | 0) | (i693 | 0) == (i278 | 0) & i879 >>> 0 < i276 >>> 0) {
              set32(11 * 4 | 0, 0 | 0);
              break;
             } else {
              set32(11 * 4 | 0, 1 | 0);
              i276 = get32(7 * 4 | 0) | 0;
              set32(6 * 4 | 0, 0 | 0);
              FUNCTION_TABLE_viiii[i862 & 15](i276, i879, i693, i670);
              set32(6 * 4 | 0, i862 | 0);
              set32(7 * 4 | 0, i276 | 0);
              break;
             }
            } while (0);
            i862 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i670) | 0;
            if (!i862) break;
            i696 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i862) | 0;
            i276 = (get32(30 * 4 | 0) | 0) + i696 | 0;
            set32(30 * 4 | 0, i276 | 0);
            if ((i276 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i276 | 0);
            i276 = get32(39 * 4 | 0) | 0;
            i696 = i276 + 1 | 0;
            set32(39 * 4 | 0, i696 | 0);
            if ((i276 | 0) < (get32(49 * 4 | 0) | 0)) {
             i1457 = i862;
             i84 = 1819;
             break L3150;
            }
            set32(49 * 4 | 0, i696 | 0);
            i1457 = i862;
            i84 = 1819;
            break L3150;
           } while (0);
           set8(i702 >> 0 | 0, 1 | 0);
           i84 = 1818;
          } while (0);
          if ((i84 | 0) == 1818) {
           i84 = 0;
           set32(i225 | 0, 0 | 0);
           i84 = 1822;
           break;
          } else if ((i84 | 0) == 1819) {
           i84 = 0;
           set32(i225 | 0, i1457 | 0);
           i1458 = i1457;
           i84 = 1821;
           break;
          }
         } else {
          i1456 = _sqlite3_malloc((get32(i227 | 0) | 0) + 1 | 0) | 0;
          i84 = 1820;
         } while (0);
         if ((i84 | 0) == 1820) {
          i84 = 0;
          set32(i225 | 0, i1456 | 0);
          if (!i1456) i84 = 1822; else {
           i1458 = i1456;
           i84 = 1821;
          }
         }
         if ((i84 | 0) == 1821) {
          i84 = 0;
          _memcpy(i1458 | 0, get32(i224 | 0) | 0, (get32(i227 | 0) | 0) + 1 | 0) | 0;
          break;
         } else if ((i84 | 0) == 1822) {
          i84 = 0;
          set8(i232 >> 0 | 0, 1 | 0);
          break;
         }
        } else {
         do if ((i1009 | 0) != (get32(i224 | 0) | 0)) {
          if ((get8(i230 >> 0 | 0) | 0) == 1) {
           _sqlite3DbFree(get32(i226 | 0) | 0, i1009);
           break;
          }
          if (!i1009) break;
          if (!(get32(50 * 4 | 0) | 0)) {
           FUNCTION_TABLE_vi[get32(232 | 0) & 31](i1009);
           break;
          }
          i275 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i1009) | 0;
          i290 = (get32(30 * 4 | 0) | 0) - i275 | 0;
          set32(30 * 4 | 0, i290 | 0);
          if ((i290 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i290 | 0);
          i290 = (get32(39 * 4 | 0) | 0) + -1 | 0;
          set32(39 * 4 | 0, i290 | 0);
          if ((i290 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i290 | 0);
          FUNCTION_TABLE_vi[get32(232 | 0) & 31](i1009);
         } while (0);
         set32(i225 | 0, 0 | 0);
        } while (0);
        i1448 = get32(i225 | 0) | 0;
        break L3018;
       } while (0);
       if ((i84 | 0) == 1704) {
        i84 = 0;
        set32(i223 | 0, 0 | 0);
       }
       set32(i102 | 0, 1 | 0);
       i1448 = 0;
      } while (0);
      set32(i108 | 0, i1448 | 0);
      _sqlite3DbFree(i69, get32(i100 | 0) | 0);
      i695 = get32(i102 | 0) | 0;
      i691 = (get32(i137 | 0) | 0) + 16 | 0;
      i672 = i691;
      i677 = _i64Subtract(get32(i672 | 0) | 0, get32(i672 + 4 | 0) | 0, i695 | 0, ((i695 | 0) < 0) << 31 >> 31 | 0) | 0;
      i695 = i691;
      set32(i695 | 0, i677 | 0);
      set32(i695 + 4 | 0, tempRet0 | 0);
      i695 = i267 + (i289 * 40 | 0) + 28 | 0;
      i677 = get16(i695 | 0) | 0;
      if (i677 & 64) {
       i691 = get32(i267 + (i289 * 40 | 0) + 16 | 0) | 0;
       i672 = (get32(i691 | 0) | 0) + 172 | 0;
       set32(i691 + 60 | 0, get32(i672 | 0) | 0);
       set32(i672 | 0, i691 | 0);
      }
      if (!(i677 & 32)) i1459 = i677; else {
       i691 = get32(i267 + (i289 * 40 | 0) + 16 | 0) | 0;
       i672 = get32(i691 | 0) | 0;
       if (!i672) i1460 = i677; else {
        i677 = i691 + 4 | 0;
        i683 = i672;
        do {
         i672 = i683;
         i683 = get32(i683 | 0) | 0;
         _sqlite3DbFree(get32(i677 | 0) | 0, i672);
        } while ((i683 | 0) != 0);
        i1460 = get16(i695 | 0) | 0;
       }
       set32(i691 | 0, 0 | 0);
       set16(i691 + 24 | 0, 0 | 0);
       set32(i691 + 8 | 0, 0 | 0);
       set32(i691 + 12 | 0, 0 | 0);
       set32(i691 + 20 | 0, 0 | 0);
       set8(i691 + 26 >> 0 | 0, 1 | 0);
       i1459 = i1460;
      }
      set16(i695 | 0, i1459 & 48896 | 1 | 0);
      set8(i267 + (i289 * 40 | 0) + 30 >> 0 | 0, 5 | 0);
      if (get32(i102 | 0) | 0) {
       i683 = get32(i108 | 0) | 0;
       if (!i683) {
        i78 = i90;
        i79 = i105;
        i80 = i1424;
        i81 = i1425;
        i82 = i1427;
        i83 = i274;
        i84 = 2896;
        break L1;
       }
       _sqlite3VdbeMemSetStr(i688, i683, -1, 1, 2) | 0;
      }
      _sqlite3VdbeChangeEncoding(i688, i96) | 0;
      i716 = i1424;
      i717 = i1425;
      i718 = i267;
      i719 = i268;
      i720 = i269;
      i721 = i270;
      i722 = i580;
      i723 = i581;
      i724 = i1427;
      i725 = i274;
      break;
     }
    case 1836:
     {
      i84 = 0;
      i683 = get32(i268 + (i587 * 20 | 0) + 4 | 0) | 0;
      i677 = get32(i268 + (i587 * 20 | 0) + 8 | 0) | 0;
      i672 = i267 + (i683 * 40 | 0) + 28 | 0;
      if ((get16(i672 | 0) & 32) == 0 ? (_sqlite3VdbeMemSetRowSet(i267 + (i683 * 40 | 0) | 0), (get16(i672 | 0) & 32) == 0) : 0) {
       i78 = i90;
       i79 = i105;
       i80 = i583;
       i81 = i584;
       i82 = i587;
       i83 = i274;
       i84 = 2896;
       break L1;
      }
      i672 = get32(i267 + (i683 * 40 | 0) + 16 | 0) | 0;
      i683 = i267 + (i677 * 40 | 0) + 16 | 0;
      i677 = get32(i683 | 0) | 0;
      i690 = get32(i683 + 4 | 0) | 0;
      i683 = i672 + 24 | 0;
      i277 = get16(i683 | 0) | 0;
      if (!(i277 << 16 >> 16)) {
       i1009 = get32(i672 + 4 | 0) | 0;
       L3240 : do if (!i1009) {
        if (!(get32(50 * 4 | 0) | 0)) {
         i1461 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](1016) | 0;
         i84 = 1877;
         break;
        }
        i682 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](1016) | 0;
        set32(35 * 4 | 0, 1016 | 0);
        if ((get32(45 * 4 | 0) | 0) < 1016) set32(45 * 4 | 0, 1016 | 0);
        i290 = get32(6 * 4 | 0) | 0;
        do if (i290) {
         i275 = get32(30 * 4 | 0) | 0;
         i669 = ((i275 | 0) < 0) << 31 >> 31;
         i668 = 16;
         i291 = _i64Subtract(get32(i668 | 0) | 0, get32(i668 + 4 | 0) | 0, i682 | 0, ((i682 | 0) < 0) << 31 >> 31 | 0) | 0;
         i668 = tempRet0;
         if ((i669 | 0) < (i668 | 0) | (i669 | 0) == (i668 | 0) & i275 >>> 0 < i291 >>> 0) {
          set32(11 * 4 | 0, 0 | 0);
          break;
         } else {
          set32(11 * 4 | 0, 1 | 0);
          i291 = get32(7 * 4 | 0) | 0;
          set32(6 * 4 | 0, 0 | 0);
          FUNCTION_TABLE_viiii[i290 & 15](i291, i275, i669, i682);
          set32(6 * 4 | 0, i290 | 0);
          set32(7 * 4 | 0, i291 | 0);
          break;
         }
        } while (0);
        i290 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i682) | 0;
        if (!i290) {
         i716 = i583;
         i717 = i584;
         i718 = i267;
         i719 = i268;
         i720 = i269;
         i721 = i270;
         i722 = i585;
         i723 = i586;
         i724 = i587;
         i725 = i274;
         break L1559;
        }
        i291 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i290) | 0;
        i669 = (get32(30 * 4 | 0) | 0) + i291 | 0;
        set32(30 * 4 | 0, i669 | 0);
        if ((i669 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i669 | 0);
        i669 = get32(39 * 4 | 0) | 0;
        i291 = i669 + 1 | 0;
        set32(39 * 4 | 0, i291 | 0);
        if ((i669 | 0) < (get32(49 * 4 | 0) | 0)) i1462 = i290; else {
         set32(49 * 4 | 0, i291 | 0);
         i1462 = i290;
        }
       } else {
        i290 = i1009 + 30 | 0;
        if (get8(i290 >> 0 | 0) | 0) {
         i716 = i583;
         i717 = i584;
         i718 = i267;
         i719 = i268;
         i720 = i269;
         i721 = i270;
         i722 = i585;
         i723 = i586;
         i724 = i587;
         i725 = i274;
         break L1559;
        }
        do if (get8(i1009 + 234 >> 0 | 0) | 0) {
         if ((getU16(i1009 + 232 | 0) | 0) < 1016) {
          i291 = i1009 + 248 | 0;
          set32(i291 | 0, (get32(i291 | 0) | 0) + 1 | 0);
          break;
         }
         i291 = i1009 + 256 | 0;
         i669 = get32(i291 | 0) | 0;
         if (!i669) {
          i275 = i1009 + 252 | 0;
          set32(i275 | 0, (get32(i275 | 0) | 0) + 1 | 0);
          break;
         }
         set32(i291 | 0, get32(i669 | 0) | 0);
         i291 = i1009 + 236 | 0;
         i275 = get32(i291 | 0) | 0;
         i668 = i275 + 1 | 0;
         set32(i291 | 0, i668 | 0);
         i291 = i1009 + 244 | 0;
         set32(i291 | 0, (get32(i291 | 0) | 0) + 1 | 0);
         i291 = i1009 + 240 | 0;
         if ((i275 | 0) >= (get32(i291 | 0) | 0)) set32(i291 | 0, i668 | 0);
         i1461 = i669;
         i84 = 1877;
         break L3240;
        } while (0);
        if (!(get32(50 * 4 | 0) | 0)) {
         i682 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](1016) | 0;
         if (!i682) {
          i1463 = i583;
          i1464 = i584;
          i1465 = i586;
          i1466 = i587;
         } else {
          i1462 = i682;
          break;
         }
        } else {
         i682 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](1016) | 0;
         set32(35 * 4 | 0, 1016 | 0);
         if ((get32(45 * 4 | 0) | 0) < 1016) set32(45 * 4 | 0, 1016 | 0);
         i669 = get32(6 * 4 | 0) | 0;
         do if (i669) {
          i668 = get32(30 * 4 | 0) | 0;
          i291 = ((i668 | 0) < 0) << 31 >> 31;
          i275 = 16;
          i862 = _i64Subtract(get32(i275 | 0) | 0, get32(i275 + 4 | 0) | 0, i682 | 0, ((i682 | 0) < 0) << 31 >> 31 | 0) | 0;
          i275 = tempRet0;
          if ((i291 | 0) < (i275 | 0) | (i291 | 0) == (i275 | 0) & i668 >>> 0 < i862 >>> 0) {
           set32(11 * 4 | 0, 0 | 0);
           break;
          } else {
           set32(11 * 4 | 0, 1 | 0);
           i862 = get32(7 * 4 | 0) | 0;
           set32(6 * 4 | 0, 0 | 0);
           FUNCTION_TABLE_viiii[i669 & 15](i862, i668, i291, i682);
           set32(6 * 4 | 0, i669 | 0);
           set32(7 * 4 | 0, i862 | 0);
           break;
          }
         } while (0);
         i669 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i682) | 0;
         if (!i669) {
          i1463 = i583;
          i1464 = i584;
          i1465 = i586;
          i1466 = i587;
         } else {
          i862 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i669) | 0;
          i291 = (get32(30 * 4 | 0) | 0) + i862 | 0;
          set32(30 * 4 | 0, i291 | 0);
          if ((i291 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i291 | 0);
          i291 = get32(39 * 4 | 0) | 0;
          i862 = i291 + 1 | 0;
          set32(39 * 4 | 0, i862 | 0);
          if ((i291 | 0) < (get32(49 * 4 | 0) | 0)) {
           i1462 = i669;
           break;
          }
          set32(49 * 4 | 0, i862 | 0);
          i1462 = i669;
          break;
         }
        }
        set8(i290 >> 0 | 0, 1 | 0);
        i716 = i1463;
        i717 = i1464;
        i718 = i267;
        i719 = i268;
        i720 = i269;
        i721 = i270;
        i722 = i585;
        i723 = i1465;
        i724 = i1466;
        i725 = i274;
        break L1559;
       } while (0);
       if ((i84 | 0) == 1877) {
        i84 = 0;
        if (!i1461) {
         i716 = i583;
         i717 = i584;
         i718 = i267;
         i719 = i268;
         i720 = i269;
         i721 = i270;
         i722 = i585;
         i723 = i586;
         i724 = i587;
         i725 = i274;
         break;
        } else i1462 = i1461;
       }
       set32(i1462 | 0, get32(i672 | 0) | 0);
       set32(i672 | 0, i1462 | 0);
       i1009 = i1462 + 8 | 0;
       i688 = i672 + 16 | 0;
       set32(i688 | 0, i1009 | 0);
       set16(i683 | 0, 63 | 0);
       i1467 = i688;
       i1468 = i1009;
       i1469 = 62;
      } else {
       i1009 = i672 + 16 | 0;
       i1467 = i1009;
       i1468 = get32(i1009 | 0) | 0;
       i1469 = i277 + -1 << 16 >> 16;
      }
      set32(i1467 | 0, i1468 + 16 | 0);
      set16(i683 | 0, i1469 | 0);
      i1009 = i1468;
      set32(i1009 | 0, i677 | 0);
      set32(i1009 + 4 | 0, i690 | 0);
      set32(i1468 + 8 | 0, 0 | 0);
      i1009 = i672 + 12 | 0;
      i688 = get32(i1009 | 0) | 0;
      if (!i688) set32(i672 + 8 | 0, i1468 | 0); else {
       i289 = i672 + 26 | 0;
       if ((get8(i289 >> 0 | 0) | 0) != 0 ? (i695 = i688, i691 = get32(i695 + 4 | 0) | 0, !((i691 | 0) < (i690 | 0) | ((i691 | 0) == (i690 | 0) ? (get32(i695 | 0) | 0) >>> 0 < i677 >>> 0 : 0))) : 0) set8(i289 >> 0 | 0, 0 | 0);
       set32(i688 + 8 | 0, i1468 | 0);
      }
      set32(i1009 | 0, i1468 | 0);
      i716 = i583;
      i717 = i584;
      i718 = i267;
      i719 = i268;
      i720 = i269;
      i721 = i270;
      i722 = i585;
      i723 = i586;
      i724 = i587;
      i725 = i274;
      break;
     }
    case 1886:
     {
      i84 = 0;
      if (get32(i86 | 0) | 0) {
       i937 = i105;
       i938 = i588;
       i939 = i589;
       i940 = i592;
       i941 = i274;
       break L4;
      }
      i1009 = get32(i268 + (i592 * 20 | 0) + 4 | 0) | 0;
      i688 = i267 + (i1009 * 40 | 0) + 28 | 0;
      i289 = get16(i688 | 0) | 0;
      do if (!(i289 & 32)) i1470 = i289; else {
       i695 = get32(i267 + (i1009 * 40 | 0) + 16 | 0) | 0;
       _rowSetToList(i695);
       i691 = i695 + 8 | 0;
       i669 = get32(i691 | 0) | 0;
       if (!i669) {
        i1470 = get16(i688 | 0) | 0;
        break;
       }
       i862 = i669;
       i291 = get32(i862 | 0) | 0;
       i668 = get32(i862 + 4 | 0) | 0;
       i862 = i65;
       set32(i862 | 0, i291 | 0);
       set32(i862 + 4 | 0, i668 | 0);
       i862 = get32(i669 + 8 | 0) | 0;
       set32(i691 | 0, i862 | 0);
       if (!i862) {
        i862 = get32(i695 | 0) | 0;
        if (!i862) {
         i1471 = i291;
         i1472 = i668;
        } else {
         i669 = i695 + 4 | 0;
         i275 = i862;
         do {
          i862 = i275;
          i275 = get32(i275 | 0) | 0;
          _sqlite3DbFree(get32(i669 | 0) | 0, i862);
         } while ((i275 | 0) != 0);
         i275 = i65;
         i1471 = get32(i275 | 0) | 0;
         i1472 = get32(i275 + 4 | 0) | 0;
        }
        set32(i695 | 0, 0 | 0);
        set16(i695 + 24 | 0, 0 | 0);
        set32(i691 | 0, 0 | 0);
        set32(i695 + 12 | 0, 0 | 0);
        set32(i695 + 20 | 0, 0 | 0);
        set8(i695 + 26 >> 0 | 0, 1 | 0);
        i1473 = i1471;
        i1474 = i1472;
       } else {
        i1473 = i291;
        i1474 = i668;
       }
       i275 = get32(i268 + (i592 * 20 | 0) + 12 | 0) | 0;
       i669 = i267 + (i275 * 40 | 0) | 0;
       _sqlite3VdbeMemReleaseExternal(i669);
       i290 = i267 + (i275 * 40 | 0) + 36 | 0;
       _sqlite3DbFree(get32(i669 | 0) | 0, get32(i290 | 0) | 0);
       set32(i267 + (i275 * 40 | 0) + 4 | 0, 0 | 0);
       set32(i290 | 0, 0 | 0);
       set32(i267 + (i275 * 40 | 0) + 32 | 0, 0 | 0);
       i290 = i267 + (i275 * 40 | 0) + 16 | 0;
       set32(i290 | 0, i1473 | 0);
       set32(i290 + 4 | 0, i1474 | 0);
       set16(i267 + (i275 * 40 | 0) + 28 | 0, 4 | 0);
       set8(i267 + (i275 * 40 | 0) + 30 >> 0 | 0, 1 | 0);
       i716 = i588;
       i717 = i589;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i590;
       i723 = i591;
       i724 = i592;
       i725 = i274;
       break L1559;
      } while (0);
      if (i1470 & 64) {
       i289 = get32(i267 + (i1009 * 40 | 0) + 16 | 0) | 0;
       i677 = (get32(i289 | 0) | 0) + 172 | 0;
       set32(i289 + 60 | 0, get32(i677 | 0) | 0);
       set32(i677 | 0, i289 | 0);
      }
      if (!(i1470 & 32)) i1475 = i1470; else {
       i289 = get32(i267 + (i1009 * 40 | 0) + 16 | 0) | 0;
       i677 = get32(i289 | 0) | 0;
       if (!i677) i1476 = i1470; else {
        i690 = i289 + 4 | 0;
        i672 = i677;
        do {
         i677 = i672;
         i672 = get32(i672 | 0) | 0;
         _sqlite3DbFree(get32(i690 | 0) | 0, i677);
        } while ((i672 | 0) != 0);
        i1476 = get16(i688 | 0) | 0;
       }
       set32(i289 | 0, 0 | 0);
       set16(i289 + 24 | 0, 0 | 0);
       set32(i289 + 8 | 0, 0 | 0);
       set32(i289 + 12 | 0, 0 | 0);
       set32(i289 + 20 | 0, 0 | 0);
       set8(i289 + 26 >> 0 | 0, 1 | 0);
       i1475 = i1476;
      }
      set16(i688 | 0, i1475 & 48896 | 1 | 0);
      set8(i267 + (i1009 * 40 | 0) + 30 >> 0 | 0, 5 | 0);
      i716 = i588;
      i717 = i589;
      i718 = i267;
      i719 = i268;
      i720 = i269;
      i721 = i270;
      i722 = i590;
      i723 = i591;
      i724 = (get32(i268 + (i592 * 20 | 0) + 8 | 0) | 0) + -1 | 0;
      i725 = i274;
      break;
     }
    case 1906:
     {
      i84 = 0;
      i672 = get32(i268 + (i597 * 20 | 0) + 4 | 0) | 0;
      i690 = get32(i268 + (i597 * 20 | 0) + 12 | 0) | 0;
      i677 = get32(i268 + (i597 * 20 | 0) + 16 | 0) | 0;
      set32(i65 | 0, i677 | 0);
      i683 = i267 + (i672 * 40 | 0) + 28 | 0;
      if (!(get16(i683 | 0) & 32)) {
       _sqlite3VdbeMemSetRowSet(i267 + (i672 * 40 | 0) | 0);
       if (!(get16(i683 | 0) & 32)) {
        i78 = i90;
        i79 = i105;
        i80 = i593;
        i81 = i594;
        i82 = i597;
        i83 = i274;
        i84 = 2896;
        break L1;
       }
       i1477 = get32(i65 | 0) | 0;
      } else i1477 = i677;
      i677 = i267 + (i672 * 40 | 0) + 16 | 0;
      if (i1477) {
       i672 = get32(i677 | 0) | 0;
       i683 = (i1477 | 0) > -1 ? i1477 & 15 : -1;
       i277 = i267 + (i690 * 40 | 0) + 16 | 0;
       i275 = i277;
       i290 = get32(i275 | 0) | 0;
       i669 = get32(i275 + 4 | 0) | 0;
       i275 = i672 + 27 | 0;
       if ((get8(i275 >> 0 | 0) | 0) != i683 << 24 >> 24) {
        i682 = i672 + 8 | 0;
        if (get32(i682 | 0) | 0) {
         _rowSetToList(i672);
         i862 = get32(i682 | 0) | 0;
         i696 = i862 + 8 | 0;
         i276 = get32(i696 | 0) | 0;
         set32(i61 | 0, i276 | 0);
         set32(i696 | 0, 0 | 0);
         set32(i862 + 12 | 0, 0 | 0);
         if (!i276) i1478 = i862; else {
          i696 = i276;
          i276 = 1;
          i693 = i862;
          while (1) {
           i862 = i696 + 8 | 0;
           set32(i61 | 0, get32(i862 | 0) | 0);
           set32(i696 + 12 | 0, i693 | 0);
           set32(i862 | 0, _rowSetNDeepTree(i61, i276) | 0 | 0);
           i862 = get32(i61 | 0) | 0;
           if (!i862) {
            i1478 = i696;
            break;
           } else {
            i879 = i696;
            i696 = i862;
            i276 = i276 + 1 | 0;
            i693 = i879;
           }
          }
         }
         set32(i672 + 20 | 0, i1478 | 0);
         set32(i682 | 0, 0 | 0);
         set32(i672 + 12 | 0, 0 | 0);
        }
        set8(i275 >> 0 | 0, i683 | 0);
       }
       i693 = get32(i672 + 20 | 0) | 0;
       L3352 : do if (i693) {
        i276 = i693;
        while (1) {
         i696 = i276;
         i1009 = get32(i696 | 0) | 0;
         i688 = get32(i696 + 4 | 0) | 0;
         if ((i688 | 0) < (i669 | 0) | (i688 | 0) == (i669 | 0) & i1009 >>> 0 < i290 >>> 0) i1479 = i276 + 8 | 0; else {
          if (!((i688 | 0) > (i669 | 0) | (i688 | 0) == (i669 | 0) & i1009 >>> 0 > i290 >>> 0)) break;
          i1479 = i276 + 12 | 0;
         }
         i276 = get32(i1479 | 0) | 0;
         if (!i276) break L3352;
        }
        set32(i100 | 0, 1 | 0);
        i716 = i593;
        i717 = i594;
        i718 = i267;
        i719 = i268;
        i720 = i269;
        i721 = i270;
        i722 = i595;
        i723 = i596;
        i724 = (get32(i268 + (i597 * 20 | 0) + 8 | 0) | 0) + -1 | 0;
        i725 = i274;
        break L1559;
       } while (0);
       set32(i100 | 0, 0 | 0);
       if ((get32(i65 | 0) | 0) > -1) i1480 = i277; else {
        i716 = i593;
        i717 = i594;
        i718 = i267;
        i719 = i268;
        i720 = i269;
        i721 = i270;
        i722 = i595;
        i723 = i596;
        i724 = i597;
        i725 = i274;
        break;
       }
      } else i1480 = i267 + (i690 * 40 | 0) + 16 | 0;
      i290 = get32(i677 | 0) | 0;
      i669 = i1480;
      i693 = get32(i669 | 0) | 0;
      i672 = get32(i669 + 4 | 0) | 0;
      i669 = i290 + 24 | 0;
      i683 = get16(i669 | 0) | 0;
      if (!(i683 << 16 >> 16)) {
       i275 = get32(i290 + 4 | 0) | 0;
       L3365 : do if (!i275) {
        if (!(get32(50 * 4 | 0) | 0)) {
         i1481 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](1016) | 0;
         i84 = 1965;
         break;
        }
        i682 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](1016) | 0;
        set32(35 * 4 | 0, 1016 | 0);
        if ((get32(45 * 4 | 0) | 0) < 1016) set32(45 * 4 | 0, 1016 | 0);
        i276 = get32(6 * 4 | 0) | 0;
        do if (i276) {
         i668 = get32(30 * 4 | 0) | 0;
         i291 = ((i668 | 0) < 0) << 31 >> 31;
         i695 = 16;
         i691 = _i64Subtract(get32(i695 | 0) | 0, get32(i695 + 4 | 0) | 0, i682 | 0, ((i682 | 0) < 0) << 31 >> 31 | 0) | 0;
         i695 = tempRet0;
         if ((i291 | 0) < (i695 | 0) | (i291 | 0) == (i695 | 0) & i668 >>> 0 < i691 >>> 0) {
          set32(11 * 4 | 0, 0 | 0);
          break;
         } else {
          set32(11 * 4 | 0, 1 | 0);
          i691 = get32(7 * 4 | 0) | 0;
          set32(6 * 4 | 0, 0 | 0);
          FUNCTION_TABLE_viiii[i276 & 15](i691, i668, i291, i682);
          set32(6 * 4 | 0, i276 | 0);
          set32(7 * 4 | 0, i691 | 0);
          break;
         }
        } while (0);
        i276 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i682) | 0;
        if (!i276) {
         i716 = i593;
         i717 = i594;
         i718 = i267;
         i719 = i268;
         i720 = i269;
         i721 = i270;
         i722 = i595;
         i723 = i596;
         i724 = i597;
         i725 = i274;
         break L1559;
        }
        i691 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i276) | 0;
        i291 = (get32(30 * 4 | 0) | 0) + i691 | 0;
        set32(30 * 4 | 0, i291 | 0);
        if ((i291 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i291 | 0);
        i291 = get32(39 * 4 | 0) | 0;
        i691 = i291 + 1 | 0;
        set32(39 * 4 | 0, i691 | 0);
        if ((i291 | 0) < (get32(49 * 4 | 0) | 0)) i1482 = i276; else {
         set32(49 * 4 | 0, i691 | 0);
         i1482 = i276;
        }
       } else {
        i276 = i275 + 30 | 0;
        if (get8(i276 >> 0 | 0) | 0) {
         i716 = i593;
         i717 = i594;
         i718 = i267;
         i719 = i268;
         i720 = i269;
         i721 = i270;
         i722 = i595;
         i723 = i596;
         i724 = i597;
         i725 = i274;
         break L1559;
        }
        do if (get8(i275 + 234 >> 0 | 0) | 0) {
         if ((getU16(i275 + 232 | 0) | 0) < 1016) {
          i691 = i275 + 248 | 0;
          set32(i691 | 0, (get32(i691 | 0) | 0) + 1 | 0);
          break;
         }
         i691 = i275 + 256 | 0;
         i291 = get32(i691 | 0) | 0;
         if (!i291) {
          i668 = i275 + 252 | 0;
          set32(i668 | 0, (get32(i668 | 0) | 0) + 1 | 0);
          break;
         }
         set32(i691 | 0, get32(i291 | 0) | 0);
         i691 = i275 + 236 | 0;
         i668 = get32(i691 | 0) | 0;
         i695 = i668 + 1 | 0;
         set32(i691 | 0, i695 | 0);
         i691 = i275 + 244 | 0;
         set32(i691 | 0, (get32(i691 | 0) | 0) + 1 | 0);
         i691 = i275 + 240 | 0;
         if ((i668 | 0) >= (get32(i691 | 0) | 0)) set32(i691 | 0, i695 | 0);
         i1481 = i291;
         i84 = 1965;
         break L3365;
        } while (0);
        if (!(get32(50 * 4 | 0) | 0)) {
         i682 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](1016) | 0;
         if (!i682) {
          i1483 = i593;
          i1484 = i594;
          i1485 = i596;
          i1486 = i597;
         } else {
          i1482 = i682;
          break;
         }
        } else {
         i682 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](1016) | 0;
         set32(35 * 4 | 0, 1016 | 0);
         if ((get32(45 * 4 | 0) | 0) < 1016) set32(45 * 4 | 0, 1016 | 0);
         i291 = get32(6 * 4 | 0) | 0;
         do if (i291) {
          i695 = get32(30 * 4 | 0) | 0;
          i691 = ((i695 | 0) < 0) << 31 >> 31;
          i668 = 16;
          i1009 = _i64Subtract(get32(i668 | 0) | 0, get32(i668 + 4 | 0) | 0, i682 | 0, ((i682 | 0) < 0) << 31 >> 31 | 0) | 0;
          i668 = tempRet0;
          if ((i691 | 0) < (i668 | 0) | (i691 | 0) == (i668 | 0) & i695 >>> 0 < i1009 >>> 0) {
           set32(11 * 4 | 0, 0 | 0);
           break;
          } else {
           set32(11 * 4 | 0, 1 | 0);
           i1009 = get32(7 * 4 | 0) | 0;
           set32(6 * 4 | 0, 0 | 0);
           FUNCTION_TABLE_viiii[i291 & 15](i1009, i695, i691, i682);
           set32(6 * 4 | 0, i291 | 0);
           set32(7 * 4 | 0, i1009 | 0);
           break;
          }
         } while (0);
         i291 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i682) | 0;
         if (!i291) {
          i1483 = i593;
          i1484 = i594;
          i1485 = i596;
          i1486 = i597;
         } else {
          i1009 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i291) | 0;
          i691 = (get32(30 * 4 | 0) | 0) + i1009 | 0;
          set32(30 * 4 | 0, i691 | 0);
          if ((i691 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i691 | 0);
          i691 = get32(39 * 4 | 0) | 0;
          i1009 = i691 + 1 | 0;
          set32(39 * 4 | 0, i1009 | 0);
          if ((i691 | 0) < (get32(49 * 4 | 0) | 0)) {
           i1482 = i291;
           break;
          }
          set32(49 * 4 | 0, i1009 | 0);
          i1482 = i291;
          break;
         }
        }
        set8(i276 >> 0 | 0, 1 | 0);
        i716 = i1483;
        i717 = i1484;
        i718 = i267;
        i719 = i268;
        i720 = i269;
        i721 = i270;
        i722 = i595;
        i723 = i1485;
        i724 = i1486;
        i725 = i274;
        break L1559;
       } while (0);
       if ((i84 | 0) == 1965) {
        i84 = 0;
        if (!i1481) {
         i716 = i593;
         i717 = i594;
         i718 = i267;
         i719 = i268;
         i720 = i269;
         i721 = i270;
         i722 = i595;
         i723 = i596;
         i724 = i597;
         i725 = i274;
         break;
        } else i1482 = i1481;
       }
       set32(i1482 | 0, get32(i290 | 0) | 0);
       set32(i290 | 0, i1482 | 0);
       i275 = i1482 + 8 | 0;
       i677 = i290 + 16 | 0;
       set32(i677 | 0, i275 | 0);
       set16(i669 | 0, 63 | 0);
       i1487 = i677;
       i1488 = i275;
       i1489 = 62;
      } else {
       i275 = i290 + 16 | 0;
       i1487 = i275;
       i1488 = get32(i275 | 0) | 0;
       i1489 = i683 + -1 << 16 >> 16;
      }
      set32(i1487 | 0, i1488 + 16 | 0);
      set16(i669 | 0, i1489 | 0);
      i275 = i1488;
      set32(i275 | 0, i693 | 0);
      set32(i275 + 4 | 0, i672 | 0);
      set32(i1488 + 8 | 0, 0 | 0);
      i275 = i290 + 12 | 0;
      i677 = get32(i275 | 0) | 0;
      if (!i677) set32(i290 + 8 | 0, i1488 | 0); else {
       i690 = i290 + 26 | 0;
       if ((get8(i690 >> 0 | 0) | 0) != 0 ? (i277 = i677, i291 = get32(i277 + 4 | 0) | 0, !((i291 | 0) < (i672 | 0) | ((i291 | 0) == (i672 | 0) ? (get32(i277 | 0) | 0) >>> 0 < i693 >>> 0 : 0))) : 0) set8(i690 >> 0 | 0, 0 | 0);
       set32(i677 + 8 | 0, i1488 | 0);
      }
      set32(i275 | 0, i1488 | 0);
      i716 = i593;
      i717 = i594;
      i718 = i267;
      i719 = i268;
      i720 = i269;
      i721 = i270;
      i722 = i595;
      i723 = i596;
      i724 = i597;
      i725 = i274;
      break;
     }
    case 1974:
     {
      i84 = 0;
      i275 = get32(i268 + (i602 * 20 | 0) + 16 | 0) | 0;
      set32(i106 | 0, i275 | 0);
      i677 = get32(i268 + (i602 * 20 | 0) + 12 | 0) | 0;
      set32(i101 | 0, i267 + (i677 * 40 | 0) | 0);
      i690 = i275;
      if (get8(i268 + (i602 * 20 | 0) + 3 >> 0 | 0) | 0) {
       i275 = get32(i690 + 16 | 0) | 0;
       set32(i236 | 0, i275 | 0);
       i277 = get32(i91 | 0) | 0;
       set32(i137 | 0, i277 | 0);
       i291 = i275;
       i275 = i277;
       L3432 : do if (!i277) i1490 = i275; else {
        i1009 = i277;
        i691 = i275;
        while (1) {
         i695 = i1009;
         if ((get32(i695 + 32 | 0) | 0) == (i291 | 0)) {
          i1490 = i691;
          break L3432;
         }
         i1009 = get32(i695 + 60 | 0) | 0;
         set32(i137 | 0, i1009 | 0);
         i695 = i1009;
         if (!i1009) {
          i1490 = i695;
          break;
         } else i691 = i695;
        }
       } while (0);
       if (i1490) {
        i716 = i598;
        i717 = i599;
        i718 = i267;
        i719 = i268;
        i720 = i269;
        i721 = i270;
        i722 = i600;
        i723 = i601;
        i724 = i602;
        i725 = i274;
        break;
       }
      }
      i291 = get32(i92 | 0) | 0;
      if ((i291 | 0) >= (get32(i233 | 0) | 0)) {
       i1491 = i598;
       i1492 = i599;
       i1493 = i602;
       i1494 = i274;
       i84 = 1980;
       break L6;
      }
      if (!(get16(i267 + (i677 * 40 | 0) + 28 | 0) & 64)) {
       i275 = get32(i690 + 12 | 0) | 0;
       i277 = i275 + (get32(i690 + 8 | 0) | 0) | 0;
       set32(i65 | 0, i277 | 0);
       i693 = (i275 << 2) + 64 + (i277 * 40 | 0) | 0;
       set32(i100 | 0, i693 | 0);
       if (get8(i90 >> 0 | 0) | 0) {
        i1495 = i598;
        i1496 = i599;
        i1497 = i602;
        i1498 = i274;
        i84 = 2006;
        break L6;
       }
       do if (!(get8(i167 >> 0 | 0) | 0)) i84 = 1990; else {
        if ((getU16(i172 | 0) | 0) < (i693 | 0)) {
         set32(i173 | 0, (get32(i173 | 0) | 0) + 1 | 0);
         i84 = 1990;
         break;
        }
        i277 = get32(i174 | 0) | 0;
        if (!i277) {
         set32(i175 | 0, (get32(i175 | 0) | 0) + 1 | 0);
         i84 = 1990;
         break;
        }
        set32(i174 | 0, get32(i277 | 0) | 0);
        i275 = get32(i176 | 0) | 0;
        i672 = i275 + 1 | 0;
        set32(i176 | 0, i672 | 0);
        set32(i177 | 0, (get32(i177 | 0) | 0) + 1 | 0);
        if ((i275 | 0) >= (get32(i178 | 0) | 0)) set32(i178 | 0, i672 | 0);
        i1499 = i277;
        i1500 = i598;
        i1501 = i599;
        i1502 = i602;
       } while (0);
       do if ((i84 | 0) == 1990) {
        i84 = 0;
        if ((i693 + -1 | 0) >>> 0 > 2147483390) {
         i1503 = i598;
         i1504 = i599;
         i1505 = i602;
         i1506 = i274;
         i84 = 2004;
         break L6;
        }
        if (!(get32(50 * 4 | 0) | 0)) {
         i277 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i693) | 0;
         if (!i277) {
          i1503 = i598;
          i1504 = i599;
          i1505 = i602;
          i1506 = i274;
          i84 = 2004;
          break L6;
         } else {
          i1499 = i277;
          i1500 = i598;
          i1501 = i599;
          i1502 = i602;
          break;
         }
        }
        i277 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i693) | 0;
        set32(35 * 4 | 0, i693 | 0);
        if ((get32(45 * 4 | 0) | 0) < (i693 | 0)) set32(45 * 4 | 0, i693 | 0);
        i672 = get32(6 * 4 | 0) | 0;
        do if (i672) {
         i275 = get32(30 * 4 | 0) | 0;
         i290 = ((i275 | 0) < 0) << 31 >> 31;
         i669 = 16;
         i683 = _i64Subtract(get32(i669 | 0) | 0, get32(i669 + 4 | 0) | 0, i277 | 0, ((i277 | 0) < 0) << 31 >> 31 | 0) | 0;
         i669 = tempRet0;
         if ((i290 | 0) < (i669 | 0) | (i290 | 0) == (i669 | 0) & i275 >>> 0 < i683 >>> 0) {
          set32(11 * 4 | 0, 0 | 0);
          break;
         } else {
          set32(11 * 4 | 0, 1 | 0);
          i683 = get32(7 * 4 | 0) | 0;
          set32(6 * 4 | 0, 0 | 0);
          FUNCTION_TABLE_viiii[i672 & 15](i683, i275, i290, i277);
          set32(6 * 4 | 0, i672 | 0);
          set32(7 * 4 | 0, i683 | 0);
          break;
         }
        } while (0);
        i672 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i277) | 0;
        if (!i672) {
         i1503 = i598;
         i1504 = i599;
         i1505 = i602;
         i1506 = i274;
         i84 = 2004;
         break L6;
        }
        i683 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i672) | 0;
        i290 = (get32(30 * 4 | 0) | 0) + i683 | 0;
        set32(30 * 4 | 0, i290 | 0);
        if ((i290 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i290 | 0);
        i290 = get32(39 * 4 | 0) | 0;
        i683 = i290 + 1 | 0;
        set32(39 * 4 | 0, i683 | 0);
        if ((i290 | 0) < (get32(49 * 4 | 0) | 0)) {
         i1499 = i672;
         i1500 = i598;
         i1501 = i599;
         i1502 = i602;
        } else {
         set32(49 * 4 | 0, i683 | 0);
         i1499 = i672;
         i1500 = i598;
         i1501 = i599;
         i1502 = i602;
        }
       } while (0);
       _memset(i1499 | 0, 0, i693 | 0) | 0;
       set32(i137 | 0, i1499 | 0);
       i672 = get32(i101 | 0) | 0;
       _sqlite3VdbeMemReleaseExternal(i672);
       i683 = i672 + 36 | 0;
       _sqlite3DbFree(get32(i672 | 0) | 0, get32(i683 | 0) | 0);
       set32(i672 + 4 | 0, 0 | 0);
       set32(i683 | 0, 0 | 0);
       set32(i672 + 32 | 0, 0 | 0);
       i672 = get32(i101 | 0) | 0;
       set16(i672 + 28 | 0, 64 | 0);
       set32(i672 + 16 | 0, get32(i137 | 0) | 0);
       i672 = get32(i137 | 0) | 0;
       set32(i672 | 0, i1 | 0);
       i683 = get32(i65 | 0) | 0;
       set32(i672 + 36 | 0, i683 | 0);
       i290 = get32(i106 | 0) | 0;
       i275 = get32(i290 + 12 | 0) | 0;
       set32(i672 + 40 | 0, i275 | 0);
       set32(i672 + 4 | 0, i1502 | 0);
       set32(i672 + 16 | 0, get32(i72 | 0) | 0);
       set32(i672 + 20 | 0, get32(i190 | 0) | 0);
       set32(i672 + 24 | 0, get32(i142 | 0) | 0);
       set16(i672 + 28 | 0, get16(i234 | 0) | 0 | 0);
       set32(i672 + 8 | 0, get32(i67 | 0) | 0);
       set32(i672 + 12 | 0, get32(i235 | 0) | 0);
       set32(i672 + 32 | 0, get32(i290 + 16 | 0) | 0);
       i669 = i672 + 64 | 0;
       i691 = i669 + (i683 * 40 | 0) | 0;
       set32(i108 | 0, i691 | 0);
       set32(i102 | 0, i669 | 0);
       i1009 = i672;
       if ((i669 | 0) != (i691 | 0)) {
        i276 = i669 + ((i683 + -1 | 0) * 40 | 0) - i669 | 0;
        i682 = i669;
        do {
         set16(i682 + 28 | 0, 1 | 0);
         set32(i682 | 0, i69 | 0);
         i682 = i682 + 40 | 0;
        } while ((i682 | 0) != (i691 | 0));
        set32(i102 | 0, i672 + 104 + (((i276 >>> 0) / 40 | 0) * 40 | 0) | 0);
       }
       i1507 = i1009;
       i1508 = get32(i92 | 0) | 0;
       i1509 = i672;
       i1510 = i1500;
       i1511 = i1501;
       i1512 = i683;
       i1513 = i275;
       i1514 = i290;
      } else {
       i691 = get32(i267 + (i677 * 40 | 0) + 16 | 0) | 0;
       set32(i137 | 0, i691 | 0);
       i682 = i691;
       i1507 = i691;
       i1508 = i291;
       i1509 = i682;
       i1510 = i598;
       i1511 = i599;
       i1512 = get32(i682 + 36 | 0) | 0;
       i1513 = get32(i682 + 40 | 0) | 0;
       i1514 = i690;
      }
      set32(i92 | 0, i1508 + 1 | 0);
      set32(i1509 + 60 | 0, get32(i91 | 0) | 0);
      i682 = i1509 + 48 | 0;
      set32(i682 | 0, i1510 | 0);
      set32(i682 + 4 | 0, i1511 | 0);
      set32(i1509 + 56 | 0, get32(i93 | 0) | 0);
      set32(i93 | 0, 0 | 0);
      set32(i91 | 0, i1507 | 0);
      i682 = i1507 + 24 | 0;
      set32(i72 | 0, i682 | 0);
      set32(i190 | 0, i1512 | 0);
      set16(i234 | 0, i1513 | 0);
      set32(i142 | 0, i682 + ((i1512 + 1 | 0) * 40 | 0) | 0);
      i691 = get32(i1514 | 0) | 0;
      set32(i67 | 0, i691 | 0);
      set32(i235 | 0, get32(i1514 + 4 | 0) | 0);
      i716 = i1510;
      i717 = i1511;
      i718 = i682;
      i719 = i691;
      i720 = i269;
      i721 = i270;
      i722 = i600;
      i723 = i601;
      i724 = -1;
      i725 = i274;
      break;
     }
    case 2014:
     {
      i84 = 0;
      i691 = get32(i91 | 0) | 0;
      set32(i65 | 0, i691 | 0);
      i682 = (get32((get32(i691 + 8 | 0) | 0) + ((get32(i691 + 4 | 0) | 0) * 20 | 0) + 4 | 0) | 0) + (get32(i268 + (i607 * 20 | 0) + 4 | 0) | 0) | 0;
      i693 = get32(i691 + 16 | 0) | 0;
      i691 = i693 + (i682 * 40 | 0) | 0;
      set32(i100 | 0, i691 | 0);
      _sqlite3VdbeMemReleaseExternal(i606);
      set32(i606 | 0, get32(i691 | 0) | 0);
      set32(i606 + 4 | 0, get32(i691 + 4 | 0) | 0);
      set32(i606 + 8 | 0, get32(i691 + 8 | 0) | 0);
      set32(i606 + 12 | 0, get32(i691 + 12 | 0) | 0);
      set32(i606 + 16 | 0, get32(i691 + 16 | 0) | 0);
      set32(i606 + 20 | 0, get32(i691 + 20 | 0) | 0);
      set32(i606 + 24 | 0, get32(i691 + 24 | 0) | 0);
      set32(i606 + 28 | 0, get32(i691 + 28 | 0) | 0);
      set32(i606 + 32 | 0, 0 | 0);
      if (!(get16(i693 + (i682 * 40 | 0) + 28 | 0) & 2048)) {
       i682 = i606 + 28 | 0;
       set16(i682 | 0, getU16(i682 | 0) & 58367 | 4096 | 0);
       i716 = i603;
       i717 = i604;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i605;
       i723 = i606;
       i724 = i607;
       i725 = i274;
      } else {
       i716 = i603;
       i717 = i604;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i605;
       i723 = i606;
       i724 = i607;
       i725 = i274;
      }
      break;
     }
    case 2016:
     {
      i84 = 0;
      i682 = get32(i268 + (i612 * 20 | 0) + 8 | 0) | 0;
      i693 = ((i682 | 0) < 0) << 31 >> 31;
      if (!(get32(i268 + (i612 * 20 | 0) + 4 | 0) | 0)) {
       i691 = i103;
       i669 = _i64Add(get32(i691 | 0) | 0, get32(i691 + 4 | 0) | 0, i682 | 0, i693 | 0) | 0;
       i691 = i103;
       set32(i691 | 0, i669 | 0);
       set32(i691 + 4 | 0, tempRet0 | 0);
       i716 = i608;
       i717 = i609;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i610;
       i723 = i611;
       i724 = i612;
       i725 = i274;
       break;
      } else {
       i691 = i170;
       i669 = _i64Add(get32(i691 | 0) | 0, get32(i691 + 4 | 0) | 0, i682 | 0, i693 | 0) | 0;
       i693 = i170;
       set32(i693 | 0, i669 | 0);
       set32(i693 + 4 | 0, tempRet0 | 0);
       i716 = i608;
       i717 = i609;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i610;
       i723 = i611;
       i724 = i612;
       i725 = i274;
       break;
      }
      break;
     }
    case 2019:
     {
      i84 = 0;
      if (!(get32(i268 + (i617 * 20 | 0) + 4 | 0) | 0)) {
       i693 = i103;
       if (!((get32(i693 | 0) | 0) == 0 & (get32(i693 + 4 | 0) | 0) == 0)) {
        i716 = i613;
        i717 = i614;
        i718 = i267;
        i719 = i268;
        i720 = i269;
        i721 = i270;
        i722 = i615;
        i723 = i616;
        i724 = i617;
        i725 = i274;
        break;
       }
       i716 = i613;
       i717 = i614;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i615;
       i723 = i616;
       i724 = (get32(i268 + (i617 * 20 | 0) + 8 | 0) | 0) + -1 | 0;
       i725 = i274;
       break;
      } else {
       i693 = i170;
       if (!((get32(i693 | 0) | 0) == 0 & (get32(i693 + 4 | 0) | 0) == 0)) {
        i716 = i613;
        i717 = i614;
        i718 = i267;
        i719 = i268;
        i720 = i269;
        i721 = i270;
        i722 = i615;
        i723 = i616;
        i724 = i617;
        i725 = i274;
        break;
       }
       i716 = i613;
       i717 = i614;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i615;
       i723 = i616;
       i724 = (get32(i268 + (i617 * 20 | 0) + 8 | 0) | 0) + -1 | 0;
       i725 = i274;
       break;
      }
      break;
     }
    case 2024:
     {
      i84 = 0;
      i693 = get32(i91 | 0) | 0;
      if (!i693) i1515 = i267 + ((get32(i268 + (i622 * 20 | 0) + 4 | 0) | 0) * 40 | 0) | 0; else {
       i669 = i693;
       while (1) {
        i693 = get32(i669 + 60 | 0) | 0;
        if (!i693) {
         i1516 = i669;
         break;
        } else i669 = i693;
       }
       set32(i100 | 0, i1516 | 0);
       i1515 = (get32(i1516 + 16 | 0) | 0) + ((get32(i268 + (i622 * 20 | 0) + 4 | 0) | 0) * 40 | 0) | 0;
      }
      set32(i65 | 0, i1515 | 0);
      i669 = i1515 + 28 | 0;
      i690 = get16(i669 | 0) | 0;
      i291 = i690 & 65535;
      do if (!(i291 & 4)) {
       if (i291 & 8) {
        d1107 = +getF64(i1515 + 8 | 0);
        i677 = d1107 < -9223372036854775808.0 | d1107 > 9223372036854775808.0;
        i290 = +Math_abs(d1107) >= 1.0 ? (d1107 > 0.0 ? ~~+Math_min(+Math_floor(d1107 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d1107 - +(~~d1107 >>> 0)) / 4294967296.0) >>> 0) : 0;
        i1517 = i677 ? 0 : ~~d1107 >>> 0;
        i1518 = i677 ? -2147483648 : i290;
        i1519 = i690;
        break;
       }
       if (!(i291 & 18)) {
        i1517 = 0;
        i1518 = 0;
        i1519 = i690;
       } else {
        i290 = i61;
        set32(i290 | 0, 0 | 0);
        set32(i290 + 4 | 0, 0 | 0);
        _sqlite3Atoi64(get32(i1515 + 4 | 0) | 0, i61, get32(i1515 + 24 | 0) | 0, get8(i1515 + 31 >> 0 | 0) | 0) | 0;
        i290 = i61;
        i1517 = get32(i290 | 0) | 0;
        i1518 = get32(i290 + 4 | 0) | 0;
        i1519 = get16(i669 | 0) | 0;
       }
      } else {
       i290 = i1515 + 16 | 0;
       i1517 = get32(i290 | 0) | 0;
       i1518 = get32(i290 + 4 | 0) | 0;
       i1519 = i690;
      } while (0);
      i690 = i1515 + 16 | 0;
      set32(i690 | 0, i1517 | 0);
      set32(i690 + 4 | 0, i1518 | 0);
      set16(i669 | 0, i1519 & 48896 | 4 | 0);
      i690 = get32(i268 + (i622 * 20 | 0) + 8 | 0) | 0;
      i291 = i267 + (i690 * 40 | 0) + 28 | 0;
      i290 = get16(i291 | 0) | 0;
      i677 = i290 & 65535;
      do if (!(i677 & 4)) {
       if (i677 & 8) {
        d1107 = +getF64(i267 + (i690 * 40 | 0) + 8 | 0);
        i275 = d1107 < -9223372036854775808.0 | d1107 > 9223372036854775808.0;
        i683 = +Math_abs(d1107) >= 1.0 ? (d1107 > 0.0 ? ~~+Math_min(+Math_floor(d1107 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d1107 - +(~~d1107 >>> 0)) / 4294967296.0) >>> 0) : 0;
        i1520 = i275 ? 0 : ~~d1107 >>> 0;
        i1521 = i275 ? -2147483648 : i683;
        i1522 = i290;
        break;
       }
       if (!(i677 & 18)) {
        i1520 = 0;
        i1521 = 0;
        i1522 = i290;
       } else {
        i683 = i61;
        set32(i683 | 0, 0 | 0);
        set32(i683 + 4 | 0, 0 | 0);
        _sqlite3Atoi64(get32(i267 + (i690 * 40 | 0) + 4 | 0) | 0, i61, get32(i267 + (i690 * 40 | 0) + 24 | 0) | 0, get8(i267 + (i690 * 40 | 0) + 31 >> 0 | 0) | 0) | 0;
        i683 = i61;
        i1520 = get32(i683 | 0) | 0;
        i1521 = get32(i683 + 4 | 0) | 0;
        i1522 = get16(i291 | 0) | 0;
       }
      } else {
       i683 = i267 + (i690 * 40 | 0) + 16 | 0;
       i1520 = get32(i683 | 0) | 0;
       i1521 = get32(i683 + 4 | 0) | 0;
       i1522 = i290;
      } while (0);
      i290 = i267 + (i690 * 40 | 0) + 16 | 0;
      set32(i290 | 0, i1520 | 0);
      set32(i290 + 4 | 0, i1521 | 0);
      set16(i291 | 0, i1522 & 48896 | 4 | 0);
      i290 = (get32(i65 | 0) | 0) + 16 | 0;
      i677 = i290;
      i669 = get32(i677 + 4 | 0) | 0;
      if ((i669 | 0) < (i1521 | 0) | ((i669 | 0) == (i1521 | 0) ? (get32(i677 | 0) | 0) >>> 0 < i1520 >>> 0 : 0)) {
       i677 = i290;
       set32(i677 | 0, i1520 | 0);
       set32(i677 + 4 | 0, i1521 | 0);
       i716 = i618;
       i717 = i619;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i620;
       i723 = i621;
       i724 = i622;
       i725 = i274;
      } else {
       i716 = i618;
       i717 = i619;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i620;
       i723 = i621;
       i724 = i622;
       i725 = i274;
      }
      break;
     }
    case 2042:
     {
      i84 = 0;
      i677 = i267 + ((get32(i268 + (i627 * 20 | 0) + 4 | 0) | 0) * 40 | 0) + 16 | 0;
      i290 = get32(i677 + 4 | 0) | 0;
      if ((i290 | 0) > 0 | (i290 | 0) == 0 & (get32(i677 | 0) | 0) >>> 0 > 0) {
       i716 = i623;
       i717 = i624;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i625;
       i723 = i626;
       i724 = (get32(i268 + (i627 * 20 | 0) + 8 | 0) | 0) + -1 | 0;
       i725 = i274;
      } else {
       i716 = i623;
       i717 = i624;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i625;
       i723 = i626;
       i724 = i627;
       i725 = i274;
      }
      break;
     }
    case 2044:
     {
      i84 = 0;
      if ((get32(i267 + ((get32(i268 + (i632 * 20 | 0) + 4 | 0) | 0) * 40 | 0) + 16 + 4 | 0) | 0) < 0) {
       i716 = i628;
       i717 = i629;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i630;
       i723 = i631;
       i724 = (get32(i268 + (i632 * 20 | 0) + 8 | 0) | 0) + -1 | 0;
       i725 = i274;
      } else {
       i716 = i628;
       i717 = i629;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i630;
       i723 = i631;
       i724 = i632;
       i725 = i274;
      }
      break;
     }
    case 2046:
     {
      i84 = 0;
      i677 = get32(i268 + (i637 * 20 | 0) + 12 | 0) | 0;
      i290 = i267 + ((get32(i268 + (i637 * 20 | 0) + 4 | 0) | 0) * 40 | 0) + 16 | 0;
      i669 = i290;
      i683 = _i64Add(get32(i669 | 0) | 0, get32(i669 + 4 | 0) | 0, i677 | 0, ((i677 | 0) < 0) << 31 >> 31 | 0) | 0;
      i677 = tempRet0;
      i669 = i290;
      set32(i669 | 0, i683 | 0);
      set32(i669 + 4 | 0, i677 | 0);
      if ((i683 | 0) == 0 & (i677 | 0) == 0) {
       i716 = i633;
       i717 = i634;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i635;
       i723 = i636;
       i724 = (get32(i268 + (i637 * 20 | 0) + 8 | 0) | 0) + -1 | 0;
       i725 = i274;
      } else {
       i716 = i633;
       i717 = i634;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i635;
       i723 = i636;
       i724 = i637;
       i725 = i274;
      }
      break;
     }
    case 2264:
     {
      i84 = 0;
      i716 = i1014;
      i717 = i1015;
      i718 = i267;
      i719 = i268;
      i720 = i269;
      i721 = i270;
      i722 = i1016;
      i723 = i1017;
      i724 = (get32(i268 + (i1018 * 20 | 0) + 8 | 0) | 0) + -1 | 0;
      i725 = i274;
      break;
     }
    case 2265:
     {
      i84 = 0;
      if (get32(i268 + (i642 * 20 | 0) + 4 | 0) | 0) {
       set8(i188 >> 0 | 0, 1 | 0);
       i716 = i638;
       i717 = i639;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i640;
       i723 = i641;
       i724 = i642;
       i725 = i274;
       break;
      }
      i677 = get32(i184 | 0) | 0;
      if (!i677) {
       i716 = i638;
       i717 = i639;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i640;
       i723 = i641;
       i724 = i642;
       i725 = i274;
      } else {
       i683 = i677;
       do {
        set8(i683 + 99 >> 0 | 0, 1 | 0);
        i683 = get32(i683 + 64 | 0) | 0;
       } while ((i683 | 0) != 0);
       i716 = i638;
       i717 = i639;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i640;
       i723 = i641;
       i724 = i642;
       i725 = i274;
      }
      break;
     }
    case 2269:
     {
      i84 = 0;
      i683 = get32(i268 + (i647 * 20 | 0) + 12 | 0) | 0;
      if ((i683 & 255 | 0) == 0 ? (get32(i183 | 0) & 524288 | 0) != 0 : 0) {
       i716 = i643;
       i717 = i644;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i645;
       i723 = i646;
       i724 = i647;
       i725 = i274;
       break;
      }
      i291 = get32((get32(i70 | 0) | 0) + (get32(i268 + (i647 * 20 | 0) + 4 | 0) << 4) + 4 | 0) | 0;
      i690 = get32(i268 + (i647 * 20 | 0) + 8 | 0) | 0;
      if (get8(i291 + 9 >> 0 | 0) | 0) {
       i677 = i683 + 1 & 255;
       i683 = get32(i291 + 4 | 0) | 0;
       set32(i683 + 4 | 0, get32(i291 | 0) | 0);
       if ((get32(i683 + 80 | 0) | 0) != (i291 | 0) ? (get8(i683 + 84 >> 0 | 0) | 0) != 0 : 0) {
        i1523 = i643;
        i1524 = i644;
        i1525 = i268;
        i1526 = i647;
        i1527 = i274;
        i84 = 2300;
        break L6;
       }
       i669 = i683 + 76 | 0;
       i290 = get32(i669 | 0) | 0;
       L3538 : do if (!i290) {
        i1528 = i643;
        i1529 = i644;
        i84 = 2284;
       } else {
        i275 = i290;
        while (1) {
         if (((get32(i275 | 0) | 0) != (i291 | 0) ? (get32(i275 + 4 | 0) | 0) == (i690 | 0) : 0) ? (get8(i275 + 8 >> 0 | 0) | 0) != i677 << 24 >> 24 : 0) {
          i1530 = i677;
          i1531 = i683;
          i1532 = i643;
          i1533 = i644;
          i1534 = i268;
          i1535 = i647;
          i1536 = i274;
          i84 = 2278;
          break L6;
         }
         i275 = get32(i275 + 12 | 0) | 0;
         if (!i275) {
          i1537 = i290;
          break;
         }
        }
        while (1) {
         if ((get32(i1537 + 4 | 0) | 0) == (i690 | 0) ? (get32(i1537 | 0) | 0) == (i291 | 0) : 0) {
          i1538 = i643;
          i1539 = i644;
          i1540 = i1537;
          i1541 = i647;
          break L3538;
         }
         i1537 = get32(i1537 + 12 | 0) | 0;
         if (!i1537) {
          i1528 = i643;
          i1529 = i644;
          i84 = 2284;
          break;
         }
        }
       } while (0);
       if ((i84 | 0) == 2284) {
        i84 = 0;
        if (!(get32(50 * 4 | 0) | 0)) {
         i290 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](16) | 0;
         if (!i290) {
          i810 = i1528;
          i811 = i1529;
          i812 = i647;
          i813 = 7;
          i814 = i274;
          i84 = 2888;
          break L6;
         } else {
          i1542 = i290;
          i1543 = i647;
         }
        } else {
         i290 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](16) | 0;
         set32(35 * 4 | 0, 16 | 0);
         if ((get32(45 * 4 | 0) | 0) < 16) set32(45 * 4 | 0, 16 | 0);
         i683 = get32(6 * 4 | 0) | 0;
         do if (i683) {
          i275 = get32(30 * 4 | 0) | 0;
          i277 = ((i275 | 0) < 0) << 31 >> 31;
          i672 = 16;
          i1009 = _i64Subtract(get32(i672 | 0) | 0, get32(i672 + 4 | 0) | 0, i290 | 0, ((i290 | 0) < 0) << 31 >> 31 | 0) | 0;
          i672 = tempRet0;
          if ((i277 | 0) < (i672 | 0) | (i277 | 0) == (i672 | 0) & i275 >>> 0 < i1009 >>> 0) {
           set32(11 * 4 | 0, 0 | 0);
           break;
          } else {
           set32(11 * 4 | 0, 1 | 0);
           i1009 = get32(7 * 4 | 0) | 0;
           set32(6 * 4 | 0, 0 | 0);
           FUNCTION_TABLE_viiii[i683 & 15](i1009, i275, i277, i290);
           set32(6 * 4 | 0, i683 | 0);
           set32(7 * 4 | 0, i1009 | 0);
           break;
          }
         } while (0);
         i683 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i290) | 0;
         if (!i683) {
          i810 = i1528;
          i811 = i1529;
          i812 = i647;
          i813 = 7;
          i814 = i274;
          i84 = 2888;
          break L6;
         }
         i1009 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i683) | 0;
         i277 = (get32(30 * 4 | 0) | 0) + i1009 | 0;
         set32(30 * 4 | 0, i277 | 0);
         if ((i277 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i277 | 0);
         i277 = get32(39 * 4 | 0) | 0;
         i1009 = i277 + 1 | 0;
         set32(39 * 4 | 0, i1009 | 0);
         if ((i277 | 0) < (get32(49 * 4 | 0) | 0)) {
          i1542 = i683;
          i1543 = i647;
         } else {
          set32(49 * 4 | 0, i1009 | 0);
          i1542 = i683;
          i1543 = i647;
         }
        }
        i698 = i1542;
        i700 = i698 + 12 | 0;
        do {
         set8(i698 >> 0 | 0, 0 | 0);
         i698 = i698 + 1 | 0;
        } while ((i698 | 0) < (i700 | 0));
        set32(i1542 + 4 | 0, i690 | 0);
        set32(i1542 | 0, i291 | 0);
        set32(i1542 + 12 | 0, get32(i669 | 0) | 0);
        set32(i669 | 0, i1542 | 0);
        i1538 = i1528;
        i1539 = i1529;
        i1540 = i1542;
        i1541 = i1543;
       }
       i290 = i1540 + 8 | 0;
       if ((getU8(i290 >> 0 | 0) | 0) < (i677 & 255)) {
        set8(i290 >> 0 | 0, i677 | 0);
        i716 = i1538;
        i717 = i1539;
        i718 = i267;
        i719 = i268;
        i720 = i269;
        i721 = i270;
        i722 = i645;
        i723 = i646;
        i724 = i1541;
        i725 = i274;
       } else {
        i716 = i1538;
        i717 = i1539;
        i718 = i267;
        i719 = i268;
        i720 = i269;
        i721 = i270;
        i722 = i645;
        i723 = i646;
        i724 = i1541;
        i725 = i274;
       }
      } else {
       i716 = i643;
       i717 = i644;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i645;
       i723 = i646;
       i724 = i647;
       i725 = i274;
      }
      break;
     }
    case 2365:
     {
      i84 = 0;
      i290 = get32(i268 + (i652 * 20 | 0) + 16 | 0) | 0;
      i683 = get32(i70 | 0) | 0;
      i1009 = get32(i683 + (get32(i268 + (i652 * 20 | 0) + 4 | 0) << 4) | 0) | 0;
      if (!i290) i1544 = 0; else {
       i277 = i290;
       while (1) if (!(get8(i277 >> 0 | 0) | 0)) {
        i1545 = i277;
        break;
       } else i277 = i277 + 1 | 0;
       i1544 = i1545 - i290 & 1073741823;
      }
      i277 = get32(i182 | 0) | 0;
      L3578 : do if ((i277 | 0) > 0) {
       i677 = (i1009 | 0) == 0;
       i669 = 0;
       i291 = 0;
       while (1) {
        i690 = (i669 | 0) < 2 ^ i669;
        if (!i677) {
         i275 = get32(i683 + (i690 << 4) | 0) | 0;
         i672 = get8(i1009 >> 0 | 0) | 0;
         L3584 : do if (!(i672 << 24 >> 24)) {
          i1546 = 0;
          i1547 = i275;
         } else {
          i276 = i672;
          i693 = i1009;
          i682 = i275;
          while (1) {
           if ((get8(16286 + (i276 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i682 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
            i1546 = i276;
            i1547 = i682;
            break L3584;
           }
           i693 = i693 + 1 | 0;
           i691 = i682 + 1 | 0;
           i276 = get8(i693 >> 0 | 0) | 0;
           if (!(i276 << 24 >> 24)) {
            i1546 = 0;
            i1547 = i691;
            break;
           } else i682 = i691;
          }
         } while (0);
         if ((get8(16286 + (i1546 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i1547 >> 0 | 0) | 0) >> 0 | 0) | 0)) i1548 = i291; else i84 = 2375;
        } else i84 = 2375;
        if ((i84 | 0) == 2375) {
         i84 = 0;
         i275 = _sqlite3HashFind((get32(i683 + (i690 << 4) + 12 | 0) | 0) + 8 | 0, i290, i1544) | 0;
         if (!i275) i1548 = i275; else {
          i1549 = i275;
          break L3578;
         }
        }
        i669 = i669 + 1 | 0;
        if ((i669 | 0) >= (i277 | 0)) {
         i1549 = i1548;
         break;
        } else i291 = i1548;
       }
      } else i1549 = 0; while (0);
      i277 = get32(get32(i1549 + 60 | 0) | 0) | 0;
      if (!i277) i1550 = 0; else {
       i290 = i277;
       while (1) if (!(get8(i290 >> 0 | 0) | 0)) {
        i1551 = i290;
        break;
       } else i290 = i290 + 1 | 0;
       i1550 = i1551 - i277 & 1073741823;
      }
      i290 = _sqlite3HashFind(i258, i277, i1550) | 0;
      if (!i290) {
       i1552 = i277;
       i1553 = i648;
       i1554 = i649;
       i1555 = i652;
       i1556 = i274;
       i84 = 2381;
       break L6;
      }
      i683 = _vtabCallConstructor(i69, i1549, i290, get32((get32(i290 | 0) | 0) + 4 | 0) | 0, i105) | 0;
      if (i683) {
       i810 = i648;
       i811 = i649;
       i812 = i652;
       i813 = i683;
       i814 = i274;
       i84 = 2888;
       break L6;
      }
      i683 = i1549 + 52 | 0;
      i290 = get32(i683 | 0) | 0;
      if (!i290) {
       i716 = i648;
       i717 = i649;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i650;
       i723 = i651;
       i724 = i652;
       i725 = i274;
      } else {
       i1009 = i290;
       while (1) {
        if ((get32(i1009 | 0) | 0) == (i69 | 0)) break;
        i1009 = get32(i1009 + 24 | 0) | 0;
        if (!i1009) {
         i716 = i648;
         i717 = i649;
         i718 = i267;
         i719 = i268;
         i720 = i269;
         i721 = i270;
         i722 = i650;
         i723 = i651;
         i724 = i652;
         i725 = i274;
         break L1559;
        }
       }
       i1009 = get32(i179 | 0) | 0;
       if (!((i1009 | 0) % 5 | 0)) {
        i277 = _sqlite3DbRealloc(i69, get32(i166 | 0) | 0, (i1009 << 2) + 20 | 0) | 0;
        if (!i277) {
         i810 = i648;
         i811 = i649;
         i812 = i652;
         i813 = 7;
         i814 = i274;
         i84 = 2888;
         break L6;
        }
        i1009 = i277 + (get32(i179 | 0) << 2) | 0;
        set32(i1009 | 0, 0 | 0);
        set32(i1009 + 4 | 0, 0 | 0);
        set32(i1009 + 8 | 0, 0 | 0);
        set32(i1009 + 12 | 0, 0 | 0);
        set32(i1009 + 16 | 0, 0 | 0);
        set32(i166 | 0, i277 | 0);
        i1557 = get32(i683 | 0) | 0;
       } else i1557 = i290;
       L3608 : do if (!i1557) i1558 = 0; else {
        i277 = i1557;
        while (1) {
         if ((get32(i277 | 0) | 0) == (i69 | 0)) {
          i1558 = i277;
          break L3608;
         }
         i277 = get32(i277 + 24 | 0) | 0;
         if (!i277) {
          i1558 = 0;
          break;
         }
        }
       } while (0);
       i290 = get32(i179 | 0) | 0;
       set32(i179 | 0, i290 + 1 | 0);
       set32((get32(i166 | 0) | 0) + (i290 << 2) | 0, i1558 | 0);
       i290 = i1558 + 12 | 0;
       set32(i290 | 0, (get32(i290 | 0) | 0) + 1 | 0);
       i716 = i648;
       i717 = i649;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i650;
       i723 = i651;
       i724 = i652;
       i725 = i274;
      }
      break;
     }
    case 2416:
     {
      i84 = 0;
      set32(i65 | 0, 0 | 0);
      set32(i100 | 0, 0 | 0);
      i290 = get32((get32(i268 + (i657 * 20 | 0) + 16 | 0) | 0) + 8 | 0) | 0;
      set32(i101 | 0, i290 | 0);
      i683 = get32(i290 | 0) | 0;
      set32(i102 | 0, i683 | 0);
      i277 = FUNCTION_TABLE_iii[get32(i683 + 24 | 0) & 127](i290, i100) | 0;
      i290 = get32(i101 | 0) | 0;
      i683 = get32(i1 | 0) | 0;
      _sqlite3DbFree(i683, get32(i105 | 0) | 0);
      i1009 = i290 + 8 | 0;
      i290 = get32(i1009 | 0) | 0;
      L3614 : do if (!i290) i1559 = 0; else {
       i291 = i290;
       while (1) if (!(get8(i291 >> 0 | 0) | 0)) {
        i1560 = i291;
        break;
       } else i291 = i291 + 1 | 0;
       i291 = (i1560 - i290 & 1073741823) + 1 | 0;
       L3618 : do if (!i683) {
        if (!(get32(50 * 4 | 0) | 0)) {
         i1561 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i291) | 0;
         i84 = 2455;
         break;
        }
        i669 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i291) | 0;
        set32(35 * 4 | 0, i291 | 0);
        if ((get32(45 * 4 | 0) | 0) < (i291 | 0)) set32(45 * 4 | 0, i291 | 0);
        i677 = get32(6 * 4 | 0) | 0;
        do if (i677) {
         i275 = get32(30 * 4 | 0) | 0;
         i672 = ((i275 | 0) < 0) << 31 >> 31;
         i682 = 16;
         i276 = _i64Subtract(get32(i682 | 0) | 0, get32(i682 + 4 | 0) | 0, i669 | 0, ((i669 | 0) < 0) << 31 >> 31 | 0) | 0;
         i682 = tempRet0;
         if ((i672 | 0) < (i682 | 0) | (i672 | 0) == (i682 | 0) & i275 >>> 0 < i276 >>> 0) {
          set32(11 * 4 | 0, 0 | 0);
          break;
         } else {
          set32(11 * 4 | 0, 1 | 0);
          i276 = get32(7 * 4 | 0) | 0;
          set32(6 * 4 | 0, 0 | 0);
          FUNCTION_TABLE_viiii[i677 & 15](i276, i275, i672, i669);
          set32(6 * 4 | 0, i677 | 0);
          set32(7 * 4 | 0, i276 | 0);
          break;
         }
        } while (0);
        i677 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i669) | 0;
        if (!i677) {
         i1559 = 0;
         break L3614;
        }
        i690 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i677) | 0;
        i276 = (get32(30 * 4 | 0) | 0) + i690 | 0;
        set32(30 * 4 | 0, i276 | 0);
        if ((i276 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i276 | 0);
        i276 = get32(39 * 4 | 0) | 0;
        i690 = i276 + 1 | 0;
        set32(39 * 4 | 0, i690 | 0);
        if ((i276 | 0) < (get32(49 * 4 | 0) | 0)) i1562 = i677; else {
         set32(49 * 4 | 0, i690 | 0);
         i1562 = i677;
        }
       } else {
        i677 = i683 + 30 | 0;
        if (get8(i677 >> 0 | 0) | 0) {
         i1559 = 0;
         break L3614;
        }
        do if (get8(i683 + 234 >> 0 | 0) | 0) {
         if ((getU16(i683 + 232 | 0) | 0) >>> 0 < i291 >>> 0) {
          i690 = i683 + 248 | 0;
          set32(i690 | 0, (get32(i690 | 0) | 0) + 1 | 0);
          break;
         }
         i690 = i683 + 256 | 0;
         i276 = get32(i690 | 0) | 0;
         if (!i276) {
          i672 = i683 + 252 | 0;
          set32(i672 | 0, (get32(i672 | 0) | 0) + 1 | 0);
          break;
         }
         set32(i690 | 0, get32(i276 | 0) | 0);
         i690 = i683 + 236 | 0;
         i672 = get32(i690 | 0) | 0;
         i275 = i672 + 1 | 0;
         set32(i690 | 0, i275 | 0);
         i690 = i683 + 244 | 0;
         set32(i690 | 0, (get32(i690 | 0) | 0) + 1 | 0);
         i690 = i683 + 240 | 0;
         if ((i672 | 0) >= (get32(i690 | 0) | 0)) set32(i690 | 0, i275 | 0);
         i1561 = i276;
         i84 = 2455;
         break L3618;
        } while (0);
        if (!(get32(50 * 4 | 0) | 0)) {
         i669 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i291) | 0;
         if (i669) {
          i1562 = i669;
          break;
         }
        } else {
         i669 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i291) | 0;
         set32(35 * 4 | 0, i291 | 0);
         if ((get32(45 * 4 | 0) | 0) < (i291 | 0)) set32(45 * 4 | 0, i291 | 0);
         i276 = get32(6 * 4 | 0) | 0;
         do if (i276) {
          i275 = get32(30 * 4 | 0) | 0;
          i690 = ((i275 | 0) < 0) << 31 >> 31;
          i672 = 16;
          i682 = _i64Subtract(get32(i672 | 0) | 0, get32(i672 + 4 | 0) | 0, i669 | 0, ((i669 | 0) < 0) << 31 >> 31 | 0) | 0;
          i672 = tempRet0;
          if ((i690 | 0) < (i672 | 0) | (i690 | 0) == (i672 | 0) & i275 >>> 0 < i682 >>> 0) {
           set32(11 * 4 | 0, 0 | 0);
           break;
          } else {
           set32(11 * 4 | 0, 1 | 0);
           i682 = get32(7 * 4 | 0) | 0;
           set32(6 * 4 | 0, 0 | 0);
           FUNCTION_TABLE_viiii[i276 & 15](i682, i275, i690, i669);
           set32(6 * 4 | 0, i276 | 0);
           set32(7 * 4 | 0, i682 | 0);
           break;
          }
         } while (0);
         i276 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i669) | 0;
         if (i276) {
          i682 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i276) | 0;
          i690 = (get32(30 * 4 | 0) | 0) + i682 | 0;
          set32(30 * 4 | 0, i690 | 0);
          if ((i690 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i690 | 0);
          i690 = get32(39 * 4 | 0) | 0;
          i682 = i690 + 1 | 0;
          set32(39 * 4 | 0, i682 | 0);
          if ((i690 | 0) < (get32(49 * 4 | 0) | 0)) {
           i1562 = i276;
           break;
          }
          set32(49 * 4 | 0, i682 | 0);
          i1562 = i276;
          break;
         }
        }
        set8(i677 >> 0 | 0, 1 | 0);
        i1559 = 0;
        break L3614;
       } while (0);
       if ((i84 | 0) == 2455) {
        i84 = 0;
        if (!i1561) {
         i1559 = 0;
         break;
        } else i1562 = i1561;
       }
       _memcpy(i1562 | 0, i290 | 0, i291 | 0) | 0;
       i1559 = i1562;
      } while (0);
      set32(i105 | 0, i1559 | 0);
      i290 = get32(i1009 | 0) | 0;
      do if (i290) {
       if (!(get32(50 * 4 | 0) | 0)) {
        FUNCTION_TABLE_vi[get32(232 | 0) & 31](i290);
        break;
       }
       i683 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i290) | 0;
       i276 = (get32(30 * 4 | 0) | 0) - i683 | 0;
       set32(30 * 4 | 0, i276 | 0);
       if ((i276 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i276 | 0);
       i276 = (get32(39 * 4 | 0) | 0) + -1 | 0;
       set32(39 * 4 | 0, i276 | 0);
       if ((i276 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i276 | 0);
       FUNCTION_TABLE_vi[get32(232 | 0) & 31](i290);
      } while (0);
      set32(i1009 | 0, 0 | 0);
      if (i277) {
       i810 = i653;
       i811 = i654;
       i812 = i657;
       i813 = i277;
       i814 = i274;
       i84 = 2888;
       break L6;
      }
      set32(get32(i100 | 0) | 0, get32(i101 | 0) | 0);
      i290 = get32(i268 + (i657 * 20 | 0) + 4 | 0) | 0;
      i276 = (get32(i190 | 0) | 0) - i290 | 0;
      i683 = get32(i72 | 0) | 0;
      i682 = i683 + (i276 * 40 | 0) | 0;
      i690 = get32((get32(i142 | 0) | 0) + (i290 << 2) | 0) | 0;
      if (i690) {
       i275 = get32(i690 + 4 | 0) | 0;
       if (!i275) {
        i672 = get32(i690 | 0) | 0;
        if (i672) _sqlite3BtreeCloseCursor(i672);
       } else _sqlite3BtreeClose(i275);
       i275 = get32(i690 + 36 | 0) | 0;
       if (i275) {
        i672 = get32(i690 + 40 | 0) | 0;
        set8(i191 >> 0 | 0, 1 | 0);
        FUNCTION_TABLE_ii[get32(i672 + 28 | 0) & 127](i275) | 0;
        set8(i191 >> 0 | 0, 0 | 0);
       }
       set32((get32(i142 | 0) | 0) + (i290 << 2) | 0, 0 | 0);
      }
      if (!(_sqlite3VdbeMemGrow(i682, 96, 0) | 0)) {
       i682 = get32(i683 + (i276 * 40 | 0) + 4 | 0) | 0;
       set32((get32(i142 | 0) | 0) + (i290 << 2) | 0, i682 | 0);
       i698 = i682;
       i700 = i698 + 96 | 0;
       do {
        set32(i698 | 0, 0 | 0);
        i698 = i698 + 4 | 0;
       } while ((i698 | 0) < (i700 | 0));
       set32(i682 + 12 | 0, -1 | 0);
       set32(i682 + 20 | 0, 0 | 0);
       set32(i65 | 0, i682 | 0);
       if (i682) {
        i277 = get32(i100 | 0) | 0;
        set32(i682 + 36 | 0, i277 | 0);
        set32(i682 + 40 | 0, get32(get32(i277 | 0) | 0) | 0);
        i716 = i653;
        i717 = i654;
        i718 = i267;
        i719 = i268;
        i720 = i269;
        i721 = i270;
        i722 = i655;
        i723 = i656;
        i724 = i657;
        i725 = i274;
        break;
       }
      } else set32(i65 | 0, 0 | 0);
      set8(i90 >> 0 | 0, 1 | 0);
      FUNCTION_TABLE_ii[get32((get32(i102 | 0) | 0) + 28 | 0) & 127](get32(i100 | 0) | 0) | 0;
      i716 = i653;
      i717 = i654;
      i718 = i267;
      i719 = i268;
      i720 = i269;
      i721 = i270;
      i722 = i655;
      i723 = i656;
      i724 = i657;
      i725 = i274;
      break;
     }
    case 2548:
     {
      i84 = 0;
      i277 = i267 + (i1048 * 40 | 0) + 28 | 0;
      i1009 = get16(i277 | 0) | 0;
      if (i1009 & 64) {
       i290 = get32(i267 + (i1048 * 40 | 0) + 16 | 0) | 0;
       i276 = (get32(i290 | 0) | 0) + 172 | 0;
       set32(i290 + 60 | 0, get32(i276 | 0) | 0);
       set32(i276 | 0, i290 | 0);
      }
      if (!(i1009 & 32)) i1563 = i1009; else {
       i290 = get32(i267 + (i1048 * 40 | 0) + 16 | 0) | 0;
       i276 = get32(i290 | 0) | 0;
       if (!i276) i1564 = i1009; else {
        i1009 = i290 + 4 | 0;
        i683 = i276;
        do {
         i276 = i683;
         i683 = get32(i683 | 0) | 0;
         _sqlite3DbFree(get32(i1009 | 0) | 0, i276);
        } while ((i683 | 0) != 0);
        i1564 = get16(i277 | 0) | 0;
       }
       set32(i290 | 0, 0 | 0);
       set16(i290 + 24 | 0, 0 | 0);
       set32(i290 + 8 | 0, 0 | 0);
       set32(i290 + 12 | 0, 0 | 0);
       set32(i290 + 20 | 0, 0 | 0);
       set8(i290 + 26 >> 0 | 0, 1 | 0);
       i1563 = i1564;
      }
      set16(i277 | 0, i1563 & 48896 | 1 | 0);
      set8(i267 + (i1048 * 40 | 0) + 30 >> 0 | 0, 5 | 0);
      i716 = i1049;
      i717 = i1050;
      i718 = i267;
      i719 = i268;
      i720 = i269;
      i721 = i270;
      i722 = i1051;
      i723 = i1052;
      i724 = i1053;
      i725 = i274;
      break;
     }
    case 2781:
     {
      i84 = 0;
      i683 = get8(i1077 >> 0 | 0) | 0;
      switch (i683 << 24 >> 24) {
      case 5:
       {
        i1565 = 2;
        i1566 = i1078;
        i1567 = i1079;
        i1568 = i1082;
        i1569 = i274;
        i84 = 2783;
        break L6;
        break;
       }
      case 4:
       {
        i716 = i1078;
        i717 = i1079;
        i718 = i267;
        i719 = i268;
        i720 = i269;
        i721 = i270;
        i722 = i1080;
        i723 = i1081;
        i724 = i1082;
        i725 = i274;
        break;
       }
      default:
       {
        i1570 = i683;
        i1571 = i1078;
        i1572 = i1079;
        i1573 = i1082;
        i1574 = i274;
        i84 = 2782;
        break L6;
       }
      }
      break;
     }
    case 2785:
     {
      i84 = 0;
      i683 = i661 + 16 | 0;
      set32(i683 | 0, get32((get32((get32((get32(i70 | 0) | 0) + (get32(i268 + (i662 * 20 | 0) + 4 | 0) << 4) + 4 | 0) | 0) + 4 | 0) | 0) + 48 | 0) | 0);
      set32(i683 + 4 | 0, 0 | 0);
      i716 = i658;
      i717 = i659;
      i718 = i267;
      i719 = i268;
      i720 = i269;
      i721 = i270;
      i722 = i660;
      i723 = i661;
      i724 = i662;
      i725 = i274;
      break;
     }
    case 2786:
     {
      i84 = 0;
      i683 = get32((get32(i70 | 0) | 0) + (get32(i268 + (i667 * 20 | 0) + 4 | 0) << 4) + 4 | 0) | 0;
      i1009 = get32(i268 + (i667 * 20 | 0) + 12 | 0) | 0;
      i682 = get32(i683 + 4 | 0) | 0;
      if (!i1009) i1575 = 0; else {
       i276 = get32(i682 + 48 | 0) | 0;
       i1575 = i276 >>> 0 < i1009 >>> 0 ? i1009 : i276;
      }
      set32(i682 + 4 | 0, get32(i683 | 0) | 0);
      i683 = (get32(i682 | 0) | 0) + 132 | 0;
      if ((i1575 | 0) > 0) {
       set32(i683 | 0, i1575 | 0);
       i1576 = i1575;
      } else i1576 = get32(i683 | 0) | 0;
      i683 = i666 + 16 | 0;
      set32(i683 | 0, i1576 | 0);
      set32(i683 + 4 | 0, ((i1576 | 0) < 0) << 31 >> 31 | 0);
      i716 = i663;
      i717 = i664;
      i718 = i267;
      i719 = i268;
      i720 = i269;
      i721 = i270;
      i722 = i665;
      i723 = i666;
      i724 = i667;
      i725 = i274;
      break;
     }
    case 2792:
     {
      i84 = 0;
      if (!(get32(i109 | 0) | 0)) {
       i716 = i384;
       i717 = i385;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i386;
       i723 = i387;
       i724 = i388;
       i725 = i274;
      } else {
       i683 = get32(i268 + (i388 * 20 | 0) + 16 | 0) | 0;
       if (!i683) {
        i682 = get32(i110 | 0) | 0;
        set32(i65 | 0, i682 | 0);
        if (!i682) {
         i716 = i384;
         i717 = i385;
         i718 = i267;
         i719 = i268;
         i720 = i269;
         i721 = i270;
         i722 = i386;
         i723 = i387;
         i724 = i388;
         i725 = i274;
         break;
        } else i1577 = i682;
       } else {
        set32(i65 | 0, i683 | 0);
        i1577 = i683;
       }
       set32(i62 | 0, 0 | 0);
       i683 = get32(i1 | 0) | 0;
       i682 = get32(i683 + 72 | 0) | 0;
       set32(i111 | 0, i64 | 0);
       set32(i112 | 0, i64 | 0);
       set32(i113 | 0, 0 | 0);
       set32(i114 | 0, 100 | 0);
       set32(i115 | 0, i682 | 0);
       set8(i116 >> 0 | 0, 1 | 0);
       set8(i117 >> 0 | 0, 0 | 0);
       set8(i118 >> 0 | 0, 0 | 0);
       set32(i63 | 0, i683 | 0);
       i682 = get8(i1577 >> 0 | 0) | 0;
       i276 = i682 << 24 >> 24 == 0;
       L1748 : do if ((get32(i683 + 148 | 0) | 0) > 1) {
        if (!i276) {
         i1009 = i1577;
         i275 = i682;
         while (1) {
          i672 = i1009;
          i690 = i275;
          while (1) {
           i693 = i672 + 1 | 0;
           if (i690 << 24 >> 24 == 10) {
            i1578 = i693;
            break;
           }
           i690 = get8(i693 >> 0 | 0) | 0;
           if (!(i690 << 24 >> 24)) {
            i1578 = i693;
            break;
           } else i672 = i693;
          }
          _sqlite3StrAccumAppend(i63, 24360, 3);
          _sqlite3StrAccumAppend(i63, i1009, i1578 - i1009 | 0);
          i275 = get8(i1578 >> 0 | 0) | 0;
          if (!(i275 << 24 >> 24)) break; else i1009 = i1578;
         }
        }
       } else if (!i276) {
        i1009 = i683 + 8 | 0;
        i275 = i1577;
        i291 = i682;
        i672 = 1;
        do {
         L1760 : do if (!(i291 << 24 >> 24)) {
          i1579 = 0;
          i1580 = 0;
         } else {
          i690 = i275;
          i677 = 0;
          while (1) {
           i669 = _sqlite3GetToken(i690, i61) | 0;
           if ((get32(i61 | 0) | 0) == 133) {
            i1579 = i669;
            i1580 = i677;
            break L1760;
           }
           i693 = i669 + i677 | 0;
           i690 = i690 + i669 | 0;
           if (!(get8(i690 >> 0 | 0) | 0)) {
            i1579 = 0;
            i1580 = i693;
            break;
           } else i677 = i693;
          }
         } while (0);
         _sqlite3StrAccumAppend(i63, i275, i1580);
         i677 = i275 + i1580 | 0;
         if (!i1579) break L1748;
         do if ((get8(i677 >> 0 | 0) | 0) == 63) if ((i1579 | 0) > 1) {
          _sqlite3GetInt32(i275 + (i1580 + 1) | 0, i62) | 0;
          i1581 = get32(i62 | 0) | 0;
          break;
         } else {
          set32(i62 | 0, i672 | 0);
          i1581 = i672;
          break;
         } else {
          i690 = get16(i123 | 0) | 0;
          L1772 : do if (i690 << 16 >> 16 > 0) {
           i693 = get32(i124 | 0) | 0;
           i669 = i690 << 16 >> 16;
           i691 = 0;
           L1774 : while (1) {
            i695 = get32(i693 + (i691 << 2) | 0) | 0;
            do if (i695) {
             if (_memcmp(i695, i677, i1579) | 0) break;
             if (!(get8(i695 + i1579 >> 0 | 0) | 0)) {
              i1582 = i691;
              break L1774;
             }
            } while (0);
            i691 = i691 + 1 | 0;
            if ((i691 | 0) >= (i669 | 0)) {
             i1583 = 0;
             break L1772;
            }
           }
           i1583 = i1582 + 1 | 0;
          } else i1583 = 0; while (0);
          set32(i62 | 0, i1583 | 0);
          i1581 = i1583;
         } while (0);
         i275 = i275 + (i1580 + i1579) | 0;
         i672 = i1581 + 1 | 0;
         i677 = i1581 + -1 | 0;
         i690 = get32(i99 | 0) | 0;
         i669 = getU16(i690 + (i677 * 40 | 0) + 28 | 0) | 0;
         do if (!(i669 & 1)) {
          if (i669 & 4) {
           i691 = i690 + (i677 * 40 | 0) + 16 | 0;
           i693 = get32(i691 + 4 | 0) | 0;
           i695 = i13;
           set32(i695 | 0, get32(i691 | 0) | 0);
           set32(i695 + 4 | 0, i693 | 0);
           _sqlite3XPrintf(i63, 19882, i13);
           break;
          }
          if (i669 & 8) {
           setF64(i12 | 0, +(+getF64(i690 + (i677 * 40 | 0) + 8 | 0)));
           _sqlite3XPrintf(i63, 19887, i12);
           break;
          }
          if (i669 & 2) {
           i693 = get8((get32((get32(i1009 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0) | 0;
           if (i693 << 24 >> 24 == 1) {
            i695 = get32(i690 + (i677 * 40 | 0) + 4 | 0) | 0;
            set32(i10 | 0, get32(i690 + (i677 * 40 | 0) + 24 | 0) | 0);
            set32(i10 + 4 | 0, i695 | 0);
            _sqlite3XPrintf(i63, 24364, i10);
            break;
           } else {
            i698 = i61;
            i700 = i698 + 40 | 0;
            do {
             set32(i698 | 0, 0 | 0);
             i698 = i698 + 4 | 0;
            } while ((i698 | 0) < (i700 | 0));
            set32(i61 | 0, i683 | 0);
            _sqlite3VdbeMemSetStr(i61, get32(i690 + (i677 * 40 | 0) + 4 | 0) | 0, get32(i690 + (i677 * 40 | 0) + 24 | 0) | 0, i693, 0) | 0;
            _sqlite3VdbeChangeEncoding(i61, 1) | 0;
            i695 = get32(i121 | 0) | 0;
            set32(i11 | 0, get32(i120 | 0) | 0);
            set32(i11 + 4 | 0, i695 | 0);
            _sqlite3XPrintf(i63, 24364, i11);
            _sqlite3VdbeMemReleaseExternal(i61);
            _sqlite3DbFree(get32(i61 | 0) | 0, get32(i122 | 0) | 0);
            break;
           }
          }
          if (i669 & 16384) {
           set32(i9 | 0, get32(i690 + (i677 * 40 | 0) + 16 | 0) | 0);
           _sqlite3XPrintf(i63, 24371, i9);
           break;
          }
          _sqlite3StrAccumAppend(i63, 24384, 2);
          i695 = i690 + (i677 * 40 | 0) + 24 | 0;
          if ((get32(i695 | 0) | 0) > 0) {
           i691 = i690 + (i677 * 40 | 0) + 4 | 0;
           i702 = 0;
           do {
            set32(i8 | 0, getU8((get32(i691 | 0) | 0) + i702 >> 0 | 0) | 0);
            _sqlite3XPrintf(i63, 24387, i8);
            i702 = i702 + 1 | 0;
           } while ((i702 | 0) < (get32(i695 | 0) | 0));
          }
          _sqlite3StrAccumAppend(i63, 24392, 1);
         } else _sqlite3StrAccumAppend(i63, 18774, 4); while (0);
         i291 = get8(i275 >> 0 | 0) | 0;
        } while (i291 << 24 >> 24 != 0);
       } while (0);
       i683 = get32(i112 | 0) | 0;
       do if (((i683 | 0) != 0 ? (set8(i683 + (get32(i113 | 0) | 0) >> 0 | 0, 0 | 0), i682 = get8(i116 >> 0 | 0) | 0, i682 << 24 >> 24 != 0) : 0) ? (get32(i112 | 0) | 0) == (get32(i111 | 0) | 0) : 0) {
        L1812 : do if (i682 << 24 >> 24 == 1) {
         i276 = get32(i63 | 0) | 0;
         i277 = get32(i113 | 0) | 0;
         i290 = i277 + 1 | 0;
         L1814 : do if (!i276) if (i277 >>> 0 > 2147483390) i84 = 2881; else {
          if (!(get32(50 * 4 | 0) | 0)) {
           i1584 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i290) | 0;
           i84 = 2883;
           break L1812;
          }
          i291 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i290) | 0;
          set32(35 * 4 | 0, i290 | 0);
          if ((get32(45 * 4 | 0) | 0) < (i290 | 0)) set32(45 * 4 | 0, i290 | 0);
          i275 = get32(6 * 4 | 0) | 0;
          do if (i275) {
           i1009 = get32(30 * 4 | 0) | 0;
           i672 = ((i1009 | 0) < 0) << 31 >> 31;
           i677 = 16;
           i690 = _i64Subtract(get32(i677 | 0) | 0, get32(i677 + 4 | 0) | 0, i291 | 0, ((i291 | 0) < 0) << 31 >> 31 | 0) | 0;
           i677 = tempRet0;
           if ((i672 | 0) < (i677 | 0) | (i672 | 0) == (i677 | 0) & i1009 >>> 0 < i690 >>> 0) {
            set32(11 * 4 | 0, 0 | 0);
            break;
           } else {
            set32(11 * 4 | 0, 1 | 0);
            i690 = get32(7 * 4 | 0) | 0;
            set32(6 * 4 | 0, 0 | 0);
            FUNCTION_TABLE_viiii[i275 & 15](i690, i1009, i672, i291);
            set32(6 * 4 | 0, i275 | 0);
            set32(7 * 4 | 0, i690 | 0);
            break;
           }
          } while (0);
          i275 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i291) | 0;
          if (!i275) {
           i84 = 2881;
           break;
          }
          i690 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i275) | 0;
          i672 = (get32(30 * 4 | 0) | 0) + i690 | 0;
          set32(30 * 4 | 0, i672 | 0);
          if ((i672 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i672 | 0);
          i672 = get32(39 * 4 | 0) | 0;
          i690 = i672 + 1 | 0;
          set32(39 * 4 | 0, i690 | 0);
          if ((i672 | 0) < (get32(49 * 4 | 0) | 0)) {
           i1585 = i275;
           i84 = 2882;
           break;
          }
          set32(49 * 4 | 0, i690 | 0);
          i1585 = i275;
          i84 = 2882;
         } else {
          i275 = i276 + 30 | 0;
          if (!(get8(i275 >> 0 | 0) | 0)) {
           do if (get8(i276 + 234 >> 0 | 0) | 0) {
            if ((getU16(i276 + 232 | 0) | 0) < (i290 | 0)) {
             i690 = i276 + 248 | 0;
             set32(i690 | 0, (get32(i690 | 0) | 0) + 1 | 0);
             break;
            }
            i690 = i276 + 256 | 0;
            i672 = get32(i690 | 0) | 0;
            if (!i672) {
             i1009 = i276 + 252 | 0;
             set32(i1009 | 0, (get32(i1009 | 0) | 0) + 1 | 0);
             break;
            }
            set32(i690 | 0, get32(i672 | 0) | 0);
            i690 = i276 + 236 | 0;
            i1009 = get32(i690 | 0) | 0;
            i677 = i1009 + 1 | 0;
            set32(i690 | 0, i677 | 0);
            i690 = i276 + 244 | 0;
            set32(i690 | 0, (get32(i690 | 0) | 0) + 1 | 0);
            i690 = i276 + 240 | 0;
            if ((i1009 | 0) >= (get32(i690 | 0) | 0)) set32(i690 | 0, i677 | 0);
            i1584 = i672;
            i84 = 2883;
            break L1812;
           } while (0);
           do if (i277 >>> 0 <= 2147483390) {
            if (!(get32(50 * 4 | 0) | 0)) {
             i291 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i290) | 0;
             if (!i291) break; else {
              i1585 = i291;
              i84 = 2882;
              break L1814;
             }
            }
            i291 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i290) | 0;
            set32(35 * 4 | 0, i290 | 0);
            if ((get32(45 * 4 | 0) | 0) < (i290 | 0)) set32(45 * 4 | 0, i290 | 0);
            i672 = get32(6 * 4 | 0) | 0;
            do if (i672) {
             i677 = get32(30 * 4 | 0) | 0;
             i690 = ((i677 | 0) < 0) << 31 >> 31;
             i1009 = 16;
             i669 = _i64Subtract(get32(i1009 | 0) | 0, get32(i1009 + 4 | 0) | 0, i291 | 0, ((i291 | 0) < 0) << 31 >> 31 | 0) | 0;
             i1009 = tempRet0;
             if ((i690 | 0) < (i1009 | 0) | (i690 | 0) == (i1009 | 0) & i677 >>> 0 < i669 >>> 0) {
              set32(11 * 4 | 0, 0 | 0);
              break;
             } else {
              set32(11 * 4 | 0, 1 | 0);
              i669 = get32(7 * 4 | 0) | 0;
              set32(6 * 4 | 0, 0 | 0);
              FUNCTION_TABLE_viiii[i672 & 15](i669, i677, i690, i291);
              set32(6 * 4 | 0, i672 | 0);
              set32(7 * 4 | 0, i669 | 0);
              break;
             }
            } while (0);
            i672 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i291) | 0;
            if (!i672) break;
            i669 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i672) | 0;
            i690 = (get32(30 * 4 | 0) | 0) + i669 | 0;
            set32(30 * 4 | 0, i690 | 0);
            if ((i690 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i690 | 0);
            i690 = get32(39 * 4 | 0) | 0;
            i669 = i690 + 1 | 0;
            set32(39 * 4 | 0, i669 | 0);
            if ((i690 | 0) < (get32(49 * 4 | 0) | 0)) {
             i1585 = i672;
             i84 = 2882;
             break L1814;
            }
            set32(49 * 4 | 0, i669 | 0);
            i1585 = i672;
            i84 = 2882;
            break L1814;
           } while (0);
           set8(i275 >> 0 | 0, 1 | 0);
           i84 = 2881;
          } else i84 = 2881;
         } while (0);
         if ((i84 | 0) == 2881) {
          i84 = 0;
          set32(i112 | 0, 0 | 0);
          i84 = 2885;
          break;
         } else if ((i84 | 0) == 2882) {
          i84 = 0;
          set32(i112 | 0, i1585 | 0);
          i1586 = i1585;
          i84 = 2884;
          break;
         }
        } else {
         i1584 = _sqlite3_malloc((get32(i113 | 0) | 0) + 1 | 0) | 0;
         i84 = 2883;
        } while (0);
        if ((i84 | 0) == 2883) {
         i84 = 0;
         set32(i112 | 0, i1584 | 0);
         if (!i1584) i84 = 2885; else {
          i1586 = i1584;
          i84 = 2884;
         }
        }
        if ((i84 | 0) == 2884) {
         i84 = 0;
         _memcpy(i1586 | 0, get32(i111 | 0) | 0, (get32(i113 | 0) | 0) + 1 | 0) | 0;
         break;
        } else if ((i84 | 0) == 2885) {
         i84 = 0;
         set8(i118 >> 0 | 0, 1 | 0);
         break;
        }
       } while (0);
       i683 = get32(i112 | 0) | 0;
       set32(i100 | 0, i683 | 0);
       FUNCTION_TABLE_vii[get32(i109 | 0) & 15](get32(i119 | 0) | 0, i683);
       _sqlite3DbFree(i69, get32(i100 | 0) | 0);
       i716 = i384;
       i717 = i385;
       i718 = i267;
       i719 = i268;
       i720 = i269;
       i721 = i270;
       i722 = i386;
       i723 = i387;
       i724 = i388;
       i725 = i274;
      }
      break;
     }
    }
    L3790 : do if ((i84 | 0) == 22) {
     i84 = 0;
     i683 = i268 + (i332 * 20 | 0) + 4 | 0;
     i682 = get32(i683 | 0) | 0;
     if (i682) {
      i1587 = i683;
      i1588 = i682;
      i1589 = 0;
      i1590 = i328;
      i1591 = i329;
      i1592 = i268;
      i1593 = i332;
      i84 = 27;
      break L6;
     }
     i682 = get32(i91 | 0) | 0;
     if (!i682) {
      i1587 = i683;
      i1588 = 0;
      i1589 = 1;
      i1590 = i328;
      i1591 = i329;
      i1592 = i268;
      i1593 = i332;
      i84 = 27;
      break L6;
     }
     set32(i91 | 0, get32(i682 + 60 | 0) | 0);
     set32(i92 | 0, (get32(i92 | 0) | 0) + -1 | 0);
     i683 = get32(i93 | 0) | 0;
     set32(i94 | 0, i683 | 0);
     set32(i95 | 0, (get32(i95 | 0) | 0) + i683 | 0);
     i683 = get32(i682 | 0) | 0;
     set32(i683 + 4 | 0, get32(i682 + 8 | 0) | 0);
     set32(i683 + 28 | 0, get32(i682 + 12 | 0) | 0);
     set32(i683 + 8 | 0, get32(i682 + 16 | 0) | 0);
     set32(i683 + 24 | 0, get32(i682 + 20 | 0) | 0);
     set32(i683 + 68 | 0, get32(i682 + 24 | 0) | 0);
     set16(i683 + 50 | 0, get16(i682 + 28 | 0) | 0 | 0);
     i290 = i682 + 48 | 0;
     i277 = get32(i290 + 4 | 0) | 0;
     i276 = (get32(i683 | 0) | 0) + 48 | 0;
     set32(i276 | 0, get32(i290 | 0) | 0);
     set32(i276 + 4 | 0, i277 | 0);
     set32(i683 + 108 | 0, get32(i682 + 56 | 0) | 0);
     i683 = get32(i682 + 4 | 0) | 0;
     i682 = i74;
     i277 = get32(i67 | 0) | 0;
     if ((get32(i268 + (i332 * 20 | 0) + 8 | 0) | 0) == 4) i1594 = (get32(i277 + (i683 * 20 | 0) + 8 | 0) | 0) + -1 | 0; else i1594 = i683;
     i716 = get32(i682 | 0) | 0;
     i717 = get32(i682 + 4 | 0) | 0;
     i718 = get32(i72 | 0) | 0;
     i719 = i277;
     i720 = i269;
     i721 = i270;
     i722 = i330;
     i723 = i331;
     i724 = i1594;
     i725 = i274;
    } else if ((i84 | 0) == 854) {
     i84 = 0;
     i277 = get32(i106 | 0) | 0;
     i682 = get32(i166 | 0) | 0;
     if ((i682 | 0) != 0 ? (i683 = i277 + 1 | 0, i276 = get32(i179 | 0) | 0, (i276 | 0) > 0) : 0) {
      i290 = i276;
      i276 = i682;
      i682 = 0;
      while (1) {
       i672 = get32(i276 + (i682 << 2) | 0) | 0;
       i669 = get32(get32(i672 + 4 | 0) | 0) | 0;
       if ((get32(i669 | 0) | 0) > 1) {
        switch (i794 | 0) {
        case 0:
         {
          i690 = get32(i669 + 80 | 0) | 0;
          set32(i672 + 20 | 0, i683 | 0);
          i1595 = i690;
          break;
         }
        case 2:
         {
          i1595 = get32(i669 + 88 | 0) | 0;
          break;
         }
        default:
         i1595 = get32(i669 + 84 | 0) | 0;
        }
        if ((i1595 | 0) != 0 ? (get32(i672 + 20 | 0) | 0) > (i277 | 0) : 0) {
         i669 = FUNCTION_TABLE_iii[i1595 & 127](get32(i672 + 8 | 0) | 0, i277) | 0;
         if (i669) {
          i780 = i792;
          i781 = i793;
          i782 = i797;
          i783 = i669;
          i784 = i274;
          break L6;
         }
         i1596 = get32(i179 | 0) | 0;
        } else i1596 = i290;
       } else i1596 = i290;
       i669 = i682 + 1 | 0;
       if ((i669 | 0) >= (i1596 | 0)) {
        i716 = i792;
        i717 = i793;
        i718 = i267;
        i719 = i268;
        i720 = i269;
        i721 = i270;
        i722 = i795;
        i723 = i796;
        i724 = i797;
        i725 = i274;
        break L3790;
       }
       i290 = i1596;
       i276 = get32(i166 | 0) | 0;
       i682 = i669;
      }
     } else {
      i716 = i792;
      i717 = i793;
      i718 = i267;
      i719 = i268;
      i720 = i269;
      i721 = i270;
      i722 = i795;
      i723 = i796;
      i724 = i797;
      i725 = i274;
     }
    } while (0);
    i265 = i716;
    i266 = i717;
    i267 = i718;
    i268 = i719;
    i269 = i720;
    i270 = i721;
    i271 = i722;
    i272 = i723;
    i273 = i724 + 1 | 0;
    i274 = i725;
   }
   switch (i84 | 0) {
   case 27:
    {
     set32(i75 | 0, i1588 | 0);
     set8(i104 >> 0 | 0, get32(i1592 + (i1593 * 20 | 0) + 8 | 0) | 0);
     set32(i89 | 0, i1593 | 0);
     i274 = i1592 + (i1593 * 20 | 0) + 16 | 0;
     i273 = get32(i274 | 0) | 0;
     if (!i273) {
      if (!i1589) {
       i272 = get32(i110 | 0) | 0;
       set32(i58 | 0, i1593 | 0);
       set32(i58 + 4 | 0, i272 | 0);
       _sqlite3_log(i1588, 21194, i58);
      }
     } else {
      set32(i60 | 0, i273 | 0);
      _sqlite3SetString(i105, i69, 16817, i60);
      i273 = get32(i1587 | 0) | 0;
      i272 = get32(i110 | 0) | 0;
      i271 = get32(i274 | 0) | 0;
      set32(i59 | 0, i1593 | 0);
      set32(i59 + 4 | 0, i272 | 0);
      set32(i59 + 8 | 0, i271 | 0);
      _sqlite3_log(i273, 21170, i59);
     }
     if ((_sqlite3VdbeHalt(i1) | 0) == 5) {
      set32(i75 | 0, 5 | 0);
      i1597 = i1590;
      i1598 = i1591;
      i1599 = 5;
      i1600 = i74;
      i1601 = i1600;
      set32(i1601 | 0, i1597 | 0);
      i1602 = i1600 + 4 | 0;
      i1603 = i1602;
      set32(i1603 | 0, i1598 | 0);
      STACKTOP = i2;
      return i1599 | 0;
     } else {
      i1597 = i1590;
      i1598 = i1591;
      i1599 = (get32(i75 | 0) | 0) != 0 ? 1 : 101;
      i1600 = i74;
      i1601 = i1600;
      set32(i1601 | 0, i1597 | 0);
      i1602 = i1600 + 4 | 0;
      i1603 = i1602;
      set32(i1603 | 0, i1598 | 0);
      STACKTOP = i2;
      return i1599 | 0;
     }
     break;
    }
   case 72:
    {
     i273 = i103;
     i271 = get32(i273 + 4 | 0) | 0;
     if ((i271 | 0) > 0 | (i271 | 0) == 0 & (get32(i273 | 0) | 0) >>> 0 > 0) {
      i273 = get32(i1 | 0) | 0;
      set32(i75 | 0, 19 | 0);
      set8(i104 >> 0 | 0, 2 | 0);
      _sqlite3SetString(i105, i273, 19759, i57);
      i810 = i292;
      i811 = i293;
      i812 = i296;
      i813 = 1;
      i814 = i297;
      i84 = 2888;
      break;
     }
     i273 = _sqlite3VdbeCloseStatement(i1, 1) | 0;
     if (!i273) {
      set32(i144 | 0, (get32(i144 | 0) | 0) + 2 | 1 | 0);
      i271 = i294 + ((get32(i295 + (i296 * 20 | 0) + 4 | 0) | 0) * 40 | 0) | 0;
      set32(i85 | 0, i271 | 0);
      set32(i65 | 0, i271 | 0);
      set32(i100 | 0, 0 | 0);
      i272 = i295 + (i296 * 20 | 0) + 8 | 0;
      if ((get32(i272 | 0) | 0) > 0) {
       i274 = i271;
       i271 = 0;
       do {
        i270 = i274 + (i271 * 40 | 0) + 28 | 0;
        i269 = get16(i270 | 0) | 0;
        if (i269 & 4096) {
         i268 = i274 + (i271 * 40 | 0) | 0;
         do if (i269 & 16384) {
          i267 = i274 + (i271 * 40 | 0) + 24 | 0;
          i266 = i274 + (i271 * 40 | 0) + 16 | 0;
          i265 = (get32(i266 | 0) | 0) + (get32(i267 | 0) | 0) | 0;
          if (!(_sqlite3VdbeMemGrow(i268, (i265 | 0) < 1 ? 1 : i265, 1) | 0)) {
           _memset((get32(i274 + (i271 * 40 | 0) + 4 | 0) | 0) + (get32(i267 | 0) | 0) | 0, 0, get32(i266 | 0) | 0) | 0;
           set32(i267 | 0, (get32(i267 | 0) | 0) + (get32(i266 | 0) | 0) | 0);
           i266 = getU16(i270 | 0) & 48639;
           set16(i270 | 0, i266 | 0);
           i1604 = i266;
           break;
          } else {
           i1604 = get16(i270 | 0) | 0;
           break;
          }
         } else i1604 = i269; while (0);
         if ((i1604 & 18) != 0 ? (i269 = i274 + (i271 * 40 | 0) + 4 | 0, (get32(i269 | 0) | 0) != (get32(i274 + (i271 * 40 | 0) + 36 | 0) | 0)) : 0) {
          i266 = i274 + (i271 * 40 | 0) + 24 | 0;
          if (_sqlite3VdbeMemGrow(i268, (get32(i266 | 0) | 0) + 2 | 0, 1) | 0) {
           i78 = i90;
           i79 = i105;
           i80 = i292;
           i81 = i293;
           i82 = i296;
           i83 = i297;
           i84 = 2896;
           break L1;
          }
          set8((get32(i269 | 0) | 0) + (get32(i266 | 0) | 0) >> 0 | 0, 0 | 0);
          set8((get32(i269 | 0) | 0) + ((get32(i266 | 0) | 0) + 1) >> 0 | 0, 0 | 0);
          set16(i270 | 0, getU16(i270 | 0) | 512 | 0);
         }
        }
        i266 = get32(i100 | 0) | 0;
        i269 = get32(i65 | 0) | 0;
        i267 = i269 + (i266 * 40 | 0) + 28 | 0;
        if ((get16(i267 | 0) & 514) == 2 ? (i265 = i269 + (i266 * 40 | 0) + 24 | 0, (_sqlite3VdbeMemGrow(i269 + (i266 * 40 | 0) | 0, (get32(i265 | 0) | 0) + 2 | 0, 1) | 0) == 0) : 0) {
         i166 = i269 + (i266 * 40 | 0) + 4 | 0;
         set8((get32(i166 | 0) | 0) + (get32(i265 | 0) | 0) >> 0 | 0, 0 | 0);
         set8((get32(i166 | 0) | 0) + ((get32(i265 | 0) | 0) + 1) >> 0 | 0, 0 | 0);
         set16(i267 | 0, getU16(i267 | 0) | 512 | 0);
        }
        i267 = get32(i100 | 0) | 0;
        i274 = get32(i65 | 0) | 0;
        i265 = getU16(i274 + (i267 * 40 | 0) + 28 | 0) | 0;
        do if (!(i265 & 1)) {
         if (i265 & 4) {
          set8(i274 + (i267 * 40 | 0) + 30 >> 0 | 0, 1 | 0);
          break;
         }
         if (i265 & 8) {
          set8(i274 + (i267 * 40 | 0) + 30 >> 0 | 0, 2 | 0);
          break;
         }
         i166 = i274 + (i267 * 40 | 0) + 30 | 0;
         if (!(i265 & 2)) {
          set8(i166 >> 0 | 0, 4 | 0);
          break;
         } else {
          set8(i166 >> 0 | 0, 3 | 0);
          break;
         }
        } else set8(i274 + (i267 * 40 | 0) + 30 >> 0 | 0, 5 | 0); while (0);
        i271 = i267 + 1 | 0;
        set32(i100 | 0, i271 | 0);
       } while ((i271 | 0) < (get32(i272 | 0) | 0));
      }
      if (get8(i90 >> 0 | 0) | 0) {
       i78 = i90;
       i79 = i105;
       i80 = i292;
       i81 = i293;
       i82 = i296;
       i83 = i297;
       i84 = 2896;
       break L1;
      }
      set32(i89 | 0, i296 + 1 | 0);
      i1597 = i292;
      i1598 = i293;
      i1599 = 100;
      i1600 = i74;
      i1601 = i1600;
      set32(i1601 | 0, i1597 | 0);
      i1602 = i1600 + 4 | 0;
      i1603 = i1602;
      set32(i1603 | 0, i1598 | 0);
      STACKTOP = i2;
      return i1599 | 0;
     } else {
      i810 = i292;
      i811 = i293;
      i812 = i296;
      i813 = i273;
      i814 = i297;
      i84 = 2888;
     }
     break;
    }
   case 247:
    {
     _sqlite3VdbeMemReleaseExternal(i129);
     _sqlite3DbFree(get32(i129 | 0) | 0, get32(i132 | 0) | 0);
     set32(i133 | 0, 0 | 0);
     set32(i132 | 0, 0 | 0);
     set32(i131 | 0, 0 | 0);
     i78 = i90;
     i79 = i105;
     i80 = i705;
     i81 = i706;
     i82 = i707;
     i83 = i708;
     i84 = 2896;
     break L1;
     break;
    }
   case 545:
    {
     set32(i55 | 0, 65020 | 0);
     set32(i55 + 4 | 0, 17203 | 0);
     _sqlite3_log(11, 19615, i55);
     i810 = i1184;
     i811 = i1185;
     i812 = i1186;
     i813 = 11;
     i814 = i1187;
     i84 = 2888;
     break;
    }
   case 572:
    {
     set32(i54 | 0, 65094 | 0);
     set32(i54 + 4 | 0, 17203 | 0);
     _sqlite3_log(11, 19615, i54);
     i810 = i1202;
     i811 = i1203;
     i812 = i1204;
     i813 = 11;
     i814 = i1205;
     i84 = 2888;
     break;
    }
   case 770:
    {
     _sqlite3SetString(i105, i69, 21244, i47);
     i810 = i1246;
     i811 = i1247;
     i812 = i1248;
     i813 = 5;
     i814 = i1249;
     i84 = 2888;
     break;
    }
   case 820:
    {
     set32(i46 | 0, i758 | 0);
     _sqlite3SetString(i105, i69, 21295, i46);
     i810 = i759;
     i811 = i760;
     i812 = i761;
     i813 = 1;
     i814 = i762;
     i84 = 2888;
     break;
    }
   case 824:
    {
     set32(i45 | 0, ((i763 | 0) == 2 ? 21366 : 21375) | 0);
     _sqlite3SetString(i105, i69, 21317, i45);
     i810 = i764;
     i811 = i765;
     i812 = i766;
     i813 = 5;
     i814 = i767;
     i84 = 2888;
     break;
    }
   case 828:
    {
     set32(i75 | 0, 19 | 0);
     set8(i104 >> 0 | 0, 2 | 0);
     _sqlite3SetString(i105, i768, 19759, i44);
     i1597 = i769;
     i1598 = i770;
     i1599 = 1;
     i1600 = i74;
     i1601 = i1600;
     set32(i1601 | 0, i1597 | 0);
     i1602 = i1600 + 4 | 0;
     i1603 = i1602;
     set32(i1603 | 0, i1598 | 0);
     STACKTOP = i2;
     return i1599 | 0;
    }
   case 830:
    {
     set32(i89 | 0, i773 | 0);
     set8(i168 >> 0 | 0, 0 | 0);
     set32(i75 | 0, 5 | 0);
     i1597 = i771;
     i1598 = i772;
     i1599 = 5;
     i1600 = i74;
     i1601 = i1600;
     set32(i1601 | 0, i1597 | 0);
     i1602 = i1600 + 4 | 0;
     i1603 = i1602;
     set32(i1603 | 0, i1598 | 0);
     STACKTOP = i2;
     return i1599 | 0;
    }
   case 867:
    {
     i272 = get32(i300 + (i301 * 20 | 0) + 4 | 0) | 0;
     set32(i65 | 0, i272 | 0);
     i271 = get32(i300 + (i301 * 20 | 0) + 8 | 0) | 0;
     set32(i100 | 0, i271 | 0);
     i274 = (i272 | 0) == 0;
     if (!i274) {
      i144 = (get8(i168 >> 0 | 0) | 0) == 0;
      set32(i101 | 0, i144 & 1 | 0);
      i103 = (i271 | 0) == 0;
      if (!(i103 | i144 ^ 1) ? (get32(i180 | 0) | 0) > 1 : 0) {
       _sqlite3SetString(i105, i69, 21383, i43);
       i810 = i298;
       i811 = i299;
       i812 = i301;
       i813 = 5;
       i814 = i302;
       i84 = 2888;
       break;
      }
      if (i103 & i144) if ((get32(i163 | 0) | 0) > 0) {
       _sqlite3SetString(i105, i69, 21440, i42);
       i810 = i298;
       i811 = i299;
       i812 = i301;
       i813 = 5;
       i814 = i302;
       i84 = 2888;
       break;
      } else i1605 = 1; else i1605 = i103;
     } else {
      set32(i101 | 0, 0 | 0);
      i1605 = (i271 | 0) == 0;
     }
     if ((i272 | 0) == (getU8(i168 >> 0 | 0) | 0)) {
      _sqlite3SetString(i105, i69, i274 ? 21495 : (i271 | 0) != 0 ? 21543 : 21586, i40);
      i810 = i298;
      i811 = i299;
      i812 = i301;
      i813 = 1;
      i814 = i302;
      i84 = 2888;
      break;
     }
     if (i1605) {
      i271 = get32(i1 | 0) | 0;
      i274 = i271 + 496 | 0;
      i103 = get32(i274 + 4 | 0) | 0;
      if ((i103 | 0) > 0 | (i103 | 0) == 0 & (get32(i274 | 0) | 0) >>> 0 > 0) {
       set32(i75 | 0, 19 | 0);
       set8(i104 >> 0 | 0, 2 | 0);
       _sqlite3SetString(i105, i271, 19759, i41);
       i1597 = i298;
       i1598 = i299;
       i1599 = 1;
       i1600 = i74;
       i1601 = i1600;
       set32(i1601 | 0, i1597 | 0);
       i1602 = i1600 + 4 | 0;
       i1603 = i1602;
       set32(i1603 | 0, i1598 | 0);
       STACKTOP = i2;
       return i1599 | 0;
      }
      set8(i168 >> 0 | 0, i272 | 0);
      if ((_sqlite3VdbeHalt(i1) | 0) == 5) {
       set32(i89 | 0, i301 | 0);
       set8(i168 >> 0 | 0, 1 - (get32(i65 | 0) | 0) | 0);
       set32(i75 | 0, 5 | 0);
       i1597 = i298;
       i1598 = i299;
       i1599 = 5;
       i1600 = i74;
       i1601 = i1600;
       set32(i1601 | 0, i1597 | 0);
       i1602 = i1600 + 4 | 0;
       i1603 = i1602;
       set32(i1603 | 0, i1598 | 0);
       STACKTOP = i2;
       return i1599 | 0;
      }
     } else {
      _sqlite3RollbackAll(i69);
      set8(i168 >> 0 | 0, 1 | 0);
     }
     i272 = get32(i169 | 0) | 0;
     if (i272) {
      i271 = i272;
      do {
       set32(i169 | 0, get32(i271 + 16 | 0) | 0);
       _sqlite3DbFree(i69, i271);
       i271 = get32(i169 | 0) | 0;
      } while ((i271 | 0) != 0);
     }
     set32(i165 | 0, 0 | 0);
     set32(i164 | 0, 0 | 0);
     set8(i171 >> 0 | 0, 0 | 0);
     i1597 = i298;
     i1598 = i299;
     i1599 = (get32(i75 | 0) | 0) == 0 ? 101 : 1;
     i1600 = i74;
     i1601 = i1600;
     set32(i1601 | 0, i1597 | 0);
     i1602 = i1600 + 4 | 0;
     i1603 = i1602;
     set32(i1603 | 0, i1598 | 0);
     STACKTOP = i2;
     return i1599 | 0;
    }
   case 888:
    {
     set32(i89 | 0, i800 | 0);
     set32(i75 | 0, 5 | 0);
     i1597 = i798;
     i1598 = i799;
     i1599 = 5;
     i1600 = i74;
     i1601 = i1600;
     set32(i1601 | 0, i1597 | 0);
     i1602 = i1600 + 4 | 0;
     i1603 = i1602;
     set32(i1603 | 0, i1598 | 0);
     STACKTOP = i2;
     return i1599 | 0;
    }
   case 928:
    {
     _sqlite3DbFree(i69, get32(i105 | 0) | 0);
     L3885 : do if (!(get8(i90 >> 0 | 0) | 0)) {
      do if (!(get8(i167 >> 0 | 0) | 0)) i84 = 936; else {
       if ((getU16(i172 | 0) | 0) < 28) {
        set32(i173 | 0, (get32(i173 | 0) | 0) + 1 | 0);
        i84 = 936;
        break;
       }
       i271 = get32(i174 | 0) | 0;
       if (!i271) {
        set32(i175 | 0, (get32(i175 | 0) | 0) + 1 | 0);
        i84 = 936;
        break;
       }
       set32(i174 | 0, get32(i271 | 0) | 0);
       i169 = get32(i176 | 0) | 0;
       i168 = i169 + 1 | 0;
       set32(i176 | 0, i168 | 0);
       set32(i177 | 0, (get32(i177 | 0) | 0) + 1 | 0);
       if ((i169 | 0) >= (get32(i178 | 0) | 0)) set32(i178 | 0, i168 | 0);
       i1606 = i271;
      } while (0);
      do if ((i84 | 0) == 936) {
       if (!(get32(50 * 4 | 0) | 0)) {
        i267 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](28) | 0;
        if (i267) {
         i1606 = i267;
         break;
        }
       } else {
        i267 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](28) | 0;
        set32(35 * 4 | 0, 28 | 0);
        if ((get32(45 * 4 | 0) | 0) < 28) set32(45 * 4 | 0, 28 | 0);
        i271 = get32(6 * 4 | 0) | 0;
        do if (i271) {
         i168 = get32(30 * 4 | 0) | 0;
         i169 = ((i168 | 0) < 0) << 31 >> 31;
         i101 = 16;
         i163 = _i64Subtract(get32(i101 | 0) | 0, get32(i101 + 4 | 0) | 0, i267 | 0, ((i267 | 0) < 0) << 31 >> 31 | 0) | 0;
         i101 = tempRet0;
         if ((i169 | 0) < (i101 | 0) | (i169 | 0) == (i101 | 0) & i168 >>> 0 < i163 >>> 0) {
          set32(11 * 4 | 0, 0 | 0);
          break;
         } else {
          set32(11 * 4 | 0, 1 | 0);
          i163 = get32(7 * 4 | 0) | 0;
          set32(6 * 4 | 0, 0 | 0);
          FUNCTION_TABLE_viiii[i271 & 15](i163, i168, i169, i267);
          set32(6 * 4 | 0, i271 | 0);
          set32(7 * 4 | 0, i163 | 0);
          break;
         }
        } while (0);
        i271 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i267) | 0;
        if (i271) {
         i163 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i271) | 0;
         i169 = (get32(30 * 4 | 0) | 0) + i163 | 0;
         set32(30 * 4 | 0, i169 | 0);
         if ((i169 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i169 | 0);
         i169 = get32(39 * 4 | 0) | 0;
         i163 = i169 + 1 | 0;
         set32(39 * 4 | 0, i163 | 0);
         if ((i169 | 0) < (get32(49 * 4 | 0) | 0)) {
          i1606 = i271;
          break;
         }
         set32(49 * 4 | 0, i163 | 0);
         i1606 = i271;
         break;
        }
       }
       set8(i90 >> 0 | 0, 1 | 0);
       i1607 = 0;
       break L3885;
      } while (0);
      i698 = i1606;
      i699 = 21627;
      i700 = i698 + 28 | 0;
      do {
       set8(i698 >> 0 | 0, get8(i699 >> 0 | 0) | 0 | 0);
       i698 = i698 + 1 | 0;
       i699 = i699 + 1 | 0;
      } while ((i698 | 0) < (i700 | 0));
      i1607 = i1606;
     } else i1607 = 0; while (0);
     set32(i105 | 0, i1607 | 0);
     i178 = get32(i1270 | 0) | 0;
     if ((get32(get32((get32(i70 | 0) | 0) + (i178 << 4) + 12 | 0) | 0) | 0) != (get32(i65 | 0) | 0)) _sqlite3ResetInternalSchema(i69, i178);
     set8(i188 >> 0 | 0, 1 | 0);
     i810 = i1271;
     i811 = i1272;
     i812 = i1273;
     i813 = 17;
     i814 = i1274;
     i84 = 2888;
     break;
    }
   case 968:
    {
     set32(i39 | 0, 65884 | 0);
     set32(i39 + 4 | 0, 17203 | 0);
     _sqlite3_log(11, 19615, i39);
     i780 = i818;
     i781 = i819;
     i782 = i820;
     i783 = 11;
     i784 = i821;
     break;
    }
   case 982:
    {
     set32(i106 | 0, 0 | 0);
     i78 = i90;
     i79 = i105;
     i80 = i823;
     i81 = i824;
     i82 = i825;
     i83 = i826;
     i84 = 2896;
     break L1;
     break;
    }
   case 1005:
    {
     set32(i65 | 0, 0 | 0);
     i78 = i90;
     i79 = i105;
     i80 = i829;
     i81 = i830;
     i82 = i831;
     i83 = i832;
     i84 = 2896;
     break L1;
     break;
    }
   case 1037:
    {
     set32(i65 | 0, 0 | 0);
     i78 = i90;
     i79 = i105;
     i80 = i1275;
     i81 = i1276;
     i82 = i1277;
     i83 = i1278;
     i84 = 2896;
     break L1;
     break;
    }
   case 1085:
    {
     set32(i38 | 0, 51636 | 0);
     set32(i38 + 4 | 0, 17203 | 0);
     _sqlite3_log(11, 19615, i38);
     i1608 = 11;
     i1609 = i1290;
     i1610 = i1291;
     i1611 = i1289;
     i1612 = i1292;
     i1613 = i1293;
     i84 = 1097;
     break;
    }
   case 1087:
    {
     set32(i37 | 0, 49122 | 0);
     set32(i37 + 4 | 0, 17203 | 0);
     _sqlite3_log(11, 19615, i37);
     i1608 = 11;
     i1609 = i1295;
     i1610 = i1296;
     i1611 = i1294;
     i1612 = i1297;
     i1613 = i1298;
     i84 = 1097;
     break;
    }
   case 1089:
    {
     i1608 = i1299;
     i1609 = i1301;
     i1610 = i1302;
     i1611 = i1300;
     i1612 = i1303;
     i1613 = i1304;
     i84 = 1097;
     break;
    }
   case 1091:
    {
     if (!i1310) {
      i1608 = i1306;
      i1609 = i1308;
      i1610 = i1309;
      i1611 = i1307;
      i1612 = i1311;
      i1613 = i1312;
      i84 = 1097;
     } else {
      _sqlite3PagerUnref(get32(i1305 | 0) | 0);
      i1608 = i1306;
      i1609 = i1308;
      i1610 = i1309;
      i1611 = i1307;
      i1612 = i1311;
      i1613 = i1312;
      i84 = 1097;
     }
     break;
    }
   case 1095:
    {
     set32(i36 | 0, 51647 | 0);
     set32(i36 + 4 | 0, 17203 | 0);
     _sqlite3_log(11, 19615, i36);
     i1608 = 11;
     i1609 = i1314;
     i1610 = i1315;
     i1611 = i1313;
     i1612 = i1316;
     i1613 = i1317;
     i84 = 1097;
     break;
    }
   case 1184:
    {
     set32(i35 | 0, 51636 | 0);
     set32(i35 + 4 | 0, 17203 | 0);
     _sqlite3_log(11, 19615, i35);
     i1614 = 11;
     i1615 = i864;
     i1616 = i865;
     i1617 = i863;
     i1618 = i866;
     i1619 = i867;
     i84 = 1195;
     break;
    }
   case 1186:
    {
     set32(i34 | 0, 49122 | 0);
     set32(i34 + 4 | 0, 17203 | 0);
     _sqlite3_log(11, 19615, i34);
     i1614 = 11;
     i1615 = i869;
     i1616 = i870;
     i1617 = i868;
     i1618 = i871;
     i1619 = i872;
     i84 = 1195;
     break;
    }
   case 1188:
    {
     i1614 = i873;
     i1615 = i875;
     i1616 = i876;
     i1617 = i874;
     i1618 = i877;
     i1619 = i878;
     i84 = 1195;
     break;
    }
   case 1190:
    {
     if (!i885) {
      i1614 = i881;
      i1615 = i883;
      i1616 = i884;
      i1617 = i882;
      i1618 = i886;
      i1619 = i887;
      i84 = 1195;
     } else {
      _sqlite3PagerUnref(get32(i880 | 0) | 0);
      i1614 = i881;
      i1615 = i883;
      i1616 = i884;
      i1617 = i882;
      i1618 = i886;
      i1619 = i887;
      i84 = 1195;
     }
     break;
    }
   case 1194:
    {
     set32(i33 | 0, 51647 | 0);
     set32(i33 + 4 | 0, 17203 | 0);
     _sqlite3_log(11, 19615, i33);
     i1614 = 11;
     i1615 = i889;
     i1616 = i890;
     i1617 = i888;
     i1618 = i891;
     i1619 = i892;
     i84 = 1195;
     break;
    }
   case 1469:
    {
     _sqlite3VdbeMemReleaseExternal(i62);
     _sqlite3DbFree(get32(i62 | 0) | 0, get32(i206 | 0) | 0);
     set32(i203 | 0, 0 | 0);
     set32(i206 | 0, 0 | 0);
     set32(i207 | 0, 0 | 0);
     set32(i29 | 0, 60671 | 0);
     set32(i29 + 4 | 0, 17203 | 0);
     _sqlite3_log(11, 19615, i29);
     i1341 = 11;
     i1342 = i1348;
     i1343 = i1349;
     i1344 = i1350;
     i1345 = i1351;
     i84 = 1470;
     break;
    }
   case 1490:
    {
     set8(i104 >> 0 | 0, 2 | 0);
     i810 = i1357;
     i811 = i1358;
     i812 = i1359;
     i813 = 6;
     i814 = i1360;
     i84 = 2888;
     break;
    }
   case 1493:
    {
     i1362 = i1370;
     i1363 = i1371;
     i1364 = i1372;
     i1365 = i1369;
     i1366 = i1373;
     i1367 = i1374;
     i1368 = i1375;
     i84 = 1532;
     break;
    }
   case 1500:
    {
     if (!i1380) {
      i1362 = i1383;
      i1363 = i1378;
      i1364 = i1379;
      i1365 = i1376;
      i1366 = i1381;
      i1367 = i1382;
      i1368 = i1384;
      i84 = 1532;
     } else {
      _sqlite3PagerUnref(get32(i1377 | 0) | 0);
      i1362 = i1383;
      i1363 = i1378;
      i1364 = i1379;
      i1365 = i1376;
      i1366 = i1381;
      i1367 = i1382;
      i1368 = i1384;
      i84 = 1532;
     }
     break;
    }
   case 1511:
    {
     i1362 = i1394;
     i1363 = i1395;
     i1364 = i1396;
     i1365 = i1393;
     i1366 = i1397;
     i1367 = i1398;
     i1368 = i1399;
     i84 = 1532;
     break;
    }
   case 1516:
    {
     i1362 = i1401;
     i1363 = i1402;
     i1364 = i1403;
     i1365 = i1400;
     i1366 = i1404;
     i1367 = i1405;
     i1368 = i1406;
     i84 = 1532;
     break;
    }
   case 1677:
    {
     set8(i90 >> 0 | 0, 1 | 0);
     i1420 = i1428;
     i1421 = i1429;
     i1422 = i1430;
     i1423 = i1431;
     i84 = 1678;
     break;
    }
   case 1980:
    {
     _sqlite3SetString(i105, i69, 21752, i21);
     i810 = i1491;
     i811 = i1492;
     i812 = i1493;
     i813 = 1;
     i814 = i1494;
     i84 = 2888;
     break;
    }
   case 2004:
    {
     set8(i90 >> 0 | 0, 1 | 0);
     i1495 = i1503;
     i1496 = i1504;
     i1497 = i1505;
     i1498 = i1506;
     i84 = 2006;
     break;
    }
   case 2104:
    {
     set32(i18 | 0, (i977 ? 21841 : 21846) | 0);
     _sqlite3SetString(i105, i69, 21789, i18);
     i810 = i978;
     i811 = i979;
     i812 = i980;
     i813 = 1;
     i814 = i981;
     i84 = 2888;
     break;
    }
   case 2143:
    {
     _sqlite3SetString(i105, i69, 23074, i17);
     i810 = i991;
     i811 = i992;
     i812 = i993;
     i813 = 1;
     i814 = i994;
     i84 = 2888;
     break;
    }
   case 2145:
    {
     _sqlite3SetString(i105, i69, 23114, i16);
     i810 = i995;
     i811 = i996;
     i812 = i997;
     i813 = 1;
     i814 = i998;
     i84 = 2888;
     break;
    }
   case 2278:
    {
     if (i1530 << 24 >> 24 == 2) {
      set8(i1531 + 85 >> 0 | 0, 1 | 0);
      i1523 = i1532;
      i1524 = i1533;
      i1525 = i1534;
      i1526 = i1535;
      i1527 = i1536;
      i84 = 2300;
     } else {
      i1523 = i1532;
      i1524 = i1533;
      i1525 = i1534;
      i1526 = i1535;
      i1527 = i1536;
      i84 = 2300;
     }
     break;
    }
   case 2381:
    {
     set32(i14 | 0, i1552 | 0);
     set32(i105 | 0, _sqlite3MPrintf(i69, 24265, i14) | 0 | 0);
     i810 = i1553;
     i811 = i1554;
     i812 = i1555;
     i813 = 1;
     i814 = i1556;
     i84 = 2888;
     break;
    }
   case 2782:
    {
     i1565 = i1570;
     i1566 = i1571;
     i1567 = i1572;
     i1568 = i1573;
     i1569 = i1574;
     i84 = 2783;
     break;
    }
   case 2895:
    {
     _sqlite3SetString(i105, i69, 16620, i6);
     i282 = i105;
     i283 = i678;
     i284 = i679;
     i285 = i680;
     i286 = 18;
     i287 = i681;
     break L1;
     break;
    }
   }
   if ((i84 | 0) == 1097) {
    set8(i1611 + 81 >> 0 | 0, (i1608 | 0) == 0 & 1 | 0);
    i780 = i1609;
    i781 = i1610;
    i782 = i1612;
    i783 = i1608;
    i784 = i1613;
   } else if ((i84 | 0) == 1195) {
    set8(i1617 + 81 >> 0 | 0, (i1614 | 0) == 0 & 1 | 0);
    i780 = i1615;
    i781 = i1616;
    i782 = i1618;
    i783 = i1614;
    i784 = i1619;
   } else if ((i84 | 0) == 1470) {
    i780 = i1342;
    i781 = i1343;
    i782 = i1344;
    i783 = i1341;
    i784 = i1345;
   } else if ((i84 | 0) == 1532) {
    set16(i1365 | 0, 4 | 0);
    i178 = get32(i65 | 0) | 0;
    i177 = i1366 + 16 | 0;
    set32(i177 | 0, i178 | 0);
    set32(i177 + 4 | 0, ((i178 | 0) < 0) << 31 >> 31 | 0);
    i810 = i1363;
    i811 = i1364;
    i812 = i1367;
    i813 = i1362;
    i814 = i1368;
    i84 = 2888;
   } else if ((i84 | 0) == 1678) {
    set32(i100 | 0, 0 | 0);
    i78 = i90;
    i79 = i105;
    i80 = i1420;
    i81 = i1421;
    i82 = i1422;
    i83 = i1423;
    i84 = 2896;
    break L1;
   } else if ((i84 | 0) == 2006) {
    set32(i137 | 0, 0 | 0);
    i78 = i90;
    i79 = i105;
    i80 = i1495;
    i81 = i1496;
    i82 = i1497;
    i83 = i1498;
    i84 = 2896;
    break L1;
   } else if ((i84 | 0) == 2300) {
    set32(i15 | 0, get32(i1525 + (i1526 * 20 | 0) + 16 | 0) | 0);
    _sqlite3SetString(i105, i69, 21853, i15);
    i810 = i1523;
    i811 = i1524;
    i812 = i1526;
    i813 = 262;
    i814 = i1527;
    i84 = 2888;
   } else if ((i84 | 0) == 2783) {
    set8(i104 >> 0 | 0, i1565 | 0);
    i810 = i1566;
    i811 = i1567;
    i812 = i1568;
    i813 = 19;
    i814 = i1569;
    i84 = 2888;
   }
   if ((i84 | 0) == 2888) {
    i282 = i105;
    i283 = i810;
    i284 = i811;
    i285 = i812 + 1 | 0;
    i286 = i813;
    i287 = i814;
    break L1;
   }
   i178 = (get8(i90 >> 0 | 0) | 0) == 0 ? i783 : 7;
   if ((i178 | 0) == 3082) {
    i282 = i105;
    i283 = i780;
    i284 = i781;
    i285 = i782;
    i286 = 3082;
    i287 = i784;
    break L1;
   }
   i177 = i178 & 255;
   if (i177 >>> 0 > 26 | (i177 | 0) == 2) i1620 = 38974; else i1620 = get32(5652 + (i177 << 2) | 0) | 0;
   set32(i4 | 0, i1620 | 0);
   _sqlite3SetString(i105, i69, 16817, i4);
   i282 = i105;
   i283 = i780;
   i284 = i781;
   i285 = i782;
   i286 = i178;
   i287 = i784;
   break L1;
  } else {
   i937 = i1 + 56 | 0;
   i938 = i76;
   i939 = i77;
   i940 = 0;
   i941 = 0;
  } while (0);
  set32(i75 | 0, 9 | 0);
  set32(i3 | 0, 38570 | 0);
  _sqlite3SetString(i937, i69, 16817, i3);
  i282 = i937;
  i283 = i938;
  i284 = i939;
  i285 = i940;
  i286 = 9;
  i287 = i941;
 } while (0);
 if ((i84 | 0) == 2896) {
  set8(i78 >> 0 | 0, 1 | 0);
  _sqlite3SetString(i79, i69, 19448, i5);
  i282 = i79;
  i283 = i80;
  i284 = i81;
  i285 = i82;
  i286 = 7;
  i287 = i83;
 }
 set32(i75 | 0, i286 | 0);
 i75 = get32(i1 + 160 | 0) | 0;
 i83 = get32(i282 | 0) | 0;
 set32(i7 | 0, i285 | 0);
 set32(i7 + 4 | 0, i75 | 0);
 set32(i7 + 8 | 0, i83 | 0);
 _sqlite3_log(i286, 21882, i7);
 _sqlite3VdbeHalt(i1) | 0;
 if ((i286 | 0) == 3082) set8(i69 + 30 >> 0 | 0, 1 | 0);
 if (!(i287 << 24 >> 24)) {
  i1597 = i283;
  i1598 = i284;
  i1599 = 1;
  i1600 = i74;
  i1601 = i1600;
  set32(i1601 | 0, i1597 | 0);
  i1602 = i1600 + 4 | 0;
  i1603 = i1602;
  set32(i1603 | 0, i1598 | 0);
  STACKTOP = i2;
  return i1599 | 0;
 }
 _sqlite3ResetInternalSchema(i69, (i287 & 255) + -1 | 0);
 i1597 = i283;
 i1598 = i284;
 i1599 = 1;
 i1600 = i74;
 i1601 = i1600;
 set32(i1601 | 0, i1597 | 0);
 i1602 = i1600 + 4 | 0;
 i1603 = i1602;
 set32(i1603 | 0, i1598 | 0);
 STACKTOP = i2;
 return i1599 | 0;
}

function _sqlite3Insert(i1, i2, i3, i4, i5, i6) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 var i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0, i80 = 0, i81 = 0, i82 = 0, i83 = 0, i84 = 0, i85 = 0, i86 = 0, i87 = 0, i88 = 0, i89 = 0, i90 = 0, i91 = 0, i92 = 0, i93 = 0, i94 = 0, i95 = 0, i96 = 0, i97 = 0, i98 = 0, i99 = 0, i100 = 0, i101 = 0, i102 = 0, i103 = 0, i104 = 0, i105 = 0, i106 = 0, i107 = 0, i108 = 0, i109 = 0, i110 = 0, i111 = 0, i112 = 0, i113 = 0, i114 = 0, i115 = 0, i116 = 0, i117 = 0, i118 = 0, i119 = 0, i120 = 0, i121 = 0, i122 = 0, i123 = 0, i124 = 0, i125 = 0, i126 = 0, i127 = 0, i128 = 0, i129 = 0, i130 = 0, i131 = 0, i132 = 0, i133 = 0, i134 = 0, i135 = 0, i136 = 0, i137 = 0, i138 = 0, i139 = 0, i140 = 0, i141 = 0, i142 = 0, i143 = 0, i144 = 0, i145 = 0, i146 = 0, i147 = 0, i148 = 0, i149 = 0, i150 = 0, i151 = 0, i152 = 0, i153 = 0, i154 = 0, i155 = 0, i156 = 0, i157 = 0, i158 = 0, i159 = 0, i160 = 0, i161 = 0, i162 = 0, i163 = 0, i164 = 0, i165 = 0, i166 = 0, i167 = 0, i168 = 0, i169 = 0, i170 = 0, i171 = 0, i172 = 0, i173 = 0, i174 = 0, i175 = 0, i176 = 0, i177 = 0, i178 = 0, i179 = 0, i180 = 0, i181 = 0, i182 = 0, i183 = 0, i184 = 0, i185 = 0, i186 = 0, i187 = 0, i188 = 0, i189 = 0, i190 = 0, i191 = 0, i192 = 0, i193 = 0, i194 = 0, i195 = 0, i196 = 0, i197 = 0, i198 = 0, i199 = 0, i200 = 0, i201 = 0, i202 = 0, i203 = 0, i204 = 0, i205 = 0, i206 = 0, i207 = 0, i208 = 0, i209 = 0, i210 = 0, i211 = 0, i212 = 0, i213 = 0, i214 = 0, i215 = 0, i216 = 0, i217 = 0, i218 = 0, i219 = 0, i220 = 0, i221 = 0, i222 = 0, i223 = 0, i224 = 0, i225 = 0, i226 = 0, i227 = 0, i228 = 0, i229 = 0, i230 = 0, i231 = 0, i232 = 0, i233 = 0, i234 = 0, i235 = 0, i236 = 0, i237 = 0, i238 = 0, i239 = 0, i240 = 0, i241 = 0, i242 = 0, i243 = 0, i244 = 0, i245 = 0, i246 = 0, i247 = 0, i248 = 0, i249 = 0, i250 = 0, i251 = 0, i252 = 0, i253 = 0, i254 = 0, i255 = 0, i256 = 0, i257 = 0, i258 = 0, i259 = 0, i260 = 0, i261 = 0, i262 = 0, i263 = 0, i264 = 0, i265 = 0, i266 = 0, i267 = 0, i268 = 0, i269 = 0, i270 = 0, i271 = 0, i272 = 0, i273 = 0, i274 = 0, i275 = 0, i276 = 0, i277 = 0, i278 = 0, i279 = 0, i280 = 0, i281 = 0, i282 = 0, i283 = 0, i284 = 0, i285 = 0, i286 = 0, i287 = 0, i288 = 0, i289 = 0, i290 = 0, i291 = 0, i292 = 0, i293 = 0, i294 = 0, i295 = 0, i296 = 0, i297 = 0, i298 = 0, i299 = 0, i300 = 0, i301 = 0, i302 = 0, i303 = 0, i304 = 0, i305 = 0, i306 = 0, i307 = 0, i308 = 0, i309 = 0, i310 = 0, i311 = 0, i312 = 0, i313 = 0, i314 = 0, i315 = 0, i316 = 0, i317 = 0, i318 = 0, i319 = 0, i320 = 0, i321 = 0, i322 = 0, i323 = 0, i324 = 0, i325 = 0, i326 = 0, i327 = 0, i328 = 0, i329 = 0, i330 = 0, i331 = 0, i332 = 0, i333 = 0, i334 = 0, i335 = 0, i336 = 0, i337 = 0, i338 = 0, i339 = 0, i340 = 0, i341 = 0, i342 = 0, i343 = 0, i344 = 0, i345 = 0, i346 = 0, i347 = 0, i348 = 0, i349 = 0, i350 = 0, i351 = 0, i352 = 0, i353 = 0, i354 = 0, i355 = 0, i356 = 0, i357 = 0, i358 = 0, i359 = 0, i360 = 0, i361 = 0, i362 = 0, i363 = 0, i364 = 0, i365 = 0, i366 = 0, i367 = 0, i368 = 0, i369 = 0, i370 = 0, i371 = 0, i372 = 0, i373 = 0, i374 = 0, i375 = 0, i376 = 0, i377 = 0, i378 = 0, i379 = 0, i380 = 0, i381 = 0, i382 = 0, i383 = 0, i384 = 0, i385 = 0, i386 = 0, i387 = 0, i388 = 0, i389 = 0, i390 = 0, i391 = 0, i392 = 0, i393 = 0, i394 = 0, i395 = 0, i396 = 0, i397 = 0, i398 = 0, i399 = 0, i400 = 0, i401 = 0, i402 = 0, i403 = 0, i404 = 0, i405 = 0, i406 = 0, i407 = 0, i408 = 0, i409 = 0, i410 = 0, i411 = 0, i412 = 0, i413 = 0, i414 = 0, i415 = 0, i416 = 0, i417 = 0, i418 = 0, i419 = 0, i420 = 0, i421 = 0, i422 = 0, i423 = 0, i424 = 0, i425 = 0, i426 = 0, i427 = 0, i428 = 0, i429 = 0, i430 = 0, i431 = 0, i432 = 0, i433 = 0, i434 = 0, i435 = 0, i436 = 0, i437 = 0, i438 = 0, i439 = 0, i440 = 0, i441 = 0, i442 = 0, i443 = 0, i444 = 0, i445 = 0, i446 = 0, i447 = 0, i448 = 0, i449 = 0, i450 = 0, i451 = 0, i452 = 0, i453 = 0, i454 = 0, i455 = 0, i456 = 0, i457 = 0, i458 = 0, i459 = 0, i460 = 0, i461 = 0, i462 = 0, i463 = 0, i464 = 0, i465 = 0, i466 = 0, i467 = 0, i468 = 0, i469 = 0, i470 = 0, i471 = 0, i472 = 0, i473 = 0, i474 = 0, i475 = 0, i476 = 0, i477 = 0, i478 = 0, i479 = 0, i480 = 0, i481 = 0, i482 = 0, i483 = 0, i484 = 0, i485 = 0, i486 = 0, i487 = 0, i488 = 0, i489 = 0, i490 = 0, i491 = 0, i492 = 0, i493 = 0, i494 = 0, i495 = 0, i496 = 0, i497 = 0, i498 = 0, i499 = 0, i500 = 0, i501 = 0, i502 = 0, i503 = 0, i504 = 0, i505 = 0, i506 = 0, i507 = 0, i508 = 0, i509 = 0, i510 = 0, i511 = 0, i512 = 0, i513 = 0, i514 = 0, i515 = 0, i516 = 0, i517 = 0, i518 = 0, i519 = 0, i520 = 0, i521 = 0, i522 = 0, i523 = 0, i524 = 0, i525 = 0, i526 = 0, i527 = 0, i528 = 0, i529 = 0, i530 = 0, i531 = 0, i532 = 0, i533 = 0, i534 = 0, i535 = 0, i536 = 0, i537 = 0, i538 = 0, i539 = 0, i540 = 0, i541 = 0, i542 = 0, i543 = 0, i544 = 0, i545 = 0, i546 = 0, i547 = 0, i548 = 0, i549 = 0, i550 = 0, i551 = 0, i552 = 0, i553 = 0, i554 = 0, i555 = 0, i556 = 0, i557 = 0, i558 = 0, i559 = 0, i560 = 0, i561 = 0, i562 = 0, i563 = 0, i564 = 0, i565 = 0, i566 = 0, i567 = 0, i568 = 0, i569 = 0, i570 = 0, i571 = 0, i572 = 0, i573 = 0, i574 = 0, i575 = 0, i576 = 0, i577 = 0, i578 = 0, i579 = 0, i580 = 0, i581 = 0, i582 = 0, i583 = 0, i584 = 0, i585 = 0, i586 = 0, i587 = 0, i588 = 0, i589 = 0, i590 = 0, i591 = 0, i592 = 0, i593 = 0, i594 = 0, i595 = 0, i596 = 0, i597 = 0, i598 = 0, i599 = 0, i600 = 0, i601 = 0, i602 = 0, i603 = 0, i604 = 0, i605 = 0, i606 = 0, i607 = 0, i608 = 0, i609 = 0, i610 = 0, i611 = 0, i612 = 0, i613 = 0, i614 = 0, i615 = 0, i616 = 0, i617 = 0, i618 = 0, i619 = 0, i620 = 0, i621 = 0, i622 = 0, i623 = 0, i624 = 0, i625 = 0, i626 = 0, i627 = 0, i628 = 0, i629 = 0, i630 = 0, i631 = 0;
 i7 = STACKTOP;
 STACKTOP = STACKTOP + 208 | 0;
 i8 = i7 + 136 | 0;
 i9 = i7 + 128 | 0;
 i10 = i7 + 112 | 0;
 i11 = i7 + 104 | 0;
 i12 = i7 + 96 | 0;
 i13 = i7 + 88 | 0;
 i14 = i7 + 80 | 0;
 i15 = i7 + 64 | 0;
 i16 = i7 + 56 | 0;
 i17 = i7 + 48 | 0;
 i18 = i7 + 40 | 0;
 i19 = i7 + 32 | 0;
 i20 = i7 + 24 | 0;
 i21 = i7 + 16 | 0;
 i22 = i7;
 i23 = i7 + 168 | 0;
 i24 = i7 + 152 | 0;
 i25 = i7 + 148 | 0;
 i26 = get32(i1 | 0) | 0;
 set32(i24 | 0, 0 | 0);
 set32(i24 + 4 | 0, 0 | 0);
 set32(i24 + 8 | 0, 0 | 0);
 set32(i24 + 12 | 0, 0 | 0);
 i27 = i1 + 64 | 0;
 L1 : do if (((get32(i27 | 0) | 0) == 0 ? (i28 = i26 + 30 | 0, (get8(i28 >> 0 | 0) | 0) == 0) : 0) ? (i29 = get32(i2 + 12 | 0) | 0, (i29 | 0) != 0) : 0) {
  i30 = get32(i2 + 8 | 0) | 0;
  do if (!(get8(i26 + 124 >> 0 | 0) | 0)) {
   i31 = _sqlite3Init(i26, i1 + 8 | 0) | 0;
   if (!i31) {
    i32 = get32(i1 | 0) | 0;
    i33 = 8;
    break;
   } else {
    set32(i1 + 4 | 0, i31 | 0);
    set32(i27 | 0, (get32(i27 | 0) | 0) + 1 | 0);
    i34 = 0;
    break;
   }
  } else {
   i32 = i26;
   i33 = 8;
  } while (0);
  do if ((i33 | 0) == 8) {
   i31 = i29;
   while (1) if (!(get8(i31 >> 0 | 0) | 0)) {
    i35 = i31;
    break;
   } else i31 = i31 + 1 | 0;
   i31 = i35 - i29 & 1073741823;
   i36 = get32(i32 + 4 | 0) | 0;
   if ((i36 | 0) > 0) {
    i37 = (i30 | 0) == 0;
    i38 = get32(i32 + 8 | 0) | 0;
    i39 = 0;
    i40 = 0;
    while (1) {
     i41 = (i39 | 0) < 2 ^ i39;
     if (!i37) {
      i42 = get32(i38 + (i41 << 4) | 0) | 0;
      i43 = get8(i30 >> 0 | 0) | 0;
      L21 : do if (!(i43 << 24 >> 24)) {
       i44 = 0;
       i45 = i42;
      } else {
       i46 = i43;
       i47 = i30;
       i48 = i42;
       while (1) {
        if ((get8(16286 + (i46 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i48 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
         i44 = i46;
         i45 = i48;
         break L21;
        }
        i47 = i47 + 1 | 0;
        i49 = i48 + 1 | 0;
        i46 = get8(i47 >> 0 | 0) | 0;
        if (!(i46 << 24 >> 24)) {
         i44 = 0;
         i45 = i49;
         break;
        } else i48 = i49;
       }
      } while (0);
      if ((get8(16286 + (i44 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i45 >> 0 | 0) | 0) >> 0 | 0) | 0)) i50 = i40; else i33 = 17;
     } else i33 = 17;
     if ((i33 | 0) == 17) {
      i33 = 0;
      i42 = _sqlite3HashFind((get32(i38 + (i41 << 4) + 12 | 0) | 0) + 8 | 0, i29, i31) | 0;
      if (!i42) i50 = i42; else {
       i51 = i42;
       break;
      }
     }
     i39 = i39 + 1 | 0;
     if ((i39 | 0) >= (i36 | 0)) {
      i51 = i50;
      break;
     } else i40 = i50;
    }
    if (i51) {
     i34 = i51;
     break;
    }
   }
   if (!i30) {
    set32(i21 | 0, 25690 | 0);
    set32(i21 + 4 | 0, i29 | 0);
    _sqlite3ErrorMsg(i1, 25714, i21);
   } else {
    set32(i22 | 0, 25690 | 0);
    set32(i22 + 4 | 0, i30 | 0);
    set32(i22 + 8 | 0, i29 | 0);
    _sqlite3ErrorMsg(i1, 25704, i22);
   }
   set8(i1 + 18 >> 0 | 0, 1 | 0);
   i34 = 0;
  } while (0);
  i29 = i2 + 20 | 0;
  _sqlite3DeleteTable(get32(i1 | 0) | 0, get32(i29 | 0) | 0);
  set32(i29 | 0, i34 | 0);
  if (i34) {
   i29 = i34 + 32 | 0;
   set16(i29 | 0, (get16(i29 | 0) | 0) + 1 << 16 >> 16 | 0);
   i29 = get32(i2 + 56 | 0) | 0;
   L37 : do if (i29) {
    i30 = get32(i34 + 16 | 0) | 0;
    L39 : do if (i30) {
     i40 = i30;
     while (1) {
      i36 = get32(i40 | 0) | 0;
      i39 = get8(i36 >> 0 | 0) | 0;
      L42 : do if (!(i39 << 24 >> 24)) {
       i52 = 0;
       i53 = i29;
      } else {
       i31 = i39;
       i38 = i36;
       i37 = i29;
       while (1) {
        if ((get8(16286 + (i31 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i37 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
         i52 = i31;
         i53 = i37;
         break L42;
        }
        i38 = i38 + 1 | 0;
        i42 = i37 + 1 | 0;
        i31 = get8(i38 >> 0 | 0) | 0;
        if (!(i31 << 24 >> 24)) {
         i52 = 0;
         i53 = i42;
         break;
        } else i37 = i42;
       }
      } while (0);
      if ((get8(16286 + (i52 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i53 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
       i54 = i40;
       break;
      }
      i40 = get32(i40 + 32 | 0) | 0;
      if (!i40) break L39;
     }
     set32(i2 + 60 | 0, i54 | 0);
     break L37;
    } while (0);
    set32(i20 | 0, i29 | 0);
    set32(i20 + 4 | 0, 0 | 0);
    _sqlite3ErrorMsg(i1, 30280, i20);
    set8(i1 + 18 >> 0 | 0, 1 | 0);
    i55 = 0;
    i33 = 2069;
    break L1;
   } while (0);
   i29 = i34 + 68 | 0;
   i30 = get32(i29 | 0) | 0;
   L51 : do if (i30) {
    i40 = get32(i26 + 4 | 0) | 0;
    if ((i40 | 0) > 0) {
     i41 = get32(i26 + 8 | 0) | 0;
     i36 = 0;
     while (1) {
      if ((get32(i41 + (i36 << 4) + 12 | 0) | 0) == (i30 | 0)) {
       i56 = i36;
       break L51;
      }
      i39 = i36 + 1 | 0;
      if ((i39 | 0) < (i40 | 0)) i36 = i39; else {
       i56 = i39;
       break;
      }
     }
    } else i56 = 0;
   } else i56 = -1e6; while (0);
   i30 = get32((get32(i26 + 8 | 0) | 0) + (i56 << 4) | 0) | 0;
   i36 = get32(i34 | 0) | 0;
   i40 = get32(i1 | 0) | 0;
   L58 : do if (((get8(i40 + 124 >> 0 | 0) | 0) == 0 ? (get8(i1 + 528 >> 0 | 0) | 0) == 0 : 0) ? (i41 = get32(i40 + 268 | 0) | 0, (i41 | 0) != 0) : 0) switch (FUNCTION_TABLE_iiiiiii[i41 & 3](get32(i40 + 272 | 0) | 0, 18, i36, 0, i30, get32(i1 + 516 | 0) | 0) | 0) {
   case 2:
    {
     i55 = 0;
     i33 = 2069;
     break L1;
     break;
    }
   case 1:
    {
     _sqlite3ErrorMsg(i1, 26149, i19);
     set32(i1 + 4 | 0, 23 | 0);
     i55 = 0;
     i33 = 2069;
     break L1;
     break;
    }
   case 0:
    {
     i57 = get32(i1 | 0) | 0;
     break L58;
     break;
    }
   default:
    {
     _sqlite3ErrorMsg(i1, 29155, i18);
     set32(i1 + 4 | 0, 1 | 0);
     i55 = 0;
     i33 = 2069;
     break L1;
    }
   } else i57 = i40; while (0);
   do if ((get32(i57 + 12 | 0) & 1073741824 | 0) != 0 ? (i40 = get32((get32(i57 + 8 | 0) | 0) + 28 | 0) | 0, (get8(i1 + 442 >> 0 | 0) | 0) == 0) : 0) {
    i30 = get32(i29 | 0) | 0;
    if ((i30 | 0) != (i40 | 0) ? (i36 = get32(i40 + 48 | 0) | 0, (i36 | 0) != 0) : 0) {
     i40 = i34 + 64 | 0;
     i41 = i36;
     i36 = 0;
     while (1) {
      i39 = get32(i41 + 8 | 0) | 0;
      if ((get32(i39 + 24 | 0) | 0) == (i30 | 0)) {
       i37 = get32(i39 + 4 | 0) | 0;
       i31 = get32(i34 | 0) | 0;
       i38 = get8(i37 >> 0 | 0) | 0;
       L77 : do if (!(i38 << 24 >> 24)) {
        i58 = 0;
        i59 = i31;
       } else {
        i42 = i38;
        i43 = i37;
        i48 = i31;
        while (1) {
         if ((get8(16286 + (i42 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i48 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
          i58 = i42;
          i59 = i48;
          break L77;
         }
         i43 = i43 + 1 | 0;
         i46 = i48 + 1 | 0;
         i42 = get8(i43 >> 0 | 0) | 0;
         if (!(i42 << 24 >> 24)) {
          i58 = 0;
          i59 = i46;
          break;
         } else i48 = i46;
        }
       } while (0);
       if ((get8(16286 + (i58 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i59 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
        if (!i36) i60 = get32(i40 | 0) | 0; else i60 = i36;
        set32(i39 + 32 | 0, i60 | 0);
        i61 = i39;
       } else i61 = i36;
      } else i61 = i36;
      i41 = get32(i41 | 0) | 0;
      if (!i41) {
       i62 = i61;
       break;
      } else i36 = i61;
     }
     if (i62) i63 = i62; else i33 = 61;
    } else i33 = 61;
    if ((i33 | 0) == 61) {
     i36 = get32(i34 + 64 | 0) | 0;
     if (!i36) {
      i64 = 0;
      i65 = 0;
      break;
     } else i63 = i36;
    }
    i36 = 0;
    i41 = i63;
    while (1) {
     if ((get8(i41 + 8 >> 0 | 0) | 0) == 105) i66 = getU8(i41 + 9 >> 0 | 0) | i36; else i66 = i36;
     i41 = get32(i41 + 32 | 0) | 0;
     if (!i41) {
      i64 = i66;
      i65 = i63;
      break;
     } else i36 = i66;
    }
   } else {
    i64 = 0;
    i65 = 0;
   } while (0);
   i36 = (i64 | 0) != 0 ? i65 : 0;
   i41 = i34 + 28 | 0;
   i40 = (get32(i41 | 0) | 0) != 0;
   if (!(_sqlite3ViewGetColumnNames(i1, i34) | 0)) {
    i30 = i34 + 34 | 0;
    i31 = get8(i30 >> 0 | 0) | 0;
    if (i31 & 16) {
     i37 = get32(i1 | 0) | 0;
     i38 = i34 + 52 | 0;
     while (1) {
      i48 = get32(i38 | 0) | 0;
      if ((get32(i48 | 0) | 0) == (i37 | 0)) {
       i67 = i48;
       break;
      } else i38 = i48 + 24 | 0;
     }
     if (get32((get32(get32(i67 + 4 | 0) | 0) | 0) + 52 | 0) | 0) i33 = 71;
    } else i33 = 71;
    do if ((i33 | 0) == 71) {
     if (((i31 & 1) != 0 ? (get32((get32(i1 | 0) | 0) + 12 | 0) & 65536 | 0) == 0 : 0) ? (get8(i1 + 19 >> 0 | 0) | 0) == 0 : 0) break;
     if ((i64 | 0) == 0 ? (get32(i41 | 0) | 0) != 0 : 0) {
      set32(i16 | 0, get32(i34 | 0) | 0);
      _sqlite3ErrorMsg(i1, 33247, i16);
      i55 = 0;
      i33 = 2069;
      break L1;
     }
     i38 = i1 + 12 | 0;
     i37 = get32(i38 | 0) | 0;
     if (!i37) {
      i48 = get32(i1 | 0) | 0;
      L115 : do if (i48) {
       i42 = i48 + 30 | 0;
       if (!(get8(i42 >> 0 | 0) | 0)) {
        do if (get8(i48 + 234 >> 0 | 0) | 0) {
         if ((getU16(i48 + 232 | 0) | 0) < 192) {
          i43 = i48 + 248 | 0;
          set32(i43 | 0, (get32(i43 | 0) | 0) + 1 | 0);
          break;
         }
         i43 = i48 + 256 | 0;
         i46 = get32(i43 | 0) | 0;
         if (!i46) {
          i47 = i48 + 252 | 0;
          set32(i47 | 0, (get32(i47 | 0) | 0) + 1 | 0);
          break;
         }
         set32(i43 | 0, get32(i46 | 0) | 0);
         i43 = i48 + 236 | 0;
         i47 = get32(i43 | 0) | 0;
         i49 = i47 + 1 | 0;
         set32(i43 | 0, i49 | 0);
         i43 = i48 + 244 | 0;
         set32(i43 | 0, (get32(i43 | 0) | 0) + 1 | 0);
         i43 = i48 + 240 | 0;
         if ((i47 | 0) >= (get32(i43 | 0) | 0)) set32(i43 | 0, i49 | 0);
         i68 = i46;
         i33 = 116;
         break L115;
        } while (0);
        do if (!(get32(50 * 4 | 0) | 0)) {
         i39 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
         if (i39) {
          i69 = i39;
          break L115;
         }
        } else {
         i39 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
         set32(35 * 4 | 0, 192 | 0);
         if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
         i46 = get32(6 * 4 | 0) | 0;
         do if (i46) {
          i49 = get32(30 * 4 | 0) | 0;
          i43 = ((i49 | 0) < 0) << 31 >> 31;
          i47 = 16;
          i70 = _i64Subtract(get32(i47 | 0) | 0, get32(i47 + 4 | 0) | 0, i39 | 0, ((i39 | 0) < 0) << 31 >> 31 | 0) | 0;
          i47 = tempRet0;
          if ((i43 | 0) < (i47 | 0) | (i43 | 0) == (i47 | 0) & i49 >>> 0 < i70 >>> 0) {
           set32(11 * 4 | 0, 0 | 0);
           break;
          } else {
           set32(11 * 4 | 0, 1 | 0);
           i70 = get32(7 * 4 | 0) | 0;
           set32(6 * 4 | 0, 0 | 0);
           FUNCTION_TABLE_viiii[i46 & 15](i70, i49, i43, i39);
           set32(6 * 4 | 0, i46 | 0);
           set32(7 * 4 | 0, i70 | 0);
           break;
          }
         } while (0);
         i46 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i39) | 0;
         if (!i46) break;
         i70 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i46) | 0;
         i43 = (get32(30 * 4 | 0) | 0) + i70 | 0;
         set32(30 * 4 | 0, i43 | 0);
         if ((i43 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i43 | 0);
         i43 = get32(39 * 4 | 0) | 0;
         i70 = i43 + 1 | 0;
         set32(39 * 4 | 0, i70 | 0);
         if ((i43 | 0) < (get32(49 * 4 | 0) | 0)) {
          i69 = i46;
          break L115;
         }
         set32(49 * 4 | 0, i70 | 0);
         i69 = i46;
         break L115;
        } while (0);
        set8(i42 >> 0 | 0, 1 | 0);
        i33 = 126;
       } else i33 = 126;
      } else {
       if (!(get32(50 * 4 | 0) | 0)) {
        i68 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
        i33 = 116;
        break;
       }
       i46 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
       set32(35 * 4 | 0, 192 | 0);
       if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
       i70 = get32(6 * 4 | 0) | 0;
       do if (i70) {
        i43 = get32(30 * 4 | 0) | 0;
        i49 = ((i43 | 0) < 0) << 31 >> 31;
        i47 = 16;
        i71 = _i64Subtract(get32(i47 | 0) | 0, get32(i47 + 4 | 0) | 0, i46 | 0, ((i46 | 0) < 0) << 31 >> 31 | 0) | 0;
        i47 = tempRet0;
        if ((i49 | 0) < (i47 | 0) | (i49 | 0) == (i47 | 0) & i43 >>> 0 < i71 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i71 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i70 & 15](i71, i43, i49, i46);
         set32(6 * 4 | 0, i70 | 0);
         set32(7 * 4 | 0, i71 | 0);
         break;
        }
       } while (0);
       i70 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i46) | 0;
       if (!i70) {
        i33 = 126;
        break;
       }
       i42 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i70) | 0;
       i71 = (get32(30 * 4 | 0) | 0) + i42 | 0;
       set32(30 * 4 | 0, i71 | 0);
       if ((i71 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i71 | 0);
       i71 = get32(39 * 4 | 0) | 0;
       i42 = i71 + 1 | 0;
       set32(39 * 4 | 0, i42 | 0);
       if ((i71 | 0) < (get32(49 * 4 | 0) | 0)) {
        i69 = i70;
        break;
       }
       set32(49 * 4 | 0, i42 | 0);
       i69 = i70;
      } while (0);
      if ((i33 | 0) == 116) if (!i68) i33 = 126; else i69 = i68;
      if ((i33 | 0) == 126) {
       set32(i38 | 0, 0 | 0);
       i55 = 0;
       i33 = 2069;
       break L1;
      }
      _memset(i69 | 0, 0, 192) | 0;
      set32(i69 | 0, i48 | 0);
      i70 = i48 + 136 | 0;
      i42 = get32(i70 | 0) | 0;
      if (i42) set32(i42 + 60 | 0, i69 | 0);
      set32(i69 + 64 | 0, i42 | 0);
      set32(i69 + 60 | 0, 0 | 0);
      set32(i70 | 0, i69 | 0);
      set32(i69 + 52 | 0, 649915045 | 0);
      set32(i38 | 0, i69 | 0);
      i70 = i69 + 28 | 0;
      i42 = i69 + 32 | 0;
      i71 = i69 + 4 | 0;
      i49 = _sqlite3DbRealloc(i48, 0, 1020) | 0;
      if (!i49) i72 = i69; else {
       i43 = get32(i69 | 0) | 0;
       do if (!i43) i33 = 124; else {
        if ((get32(i43 + 260 | 0) | 0) >>> 0 > i49 >>> 0) {
         i33 = 124;
         break;
        }
        if ((get32(i43 + 264 | 0) | 0) >>> 0 <= i49 >>> 0) {
         i33 = 124;
         break;
        }
        i73 = getU16(i43 + 232 | 0) | 0;
       } while (0);
       if ((i33 | 0) == 124) i73 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i49) | 0;
       set32(i42 | 0, (i73 >>> 0) / 20 | 0 | 0);
       set32(i71 | 0, i49 | 0);
       set32(i70 | 0, (get32(i70 | 0) | 0) + 1 | 0);
       set8(i49 >> 0 | 0, -120 | 0);
       set8(i49 + 1 >> 0 | 0, 0 | 0);
       i74 = i49 + 3 | 0;
       i75 = i74 + 17 | 0;
       do {
        set8(i74 >> 0 | 0, 0 | 0);
        i74 = i74 + 1 | 0;
       } while ((i74 | 0) < (i75 | 0));
       i72 = i69;
      }
     } else i72 = i37;
     i49 = i1 + 19 | 0;
     if (!(get8(i49 >> 0 | 0) | 0)) set8(i72 + 98 >> 0 | 0, 1 | 0);
     i70 = (i4 | 0) != 0;
     i71 = (i36 | 0) != 0;
     _sqlite3BeginWriteOperation(i1, (i70 | i71) & 1, i56);
     i42 = (i5 | 0) == 0;
     L186 : do if ((i4 | 0) == 0 | i42 ^ 1) i33 = 1057; else {
      i43 = get32(i1 | 0) | 0;
      i48 = get32((get32(i43 + 8 | 0) | 0) + 28 | 0) | 0;
      if (!(get8(i1 + 442 >> 0 | 0) | 0)) {
       i47 = get32(i29 | 0) | 0;
       do if ((i47 | 0) != (i48 | 0)) {
        i76 = get32(i48 + 48 | 0) | 0;
        if (!i76) break;
        i77 = i34 + 64 | 0;
        i78 = i76;
        i76 = 0;
        while (1) {
         i79 = get32(i78 + 8 | 0) | 0;
         do if ((get32(i79 + 24 | 0) | 0) == (i47 | 0)) {
          i80 = get32(i79 + 4 | 0) | 0;
          i81 = get32(i34 | 0) | 0;
          i82 = get8(i80 >> 0 | 0) | 0;
          L197 : do if (!(i82 << 24 >> 24)) {
           i83 = 0;
           i84 = i81;
          } else {
           i85 = i82;
           i86 = i80;
           i87 = i81;
           while (1) {
            if ((get8(16286 + (i85 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i87 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
             i83 = i85;
             i84 = i87;
             break L197;
            }
            i86 = i86 + 1 | 0;
            i88 = i87 + 1 | 0;
            i85 = get8(i86 >> 0 | 0) | 0;
            if (!(i85 << 24 >> 24)) {
             i83 = 0;
             i84 = i88;
             break;
            } else i87 = i88;
           }
          } while (0);
          if ((get8(16286 + (i83 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i84 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
           i89 = i76;
           break;
          }
          if (!i76) i90 = get32(i77 | 0) | 0; else i90 = i76;
          set32(i79 + 32 | 0, i90 | 0);
          i89 = i79;
         } else i89 = i76; while (0);
         i78 = get32(i78 | 0) | 0;
         if (!i78) {
          i91 = i89;
          break;
         } else i76 = i89;
        }
        if (i91) {
         i33 = 1057;
         break L186;
        }
       } while (0);
       if (get32(i34 + 64 | 0) | 0) {
        i33 = 1057;
        break;
       }
      }
      if (get8(i30 >> 0 | 0) & 16) {
       i33 = 1057;
       break;
      }
      i47 = (i6 | 0) == 99 ? 2 : i6;
      if ((i47 + -1 | 0) >>> 0 > 1) {
       i33 = 1057;
       break;
      }
      i48 = get32(i4 + 8 | 0) | 0;
      if ((get16(i48 | 0) | 0) != 1) {
       i33 = 1057;
       break;
      }
      if (get32(i48 + 24 | 0) | 0) {
       i33 = 1057;
       break;
      }
      if (get32(i4 + 12 | 0) | 0) {
       i33 = 1057;
       break;
      }
      if (get32(i4 + 24 | 0) | 0) {
       i33 = 1057;
       break;
      }
      if (get32(i4 + 16 | 0) | 0) {
       i33 = 1057;
       break;
      }
      if (get32(i4 + 40 | 0) | 0) {
       i33 = 1057;
       break;
      }
      if (get32(i4 + 28 | 0) | 0) {
       i33 = 1057;
       break;
      }
      if (get16(i4 + 6 | 0) & 1) {
       i33 = 1057;
       break;
      }
      i46 = get32(i4 | 0) | 0;
      if ((get32(i46 | 0) | 0) != 1) {
       i33 = 1057;
       break;
      }
      if ((get8(get32(get32(i46 + 12 | 0) | 0) >> 0 | 0) | 0) != 113) {
       i33 = 1057;
       break;
      }
      i46 = get32(i48 + 12 | 0) | 0;
      i76 = get32(i48 + 8 | 0) | 0;
      do if (!(get8(i43 + 124 >> 0 | 0) | 0)) {
       i48 = _sqlite3Init(i43, i1 + 8 | 0) | 0;
       if (!i48) {
        i92 = get32(i1 | 0) | 0;
        break;
       } else {
        set32(i1 + 4 | 0, i48 | 0);
        set32(i27 | 0, (get32(i27 | 0) | 0) + 1 | 0);
        i33 = 1057;
        break L186;
       }
      } else i92 = i43; while (0);
      if (!i46) i93 = 0; else {
       i43 = i46;
       while (1) if (!(get8(i43 >> 0 | 0) | 0)) {
        i94 = i43;
        break;
       } else i43 = i43 + 1 | 0;
       i93 = i94 - i46 & 1073741823;
      }
      i43 = get32(i92 + 4 | 0) | 0;
      do if ((i43 | 0) > 0) {
       i48 = (i76 | 0) == 0;
       i78 = get32(i92 + 8 | 0) | 0;
       i77 = 0;
       i39 = 0;
       while (1) {
        i79 = (i77 | 0) < 2 ^ i77;
        if (!i48) {
         i81 = get32(i78 + (i79 << 4) | 0) | 0;
         i80 = get8(i76 >> 0 | 0) | 0;
         L239 : do if (!(i80 << 24 >> 24)) {
          i95 = 0;
          i96 = i81;
         } else {
          i82 = i80;
          i87 = i76;
          i85 = i81;
          while (1) {
           if ((get8(16286 + (i82 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i85 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
            i95 = i82;
            i96 = i85;
            break L239;
           }
           i87 = i87 + 1 | 0;
           i86 = i85 + 1 | 0;
           i82 = get8(i87 >> 0 | 0) | 0;
           if (!(i82 << 24 >> 24)) {
            i95 = 0;
            i96 = i86;
            break;
           } else i85 = i86;
          }
         } while (0);
         if ((get8(16286 + (i95 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i96 >> 0 | 0) | 0) >> 0 | 0) | 0)) i97 = i39; else i33 = 171;
        } else i33 = 171;
        if ((i33 | 0) == 171) {
         i33 = 0;
         i81 = _sqlite3HashFind((get32(i78 + (i79 << 4) + 12 | 0) | 0) + 8 | 0, i46, i93) | 0;
         if (!i81) i97 = i81; else {
          i98 = i81;
          break;
         }
        }
        i77 = i77 + 1 | 0;
        if ((i77 | 0) >= (i43 | 0)) {
         i98 = i97;
         break;
        } else i39 = i97;
       }
       if (!i98) break;
       if ((i98 | 0) == (i34 | 0)) {
        i33 = 1057;
        break L186;
       }
       i39 = i98 + 34 | 0;
       if (get8(i39 >> 0 | 0) & 16) {
        i33 = 1057;
        break L186;
       }
       if (get32(i98 + 28 | 0) | 0) {
        i33 = 1057;
        break L186;
       }
       i77 = i34 + 8 | 0;
       i48 = get32(i77 | 0) | 0;
       i81 = i98 + 8 | 0;
       if ((i48 | 0) != (get32(i81 | 0) | 0)) {
        i33 = 1057;
        break L186;
       }
       i80 = i34 + 4 | 0;
       if ((get32(i80 | 0) | 0) != (get32(i98 + 4 | 0) | 0)) {
        i33 = 1057;
        break L186;
       }
       if ((i48 | 0) > 0) {
        i85 = get32(i34 + 12 | 0) | 0;
        i82 = get32(i98 + 12 | 0) | 0;
        i87 = 0;
        do {
         if ((get8(i85 + (i87 * 24 | 0) + 22 >> 0 | 0) | 0) != (get8(i82 + (i87 * 24 | 0) + 22 >> 0 | 0) | 0)) {
          i33 = 1057;
          break L186;
         }
         i86 = get32(i85 + (i87 * 24 | 0) + 16 | 0) | 0;
         i88 = get32(i82 + (i87 * 24 | 0) + 16 | 0) | 0;
         i99 = (i88 | 0) == 0;
         if (!i86) {
          if (!i99) {
           i33 = 1057;
           break L186;
          }
         } else {
          if (i99) {
           i33 = 1057;
           break L186;
          }
          i99 = get8(i86 >> 0 | 0) | 0;
          L263 : do if (!(i99 << 24 >> 24)) {
           i100 = 0;
           i101 = i88;
          } else {
           i102 = i99;
           i103 = i86;
           i104 = i88;
           while (1) {
            if ((get8(16286 + (i102 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i104 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
             i100 = i102;
             i101 = i104;
             break L263;
            }
            i103 = i103 + 1 | 0;
            i105 = i104 + 1 | 0;
            i102 = get8(i103 >> 0 | 0) | 0;
            if (!(i102 << 24 >> 24)) {
             i100 = 0;
             i101 = i105;
             break;
            } else i104 = i105;
           }
          } while (0);
          if ((get8(16286 + (i100 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i101 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
           i33 = 1057;
           break L186;
          }
         }
         if ((get8(i85 + (i87 * 24 | 0) + 20 >> 0 | 0) | 0) != 0 ? (get8(i82 + (i87 * 24 | 0) + 20 >> 0 | 0) | 0) == 0 : 0) {
          i33 = 1057;
          break L186;
         }
         i87 = i87 + 1 | 0;
        } while ((i87 | 0) < (i48 | 0));
       }
       i48 = i34 + 16 | 0;
       i87 = get32(i48 | 0) | 0;
       if (!i87) i106 = 0; else {
        i82 = get32(i98 + 16 | 0) | 0;
        i85 = (i82 | 0) == 0;
        i88 = 0;
        i86 = i87;
        while (1) {
         i87 = get8(i86 + 24 >> 0 | 0) | 0;
         i99 = i87 << 24 >> 24 == 0 ? i88 : 1;
         if (i85) {
          i33 = 1057;
          break L186;
         }
         i79 = get32(i86 + 4 | 0) | 0;
         i104 = (i79 | 0) > 0;
         i102 = i86 + 8 | 0;
         i103 = i86 + 40 | 0;
         i105 = i86 + 44 | 0;
         i107 = i82;
         L278 : while (1) {
          L280 : do if ((i79 | 0) == (get32(i107 + 4 | 0) | 0)) {
           if (i87 << 24 >> 24 != (get8(i107 + 24 >> 0 | 0) | 0)) break;
           i108 = i107 + 40 | 0;
           i109 = i107 + 44 | 0;
           if (!i104) break L278;
           i110 = get32(i107 + 8 | 0) | 0;
           i111 = get32(i102 | 0) | 0;
           i112 = 0;
           while (1) {
            if ((get32(i110 + (i112 << 2) | 0) | 0) != (get32(i111 + (i112 << 2) | 0) | 0)) break L280;
            if ((get8((get32(i108 | 0) | 0) + i112 >> 0 | 0) | 0) != (get8((get32(i103 | 0) | 0) + i112 >> 0 | 0) | 0)) break L280;
            i113 = get32((get32(i109 | 0) | 0) + (i112 << 2) | 0) | 0;
            i114 = get32((get32(i105 | 0) | 0) + (i112 << 2) | 0) | 0;
            i115 = (i114 | 0) == 0;
            if (!i113) {
             if (!i115) break L280;
            } else {
             if (i115) break L280;
             i115 = get8(i113 >> 0 | 0) | 0;
             L292 : do if (!(i115 << 24 >> 24)) {
              i116 = 0;
              i117 = i114;
             } else {
              i118 = i115;
              i119 = i113;
              i120 = i114;
              while (1) {
               if ((get8(16286 + (i118 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i120 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
                i116 = i118;
                i117 = i120;
                break L292;
               }
               i119 = i119 + 1 | 0;
               i121 = i120 + 1 | 0;
               i118 = get8(i119 >> 0 | 0) | 0;
               if (!(i118 << 24 >> 24)) {
                i116 = 0;
                i117 = i121;
                break;
               } else i120 = i121;
              }
             } while (0);
             if ((get8(16286 + (i116 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i117 >> 0 | 0) | 0) >> 0 | 0) | 0)) break L280;
            }
            i112 = i112 + 1 | 0;
            if ((i112 | 0) >= (i79 | 0)) {
             i122 = i107;
             i33 = 215;
             break L278;
            }
           }
          } while (0);
          i107 = get32(i107 + 32 | 0) | 0;
          if (!i107) {
           i33 = 1057;
           break L186;
          }
         }
         if ((i33 | 0) == 215 ? (i33 = 0, (i122 | 0) == 0) : 0) {
          i33 = 1057;
          break L186;
         }
         i86 = get32(i86 + 32 | 0) | 0;
         if (!i86) {
          i106 = i99;
          break;
         } else i88 = i99;
        }
       }
       i88 = get32(i34 + 44 | 0) | 0;
       if ((i88 | 0) != 0 ? (_sqlite3ExprCompare(get32(i98 + 44 | 0) | 0, i88) | 0) != 0 : 0) {
        i33 = 1057;
        break L186;
       }
       if ((get32(i92 + 12 | 0) & 67108864 | 0) != 0 ? (get32(i34 + 36 | 0) | 0) != 0 : 0) {
        i33 = 1057;
        break L186;
       }
       i88 = get32(i98 + 68 | 0) | 0;
       L309 : do if (!i88) i123 = -1e6; else {
        i86 = 0;
        while (1) {
         if ((get32(i78 + (i86 << 4) + 12 | 0) | 0) == (i88 | 0)) {
          i123 = i86;
          break L309;
         }
         i82 = i86 + 1 | 0;
         if ((i82 | 0) < (i43 | 0)) i86 = i82; else {
          i123 = i82;
          break;
         }
        }
       } while (0);
       i88 = get32(i38 | 0) | 0;
       do if (!i88) {
        L316 : do if (!i92) {
         if (!(get32(50 * 4 | 0) | 0)) {
          i124 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
          i33 = 262;
          break;
         }
         i78 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
         set32(35 * 4 | 0, 192 | 0);
         if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
         i86 = get32(6 * 4 | 0) | 0;
         do if (i86) {
          i99 = get32(30 * 4 | 0) | 0;
          i82 = ((i99 | 0) < 0) << 31 >> 31;
          i85 = 16;
          i107 = _i64Subtract(get32(i85 | 0) | 0, get32(i85 + 4 | 0) | 0, i78 | 0, ((i78 | 0) < 0) << 31 >> 31 | 0) | 0;
          i85 = tempRet0;
          if ((i82 | 0) < (i85 | 0) | (i82 | 0) == (i85 | 0) & i99 >>> 0 < i107 >>> 0) {
           set32(11 * 4 | 0, 0 | 0);
           break;
          } else {
           set32(11 * 4 | 0, 1 | 0);
           i107 = get32(7 * 4 | 0) | 0;
           set32(6 * 4 | 0, 0 | 0);
           FUNCTION_TABLE_viiii[i86 & 15](i107, i99, i82, i78);
           set32(6 * 4 | 0, i86 | 0);
           set32(7 * 4 | 0, i107 | 0);
           break;
          }
         } while (0);
         i86 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i78) | 0;
         if (!i86) {
          i33 = 263;
          break;
         }
         i107 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i86) | 0;
         i82 = (get32(30 * 4 | 0) | 0) + i107 | 0;
         set32(30 * 4 | 0, i82 | 0);
         if ((i82 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i82 | 0);
         i82 = get32(39 * 4 | 0) | 0;
         i107 = i82 + 1 | 0;
         set32(39 * 4 | 0, i107 | 0);
         if ((i82 | 0) < (get32(49 * 4 | 0) | 0)) {
          i125 = i86;
          break;
         }
         set32(49 * 4 | 0, i107 | 0);
         i125 = i86;
        } else {
         i86 = i92 + 30 | 0;
         if (get8(i86 >> 0 | 0) | 0) {
          i33 = 263;
          break;
         }
         do if (get8(i92 + 234 >> 0 | 0) | 0) {
          if ((getU16(i92 + 232 | 0) | 0) < 192) {
           i107 = i92 + 248 | 0;
           set32(i107 | 0, (get32(i107 | 0) | 0) + 1 | 0);
           break;
          }
          i107 = i92 + 256 | 0;
          i82 = get32(i107 | 0) | 0;
          if (!i82) {
           i99 = i92 + 252 | 0;
           set32(i99 | 0, (get32(i99 | 0) | 0) + 1 | 0);
           break;
          }
          set32(i107 | 0, get32(i82 | 0) | 0);
          i107 = i92 + 236 | 0;
          i99 = get32(i107 | 0) | 0;
          i85 = i99 + 1 | 0;
          set32(i107 | 0, i85 | 0);
          i107 = i92 + 244 | 0;
          set32(i107 | 0, (get32(i107 | 0) | 0) + 1 | 0);
          i107 = i92 + 240 | 0;
          if ((i99 | 0) >= (get32(i107 | 0) | 0)) set32(i107 | 0, i85 | 0);
          i124 = i82;
          i33 = 262;
          break L316;
         } while (0);
         do if (!(get32(50 * 4 | 0) | 0)) {
          i78 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
          if (i78) {
           i125 = i78;
           break L316;
          }
         } else {
          i78 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
          set32(35 * 4 | 0, 192 | 0);
          if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
          i82 = get32(6 * 4 | 0) | 0;
          do if (i82) {
           i85 = get32(30 * 4 | 0) | 0;
           i107 = ((i85 | 0) < 0) << 31 >> 31;
           i99 = 16;
           i79 = _i64Subtract(get32(i99 | 0) | 0, get32(i99 + 4 | 0) | 0, i78 | 0, ((i78 | 0) < 0) << 31 >> 31 | 0) | 0;
           i99 = tempRet0;
           if ((i107 | 0) < (i99 | 0) | (i107 | 0) == (i99 | 0) & i85 >>> 0 < i79 >>> 0) {
            set32(11 * 4 | 0, 0 | 0);
            break;
           } else {
            set32(11 * 4 | 0, 1 | 0);
            i79 = get32(7 * 4 | 0) | 0;
            set32(6 * 4 | 0, 0 | 0);
            FUNCTION_TABLE_viiii[i82 & 15](i79, i85, i107, i78);
            set32(6 * 4 | 0, i82 | 0);
            set32(7 * 4 | 0, i79 | 0);
            break;
           }
          } while (0);
          i82 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i78) | 0;
          if (!i82) break;
          i79 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i82) | 0;
          i107 = (get32(30 * 4 | 0) | 0) + i79 | 0;
          set32(30 * 4 | 0, i107 | 0);
          if ((i107 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i107 | 0);
          i107 = get32(39 * 4 | 0) | 0;
          i79 = i107 + 1 | 0;
          set32(39 * 4 | 0, i79 | 0);
          if ((i107 | 0) < (get32(49 * 4 | 0) | 0)) {
           i125 = i82;
           break L316;
          }
          set32(49 * 4 | 0, i79 | 0);
          i125 = i82;
          break L316;
         } while (0);
         set8(i86 >> 0 | 0, 1 | 0);
         i33 = 263;
        } while (0);
        if ((i33 | 0) == 262) if (!i124) i33 = 263; else i125 = i124;
        if ((i33 | 0) == 263) {
         set32(i38 | 0, 0 | 0);
         i126 = 0;
         break;
        }
        _memset(i125 | 0, 0, 192) | 0;
        set32(i125 | 0, i92 | 0);
        i82 = i92 + 136 | 0;
        i79 = get32(i82 | 0) | 0;
        if (i79) set32(i79 + 60 | 0, i125 | 0);
        set32(i125 + 64 | 0, i79 | 0);
        set32(i125 + 60 | 0, 0 | 0);
        set32(i82 | 0, i125 | 0);
        set32(i125 + 52 | 0, 649915045 | 0);
        set32(i38 | 0, i125 | 0);
        i82 = i125 + 28 | 0;
        i79 = i125 + 32 | 0;
        i107 = i125 + 4 | 0;
        i85 = _sqlite3DbRealloc(i92, 0, 1020) | 0;
        if (!i85) {
         i126 = i125;
         break;
        }
        i99 = get32(i125 | 0) | 0;
        do if (!i99) i33 = 271; else {
         if ((get32(i99 + 260 | 0) | 0) >>> 0 > i85 >>> 0) {
          i33 = 271;
          break;
         }
         if ((get32(i99 + 264 | 0) | 0) >>> 0 <= i85 >>> 0) {
          i33 = 271;
          break;
         }
         i127 = getU16(i99 + 232 | 0) | 0;
        } while (0);
        if ((i33 | 0) == 271) i127 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i85) | 0;
        set32(i79 | 0, (i127 >>> 0) / 20 | 0 | 0);
        set32(i107 | 0, i85 | 0);
        set32(i82 | 0, (get32(i82 | 0) | 0) + 1 | 0);
        set8(i85 >> 0 | 0, -120 | 0);
        set8(i85 + 1 >> 0 | 0, 0 | 0);
        i74 = i85 + 3 | 0;
        i75 = i74 + 17 | 0;
        do {
         set8(i74 >> 0 | 0, 0 | 0);
         i74 = i74 + 1 | 0;
        } while ((i74 | 0) < (i75 | 0));
        i126 = i125;
       } else i126 = i88; while (0);
       i88 = i1 + 424 | 0;
       i85 = get32(i88 | 0) | 0;
       i82 = (i85 | 0) == 0 ? i1 : i85;
       i85 = i82 + 348 | 0;
       L384 : do if (!(get32(i85 | 0) | 0)) {
        i107 = i82 + 12 | 0;
        i79 = get32(i107 | 0) | 0;
        do if (!i79) {
         i99 = get32(i82 | 0) | 0;
         L388 : do if (!i99) {
          if (!(get32(50 * 4 | 0) | 0)) {
           i128 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
           i33 = 312;
           break;
          }
          i105 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
          set32(35 * 4 | 0, 192 | 0);
          if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
          i103 = get32(6 * 4 | 0) | 0;
          do if (i103) {
           i102 = get32(30 * 4 | 0) | 0;
           i104 = ((i102 | 0) < 0) << 31 >> 31;
           i87 = 16;
           i112 = _i64Subtract(get32(i87 | 0) | 0, get32(i87 + 4 | 0) | 0, i105 | 0, ((i105 | 0) < 0) << 31 >> 31 | 0) | 0;
           i87 = tempRet0;
           if ((i104 | 0) < (i87 | 0) | (i104 | 0) == (i87 | 0) & i102 >>> 0 < i112 >>> 0) {
            set32(11 * 4 | 0, 0 | 0);
            break;
           } else {
            set32(11 * 4 | 0, 1 | 0);
            i112 = get32(7 * 4 | 0) | 0;
            set32(6 * 4 | 0, 0 | 0);
            FUNCTION_TABLE_viiii[i103 & 15](i112, i102, i104, i105);
            set32(6 * 4 | 0, i103 | 0);
            set32(7 * 4 | 0, i112 | 0);
            break;
           }
          } while (0);
          i103 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i105) | 0;
          if (!i103) {
           i33 = 322;
           break;
          }
          i78 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i103) | 0;
          i112 = (get32(30 * 4 | 0) | 0) + i78 | 0;
          set32(30 * 4 | 0, i112 | 0);
          if ((i112 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i112 | 0);
          i112 = get32(39 * 4 | 0) | 0;
          i78 = i112 + 1 | 0;
          set32(39 * 4 | 0, i78 | 0);
          if ((i112 | 0) < (get32(49 * 4 | 0) | 0)) {
           i129 = i103;
           break;
          }
          set32(49 * 4 | 0, i78 | 0);
          i129 = i103;
         } else {
          i103 = i99 + 30 | 0;
          if (get8(i103 >> 0 | 0) | 0) {
           i33 = 322;
           break;
          }
          do if (get8(i99 + 234 >> 0 | 0) | 0) {
           if ((getU16(i99 + 232 | 0) | 0) < 192) {
            i78 = i99 + 248 | 0;
            set32(i78 | 0, (get32(i78 | 0) | 0) + 1 | 0);
            break;
           }
           i78 = i99 + 256 | 0;
           i112 = get32(i78 | 0) | 0;
           if (!i112) {
            i104 = i99 + 252 | 0;
            set32(i104 | 0, (get32(i104 | 0) | 0) + 1 | 0);
            break;
           }
           set32(i78 | 0, get32(i112 | 0) | 0);
           i78 = i99 + 236 | 0;
           i104 = get32(i78 | 0) | 0;
           i102 = i104 + 1 | 0;
           set32(i78 | 0, i102 | 0);
           i78 = i99 + 244 | 0;
           set32(i78 | 0, (get32(i78 | 0) | 0) + 1 | 0);
           i78 = i99 + 240 | 0;
           if ((i104 | 0) >= (get32(i78 | 0) | 0)) set32(i78 | 0, i102 | 0);
           i128 = i112;
           i33 = 312;
           break L388;
          } while (0);
          do if (!(get32(50 * 4 | 0) | 0)) {
           i105 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
           if (i105) {
            i129 = i105;
            break L388;
           }
          } else {
           i105 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
           set32(35 * 4 | 0, 192 | 0);
           if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
           i112 = get32(6 * 4 | 0) | 0;
           do if (i112) {
            i102 = get32(30 * 4 | 0) | 0;
            i78 = ((i102 | 0) < 0) << 31 >> 31;
            i104 = 16;
            i87 = _i64Subtract(get32(i104 | 0) | 0, get32(i104 + 4 | 0) | 0, i105 | 0, ((i105 | 0) < 0) << 31 >> 31 | 0) | 0;
            i104 = tempRet0;
            if ((i78 | 0) < (i104 | 0) | (i78 | 0) == (i104 | 0) & i102 >>> 0 < i87 >>> 0) {
             set32(11 * 4 | 0, 0 | 0);
             break;
            } else {
             set32(11 * 4 | 0, 1 | 0);
             i87 = get32(7 * 4 | 0) | 0;
             set32(6 * 4 | 0, 0 | 0);
             FUNCTION_TABLE_viiii[i112 & 15](i87, i102, i78, i105);
             set32(6 * 4 | 0, i112 | 0);
             set32(7 * 4 | 0, i87 | 0);
             break;
            }
           } while (0);
           i112 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i105) | 0;
           if (!i112) break;
           i87 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i112) | 0;
           i78 = (get32(30 * 4 | 0) | 0) + i87 | 0;
           set32(30 * 4 | 0, i78 | 0);
           if ((i78 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i78 | 0);
           i78 = get32(39 * 4 | 0) | 0;
           i87 = i78 + 1 | 0;
           set32(39 * 4 | 0, i87 | 0);
           if ((i78 | 0) < (get32(49 * 4 | 0) | 0)) {
            i129 = i112;
            break L388;
           }
           set32(49 * 4 | 0, i87 | 0);
           i129 = i112;
           break L388;
          } while (0);
          set8(i103 >> 0 | 0, 1 | 0);
          i33 = 322;
         } while (0);
         if ((i33 | 0) == 312) if (!i128) i33 = 322; else i129 = i128;
         if ((i33 | 0) == 322) {
          set32(i107 | 0, 0 | 0);
          break L384;
         }
         _memset(i129 | 0, 0, 192) | 0;
         set32(i129 | 0, i99 | 0);
         i86 = i99 + 136 | 0;
         i112 = get32(i86 | 0) | 0;
         if (i112) set32(i112 + 60 | 0, i129 | 0);
         set32(i129 + 64 | 0, i112 | 0);
         set32(i129 + 60 | 0, 0 | 0);
         set32(i86 | 0, i129 | 0);
         set32(i129 + 52 | 0, 649915045 | 0);
         set32(i107 | 0, i129 | 0);
         i86 = i129 + 28 | 0;
         i112 = i129 + 32 | 0;
         i87 = i129 + 4 | 0;
         i78 = _sqlite3DbRealloc(i99, 0, 1020) | 0;
         if (!i78) {
          i130 = i129;
          break;
         }
         i102 = get32(i129 | 0) | 0;
         do if (!i102) i33 = 320; else {
          if ((get32(i102 + 260 | 0) | 0) >>> 0 > i78 >>> 0) {
           i33 = 320;
           break;
          }
          if ((get32(i102 + 264 | 0) | 0) >>> 0 <= i78 >>> 0) {
           i33 = 320;
           break;
          }
          i131 = getU16(i102 + 232 | 0) | 0;
         } while (0);
         if ((i33 | 0) == 320) i131 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i78) | 0;
         set32(i112 | 0, (i131 >>> 0) / 20 | 0 | 0);
         set32(i87 | 0, i78 | 0);
         set32(i86 | 0, (get32(i86 | 0) | 0) + 1 | 0);
         set8(i78 >> 0 | 0, -120 | 0);
         set8(i78 + 1 >> 0 | 0, 0 | 0);
         i74 = i78 + 3 | 0;
         i75 = i74 + 17 | 0;
         do {
          set8(i74 >> 0 | 0, 0 | 0);
          i74 = i74 + 1 | 0;
         } while ((i74 | 0) < (i75 | 0));
         i130 = i129;
        } else i130 = i79; while (0);
        i79 = i130 + 28 | 0;
        i107 = get32(i79 | 0) | 0;
        i78 = i130 + 32 | 0;
        i86 = get32(i78 | 0) | 0;
        do if ((i86 | 0) > (i107 | 0)) {
         i132 = i107;
         i133 = get32(i130 + 4 | 0) | 0;
         i33 = 332;
        } else {
         i87 = i130 + 4 | 0;
         i112 = _sqlite3DbRealloc(get32(i130 | 0) | 0, get32(i87 | 0) | 0, (i86 | 0) == 0 ? 1020 : i86 * 40 | 0) | 0;
         if (!i112) {
          i134 = 1;
          break;
         }
         i102 = get32(i130 | 0) | 0;
         do if (!i102) i33 = 330; else {
          if ((get32(i102 + 260 | 0) | 0) >>> 0 > i112 >>> 0) {
           i33 = 330;
           break;
          }
          if ((get32(i102 + 264 | 0) | 0) >>> 0 <= i112 >>> 0) {
           i33 = 330;
           break;
          }
          i135 = getU16(i102 + 232 | 0) | 0;
         } while (0);
         if ((i33 | 0) == 330) i135 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i112) | 0;
         set32(i78 | 0, (i135 >>> 0) / 20 | 0 | 0);
         set32(i87 | 0, i112 | 0);
         i132 = get32(i79 | 0) | 0;
         i133 = i112;
         i33 = 332;
        } while (0);
        if ((i33 | 0) == 332) {
         set32(i79 | 0, i132 + 1 | 0);
         set8(i133 + (i107 * 20 | 0) >> 0 | 0, 1 | 0);
         set8(i133 + (i107 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         i74 = i133 + (i107 * 20 | 0) + 3 | 0;
         i75 = i74 + 17 | 0;
         do {
          set8(i74 >> 0 | 0, 0 | 0);
          i74 = i74 + 1 | 0;
         } while ((i74 | 0) < (i75 | 0));
         i134 = i107;
        }
        set32(i85 | 0, i134 + 1 | 0);
        i33 = 334;
       } else i33 = 334; while (0);
       do if ((i33 | 0) == 334) {
        if ((i123 | 0) <= -1) break;
        i85 = 1 << i123;
        i79 = i82 + 340 | 0;
        i78 = get32(i79 | 0) | 0;
        if (i78 & i85) break;
        i86 = get32(i82 | 0) | 0;
        set32(i79 | 0, i78 | i85 | 0);
        set32(i82 + 352 + (i123 << 2) | 0, get32(get32((get32(i86 + 8 | 0) | 0) + (i123 << 4) + 12 | 0) | 0) | 0);
        if ((i123 | 0) != 1) break;
        i86 = get32(i82 | 0) | 0;
        i85 = i86 + 8 | 0;
        do if (!(get32((get32(i85 | 0) | 0) + 20 | 0) | 0)) {
         if (get8(i82 + 484 >> 0 | 0) | 0) break;
         i78 = _sqlite3BtreeOpen(get32(i86 | 0) | 0, 0, i86, i23, 0, 542) | 0;
         if (i78) {
          _sqlite3ErrorMsg(i82, 19482, i13);
          set32(i82 + 4 | 0, i78 | 0);
          break;
         }
         i78 = get32(i23 | 0) | 0;
         set32((get32(i85 | 0) | 0) + 20 | 0, i78 | 0);
         i79 = get32(i86 + 36 | 0) | 0;
         i102 = get32(i78 + 4 | 0) | 0;
         set32(i102 + 4 | 0, get32(i78 | 0) | 0);
         if (get8(i102 + 17 >> 0 | 0) | 0) break;
         i78 = i102 + 36 | 0;
         i99 = i102 + 40 | 0;
         i104 = (get32(i78 | 0) | 0) - (get32(i99 | 0) | 0) | 0;
         do if ((i79 + -512 | 0) >>> 0 < 65025) {
          if (i79 + -1 & i79) break;
          set32(i78 | 0, i79 | 0);
          i109 = i102 + 88 | 0;
          i108 = get32(i109 | 0) | 0;
          do if (i108) {
           if ((get32(379 * 4 | 0) | 0) >>> 0 <= i108 >>> 0 & (get32(380 * 4 | 0) | 0) >>> 0 > i108 >>> 0) {
            i111 = (get32(31 * 4 | 0) | 0) + -1 | 0;
            set32(31 * 4 | 0, i111 | 0);
            if ((i111 | 0) > (get32(41 * 4 | 0) | 0)) set32(41 * 4 | 0, i111 | 0);
            set32(i108 | 0, get32(383 * 4 | 0) | 0);
            set32(383 * 4 | 0, i108 | 0);
            i111 = (get32(382 * 4 | 0) | 0) + 1 | 0;
            set32(382 * 4 | 0, i111 | 0);
            set32(384 * 4 | 0, (i111 | 0) < (get32(378 * 4 | 0) | 0) & 1 | 0);
            break;
           }
           i111 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i108) | 0;
           i110 = (get32(32 * 4 | 0) | 0) - i111 | 0;
           set32(32 * 4 | 0, i110 | 0);
           if ((i110 | 0) > (get32(42 * 4 | 0) | 0)) set32(42 * 4 | 0, i110 | 0);
           if (!(get32(50 * 4 | 0) | 0)) {
            FUNCTION_TABLE_vi[get32(232 | 0) & 31](i108);
            break;
           }
           i110 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i108) | 0;
           i111 = (get32(30 * 4 | 0) | 0) - i110 | 0;
           set32(30 * 4 | 0, i111 | 0);
           if ((i111 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i111 | 0);
           i111 = (get32(39 * 4 | 0) | 0) + -1 | 0;
           set32(39 * 4 | 0, i111 | 0);
           if ((i111 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i111 | 0);
           FUNCTION_TABLE_vi[get32(232 | 0) & 31](i108);
          } while (0);
          set32(i109 | 0, 0 | 0);
         } while (0);
         i79 = _sqlite3PagerSetPagesize(get32(i102 | 0) | 0, i78, i104) | 0;
         set32(i99 | 0, (get32(i78 | 0) | 0) - (i104 & 65535) | 0);
         if ((i79 | 0) != 7) break;
         set8(i86 + 30 >> 0 | 0, 1 | 0);
        } while (0);
       } while (0);
       i82 = i1 + 68 | 0;
       i86 = get32(i82 | 0) | 0;
       i85 = i86 + 1 | 0;
       set32(i82 | 0, i86 + 2 | 0);
       L510 : do if (!(get8(i30 >> 0 | 0) & 8)) i136 = 0; else {
        i82 = get32(i88 | 0) | 0;
        i107 = (i82 | 0) == 0 ? i1 : i82;
        i82 = i107 + 416 | 0;
        i79 = get32(i82 | 0) | 0;
        L512 : do if (!i79) i33 = 366; else {
         i112 = i79;
         while (1) {
          if ((get32(i112 + 4 | 0) | 0) == (i34 | 0)) {
           i137 = i112;
           break L512;
          }
          i112 = get32(i112 | 0) | 0;
          if (!i112) {
           i33 = 366;
           break;
          }
         }
        } while (0);
        if ((i33 | 0) == 366) {
         i79 = get32(i1 | 0) | 0;
         L518 : do if (!i79) {
          if (!(get32(50 * 4 | 0) | 0)) {
           i138 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](16) | 0;
           i33 = 403;
           break;
          }
          i112 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](16) | 0;
          set32(35 * 4 | 0, 16 | 0);
          if ((get32(45 * 4 | 0) | 0) < 16) set32(45 * 4 | 0, 16 | 0);
          i104 = get32(6 * 4 | 0) | 0;
          do if (i104) {
           i78 = get32(30 * 4 | 0) | 0;
           i99 = ((i78 | 0) < 0) << 31 >> 31;
           i102 = 16;
           i87 = _i64Subtract(get32(i102 | 0) | 0, get32(i102 + 4 | 0) | 0, i112 | 0, ((i112 | 0) < 0) << 31 >> 31 | 0) | 0;
           i102 = tempRet0;
           if ((i99 | 0) < (i102 | 0) | (i99 | 0) == (i102 | 0) & i78 >>> 0 < i87 >>> 0) {
            set32(11 * 4 | 0, 0 | 0);
            break;
           } else {
            set32(11 * 4 | 0, 1 | 0);
            i87 = get32(7 * 4 | 0) | 0;
            set32(6 * 4 | 0, 0 | 0);
            FUNCTION_TABLE_viiii[i104 & 15](i87, i78, i99, i112);
            set32(6 * 4 | 0, i104 | 0);
            set32(7 * 4 | 0, i87 | 0);
            break;
           }
          } while (0);
          i104 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i112) | 0;
          if (!i104) {
           i136 = 0;
           break L510;
          }
          i87 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i104) | 0;
          i99 = (get32(30 * 4 | 0) | 0) + i87 | 0;
          set32(30 * 4 | 0, i99 | 0);
          if ((i99 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i99 | 0);
          i99 = get32(39 * 4 | 0) | 0;
          i87 = i99 + 1 | 0;
          set32(39 * 4 | 0, i87 | 0);
          if ((i99 | 0) < (get32(49 * 4 | 0) | 0)) {
           i139 = i104;
           break;
          }
          set32(49 * 4 | 0, i87 | 0);
          i139 = i104;
         } else {
          i104 = i79 + 30 | 0;
          if (get8(i104 >> 0 | 0) | 0) {
           i136 = 0;
           break L510;
          }
          do if (get8(i79 + 234 >> 0 | 0) | 0) {
           if ((getU16(i79 + 232 | 0) | 0) < 16) {
            i87 = i79 + 248 | 0;
            set32(i87 | 0, (get32(i87 | 0) | 0) + 1 | 0);
            break;
           }
           i87 = i79 + 256 | 0;
           i99 = get32(i87 | 0) | 0;
           if (!i99) {
            i78 = i79 + 252 | 0;
            set32(i78 | 0, (get32(i78 | 0) | 0) + 1 | 0);
            break;
           }
           set32(i87 | 0, get32(i99 | 0) | 0);
           i87 = i79 + 236 | 0;
           i78 = get32(i87 | 0) | 0;
           i102 = i78 + 1 | 0;
           set32(i87 | 0, i102 | 0);
           i87 = i79 + 244 | 0;
           set32(i87 | 0, (get32(i87 | 0) | 0) + 1 | 0);
           i87 = i79 + 240 | 0;
           if ((i78 | 0) >= (get32(i87 | 0) | 0)) set32(i87 | 0, i102 | 0);
           i138 = i99;
           i33 = 403;
           break L518;
          } while (0);
          do if (!(get32(50 * 4 | 0) | 0)) {
           i112 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](16) | 0;
           if (i112) {
            i139 = i112;
            break L518;
           }
          } else {
           i112 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](16) | 0;
           set32(35 * 4 | 0, 16 | 0);
           if ((get32(45 * 4 | 0) | 0) < 16) set32(45 * 4 | 0, 16 | 0);
           i99 = get32(6 * 4 | 0) | 0;
           do if (i99) {
            i102 = get32(30 * 4 | 0) | 0;
            i87 = ((i102 | 0) < 0) << 31 >> 31;
            i78 = 16;
            i108 = _i64Subtract(get32(i78 | 0) | 0, get32(i78 + 4 | 0) | 0, i112 | 0, ((i112 | 0) < 0) << 31 >> 31 | 0) | 0;
            i78 = tempRet0;
            if ((i87 | 0) < (i78 | 0) | (i87 | 0) == (i78 | 0) & i102 >>> 0 < i108 >>> 0) {
             set32(11 * 4 | 0, 0 | 0);
             break;
            } else {
             set32(11 * 4 | 0, 1 | 0);
             i108 = get32(7 * 4 | 0) | 0;
             set32(6 * 4 | 0, 0 | 0);
             FUNCTION_TABLE_viiii[i99 & 15](i108, i102, i87, i112);
             set32(6 * 4 | 0, i99 | 0);
             set32(7 * 4 | 0, i108 | 0);
             break;
            }
           } while (0);
           i99 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i112) | 0;
           if (!i99) break;
           i109 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i99) | 0;
           i108 = (get32(30 * 4 | 0) | 0) + i109 | 0;
           set32(30 * 4 | 0, i108 | 0);
           if ((i108 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i108 | 0);
           i108 = get32(39 * 4 | 0) | 0;
           i109 = i108 + 1 | 0;
           set32(39 * 4 | 0, i109 | 0);
           if ((i108 | 0) < (get32(49 * 4 | 0) | 0)) {
            i139 = i99;
            break L518;
           }
           set32(49 * 4 | 0, i109 | 0);
           i139 = i99;
           break L518;
          } while (0);
          set8(i104 >> 0 | 0, 1 | 0);
          i136 = 0;
          break L510;
         } while (0);
         if ((i33 | 0) == 403) if (!i138) {
          i136 = 0;
          break;
         } else i139 = i138;
         set32(i139 | 0, get32(i82 | 0) | 0);
         set32(i82 | 0, i139 | 0);
         set32(i139 + 4 | 0, i34 | 0);
         set32(i139 + 8 | 0, i56 | 0);
         i79 = i107 + 72 | 0;
         i99 = get32(i79 | 0) | 0;
         set32(i139 + 12 | 0, i99 + 2 | 0);
         set32(i79 | 0, i99 + 3 | 0);
         i137 = i139;
        }
        i136 = get32(i137 + 12 | 0) | 0;
       } while (0);
       do if (!(get8(i30 >> 0 | 0) & 16)) {
        i99 = get32(i38 | 0) | 0;
        do if (!i99) {
         i79 = get32(i1 | 0) | 0;
         L578 : do if (!i79) {
          if (!(get32(50 * 4 | 0) | 0)) {
           i140 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
           i33 = 445;
           break;
          }
          i109 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
          set32(35 * 4 | 0, 192 | 0);
          if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
          i108 = get32(6 * 4 | 0) | 0;
          do if (i108) {
           i87 = get32(30 * 4 | 0) | 0;
           i102 = ((i87 | 0) < 0) << 31 >> 31;
           i78 = 16;
           i103 = _i64Subtract(get32(i78 | 0) | 0, get32(i78 + 4 | 0) | 0, i109 | 0, ((i109 | 0) < 0) << 31 >> 31 | 0) | 0;
           i78 = tempRet0;
           if ((i102 | 0) < (i78 | 0) | (i102 | 0) == (i78 | 0) & i87 >>> 0 < i103 >>> 0) {
            set32(11 * 4 | 0, 0 | 0);
            break;
           } else {
            set32(11 * 4 | 0, 1 | 0);
            i103 = get32(7 * 4 | 0) | 0;
            set32(6 * 4 | 0, 0 | 0);
            FUNCTION_TABLE_viiii[i108 & 15](i103, i87, i102, i109);
            set32(6 * 4 | 0, i108 | 0);
            set32(7 * 4 | 0, i103 | 0);
            break;
           }
          } while (0);
          i108 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i109) | 0;
          if (!i108) {
           i33 = 446;
           break;
          }
          i112 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i108) | 0;
          i103 = (get32(30 * 4 | 0) | 0) + i112 | 0;
          set32(30 * 4 | 0, i103 | 0);
          if ((i103 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i103 | 0);
          i103 = get32(39 * 4 | 0) | 0;
          i112 = i103 + 1 | 0;
          set32(39 * 4 | 0, i112 | 0);
          if ((i103 | 0) < (get32(49 * 4 | 0) | 0)) {
           i141 = i108;
           break;
          }
          set32(49 * 4 | 0, i112 | 0);
          i141 = i108;
         } else {
          i108 = i79 + 30 | 0;
          if (get8(i108 >> 0 | 0) | 0) {
           i33 = 446;
           break;
          }
          do if (get8(i79 + 234 >> 0 | 0) | 0) {
           if ((getU16(i79 + 232 | 0) | 0) < 192) {
            i112 = i79 + 248 | 0;
            set32(i112 | 0, (get32(i112 | 0) | 0) + 1 | 0);
            break;
           }
           i112 = i79 + 256 | 0;
           i103 = get32(i112 | 0) | 0;
           if (!i103) {
            i102 = i79 + 252 | 0;
            set32(i102 | 0, (get32(i102 | 0) | 0) + 1 | 0);
            break;
           }
           set32(i112 | 0, get32(i103 | 0) | 0);
           i112 = i79 + 236 | 0;
           i102 = get32(i112 | 0) | 0;
           i87 = i102 + 1 | 0;
           set32(i112 | 0, i87 | 0);
           i112 = i79 + 244 | 0;
           set32(i112 | 0, (get32(i112 | 0) | 0) + 1 | 0);
           i112 = i79 + 240 | 0;
           if ((i102 | 0) >= (get32(i112 | 0) | 0)) set32(i112 | 0, i87 | 0);
           i140 = i103;
           i33 = 445;
           break L578;
          } while (0);
          do if (!(get32(50 * 4 | 0) | 0)) {
           i109 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
           if (i109) {
            i141 = i109;
            break L578;
           }
          } else {
           i109 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
           set32(35 * 4 | 0, 192 | 0);
           if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
           i103 = get32(6 * 4 | 0) | 0;
           do if (i103) {
            i87 = get32(30 * 4 | 0) | 0;
            i112 = ((i87 | 0) < 0) << 31 >> 31;
            i102 = 16;
            i78 = _i64Subtract(get32(i102 | 0) | 0, get32(i102 + 4 | 0) | 0, i109 | 0, ((i109 | 0) < 0) << 31 >> 31 | 0) | 0;
            i102 = tempRet0;
            if ((i112 | 0) < (i102 | 0) | (i112 | 0) == (i102 | 0) & i87 >>> 0 < i78 >>> 0) {
             set32(11 * 4 | 0, 0 | 0);
             break;
            } else {
             set32(11 * 4 | 0, 1 | 0);
             i78 = get32(7 * 4 | 0) | 0;
             set32(6 * 4 | 0, 0 | 0);
             FUNCTION_TABLE_viiii[i103 & 15](i78, i87, i112, i109);
             set32(6 * 4 | 0, i103 | 0);
             set32(7 * 4 | 0, i78 | 0);
             break;
            }
           } while (0);
           i103 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i109) | 0;
           if (!i103) break;
           i105 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i103) | 0;
           i78 = (get32(30 * 4 | 0) | 0) + i105 | 0;
           set32(30 * 4 | 0, i78 | 0);
           if ((i78 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i78 | 0);
           i78 = get32(39 * 4 | 0) | 0;
           i105 = i78 + 1 | 0;
           set32(39 * 4 | 0, i105 | 0);
           if ((i78 | 0) < (get32(49 * 4 | 0) | 0)) {
            i141 = i103;
            break L578;
           }
           set32(49 * 4 | 0, i105 | 0);
           i141 = i103;
           break L578;
          } while (0);
          set8(i108 >> 0 | 0, 1 | 0);
          i33 = 446;
         } while (0);
         if ((i33 | 0) == 445) if (!i140) i33 = 446; else i141 = i140;
         if ((i33 | 0) == 446) {
          set32(i38 | 0, 0 | 0);
          i142 = 0;
          break;
         }
         _memset(i141 | 0, 0, 192) | 0;
         set32(i141 | 0, i79 | 0);
         i104 = i79 + 136 | 0;
         i103 = get32(i104 | 0) | 0;
         if (i103) set32(i103 + 60 | 0, i141 | 0);
         set32(i141 + 64 | 0, i103 | 0);
         set32(i141 + 60 | 0, 0 | 0);
         set32(i104 | 0, i141 | 0);
         set32(i141 + 52 | 0, 649915045 | 0);
         set32(i38 | 0, i141 | 0);
         i104 = i141 + 28 | 0;
         i103 = i141 + 32 | 0;
         i105 = i141 + 4 | 0;
         i78 = _sqlite3DbRealloc(i79, 0, 1020) | 0;
         if (!i78) {
          i142 = i141;
          break;
         }
         i112 = get32(i141 | 0) | 0;
         do if (!i112) i33 = 454; else {
          if ((get32(i112 + 260 | 0) | 0) >>> 0 > i78 >>> 0) {
           i33 = 454;
           break;
          }
          if ((get32(i112 + 264 | 0) | 0) >>> 0 <= i78 >>> 0) {
           i33 = 454;
           break;
          }
          i143 = getU16(i112 + 232 | 0) | 0;
         } while (0);
         if ((i33 | 0) == 454) i143 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i78) | 0;
         set32(i103 | 0, (i143 >>> 0) / 20 | 0 | 0);
         set32(i105 | 0, i78 | 0);
         set32(i104 | 0, (get32(i104 | 0) | 0) + 1 | 0);
         set8(i78 >> 0 | 0, -120 | 0);
         set8(i78 + 1 >> 0 | 0, 0 | 0);
         i74 = i78 + 3 | 0;
         i75 = i74 + 17 | 0;
         do {
          set8(i74 >> 0 | 0, 0 | 0);
          i74 = i74 + 1 | 0;
         } while ((i74 | 0) < (i75 | 0));
         i142 = i141;
        } else i142 = i99; while (0);
        i99 = i34 + 20 | 0;
        i107 = get32(i99 | 0) | 0;
        i82 = get32(i34 | 0) | 0;
        i78 = get32(i88 | 0) | 0;
        i104 = (i78 | 0) == 0 ? i1 : i78;
        i78 = i104 + 400 | 0;
        i105 = get32(i78 | 0) | 0;
        i103 = i104 + 404 | 0;
        do if ((i105 | 0) > 0) {
         i112 = get32(i103 | 0) | 0;
         i79 = 0;
         while (1) {
          if ((get32(i112 + (i79 << 4) | 0) | 0) == (i56 | 0) ? (get32(i112 + (i79 << 4) + 4 | 0) | 0) == (i107 | 0) : 0) {
           i144 = i79;
           i33 = 461;
           break;
          }
          i79 = i79 + 1 | 0;
          if ((i79 | 0) >= (i105 | 0)) {
           i33 = 463;
           break;
          }
         }
         if ((i33 | 0) == 461) {
          set8(i112 + (i144 << 4) + 8 >> 0 | 0, 1 | 0);
          break;
         } else if ((i33 | 0) == 463) {
          i145 = i103;
          i146 = i112;
          i33 = 464;
          break;
         }
        } else {
         i145 = i103;
         i146 = get32(i103 | 0) | 0;
         i33 = 464;
        } while (0);
        do if ((i33 | 0) == 464) {
         i103 = get32(i104 | 0) | 0;
         i79 = _sqlite3DbRealloc(i103, i146, (i105 << 4) + 16 | 0) | 0;
         if (!i79) {
          _sqlite3DbFree(i103, i146);
          set32(i145 | 0, 0 | 0);
          set32(i78 | 0, 0 | 0);
          set8((get32(i104 | 0) | 0) + 30 >> 0 | 0, 1 | 0);
          break;
         } else {
          set32(i145 | 0, i79 | 0);
          i103 = get32(i78 | 0) | 0;
          set32(i78 | 0, i103 + 1 | 0);
          set32(i79 + (i103 << 4) | 0, i56 | 0);
          set32(i79 + (i103 << 4) + 4 | 0, i107 | 0);
          set8(i79 + (i103 << 4) + 8 >> 0 | 0, 1 | 0);
          set32(i79 + (i103 << 4) + 12 | 0, i82 | 0);
          break;
         }
        } while (0);
        i82 = get32(i99 | 0) | 0;
        i107 = i142 + 28 | 0;
        i78 = get32(i107 | 0) | 0;
        i104 = i142 + 32 | 0;
        i105 = get32(i104 | 0) | 0;
        do if ((i105 | 0) > (i78 | 0)) {
         i103 = i142 + 4 | 0;
         i147 = i103;
         i148 = i142;
         i149 = i78;
         i150 = get32(i103 | 0) | 0;
         i33 = 476;
        } else {
         i103 = i142 + 4 | 0;
         i79 = _sqlite3DbRealloc(get32(i142 | 0) | 0, get32(i103 | 0) | 0, (i105 | 0) == 0 ? 1020 : i105 * 40 | 0) | 0;
         if (!i79) {
          i151 = i142;
          i152 = i103;
          break;
         }
         i87 = get32(i142 | 0) | 0;
         do if (!i87) i33 = 474; else {
          if ((get32(i87 + 260 | 0) | 0) >>> 0 > i79 >>> 0) {
           i33 = 474;
           break;
          }
          if ((get32(i87 + 264 | 0) | 0) >>> 0 <= i79 >>> 0) {
           i33 = 474;
           break;
          }
          i153 = getU16(i87 + 232 | 0) | 0;
         } while (0);
         if ((i33 | 0) == 474) i153 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i79) | 0;
         set32(i104 | 0, (i153 >>> 0) / 20 | 0 | 0);
         set32(i103 | 0, i79 | 0);
         i147 = i103;
         i148 = i142;
         i149 = get32(i107 | 0) | 0;
         i150 = i79;
         i33 = 476;
        } while (0);
        if ((i33 | 0) == 476) {
         set32(i107 | 0, i149 + 1 | 0);
         set8(i150 + (i78 * 20 | 0) >> 0 | 0, 39 | 0);
         set8(i150 + (i78 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i150 + (i78 * 20 | 0) + 4 | 0, i85 | 0);
         set32(i150 + (i78 * 20 | 0) + 8 | 0, i82 | 0);
         set32(i150 + (i78 * 20 | 0) + 12 | 0, i56 | 0);
         set32(i150 + (i78 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i150 + (i78 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         i151 = i148;
         i152 = i147;
        }
        i104 = get32(i77 | 0) | 0;
        i105 = get32(i151 | 0) | 0;
        i99 = get32(i152 | 0) | 0;
        if (!i99) break;
        if (get8(i105 + 30 >> 0 | 0) | 0) break;
        i87 = (get32(i107 | 0) | 0) + -1 | 0;
        i112 = i99 + (i87 * 20 | 0) + 1 | 0;
        i102 = i99 + (i87 * 20 | 0) + 16 | 0;
        _freeP4(i105, get8(i112 >> 0 | 0) | 0, get32(i102 | 0) | 0);
        set32(i102 | 0, i104 | 0);
        set8(i112 >> 0 | 0, -14 | 0);
       } while (0);
       if ((get32(i80 | 0) | 0) < 0) if ((i106 | 0) != 0 | (get32(i48 | 0) | 0) != 0) i33 = 483; else i154 = 0; else if (!i106) i154 = 0; else i33 = 483;
       do if ((i33 | 0) == 483) {
        i77 = i126 + 28 | 0;
        i112 = get32(i77 | 0) | 0;
        i104 = i126 + 32 | 0;
        i102 = get32(i104 | 0) | 0;
        do if ((i102 | 0) > (i112 | 0)) {
         i155 = i112;
         i156 = get32(i126 + 4 | 0) | 0;
         i157 = i102;
         i33 = 493;
        } else {
         i105 = i126 + 4 | 0;
         i87 = _sqlite3DbRealloc(get32(i126 | 0) | 0, get32(i105 | 0) | 0, (i102 | 0) == 0 ? 1020 : i102 * 40 | 0) | 0;
         if (!i87) {
          i158 = 1;
          i159 = get32(i104 | 0) | 0;
          i160 = get32(i77 | 0) | 0;
          break;
         }
         i99 = get32(i126 | 0) | 0;
         do if (!i99) i33 = 491; else {
          if ((get32(i99 + 260 | 0) | 0) >>> 0 > i87 >>> 0) {
           i33 = 491;
           break;
          }
          if ((get32(i99 + 264 | 0) | 0) >>> 0 <= i87 >>> 0) {
           i33 = 491;
           break;
          }
          i161 = getU16(i99 + 232 | 0) | 0;
         } while (0);
         if ((i33 | 0) == 491) i161 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i87) | 0;
         i99 = (i161 >>> 0) / 20 | 0;
         set32(i104 | 0, i99 | 0);
         set32(i105 | 0, i87 | 0);
         i155 = get32(i77 | 0) | 0;
         i156 = i87;
         i157 = i99;
         i33 = 493;
        } while (0);
        if ((i33 | 0) == 493) {
         i102 = i155 + 1 | 0;
         set32(i77 | 0, i102 | 0);
         set8(i156 + (i112 * 20 | 0) >> 0 | 0, 65 | 0);
         set8(i156 + (i112 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i156 + (i112 * 20 | 0) + 4 | 0, i85 | 0);
         set32(i156 + (i112 * 20 | 0) + 8 | 0, 0 | 0);
         set32(i156 + (i112 * 20 | 0) + 12 | 0, 0 | 0);
         set32(i156 + (i112 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i156 + (i112 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         i158 = i112;
         i159 = i157;
         i160 = i102;
        }
        do if ((i159 | 0) > (i160 | 0)) {
         i162 = i160;
         i163 = get32(i126 + 4 | 0) | 0;
         i33 = 504;
        } else {
         i102 = i126 + 4 | 0;
         i107 = _sqlite3DbRealloc(get32(i126 | 0) | 0, get32(i102 | 0) | 0, (i159 | 0) == 0 ? 1020 : i159 * 40 | 0) | 0;
         if (!i107) {
          i164 = 1;
          i165 = get32(i77 | 0) | 0;
          break;
         }
         i78 = get32(i126 | 0) | 0;
         do if (!i78) i33 = 502; else {
          if ((get32(i78 + 260 | 0) | 0) >>> 0 > i107 >>> 0) {
           i33 = 502;
           break;
          }
          if ((get32(i78 + 264 | 0) | 0) >>> 0 <= i107 >>> 0) {
           i33 = 502;
           break;
          }
          i166 = getU16(i78 + 232 | 0) | 0;
         } while (0);
         if ((i33 | 0) == 502) i166 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i107) | 0;
         set32(i104 | 0, (i166 >>> 0) / 20 | 0 | 0);
         set32(i102 | 0, i107 | 0);
         i162 = get32(i77 | 0) | 0;
         i163 = i107;
         i33 = 504;
        } while (0);
        if ((i33 | 0) == 504) {
         i104 = i162 + 1 | 0;
         set32(i77 | 0, i104 | 0);
         set8(i163 + (i160 * 20 | 0) >> 0 | 0, 1 | 0);
         set8(i163 + (i160 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         i74 = i163 + (i160 * 20 | 0) + 3 | 0;
         i75 = i74 + 17 | 0;
         do {
          set8(i74 >> 0 | 0, 0 | 0);
          i74 = i74 + 1 | 0;
         } while ((i74 | 0) < (i75 | 0));
         i164 = i160;
         i165 = i104;
        }
        if ((i165 | 0) <= (i158 | 0)) {
         i154 = i164;
         break;
        }
        set32((get32(i126 + 4 | 0) | 0) + (i158 * 20 | 0) + 8 | 0, i165 | 0);
        i154 = i164;
       } while (0);
       do if (!(get8(i39 >> 0 | 0) & 16)) {
        i77 = get32(i38 | 0) | 0;
        do if (!i77) {
         i112 = get32(i1 | 0) | 0;
         L723 : do if (!i112) {
          if (!(get32(50 * 4 | 0) | 0)) {
           i167 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
           i33 = 546;
           break;
          }
          i78 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
          set32(35 * 4 | 0, 192 | 0);
          if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
          i87 = get32(6 * 4 | 0) | 0;
          do if (i87) {
           i105 = get32(30 * 4 | 0) | 0;
           i82 = ((i105 | 0) < 0) << 31 >> 31;
           i99 = 16;
           i79 = _i64Subtract(get32(i99 | 0) | 0, get32(i99 + 4 | 0) | 0, i78 | 0, ((i78 | 0) < 0) << 31 >> 31 | 0) | 0;
           i99 = tempRet0;
           if ((i82 | 0) < (i99 | 0) | (i82 | 0) == (i99 | 0) & i105 >>> 0 < i79 >>> 0) {
            set32(11 * 4 | 0, 0 | 0);
            break;
           } else {
            set32(11 * 4 | 0, 1 | 0);
            i79 = get32(7 * 4 | 0) | 0;
            set32(6 * 4 | 0, 0 | 0);
            FUNCTION_TABLE_viiii[i87 & 15](i79, i105, i82, i78);
            set32(6 * 4 | 0, i87 | 0);
            set32(7 * 4 | 0, i79 | 0);
            break;
           }
          } while (0);
          i87 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i78) | 0;
          if (!i87) {
           i33 = 547;
           break;
          }
          i108 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i87) | 0;
          i79 = (get32(30 * 4 | 0) | 0) + i108 | 0;
          set32(30 * 4 | 0, i79 | 0);
          if ((i79 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i79 | 0);
          i79 = get32(39 * 4 | 0) | 0;
          i108 = i79 + 1 | 0;
          set32(39 * 4 | 0, i108 | 0);
          if ((i79 | 0) < (get32(49 * 4 | 0) | 0)) {
           i168 = i87;
           break;
          }
          set32(49 * 4 | 0, i108 | 0);
          i168 = i87;
         } else {
          i87 = i112 + 30 | 0;
          if (get8(i87 >> 0 | 0) | 0) {
           i33 = 547;
           break;
          }
          do if (get8(i112 + 234 >> 0 | 0) | 0) {
           if ((getU16(i112 + 232 | 0) | 0) < 192) {
            i108 = i112 + 248 | 0;
            set32(i108 | 0, (get32(i108 | 0) | 0) + 1 | 0);
            break;
           }
           i108 = i112 + 256 | 0;
           i79 = get32(i108 | 0) | 0;
           if (!i79) {
            i82 = i112 + 252 | 0;
            set32(i82 | 0, (get32(i82 | 0) | 0) + 1 | 0);
            break;
           }
           set32(i108 | 0, get32(i79 | 0) | 0);
           i108 = i112 + 236 | 0;
           i82 = get32(i108 | 0) | 0;
           i105 = i82 + 1 | 0;
           set32(i108 | 0, i105 | 0);
           i108 = i112 + 244 | 0;
           set32(i108 | 0, (get32(i108 | 0) | 0) + 1 | 0);
           i108 = i112 + 240 | 0;
           if ((i82 | 0) >= (get32(i108 | 0) | 0)) set32(i108 | 0, i105 | 0);
           i167 = i79;
           i33 = 546;
           break L723;
          } while (0);
          do if (!(get32(50 * 4 | 0) | 0)) {
           i78 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
           if (i78) {
            i168 = i78;
            break L723;
           }
          } else {
           i78 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
           set32(35 * 4 | 0, 192 | 0);
           if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
           i79 = get32(6 * 4 | 0) | 0;
           do if (i79) {
            i105 = get32(30 * 4 | 0) | 0;
            i108 = ((i105 | 0) < 0) << 31 >> 31;
            i82 = 16;
            i99 = _i64Subtract(get32(i82 | 0) | 0, get32(i82 + 4 | 0) | 0, i78 | 0, ((i78 | 0) < 0) << 31 >> 31 | 0) | 0;
            i82 = tempRet0;
            if ((i108 | 0) < (i82 | 0) | (i108 | 0) == (i82 | 0) & i105 >>> 0 < i99 >>> 0) {
             set32(11 * 4 | 0, 0 | 0);
             break;
            } else {
             set32(11 * 4 | 0, 1 | 0);
             i99 = get32(7 * 4 | 0) | 0;
             set32(6 * 4 | 0, 0 | 0);
             FUNCTION_TABLE_viiii[i79 & 15](i99, i105, i108, i78);
             set32(6 * 4 | 0, i79 | 0);
             set32(7 * 4 | 0, i99 | 0);
             break;
            }
           } while (0);
           i79 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i78) | 0;
           if (!i79) break;
           i109 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i79) | 0;
           i99 = (get32(30 * 4 | 0) | 0) + i109 | 0;
           set32(30 * 4 | 0, i99 | 0);
           if ((i99 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i99 | 0);
           i99 = get32(39 * 4 | 0) | 0;
           i109 = i99 + 1 | 0;
           set32(39 * 4 | 0, i109 | 0);
           if ((i99 | 0) < (get32(49 * 4 | 0) | 0)) {
            i168 = i79;
            break L723;
           }
           set32(49 * 4 | 0, i109 | 0);
           i168 = i79;
           break L723;
          } while (0);
          set8(i87 >> 0 | 0, 1 | 0);
          i33 = 547;
         } while (0);
         if ((i33 | 0) == 546) if (!i167) i33 = 547; else i168 = i167;
         if ((i33 | 0) == 547) {
          set32(i38 | 0, 0 | 0);
          i169 = 0;
          break;
         }
         _memset(i168 | 0, 0, 192) | 0;
         set32(i168 | 0, i112 | 0);
         i107 = i112 + 136 | 0;
         i102 = get32(i107 | 0) | 0;
         if (i102) set32(i102 + 60 | 0, i168 | 0);
         set32(i168 + 64 | 0, i102 | 0);
         set32(i168 + 60 | 0, 0 | 0);
         set32(i107 | 0, i168 | 0);
         set32(i168 + 52 | 0, 649915045 | 0);
         set32(i38 | 0, i168 | 0);
         i107 = i168 + 28 | 0;
         i102 = i168 + 32 | 0;
         i79 = i168 + 4 | 0;
         i109 = _sqlite3DbRealloc(i112, 0, 1020) | 0;
         if (!i109) {
          i169 = i168;
          break;
         }
         i99 = get32(i168 | 0) | 0;
         do if (!i99) i33 = 555; else {
          if ((get32(i99 + 260 | 0) | 0) >>> 0 > i109 >>> 0) {
           i33 = 555;
           break;
          }
          if ((get32(i99 + 264 | 0) | 0) >>> 0 <= i109 >>> 0) {
           i33 = 555;
           break;
          }
          i170 = getU16(i99 + 232 | 0) | 0;
         } while (0);
         if ((i33 | 0) == 555) i170 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i109) | 0;
         set32(i102 | 0, (i170 >>> 0) / 20 | 0 | 0);
         set32(i79 | 0, i109 | 0);
         set32(i107 | 0, (get32(i107 | 0) | 0) + 1 | 0);
         set8(i109 >> 0 | 0, -120 | 0);
         set8(i109 + 1 >> 0 | 0, 0 | 0);
         i74 = i109 + 3 | 0;
         i75 = i74 + 17 | 0;
         do {
          set8(i74 >> 0 | 0, 0 | 0);
          i74 = i74 + 1 | 0;
         } while ((i74 | 0) < (i75 | 0));
         i169 = i168;
        } else i169 = i77; while (0);
        i77 = i98 + 20 | 0;
        i104 = get32(i77 | 0) | 0;
        i109 = get32(i98 | 0) | 0;
        i107 = get32(i88 | 0) | 0;
        i79 = (i107 | 0) == 0 ? i1 : i107;
        i107 = i79 + 400 | 0;
        i102 = get32(i107 | 0) | 0;
        i99 = i79 + 404 | 0;
        do if ((i102 | 0) > 0) {
         i112 = get32(i99 | 0) | 0;
         i108 = 0;
         while (1) {
          if ((get32(i112 + (i108 << 4) | 0) | 0) == (i123 | 0) ? (get32(i112 + (i108 << 4) + 4 | 0) | 0) == (i104 | 0) : 0) {
           i171 = i108;
           i33 = 562;
           break;
          }
          i108 = i108 + 1 | 0;
          if ((i108 | 0) >= (i102 | 0)) {
           i33 = 564;
           break;
          }
         }
         if ((i33 | 0) == 562) {
          i108 = i112 + (i171 << 4) + 8 | 0;
          set8(i108 >> 0 | 0, (get8(i108 >> 0 | 0) | 0) != 0 & 1 | 0);
          break;
         } else if ((i33 | 0) == 564) {
          i172 = i99;
          i173 = i112;
          i33 = 565;
          break;
         }
        } else {
         i172 = i99;
         i173 = get32(i99 | 0) | 0;
         i33 = 565;
        } while (0);
        do if ((i33 | 0) == 565) {
         i99 = get32(i79 | 0) | 0;
         i108 = _sqlite3DbRealloc(i99, i173, (i102 << 4) + 16 | 0) | 0;
         if (!i108) {
          _sqlite3DbFree(i99, i173);
          set32(i172 | 0, 0 | 0);
          set32(i107 | 0, 0 | 0);
          set8((get32(i79 | 0) | 0) + 30 >> 0 | 0, 1 | 0);
          break;
         } else {
          set32(i172 | 0, i108 | 0);
          i99 = get32(i107 | 0) | 0;
          set32(i107 | 0, i99 + 1 | 0);
          set32(i108 + (i99 << 4) | 0, i123 | 0);
          set32(i108 + (i99 << 4) + 4 | 0, i104 | 0);
          set8(i108 + (i99 << 4) + 8 >> 0 | 0, 0 | 0);
          set32(i108 + (i99 << 4) + 12 | 0, i109 | 0);
          break;
         }
        } while (0);
        i109 = get32(i77 | 0) | 0;
        i104 = i169 + 28 | 0;
        i107 = get32(i104 | 0) | 0;
        i79 = i169 + 32 | 0;
        i102 = get32(i79 | 0) | 0;
        do if ((i102 | 0) > (i107 | 0)) {
         i99 = i169 + 4 | 0;
         i174 = i99;
         i175 = i169;
         i176 = i107;
         i177 = get32(i99 | 0) | 0;
         i33 = 577;
        } else {
         i99 = i169 + 4 | 0;
         i108 = _sqlite3DbRealloc(get32(i169 | 0) | 0, get32(i99 | 0) | 0, (i102 | 0) == 0 ? 1020 : i102 * 40 | 0) | 0;
         if (!i108) {
          i178 = i169;
          i179 = i99;
          break;
         }
         i105 = get32(i169 | 0) | 0;
         do if (!i105) i33 = 575; else {
          if ((get32(i105 + 260 | 0) | 0) >>> 0 > i108 >>> 0) {
           i33 = 575;
           break;
          }
          if ((get32(i105 + 264 | 0) | 0) >>> 0 <= i108 >>> 0) {
           i33 = 575;
           break;
          }
          i180 = getU16(i105 + 232 | 0) | 0;
         } while (0);
         if ((i33 | 0) == 575) i180 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i108) | 0;
         set32(i79 | 0, (i180 >>> 0) / 20 | 0 | 0);
         set32(i99 | 0, i108 | 0);
         i174 = i99;
         i175 = i169;
         i176 = get32(i104 | 0) | 0;
         i177 = i108;
         i33 = 577;
        } while (0);
        if ((i33 | 0) == 577) {
         set32(i104 | 0, i176 + 1 | 0);
         set8(i177 + (i107 * 20 | 0) >> 0 | 0, 38 | 0);
         set8(i177 + (i107 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i177 + (i107 * 20 | 0) + 4 | 0, i86 | 0);
         set32(i177 + (i107 * 20 | 0) + 8 | 0, i109 | 0);
         set32(i177 + (i107 * 20 | 0) + 12 | 0, i123 | 0);
         set32(i177 + (i107 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i177 + (i107 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         i178 = i175;
         i179 = i174;
        }
        i79 = get32(i81 | 0) | 0;
        i102 = get32(i178 | 0) | 0;
        i77 = get32(i179 | 0) | 0;
        if (!i77) break;
        if (get8(i102 + 30 >> 0 | 0) | 0) break;
        i105 = (get32(i104 | 0) | 0) + -1 | 0;
        i112 = i77 + (i105 * 20 | 0) + 1 | 0;
        i82 = i77 + (i105 * 20 | 0) + 16 | 0;
        _freeP4(i102, get8(i112 >> 0 | 0) | 0, get32(i82 | 0) | 0);
        set32(i82 | 0, i79 | 0);
        set8(i112 >> 0 | 0, -14 | 0);
       } while (0);
       i81 = i126 + 28 | 0;
       i39 = get32(i81 | 0) | 0;
       i112 = i126 + 32 | 0;
       i79 = get32(i112 | 0) | 0;
       do if ((i79 | 0) > (i39 | 0)) {
        i181 = i39;
        i182 = get32(i126 + 4 | 0) | 0;
        i33 = 590;
       } else {
        i82 = i126 + 4 | 0;
        i102 = _sqlite3DbRealloc(get32(i126 | 0) | 0, get32(i82 | 0) | 0, (i79 | 0) == 0 ? 1020 : i79 * 40 | 0) | 0;
        if (!i102) {
         i183 = 1;
         break;
        }
        i105 = get32(i126 | 0) | 0;
        do if (!i105) i33 = 588; else {
         if ((get32(i105 + 260 | 0) | 0) >>> 0 > i102 >>> 0) {
          i33 = 588;
          break;
         }
         if ((get32(i105 + 264 | 0) | 0) >>> 0 <= i102 >>> 0) {
          i33 = 588;
          break;
         }
         i184 = getU16(i105 + 232 | 0) | 0;
        } while (0);
        if ((i33 | 0) == 588) i184 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i102) | 0;
        set32(i112 | 0, (i184 >>> 0) / 20 | 0 | 0);
        set32(i82 | 0, i102 | 0);
        i181 = get32(i81 | 0) | 0;
        i182 = i102;
        i33 = 590;
       } while (0);
       if ((i33 | 0) == 590) {
        set32(i81 | 0, i181 + 1 | 0);
        set8(i182 + (i39 * 20 | 0) >> 0 | 0, 65 | 0);
        set8(i182 + (i39 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i182 + (i39 * 20 | 0) + 4 | 0, i86 | 0);
        set32(i182 + (i39 * 20 | 0) + 8 | 0, 0 | 0);
        set32(i182 + (i39 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i182 + (i39 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i182 + (i39 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i183 = i39;
       }
       i79 = i1 + 21 | 0;
       i105 = get8(i79 >> 0 | 0) | 0;
       do if (i105 << 24 >> 24) {
        i104 = i105 + -1 << 24 >> 24;
        set8(i79 >> 0 | 0, i104 | 0);
        i107 = get32(i1 + 24 + ((i104 & 255) << 2) | 0) | 0;
        if (!(i104 << 24 >> 24)) {
         i104 = i1 + 72 | 0;
         i185 = i107;
         i186 = i104;
         i187 = get32(i104 | 0) | 0;
         i33 = 595;
         break;
        } else {
         i104 = i105 + -2 << 24 >> 24;
         set8(i79 >> 0 | 0, i104 | 0);
         i188 = i107;
         i189 = get32(i1 + 24 + ((i104 & 255) << 2) | 0) | 0;
         break;
        }
       } else {
        i104 = i1 + 72 | 0;
        i107 = (get32(i104 | 0) | 0) + 1 | 0;
        set32(i104 | 0, i107 | 0);
        i185 = i107;
        i186 = i104;
        i187 = i107;
        i33 = 595;
       } while (0);
       if ((i33 | 0) == 595) {
        i105 = i187 + 1 | 0;
        set32(i186 | 0, i105 | 0);
        i188 = i185;
        i189 = i105;
       }
       do if ((get32(i80 | 0) | 0) <= -1) {
        i105 = get32(i81 | 0) | 0;
        i39 = get32(i112 | 0) | 0;
        i107 = (i39 | 0) > (i105 | 0);
        if (!(get32(i48 | 0) | 0)) {
         if (i107) {
          i190 = i105;
          i191 = get32(i126 + 4 | 0) | 0;
         } else {
          i104 = i126 + 4 | 0;
          i109 = _sqlite3DbRealloc(get32(i126 | 0) | 0, get32(i104 | 0) | 0, (i39 | 0) == 0 ? 1020 : i39 * 40 | 0) | 0;
          if (!i109) {
           i192 = 1;
           break;
          }
          i77 = get32(i126 | 0) | 0;
          do if (!i77) i33 = 706; else {
           if ((get32(i77 + 260 | 0) | 0) >>> 0 > i109 >>> 0) {
            i33 = 706;
            break;
           }
           if ((get32(i77 + 264 | 0) | 0) >>> 0 <= i109 >>> 0) {
            i33 = 706;
            break;
           }
           i193 = getU16(i77 + 232 | 0) | 0;
          } while (0);
          if ((i33 | 0) == 706) i193 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i109) | 0;
          set32(i112 | 0, (i193 >>> 0) / 20 | 0 | 0);
          set32(i104 | 0, i109 | 0);
          i190 = get32(i81 | 0) | 0;
          i191 = i109;
         }
         set32(i81 | 0, i190 + 1 | 0);
         set8(i191 + (i105 * 20 | 0) >> 0 | 0, 54 | 0);
         set8(i191 + (i105 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i191 + (i105 * 20 | 0) + 4 | 0, i85 | 0);
         set32(i191 + (i105 * 20 | 0) + 8 | 0, i189 | 0);
         set32(i191 + (i105 * 20 | 0) + 12 | 0, 0 | 0);
         set32(i191 + (i105 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i191 + (i105 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         i192 = i105;
         break;
        } else {
         if (i107) {
          i194 = i105;
          i195 = get32(i126 + 4 | 0) | 0;
         } else {
          i77 = i126 + 4 | 0;
          i102 = _sqlite3DbRealloc(get32(i126 | 0) | 0, get32(i77 | 0) | 0, (i39 | 0) == 0 ? 1020 : i39 * 40 | 0) | 0;
          if (!i102) {
           i192 = 1;
           break;
          }
          i82 = get32(i126 | 0) | 0;
          do if (!i82) i33 = 716; else {
           if ((get32(i82 + 260 | 0) | 0) >>> 0 > i102 >>> 0) {
            i33 = 716;
            break;
           }
           if ((get32(i82 + 264 | 0) | 0) >>> 0 <= i102 >>> 0) {
            i33 = 716;
            break;
           }
           i196 = getU16(i82 + 232 | 0) | 0;
          } while (0);
          if ((i33 | 0) == 716) i196 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i102) | 0;
          set32(i112 | 0, (i196 >>> 0) / 20 | 0 | 0);
          set32(i77 | 0, i102 | 0);
          i194 = get32(i81 | 0) | 0;
          i195 = i102;
         }
         set32(i81 | 0, i194 + 1 | 0);
         set8(i195 + (i105 * 20 | 0) >> 0 | 0, 61 | 0);
         set8(i195 + (i105 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i195 + (i105 * 20 | 0) + 4 | 0, i86 | 0);
         set32(i195 + (i105 * 20 | 0) + 8 | 0, i189 | 0);
         set32(i195 + (i105 * 20 | 0) + 12 | 0, 0 | 0);
         set32(i195 + (i105 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i195 + (i105 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         i192 = i105;
         break;
        }
       } else {
        i82 = get32(i81 | 0) | 0;
        i39 = get32(i112 | 0) | 0;
        do if ((i39 | 0) > (i82 | 0)) {
         i197 = i82;
         i198 = get32(i126 + 4 | 0) | 0;
         i199 = i39;
         i33 = 608;
        } else {
         i107 = i126 + 4 | 0;
         i109 = _sqlite3DbRealloc(get32(i126 | 0) | 0, get32(i107 | 0) | 0, (i39 | 0) == 0 ? 1020 : i39 * 40 | 0) | 0;
         if (!i109) {
          i200 = 1;
          i201 = get32(i112 | 0) | 0;
          i202 = get32(i81 | 0) | 0;
          break;
         }
         i104 = get32(i126 | 0) | 0;
         do if (!i104) i33 = 606; else {
          if ((get32(i104 + 260 | 0) | 0) >>> 0 > i109 >>> 0) {
           i33 = 606;
           break;
          }
          if ((get32(i104 + 264 | 0) | 0) >>> 0 <= i109 >>> 0) {
           i33 = 606;
           break;
          }
          i203 = getU16(i104 + 232 | 0) | 0;
         } while (0);
         if ((i33 | 0) == 606) i203 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i109) | 0;
         i104 = (i203 >>> 0) / 20 | 0;
         set32(i112 | 0, i104 | 0);
         set32(i107 | 0, i109 | 0);
         i197 = get32(i81 | 0) | 0;
         i198 = i109;
         i199 = i104;
         i33 = 608;
        } while (0);
        if ((i33 | 0) == 608) {
         i39 = i197 + 1 | 0;
         set32(i81 | 0, i39 | 0);
         set8(i198 + (i82 * 20 | 0) >> 0 | 0, 61 | 0);
         set8(i198 + (i82 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i198 + (i82 * 20 | 0) + 4 | 0, i86 | 0);
         set32(i198 + (i82 * 20 | 0) + 8 | 0, i189 | 0);
         set32(i198 + (i82 * 20 | 0) + 12 | 0, 0 | 0);
         set32(i198 + (i82 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i198 + (i82 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         i200 = i82;
         i201 = i199;
         i202 = i39;
        }
        do if ((i201 | 0) > (i202 | 0)) {
         i204 = i202;
         i205 = get32(i126 + 4 | 0) | 0;
         i33 = 618;
        } else {
         i39 = i126 + 4 | 0;
         i105 = _sqlite3DbRealloc(get32(i126 | 0) | 0, get32(i39 | 0) | 0, (i201 | 0) == 0 ? 1020 : i201 * 40 | 0) | 0;
         if (!i105) {
          i206 = 1;
          break;
         }
         i102 = get32(i126 | 0) | 0;
         do if (!i102) i33 = 616; else {
          if ((get32(i102 + 260 | 0) | 0) >>> 0 > i105 >>> 0) {
           i33 = 616;
           break;
          }
          if ((get32(i102 + 264 | 0) | 0) >>> 0 <= i105 >>> 0) {
           i33 = 616;
           break;
          }
          i207 = getU16(i102 + 232 | 0) | 0;
         } while (0);
         if ((i33 | 0) == 616) i207 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i105) | 0;
         set32(i112 | 0, (i207 >>> 0) / 20 | 0 | 0);
         set32(i39 | 0, i105 | 0);
         i204 = get32(i81 | 0) | 0;
         i205 = i105;
         i33 = 618;
        } while (0);
        if ((i33 | 0) == 618) {
         set32(i81 | 0, i204 + 1 | 0);
         set8(i205 + (i202 * 20 | 0) >> 0 | 0, 52 | 0);
         set8(i205 + (i202 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i205 + (i202 * 20 | 0) + 4 | 0, i85 | 0);
         set32(i205 + (i202 * 20 | 0) + 8 | 0, 0 | 0);
         set32(i205 + (i202 * 20 | 0) + 12 | 0, i189 | 0);
         set32(i205 + (i202 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i205 + (i202 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         i206 = i202;
        }
        i82 = get32(i38 | 0) | 0;
        do if (!i82) {
         i102 = get32(i1 | 0) | 0;
         L882 : do if (!i102) {
          if (!(get32(50 * 4 | 0) | 0)) {
           i208 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
           i33 = 657;
           break;
          }
          i109 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
          set32(35 * 4 | 0, 192 | 0);
          if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
          i107 = get32(6 * 4 | 0) | 0;
          do if (i107) {
           i77 = get32(30 * 4 | 0) | 0;
           i104 = ((i77 | 0) < 0) << 31 >> 31;
           i108 = 16;
           i99 = _i64Subtract(get32(i108 | 0) | 0, get32(i108 + 4 | 0) | 0, i109 | 0, ((i109 | 0) < 0) << 31 >> 31 | 0) | 0;
           i108 = tempRet0;
           if ((i104 | 0) < (i108 | 0) | (i104 | 0) == (i108 | 0) & i77 >>> 0 < i99 >>> 0) {
            set32(11 * 4 | 0, 0 | 0);
            break;
           } else {
            set32(11 * 4 | 0, 1 | 0);
            i99 = get32(7 * 4 | 0) | 0;
            set32(6 * 4 | 0, 0 | 0);
            FUNCTION_TABLE_viiii[i107 & 15](i99, i77, i104, i109);
            set32(6 * 4 | 0, i107 | 0);
            set32(7 * 4 | 0, i99 | 0);
            break;
           }
          } while (0);
          i107 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i109) | 0;
          if (!i107) {
           i33 = 658;
           break;
          }
          i87 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i107) | 0;
          i99 = (get32(30 * 4 | 0) | 0) + i87 | 0;
          set32(30 * 4 | 0, i99 | 0);
          if ((i99 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i99 | 0);
          i99 = get32(39 * 4 | 0) | 0;
          i87 = i99 + 1 | 0;
          set32(39 * 4 | 0, i87 | 0);
          if ((i99 | 0) < (get32(49 * 4 | 0) | 0)) {
           i209 = i107;
           break;
          }
          set32(49 * 4 | 0, i87 | 0);
          i209 = i107;
         } else {
          i107 = i102 + 30 | 0;
          if (get8(i107 >> 0 | 0) | 0) {
           i33 = 658;
           break;
          }
          do if (get8(i102 + 234 >> 0 | 0) | 0) {
           if ((getU16(i102 + 232 | 0) | 0) < 192) {
            i87 = i102 + 248 | 0;
            set32(i87 | 0, (get32(i87 | 0) | 0) + 1 | 0);
            break;
           }
           i87 = i102 + 256 | 0;
           i99 = get32(i87 | 0) | 0;
           if (!i99) {
            i104 = i102 + 252 | 0;
            set32(i104 | 0, (get32(i104 | 0) | 0) + 1 | 0);
            break;
           }
           set32(i87 | 0, get32(i99 | 0) | 0);
           i87 = i102 + 236 | 0;
           i104 = get32(i87 | 0) | 0;
           i77 = i104 + 1 | 0;
           set32(i87 | 0, i77 | 0);
           i87 = i102 + 244 | 0;
           set32(i87 | 0, (get32(i87 | 0) | 0) + 1 | 0);
           i87 = i102 + 240 | 0;
           if ((i104 | 0) >= (get32(i87 | 0) | 0)) set32(i87 | 0, i77 | 0);
           i208 = i99;
           i33 = 657;
           break L882;
          } while (0);
          do if (!(get32(50 * 4 | 0) | 0)) {
           i109 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
           if (i109) {
            i209 = i109;
            break L882;
           }
          } else {
           i109 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
           set32(35 * 4 | 0, 192 | 0);
           if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
           i99 = get32(6 * 4 | 0) | 0;
           do if (i99) {
            i77 = get32(30 * 4 | 0) | 0;
            i87 = ((i77 | 0) < 0) << 31 >> 31;
            i104 = 16;
            i108 = _i64Subtract(get32(i104 | 0) | 0, get32(i104 + 4 | 0) | 0, i109 | 0, ((i109 | 0) < 0) << 31 >> 31 | 0) | 0;
            i104 = tempRet0;
            if ((i87 | 0) < (i104 | 0) | (i87 | 0) == (i104 | 0) & i77 >>> 0 < i108 >>> 0) {
             set32(11 * 4 | 0, 0 | 0);
             break;
            } else {
             set32(11 * 4 | 0, 1 | 0);
             i108 = get32(7 * 4 | 0) | 0;
             set32(6 * 4 | 0, 0 | 0);
             FUNCTION_TABLE_viiii[i99 & 15](i108, i77, i87, i109);
             set32(6 * 4 | 0, i99 | 0);
             set32(7 * 4 | 0, i108 | 0);
             break;
            }
           } while (0);
           i99 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i109) | 0;
           if (!i99) break;
           i78 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i99) | 0;
           i108 = (get32(30 * 4 | 0) | 0) + i78 | 0;
           set32(30 * 4 | 0, i108 | 0);
           if ((i108 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i108 | 0);
           i108 = get32(39 * 4 | 0) | 0;
           i78 = i108 + 1 | 0;
           set32(39 * 4 | 0, i78 | 0);
           if ((i108 | 0) < (get32(49 * 4 | 0) | 0)) {
            i209 = i99;
            break L882;
           }
           set32(49 * 4 | 0, i78 | 0);
           i209 = i99;
           break L882;
          } while (0);
          set8(i107 >> 0 | 0, 1 | 0);
          i33 = 658;
         } while (0);
         if ((i33 | 0) == 657) if (!i208) i33 = 658; else i209 = i208;
         if ((i33 | 0) == 658) {
          set32(i38 | 0, 0 | 0);
          i210 = 0;
          break;
         }
         _memset(i209 | 0, 0, 192) | 0;
         set32(i209 | 0, i102 | 0);
         i105 = i102 + 136 | 0;
         i39 = get32(i105 | 0) | 0;
         if (i39) set32(i39 + 60 | 0, i209 | 0);
         set32(i209 + 64 | 0, i39 | 0);
         set32(i209 + 60 | 0, 0 | 0);
         set32(i105 | 0, i209 | 0);
         set32(i209 + 52 | 0, 649915045 | 0);
         set32(i38 | 0, i209 | 0);
         i105 = i209 + 28 | 0;
         i39 = i209 + 32 | 0;
         i99 = i209 + 4 | 0;
         i78 = _sqlite3DbRealloc(i102, 0, 1020) | 0;
         if (!i78) {
          i210 = i209;
          break;
         }
         i108 = get32(i209 | 0) | 0;
         do if (!i108) i33 = 666; else {
          if ((get32(i108 + 260 | 0) | 0) >>> 0 > i78 >>> 0) {
           i33 = 666;
           break;
          }
          if ((get32(i108 + 264 | 0) | 0) >>> 0 <= i78 >>> 0) {
           i33 = 666;
           break;
          }
          i211 = getU16(i108 + 232 | 0) | 0;
         } while (0);
         if ((i33 | 0) == 666) i211 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i78) | 0;
         set32(i39 | 0, (i211 >>> 0) / 20 | 0 | 0);
         set32(i99 | 0, i78 | 0);
         set32(i105 | 0, (get32(i105 | 0) | 0) + 1 | 0);
         set8(i78 >> 0 | 0, -120 | 0);
         set8(i78 + 1 >> 0 | 0, 0 | 0);
         i74 = i78 + 3 | 0;
         i75 = i74 + 17 | 0;
         do {
          set8(i74 >> 0 | 0, 0 | 0);
          i74 = i74 + 1 | 0;
         } while ((i74 | 0) < (i75 | 0));
         i210 = i209;
        } else i210 = i82; while (0);
        if ((i47 | 0) == 2) {
         i82 = get32(i88 | 0) | 0;
         set8(((i82 | 0) == 0 ? i1 : i82) + 345 >> 0 | 0, 1 | 0);
        }
        i82 = i210 + 28 | 0;
        i78 = get32(i82 | 0) | 0;
        i105 = i210 + 32 | 0;
        i99 = get32(i105 | 0) | 0;
        do if ((i99 | 0) > (i78 | 0)) {
         i39 = i210 + 4 | 0;
         i212 = i39;
         i213 = i210;
         i214 = i78;
         i215 = get32(i39 | 0) | 0;
         i33 = 679;
        } else {
         i39 = i210 + 4 | 0;
         i108 = _sqlite3DbRealloc(get32(i210 | 0) | 0, get32(i39 | 0) | 0, (i99 | 0) == 0 ? 1020 : i99 * 40 | 0) | 0;
         if (!i108) {
          i216 = 1;
          i217 = i210;
          i218 = i39;
          break;
         }
         i102 = get32(i210 | 0) | 0;
         do if (!i102) i33 = 677; else {
          if ((get32(i102 + 260 | 0) | 0) >>> 0 > i108 >>> 0) {
           i33 = 677;
           break;
          }
          if ((get32(i102 + 264 | 0) | 0) >>> 0 <= i108 >>> 0) {
           i33 = 677;
           break;
          }
          i219 = getU16(i102 + 232 | 0) | 0;
         } while (0);
         if ((i33 | 0) == 677) i219 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i108) | 0;
         set32(i105 | 0, (i219 >>> 0) / 20 | 0 | 0);
         set32(i39 | 0, i108 | 0);
         i212 = i39;
         i213 = i210;
         i214 = get32(i82 | 0) | 0;
         i215 = i108;
         i33 = 679;
        } while (0);
        if ((i33 | 0) == 679) {
         set32(i82 | 0, i214 + 1 | 0);
         set8(i215 + (i78 * 20 | 0) >> 0 | 0, 6 | 0);
         set8(i215 + (i78 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i215 + (i78 * 20 | 0) + 4 | 0, 19 | 0);
         set32(i215 + (i78 * 20 | 0) + 8 | 0, i47 | 0);
         set32(i215 + (i78 * 20 | 0) + 12 | 0, 0 | 0);
         set32(i215 + (i78 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i215 + (i78 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         i216 = i78;
         i217 = i213;
         i218 = i212;
        }
        i105 = get32(i217 | 0) | 0;
        i99 = get32(i218 | 0) | 0;
        do if (i99) {
         if (get8(i105 + 30 >> 0 | 0) | 0) break;
         if ((i216 | 0) < 0) i220 = (get32(i82 | 0) | 0) + -1 | 0; else i220 = i216;
         i102 = i99 + (i220 * 20 | 0) + 1 | 0;
         i87 = i99 + (i220 * 20 | 0) + 16 | 0;
         _freeP4(i105, get8(i102 >> 0 | 0) | 0, get32(i87 | 0) | 0);
         set32(i87 | 0, 33409 | 0);
         set8(i102 >> 0 | 0, -2 | 0);
        } while (0);
        i105 = get32(i81 | 0) | 0;
        if ((i105 | 0) > (i206 | 0)) set32((get32(i126 + 4 | 0) | 0) + (i206 * 20 | 0) + 8 | 0, i105 | 0);
        if ((i136 | 0) <= 0) {
         i192 = i200;
         break;
        }
        i105 = get32(i38 | 0) | 0;
        i99 = i105 + 28 | 0;
        i82 = get32(i99 | 0) | 0;
        i78 = i105 + 32 | 0;
        i102 = get32(i78 | 0) | 0;
        if ((i102 | 0) > (i82 | 0)) {
         i221 = i82;
         i222 = get32(i105 + 4 | 0) | 0;
        } else {
         i87 = i105 + 4 | 0;
         i77 = _sqlite3DbRealloc(get32(i105 | 0) | 0, get32(i87 | 0) | 0, (i102 | 0) == 0 ? 1020 : i102 * 40 | 0) | 0;
         if (!i77) {
          i192 = i200;
          break;
         }
         i102 = get32(i105 | 0) | 0;
         do if (!i102) i33 = 695; else {
          if ((get32(i102 + 260 | 0) | 0) >>> 0 > i77 >>> 0) {
           i33 = 695;
           break;
          }
          if ((get32(i102 + 264 | 0) | 0) >>> 0 <= i77 >>> 0) {
           i33 = 695;
           break;
          }
          i223 = getU16(i102 + 232 | 0) | 0;
         } while (0);
         if ((i33 | 0) == 695) i223 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i77) | 0;
         set32(i78 | 0, (i223 >>> 0) / 20 | 0 | 0);
         set32(i87 | 0, i77 | 0);
         i221 = get32(i99 | 0) | 0;
         i222 = i77;
        }
        set32(i99 | 0, i221 + 1 | 0);
        set8(i222 + (i82 * 20 | 0) >> 0 | 0, 112 | 0);
        set8(i222 + (i82 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i222 + (i82 * 20 | 0) + 4 | 0, i136 | 0);
        set32(i222 + (i82 * 20 | 0) + 8 | 0, i189 | 0);
        set32(i222 + (i82 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i222 + (i82 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i222 + (i82 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i192 = i200;
       } while (0);
       i88 = get32(i81 | 0) | 0;
       i80 = get32(i112 | 0) | 0;
       do if ((i80 | 0) > (i88 | 0)) {
        i224 = i88;
        i225 = get32(i126 + 4 | 0) | 0;
        i226 = i80;
        i33 = 729;
       } else {
        i102 = i126 + 4 | 0;
        i105 = _sqlite3DbRealloc(get32(i126 | 0) | 0, get32(i102 | 0) | 0, (i80 | 0) == 0 ? 1020 : i80 * 40 | 0) | 0;
        if (!i105) {
         i227 = get32(i112 | 0) | 0;
         i228 = get32(i81 | 0) | 0;
         break;
        }
        i104 = get32(i126 | 0) | 0;
        do if (!i104) i33 = 727; else {
         if ((get32(i104 + 260 | 0) | 0) >>> 0 > i105 >>> 0) {
          i33 = 727;
          break;
         }
         if ((get32(i104 + 264 | 0) | 0) >>> 0 <= i105 >>> 0) {
          i33 = 727;
          break;
         }
         i229 = getU16(i104 + 232 | 0) | 0;
        } while (0);
        if ((i33 | 0) == 727) i229 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i105) | 0;
        i104 = (i229 >>> 0) / 20 | 0;
        set32(i112 | 0, i104 | 0);
        set32(i102 | 0, i105 | 0);
        i224 = get32(i81 | 0) | 0;
        i225 = i105;
        i226 = i104;
        i33 = 729;
       } while (0);
       if ((i33 | 0) == 729) {
        i80 = i224 + 1 | 0;
        set32(i81 | 0, i80 | 0);
        set8(i225 + (i88 * 20 | 0) >> 0 | 0, 60 | 0);
        set8(i225 + (i88 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i225 + (i88 * 20 | 0) + 4 | 0, i86 | 0);
        set32(i225 + (i88 * 20 | 0) + 8 | 0, i188 | 0);
        set32(i225 + (i88 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i225 + (i88 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i225 + (i88 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i227 = i226;
        i228 = i80;
       }
       do if ((i227 | 0) > (i228 | 0)) {
        i80 = i126 + 4 | 0;
        i230 = i80;
        i231 = i228;
        i232 = get32(i80 | 0) | 0;
        i33 = 739;
       } else {
        i80 = i126 + 4 | 0;
        i104 = _sqlite3DbRealloc(get32(i126 | 0) | 0, get32(i80 | 0) | 0, (i227 | 0) == 0 ? 1020 : i227 * 40 | 0) | 0;
        if (!i104) {
         i233 = i80;
         break;
        }
        i82 = get32(i126 | 0) | 0;
        do if (!i82) i33 = 737; else {
         if ((get32(i82 + 260 | 0) | 0) >>> 0 > i104 >>> 0) {
          i33 = 737;
          break;
         }
         if ((get32(i82 + 264 | 0) | 0) >>> 0 <= i104 >>> 0) {
          i33 = 737;
          break;
         }
         i234 = getU16(i82 + 232 | 0) | 0;
        } while (0);
        if ((i33 | 0) == 737) i234 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i104) | 0;
        set32(i112 | 0, (i234 >>> 0) / 20 | 0 | 0);
        set32(i80 | 0, i104 | 0);
        i230 = i80;
        i231 = get32(i81 | 0) | 0;
        i232 = i104;
        i33 = 739;
       } while (0);
       if ((i33 | 0) == 739) {
        set32(i81 | 0, i231 + 1 | 0);
        set8(i232 + (i228 * 20 | 0) >> 0 | 0, 55 | 0);
        set8(i232 + (i228 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i232 + (i228 * 20 | 0) + 4 | 0, i85 | 0);
        set32(i232 + (i228 * 20 | 0) + 8 | 0, i188 | 0);
        set32(i232 + (i228 * 20 | 0) + 12 | 0, i189 | 0);
        set32(i232 + (i228 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i232 + (i228 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i233 = i230;
       }
       i88 = get32(i233 | 0) | 0;
       if (i88) set8(i88 + (((get32(i81 | 0) | 0) + -1 | 0) * 20 | 0) + 3 >> 0 | 0, 11 | 0);
       _sqlite3VdbeChangeP4(i126, -1, get32(i34 | 0) | 0, 0);
       i88 = get32(i81 | 0) | 0;
       i82 = get32(i112 | 0) | 0;
       do if ((i82 | 0) > (i88 | 0)) {
        i235 = i88;
        i236 = get32(i233 | 0) | 0;
        i33 = 751;
       } else {
        i105 = _sqlite3DbRealloc(get32(i126 | 0) | 0, get32(i233 | 0) | 0, (i82 | 0) == 0 ? 1020 : i82 * 40 | 0) | 0;
        if (!i105) break;
        i102 = get32(i126 | 0) | 0;
        do if (!i102) i33 = 749; else {
         if ((get32(i102 + 260 | 0) | 0) >>> 0 > i105 >>> 0) {
          i33 = 749;
          break;
         }
         if ((get32(i102 + 264 | 0) | 0) >>> 0 <= i105 >>> 0) {
          i33 = 749;
          break;
         }
         i237 = getU16(i102 + 232 | 0) | 0;
        } while (0);
        if ((i33 | 0) == 749) i237 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i105) | 0;
        set32(i112 | 0, (i237 >>> 0) / 20 | 0 | 0);
        set32(i233 | 0, i105 | 0);
        i235 = get32(i81 | 0) | 0;
        i236 = i105;
        i33 = 751;
       } while (0);
       if ((i33 | 0) == 751) {
        set32(i81 | 0, i235 + 1 | 0);
        set8(i236 + (i88 * 20 | 0) >> 0 | 0, 67 | 0);
        set8(i236 + (i88 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i236 + (i88 * 20 | 0) + 4 | 0, i86 | 0);
        set32(i236 + (i88 * 20 | 0) + 8 | 0, i192 | 0);
        set32(i236 + (i88 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i236 + (i88 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i236 + (i88 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       }
       i82 = get32(i48 | 0) | 0;
       if (!i82) i238 = get32(i81 | 0) | 0; else {
        i102 = i98 + 16 | 0;
        i104 = i82;
        while (1) {
         i82 = get32(i102 | 0) | 0;
         L1071 : do if (!i82) i239 = 0; else {
          i80 = get32(i104 + 4 | 0) | 0;
          i99 = i104 + 24 | 0;
          i77 = (i80 | 0) > 0;
          i87 = i104 + 8 | 0;
          i78 = i104 + 40 | 0;
          i103 = i104 + 44 | 0;
          i111 = i82;
          while (1) {
           L1075 : do if ((i80 | 0) == (get32(i111 + 4 | 0) | 0)) {
            if ((get8(i99 >> 0 | 0) | 0) != (get8(i111 + 24 >> 0 | 0) | 0)) break;
            i110 = i111 + 40 | 0;
            i114 = i111 + 44 | 0;
            if (!i77) {
             i239 = i111;
             break L1071;
            }
            i113 = get32(i111 + 8 | 0) | 0;
            i115 = get32(i87 | 0) | 0;
            i120 = 0;
            while (1) {
             if ((get32(i113 + (i120 << 2) | 0) | 0) != (get32(i115 + (i120 << 2) | 0) | 0)) break L1075;
             if ((get8((get32(i110 | 0) | 0) + i120 >> 0 | 0) | 0) != (get8((get32(i78 | 0) | 0) + i120 >> 0 | 0) | 0)) break L1075;
             i118 = get32((get32(i114 | 0) | 0) + (i120 << 2) | 0) | 0;
             i119 = get32((get32(i103 | 0) | 0) + (i120 << 2) | 0) | 0;
             i121 = (i119 | 0) == 0;
             if (!i118) {
              if (!i121) break L1075;
             } else {
              if (i121) break L1075;
              i121 = get8(i118 >> 0 | 0) | 0;
              L1087 : do if (!(i121 << 24 >> 24)) {
               i240 = 0;
               i241 = i119;
              } else {
               i242 = i121;
               i243 = i118;
               i244 = i119;
               while (1) {
                if ((get8(16286 + (i242 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i244 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
                 i240 = i242;
                 i241 = i244;
                 break L1087;
                }
                i243 = i243 + 1 | 0;
                i245 = i244 + 1 | 0;
                i242 = get8(i243 >> 0 | 0) | 0;
                if (!(i242 << 24 >> 24)) {
                 i240 = 0;
                 i241 = i245;
                 break;
                } else i244 = i245;
               }
              } while (0);
              if ((get8(16286 + (i240 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i241 >> 0 | 0) | 0) >> 0 | 0) | 0)) break L1075;
             }
             i120 = i120 + 1 | 0;
             if ((i120 | 0) >= (i80 | 0)) {
              i239 = i111;
              break L1071;
             }
            }
           } while (0);
           i111 = get32(i111 + 32 | 0) | 0;
           if (!i111) {
            i239 = 0;
            break;
           }
          }
         } while (0);
         i82 = get32(i81 | 0) | 0;
         i105 = get32(i112 | 0) | 0;
         do if ((i105 | 0) > (i82 | 0)) {
          i246 = i82;
          i247 = get32(i233 | 0) | 0;
          i248 = i105;
          i33 = 782;
         } else {
          i111 = _sqlite3DbRealloc(get32(i126 | 0) | 0, get32(i233 | 0) | 0, (i105 | 0) == 0 ? 1020 : i105 * 40 | 0) | 0;
          if (!i111) {
           i249 = get32(i112 | 0) | 0;
           i250 = get32(i81 | 0) | 0;
           break;
          }
          i80 = get32(i126 | 0) | 0;
          do if (!i80) i33 = 780; else {
           if ((get32(i80 + 260 | 0) | 0) >>> 0 > i111 >>> 0) {
            i33 = 780;
            break;
           }
           if ((get32(i80 + 264 | 0) | 0) >>> 0 <= i111 >>> 0) {
            i33 = 780;
            break;
           }
           i251 = getU16(i80 + 232 | 0) | 0;
          } while (0);
          if ((i33 | 0) == 780) {
           i33 = 0;
           i251 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i111) | 0;
          }
          i80 = (i251 >>> 0) / 20 | 0;
          set32(i112 | 0, i80 | 0);
          set32(i233 | 0, i111 | 0);
          i246 = get32(i81 | 0) | 0;
          i247 = i111;
          i248 = i80;
          i33 = 782;
         } while (0);
         if ((i33 | 0) == 782) {
          i33 = 0;
          i105 = i246 + 1 | 0;
          set32(i81 | 0, i105 | 0);
          set8(i247 + (i82 * 20 | 0) >> 0 | 0, 43 | 0);
          set8(i247 + (i82 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
          set32(i247 + (i82 * 20 | 0) + 4 | 0, i86 | 0);
          set32(i247 + (i82 * 20 | 0) + 8 | 0, 0 | 0);
          set32(i247 + (i82 * 20 | 0) + 12 | 0, 0 | 0);
          set32(i247 + (i82 * 20 | 0) + 16 | 0, 0 | 0);
          set8(i247 + (i82 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
          i249 = i248;
          i250 = i105;
         }
         do if ((i249 | 0) > (i250 | 0)) {
          i252 = i250;
          i253 = get32(i233 | 0) | 0;
          i33 = 792;
         } else {
          i105 = _sqlite3DbRealloc(get32(i126 | 0) | 0, get32(i233 | 0) | 0, (i249 | 0) == 0 ? 1020 : i249 * 40 | 0) | 0;
          if (!i105) break;
          i80 = get32(i126 | 0) | 0;
          do if (!i80) i33 = 790; else {
           if ((get32(i80 + 260 | 0) | 0) >>> 0 > i105 >>> 0) {
            i33 = 790;
            break;
           }
           if ((get32(i80 + 264 | 0) | 0) >>> 0 <= i105 >>> 0) {
            i33 = 790;
            break;
           }
           i254 = getU16(i80 + 232 | 0) | 0;
          } while (0);
          if ((i33 | 0) == 790) {
           i33 = 0;
           i254 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i105) | 0;
          }
          set32(i112 | 0, (i254 >>> 0) / 20 | 0 | 0);
          set32(i233 | 0, i105 | 0);
          i252 = get32(i81 | 0) | 0;
          i253 = i105;
          i33 = 792;
         } while (0);
         if ((i33 | 0) == 792) {
          i33 = 0;
          set32(i81 | 0, i252 + 1 | 0);
          set8(i253 + (i250 * 20 | 0) >> 0 | 0, 43 | 0);
          set8(i253 + (i250 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
          set32(i253 + (i250 * 20 | 0) + 4 | 0, i85 | 0);
          set32(i253 + (i250 * 20 | 0) + 8 | 0, 0 | 0);
          set32(i253 + (i250 * 20 | 0) + 12 | 0, 0 | 0);
          set32(i253 + (i250 * 20 | 0) + 16 | 0, 0 | 0);
          set8(i253 + (i250 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         }
         i82 = get32(i239 + 4 | 0) | 0;
         i80 = i82 + 12 + (i82 << 2) | 0;
         i111 = get32(i1 | 0) | 0;
         L1125 : do if (!i111) {
          if ((i80 + -1 | 0) >>> 0 > 2147483390) {
           i255 = 0;
           i256 = 0;
           break;
          }
          if (!(get32(50 * 4 | 0) | 0)) {
           i257 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i80) | 0;
           i33 = 832;
           break;
          }
          i103 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i80) | 0;
          set32(35 * 4 | 0, i80 | 0);
          if ((get32(45 * 4 | 0) | 0) < (i80 | 0)) set32(45 * 4 | 0, i80 | 0);
          i78 = get32(6 * 4 | 0) | 0;
          do if (i78) {
           i87 = get32(30 * 4 | 0) | 0;
           i77 = ((i87 | 0) < 0) << 31 >> 31;
           i99 = 16;
           i108 = _i64Subtract(get32(i99 | 0) | 0, get32(i99 + 4 | 0) | 0, i103 | 0, ((i103 | 0) < 0) << 31 >> 31 | 0) | 0;
           i99 = tempRet0;
           if ((i77 | 0) < (i99 | 0) | (i77 | 0) == (i99 | 0) & i87 >>> 0 < i108 >>> 0) {
            set32(11 * 4 | 0, 0 | 0);
            break;
           } else {
            set32(11 * 4 | 0, 1 | 0);
            i108 = get32(7 * 4 | 0) | 0;
            set32(6 * 4 | 0, 0 | 0);
            FUNCTION_TABLE_viiii[i78 & 15](i108, i87, i77, i103);
            set32(6 * 4 | 0, i78 | 0);
            set32(7 * 4 | 0, i108 | 0);
            break;
           }
          } while (0);
          i78 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i103) | 0;
          if (!i78) {
           i255 = 0;
           i256 = 0;
           break;
          }
          i105 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i78) | 0;
          i108 = (get32(30 * 4 | 0) | 0) + i105 | 0;
          set32(30 * 4 | 0, i108 | 0);
          if ((i108 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i108 | 0);
          i108 = get32(39 * 4 | 0) | 0;
          i105 = i108 + 1 | 0;
          set32(39 * 4 | 0, i105 | 0);
          if ((i108 | 0) < (get32(49 * 4 | 0) | 0)) {
           i258 = i78;
           i33 = 833;
           break;
          }
          set32(49 * 4 | 0, i105 | 0);
          i258 = i78;
          i33 = 833;
         } else {
          i78 = i111 + 30 | 0;
          if (get8(i78 >> 0 | 0) | 0) {
           i255 = 0;
           i256 = 0;
           break;
          }
          do if (get8(i111 + 234 >> 0 | 0) | 0) {
           if ((getU16(i111 + 232 | 0) | 0) < (i80 | 0)) {
            i105 = i111 + 248 | 0;
            set32(i105 | 0, (get32(i105 | 0) | 0) + 1 | 0);
            break;
           }
           i105 = i111 + 256 | 0;
           i108 = get32(i105 | 0) | 0;
           if (!i108) {
            i77 = i111 + 252 | 0;
            set32(i77 | 0, (get32(i77 | 0) | 0) + 1 | 0);
            break;
           }
           set32(i105 | 0, get32(i108 | 0) | 0);
           i105 = i111 + 236 | 0;
           i77 = get32(i105 | 0) | 0;
           i87 = i77 + 1 | 0;
           set32(i105 | 0, i87 | 0);
           i105 = i111 + 244 | 0;
           set32(i105 | 0, (get32(i105 | 0) | 0) + 1 | 0);
           i105 = i111 + 240 | 0;
           if ((i77 | 0) >= (get32(i105 | 0) | 0)) set32(i105 | 0, i87 | 0);
           i257 = i108;
           i33 = 832;
           break L1125;
          } while (0);
          do if ((i80 + -1 | 0) >>> 0 <= 2147483390) {
           if (!(get32(50 * 4 | 0) | 0)) {
            i103 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i80) | 0;
            if (!i103) break; else {
             i258 = i103;
             i33 = 833;
             break L1125;
            }
           }
           i103 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i80) | 0;
           set32(35 * 4 | 0, i80 | 0);
           if ((get32(45 * 4 | 0) | 0) < (i80 | 0)) set32(45 * 4 | 0, i80 | 0);
           i108 = get32(6 * 4 | 0) | 0;
           do if (i108) {
            i87 = get32(30 * 4 | 0) | 0;
            i105 = ((i87 | 0) < 0) << 31 >> 31;
            i77 = 16;
            i99 = _i64Subtract(get32(i77 | 0) | 0, get32(i77 + 4 | 0) | 0, i103 | 0, ((i103 | 0) < 0) << 31 >> 31 | 0) | 0;
            i77 = tempRet0;
            if ((i105 | 0) < (i77 | 0) | (i105 | 0) == (i77 | 0) & i87 >>> 0 < i99 >>> 0) {
             set32(11 * 4 | 0, 0 | 0);
             break;
            } else {
             set32(11 * 4 | 0, 1 | 0);
             i99 = get32(7 * 4 | 0) | 0;
             set32(6 * 4 | 0, 0 | 0);
             FUNCTION_TABLE_viiii[i108 & 15](i99, i87, i105, i103);
             set32(6 * 4 | 0, i108 | 0);
             set32(7 * 4 | 0, i99 | 0);
             break;
            }
           } while (0);
           i108 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i103) | 0;
           if (!i108) break;
           i99 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i108) | 0;
           i105 = (get32(30 * 4 | 0) | 0) + i99 | 0;
           set32(30 * 4 | 0, i105 | 0);
           if ((i105 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i105 | 0);
           i105 = get32(39 * 4 | 0) | 0;
           i99 = i105 + 1 | 0;
           set32(39 * 4 | 0, i99 | 0);
           if ((i105 | 0) < (get32(49 * 4 | 0) | 0)) {
            i258 = i108;
            i33 = 833;
            break L1125;
           }
           set32(49 * 4 | 0, i99 | 0);
           i258 = i108;
           i33 = 833;
           break L1125;
          } while (0);
          set8(i78 >> 0 | 0, 1 | 0);
          i255 = 0;
          i256 = 0;
         } while (0);
         if ((i33 | 0) == 832) {
          i33 = 0;
          if (!i257) {
           i255 = 0;
           i256 = 0;
          } else {
           i258 = i257;
           i33 = 833;
          }
         }
         if ((i33 | 0) == 833) {
          i33 = 0;
          _memset(i258 | 0, 0, i80 | 0) | 0;
          i108 = get32(i1 | 0) | 0;
          set32(i258 | 0, i108 | 0);
          i99 = i258 + 12 | 0;
          i105 = i258 + 8 | 0;
          set32(i105 | 0, i99 + (i82 << 2) | 0);
          L1183 : do if ((i82 | 0) > 0) {
           i87 = i239 + 44 | 0;
           i77 = i239 + 40 | 0;
           i39 = i108;
           i107 = 0;
           while (1) {
            i120 = get32((get32(i87 | 0) | 0) + (i107 << 2) | 0) | 0;
            i114 = get8((get32((get32(i39 + 8 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0) | 0;
            i110 = get8(i39 + 124 >> 0 | 0) | 0;
            i115 = _sqlite3FindCollSeq(i39, i114, i120, i110 & 255) | 0;
            do if (!(i110 << 24 >> 24)) {
             if ((i115 | 0) != 0 ? (get32(i115 + 12 | 0) | 0) != 0 : 0) {
              i259 = i115;
              break;
             }
             i113 = _sqlite3GetCollSeq(i39, i114, i115, i120) | 0;
             if (i113) {
              i259 = i113;
              break;
             }
             set32(i12 | 0, i120 | 0);
             _sqlite3ErrorMsg(i1, 30475, i12);
             i259 = 0;
            } else i259 = i115; while (0);
            set32(i99 + (i107 << 2) | 0, i259 | 0);
            set8((get32(i105 | 0) | 0) + i107 >> 0 | 0, get8((get32(i77 | 0) | 0) + i107 >> 0 | 0) | 0 | 0);
            i115 = i107 + 1 | 0;
            if ((i115 | 0) == (i82 | 0)) break L1183;
            i39 = get32(i1 | 0) | 0;
            i107 = i115;
           }
          } while (0);
          set16(i258 + 6 | 0, i82 | 0);
          i255 = i258;
          i256 = i258;
         }
         if (!(get32(i27 | 0) | 0)) i260 = i256; else {
          _sqlite3DbFree(i111, i255);
          i260 = 0;
         }
         i105 = get32(i239 + 20 | 0) | 0;
         i99 = get32(i81 | 0) | 0;
         i108 = get32(i112 | 0) | 0;
         do if ((i108 | 0) > (i99 | 0)) {
          i261 = i99;
          i262 = get32(i233 | 0) | 0;
          i33 = 854;
         } else {
          i80 = _sqlite3DbRealloc(get32(i126 | 0) | 0, get32(i233 | 0) | 0, (i108 | 0) == 0 ? 1020 : i108 * 40 | 0) | 0;
          if (!i80) {
           i263 = 1;
           break;
          }
          i107 = get32(i126 | 0) | 0;
          do if (!i107) i33 = 852; else {
           if ((get32(i107 + 260 | 0) | 0) >>> 0 > i80 >>> 0) {
            i33 = 852;
            break;
           }
           if ((get32(i107 + 264 | 0) | 0) >>> 0 <= i80 >>> 0) {
            i33 = 852;
            break;
           }
           i264 = getU16(i107 + 232 | 0) | 0;
          } while (0);
          if ((i33 | 0) == 852) {
           i33 = 0;
           i264 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i80) | 0;
          }
          set32(i112 | 0, (i264 >>> 0) / 20 | 0 | 0);
          set32(i233 | 0, i80 | 0);
          i261 = get32(i81 | 0) | 0;
          i262 = i80;
          i33 = 854;
         } while (0);
         if ((i33 | 0) == 854) {
          i33 = 0;
          set32(i81 | 0, i261 + 1 | 0);
          set8(i262 + (i99 * 20 | 0) >> 0 | 0, 38 | 0);
          set8(i262 + (i99 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
          set32(i262 + (i99 * 20 | 0) + 4 | 0, i86 | 0);
          set32(i262 + (i99 * 20 | 0) + 8 | 0, i105 | 0);
          set32(i262 + (i99 * 20 | 0) + 12 | 0, i123 | 0);
          set32(i262 + (i99 * 20 | 0) + 16 | 0, 0 | 0);
          set8(i262 + (i99 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
          i263 = i99;
         }
         i108 = get32(i126 | 0) | 0;
         i111 = get32(i233 | 0) | 0;
         do if (i111) {
          if (get8(i108 + 30 >> 0 | 0) | 0) {
           i33 = 857;
           break;
          }
          if ((i263 | 0) < 0) i265 = (get32(i81 | 0) | 0) + -1 | 0; else i265 = i263;
          i82 = i111 + (i265 * 20 | 0) + 1 | 0;
          i107 = i111 + (i265 * 20 | 0) + 16 | 0;
          _freeP4(i108, get8(i82 >> 0 | 0) | 0, get32(i107 | 0) | 0);
          set32(i107 | 0, 0 | 0);
          if (!i260) {
           set32(i107 | 0, 0 | 0);
           set8(i82 >> 0 | 0, 0 | 0);
           break;
          } else {
           set32(i107 | 0, i260 | 0);
           set8(i82 >> 0 | 0, -6 | 0);
           break;
          }
         } else i33 = 857; while (0);
         do if ((i33 | 0) == 857) {
          i33 = 0;
          if (!i260) break;
          _sqlite3DbFree(i108, i260);
         } while (0);
         i108 = get32(i104 + 4 | 0) | 0;
         i111 = i108 + 12 + (i108 << 2) | 0;
         i99 = get32(i1 | 0) | 0;
         L1227 : do if (!i99) {
          if ((i111 + -1 | 0) >>> 0 > 2147483390) {
           i266 = 0;
           i267 = 0;
           break;
          }
          if (!(get32(50 * 4 | 0) | 0)) {
           i268 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i111) | 0;
           i33 = 903;
           break;
          }
          i105 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i111) | 0;
          set32(35 * 4 | 0, i111 | 0);
          if ((get32(45 * 4 | 0) | 0) < (i111 | 0)) set32(45 * 4 | 0, i111 | 0);
          i82 = get32(6 * 4 | 0) | 0;
          do if (i82) {
           i107 = get32(30 * 4 | 0) | 0;
           i39 = ((i107 | 0) < 0) << 31 >> 31;
           i77 = 16;
           i87 = _i64Subtract(get32(i77 | 0) | 0, get32(i77 + 4 | 0) | 0, i105 | 0, ((i105 | 0) < 0) << 31 >> 31 | 0) | 0;
           i77 = tempRet0;
           if ((i39 | 0) < (i77 | 0) | (i39 | 0) == (i77 | 0) & i107 >>> 0 < i87 >>> 0) {
            set32(11 * 4 | 0, 0 | 0);
            break;
           } else {
            set32(11 * 4 | 0, 1 | 0);
            i87 = get32(7 * 4 | 0) | 0;
            set32(6 * 4 | 0, 0 | 0);
            FUNCTION_TABLE_viiii[i82 & 15](i87, i107, i39, i105);
            set32(6 * 4 | 0, i82 | 0);
            set32(7 * 4 | 0, i87 | 0);
            break;
           }
          } while (0);
          i82 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i105) | 0;
          if (!i82) {
           i266 = 0;
           i267 = 0;
           break;
          }
          i80 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i82) | 0;
          i87 = (get32(30 * 4 | 0) | 0) + i80 | 0;
          set32(30 * 4 | 0, i87 | 0);
          if ((i87 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i87 | 0);
          i87 = get32(39 * 4 | 0) | 0;
          i80 = i87 + 1 | 0;
          set32(39 * 4 | 0, i80 | 0);
          if ((i87 | 0) < (get32(49 * 4 | 0) | 0)) {
           i269 = i82;
           i33 = 904;
           break;
          }
          set32(49 * 4 | 0, i80 | 0);
          i269 = i82;
          i33 = 904;
         } else {
          i82 = i99 + 30 | 0;
          if (get8(i82 >> 0 | 0) | 0) {
           i266 = 0;
           i267 = 0;
           break;
          }
          do if (get8(i99 + 234 >> 0 | 0) | 0) {
           if ((getU16(i99 + 232 | 0) | 0) < (i111 | 0)) {
            i80 = i99 + 248 | 0;
            set32(i80 | 0, (get32(i80 | 0) | 0) + 1 | 0);
            break;
           }
           i80 = i99 + 256 | 0;
           i87 = get32(i80 | 0) | 0;
           if (!i87) {
            i39 = i99 + 252 | 0;
            set32(i39 | 0, (get32(i39 | 0) | 0) + 1 | 0);
            break;
           }
           set32(i80 | 0, get32(i87 | 0) | 0);
           i80 = i99 + 236 | 0;
           i39 = get32(i80 | 0) | 0;
           i107 = i39 + 1 | 0;
           set32(i80 | 0, i107 | 0);
           i80 = i99 + 244 | 0;
           set32(i80 | 0, (get32(i80 | 0) | 0) + 1 | 0);
           i80 = i99 + 240 | 0;
           if ((i39 | 0) >= (get32(i80 | 0) | 0)) set32(i80 | 0, i107 | 0);
           i268 = i87;
           i33 = 903;
           break L1227;
          } while (0);
          do if ((i111 + -1 | 0) >>> 0 <= 2147483390) {
           if (!(get32(50 * 4 | 0) | 0)) {
            i105 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i111) | 0;
            if (!i105) break; else {
             i269 = i105;
             i33 = 904;
             break L1227;
            }
           }
           i105 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i111) | 0;
           set32(35 * 4 | 0, i111 | 0);
           if ((get32(45 * 4 | 0) | 0) < (i111 | 0)) set32(45 * 4 | 0, i111 | 0);
           i87 = get32(6 * 4 | 0) | 0;
           do if (i87) {
            i107 = get32(30 * 4 | 0) | 0;
            i80 = ((i107 | 0) < 0) << 31 >> 31;
            i39 = 16;
            i77 = _i64Subtract(get32(i39 | 0) | 0, get32(i39 + 4 | 0) | 0, i105 | 0, ((i105 | 0) < 0) << 31 >> 31 | 0) | 0;
            i39 = tempRet0;
            if ((i80 | 0) < (i39 | 0) | (i80 | 0) == (i39 | 0) & i107 >>> 0 < i77 >>> 0) {
             set32(11 * 4 | 0, 0 | 0);
             break;
            } else {
             set32(11 * 4 | 0, 1 | 0);
             i77 = get32(7 * 4 | 0) | 0;
             set32(6 * 4 | 0, 0 | 0);
             FUNCTION_TABLE_viiii[i87 & 15](i77, i107, i80, i105);
             set32(6 * 4 | 0, i87 | 0);
             set32(7 * 4 | 0, i77 | 0);
             break;
            }
           } while (0);
           i87 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i105) | 0;
           if (!i87) break;
           i77 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i87) | 0;
           i80 = (get32(30 * 4 | 0) | 0) + i77 | 0;
           set32(30 * 4 | 0, i80 | 0);
           if ((i80 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i80 | 0);
           i80 = get32(39 * 4 | 0) | 0;
           i77 = i80 + 1 | 0;
           set32(39 * 4 | 0, i77 | 0);
           if ((i80 | 0) < (get32(49 * 4 | 0) | 0)) {
            i269 = i87;
            i33 = 904;
            break L1227;
           }
           set32(49 * 4 | 0, i77 | 0);
           i269 = i87;
           i33 = 904;
           break L1227;
          } while (0);
          set8(i82 >> 0 | 0, 1 | 0);
          i266 = 0;
          i267 = 0;
         } while (0);
         if ((i33 | 0) == 903) {
          i33 = 0;
          if (!i268) {
           i266 = 0;
           i267 = 0;
          } else {
           i269 = i268;
           i33 = 904;
          }
         }
         if ((i33 | 0) == 904) {
          i33 = 0;
          _memset(i269 | 0, 0, i111 | 0) | 0;
          i87 = get32(i1 | 0) | 0;
          set32(i269 | 0, i87 | 0);
          i77 = i269 + 12 | 0;
          i80 = i269 + 8 | 0;
          set32(i80 | 0, i77 + (i108 << 2) | 0);
          L1285 : do if ((i108 | 0) > 0) {
           i107 = i104 + 44 | 0;
           i39 = i104 + 40 | 0;
           i78 = i87;
           i115 = 0;
           while (1) {
            i120 = get32((get32(i107 | 0) | 0) + (i115 << 2) | 0) | 0;
            i114 = get8((get32((get32(i78 + 8 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0) | 0;
            i110 = get8(i78 + 124 >> 0 | 0) | 0;
            i103 = _sqlite3FindCollSeq(i78, i114, i120, i110 & 255) | 0;
            do if (!(i110 << 24 >> 24)) {
             if ((i103 | 0) != 0 ? (get32(i103 + 12 | 0) | 0) != 0 : 0) {
              i270 = i103;
              break;
             }
             i113 = _sqlite3GetCollSeq(i78, i114, i103, i120) | 0;
             if (i113) {
              i270 = i113;
              break;
             }
             set32(i11 | 0, i120 | 0);
             _sqlite3ErrorMsg(i1, 30475, i11);
             i270 = 0;
            } else i270 = i103; while (0);
            set32(i77 + (i115 << 2) | 0, i270 | 0);
            set8((get32(i80 | 0) | 0) + i115 >> 0 | 0, get8((get32(i39 | 0) | 0) + i115 >> 0 | 0) | 0 | 0);
            i103 = i115 + 1 | 0;
            if ((i103 | 0) == (i108 | 0)) break L1285;
            i78 = get32(i1 | 0) | 0;
            i115 = i103;
           }
          } while (0);
          set16(i269 + 6 | 0, i108 | 0);
          i266 = i269;
          i267 = i269;
         }
         if (!(get32(i27 | 0) | 0)) i271 = i267; else {
          _sqlite3DbFree(i99, i266);
          i271 = 0;
         }
         i80 = get32(i104 + 20 | 0) | 0;
         i77 = get32(i81 | 0) | 0;
         i87 = get32(i112 | 0) | 0;
         do if ((i87 | 0) > (i77 | 0)) {
          i272 = i77;
          i273 = get32(i233 | 0) | 0;
          i33 = 925;
         } else {
          i111 = _sqlite3DbRealloc(get32(i126 | 0) | 0, get32(i233 | 0) | 0, (i87 | 0) == 0 ? 1020 : i87 * 40 | 0) | 0;
          if (!i111) {
           i274 = 1;
           break;
          }
          i115 = get32(i126 | 0) | 0;
          do if (!i115) i33 = 923; else {
           if ((get32(i115 + 260 | 0) | 0) >>> 0 > i111 >>> 0) {
            i33 = 923;
            break;
           }
           if ((get32(i115 + 264 | 0) | 0) >>> 0 <= i111 >>> 0) {
            i33 = 923;
            break;
           }
           i275 = getU16(i115 + 232 | 0) | 0;
          } while (0);
          if ((i33 | 0) == 923) {
           i33 = 0;
           i275 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i111) | 0;
          }
          set32(i112 | 0, (i275 >>> 0) / 20 | 0 | 0);
          set32(i233 | 0, i111 | 0);
          i272 = get32(i81 | 0) | 0;
          i273 = i111;
          i33 = 925;
         } while (0);
         if ((i33 | 0) == 925) {
          i33 = 0;
          set32(i81 | 0, i272 + 1 | 0);
          set8(i273 + (i77 * 20 | 0) >> 0 | 0, 39 | 0);
          set8(i273 + (i77 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
          set32(i273 + (i77 * 20 | 0) + 4 | 0, i85 | 0);
          set32(i273 + (i77 * 20 | 0) + 8 | 0, i80 | 0);
          set32(i273 + (i77 * 20 | 0) + 12 | 0, i56 | 0);
          set32(i273 + (i77 * 20 | 0) + 16 | 0, 0 | 0);
          set8(i273 + (i77 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
          i274 = i77;
         }
         i87 = get32(i126 | 0) | 0;
         i99 = get32(i233 | 0) | 0;
         do if (i99) {
          if (get8(i87 + 30 >> 0 | 0) | 0) {
           i33 = 928;
           break;
          }
          if ((i274 | 0) < 0) i276 = (get32(i81 | 0) | 0) + -1 | 0; else i276 = i274;
          i108 = i99 + (i276 * 20 | 0) + 1 | 0;
          i115 = i99 + (i276 * 20 | 0) + 16 | 0;
          _freeP4(i87, get8(i108 >> 0 | 0) | 0, get32(i115 | 0) | 0);
          set32(i115 | 0, 0 | 0);
          if (!i271) {
           set32(i115 | 0, 0 | 0);
           set8(i108 >> 0 | 0, 0 | 0);
           break;
          } else {
           set32(i115 | 0, i271 | 0);
           set8(i108 >> 0 | 0, -6 | 0);
           break;
          }
         } else i33 = 928; while (0);
         do if ((i33 | 0) == 928) {
          i33 = 0;
          if (!i271) break;
          _sqlite3DbFree(i87, i271);
         } while (0);
         i87 = get32(i81 | 0) | 0;
         i99 = get32(i112 | 0) | 0;
         do if ((i99 | 0) > (i87 | 0)) {
          i277 = i87;
          i278 = get32(i233 | 0) | 0;
          i279 = i99;
          i33 = 945;
         } else {
          i77 = _sqlite3DbRealloc(get32(i126 | 0) | 0, get32(i233 | 0) | 0, (i99 | 0) == 0 ? 1020 : i99 * 40 | 0) | 0;
          if (!i77) {
           i280 = 1;
           i281 = get32(i112 | 0) | 0;
           i282 = get32(i81 | 0) | 0;
           break;
          }
          i80 = get32(i126 | 0) | 0;
          do if (!i80) i33 = 943; else {
           if ((get32(i80 + 260 | 0) | 0) >>> 0 > i77 >>> 0) {
            i33 = 943;
            break;
           }
           if ((get32(i80 + 264 | 0) | 0) >>> 0 <= i77 >>> 0) {
            i33 = 943;
            break;
           }
           i283 = getU16(i80 + 232 | 0) | 0;
          } while (0);
          if ((i33 | 0) == 943) {
           i33 = 0;
           i283 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i77) | 0;
          }
          i80 = (i283 >>> 0) / 20 | 0;
          set32(i112 | 0, i80 | 0);
          set32(i233 | 0, i77 | 0);
          i277 = get32(i81 | 0) | 0;
          i278 = i77;
          i279 = i80;
          i33 = 945;
         } while (0);
         if ((i33 | 0) == 945) {
          i33 = 0;
          i99 = i277 + 1 | 0;
          set32(i81 | 0, i99 | 0);
          set8(i278 + (i87 * 20 | 0) >> 0 | 0, 65 | 0);
          set8(i278 + (i87 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
          set32(i278 + (i87 * 20 | 0) + 4 | 0, i86 | 0);
          set32(i278 + (i87 * 20 | 0) + 8 | 0, 0 | 0);
          set32(i278 + (i87 * 20 | 0) + 12 | 0, 0 | 0);
          set32(i278 + (i87 * 20 | 0) + 16 | 0, 0 | 0);
          set8(i278 + (i87 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
          i280 = i87;
          i281 = i279;
          i282 = i99;
         }
         do if ((i281 | 0) > (i282 | 0)) {
          i284 = i282;
          i285 = get32(i233 | 0) | 0;
          i286 = i281;
          i33 = 956;
         } else {
          i99 = _sqlite3DbRealloc(get32(i126 | 0) | 0, get32(i233 | 0) | 0, (i281 | 0) == 0 ? 1020 : i281 * 40 | 0) | 0;
          if (!i99) {
           i287 = get32(i112 | 0) | 0;
           i288 = get32(i81 | 0) | 0;
           break;
          }
          i80 = get32(i126 | 0) | 0;
          do if (!i80) i33 = 954; else {
           if ((get32(i80 + 260 | 0) | 0) >>> 0 > i99 >>> 0) {
            i33 = 954;
            break;
           }
           if ((get32(i80 + 264 | 0) | 0) >>> 0 <= i99 >>> 0) {
            i33 = 954;
            break;
           }
           i289 = getU16(i80 + 232 | 0) | 0;
          } while (0);
          if ((i33 | 0) == 954) {
           i33 = 0;
           i289 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i99) | 0;
          }
          i80 = (i289 >>> 0) / 20 | 0;
          set32(i112 | 0, i80 | 0);
          set32(i233 | 0, i99 | 0);
          i284 = get32(i81 | 0) | 0;
          i285 = i99;
          i286 = i80;
          i33 = 956;
         } while (0);
         if ((i33 | 0) == 956) {
          i33 = 0;
          i87 = i284 + 1 | 0;
          set32(i81 | 0, i87 | 0);
          set8(i285 + (i282 * 20 | 0) >> 0 | 0, 59 | 0);
          set8(i285 + (i282 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
          set32(i285 + (i282 * 20 | 0) + 4 | 0, i86 | 0);
          set32(i285 + (i282 * 20 | 0) + 8 | 0, i188 | 0);
          set32(i285 + (i282 * 20 | 0) + 12 | 0, 0 | 0);
          set32(i285 + (i282 * 20 | 0) + 16 | 0, 0 | 0);
          set8(i285 + (i282 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
          i287 = i286;
          i288 = i87;
         }
         do if ((i287 | 0) > (i288 | 0)) {
          i290 = i288;
          i291 = get32(i233 | 0) | 0;
          i292 = i287;
          i33 = 967;
         } else {
          i87 = _sqlite3DbRealloc(get32(i126 | 0) | 0, get32(i233 | 0) | 0, (i287 | 0) == 0 ? 1020 : i287 * 40 | 0) | 0;
          if (!i87) {
           i293 = get32(i112 | 0) | 0;
           i294 = get32(i81 | 0) | 0;
           break;
          }
          i80 = get32(i126 | 0) | 0;
          do if (!i80) i33 = 965; else {
           if ((get32(i80 + 260 | 0) | 0) >>> 0 > i87 >>> 0) {
            i33 = 965;
            break;
           }
           if ((get32(i80 + 264 | 0) | 0) >>> 0 <= i87 >>> 0) {
            i33 = 965;
            break;
           }
           i295 = getU16(i80 + 232 | 0) | 0;
          } while (0);
          if ((i33 | 0) == 965) {
           i33 = 0;
           i295 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i87) | 0;
          }
          i80 = (i295 >>> 0) / 20 | 0;
          set32(i112 | 0, i80 | 0);
          set32(i233 | 0, i87 | 0);
          i290 = get32(i81 | 0) | 0;
          i291 = i87;
          i292 = i80;
          i33 = 967;
         } while (0);
         if ((i33 | 0) == 967) {
          i33 = 0;
          i80 = i290 + 1 | 0;
          set32(i81 | 0, i80 | 0);
          set8(i291 + (i288 * 20 | 0) >> 0 | 0, 70 | 0);
          set8(i291 + (i288 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
          set32(i291 + (i288 * 20 | 0) + 4 | 0, i85 | 0);
          set32(i291 + (i288 * 20 | 0) + 8 | 0, i188 | 0);
          set32(i291 + (i288 * 20 | 0) + 12 | 0, 1 | 0);
          set32(i291 + (i288 * 20 | 0) + 16 | 0, 0 | 0);
          set8(i291 + (i288 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
          i293 = i292;
          i294 = i80;
         }
         i80 = i280 + 1 | 0;
         do if ((i293 | 0) > (i294 | 0)) {
          i296 = i294;
          i297 = get32(i233 | 0) | 0;
          i33 = 978;
         } else {
          i99 = _sqlite3DbRealloc(get32(i126 | 0) | 0, get32(i233 | 0) | 0, (i293 | 0) == 0 ? 1020 : i293 * 40 | 0) | 0;
          if (!i99) {
           i298 = get32(i81 | 0) | 0;
           break;
          }
          i77 = get32(i126 | 0) | 0;
          do if (!i77) i33 = 976; else {
           if ((get32(i77 + 260 | 0) | 0) >>> 0 > i99 >>> 0) {
            i33 = 976;
            break;
           }
           if ((get32(i77 + 264 | 0) | 0) >>> 0 <= i99 >>> 0) {
            i33 = 976;
            break;
           }
           i299 = getU16(i77 + 232 | 0) | 0;
          } while (0);
          if ((i33 | 0) == 976) {
           i33 = 0;
           i299 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i99) | 0;
          }
          set32(i112 | 0, (i299 >>> 0) / 20 | 0 | 0);
          set32(i233 | 0, i99 | 0);
          i296 = get32(i81 | 0) | 0;
          i297 = i99;
          i33 = 978;
         } while (0);
         if ((i33 | 0) == 978) {
          i33 = 0;
          i77 = i296 + 1 | 0;
          set32(i81 | 0, i77 | 0);
          set8(i297 + (i294 * 20 | 0) >> 0 | 0, 67 | 0);
          set8(i297 + (i294 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
          set32(i297 + (i294 * 20 | 0) + 4 | 0, i86 | 0);
          set32(i297 + (i294 * 20 | 0) + 8 | 0, i80 | 0);
          set32(i297 + (i294 * 20 | 0) + 12 | 0, 0 | 0);
          set32(i297 + (i294 * 20 | 0) + 16 | 0, 0 | 0);
          set8(i297 + (i294 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
          i298 = i77;
         }
         if ((i298 | 0) > (i280 | 0)) set32((get32(i233 | 0) | 0) + (i280 * 20 | 0) + 8 | 0, i298 | 0);
         i104 = get32(i104 + 32 | 0) | 0;
         if (!i104) {
          i238 = i298;
          break;
         }
        }
       }
       if ((i238 | 0) > (i183 | 0)) set32((get32(i233 | 0) | 0) + (i183 * 20 | 0) + 8 | 0, i238 | 0);
       L1400 : do if (i189) {
        i104 = get8(i79 >> 0 | 0) | 0;
        if ((i104 & 255) >= 8) break;
        do if ((get32(i1 + 112 | 0) | 0) == (i189 | 0)) i300 = i1 + 96 | 0; else {
         if ((get32(i1 + 136 | 0) | 0) == (i189 | 0)) {
          i300 = i1 + 120 | 0;
          break;
         }
         if ((get32(i1 + 160 | 0) | 0) == (i189 | 0)) {
          i300 = i1 + 144 | 0;
          break;
         }
         if ((get32(i1 + 184 | 0) | 0) == (i189 | 0)) {
          i300 = i1 + 168 | 0;
          break;
         }
         if ((get32(i1 + 208 | 0) | 0) == (i189 | 0)) {
          i300 = i1 + 192 | 0;
          break;
         }
         if ((get32(i1 + 232 | 0) | 0) == (i189 | 0)) {
          i300 = i1 + 216 | 0;
          break;
         }
         if ((get32(i1 + 256 | 0) | 0) == (i189 | 0)) {
          i300 = i1 + 240 | 0;
          break;
         }
         if ((get32(i1 + 280 | 0) | 0) == (i189 | 0)) {
          i300 = i1 + 264 | 0;
          break;
         }
         if ((get32(i1 + 304 | 0) | 0) == (i189 | 0)) {
          i300 = i1 + 288 | 0;
          break;
         }
         if ((get32(i1 + 328 | 0) | 0) == (i189 | 0)) {
          i300 = i1 + 312 | 0;
          break;
         }
         set8(i79 >> 0 | 0, i104 + 1 << 24 >> 24 | 0);
         set32(i1 + 24 + ((i104 & 255) << 2) | 0, i189 | 0);
         break L1400;
        } while (0);
        set8(i300 + 8 >> 0 | 0, 1 | 0);
       } while (0);
       L1416 : do if (i188) {
        i104 = get8(i79 >> 0 | 0) | 0;
        if ((i104 & 255) >= 8) break;
        do if ((get32(i1 + 112 | 0) | 0) == (i188 | 0)) i301 = i1 + 96 | 0; else {
         if ((get32(i1 + 136 | 0) | 0) == (i188 | 0)) {
          i301 = i1 + 120 | 0;
          break;
         }
         if ((get32(i1 + 160 | 0) | 0) == (i188 | 0)) {
          i301 = i1 + 144 | 0;
          break;
         }
         if ((get32(i1 + 184 | 0) | 0) == (i188 | 0)) {
          i301 = i1 + 168 | 0;
          break;
         }
         if ((get32(i1 + 208 | 0) | 0) == (i188 | 0)) {
          i301 = i1 + 192 | 0;
          break;
         }
         if ((get32(i1 + 232 | 0) | 0) == (i188 | 0)) {
          i301 = i1 + 216 | 0;
          break;
         }
         if ((get32(i1 + 256 | 0) | 0) == (i188 | 0)) {
          i301 = i1 + 240 | 0;
          break;
         }
         if ((get32(i1 + 280 | 0) | 0) == (i188 | 0)) {
          i301 = i1 + 264 | 0;
          break;
         }
         if ((get32(i1 + 304 | 0) | 0) == (i188 | 0)) {
          i301 = i1 + 288 | 0;
          break;
         }
         if ((get32(i1 + 328 | 0) | 0) == (i188 | 0)) {
          i301 = i1 + 312 | 0;
          break;
         }
         set8(i79 >> 0 | 0, i104 + 1 << 24 >> 24 | 0);
         set32(i1 + 24 + ((i104 & 255) << 2) | 0, i188 | 0);
         break L1416;
        } while (0);
        set8(i301 + 8 >> 0 | 0, 1 | 0);
       } while (0);
       i79 = get32(i81 | 0) | 0;
       i104 = get32(i112 | 0) | 0;
       do if ((i104 | 0) > (i79 | 0)) {
        i302 = i79;
        i303 = get32(i233 | 0) | 0;
        i304 = i104;
        i33 = 1022;
       } else {
        i80 = _sqlite3DbRealloc(get32(i126 | 0) | 0, get32(i233 | 0) | 0, (i104 | 0) == 0 ? 1020 : i104 * 40 | 0) | 0;
        if (!i80) {
         i305 = get32(i112 | 0) | 0;
         i306 = get32(i81 | 0) | 0;
         break;
        }
        i102 = get32(i126 | 0) | 0;
        do if (!i102) i33 = 1020; else {
         if ((get32(i102 + 260 | 0) | 0) >>> 0 > i80 >>> 0) {
          i33 = 1020;
          break;
         }
         if ((get32(i102 + 264 | 0) | 0) >>> 0 <= i80 >>> 0) {
          i33 = 1020;
          break;
         }
         i307 = getU16(i102 + 232 | 0) | 0;
        } while (0);
        if ((i33 | 0) == 1020) i307 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i80) | 0;
        i102 = (i307 >>> 0) / 20 | 0;
        set32(i112 | 0, i102 | 0);
        set32(i233 | 0, i80 | 0);
        i302 = get32(i81 | 0) | 0;
        i303 = i80;
        i304 = i102;
        i33 = 1022;
       } while (0);
       if ((i33 | 0) == 1022) {
        i104 = i302 + 1 | 0;
        set32(i81 | 0, i104 | 0);
        set8(i303 + (i79 * 20 | 0) >> 0 | 0, 43 | 0);
        set8(i303 + (i79 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i303 + (i79 * 20 | 0) + 4 | 0, i86 | 0);
        set32(i303 + (i79 * 20 | 0) + 8 | 0, 0 | 0);
        set32(i303 + (i79 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i303 + (i79 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i303 + (i79 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i305 = i304;
        i306 = i104;
       }
       do if ((i305 | 0) > (i306 | 0)) {
        i308 = i306;
        i309 = get32(i233 | 0) | 0;
        i33 = 1032;
       } else {
        i104 = _sqlite3DbRealloc(get32(i126 | 0) | 0, get32(i233 | 0) | 0, (i305 | 0) == 0 ? 1020 : i305 * 40 | 0) | 0;
        if (!i104) break;
        i102 = get32(i126 | 0) | 0;
        do if (!i102) i33 = 1030; else {
         if ((get32(i102 + 260 | 0) | 0) >>> 0 > i104 >>> 0) {
          i33 = 1030;
          break;
         }
         if ((get32(i102 + 264 | 0) | 0) >>> 0 <= i104 >>> 0) {
          i33 = 1030;
          break;
         }
         i310 = getU16(i102 + 232 | 0) | 0;
        } while (0);
        if ((i33 | 0) == 1030) i310 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i104) | 0;
        set32(i112 | 0, (i310 >>> 0) / 20 | 0 | 0);
        set32(i233 | 0, i104 | 0);
        i308 = get32(i81 | 0) | 0;
        i309 = i104;
        i33 = 1032;
       } while (0);
       if ((i33 | 0) == 1032) {
        set32(i81 | 0, i308 + 1 | 0);
        set8(i309 + (i306 * 20 | 0) >> 0 | 0, 43 | 0);
        set8(i309 + (i306 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i309 + (i306 * 20 | 0) + 4 | 0, i85 | 0);
        set32(i309 + (i306 * 20 | 0) + 8 | 0, 0 | 0);
        set32(i309 + (i306 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i309 + (i306 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i309 + (i306 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       }
       if (!i154) {
        i311 = 0;
        i312 = 0;
        break L186;
       }
       i79 = get32(i81 | 0) | 0;
       i86 = get32(i112 | 0) | 0;
       do if ((i86 | 0) > (i79 | 0)) {
        i313 = i79;
        i314 = get32(i233 | 0) | 0;
        i33 = 1044;
       } else {
        i102 = _sqlite3DbRealloc(get32(i126 | 0) | 0, get32(i233 | 0) | 0, (i86 | 0) == 0 ? 1020 : i86 * 40 | 0) | 0;
        if (!i102) {
         i315 = get32(i81 | 0) | 0;
         break;
        }
        i80 = get32(i126 | 0) | 0;
        do if (!i80) i33 = 1042; else {
         if ((get32(i80 + 260 | 0) | 0) >>> 0 > i102 >>> 0) {
          i33 = 1042;
          break;
         }
         if ((get32(i80 + 264 | 0) | 0) >>> 0 <= i102 >>> 0) {
          i33 = 1042;
          break;
         }
         i316 = getU16(i80 + 232 | 0) | 0;
        } while (0);
        if ((i33 | 0) == 1042) i316 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i102) | 0;
        set32(i112 | 0, (i316 >>> 0) / 20 | 0 | 0);
        set32(i233 | 0, i102 | 0);
        i313 = get32(i81 | 0) | 0;
        i314 = i102;
        i33 = 1044;
       } while (0);
       if ((i33 | 0) == 1044) {
        i86 = i313 + 1 | 0;
        set32(i81 | 0, i86 | 0);
        set8(i314 + (i79 * 20 | 0) >> 0 | 0, 6 | 0);
        set8(i314 + (i79 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i74 = i314 + (i79 * 20 | 0) + 3 | 0;
        i75 = i74 + 17 | 0;
        do {
         set8(i74 >> 0 | 0, 0 | 0);
         i74 = i74 + 1 | 0;
        } while ((i74 | 0) < (i75 | 0));
        i315 = i86;
       }
       if ((i315 | 0) > (i154 | 0)) set32((get32(i233 | 0) | 0) + (i154 * 20 | 0) + 8 | 0, i315 | 0);
       i79 = get32(i112 | 0) | 0;
       if ((i79 | 0) > (i315 | 0)) {
        i317 = i315;
        i318 = get32(i233 | 0) | 0;
       } else {
        i80 = _sqlite3DbRealloc(get32(i126 | 0) | 0, get32(i233 | 0) | 0, (i79 | 0) == 0 ? 1020 : i79 * 40 | 0) | 0;
        if (!i80) {
         i33 = 1057;
         break L186;
        }
        i79 = get32(i126 | 0) | 0;
        do if (!i79) i33 = 1054; else {
         if ((get32(i79 + 260 | 0) | 0) >>> 0 > i80 >>> 0) {
          i33 = 1054;
          break;
         }
         if ((get32(i79 + 264 | 0) | 0) >>> 0 <= i80 >>> 0) {
          i33 = 1054;
          break;
         }
         i319 = getU16(i79 + 232 | 0) | 0;
        } while (0);
        if ((i33 | 0) == 1054) i319 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i80) | 0;
        set32(i112 | 0, (i319 >>> 0) / 20 | 0 | 0);
        set32(i233 | 0, i80 | 0);
        i317 = get32(i81 | 0) | 0;
        i318 = i80;
       }
       set32(i81 | 0, i317 + 1 | 0);
       set8(i318 + (i315 * 20 | 0) >> 0 | 0, 43 | 0);
       set8(i318 + (i315 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i318 + (i315 * 20 | 0) + 4 | 0, i85 | 0);
       set32(i318 + (i315 * 20 | 0) + 8 | 0, 0 | 0);
       set32(i318 + (i315 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i318 + (i315 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i318 + (i315 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i33 = 1057;
       break L186;
      } while (0);
      if (!i76) {
       set32(i14 | 0, 25690 | 0);
       set32(i14 + 4 | 0, i46 | 0);
       _sqlite3ErrorMsg(i1, 25714, i14);
      } else {
       set32(i15 | 0, 25690 | 0);
       set32(i15 + 4 | 0, i76 | 0);
       set32(i15 + 8 | 0, i46 | 0);
       _sqlite3ErrorMsg(i1, 25704, i15);
      }
      set8(i1 + 18 >> 0 | 0, 1 | 0);
      i33 = 1057;
     } while (0);
     do if ((i33 | 0) == 1057) {
      L1501 : do if (!(get8(i30 >> 0 | 0) & 8)) i320 = 0; else {
       i37 = get32(i1 + 424 | 0) | 0;
       i47 = (i37 | 0) == 0 ? i1 : i37;
       i37 = i47 + 416 | 0;
       i43 = get32(i37 | 0) | 0;
       L1503 : do if (!i43) i33 = 1061; else {
        i79 = i43;
        while (1) {
         if ((get32(i79 + 4 | 0) | 0) == (i34 | 0)) {
          i321 = i79;
          break L1503;
         }
         i79 = get32(i79 | 0) | 0;
         if (!i79) {
          i33 = 1061;
          break;
         }
        }
       } while (0);
       if ((i33 | 0) == 1061) {
        i43 = get32(i1 | 0) | 0;
        L1509 : do if (!i43) {
         if (!(get32(50 * 4 | 0) | 0)) {
          i322 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](16) | 0;
          i33 = 1098;
          break;
         }
         i85 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](16) | 0;
         set32(35 * 4 | 0, 16 | 0);
         if ((get32(45 * 4 | 0) | 0) < 16) set32(45 * 4 | 0, 16 | 0);
         i81 = get32(6 * 4 | 0) | 0;
         do if (i81) {
          i80 = get32(30 * 4 | 0) | 0;
          i112 = ((i80 | 0) < 0) << 31 >> 31;
          i79 = 16;
          i102 = _i64Subtract(get32(i79 | 0) | 0, get32(i79 + 4 | 0) | 0, i85 | 0, ((i85 | 0) < 0) << 31 >> 31 | 0) | 0;
          i79 = tempRet0;
          if ((i112 | 0) < (i79 | 0) | (i112 | 0) == (i79 | 0) & i80 >>> 0 < i102 >>> 0) {
           set32(11 * 4 | 0, 0 | 0);
           break;
          } else {
           set32(11 * 4 | 0, 1 | 0);
           i102 = get32(7 * 4 | 0) | 0;
           set32(6 * 4 | 0, 0 | 0);
           FUNCTION_TABLE_viiii[i81 & 15](i102, i80, i112, i85);
           set32(6 * 4 | 0, i81 | 0);
           set32(7 * 4 | 0, i102 | 0);
           break;
          }
         } while (0);
         i81 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i85) | 0;
         if (!i81) {
          i320 = 0;
          break L1501;
         }
         i102 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i81) | 0;
         i112 = (get32(30 * 4 | 0) | 0) + i102 | 0;
         set32(30 * 4 | 0, i112 | 0);
         if ((i112 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i112 | 0);
         i112 = get32(39 * 4 | 0) | 0;
         i102 = i112 + 1 | 0;
         set32(39 * 4 | 0, i102 | 0);
         if ((i112 | 0) < (get32(49 * 4 | 0) | 0)) {
          i323 = i81;
          break;
         }
         set32(49 * 4 | 0, i102 | 0);
         i323 = i81;
        } else {
         i81 = i43 + 30 | 0;
         if (get8(i81 >> 0 | 0) | 0) {
          i320 = 0;
          break L1501;
         }
         do if (get8(i43 + 234 >> 0 | 0) | 0) {
          if ((getU16(i43 + 232 | 0) | 0) < 16) {
           i102 = i43 + 248 | 0;
           set32(i102 | 0, (get32(i102 | 0) | 0) + 1 | 0);
           break;
          }
          i102 = i43 + 256 | 0;
          i112 = get32(i102 | 0) | 0;
          if (!i112) {
           i80 = i43 + 252 | 0;
           set32(i80 | 0, (get32(i80 | 0) | 0) + 1 | 0);
           break;
          }
          set32(i102 | 0, get32(i112 | 0) | 0);
          i102 = i43 + 236 | 0;
          i80 = get32(i102 | 0) | 0;
          i79 = i80 + 1 | 0;
          set32(i102 | 0, i79 | 0);
          i102 = i43 + 244 | 0;
          set32(i102 | 0, (get32(i102 | 0) | 0) + 1 | 0);
          i102 = i43 + 240 | 0;
          if ((i80 | 0) >= (get32(i102 | 0) | 0)) set32(i102 | 0, i79 | 0);
          i322 = i112;
          i33 = 1098;
          break L1509;
         } while (0);
         do if (!(get32(50 * 4 | 0) | 0)) {
          i85 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](16) | 0;
          if (i85) {
           i323 = i85;
           break L1509;
          }
         } else {
          i85 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](16) | 0;
          set32(35 * 4 | 0, 16 | 0);
          if ((get32(45 * 4 | 0) | 0) < 16) set32(45 * 4 | 0, 16 | 0);
          i112 = get32(6 * 4 | 0) | 0;
          do if (i112) {
           i79 = get32(30 * 4 | 0) | 0;
           i102 = ((i79 | 0) < 0) << 31 >> 31;
           i80 = 16;
           i86 = _i64Subtract(get32(i80 | 0) | 0, get32(i80 + 4 | 0) | 0, i85 | 0, ((i85 | 0) < 0) << 31 >> 31 | 0) | 0;
           i80 = tempRet0;
           if ((i102 | 0) < (i80 | 0) | (i102 | 0) == (i80 | 0) & i79 >>> 0 < i86 >>> 0) {
            set32(11 * 4 | 0, 0 | 0);
            break;
           } else {
            set32(11 * 4 | 0, 1 | 0);
            i86 = get32(7 * 4 | 0) | 0;
            set32(6 * 4 | 0, 0 | 0);
            FUNCTION_TABLE_viiii[i112 & 15](i86, i79, i102, i85);
            set32(6 * 4 | 0, i112 | 0);
            set32(7 * 4 | 0, i86 | 0);
            break;
           }
          } while (0);
          i112 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i85) | 0;
          if (!i112) break;
          i99 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i112) | 0;
          i86 = (get32(30 * 4 | 0) | 0) + i99 | 0;
          set32(30 * 4 | 0, i86 | 0);
          if ((i86 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i86 | 0);
          i86 = get32(39 * 4 | 0) | 0;
          i99 = i86 + 1 | 0;
          set32(39 * 4 | 0, i99 | 0);
          if ((i86 | 0) < (get32(49 * 4 | 0) | 0)) {
           i323 = i112;
           break L1509;
          }
          set32(49 * 4 | 0, i99 | 0);
          i323 = i112;
          break L1509;
         } while (0);
         set8(i81 >> 0 | 0, 1 | 0);
         i320 = 0;
         break L1501;
        } while (0);
        if ((i33 | 0) == 1098) if (!i322) {
         i320 = 0;
         break;
        } else i323 = i322;
        set32(i323 | 0, get32(i37 | 0) | 0);
        set32(i37 | 0, i323 | 0);
        set32(i323 + 4 | 0, i34 | 0);
        set32(i323 + 8 | 0, i56 | 0);
        i43 = i47 + 72 | 0;
        i112 = get32(i43 | 0) | 0;
        set32(i323 + 12 | 0, i112 + 2 | 0);
        set32(i43 | 0, i112 + 3 | 0);
        i321 = i323;
       }
       i320 = get32(i321 + 12 | 0) | 0;
      } while (0);
      L1565 : do if (i70) {
       i46 = i1 + 72 | 0;
       i76 = (get32(i46 | 0) | 0) + 1 | 0;
       set32(i46 | 0, i76 | 0);
       i112 = i72 + 28 | 0;
       i43 = get32(i112 | 0) | 0;
       i99 = i72 + 32 | 0;
       i86 = get32(i99 | 0) | 0;
       do if ((i86 | 0) > (i43 | 0)) {
        i324 = i43;
        i325 = get32(i72 + 4 | 0) | 0;
        i326 = i86;
        i33 = 1112;
       } else {
        i102 = i72 + 4 | 0;
        i79 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i102 | 0) | 0, (i86 | 0) == 0 ? 1020 : i86 * 40 | 0) | 0;
        if (!i79) {
         i327 = get32(i112 | 0) | 0;
         i328 = get32(i99 | 0) | 0;
         break;
        }
        i80 = get32(i72 | 0) | 0;
        do if (!i80) i33 = 1110; else {
         if ((get32(i80 + 260 | 0) | 0) >>> 0 > i79 >>> 0) {
          i33 = 1110;
          break;
         }
         if ((get32(i80 + 264 | 0) | 0) >>> 0 <= i79 >>> 0) {
          i33 = 1110;
          break;
         }
         i329 = getU16(i80 + 232 | 0) | 0;
        } while (0);
        if ((i33 | 0) == 1110) i329 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i79) | 0;
        i80 = (i329 >>> 0) / 20 | 0;
        set32(i99 | 0, i80 | 0);
        set32(i102 | 0, i79 | 0);
        i324 = get32(i112 | 0) | 0;
        i325 = i79;
        i326 = i80;
        i33 = 1112;
       } while (0);
       if ((i33 | 0) == 1112) {
        i86 = i324 + 1 | 0;
        set32(i112 | 0, i86 | 0);
        set8(i325 + (i43 * 20 | 0) >> 0 | 0, 7 | 0);
        set8(i325 + (i43 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i325 + (i43 * 20 | 0) + 4 | 0, 0 | 0);
        set32(i325 + (i43 * 20 | 0) + 8 | 0, i76 | 0);
        set32(i325 + (i43 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i325 + (i43 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i325 + (i43 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i327 = i86;
        i328 = i326;
       }
       i86 = (get32(i46 | 0) | 0) + 1 | 0;
       set32(i46 | 0, i86 | 0);
       set8(i24 >> 0 | 0, 10 | 0);
       i47 = i24 + 4 | 0;
       set32(i47 | 0, i86 | 0);
       set8(i24 + 1 >> 0 | 0, 0 | 0);
       i37 = i24 + 8 | 0;
       set32(i37 | 0, 0 | 0);
       set32(i24 + 12 | 0, 0 | 0);
       i80 = i327 + 2 | 0;
       i81 = i327 + 1 | 0;
       do if ((i328 | 0) > (i327 | 0)) {
        i330 = i327;
        i331 = get32(i72 + 4 | 0) | 0;
        i332 = i328;
        i33 = 1123;
       } else {
        i104 = i72 + 4 | 0;
        i48 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i104 | 0) | 0, (i328 | 0) == 0 ? 1020 : i328 * 40 | 0) | 0;
        if (!i48) {
         i333 = get32(i99 | 0) | 0;
         i334 = get32(i112 | 0) | 0;
         break;
        }
        i88 = get32(i72 | 0) | 0;
        do if (!i88) i33 = 1121; else {
         if ((get32(i88 + 260 | 0) | 0) >>> 0 > i48 >>> 0) {
          i33 = 1121;
          break;
         }
         if ((get32(i88 + 264 | 0) | 0) >>> 0 <= i48 >>> 0) {
          i33 = 1121;
          break;
         }
         i335 = getU16(i88 + 232 | 0) | 0;
        } while (0);
        if ((i33 | 0) == 1121) i335 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i48) | 0;
        i88 = (i335 >>> 0) / 20 | 0;
        set32(i99 | 0, i88 | 0);
        set32(i104 | 0, i48 | 0);
        i330 = get32(i112 | 0) | 0;
        i331 = i48;
        i332 = i88;
        i33 = 1123;
       } while (0);
       if ((i33 | 0) == 1123) {
        i43 = i330 + 1 | 0;
        set32(i112 | 0, i43 | 0);
        set8(i331 + (i327 * 20 | 0) >> 0 | 0, 7 | 0);
        set8(i331 + (i327 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i331 + (i327 * 20 | 0) + 4 | 0, i81 | 0);
        set32(i331 + (i327 * 20 | 0) + 8 | 0, i86 | 0);
        set32(i331 + (i327 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i331 + (i327 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i331 + (i327 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i333 = i332;
        i334 = i43;
       }
       do if ((i333 | 0) > (i334 | 0)) {
        i336 = i334;
        i337 = get32(i72 + 4 | 0) | 0;
        i33 = 1133;
       } else {
        i43 = i72 + 4 | 0;
        i88 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i43 | 0) | 0, (i333 | 0) == 0 ? 1020 : i333 * 40 | 0) | 0;
        if (!i88) {
         i338 = 1;
         break;
        }
        i79 = get32(i72 | 0) | 0;
        do if (!i79) i33 = 1131; else {
         if ((get32(i79 + 260 | 0) | 0) >>> 0 > i88 >>> 0) {
          i33 = 1131;
          break;
         }
         if ((get32(i79 + 264 | 0) | 0) >>> 0 <= i88 >>> 0) {
          i33 = 1131;
          break;
         }
         i339 = getU16(i79 + 232 | 0) | 0;
        } while (0);
        if ((i33 | 0) == 1131) i339 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i88) | 0;
        set32(i99 | 0, (i339 >>> 0) / 20 | 0 | 0);
        set32(i43 | 0, i88 | 0);
        i336 = get32(i112 | 0) | 0;
        i337 = i88;
        i33 = 1133;
       } while (0);
       if ((i33 | 0) == 1133) {
        set32(i112 | 0, i336 + 1 | 0);
        set8(i337 + (i334 * 20 | 0) >> 0 | 0, 1 | 0);
        set8(i337 + (i334 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i74 = i337 + (i334 * 20 | 0) + 3 | 0;
        i75 = i74 + 17 | 0;
        do {
         set8(i74 >> 0 | 0, 0 | 0);
         i74 = i74 + 1 | 0;
        } while ((i74 | 0) < (i75 | 0));
        i338 = i334;
       }
       if (_sqlite3Select(i1, i4, i24) | 0) {
        i55 = 0;
        i33 = 2069;
        break L1;
       }
       if (get32(i27 | 0) | 0) {
        i55 = 0;
        i33 = 2069;
        break L1;
       }
       if (get8(i28 >> 0 | 0) | 0) {
        i55 = 0;
        i33 = 2069;
        break L1;
       }
       i86 = get32(i112 | 0) | 0;
       i81 = get32(i99 | 0) | 0;
       do if ((i81 | 0) > (i86 | 0)) {
        i340 = i86;
        i341 = get32(i72 + 4 | 0) | 0;
        i342 = i81;
        i33 = 1147;
       } else {
        i79 = i72 + 4 | 0;
        i48 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i79 | 0) | 0, (i81 | 0) == 0 ? 1020 : i81 * 40 | 0) | 0;
        if (!i48) {
         i343 = get32(i99 | 0) | 0;
         i344 = get32(i112 | 0) | 0;
         break;
        }
        i104 = get32(i72 | 0) | 0;
        do if (!i104) i33 = 1145; else {
         if ((get32(i104 + 260 | 0) | 0) >>> 0 > i48 >>> 0) {
          i33 = 1145;
          break;
         }
         if ((get32(i104 + 264 | 0) | 0) >>> 0 <= i48 >>> 0) {
          i33 = 1145;
          break;
         }
         i345 = getU16(i104 + 232 | 0) | 0;
        } while (0);
        if ((i33 | 0) == 1145) i345 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i48) | 0;
        i104 = (i345 >>> 0) / 20 | 0;
        set32(i99 | 0, i104 | 0);
        set32(i79 | 0, i48 | 0);
        i340 = get32(i112 | 0) | 0;
        i341 = i48;
        i342 = i104;
        i33 = 1147;
       } while (0);
       if ((i33 | 0) == 1147) {
        i81 = i340 + 1 | 0;
        set32(i112 | 0, i81 | 0);
        set8(i341 + (i86 * 20 | 0) >> 0 | 0, 7 | 0);
        set8(i341 + (i86 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i341 + (i86 * 20 | 0) + 4 | 0, 1 | 0);
        set32(i341 + (i86 * 20 | 0) + 8 | 0, i76 | 0);
        set32(i341 + (i86 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i341 + (i86 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i341 + (i86 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i343 = i342;
        i344 = i81;
       }
       i81 = get32(i47 | 0) | 0;
       do if ((i343 | 0) > (i344 | 0)) {
        i346 = i344;
        i347 = get32(i72 + 4 | 0) | 0;
        i348 = i343;
        i33 = 1158;
       } else {
        i104 = i72 + 4 | 0;
        i88 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i104 | 0) | 0, (i343 | 0) == 0 ? 1020 : i343 * 40 | 0) | 0;
        if (!i88) {
         i349 = get32(i99 | 0) | 0;
         i350 = get32(i112 | 0) | 0;
         break;
        }
        i43 = get32(i72 | 0) | 0;
        do if (!i43) i33 = 1156; else {
         if ((get32(i43 + 260 | 0) | 0) >>> 0 > i88 >>> 0) {
          i33 = 1156;
          break;
         }
         if ((get32(i43 + 264 | 0) | 0) >>> 0 <= i88 >>> 0) {
          i33 = 1156;
          break;
         }
         i351 = getU16(i43 + 232 | 0) | 0;
        } while (0);
        if ((i33 | 0) == 1156) i351 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i88) | 0;
        i43 = (i351 >>> 0) / 20 | 0;
        set32(i99 | 0, i43 | 0);
        set32(i104 | 0, i88 | 0);
        i346 = get32(i112 | 0) | 0;
        i347 = i88;
        i348 = i43;
        i33 = 1158;
       } while (0);
       if ((i33 | 0) == 1158) {
        i47 = i346 + 1 | 0;
        set32(i112 | 0, i47 | 0);
        set8(i347 + (i344 * 20 | 0) >> 0 | 0, 4 | 0);
        set8(i347 + (i344 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i347 + (i344 * 20 | 0) + 4 | 0, i81 | 0);
        set32(i347 + (i344 * 20 | 0) + 8 | 0, 0 | 0);
        set32(i347 + (i344 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i347 + (i344 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i347 + (i344 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i349 = i348;
        i350 = i47;
       }
       do if ((i349 | 0) > (i350 | 0)) {
        i352 = i350;
        i353 = get32(i72 + 4 | 0) | 0;
        i33 = 1169;
       } else {
        i47 = i72 + 4 | 0;
        i86 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i47 | 0) | 0, (i349 | 0) == 0 ? 1020 : i349 * 40 | 0) | 0;
        if (!i86) {
         i354 = get32(i112 | 0) | 0;
         break;
        }
        i43 = get32(i72 | 0) | 0;
        do if (!i43) i33 = 1167; else {
         if ((get32(i43 + 260 | 0) | 0) >>> 0 > i86 >>> 0) {
          i33 = 1167;
          break;
         }
         if ((get32(i43 + 264 | 0) | 0) >>> 0 <= i86 >>> 0) {
          i33 = 1167;
          break;
         }
         i355 = getU16(i43 + 232 | 0) | 0;
        } while (0);
        if ((i33 | 0) == 1167) i355 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i86) | 0;
        set32(i99 | 0, (i355 >>> 0) / 20 | 0 | 0);
        set32(i47 | 0, i86 | 0);
        i352 = get32(i112 | 0) | 0;
        i353 = i86;
        i33 = 1169;
       } while (0);
       if ((i33 | 0) == 1169) {
        i43 = i352 + 1 | 0;
        set32(i112 | 0, i43 | 0);
        set8(i353 + (i350 * 20 | 0) >> 0 | 0, 6 | 0);
        set8(i353 + (i350 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i353 + (i350 * 20 | 0) + 4 | 0, 2 | 0);
        set32(i353 + (i350 * 20 | 0) + 8 | 0, 2 | 0);
        set32(i353 + (i350 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i353 + (i350 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i353 + (i350 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i354 = i43;
       }
       if ((i354 | 0) > (i338 | 0)) set32((get32(i72 + 4 | 0) | 0) + (i338 * 20 | 0) + 8 | 0, i354 | 0);
       i43 = get32(i37 | 0) | 0;
       i88 = get32(get32(i4 | 0) | 0) | 0;
       L1667 : do if (!i71) {
        i104 = get32(i38 | 0) | 0;
        do if (!i104) {
         i48 = get32(i1 | 0) | 0;
         L1671 : do if (!i48) {
          if (!(get32(50 * 4 | 0) | 0)) {
           i356 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
           i33 = 1211;
           break;
          }
          i79 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
          set32(35 * 4 | 0, 192 | 0);
          if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
          i102 = get32(6 * 4 | 0) | 0;
          do if (i102) {
           i77 = get32(30 * 4 | 0) | 0;
           i87 = ((i77 | 0) < 0) << 31 >> 31;
           i111 = 16;
           i108 = _i64Subtract(get32(i111 | 0) | 0, get32(i111 + 4 | 0) | 0, i79 | 0, ((i79 | 0) < 0) << 31 >> 31 | 0) | 0;
           i111 = tempRet0;
           if ((i87 | 0) < (i111 | 0) | (i87 | 0) == (i111 | 0) & i77 >>> 0 < i108 >>> 0) {
            set32(11 * 4 | 0, 0 | 0);
            break;
           } else {
            set32(11 * 4 | 0, 1 | 0);
            i108 = get32(7 * 4 | 0) | 0;
            set32(6 * 4 | 0, 0 | 0);
            FUNCTION_TABLE_viiii[i102 & 15](i108, i77, i87, i79);
            set32(6 * 4 | 0, i102 | 0);
            set32(7 * 4 | 0, i108 | 0);
            break;
           }
          } while (0);
          i102 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i79) | 0;
          if (!i102) {
           i33 = 1212;
           break;
          }
          i108 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i102) | 0;
          i87 = (get32(30 * 4 | 0) | 0) + i108 | 0;
          set32(30 * 4 | 0, i87 | 0);
          if ((i87 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i87 | 0);
          i87 = get32(39 * 4 | 0) | 0;
          i108 = i87 + 1 | 0;
          set32(39 * 4 | 0, i108 | 0);
          if ((i87 | 0) < (get32(49 * 4 | 0) | 0)) {
           i357 = i102;
           break;
          }
          set32(49 * 4 | 0, i108 | 0);
          i357 = i102;
         } else {
          i102 = i48 + 30 | 0;
          if (get8(i102 >> 0 | 0) | 0) {
           i33 = 1212;
           break;
          }
          do if (get8(i48 + 234 >> 0 | 0) | 0) {
           if ((getU16(i48 + 232 | 0) | 0) < 192) {
            i108 = i48 + 248 | 0;
            set32(i108 | 0, (get32(i108 | 0) | 0) + 1 | 0);
            break;
           }
           i108 = i48 + 256 | 0;
           i87 = get32(i108 | 0) | 0;
           if (!i87) {
            i77 = i48 + 252 | 0;
            set32(i77 | 0, (get32(i77 | 0) | 0) + 1 | 0);
            break;
           }
           set32(i108 | 0, get32(i87 | 0) | 0);
           i108 = i48 + 236 | 0;
           i77 = get32(i108 | 0) | 0;
           i111 = i77 + 1 | 0;
           set32(i108 | 0, i111 | 0);
           i108 = i48 + 244 | 0;
           set32(i108 | 0, (get32(i108 | 0) | 0) + 1 | 0);
           i108 = i48 + 240 | 0;
           if ((i77 | 0) >= (get32(i108 | 0) | 0)) set32(i108 | 0, i111 | 0);
           i356 = i87;
           i33 = 1211;
           break L1671;
          } while (0);
          do if (!(get32(50 * 4 | 0) | 0)) {
           i79 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
           if (i79) {
            i357 = i79;
            break L1671;
           }
          } else {
           i79 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
           set32(35 * 4 | 0, 192 | 0);
           if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
           i87 = get32(6 * 4 | 0) | 0;
           do if (i87) {
            i111 = get32(30 * 4 | 0) | 0;
            i108 = ((i111 | 0) < 0) << 31 >> 31;
            i77 = 16;
            i115 = _i64Subtract(get32(i77 | 0) | 0, get32(i77 + 4 | 0) | 0, i79 | 0, ((i79 | 0) < 0) << 31 >> 31 | 0) | 0;
            i77 = tempRet0;
            if ((i108 | 0) < (i77 | 0) | (i108 | 0) == (i77 | 0) & i111 >>> 0 < i115 >>> 0) {
             set32(11 * 4 | 0, 0 | 0);
             break;
            } else {
             set32(11 * 4 | 0, 1 | 0);
             i115 = get32(7 * 4 | 0) | 0;
             set32(6 * 4 | 0, 0 | 0);
             FUNCTION_TABLE_viiii[i87 & 15](i115, i111, i108, i79);
             set32(6 * 4 | 0, i87 | 0);
             set32(7 * 4 | 0, i115 | 0);
             break;
            }
           } while (0);
           i87 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i79) | 0;
           if (!i87) break;
           i115 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i87) | 0;
           i108 = (get32(30 * 4 | 0) | 0) + i115 | 0;
           set32(30 * 4 | 0, i108 | 0);
           if ((i108 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i108 | 0);
           i108 = get32(39 * 4 | 0) | 0;
           i115 = i108 + 1 | 0;
           set32(39 * 4 | 0, i115 | 0);
           if ((i108 | 0) < (get32(49 * 4 | 0) | 0)) {
            i357 = i87;
            break L1671;
           }
           set32(49 * 4 | 0, i115 | 0);
           i357 = i87;
           break L1671;
          } while (0);
          set8(i102 >> 0 | 0, 1 | 0);
          i33 = 1212;
         } while (0);
         if ((i33 | 0) == 1211) if (!i356) i33 = 1212; else i357 = i356;
         if ((i33 | 0) == 1212) {
          set32(i38 | 0, 0 | 0);
          i358 = 0;
          break;
         }
         _memset(i357 | 0, 0, 192) | 0;
         set32(i357 | 0, i48 | 0);
         i85 = i48 + 136 | 0;
         i87 = get32(i85 | 0) | 0;
         if (i87) set32(i87 + 60 | 0, i357 | 0);
         set32(i357 + 64 | 0, i87 | 0);
         set32(i357 + 60 | 0, 0 | 0);
         set32(i85 | 0, i357 | 0);
         set32(i357 + 52 | 0, 649915045 | 0);
         set32(i38 | 0, i357 | 0);
         i85 = i357 + 28 | 0;
         i87 = i357 + 32 | 0;
         i115 = i357 + 4 | 0;
         i108 = _sqlite3DbRealloc(i48, 0, 1020) | 0;
         if (!i108) {
          i358 = i357;
          break;
         }
         i111 = get32(i357 | 0) | 0;
         do if (!i111) i33 = 1220; else {
          if ((get32(i111 + 260 | 0) | 0) >>> 0 > i108 >>> 0) {
           i33 = 1220;
           break;
          }
          if ((get32(i111 + 264 | 0) | 0) >>> 0 <= i108 >>> 0) {
           i33 = 1220;
           break;
          }
          i359 = getU16(i111 + 232 | 0) | 0;
         } while (0);
         if ((i33 | 0) == 1220) i359 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i108) | 0;
         set32(i87 | 0, (i359 >>> 0) / 20 | 0 | 0);
         set32(i115 | 0, i108 | 0);
         set32(i85 | 0, (get32(i85 | 0) | 0) + 1 | 0);
         set8(i108 >> 0 | 0, -120 | 0);
         set8(i108 + 1 >> 0 | 0, 0 | 0);
         i74 = i108 + 3 | 0;
         i75 = i74 + 17 | 0;
         do {
          set8(i74 >> 0 | 0, 0 | 0);
          i74 = i74 + 1 | 0;
         } while ((i74 | 0) < (i75 | 0));
         i358 = i357;
        } else i358 = i104; while (0);
        i104 = get32(i358 + 28 | 0) | 0;
        L1739 : do if (!(get8(i30 >> 0 | 0) & 16)) i360 = 0; else {
         i86 = get32(i1 | 0) | 0;
         i47 = get32(i34 + 52 | 0) | 0;
         if (!i47) {
          i360 = 0;
          break;
         } else i361 = i47;
         while (1) {
          if ((get32(i361 | 0) | 0) == (i86 | 0)) {
           i360 = i361;
           break L1739;
          }
          i361 = get32(i361 + 24 | 0) | 0;
          if (!i361) {
           i360 = 0;
           break;
          }
         }
        } while (0);
        if ((i104 | 0) <= (i80 | 0)) {
         i362 = i81;
         i363 = i88;
         i364 = i76;
         i365 = i43;
         i366 = 0;
         i367 = 0;
         break L1565;
        }
        i86 = (get8((get32(i358 | 0) | 0) + 30 >> 0 | 0) | 0) == 0;
        i47 = i358 + 4 | 0;
        i108 = i34 + 20 | 0;
        i85 = i34 + 16 | 0;
        i115 = i104 + -1 | 0;
        i87 = i80;
        while (1) {
         if (i86) i368 = (get32(i47 | 0) | 0) + (((i87 | 0) < 0 ? i115 : i87) * 20 | 0) | 0; else i368 = 2964;
         L1751 : do switch (get8(i368 >> 0 | 0) | 0) {
         case 38:
          {
           if ((get32(i368 + 12 | 0) | 0) != (i56 | 0)) break L1751;
           i111 = get32(i368 + 8 | 0) | 0;
           if ((i111 | 0) == (get32(i108 | 0) | 0)) break L1667;
           i48 = get32(i85 | 0) | 0;
           if (!i48) break L1751; else i369 = i48;
           do {
            if ((i111 | 0) == (get32(i369 + 20 | 0) | 0)) break L1667;
            i369 = get32(i369 + 32 | 0) | 0;
           } while ((i369 | 0) != 0);
           break;
          }
         case 127:
          {
           if ((get32(i368 + 16 | 0) | 0) == (i360 | 0)) break L1667;
           break;
          }
         default:
          {}
         } while (0);
         i87 = i87 + 1 | 0;
         if ((i87 | 0) >= (i104 | 0)) {
          i362 = i81;
          i363 = i88;
          i364 = i76;
          i365 = i43;
          i366 = 0;
          i367 = 0;
          break L1565;
         }
        }
       } while (0);
       i80 = i1 + 68 | 0;
       i37 = get32(i80 | 0) | 0;
       set32(i80 | 0, i37 + 1 | 0);
       i80 = i1 + 21 | 0;
       i104 = get8(i80 >> 0 | 0) | 0;
       do if (i104 << 24 >> 24) {
        i87 = i104 + -1 << 24 >> 24;
        set8(i80 >> 0 | 0, i87 | 0);
        i85 = get32(i1 + 24 + ((i87 & 255) << 2) | 0) | 0;
        if (!(i87 << 24 >> 24)) {
         i370 = i85;
         i371 = get32(i46 | 0) | 0;
         i33 = 1242;
         break;
        } else {
         i87 = i104 + -2 << 24 >> 24;
         set8(i80 >> 0 | 0, i87 | 0);
         i372 = i85;
         i373 = get32(i1 + 24 + ((i87 & 255) << 2) | 0) | 0;
         break;
        }
       } else {
        i87 = (get32(i46 | 0) | 0) + 1 | 0;
        set32(i46 | 0, i87 | 0);
        i370 = i87;
        i371 = i87;
        i33 = 1242;
       } while (0);
       if ((i33 | 0) == 1242) {
        i104 = i371 + 1 | 0;
        set32(i46 | 0, i104 | 0);
        i372 = i370;
        i373 = i104;
       }
       i104 = get32(i112 | 0) | 0;
       i87 = get32(i99 | 0) | 0;
       do if ((i87 | 0) > (i104 | 0)) {
        i374 = i104;
        i375 = get32(i72 + 4 | 0) | 0;
        i376 = i87;
        i33 = 1254;
       } else {
        i85 = i72 + 4 | 0;
        i108 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i85 | 0) | 0, (i87 | 0) == 0 ? 1020 : i87 * 40 | 0) | 0;
        if (!i108) {
         i377 = get32(i99 | 0) | 0;
         i378 = get32(i112 | 0) | 0;
         break;
        }
        i115 = get32(i72 | 0) | 0;
        do if (!i115) i33 = 1252; else {
         if ((get32(i115 + 260 | 0) | 0) >>> 0 > i108 >>> 0) {
          i33 = 1252;
          break;
         }
         if ((get32(i115 + 264 | 0) | 0) >>> 0 <= i108 >>> 0) {
          i33 = 1252;
          break;
         }
         i379 = getU16(i115 + 232 | 0) | 0;
        } while (0);
        if ((i33 | 0) == 1252) i379 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i108) | 0;
        i115 = (i379 >>> 0) / 20 | 0;
        set32(i99 | 0, i115 | 0);
        set32(i85 | 0, i108 | 0);
        i374 = get32(i112 | 0) | 0;
        i375 = i108;
        i376 = i115;
        i33 = 1254;
       } while (0);
       if ((i33 | 0) == 1254) {
        i87 = i374 + 1 | 0;
        set32(i112 | 0, i87 | 0);
        set8(i375 + (i104 * 20 | 0) >> 0 | 0, 41 | 0);
        set8(i375 + (i104 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i375 + (i104 * 20 | 0) + 4 | 0, i37 | 0);
        set32(i375 + (i104 * 20 | 0) + 8 | 0, i88 | 0);
        set32(i375 + (i104 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i375 + (i104 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i375 + (i104 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i377 = i376;
        i378 = i87;
       }
       do if ((i377 | 0) > (i378 | 0)) {
        i380 = i378;
        i381 = get32(i72 + 4 | 0) | 0;
        i382 = i377;
        i33 = 1265;
       } else {
        i87 = i72 + 4 | 0;
        i46 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i87 | 0) | 0, (i377 | 0) == 0 ? 1020 : i377 * 40 | 0) | 0;
        if (!i46) {
         i383 = 1;
         i384 = get32(i99 | 0) | 0;
         i385 = get32(i112 | 0) | 0;
         break;
        }
        i115 = get32(i72 | 0) | 0;
        do if (!i115) i33 = 1263; else {
         if ((get32(i115 + 260 | 0) | 0) >>> 0 > i46 >>> 0) {
          i33 = 1263;
          break;
         }
         if ((get32(i115 + 264 | 0) | 0) >>> 0 <= i46 >>> 0) {
          i33 = 1263;
          break;
         }
         i386 = getU16(i115 + 232 | 0) | 0;
        } while (0);
        if ((i33 | 0) == 1263) i386 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i46) | 0;
        i115 = (i386 >>> 0) / 20 | 0;
        set32(i99 | 0, i115 | 0);
        set32(i87 | 0, i46 | 0);
        i380 = get32(i112 | 0) | 0;
        i381 = i46;
        i382 = i115;
        i33 = 1265;
       } while (0);
       if ((i33 | 0) == 1265) {
        i104 = i380 + 1 | 0;
        set32(i112 | 0, i104 | 0);
        set8(i381 + (i378 * 20 | 0) >> 0 | 0, 4 | 0);
        set8(i381 + (i378 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i381 + (i378 * 20 | 0) + 4 | 0, i81 | 0);
        set32(i381 + (i378 * 20 | 0) + 8 | 0, 0 | 0);
        set32(i381 + (i378 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i381 + (i378 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i381 + (i378 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i383 = i378;
        i384 = i382;
        i385 = i104;
       }
       do if ((i384 | 0) > (i385 | 0)) {
        i387 = i385;
        i388 = get32(i72 + 4 | 0) | 0;
        i389 = i384;
        i33 = 1276;
       } else {
        i104 = i72 + 4 | 0;
        i115 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i104 | 0) | 0, (i384 | 0) == 0 ? 1020 : i384 * 40 | 0) | 0;
        if (!i115) {
         i390 = 1;
         i391 = get32(i99 | 0) | 0;
         i392 = get32(i112 | 0) | 0;
         break;
        }
        i108 = get32(i72 | 0) | 0;
        do if (!i108) i33 = 1274; else {
         if ((get32(i108 + 260 | 0) | 0) >>> 0 > i115 >>> 0) {
          i33 = 1274;
          break;
         }
         if ((get32(i108 + 264 | 0) | 0) >>> 0 <= i115 >>> 0) {
          i33 = 1274;
          break;
         }
         i393 = getU16(i108 + 232 | 0) | 0;
        } while (0);
        if ((i33 | 0) == 1274) i393 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i115) | 0;
        i108 = (i393 >>> 0) / 20 | 0;
        set32(i99 | 0, i108 | 0);
        set32(i104 | 0, i115 | 0);
        i387 = get32(i112 | 0) | 0;
        i388 = i115;
        i389 = i108;
        i33 = 1276;
       } while (0);
       if ((i33 | 0) == 1276) {
        i108 = i387 + 1 | 0;
        set32(i112 | 0, i108 | 0);
        set8(i388 + (i385 * 20 | 0) >> 0 | 0, 26 | 0);
        set8(i388 + (i385 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i388 + (i385 * 20 | 0) + 4 | 0, i76 | 0);
        set32(i388 + (i385 * 20 | 0) + 8 | 0, 0 | 0);
        set32(i388 + (i385 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i388 + (i385 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i388 + (i385 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i390 = i385;
        i391 = i389;
        i392 = i108;
       }
       do if ((i391 | 0) > (i392 | 0)) {
        i394 = i392;
        i395 = get32(i72 + 4 | 0) | 0;
        i396 = i391;
        i33 = 1287;
       } else {
        i108 = i72 + 4 | 0;
        i46 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i108 | 0) | 0, (i391 | 0) == 0 ? 1020 : i391 * 40 | 0) | 0;
        if (!i46) {
         i397 = get32(i99 | 0) | 0;
         i398 = get32(i112 | 0) | 0;
         break;
        }
        i87 = get32(i72 | 0) | 0;
        do if (!i87) i33 = 1285; else {
         if ((get32(i87 + 260 | 0) | 0) >>> 0 > i46 >>> 0) {
          i33 = 1285;
          break;
         }
         if ((get32(i87 + 264 | 0) | 0) >>> 0 <= i46 >>> 0) {
          i33 = 1285;
          break;
         }
         i399 = getU16(i87 + 232 | 0) | 0;
        } while (0);
        if ((i33 | 0) == 1285) i399 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i46) | 0;
        i87 = (i399 >>> 0) / 20 | 0;
        set32(i99 | 0, i87 | 0);
        set32(i108 | 0, i46 | 0);
        i394 = get32(i112 | 0) | 0;
        i395 = i46;
        i396 = i87;
        i33 = 1287;
       } while (0);
       if ((i33 | 0) == 1287) {
        i87 = i394 + 1 | 0;
        set32(i112 | 0, i87 | 0);
        set8(i395 + (i392 * 20 | 0) >> 0 | 0, 30 | 0);
        set8(i395 + (i392 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i395 + (i392 * 20 | 0) + 4 | 0, i43 | 0);
        set32(i395 + (i392 * 20 | 0) + 8 | 0, i88 | 0);
        set32(i395 + (i392 * 20 | 0) + 12 | 0, i372 | 0);
        set32(i395 + (i392 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i395 + (i392 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i397 = i396;
        i398 = i87;
       }
       do if ((i397 | 0) > (i398 | 0)) {
        i400 = i398;
        i401 = get32(i72 + 4 | 0) | 0;
        i402 = i397;
        i33 = 1298;
       } else {
        i87 = i72 + 4 | 0;
        i115 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i87 | 0) | 0, (i397 | 0) == 0 ? 1020 : i397 * 40 | 0) | 0;
        if (!i115) {
         i403 = get32(i99 | 0) | 0;
         i404 = get32(i112 | 0) | 0;
         break;
        }
        i104 = get32(i72 | 0) | 0;
        do if (!i104) i33 = 1296; else {
         if ((get32(i104 + 260 | 0) | 0) >>> 0 > i115 >>> 0) {
          i33 = 1296;
          break;
         }
         if ((get32(i104 + 264 | 0) | 0) >>> 0 <= i115 >>> 0) {
          i33 = 1296;
          break;
         }
         i405 = getU16(i104 + 232 | 0) | 0;
        } while (0);
        if ((i33 | 0) == 1296) i405 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i115) | 0;
        i104 = (i405 >>> 0) / 20 | 0;
        set32(i99 | 0, i104 | 0);
        set32(i87 | 0, i115 | 0);
        i400 = get32(i112 | 0) | 0;
        i401 = i115;
        i402 = i104;
        i33 = 1298;
       } while (0);
       if ((i33 | 0) == 1298) {
        i104 = i400 + 1 | 0;
        set32(i112 | 0, i104 | 0);
        set8(i401 + (i398 * 20 | 0) >> 0 | 0, 54 | 0);
        set8(i401 + (i398 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i401 + (i398 * 20 | 0) + 4 | 0, i37 | 0);
        set32(i401 + (i398 * 20 | 0) + 8 | 0, i373 | 0);
        set32(i401 + (i398 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i401 + (i398 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i401 + (i398 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i403 = i402;
        i404 = i104;
       }
       do if ((i403 | 0) > (i404 | 0)) {
        i406 = i404;
        i407 = get32(i72 + 4 | 0) | 0;
        i408 = i403;
        i33 = 1309;
       } else {
        i104 = i72 + 4 | 0;
        i46 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i104 | 0) | 0, (i403 | 0) == 0 ? 1020 : i403 * 40 | 0) | 0;
        if (!i46) {
         i409 = get32(i99 | 0) | 0;
         i410 = get32(i112 | 0) | 0;
         break;
        }
        i108 = get32(i72 | 0) | 0;
        do if (!i108) i33 = 1307; else {
         if ((get32(i108 + 260 | 0) | 0) >>> 0 > i46 >>> 0) {
          i33 = 1307;
          break;
         }
         if ((get32(i108 + 264 | 0) | 0) >>> 0 <= i46 >>> 0) {
          i33 = 1307;
          break;
         }
         i411 = getU16(i108 + 232 | 0) | 0;
        } while (0);
        if ((i33 | 0) == 1307) i411 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i46) | 0;
        i108 = (i411 >>> 0) / 20 | 0;
        set32(i99 | 0, i108 | 0);
        set32(i104 | 0, i46 | 0);
        i406 = get32(i112 | 0) | 0;
        i407 = i46;
        i408 = i108;
        i33 = 1309;
       } while (0);
       if ((i33 | 0) == 1309) {
        i108 = i406 + 1 | 0;
        set32(i112 | 0, i108 | 0);
        set8(i407 + (i404 * 20 | 0) >> 0 | 0, 55 | 0);
        set8(i407 + (i404 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i407 + (i404 * 20 | 0) + 4 | 0, i37 | 0);
        set32(i407 + (i404 * 20 | 0) + 8 | 0, i372 | 0);
        set32(i407 + (i404 * 20 | 0) + 12 | 0, i373 | 0);
        set32(i407 + (i404 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i407 + (i404 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i409 = i408;
        i410 = i108;
       }
       do if ((i409 | 0) > (i410 | 0)) {
        i412 = i410;
        i413 = get32(i72 + 4 | 0) | 0;
        i33 = 1320;
       } else {
        i108 = i72 + 4 | 0;
        i115 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i108 | 0) | 0, (i409 | 0) == 0 ? 1020 : i409 * 40 | 0) | 0;
        if (!i115) {
         i414 = get32(i112 | 0) | 0;
         break;
        }
        i87 = get32(i72 | 0) | 0;
        do if (!i87) i33 = 1318; else {
         if ((get32(i87 + 260 | 0) | 0) >>> 0 > i115 >>> 0) {
          i33 = 1318;
          break;
         }
         if ((get32(i87 + 264 | 0) | 0) >>> 0 <= i115 >>> 0) {
          i33 = 1318;
          break;
         }
         i415 = getU16(i87 + 232 | 0) | 0;
        } while (0);
        if ((i33 | 0) == 1318) i415 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i115) | 0;
        set32(i99 | 0, (i415 >>> 0) / 20 | 0 | 0);
        set32(i108 | 0, i115 | 0);
        i412 = get32(i112 | 0) | 0;
        i413 = i115;
        i33 = 1320;
       } while (0);
       if ((i33 | 0) == 1320) {
        i99 = i412 + 1 | 0;
        set32(i112 | 0, i99 | 0);
        set8(i413 + (i410 * 20 | 0) >> 0 | 0, 1 | 0);
        set8(i413 + (i410 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i413 + (i410 * 20 | 0) + 4 | 0, 0 | 0);
        set32(i413 + (i410 * 20 | 0) + 8 | 0, i383 | 0);
        set32(i413 + (i410 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i413 + (i410 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i413 + (i410 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i414 = i99;
       }
       if ((i414 | 0) > (i390 | 0)) set32((get32(i72 + 4 | 0) | 0) + (i390 * 20 | 0) + 8 | 0, i414 | 0);
       L1885 : do if (i372) {
        i99 = get8(i80 >> 0 | 0) | 0;
        if ((i99 & 255) >= 8) break;
        do if ((get32(i1 + 112 | 0) | 0) == (i372 | 0)) i416 = i1 + 96 | 0; else {
         if ((get32(i1 + 136 | 0) | 0) == (i372 | 0)) {
          i416 = i1 + 120 | 0;
          break;
         }
         if ((get32(i1 + 160 | 0) | 0) == (i372 | 0)) {
          i416 = i1 + 144 | 0;
          break;
         }
         if ((get32(i1 + 184 | 0) | 0) == (i372 | 0)) {
          i416 = i1 + 168 | 0;
          break;
         }
         if ((get32(i1 + 208 | 0) | 0) == (i372 | 0)) {
          i416 = i1 + 192 | 0;
          break;
         }
         if ((get32(i1 + 232 | 0) | 0) == (i372 | 0)) {
          i416 = i1 + 216 | 0;
          break;
         }
         if ((get32(i1 + 256 | 0) | 0) == (i372 | 0)) {
          i416 = i1 + 240 | 0;
          break;
         }
         if ((get32(i1 + 280 | 0) | 0) == (i372 | 0)) {
          i416 = i1 + 264 | 0;
          break;
         }
         if ((get32(i1 + 304 | 0) | 0) == (i372 | 0)) {
          i416 = i1 + 288 | 0;
          break;
         }
         if ((get32(i1 + 328 | 0) | 0) == (i372 | 0)) {
          i416 = i1 + 312 | 0;
          break;
         }
         set8(i80 >> 0 | 0, i99 + 1 << 24 >> 24 | 0);
         set32(i1 + 24 + ((i99 & 255) << 2) | 0, i372 | 0);
         break L1885;
        } while (0);
        set8(i416 + 8 >> 0 | 0, 1 | 0);
       } while (0);
       if (!i373) {
        i362 = i81;
        i363 = i88;
        i364 = i76;
        i365 = i43;
        i366 = i37;
        i367 = 1;
        break;
       }
       i112 = get8(i80 >> 0 | 0) | 0;
       if ((i112 & 255) >= 8) {
        i362 = i81;
        i363 = i88;
        i364 = i76;
        i365 = i43;
        i366 = i37;
        i367 = 1;
        break;
       }
       do if ((get32(i1 + 112 | 0) | 0) == (i373 | 0)) i417 = i1 + 96 | 0; else {
        if ((get32(i1 + 136 | 0) | 0) == (i373 | 0)) {
         i417 = i1 + 120 | 0;
         break;
        }
        if ((get32(i1 + 160 | 0) | 0) == (i373 | 0)) {
         i417 = i1 + 144 | 0;
         break;
        }
        if ((get32(i1 + 184 | 0) | 0) == (i373 | 0)) {
         i417 = i1 + 168 | 0;
         break;
        }
        if ((get32(i1 + 208 | 0) | 0) == (i373 | 0)) {
         i417 = i1 + 192 | 0;
         break;
        }
        if ((get32(i1 + 232 | 0) | 0) == (i373 | 0)) {
         i417 = i1 + 216 | 0;
         break;
        }
        if ((get32(i1 + 256 | 0) | 0) == (i373 | 0)) {
         i417 = i1 + 240 | 0;
         break;
        }
        if ((get32(i1 + 280 | 0) | 0) == (i373 | 0)) {
         i417 = i1 + 264 | 0;
         break;
        }
        if ((get32(i1 + 304 | 0) | 0) == (i373 | 0)) {
         i417 = i1 + 288 | 0;
         break;
        }
        if ((get32(i1 + 328 | 0) | 0) == (i373 | 0)) {
         i417 = i1 + 312 | 0;
         break;
        }
        set8(i80 >> 0 | 0, i112 + 1 << 24 >> 24 | 0);
        set32(i1 + 24 + ((i112 & 255) << 2) | 0, i373 | 0);
        i362 = i81;
        i363 = i88;
        i364 = i76;
        i365 = i43;
        i366 = i37;
        i367 = 1;
        break L1565;
       } while (0);
       set8(i417 + 8 >> 0 | 0, 1 | 0);
       i362 = i81;
       i363 = i88;
       i364 = i76;
       i365 = i43;
       i366 = i37;
       i367 = 1;
      } else {
       i74 = i23;
       i75 = i74 + 36 | 0;
       do {
        set32(i74 | 0, 0 | 0);
        i74 = i74 + 4 | 0;
       } while ((i74 | 0) < (i75 | 0));
       set32(i23 | 0, i1 | 0);
       L1916 : do if (!i3) i418 = 0; else {
        i37 = get32(i3 | 0) | 0;
        if ((i37 | 0) <= 0) {
         i418 = i37;
         break;
        }
        i43 = i3 + 12 | 0;
        i76 = 0;
        while (1) {
         if (_sqlite3ResolveExprNames(i23, get32((get32(i43 | 0) | 0) + (i76 * 20 | 0) | 0) | 0) | 0) break;
         i76 = i76 + 1 | 0;
         if ((i76 | 0) >= (i37 | 0)) {
          i418 = i37;
          break L1916;
         }
        }
        _sqlite3SrcListDelete(i26, i2);
        i419 = i43;
        i420 = i3;
        i421 = 0;
        i33 = 2071;
        break L1;
       } while (0);
       i362 = 0;
       i363 = i418;
       i364 = 0;
       i365 = 0;
       i366 = -1;
       i367 = 0;
      } while (0);
      do if (!(get8(i30 >> 0 | 0) & 16)) i422 = 0; else {
       i37 = get32(i34 + 8 | 0) | 0;
       if ((i37 | 0) <= 0) {
        i422 = 0;
        break;
       }
       i76 = get32(i34 + 12 | 0) | 0;
       i88 = 0;
       i81 = 0;
       while (1) {
        i112 = ((get8(i76 + (i88 * 24 | 0) + 23 >> 0 | 0) | 0) != 0 & 1) + i81 | 0;
        i88 = i88 + 1 | 0;
        if ((i88 | 0) == (i37 | 0)) {
         i422 = i112;
         break;
        } else i81 = i112;
       }
      } while (0);
      do if (i42 & (i363 | 0) != 0) {
       i81 = (get32(i34 + 8 | 0) | 0) - i422 | 0;
       if ((i363 | 0) == (i81 | 0)) break;
       set32(i10 | 0, i2 | 0);
       set32(i10 + 4 | 0, 0 | 0);
       set32(i10 + 8 | 0, i81 | 0);
       set32(i10 + 12 | 0, i363 | 0);
       _sqlite3ErrorMsg(i1, 33487, i10);
       i55 = 0;
       i33 = 2069;
       break L1;
      } while (0);
      i81 = (i5 | 0) != 0;
      L1935 : do if (i81) {
       i37 = get32(i5 + 4 | 0) | 0;
       if ((i363 | 0) != (i37 | 0)) {
        set32(i9 | 0, i363 | 0);
        set32(i9 + 4 | 0, i37 | 0);
        _sqlite3ErrorMsg(i1, 33539, i9);
        i55 = 0;
        i33 = 2069;
        break L1;
       }
       if ((i363 | 0) <= 0) {
        i423 = -1;
        break;
       }
       i37 = get32(i5 | 0) | 0;
       i88 = 0;
       do {
        set32(i37 + (i88 << 3) + 4 | 0, -1 | 0);
        i88 = i88 + 1 | 0;
       } while ((i88 | 0) != (i363 | 0));
       i88 = i34 + 12 | 0;
       i76 = i34 + 4 | 0;
       i112 = get32(i34 + 8 | 0) | 0;
       i80 = (i112 | 0) > 0;
       i99 = 0;
       i115 = -1;
       L1944 : while (1) {
        L1946 : do if (i80) {
         i108 = get32(i37 + (i99 << 3) | 0) | 0;
         i87 = get32(i88 | 0) | 0;
         i46 = get8(i108 >> 0 | 0) | 0;
         i104 = i46 << 24 >> 24 == 0;
         i85 = 0;
         while (1) {
          i47 = get32(i87 + (i85 * 24 | 0) | 0) | 0;
          L1950 : do if (i104) {
           i424 = 0;
           i425 = i47;
          } else {
           i86 = i46;
           i111 = i108;
           i102 = i47;
           while (1) {
            if ((get8(16286 + (i86 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i102 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
             i424 = i86;
             i425 = i102;
             break L1950;
            }
            i111 = i111 + 1 | 0;
            i48 = i102 + 1 | 0;
            i86 = get8(i111 >> 0 | 0) | 0;
            if (!(i86 << 24 >> 24)) {
             i424 = 0;
             i425 = i48;
             break;
            } else i102 = i48;
           }
          } while (0);
          if ((get8(16286 + (i424 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i425 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
           i426 = i85;
           break;
          }
          i47 = i85 + 1 | 0;
          if ((i47 | 0) < (i112 | 0)) i85 = i47; else {
           i427 = i47;
           i428 = i115;
           break L1946;
          }
         }
         set32(i37 + (i99 << 3) + 4 | 0, i426 | 0);
         i427 = i426;
         i428 = (i426 | 0) == (get32(i76 | 0) | 0) ? i99 : i115;
        } else {
         i427 = 0;
         i428 = i115;
        } while (0);
        do if ((i427 | 0) >= (i112 | 0)) {
         i43 = get32(i37 + (i99 << 3) | 0) | 0;
         i85 = get8(i43 >> 0 | 0) | 0;
         i108 = i85 << 24 >> 24 == 0;
         L1960 : do if (i108) {
          i429 = 0;
          i430 = 29947;
         } else {
          i46 = i85;
          i104 = i43;
          i87 = 29947;
          while (1) {
           if ((get8(16286 + (i46 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i87 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
            i429 = i46;
            i430 = i87;
            break L1960;
           }
           i104 = i104 + 1 | 0;
           i47 = i87 + 1 | 0;
           i46 = get8(i104 >> 0 | 0) | 0;
           if (!(i46 << 24 >> 24)) {
            i429 = 0;
            i430 = i47;
            break;
           } else i87 = i47;
          }
         } while (0);
         if ((get8(16286 + (i429 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i430 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
          i431 = i99;
          break;
         }
         L1966 : do if (i108) {
          i432 = 0;
          i433 = 29955;
         } else {
          i87 = i85;
          i46 = i43;
          i104 = 29955;
          while (1) {
           if ((get8(16286 + (i87 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i104 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
            i432 = i87;
            i433 = i104;
            break L1966;
           }
           i46 = i46 + 1 | 0;
           i47 = i104 + 1 | 0;
           i87 = get8(i46 >> 0 | 0) | 0;
           if (!(i87 << 24 >> 24)) {
            i432 = 0;
            i433 = i47;
            break;
           } else i104 = i47;
          }
         } while (0);
         if ((get8(16286 + (i432 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i433 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
          i431 = i99;
          break;
         }
         L1972 : do if (i108) {
          i434 = 0;
          i435 = 29961;
         } else {
          i104 = i85;
          i87 = i43;
          i46 = 29961;
          while (1) {
           if ((get8(16286 + (i104 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i46 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
            i434 = i104;
            i435 = i46;
            break L1972;
           }
           i87 = i87 + 1 | 0;
           i47 = i46 + 1 | 0;
           i104 = get8(i87 >> 0 | 0) | 0;
           if (!(i104 << 24 >> 24)) {
            i434 = 0;
            i435 = i47;
            break;
           } else i46 = i47;
          }
         } while (0);
         if ((get8(16286 + (i434 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i435 >> 0 | 0) | 0) >> 0 | 0) | 0)) i431 = i99; else {
          i436 = i43;
          break L1944;
         }
        } else i431 = i428; while (0);
        i99 = i99 + 1 | 0;
        if ((i99 | 0) >= (i363 | 0)) {
         i437 = i431;
         i33 = 1394;
         break L1935;
        } else i115 = i431;
       }
       set32(i8 | 0, i2 | 0);
       set32(i8 + 4 | 0, 0 | 0);
       set32(i8 + 8 | 0, i436 | 0);
       _sqlite3ErrorMsg(i1, 33564, i8);
       set8(i1 + 18 >> 0 | 0, 1 | 0);
       i55 = 0;
       i33 = 2069;
       break L1;
      } else {
       i437 = -1;
       i33 = 1394;
      } while (0);
      do if ((i33 | 0) == 1394) {
       if (!(i42 & (i363 | 0) > 0)) {
        i423 = i437;
        break;
       }
       i423 = get32(i34 + 4 | 0) | 0;
      } while (0);
      i115 = i26 + 12 | 0;
      do if (!(get32(i115 | 0) & 4096)) i438 = 0; else {
       i99 = i1 + 72 | 0;
       i37 = (get32(i99 | 0) | 0) + 1 | 0;
       set32(i99 | 0, i37 | 0);
       i99 = i72 + 28 | 0;
       i112 = get32(i99 | 0) | 0;
       i76 = i72 + 32 | 0;
       i88 = get32(i76 | 0) | 0;
       if ((i88 | 0) > (i112 | 0)) {
        i439 = i112;
        i440 = get32(i72 + 4 | 0) | 0;
       } else {
        i80 = i72 + 4 | 0;
        i85 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i80 | 0) | 0, (i88 | 0) == 0 ? 1020 : i88 * 40 | 0) | 0;
        if (!i85) {
         i438 = i37;
         break;
        }
        i88 = get32(i72 | 0) | 0;
        do if (!i88) i33 = 1404; else {
         if ((get32(i88 + 260 | 0) | 0) >>> 0 > i85 >>> 0) {
          i33 = 1404;
          break;
         }
         if ((get32(i88 + 264 | 0) | 0) >>> 0 <= i85 >>> 0) {
          i33 = 1404;
          break;
         }
         i441 = getU16(i88 + 232 | 0) | 0;
        } while (0);
        if ((i33 | 0) == 1404) i441 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i85) | 0;
        set32(i76 | 0, (i441 >>> 0) / 20 | 0 | 0);
        set32(i80 | 0, i85 | 0);
        i439 = get32(i99 | 0) | 0;
        i440 = i85;
       }
       set32(i99 | 0, i439 + 1 | 0);
       set8(i440 + (i112 * 20 | 0) >> 0 | 0, 7 | 0);
       set8(i440 + (i112 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i440 + (i112 * 20 | 0) + 4 | 0, 0 | 0);
       set32(i440 + (i112 * 20 | 0) + 8 | 0, i37 | 0);
       set32(i440 + (i112 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i440 + (i112 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i440 + (i112 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i438 = i37;
      } while (0);
      do if (i40) {
       i442 = 0;
       i443 = 0;
      } else {
       i88 = get32(i1 + 68 | 0) | 0;
       i108 = _sqlite3OpenTableAndIndices(i1, i34, i88, 39) | 0;
       i46 = i108 << 2;
       i104 = i46 + 4 | 0;
       if (get8(i28 >> 0 | 0) | 0) {
        i55 = 0;
        i33 = 2069;
        break L1;
       }
       do if (!(get8(i26 + 234 >> 0 | 0) | 0)) i33 = 1416; else {
        if ((getU16(i26 + 232 | 0) | 0) < (i104 | 0)) {
         i87 = i26 + 248 | 0;
         set32(i87 | 0, (get32(i87 | 0) | 0) + 1 | 0);
         i33 = 1416;
         break;
        }
        i87 = i26 + 256 | 0;
        i47 = get32(i87 | 0) | 0;
        if (!i47) {
         i102 = i26 + 252 | 0;
         set32(i102 | 0, (get32(i102 | 0) | 0) + 1 | 0);
         i33 = 1416;
         break;
        }
        set32(i87 | 0, get32(i47 | 0) | 0);
        i87 = i26 + 236 | 0;
        i102 = get32(i87 | 0) | 0;
        i86 = i102 + 1 | 0;
        set32(i87 | 0, i86 | 0);
        i87 = i26 + 244 | 0;
        set32(i87 | 0, (get32(i87 | 0) | 0) + 1 | 0);
        i87 = i26 + 240 | 0;
        if ((i102 | 0) < (get32(i87 | 0) | 0)) {
         i444 = i47;
         break;
        }
        set32(i87 | 0, i86 | 0);
        i444 = i47;
       } while (0);
       L2010 : do if ((i33 | 0) == 1416) {
        L2012 : do if ((i46 | 3) >>> 0 <= 2147483390) {
         do if (!(get32(50 * 4 | 0) | 0)) {
          i37 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i104) | 0;
          if (!i37) break L2012; else i445 = i37;
         } else {
          i37 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i104) | 0;
          set32(35 * 4 | 0, i104 | 0);
          if ((get32(45 * 4 | 0) | 0) < (i104 | 0)) set32(45 * 4 | 0, i104 | 0);
          i112 = get32(6 * 4 | 0) | 0;
          do if (i112) {
           i99 = get32(30 * 4 | 0) | 0;
           i85 = ((i99 | 0) < 0) << 31 >> 31;
           i80 = 16;
           i76 = _i64Subtract(get32(i80 | 0) | 0, get32(i80 + 4 | 0) | 0, i37 | 0, ((i37 | 0) < 0) << 31 >> 31 | 0) | 0;
           i80 = tempRet0;
           if ((i85 | 0) < (i80 | 0) | (i85 | 0) == (i80 | 0) & i99 >>> 0 < i76 >>> 0) {
            set32(11 * 4 | 0, 0 | 0);
            break;
           } else {
            set32(11 * 4 | 0, 1 | 0);
            i76 = get32(7 * 4 | 0) | 0;
            set32(6 * 4 | 0, 0 | 0);
            FUNCTION_TABLE_viiii[i112 & 15](i76, i99, i85, i37);
            set32(6 * 4 | 0, i112 | 0);
            set32(7 * 4 | 0, i76 | 0);
            break;
           }
          } while (0);
          i112 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i37) | 0;
          if (!i112) break L2012;
          i76 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i112) | 0;
          i85 = (get32(30 * 4 | 0) | 0) + i76 | 0;
          set32(30 * 4 | 0, i85 | 0);
          if ((i85 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i85 | 0);
          i85 = get32(39 * 4 | 0) | 0;
          i76 = i85 + 1 | 0;
          set32(39 * 4 | 0, i76 | 0);
          if ((i85 | 0) < (get32(49 * 4 | 0) | 0)) {
           i445 = i112;
           break;
          }
          set32(49 * 4 | 0, i76 | 0);
          i445 = i112;
         } while (0);
         i444 = i445;
         break L2010;
        } while (0);
        set8(i28 >> 0 | 0, 1 | 0);
        i55 = 0;
        i33 = 2069;
        break L1;
       } while (0);
       if ((i108 | 0) <= 0) {
        i442 = i444;
        i443 = i88;
        break;
       }
       i104 = i1 + 72 | 0;
       i46 = 0;
       do {
        i43 = (get32(i104 | 0) | 0) + 1 | 0;
        set32(i104 | 0, i43 | 0);
        set32(i444 + (i46 << 2) | 0, i43 | 0);
        i46 = i46 + 1 | 0;
       } while ((i46 | 0) != (i108 | 0));
       i442 = i444;
       i443 = i88;
      } while (0);
      i88 = (i367 | 0) != 0;
      do if (i88) {
       i108 = i72 + 28 | 0;
       i46 = get32(i108 | 0) | 0;
       i104 = i72 + 32 | 0;
       i43 = get32(i104 | 0) | 0;
       if ((i43 | 0) > (i46 | 0)) {
        i446 = i46;
        i447 = get32(i72 + 4 | 0) | 0;
       } else {
        i112 = i72 + 4 | 0;
        i76 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i112 | 0) | 0, (i43 | 0) == 0 ? 1020 : i43 * 40 | 0) | 0;
        if (!i76) {
         i448 = get32(i108 | 0) | 0;
         i449 = 1;
         break;
        }
        i43 = get32(i72 | 0) | 0;
        do if (!i43) i33 = 1444; else {
         if ((get32(i43 + 260 | 0) | 0) >>> 0 > i76 >>> 0) {
          i33 = 1444;
          break;
         }
         if ((get32(i43 + 264 | 0) | 0) >>> 0 <= i76 >>> 0) {
          i33 = 1444;
          break;
         }
         i450 = getU16(i43 + 232 | 0) | 0;
        } while (0);
        if ((i33 | 0) == 1444) i450 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i76) | 0;
        set32(i104 | 0, (i450 >>> 0) / 20 | 0 | 0);
        set32(i112 | 0, i76 | 0);
        i446 = get32(i108 | 0) | 0;
        i447 = i76;
       }
       i43 = i446 + 1 | 0;
       set32(i108 | 0, i43 | 0);
       set8(i447 + (i46 * 20 | 0) >> 0 | 0, 65 | 0);
       set8(i447 + (i46 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i447 + (i46 * 20 | 0) + 4 | 0, i366 | 0);
       set32(i447 + (i46 * 20 | 0) + 8 | 0, 0 | 0);
       set32(i447 + (i46 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i447 + (i46 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i447 + (i46 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i448 = i43;
       i449 = i46;
      } else {
       if (!i70) {
        i448 = 0;
        i449 = 0;
        break;
       }
       i43 = i72 + 28 | 0;
       i85 = get32(i43 | 0) | 0;
       i99 = i72 + 32 | 0;
       i80 = get32(i99 | 0) | 0;
       do if ((i80 | 0) > (i85 | 0)) {
        i451 = i85;
        i452 = get32(i72 + 4 | 0) | 0;
        i453 = i80;
        i33 = 1458;
       } else {
        i47 = i72 + 4 | 0;
        i86 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i47 | 0) | 0, (i80 | 0) == 0 ? 1020 : i80 * 40 | 0) | 0;
        if (!i86) {
         i454 = 1;
         i455 = get32(i99 | 0) | 0;
         i456 = get32(i43 | 0) | 0;
         break;
        }
        i87 = get32(i72 | 0) | 0;
        do if (!i87) i33 = 1456; else {
         if ((get32(i87 + 260 | 0) | 0) >>> 0 > i86 >>> 0) {
          i33 = 1456;
          break;
         }
         if ((get32(i87 + 264 | 0) | 0) >>> 0 <= i86 >>> 0) {
          i33 = 1456;
          break;
         }
         i457 = getU16(i87 + 232 | 0) | 0;
        } while (0);
        if ((i33 | 0) == 1456) i457 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i86) | 0;
        i87 = (i457 >>> 0) / 20 | 0;
        set32(i99 | 0, i87 | 0);
        set32(i47 | 0, i86 | 0);
        i451 = get32(i43 | 0) | 0;
        i452 = i86;
        i453 = i87;
        i33 = 1458;
       } while (0);
       if ((i33 | 0) == 1458) {
        i80 = i451 + 1 | 0;
        set32(i43 | 0, i80 | 0);
        set8(i452 + (i85 * 20 | 0) >> 0 | 0, 4 | 0);
        set8(i452 + (i85 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i452 + (i85 * 20 | 0) + 4 | 0, i362 | 0);
        set32(i452 + (i85 * 20 | 0) + 8 | 0, 0 | 0);
        set32(i452 + (i85 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i452 + (i85 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i452 + (i85 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i454 = i85;
        i455 = i453;
        i456 = i80;
       }
       if ((i455 | 0) > (i456 | 0)) {
        i458 = i456;
        i459 = get32(i72 + 4 | 0) | 0;
       } else {
        i80 = i72 + 4 | 0;
        i46 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i80 | 0) | 0, (i455 | 0) == 0 ? 1020 : i455 * 40 | 0) | 0;
        if (!i46) {
         i448 = i454;
         i449 = 1;
         break;
        }
        i108 = get32(i72 | 0) | 0;
        do if (!i108) i33 = 1466; else {
         if ((get32(i108 + 260 | 0) | 0) >>> 0 > i46 >>> 0) {
          i33 = 1466;
          break;
         }
         if ((get32(i108 + 264 | 0) | 0) >>> 0 <= i46 >>> 0) {
          i33 = 1466;
          break;
         }
         i460 = getU16(i108 + 232 | 0) | 0;
        } while (0);
        if ((i33 | 0) == 1466) i460 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i46) | 0;
        set32(i99 | 0, (i460 >>> 0) / 20 | 0 | 0);
        set32(i80 | 0, i46 | 0);
        i458 = get32(i43 | 0) | 0;
        i459 = i46;
       }
       set32(i43 | 0, i458 + 1 | 0);
       set8(i459 + (i456 * 20 | 0) >> 0 | 0, 26 | 0);
       set8(i459 + (i456 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i459 + (i456 * 20 | 0) + 4 | 0, i364 | 0);
       set32(i459 + (i456 * 20 | 0) + 8 | 0, 0 | 0);
       set32(i459 + (i456 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i459 + (i456 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i459 + (i456 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i448 = i454;
       i449 = i456;
      } while (0);
      i108 = i1 + 72 | 0;
      i85 = get32(i108 | 0) | 0;
      i76 = i85 + 1 | 0;
      i112 = i34 + 8 | 0;
      i104 = i76 + (get32(i112 | 0) | 0) | 0;
      set32(i108 | 0, i104 | 0);
      if (!(get8(i30 >> 0 | 0) & 16)) i461 = i76; else {
       set32(i108 | 0, i104 + 1 | 0);
       i461 = i85 + 2 | 0;
      }
      i85 = i461 + 1 | 0;
      i104 = i72 + 36 | 0;
      i87 = get32(i104 | 0) | 0;
      set32(i104 | 0, i87 + 1 | 0);
      i104 = i72 + 40 | 0;
      i102 = get32(i104 | 0) | 0;
      if ((i87 | 0) < (i102 | 0)) i462 = i72 + 44 | 0; else {
       i111 = get32(i72 | 0) | 0;
       i79 = i72 + 44 | 0;
       i48 = get32(i79 | 0) | 0;
       i77 = _sqlite3DbRealloc(i111, i48, (i102 << 3) + 20 | 0) | 0;
       do if (!i77) {
        _sqlite3DbFree(i111, i48);
        set32(i79 | 0, 0 | 0);
        i33 = 1479;
       } else {
        set32(i79 | 0, i77 | 0);
        i102 = get32(i72 | 0) | 0;
        if (!i102) {
         i33 = 1479;
         break;
        }
        if ((get32(i102 + 260 | 0) | 0) >>> 0 > i77 >>> 0) {
         i33 = 1479;
         break;
        }
        if ((get32(i102 + 264 | 0) | 0) >>> 0 <= i77 >>> 0) {
         i33 = 1479;
         break;
        }
        i463 = getU16(i102 + 232 | 0) | 0;
       } while (0);
       if ((i33 | 0) == 1479) i463 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i77) | 0;
       set32(i104 | 0, i463 >>> 2 | 0);
       i462 = i79;
      }
      i48 = get32(i462 | 0) | 0;
      if (i48) set32(i48 + (i87 << 2) | 0, -1 | 0);
      i48 = ~i87;
      do if (i64 & 1) {
       i111 = (get32(i112 | 0) | 0) + 1 | 0;
       i102 = i1 + 60 | 0;
       i78 = get32(i102 | 0) | 0;
       i39 = i1 + 56 | 0;
       i107 = get32(i39 | 0) | 0;
       if ((i107 | 0) < (i111 | 0)) {
        i82 = get32(i108 | 0) | 0;
        set32(i108 | 0, i82 + i111 | 0);
        i464 = i82 + 1 | 0;
       } else {
        set32(i102 | 0, i78 + i111 | 0);
        set32(i39 | 0, i107 - i111 | 0);
        i464 = i78;
       }
       do if ((i423 | 0) < 0) {
        i78 = i72 + 28 | 0;
        i111 = get32(i78 | 0) | 0;
        i107 = i72 + 32 | 0;
        i82 = get32(i107 | 0) | 0;
        if ((i82 | 0) > (i111 | 0)) {
         i465 = i111;
         i466 = get32(i72 + 4 | 0) | 0;
        } else {
         i103 = i72 + 4 | 0;
         i120 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i103 | 0) | 0, (i82 | 0) == 0 ? 1020 : i82 * 40 | 0) | 0;
         if (!i120) break;
         i82 = get32(i72 | 0) | 0;
         do if (!i82) i33 = 1495; else {
          if ((get32(i82 + 260 | 0) | 0) >>> 0 > i120 >>> 0) {
           i33 = 1495;
           break;
          }
          if ((get32(i82 + 264 | 0) | 0) >>> 0 <= i120 >>> 0) {
           i33 = 1495;
           break;
          }
          i467 = getU16(i82 + 232 | 0) | 0;
         } while (0);
         if ((i33 | 0) == 1495) i467 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i120) | 0;
         set32(i107 | 0, (i467 >>> 0) / 20 | 0 | 0);
         set32(i103 | 0, i120 | 0);
         i465 = get32(i78 | 0) | 0;
         i466 = i120;
        }
        set32(i78 | 0, i465 + 1 | 0);
        set8(i466 + (i111 * 20 | 0) >> 0 | 0, 7 | 0);
        set8(i466 + (i111 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i466 + (i111 * 20 | 0) + 4 | 0, -1 | 0);
        set32(i466 + (i111 * 20 | 0) + 8 | 0, i464 | 0);
        set32(i466 + (i111 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i466 + (i111 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i466 + (i111 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       } else {
        L2125 : do if (i88) {
         i82 = i72 + 28 | 0;
         i86 = get32(i82 | 0) | 0;
         i47 = i72 + 32 | 0;
         i114 = get32(i47 | 0) | 0;
         if ((i114 | 0) > (i86 | 0)) {
          i468 = i86;
          i469 = get32(i72 + 4 | 0) | 0;
         } else {
          i110 = i72 + 4 | 0;
          i105 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i110 | 0) | 0, (i114 | 0) == 0 ? 1020 : i114 * 40 | 0) | 0;
          if (!i105) break;
          i114 = get32(i72 | 0) | 0;
          do if (!i114) i33 = 1506; else {
           if ((get32(i114 + 260 | 0) | 0) >>> 0 > i105 >>> 0) {
            i33 = 1506;
            break;
           }
           if ((get32(i114 + 264 | 0) | 0) >>> 0 <= i105 >>> 0) {
            i33 = 1506;
            break;
           }
           i470 = getU16(i114 + 232 | 0) | 0;
          } while (0);
          if ((i33 | 0) == 1506) i470 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i105) | 0;
          set32(i47 | 0, (i470 >>> 0) / 20 | 0 | 0);
          set32(i110 | 0, i105 | 0);
          i468 = get32(i82 | 0) | 0;
          i469 = i105;
         }
         set32(i82 | 0, i468 + 1 | 0);
         set8(i469 + (i86 * 20 | 0) >> 0 | 0, 28 | 0);
         set8(i469 + (i86 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i469 + (i86 * 20 | 0) + 4 | 0, i366 | 0);
         set32(i469 + (i86 * 20 | 0) + 8 | 0, i423 | 0);
         set32(i469 + (i86 * 20 | 0) + 12 | 0, i464 | 0);
         set32(i469 + (i86 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i469 + (i86 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        } else {
         i114 = get32((get32(i3 + 12 | 0) | 0) + (i423 * 20 | 0) | 0) | 0;
         do if (i114) {
          if ((get8(i114 >> 0 | 0) | 0) != -124) break;
          i113 = get32(i38 | 0) | 0;
          i109 = get32(i114 + 24 | 0) | 0;
          i119 = i113 + 28 | 0;
          i118 = get32(i119 | 0) | 0;
          i121 = i113 + 32 | 0;
          i244 = get32(i121 | 0) | 0;
          if ((i244 | 0) > (i118 | 0)) {
           i471 = i118;
           i472 = get32(i113 + 4 | 0) | 0;
          } else {
           i242 = i113 + 4 | 0;
           i243 = _sqlite3DbRealloc(get32(i113 | 0) | 0, get32(i242 | 0) | 0, (i244 | 0) == 0 ? 1020 : i244 * 40 | 0) | 0;
           if (!i243) break L2125;
           i244 = get32(i113 | 0) | 0;
           do if (!i244) i33 = 1518; else {
            if ((get32(i244 + 260 | 0) | 0) >>> 0 > i243 >>> 0) {
             i33 = 1518;
             break;
            }
            if ((get32(i244 + 264 | 0) | 0) >>> 0 <= i243 >>> 0) {
             i33 = 1518;
             break;
            }
            i473 = getU16(i244 + 232 | 0) | 0;
           } while (0);
           if ((i33 | 0) == 1518) i473 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i243) | 0;
           set32(i121 | 0, (i473 >>> 0) / 20 | 0 | 0);
           set32(i242 | 0, i243 | 0);
           i471 = get32(i119 | 0) | 0;
           i472 = i243;
          }
          set32(i119 | 0, i471 + 1 | 0);
          set8(i472 + (i118 * 20 | 0) >> 0 | 0, 14 | 0);
          set8(i472 + (i118 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
          set32(i472 + (i118 * 20 | 0) + 4 | 0, i109 | 0);
          set32(i472 + (i118 * 20 | 0) + 8 | 0, i464 | 0);
          set32(i472 + (i118 * 20 | 0) + 12 | 0, 0 | 0);
          set32(i472 + (i118 * 20 | 0) + 16 | 0, 0 | 0);
          set8(i472 + (i118 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
          break L2125;
         } while (0);
         i86 = _sqlite3ExprCodeTarget(i1, i114, i464) | 0;
         if ((i86 | 0) == (i464 | 0)) break;
         i82 = get32(i38 | 0) | 0;
         if (!i82) break;
         i105 = i82 + 28 | 0;
         i110 = get32(i105 | 0) | 0;
         i47 = i82 + 32 | 0;
         i244 = get32(i47 | 0) | 0;
         if ((i244 | 0) > (i110 | 0)) {
          i474 = i110;
          i475 = get32(i82 + 4 | 0) | 0;
         } else {
          i37 = i82 + 4 | 0;
          i113 = _sqlite3DbRealloc(get32(i82 | 0) | 0, get32(i37 | 0) | 0, (i244 | 0) == 0 ? 1020 : i244 * 40 | 0) | 0;
          if (!i113) break;
          i244 = get32(i82 | 0) | 0;
          do if (!i244) i33 = 1530; else {
           if ((get32(i244 + 260 | 0) | 0) >>> 0 > i113 >>> 0) {
            i33 = 1530;
            break;
           }
           if ((get32(i244 + 264 | 0) | 0) >>> 0 <= i113 >>> 0) {
            i33 = 1530;
            break;
           }
           i476 = getU16(i244 + 232 | 0) | 0;
          } while (0);
          if ((i33 | 0) == 1530) i476 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i113) | 0;
          set32(i47 | 0, (i476 >>> 0) / 20 | 0 | 0);
          set32(i37 | 0, i113 | 0);
          i474 = get32(i105 | 0) | 0;
          i475 = i113;
         }
         set32(i105 | 0, i474 + 1 | 0);
         set8(i475 + (i110 * 20 | 0) >> 0 | 0, 15 | 0);
         set8(i475 + (i110 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i475 + (i110 * 20 | 0) + 4 | 0, i86 | 0);
         set32(i475 + (i110 * 20 | 0) + 8 | 0, i464 | 0);
         set32(i475 + (i110 * 20 | 0) + 12 | 0, 0 | 0);
         set32(i475 + (i110 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i475 + (i110 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        } while (0);
        i111 = i72 + 28 | 0;
        i78 = get32(i111 | 0) | 0;
        i120 = i72 + 32 | 0;
        i103 = get32(i120 | 0) | 0;
        do if ((i103 | 0) > (i78 | 0)) {
         i477 = i78;
         i478 = get32(i72 + 4 | 0) | 0;
         i479 = i103;
         i33 = 1543;
        } else {
         i107 = i72 + 4 | 0;
         i244 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i107 | 0) | 0, (i103 | 0) == 0 ? 1020 : i103 * 40 | 0) | 0;
         if (!i244) {
          i480 = 1;
          i481 = get32(i120 | 0) | 0;
          i482 = get32(i111 | 0) | 0;
          break;
         }
         i114 = get32(i72 | 0) | 0;
         do if (!i114) i33 = 1541; else {
          if ((get32(i114 + 260 | 0) | 0) >>> 0 > i244 >>> 0) {
           i33 = 1541;
           break;
          }
          if ((get32(i114 + 264 | 0) | 0) >>> 0 <= i244 >>> 0) {
           i33 = 1541;
           break;
          }
          i483 = getU16(i114 + 232 | 0) | 0;
         } while (0);
         if ((i33 | 0) == 1541) i483 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i244) | 0;
         i114 = (i483 >>> 0) / 20 | 0;
         set32(i120 | 0, i114 | 0);
         set32(i107 | 0, i244 | 0);
         i477 = get32(i111 | 0) | 0;
         i478 = i244;
         i479 = i114;
         i33 = 1543;
        } while (0);
        if ((i33 | 0) == 1543) {
         i103 = i477 + 1 | 0;
         set32(i111 | 0, i103 | 0);
         set8(i478 + (i78 * 20 | 0) >> 0 | 0, 74 | 0);
         set8(i478 + (i78 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i478 + (i78 * 20 | 0) + 4 | 0, i464 | 0);
         set32(i478 + (i78 * 20 | 0) + 8 | 0, 0 | 0);
         set32(i478 + (i78 * 20 | 0) + 12 | 0, 0 | 0);
         set32(i478 + (i78 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i478 + (i78 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         i480 = i78;
         i481 = i479;
         i482 = i103;
        }
        do if ((i481 | 0) > (i482 | 0)) {
         i484 = i482;
         i485 = get32(i72 + 4 | 0) | 0;
         i33 = 1554;
        } else {
         i103 = i72 + 4 | 0;
         i114 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i103 | 0) | 0, (i481 | 0) == 0 ? 1020 : i481 * 40 | 0) | 0;
         if (!i114) {
          i486 = get32(i111 | 0) | 0;
          break;
         }
         i110 = get32(i72 | 0) | 0;
         do if (!i110) i33 = 1552; else {
          if ((get32(i110 + 260 | 0) | 0) >>> 0 > i114 >>> 0) {
           i33 = 1552;
           break;
          }
          if ((get32(i110 + 264 | 0) | 0) >>> 0 <= i114 >>> 0) {
           i33 = 1552;
           break;
          }
          i487 = getU16(i110 + 232 | 0) | 0;
         } while (0);
         if ((i33 | 0) == 1552) i487 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i114) | 0;
         set32(i120 | 0, (i487 >>> 0) / 20 | 0 | 0);
         set32(i103 | 0, i114 | 0);
         i484 = get32(i111 | 0) | 0;
         i485 = i114;
         i33 = 1554;
        } while (0);
        if ((i33 | 0) == 1554) {
         i78 = i484 + 1 | 0;
         set32(i111 | 0, i78 | 0);
         set8(i485 + (i482 * 20 | 0) >> 0 | 0, 7 | 0);
         set8(i485 + (i482 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i485 + (i482 * 20 | 0) + 4 | 0, -1 | 0);
         set32(i485 + (i482 * 20 | 0) + 8 | 0, i464 | 0);
         set32(i485 + (i482 * 20 | 0) + 12 | 0, 0 | 0);
         set32(i485 + (i482 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i485 + (i482 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         i486 = i78;
        }
        if ((i486 | 0) > (i480 | 0)) set32((get32(i72 + 4 | 0) | 0) + (i480 * 20 | 0) + 8 | 0, i486 | 0);
        i78 = get32(i120 | 0) | 0;
        if ((i78 | 0) > (i486 | 0)) {
         i488 = i486;
         i489 = get32(i72 + 4 | 0) | 0;
        } else {
         i110 = i72 + 4 | 0;
         i244 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i110 | 0) | 0, (i78 | 0) == 0 ? 1020 : i78 * 40 | 0) | 0;
         if (!i244) break;
         i78 = get32(i72 | 0) | 0;
         do if (!i78) i33 = 1564; else {
          if ((get32(i78 + 260 | 0) | 0) >>> 0 > i244 >>> 0) {
           i33 = 1564;
           break;
          }
          if ((get32(i78 + 264 | 0) | 0) >>> 0 <= i244 >>> 0) {
           i33 = 1564;
           break;
          }
          i490 = getU16(i78 + 232 | 0) | 0;
         } while (0);
         if ((i33 | 0) == 1564) i490 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i244) | 0;
         set32(i120 | 0, (i490 >>> 0) / 20 | 0 | 0);
         set32(i110 | 0, i244 | 0);
         i488 = get32(i111 | 0) | 0;
         i489 = i244;
        }
        set32(i111 | 0, i488 + 1 | 0);
        set8(i489 + (i486 * 20 | 0) >> 0 | 0, 21 | 0);
        set8(i489 + (i486 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i489 + (i486 * 20 | 0) + 4 | 0, i464 | 0);
        set32(i489 + (i486 * 20 | 0) + 8 | 0, 0 | 0);
        set32(i489 + (i486 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i489 + (i486 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i489 + (i486 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       } while (0);
       i43 = get32(i112 | 0) | 0;
       if ((i43 | 0) > 0) {
        i46 = (i3 | 0) != 0 | i88;
        i80 = i5 + 4 | 0;
        i99 = i464 + 1 | 0;
        i78 = i72 + 28 | 0;
        i107 = i72 + 32 | 0;
        i86 = i72 + 4 | 0;
        i105 = i3 + 12 | 0;
        i113 = i34 + 12 | 0;
        i37 = 0;
        while (1) {
         L2223 : do if (i42) i491 = i37; else {
          i47 = get32(i80 | 0) | 0;
          if ((i47 | 0) <= 0) {
           i491 = 0;
           break;
          }
          i82 = get32(i5 | 0) | 0;
          i245 = 0;
          while (1) {
           if ((get32(i82 + (i245 << 3) + 4 | 0) | 0) == (i37 | 0)) {
            i491 = i245;
            break L2223;
           }
           i492 = i245 + 1 | 0;
           if ((i492 | 0) < (i47 | 0)) i245 = i492; else {
            i491 = i492;
            break;
           }
          }
         } while (0);
         do if (i46) {
          if (i81 ? (i491 | 0) >= (get32(i80 | 0) | 0) : 0) {
           i33 = 1577;
           break;
          }
          if (i88) {
           i111 = i37 + i99 | 0;
           i244 = get32(i78 | 0) | 0;
           i110 = get32(i107 | 0) | 0;
           if ((i110 | 0) > (i244 | 0)) {
            i493 = i244;
            i494 = get32(i86 | 0) | 0;
           } else {
            i120 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i86 | 0) | 0, (i110 | 0) == 0 ? 1020 : i110 * 40 | 0) | 0;
            if (!i120) break;
            i110 = get32(i72 | 0) | 0;
            do if (!i110) i33 = 1609; else {
             if ((get32(i110 + 260 | 0) | 0) >>> 0 > i120 >>> 0) {
              i33 = 1609;
              break;
             }
             if ((get32(i110 + 264 | 0) | 0) >>> 0 <= i120 >>> 0) {
              i33 = 1609;
              break;
             }
             i495 = getU16(i110 + 232 | 0) | 0;
            } while (0);
            if ((i33 | 0) == 1609) {
             i33 = 0;
             i495 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i120) | 0;
            }
            set32(i107 | 0, (i495 >>> 0) / 20 | 0 | 0);
            set32(i86 | 0, i120 | 0);
            i493 = get32(i78 | 0) | 0;
            i494 = i120;
           }
           set32(i78 | 0, i493 + 1 | 0);
           set8(i494 + (i244 * 20 | 0) >> 0 | 0, 28 | 0);
           set8(i494 + (i244 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
           set32(i494 + (i244 * 20 | 0) + 4 | 0, i366 | 0);
           set32(i494 + (i244 * 20 | 0) + 8 | 0, i491 | 0);
           set32(i494 + (i244 * 20 | 0) + 12 | 0, i111 | 0);
           set32(i494 + (i244 * 20 | 0) + 16 | 0, 0 | 0);
           set8(i494 + (i244 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
           break;
          }
          i110 = get32((get32(i105 | 0) | 0) + (i491 * 20 | 0) | 0) | 0;
          i245 = i37 + i99 | 0;
          i47 = get32(i38 | 0) | 0;
          do if (!i110) i33 = 1624; else {
           if ((get8(i110 >> 0 | 0) | 0) != -124) {
            i33 = 1624;
            break;
           }
           i82 = get32(i110 + 24 | 0) | 0;
           i114 = i47 + 28 | 0;
           i103 = get32(i114 | 0) | 0;
           i492 = i47 + 32 | 0;
           i496 = get32(i492 | 0) | 0;
           if ((i496 | 0) > (i103 | 0)) {
            i497 = i103;
            i498 = get32(i47 + 4 | 0) | 0;
           } else {
            i499 = i47 + 4 | 0;
            i500 = _sqlite3DbRealloc(get32(i47 | 0) | 0, get32(i499 | 0) | 0, (i496 | 0) == 0 ? 1020 : i496 * 40 | 0) | 0;
            if (!i500) break;
            i496 = get32(i47 | 0) | 0;
            do if (!i496) i33 = 1621; else {
             if ((get32(i496 + 260 | 0) | 0) >>> 0 > i500 >>> 0) {
              i33 = 1621;
              break;
             }
             if ((get32(i496 + 264 | 0) | 0) >>> 0 <= i500 >>> 0) {
              i33 = 1621;
              break;
             }
             i501 = getU16(i496 + 232 | 0) | 0;
            } while (0);
            if ((i33 | 0) == 1621) {
             i33 = 0;
             i501 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i500) | 0;
            }
            set32(i492 | 0, (i501 >>> 0) / 20 | 0 | 0);
            set32(i499 | 0, i500 | 0);
            i497 = get32(i114 | 0) | 0;
            i498 = i500;
           }
           set32(i114 | 0, i497 + 1 | 0);
           set8(i498 + (i103 * 20 | 0) >> 0 | 0, 14 | 0);
           set8(i498 + (i103 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
           set32(i498 + (i103 * 20 | 0) + 4 | 0, i82 | 0);
           set32(i498 + (i103 * 20 | 0) + 8 | 0, i245 | 0);
           set32(i498 + (i103 * 20 | 0) + 12 | 0, 0 | 0);
           set32(i498 + (i103 * 20 | 0) + 16 | 0, 0 | 0);
           set8(i498 + (i103 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
          } while (0);
          do if ((i33 | 0) == 1624) {
           i33 = 0;
           i244 = _sqlite3ExprCodeTarget(i1, i110, i245) | 0;
           if ((i244 | 0) == (i245 | 0)) break;
           i111 = get32(i38 | 0) | 0;
           if (!i111) break;
           i120 = i111 + 28 | 0;
           i496 = get32(i120 | 0) | 0;
           i118 = i111 + 32 | 0;
           i109 = get32(i118 | 0) | 0;
           if ((i109 | 0) > (i496 | 0)) {
            i502 = i496;
            i503 = get32(i111 + 4 | 0) | 0;
           } else {
            i119 = i111 + 4 | 0;
            i243 = _sqlite3DbRealloc(get32(i111 | 0) | 0, get32(i119 | 0) | 0, (i109 | 0) == 0 ? 1020 : i109 * 40 | 0) | 0;
            if (!i243) break;
            i109 = get32(i111 | 0) | 0;
            do if (!i109) i33 = 1633; else {
             if ((get32(i109 + 260 | 0) | 0) >>> 0 > i243 >>> 0) {
              i33 = 1633;
              break;
             }
             if ((get32(i109 + 264 | 0) | 0) >>> 0 <= i243 >>> 0) {
              i33 = 1633;
              break;
             }
             i504 = getU16(i109 + 232 | 0) | 0;
            } while (0);
            if ((i33 | 0) == 1633) {
             i33 = 0;
             i504 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i243) | 0;
            }
            set32(i118 | 0, (i504 >>> 0) / 20 | 0 | 0);
            set32(i119 | 0, i243 | 0);
            i502 = get32(i120 | 0) | 0;
            i503 = i243;
           }
           set32(i120 | 0, i502 + 1 | 0);
           set8(i503 + (i496 * 20 | 0) >> 0 | 0, 15 | 0);
           set8(i503 + (i496 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
           set32(i503 + (i496 * 20 | 0) + 4 | 0, i244 | 0);
           set32(i503 + (i496 * 20 | 0) + 8 | 0, i245 | 0);
           set32(i503 + (i496 * 20 | 0) + 12 | 0, 0 | 0);
           set32(i503 + (i496 * 20 | 0) + 16 | 0, 0 | 0);
           set8(i503 + (i496 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
          } while (0);
          if ((get8(i110 >> 0 | 0) | 0) == -124) break;
          i109 = (get32(i108 | 0) | 0) + 1 | 0;
          set32(i108 | 0, i109 | 0);
          i103 = i47 + 28 | 0;
          i82 = get32(i103 | 0) | 0;
          i114 = i47 + 32 | 0;
          i500 = get32(i114 | 0) | 0;
          do if ((i500 | 0) > (i82 | 0)) {
           i505 = i82;
           i506 = get32(i47 + 4 | 0) | 0;
           i33 = 1646;
          } else {
           i499 = i47 + 4 | 0;
           i492 = _sqlite3DbRealloc(get32(i47 | 0) | 0, get32(i499 | 0) | 0, (i500 | 0) == 0 ? 1020 : i500 * 40 | 0) | 0;
           if (!i492) break;
           i111 = get32(i47 | 0) | 0;
           do if (!i111) i33 = 1644; else {
            if ((get32(i111 + 260 | 0) | 0) >>> 0 > i492 >>> 0) {
             i33 = 1644;
             break;
            }
            if ((get32(i111 + 264 | 0) | 0) >>> 0 <= i492 >>> 0) {
             i33 = 1644;
             break;
            }
            i507 = getU16(i111 + 232 | 0) | 0;
           } while (0);
           if ((i33 | 0) == 1644) {
            i33 = 0;
            i507 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i492) | 0;
           }
           set32(i114 | 0, (i507 >>> 0) / 20 | 0 | 0);
           set32(i499 | 0, i492 | 0);
           i505 = get32(i103 | 0) | 0;
           i506 = i492;
           i33 = 1646;
          } while (0);
          if ((i33 | 0) == 1646) {
           i33 = 0;
           set32(i103 | 0, i505 + 1 | 0);
           set8(i506 + (i82 * 20 | 0) >> 0 | 0, 14 | 0);
           set8(i506 + (i82 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
           set32(i506 + (i82 * 20 | 0) + 4 | 0, i245 | 0);
           set32(i506 + (i82 * 20 | 0) + 8 | 0, i109 | 0);
           set32(i506 + (i82 * 20 | 0) + 12 | 0, 0 | 0);
           set32(i506 + (i82 * 20 | 0) + 16 | 0, 0 | 0);
           set8(i506 + (i82 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
          }
          set32(i110 + 24 | 0, i109 | 0);
          set8(i110 + 35 >> 0 | 0, get8(i110 >> 0 | 0) | 0 | 0);
          set8(i110 >> 0 | 0, -124 | 0);
         } else i33 = 1577; while (0);
         L2297 : do if ((i33 | 0) == 1577) {
          i33 = 0;
          i114 = get32((get32(i113 | 0) | 0) + (i37 * 24 | 0) + 4 | 0) | 0;
          i47 = i37 + i99 | 0;
          do if (i114) {
           if ((get8(i114 >> 0 | 0) | 0) != -124) break;
           i500 = get32(i38 | 0) | 0;
           i111 = get32(i114 + 24 | 0) | 0;
           i496 = i500 + 28 | 0;
           i244 = get32(i496 | 0) | 0;
           i120 = i500 + 32 | 0;
           i243 = get32(i120 | 0) | 0;
           if ((i243 | 0) > (i244 | 0)) {
            i508 = i244;
            i509 = get32(i500 + 4 | 0) | 0;
           } else {
            i119 = i500 + 4 | 0;
            i118 = _sqlite3DbRealloc(get32(i500 | 0) | 0, get32(i119 | 0) | 0, (i243 | 0) == 0 ? 1020 : i243 * 40 | 0) | 0;
            if (!i118) break L2297;
            i243 = get32(i500 | 0) | 0;
            do if (!i243) i33 = 1586; else {
             if ((get32(i243 + 260 | 0) | 0) >>> 0 > i118 >>> 0) {
              i33 = 1586;
              break;
             }
             if ((get32(i243 + 264 | 0) | 0) >>> 0 <= i118 >>> 0) {
              i33 = 1586;
              break;
             }
             i510 = getU16(i243 + 232 | 0) | 0;
            } while (0);
            if ((i33 | 0) == 1586) {
             i33 = 0;
             i510 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i118) | 0;
            }
            set32(i120 | 0, (i510 >>> 0) / 20 | 0 | 0);
            set32(i119 | 0, i118 | 0);
            i508 = get32(i496 | 0) | 0;
            i509 = i118;
           }
           set32(i496 | 0, i508 + 1 | 0);
           set8(i509 + (i244 * 20 | 0) >> 0 | 0, 14 | 0);
           set8(i509 + (i244 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
           set32(i509 + (i244 * 20 | 0) + 4 | 0, i111 | 0);
           set32(i509 + (i244 * 20 | 0) + 8 | 0, i47 | 0);
           set32(i509 + (i244 * 20 | 0) + 12 | 0, 0 | 0);
           set32(i509 + (i244 * 20 | 0) + 16 | 0, 0 | 0);
           set8(i509 + (i244 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
           break L2297;
          } while (0);
          i110 = _sqlite3ExprCodeTarget(i1, i114, i47) | 0;
          if ((i110 | 0) == (i47 | 0)) break;
          i109 = get32(i38 | 0) | 0;
          if (!i109) break;
          i82 = i109 + 28 | 0;
          i245 = get32(i82 | 0) | 0;
          i103 = i109 + 32 | 0;
          i243 = get32(i103 | 0) | 0;
          if ((i243 | 0) > (i245 | 0)) {
           i511 = i245;
           i512 = get32(i109 + 4 | 0) | 0;
          } else {
           i492 = i109 + 4 | 0;
           i499 = _sqlite3DbRealloc(get32(i109 | 0) | 0, get32(i492 | 0) | 0, (i243 | 0) == 0 ? 1020 : i243 * 40 | 0) | 0;
           if (!i499) break;
           i243 = get32(i109 | 0) | 0;
           do if (!i243) i33 = 1598; else {
            if ((get32(i243 + 260 | 0) | 0) >>> 0 > i499 >>> 0) {
             i33 = 1598;
             break;
            }
            if ((get32(i243 + 264 | 0) | 0) >>> 0 <= i499 >>> 0) {
             i33 = 1598;
             break;
            }
            i513 = getU16(i243 + 232 | 0) | 0;
           } while (0);
           if ((i33 | 0) == 1598) {
            i33 = 0;
            i513 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i499) | 0;
           }
           set32(i103 | 0, (i513 >>> 0) / 20 | 0 | 0);
           set32(i492 | 0, i499 | 0);
           i511 = get32(i82 | 0) | 0;
           i512 = i499;
          }
          set32(i82 | 0, i511 + 1 | 0);
          set8(i512 + (i245 * 20 | 0) >> 0 | 0, 15 | 0);
          set8(i512 + (i245 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
          set32(i512 + (i245 * 20 | 0) + 4 | 0, i110 | 0);
          set32(i512 + (i245 * 20 | 0) + 8 | 0, i47 | 0);
          set32(i512 + (i245 * 20 | 0) + 12 | 0, 0 | 0);
          set32(i512 + (i245 * 20 | 0) + 16 | 0, 0 | 0);
          set8(i512 + (i245 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         } while (0);
         i37 = i37 + 1 | 0;
         i243 = get32(i112 | 0) | 0;
         if ((i37 | 0) >= (i243 | 0)) {
          i514 = i243;
          break;
         }
        }
       } else i514 = i43;
       L2331 : do if (!i40) {
        i37 = i464 + 1 | 0;
        i99 = i72 + 28 | 0;
        i113 = get32(i99 | 0) | 0;
        i105 = i72 + 32 | 0;
        i78 = get32(i105 | 0) | 0;
        do if ((i78 | 0) > (i113 | 0)) {
         i515 = i113;
         i516 = get32(i72 + 4 | 0) | 0;
         i33 = 1659;
        } else {
         i86 = i72 + 4 | 0;
         i107 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i86 | 0) | 0, (i78 | 0) == 0 ? 1020 : i78 * 40 | 0) | 0;
         if (!i107) break;
         i80 = get32(i72 | 0) | 0;
         do if (!i80) i33 = 1657; else {
          if ((get32(i80 + 260 | 0) | 0) >>> 0 > i107 >>> 0) {
           i33 = 1657;
           break;
          }
          if ((get32(i80 + 264 | 0) | 0) >>> 0 <= i107 >>> 0) {
           i33 = 1657;
           break;
          }
          i517 = getU16(i80 + 232 | 0) | 0;
         } while (0);
         if ((i33 | 0) == 1657) i517 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i107) | 0;
         set32(i105 | 0, (i517 >>> 0) / 20 | 0 | 0);
         set32(i86 | 0, i107 | 0);
         i515 = get32(i99 | 0) | 0;
         i516 = i107;
         i33 = 1659;
        } while (0);
        if ((i33 | 0) == 1659) {
         set32(i99 | 0, i515 + 1 | 0);
         set8(i516 + (i113 * 20 | 0) >> 0 | 0, 29 | 0);
         set8(i516 + (i113 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i516 + (i113 * 20 | 0) + 4 | 0, i37 | 0);
         set32(i516 + (i113 * 20 | 0) + 8 | 0, i514 | 0);
         set32(i516 + (i113 * 20 | 0) + 12 | 0, 0 | 0);
         set32(i516 + (i113 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i516 + (i113 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        }
        i105 = i34 + 40 | 0;
        i78 = get32(i105 | 0) | 0;
        L2347 : do if (!i78) {
         i80 = get32(i72 | 0) | 0;
         i245 = get32(i112 | 0) | 0;
         i47 = i245 + 1 | 0;
         L2349 : do if (i245 >>> 0 <= 2147483390) {
          do if (!(get32(50 * 4 | 0) | 0)) {
           i110 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i47) | 0;
           if (!i110) break L2349; else i518 = i110;
          } else {
           i110 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i47) | 0;
           set32(35 * 4 | 0, i47 | 0);
           if ((get32(45 * 4 | 0) | 0) < (i47 | 0)) set32(45 * 4 | 0, i47 | 0);
           i82 = get32(6 * 4 | 0) | 0;
           do if (i82) {
            i499 = get32(30 * 4 | 0) | 0;
            i492 = ((i499 | 0) < 0) << 31 >> 31;
            i103 = 16;
            i46 = _i64Subtract(get32(i103 | 0) | 0, get32(i103 + 4 | 0) | 0, i110 | 0, ((i110 | 0) < 0) << 31 >> 31 | 0) | 0;
            i103 = tempRet0;
            if ((i492 | 0) < (i103 | 0) | (i492 | 0) == (i103 | 0) & i499 >>> 0 < i46 >>> 0) {
             set32(11 * 4 | 0, 0 | 0);
             break;
            } else {
             set32(11 * 4 | 0, 1 | 0);
             i46 = get32(7 * 4 | 0) | 0;
             set32(6 * 4 | 0, 0 | 0);
             FUNCTION_TABLE_viiii[i82 & 15](i46, i499, i492, i110);
             set32(6 * 4 | 0, i82 | 0);
             set32(7 * 4 | 0, i46 | 0);
             break;
            }
           } while (0);
           i82 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i110) | 0;
           if (!i82) break L2349;
           i46 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i82) | 0;
           i492 = (get32(30 * 4 | 0) | 0) + i46 | 0;
           set32(30 * 4 | 0, i492 | 0);
           if ((i492 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i492 | 0);
           i492 = get32(39 * 4 | 0) | 0;
           i46 = i492 + 1 | 0;
           set32(39 * 4 | 0, i46 | 0);
           if ((i492 | 0) < (get32(49 * 4 | 0) | 0)) {
            i518 = i82;
            break;
           }
           set32(49 * 4 | 0, i46 | 0);
           i518 = i82;
          } while (0);
          i244 = get32(i112 | 0) | 0;
          if ((i244 | 0) > 0) {
           i111 = i34 + 12 | 0;
           i496 = 0;
           do {
            set8(i518 + i496 >> 0 | 0, get8((get32(i111 | 0) | 0) + (i496 * 24 | 0) + 22 >> 0 | 0) | 0 | 0);
            i496 = i496 + 1 | 0;
            i118 = get32(i112 | 0) | 0;
           } while ((i496 | 0) < (i118 | 0));
           i519 = i118;
          } else i519 = i244;
          set8(i518 + i519 >> 0 | 0, 0 | 0);
          set32(i105 | 0, i518 | 0);
          i520 = i518;
          break L2347;
         } while (0);
         set8(i80 + 30 >> 0 | 0, 1 | 0);
         break L2331;
        } else i520 = i78; while (0);
        _sqlite3VdbeChangeP4(i72, -1, i520, 0);
       } while (0);
       i43 = get32(i112 | 0) | 0;
       i78 = i464 + -1 - i43 | 0;
       if (!i36) i521 = i43; else {
        i43 = i65;
        do {
         do if ((get8(i43 + 8 >> 0 | 0) | 0) == 105) {
          if ((get8(i43 + 9 >> 0 | 0) | 0) != 1) break;
          _sqlite3CodeRowTriggerDirect(i1, i43, i34, i78, i6, i48);
         } while (0);
         i43 = get32(i43 + 32 | 0) | 0;
        } while ((i43 | 0) != 0);
        i521 = get32(i112 | 0) | 0;
       }
       i43 = i521 + i464 | 0;
       i78 = i1 + 21 | 0;
       i105 = 0;
       i113 = i1 + 96 | 0;
       while (1) {
        i37 = i113 + 16 | 0;
        i99 = get32(i37 | 0) | 0;
        if (!((i99 | 0) < (i464 | 0) | (i99 | 0) > (i43 | 0))) {
         i47 = i113 + 8 | 0;
         if (get8(i47 >> 0 | 0) | 0) {
          i245 = get8(i78 >> 0 | 0) | 0;
          if ((i245 & 255) < 8) {
           set8(i78 >> 0 | 0, i245 + 1 << 24 >> 24 | 0);
           set32(i1 + 24 + ((i245 & 255) << 2) | 0, i99 | 0);
          }
          set8(i47 >> 0 | 0, 0 | 0);
         }
         set32(i37 | 0, 0 | 0);
        }
        i105 = i105 + 1 | 0;
        if ((i105 | 0) == 10) break; else i113 = i113 + 24 | 0;
       }
       i113 = i521 + 1 | 0;
       if ((get32(i39 | 0) | 0) >= (i113 | 0)) break;
       set32(i39 | 0, i113 | 0);
       set32(i102 | 0, i464 | 0);
      } while (0);
      do if (!i40) {
       do if (get8(i30 >> 0 | 0) & 16) {
        i108 = i72 + 28 | 0;
        i79 = get32(i108 | 0) | 0;
        i104 = i72 + 32 | 0;
        i77 = get32(i104 | 0) | 0;
        if ((i77 | 0) > (i79 | 0)) {
         i522 = i79;
         i523 = get32(i72 + 4 | 0) | 0;
        } else {
         i113 = i72 + 4 | 0;
         i105 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i113 | 0) | 0, (i77 | 0) == 0 ? 1020 : i77 * 40 | 0) | 0;
         if (!i105) break;
         i77 = get32(i72 | 0) | 0;
         do if (!i77) i33 = 1706; else {
          if ((get32(i77 + 260 | 0) | 0) >>> 0 > i105 >>> 0) {
           i33 = 1706;
           break;
          }
          if ((get32(i77 + 264 | 0) | 0) >>> 0 <= i105 >>> 0) {
           i33 = 1706;
           break;
          }
          i524 = getU16(i77 + 232 | 0) | 0;
         } while (0);
         if ((i33 | 0) == 1706) i524 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i105) | 0;
         set32(i104 | 0, (i524 >>> 0) / 20 | 0 | 0);
         set32(i113 | 0, i105 | 0);
         i522 = get32(i108 | 0) | 0;
         i523 = i105;
        }
        set32(i108 | 0, i522 + 1 | 0);
        set8(i523 + (i79 * 20 | 0) >> 0 | 0, 10 | 0);
        set8(i523 + (i79 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i523 + (i79 * 20 | 0) + 4 | 0, 0 | 0);
        set32(i523 + (i79 * 20 | 0) + 8 | 0, i76 | 0);
        set32(i523 + (i79 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i523 + (i79 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i523 + (i79 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       } while (0);
       L2417 : do if ((i423 | 0) <= -1) {
        i102 = i72 + 28 | 0;
        i39 = get32(i102 | 0) | 0;
        i77 = i72 + 32 | 0;
        i78 = get32(i77 | 0) | 0;
        i43 = (i78 | 0) > (i39 | 0);
        if (!(get8(i30 >> 0 | 0) & 16)) {
         if (i43) {
          i525 = i39;
          i526 = get32(i72 + 4 | 0) | 0;
         } else {
          i37 = i72 + 4 | 0;
          i47 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i37 | 0) | 0, (i78 | 0) == 0 ? 1020 : i78 * 40 | 0) | 0;
          if (!i47) {
           i527 = 1;
           break;
          }
          i99 = get32(i72 | 0) | 0;
          do if (!i99) i33 = 1825; else {
           if ((get32(i99 + 260 | 0) | 0) >>> 0 > i47 >>> 0) {
            i33 = 1825;
            break;
           }
           if ((get32(i99 + 264 | 0) | 0) >>> 0 <= i47 >>> 0) {
            i33 = 1825;
            break;
           }
           i528 = getU16(i99 + 232 | 0) | 0;
          } while (0);
          if ((i33 | 0) == 1825) i528 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i47) | 0;
          set32(i77 | 0, (i528 >>> 0) / 20 | 0 | 0);
          set32(i37 | 0, i47 | 0);
          i525 = get32(i102 | 0) | 0;
          i526 = i47;
         }
         set32(i102 | 0, i525 + 1 | 0);
         set8(i526 + (i39 * 20 | 0) >> 0 | 0, 54 | 0);
         set8(i526 + (i39 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i526 + (i39 * 20 | 0) + 4 | 0, i443 | 0);
         set32(i526 + (i39 * 20 | 0) + 8 | 0, i461 | 0);
         set32(i526 + (i39 * 20 | 0) + 12 | 0, i320 | 0);
         set32(i526 + (i39 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i526 + (i39 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         i527 = 1;
         break;
        } else {
         if (i43) {
          i529 = i39;
          i530 = get32(i72 + 4 | 0) | 0;
         } else {
          i99 = i72 + 4 | 0;
          i79 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i99 | 0) | 0, (i78 | 0) == 0 ? 1020 : i78 * 40 | 0) | 0;
          if (!i79) {
           i527 = 0;
           break;
          }
          i108 = get32(i72 | 0) | 0;
          do if (!i108) i33 = 1815; else {
           if ((get32(i108 + 260 | 0) | 0) >>> 0 > i79 >>> 0) {
            i33 = 1815;
            break;
           }
           if ((get32(i108 + 264 | 0) | 0) >>> 0 <= i79 >>> 0) {
            i33 = 1815;
            break;
           }
           i531 = getU16(i108 + 232 | 0) | 0;
          } while (0);
          if ((i33 | 0) == 1815) i531 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i79) | 0;
          set32(i77 | 0, (i531 >>> 0) / 20 | 0 | 0);
          set32(i99 | 0, i79 | 0);
          i529 = get32(i102 | 0) | 0;
          i530 = i79;
         }
         set32(i102 | 0, i529 + 1 | 0);
         set8(i530 + (i39 * 20 | 0) >> 0 | 0, 10 | 0);
         set8(i530 + (i39 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i530 + (i39 * 20 | 0) + 4 | 0, 0 | 0);
         set32(i530 + (i39 * 20 | 0) + 8 | 0, i461 | 0);
         set32(i530 + (i39 * 20 | 0) + 12 | 0, 0 | 0);
         set32(i530 + (i39 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i530 + (i39 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         i527 = 0;
         break;
        }
       } else {
        do if (i88) {
         i108 = i72 + 28 | 0;
         i78 = get32(i108 | 0) | 0;
         i43 = i72 + 32 | 0;
         i47 = get32(i43 | 0) | 0;
         if ((i47 | 0) > (i78 | 0)) {
          i532 = i78;
          i533 = get32(i72 + 4 | 0) | 0;
         } else {
          i37 = i72 + 4 | 0;
          i105 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i37 | 0) | 0, (i47 | 0) == 0 ? 1020 : i47 * 40 | 0) | 0;
          if (!i105) break;
          i47 = get32(i72 | 0) | 0;
          do if (!i47) i33 = 1718; else {
           if ((get32(i47 + 260 | 0) | 0) >>> 0 > i105 >>> 0) {
            i33 = 1718;
            break;
           }
           if ((get32(i47 + 264 | 0) | 0) >>> 0 <= i105 >>> 0) {
            i33 = 1718;
            break;
           }
           i534 = getU16(i47 + 232 | 0) | 0;
          } while (0);
          if ((i33 | 0) == 1718) i534 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i105) | 0;
          set32(i43 | 0, (i534 >>> 0) / 20 | 0 | 0);
          set32(i37 | 0, i105 | 0);
          i532 = get32(i108 | 0) | 0;
          i533 = i105;
         }
         set32(i108 | 0, i532 + 1 | 0);
         set8(i533 + (i78 * 20 | 0) >> 0 | 0, 28 | 0);
         set8(i533 + (i78 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i533 + (i78 * 20 | 0) + 4 | 0, i366 | 0);
         set32(i533 + (i78 * 20 | 0) + 8 | 0, i423 | 0);
         set32(i533 + (i78 * 20 | 0) + 12 | 0, i461 | 0);
         set32(i533 + (i78 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i533 + (i78 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        } else {
         if (i70) {
          i47 = i423 + i365 | 0;
          i80 = i72 + 28 | 0;
          i113 = get32(i80 | 0) | 0;
          i104 = i72 + 32 | 0;
          i245 = get32(i104 | 0) | 0;
          if ((i245 | 0) > (i113 | 0)) {
           i535 = i113;
           i536 = get32(i72 + 4 | 0) | 0;
          } else {
           i107 = i72 + 4 | 0;
           i86 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i107 | 0) | 0, (i245 | 0) == 0 ? 1020 : i245 * 40 | 0) | 0;
           if (!i86) break;
           i245 = get32(i72 | 0) | 0;
           do if (!i245) i33 = 1729; else {
            if ((get32(i245 + 260 | 0) | 0) >>> 0 > i86 >>> 0) {
             i33 = 1729;
             break;
            }
            if ((get32(i245 + 264 | 0) | 0) >>> 0 <= i86 >>> 0) {
             i33 = 1729;
             break;
            }
            i537 = getU16(i245 + 232 | 0) | 0;
           } while (0);
           if ((i33 | 0) == 1729) i537 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i86) | 0;
           set32(i104 | 0, (i537 >>> 0) / 20 | 0 | 0);
           set32(i107 | 0, i86 | 0);
           i535 = get32(i80 | 0) | 0;
           i536 = i86;
          }
          set32(i80 | 0, i535 + 1 | 0);
          set8(i536 + (i113 * 20 | 0) >> 0 | 0, 15 | 0);
          set8(i536 + (i113 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
          set32(i536 + (i113 * 20 | 0) + 4 | 0, i47 | 0);
          set32(i536 + (i113 * 20 | 0) + 8 | 0, i461 | 0);
          set32(i536 + (i113 * 20 | 0) + 12 | 0, 0 | 0);
          set32(i536 + (i113 * 20 | 0) + 16 | 0, 0 | 0);
          set8(i536 + (i113 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
          break;
         }
         i245 = get32((get32(i3 + 12 | 0) | 0) + (i423 * 20 | 0) | 0) | 0;
         do if (!i245) i33 = 1744; else {
          if ((get8(i245 >> 0 | 0) | 0) != -124) {
           i33 = 1744;
           break;
          }
          i78 = get32(i38 | 0) | 0;
          i108 = get32(i245 + 24 | 0) | 0;
          i105 = i78 + 28 | 0;
          i37 = get32(i105 | 0) | 0;
          i43 = i78 + 32 | 0;
          i496 = get32(i43 | 0) | 0;
          if ((i496 | 0) > (i37 | 0)) {
           i538 = i37;
           i539 = get32(i78 + 4 | 0) | 0;
          } else {
           i111 = i78 + 4 | 0;
           i118 = _sqlite3DbRealloc(get32(i78 | 0) | 0, get32(i111 | 0) | 0, (i496 | 0) == 0 ? 1020 : i496 * 40 | 0) | 0;
           if (!i118) break;
           i496 = get32(i78 | 0) | 0;
           do if (!i496) i33 = 1741; else {
            if ((get32(i496 + 260 | 0) | 0) >>> 0 > i118 >>> 0) {
             i33 = 1741;
             break;
            }
            if ((get32(i496 + 264 | 0) | 0) >>> 0 <= i118 >>> 0) {
             i33 = 1741;
             break;
            }
            i540 = getU16(i496 + 232 | 0) | 0;
           } while (0);
           if ((i33 | 0) == 1741) i540 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i118) | 0;
           set32(i43 | 0, (i540 >>> 0) / 20 | 0 | 0);
           set32(i111 | 0, i118 | 0);
           i538 = get32(i105 | 0) | 0;
           i539 = i118;
          }
          set32(i105 | 0, i538 + 1 | 0);
          set8(i539 + (i37 * 20 | 0) >> 0 | 0, 14 | 0);
          set8(i539 + (i37 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
          set32(i539 + (i37 * 20 | 0) + 4 | 0, i108 | 0);
          set32(i539 + (i37 * 20 | 0) + 8 | 0, i461 | 0);
          set32(i539 + (i37 * 20 | 0) + 12 | 0, 0 | 0);
          set32(i539 + (i37 * 20 | 0) + 16 | 0, 0 | 0);
          set8(i539 + (i37 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         } while (0);
         do if ((i33 | 0) == 1744) {
          i113 = _sqlite3ExprCodeTarget(i1, i245, i461) | 0;
          if ((i113 | 0) == (i461 | 0)) break;
          i47 = get32(i38 | 0) | 0;
          if (!i47) break;
          i80 = i47 + 28 | 0;
          i86 = get32(i80 | 0) | 0;
          i107 = i47 + 32 | 0;
          i104 = get32(i107 | 0) | 0;
          if ((i104 | 0) > (i86 | 0)) {
           i541 = i86;
           i542 = get32(i47 + 4 | 0) | 0;
          } else {
           i496 = i47 + 4 | 0;
           i244 = _sqlite3DbRealloc(get32(i47 | 0) | 0, get32(i496 | 0) | 0, (i104 | 0) == 0 ? 1020 : i104 * 40 | 0) | 0;
           if (!i244) break;
           i104 = get32(i47 | 0) | 0;
           do if (!i104) i33 = 1753; else {
            if ((get32(i104 + 260 | 0) | 0) >>> 0 > i244 >>> 0) {
             i33 = 1753;
             break;
            }
            if ((get32(i104 + 264 | 0) | 0) >>> 0 <= i244 >>> 0) {
             i33 = 1753;
             break;
            }
            i543 = getU16(i104 + 232 | 0) | 0;
           } while (0);
           if ((i33 | 0) == 1753) i543 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i244) | 0;
           set32(i107 | 0, (i543 >>> 0) / 20 | 0 | 0);
           set32(i496 | 0, i244 | 0);
           i541 = get32(i80 | 0) | 0;
           i542 = i244;
          }
          set32(i80 | 0, i541 + 1 | 0);
          set8(i542 + (i86 * 20 | 0) >> 0 | 0, 15 | 0);
          set8(i542 + (i86 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
          set32(i542 + (i86 * 20 | 0) + 4 | 0, i113 | 0);
          set32(i542 + (i86 * 20 | 0) + 8 | 0, i461 | 0);
          set32(i542 + (i86 * 20 | 0) + 12 | 0, 0 | 0);
          set32(i542 + (i86 * 20 | 0) + 16 | 0, 0 | 0);
          set8(i542 + (i86 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         } while (0);
         if (!(get8((get32(i72 | 0) | 0) + 30 >> 0 | 0) | 0)) {
          i245 = (get32(i72 + 4 | 0) | 0) + (((get32(i72 + 28 | 0) | 0) + -1 | 0) * 20 | 0) | 0;
          if (!i245) break; else i544 = i245;
         } else i544 = 2964;
         if ((get8(i544 >> 0 | 0) | 0) != 10) break;
         if (get8(i30 >> 0 | 0) & 16) break;
         set8(i544 >> 0 | 0, 54 | 0);
         set32(i544 + 4 | 0, i443 | 0);
         set32(i544 + 8 | 0, i461 | 0);
         set32(i544 + 12 | 0, i320 | 0);
         i527 = 1;
         break L2417;
        } while (0);
        i39 = i72 + 28 | 0;
        i102 = get32(i39 | 0) | 0;
        do if (!(get8(i30 >> 0 | 0) & 16)) {
         i79 = i72 + 32 | 0;
         i99 = get32(i79 | 0) | 0;
         do if ((i99 | 0) > (i102 | 0)) {
          i545 = i102;
          i546 = get32(i72 + 4 | 0) | 0;
          i547 = i99;
          i33 = 1772;
         } else {
          i77 = i72 + 4 | 0;
          i245 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i77 | 0) | 0, (i99 | 0) == 0 ? 1020 : i99 * 40 | 0) | 0;
          if (!i245) {
           i548 = 1;
           i549 = get32(i79 | 0) | 0;
           i550 = get32(i39 | 0) | 0;
           break;
          }
          i104 = get32(i72 | 0) | 0;
          do if (!i104) i33 = 1770; else {
           if ((get32(i104 + 260 | 0) | 0) >>> 0 > i245 >>> 0) {
            i33 = 1770;
            break;
           }
           if ((get32(i104 + 264 | 0) | 0) >>> 0 <= i245 >>> 0) {
            i33 = 1770;
            break;
           }
           i551 = getU16(i104 + 232 | 0) | 0;
          } while (0);
          if ((i33 | 0) == 1770) i551 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i245) | 0;
          i104 = (i551 >>> 0) / 20 | 0;
          set32(i79 | 0, i104 | 0);
          set32(i77 | 0, i245 | 0);
          i545 = get32(i39 | 0) | 0;
          i546 = i245;
          i547 = i104;
          i33 = 1772;
         } while (0);
         if ((i33 | 0) == 1772) {
          i99 = i545 + 1 | 0;
          set32(i39 | 0, i99 | 0);
          set8(i546 + (i102 * 20 | 0) >> 0 | 0, 74 | 0);
          set8(i546 + (i102 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
          set32(i546 + (i102 * 20 | 0) + 4 | 0, i461 | 0);
          set32(i546 + (i102 * 20 | 0) + 8 | 0, 0 | 0);
          set32(i546 + (i102 * 20 | 0) + 12 | 0, 0 | 0);
          set32(i546 + (i102 * 20 | 0) + 16 | 0, 0 | 0);
          set8(i546 + (i102 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
          i548 = i102;
          i549 = i547;
          i550 = i99;
         }
         do if ((i549 | 0) > (i550 | 0)) {
          i552 = i550;
          i553 = get32(i72 + 4 | 0) | 0;
          i33 = 1783;
         } else {
          i99 = i72 + 4 | 0;
          i104 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i99 | 0) | 0, (i549 | 0) == 0 ? 1020 : i549 * 40 | 0) | 0;
          if (!i104) {
           i554 = get32(i39 | 0) | 0;
           break;
          }
          i86 = get32(i72 | 0) | 0;
          do if (!i86) i33 = 1781; else {
           if ((get32(i86 + 260 | 0) | 0) >>> 0 > i104 >>> 0) {
            i33 = 1781;
            break;
           }
           if ((get32(i86 + 264 | 0) | 0) >>> 0 <= i104 >>> 0) {
            i33 = 1781;
            break;
           }
           i555 = getU16(i86 + 232 | 0) | 0;
          } while (0);
          if ((i33 | 0) == 1781) i555 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i104) | 0;
          set32(i79 | 0, (i555 >>> 0) / 20 | 0 | 0);
          set32(i99 | 0, i104 | 0);
          i552 = get32(i39 | 0) | 0;
          i553 = i104;
          i33 = 1783;
         } while (0);
         if ((i33 | 0) == 1783) {
          i86 = i552 + 1 | 0;
          set32(i39 | 0, i86 | 0);
          set8(i553 + (i550 * 20 | 0) >> 0 | 0, 54 | 0);
          set8(i553 + (i550 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
          set32(i553 + (i550 * 20 | 0) + 4 | 0, i443 | 0);
          set32(i553 + (i550 * 20 | 0) + 8 | 0, i461 | 0);
          set32(i553 + (i550 * 20 | 0) + 12 | 0, i320 | 0);
          set32(i553 + (i550 * 20 | 0) + 16 | 0, 0 | 0);
          set8(i553 + (i550 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
          i554 = i86;
         }
         if ((i554 | 0) <= (i548 | 0)) {
          i556 = i79;
          i557 = i554;
          break;
         }
         set32((get32(i72 + 4 | 0) | 0) + (i548 * 20 | 0) + 8 | 0, i554 | 0);
         i556 = i79;
         i557 = i554;
        } else {
         i86 = i102 + 2 | 0;
         i245 = i72 + 32 | 0;
         i77 = get32(i245 | 0) | 0;
         if ((i77 | 0) > (i102 | 0)) {
          i558 = i102;
          i559 = get32(i72 + 4 | 0) | 0;
         } else {
          i113 = i72 + 4 | 0;
          i80 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i113 | 0) | 0, (i77 | 0) == 0 ? 1020 : i77 * 40 | 0) | 0;
          if (!i80) {
           i556 = i245;
           i557 = get32(i39 | 0) | 0;
           break;
          }
          i77 = get32(i72 | 0) | 0;
          do if (!i77) i33 = 1794; else {
           if ((get32(i77 + 260 | 0) | 0) >>> 0 > i80 >>> 0) {
            i33 = 1794;
            break;
           }
           if ((get32(i77 + 264 | 0) | 0) >>> 0 <= i80 >>> 0) {
            i33 = 1794;
            break;
           }
           i560 = getU16(i77 + 232 | 0) | 0;
          } while (0);
          if ((i33 | 0) == 1794) i560 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i80) | 0;
          set32(i245 | 0, (i560 >>> 0) / 20 | 0 | 0);
          set32(i113 | 0, i80 | 0);
          i558 = get32(i39 | 0) | 0;
          i559 = i80;
         }
         i77 = i558 + 1 | 0;
         set32(i39 | 0, i77 | 0);
         set8(i559 + (i102 * 20 | 0) >> 0 | 0, 73 | 0);
         set8(i559 + (i102 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i559 + (i102 * 20 | 0) + 4 | 0, i461 | 0);
         set32(i559 + (i102 * 20 | 0) + 8 | 0, i86 | 0);
         set32(i559 + (i102 * 20 | 0) + 12 | 0, 0 | 0);
         set32(i559 + (i102 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i559 + (i102 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         i556 = i245;
         i557 = i77;
        } while (0);
        i102 = get32(i556 | 0) | 0;
        if ((i102 | 0) > (i557 | 0)) {
         i561 = i557;
         i562 = get32(i72 + 4 | 0) | 0;
        } else {
         i77 = i72 + 4 | 0;
         i79 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i77 | 0) | 0, (i102 | 0) == 0 ? 1020 : i102 * 40 | 0) | 0;
         if (!i79) {
          i527 = 0;
          break;
         }
         i102 = get32(i72 | 0) | 0;
         do if (!i102) i33 = 1804; else {
          if ((get32(i102 + 260 | 0) | 0) >>> 0 > i79 >>> 0) {
           i33 = 1804;
           break;
          }
          if ((get32(i102 + 264 | 0) | 0) >>> 0 <= i79 >>> 0) {
           i33 = 1804;
           break;
          }
          i563 = getU16(i102 + 232 | 0) | 0;
         } while (0);
         if ((i33 | 0) == 1804) i563 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i79) | 0;
         set32(i556 | 0, (i563 >>> 0) / 20 | 0 | 0);
         set32(i77 | 0, i79 | 0);
         i561 = get32(i39 | 0) | 0;
         i562 = i79;
        }
        set32(i39 | 0, i561 + 1 | 0);
        set8(i562 + (i557 * 20 | 0) >> 0 | 0, 21 | 0);
        set8(i562 + (i557 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i562 + (i557 * 20 | 0) + 4 | 0, i461 | 0);
        set32(i562 + (i557 * 20 | 0) + 8 | 0, 0 | 0);
        set32(i562 + (i557 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i562 + (i557 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i562 + (i557 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i527 = 0;
       } while (0);
       do if ((i320 | 0) > 0) {
        i102 = get32(i38 | 0) | 0;
        i244 = i102 + 28 | 0;
        i496 = get32(i244 | 0) | 0;
        i107 = i102 + 32 | 0;
        i37 = get32(i107 | 0) | 0;
        if ((i37 | 0) > (i496 | 0)) {
         i564 = i496;
         i565 = get32(i102 + 4 | 0) | 0;
        } else {
         i108 = i102 + 4 | 0;
         i105 = _sqlite3DbRealloc(get32(i102 | 0) | 0, get32(i108 | 0) | 0, (i37 | 0) == 0 ? 1020 : i37 * 40 | 0) | 0;
         if (!i105) break;
         i37 = get32(i102 | 0) | 0;
         do if (!i37) i33 = 1836; else {
          if ((get32(i37 + 260 | 0) | 0) >>> 0 > i105 >>> 0) {
           i33 = 1836;
           break;
          }
          if ((get32(i37 + 264 | 0) | 0) >>> 0 <= i105 >>> 0) {
           i33 = 1836;
           break;
          }
          i566 = getU16(i37 + 232 | 0) | 0;
         } while (0);
         if ((i33 | 0) == 1836) i566 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i105) | 0;
         set32(i107 | 0, (i566 >>> 0) / 20 | 0 | 0);
         set32(i108 | 0, i105 | 0);
         i564 = get32(i244 | 0) | 0;
         i565 = i105;
        }
        set32(i244 | 0, i564 + 1 | 0);
        set8(i565 + (i496 * 20 | 0) >> 0 | 0, 112 | 0);
        set8(i565 + (i496 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i565 + (i496 * 20 | 0) + 4 | 0, i320 | 0);
        set32(i565 + (i496 * 20 | 0) + 8 | 0, i461 | 0);
        set32(i565 + (i496 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i565 + (i496 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i565 + (i496 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       } while (0);
       if ((get32(i112 | 0) | 0) > 0) {
        i37 = i34 + 4 | 0;
        i39 = i72 + 28 | 0;
        i79 = i72 + 32 | 0;
        i77 = i72 + 4 | 0;
        i102 = i34 + 12 | 0;
        i118 = (i363 | 0) == 0;
        i111 = i5 + 4 | 0;
        i43 = i3 + 12 | 0;
        i47 = 0;
        i78 = 0;
        while (1) {
         i119 = i85 + i47 | 0;
         L2598 : do if ((i47 | 0) == (get32(i37 | 0) | 0)) {
          i120 = get32(i39 | 0) | 0;
          i82 = get32(i79 | 0) | 0;
          if ((i82 | 0) > (i120 | 0)) {
           i567 = i120;
           i568 = get32(i77 | 0) | 0;
          } else {
           i46 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i77 | 0) | 0, (i82 | 0) == 0 ? 1020 : i82 * 40 | 0) | 0;
           if (!i46) {
            i569 = i78;
            break;
           }
           i82 = get32(i72 | 0) | 0;
           do if (!i82) i33 = 1849; else {
            if ((get32(i82 + 260 | 0) | 0) >>> 0 > i46 >>> 0) {
             i33 = 1849;
             break;
            }
            if ((get32(i82 + 264 | 0) | 0) >>> 0 <= i46 >>> 0) {
             i33 = 1849;
             break;
            }
            i570 = getU16(i82 + 232 | 0) | 0;
           } while (0);
           if ((i33 | 0) == 1849) {
            i33 = 0;
            i570 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i46) | 0;
           }
           set32(i79 | 0, (i570 >>> 0) / 20 | 0 | 0);
           set32(i77 | 0, i46 | 0);
           i567 = get32(i39 | 0) | 0;
           i568 = i46;
          }
          set32(i39 | 0, i567 + 1 | 0);
          set8(i568 + (i120 * 20 | 0) >> 0 | 0, 10 | 0);
          set8(i568 + (i120 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
          set32(i568 + (i120 * 20 | 0) + 4 | 0, 0 | 0);
          set32(i568 + (i120 * 20 | 0) + 8 | 0, i119 | 0);
          set32(i568 + (i120 * 20 | 0) + 12 | 0, 0 | 0);
          set32(i568 + (i120 * 20 | 0) + 16 | 0, 0 | 0);
          set8(i568 + (i120 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
          i569 = i78;
         } else {
          L2613 : do if (i42) if (!(get8((get32(i102 | 0) | 0) + (i47 * 24 | 0) + 23 >> 0 | 0) | 0)) {
           i571 = i47 - i78 | 0;
           i33 = 1860;
           break;
          } else {
           i572 = i78 + 1 | 0;
           break;
          } else {
           i82 = get32(i111 | 0) | 0;
           if ((i82 | 0) <= 0) {
            i571 = 0;
            i33 = 1860;
            break;
           }
           i245 = get32(i5 | 0) | 0;
           i86 = 0;
           while (1) {
            if ((get32(i245 + (i86 << 3) + 4 | 0) | 0) == (i47 | 0)) {
             i571 = i86;
             i33 = 1860;
             break L2613;
            }
            i80 = i86 + 1 | 0;
            if ((i80 | 0) < (i82 | 0)) i86 = i80; else {
             i571 = i80;
             i33 = 1860;
             break;
            }
           }
          } while (0);
          do if ((i33 | 0) == 1860) {
           i33 = 0;
           if (i118 | (i571 | 0) < 0) {
            i572 = i78;
            break;
           }
           if (i81 ? (i571 | 0) >= (get32(i111 | 0) | 0) : 0) {
            i572 = i78;
            break;
           }
           if (i88) {
            i120 = get32(i39 | 0) | 0;
            i46 = get32(i79 | 0) | 0;
            if ((i46 | 0) > (i120 | 0)) {
             i573 = i120;
             i574 = get32(i77 | 0) | 0;
            } else {
             i86 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i77 | 0) | 0, (i46 | 0) == 0 ? 1020 : i46 * 40 | 0) | 0;
             if (!i86) {
              i569 = i78;
              break L2598;
             }
             i46 = get32(i72 | 0) | 0;
             do if (!i46) i33 = 1895; else {
              if ((get32(i46 + 260 | 0) | 0) >>> 0 > i86 >>> 0) {
               i33 = 1895;
               break;
              }
              if ((get32(i46 + 264 | 0) | 0) >>> 0 <= i86 >>> 0) {
               i33 = 1895;
               break;
              }
              i575 = getU16(i46 + 232 | 0) | 0;
             } while (0);
             if ((i33 | 0) == 1895) {
              i33 = 0;
              i575 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i86) | 0;
             }
             set32(i79 | 0, (i575 >>> 0) / 20 | 0 | 0);
             set32(i77 | 0, i86 | 0);
             i573 = get32(i39 | 0) | 0;
             i574 = i86;
            }
            set32(i39 | 0, i573 + 1 | 0);
            set8(i574 + (i120 * 20 | 0) >> 0 | 0, 28 | 0);
            set8(i574 + (i120 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
            set32(i574 + (i120 * 20 | 0) + 4 | 0, i366 | 0);
            set32(i574 + (i120 * 20 | 0) + 8 | 0, i571 | 0);
            set32(i574 + (i120 * 20 | 0) + 12 | 0, i119 | 0);
            set32(i574 + (i120 * 20 | 0) + 16 | 0, 0 | 0);
            set8(i574 + (i120 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
            i569 = i78;
            break L2598;
           }
           if (i70) {
            i46 = i571 + i365 | 0;
            i82 = get32(i39 | 0) | 0;
            i245 = get32(i79 | 0) | 0;
            if ((i245 | 0) > (i82 | 0)) {
             i576 = i82;
             i577 = get32(i77 | 0) | 0;
            } else {
             i104 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i77 | 0) | 0, (i245 | 0) == 0 ? 1020 : i245 * 40 | 0) | 0;
             if (!i104) {
              i569 = i78;
              break L2598;
             }
             i245 = get32(i72 | 0) | 0;
             do if (!i245) i33 = 1906; else {
              if ((get32(i245 + 260 | 0) | 0) >>> 0 > i104 >>> 0) {
               i33 = 1906;
               break;
              }
              if ((get32(i245 + 264 | 0) | 0) >>> 0 <= i104 >>> 0) {
               i33 = 1906;
               break;
              }
              i578 = getU16(i245 + 232 | 0) | 0;
             } while (0);
             if ((i33 | 0) == 1906) {
              i33 = 0;
              i578 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i104) | 0;
             }
             set32(i79 | 0, (i578 >>> 0) / 20 | 0 | 0);
             set32(i77 | 0, i104 | 0);
             i576 = get32(i39 | 0) | 0;
             i577 = i104;
            }
            set32(i39 | 0, i576 + 1 | 0);
            set8(i577 + (i82 * 20 | 0) >> 0 | 0, 15 | 0);
            set8(i577 + (i82 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
            set32(i577 + (i82 * 20 | 0) + 4 | 0, i46 | 0);
            set32(i577 + (i82 * 20 | 0) + 8 | 0, i119 | 0);
            set32(i577 + (i82 * 20 | 0) + 12 | 0, 0 | 0);
            set32(i577 + (i82 * 20 | 0) + 16 | 0, 0 | 0);
            set8(i577 + (i82 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
            i569 = i78;
            break L2598;
           }
           i245 = get32((get32(i43 | 0) | 0) + (i571 * 20 | 0) | 0) | 0;
           do if (i245) {
            if ((get8(i245 >> 0 | 0) | 0) != -124) break;
            i120 = get32(i38 | 0) | 0;
            i86 = get32(i245 + 24 | 0) | 0;
            i99 = i120 + 28 | 0;
            i80 = get32(i99 | 0) | 0;
            i113 = i120 + 32 | 0;
            i492 = get32(i113 | 0) | 0;
            if ((i492 | 0) > (i80 | 0)) {
             i579 = i80;
             i580 = get32(i120 + 4 | 0) | 0;
            } else {
             i499 = i120 + 4 | 0;
             i103 = _sqlite3DbRealloc(get32(i120 | 0) | 0, get32(i499 | 0) | 0, (i492 | 0) == 0 ? 1020 : i492 * 40 | 0) | 0;
             if (!i103) {
              i569 = i78;
              break L2598;
             }
             i492 = get32(i120 | 0) | 0;
             do if (!i492) i33 = 1918; else {
              if ((get32(i492 + 260 | 0) | 0) >>> 0 > i103 >>> 0) {
               i33 = 1918;
               break;
              }
              if ((get32(i492 + 264 | 0) | 0) >>> 0 <= i103 >>> 0) {
               i33 = 1918;
               break;
              }
              i581 = getU16(i492 + 232 | 0) | 0;
             } while (0);
             if ((i33 | 0) == 1918) {
              i33 = 0;
              i581 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i103) | 0;
             }
             set32(i113 | 0, (i581 >>> 0) / 20 | 0 | 0);
             set32(i499 | 0, i103 | 0);
             i579 = get32(i99 | 0) | 0;
             i580 = i103;
            }
            set32(i99 | 0, i579 + 1 | 0);
            set8(i580 + (i80 * 20 | 0) >> 0 | 0, 14 | 0);
            set8(i580 + (i80 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
            set32(i580 + (i80 * 20 | 0) + 4 | 0, i86 | 0);
            set32(i580 + (i80 * 20 | 0) + 8 | 0, i119 | 0);
            set32(i580 + (i80 * 20 | 0) + 12 | 0, 0 | 0);
            set32(i580 + (i80 * 20 | 0) + 16 | 0, 0 | 0);
            set8(i580 + (i80 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
            i569 = i78;
            break L2598;
           } while (0);
           i82 = _sqlite3ExprCodeTarget(i1, i245, i119) | 0;
           if ((i82 | 0) == (i119 | 0)) {
            i569 = i78;
            break L2598;
           }
           i46 = get32(i38 | 0) | 0;
           if (!i46) {
            i569 = i78;
            break L2598;
           }
           i104 = i46 + 28 | 0;
           i492 = get32(i104 | 0) | 0;
           i110 = i46 + 32 | 0;
           i120 = get32(i110 | 0) | 0;
           if ((i120 | 0) > (i492 | 0)) {
            i582 = i492;
            i583 = get32(i46 + 4 | 0) | 0;
           } else {
            i243 = i46 + 4 | 0;
            i114 = _sqlite3DbRealloc(get32(i46 | 0) | 0, get32(i243 | 0) | 0, (i120 | 0) == 0 ? 1020 : i120 * 40 | 0) | 0;
            if (!i114) {
             i569 = i78;
             break L2598;
            }
            i120 = get32(i46 | 0) | 0;
            do if (!i120) i33 = 1930; else {
             if ((get32(i120 + 260 | 0) | 0) >>> 0 > i114 >>> 0) {
              i33 = 1930;
              break;
             }
             if ((get32(i120 + 264 | 0) | 0) >>> 0 <= i114 >>> 0) {
              i33 = 1930;
              break;
             }
             i584 = getU16(i120 + 232 | 0) | 0;
            } while (0);
            if ((i33 | 0) == 1930) {
             i33 = 0;
             i584 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i114) | 0;
            }
            set32(i110 | 0, (i584 >>> 0) / 20 | 0 | 0);
            set32(i243 | 0, i114 | 0);
            i582 = get32(i104 | 0) | 0;
            i583 = i114;
           }
           set32(i104 | 0, i582 + 1 | 0);
           set8(i583 + (i492 * 20 | 0) >> 0 | 0, 15 | 0);
           set8(i583 + (i492 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
           set32(i583 + (i492 * 20 | 0) + 4 | 0, i82 | 0);
           set32(i583 + (i492 * 20 | 0) + 8 | 0, i119 | 0);
           set32(i583 + (i492 * 20 | 0) + 12 | 0, 0 | 0);
           set32(i583 + (i492 * 20 | 0) + 16 | 0, 0 | 0);
           set8(i583 + (i492 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
           i569 = i78;
           break L2598;
          } while (0);
          i120 = get32((get32(i102 | 0) | 0) + (i47 * 24 | 0) + 4 | 0) | 0;
          do if (i120) {
           if ((get8(i120 >> 0 | 0) | 0) != -124) break;
           i245 = get32(i38 | 0) | 0;
           i46 = get32(i120 + 24 | 0) | 0;
           i109 = i245 + 28 | 0;
           i500 = get32(i109 | 0) | 0;
           i242 = i245 + 32 | 0;
           i121 = get32(i242 | 0) | 0;
           if ((i121 | 0) > (i500 | 0)) {
            i585 = i500;
            i586 = get32(i245 + 4 | 0) | 0;
           } else {
            i587 = i245 + 4 | 0;
            i588 = _sqlite3DbRealloc(get32(i245 | 0) | 0, get32(i587 | 0) | 0, (i121 | 0) == 0 ? 1020 : i121 * 40 | 0) | 0;
            if (!i588) {
             i569 = i572;
             break L2598;
            }
            i121 = get32(i245 | 0) | 0;
            do if (!i121) i33 = 1872; else {
             if ((get32(i121 + 260 | 0) | 0) >>> 0 > i588 >>> 0) {
              i33 = 1872;
              break;
             }
             if ((get32(i121 + 264 | 0) | 0) >>> 0 <= i588 >>> 0) {
              i33 = 1872;
              break;
             }
             i589 = getU16(i121 + 232 | 0) | 0;
            } while (0);
            if ((i33 | 0) == 1872) {
             i33 = 0;
             i589 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i588) | 0;
            }
            set32(i242 | 0, (i589 >>> 0) / 20 | 0 | 0);
            set32(i587 | 0, i588 | 0);
            i585 = get32(i109 | 0) | 0;
            i586 = i588;
           }
           set32(i109 | 0, i585 + 1 | 0);
           set8(i586 + (i500 * 20 | 0) >> 0 | 0, 14 | 0);
           set8(i586 + (i500 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
           set32(i586 + (i500 * 20 | 0) + 4 | 0, i46 | 0);
           set32(i586 + (i500 * 20 | 0) + 8 | 0, i119 | 0);
           set32(i586 + (i500 * 20 | 0) + 12 | 0, 0 | 0);
           set32(i586 + (i500 * 20 | 0) + 16 | 0, 0 | 0);
           set8(i586 + (i500 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
           i569 = i572;
           break L2598;
          } while (0);
          i121 = _sqlite3ExprCodeTarget(i1, i120, i119) | 0;
          if ((i121 | 0) == (i119 | 0)) {
           i569 = i572;
           break;
          }
          i492 = get32(i38 | 0) | 0;
          if (!i492) {
           i569 = i572;
           break;
          }
          i82 = i492 + 28 | 0;
          i104 = get32(i82 | 0) | 0;
          i114 = i492 + 32 | 0;
          i243 = get32(i114 | 0) | 0;
          if ((i243 | 0) > (i104 | 0)) {
           i590 = i104;
           i591 = get32(i492 + 4 | 0) | 0;
          } else {
           i110 = i492 + 4 | 0;
           i245 = _sqlite3DbRealloc(get32(i492 | 0) | 0, get32(i110 | 0) | 0, (i243 | 0) == 0 ? 1020 : i243 * 40 | 0) | 0;
           if (!i245) {
            i569 = i572;
            break;
           }
           i243 = get32(i492 | 0) | 0;
           do if (!i243) i33 = 1884; else {
            if ((get32(i243 + 260 | 0) | 0) >>> 0 > i245 >>> 0) {
             i33 = 1884;
             break;
            }
            if ((get32(i243 + 264 | 0) | 0) >>> 0 <= i245 >>> 0) {
             i33 = 1884;
             break;
            }
            i592 = getU16(i243 + 232 | 0) | 0;
           } while (0);
           if ((i33 | 0) == 1884) {
            i33 = 0;
            i592 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i245) | 0;
           }
           set32(i114 | 0, (i592 >>> 0) / 20 | 0 | 0);
           set32(i110 | 0, i245 | 0);
           i590 = get32(i82 | 0) | 0;
           i591 = i245;
          }
          set32(i82 | 0, i590 + 1 | 0);
          set8(i591 + (i104 * 20 | 0) >> 0 | 0, 15 | 0);
          set8(i591 + (i104 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
          set32(i591 + (i104 * 20 | 0) + 4 | 0, i121 | 0);
          set32(i591 + (i104 * 20 | 0) + 8 | 0, i119 | 0);
          set32(i591 + (i104 * 20 | 0) + 12 | 0, 0 | 0);
          set32(i591 + (i104 * 20 | 0) + 16 | 0, 0 | 0);
          set8(i591 + (i104 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
          i569 = i572;
         } while (0);
         i47 = i47 + 1 | 0;
         if ((i47 | 0) >= (get32(i112 | 0) | 0)) break; else i78 = i569;
        }
       }
       if (!(get8(i30 >> 0 | 0) & 16)) {
        _sqlite3GenerateConstraintChecks(i1, i34, i443, i76, i442, i423 >>> 31 ^ 1, 0, i6, i48, i25);
        _sqlite3FkCheck(i1, i34, 0, i76);
        _sqlite3CompleteInsertion(i1, i34, i443, i76, i442, 0, i527, (get32(i25 | 0) | 0) == 0 & 1);
        break;
       }
       i78 = get32(i34 + 52 | 0) | 0;
       L2725 : do if (!i78) i593 = 0; else {
        i47 = i78;
        while (1) {
         if ((get32(i47 | 0) | 0) == (i26 | 0)) {
          i593 = i47;
          break L2725;
         }
         i47 = get32(i47 + 24 | 0) | 0;
         if (!i47) {
          i593 = 0;
          break;
         }
        }
       } while (0);
       i78 = i1 + 424 | 0;
       i47 = get32(i78 | 0) | 0;
       i102 = (i47 | 0) == 0 ? i1 : i47;
       i47 = i102 + 532 | 0;
       i43 = get32(i47 | 0) | 0;
       i39 = i102 + 536 | 0;
       L2730 : do if ((i43 | 0) > 0) {
        i77 = get32(i39 | 0) | 0;
        i79 = 0;
        do {
         if ((get32(i77 + (i79 << 2) | 0) | 0) == (i34 | 0)) break L2730;
         i79 = i79 + 1 | 0;
        } while ((i79 | 0) < (i43 | 0));
        i594 = i39;
        i595 = i77;
        i33 = 1944;
       } else {
        i594 = i39;
        i595 = get32(i39 | 0) | 0;
        i33 = 1944;
       } while (0);
       L2737 : do if ((i33 | 0) == 1944) {
        do if (!(_sqlite3_initialize() | 0)) {
         i39 = _sqlite3Realloc(i595, (i43 << 2) + 4 | 0) | 0;
         if (!i39) break;
         set32(i594 | 0, i39 | 0);
         i79 = get32(i47 | 0) | 0;
         set32(i47 | 0, i79 + 1 | 0);
         set32(i39 + (i79 << 2) | 0, i34 | 0);
         break L2737;
        } while (0);
        set8((get32(i102 | 0) | 0) + 30 >> 0 | 0, 1 | 0);
       } while (0);
       i102 = (get32(i112 | 0) | 0) + 2 | 0;
       i47 = i72 + 28 | 0;
       i43 = get32(i47 | 0) | 0;
       i77 = i72 + 32 | 0;
       i79 = get32(i77 | 0) | 0;
       do if ((i79 | 0) > (i43 | 0)) {
        i39 = i72 + 4 | 0;
        i596 = i39;
        i597 = i72;
        i598 = i43;
        i599 = get32(i39 | 0) | 0;
        i33 = 1957;
       } else {
        i39 = i72 + 4 | 0;
        i111 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i39 | 0) | 0, (i79 | 0) == 0 ? 1020 : i79 * 40 | 0) | 0;
        if (!i111) {
         i600 = 1;
         i601 = i72;
         i602 = i39;
         break;
        }
        i118 = get32(i72 | 0) | 0;
        do if (!i118) i33 = 1955; else {
         if ((get32(i118 + 260 | 0) | 0) >>> 0 > i111 >>> 0) {
          i33 = 1955;
          break;
         }
         if ((get32(i118 + 264 | 0) | 0) >>> 0 <= i111 >>> 0) {
          i33 = 1955;
          break;
         }
         i603 = getU16(i118 + 232 | 0) | 0;
        } while (0);
        if ((i33 | 0) == 1955) i603 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i111) | 0;
        set32(i77 | 0, (i603 >>> 0) / 20 | 0 | 0);
        set32(i39 | 0, i111 | 0);
        i596 = i39;
        i597 = i72;
        i598 = get32(i47 | 0) | 0;
        i599 = i111;
        i33 = 1957;
       } while (0);
       if ((i33 | 0) == 1957) {
        set32(i47 | 0, i598 + 1 | 0);
        set8(i599 + (i43 * 20 | 0) >> 0 | 0, -123 | 0);
        set8(i599 + (i43 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i599 + (i43 * 20 | 0) + 4 | 0, 1 | 0);
        set32(i599 + (i43 * 20 | 0) + 8 | 0, i102 | 0);
        set32(i599 + (i43 * 20 | 0) + 12 | 0, i76 | 0);
        set32(i599 + (i43 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i599 + (i43 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i600 = i43;
        i601 = i597;
        i602 = i596;
       }
       i77 = get32(i601 | 0) | 0;
       i79 = get32(i602 | 0) | 0;
       do if (i79) {
        do if (!(get8(i77 + 30 >> 0 | 0) | 0)) {
         if ((i600 | 0) < 0) i604 = (get32(i47 | 0) | 0) + -1 | 0; else i604 = i600;
         i118 = i79 + (i604 * 20 | 0) + 1 | 0;
         i37 = i79 + (i604 * 20 | 0) + 16 | 0;
         _freeP4(i77, get8(i118 >> 0 | 0) | 0, get32(i37 | 0) | 0);
         set32(i37 | 0, 0 | 0);
         if (!i593) {
          set32(i37 | 0, 0 | 0);
          set8(i118 >> 0 | 0, 0 | 0);
          break;
         } else {
          set32(i37 | 0, i593 | 0);
          set8(i118 >> 0 | 0, -10 | 0);
          i118 = i593 + 12 | 0;
          set32(i118 | 0, (get32(i118 | 0) | 0) + 1 | 0);
          break;
         }
        } while (0);
        i111 = get32(i602 | 0) | 0;
        if (!i111) break;
        set8(i111 + (((get32(i47 | 0) | 0) + -1 | 0) * 20 | 0) + 3 >> 0 | 0, ((i6 | 0) == 99 ? 2 : i6 & 255) | 0);
       } while (0);
       i47 = get32(i78 | 0) | 0;
       set8(((i47 | 0) == 0 ? i1 : i47) + 345 >> 0 | 0, 1 | 0);
      } while (0);
      do if (get32(i115 | 0) & 4096) {
       i76 = i72 + 28 | 0;
       i81 = get32(i76 | 0) | 0;
       i85 = i72 + 32 | 0;
       i47 = get32(i85 | 0) | 0;
       if ((i47 | 0) > (i81 | 0)) {
        i605 = i81;
        i606 = get32(i72 + 4 | 0) | 0;
       } else {
        i77 = i72 + 4 | 0;
        i79 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i77 | 0) | 0, (i47 | 0) == 0 ? 1020 : i47 * 40 | 0) | 0;
        if (!i79) break;
        i47 = get32(i72 | 0) | 0;
        do if (!i47) i33 = 1977; else {
         if ((get32(i47 + 260 | 0) | 0) >>> 0 > i79 >>> 0) {
          i33 = 1977;
          break;
         }
         if ((get32(i47 + 264 | 0) | 0) >>> 0 <= i79 >>> 0) {
          i33 = 1977;
          break;
         }
         i607 = getU16(i47 + 232 | 0) | 0;
        } while (0);
        if ((i33 | 0) == 1977) i607 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i79) | 0;
        set32(i85 | 0, (i607 >>> 0) / 20 | 0 | 0);
        set32(i77 | 0, i79 | 0);
        i605 = get32(i76 | 0) | 0;
        i606 = i79;
       }
       set32(i76 | 0, i605 + 1 | 0);
       set8(i606 + (i81 * 20 | 0) >> 0 | 0, 20 | 0);
       set8(i606 + (i81 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i606 + (i81 * 20 | 0) + 4 | 0, i438 | 0);
       set32(i606 + (i81 * 20 | 0) + 8 | 0, 1 | 0);
       set32(i606 + (i81 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i606 + (i81 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i606 + (i81 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      } while (0);
      do if (i71) {
       i115 = i461 + -1 - (get32(i112 | 0) | 0) | 0;
       if (!i65) break; else i608 = i65;
       do {
        do if ((get8(i608 + 8 >> 0 | 0) | 0) == 105) {
         if ((get8(i608 + 9 >> 0 | 0) | 0) != 2) break;
         _sqlite3CodeRowTriggerDirect(i1, i608, i34, i115, i6, i48);
        } while (0);
        i608 = get32(i608 + 32 | 0) | 0;
       } while ((i608 | 0) != 0);
      } while (0);
      i48 = get32(i72 + 44 | 0) | 0;
      if (i48) set32(i48 + (i87 << 2) | 0, get32(i72 + 28 | 0) | 0);
      do if (i88) {
       i48 = i72 + 28 | 0;
       i112 = get32(i48 | 0) | 0;
       i115 = i72 + 32 | 0;
       i81 = get32(i115 | 0) | 0;
       do if ((i81 | 0) > (i112 | 0)) {
        i609 = i112;
        i610 = get32(i72 + 4 | 0) | 0;
        i33 = 1999;
       } else {
        i76 = i72 + 4 | 0;
        i79 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i76 | 0) | 0, (i81 | 0) == 0 ? 1020 : i81 * 40 | 0) | 0;
        if (!i79) {
         i611 = get32(i48 | 0) | 0;
         break;
        }
        i77 = get32(i72 | 0) | 0;
        do if (!i77) i33 = 1997; else {
         if ((get32(i77 + 260 | 0) | 0) >>> 0 > i79 >>> 0) {
          i33 = 1997;
          break;
         }
         if ((get32(i77 + 264 | 0) | 0) >>> 0 <= i79 >>> 0) {
          i33 = 1997;
          break;
         }
         i612 = getU16(i77 + 232 | 0) | 0;
        } while (0);
        if ((i33 | 0) == 1997) i612 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i79) | 0;
        set32(i115 | 0, (i612 >>> 0) / 20 | 0 | 0);
        set32(i76 | 0, i79 | 0);
        i609 = get32(i48 | 0) | 0;
        i610 = i79;
        i33 = 1999;
       } while (0);
       if ((i33 | 0) == 1999) {
        i81 = i609 + 1 | 0;
        set32(i48 | 0, i81 | 0);
        set8(i610 + (i112 * 20 | 0) >> 0 | 0, 67 | 0);
        set8(i610 + (i112 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i610 + (i112 * 20 | 0) + 4 | 0, i366 | 0);
        set32(i610 + (i112 * 20 | 0) + 8 | 0, i448 | 0);
        set32(i610 + (i112 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i610 + (i112 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i610 + (i112 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i611 = i81;
       }
       if ((i611 | 0) > (i449 | 0)) set32((get32(i72 + 4 | 0) | 0) + (i449 * 20 | 0) + 8 | 0, i611 | 0);
       i81 = get32(i115 | 0) | 0;
       if ((i81 | 0) > (i611 | 0)) {
        i613 = i611;
        i614 = get32(i72 + 4 | 0) | 0;
       } else {
        i77 = i72 + 4 | 0;
        i85 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i77 | 0) | 0, (i81 | 0) == 0 ? 1020 : i81 * 40 | 0) | 0;
        if (!i85) break;
        i81 = get32(i72 | 0) | 0;
        do if (!i81) i33 = 2009; else {
         if ((get32(i81 + 260 | 0) | 0) >>> 0 > i85 >>> 0) {
          i33 = 2009;
          break;
         }
         if ((get32(i81 + 264 | 0) | 0) >>> 0 <= i85 >>> 0) {
          i33 = 2009;
          break;
         }
         i615 = getU16(i81 + 232 | 0) | 0;
        } while (0);
        if ((i33 | 0) == 2009) i615 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i85) | 0;
        set32(i115 | 0, (i615 >>> 0) / 20 | 0 | 0);
        set32(i77 | 0, i85 | 0);
        i613 = get32(i48 | 0) | 0;
        i614 = i85;
       }
       set32(i48 | 0, i613 + 1 | 0);
       set8(i614 + (i611 * 20 | 0) >> 0 | 0, 43 | 0);
       set8(i614 + (i611 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i614 + (i611 * 20 | 0) + 4 | 0, i366 | 0);
       set32(i614 + (i611 * 20 | 0) + 8 | 0, 0 | 0);
       set32(i614 + (i611 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i614 + (i611 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i614 + (i611 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      } else {
       if (!i70) break;
       i81 = i72 + 28 | 0;
       i112 = get32(i81 | 0) | 0;
       i47 = i72 + 32 | 0;
       i78 = get32(i47 | 0) | 0;
       do if ((i78 | 0) > (i112 | 0)) {
        i616 = i112;
        i617 = get32(i72 + 4 | 0) | 0;
        i33 = 2023;
       } else {
        i43 = i72 + 4 | 0;
        i102 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i43 | 0) | 0, (i78 | 0) == 0 ? 1020 : i78 * 40 | 0) | 0;
        if (!i102) {
         i618 = get32(i81 | 0) | 0;
         break;
        }
        i111 = get32(i72 | 0) | 0;
        do if (!i111) i33 = 2021; else {
         if ((get32(i111 + 260 | 0) | 0) >>> 0 > i102 >>> 0) {
          i33 = 2021;
          break;
         }
         if ((get32(i111 + 264 | 0) | 0) >>> 0 <= i102 >>> 0) {
          i33 = 2021;
          break;
         }
         i619 = getU16(i111 + 232 | 0) | 0;
        } while (0);
        if ((i33 | 0) == 2021) i619 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i102) | 0;
        set32(i47 | 0, (i619 >>> 0) / 20 | 0 | 0);
        set32(i43 | 0, i102 | 0);
        i616 = get32(i81 | 0) | 0;
        i617 = i102;
        i33 = 2023;
       } while (0);
       if ((i33 | 0) == 2023) {
        i47 = i616 + 1 | 0;
        set32(i81 | 0, i47 | 0);
        set8(i617 + (i112 * 20 | 0) >> 0 | 0, 1 | 0);
        set8(i617 + (i112 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i617 + (i112 * 20 | 0) + 4 | 0, 0 | 0);
        set32(i617 + (i112 * 20 | 0) + 8 | 0, i448 | 0);
        set32(i617 + (i112 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i617 + (i112 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i617 + (i112 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i618 = i47;
       }
       if ((i618 | 0) <= (i449 | 0)) break;
       set32((get32(i72 + 4 | 0) | 0) + (i449 * 20 | 0) + 8 | 0, i618 | 0);
      } while (0);
      if (i40 | (get8(i30 >> 0 | 0) & 16) != 0) {
       i311 = i442;
       i312 = i438;
       break;
      }
      i88 = i72 + 28 | 0;
      i87 = get32(i88 | 0) | 0;
      i47 = i72 + 32 | 0;
      i78 = get32(i47 | 0) | 0;
      do if ((i78 | 0) > (i87 | 0)) {
       i620 = i87;
       i621 = get32(i72 + 4 | 0) | 0;
       i33 = 2036;
      } else {
       i48 = i72 + 4 | 0;
       i85 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i48 | 0) | 0, (i78 | 0) == 0 ? 1020 : i78 * 40 | 0) | 0;
       if (!i85) break;
       i77 = get32(i72 | 0) | 0;
       do if (!i77) i33 = 2034; else {
        if ((get32(i77 + 260 | 0) | 0) >>> 0 > i85 >>> 0) {
         i33 = 2034;
         break;
        }
        if ((get32(i77 + 264 | 0) | 0) >>> 0 <= i85 >>> 0) {
         i33 = 2034;
         break;
        }
        i622 = getU16(i77 + 232 | 0) | 0;
       } while (0);
       if ((i33 | 0) == 2034) i622 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i85) | 0;
       set32(i47 | 0, (i622 >>> 0) / 20 | 0 | 0);
       set32(i48 | 0, i85 | 0);
       i620 = get32(i88 | 0) | 0;
       i621 = i85;
       i33 = 2036;
      } while (0);
      if ((i33 | 0) == 2036) {
       set32(i88 | 0, i620 + 1 | 0);
       set8(i621 + (i87 * 20 | 0) >> 0 | 0, 43 | 0);
       set8(i621 + (i87 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i621 + (i87 * 20 | 0) + 4 | 0, i443 | 0);
       set32(i621 + (i87 * 20 | 0) + 8 | 0, 0 | 0);
       set32(i621 + (i87 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i621 + (i87 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i621 + (i87 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      }
      i78 = get32(i34 + 16 | 0) | 0;
      if (!i78) {
       i311 = i442;
       i312 = i438;
       break;
      }
      i77 = i72 + 4 | 0;
      i112 = 1;
      i81 = i78;
      while (1) {
       i78 = i112 + i443 | 0;
       i115 = get32(i88 | 0) | 0;
       i111 = get32(i47 | 0) | 0;
       do if ((i111 | 0) > (i115 | 0)) {
        i623 = i115;
        i624 = get32(i77 | 0) | 0;
        i33 = 2048;
       } else {
        i79 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i77 | 0) | 0, (i111 | 0) == 0 ? 1020 : i111 * 40 | 0) | 0;
        if (!i79) break;
        i76 = get32(i72 | 0) | 0;
        do if (!i76) i33 = 2046; else {
         if ((get32(i76 + 260 | 0) | 0) >>> 0 > i79 >>> 0) {
          i33 = 2046;
          break;
         }
         if ((get32(i76 + 264 | 0) | 0) >>> 0 <= i79 >>> 0) {
          i33 = 2046;
          break;
         }
         i625 = getU16(i76 + 232 | 0) | 0;
        } while (0);
        if ((i33 | 0) == 2046) {
         i33 = 0;
         i625 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i79) | 0;
        }
        set32(i47 | 0, (i625 >>> 0) / 20 | 0 | 0);
        set32(i77 | 0, i79 | 0);
        i623 = get32(i88 | 0) | 0;
        i624 = i79;
        i33 = 2048;
       } while (0);
       if ((i33 | 0) == 2048) {
        i33 = 0;
        set32(i88 | 0, i623 + 1 | 0);
        set8(i624 + (i115 * 20 | 0) >> 0 | 0, 43 | 0);
        set8(i624 + (i115 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i624 + (i115 * 20 | 0) + 4 | 0, i78 | 0);
        set32(i624 + (i115 * 20 | 0) + 8 | 0, 0 | 0);
        set32(i624 + (i115 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i624 + (i115 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i624 + (i115 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       }
       i81 = get32(i81 + 32 | 0) | 0;
       if (!i81) {
        i311 = i442;
        i312 = i438;
        break;
       } else i112 = i112 + 1 | 0;
      }
     } while (0);
     do if (!(get8(i49 >> 0 | 0) | 0)) {
      if (get32(i1 + 428 | 0) | 0) break;
      _sqlite3AutoincrementEnd(i1);
     } while (0);
     if (!(get32(i26 + 12 | 0) & 4096)) {
      i55 = i311;
      i33 = 2069;
      break L1;
     }
     if (get8(i49 >> 0 | 0) | 0) {
      i55 = i311;
      i33 = 2069;
      break L1;
     }
     if (get32(i1 + 428 | 0) | 0) {
      i55 = i311;
      i33 = 2069;
      break L1;
     }
     i70 = i72 + 28 | 0;
     i71 = get32(i70 | 0) | 0;
     i38 = i72 + 32 | 0;
     i42 = get32(i38 | 0) | 0;
     do if ((i42 | 0) > (i71 | 0)) {
      i626 = i72;
      i627 = i71;
      i628 = get32(i72 + 4 | 0) | 0;
      i33 = 2065;
     } else {
      i112 = i72 + 4 | 0;
      i81 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i112 | 0) | 0, (i42 | 0) == 0 ? 1020 : i42 * 40 | 0) | 0;
      if (!i81) {
       i629 = i72;
       break;
      }
      i88 = get32(i72 | 0) | 0;
      do if (!i88) i33 = 2063; else {
       if ((get32(i88 + 260 | 0) | 0) >>> 0 > i81 >>> 0) {
        i33 = 2063;
        break;
       }
       if ((get32(i88 + 264 | 0) | 0) >>> 0 <= i81 >>> 0) {
        i33 = 2063;
        break;
       }
       i630 = getU16(i88 + 232 | 0) | 0;
      } while (0);
      if ((i33 | 0) == 2063) i630 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i81) | 0;
      set32(i38 | 0, (i630 >>> 0) / 20 | 0 | 0);
      set32(i112 | 0, i81 | 0);
      i626 = i72;
      i627 = get32(i70 | 0) | 0;
      i628 = i81;
      i33 = 2065;
     } while (0);
     if ((i33 | 0) == 2065) {
      set32(i70 | 0, i627 + 1 | 0);
      set8(i628 + (i71 * 20 | 0) >> 0 | 0, 16 | 0);
      set8(i628 + (i71 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i628 + (i71 * 20 | 0) + 4 | 0, i312 | 0);
      set32(i628 + (i71 * 20 | 0) + 8 | 0, 1 | 0);
      set32(i628 + (i71 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i628 + (i71 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i628 + (i71 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i629 = i626;
     }
     _sqlite3VdbeSetNumCols(i72, 1);
     if (get8((get32(i629 | 0) | 0) + 30 >> 0 | 0) | 0) {
      i55 = i311;
      i33 = 2069;
      break L1;
     }
     _sqlite3VdbeMemSetStr(get32(i72 + 16 | 0) | 0, 33596, -1, 1, 0) | 0;
     i55 = i311;
     i33 = 2069;
     break L1;
    } while (0);
    set32(i17 | 0, get32(i34 | 0) | 0);
    _sqlite3ErrorMsg(i1, 33218, i17);
    i55 = 0;
    i33 = 2069;
   } else {
    i55 = 0;
    i33 = 2069;
   }
  } else {
   i55 = 0;
   i33 = 2069;
  }
 } else {
  i55 = 0;
  i33 = 2069;
 } while (0);
 if ((i33 | 0) == 2069) {
  _sqlite3SrcListDelete(i26, i2);
  if (!i3) i631 = i55; else {
   i419 = i3 + 12 | 0;
   i420 = i3;
   i421 = i55;
   i33 = 2071;
  }
 }
 if ((i33 | 0) == 2071) {
  if ((get32(i420 | 0) | 0) > 0) {
   i33 = 0;
   i55 = get32(i419 | 0) | 0;
   while (1) {
    _sqlite3ExprDelete(i26, get32(i55 | 0) | 0);
    _sqlite3DbFree(i26, get32(i55 + 4 | 0) | 0);
    _sqlite3DbFree(i26, get32(i55 + 8 | 0) | 0);
    i33 = i33 + 1 | 0;
    if ((i33 | 0) >= (get32(i420 | 0) | 0)) break; else i55 = i55 + 20 | 0;
   }
  }
  _sqlite3DbFree(i26, get32(i419 | 0) | 0);
  _sqlite3DbFree(i26, i3);
  i631 = i421;
 }
 if (i4) {
  i421 = get32(i4 | 0) | 0;
  if (i421) {
   i3 = i421 + 12 | 0;
   if ((get32(i421 | 0) | 0) > 0) {
    i419 = 0;
    i55 = get32(i3 | 0) | 0;
    while (1) {
     _sqlite3ExprDelete(i26, get32(i55 | 0) | 0);
     _sqlite3DbFree(i26, get32(i55 + 4 | 0) | 0);
     _sqlite3DbFree(i26, get32(i55 + 8 | 0) | 0);
     i419 = i419 + 1 | 0;
     if ((i419 | 0) >= (get32(i421 | 0) | 0)) break; else i55 = i55 + 20 | 0;
    }
   }
   _sqlite3DbFree(i26, get32(i3 | 0) | 0);
   _sqlite3DbFree(i26, i421);
  }
  _sqlite3SrcListDelete(i26, get32(i4 + 8 | 0) | 0);
  _sqlite3ExprDelete(i26, get32(i4 + 12 | 0) | 0);
  i421 = get32(i4 + 16 | 0) | 0;
  if (i421) {
   i3 = i421 + 12 | 0;
   if ((get32(i421 | 0) | 0) > 0) {
    i55 = 0;
    i419 = get32(i3 | 0) | 0;
    while (1) {
     _sqlite3ExprDelete(i26, get32(i419 | 0) | 0);
     _sqlite3DbFree(i26, get32(i419 + 4 | 0) | 0);
     _sqlite3DbFree(i26, get32(i419 + 8 | 0) | 0);
     i55 = i55 + 1 | 0;
     if ((i55 | 0) >= (get32(i421 | 0) | 0)) break; else i419 = i419 + 20 | 0;
    }
   }
   _sqlite3DbFree(i26, get32(i3 | 0) | 0);
   _sqlite3DbFree(i26, i421);
  }
  _sqlite3ExprDelete(i26, get32(i4 + 20 | 0) | 0);
  i421 = get32(i4 + 24 | 0) | 0;
  if (i421) {
   i3 = i421 + 12 | 0;
   if ((get32(i421 | 0) | 0) > 0) {
    i419 = 0;
    i55 = get32(i3 | 0) | 0;
    while (1) {
     _sqlite3ExprDelete(i26, get32(i55 | 0) | 0);
     _sqlite3DbFree(i26, get32(i55 + 4 | 0) | 0);
     _sqlite3DbFree(i26, get32(i55 + 8 | 0) | 0);
     i419 = i419 + 1 | 0;
     if ((i419 | 0) >= (get32(i421 | 0) | 0)) break; else i55 = i55 + 20 | 0;
    }
   }
   _sqlite3DbFree(i26, get32(i3 | 0) | 0);
   _sqlite3DbFree(i26, i421);
  }
  i421 = get32(i4 + 28 | 0) | 0;
  if (i421) {
   i3 = get32(i421 | 0) | 0;
   if (i3) {
    i55 = i3 + 12 | 0;
    if ((get32(i3 | 0) | 0) > 0) {
     i419 = 0;
     i420 = get32(i55 | 0) | 0;
     while (1) {
      _sqlite3ExprDelete(i26, get32(i420 | 0) | 0);
      _sqlite3DbFree(i26, get32(i420 + 4 | 0) | 0);
      _sqlite3DbFree(i26, get32(i420 + 8 | 0) | 0);
      i419 = i419 + 1 | 0;
      if ((i419 | 0) >= (get32(i3 | 0) | 0)) break; else i420 = i420 + 20 | 0;
     }
    }
    _sqlite3DbFree(i26, get32(i55 | 0) | 0);
    _sqlite3DbFree(i26, i3);
   }
   _sqlite3SrcListDelete(i26, get32(i421 + 8 | 0) | 0);
   _sqlite3ExprDelete(i26, get32(i421 + 12 | 0) | 0);
   i3 = get32(i421 + 16 | 0) | 0;
   if (i3) {
    i55 = i3 + 12 | 0;
    if ((get32(i3 | 0) | 0) > 0) {
     i420 = 0;
     i419 = get32(i55 | 0) | 0;
     while (1) {
      _sqlite3ExprDelete(i26, get32(i419 | 0) | 0);
      _sqlite3DbFree(i26, get32(i419 + 4 | 0) | 0);
      _sqlite3DbFree(i26, get32(i419 + 8 | 0) | 0);
      i420 = i420 + 1 | 0;
      if ((i420 | 0) >= (get32(i3 | 0) | 0)) break; else i419 = i419 + 20 | 0;
     }
    }
    _sqlite3DbFree(i26, get32(i55 | 0) | 0);
    _sqlite3DbFree(i26, i3);
   }
   _sqlite3ExprDelete(i26, get32(i421 + 20 | 0) | 0);
   i3 = get32(i421 + 24 | 0) | 0;
   if (i3) {
    i55 = i3 + 12 | 0;
    if ((get32(i3 | 0) | 0) > 0) {
     i419 = 0;
     i420 = get32(i55 | 0) | 0;
     while (1) {
      _sqlite3ExprDelete(i26, get32(i420 | 0) | 0);
      _sqlite3DbFree(i26, get32(i420 + 4 | 0) | 0);
      _sqlite3DbFree(i26, get32(i420 + 8 | 0) | 0);
      i419 = i419 + 1 | 0;
      if ((i419 | 0) >= (get32(i3 | 0) | 0)) break; else i420 = i420 + 20 | 0;
     }
    }
    _sqlite3DbFree(i26, get32(i55 | 0) | 0);
    _sqlite3DbFree(i26, i3);
   }
   _sqlite3SelectDelete(i26, get32(i421 + 28 | 0) | 0);
   _sqlite3ExprDelete(i26, get32(i421 + 40 | 0) | 0);
   _sqlite3ExprDelete(i26, get32(i421 + 44 | 0) | 0);
   _sqlite3DbFree(i26, i421);
  }
  _sqlite3ExprDelete(i26, get32(i4 + 40 | 0) | 0);
  _sqlite3ExprDelete(i26, get32(i4 + 44 | 0) | 0);
  _sqlite3DbFree(i26, i4);
 }
 if (!i5) {
  _sqlite3DbFree(i26, i631);
  STACKTOP = i7;
  return;
 }
 i4 = i5 + 4 | 0;
 if ((get32(i4 | 0) | 0) > 0) {
  i421 = 0;
  do {
   _sqlite3DbFree(i26, get32((get32(i5 | 0) | 0) + (i421 << 3) | 0) | 0);
   i421 = i421 + 1 | 0;
  } while ((i421 | 0) < (get32(i4 | 0) | 0));
 }
 _sqlite3DbFree(i26, get32(i5 | 0) | 0);
 _sqlite3DbFree(i26, i5);
 _sqlite3DbFree(i26, i631);
 STACKTOP = i7;
 return;
}

function _sqlite3Pragma(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0, i80 = 0, i81 = 0, i82 = 0, i83 = 0, i84 = 0, i85 = 0, i86 = 0, i87 = 0, i88 = 0, i89 = 0, i90 = 0, i91 = 0, i92 = 0, i93 = 0, i94 = 0, i95 = 0, i96 = 0, i97 = 0, i98 = 0, i99 = 0, i100 = 0, i101 = 0, i102 = 0, i103 = 0, i104 = 0, i105 = 0, i106 = 0, i107 = 0, i108 = 0, i109 = 0, i110 = 0, i111 = 0, i112 = 0, i113 = 0, i114 = 0, i115 = 0, i116 = 0, i117 = 0, i118 = 0, i119 = 0, i120 = 0, i121 = 0, i122 = 0, i123 = 0, i124 = 0, i125 = 0, i126 = 0, i127 = 0, i128 = 0, i129 = 0, i130 = 0, i131 = 0, i132 = 0, i133 = 0, i134 = 0, i135 = 0, i136 = 0, i137 = 0, i138 = 0, i139 = 0, i140 = 0, i141 = 0, i142 = 0, i143 = 0, i144 = 0, i145 = 0, i146 = 0, i147 = 0, i148 = 0, i149 = 0, i150 = 0, i151 = 0, i152 = 0, i153 = 0, i154 = 0, i155 = 0, i156 = 0, i157 = 0, i158 = 0, i159 = 0, i160 = 0, i161 = 0, i162 = 0, i163 = 0, i164 = 0, i165 = 0, i166 = 0, i167 = 0, i168 = 0, i169 = 0, i170 = 0, i171 = 0, i172 = 0, i173 = 0, i174 = 0, i175 = 0, i176 = 0, i177 = 0, i178 = 0, i179 = 0, i180 = 0, i181 = 0, i182 = 0, i183 = 0, i184 = 0, i185 = 0, i186 = 0, i187 = 0, i188 = 0, i189 = 0, i190 = 0, i191 = 0, i192 = 0, i193 = 0, i194 = 0, i195 = 0, i196 = 0, i197 = 0, i198 = 0, i199 = 0, i200 = 0, i201 = 0, i202 = 0, i203 = 0, i204 = 0, i205 = 0, i206 = 0, i207 = 0, i208 = 0, i209 = 0, i210 = 0, i211 = 0, i212 = 0, i213 = 0, i214 = 0, i215 = 0, i216 = 0, i217 = 0, i218 = 0, i219 = 0, i220 = 0, i221 = 0, i222 = 0, i223 = 0, i224 = 0, i225 = 0, i226 = 0, i227 = 0, i228 = 0, i229 = 0, i230 = 0, i231 = 0, i232 = 0, i233 = 0, i234 = 0, i235 = 0, i236 = 0, i237 = 0, i238 = 0, i239 = 0, i240 = 0, i241 = 0, i242 = 0, i243 = 0, i244 = 0, i245 = 0, i246 = 0, i247 = 0, i248 = 0, i249 = 0, i250 = 0, i251 = 0, i252 = 0, i253 = 0, i254 = 0, i255 = 0, i256 = 0, i257 = 0, i258 = 0, i259 = 0, i260 = 0, i261 = 0, i262 = 0, i263 = 0, i264 = 0, i265 = 0, i266 = 0, i267 = 0, i268 = 0, i269 = 0, i270 = 0, i271 = 0, i272 = 0, i273 = 0, i274 = 0, i275 = 0, i276 = 0, i277 = 0, i278 = 0, i279 = 0, i280 = 0, i281 = 0, i282 = 0, i283 = 0, i284 = 0, i285 = 0, i286 = 0, i287 = 0, i288 = 0, i289 = 0, i290 = 0, i291 = 0, i292 = 0, i293 = 0, i294 = 0, i295 = 0, i296 = 0, i297 = 0, i298 = 0, i299 = 0, i300 = 0, i301 = 0, i302 = 0, i303 = 0, i304 = 0, i305 = 0, i306 = 0, i307 = 0, i308 = 0, i309 = 0, i310 = 0, i311 = 0, i312 = 0, i313 = 0, i314 = 0, i315 = 0, i316 = 0, i317 = 0, i318 = 0, i319 = 0, i320 = 0, i321 = 0, i322 = 0, i323 = 0, i324 = 0, i325 = 0, i326 = 0, i327 = 0, i328 = 0, i329 = 0, i330 = 0, i331 = 0, i332 = 0, i333 = 0, i334 = 0, i335 = 0, i336 = 0, i337 = 0, i338 = 0, i339 = 0, i340 = 0, i341 = 0, i342 = 0, i343 = 0, i344 = 0, i345 = 0, i346 = 0, i347 = 0, i348 = 0, i349 = 0, i350 = 0, i351 = 0, i352 = 0, i353 = 0, i354 = 0, i355 = 0, i356 = 0, i357 = 0, i358 = 0, i359 = 0, i360 = 0, i361 = 0, i362 = 0, i363 = 0, i364 = 0, i365 = 0, i366 = 0, i367 = 0, i368 = 0, i369 = 0, i370 = 0, i371 = 0, i372 = 0, i373 = 0, i374 = 0, i375 = 0, i376 = 0, i377 = 0, i378 = 0, i379 = 0, i380 = 0, i381 = 0, i382 = 0, i383 = 0, i384 = 0, i385 = 0, i386 = 0, i387 = 0, i388 = 0, i389 = 0, i390 = 0, i391 = 0, i392 = 0, i393 = 0, i394 = 0, i395 = 0, i396 = 0, i397 = 0, i398 = 0, i399 = 0, i400 = 0, i401 = 0, i402 = 0, i403 = 0, i404 = 0, i405 = 0, i406 = 0, i407 = 0, i408 = 0, i409 = 0, i410 = 0, i411 = 0, i412 = 0, i413 = 0, i414 = 0, i415 = 0, i416 = 0, i417 = 0, i418 = 0, i419 = 0, i420 = 0, i421 = 0, i422 = 0, i423 = 0, i424 = 0, i425 = 0, i426 = 0, i427 = 0, i428 = 0, i429 = 0, i430 = 0, i431 = 0, i432 = 0, i433 = 0, i434 = 0, i435 = 0, i436 = 0, i437 = 0, i438 = 0, i439 = 0, i440 = 0, i441 = 0, i442 = 0, i443 = 0, i444 = 0, i445 = 0, i446 = 0, i447 = 0, i448 = 0, i449 = 0, i450 = 0, i451 = 0, i452 = 0, i453 = 0, i454 = 0, i455 = 0, i456 = 0, i457 = 0, i458 = 0, i459 = 0, i460 = 0, i461 = 0, i462 = 0, i463 = 0, i464 = 0, i465 = 0, i466 = 0, i467 = 0, i468 = 0, i469 = 0, i470 = 0, i471 = 0, i472 = 0, i473 = 0, i474 = 0, i475 = 0, i476 = 0, i477 = 0, i478 = 0, i479 = 0, i480 = 0, i481 = 0, i482 = 0, i483 = 0, i484 = 0, i485 = 0, i486 = 0, i487 = 0, i488 = 0, i489 = 0, i490 = 0, i491 = 0, i492 = 0, i493 = 0, i494 = 0, i495 = 0, i496 = 0, i497 = 0, i498 = 0, i499 = 0, i500 = 0, i501 = 0, i502 = 0, i503 = 0, i504 = 0, i505 = 0, i506 = 0, i507 = 0, i508 = 0, i509 = 0, i510 = 0, i511 = 0, i512 = 0, i513 = 0, i514 = 0, i515 = 0, i516 = 0, i517 = 0, i518 = 0, i519 = 0, i520 = 0, i521 = 0, i522 = 0, i523 = 0, i524 = 0, i525 = 0, i526 = 0, i527 = 0, i528 = 0, i529 = 0, i530 = 0, i531 = 0, i532 = 0, i533 = 0, i534 = 0, i535 = 0, i536 = 0, i537 = 0, i538 = 0, i539 = 0, i540 = 0, i541 = 0, i542 = 0, i543 = 0, i544 = 0, i545 = 0, i546 = 0, i547 = 0, i548 = 0, i549 = 0, i550 = 0, i551 = 0, i552 = 0, i553 = 0, i554 = 0, i555 = 0, i556 = 0, i557 = 0, i558 = 0, i559 = 0, i560 = 0, i561 = 0, i562 = 0, i563 = 0, i564 = 0, i565 = 0, i566 = 0, i567 = 0, i568 = 0, i569 = 0, i570 = 0, i571 = 0, i572 = 0, i573 = 0, i574 = 0, i575 = 0, i576 = 0, i577 = 0, i578 = 0, i579 = 0, i580 = 0, i581 = 0, i582 = 0, i583 = 0, i584 = 0, i585 = 0, i586 = 0, i587 = 0, i588 = 0, i589 = 0, i590 = 0, i591 = 0, i592 = 0, i593 = 0, i594 = 0, i595 = 0, i596 = 0, i597 = 0, i598 = 0, i599 = 0, i600 = 0, i601 = 0, i602 = 0, i603 = 0, i604 = 0, i605 = 0, i606 = 0, i607 = 0, i608 = 0, i609 = 0, i610 = 0, i611 = 0, i612 = 0, i613 = 0, i614 = 0, i615 = 0, i616 = 0, i617 = 0, i618 = 0, i619 = 0, i620 = 0, i621 = 0, i622 = 0, i623 = 0, i624 = 0, i625 = 0, i626 = 0, i627 = 0, i628 = 0, i629 = 0, i630 = 0, i631 = 0, i632 = 0, i633 = 0, i634 = 0, i635 = 0, i636 = 0, i637 = 0, i638 = 0, i639 = 0, i640 = 0, i641 = 0, i642 = 0;
 i6 = STACKTOP;
 STACKTOP = STACKTOP + 144 | 0;
 i7 = i6 + 120 | 0;
 i8 = i6 + 112 | 0;
 i9 = i6 + 104 | 0;
 i10 = i6 + 96 | 0;
 i11 = i6 + 88 | 0;
 i12 = i6 + 80 | 0;
 i13 = i6 + 72 | 0;
 i14 = i6 + 64 | 0;
 i15 = i6 + 56 | 0;
 i16 = i6 + 48 | 0;
 i17 = i6 + 40 | 0;
 i18 = i6 + 32 | 0;
 i19 = i6 + 24 | 0;
 i20 = i6 + 16 | 0;
 i21 = i6 + 8 | 0;
 i22 = i6 + 136 | 0;
 i23 = i6;
 i24 = i6 + 132 | 0;
 i25 = i6 + 128 | 0;
 i26 = i6 + 124 | 0;
 i27 = get32(i1 | 0) | 0;
 i28 = (i27 | 0) == 0;
 L1 : do if (i28) {
  if (!(get32(50 * 4 | 0) | 0)) {
   i29 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
   i30 = 38;
   break;
  }
  i31 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
  set32(35 * 4 | 0, 192 | 0);
  if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
  i32 = get32(6 * 4 | 0) | 0;
  do if (i32) {
   i33 = get32(30 * 4 | 0) | 0;
   i34 = ((i33 | 0) < 0) << 31 >> 31;
   i35 = 16;
   i36 = _i64Subtract(get32(i35 | 0) | 0, get32(i35 + 4 | 0) | 0, i31 | 0, ((i31 | 0) < 0) << 31 >> 31 | 0) | 0;
   i35 = tempRet0;
   if ((i34 | 0) < (i35 | 0) | (i34 | 0) == (i35 | 0) & i33 >>> 0 < i36 >>> 0) {
    set32(11 * 4 | 0, 0 | 0);
    break;
   } else {
    set32(11 * 4 | 0, 1 | 0);
    i36 = get32(7 * 4 | 0) | 0;
    set32(6 * 4 | 0, 0 | 0);
    FUNCTION_TABLE_viiii[i32 & 15](i36, i33, i34, i31);
    set32(6 * 4 | 0, i32 | 0);
    set32(7 * 4 | 0, i36 | 0);
    break;
   }
  } while (0);
  i32 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i31) | 0;
  if (i32) {
   i36 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i32) | 0;
   i34 = (get32(30 * 4 | 0) | 0) + i36 | 0;
   set32(30 * 4 | 0, i34 | 0);
   if ((i34 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i34 | 0);
   i34 = get32(39 * 4 | 0) | 0;
   i36 = i34 + 1 | 0;
   set32(39 * 4 | 0, i36 | 0);
   if ((i34 | 0) < (get32(49 * 4 | 0) | 0)) i37 = i32; else {
    set32(49 * 4 | 0, i36 | 0);
    i37 = i32;
   }
  } else i30 = 39;
 } else {
  i32 = i27 + 30 | 0;
  if (!(get8(i32 >> 0 | 0) | 0)) {
   do if (get8(i27 + 234 >> 0 | 0) | 0) {
    if ((getU16(i27 + 232 | 0) | 0) < 192) {
     i36 = i27 + 248 | 0;
     set32(i36 | 0, (get32(i36 | 0) | 0) + 1 | 0);
     break;
    }
    i36 = i27 + 256 | 0;
    i34 = get32(i36 | 0) | 0;
    if (!i34) {
     i33 = i27 + 252 | 0;
     set32(i33 | 0, (get32(i33 | 0) | 0) + 1 | 0);
     break;
    }
    set32(i36 | 0, get32(i34 | 0) | 0);
    i36 = i27 + 236 | 0;
    i33 = get32(i36 | 0) | 0;
    i35 = i33 + 1 | 0;
    set32(i36 | 0, i35 | 0);
    i36 = i27 + 244 | 0;
    set32(i36 | 0, (get32(i36 | 0) | 0) + 1 | 0);
    i36 = i27 + 240 | 0;
    if ((i33 | 0) >= (get32(i36 | 0) | 0)) set32(i36 | 0, i35 | 0);
    i29 = i34;
    i30 = 38;
    break L1;
   } while (0);
   if (!(get32(50 * 4 | 0) | 0)) {
    i31 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
    if (i31) {
     i37 = i31;
     break;
    }
   } else {
    i31 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
    set32(35 * 4 | 0, 192 | 0);
    if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
    i34 = get32(6 * 4 | 0) | 0;
    do if (i34) {
     i35 = get32(30 * 4 | 0) | 0;
     i36 = ((i35 | 0) < 0) << 31 >> 31;
     i33 = 16;
     i38 = _i64Subtract(get32(i33 | 0) | 0, get32(i33 + 4 | 0) | 0, i31 | 0, ((i31 | 0) < 0) << 31 >> 31 | 0) | 0;
     i33 = tempRet0;
     if ((i36 | 0) < (i33 | 0) | (i36 | 0) == (i33 | 0) & i35 >>> 0 < i38 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i38 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i34 & 15](i38, i35, i36, i31);
      set32(6 * 4 | 0, i34 | 0);
      set32(7 * 4 | 0, i38 | 0);
      break;
     }
    } while (0);
    i34 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i31) | 0;
    if (i34) {
     i38 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i34) | 0;
     i36 = (get32(30 * 4 | 0) | 0) + i38 | 0;
     set32(30 * 4 | 0, i36 | 0);
     if ((i36 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i36 | 0);
     i36 = get32(39 * 4 | 0) | 0;
     i38 = i36 + 1 | 0;
     set32(39 * 4 | 0, i38 | 0);
     if ((i36 | 0) < (get32(49 * 4 | 0) | 0)) {
      i37 = i34;
      break;
     }
     set32(49 * 4 | 0, i38 | 0);
     i37 = i34;
     break;
    }
   }
   set8(i32 >> 0 | 0, 1 | 0);
   i30 = 39;
  } else i30 = 39;
 } while (0);
 if ((i30 | 0) == 38) if (!i29) i30 = 39; else i37 = i29;
 if ((i30 | 0) == 39) {
  set32(i1 + 12 | 0, 0 | 0);
  STACKTOP = i6;
  return;
 }
 _memset(i37 | 0, 0, 192) | 0;
 set32(i37 | 0, i27 | 0);
 i29 = i27 + 136 | 0;
 i34 = get32(i29 | 0) | 0;
 if (i34) set32(i34 + 60 | 0, i37 | 0);
 set32(i37 + 64 | 0, i34 | 0);
 set32(i37 + 60 | 0, 0 | 0);
 set32(i29 | 0, i37 | 0);
 set32(i37 + 52 | 0, 649915045 | 0);
 i29 = i1 + 12 | 0;
 set32(i29 | 0, i37 | 0);
 if (!i37) {
  STACKTOP = i6;
  return;
 }
 set8(i37 + 100 >> 0 | 0, 1 | 0);
 i34 = i1 + 72 | 0;
 set32(i34 | 0, 2 | 0);
 i38 = get32(i1 | 0) | 0;
 if ((i3 | 0) != 0 ? (get32(i3 + 4 | 0) | 0) != 0 : 0) {
  if (get8(i38 + 124 >> 0 | 0) | 0) {
   _sqlite3ErrorMsg(i1, 29318, i21);
   i21 = i1 + 64 | 0;
   set32(i21 | 0, (get32(i21 | 0) | 0) + 1 | 0);
   STACKTOP = i6;
   return;
  }
  i21 = _sqlite3FindDb(i38, i2) | 0;
  if ((i21 | 0) < 0) {
   set32(i20 | 0, i2 | 0);
   _sqlite3ErrorMsg(i1, 29335, i20);
   i20 = i1 + 64 | 0;
   set32(i20 | 0, (get32(i20 | 0) | 0) + 1 | 0);
   STACKTOP = i6;
   return;
  } else {
   i39 = i21;
   i40 = i3;
  }
 } else {
  i21 = get32(i38 + 116 | 0) | 0;
  if ((i21 | 0) < 0) {
   STACKTOP = i6;
   return;
  } else {
   i39 = i21;
   i40 = i2;
  }
 }
 i2 = i27 + 8 | 0;
 i21 = get32(i2 | 0) | 0;
 i38 = (i39 | 0) == 1;
 if (i38) {
  i20 = get32(i1 | 0) | 0;
  i36 = i20 + 8 | 0;
  do if ((get32((get32(i36 | 0) | 0) + 20 | 0) | 0) == 0 ? (get8(i1 + 484 >> 0 | 0) | 0) == 0 : 0) {
   i35 = _sqlite3BtreeOpen(get32(i20 | 0) | 0, 0, i20, i22, 0, 542) | 0;
   if (!i35) {
    i33 = get32(i22 | 0) | 0;
    set32((get32(i36 | 0) | 0) + 20 | 0, i33 | 0);
    i41 = get32(i20 + 36 | 0) | 0;
    i42 = get32(i33 + 4 | 0) | 0;
    set32(i42 + 4 | 0, get32(i33 | 0) | 0);
    if (get8(i42 + 17 >> 0 | 0) | 0) break;
    i33 = i42 + 36 | 0;
    i43 = i42 + 40 | 0;
    i44 = (get32(i33 | 0) | 0) - (get32(i43 | 0) | 0) | 0;
    if ((i41 + -512 | 0) >>> 0 < 65025 ? (i41 + -1 & i41 | 0) == 0 : 0) {
     set32(i33 | 0, i41 | 0);
     i41 = i42 + 88 | 0;
     i45 = get32(i41 | 0) | 0;
     do if (i45) {
      if ((get32(379 * 4 | 0) | 0) >>> 0 <= i45 >>> 0 & (get32(380 * 4 | 0) | 0) >>> 0 > i45 >>> 0) {
       i46 = (get32(31 * 4 | 0) | 0) + -1 | 0;
       set32(31 * 4 | 0, i46 | 0);
       if ((i46 | 0) > (get32(41 * 4 | 0) | 0)) set32(41 * 4 | 0, i46 | 0);
       set32(i45 | 0, get32(383 * 4 | 0) | 0);
       set32(383 * 4 | 0, i45 | 0);
       i46 = (get32(382 * 4 | 0) | 0) + 1 | 0;
       set32(382 * 4 | 0, i46 | 0);
       set32(384 * 4 | 0, (i46 | 0) < (get32(378 * 4 | 0) | 0) & 1 | 0);
       break;
      }
      i46 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i45) | 0;
      i47 = (get32(32 * 4 | 0) | 0) - i46 | 0;
      set32(32 * 4 | 0, i47 | 0);
      if ((i47 | 0) > (get32(42 * 4 | 0) | 0)) set32(42 * 4 | 0, i47 | 0);
      if (!(get32(50 * 4 | 0) | 0)) {
       FUNCTION_TABLE_vi[get32(232 | 0) & 31](i45);
       break;
      }
      i47 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i45) | 0;
      i46 = (get32(30 * 4 | 0) | 0) - i47 | 0;
      set32(30 * 4 | 0, i46 | 0);
      if ((i46 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i46 | 0);
      i46 = (get32(39 * 4 | 0) | 0) + -1 | 0;
      set32(39 * 4 | 0, i46 | 0);
      if ((i46 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i46 | 0);
      FUNCTION_TABLE_vi[get32(232 | 0) & 31](i45);
     } while (0);
     set32(i41 | 0, 0 | 0);
    }
    i45 = _sqlite3PagerSetPagesize(get32(i42 | 0) | 0, i33, i44) | 0;
    set32(i43 | 0, (get32(i33 | 0) | 0) - (i44 & 65535) | 0);
    if ((i45 | 0) != 7) break;
    set8(i20 + 30 >> 0 | 0, 1 | 0);
   } else {
    _sqlite3ErrorMsg(i1, 19482, i19);
    set32(i1 + 4 | 0, i35 | 0);
   }
   STACKTOP = i6;
   return;
  } while (0);
 }
 if (!i40) {
  STACKTOP = i6;
  return;
 }
 i19 = get32(i40 | 0) | 0;
 i20 = get32(i40 + 4 | 0) | 0;
 if (!i19) {
  STACKTOP = i6;
  return;
 }
 i40 = i20 + 1 | 0;
 L122 : do if (i28) {
  if (i20 >>> 0 > 2147483390) {
   STACKTOP = i6;
   return;
  }
  if (!(get32(50 * 4 | 0) | 0)) {
   i48 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i40) | 0;
   i30 = 118;
   break;
  }
  i36 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i40) | 0;
  set32(35 * 4 | 0, i40 | 0);
  if ((get32(45 * 4 | 0) | 0) < (i40 | 0)) set32(45 * 4 | 0, i40 | 0);
  i45 = get32(6 * 4 | 0) | 0;
  do if (i45) {
   i32 = get32(30 * 4 | 0) | 0;
   i31 = ((i32 | 0) < 0) << 31 >> 31;
   i46 = 16;
   i47 = _i64Subtract(get32(i46 | 0) | 0, get32(i46 + 4 | 0) | 0, i36 | 0, ((i36 | 0) < 0) << 31 >> 31 | 0) | 0;
   i46 = tempRet0;
   if ((i31 | 0) < (i46 | 0) | (i31 | 0) == (i46 | 0) & i32 >>> 0 < i47 >>> 0) {
    set32(11 * 4 | 0, 0 | 0);
    break;
   } else {
    set32(11 * 4 | 0, 1 | 0);
    i47 = get32(7 * 4 | 0) | 0;
    set32(6 * 4 | 0, 0 | 0);
    FUNCTION_TABLE_viiii[i45 & 15](i47, i32, i31, i36);
    set32(6 * 4 | 0, i45 | 0);
    set32(7 * 4 | 0, i47 | 0);
    break;
   }
  } while (0);
  i45 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i36) | 0;
  if (!i45) {
   STACKTOP = i6;
   return;
  }
  i35 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i45) | 0;
  i44 = (get32(30 * 4 | 0) | 0) + i35 | 0;
  set32(30 * 4 | 0, i44 | 0);
  if ((i44 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i44 | 0);
  i44 = get32(39 * 4 | 0) | 0;
  i35 = i44 + 1 | 0;
  set32(39 * 4 | 0, i35 | 0);
  if ((i44 | 0) < (get32(49 * 4 | 0) | 0)) i49 = i45; else {
   set32(49 * 4 | 0, i35 | 0);
   i49 = i45;
  }
 } else {
  i45 = i27 + 30 | 0;
  if (get8(i45 >> 0 | 0) | 0) {
   STACKTOP = i6;
   return;
  }
  do if (get8(i27 + 234 >> 0 | 0) | 0) {
   if ((getU16(i27 + 232 | 0) | 0) < (i40 | 0)) {
    i35 = i27 + 248 | 0;
    set32(i35 | 0, (get32(i35 | 0) | 0) + 1 | 0);
    break;
   }
   i35 = i27 + 256 | 0;
   i44 = get32(i35 | 0) | 0;
   if (!i44) {
    i33 = i27 + 252 | 0;
    set32(i33 | 0, (get32(i33 | 0) | 0) + 1 | 0);
    break;
   }
   set32(i35 | 0, get32(i44 | 0) | 0);
   i35 = i27 + 236 | 0;
   i33 = get32(i35 | 0) | 0;
   i43 = i33 + 1 | 0;
   set32(i35 | 0, i43 | 0);
   i35 = i27 + 244 | 0;
   set32(i35 | 0, (get32(i35 | 0) | 0) + 1 | 0);
   i35 = i27 + 240 | 0;
   if ((i33 | 0) >= (get32(i35 | 0) | 0)) set32(i35 | 0, i43 | 0);
   i48 = i44;
   i30 = 118;
   break L122;
  } while (0);
  do if (i20 >>> 0 <= 2147483390) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i36 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i40) | 0;
    if (!i36) break; else {
     i49 = i36;
     break L122;
    }
   }
   i36 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i40) | 0;
   set32(35 * 4 | 0, i40 | 0);
   if ((get32(45 * 4 | 0) | 0) < (i40 | 0)) set32(45 * 4 | 0, i40 | 0);
   i44 = get32(6 * 4 | 0) | 0;
   do if (i44) {
    i43 = get32(30 * 4 | 0) | 0;
    i35 = ((i43 | 0) < 0) << 31 >> 31;
    i33 = 16;
    i42 = _i64Subtract(get32(i33 | 0) | 0, get32(i33 + 4 | 0) | 0, i36 | 0, ((i36 | 0) < 0) << 31 >> 31 | 0) | 0;
    i33 = tempRet0;
    if ((i35 | 0) < (i33 | 0) | (i35 | 0) == (i33 | 0) & i43 >>> 0 < i42 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i42 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i44 & 15](i42, i43, i35, i36);
     set32(6 * 4 | 0, i44 | 0);
     set32(7 * 4 | 0, i42 | 0);
     break;
    }
   } while (0);
   i44 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i36) | 0;
   if (i44) {
    i42 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i44) | 0;
    i35 = (get32(30 * 4 | 0) | 0) + i42 | 0;
    set32(30 * 4 | 0, i35 | 0);
    if ((i35 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i35 | 0);
    i35 = get32(39 * 4 | 0) | 0;
    i42 = i35 + 1 | 0;
    set32(39 * 4 | 0, i42 | 0);
    if ((i35 | 0) < (get32(49 * 4 | 0) | 0)) {
     i49 = i44;
     break L122;
    }
    set32(49 * 4 | 0, i42 | 0);
    i49 = i44;
    break L122;
   }
  } while (0);
  set8(i45 >> 0 | 0, 1 | 0);
  STACKTOP = i6;
  return;
 } while (0);
 if ((i30 | 0) == 118) if (!i48) {
  STACKTOP = i6;
  return;
 } else i49 = i48;
 _memcpy(i49 | 0, i19 | 0, i20 | 0) | 0;
 set8(i49 + i20 >> 0 | 0, 0 | 0);
 i20 = get8(i49 >> 0 | 0) | 0;
 switch (i20 << 24 >> 24 | 0) {
 case 96:
 case 34:
 case 39:
  {
   i50 = i20;
   i30 = 121;
   break;
  }
 case 91:
  {
   i50 = 93;
   i30 = 121;
   break;
  }
 default:
  {}
 }
 if ((i30 | 0) == 121) {
  i20 = get8(i49 + 1 >> 0 | 0) | 0;
  L191 : do if (!(i20 << 24 >> 24)) i51 = 0; else {
   i19 = i20;
   i48 = 1;
   i40 = 0;
   while (1) {
    if (i19 << 24 >> 24 == i50 << 24 >> 24) {
     i44 = i48 + 1 | 0;
     if ((get8(i49 + i44 >> 0 | 0) | 0) != i50 << 24 >> 24) {
      i51 = i40;
      break L191;
     }
     set8(i49 + i40 >> 0 | 0, i50 | 0);
     i52 = i44;
    } else {
     set8(i49 + i40 >> 0 | 0, i19 | 0);
     i52 = i48;
    }
    i44 = i40 + 1 | 0;
    i48 = i52 + 1 | 0;
    i19 = get8(i49 + i48 >> 0 | 0) | 0;
    if (!(i19 << 24 >> 24)) {
     i51 = i44;
     break;
    } else i40 = i44;
   }
  } while (0);
  set8(i49 + i51 >> 0 | 0, 0 | 0);
 }
 L201 : do if (!i5) if ((i4 | 0) != 0 ? (i51 = get32(i4 | 0) | 0, i52 = get32(i4 + 4 | 0) | 0, (i51 | 0) != 0) : 0) {
  i50 = i52 + 1 | 0;
  L205 : do if (i28) {
   if (i52 >>> 0 > 2147483390) {
    i53 = 0;
    break L201;
   }
   if (!(get32(50 * 4 | 0) | 0)) {
    i54 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i50) | 0;
    i30 = 171;
    break;
   }
   i20 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i50) | 0;
   set32(35 * 4 | 0, i50 | 0);
   if ((get32(45 * 4 | 0) | 0) < (i50 | 0)) set32(45 * 4 | 0, i50 | 0);
   i40 = get32(6 * 4 | 0) | 0;
   do if (i40) {
    i19 = get32(30 * 4 | 0) | 0;
    i48 = ((i19 | 0) < 0) << 31 >> 31;
    i45 = 16;
    i44 = _i64Subtract(get32(i45 | 0) | 0, get32(i45 + 4 | 0) | 0, i20 | 0, ((i20 | 0) < 0) << 31 >> 31 | 0) | 0;
    i45 = tempRet0;
    if ((i48 | 0) < (i45 | 0) | (i48 | 0) == (i45 | 0) & i19 >>> 0 < i44 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i44 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i40 & 15](i44, i19, i48, i20);
     set32(6 * 4 | 0, i40 | 0);
     set32(7 * 4 | 0, i44 | 0);
     break;
    }
   } while (0);
   i40 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i20) | 0;
   if (!i40) {
    i53 = 0;
    break L201;
   }
   i36 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i40) | 0;
   i44 = (get32(30 * 4 | 0) | 0) + i36 | 0;
   set32(30 * 4 | 0, i44 | 0);
   if ((i44 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i44 | 0);
   i44 = get32(39 * 4 | 0) | 0;
   i36 = i44 + 1 | 0;
   set32(39 * 4 | 0, i36 | 0);
   if ((i44 | 0) < (get32(49 * 4 | 0) | 0)) {
    i55 = i40;
    break;
   }
   set32(49 * 4 | 0, i36 | 0);
   i55 = i40;
  } else {
   i40 = i27 + 30 | 0;
   if (get8(i40 >> 0 | 0) | 0) {
    i53 = 0;
    break L201;
   }
   do if (get8(i27 + 234 >> 0 | 0) | 0) {
    if ((getU16(i27 + 232 | 0) | 0) < (i50 | 0)) {
     i36 = i27 + 248 | 0;
     set32(i36 | 0, (get32(i36 | 0) | 0) + 1 | 0);
     break;
    }
    i36 = i27 + 256 | 0;
    i44 = get32(i36 | 0) | 0;
    if (!i44) {
     i48 = i27 + 252 | 0;
     set32(i48 | 0, (get32(i48 | 0) | 0) + 1 | 0);
     break;
    }
    set32(i36 | 0, get32(i44 | 0) | 0);
    i36 = i27 + 236 | 0;
    i48 = get32(i36 | 0) | 0;
    i19 = i48 + 1 | 0;
    set32(i36 | 0, i19 | 0);
    i36 = i27 + 244 | 0;
    set32(i36 | 0, (get32(i36 | 0) | 0) + 1 | 0);
    i36 = i27 + 240 | 0;
    if ((i48 | 0) >= (get32(i36 | 0) | 0)) set32(i36 | 0, i19 | 0);
    i54 = i44;
    i30 = 171;
    break L205;
   } while (0);
   do if (i52 >>> 0 <= 2147483390) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i20 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i50) | 0;
     if (!i20) break; else {
      i55 = i20;
      break L205;
     }
    }
    i20 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i50) | 0;
    set32(35 * 4 | 0, i50 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i50 | 0)) set32(45 * 4 | 0, i50 | 0);
    i44 = get32(6 * 4 | 0) | 0;
    do if (i44) {
     i19 = get32(30 * 4 | 0) | 0;
     i36 = ((i19 | 0) < 0) << 31 >> 31;
     i48 = 16;
     i45 = _i64Subtract(get32(i48 | 0) | 0, get32(i48 + 4 | 0) | 0, i20 | 0, ((i20 | 0) < 0) << 31 >> 31 | 0) | 0;
     i48 = tempRet0;
     if ((i36 | 0) < (i48 | 0) | (i36 | 0) == (i48 | 0) & i19 >>> 0 < i45 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i45 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i44 & 15](i45, i19, i36, i20);
      set32(6 * 4 | 0, i44 | 0);
      set32(7 * 4 | 0, i45 | 0);
      break;
     }
    } while (0);
    i44 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i20) | 0;
    if (!i44) break;
    i45 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i44) | 0;
    i36 = (get32(30 * 4 | 0) | 0) + i45 | 0;
    set32(30 * 4 | 0, i36 | 0);
    if ((i36 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i36 | 0);
    i36 = get32(39 * 4 | 0) | 0;
    i45 = i36 + 1 | 0;
    set32(39 * 4 | 0, i45 | 0);
    if ((i36 | 0) < (get32(49 * 4 | 0) | 0)) {
     i55 = i44;
     break L205;
    }
    set32(49 * 4 | 0, i45 | 0);
    i55 = i44;
    break L205;
   } while (0);
   set8(i40 >> 0 | 0, 1 | 0);
   i53 = 0;
   break L201;
  } while (0);
  if ((i30 | 0) == 171) if (!i54) {
   i53 = 0;
   break;
  } else i55 = i54;
  _memcpy(i55 | 0, i51 | 0, i52 | 0) | 0;
  set8(i55 + i52 >> 0 | 0, 0 | 0);
  i50 = get8(i55 >> 0 | 0) | 0;
  switch (i50 << 24 >> 24 | 0) {
  case 96:
  case 34:
  case 39:
   {
    i56 = i50;
    break;
   }
  case 91:
   {
    i56 = 93;
    break;
   }
  default:
   {
    i53 = i55;
    break L201;
   }
  }
  i50 = get8(i55 + 1 >> 0 | 0) | 0;
  L265 : do if (!(i50 << 24 >> 24)) i57 = 0; else {
   i44 = i50;
   i45 = 1;
   i36 = 0;
   while (1) {
    if (i44 << 24 >> 24 == i56 << 24 >> 24) {
     i19 = i45 + 1 | 0;
     if ((get8(i55 + i19 >> 0 | 0) | 0) != i56 << 24 >> 24) {
      i57 = i36;
      break L265;
     }
     set8(i55 + i36 >> 0 | 0, i56 | 0);
     i58 = i19;
    } else {
     set8(i55 + i36 >> 0 | 0, i44 | 0);
     i58 = i45;
    }
    i19 = i36 + 1 | 0;
    i45 = i58 + 1 | 0;
    i44 = get8(i55 + i45 >> 0 | 0) | 0;
    if (!(i44 << 24 >> 24)) {
     i57 = i19;
     break;
    } else i36 = i19;
   }
  } while (0);
  set8(i55 + i57 >> 0 | 0, 0 | 0);
  i53 = i55;
 } else i53 = 0; else {
  set32(i18 | 0, i4 | 0);
  i53 = _sqlite3MPrintf(i27, 33859, i18) | 0;
 } while (0);
 i18 = i3 + 4 | 0;
 if (!(get32(i18 | 0) | 0)) i59 = 0; else i59 = get32(i21 + (i39 << 4) | 0) | 0;
 i4 = get32(i1 | 0) | 0;
 L279 : do if (((get8(i4 + 124 >> 0 | 0) | 0) == 0 ? (get8(i1 + 528 >> 0 | 0) | 0) == 0 : 0) ? (i55 = get32(i4 + 268 | 0) | 0, (i55 | 0) != 0) : 0) switch (FUNCTION_TABLE_iiiiiii[i55 & 3](get32(i4 + 272 | 0) | 0, 19, i49, i53, i59, get32(i1 + 516 | 0) | 0) | 0) {
 case 0:
  {
   i30 = 189;
   break L279;
   break;
  }
 case 2:
  {
   break L279;
   break;
  }
 case 1:
  {
   _sqlite3ErrorMsg(i1, 26149, i17);
   set32(i1 + 4 | 0, 23 | 0);
   break L279;
   break;
  }
 default:
  {
   _sqlite3ErrorMsg(i1, 29155, i16);
   set32(i1 + 4 | 0, 1 | 0);
   break L279;
  }
 } else i30 = 189; while (0);
 L286 : do if ((i30 | 0) == 189) {
  i16 = get8(i49 >> 0 | 0) | 0;
  i17 = i16 << 24 >> 24 == 0;
  L288 : do if (i17) {
   i60 = 0;
   i61 = 33863;
  } else {
   i4 = i16;
   i55 = i49;
   i57 = 33863;
   while (1) {
    if ((get8(16286 + (i4 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i57 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
     i60 = i4;
     i61 = i57;
     break L288;
    }
    i55 = i55 + 1 | 0;
    i58 = i57 + 1 | 0;
    i4 = get8(i55 >> 0 | 0) | 0;
    if (!(i4 << 24 >> 24)) {
     i60 = 0;
     i61 = i58;
     break;
    } else i57 = i58;
   }
  } while (0);
  L293 : do if ((get8(16286 + (i60 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i61 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
   i57 = get32(i1 | 0) | 0;
   if ((get8(i57 + 124 >> 0 | 0) | 0) == 0 ? (i4 = _sqlite3Init(i57, i1 + 8 | 0) | 0, (i4 | 0) != 0) : 0) {
    set32(i1 + 4 | 0, i4 | 0);
    i4 = i1 + 64 | 0;
    set32(i4 | 0, (get32(i4 | 0) | 0) + 1 | 0);
    break L286;
   }
   i4 = i37 + 112 | 0;
   set32(i4 | 0, get32(i4 | 0) | 1 << i39 | 0);
   if (!i53) {
    _sqlite3VdbeSetNumCols(i37, 1);
    if (!(get8((get32(i37 | 0) | 0) + 30 >> 0 | 0) | 0)) _sqlite3VdbeMemSetStr(get32(i37 + 16 | 0) | 0, 33914, -1, 1, 0) | 0;
    set32(i34 | 0, (get32(i34 | 0) | 0) + 2 | 0);
    i4 = i37 + 28 | 0;
    i57 = get32(i4 | 0) | 0;
    i55 = i37 + 32 | 0;
    i58 = get32(i55 | 0) | 0;
    do if ((i57 + 8 | 0) > (i58 | 0)) {
     i56 = i37 + 4 | 0;
     i54 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i56 | 0) | 0, (i58 | 0) == 0 ? 1020 : i58 * 40 | 0) | 0;
     if (!i54) {
      i28 = get32(i4 | 0) | 0;
      if ((i28 | 0) > 0) {
       i62 = 0;
       i63 = i56;
       i64 = i28;
       i30 = 216;
       break;
      } else {
       i65 = 0;
       i66 = i28;
       break;
      }
     }
     i28 = get32(i37 | 0) | 0;
     do if (!i28) i30 = 206; else {
      if ((get32(i28 + 260 | 0) | 0) >>> 0 > i54 >>> 0) {
       i30 = 206;
       break;
      }
      if ((get32(i28 + 264 | 0) | 0) >>> 0 <= i54 >>> 0) {
       i30 = 206;
       break;
      }
      i67 = getU16(i28 + 232 | 0) | 0;
     } while (0);
     if ((i30 | 0) == 206) i67 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i54) | 0;
     set32(i55 | 0, (i67 >>> 0) / 20 | 0 | 0);
     set32(i56 | 0, i54 | 0);
     i68 = i56;
     i69 = get32(i4 | 0) | 0;
     i30 = 208;
    } else {
     i68 = i37 + 4 | 0;
     i69 = i57;
     i30 = 208;
    } while (0);
    if ((i30 | 0) == 208) {
     i57 = 0;
     i55 = 33882;
     while (1) {
      i58 = get8(i55 + 2 >> 0 | 0) | 0;
      i28 = i58 << 24 >> 24;
      i20 = i57 + i69 | 0;
      i5 = get32(i68 | 0) | 0;
      i50 = get8(i55 >> 0 | 0) | 0;
      set8(i5 + (i20 * 20 | 0) >> 0 | 0, i50 | 0);
      set32(i5 + (i20 * 20 | 0) + 4 | 0, get8(i55 + 1 >> 0 | 0) | 0);
      do if (i58 << 24 >> 24 < 0) {
       if (!(get8(25464 + (i50 & 255) >> 0 | 0) & 1)) {
        i30 = 212;
        break;
       }
       set32(i5 + (i20 * 20 | 0) + 8 | 0, i69 + ~i28 | 0);
      } else i30 = 212; while (0);
      if ((i30 | 0) == 212) {
       i30 = 0;
       set32(i5 + (i20 * 20 | 0) + 8 | 0, i28 | 0);
      }
      set32(i5 + (i20 * 20 | 0) + 12 | 0, get8(i55 + 3 >> 0 | 0) | 0);
      set8(i5 + (i20 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      set32(i5 + (i20 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i5 + (i20 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      i57 = i57 + 1 | 0;
      if ((i57 | 0) == 8) break; else i55 = i55 + 4 | 0;
     }
     i55 = i69 + 8 | 0;
     set32(i4 | 0, i55 | 0);
     i62 = i69;
     i63 = i37 + 4 | 0;
     i64 = i55;
     i30 = 216;
    }
    if ((i30 | 0) == 216) {
     set32((get32(i63 | 0) | 0) + (i62 * 20 | 0) + 4 | 0, i39 | 0);
     i65 = i62;
     i66 = i64;
    }
    i55 = i65 + 1 | 0;
    if ((i66 | 0) > (i55 | 0)) set32((get32(i37 + 4 | 0) | 0) + (i55 * 20 | 0) + 4 | 0, i39 | 0);
    i55 = i65 + 6 | 0;
    if ((i66 | 0) <= (i55 | 0)) break;
    set32((get32(i37 + 4 | 0) | 0) + (i55 * 20 | 0) + 4 | 0, 2e3 | 0);
    break;
   }
   set32(i22 | 0, 0 | 0);
   _sqlite3GetInt32(i53, i22) | 0;
   i55 = get32(i22 | 0) | 0;
   if ((i55 | 0) > -1) i70 = i55; else i70 = (i55 | 0) == -2147483648 ? 2147483647 : 0 - i55 | 0;
   _sqlite3BeginWriteOperation(i1, 0, i39);
   i55 = i37 + 28 | 0;
   i57 = get32(i55 | 0) | 0;
   i50 = i37 + 32 | 0;
   i58 = get32(i50 | 0) | 0;
   do if ((i58 | 0) > (i57 | 0)) {
    i71 = i58;
    i72 = i57;
    i73 = get32(i37 + 4 | 0) | 0;
    i30 = 233;
   } else {
    i56 = i37 + 4 | 0;
    i54 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i56 | 0) | 0, (i58 | 0) == 0 ? 1020 : i58 * 40 | 0) | 0;
    if (!i54) {
     i74 = get32(i50 | 0) | 0;
     i75 = get32(i55 | 0) | 0;
     break;
    }
    i52 = get32(i37 | 0) | 0;
    do if (!i52) i30 = 231; else {
     if ((get32(i52 + 260 | 0) | 0) >>> 0 > i54 >>> 0) {
      i30 = 231;
      break;
     }
     if ((get32(i52 + 264 | 0) | 0) >>> 0 <= i54 >>> 0) {
      i30 = 231;
      break;
     }
     i76 = getU16(i52 + 232 | 0) | 0;
    } while (0);
    if ((i30 | 0) == 231) i76 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i54) | 0;
    i52 = (i76 >>> 0) / 20 | 0;
    set32(i50 | 0, i52 | 0);
    set32(i56 | 0, i54 | 0);
    i71 = i52;
    i72 = get32(i55 | 0) | 0;
    i73 = i54;
    i30 = 233;
   } while (0);
   if ((i30 | 0) == 233) {
    i58 = i72 + 1 | 0;
    set32(i55 | 0, i58 | 0);
    set8(i73 + (i57 * 20 | 0) >> 0 | 0, 7 | 0);
    set8(i73 + (i57 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i73 + (i57 * 20 | 0) + 4 | 0, i70 | 0);
    set32(i73 + (i57 * 20 | 0) + 8 | 0, 1 | 0);
    set32(i73 + (i57 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i73 + (i57 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i73 + (i57 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i74 = i71;
    i75 = i58;
   }
   do if ((i74 | 0) > (i75 | 0)) {
    i77 = i75;
    i78 = get32(i37 + 4 | 0) | 0;
    i30 = 243;
   } else {
    i58 = i37 + 4 | 0;
    i4 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i58 | 0) | 0, (i74 | 0) == 0 ? 1020 : i74 * 40 | 0) | 0;
    if (!i4) break;
    i52 = get32(i37 | 0) | 0;
    do if (!i52) i30 = 241; else {
     if ((get32(i52 + 260 | 0) | 0) >>> 0 > i4 >>> 0) {
      i30 = 241;
      break;
     }
     if ((get32(i52 + 264 | 0) | 0) >>> 0 <= i4 >>> 0) {
      i30 = 241;
      break;
     }
     i79 = getU16(i52 + 232 | 0) | 0;
    } while (0);
    if ((i30 | 0) == 241) i79 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i4) | 0;
    set32(i50 | 0, (i79 >>> 0) / 20 | 0 | 0);
    set32(i58 | 0, i4 | 0);
    i77 = get32(i55 | 0) | 0;
    i78 = i4;
    i30 = 243;
   } while (0);
   if ((i30 | 0) == 243) {
    set32(i55 | 0, i77 + 1 | 0);
    set8(i78 + (i75 * 20 | 0) >> 0 | 0, 36 | 0);
    set8(i78 + (i75 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i78 + (i75 * 20 | 0) + 4 | 0, i39 | 0);
    set32(i78 + (i75 * 20 | 0) + 8 | 0, 3 | 0);
    set32(i78 + (i75 * 20 | 0) + 12 | 0, 1 | 0);
    set32(i78 + (i75 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i78 + (i75 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   }
   set32((get32(i21 + (i39 << 4) + 12 | 0) | 0) + 80 | 0, i70 | 0);
   i50 = get32(i21 + (i39 << 4) + 4 | 0) | 0;
   i57 = get32(i50 + 4 | 0) | 0;
   set32(i57 + 4 | 0, get32(i50 | 0) | 0);
   i50 = get32((get32(i57 | 0) | 0) + 168 | 0) | 0;
   set32(i50 + 16 | 0, i70 | 0);
   i57 = get32(i50 + 40 | 0) | 0;
   if (!i57) break;
   FUNCTION_TABLE_vii[get32(312 | 0) & 15](i57, i70);
  } else {
   L371 : do if (i17) {
    i80 = 0;
    i81 = 33925;
   } else {
    i57 = i16;
    i50 = i49;
    i52 = 33925;
    while (1) {
     if ((get8(16286 + (i57 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i52 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
      i80 = i57;
      i81 = i52;
      break L371;
     }
     i50 = i50 + 1 | 0;
     i54 = i52 + 1 | 0;
     i57 = get8(i50 >> 0 | 0) | 0;
     if (!(i57 << 24 >> 24)) {
      i80 = 0;
      i81 = i54;
      break;
     } else i52 = i54;
    }
   } while (0);
   if ((get8(16286 + (i80 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i81 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
    i55 = get32(i21 + (i39 << 4) + 4 | 0) | 0;
    if (!i53) {
     if (!i55) {
      i82 = 0;
      i83 = 0;
     } else {
      i52 = get32((get32(i55 + 4 | 0) | 0) + 36 | 0) | 0;
      i82 = i52;
      i83 = ((i52 | 0) < 0) << 31 >> 31;
     }
     _returnSingleInt(i1, 33925, i82, i83);
     break;
    }
    set32(i22 | 0, 0 | 0);
    _sqlite3GetInt32(i53, i22) | 0;
    i52 = get32(i22 | 0) | 0;
    set32(i27 + 36 | 0, i52 | 0);
    i57 = get32(i55 + 4 | 0) | 0;
    set32(i57 + 4 | 0, get32(i55 | 0) | 0);
    if (get8(i57 + 17 >> 0 | 0) | 0) break;
    i55 = i57 + 36 | 0;
    i50 = i57 + 40 | 0;
    i4 = (get32(i55 | 0) | 0) - (get32(i50 | 0) | 0) | 0;
    do if ((i52 + -512 | 0) >>> 0 < 65025) {
     if (i52 + -1 & i52) break;
     set32(i55 | 0, i52 | 0);
     i58 = i57 + 88 | 0;
     i54 = get32(i58 | 0) | 0;
     do if (i54) {
      if ((get32(379 * 4 | 0) | 0) >>> 0 <= i54 >>> 0 & (get32(380 * 4 | 0) | 0) >>> 0 > i54 >>> 0) {
       i56 = (get32(31 * 4 | 0) | 0) + -1 | 0;
       set32(31 * 4 | 0, i56 | 0);
       if ((i56 | 0) > (get32(41 * 4 | 0) | 0)) set32(41 * 4 | 0, i56 | 0);
       set32(i54 | 0, get32(383 * 4 | 0) | 0);
       set32(383 * 4 | 0, i54 | 0);
       i56 = (get32(382 * 4 | 0) | 0) + 1 | 0;
       set32(382 * 4 | 0, i56 | 0);
       set32(384 * 4 | 0, (i56 | 0) < (get32(378 * 4 | 0) | 0) & 1 | 0);
       break;
      }
      i56 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i54) | 0;
      i20 = (get32(32 * 4 | 0) | 0) - i56 | 0;
      set32(32 * 4 | 0, i20 | 0);
      if ((i20 | 0) > (get32(42 * 4 | 0) | 0)) set32(42 * 4 | 0, i20 | 0);
      if (!(get32(50 * 4 | 0) | 0)) {
       FUNCTION_TABLE_vi[get32(232 | 0) & 31](i54);
       break;
      }
      i20 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i54) | 0;
      i56 = (get32(30 * 4 | 0) | 0) - i20 | 0;
      set32(30 * 4 | 0, i56 | 0);
      if ((i56 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i56 | 0);
      i56 = (get32(39 * 4 | 0) | 0) + -1 | 0;
      set32(39 * 4 | 0, i56 | 0);
      if ((i56 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i56 | 0);
      FUNCTION_TABLE_vi[get32(232 | 0) & 31](i54);
     } while (0);
     set32(i58 | 0, 0 | 0);
    } while (0);
    i52 = _sqlite3PagerSetPagesize(get32(i57 | 0) | 0, i55, i4) | 0;
    set32(i50 | 0, (get32(i55 | 0) | 0) - (i4 & 65535) | 0);
    if ((i52 | 0) != 7) break;
    set8(i27 + 30 >> 0 | 0, 1 | 0);
    break;
   }
   L412 : do if (i17) {
    i84 = 0;
    i85 = 33935;
   } else {
    i52 = i16;
    i54 = i49;
    i56 = 33935;
    while (1) {
     if ((get8(16286 + (i52 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i56 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
      i84 = i52;
      i85 = i56;
      break L412;
     }
     i54 = i54 + 1 | 0;
     i20 = i56 + 1 | 0;
     i52 = get8(i54 >> 0 | 0) | 0;
     if (!(i52 << 24 >> 24)) {
      i84 = 0;
      i85 = i20;
      break;
     } else i56 = i20;
    }
   } while (0);
   if ((get8(16286 + (i84 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i85 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
    i4 = get32(i21 + (i39 << 4) + 4 | 0) | 0;
    do if (!i53) {
     i86 = 0;
     i87 = -1;
    } else {
     i55 = (_getSafetyLevel(i53) | 0) & 1;
     if (get32(i18 | 0) | 0) {
      i86 = 1;
      i87 = i55;
      break;
     }
     i50 = get32(i27 + 4 | 0) | 0;
     if ((i50 | 0) <= 0) {
      i86 = 1;
      i87 = i55;
      break;
     }
     i57 = get32(i2 | 0) | 0;
     i56 = i55 & 255;
     i52 = 0;
     do {
      i54 = get32(i57 + (i52 << 4) + 4 | 0) | 0;
      if (i54) {
       i58 = get32(i54 + 4 | 0) | 0;
       set32(i58 + 4 | 0, get32(i54 | 0) | 0);
       set8(i58 + 18 >> 0 | 0, i56 | 0);
      }
      i52 = i52 + 1 | 0;
     } while ((i52 | 0) != (i50 | 0));
     i86 = 1;
     i87 = i55;
    } while (0);
    if (!i4) {
     i88 = 0;
     i89 = 0;
    } else {
     i55 = get32(i4 + 4 | 0) | 0;
     set32(i55 + 4 | 0, get32(i4 | 0) | 0);
     if (i86) {
      i50 = (i87 | 0) != 0 & 1;
      set8(i55 + 18 >> 0 | 0, i50 | 0);
      i90 = i50;
     } else i90 = get8(i55 + 18 >> 0 | 0) | 0;
     i88 = i90 & 255;
     i89 = 0;
    }
    _returnSingleInt(i1, 33935, i88, i89);
    break;
   }
   L437 : do if (i17) {
    i91 = 0;
    i92 = 33949;
   } else {
    i55 = i16;
    i50 = i49;
    i52 = 33949;
    while (1) {
     if ((get8(16286 + (i55 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i52 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
      i91 = i55;
      i92 = i52;
      break L437;
     }
     i50 = i50 + 1 | 0;
     i56 = i52 + 1 | 0;
     i55 = get8(i50 >> 0 | 0) | 0;
     if (!(i55 << 24 >> 24)) {
      i91 = 0;
      i92 = i56;
      break;
     } else i52 = i56;
    }
   } while (0);
   do if ((get8(16286 + (i91 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i92 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
    L444 : do if (i17) {
     i93 = 0;
     i94 = 33960;
    } else {
     i4 = i16;
     i52 = i49;
     i55 = 33960;
     while (1) {
      if ((get8(16286 + (i4 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i55 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
       i93 = i4;
       i94 = i55;
       break L444;
      }
      i52 = i52 + 1 | 0;
      i50 = i55 + 1 | 0;
      i4 = get8(i52 >> 0 | 0) | 0;
      if (!(i4 << 24 >> 24)) {
       i93 = 0;
       i94 = i50;
       break;
      } else i55 = i50;
     }
    } while (0);
    if ((get8(16286 + (i93 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i94 >> 0 | 0) | 0) >> 0 | 0) | 0)) break;
    L450 : do if (i17) {
     i95 = 0;
     i96 = 33975;
    } else {
     i55 = i16;
     i4 = i49;
     i52 = 33975;
     while (1) {
      if ((get8(16286 + (i55 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i52 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
       i95 = i55;
       i96 = i52;
       break L450;
      }
      i4 = i4 + 1 | 0;
      i50 = i52 + 1 | 0;
      i55 = get8(i4 >> 0 | 0) | 0;
      if (!(i55 << 24 >> 24)) {
       i95 = 0;
       i96 = i50;
       break;
      } else i52 = i50;
     }
    } while (0);
    if ((get8(16286 + (i95 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i96 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
     do if (!i53) i30 = 443; else {
      i52 = get8(i53 >> 0 | 0) | 0;
      i55 = i52 << 24 >> 24 == 0;
      L459 : do if (i55) {
       i97 = 0;
       i98 = 33995;
      } else {
       i4 = i52;
       i50 = i53;
       i56 = 33995;
       while (1) {
        if ((get8(16286 + (i4 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i56 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
         i97 = i4;
         i98 = i56;
         break L459;
        }
        i50 = i50 + 1 | 0;
        i57 = i56 + 1 | 0;
        i4 = get8(i50 >> 0 | 0) | 0;
        if (!(i4 << 24 >> 24)) {
         i97 = 0;
         i98 = i57;
         break;
        } else i56 = i57;
       }
      } while (0);
      if ((get8(16286 + (i97 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i98 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
       L466 : do if (i55) {
        i99 = 0;
        i100 = 33988;
       } else {
        i56 = i52;
        i4 = i53;
        i50 = 33988;
        while (1) {
         if ((get8(16286 + (i56 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i50 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
          i99 = i56;
          i100 = i50;
          break L466;
         }
         i4 = i4 + 1 | 0;
         i57 = i50 + 1 | 0;
         i56 = get8(i4 >> 0 | 0) | 0;
         if (!(i56 << 24 >> 24)) {
          i99 = 0;
          i100 = i57;
          break;
         } else i50 = i57;
        }
       } while (0);
       if ((get8(16286 + (i99 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i100 >> 0 | 0) | 0) >> 0 | 0) | 0)) i101 = 0; else {
        i30 = 443;
        break;
       }
      } else i101 = 1;
      if (get32(i18 | 0) | 0) {
       i102 = i101;
       i30 = 451;
       break;
      }
      i52 = get32(i27 + 4 | 0) | 0;
      if ((i52 | 0) > 2) {
       i55 = get32(i2 | 0) | 0;
       i50 = i101 & 255;
       i56 = 2;
       do {
        i4 = get32(get32((get32(i55 + (i56 << 4) + 4 | 0) | 0) + 4 | 0) | 0) | 0;
        do if (!(get8(i4 + 12 >> 0 | 0) | 0)) {
         i57 = get32(i4 + 172 | 0) | 0;
         if ((i57 | 0) != 0 ? (get8(i57 + 38 >> 0 | 0) | 0) == 2 : 0) break;
         set8(i4 + 4 >> 0 | 0, i50 | 0);
        } while (0);
        i56 = i56 + 1 | 0;
       } while ((i56 | 0) != (i52 | 0));
       i103 = i50;
      } else i103 = i101 & 255;
      set8(i27 + 31 >> 0 | 0, i103 | 0);
      i102 = i101;
      i30 = 451;
     } while (0);
     do if ((i30 | 0) == 443) {
      if (get32(i18 | 0) | 0) {
       i102 = -1;
       i30 = 451;
       break;
      }
      i104 = i27 + 31 | 0;
     } while (0);
     if ((i30 | 0) == 451) {
      i50 = get32(get32((get32(i21 + (i39 << 4) + 4 | 0) | 0) + 4 | 0) | 0) | 0;
      do if ((i102 | 0) > -1) {
       if (get8(i50 + 12 >> 0 | 0) | 0) break;
       i52 = get32(i50 + 172 | 0) | 0;
       if ((i52 | 0) != 0 ? (get8(i52 + 38 >> 0 | 0) | 0) == 2 : 0) break;
       set8(i50 + 4 >> 0 | 0, i102 | 0);
      } while (0);
      i104 = i50 + 4 | 0;
     }
     i52 = (get8(i104 >> 0 | 0) | 0) == 1 ? 33995 : 33988;
     _sqlite3VdbeSetNumCols(i37, 1);
     if (!(get8((get32(i37 | 0) | 0) + 30 >> 0 | 0) | 0)) _sqlite3VdbeMemSetStr(get32(i37 + 16 | 0) | 0, 33975, -1, 1, 0) | 0;
     i56 = i37 + 28 | 0;
     i55 = get32(i56 | 0) | 0;
     i4 = i37 + 32 | 0;
     i57 = get32(i4 | 0) | 0;
     do if ((i57 | 0) > (i55 | 0)) {
      i105 = i55;
      i106 = get32(i37 + 4 | 0) | 0;
      i30 = 468;
     } else {
      i58 = i37 + 4 | 0;
      i54 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i58 | 0) | 0, (i57 | 0) == 0 ? 1020 : i57 * 40 | 0) | 0;
      if (!i54) {
       i107 = 1;
       break;
      }
      i20 = get32(i37 | 0) | 0;
      do if (!i20) i30 = 466; else {
       if ((get32(i20 + 260 | 0) | 0) >>> 0 > i54 >>> 0) {
        i30 = 466;
        break;
       }
       if ((get32(i20 + 264 | 0) | 0) >>> 0 <= i54 >>> 0) {
        i30 = 466;
        break;
       }
       i108 = getU16(i20 + 232 | 0) | 0;
      } while (0);
      if ((i30 | 0) == 466) i108 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i54) | 0;
      set32(i4 | 0, (i108 >>> 0) / 20 | 0 | 0);
      set32(i58 | 0, i54 | 0);
      i105 = get32(i56 | 0) | 0;
      i106 = i54;
      i30 = 468;
     } while (0);
     if ((i30 | 0) == 468) {
      set32(i56 | 0, i105 + 1 | 0);
      set8(i106 + (i55 * 20 | 0) >> 0 | 0, 94 | 0);
      set8(i106 + (i55 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i106 + (i55 * 20 | 0) + 4 | 0, 0 | 0);
      set32(i106 + (i55 * 20 | 0) + 8 | 0, 1 | 0);
      set32(i106 + (i55 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i106 + (i55 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i106 + (i55 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i107 = i55;
     }
     _sqlite3VdbeChangeP4(i37, i107, i52, 0);
     i57 = get32(i56 | 0) | 0;
     i50 = get32(i4 | 0) | 0;
     if ((i50 | 0) > (i57 | 0)) {
      i109 = i57;
      i110 = get32(i37 + 4 | 0) | 0;
     } else {
      i20 = i37 + 4 | 0;
      i5 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i20 | 0) | 0, (i50 | 0) == 0 ? 1020 : i50 * 40 | 0) | 0;
      if (!i5) break L293;
      i50 = get32(i37 | 0) | 0;
      do if (!i50) i30 = 476; else {
       if ((get32(i50 + 260 | 0) | 0) >>> 0 > i5 >>> 0) {
        i30 = 476;
        break;
       }
       if ((get32(i50 + 264 | 0) | 0) >>> 0 <= i5 >>> 0) {
        i30 = 476;
        break;
       }
       i111 = getU16(i50 + 232 | 0) | 0;
      } while (0);
      if ((i30 | 0) == 476) i111 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i5) | 0;
      set32(i4 | 0, (i111 >>> 0) / 20 | 0 | 0);
      set32(i20 | 0, i5 | 0);
      i109 = get32(i56 | 0) | 0;
      i110 = i5;
     }
     set32(i56 | 0, i109 + 1 | 0);
     set8(i110 + (i57 * 20 | 0) >> 0 | 0, 16 | 0);
     set8(i110 + (i57 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i110 + (i57 * 20 | 0) + 4 | 0, 1 | 0);
     set32(i110 + (i57 * 20 | 0) + 8 | 0, 1 | 0);
     set32(i110 + (i57 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i110 + (i57 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i110 + (i57 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     break L293;
    }
    L528 : do if (i17) {
     i112 = 0;
     i113 = 34005;
    } else {
     i50 = i16;
     i52 = i49;
     i55 = 34005;
     while (1) {
      if ((get8(16286 + (i50 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i55 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
       i112 = i50;
       i113 = i55;
       break L528;
      }
      i52 = i52 + 1 | 0;
      i28 = i55 + 1 | 0;
      i50 = get8(i52 >> 0 | 0) | 0;
      if (!(i50 << 24 >> 24)) {
       i112 = 0;
       i113 = i28;
       break;
      } else i55 = i28;
     }
    } while (0);
    if ((get8(16286 + (i112 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i113 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
     i57 = get32(i1 | 0) | 0;
     do if (!(get8(i57 + 124 >> 0 | 0) | 0)) {
      i56 = _sqlite3Init(i57, i1 + 8 | 0) | 0;
      if (!i56) break;
      set32(i1 + 4 | 0, i56 | 0);
      i56 = i1 + 64 | 0;
      set32(i56 | 0, (get32(i56 | 0) | 0) + 1 | 0);
      break L286;
     } while (0);
     _sqlite3VdbeSetNumCols(i37, 1);
     if (!(get8((get32(i37 | 0) | 0) + 30 >> 0 | 0) | 0)) _sqlite3VdbeMemSetStr(get32(i37 + 16 | 0) | 0, 34005, -1, 1, 0) | 0;
     L542 : do if (i53) {
      i57 = i53;
      while (1) if (!(get8(i57 >> 0 | 0) | 0)) {
       i114 = i57;
       break;
      } else i57 = i57 + 1 | 0;
      i57 = i114 - i53 & 1073741823;
      i56 = (i57 | 0) == 0;
      i5 = 0;
      L546 : while (1) {
       if (i56) {
        i115 = i5;
        i30 = 500;
        break;
       }
       i20 = i57;
       i4 = i53;
       i55 = get32(2124 + (i5 << 2) | 0) | 0;
       while (1) {
        i50 = get8(i4 >> 0 | 0) | 0;
        if (!(i50 << 24 >> 24)) {
         i116 = i55;
         i30 = 494;
         break;
        }
        i52 = get8(16286 + (i50 & 255) >> 0 | 0) | 0;
        i50 = get8(16286 + (getU8(i55 >> 0 | 0) | 0) >> 0 | 0) | 0;
        if (i52 << 24 >> 24 != i50 << 24 >> 24) {
         i117 = i52;
         i118 = i50;
         break;
        }
        if ((i20 | 0) > 1) {
         i20 = i20 + -1 | 0;
         i4 = i4 + 1 | 0;
         i55 = i55 + 1 | 0;
        } else {
         i119 = i5;
         i30 = 499;
         break L546;
        }
       }
       if ((i30 | 0) == 494) {
        i30 = 0;
        i117 = 0;
        i118 = get8(16286 + (getU8(i116 >> 0 | 0) | 0) >> 0 | 0) | 0;
       }
       if (i117 << 24 >> 24 == i118 << 24 >> 24) {
        i119 = i5;
        i30 = 499;
        break;
       }
       i5 = i5 + 1 | 0;
       if ((i5 | 0) == 6) {
        i30 = 501;
        break L542;
       }
      }
      if ((i30 | 0) == 499) if ((i119 | 0) == -1) {
       i30 = 501;
       break;
      } else {
       i120 = i119;
       i121 = i39;
       break;
      } else if ((i30 | 0) == 500) if ((i115 | 0) == -1) {
       i30 = 501;
       break;
      } else {
       i120 = i115;
       i121 = i39;
       break;
      }
     } else i30 = 501; while (0);
     do if ((i30 | 0) == 501) {
      if (get32(i18 | 0) | 0) {
       i120 = -1;
       i121 = i39;
       break;
      }
      set32(i18 | 0, 1 | 0);
      i120 = -1;
      i121 = 0;
     } while (0);
     i5 = get32(i27 + 4 | 0) | 0;
     if ((i5 | 0) > 0) {
      i57 = i37 + 112 | 0;
      i56 = i37 + 28 | 0;
      i55 = i37 + 32 | 0;
      i4 = i37 + 4 | 0;
      i20 = i5;
      do {
       i5 = i20;
       i20 = i20 + -1 | 0;
       do if (get32((get32(i2 | 0) | 0) + (i20 << 4) + 4 | 0) | 0) {
        if ((i20 | 0) != (i121 | 0) ? (get32(i18 | 0) | 0) != 0 : 0) break;
        set32(i57 | 0, get32(i57 | 0) | 1 << i20 | 0);
        i50 = get32(i56 | 0) | 0;
        i52 = get32(i55 | 0) | 0;
        if ((i52 | 0) > (i50 | 0)) {
         i122 = i50;
         i123 = get32(i4 | 0) | 0;
        } else {
         i54 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i4 | 0) | 0, (i52 | 0) == 0 ? 1020 : i52 * 40 | 0) | 0;
         if (!i54) break;
         i52 = get32(i37 | 0) | 0;
         do if (!i52) i30 = 517; else {
          if ((get32(i52 + 260 | 0) | 0) >>> 0 > i54 >>> 0) {
           i30 = 517;
           break;
          }
          if ((get32(i52 + 264 | 0) | 0) >>> 0 <= i54 >>> 0) {
           i30 = 517;
           break;
          }
          i124 = getU16(i52 + 232 | 0) | 0;
         } while (0);
         if ((i30 | 0) == 517) {
          i30 = 0;
          i124 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i54) | 0;
         }
         set32(i55 | 0, (i124 >>> 0) / 20 | 0 | 0);
         set32(i4 | 0, i54 | 0);
         i122 = get32(i56 | 0) | 0;
         i123 = i54;
        }
        set32(i56 | 0, i122 + 1 | 0);
        set8(i123 + (i50 * 20 | 0) >> 0 | 0, 119 | 0);
        set8(i123 + (i50 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i123 + (i50 * 20 | 0) + 4 | 0, i20 | 0);
        set32(i123 + (i50 * 20 | 0) + 8 | 0, 1 | 0);
        set32(i123 + (i50 * 20 | 0) + 12 | 0, i120 | 0);
        set32(i123 + (i50 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i123 + (i50 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       } while (0);
      } while ((i5 | 0) > 1);
      i125 = i56;
      i126 = i55;
     } else {
      i125 = i37 + 28 | 0;
      i126 = i37 + 32 | 0;
     }
     i55 = get32(i125 | 0) | 0;
     i56 = get32(i126 | 0) | 0;
     if ((i56 | 0) > (i55 | 0)) {
      i127 = i55;
      i128 = get32(i37 + 4 | 0) | 0;
     } else {
      i20 = i37 + 4 | 0;
      i4 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i20 | 0) | 0, (i56 | 0) == 0 ? 1020 : i56 * 40 | 0) | 0;
      if (!i4) break L293;
      i56 = get32(i37 | 0) | 0;
      do if (!i56) i30 = 527; else {
       if ((get32(i56 + 260 | 0) | 0) >>> 0 > i4 >>> 0) {
        i30 = 527;
        break;
       }
       if ((get32(i56 + 264 | 0) | 0) >>> 0 <= i4 >>> 0) {
        i30 = 527;
        break;
       }
       i129 = getU16(i56 + 232 | 0) | 0;
      } while (0);
      if ((i30 | 0) == 527) i129 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i4) | 0;
      set32(i126 | 0, (i129 >>> 0) / 20 | 0 | 0);
      set32(i20 | 0, i4 | 0);
      i127 = get32(i125 | 0) | 0;
      i128 = i4;
     }
     set32(i125 | 0, i127 + 1 | 0);
     set8(i128 + (i55 * 20 | 0) >> 0 | 0, 16 | 0);
     set8(i128 + (i55 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i128 + (i55 * 20 | 0) + 4 | 0, 1 | 0);
     set32(i128 + (i55 * 20 | 0) + 8 | 0, 1 | 0);
     set32(i128 + (i55 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i128 + (i55 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i128 + (i55 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     break L293;
    }
    L601 : do if (i17) {
     i130 = 0;
     i131 = 34018;
    } else {
     i56 = i16;
     i57 = i49;
     i52 = 34018;
     while (1) {
      if ((get8(16286 + (i56 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i52 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
       i130 = i56;
       i131 = i52;
       break L601;
      }
      i57 = i57 + 1 | 0;
      i58 = i52 + 1 | 0;
      i56 = get8(i57 >> 0 | 0) | 0;
      if (!(i56 << 24 >> 24)) {
       i130 = 0;
       i131 = i58;
       break;
      } else i52 = i58;
     }
    } while (0);
    if ((get8(16286 + (i130 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i131 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
     i55 = get32(get32((get32(i21 + (i39 << 4) + 4 | 0) | 0) + 4 | 0) | 0) | 0;
     i4 = i23;
     set32(i4 | 0, -2 | 0);
     set32(i4 + 4 | 0, -1 | 0);
     do if (!i53) {
      i4 = i55 + 136 | 0;
      i132 = get32(i4 | 0) | 0;
      i133 = get32(i4 + 4 | 0) | 0;
     } else {
      _sqlite3Atoi64(i53, i23, 1e6, 1) | 0;
      i4 = i23;
      i20 = get32(i4 | 0) | 0;
      i52 = get32(i4 + 4 | 0) | 0;
      if ((i52 | 0) < -1 | (i52 | 0) == -1 & i20 >>> 0 < 4294967295) {
       i4 = i23;
       set32(i4 | 0, -1 | 0);
       set32(i4 + 4 | 0, -1 | 0);
       i134 = -1;
       i135 = -1;
      } else {
       i134 = i20;
       i135 = i52;
      }
      i52 = i55 + 136 | 0;
      set32(i52 | 0, i134 | 0);
      set32(i52 + 4 | 0, i135 | 0);
      i52 = get32(i55 + 172 | 0) | 0;
      if (!i52) {
       i132 = i134;
       i133 = i135;
       break;
      }
      i20 = i52 + 16 | 0;
      set32(i20 | 0, i134 | 0);
      set32(i20 + 4 | 0, i135 | 0);
      i132 = i134;
      i133 = i135;
     } while (0);
     i55 = i23;
     set32(i55 | 0, i132 | 0);
     set32(i55 + 4 | 0, i133 | 0);
     _returnSingleInt(i1, 34018, i132, i133);
     break L293;
    }
    L617 : do if (i17) {
     i136 = 0;
     i137 = 34037;
    } else {
     i55 = i16;
     i20 = i49;
     i52 = 34037;
     while (1) {
      if ((get8(16286 + (i55 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i52 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
       i136 = i55;
       i137 = i52;
       break L617;
      }
      i20 = i20 + 1 | 0;
      i4 = i52 + 1 | 0;
      i55 = get8(i20 >> 0 | 0) | 0;
      if (!(i55 << 24 >> 24)) {
       i136 = 0;
       i137 = i4;
       break;
      } else i52 = i4;
     }
    } while (0);
    if ((get8(16286 + (i136 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i137 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
     i52 = get32(i21 + (i39 << 4) + 4 | 0) | 0;
     i55 = get32(i1 | 0) | 0;
     do if (!(get8(i55 + 124 >> 0 | 0) | 0)) {
      i20 = _sqlite3Init(i55, i1 + 8 | 0) | 0;
      if (!i20) break;
      set32(i1 + 4 | 0, i20 | 0);
      i20 = i1 + 64 | 0;
      set32(i20 | 0, (get32(i20 | 0) | 0) + 1 | 0);
      break L286;
     } while (0);
     if (!i53) {
      do if (!i52) {
       i138 = 0;
       i139 = 0;
      } else {
       i55 = get32(i52 + 4 | 0) | 0;
       set32(i55 + 4 | 0, get32(i52 | 0) | 0);
       if (!(get8(i55 + 21 >> 0 | 0) | 0)) {
        i138 = 0;
        i139 = 0;
        break;
       }
       i20 = (get8(i55 + 22 >> 0 | 0) | 0) == 0;
       i138 = i20 ? 1 : 2;
       i139 = i20 ? 0 : 0;
      } while (0);
      _returnSingleInt(i1, 34037, i138, i139);
      break L293;
     }
     i20 = get8(i53 >> 0 | 0) | 0;
     i55 = i20 << 24 >> 24 == 0;
     L635 : do if (i55) {
      i140 = 0;
      i141 = 34849;
     } else {
      i4 = i20;
      i56 = i53;
      i57 = 34849;
      while (1) {
       if ((get8(16286 + (i4 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i57 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
        i140 = i4;
        i141 = i57;
        break L635;
       }
       i56 = i56 + 1 | 0;
       i5 = i57 + 1 | 0;
       i4 = get8(i56 >> 0 | 0) | 0;
       if (!(i4 << 24 >> 24)) {
        i140 = 0;
        i141 = i5;
        break;
       } else i57 = i5;
      }
     } while (0);
     do if ((get8(16286 + (i140 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i141 >> 0 | 0) | 0) >> 0 | 0) | 0)) i142 = 0; else {
      L642 : do if (i55) {
       i143 = 0;
       i144 = 34795;
      } else {
       i57 = i20;
       i4 = i53;
       i56 = 34795;
       while (1) {
        if ((get8(16286 + (i57 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i56 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
         i143 = i57;
         i144 = i56;
         break L642;
        }
        i4 = i4 + 1 | 0;
        i5 = i56 + 1 | 0;
        i57 = get8(i4 >> 0 | 0) | 0;
        if (!(i57 << 24 >> 24)) {
         i143 = 0;
         i144 = i5;
         break;
        } else i56 = i5;
       }
      } while (0);
      if ((get8(16286 + (i143 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i144 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
       i142 = 1;
       break;
      }
      L648 : do if (i55) {
       i145 = 0;
       i146 = 34854;
      } else {
       i56 = i20;
       i57 = i53;
       i4 = 34854;
       while (1) {
        if ((get8(16286 + (i56 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i4 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
         i145 = i56;
         i146 = i4;
         break L648;
        }
        i57 = i57 + 1 | 0;
        i50 = i4 + 1 | 0;
        i56 = get8(i57 >> 0 | 0) | 0;
        if (!(i56 << 24 >> 24)) {
         i145 = 0;
         i146 = i50;
         break;
        } else i4 = i50;
       }
      } while (0);
      if ((get8(16286 + (i145 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i146 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
       i142 = 2;
       break;
      }
      set32(i22 | 0, 0 | 0);
      _sqlite3GetInt32(i53, i22) | 0;
      i4 = get32(i22 | 0) | 0;
      i142 = i4 >>> 0 < 3 ? i4 & 255 : 0;
     } while (0);
     set8(i27 + 32 >> 0 | 0, i142 | 0);
     i20 = get32(i52 + 4 | 0) | 0;
     set32(i20 + 4 | 0, get32(i52 | 0) | 0);
     i55 = i142 & 255;
     if (get8(i20 + 17 >> 0 | 0) | 0) {
      i4 = i20 + 21 | 0;
      if (((i55 | 0) != 0 | 0) == (getU8(i4 >> 0 | 0) | 0)) i147 = i4; else break L293;
     } else i147 = i20 + 21 | 0;
     set8(i147 >> 0 | 0, (i55 | 0) != 0 & 1 | 0);
     set8(i20 + 22 >> 0 | 0, (i55 | 0) == 2 & 1 | 0);
     i55 = i142 + -1 | 0;
     if (i55 >>> 0 >= 2) break L293;
     i20 = i37 + 28 | 0;
     i4 = get32(i20 | 0) | 0;
     i56 = i37 + 32 | 0;
     i57 = get32(i56 | 0) | 0;
     do if ((i4 + 6 | 0) > (i57 | 0)) {
      i50 = i37 + 4 | 0;
      i54 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i50 | 0) | 0, (i57 | 0) == 0 ? 1020 : i57 * 40 | 0) | 0;
      if (!i54) {
       i5 = get32(i20 | 0) | 0;
       if ((i5 | 0) > 0) {
        i148 = 0;
        i149 = i50;
        i150 = i5;
        i30 = 587;
        break;
       } else {
        i151 = 0;
        i152 = i5;
        break;
       }
      }
      i5 = get32(i37 | 0) | 0;
      do if (!i5) i30 = 577; else {
       if ((get32(i5 + 260 | 0) | 0) >>> 0 > i54 >>> 0) {
        i30 = 577;
        break;
       }
       if ((get32(i5 + 264 | 0) | 0) >>> 0 <= i54 >>> 0) {
        i30 = 577;
        break;
       }
       i153 = getU16(i5 + 232 | 0) | 0;
      } while (0);
      if ((i30 | 0) == 577) i153 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i54) | 0;
      set32(i56 | 0, (i153 >>> 0) / 20 | 0 | 0);
      set32(i50 | 0, i54 | 0);
      i154 = i50;
      i155 = get32(i20 | 0) | 0;
      i30 = 579;
     } else {
      i154 = i37 + 4 | 0;
      i155 = i4;
      i30 = 579;
     } while (0);
     if ((i30 | 0) == 579) {
      i4 = 0;
      i56 = 34049;
      while (1) {
       i57 = get8(i56 + 2 >> 0 | 0) | 0;
       i52 = i57 << 24 >> 24;
       i5 = i4 + i155 | 0;
       i58 = get32(i154 | 0) | 0;
       i28 = get8(i56 >> 0 | 0) | 0;
       set8(i58 + (i5 * 20 | 0) >> 0 | 0, i28 | 0);
       set32(i58 + (i5 * 20 | 0) + 4 | 0, get8(i56 + 1 >> 0 | 0) | 0);
       do if (i57 << 24 >> 24 < 0) {
        if (!(get8(25464 + (i28 & 255) >> 0 | 0) & 1)) {
         i30 = 583;
         break;
        }
        set32(i58 + (i5 * 20 | 0) + 8 | 0, i155 + ~i52 | 0);
       } else i30 = 583; while (0);
       if ((i30 | 0) == 583) {
        i30 = 0;
        set32(i58 + (i5 * 20 | 0) + 8 | 0, i52 | 0);
       }
       set32(i58 + (i5 * 20 | 0) + 12 | 0, get8(i56 + 3 >> 0 | 0) | 0);
       set8(i58 + (i5 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       set32(i58 + (i5 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i58 + (i5 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       i4 = i4 + 1 | 0;
       if ((i4 | 0) == 6) break; else i56 = i56 + 4 | 0;
      }
      i56 = i155 + 6 | 0;
      set32(i20 | 0, i56 | 0);
      i148 = i155;
      i149 = i37 + 4 | 0;
      i150 = i56;
      i30 = 587;
     }
     if ((i30 | 0) == 587) {
      set32((get32(i149 | 0) | 0) + (i148 * 20 | 0) + 4 | 0, i39 | 0);
      i151 = i148;
      i152 = i150;
     }
     i56 = i151 + 1 | 0;
     if ((i152 | 0) > (i56 | 0)) set32((get32(i37 + 4 | 0) | 0) + (i56 * 20 | 0) + 4 | 0, i39 | 0);
     i56 = i151 + 2 | 0;
     i4 = i151 + 4 | 0;
     if ((i152 | 0) > (i56 | 0)) set32((get32(i37 + 4 | 0) | 0) + (i56 * 20 | 0) + 8 | 0, i4 | 0);
     if ((i152 | 0) > (i4 | 0)) set32((get32(i37 + 4 | 0) | 0) + (i4 * 20 | 0) + 4 | 0, i55 | 0);
     i4 = i151 + 5 | 0;
     if ((i152 | 0) > (i4 | 0)) set32((get32(i37 + 4 | 0) | 0) + (i4 * 20 | 0) + 4 | 0, i39 | 0);
     i4 = i37 + 112 | 0;
     set32(i4 | 0, get32(i4 | 0) | 1 << i39 | 0);
     break L293;
    }
    L700 : do if (i17) {
     i156 = 0;
     i157 = 34073;
    } else {
     i4 = i16;
     i56 = i49;
     i28 = 34073;
     while (1) {
      if ((get8(16286 + (i4 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i28 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
       i156 = i4;
       i157 = i28;
       break L700;
      }
      i56 = i56 + 1 | 0;
      i57 = i28 + 1 | 0;
      i4 = get8(i56 >> 0 | 0) | 0;
      if (!(i4 << 24 >> 24)) {
       i156 = 0;
       i157 = i57;
       break;
      } else i28 = i57;
     }
    } while (0);
    if ((get8(16286 + (i156 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i157 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
     i55 = get32(i1 | 0) | 0;
     do if (!(get8(i55 + 124 >> 0 | 0) | 0)) {
      i20 = _sqlite3Init(i55, i1 + 8 | 0) | 0;
      if (!i20) break;
      set32(i1 + 4 | 0, i20 | 0);
      i20 = i1 + 64 | 0;
      set32(i20 | 0, (get32(i20 | 0) | 0) + 1 | 0);
      break L286;
     } while (0);
     if ((i53 | 0) != 0 ? (i55 = (_sqlite3GetInt32(i53, i24) | 0) == 0, i20 = get32(i24 | 0) | 0, !(i55 | (i20 | 0) < 1)) : 0) i158 = i20; else {
      set32(i24 | 0, 2147483647 | 0);
      i158 = 2147483647;
     }
     _sqlite3BeginWriteOperation(i1, 0, i39);
     i20 = i37 + 28 | 0;
     i55 = get32(i20 | 0) | 0;
     i28 = i37 + 32 | 0;
     i4 = get32(i28 | 0) | 0;
     do if ((i4 | 0) > (i55 | 0)) {
      i159 = i55;
      i160 = get32(i37 + 4 | 0) | 0;
      i161 = i4;
      i30 = 617;
     } else {
      i56 = i37 + 4 | 0;
      i5 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i56 | 0) | 0, (i4 | 0) == 0 ? 1020 : i4 * 40 | 0) | 0;
      if (!i5) {
       i162 = get32(i28 | 0) | 0;
       i163 = get32(i20 | 0) | 0;
       break;
      }
      i58 = get32(i37 | 0) | 0;
      do if (!i58) i30 = 615; else {
       if ((get32(i58 + 260 | 0) | 0) >>> 0 > i5 >>> 0) {
        i30 = 615;
        break;
       }
       if ((get32(i58 + 264 | 0) | 0) >>> 0 <= i5 >>> 0) {
        i30 = 615;
        break;
       }
       i164 = getU16(i58 + 232 | 0) | 0;
      } while (0);
      if ((i30 | 0) == 615) i164 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i5) | 0;
      i58 = (i164 >>> 0) / 20 | 0;
      set32(i28 | 0, i58 | 0);
      set32(i56 | 0, i5 | 0);
      i159 = get32(i20 | 0) | 0;
      i160 = i5;
      i161 = i58;
      i30 = 617;
     } while (0);
     if ((i30 | 0) == 617) {
      i4 = i159 + 1 | 0;
      set32(i20 | 0, i4 | 0);
      set8(i160 + (i55 * 20 | 0) >> 0 | 0, 7 | 0);
      set8(i160 + (i55 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i160 + (i55 * 20 | 0) + 4 | 0, i158 | 0);
      set32(i160 + (i55 * 20 | 0) + 8 | 0, 1 | 0);
      set32(i160 + (i55 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i160 + (i55 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i160 + (i55 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i162 = i161;
      i163 = i4;
     }
     do if ((i162 | 0) > (i163 | 0)) {
      i165 = i163;
      i166 = get32(i37 + 4 | 0) | 0;
      i167 = i162;
      i30 = 628;
     } else {
      i4 = i37 + 4 | 0;
      i58 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i4 | 0) | 0, (i162 | 0) == 0 ? 1020 : i162 * 40 | 0) | 0;
      if (!i58) {
       i168 = 1;
       i169 = get32(i28 | 0) | 0;
       i170 = get32(i20 | 0) | 0;
       break;
      }
      i52 = get32(i37 | 0) | 0;
      do if (!i52) i30 = 626; else {
       if ((get32(i52 + 260 | 0) | 0) >>> 0 > i58 >>> 0) {
        i30 = 626;
        break;
       }
       if ((get32(i52 + 264 | 0) | 0) >>> 0 <= i58 >>> 0) {
        i30 = 626;
        break;
       }
       i171 = getU16(i52 + 232 | 0) | 0;
      } while (0);
      if ((i30 | 0) == 626) i171 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i58) | 0;
      i52 = (i171 >>> 0) / 20 | 0;
      set32(i28 | 0, i52 | 0);
      set32(i4 | 0, i58 | 0);
      i165 = get32(i20 | 0) | 0;
      i166 = i58;
      i167 = i52;
      i30 = 628;
     } while (0);
     if ((i30 | 0) == 628) {
      i55 = i165 + 1 | 0;
      set32(i20 | 0, i55 | 0);
      set8(i166 + (i163 * 20 | 0) >> 0 | 0, 121 | 0);
      set8(i166 + (i163 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i166 + (i163 * 20 | 0) + 4 | 0, i39 | 0);
      set32(i166 + (i163 * 20 | 0) + 8 | 0, 0 | 0);
      set32(i166 + (i163 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i166 + (i163 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i166 + (i163 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i168 = i163;
      i169 = i167;
      i170 = i55;
     }
     do if ((i169 | 0) > (i170 | 0)) {
      i172 = i170;
      i173 = get32(i37 + 4 | 0) | 0;
      i174 = i169;
      i30 = 639;
     } else {
      i55 = i37 + 4 | 0;
      i52 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i55 | 0) | 0, (i169 | 0) == 0 ? 1020 : i169 * 40 | 0) | 0;
      if (!i52) {
       i175 = get32(i28 | 0) | 0;
       i176 = get32(i20 | 0) | 0;
       break;
      }
      i5 = get32(i37 | 0) | 0;
      do if (!i5) i30 = 637; else {
       if ((get32(i5 + 260 | 0) | 0) >>> 0 > i52 >>> 0) {
        i30 = 637;
        break;
       }
       if ((get32(i5 + 264 | 0) | 0) >>> 0 <= i52 >>> 0) {
        i30 = 637;
        break;
       }
       i177 = getU16(i5 + 232 | 0) | 0;
      } while (0);
      if ((i30 | 0) == 637) i177 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i52) | 0;
      i5 = (i177 >>> 0) / 20 | 0;
      set32(i28 | 0, i5 | 0);
      set32(i55 | 0, i52 | 0);
      i172 = get32(i20 | 0) | 0;
      i173 = i52;
      i174 = i5;
      i30 = 639;
     } while (0);
     if ((i30 | 0) == 639) {
      i5 = i172 + 1 | 0;
      set32(i20 | 0, i5 | 0);
      set8(i173 + (i170 * 20 | 0) >> 0 | 0, 16 | 0);
      set8(i173 + (i170 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i173 + (i170 * 20 | 0) + 4 | 0, 1 | 0);
      set32(i173 + (i170 * 20 | 0) + 8 | 0, 0 | 0);
      set32(i173 + (i170 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i173 + (i170 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i173 + (i170 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i175 = i174;
      i176 = i5;
     }
     do if ((i175 | 0) > (i176 | 0)) {
      i178 = i176;
      i179 = get32(i37 + 4 | 0) | 0;
      i180 = i175;
      i30 = 650;
     } else {
      i5 = i37 + 4 | 0;
      i58 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i5 | 0) | 0, (i175 | 0) == 0 ? 1020 : i175 * 40 | 0) | 0;
      if (!i58) {
       i181 = get32(i28 | 0) | 0;
       i182 = get32(i20 | 0) | 0;
       break;
      }
      i4 = get32(i37 | 0) | 0;
      do if (!i4) i30 = 648; else {
       if ((get32(i4 + 260 | 0) | 0) >>> 0 > i58 >>> 0) {
        i30 = 648;
        break;
       }
       if ((get32(i4 + 264 | 0) | 0) >>> 0 <= i58 >>> 0) {
        i30 = 648;
        break;
       }
       i183 = getU16(i4 + 232 | 0) | 0;
      } while (0);
      if ((i30 | 0) == 648) i183 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i58) | 0;
      i4 = (i183 >>> 0) / 20 | 0;
      set32(i28 | 0, i4 | 0);
      set32(i5 | 0, i58 | 0);
      i178 = get32(i20 | 0) | 0;
      i179 = i58;
      i180 = i4;
      i30 = 650;
     } while (0);
     if ((i30 | 0) == 650) {
      i4 = i178 + 1 | 0;
      set32(i20 | 0, i4 | 0);
      set8(i179 + (i176 * 20 | 0) >> 0 | 0, 20 | 0);
      set8(i179 + (i176 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i179 + (i176 * 20 | 0) + 4 | 0, 1 | 0);
      set32(i179 + (i176 * 20 | 0) + 8 | 0, -1 | 0);
      set32(i179 + (i176 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i179 + (i176 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i179 + (i176 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i181 = i180;
      i182 = i4;
     }
     do if ((i181 | 0) > (i182 | 0)) {
      i184 = i182;
      i185 = get32(i37 + 4 | 0) | 0;
      i30 = 661;
     } else {
      i4 = i37 + 4 | 0;
      i52 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i4 | 0) | 0, (i181 | 0) == 0 ? 1020 : i181 * 40 | 0) | 0;
      if (!i52) {
       i186 = get32(i20 | 0) | 0;
       break;
      }
      i55 = get32(i37 | 0) | 0;
      do if (!i55) i30 = 659; else {
       if ((get32(i55 + 260 | 0) | 0) >>> 0 > i52 >>> 0) {
        i30 = 659;
        break;
       }
       if ((get32(i55 + 264 | 0) | 0) >>> 0 <= i52 >>> 0) {
        i30 = 659;
        break;
       }
       i187 = getU16(i55 + 232 | 0) | 0;
      } while (0);
      if ((i30 | 0) == 659) i187 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i52) | 0;
      set32(i28 | 0, (i187 >>> 0) / 20 | 0 | 0);
      set32(i4 | 0, i52 | 0);
      i184 = get32(i20 | 0) | 0;
      i185 = i52;
      i30 = 661;
     } while (0);
     if ((i30 | 0) == 661) {
      i28 = i184 + 1 | 0;
      set32(i20 | 0, i28 | 0);
      set8(i185 + (i182 * 20 | 0) >> 0 | 0, 113 | 0);
      set8(i185 + (i182 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i185 + (i182 * 20 | 0) + 4 | 0, 1 | 0);
      set32(i185 + (i182 * 20 | 0) + 8 | 0, i168 | 0);
      set32(i185 + (i182 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i185 + (i182 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i185 + (i182 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i186 = i28;
     }
     if ((i186 | 0) <= (i168 | 0)) break L293;
     set32((get32(i37 + 4 | 0) | 0) + (i168 * 20 | 0) + 8 | 0, i186 | 0);
     break L293;
    }
    L798 : do if (i17) {
     i188 = 0;
     i189 = 33914;
    } else {
     i28 = i16;
     i55 = i49;
     i58 = 33914;
     while (1) {
      if ((get8(16286 + (i28 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i58 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
       i188 = i28;
       i189 = i58;
       break L798;
      }
      i55 = i55 + 1 | 0;
      i5 = i58 + 1 | 0;
      i28 = get8(i55 >> 0 | 0) | 0;
      if (!(i28 << 24 >> 24)) {
       i188 = 0;
       i189 = i5;
       break;
      } else i58 = i5;
     }
    } while (0);
    if ((get8(16286 + (i188 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i189 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
     i20 = get32(i1 | 0) | 0;
     do if (!(get8(i20 + 124 >> 0 | 0) | 0)) {
      i58 = _sqlite3Init(i20, i1 + 8 | 0) | 0;
      if (!i58) break;
      set32(i1 + 4 | 0, i58 | 0);
      i58 = i1 + 64 | 0;
      set32(i58 | 0, (get32(i58 | 0) | 0) + 1 | 0);
      break L286;
     } while (0);
     if (!i53) {
      i20 = get32((get32(i21 + (i39 << 4) + 12 | 0) | 0) + 80 | 0) | 0;
      _returnSingleInt(i1, 33914, i20, ((i20 | 0) < 0) << 31 >> 31);
      break L293;
     }
     set32(i22 | 0, 0 | 0);
     _sqlite3GetInt32(i53, i22) | 0;
     i20 = get32(i22 | 0) | 0;
     if ((i20 | 0) > -1) i190 = i20; else i190 = (i20 | 0) == -2147483648 ? 2147483647 : 0 - i20 | 0;
     set32((get32(i21 + (i39 << 4) + 12 | 0) | 0) + 80 | 0, i190 | 0);
     i20 = get32(i21 + (i39 << 4) + 4 | 0) | 0;
     i58 = get32(i20 + 4 | 0) | 0;
     set32(i58 + 4 | 0, get32(i20 | 0) | 0);
     i20 = get32((get32(i58 | 0) | 0) + 168 | 0) | 0;
     set32(i20 + 16 | 0, i190 | 0);
     i58 = get32(i20 + 40 | 0) | 0;
     if (!i58) break L293;
     FUNCTION_TABLE_vii[get32(312 | 0) & 15](i58, i190);
     break L293;
    }
    L817 : do if (i17) {
     i191 = 0;
     i192 = 34092;
    } else {
     i58 = i16;
     i20 = i49;
     i28 = 34092;
     while (1) {
      if ((get8(16286 + (i58 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i28 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
       i191 = i58;
       i192 = i28;
       break L817;
      }
      i20 = i20 + 1 | 0;
      i55 = i28 + 1 | 0;
      i58 = get8(i20 >> 0 | 0) | 0;
      if (!(i58 << 24 >> 24)) {
       i191 = 0;
       i192 = i55;
       break;
      } else i28 = i55;
     }
    } while (0);
    if ((get8(16286 + (i191 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i192 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
     if (!i53) {
      _returnSingleInt(i1, 34092, getU8(i27 + 29 >> 0 | 0) | 0, 0);
      break L293;
     }
     i28 = get8(i53 >> 0 | 0) | 0;
     do if ((i28 + -48 & 255) < 3) i193 = (i28 << 24 >> 24) + -48 | 0; else {
      i58 = i28 << 24 >> 24 == 0;
      L830 : do if (i58) {
       i194 = 0;
       i195 = 34314;
      } else {
       i20 = i28;
       i55 = i53;
       i52 = 34314;
       while (1) {
        if ((get8(16286 + (i20 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i52 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
         i194 = i20;
         i195 = i52;
         break L830;
        }
        i55 = i55 + 1 | 0;
        i4 = i52 + 1 | 0;
        i20 = get8(i55 >> 0 | 0) | 0;
        if (!(i20 << 24 >> 24)) {
         i194 = 0;
         i195 = i4;
         break;
        } else i52 = i4;
       }
      } while (0);
      if ((get8(16286 + (i194 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i195 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
       i193 = 1;
       break;
      }
      L836 : do if (i58) {
       i196 = 0;
       i197 = 23063;
      } else {
       i52 = i28;
       i20 = i53;
       i55 = 23063;
       while (1) {
        if ((get8(16286 + (i52 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i55 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
         i196 = i52;
         i197 = i55;
         break L836;
        }
        i20 = i20 + 1 | 0;
        i4 = i55 + 1 | 0;
        i52 = get8(i20 >> 0 | 0) | 0;
        if (!(i52 << 24 >> 24)) {
         i196 = 0;
         i197 = i4;
         break;
        } else i55 = i4;
       }
      } while (0);
      i193 = (get8(16286 + (i196 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i197 >> 0 | 0) | 0) >> 0 | 0) | 0) ? 2 : 0;
     } while (0);
     i28 = get32(i1 | 0) | 0;
     i58 = i28 + 29 | 0;
     if ((getU8(i58 >> 0 | 0) | 0) == (i193 | 0)) break L293;
     i55 = i28 + 8 | 0;
     i52 = get32((get32(i55 | 0) | 0) + 20 | 0) | 0;
     L843 : do if (i52) {
      do if (get8(i28 + 28 >> 0 | 0) | 0) {
       if (get8(i52 + 8 >> 0 | 0) | 0) break;
       _sqlite3BtreeClose(i52);
       set32((get32(i55 | 0) | 0) + 20 | 0, 0 | 0);
       _sqlite3ResetInternalSchema(i28, -1);
       break L843;
      } while (0);
      _sqlite3ErrorMsg(i1, 34866, i14);
      break L293;
     } while (0);
     set8(i58 >> 0 | 0, i193 | 0);
     break L293;
    }
    L851 : do if (i17) {
     i198 = 0;
     i199 = 34103;
    } else {
     i28 = i16;
     i55 = i49;
     i52 = 34103;
     while (1) {
      if ((get8(16286 + (i28 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i52 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
       i198 = i28;
       i199 = i52;
       break L851;
      }
      i55 = i55 + 1 | 0;
      i20 = i52 + 1 | 0;
      i28 = get8(i55 >> 0 | 0) | 0;
      if (!(i28 << 24 >> 24)) {
       i198 = 0;
       i199 = i20;
       break;
      } else i52 = i20;
     }
    } while (0);
    if ((get8(16286 + (i198 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i199 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
     if (i53) {
      do if (get8(i53 >> 0 | 0) | 0) {
       i58 = get32(i27 | 0) | 0;
       i52 = (FUNCTION_TABLE_iiiii[get32(i58 + 32 | 0) & 31](i58, i53, 1, i25) | 0) != 0;
       if (!(i52 | (get32(i25 | 0) | 0) == 0)) break;
       _sqlite3ErrorMsg(i1, 34124, i13);
       break L286;
      } while (0);
      L864 : do if ((getU8(i27 + 29 >> 0 | 0) | 0) < 2) {
       i52 = get32(i1 | 0) | 0;
       i58 = i52 + 8 | 0;
       i28 = get32((get32(i58 | 0) | 0) + 20 | 0) | 0;
       if (!i28) break;
       do if (get8(i52 + 28 >> 0 | 0) | 0) {
        if (get8(i28 + 8 >> 0 | 0) | 0) break;
        _sqlite3BtreeClose(i28);
        set32((get32(i58 | 0) | 0) + 20 | 0, 0 | 0);
        _sqlite3ResetInternalSchema(i52, -1);
        break L864;
       } while (0);
       _sqlite3ErrorMsg(i1, 34866, i12);
      } while (0);
      i52 = get32(202 * 4 | 0) | 0;
      do if (i52) {
       if (!(get32(50 * 4 | 0) | 0)) {
        FUNCTION_TABLE_vi[get32(232 | 0) & 31](i52);
        break;
       }
       i58 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i52) | 0;
       i28 = (get32(30 * 4 | 0) | 0) - i58 | 0;
       set32(30 * 4 | 0, i28 | 0);
       if ((i28 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i28 | 0);
       i28 = (get32(39 * 4 | 0) | 0) + -1 | 0;
       set32(39 * 4 | 0, i28 | 0);
       if ((i28 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i28 | 0);
       FUNCTION_TABLE_vi[get32(232 | 0) & 31](i52);
      } while (0);
      if (!(get8(i53 >> 0 | 0) | 0)) {
       set32(202 * 4 | 0, 0 | 0);
       break L293;
      } else {
       set32(i11 | 0, i53 | 0);
       set32(202 * 4 | 0, _sqlite3_mprintf(16817, i11) | 0 | 0);
       break L293;
      }
     }
     if (!(get32(202 * 4 | 0) | 0)) break L293;
     _sqlite3VdbeSetNumCols(i37, 1);
     if (!(get8((get32(i37 | 0) | 0) + 30 >> 0 | 0) | 0)) _sqlite3VdbeMemSetStr(get32(i37 + 16 | 0) | 0, 34103, -1, 1, 0) | 0;
     i52 = get32(202 * 4 | 0) | 0;
     i28 = i37 + 28 | 0;
     i58 = get32(i28 | 0) | 0;
     i55 = i37 + 32 | 0;
     i20 = get32(i55 | 0) | 0;
     do if ((i20 | 0) > (i58 | 0)) {
      i200 = i58;
      i201 = get32(i37 + 4 | 0) | 0;
      i30 = 717;
     } else {
      i4 = i37 + 4 | 0;
      i5 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i4 | 0) | 0, (i20 | 0) == 0 ? 1020 : i20 * 40 | 0) | 0;
      if (!i5) {
       i202 = 1;
       break;
      }
      i56 = get32(i37 | 0) | 0;
      do if (!i56) i30 = 715; else {
       if ((get32(i56 + 260 | 0) | 0) >>> 0 > i5 >>> 0) {
        i30 = 715;
        break;
       }
       if ((get32(i56 + 264 | 0) | 0) >>> 0 <= i5 >>> 0) {
        i30 = 715;
        break;
       }
       i203 = getU16(i56 + 232 | 0) | 0;
      } while (0);
      if ((i30 | 0) == 715) i203 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i5) | 0;
      set32(i55 | 0, (i203 >>> 0) / 20 | 0 | 0);
      set32(i4 | 0, i5 | 0);
      i200 = get32(i28 | 0) | 0;
      i201 = i5;
      i30 = 717;
     } while (0);
     if ((i30 | 0) == 717) {
      set32(i28 | 0, i200 + 1 | 0);
      set8(i201 + (i58 * 20 | 0) >> 0 | 0, 94 | 0);
      set8(i201 + (i58 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i201 + (i58 * 20 | 0) + 4 | 0, 0 | 0);
      set32(i201 + (i58 * 20 | 0) + 8 | 0, 1 | 0);
      set32(i201 + (i58 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i201 + (i58 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i201 + (i58 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i202 = i58;
     }
     _sqlite3VdbeChangeP4(i37, i202, i52, 0);
     i20 = get32(i28 | 0) | 0;
     i56 = get32(i55 | 0) | 0;
     if ((i56 | 0) > (i20 | 0)) {
      i204 = i20;
      i205 = get32(i37 + 4 | 0) | 0;
     } else {
      i57 = i37 + 4 | 0;
      i50 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i57 | 0) | 0, (i56 | 0) == 0 ? 1020 : i56 * 40 | 0) | 0;
      if (!i50) break L293;
      i56 = get32(i37 | 0) | 0;
      do if (!i56) i30 = 725; else {
       if ((get32(i56 + 260 | 0) | 0) >>> 0 > i50 >>> 0) {
        i30 = 725;
        break;
       }
       if ((get32(i56 + 264 | 0) | 0) >>> 0 <= i50 >>> 0) {
        i30 = 725;
        break;
       }
       i206 = getU16(i56 + 232 | 0) | 0;
      } while (0);
      if ((i30 | 0) == 725) i206 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i50) | 0;
      set32(i55 | 0, (i206 >>> 0) / 20 | 0 | 0);
      set32(i57 | 0, i50 | 0);
      i204 = get32(i28 | 0) | 0;
      i205 = i50;
     }
     set32(i28 | 0, i204 + 1 | 0);
     set8(i205 + (i20 * 20 | 0) >> 0 | 0, 16 | 0);
     set8(i205 + (i20 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i205 + (i20 * 20 | 0) + 4 | 0, 1 | 0);
     set32(i205 + (i20 * 20 | 0) + 8 | 0, 1 | 0);
     set32(i205 + (i20 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i205 + (i20 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i205 + (i20 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     break L293;
    }
    L919 : do if (i17) {
     i207 = 0;
     i208 = 34149;
    } else {
     i56 = i16;
     i52 = i49;
     i58 = 34149;
     while (1) {
      if ((get8(16286 + (i56 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i58 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
       i207 = i56;
       i208 = i58;
       break L919;
      }
      i52 = i52 + 1 | 0;
      i54 = i58 + 1 | 0;
      i56 = get8(i52 >> 0 | 0) | 0;
      if (!(i56 << 24 >> 24)) {
       i207 = 0;
       i208 = i54;
       break;
      } else i58 = i54;
     }
    } while (0);
    if ((get8(16286 + (i207 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i208 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
     i20 = get32(i1 | 0) | 0;
     do if (!(get8(i20 + 124 >> 0 | 0) | 0)) {
      i28 = _sqlite3Init(i20, i1 + 8 | 0) | 0;
      if (!i28) break;
      set32(i1 + 4 | 0, i28 | 0);
      i28 = i1 + 64 | 0;
      set32(i28 | 0, (get32(i28 | 0) | 0) + 1 | 0);
      break L286;
     } while (0);
     if (!i53) {
      i20 = (getU8(i21 + (i39 << 4) + 9 >> 0 | 0) | 0) + -1 | 0;
      _returnSingleInt(i1, 34149, i20, ((i20 | 0) < 0) << 31 >> 31);
      break L293;
     }
     if (!(get8(i27 + 28 >> 0 | 0) | 0)) {
      _sqlite3ErrorMsg(i1, 34161, i10);
      break L293;
     } else {
      set8(i21 + (i39 << 4) + 9 >> 0 | 0, ((_getSafetyLevel(i53) | 0) & 255) + 1 | 0);
      break L293;
     }
    } else {
     i209 = 0;
     i210 = 3056;
    }
    while (1) {
     i20 = get32(i210 | 0) | 0;
     L938 : do if (i17) {
      i211 = 0;
      i212 = i20;
     } else {
      i28 = i16;
      i50 = i49;
      i57 = i20;
      while (1) {
       if ((get8(16286 + (i28 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i57 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
        i211 = i28;
        i212 = i57;
        break L938;
       }
       i50 = i50 + 1 | 0;
       i55 = i57 + 1 | 0;
       i28 = get8(i50 >> 0 | 0) | 0;
       if (!(i28 << 24 >> 24)) {
        i211 = 0;
        i212 = i55;
        break;
       } else i57 = i55;
      }
     } while (0);
     if ((get8(16286 + (i211 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i212 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
      i213 = i210;
      i214 = i210;
      i30 = 764;
      break;
     }
     i209 = i209 + 1 | 0;
     if ((i209 | 0) >= 15) break; else i210 = i210 + 8 | 0;
    }
    if ((i30 | 0) == 764) {
     i20 = get32(i1 | 0) | 0;
     i57 = get32(i29 | 0) | 0;
     do if (!i57) {
      L948 : do if (!i20) {
       if (!(get32(50 * 4 | 0) | 0)) {
        i215 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
        i30 = 802;
        break;
       }
       i28 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
       set32(35 * 4 | 0, 192 | 0);
       if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
       i50 = get32(6 * 4 | 0) | 0;
       do if (i50) {
        i55 = get32(30 * 4 | 0) | 0;
        i58 = ((i55 | 0) < 0) << 31 >> 31;
        i56 = 16;
        i52 = _i64Subtract(get32(i56 | 0) | 0, get32(i56 + 4 | 0) | 0, i28 | 0, ((i28 | 0) < 0) << 31 >> 31 | 0) | 0;
        i56 = tempRet0;
        if ((i58 | 0) < (i56 | 0) | (i58 | 0) == (i56 | 0) & i55 >>> 0 < i52 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i52 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i50 & 15](i52, i55, i58, i28);
         set32(6 * 4 | 0, i50 | 0);
         set32(7 * 4 | 0, i52 | 0);
         break;
        }
       } while (0);
       i50 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i28) | 0;
       if (!i50) {
        i30 = 812;
        break;
       }
       i52 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i50) | 0;
       i58 = (get32(30 * 4 | 0) | 0) + i52 | 0;
       set32(30 * 4 | 0, i58 | 0);
       if ((i58 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i58 | 0);
       i58 = get32(39 * 4 | 0) | 0;
       i52 = i58 + 1 | 0;
       set32(39 * 4 | 0, i52 | 0);
       if ((i58 | 0) < (get32(49 * 4 | 0) | 0)) {
        i216 = i50;
        break;
       }
       set32(49 * 4 | 0, i52 | 0);
       i216 = i50;
      } else {
       i50 = i20 + 30 | 0;
       if (get8(i50 >> 0 | 0) | 0) {
        i30 = 812;
        break;
       }
       do if (get8(i20 + 234 >> 0 | 0) | 0) {
        if ((getU16(i20 + 232 | 0) | 0) < 192) {
         i52 = i20 + 248 | 0;
         set32(i52 | 0, (get32(i52 | 0) | 0) + 1 | 0);
         break;
        }
        i52 = i20 + 256 | 0;
        i58 = get32(i52 | 0) | 0;
        if (!i58) {
         i55 = i20 + 252 | 0;
         set32(i55 | 0, (get32(i55 | 0) | 0) + 1 | 0);
         break;
        }
        set32(i52 | 0, get32(i58 | 0) | 0);
        i52 = i20 + 236 | 0;
        i55 = get32(i52 | 0) | 0;
        i56 = i55 + 1 | 0;
        set32(i52 | 0, i56 | 0);
        i52 = i20 + 244 | 0;
        set32(i52 | 0, (get32(i52 | 0) | 0) + 1 | 0);
        i52 = i20 + 240 | 0;
        if ((i55 | 0) >= (get32(i52 | 0) | 0)) set32(i52 | 0, i56 | 0);
        i215 = i58;
        i30 = 802;
        break L948;
       } while (0);
       do if (!(get32(50 * 4 | 0) | 0)) {
        i28 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
        if (i28) {
         i216 = i28;
         break L948;
        }
       } else {
        i28 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
        set32(35 * 4 | 0, 192 | 0);
        if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
        i58 = get32(6 * 4 | 0) | 0;
        do if (i58) {
         i56 = get32(30 * 4 | 0) | 0;
         i52 = ((i56 | 0) < 0) << 31 >> 31;
         i55 = 16;
         i5 = _i64Subtract(get32(i55 | 0) | 0, get32(i55 + 4 | 0) | 0, i28 | 0, ((i28 | 0) < 0) << 31 >> 31 | 0) | 0;
         i55 = tempRet0;
         if ((i52 | 0) < (i55 | 0) | (i52 | 0) == (i55 | 0) & i56 >>> 0 < i5 >>> 0) {
          set32(11 * 4 | 0, 0 | 0);
          break;
         } else {
          set32(11 * 4 | 0, 1 | 0);
          i5 = get32(7 * 4 | 0) | 0;
          set32(6 * 4 | 0, 0 | 0);
          FUNCTION_TABLE_viiii[i58 & 15](i5, i56, i52, i28);
          set32(6 * 4 | 0, i58 | 0);
          set32(7 * 4 | 0, i5 | 0);
          break;
         }
        } while (0);
        i58 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i28) | 0;
        if (!i58) break;
        i5 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i58) | 0;
        i52 = (get32(30 * 4 | 0) | 0) + i5 | 0;
        set32(30 * 4 | 0, i52 | 0);
        if ((i52 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i52 | 0);
        i52 = get32(39 * 4 | 0) | 0;
        i5 = i52 + 1 | 0;
        set32(39 * 4 | 0, i5 | 0);
        if ((i52 | 0) < (get32(49 * 4 | 0) | 0)) {
         i216 = i58;
         break L948;
        }
        set32(49 * 4 | 0, i5 | 0);
        i216 = i58;
        break L948;
       } while (0);
       set8(i50 >> 0 | 0, 1 | 0);
       i30 = 812;
      } while (0);
      if ((i30 | 0) == 802) if (!i215) i30 = 812; else i216 = i215;
      if ((i30 | 0) == 812) {
       set32(i29 | 0, 0 | 0);
       break L293;
      }
      _memset(i216 | 0, 0, 192) | 0;
      set32(i216 | 0, i20 | 0);
      i58 = i20 + 136 | 0;
      i5 = get32(i58 | 0) | 0;
      if (i5) set32(i5 + 60 | 0, i216 | 0);
      set32(i216 + 64 | 0, i5 | 0);
      set32(i216 + 60 | 0, 0 | 0);
      set32(i58 | 0, i216 | 0);
      set32(i216 + 52 | 0, 649915045 | 0);
      set32(i29 | 0, i216 | 0);
      i58 = i216 + 28 | 0;
      i5 = i216 + 32 | 0;
      i52 = i216 + 4 | 0;
      i56 = _sqlite3DbRealloc(i20, 0, 1020) | 0;
      if (!i56) {
       i217 = i216;
       break;
      }
      i55 = get32(i216 | 0) | 0;
      do if (!i55) i30 = 810; else {
       if ((get32(i55 + 260 | 0) | 0) >>> 0 > i56 >>> 0) {
        i30 = 810;
        break;
       }
       if ((get32(i55 + 264 | 0) | 0) >>> 0 <= i56 >>> 0) {
        i30 = 810;
        break;
       }
       i218 = getU16(i55 + 232 | 0) | 0;
      } while (0);
      if ((i30 | 0) == 810) i218 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i56) | 0;
      set32(i5 | 0, (i218 >>> 0) / 20 | 0 | 0);
      set32(i52 | 0, i56 | 0);
      set32(i58 | 0, (get32(i58 | 0) | 0) + 1 | 0);
      set8(i56 >> 0 | 0, -120 | 0);
      set8(i56 + 1 >> 0 | 0, 0 | 0);
      i219 = i56 + 3 | 0;
      i220 = i219 + 17 | 0;
      do {
       set8(i219 >> 0 | 0, 0 | 0);
       i219 = i219 + 1 | 0;
      } while ((i219 | 0) < (i220 | 0));
      i217 = i216;
     } else i217 = i57; while (0);
     if (!i53) {
      _returnSingleInt(i1, get32(i213 | 0) | 0, (get32(i214 + 4 | 0) & get32(i20 + 12 | 0) | 0) != 0 & 1, 0);
      break L293;
     }
     i57 = get32(i214 + 4 | 0) | 0;
     i56 = (get8(i20 + 28 >> 0 | 0) | 0) == 0 ? i57 & -67108865 : i57;
     if (!((_getSafetyLevel(i53) | 0) & 1)) {
      i57 = i20 + 12 | 0;
      set32(i57 | 0, get32(i57 | 0) & ~i56 | 0);
     } else {
      i57 = i20 + 12 | 0;
      set32(i57 | 0, get32(i57 | 0) | i56 | 0);
     }
     i56 = i217 + 28 | 0;
     i57 = get32(i56 | 0) | 0;
     i58 = i217 + 32 | 0;
     i52 = get32(i58 | 0) | 0;
     if ((i52 | 0) > (i57 | 0)) {
      i221 = i57;
      i222 = get32(i217 + 4 | 0) | 0;
     } else {
      i5 = i217 + 4 | 0;
      i55 = _sqlite3DbRealloc(get32(i217 | 0) | 0, get32(i5 | 0) | 0, (i52 | 0) == 0 ? 1020 : i52 * 40 | 0) | 0;
      if (!i55) break L293;
      i52 = get32(i217 | 0) | 0;
      do if (!i52) i30 = 825; else {
       if ((get32(i52 + 260 | 0) | 0) >>> 0 > i55 >>> 0) {
        i30 = 825;
        break;
       }
       if ((get32(i52 + 264 | 0) | 0) >>> 0 <= i55 >>> 0) {
        i30 = 825;
        break;
       }
       i223 = getU16(i52 + 232 | 0) | 0;
      } while (0);
      if ((i30 | 0) == 825) i223 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i55) | 0;
      set32(i58 | 0, (i223 >>> 0) / 20 | 0 | 0);
      set32(i5 | 0, i55 | 0);
      i221 = get32(i56 | 0) | 0;
      i222 = i55;
     }
     set32(i56 | 0, i221 + 1 | 0);
     set8(i222 + (i57 * 20 | 0) >> 0 | 0, 122 | 0);
     set8(i222 + (i57 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i219 = i222 + (i57 * 20 | 0) + 3 | 0;
     i220 = i219 + 17 | 0;
     do {
      set8(i219 >> 0 | 0, 0 | 0);
      i219 = i219 + 1 | 0;
     } while ((i219 | 0) < (i220 | 0));
     break L293;
    }
    L1036 : do if (i17) {
     i224 = 0;
     i225 = 34214;
    } else {
     i57 = i16;
     i56 = i49;
     i55 = 34214;
     while (1) {
      if ((get8(16286 + (i57 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i55 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
       i224 = i57;
       i225 = i55;
       break L1036;
      }
      i56 = i56 + 1 | 0;
      i5 = i55 + 1 | 0;
      i57 = get8(i56 >> 0 | 0) | 0;
      if (!(i57 << 24 >> 24)) {
       i224 = 0;
       i225 = i5;
       break;
      } else i55 = i5;
     }
    } while (0);
    i55 = (i53 | 0) != 0;
    if (i55 & (get8(16286 + (i224 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i225 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
     i57 = get32(i1 | 0) | 0;
     do if (!(get8(i57 + 124 >> 0 | 0) | 0)) {
      i56 = _sqlite3Init(i57, i1 + 8 | 0) | 0;
      if (!i56) {
       i226 = i53;
       break;
      }
      set32(i1 + 4 | 0, i56 | 0);
      i56 = i1 + 64 | 0;
      set32(i56 | 0, (get32(i56 | 0) | 0) + 1 | 0);
      break L286;
     } else i226 = i53; while (0);
     while (1) if (!(get8(i226 >> 0 | 0) | 0)) {
      i227 = i226;
      break;
     } else i226 = i226 + 1 | 0;
     i57 = i227 - i53 & 1073741823;
     i56 = get32(i27 + 4 | 0) | 0;
     if ((i56 | 0) <= 0) break L293;
     i5 = (i59 | 0) == 0;
     i58 = get32(i2 | 0) | 0;
     i52 = 0;
     i20 = 0;
     while (1) {
      i4 = (i52 | 0) < 2 ^ i52;
      if (!i5) {
       i54 = get32(i58 + (i4 << 4) | 0) | 0;
       i51 = get8(i59 >> 0 | 0) | 0;
       L1054 : do if (!(i51 << 24 >> 24)) {
        i228 = 0;
        i229 = i54;
       } else {
        i36 = i51;
        i44 = i59;
        i45 = i54;
        while (1) {
         if ((get8(16286 + (i36 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i45 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
          i228 = i36;
          i229 = i45;
          break L1054;
         }
         i44 = i44 + 1 | 0;
         i40 = i45 + 1 | 0;
         i36 = get8(i44 >> 0 | 0) | 0;
         if (!(i36 << 24 >> 24)) {
          i228 = 0;
          i229 = i40;
          break;
         } else i45 = i40;
        }
       } while (0);
       if ((get8(16286 + (i228 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i229 >> 0 | 0) | 0) >> 0 | 0) | 0)) i230 = i20; else i30 = 844;
      } else i30 = 844;
      if ((i30 | 0) == 844) {
       i30 = 0;
       i54 = _sqlite3HashFind((get32(i58 + (i4 << 4) + 12 | 0) | 0) + 8 | 0, i53, i57) | 0;
       if (!i54) i230 = i54; else {
        i231 = i54;
        break;
       }
      }
      i52 = i52 + 1 | 0;
      if ((i52 | 0) >= (i56 | 0)) {
       i231 = i230;
       break;
      } else i20 = i230;
     }
     if (!i231) break L293;
     _sqlite3VdbeSetNumCols(i37, 6);
     set32(i34 | 0, 6 | 0);
     do if (!(get8((get32(i37 | 0) | 0) + 30 >> 0 | 0) | 0)) {
      i20 = i37 + 16 | 0;
      _sqlite3VdbeMemSetStr(get32(i20 | 0) | 0, 34225, -1, 1, 0) | 0;
      if (get8((get32(i37 | 0) | 0) + 30 >> 0 | 0) | 0) break;
      _sqlite3VdbeMemSetStr((get32(i20 | 0) | 0) + 40 | 0, 34229, -1, 1, 0) | 0;
      if (get8((get32(i37 | 0) | 0) + 30 >> 0 | 0) | 0) break;
      _sqlite3VdbeMemSetStr((get32(i20 | 0) | 0) + 80 | 0, 34234, -1, 1, 0) | 0;
      if (get8((get32(i37 | 0) | 0) + 30 >> 0 | 0) | 0) break;
      _sqlite3VdbeMemSetStr((get32(i20 | 0) | 0) + 120 | 0, 34239, -1, 1, 0) | 0;
      if (get8((get32(i37 | 0) | 0) + 30 >> 0 | 0) | 0) break;
      _sqlite3VdbeMemSetStr((get32(i20 | 0) | 0) + 160 | 0, 34247, -1, 1, 0) | 0;
      if (get8((get32(i37 | 0) | 0) + 30 >> 0 | 0) | 0) break;
      _sqlite3VdbeMemSetStr((get32(i20 | 0) | 0) + 200 | 0, 34258, -1, 1, 0) | 0;
     } while (0);
     _sqlite3ViewGetColumnNames(i1, i231) | 0;
     i20 = i231 + 8 | 0;
     if ((get32(i20 | 0) | 0) <= 0) break L293;
     i56 = i37 + 28 | 0;
     i52 = i37 + 32 | 0;
     i57 = i37 + 4 | 0;
     i58 = 0;
     i5 = 0;
     i54 = get32(i231 + 12 | 0) | 0;
     while (1) {
      do if (!(get8(i54 + 23 >> 0 | 0) | 0)) {
       i51 = i58 - i5 | 0;
       i45 = get32(i56 | 0) | 0;
       i36 = get32(i52 | 0) | 0;
       do if ((i36 | 0) > (i45 | 0)) {
        i232 = i45;
        i233 = get32(i57 | 0) | 0;
        i234 = i36;
        i30 = 868;
       } else {
        i44 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i57 | 0) | 0, (i36 | 0) == 0 ? 1020 : i36 * 40 | 0) | 0;
        if (!i44) {
         i235 = get32(i52 | 0) | 0;
         i236 = get32(i56 | 0) | 0;
         break;
        }
        i50 = get32(i37 | 0) | 0;
        do if (!i50) i30 = 866; else {
         if ((get32(i50 + 260 | 0) | 0) >>> 0 > i44 >>> 0) {
          i30 = 866;
          break;
         }
         if ((get32(i50 + 264 | 0) | 0) >>> 0 <= i44 >>> 0) {
          i30 = 866;
          break;
         }
         i237 = getU16(i50 + 232 | 0) | 0;
        } while (0);
        if ((i30 | 0) == 866) {
         i30 = 0;
         i237 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i44) | 0;
        }
        i50 = (i237 >>> 0) / 20 | 0;
        set32(i52 | 0, i50 | 0);
        set32(i57 | 0, i44 | 0);
        i232 = get32(i56 | 0) | 0;
        i233 = i44;
        i234 = i50;
        i30 = 868;
       } while (0);
       if ((i30 | 0) == 868) {
        i30 = 0;
        i36 = i232 + 1 | 0;
        set32(i56 | 0, i36 | 0);
        set8(i233 + (i45 * 20 | 0) >> 0 | 0, 7 | 0);
        set8(i233 + (i45 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i233 + (i45 * 20 | 0) + 4 | 0, i51 | 0);
        set32(i233 + (i45 * 20 | 0) + 8 | 0, 1 | 0);
        set32(i233 + (i45 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i233 + (i45 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i233 + (i45 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i235 = i234;
        i236 = i36;
       }
       i36 = get32(i54 | 0) | 0;
       do if ((i235 | 0) > (i236 | 0)) {
        i238 = i236;
        i239 = get32(i57 | 0) | 0;
        i30 = 878;
       } else {
        i50 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i57 | 0) | 0, (i235 | 0) == 0 ? 1020 : i235 * 40 | 0) | 0;
        if (!i50) {
         i240 = 1;
         break;
        }
        i28 = get32(i37 | 0) | 0;
        do if (!i28) i30 = 876; else {
         if ((get32(i28 + 260 | 0) | 0) >>> 0 > i50 >>> 0) {
          i30 = 876;
          break;
         }
         if ((get32(i28 + 264 | 0) | 0) >>> 0 <= i50 >>> 0) {
          i30 = 876;
          break;
         }
         i241 = getU16(i28 + 232 | 0) | 0;
        } while (0);
        if ((i30 | 0) == 876) {
         i30 = 0;
         i241 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i50) | 0;
        }
        set32(i52 | 0, (i241 >>> 0) / 20 | 0 | 0);
        set32(i57 | 0, i50 | 0);
        i238 = get32(i56 | 0) | 0;
        i239 = i50;
        i30 = 878;
       } while (0);
       if ((i30 | 0) == 878) {
        i30 = 0;
        set32(i56 | 0, i238 + 1 | 0);
        set8(i239 + (i236 * 20 | 0) >> 0 | 0, 94 | 0);
        set8(i239 + (i236 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i239 + (i236 * 20 | 0) + 4 | 0, 0 | 0);
        set32(i239 + (i236 * 20 | 0) + 8 | 0, 2 | 0);
        set32(i239 + (i236 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i239 + (i236 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i239 + (i236 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i240 = i236;
       }
       _sqlite3VdbeChangeP4(i37, i240, i36, 0);
       i45 = get32(i54 + 12 | 0) | 0;
       i51 = (i45 | 0) == 0 ? 16820 : i45;
       i45 = get32(i56 | 0) | 0;
       i28 = get32(i52 | 0) | 0;
       do if ((i28 | 0) > (i45 | 0)) {
        i242 = i45;
        i243 = get32(i57 | 0) | 0;
        i30 = 888;
       } else {
        i44 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i57 | 0) | 0, (i28 | 0) == 0 ? 1020 : i28 * 40 | 0) | 0;
        if (!i44) {
         i244 = 1;
         break;
        }
        i40 = get32(i37 | 0) | 0;
        do if (!i40) i30 = 886; else {
         if ((get32(i40 + 260 | 0) | 0) >>> 0 > i44 >>> 0) {
          i30 = 886;
          break;
         }
         if ((get32(i40 + 264 | 0) | 0) >>> 0 <= i44 >>> 0) {
          i30 = 886;
          break;
         }
         i245 = getU16(i40 + 232 | 0) | 0;
        } while (0);
        if ((i30 | 0) == 886) {
         i30 = 0;
         i245 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i44) | 0;
        }
        set32(i52 | 0, (i245 >>> 0) / 20 | 0 | 0);
        set32(i57 | 0, i44 | 0);
        i242 = get32(i56 | 0) | 0;
        i243 = i44;
        i30 = 888;
       } while (0);
       if ((i30 | 0) == 888) {
        i30 = 0;
        set32(i56 | 0, i242 + 1 | 0);
        set8(i243 + (i45 * 20 | 0) >> 0 | 0, 94 | 0);
        set8(i243 + (i45 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i243 + (i45 * 20 | 0) + 4 | 0, 0 | 0);
        set32(i243 + (i45 * 20 | 0) + 8 | 0, 3 | 0);
        set32(i243 + (i45 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i243 + (i45 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i243 + (i45 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i244 = i45;
       }
       _sqlite3VdbeChangeP4(i37, i244, i51, 0);
       i28 = (get8(i54 + 20 >> 0 | 0) | 0) != 0 & 1;
       i36 = get32(i56 | 0) | 0;
       i40 = get32(i52 | 0) | 0;
       do if ((i40 | 0) > (i36 | 0)) {
        i246 = i36;
        i247 = get32(i57 | 0) | 0;
        i248 = i40;
        i30 = 899;
       } else {
        i50 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i57 | 0) | 0, (i40 | 0) == 0 ? 1020 : i40 * 40 | 0) | 0;
        if (!i50) {
         i249 = get32(i52 | 0) | 0;
         i250 = get32(i56 | 0) | 0;
         break;
        }
        i19 = get32(i37 | 0) | 0;
        do if (!i19) i30 = 897; else {
         if ((get32(i19 + 260 | 0) | 0) >>> 0 > i50 >>> 0) {
          i30 = 897;
          break;
         }
         if ((get32(i19 + 264 | 0) | 0) >>> 0 <= i50 >>> 0) {
          i30 = 897;
          break;
         }
         i251 = getU16(i19 + 232 | 0) | 0;
        } while (0);
        if ((i30 | 0) == 897) {
         i30 = 0;
         i251 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i50) | 0;
        }
        i19 = (i251 >>> 0) / 20 | 0;
        set32(i52 | 0, i19 | 0);
        set32(i57 | 0, i50 | 0);
        i246 = get32(i56 | 0) | 0;
        i247 = i50;
        i248 = i19;
        i30 = 899;
       } while (0);
       if ((i30 | 0) == 899) {
        i30 = 0;
        i40 = i246 + 1 | 0;
        set32(i56 | 0, i40 | 0);
        set8(i247 + (i36 * 20 | 0) >> 0 | 0, 7 | 0);
        set8(i247 + (i36 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i247 + (i36 * 20 | 0) + 4 | 0, i28 | 0);
        set32(i247 + (i36 * 20 | 0) + 8 | 0, 4 | 0);
        set32(i247 + (i36 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i247 + (i36 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i247 + (i36 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i249 = i248;
        i250 = i40;
       }
       i40 = get32(i54 + 8 | 0) | 0;
       i51 = (i249 | 0) > (i250 | 0);
       do if (!i40) {
        if (i51) {
         i252 = i250;
         i253 = get32(i57 | 0) | 0;
        } else {
         i45 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i57 | 0) | 0, (i249 | 0) == 0 ? 1020 : i249 * 40 | 0) | 0;
         if (!i45) break;
         i19 = get32(i37 | 0) | 0;
         do if (!i19) i30 = 919; else {
          if ((get32(i19 + 260 | 0) | 0) >>> 0 > i45 >>> 0) {
           i30 = 919;
           break;
          }
          if ((get32(i19 + 264 | 0) | 0) >>> 0 <= i45 >>> 0) {
           i30 = 919;
           break;
          }
          i254 = getU16(i19 + 232 | 0) | 0;
         } while (0);
         if ((i30 | 0) == 919) {
          i30 = 0;
          i254 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i45) | 0;
         }
         set32(i52 | 0, (i254 >>> 0) / 20 | 0 | 0);
         set32(i57 | 0, i45 | 0);
         i252 = get32(i56 | 0) | 0;
         i253 = i45;
        }
        set32(i56 | 0, i252 + 1 | 0);
        set8(i253 + (i250 * 20 | 0) >> 0 | 0, 10 | 0);
        set8(i253 + (i250 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i253 + (i250 * 20 | 0) + 4 | 0, 0 | 0);
        set32(i253 + (i250 * 20 | 0) + 8 | 0, 5 | 0);
        set32(i253 + (i250 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i253 + (i250 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i253 + (i250 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       } else {
        do if (i51) {
         i255 = i250;
         i256 = get32(i57 | 0) | 0;
         i30 = 910;
        } else {
         i19 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i57 | 0) | 0, (i249 | 0) == 0 ? 1020 : i249 * 40 | 0) | 0;
         if (!i19) {
          i257 = 1;
          break;
         }
         i50 = get32(i37 | 0) | 0;
         do if (!i50) i30 = 908; else {
          if ((get32(i50 + 260 | 0) | 0) >>> 0 > i19 >>> 0) {
           i30 = 908;
           break;
          }
          if ((get32(i50 + 264 | 0) | 0) >>> 0 <= i19 >>> 0) {
           i30 = 908;
           break;
          }
          i258 = getU16(i50 + 232 | 0) | 0;
         } while (0);
         if ((i30 | 0) == 908) {
          i30 = 0;
          i258 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i19) | 0;
         }
         set32(i52 | 0, (i258 >>> 0) / 20 | 0 | 0);
         set32(i57 | 0, i19 | 0);
         i255 = get32(i56 | 0) | 0;
         i256 = i19;
         i30 = 910;
        } while (0);
        if ((i30 | 0) == 910) {
         i30 = 0;
         set32(i56 | 0, i255 + 1 | 0);
         set8(i256 + (i250 * 20 | 0) >> 0 | 0, 94 | 0);
         set8(i256 + (i250 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i256 + (i250 * 20 | 0) + 4 | 0, 0 | 0);
         set32(i256 + (i250 * 20 | 0) + 8 | 0, 5 | 0);
         set32(i256 + (i250 * 20 | 0) + 12 | 0, 0 | 0);
         set32(i256 + (i250 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i256 + (i250 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         i257 = i250;
        }
        _sqlite3VdbeChangeP4(i37, i257, i40, 0);
       } while (0);
       i40 = getU8(i54 + 21 >> 0 | 0) | 0;
       i51 = get32(i56 | 0) | 0;
       i36 = get32(i52 | 0) | 0;
       do if ((i36 | 0) > (i51 | 0)) {
        i259 = i51;
        i260 = get32(i57 | 0) | 0;
        i261 = i36;
        i30 = 932;
       } else {
        i28 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i57 | 0) | 0, (i36 | 0) == 0 ? 1020 : i36 * 40 | 0) | 0;
        if (!i28) {
         i262 = get32(i52 | 0) | 0;
         i263 = get32(i56 | 0) | 0;
         break;
        }
        i45 = get32(i37 | 0) | 0;
        do if (!i45) i30 = 930; else {
         if ((get32(i45 + 260 | 0) | 0) >>> 0 > i28 >>> 0) {
          i30 = 930;
          break;
         }
         if ((get32(i45 + 264 | 0) | 0) >>> 0 <= i28 >>> 0) {
          i30 = 930;
          break;
         }
         i264 = getU16(i45 + 232 | 0) | 0;
        } while (0);
        if ((i30 | 0) == 930) {
         i30 = 0;
         i264 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i28) | 0;
        }
        i45 = (i264 >>> 0) / 20 | 0;
        set32(i52 | 0, i45 | 0);
        set32(i57 | 0, i28 | 0);
        i259 = get32(i56 | 0) | 0;
        i260 = i28;
        i261 = i45;
        i30 = 932;
       } while (0);
       if ((i30 | 0) == 932) {
        i30 = 0;
        i36 = i259 + 1 | 0;
        set32(i56 | 0, i36 | 0);
        set8(i260 + (i51 * 20 | 0) >> 0 | 0, 7 | 0);
        set8(i260 + (i51 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i260 + (i51 * 20 | 0) + 4 | 0, i40 | 0);
        set32(i260 + (i51 * 20 | 0) + 8 | 0, 6 | 0);
        set32(i260 + (i51 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i260 + (i51 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i260 + (i51 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i262 = i261;
        i263 = i36;
       }
       if ((i262 | 0) > (i263 | 0)) {
        i265 = i263;
        i266 = get32(i57 | 0) | 0;
       } else {
        i36 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i57 | 0) | 0, (i262 | 0) == 0 ? 1020 : i262 * 40 | 0) | 0;
        if (!i36) {
         i267 = i5;
         break;
        }
        i45 = get32(i37 | 0) | 0;
        do if (!i45) i30 = 940; else {
         if ((get32(i45 + 260 | 0) | 0) >>> 0 > i36 >>> 0) {
          i30 = 940;
          break;
         }
         if ((get32(i45 + 264 | 0) | 0) >>> 0 <= i36 >>> 0) {
          i30 = 940;
          break;
         }
         i268 = getU16(i45 + 232 | 0) | 0;
        } while (0);
        if ((i30 | 0) == 940) {
         i30 = 0;
         i268 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i36) | 0;
        }
        set32(i52 | 0, (i268 >>> 0) / 20 | 0 | 0);
        set32(i57 | 0, i36 | 0);
        i265 = get32(i56 | 0) | 0;
        i266 = i36;
       }
       set32(i56 | 0, i265 + 1 | 0);
       set8(i266 + (i263 * 20 | 0) >> 0 | 0, 16 | 0);
       set8(i266 + (i263 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i266 + (i263 * 20 | 0) + 4 | 0, 1 | 0);
       set32(i266 + (i263 * 20 | 0) + 8 | 0, 6 | 0);
       set32(i266 + (i263 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i266 + (i263 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i266 + (i263 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i267 = i5;
      } else i267 = i5 + 1 | 0; while (0);
      i58 = i58 + 1 | 0;
      if ((i58 | 0) >= (get32(i20 | 0) | 0)) break L293; else {
       i5 = i267;
       i54 = i54 + 24 | 0;
      }
     }
    }
    L1198 : do if (i17) {
     i269 = 0;
     i270 = 34261;
    } else {
     i54 = i16;
     i5 = i49;
     i20 = 34261;
     while (1) {
      if ((get8(16286 + (i54 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i20 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
       i269 = i54;
       i270 = i20;
       break L1198;
      }
      i5 = i5 + 1 | 0;
      i58 = i20 + 1 | 0;
      i54 = get8(i5 >> 0 | 0) | 0;
      if (!(i54 << 24 >> 24)) {
       i269 = 0;
       i270 = i58;
       break;
      } else i20 = i58;
     }
    } while (0);
    if (i55 & (get8(16286 + (i269 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i270 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
     i20 = get32(i1 | 0) | 0;
     do if (!(get8(i20 + 124 >> 0 | 0) | 0)) {
      i54 = _sqlite3Init(i20, i1 + 8 | 0) | 0;
      if (!i54) {
       i271 = i53;
       break;
      }
      set32(i1 + 4 | 0, i54 | 0);
      i54 = i1 + 64 | 0;
      set32(i54 | 0, (get32(i54 | 0) | 0) + 1 | 0);
      break L286;
     } else i271 = i53; while (0);
     while (1) if (!(get8(i271 >> 0 | 0) | 0)) {
      i272 = i271;
      break;
     } else i271 = i271 + 1 | 0;
     i20 = i272 - i53 & 1073741823;
     i54 = get32(i27 + 4 | 0) | 0;
     if ((i54 | 0) <= 0) break L293;
     i5 = get32(i2 | 0) | 0;
     i58 = (i59 | 0) == 0;
     i56 = 0;
     i57 = 0;
     while (1) {
      i52 = (i56 | 0) < 2 ^ i56;
      i4 = get32(i5 + (i52 << 4) + 12 | 0) | 0;
      if (!i58) {
       i45 = get32(i5 + (i52 << 4) | 0) | 0;
       i52 = get8(i59 >> 0 | 0) | 0;
       L1216 : do if (!(i52 << 24 >> 24)) {
        i273 = 0;
        i274 = i45;
       } else {
        i51 = i52;
        i40 = i59;
        i50 = i45;
        while (1) {
         if ((get8(16286 + (i51 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i50 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
          i273 = i51;
          i274 = i50;
          break L1216;
         }
         i40 = i40 + 1 | 0;
         i44 = i50 + 1 | 0;
         i51 = get8(i40 >> 0 | 0) | 0;
         if (!(i51 << 24 >> 24)) {
          i273 = 0;
          i274 = i44;
          break;
         } else i50 = i44;
        }
       } while (0);
       if ((get8(16286 + (i273 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i274 >> 0 | 0) | 0) >> 0 | 0) | 0)) i275 = i57; else i30 = 959;
      } else i30 = 959;
      if ((i30 | 0) == 959) {
       i30 = 0;
       i45 = _sqlite3HashFind(i4 + 24 | 0, i53, i20) | 0;
       if (!i45) i275 = i45; else {
        i276 = i45;
        break;
       }
      }
      i56 = i56 + 1 | 0;
      if ((i56 | 0) >= (i54 | 0)) {
       i276 = i275;
       break;
      } else i57 = i275;
     }
     if (!i276) break L293;
     i57 = get32(i276 + 16 | 0) | 0;
     _sqlite3VdbeSetNumCols(i37, 3);
     set32(i34 | 0, 3 | 0);
     do if (!(get8((get32(i37 | 0) | 0) + 30 >> 0 | 0) | 0)) {
      i54 = i37 + 16 | 0;
      _sqlite3VdbeMemSetStr(get32(i54 | 0) | 0, 34272, -1, 1, 0) | 0;
      if (get8((get32(i37 | 0) | 0) + 30 >> 0 | 0) | 0) break;
      _sqlite3VdbeMemSetStr((get32(i54 | 0) | 0) + 40 | 0, 34225, -1, 1, 0) | 0;
      if (get8((get32(i37 | 0) | 0) + 30 >> 0 | 0) | 0) break;
      _sqlite3VdbeMemSetStr((get32(i54 | 0) | 0) + 80 | 0, 34229, -1, 1, 0) | 0;
     } while (0);
     i54 = i276 + 4 | 0;
     if ((get32(i54 | 0) | 0) <= 0) break L293;
     i56 = i276 + 8 | 0;
     i20 = i37 + 28 | 0;
     i5 = i37 + 32 | 0;
     i58 = i37 + 4 | 0;
     i45 = i57 + 12 | 0;
     i52 = 0;
     while (1) {
      i50 = get32((get32(i56 | 0) | 0) + (i52 << 2) | 0) | 0;
      i51 = get32(i20 | 0) | 0;
      i40 = get32(i5 | 0) | 0;
      do if ((i40 | 0) > (i51 | 0)) {
       i277 = i51;
       i278 = get32(i58 | 0) | 0;
       i279 = i40;
       i30 = 978;
      } else {
       i36 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i58 | 0) | 0, (i40 | 0) == 0 ? 1020 : i40 * 40 | 0) | 0;
       if (!i36) {
        i280 = get32(i5 | 0) | 0;
        i281 = get32(i20 | 0) | 0;
        break;
       }
       i44 = get32(i37 | 0) | 0;
       do if (!i44) i30 = 976; else {
        if ((get32(i44 + 260 | 0) | 0) >>> 0 > i36 >>> 0) {
         i30 = 976;
         break;
        }
        if ((get32(i44 + 264 | 0) | 0) >>> 0 <= i36 >>> 0) {
         i30 = 976;
         break;
        }
        i282 = getU16(i44 + 232 | 0) | 0;
       } while (0);
       if ((i30 | 0) == 976) {
        i30 = 0;
        i282 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i36) | 0;
       }
       i44 = (i282 >>> 0) / 20 | 0;
       set32(i5 | 0, i44 | 0);
       set32(i58 | 0, i36 | 0);
       i277 = get32(i20 | 0) | 0;
       i278 = i36;
       i279 = i44;
       i30 = 978;
      } while (0);
      if ((i30 | 0) == 978) {
       i30 = 0;
       i40 = i277 + 1 | 0;
       set32(i20 | 0, i40 | 0);
       set8(i278 + (i51 * 20 | 0) >> 0 | 0, 7 | 0);
       set8(i278 + (i51 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i278 + (i51 * 20 | 0) + 4 | 0, i52 | 0);
       set32(i278 + (i51 * 20 | 0) + 8 | 0, 1 | 0);
       set32(i278 + (i51 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i278 + (i51 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i278 + (i51 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i280 = i279;
       i281 = i40;
      }
      do if ((i280 | 0) > (i281 | 0)) {
       i283 = i281;
       i284 = get32(i58 | 0) | 0;
       i285 = i280;
       i30 = 989;
      } else {
       i40 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i58 | 0) | 0, (i280 | 0) == 0 ? 1020 : i280 * 40 | 0) | 0;
       if (!i40) {
        i286 = get32(i5 | 0) | 0;
        i287 = get32(i20 | 0) | 0;
        break;
       }
       i4 = get32(i37 | 0) | 0;
       do if (!i4) i30 = 987; else {
        if ((get32(i4 + 260 | 0) | 0) >>> 0 > i40 >>> 0) {
         i30 = 987;
         break;
        }
        if ((get32(i4 + 264 | 0) | 0) >>> 0 <= i40 >>> 0) {
         i30 = 987;
         break;
        }
        i288 = getU16(i4 + 232 | 0) | 0;
       } while (0);
       if ((i30 | 0) == 987) {
        i30 = 0;
        i288 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i40) | 0;
       }
       i4 = (i288 >>> 0) / 20 | 0;
       set32(i5 | 0, i4 | 0);
       set32(i58 | 0, i40 | 0);
       i283 = get32(i20 | 0) | 0;
       i284 = i40;
       i285 = i4;
       i30 = 989;
      } while (0);
      if ((i30 | 0) == 989) {
       i30 = 0;
       i51 = i283 + 1 | 0;
       set32(i20 | 0, i51 | 0);
       set8(i284 + (i281 * 20 | 0) >> 0 | 0, 7 | 0);
       set8(i284 + (i281 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i284 + (i281 * 20 | 0) + 4 | 0, i50 | 0);
       set32(i284 + (i281 * 20 | 0) + 8 | 0, 2 | 0);
       set32(i284 + (i281 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i284 + (i281 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i284 + (i281 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i286 = i285;
       i287 = i51;
      }
      i51 = get32((get32(i45 | 0) | 0) + (i50 * 24 | 0) | 0) | 0;
      do if ((i286 | 0) > (i287 | 0)) {
       i289 = i287;
       i290 = get32(i58 | 0) | 0;
       i30 = 999;
      } else {
       i4 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i58 | 0) | 0, (i286 | 0) == 0 ? 1020 : i286 * 40 | 0) | 0;
       if (!i4) {
        i291 = 1;
        break;
       }
       i36 = get32(i37 | 0) | 0;
       do if (!i36) i30 = 997; else {
        if ((get32(i36 + 260 | 0) | 0) >>> 0 > i4 >>> 0) {
         i30 = 997;
         break;
        }
        if ((get32(i36 + 264 | 0) | 0) >>> 0 <= i4 >>> 0) {
         i30 = 997;
         break;
        }
        i292 = getU16(i36 + 232 | 0) | 0;
       } while (0);
       if ((i30 | 0) == 997) {
        i30 = 0;
        i292 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i4) | 0;
       }
       set32(i5 | 0, (i292 >>> 0) / 20 | 0 | 0);
       set32(i58 | 0, i4 | 0);
       i289 = get32(i20 | 0) | 0;
       i290 = i4;
       i30 = 999;
      } while (0);
      if ((i30 | 0) == 999) {
       i30 = 0;
       set32(i20 | 0, i289 + 1 | 0);
       set8(i290 + (i287 * 20 | 0) >> 0 | 0, 94 | 0);
       set8(i290 + (i287 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i290 + (i287 * 20 | 0) + 4 | 0, 0 | 0);
       set32(i290 + (i287 * 20 | 0) + 8 | 0, 3 | 0);
       set32(i290 + (i287 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i290 + (i287 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i290 + (i287 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i291 = i287;
      }
      _sqlite3VdbeChangeP4(i37, i291, i51, 0);
      i50 = get32(i20 | 0) | 0;
      i36 = get32(i5 | 0) | 0;
      do if ((i36 | 0) > (i50 | 0)) {
       i293 = i50;
       i294 = get32(i58 | 0) | 0;
       i30 = 1009;
      } else {
       i40 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i58 | 0) | 0, (i36 | 0) == 0 ? 1020 : i36 * 40 | 0) | 0;
       if (!i40) break;
       i44 = get32(i37 | 0) | 0;
       do if (!i44) i30 = 1007; else {
        if ((get32(i44 + 260 | 0) | 0) >>> 0 > i40 >>> 0) {
         i30 = 1007;
         break;
        }
        if ((get32(i44 + 264 | 0) | 0) >>> 0 <= i40 >>> 0) {
         i30 = 1007;
         break;
        }
        i295 = getU16(i44 + 232 | 0) | 0;
       } while (0);
       if ((i30 | 0) == 1007) {
        i30 = 0;
        i295 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i40) | 0;
       }
       set32(i5 | 0, (i295 >>> 0) / 20 | 0 | 0);
       set32(i58 | 0, i40 | 0);
       i293 = get32(i20 | 0) | 0;
       i294 = i40;
       i30 = 1009;
      } while (0);
      if ((i30 | 0) == 1009) {
       i30 = 0;
       set32(i20 | 0, i293 + 1 | 0);
       set8(i294 + (i50 * 20 | 0) >> 0 | 0, 16 | 0);
       set8(i294 + (i50 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i294 + (i50 * 20 | 0) + 4 | 0, 1 | 0);
       set32(i294 + (i50 * 20 | 0) + 8 | 0, 3 | 0);
       set32(i294 + (i50 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i294 + (i50 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i294 + (i50 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      }
      i52 = i52 + 1 | 0;
      if ((i52 | 0) >= (get32(i54 | 0) | 0)) break L293;
     }
    }
    L1295 : do if (i17) {
     i296 = 0;
     i297 = 34278;
    } else {
     i54 = i16;
     i52 = i49;
     i20 = 34278;
     while (1) {
      if ((get8(16286 + (i54 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i20 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
       i296 = i54;
       i297 = i20;
       break L1295;
      }
      i52 = i52 + 1 | 0;
      i58 = i20 + 1 | 0;
      i54 = get8(i52 >> 0 | 0) | 0;
      if (!(i54 << 24 >> 24)) {
       i296 = 0;
       i297 = i58;
       break;
      } else i20 = i58;
     }
    } while (0);
    if (i55 & (get8(16286 + (i296 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i297 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
     i20 = get32(i1 | 0) | 0;
     do if (!(get8(i20 + 124 >> 0 | 0) | 0)) {
      i54 = _sqlite3Init(i20, i1 + 8 | 0) | 0;
      if (!i54) {
       i298 = i53;
       break;
      }
      set32(i1 + 4 | 0, i54 | 0);
      i54 = i1 + 64 | 0;
      set32(i54 | 0, (get32(i54 | 0) | 0) + 1 | 0);
      break L286;
     } else i298 = i53; while (0);
     while (1) if (!(get8(i298 >> 0 | 0) | 0)) {
      i299 = i298;
      break;
     } else i298 = i298 + 1 | 0;
     i20 = i299 - i53 & 1073741823;
     i54 = get32(i27 + 4 | 0) | 0;
     if ((i54 | 0) <= 0) break L293;
     i52 = (i59 | 0) == 0;
     i50 = get32(i2 | 0) | 0;
     i58 = 0;
     i5 = 0;
     while (1) {
      i45 = (i58 | 0) < 2 ^ i58;
      if (!i52) {
       i56 = get32(i50 + (i45 << 4) | 0) | 0;
       i57 = get8(i59 >> 0 | 0) | 0;
       L1313 : do if (!(i57 << 24 >> 24)) {
        i300 = 0;
        i301 = i56;
       } else {
        i36 = i57;
        i51 = i59;
        i44 = i56;
        while (1) {
         if ((get8(16286 + (i36 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i44 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
          i300 = i36;
          i301 = i44;
          break L1313;
         }
         i51 = i51 + 1 | 0;
         i4 = i44 + 1 | 0;
         i36 = get8(i51 >> 0 | 0) | 0;
         if (!(i36 << 24 >> 24)) {
          i300 = 0;
          i301 = i4;
          break;
         } else i44 = i4;
        }
       } while (0);
       if ((get8(16286 + (i300 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i301 >> 0 | 0) | 0) >> 0 | 0) | 0)) i302 = i5; else i30 = 1026;
      } else i30 = 1026;
      if ((i30 | 0) == 1026) {
       i30 = 0;
       i56 = _sqlite3HashFind((get32(i50 + (i45 << 4) + 12 | 0) | 0) + 8 | 0, i53, i20) | 0;
       if (!i56) i302 = i56; else {
        i303 = i56;
        break;
       }
      }
      i58 = i58 + 1 | 0;
      if ((i58 | 0) >= (i54 | 0)) {
       i303 = i302;
       break;
      } else i5 = i302;
     }
     if (!i303) break L293;
     i5 = get32(i29 | 0) | 0;
     do if (!i5) {
      i54 = get32(i1 | 0) | 0;
      L1325 : do if (!i54) {
       if (!(get32(50 * 4 | 0) | 0)) {
        i304 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
        i30 = 1067;
        break;
       }
       i58 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
       set32(35 * 4 | 0, 192 | 0);
       if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
       i20 = get32(6 * 4 | 0) | 0;
       do if (i20) {
        i50 = get32(30 * 4 | 0) | 0;
        i52 = ((i50 | 0) < 0) << 31 >> 31;
        i56 = 16;
        i57 = _i64Subtract(get32(i56 | 0) | 0, get32(i56 + 4 | 0) | 0, i58 | 0, ((i58 | 0) < 0) << 31 >> 31 | 0) | 0;
        i56 = tempRet0;
        if ((i52 | 0) < (i56 | 0) | (i52 | 0) == (i56 | 0) & i50 >>> 0 < i57 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i57 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i20 & 15](i57, i50, i52, i58);
         set32(6 * 4 | 0, i20 | 0);
         set32(7 * 4 | 0, i57 | 0);
         break;
        }
       } while (0);
       i20 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i58) | 0;
       if (!i20) {
        i30 = 1068;
        break;
       }
       i57 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i20) | 0;
       i52 = (get32(30 * 4 | 0) | 0) + i57 | 0;
       set32(30 * 4 | 0, i52 | 0);
       if ((i52 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i52 | 0);
       i52 = get32(39 * 4 | 0) | 0;
       i57 = i52 + 1 | 0;
       set32(39 * 4 | 0, i57 | 0);
       if ((i52 | 0) < (get32(49 * 4 | 0) | 0)) {
        i305 = i20;
        break;
       }
       set32(49 * 4 | 0, i57 | 0);
       i305 = i20;
      } else {
       i20 = i54 + 30 | 0;
       if (get8(i20 >> 0 | 0) | 0) {
        i30 = 1068;
        break;
       }
       do if (get8(i54 + 234 >> 0 | 0) | 0) {
        if ((getU16(i54 + 232 | 0) | 0) < 192) {
         i57 = i54 + 248 | 0;
         set32(i57 | 0, (get32(i57 | 0) | 0) + 1 | 0);
         break;
        }
        i57 = i54 + 256 | 0;
        i52 = get32(i57 | 0) | 0;
        if (!i52) {
         i50 = i54 + 252 | 0;
         set32(i50 | 0, (get32(i50 | 0) | 0) + 1 | 0);
         break;
        }
        set32(i57 | 0, get32(i52 | 0) | 0);
        i57 = i54 + 236 | 0;
        i50 = get32(i57 | 0) | 0;
        i56 = i50 + 1 | 0;
        set32(i57 | 0, i56 | 0);
        i57 = i54 + 244 | 0;
        set32(i57 | 0, (get32(i57 | 0) | 0) + 1 | 0);
        i57 = i54 + 240 | 0;
        if ((i50 | 0) >= (get32(i57 | 0) | 0)) set32(i57 | 0, i56 | 0);
        i304 = i52;
        i30 = 1067;
        break L1325;
       } while (0);
       do if (!(get32(50 * 4 | 0) | 0)) {
        i58 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
        if (i58) {
         i305 = i58;
         break L1325;
        }
       } else {
        i58 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
        set32(35 * 4 | 0, 192 | 0);
        if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
        i52 = get32(6 * 4 | 0) | 0;
        do if (i52) {
         i56 = get32(30 * 4 | 0) | 0;
         i57 = ((i56 | 0) < 0) << 31 >> 31;
         i50 = 16;
         i44 = _i64Subtract(get32(i50 | 0) | 0, get32(i50 + 4 | 0) | 0, i58 | 0, ((i58 | 0) < 0) << 31 >> 31 | 0) | 0;
         i50 = tempRet0;
         if ((i57 | 0) < (i50 | 0) | (i57 | 0) == (i50 | 0) & i56 >>> 0 < i44 >>> 0) {
          set32(11 * 4 | 0, 0 | 0);
          break;
         } else {
          set32(11 * 4 | 0, 1 | 0);
          i44 = get32(7 * 4 | 0) | 0;
          set32(6 * 4 | 0, 0 | 0);
          FUNCTION_TABLE_viiii[i52 & 15](i44, i56, i57, i58);
          set32(6 * 4 | 0, i52 | 0);
          set32(7 * 4 | 0, i44 | 0);
          break;
         }
        } while (0);
        i52 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i58) | 0;
        if (!i52) break;
        i28 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i52) | 0;
        i44 = (get32(30 * 4 | 0) | 0) + i28 | 0;
        set32(30 * 4 | 0, i44 | 0);
        if ((i44 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i44 | 0);
        i44 = get32(39 * 4 | 0) | 0;
        i28 = i44 + 1 | 0;
        set32(39 * 4 | 0, i28 | 0);
        if ((i44 | 0) < (get32(49 * 4 | 0) | 0)) {
         i305 = i52;
         break L1325;
        }
        set32(49 * 4 | 0, i28 | 0);
        i305 = i52;
        break L1325;
       } while (0);
       set8(i20 >> 0 | 0, 1 | 0);
       i30 = 1068;
      } while (0);
      if ((i30 | 0) == 1067) if (!i304) i30 = 1068; else i305 = i304;
      if ((i30 | 0) == 1068) {
       set32(i29 | 0, 0 | 0);
       i306 = 0;
       break;
      }
      _memset(i305 | 0, 0, 192) | 0;
      set32(i305 | 0, i54 | 0);
      i45 = i54 + 136 | 0;
      i52 = get32(i45 | 0) | 0;
      if (i52) set32(i52 + 60 | 0, i305 | 0);
      set32(i305 + 64 | 0, i52 | 0);
      set32(i305 + 60 | 0, 0 | 0);
      set32(i45 | 0, i305 | 0);
      set32(i305 + 52 | 0, 649915045 | 0);
      set32(i29 | 0, i305 | 0);
      i45 = i305 + 28 | 0;
      i52 = i305 + 32 | 0;
      i28 = i305 + 4 | 0;
      i44 = _sqlite3DbRealloc(i54, 0, 1020) | 0;
      if (!i44) {
       i306 = i305;
       break;
      }
      i57 = get32(i305 | 0) | 0;
      do if (!i57) i30 = 1076; else {
       if ((get32(i57 + 260 | 0) | 0) >>> 0 > i44 >>> 0) {
        i30 = 1076;
        break;
       }
       if ((get32(i57 + 264 | 0) | 0) >>> 0 <= i44 >>> 0) {
        i30 = 1076;
        break;
       }
       i307 = getU16(i57 + 232 | 0) | 0;
      } while (0);
      if ((i30 | 0) == 1076) i307 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i44) | 0;
      set32(i52 | 0, (i307 >>> 0) / 20 | 0 | 0);
      set32(i28 | 0, i44 | 0);
      set32(i45 | 0, (get32(i45 | 0) | 0) + 1 | 0);
      set8(i44 >> 0 | 0, -120 | 0);
      set8(i44 + 1 >> 0 | 0, 0 | 0);
      i219 = i44 + 3 | 0;
      i220 = i219 + 17 | 0;
      do {
       set8(i219 >> 0 | 0, 0 | 0);
       i219 = i219 + 1 | 0;
      } while ((i219 | 0) < (i220 | 0));
      i306 = i305;
     } else i306 = i5; while (0);
     i5 = get32(i303 + 16 | 0) | 0;
     if (!i5) break L293;
     _sqlite3VdbeSetNumCols(i306, 3);
     set32(i34 | 0, 3 | 0);
     do if (!(get8((get32(i306 | 0) | 0) + 30 >> 0 | 0) | 0)) {
      i44 = i306 + 16 | 0;
      _sqlite3VdbeMemSetStr(get32(i44 | 0) | 0, 34289, -1, 1, 0) | 0;
      if (get8((get32(i306 | 0) | 0) + 30 >> 0 | 0) | 0) break;
      _sqlite3VdbeMemSetStr((get32(i44 | 0) | 0) + 40 | 0, 34229, -1, 1, 0) | 0;
      if (get8((get32(i306 | 0) | 0) + 30 >> 0 | 0) | 0) break;
      _sqlite3VdbeMemSetStr((get32(i44 | 0) | 0) + 80 | 0, 34293, -1, 1, 0) | 0;
     } while (0);
     i44 = i306 + 28 | 0;
     i45 = i306 + 32 | 0;
     i28 = i306 + 4 | 0;
     i52 = 0;
     i57 = i5;
     while (1) {
      i54 = get32(i44 | 0) | 0;
      i56 = get32(i45 | 0) | 0;
      do if ((i56 | 0) > (i54 | 0)) {
       i308 = i54;
       i309 = get32(i28 | 0) | 0;
       i310 = i56;
       i30 = 1094;
      } else {
       i50 = _sqlite3DbRealloc(get32(i306 | 0) | 0, get32(i28 | 0) | 0, (i56 | 0) == 0 ? 1020 : i56 * 40 | 0) | 0;
       if (!i50) {
        i311 = get32(i45 | 0) | 0;
        i312 = get32(i44 | 0) | 0;
        break;
       }
       i36 = get32(i306 | 0) | 0;
       do if (!i36) i30 = 1092; else {
        if ((get32(i36 + 260 | 0) | 0) >>> 0 > i50 >>> 0) {
         i30 = 1092;
         break;
        }
        if ((get32(i36 + 264 | 0) | 0) >>> 0 <= i50 >>> 0) {
         i30 = 1092;
         break;
        }
        i313 = getU16(i36 + 232 | 0) | 0;
       } while (0);
       if ((i30 | 0) == 1092) {
        i30 = 0;
        i313 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i50) | 0;
       }
       i36 = (i313 >>> 0) / 20 | 0;
       set32(i45 | 0, i36 | 0);
       set32(i28 | 0, i50 | 0);
       i308 = get32(i44 | 0) | 0;
       i309 = i50;
       i310 = i36;
       i30 = 1094;
      } while (0);
      if ((i30 | 0) == 1094) {
       i30 = 0;
       i56 = i308 + 1 | 0;
       set32(i44 | 0, i56 | 0);
       set8(i309 + (i54 * 20 | 0) >> 0 | 0, 7 | 0);
       set8(i309 + (i54 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i309 + (i54 * 20 | 0) + 4 | 0, i52 | 0);
       set32(i309 + (i54 * 20 | 0) + 8 | 0, 1 | 0);
       set32(i309 + (i54 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i309 + (i54 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i309 + (i54 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i311 = i310;
       i312 = i56;
      }
      i56 = get32(i57 | 0) | 0;
      do if ((i311 | 0) > (i312 | 0)) {
       i314 = i312;
       i315 = get32(i28 | 0) | 0;
       i30 = 1104;
      } else {
       i36 = _sqlite3DbRealloc(get32(i306 | 0) | 0, get32(i28 | 0) | 0, (i311 | 0) == 0 ? 1020 : i311 * 40 | 0) | 0;
       if (!i36) {
        i316 = 1;
        break;
       }
       i20 = get32(i306 | 0) | 0;
       do if (!i20) i30 = 1102; else {
        if ((get32(i20 + 260 | 0) | 0) >>> 0 > i36 >>> 0) {
         i30 = 1102;
         break;
        }
        if ((get32(i20 + 264 | 0) | 0) >>> 0 <= i36 >>> 0) {
         i30 = 1102;
         break;
        }
        i317 = getU16(i20 + 232 | 0) | 0;
       } while (0);
       if ((i30 | 0) == 1102) {
        i30 = 0;
        i317 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i36) | 0;
       }
       set32(i45 | 0, (i317 >>> 0) / 20 | 0 | 0);
       set32(i28 | 0, i36 | 0);
       i314 = get32(i44 | 0) | 0;
       i315 = i36;
       i30 = 1104;
      } while (0);
      if ((i30 | 0) == 1104) {
       i30 = 0;
       set32(i44 | 0, i314 + 1 | 0);
       set8(i315 + (i312 * 20 | 0) >> 0 | 0, 94 | 0);
       set8(i315 + (i312 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i315 + (i312 * 20 | 0) + 4 | 0, 0 | 0);
       set32(i315 + (i312 * 20 | 0) + 8 | 0, 2 | 0);
       set32(i315 + (i312 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i315 + (i312 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i315 + (i312 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i316 = i312;
      }
      _sqlite3VdbeChangeP4(i306, i316, i56, 0);
      i54 = (get8(i57 + 24 >> 0 | 0) | 0) != 0 & 1;
      i20 = get32(i44 | 0) | 0;
      i50 = get32(i45 | 0) | 0;
      do if ((i50 | 0) > (i20 | 0)) {
       i318 = i20;
       i319 = get32(i28 | 0) | 0;
       i320 = i50;
       i30 = 1115;
      } else {
       i51 = _sqlite3DbRealloc(get32(i306 | 0) | 0, get32(i28 | 0) | 0, (i50 | 0) == 0 ? 1020 : i50 * 40 | 0) | 0;
       if (!i51) {
        i321 = get32(i45 | 0) | 0;
        i322 = get32(i44 | 0) | 0;
        break;
       }
       i40 = get32(i306 | 0) | 0;
       do if (!i40) i30 = 1113; else {
        if ((get32(i40 + 260 | 0) | 0) >>> 0 > i51 >>> 0) {
         i30 = 1113;
         break;
        }
        if ((get32(i40 + 264 | 0) | 0) >>> 0 <= i51 >>> 0) {
         i30 = 1113;
         break;
        }
        i323 = getU16(i40 + 232 | 0) | 0;
       } while (0);
       if ((i30 | 0) == 1113) {
        i30 = 0;
        i323 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i51) | 0;
       }
       i40 = (i323 >>> 0) / 20 | 0;
       set32(i45 | 0, i40 | 0);
       set32(i28 | 0, i51 | 0);
       i318 = get32(i44 | 0) | 0;
       i319 = i51;
       i320 = i40;
       i30 = 1115;
      } while (0);
      if ((i30 | 0) == 1115) {
       i30 = 0;
       i50 = i318 + 1 | 0;
       set32(i44 | 0, i50 | 0);
       set8(i319 + (i20 * 20 | 0) >> 0 | 0, 7 | 0);
       set8(i319 + (i20 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i319 + (i20 * 20 | 0) + 4 | 0, i54 | 0);
       set32(i319 + (i20 * 20 | 0) + 8 | 0, 3 | 0);
       set32(i319 + (i20 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i319 + (i20 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i319 + (i20 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i321 = i320;
       i322 = i50;
      }
      do if ((i321 | 0) > (i322 | 0)) {
       i324 = i322;
       i325 = get32(i28 | 0) | 0;
       i30 = 1125;
      } else {
       i50 = _sqlite3DbRealloc(get32(i306 | 0) | 0, get32(i28 | 0) | 0, (i321 | 0) == 0 ? 1020 : i321 * 40 | 0) | 0;
       if (!i50) break;
       i56 = get32(i306 | 0) | 0;
       do if (!i56) i30 = 1123; else {
        if ((get32(i56 + 260 | 0) | 0) >>> 0 > i50 >>> 0) {
         i30 = 1123;
         break;
        }
        if ((get32(i56 + 264 | 0) | 0) >>> 0 <= i50 >>> 0) {
         i30 = 1123;
         break;
        }
        i326 = getU16(i56 + 232 | 0) | 0;
       } while (0);
       if ((i30 | 0) == 1123) {
        i30 = 0;
        i326 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i50) | 0;
       }
       set32(i45 | 0, (i326 >>> 0) / 20 | 0 | 0);
       set32(i28 | 0, i50 | 0);
       i324 = get32(i44 | 0) | 0;
       i325 = i50;
       i30 = 1125;
      } while (0);
      if ((i30 | 0) == 1125) {
       i30 = 0;
       set32(i44 | 0, i324 + 1 | 0);
       set8(i325 + (i322 * 20 | 0) >> 0 | 0, 16 | 0);
       set8(i325 + (i322 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i325 + (i322 * 20 | 0) + 4 | 0, 1 | 0);
       set32(i325 + (i322 * 20 | 0) + 8 | 0, 3 | 0);
       set32(i325 + (i322 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i325 + (i322 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i325 + (i322 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      }
      i57 = get32(i57 + 32 | 0) | 0;
      if (!i57) break L293; else i52 = i52 + 1 | 0;
     }
    }
    L1462 : do if (i17) {
     i327 = 0;
     i328 = 34300;
    } else {
     i52 = i16;
     i57 = i49;
     i44 = 34300;
     while (1) {
      if ((get8(16286 + (i52 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i44 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
       i327 = i52;
       i328 = i44;
       break L1462;
      }
      i57 = i57 + 1 | 0;
      i28 = i44 + 1 | 0;
      i52 = get8(i57 >> 0 | 0) | 0;
      if (!(i52 << 24 >> 24)) {
       i327 = 0;
       i328 = i28;
       break;
      } else i44 = i28;
     }
    } while (0);
    if ((get8(16286 + (i327 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i328 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
     i44 = get32(i1 | 0) | 0;
     do if (!(get8(i44 + 124 >> 0 | 0) | 0)) {
      i52 = _sqlite3Init(i44, i1 + 8 | 0) | 0;
      if (!i52) break;
      set32(i1 + 4 | 0, i52 | 0);
      i52 = i1 + 64 | 0;
      set32(i52 | 0, (get32(i52 | 0) | 0) + 1 | 0);
      break L286;
     } while (0);
     _sqlite3VdbeSetNumCols(i37, 3);
     set32(i34 | 0, 3 | 0);
     do if (!(get8((get32(i37 | 0) | 0) + 30 >> 0 | 0) | 0)) {
      i44 = i37 + 16 | 0;
      _sqlite3VdbeMemSetStr(get32(i44 | 0) | 0, 34289, -1, 1, 0) | 0;
      if (get8((get32(i37 | 0) | 0) + 30 >> 0 | 0) | 0) break;
      _sqlite3VdbeMemSetStr((get32(i44 | 0) | 0) + 40 | 0, 34229, -1, 1, 0) | 0;
      if (get8((get32(i37 | 0) | 0) + 30 >> 0 | 0) | 0) break;
      _sqlite3VdbeMemSetStr((get32(i44 | 0) | 0) + 80 | 0, 34314, -1, 1, 0) | 0;
     } while (0);
     i44 = i27 + 4 | 0;
     if ((get32(i44 | 0) | 0) <= 0) break L293;
     i52 = i37 + 28 | 0;
     i57 = i37 + 32 | 0;
     i28 = i37 + 4 | 0;
     i45 = 0;
     while (1) {
      do if (get32((get32(i2 | 0) | 0) + (i45 << 4) + 4 | 0) | 0) {
       i5 = get32(i52 | 0) | 0;
       i20 = get32(i57 | 0) | 0;
       do if ((i20 | 0) > (i5 | 0)) {
        i329 = i5;
        i330 = get32(i28 | 0) | 0;
        i331 = i20;
        i30 = 1151;
       } else {
        i54 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i28 | 0) | 0, (i20 | 0) == 0 ? 1020 : i20 * 40 | 0) | 0;
        if (!i54) {
         i332 = get32(i57 | 0) | 0;
         i333 = get32(i52 | 0) | 0;
         break;
        }
        i56 = get32(i37 | 0) | 0;
        do if (!i56) i30 = 1149; else {
         if ((get32(i56 + 260 | 0) | 0) >>> 0 > i54 >>> 0) {
          i30 = 1149;
          break;
         }
         if ((get32(i56 + 264 | 0) | 0) >>> 0 <= i54 >>> 0) {
          i30 = 1149;
          break;
         }
         i334 = getU16(i56 + 232 | 0) | 0;
        } while (0);
        if ((i30 | 0) == 1149) {
         i30 = 0;
         i334 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i54) | 0;
        }
        i56 = (i334 >>> 0) / 20 | 0;
        set32(i57 | 0, i56 | 0);
        set32(i28 | 0, i54 | 0);
        i329 = get32(i52 | 0) | 0;
        i330 = i54;
        i331 = i56;
        i30 = 1151;
       } while (0);
       if ((i30 | 0) == 1151) {
        i30 = 0;
        i20 = i329 + 1 | 0;
        set32(i52 | 0, i20 | 0);
        set8(i330 + (i5 * 20 | 0) >> 0 | 0, 7 | 0);
        set8(i330 + (i5 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i330 + (i5 * 20 | 0) + 4 | 0, i45 | 0);
        set32(i330 + (i5 * 20 | 0) + 8 | 0, 1 | 0);
        set32(i330 + (i5 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i330 + (i5 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i330 + (i5 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i332 = i331;
        i333 = i20;
       }
       i20 = get32((get32(i2 | 0) | 0) + (i45 << 4) | 0) | 0;
       do if ((i332 | 0) > (i333 | 0)) {
        i335 = i333;
        i336 = get32(i28 | 0) | 0;
        i30 = 1161;
       } else {
        i50 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i28 | 0) | 0, (i332 | 0) == 0 ? 1020 : i332 * 40 | 0) | 0;
        if (!i50) {
         i337 = 1;
         break;
        }
        i56 = get32(i37 | 0) | 0;
        do if (!i56) i30 = 1159; else {
         if ((get32(i56 + 260 | 0) | 0) >>> 0 > i50 >>> 0) {
          i30 = 1159;
          break;
         }
         if ((get32(i56 + 264 | 0) | 0) >>> 0 <= i50 >>> 0) {
          i30 = 1159;
          break;
         }
         i338 = getU16(i56 + 232 | 0) | 0;
        } while (0);
        if ((i30 | 0) == 1159) {
         i30 = 0;
         i338 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i50) | 0;
        }
        set32(i57 | 0, (i338 >>> 0) / 20 | 0 | 0);
        set32(i28 | 0, i50 | 0);
        i335 = get32(i52 | 0) | 0;
        i336 = i50;
        i30 = 1161;
       } while (0);
       if ((i30 | 0) == 1161) {
        i30 = 0;
        set32(i52 | 0, i335 + 1 | 0);
        set8(i336 + (i333 * 20 | 0) >> 0 | 0, 94 | 0);
        set8(i336 + (i333 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i336 + (i333 * 20 | 0) + 4 | 0, 0 | 0);
        set32(i336 + (i333 * 20 | 0) + 8 | 0, 2 | 0);
        set32(i336 + (i333 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i336 + (i333 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i336 + (i333 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i337 = i333;
       }
       _sqlite3VdbeChangeP4(i37, i337, i20, 0);
       i5 = get32((get32(get32((get32((get32(i2 | 0) | 0) + (i45 << 4) + 4 | 0) | 0) + 4 | 0) | 0) | 0) + 144 | 0) | 0;
       i56 = get32(i52 | 0) | 0;
       i54 = get32(i57 | 0) | 0;
       do if ((i54 | 0) > (i56 | 0)) {
        i339 = i56;
        i340 = get32(i28 | 0) | 0;
        i30 = 1171;
       } else {
        i58 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i28 | 0) | 0, (i54 | 0) == 0 ? 1020 : i54 * 40 | 0) | 0;
        if (!i58) {
         i341 = 1;
         break;
        }
        i51 = get32(i37 | 0) | 0;
        do if (!i51) i30 = 1169; else {
         if ((get32(i51 + 260 | 0) | 0) >>> 0 > i58 >>> 0) {
          i30 = 1169;
          break;
         }
         if ((get32(i51 + 264 | 0) | 0) >>> 0 <= i58 >>> 0) {
          i30 = 1169;
          break;
         }
         i342 = getU16(i51 + 232 | 0) | 0;
        } while (0);
        if ((i30 | 0) == 1169) {
         i30 = 0;
         i342 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i58) | 0;
        }
        set32(i57 | 0, (i342 >>> 0) / 20 | 0 | 0);
        set32(i28 | 0, i58 | 0);
        i339 = get32(i52 | 0) | 0;
        i340 = i58;
        i30 = 1171;
       } while (0);
       if ((i30 | 0) == 1171) {
        i30 = 0;
        set32(i52 | 0, i339 + 1 | 0);
        set8(i340 + (i56 * 20 | 0) >> 0 | 0, 94 | 0);
        set8(i340 + (i56 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i340 + (i56 * 20 | 0) + 4 | 0, 0 | 0);
        set32(i340 + (i56 * 20 | 0) + 8 | 0, 3 | 0);
        set32(i340 + (i56 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i340 + (i56 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i340 + (i56 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i341 = i56;
       }
       _sqlite3VdbeChangeP4(i37, i341, i5, 0);
       i54 = get32(i52 | 0) | 0;
       i20 = get32(i57 | 0) | 0;
       if ((i20 | 0) > (i54 | 0)) {
        i343 = i54;
        i344 = get32(i28 | 0) | 0;
       } else {
        i51 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i28 | 0) | 0, (i20 | 0) == 0 ? 1020 : i20 * 40 | 0) | 0;
        if (!i51) break;
        i20 = get32(i37 | 0) | 0;
        do if (!i20) i30 = 1179; else {
         if ((get32(i20 + 260 | 0) | 0) >>> 0 > i51 >>> 0) {
          i30 = 1179;
          break;
         }
         if ((get32(i20 + 264 | 0) | 0) >>> 0 <= i51 >>> 0) {
          i30 = 1179;
          break;
         }
         i345 = getU16(i20 + 232 | 0) | 0;
        } while (0);
        if ((i30 | 0) == 1179) {
         i30 = 0;
         i345 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i51) | 0;
        }
        set32(i57 | 0, (i345 >>> 0) / 20 | 0 | 0);
        set32(i28 | 0, i51 | 0);
        i343 = get32(i52 | 0) | 0;
        i344 = i51;
       }
       set32(i52 | 0, i343 + 1 | 0);
       set8(i344 + (i54 * 20 | 0) >> 0 | 0, 16 | 0);
       set8(i344 + (i54 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i344 + (i54 * 20 | 0) + 4 | 0, 1 | 0);
       set32(i344 + (i54 * 20 | 0) + 8 | 0, 3 | 0);
       set32(i344 + (i54 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i344 + (i54 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i344 + (i54 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      } while (0);
      i45 = i45 + 1 | 0;
      if ((i45 | 0) >= (get32(i44 | 0) | 0)) break L293;
     }
    }
    L1541 : do if (i17) {
     i346 = 0;
     i347 = 34319;
    } else {
     i44 = i16;
     i45 = i49;
     i52 = 34319;
     while (1) {
      if ((get8(16286 + (i44 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i52 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
       i346 = i44;
       i347 = i52;
       break L1541;
      }
      i45 = i45 + 1 | 0;
      i28 = i52 + 1 | 0;
      i44 = get8(i45 >> 0 | 0) | 0;
      if (!(i44 << 24 >> 24)) {
       i346 = 0;
       i347 = i28;
       break;
      } else i52 = i28;
     }
    } while (0);
    if ((get8(16286 + (i346 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i347 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
     _sqlite3VdbeSetNumCols(i37, 2);
     set32(i34 | 0, 2 | 0);
     do if (!(get8((get32(i37 | 0) | 0) + 30 >> 0 | 0) | 0)) {
      i52 = i37 + 16 | 0;
      _sqlite3VdbeMemSetStr(get32(i52 | 0) | 0, 34289, -1, 1, 0) | 0;
      if (get8((get32(i37 | 0) | 0) + 30 >> 0 | 0) | 0) break;
      _sqlite3VdbeMemSetStr((get32(i52 | 0) | 0) + 40 | 0, 34229, -1, 1, 0) | 0;
     } while (0);
     i52 = get32(i27 + 420 | 0) | 0;
     if (!i52) break L293;
     i44 = i37 + 28 | 0;
     i45 = i37 + 32 | 0;
     i28 = i37 + 4 | 0;
     i57 = 0;
     i20 = i52;
     while (1) {
      i52 = get32(i20 + 8 | 0) | 0;
      i5 = get32(i44 | 0) | 0;
      i56 = get32(i45 | 0) | 0;
      do if ((i56 | 0) > (i5 | 0)) {
       i348 = i5;
       i349 = get32(i28 | 0) | 0;
       i350 = i56;
       i30 = 1202;
      } else {
       i50 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i28 | 0) | 0, (i56 | 0) == 0 ? 1020 : i56 * 40 | 0) | 0;
       if (!i50) {
        i351 = get32(i45 | 0) | 0;
        i352 = get32(i44 | 0) | 0;
        break;
       }
       i40 = get32(i37 | 0) | 0;
       do if (!i40) i30 = 1200; else {
        if ((get32(i40 + 260 | 0) | 0) >>> 0 > i50 >>> 0) {
         i30 = 1200;
         break;
        }
        if ((get32(i40 + 264 | 0) | 0) >>> 0 <= i50 >>> 0) {
         i30 = 1200;
         break;
        }
        i353 = getU16(i40 + 232 | 0) | 0;
       } while (0);
       if ((i30 | 0) == 1200) {
        i30 = 0;
        i353 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i50) | 0;
       }
       i40 = (i353 >>> 0) / 20 | 0;
       set32(i45 | 0, i40 | 0);
       set32(i28 | 0, i50 | 0);
       i348 = get32(i44 | 0) | 0;
       i349 = i50;
       i350 = i40;
       i30 = 1202;
      } while (0);
      if ((i30 | 0) == 1202) {
       i30 = 0;
       i56 = i348 + 1 | 0;
       set32(i44 | 0, i56 | 0);
       set8(i349 + (i5 * 20 | 0) >> 0 | 0, 7 | 0);
       set8(i349 + (i5 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i349 + (i5 * 20 | 0) + 4 | 0, i57 | 0);
       set32(i349 + (i5 * 20 | 0) + 8 | 0, 1 | 0);
       set32(i349 + (i5 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i349 + (i5 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i349 + (i5 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i351 = i350;
       i352 = i56;
      }
      i57 = i57 + 1 | 0;
      i56 = get32(i52 | 0) | 0;
      do if ((i351 | 0) > (i352 | 0)) {
       i354 = i352;
       i355 = get32(i28 | 0) | 0;
       i30 = 1212;
      } else {
       i40 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i28 | 0) | 0, (i351 | 0) == 0 ? 1020 : i351 * 40 | 0) | 0;
       if (!i40) {
        i356 = 1;
        break;
       }
       i54 = get32(i37 | 0) | 0;
       do if (!i54) i30 = 1210; else {
        if ((get32(i54 + 260 | 0) | 0) >>> 0 > i40 >>> 0) {
         i30 = 1210;
         break;
        }
        if ((get32(i54 + 264 | 0) | 0) >>> 0 <= i40 >>> 0) {
         i30 = 1210;
         break;
        }
        i357 = getU16(i54 + 232 | 0) | 0;
       } while (0);
       if ((i30 | 0) == 1210) {
        i30 = 0;
        i357 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i40) | 0;
       }
       set32(i45 | 0, (i357 >>> 0) / 20 | 0 | 0);
       set32(i28 | 0, i40 | 0);
       i354 = get32(i44 | 0) | 0;
       i355 = i40;
       i30 = 1212;
      } while (0);
      if ((i30 | 0) == 1212) {
       i30 = 0;
       set32(i44 | 0, i354 + 1 | 0);
       set8(i355 + (i352 * 20 | 0) >> 0 | 0, 94 | 0);
       set8(i355 + (i352 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i355 + (i352 * 20 | 0) + 4 | 0, 0 | 0);
       set32(i355 + (i352 * 20 | 0) + 8 | 0, 2 | 0);
       set32(i355 + (i352 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i355 + (i352 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i355 + (i352 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i356 = i352;
      }
      _sqlite3VdbeChangeP4(i37, i356, i56, 0);
      i52 = get32(i44 | 0) | 0;
      i5 = get32(i45 | 0) | 0;
      do if ((i5 | 0) > (i52 | 0)) {
       i358 = i52;
       i359 = get32(i28 | 0) | 0;
       i30 = 1222;
      } else {
       i54 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i28 | 0) | 0, (i5 | 0) == 0 ? 1020 : i5 * 40 | 0) | 0;
       if (!i54) break;
       i50 = get32(i37 | 0) | 0;
       do if (!i50) i30 = 1220; else {
        if ((get32(i50 + 260 | 0) | 0) >>> 0 > i54 >>> 0) {
         i30 = 1220;
         break;
        }
        if ((get32(i50 + 264 | 0) | 0) >>> 0 <= i54 >>> 0) {
         i30 = 1220;
         break;
        }
        i360 = getU16(i50 + 232 | 0) | 0;
       } while (0);
       if ((i30 | 0) == 1220) {
        i30 = 0;
        i360 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i54) | 0;
       }
       set32(i45 | 0, (i360 >>> 0) / 20 | 0 | 0);
       set32(i28 | 0, i54 | 0);
       i358 = get32(i44 | 0) | 0;
       i359 = i54;
       i30 = 1222;
      } while (0);
      if ((i30 | 0) == 1222) {
       i30 = 0;
       set32(i44 | 0, i358 + 1 | 0);
       set8(i359 + (i52 * 20 | 0) >> 0 | 0, 16 | 0);
       set8(i359 + (i52 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i359 + (i52 * 20 | 0) + 4 | 0, 1 | 0);
       set32(i359 + (i52 * 20 | 0) + 8 | 0, 2 | 0);
       set32(i359 + (i52 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i359 + (i52 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i359 + (i52 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      }
      i20 = get32(i20 | 0) | 0;
      if (!i20) break L293;
     }
    }
    L1600 : do if (i17) {
     i361 = 0;
     i362 = 34334;
    } else {
     i20 = i16;
     i44 = i49;
     i28 = 34334;
     while (1) {
      if ((get8(16286 + (i20 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i28 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
       i361 = i20;
       i362 = i28;
       break L1600;
      }
      i44 = i44 + 1 | 0;
      i45 = i28 + 1 | 0;
      i20 = get8(i44 >> 0 | 0) | 0;
      if (!(i20 << 24 >> 24)) {
       i361 = 0;
       i362 = i45;
       break;
      } else i28 = i45;
     }
    } while (0);
    if (i55 & (get8(16286 + (i361 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i362 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
     i28 = get32(i1 | 0) | 0;
     do if (!(get8(i28 + 124 >> 0 | 0) | 0)) {
      i20 = _sqlite3Init(i28, i1 + 8 | 0) | 0;
      if (!i20) {
       i363 = i53;
       break;
      }
      set32(i1 + 4 | 0, i20 | 0);
      i20 = i1 + 64 | 0;
      set32(i20 | 0, (get32(i20 | 0) | 0) + 1 | 0);
      break L286;
     } else i363 = i53; while (0);
     while (1) if (!(get8(i363 >> 0 | 0) | 0)) {
      i364 = i363;
      break;
     } else i363 = i363 + 1 | 0;
     i28 = i364 - i53 & 1073741823;
     i20 = get32(i27 + 4 | 0) | 0;
     if ((i20 | 0) <= 0) break L293;
     i44 = (i59 | 0) == 0;
     i52 = get32(i2 | 0) | 0;
     i45 = 0;
     i57 = 0;
     while (1) {
      i5 = (i45 | 0) < 2 ^ i45;
      if (!i44) {
       i56 = get32(i52 + (i5 << 4) | 0) | 0;
       i50 = get8(i59 >> 0 | 0) | 0;
       L1618 : do if (!(i50 << 24 >> 24)) {
        i365 = 0;
        i366 = i56;
       } else {
        i40 = i50;
        i51 = i59;
        i36 = i56;
        while (1) {
         if ((get8(16286 + (i40 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i36 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
          i365 = i40;
          i366 = i36;
          break L1618;
         }
         i51 = i51 + 1 | 0;
         i4 = i36 + 1 | 0;
         i40 = get8(i51 >> 0 | 0) | 0;
         if (!(i40 << 24 >> 24)) {
          i365 = 0;
          i366 = i4;
          break;
         } else i36 = i4;
        }
       } while (0);
       if ((get8(16286 + (i365 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i366 >> 0 | 0) | 0) >> 0 | 0) | 0)) i367 = i57; else i30 = 1239;
      } else i30 = 1239;
      if ((i30 | 0) == 1239) {
       i30 = 0;
       i56 = _sqlite3HashFind((get32(i52 + (i5 << 4) + 12 | 0) | 0) + 8 | 0, i53, i28) | 0;
       if (!i56) i367 = i56; else {
        i368 = i56;
        break;
       }
      }
      i45 = i45 + 1 | 0;
      if ((i45 | 0) >= (i20 | 0)) {
       i368 = i367;
       break;
      } else i57 = i367;
     }
     if (!i368) break L293;
     i57 = get32(i29 | 0) | 0;
     do if (!i57) {
      i20 = get32(i1 | 0) | 0;
      L1630 : do if (!i20) {
       if (!(get32(50 * 4 | 0) | 0)) {
        i369 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
        i30 = 1280;
        break;
       }
       i45 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
       set32(35 * 4 | 0, 192 | 0);
       if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
       i28 = get32(6 * 4 | 0) | 0;
       do if (i28) {
        i52 = get32(30 * 4 | 0) | 0;
        i44 = ((i52 | 0) < 0) << 31 >> 31;
        i56 = 16;
        i50 = _i64Subtract(get32(i56 | 0) | 0, get32(i56 + 4 | 0) | 0, i45 | 0, ((i45 | 0) < 0) << 31 >> 31 | 0) | 0;
        i56 = tempRet0;
        if ((i44 | 0) < (i56 | 0) | (i44 | 0) == (i56 | 0) & i52 >>> 0 < i50 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i50 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i28 & 15](i50, i52, i44, i45);
         set32(6 * 4 | 0, i28 | 0);
         set32(7 * 4 | 0, i50 | 0);
         break;
        }
       } while (0);
       i28 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i45) | 0;
       if (!i28) {
        i30 = 1281;
        break;
       }
       i50 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i28) | 0;
       i44 = (get32(30 * 4 | 0) | 0) + i50 | 0;
       set32(30 * 4 | 0, i44 | 0);
       if ((i44 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i44 | 0);
       i44 = get32(39 * 4 | 0) | 0;
       i50 = i44 + 1 | 0;
       set32(39 * 4 | 0, i50 | 0);
       if ((i44 | 0) < (get32(49 * 4 | 0) | 0)) {
        i370 = i28;
        break;
       }
       set32(49 * 4 | 0, i50 | 0);
       i370 = i28;
      } else {
       i28 = i20 + 30 | 0;
       if (get8(i28 >> 0 | 0) | 0) {
        i30 = 1281;
        break;
       }
       do if (get8(i20 + 234 >> 0 | 0) | 0) {
        if ((getU16(i20 + 232 | 0) | 0) < 192) {
         i50 = i20 + 248 | 0;
         set32(i50 | 0, (get32(i50 | 0) | 0) + 1 | 0);
         break;
        }
        i50 = i20 + 256 | 0;
        i44 = get32(i50 | 0) | 0;
        if (!i44) {
         i52 = i20 + 252 | 0;
         set32(i52 | 0, (get32(i52 | 0) | 0) + 1 | 0);
         break;
        }
        set32(i50 | 0, get32(i44 | 0) | 0);
        i50 = i20 + 236 | 0;
        i52 = get32(i50 | 0) | 0;
        i56 = i52 + 1 | 0;
        set32(i50 | 0, i56 | 0);
        i50 = i20 + 244 | 0;
        set32(i50 | 0, (get32(i50 | 0) | 0) + 1 | 0);
        i50 = i20 + 240 | 0;
        if ((i52 | 0) >= (get32(i50 | 0) | 0)) set32(i50 | 0, i56 | 0);
        i369 = i44;
        i30 = 1280;
        break L1630;
       } while (0);
       do if (!(get32(50 * 4 | 0) | 0)) {
        i45 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
        if (i45) {
         i370 = i45;
         break L1630;
        }
       } else {
        i45 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
        set32(35 * 4 | 0, 192 | 0);
        if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
        i44 = get32(6 * 4 | 0) | 0;
        do if (i44) {
         i56 = get32(30 * 4 | 0) | 0;
         i50 = ((i56 | 0) < 0) << 31 >> 31;
         i52 = 16;
         i36 = _i64Subtract(get32(i52 | 0) | 0, get32(i52 + 4 | 0) | 0, i45 | 0, ((i45 | 0) < 0) << 31 >> 31 | 0) | 0;
         i52 = tempRet0;
         if ((i50 | 0) < (i52 | 0) | (i50 | 0) == (i52 | 0) & i56 >>> 0 < i36 >>> 0) {
          set32(11 * 4 | 0, 0 | 0);
          break;
         } else {
          set32(11 * 4 | 0, 1 | 0);
          i36 = get32(7 * 4 | 0) | 0;
          set32(6 * 4 | 0, 0 | 0);
          FUNCTION_TABLE_viiii[i44 & 15](i36, i56, i50, i45);
          set32(6 * 4 | 0, i44 | 0);
          set32(7 * 4 | 0, i36 | 0);
          break;
         }
        } while (0);
        i44 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i45) | 0;
        if (!i44) break;
        i58 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i44) | 0;
        i36 = (get32(30 * 4 | 0) | 0) + i58 | 0;
        set32(30 * 4 | 0, i36 | 0);
        if ((i36 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i36 | 0);
        i36 = get32(39 * 4 | 0) | 0;
        i58 = i36 + 1 | 0;
        set32(39 * 4 | 0, i58 | 0);
        if ((i36 | 0) < (get32(49 * 4 | 0) | 0)) {
         i370 = i44;
         break L1630;
        }
        set32(49 * 4 | 0, i58 | 0);
        i370 = i44;
        break L1630;
       } while (0);
       set8(i28 >> 0 | 0, 1 | 0);
       i30 = 1281;
      } while (0);
      if ((i30 | 0) == 1280) if (!i369) i30 = 1281; else i370 = i369;
      if ((i30 | 0) == 1281) {
       set32(i29 | 0, 0 | 0);
       i371 = 0;
       break;
      }
      _memset(i370 | 0, 0, 192) | 0;
      set32(i370 | 0, i20 | 0);
      i5 = i20 + 136 | 0;
      i44 = get32(i5 | 0) | 0;
      if (i44) set32(i44 + 60 | 0, i370 | 0);
      set32(i370 + 64 | 0, i44 | 0);
      set32(i370 + 60 | 0, 0 | 0);
      set32(i5 | 0, i370 | 0);
      set32(i370 + 52 | 0, 649915045 | 0);
      set32(i29 | 0, i370 | 0);
      i5 = i370 + 28 | 0;
      i44 = i370 + 32 | 0;
      i58 = i370 + 4 | 0;
      i36 = _sqlite3DbRealloc(i20, 0, 1020) | 0;
      if (!i36) {
       i371 = i370;
       break;
      }
      i50 = get32(i370 | 0) | 0;
      do if (!i50) i30 = 1289; else {
       if ((get32(i50 + 260 | 0) | 0) >>> 0 > i36 >>> 0) {
        i30 = 1289;
        break;
       }
       if ((get32(i50 + 264 | 0) | 0) >>> 0 <= i36 >>> 0) {
        i30 = 1289;
        break;
       }
       i372 = getU16(i50 + 232 | 0) | 0;
      } while (0);
      if ((i30 | 0) == 1289) i372 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i36) | 0;
      set32(i44 | 0, (i372 >>> 0) / 20 | 0 | 0);
      set32(i58 | 0, i36 | 0);
      set32(i5 | 0, (get32(i5 | 0) | 0) + 1 | 0);
      set8(i36 >> 0 | 0, -120 | 0);
      set8(i36 + 1 >> 0 | 0, 0 | 0);
      i219 = i36 + 3 | 0;
      i220 = i219 + 17 | 0;
      do {
       set8(i219 >> 0 | 0, 0 | 0);
       i219 = i219 + 1 | 0;
      } while ((i219 | 0) < (i220 | 0));
      i371 = i370;
     } else i371 = i57; while (0);
     i57 = get32(i368 + 36 | 0) | 0;
     if (!i57) break L293;
     _sqlite3VdbeSetNumCols(i371, 8);
     set32(i34 | 0, 8 | 0);
     do if (!(get8((get32(i371 | 0) | 0) + 30 >> 0 | 0) | 0)) {
      i36 = i371 + 16 | 0;
      _sqlite3VdbeMemSetStr(get32(i36 | 0) | 0, 34351, -1, 1, 0) | 0;
      if (get8((get32(i371 | 0) | 0) + 30 >> 0 | 0) | 0) break;
      _sqlite3VdbeMemSetStr((get32(i36 | 0) | 0) + 40 | 0, 34289, -1, 1, 0) | 0;
      if (get8((get32(i371 | 0) | 0) + 30 >> 0 | 0) | 0) break;
      _sqlite3VdbeMemSetStr((get32(i36 | 0) | 0) + 80 | 0, 29405, -1, 1, 0) | 0;
      if (get8((get32(i371 | 0) | 0) + 30 >> 0 | 0) | 0) break;
      _sqlite3VdbeMemSetStr((get32(i36 | 0) | 0) + 120 | 0, 26396, -1, 1, 0) | 0;
      if (get8((get32(i371 | 0) | 0) + 30 >> 0 | 0) | 0) break;
      _sqlite3VdbeMemSetStr((get32(i36 | 0) | 0) + 160 | 0, 34354, -1, 1, 0) | 0;
      if (get8((get32(i371 | 0) | 0) + 30 >> 0 | 0) | 0) break;
      _sqlite3VdbeMemSetStr((get32(i36 | 0) | 0) + 200 | 0, 34357, -1, 1, 0) | 0;
      if (get8((get32(i371 | 0) | 0) + 30 >> 0 | 0) | 0) break;
      _sqlite3VdbeMemSetStr((get32(i36 | 0) | 0) + 240 | 0, 34367, -1, 1, 0) | 0;
      if (get8((get32(i371 | 0) | 0) + 30 >> 0 | 0) | 0) break;
      _sqlite3VdbeMemSetStr((get32(i36 | 0) | 0) + 280 | 0, 32542, -1, 1, 0) | 0;
     } while (0);
     i36 = i371 + 28 | 0;
     i5 = i371 + 32 | 0;
     i58 = i371 + 4 | 0;
     i44 = i368 + 12 | 0;
     i50 = 0;
     i20 = i57;
     while (1) {
      i56 = i20 + 20 | 0;
      L1711 : do if ((get32(i56 | 0) | 0) > 0) {
       i52 = i20 + 25 | 0;
       i40 = i20 + 26 | 0;
       i51 = i20 + 8 | 0;
       i54 = 0;
       while (1) {
        i4 = get32(i20 + 36 + (i54 << 3) + 4 | 0) | 0;
        switch (getU8(i52 >> 0 | 0) | 0) {
        case 7:
         {
          i373 = 35198;
          break;
         }
        case 8:
         {
          i373 = 35207;
          break;
         }
        case 9:
         {
          i373 = 35219;
          break;
         }
        case 6:
         {
          i373 = 35227;
          break;
         }
        default:
         i373 = 35236;
        }
        switch (getU8(i40 >> 0 | 0) | 0) {
        case 7:
         {
          i374 = 35198;
          break;
         }
        case 8:
         {
          i374 = 35207;
          break;
         }
        case 9:
         {
          i374 = 35219;
          break;
         }
        case 6:
         {
          i374 = 35227;
          break;
         }
        default:
         i374 = 35236;
        }
        i48 = get32(i36 | 0) | 0;
        i42 = get32(i5 | 0) | 0;
        do if ((i42 | 0) > (i48 | 0)) {
         i375 = i48;
         i376 = get32(i58 | 0) | 0;
         i377 = i42;
         i30 = 1324;
        } else {
         i35 = _sqlite3DbRealloc(get32(i371 | 0) | 0, get32(i58 | 0) | 0, (i42 | 0) == 0 ? 1020 : i42 * 40 | 0) | 0;
         if (!i35) {
          i378 = get32(i5 | 0) | 0;
          i379 = get32(i36 | 0) | 0;
          break;
         }
         i43 = get32(i371 | 0) | 0;
         do if (!i43) i30 = 1322; else {
          if ((get32(i43 + 260 | 0) | 0) >>> 0 > i35 >>> 0) {
           i30 = 1322;
           break;
          }
          if ((get32(i43 + 264 | 0) | 0) >>> 0 <= i35 >>> 0) {
           i30 = 1322;
           break;
          }
          i380 = getU16(i43 + 232 | 0) | 0;
         } while (0);
         if ((i30 | 0) == 1322) {
          i30 = 0;
          i380 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i35) | 0;
         }
         i43 = (i380 >>> 0) / 20 | 0;
         set32(i5 | 0, i43 | 0);
         set32(i58 | 0, i35 | 0);
         i375 = get32(i36 | 0) | 0;
         i376 = i35;
         i377 = i43;
         i30 = 1324;
        } while (0);
        if ((i30 | 0) == 1324) {
         i30 = 0;
         i42 = i375 + 1 | 0;
         set32(i36 | 0, i42 | 0);
         set8(i376 + (i48 * 20 | 0) >> 0 | 0, 7 | 0);
         set8(i376 + (i48 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i376 + (i48 * 20 | 0) + 4 | 0, i50 | 0);
         set32(i376 + (i48 * 20 | 0) + 8 | 0, 1 | 0);
         set32(i376 + (i48 * 20 | 0) + 12 | 0, 0 | 0);
         set32(i376 + (i48 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i376 + (i48 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         i378 = i377;
         i379 = i42;
        }
        do if ((i378 | 0) > (i379 | 0)) {
         i381 = i379;
         i382 = get32(i58 | 0) | 0;
         i383 = i378;
         i30 = 1335;
        } else {
         i42 = _sqlite3DbRealloc(get32(i371 | 0) | 0, get32(i58 | 0) | 0, (i378 | 0) == 0 ? 1020 : i378 * 40 | 0) | 0;
         if (!i42) {
          i384 = get32(i5 | 0) | 0;
          i385 = get32(i36 | 0) | 0;
          break;
         }
         i45 = get32(i371 | 0) | 0;
         do if (!i45) i30 = 1333; else {
          if ((get32(i45 + 260 | 0) | 0) >>> 0 > i42 >>> 0) {
           i30 = 1333;
           break;
          }
          if ((get32(i45 + 264 | 0) | 0) >>> 0 <= i42 >>> 0) {
           i30 = 1333;
           break;
          }
          i386 = getU16(i45 + 232 | 0) | 0;
         } while (0);
         if ((i30 | 0) == 1333) {
          i30 = 0;
          i386 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i42) | 0;
         }
         i45 = (i386 >>> 0) / 20 | 0;
         set32(i5 | 0, i45 | 0);
         set32(i58 | 0, i42 | 0);
         i381 = get32(i36 | 0) | 0;
         i382 = i42;
         i383 = i45;
         i30 = 1335;
        } while (0);
        if ((i30 | 0) == 1335) {
         i30 = 0;
         i48 = i381 + 1 | 0;
         set32(i36 | 0, i48 | 0);
         set8(i382 + (i379 * 20 | 0) >> 0 | 0, 7 | 0);
         set8(i382 + (i379 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i382 + (i379 * 20 | 0) + 4 | 0, i54 | 0);
         set32(i382 + (i379 * 20 | 0) + 8 | 0, 2 | 0);
         set32(i382 + (i379 * 20 | 0) + 12 | 0, 0 | 0);
         set32(i382 + (i379 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i382 + (i379 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         i384 = i383;
         i385 = i48;
        }
        i48 = get32(i51 | 0) | 0;
        do if ((i384 | 0) > (i385 | 0)) {
         i387 = i385;
         i388 = get32(i58 | 0) | 0;
         i30 = 1345;
        } else {
         i45 = _sqlite3DbRealloc(get32(i371 | 0) | 0, get32(i58 | 0) | 0, (i384 | 0) == 0 ? 1020 : i384 * 40 | 0) | 0;
         if (!i45) {
          i389 = 1;
          break;
         }
         i35 = get32(i371 | 0) | 0;
         do if (!i35) i30 = 1343; else {
          if ((get32(i35 + 260 | 0) | 0) >>> 0 > i45 >>> 0) {
           i30 = 1343;
           break;
          }
          if ((get32(i35 + 264 | 0) | 0) >>> 0 <= i45 >>> 0) {
           i30 = 1343;
           break;
          }
          i390 = getU16(i35 + 232 | 0) | 0;
         } while (0);
         if ((i30 | 0) == 1343) {
          i30 = 0;
          i390 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i45) | 0;
         }
         set32(i5 | 0, (i390 >>> 0) / 20 | 0 | 0);
         set32(i58 | 0, i45 | 0);
         i387 = get32(i36 | 0) | 0;
         i388 = i45;
         i30 = 1345;
        } while (0);
        if ((i30 | 0) == 1345) {
         i30 = 0;
         set32(i36 | 0, i387 + 1 | 0);
         set8(i388 + (i385 * 20 | 0) >> 0 | 0, 94 | 0);
         set8(i388 + (i385 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i388 + (i385 * 20 | 0) + 4 | 0, 0 | 0);
         set32(i388 + (i385 * 20 | 0) + 8 | 0, 3 | 0);
         set32(i388 + (i385 * 20 | 0) + 12 | 0, 0 | 0);
         set32(i388 + (i385 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i388 + (i385 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         i389 = i385;
        }
        _sqlite3VdbeChangeP4(i371, i389, i48, 0);
        i35 = get32((get32(i44 | 0) | 0) + ((get32(i20 + 36 + (i54 << 3) | 0) | 0) * 24 | 0) | 0) | 0;
        i42 = get32(i36 | 0) | 0;
        i43 = get32(i5 | 0) | 0;
        do if ((i43 | 0) > (i42 | 0)) {
         i391 = i42;
         i392 = get32(i58 | 0) | 0;
         i30 = 1355;
        } else {
         i19 = _sqlite3DbRealloc(get32(i371 | 0) | 0, get32(i58 | 0) | 0, (i43 | 0) == 0 ? 1020 : i43 * 40 | 0) | 0;
         if (!i19) {
          i393 = 1;
          break;
         }
         i33 = get32(i371 | 0) | 0;
         do if (!i33) i30 = 1353; else {
          if ((get32(i33 + 260 | 0) | 0) >>> 0 > i19 >>> 0) {
           i30 = 1353;
           break;
          }
          if ((get32(i33 + 264 | 0) | 0) >>> 0 <= i19 >>> 0) {
           i30 = 1353;
           break;
          }
          i394 = getU16(i33 + 232 | 0) | 0;
         } while (0);
         if ((i30 | 0) == 1353) {
          i30 = 0;
          i394 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i19) | 0;
         }
         set32(i5 | 0, (i394 >>> 0) / 20 | 0 | 0);
         set32(i58 | 0, i19 | 0);
         i391 = get32(i36 | 0) | 0;
         i392 = i19;
         i30 = 1355;
        } while (0);
        if ((i30 | 0) == 1355) {
         i30 = 0;
         set32(i36 | 0, i391 + 1 | 0);
         set8(i392 + (i42 * 20 | 0) >> 0 | 0, 94 | 0);
         set8(i392 + (i42 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i392 + (i42 * 20 | 0) + 4 | 0, 0 | 0);
         set32(i392 + (i42 * 20 | 0) + 8 | 0, 4 | 0);
         set32(i392 + (i42 * 20 | 0) + 12 | 0, 0 | 0);
         set32(i392 + (i42 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i392 + (i42 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         i393 = i42;
        }
        _sqlite3VdbeChangeP4(i371, i393, i35, 0);
        i43 = (i4 | 0) != 0;
        i48 = get32(i36 | 0) | 0;
        i33 = get32(i5 | 0) | 0;
        do if ((i33 | 0) > (i48 | 0)) {
         i395 = i48;
         i396 = get32(i58 | 0) | 0;
         i30 = 1365;
        } else {
         i45 = _sqlite3DbRealloc(get32(i371 | 0) | 0, get32(i58 | 0) | 0, (i33 | 0) == 0 ? 1020 : i33 * 40 | 0) | 0;
         if (!i45) {
          i397 = 1;
          break;
         }
         i41 = get32(i371 | 0) | 0;
         do if (!i41) i30 = 1363; else {
          if ((get32(i41 + 260 | 0) | 0) >>> 0 > i45 >>> 0) {
           i30 = 1363;
           break;
          }
          if ((get32(i41 + 264 | 0) | 0) >>> 0 <= i45 >>> 0) {
           i30 = 1363;
           break;
          }
          i398 = getU16(i41 + 232 | 0) | 0;
         } while (0);
         if ((i30 | 0) == 1363) {
          i30 = 0;
          i398 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i45) | 0;
         }
         set32(i5 | 0, (i398 >>> 0) / 20 | 0 | 0);
         set32(i58 | 0, i45 | 0);
         i395 = get32(i36 | 0) | 0;
         i396 = i45;
         i30 = 1365;
        } while (0);
        if ((i30 | 0) == 1365) {
         i30 = 0;
         set32(i36 | 0, i395 + 1 | 0);
         set8(i396 + (i48 * 20 | 0) >> 0 | 0, (i43 ? 94 : 10) | 0);
         set8(i396 + (i48 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i396 + (i48 * 20 | 0) + 4 | 0, 0 | 0);
         set32(i396 + (i48 * 20 | 0) + 8 | 0, 5 | 0);
         set32(i396 + (i48 * 20 | 0) + 12 | 0, 0 | 0);
         set32(i396 + (i48 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i396 + (i48 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         i397 = i48;
        }
        _sqlite3VdbeChangeP4(i371, i397, i4, 0);
        i33 = get32(i36 | 0) | 0;
        i35 = get32(i5 | 0) | 0;
        do if ((i35 | 0) > (i33 | 0)) {
         i399 = i33;
         i400 = get32(i58 | 0) | 0;
         i30 = 1375;
        } else {
         i42 = _sqlite3DbRealloc(get32(i371 | 0) | 0, get32(i58 | 0) | 0, (i35 | 0) == 0 ? 1020 : i35 * 40 | 0) | 0;
         if (!i42) {
          i401 = 1;
          break;
         }
         i41 = get32(i371 | 0) | 0;
         do if (!i41) i30 = 1373; else {
          if ((get32(i41 + 260 | 0) | 0) >>> 0 > i42 >>> 0) {
           i30 = 1373;
           break;
          }
          if ((get32(i41 + 264 | 0) | 0) >>> 0 <= i42 >>> 0) {
           i30 = 1373;
           break;
          }
          i402 = getU16(i41 + 232 | 0) | 0;
         } while (0);
         if ((i30 | 0) == 1373) {
          i30 = 0;
          i402 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i42) | 0;
         }
         set32(i5 | 0, (i402 >>> 0) / 20 | 0 | 0);
         set32(i58 | 0, i42 | 0);
         i399 = get32(i36 | 0) | 0;
         i400 = i42;
         i30 = 1375;
        } while (0);
        if ((i30 | 0) == 1375) {
         i30 = 0;
         set32(i36 | 0, i399 + 1 | 0);
         set8(i400 + (i33 * 20 | 0) >> 0 | 0, 94 | 0);
         set8(i400 + (i33 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i400 + (i33 * 20 | 0) + 4 | 0, 0 | 0);
         set32(i400 + (i33 * 20 | 0) + 8 | 0, 6 | 0);
         set32(i400 + (i33 * 20 | 0) + 12 | 0, 0 | 0);
         set32(i400 + (i33 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i400 + (i33 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         i401 = i33;
        }
        _sqlite3VdbeChangeP4(i371, i401, i374, 0);
        i35 = get32(i36 | 0) | 0;
        i4 = get32(i5 | 0) | 0;
        do if ((i4 | 0) > (i35 | 0)) {
         i403 = i35;
         i404 = get32(i58 | 0) | 0;
         i30 = 1385;
        } else {
         i48 = _sqlite3DbRealloc(get32(i371 | 0) | 0, get32(i58 | 0) | 0, (i4 | 0) == 0 ? 1020 : i4 * 40 | 0) | 0;
         if (!i48) {
          i405 = 1;
          break;
         }
         i43 = get32(i371 | 0) | 0;
         do if (!i43) i30 = 1383; else {
          if ((get32(i43 + 260 | 0) | 0) >>> 0 > i48 >>> 0) {
           i30 = 1383;
           break;
          }
          if ((get32(i43 + 264 | 0) | 0) >>> 0 <= i48 >>> 0) {
           i30 = 1383;
           break;
          }
          i406 = getU16(i43 + 232 | 0) | 0;
         } while (0);
         if ((i30 | 0) == 1383) {
          i30 = 0;
          i406 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i48) | 0;
         }
         set32(i5 | 0, (i406 >>> 0) / 20 | 0 | 0);
         set32(i58 | 0, i48 | 0);
         i403 = get32(i36 | 0) | 0;
         i404 = i48;
         i30 = 1385;
        } while (0);
        if ((i30 | 0) == 1385) {
         i30 = 0;
         set32(i36 | 0, i403 + 1 | 0);
         set8(i404 + (i35 * 20 | 0) >> 0 | 0, 94 | 0);
         set8(i404 + (i35 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i404 + (i35 * 20 | 0) + 4 | 0, 0 | 0);
         set32(i404 + (i35 * 20 | 0) + 8 | 0, 7 | 0);
         set32(i404 + (i35 * 20 | 0) + 12 | 0, 0 | 0);
         set32(i404 + (i35 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i404 + (i35 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         i405 = i35;
        }
        _sqlite3VdbeChangeP4(i371, i405, i373, 0);
        i4 = get32(i36 | 0) | 0;
        i33 = get32(i5 | 0) | 0;
        do if ((i33 | 0) > (i4 | 0)) {
         i407 = i4;
         i408 = get32(i58 | 0) | 0;
         i30 = 1395;
        } else {
         i43 = _sqlite3DbRealloc(get32(i371 | 0) | 0, get32(i58 | 0) | 0, (i33 | 0) == 0 ? 1020 : i33 * 40 | 0) | 0;
         if (!i43) {
          i409 = 1;
          break;
         }
         i42 = get32(i371 | 0) | 0;
         do if (!i42) i30 = 1393; else {
          if ((get32(i42 + 260 | 0) | 0) >>> 0 > i43 >>> 0) {
           i30 = 1393;
           break;
          }
          if ((get32(i42 + 264 | 0) | 0) >>> 0 <= i43 >>> 0) {
           i30 = 1393;
           break;
          }
          i410 = getU16(i42 + 232 | 0) | 0;
         } while (0);
         if ((i30 | 0) == 1393) {
          i30 = 0;
          i410 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i43) | 0;
         }
         set32(i5 | 0, (i410 >>> 0) / 20 | 0 | 0);
         set32(i58 | 0, i43 | 0);
         i407 = get32(i36 | 0) | 0;
         i408 = i43;
         i30 = 1395;
        } while (0);
        if ((i30 | 0) == 1395) {
         i30 = 0;
         set32(i36 | 0, i407 + 1 | 0);
         set8(i408 + (i4 * 20 | 0) >> 0 | 0, 94 | 0);
         set8(i408 + (i4 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i408 + (i4 * 20 | 0) + 4 | 0, 0 | 0);
         set32(i408 + (i4 * 20 | 0) + 8 | 0, 8 | 0);
         set32(i408 + (i4 * 20 | 0) + 12 | 0, 0 | 0);
         set32(i408 + (i4 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i408 + (i4 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         i409 = i4;
        }
        _sqlite3VdbeChangeP4(i371, i409, 34377, 0);
        i33 = get32(i36 | 0) | 0;
        i35 = get32(i5 | 0) | 0;
        do if ((i35 | 0) > (i33 | 0)) {
         i411 = i33;
         i412 = get32(i58 | 0) | 0;
         i30 = 1405;
        } else {
         i42 = _sqlite3DbRealloc(get32(i371 | 0) | 0, get32(i58 | 0) | 0, (i35 | 0) == 0 ? 1020 : i35 * 40 | 0) | 0;
         if (!i42) break;
         i48 = get32(i371 | 0) | 0;
         do if (!i48) i30 = 1403; else {
          if ((get32(i48 + 260 | 0) | 0) >>> 0 > i42 >>> 0) {
           i30 = 1403;
           break;
          }
          if ((get32(i48 + 264 | 0) | 0) >>> 0 <= i42 >>> 0) {
           i30 = 1403;
           break;
          }
          i413 = getU16(i48 + 232 | 0) | 0;
         } while (0);
         if ((i30 | 0) == 1403) {
          i30 = 0;
          i413 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i42) | 0;
         }
         set32(i5 | 0, (i413 >>> 0) / 20 | 0 | 0);
         set32(i58 | 0, i42 | 0);
         i411 = get32(i36 | 0) | 0;
         i412 = i42;
         i30 = 1405;
        } while (0);
        if ((i30 | 0) == 1405) {
         i30 = 0;
         set32(i36 | 0, i411 + 1 | 0);
         set8(i412 + (i33 * 20 | 0) >> 0 | 0, 16 | 0);
         set8(i412 + (i33 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i412 + (i33 * 20 | 0) + 4 | 0, 1 | 0);
         set32(i412 + (i33 * 20 | 0) + 8 | 0, 8 | 0);
         set32(i412 + (i33 * 20 | 0) + 12 | 0, 0 | 0);
         set32(i412 + (i33 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i412 + (i33 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        }
        i54 = i54 + 1 | 0;
        if ((i54 | 0) >= (get32(i56 | 0) | 0)) break L1711;
       }
      } while (0);
      i20 = get32(i20 + 4 | 0) | 0;
      if (!i20) break L293; else i50 = i50 + 1 | 0;
     }
    }
    L1859 : do if (i17) {
     i414 = 0;
     i415 = 34382;
    } else {
     i50 = i16;
     i20 = i49;
     i36 = 34382;
     while (1) {
      if ((get8(16286 + (i50 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i36 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
       i414 = i50;
       i415 = i36;
       break L1859;
      }
      i20 = i20 + 1 | 0;
      i58 = i36 + 1 | 0;
      i50 = get8(i20 >> 0 | 0) | 0;
      if (!(i50 << 24 >> 24)) {
       i414 = 0;
       i415 = i58;
       break;
      } else i36 = i58;
     }
    } while (0);
    if ((get8(16286 + (i414 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i415 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
     if (!i55) break L293;
     i36 = (_getSafetyLevel(i53) | 0) & 1;
     i50 = i36 << 24 >> 24 != 0 ? 35246 : 35250;
     _sqlite3CreateFunc(i27, 35254, 2, 1, i50, 37, 0, 0, 0) | 0;
     _sqlite3CreateFunc(i27, 35254, 3, 1, i50, 37, 0, 0, 0) | 0;
     _sqlite3CreateFunc(i27, 35259, 2, 1, 35264, 37, 0, 0, 0) | 0;
     i50 = _sqlite3FindFunction(i27, 35259, 4, 2, 1, 0) | 0;
     if (i50) set8(i50 + 3 >> 0 | 0, 3 | 0);
     i50 = _sqlite3FindFunction(i27, 35254, 4, 2, 1, 0) | 0;
     if (!i50) break L293;
     set8(i50 + 3 >> 0 | 0, i36 << 1 & 255 | 1 | 0);
     break L293;
    }
    L1872 : do if (i17) {
     i416 = 0;
     i417 = 34402;
    } else {
     i36 = i16;
     i50 = i49;
     i20 = 34402;
     while (1) {
      if ((get8(16286 + (i36 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i20 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
       i416 = i36;
       i417 = i20;
       break L1872;
      }
      i50 = i50 + 1 | 0;
      i58 = i20 + 1 | 0;
      i36 = get8(i50 >> 0 | 0) | 0;
      if (!(i36 << 24 >> 24)) {
       i416 = 0;
       i417 = i58;
       break;
      } else i20 = i58;
     }
    } while (0);
    do if ((get8(16286 + (i416 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i417 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
     L1879 : do if (i17) {
      i418 = 0;
      i419 = 34418;
     } else {
      i20 = i16;
      i36 = i49;
      i50 = 34418;
      while (1) {
       if ((get8(16286 + (i20 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i50 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
        i418 = i20;
        i419 = i50;
        break L1879;
       }
       i36 = i36 + 1 | 0;
       i58 = i50 + 1 | 0;
       i20 = get8(i36 >> 0 | 0) | 0;
       if (!(i20 << 24 >> 24)) {
        i418 = 0;
        i419 = i58;
        break;
       } else i50 = i58;
      }
     } while (0);
     if ((get8(16286 + (i418 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i419 >> 0 | 0) | 0) >> 0 | 0) | 0)) break;
     L1885 : do if (i17) {
      i420 = 0;
      i421 = 34614;
     } else {
      i50 = i16;
      i20 = i49;
      i36 = 34614;
      while (1) {
       if ((get8(16286 + (i50 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i36 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
        i420 = i50;
        i421 = i36;
        break L1885;
       }
       i20 = i20 + 1 | 0;
       i58 = i36 + 1 | 0;
       i50 = get8(i20 >> 0 | 0) | 0;
       if (!(i50 << 24 >> 24)) {
        i420 = 0;
        i421 = i58;
        break;
       } else i36 = i58;
      }
     } while (0);
     if ((get8(16286 + (i420 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i421 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
      if (i55) {
       if ((get16((get32((get32(i2 | 0) | 0) + 12 | 0) | 0) + 78 | 0) & 5) == 1) break L293;
       i36 = get8(i53 >> 0 | 0) | 0;
       i50 = i36 << 24 >> 24 == 0;
       i20 = 2984;
       i58 = 34623;
       do {
        L1897 : do if (i50) {
         i422 = 0;
         i423 = i58;
        } else {
         i5 = i36;
         i44 = i53;
         i57 = i58;
         while (1) {
          if ((get8(16286 + (i5 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i57 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
           i422 = i5;
           i423 = i57;
           break L1897;
          }
          i44 = i44 + 1 | 0;
          i56 = i57 + 1 | 0;
          i5 = get8(i44 >> 0 | 0) | 0;
          if (!(i5 << 24 >> 24)) {
           i422 = 0;
           i423 = i56;
           break;
          } else i57 = i56;
         }
        } while (0);
        if ((get8(16286 + (i422 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i423 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
         i424 = i20;
         i30 = 1898;
         break;
        }
        i20 = i20 + 8 | 0;
        i58 = get32(i20 | 0) | 0;
       } while ((i58 | 0) != 0);
       if ((i30 | 0) == 1898 ? (i58 = get8(i424 + 4 >> 0 | 0) | 0, set8((get32((get32((get32(i1 | 0) | 0) + 8 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0, (i58 << 24 >> 24 == 0 ? 2 : i58) | 0), (get32(i424 | 0) | 0) != 0) : 0) break L293;
       set32(i7 | 0, i53 | 0);
       _sqlite3ErrorMsg(i1, 34681, i7);
       break L293;
      }
      i58 = get32(i1 | 0) | 0;
      do if (!(get8(i58 + 124 >> 0 | 0) | 0)) {
       i20 = _sqlite3Init(i58, i1 + 8 | 0) | 0;
       if (!i20) break;
       set32(i1 + 4 | 0, i20 | 0);
       i20 = i1 + 64 | 0;
       set32(i20 | 0, (get32(i20 | 0) | 0) + 1 | 0);
       break L286;
      } while (0);
      _sqlite3VdbeSetNumCols(i37, 1);
      if (!(get8((get32(i37 | 0) | 0) + 30 >> 0 | 0) | 0)) _sqlite3VdbeMemSetStr(get32(i37 + 16 | 0) | 0, 34614, -1, 1, 0) | 0;
      i58 = i37 + 28 | 0;
      i20 = get32(i58 | 0) | 0;
      i36 = i37 + 32 | 0;
      i50 = get32(i36 | 0) | 0;
      do if ((i50 | 0) > (i20 | 0)) {
       i57 = i37 + 4 | 0;
       i425 = i57;
       i426 = i20;
       i427 = get32(i57 | 0) | 0;
       i30 = 1875;
      } else {
       i57 = i37 + 4 | 0;
       i5 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i57 | 0) | 0, (i50 | 0) == 0 ? 1020 : i50 * 40 | 0) | 0;
       if (!i5) {
        i428 = i57;
        break;
       }
       i44 = get32(i37 | 0) | 0;
       do if (!i44) i30 = 1873; else {
        if ((get32(i44 + 260 | 0) | 0) >>> 0 > i5 >>> 0) {
         i30 = 1873;
         break;
        }
        if ((get32(i44 + 264 | 0) | 0) >>> 0 <= i5 >>> 0) {
         i30 = 1873;
         break;
        }
        i429 = getU16(i44 + 232 | 0) | 0;
       } while (0);
       if ((i30 | 0) == 1873) i429 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i5) | 0;
       set32(i36 | 0, (i429 >>> 0) / 20 | 0 | 0);
       set32(i57 | 0, i5 | 0);
       i425 = i57;
       i426 = get32(i58 | 0) | 0;
       i427 = i5;
       i30 = 1875;
      } while (0);
      if ((i30 | 0) == 1875) {
       set32(i58 | 0, i426 + 1 | 0);
       set8(i427 + (i20 * 20 | 0) >> 0 | 0, 94 | 0);
       set8(i427 + (i20 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i427 + (i20 * 20 | 0) + 4 | 0, 0 | 0);
       set32(i427 + (i20 * 20 | 0) + 8 | 0, 1 | 0);
       set32(i427 + (i20 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i427 + (i20 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i427 + (i20 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i428 = i425;
      }
      i50 = get8((get32((get32((get32(i1 | 0) | 0) + 8 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0) | 0;
      i44 = get32(2984 + ((i50 & 255) << 3) | 0) | 0;
      i33 = get32(i37 | 0) | 0;
      i56 = get32(i428 | 0) | 0;
      do if (i56) {
       if (get8(i33 + 30 >> 0 | 0) | 0) break;
       i54 = (get32(i58 | 0) | 0) + -1 | 0;
       i51 = i56 + (i54 * 20 | 0) + 1 | 0;
       i40 = i56 + (i54 * 20 | 0) + 16 | 0;
       _freeP4(i33, get8(i51 >> 0 | 0) | 0, get32(i40 | 0) | 0);
       set32(i40 | 0, 0 | 0);
       if (i50 << 24 >> 24 == 8) {
        set32(i40 | 0, 0 | 0);
        set8(i51 >> 0 | 0, 0 | 0);
        break;
       } else {
        set32(i40 | 0, i44 | 0);
        set8(i51 >> 0 | 0, -2 | 0);
        break;
       }
      } while (0);
      i44 = get32(i58 | 0) | 0;
      i50 = get32(i36 | 0) | 0;
      if ((i50 | 0) > (i44 | 0)) {
       i430 = i44;
       i431 = get32(i428 | 0) | 0;
      } else {
       i33 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i428 | 0) | 0, (i50 | 0) == 0 ? 1020 : i50 * 40 | 0) | 0;
       if (!i33) break L293;
       i50 = get32(i37 | 0) | 0;
       do if (!i50) i30 = 1888; else {
        if ((get32(i50 + 260 | 0) | 0) >>> 0 > i33 >>> 0) {
         i30 = 1888;
         break;
        }
        if ((get32(i50 + 264 | 0) | 0) >>> 0 <= i33 >>> 0) {
         i30 = 1888;
         break;
        }
        i432 = getU16(i50 + 232 | 0) | 0;
       } while (0);
       if ((i30 | 0) == 1888) i432 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i33) | 0;
       set32(i36 | 0, (i432 >>> 0) / 20 | 0 | 0);
       set32(i428 | 0, i33 | 0);
       i430 = get32(i58 | 0) | 0;
       i431 = i33;
      }
      set32(i58 | 0, i430 + 1 | 0);
      set8(i431 + (i44 * 20 | 0) >> 0 | 0, 16 | 0);
      set8(i431 + (i44 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i431 + (i44 * 20 | 0) + 4 | 0, 1 | 0);
      set32(i431 + (i44 * 20 | 0) + 8 | 0, 1 | 0);
      set32(i431 + (i44 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i431 + (i44 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i431 + (i44 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      break L293;
     }
     L1948 : do if (i17) {
      i433 = 0;
      i434 = 34706;
     } else {
      i50 = i16;
      i56 = i49;
      i20 = 34706;
      while (1) {
       if ((get8(16286 + (i50 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i20 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
        i433 = i50;
        i434 = i20;
        break L1948;
       }
       i56 = i56 + 1 | 0;
       i51 = i20 + 1 | 0;
       i50 = get8(i56 >> 0 | 0) | 0;
       if (!(i50 << 24 >> 24)) {
        i433 = 0;
        i434 = i51;
        break;
       } else i20 = i51;
      }
     } while (0);
     do if ((get8(16286 + (i433 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i434 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
      L1955 : do if (i17) {
       i435 = 0;
       i436 = 34721;
      } else {
       i44 = i16;
       i58 = i49;
       i33 = 34721;
       while (1) {
        if ((get8(16286 + (i44 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i33 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
         i435 = i44;
         i436 = i33;
         break L1955;
        }
        i58 = i58 + 1 | 0;
        i36 = i33 + 1 | 0;
        i44 = get8(i58 >> 0 | 0) | 0;
        if (!(i44 << 24 >> 24)) {
         i435 = 0;
         i436 = i36;
         break;
        } else i33 = i36;
       }
      } while (0);
      if ((get8(16286 + (i435 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i436 >> 0 | 0) | 0) >> 0 | 0) | 0)) break;
      L1961 : do if (i17) {
       i437 = 0;
       i438 = 34734;
      } else {
       i33 = i16;
       i44 = i49;
       i58 = 34734;
       while (1) {
        if ((get8(16286 + (i33 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i58 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
         i437 = i33;
         i438 = i58;
         break L1961;
        }
        i44 = i44 + 1 | 0;
        i36 = i58 + 1 | 0;
        i33 = get8(i44 >> 0 | 0) | 0;
        if (!(i33 << 24 >> 24)) {
         i437 = 0;
         i438 = i36;
         break;
        } else i58 = i36;
       }
      } while (0);
      if ((get8(16286 + (i437 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i438 >> 0 | 0) | 0) >> 0 | 0) | 0)) break;
      L1967 : do if (i17) {
       i439 = 0;
       i440 = 34749;
      } else {
       i58 = i16;
       i33 = i49;
       i44 = 34749;
       while (1) {
        if ((get8(16286 + (i58 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i44 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
         i439 = i58;
         i440 = i44;
         break L1967;
        }
        i33 = i33 + 1 | 0;
        i36 = i44 + 1 | 0;
        i58 = get8(i33 >> 0 | 0) | 0;
        if (!(i58 << 24 >> 24)) {
         i439 = 0;
         i440 = i36;
         break;
        } else i44 = i36;
       }
      } while (0);
      if ((get8(16286 + (i439 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i440 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
       _sqlite3VdbeSetNumCols(i37, 1);
       set32(i34 | 0, 1 | 0);
       if (!(get8((get32(i37 | 0) | 0) + 30 >> 0 | 0) | 0)) _sqlite3VdbeMemSetStr(get32(i37 + 16 | 0) | 0, 34765, -1, 1, 0) | 0;
       i44 = i37 + 28 | 0;
       i58 = i37 + 32 | 0;
       i33 = i37 + 4 | 0;
       i36 = 0;
       while (1) {
        i20 = get32(104 + (i36 << 2) | 0) | 0;
        i36 = i36 + 1 | 0;
        i50 = get32(i44 | 0) | 0;
        i56 = get32(i58 | 0) | 0;
        do if ((i56 | 0) > (i50 | 0)) {
         i441 = i50;
         i442 = get32(i33 | 0) | 0;
         i30 = 1961;
        } else {
         i5 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i33 | 0) | 0, (i56 | 0) == 0 ? 1020 : i56 * 40 | 0) | 0;
         if (!i5) {
          i443 = 1;
          break;
         }
         i57 = get32(i37 | 0) | 0;
         do if (!i57) i30 = 1959; else {
          if ((get32(i57 + 260 | 0) | 0) >>> 0 > i5 >>> 0) {
           i30 = 1959;
           break;
          }
          if ((get32(i57 + 264 | 0) | 0) >>> 0 <= i5 >>> 0) {
           i30 = 1959;
           break;
          }
          i444 = getU16(i57 + 232 | 0) | 0;
         } while (0);
         if ((i30 | 0) == 1959) {
          i30 = 0;
          i444 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i5) | 0;
         }
         set32(i58 | 0, (i444 >>> 0) / 20 | 0 | 0);
         set32(i33 | 0, i5 | 0);
         i441 = get32(i44 | 0) | 0;
         i442 = i5;
         i30 = 1961;
        } while (0);
        if ((i30 | 0) == 1961) {
         i30 = 0;
         set32(i44 | 0, i441 + 1 | 0);
         set8(i442 + (i50 * 20 | 0) >> 0 | 0, 94 | 0);
         set8(i442 + (i50 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i442 + (i50 * 20 | 0) + 4 | 0, 0 | 0);
         set32(i442 + (i50 * 20 | 0) + 8 | 0, 1 | 0);
         set32(i442 + (i50 * 20 | 0) + 12 | 0, 0 | 0);
         set32(i442 + (i50 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i442 + (i50 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         i443 = i50;
        }
        _sqlite3VdbeChangeP4(i37, i443, i20, 0);
        i56 = get32(i44 | 0) | 0;
        i57 = get32(i58 | 0) | 0;
        do if ((i57 | 0) > (i56 | 0)) {
         i445 = i56;
         i446 = get32(i33 | 0) | 0;
         i30 = 1972;
        } else {
         i42 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i33 | 0) | 0, (i57 | 0) == 0 ? 1020 : i57 * 40 | 0) | 0;
         if (!i42) break;
         i51 = get32(i37 | 0) | 0;
         do if (!i51) i30 = 1970; else {
          if ((get32(i51 + 260 | 0) | 0) >>> 0 > i42 >>> 0) {
           i30 = 1970;
           break;
          }
          if ((get32(i51 + 264 | 0) | 0) >>> 0 <= i42 >>> 0) {
           i30 = 1970;
           break;
          }
          i447 = getU16(i51 + 232 | 0) | 0;
         } while (0);
         if ((i30 | 0) == 1970) {
          i30 = 0;
          i447 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i42) | 0;
         }
         set32(i58 | 0, (i447 >>> 0) / 20 | 0 | 0);
         set32(i33 | 0, i42 | 0);
         i445 = get32(i44 | 0) | 0;
         i446 = i42;
         i30 = 1972;
        } while (0);
        if ((i30 | 0) == 1972) {
         i30 = 0;
         set32(i44 | 0, i445 + 1 | 0);
         set8(i446 + (i56 * 20 | 0) >> 0 | 0, 16 | 0);
         set8(i446 + (i56 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i446 + (i56 * 20 | 0) + 4 | 0, 1 | 0);
         set32(i446 + (i56 * 20 | 0) + 8 | 0, 1 | 0);
         set32(i446 + (i56 * 20 | 0) + 12 | 0, 0 | 0);
         set32(i446 + (i56 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i446 + (i56 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        }
        if ((i36 | 0) == 4) break L293;
       }
      }
      L2008 : do if (i17) {
       i448 = 0;
       i449 = 34780;
      } else {
       i36 = i16;
       i44 = i49;
       i33 = 34780;
       while (1) {
        if ((get8(16286 + (i36 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i33 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
         i448 = i36;
         i449 = i33;
         break L2008;
        }
        i44 = i44 + 1 | 0;
        i58 = i33 + 1 | 0;
        i36 = get8(i44 >> 0 | 0) | 0;
        if (!(i36 << 24 >> 24)) {
         i448 = 0;
         i449 = i58;
         break;
        } else i33 = i58;
       }
      } while (0);
      if ((get8(16286 + (i448 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i449 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
       L2015 : do if (i17) {
        i450 = 0;
        i451 = 34830;
       } else {
        i33 = i16;
        i36 = i49;
        i44 = 34830;
        while (1) {
         if ((get8(16286 + (i33 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i44 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
          i450 = i33;
          i451 = i44;
          break L2015;
         }
         i36 = i36 + 1 | 0;
         i56 = i44 + 1 | 0;
         i33 = get8(i36 >> 0 | 0) | 0;
         if (!(i33 << 24 >> 24)) {
          i450 = 0;
          i451 = i56;
          break;
         } else i44 = i56;
        }
       } while (0);
       if ((get8(16286 + (i450 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i451 >> 0 | 0) | 0) >> 0 | 0) | 0)) break L293;
       if (i55) {
        set32(i22 | 0, 0 | 0);
        _sqlite3GetInt32(i53, i22) | 0;
        i44 = get32(i22 | 0) | 0;
        i33 = (i44 | 0) > 0;
        i36 = i33 ? 14 : 0;
        set32(i27 + 192 | 0, i36 | 0);
        set32(i27 + 196 | 0, (i33 ? i44 : 0) | 0);
        i452 = i36;
       } else i452 = get32(i27 + 192 | 0) | 0;
       if ((i452 | 0) == 14) {
        i36 = get32(i27 + 196 | 0) | 0;
        i453 = i36;
        i454 = ((i36 | 0) < 0) << 31 >> 31;
       } else {
        i453 = 0;
        i454 = 0;
       }
       _returnSingleInt(i1, 34830, i453, i454);
       break L293;
      }
      i36 = (get32(i3 | 0) | 0) != 0 ? i39 : 10;
      do if (i55) {
       i44 = get8(i53 >> 0 | 0) | 0;
       i33 = i44 << 24 >> 24 == 0;
       L2031 : do if (i33) {
        i455 = 0;
        i456 = 34795;
       } else {
        i56 = i44;
        i58 = i53;
        i57 = 34795;
        while (1) {
         if ((get8(16286 + (i56 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i57 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
          i455 = i56;
          i456 = i57;
          break L2031;
         }
         i58 = i58 + 1 | 0;
         i20 = i57 + 1 | 0;
         i56 = get8(i58 >> 0 | 0) | 0;
         if (!(i56 << 24 >> 24)) {
          i455 = 0;
          i456 = i20;
          break;
         } else i57 = i20;
        }
       } while (0);
       if ((get8(16286 + (i455 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i456 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
        i457 = 1;
        break;
       }
       L2037 : do if (i33) {
        i458 = 0;
        i459 = 34800;
       } else {
        i57 = i44;
        i56 = i53;
        i58 = 34800;
        while (1) {
         if ((get8(16286 + (i57 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i58 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
          i458 = i57;
          i459 = i58;
          break L2037;
         }
         i56 = i56 + 1 | 0;
         i42 = i58 + 1 | 0;
         i57 = get8(i56 >> 0 | 0) | 0;
         if (!(i57 << 24 >> 24)) {
          i458 = 0;
          i459 = i42;
          break;
         } else i58 = i42;
        }
       } while (0);
       i457 = (get8(16286 + (i458 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i459 >> 0 | 0) | 0) >> 0 | 0) | 0) ? 2 : 0;
      } else i457 = 0; while (0);
      i44 = get32(i1 | 0) | 0;
      do if (!(get8(i44 + 124 >> 0 | 0) | 0)) {
       i33 = _sqlite3Init(i44, i1 + 8 | 0) | 0;
       if (!i33) break;
       set32(i1 + 4 | 0, i33 | 0);
       i33 = i1 + 64 | 0;
       set32(i33 | 0, (get32(i33 | 0) | 0) + 1 | 0);
       break L286;
      } while (0);
      _sqlite3VdbeSetNumCols(i37, 3);
      set32(i34 | 0, 3 | 0);
      do if (!(get8((get32(i37 | 0) | 0) + 30 >> 0 | 0) | 0)) {
       i44 = i37 + 16 | 0;
       _sqlite3VdbeMemSetStr(get32(i44 | 0) | 0, 34808, -1, 1, 0) | 0;
       if (get8((get32(i37 | 0) | 0) + 30 >> 0 | 0) | 0) break;
       _sqlite3VdbeMemSetStr((get32(i44 | 0) | 0) + 40 | 0, 34813, -1, 1, 0) | 0;
       if (get8((get32(i37 | 0) | 0) + 30 >> 0 | 0) | 0) break;
       _sqlite3VdbeMemSetStr((get32(i44 | 0) | 0) + 80 | 0, 34817, -1, 1, 0) | 0;
      } while (0);
      i44 = i37 + 28 | 0;
      i33 = get32(i44 | 0) | 0;
      i58 = i37 + 32 | 0;
      i57 = get32(i58 | 0) | 0;
      do if ((i57 | 0) > (i33 | 0)) {
       i460 = i33;
       i461 = get32(i37 + 4 | 0) | 0;
       i462 = i57;
       i30 = 2003;
      } else {
       i56 = i37 + 4 | 0;
       i42 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i56 | 0) | 0, (i57 | 0) == 0 ? 1020 : i57 * 40 | 0) | 0;
       if (!i42) {
        i463 = get32(i58 | 0) | 0;
        i464 = get32(i44 | 0) | 0;
        break;
       }
       i20 = get32(i37 | 0) | 0;
       do if (!i20) i30 = 2001; else {
        if ((get32(i20 + 260 | 0) | 0) >>> 0 > i42 >>> 0) {
         i30 = 2001;
         break;
        }
        if ((get32(i20 + 264 | 0) | 0) >>> 0 <= i42 >>> 0) {
         i30 = 2001;
         break;
        }
        i465 = getU16(i20 + 232 | 0) | 0;
       } while (0);
       if ((i30 | 0) == 2001) i465 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i42) | 0;
       i20 = (i465 >>> 0) / 20 | 0;
       set32(i58 | 0, i20 | 0);
       set32(i56 | 0, i42 | 0);
       i460 = get32(i44 | 0) | 0;
       i461 = i42;
       i462 = i20;
       i30 = 2003;
      } while (0);
      if ((i30 | 0) == 2003) {
       i57 = i460 + 1 | 0;
       set32(i44 | 0, i57 | 0);
       set8(i461 + (i33 * 20 | 0) >> 0 | 0, 118 | 0);
       set8(i461 + (i33 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i461 + (i33 * 20 | 0) + 4 | 0, i36 | 0);
       set32(i461 + (i33 * 20 | 0) + 8 | 0, i457 | 0);
       set32(i461 + (i33 * 20 | 0) + 12 | 0, 1 | 0);
       set32(i461 + (i33 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i461 + (i33 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i463 = i462;
       i464 = i57;
      }
      if ((i463 | 0) > (i464 | 0)) {
       i466 = i464;
       i467 = get32(i37 + 4 | 0) | 0;
      } else {
       i57 = i37 + 4 | 0;
       i20 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i57 | 0) | 0, (i463 | 0) == 0 ? 1020 : i463 * 40 | 0) | 0;
       if (!i20) break L293;
       i50 = get32(i37 | 0) | 0;
       do if (!i50) i30 = 2011; else {
        if ((get32(i50 + 260 | 0) | 0) >>> 0 > i20 >>> 0) {
         i30 = 2011;
         break;
        }
        if ((get32(i50 + 264 | 0) | 0) >>> 0 <= i20 >>> 0) {
         i30 = 2011;
         break;
        }
        i468 = getU16(i50 + 232 | 0) | 0;
       } while (0);
       if ((i30 | 0) == 2011) i468 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i20) | 0;
       set32(i58 | 0, (i468 >>> 0) / 20 | 0 | 0);
       set32(i57 | 0, i20 | 0);
       i466 = get32(i44 | 0) | 0;
       i467 = i20;
      }
      set32(i44 | 0, i466 + 1 | 0);
      set8(i467 + (i464 * 20 | 0) >> 0 | 0, 16 | 0);
      set8(i467 + (i464 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i467 + (i464 * 20 | 0) + 4 | 0, 1 | 0);
      set32(i467 + (i464 * 20 | 0) + 8 | 0, 3 | 0);
      set32(i467 + (i464 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i467 + (i464 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i467 + (i464 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      break L293;
     } while (0);
     i50 = i37 + 112 | 0;
     set32(i50 | 0, get32(i50 | 0) | 1 << i39 | 0);
     switch (get8(i49 >> 0 | 0) | 0) {
     case 70:
     case 102:
      {
       i469 = 0;
       break;
      }
     case 83:
     case 115:
      {
       i470 = 1;
       i30 = 1914;
       break;
      }
     default:
      {
       i470 = 6;
       i30 = 1914;
      }
     }
     do if ((i30 | 0) == 1914) {
      if (!i55) {
       i469 = i470;
       break;
      }
      i50 = i37 + 28 | 0;
      i33 = get32(i50 | 0) | 0;
      i36 = i37 + 32 | 0;
      i51 = get32(i36 | 0) | 0;
      do if ((i33 + 3 | 0) > (i51 | 0)) {
       i5 = i37 + 4 | 0;
       i40 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i5 | 0) | 0, (i51 | 0) == 0 ? 1020 : i51 * 40 | 0) | 0;
       if (!i40) if ((get32(i50 | 0) | 0) > 0) {
        i471 = 0;
        i472 = i5;
        i30 = 1925;
        break;
       } else {
        i473 = 0;
        break;
       }
       i54 = get32(i37 | 0) | 0;
       do if (!i54) i30 = 1922; else {
        if ((get32(i54 + 260 | 0) | 0) >>> 0 > i40 >>> 0) {
         i30 = 1922;
         break;
        }
        if ((get32(i54 + 264 | 0) | 0) >>> 0 <= i40 >>> 0) {
         i30 = 1922;
         break;
        }
        i474 = getU16(i54 + 232 | 0) | 0;
       } while (0);
       if ((i30 | 0) == 1922) i474 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i40) | 0;
       set32(i36 | 0, (i474 >>> 0) / 20 | 0 | 0);
       set32(i5 | 0, i40 | 0);
       i475 = i5;
       i476 = i5;
       i477 = i40;
       i478 = get32(i50 | 0) | 0;
       i30 = 2038;
      } else {
       i54 = i37 + 4 | 0;
       i475 = i54;
       i476 = i54;
       i477 = get32(i54 | 0) | 0;
       i478 = i33;
       i30 = 2038;
      } while (0);
      if ((i30 | 0) == 2038) {
       set8(i477 + (i478 * 20 | 0) >> 0 | 0, 34 | 0);
       set32(i477 + (i478 * 20 | 0) + 4 | 0, 0 | 0);
       set32(i477 + (i478 * 20 | 0) + 8 | 0, 1 | 0);
       set32(i477 + (i478 * 20 | 0) + 12 | 0, 0 | 0);
       set8(i477 + (i478 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       set32(i477 + (i478 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i477 + (i478 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       i33 = i478 + 1 | 0;
       i36 = get32(i475 | 0) | 0;
       set8(i36 + (i33 * 20 | 0) >> 0 | 0, 7 | 0);
       set32(i36 + (i33 * 20 | 0) + 4 | 0, 0 | 0);
       set32(i36 + (i33 * 20 | 0) + 8 | 0, 1 | 0);
       set32(i36 + (i33 * 20 | 0) + 12 | 0, 0 | 0);
       set8(i36 + (i33 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       set32(i36 + (i33 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i36 + (i33 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       i33 = i478 + 2 | 0;
       i36 = get32(i475 | 0) | 0;
       set8(i36 + (i33 * 20 | 0) >> 0 | 0, 36 | 0);
       set32(i36 + (i33 * 20 | 0) + 4 | 0, 0 | 0);
       set32(i36 + (i33 * 20 | 0) + 8 | 0, 0 | 0);
       set32(i36 + (i33 * 20 | 0) + 12 | 0, 1 | 0);
       set8(i36 + (i33 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       set32(i36 + (i33 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i36 + (i33 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i50 | 0, i478 + 3 | 0);
       i471 = i478;
       i472 = i476;
       i30 = 1925;
      }
      if ((i30 | 0) == 1925) {
       set32((get32(i472 | 0) | 0) + (i471 * 20 | 0) + 4 | 0, i39 | 0);
       i473 = i471;
      }
      i33 = i473 + 1 | 0;
      set32(i22 | 0, 0 | 0);
      _sqlite3GetInt32(i53, i22) | 0;
      i36 = get32(i50 | 0) | 0;
      if ((i36 | 0) > (i33 | 0)) set32((get32(i37 + 4 | 0) | 0) + (i33 * 20 | 0) + 4 | 0, get32(i22 | 0) | 0);
      i33 = i473 + 2 | 0;
      if ((i36 | 0) <= (i33 | 0)) break L293;
      i36 = get32(i37 + 4 | 0) | 0;
      set32(i36 + (i33 * 20 | 0) + 4 | 0, i39 | 0);
      set32(i36 + (i33 * 20 | 0) + 8 | 0, i470 | 0);
      break L293;
     } while (0);
     i33 = i37 + 28 | 0;
     i36 = get32(i33 | 0) | 0;
     i51 = i37 + 32 | 0;
     i44 = get32(i51 | 0) | 0;
     do if ((i36 + 3 | 0) > (i44 | 0)) {
      i20 = i37 + 4 | 0;
      i57 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i20 | 0) | 0, (i44 | 0) == 0 ? 1020 : i44 * 40 | 0) | 0;
      if (!i57) {
       i58 = get32(i33 | 0) | 0;
       if ((i58 | 0) > 0) {
        i479 = 0;
        i480 = i20;
        i481 = i58;
        i30 = 1940;
        break;
       } else {
        i482 = 0;
        i483 = i58;
        break;
       }
      }
      i58 = get32(i37 | 0) | 0;
      do if (!i58) i30 = 1937; else {
       if ((get32(i58 + 260 | 0) | 0) >>> 0 > i57 >>> 0) {
        i30 = 1937;
        break;
       }
       if ((get32(i58 + 264 | 0) | 0) >>> 0 <= i57 >>> 0) {
        i30 = 1937;
        break;
       }
       i484 = getU16(i58 + 232 | 0) | 0;
      } while (0);
      if ((i30 | 0) == 1937) i484 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i57) | 0;
      set32(i51 | 0, (i484 >>> 0) / 20 | 0 | 0);
      set32(i20 | 0, i57 | 0);
      i485 = i20;
      i486 = i20;
      i487 = i57;
      i488 = get32(i33 | 0) | 0;
      i30 = 2039;
     } else {
      i58 = i37 + 4 | 0;
      i485 = i58;
      i486 = i58;
      i487 = get32(i58 | 0) | 0;
      i488 = i36;
      i30 = 2039;
     } while (0);
     if ((i30 | 0) == 2039) {
      set8(i487 + (i488 * 20 | 0) >> 0 | 0, 34 | 0);
      set8(i487 + (i488 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i36 = i488 + 1 | 0;
      i219 = i487 + (i488 * 20 | 0) + 3 | 0;
      i220 = i219 + 17 | 0;
      do {
       set8(i219 >> 0 | 0, 0 | 0);
       i219 = i219 + 1 | 0;
      } while ((i219 | 0) < (i220 | 0));
      i51 = get32(i485 | 0) | 0;
      set8(i51 + (i36 * 20 | 0) >> 0 | 0, 35 | 0);
      set32(i51 + (i36 * 20 | 0) + 4 | 0, 0 | 0);
      set32(i51 + (i36 * 20 | 0) + 8 | 0, 1 | 0);
      set32(i51 + (i36 * 20 | 0) + 12 | 0, 0 | 0);
      set8(i51 + (i36 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      set32(i51 + (i36 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i51 + (i36 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      i51 = i488 + 2 | 0;
      i44 = get32(i485 | 0) | 0;
      set8(i44 + (i51 * 20 | 0) >> 0 | 0, 16 | 0);
      set32(i44 + (i51 * 20 | 0) + 4 | 0, 1 | 0);
      set32(i44 + (i51 * 20 | 0) + 8 | 0, 1 | 0);
      set32(i44 + (i51 * 20 | 0) + 12 | 0, 0 | 0);
      set8(i44 + (i51 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      set32(i44 + (i51 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i44 + (i51 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      i51 = i488 + 3 | 0;
      set32(i33 | 0, i51 | 0);
      i479 = i488;
      i480 = i486;
      i481 = i51;
      i30 = 1940;
     }
     if ((i30 | 0) == 1940) {
      set32((get32(i480 | 0) | 0) + (i479 * 20 | 0) + 4 | 0, i39 | 0);
      i482 = i479;
      i483 = i481;
     }
     i51 = i482 + 1 | 0;
     if ((i483 | 0) > (i51 | 0)) {
      i44 = get32(i37 + 4 | 0) | 0;
      set32(i44 + (i51 * 20 | 0) + 4 | 0, i39 | 0);
      set32(i44 + (i51 * 20 | 0) + 12 | 0, i469 | 0);
     }
     _sqlite3VdbeSetNumCols(i37, 1);
     if (get8((get32(i37 | 0) | 0) + 30 >> 0 | 0) | 0) break L293;
     _sqlite3VdbeMemSetStr(get32(i37 + 16 | 0) | 0, i49, -1, 1, -1) | 0;
     break L293;
    } while (0);
    i51 = get32(i1 | 0) | 0;
    do if (!(get8(i51 + 124 >> 0 | 0) | 0)) {
     i44 = _sqlite3Init(i51, i1 + 8 | 0) | 0;
     if (!i44) break;
     set32(i1 + 4 | 0, i44 | 0);
     i44 = i1 + 64 | 0;
     set32(i44 | 0, (get32(i44 | 0) | 0) + 1 | 0);
     break L286;
    } while (0);
    set32(i34 | 0, 6 | 0);
    _sqlite3VdbeSetNumCols(i37, 1);
    if (!(get8((get32(i37 | 0) | 0) + 30 >> 0 | 0) | 0)) _sqlite3VdbeMemSetStr(get32(i37 + 16 | 0) | 0, 34402, -1, 1, 0) | 0;
    set32(i26 | 0, 100 | 0);
    do if (i55) {
     _sqlite3GetInt32(i53, i26) | 0;
     i51 = get32(i26 | 0) | 0;
     if ((i51 | 0) >= 1) {
      i489 = i51;
      break;
     }
     set32(i26 | 0, 100 | 0);
     i489 = 100;
    } else i489 = 100; while (0);
    i55 = i37 + 28 | 0;
    i51 = get32(i55 | 0) | 0;
    i44 = i37 + 32 | 0;
    i58 = get32(i44 | 0) | 0;
    do if ((i58 | 0) > (i51 | 0)) {
     i490 = i51;
     i491 = get32(i37 + 4 | 0) | 0;
     i30 = 1442;
    } else {
     i50 = i37 + 4 | 0;
     i54 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i50 | 0) | 0, (i58 | 0) == 0 ? 1020 : i58 * 40 | 0) | 0;
     if (!i54) break;
     i42 = get32(i37 | 0) | 0;
     do if (!i42) i30 = 1440; else {
      if ((get32(i42 + 260 | 0) | 0) >>> 0 > i54 >>> 0) {
       i30 = 1440;
       break;
      }
      if ((get32(i42 + 264 | 0) | 0) >>> 0 <= i54 >>> 0) {
       i30 = 1440;
       break;
      }
      i492 = getU16(i42 + 232 | 0) | 0;
     } while (0);
     if ((i30 | 0) == 1440) i492 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i54) | 0;
     set32(i44 | 0, (i492 >>> 0) / 20 | 0 | 0);
     set32(i50 | 0, i54 | 0);
     i490 = get32(i55 | 0) | 0;
     i491 = i54;
     i30 = 1442;
    } while (0);
    if ((i30 | 0) == 1442) {
     set32(i55 | 0, i490 + 1 | 0);
     set8(i491 + (i51 * 20 | 0) >> 0 | 0, 7 | 0);
     set8(i491 + (i51 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i491 + (i51 * 20 | 0) + 4 | 0, i489 | 0);
     set32(i491 + (i51 * 20 | 0) + 8 | 0, 1 | 0);
     set32(i491 + (i51 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i491 + (i51 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i491 + (i51 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    }
    i58 = i27 + 4 | 0;
    if ((get32(i58 | 0) | 0) > 0) {
     i42 = i1 + 424 | 0;
     i33 = i37 + 4 | 0;
     i36 = i16 << 24 >> 24 == 113;
     i56 = 0;
     do {
      i52 = get32(i42 | 0) | 0;
      i28 = (i52 | 0) == 0 ? i1 : i52;
      i52 = i28 + 348 | 0;
      L2161 : do if (!(get32(i52 | 0) | 0)) {
       i35 = i28 + 12 | 0;
       i4 = get32(i35 | 0) | 0;
       do if (!i4) {
        i48 = get32(i28 | 0) | 0;
        L2165 : do if (!i48) {
         if (!(get32(50 * 4 | 0) | 0)) {
          i493 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
          i30 = 1484;
          break;
         }
         i43 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
         set32(35 * 4 | 0, 192 | 0);
         if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
         i41 = get32(6 * 4 | 0) | 0;
         do if (i41) {
          i45 = get32(30 * 4 | 0) | 0;
          i19 = ((i45 | 0) < 0) << 31 >> 31;
          i47 = 16;
          i31 = _i64Subtract(get32(i47 | 0) | 0, get32(i47 + 4 | 0) | 0, i43 | 0, ((i43 | 0) < 0) << 31 >> 31 | 0) | 0;
          i47 = tempRet0;
          if ((i19 | 0) < (i47 | 0) | (i19 | 0) == (i47 | 0) & i45 >>> 0 < i31 >>> 0) {
           set32(11 * 4 | 0, 0 | 0);
           break;
          } else {
           set32(11 * 4 | 0, 1 | 0);
           i31 = get32(7 * 4 | 0) | 0;
           set32(6 * 4 | 0, 0 | 0);
           FUNCTION_TABLE_viiii[i41 & 15](i31, i45, i19, i43);
           set32(6 * 4 | 0, i41 | 0);
           set32(7 * 4 | 0, i31 | 0);
           break;
          }
         } while (0);
         i41 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i43) | 0;
         if (!i41) {
          i30 = 1494;
          break;
         }
         i31 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i41) | 0;
         i19 = (get32(30 * 4 | 0) | 0) + i31 | 0;
         set32(30 * 4 | 0, i19 | 0);
         if ((i19 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i19 | 0);
         i19 = get32(39 * 4 | 0) | 0;
         i31 = i19 + 1 | 0;
         set32(39 * 4 | 0, i31 | 0);
         if ((i19 | 0) < (get32(49 * 4 | 0) | 0)) {
          i494 = i41;
          break;
         }
         set32(49 * 4 | 0, i31 | 0);
         i494 = i41;
        } else {
         i41 = i48 + 30 | 0;
         if (get8(i41 >> 0 | 0) | 0) {
          i30 = 1494;
          break;
         }
         do if (get8(i48 + 234 >> 0 | 0) | 0) {
          if ((getU16(i48 + 232 | 0) | 0) < 192) {
           i31 = i48 + 248 | 0;
           set32(i31 | 0, (get32(i31 | 0) | 0) + 1 | 0);
           break;
          }
          i31 = i48 + 256 | 0;
          i19 = get32(i31 | 0) | 0;
          if (!i19) {
           i45 = i48 + 252 | 0;
           set32(i45 | 0, (get32(i45 | 0) | 0) + 1 | 0);
           break;
          }
          set32(i31 | 0, get32(i19 | 0) | 0);
          i31 = i48 + 236 | 0;
          i45 = get32(i31 | 0) | 0;
          i47 = i45 + 1 | 0;
          set32(i31 | 0, i47 | 0);
          i31 = i48 + 244 | 0;
          set32(i31 | 0, (get32(i31 | 0) | 0) + 1 | 0);
          i31 = i48 + 240 | 0;
          if ((i45 | 0) >= (get32(i31 | 0) | 0)) set32(i31 | 0, i47 | 0);
          i493 = i19;
          i30 = 1484;
          break L2165;
         } while (0);
         do if (!(get32(50 * 4 | 0) | 0)) {
          i43 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
          if (i43) {
           i494 = i43;
           break L2165;
          }
         } else {
          i43 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
          set32(35 * 4 | 0, 192 | 0);
          if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
          i19 = get32(6 * 4 | 0) | 0;
          do if (i19) {
           i47 = get32(30 * 4 | 0) | 0;
           i31 = ((i47 | 0) < 0) << 31 >> 31;
           i45 = 16;
           i32 = _i64Subtract(get32(i45 | 0) | 0, get32(i45 + 4 | 0) | 0, i43 | 0, ((i43 | 0) < 0) << 31 >> 31 | 0) | 0;
           i45 = tempRet0;
           if ((i31 | 0) < (i45 | 0) | (i31 | 0) == (i45 | 0) & i47 >>> 0 < i32 >>> 0) {
            set32(11 * 4 | 0, 0 | 0);
            break;
           } else {
            set32(11 * 4 | 0, 1 | 0);
            i32 = get32(7 * 4 | 0) | 0;
            set32(6 * 4 | 0, 0 | 0);
            FUNCTION_TABLE_viiii[i19 & 15](i32, i47, i31, i43);
            set32(6 * 4 | 0, i19 | 0);
            set32(7 * 4 | 0, i32 | 0);
            break;
           }
          } while (0);
          i19 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i43) | 0;
          if (!i19) break;
          i32 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i19) | 0;
          i31 = (get32(30 * 4 | 0) | 0) + i32 | 0;
          set32(30 * 4 | 0, i31 | 0);
          if ((i31 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i31 | 0);
          i31 = get32(39 * 4 | 0) | 0;
          i32 = i31 + 1 | 0;
          set32(39 * 4 | 0, i32 | 0);
          if ((i31 | 0) < (get32(49 * 4 | 0) | 0)) {
           i494 = i19;
           break L2165;
          }
          set32(49 * 4 | 0, i32 | 0);
          i494 = i19;
          break L2165;
         } while (0);
         set8(i41 >> 0 | 0, 1 | 0);
         i30 = 1494;
        } while (0);
        if ((i30 | 0) == 1484) {
         i30 = 0;
         if (!i493) i30 = 1494; else i494 = i493;
        }
        if ((i30 | 0) == 1494) {
         i30 = 0;
         set32(i35 | 0, 0 | 0);
         break L2161;
        }
        _memset(i494 | 0, 0, 192) | 0;
        set32(i494 | 0, i48 | 0);
        i40 = i48 + 136 | 0;
        i5 = get32(i40 | 0) | 0;
        if (i5) set32(i5 + 60 | 0, i494 | 0);
        set32(i494 + 64 | 0, i5 | 0);
        set32(i494 + 60 | 0, 0 | 0);
        set32(i40 | 0, i494 | 0);
        set32(i494 + 52 | 0, 649915045 | 0);
        set32(i35 | 0, i494 | 0);
        i40 = i494 + 28 | 0;
        i5 = i494 + 32 | 0;
        i19 = i494 + 4 | 0;
        i32 = _sqlite3DbRealloc(i48, 0, 1020) | 0;
        if (!i32) {
         i495 = i494;
         break;
        }
        i31 = get32(i494 | 0) | 0;
        do if (!i31) i30 = 1492; else {
         if ((get32(i31 + 260 | 0) | 0) >>> 0 > i32 >>> 0) {
          i30 = 1492;
          break;
         }
         if ((get32(i31 + 264 | 0) | 0) >>> 0 <= i32 >>> 0) {
          i30 = 1492;
          break;
         }
         i496 = getU16(i31 + 232 | 0) | 0;
        } while (0);
        if ((i30 | 0) == 1492) {
         i30 = 0;
         i496 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i32) | 0;
        }
        set32(i5 | 0, (i496 >>> 0) / 20 | 0 | 0);
        set32(i19 | 0, i32 | 0);
        set32(i40 | 0, (get32(i40 | 0) | 0) + 1 | 0);
        set8(i32 >> 0 | 0, -120 | 0);
        set8(i32 + 1 >> 0 | 0, 0 | 0);
        i219 = i32 + 3 | 0;
        i220 = i219 + 17 | 0;
        do {
         set8(i219 >> 0 | 0, 0 | 0);
         i219 = i219 + 1 | 0;
        } while ((i219 | 0) < (i220 | 0));
        i495 = i494;
       } else i495 = i4; while (0);
       i4 = i495 + 28 | 0;
       i35 = get32(i4 | 0) | 0;
       i57 = i495 + 32 | 0;
       i20 = get32(i57 | 0) | 0;
       do if ((i20 | 0) > (i35 | 0)) {
        i497 = i35;
        i498 = get32(i495 + 4 | 0) | 0;
        i30 = 1504;
       } else {
        i32 = i495 + 4 | 0;
        i40 = _sqlite3DbRealloc(get32(i495 | 0) | 0, get32(i32 | 0) | 0, (i20 | 0) == 0 ? 1020 : i20 * 40 | 0) | 0;
        if (!i40) {
         i499 = 1;
         break;
        }
        i19 = get32(i495 | 0) | 0;
        do if (!i19) i30 = 1502; else {
         if ((get32(i19 + 260 | 0) | 0) >>> 0 > i40 >>> 0) {
          i30 = 1502;
          break;
         }
         if ((get32(i19 + 264 | 0) | 0) >>> 0 <= i40 >>> 0) {
          i30 = 1502;
          break;
         }
         i500 = getU16(i19 + 232 | 0) | 0;
        } while (0);
        if ((i30 | 0) == 1502) {
         i30 = 0;
         i500 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i40) | 0;
        }
        set32(i57 | 0, (i500 >>> 0) / 20 | 0 | 0);
        set32(i32 | 0, i40 | 0);
        i497 = get32(i4 | 0) | 0;
        i498 = i40;
        i30 = 1504;
       } while (0);
       if ((i30 | 0) == 1504) {
        i30 = 0;
        set32(i4 | 0, i497 + 1 | 0);
        set8(i498 + (i35 * 20 | 0) >> 0 | 0, 1 | 0);
        set8(i498 + (i35 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i219 = i498 + (i35 * 20 | 0) + 3 | 0;
        i220 = i219 + 17 | 0;
        do {
         set8(i219 >> 0 | 0, 0 | 0);
         i219 = i219 + 1 | 0;
        } while ((i219 | 0) < (i220 | 0));
        i499 = i35;
       }
       set32(i52 | 0, i499 + 1 | 0);
       i30 = 1506;
      } else i30 = 1506; while (0);
      do if ((i30 | 0) == 1506) {
       i30 = 0;
       i52 = 1 << i56;
       i54 = i28 + 340 | 0;
       i50 = get32(i54 | 0) | 0;
       if (i50 & i52) break;
       i4 = get32(i28 | 0) | 0;
       set32(i54 | 0, i50 | i52 | 0);
       set32(i28 + 352 + (i56 << 2) | 0, get32(get32((get32(i4 + 8 | 0) | 0) + (i56 << 4) + 12 | 0) | 0) | 0);
       if ((i56 | 0) != 1) break;
       i4 = get32(i28 | 0) | 0;
       i52 = i4 + 8 | 0;
       do if (!(get32((get32(i52 | 0) | 0) + 20 | 0) | 0)) {
        if (get8(i28 + 484 >> 0 | 0) | 0) break;
        i50 = _sqlite3BtreeOpen(get32(i4 | 0) | 0, 0, i4, i22, 0, 542) | 0;
        if (i50) {
         _sqlite3ErrorMsg(i28, 19482, i9);
         set32(i28 + 4 | 0, i50 | 0);
         break;
        }
        i50 = get32(i22 | 0) | 0;
        set32((get32(i52 | 0) | 0) + 20 | 0, i50 | 0);
        i54 = get32(i4 + 36 | 0) | 0;
        i57 = get32(i50 + 4 | 0) | 0;
        set32(i57 + 4 | 0, get32(i50 | 0) | 0);
        if (get8(i57 + 17 >> 0 | 0) | 0) break;
        i50 = i57 + 36 | 0;
        i20 = i57 + 40 | 0;
        i19 = (get32(i50 | 0) | 0) - (get32(i20 | 0) | 0) | 0;
        do if ((i54 + -512 | 0) >>> 0 < 65025) {
         if (i54 + -1 & i54) break;
         set32(i50 | 0, i54 | 0);
         i5 = i57 + 88 | 0;
         i31 = get32(i5 | 0) | 0;
         do if (i31) {
          if ((get32(379 * 4 | 0) | 0) >>> 0 <= i31 >>> 0 & (get32(380 * 4 | 0) | 0) >>> 0 > i31 >>> 0) {
           i48 = (get32(31 * 4 | 0) | 0) + -1 | 0;
           set32(31 * 4 | 0, i48 | 0);
           if ((i48 | 0) > (get32(41 * 4 | 0) | 0)) set32(41 * 4 | 0, i48 | 0);
           set32(i31 | 0, get32(383 * 4 | 0) | 0);
           set32(383 * 4 | 0, i31 | 0);
           i48 = (get32(382 * 4 | 0) | 0) + 1 | 0;
           set32(382 * 4 | 0, i48 | 0);
           set32(384 * 4 | 0, (i48 | 0) < (get32(378 * 4 | 0) | 0) & 1 | 0);
           break;
          }
          i48 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i31) | 0;
          i47 = (get32(32 * 4 | 0) | 0) - i48 | 0;
          set32(32 * 4 | 0, i47 | 0);
          if ((i47 | 0) > (get32(42 * 4 | 0) | 0)) set32(42 * 4 | 0, i47 | 0);
          if (!(get32(50 * 4 | 0) | 0)) {
           FUNCTION_TABLE_vi[get32(232 | 0) & 31](i31);
           break;
          }
          i47 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i31) | 0;
          i48 = (get32(30 * 4 | 0) | 0) - i47 | 0;
          set32(30 * 4 | 0, i48 | 0);
          if ((i48 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i48 | 0);
          i48 = (get32(39 * 4 | 0) | 0) + -1 | 0;
          set32(39 * 4 | 0, i48 | 0);
          if ((i48 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i48 | 0);
          FUNCTION_TABLE_vi[get32(232 | 0) & 31](i31);
         } while (0);
         set32(i5 | 0, 0 | 0);
        } while (0);
        i54 = _sqlite3PagerSetPagesize(get32(i57 | 0) | 0, i50, i19) | 0;
        set32(i20 | 0, (get32(i50 | 0) | 0) - (i19 & 65535) | 0);
        if ((i54 | 0) != 7) break;
        set8(i4 + 30 >> 0 | 0, 1 | 0);
       } while (0);
      } while (0);
      i28 = get32(i55 | 0) | 0;
      i4 = get32(i44 | 0) | 0;
      do if ((i4 | 0) > (i28 | 0)) {
       i501 = i28;
       i502 = get32(i33 | 0) | 0;
       i503 = i4;
       i30 = 1543;
      } else {
       i52 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i33 | 0) | 0, (i4 | 0) == 0 ? 1020 : i4 * 40 | 0) | 0;
       if (!i52) {
        i504 = 1;
        i505 = get32(i44 | 0) | 0;
        i506 = get32(i55 | 0) | 0;
        break;
       }
       i35 = get32(i37 | 0) | 0;
       do if (!i35) i30 = 1541; else {
        if ((get32(i35 + 260 | 0) | 0) >>> 0 > i52 >>> 0) {
         i30 = 1541;
         break;
        }
        if ((get32(i35 + 264 | 0) | 0) >>> 0 <= i52 >>> 0) {
         i30 = 1541;
         break;
        }
        i507 = getU16(i35 + 232 | 0) | 0;
       } while (0);
       if ((i30 | 0) == 1541) {
        i30 = 0;
        i507 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i52) | 0;
       }
       i35 = (i507 >>> 0) / 20 | 0;
       set32(i44 | 0, i35 | 0);
       set32(i33 | 0, i52 | 0);
       i501 = get32(i55 | 0) | 0;
       i502 = i52;
       i503 = i35;
       i30 = 1543;
      } while (0);
      if ((i30 | 0) == 1543) {
       i30 = 0;
       i4 = i501 + 1 | 0;
       set32(i55 | 0, i4 | 0);
       set8(i502 + (i28 * 20 | 0) >> 0 | 0, 113 | 0);
       set8(i502 + (i28 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i502 + (i28 * 20 | 0) + 4 | 0, 1 | 0);
       set32(i502 + (i28 * 20 | 0) + 8 | 0, 0 | 0);
       set32(i502 + (i28 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i502 + (i28 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i502 + (i28 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i504 = i28;
       i505 = i503;
       i506 = i4;
      }
      do if ((i505 | 0) > (i506 | 0)) {
       i508 = i506;
       i509 = get32(i33 | 0) | 0;
       i30 = 1554;
      } else {
       i4 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i33 | 0) | 0, (i505 | 0) == 0 ? 1020 : i505 * 40 | 0) | 0;
       if (!i4) {
        i510 = get32(i55 | 0) | 0;
        break;
       }
       i35 = get32(i37 | 0) | 0;
       do if (!i35) i30 = 1552; else {
        if ((get32(i35 + 260 | 0) | 0) >>> 0 > i4 >>> 0) {
         i30 = 1552;
         break;
        }
        if ((get32(i35 + 264 | 0) | 0) >>> 0 <= i4 >>> 0) {
         i30 = 1552;
         break;
        }
        i511 = getU16(i35 + 232 | 0) | 0;
       } while (0);
       if ((i30 | 0) == 1552) {
        i30 = 0;
        i511 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i4) | 0;
       }
       set32(i44 | 0, (i511 >>> 0) / 20 | 0 | 0);
       set32(i33 | 0, i4 | 0);
       i508 = get32(i55 | 0) | 0;
       i509 = i4;
       i30 = 1554;
      } while (0);
      if ((i30 | 0) == 1554) {
       i30 = 0;
       i28 = i508 + 1 | 0;
       set32(i55 | 0, i28 | 0);
       set8(i509 + (i506 * 20 | 0) >> 0 | 0, 6 | 0);
       set8(i509 + (i506 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i219 = i509 + (i506 * 20 | 0) + 3 | 0;
       i220 = i219 + 17 | 0;
       do {
        set8(i219 >> 0 | 0, 0 | 0);
        i219 = i219 + 1 | 0;
       } while ((i219 | 0) < (i220 | 0));
       i510 = i28;
      }
      if ((i510 | 0) > (i504 | 0)) set32((get32(i33 | 0) | 0) + (i504 * 20 | 0) + 8 | 0, i510 | 0);
      i35 = (get32((get32(i2 | 0) | 0) + (i56 << 4) + 12 | 0) | 0) + 16 | 0;
      i52 = get32(i35 | 0) | 0;
      L2321 : do if (!i52) i512 = 0; else {
       i54 = i510;
       i40 = 0;
       i32 = i52;
       while (1) {
        i31 = get32(i32 + 8 | 0) | 0;
        i41 = get32(i31 + 20 | 0) | 0;
        i48 = i40 + 2 | 0;
        i47 = get32(i44 | 0) | 0;
        do if ((i47 | 0) > (i54 | 0)) {
         i513 = i54;
         i514 = get32(i33 | 0) | 0;
         i30 = 1567;
        } else {
         i45 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i33 | 0) | 0, (i47 | 0) == 0 ? 1020 : i47 * 40 | 0) | 0;
         if (!i45) break;
         i46 = get32(i37 | 0) | 0;
         do if (!i46) i30 = 1565; else {
          if ((get32(i46 + 260 | 0) | 0) >>> 0 > i45 >>> 0) {
           i30 = 1565;
           break;
          }
          if ((get32(i46 + 264 | 0) | 0) >>> 0 <= i45 >>> 0) {
           i30 = 1565;
           break;
          }
          i515 = getU16(i46 + 232 | 0) | 0;
         } while (0);
         if ((i30 | 0) == 1565) {
          i30 = 0;
          i515 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i45) | 0;
         }
         set32(i44 | 0, (i515 >>> 0) / 20 | 0 | 0);
         set32(i33 | 0, i45 | 0);
         i513 = get32(i55 | 0) | 0;
         i514 = i45;
         i30 = 1567;
        } while (0);
        if ((i30 | 0) == 1567) {
         i30 = 0;
         set32(i55 | 0, i513 + 1 | 0);
         set8(i514 + (i54 * 20 | 0) >> 0 | 0, 7 | 0);
         set8(i514 + (i54 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i514 + (i54 * 20 | 0) + 4 | 0, i41 | 0);
         set32(i514 + (i54 * 20 | 0) + 8 | 0, i48 | 0);
         set32(i514 + (i54 * 20 | 0) + 12 | 0, 0 | 0);
         set32(i514 + (i54 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i514 + (i54 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        }
        i47 = get32(i31 + 16 | 0) | 0;
        i19 = i40 + 1 | 0;
        if (!i47) i516 = i19; else {
         i50 = i40;
         i20 = i19;
         i19 = i47;
         while (1) {
          i47 = get32(i19 + 20 | 0) | 0;
          i57 = i50 + 3 | 0;
          i46 = get32(i55 | 0) | 0;
          i5 = get32(i44 | 0) | 0;
          do if ((i5 | 0) > (i46 | 0)) {
           i517 = i46;
           i518 = get32(i33 | 0) | 0;
           i30 = 1578;
          } else {
           i519 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i33 | 0) | 0, (i5 | 0) == 0 ? 1020 : i5 * 40 | 0) | 0;
           if (!i519) break;
           i520 = get32(i37 | 0) | 0;
           do if (!i520) i30 = 1576; else {
            if ((get32(i520 + 260 | 0) | 0) >>> 0 > i519 >>> 0) {
             i30 = 1576;
             break;
            }
            if ((get32(i520 + 264 | 0) | 0) >>> 0 <= i519 >>> 0) {
             i30 = 1576;
             break;
            }
            i521 = getU16(i520 + 232 | 0) | 0;
           } while (0);
           if ((i30 | 0) == 1576) {
            i30 = 0;
            i521 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i519) | 0;
           }
           set32(i44 | 0, (i521 >>> 0) / 20 | 0 | 0);
           set32(i33 | 0, i519 | 0);
           i517 = get32(i55 | 0) | 0;
           i518 = i519;
           i30 = 1578;
          } while (0);
          if ((i30 | 0) == 1578) {
           i30 = 0;
           set32(i55 | 0, i517 + 1 | 0);
           set8(i518 + (i46 * 20 | 0) >> 0 | 0, 7 | 0);
           set8(i518 + (i46 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
           set32(i518 + (i46 * 20 | 0) + 4 | 0, i47 | 0);
           set32(i518 + (i46 * 20 | 0) + 8 | 0, i57 | 0);
           set32(i518 + (i46 * 20 | 0) + 12 | 0, 0 | 0);
           set32(i518 + (i46 * 20 | 0) + 16 | 0, 0 | 0);
           set8(i518 + (i46 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
          }
          i19 = get32(i19 + 32 | 0) | 0;
          i5 = i20 + 1 | 0;
          if (!i19) {
           i516 = i5;
           break;
          } else {
           i45 = i20;
           i20 = i5;
           i50 = i45;
          }
         }
        }
        i50 = get32(i32 | 0) | 0;
        if (!i50) {
         i512 = i516;
         break L2321;
        }
        i54 = get32(i55 | 0) | 0;
        i40 = i516;
        i32 = i50;
       }
      } while (0);
      i52 = i512 + 4 | 0;
      if ((get32(i34 | 0) | 0) < (i52 | 0)) set32(i34 | 0, i52 | 0);
      i52 = get32(i55 | 0) | 0;
      i28 = get32(i44 | 0) | 0;
      do if ((i28 | 0) > (i52 | 0)) {
       i522 = i52;
       i523 = get32(i33 | 0) | 0;
       i30 = 1593;
      } else {
       i32 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i33 | 0) | 0, (i28 | 0) == 0 ? 1020 : i28 * 40 | 0) | 0;
       if (!i32) break;
       i40 = get32(i37 | 0) | 0;
       do if (!i40) i30 = 1591; else {
        if ((get32(i40 + 260 | 0) | 0) >>> 0 > i32 >>> 0) {
         i30 = 1591;
         break;
        }
        if ((get32(i40 + 264 | 0) | 0) >>> 0 <= i32 >>> 0) {
         i30 = 1591;
         break;
        }
        i524 = getU16(i40 + 232 | 0) | 0;
       } while (0);
       if ((i30 | 0) == 1591) {
        i30 = 0;
        i524 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i32) | 0;
       }
       set32(i44 | 0, (i524 >>> 0) / 20 | 0 | 0);
       set32(i33 | 0, i32 | 0);
       i522 = get32(i55 | 0) | 0;
       i523 = i32;
       i30 = 1593;
      } while (0);
      if ((i30 | 0) == 1593) {
       i30 = 0;
       set32(i55 | 0, i522 + 1 | 0);
       set8(i523 + (i52 * 20 | 0) >> 0 | 0, 104 | 0);
       set8(i523 + (i52 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i523 + (i52 * 20 | 0) + 4 | 0, 2 | 0);
       set32(i523 + (i52 * 20 | 0) + 8 | 0, i512 | 0);
       set32(i523 + (i52 * 20 | 0) + 12 | 0, 1 | 0);
       set32(i523 + (i52 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i523 + (i52 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      }
      i28 = get32(i33 | 0) | 0;
      if (!i28) i525 = get32(i55 | 0) | 0; else {
       i40 = get32(i55 | 0) | 0;
       set8(i28 + ((i40 + -1 | 0) * 20 | 0) + 3 >> 0 | 0, i56 | 0);
       i525 = i40;
      }
      i40 = get32(i44 | 0) | 0;
      do if ((i40 | 0) > (i525 | 0)) {
       i526 = i525;
       i527 = i28;
       i30 = 1605;
      } else {
       i54 = _sqlite3DbRealloc(get32(i37 | 0) | 0, i28, (i40 | 0) == 0 ? 1020 : i40 * 40 | 0) | 0;
       if (!i54) {
        i528 = 1;
        break;
       }
       i4 = get32(i37 | 0) | 0;
       do if (!i4) i30 = 1603; else {
        if ((get32(i4 + 260 | 0) | 0) >>> 0 > i54 >>> 0) {
         i30 = 1603;
         break;
        }
        if ((get32(i4 + 264 | 0) | 0) >>> 0 <= i54 >>> 0) {
         i30 = 1603;
         break;
        }
        i529 = getU16(i4 + 232 | 0) | 0;
       } while (0);
       if ((i30 | 0) == 1603) {
        i30 = 0;
        i529 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i54) | 0;
       }
       set32(i44 | 0, (i529 >>> 0) / 20 | 0 | 0);
       set32(i33 | 0, i54 | 0);
       i526 = get32(i55 | 0) | 0;
       i527 = i54;
       i30 = 1605;
      } while (0);
      if ((i30 | 0) == 1605) {
       i30 = 0;
       set32(i55 | 0, i526 + 1 | 0);
       set8(i527 + (i525 * 20 | 0) >> 0 | 0, 73 | 0);
       set8(i527 + (i525 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i527 + (i525 * 20 | 0) + 4 | 0, 2 | 0);
       set32(i527 + (i525 * 20 | 0) + 8 | 0, 0 | 0);
       set32(i527 + (i525 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i527 + (i525 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i527 + (i525 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i528 = i525;
      }
      set32(i8 | 0, get32((get32(i2 | 0) | 0) + (i56 << 4) | 0) | 0);
      i40 = _sqlite3MPrintf(i27, 34446, i8) | 0;
      i28 = get32(i55 | 0) | 0;
      i52 = get32(i44 | 0) | 0;
      do if ((i52 | 0) > (i28 | 0)) {
       i530 = i28;
       i531 = get32(i33 | 0) | 0;
       i30 = 1615;
      } else {
       i4 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i33 | 0) | 0, (i52 | 0) == 0 ? 1020 : i52 * 40 | 0) | 0;
       if (!i4) {
        i532 = 1;
        break;
       }
       i32 = get32(i37 | 0) | 0;
       do if (!i32) i30 = 1613; else {
        if ((get32(i32 + 260 | 0) | 0) >>> 0 > i4 >>> 0) {
         i30 = 1613;
         break;
        }
        if ((get32(i32 + 264 | 0) | 0) >>> 0 <= i4 >>> 0) {
         i30 = 1613;
         break;
        }
        i533 = getU16(i32 + 232 | 0) | 0;
       } while (0);
       if ((i30 | 0) == 1613) {
        i30 = 0;
        i533 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i4) | 0;
       }
       set32(i44 | 0, (i533 >>> 0) / 20 | 0 | 0);
       set32(i33 | 0, i4 | 0);
       i530 = get32(i55 | 0) | 0;
       i531 = i4;
       i30 = 1615;
      } while (0);
      if ((i30 | 0) == 1615) {
       i30 = 0;
       set32(i55 | 0, i530 + 1 | 0);
       set8(i531 + (i28 * 20 | 0) >> 0 | 0, 94 | 0);
       set8(i531 + (i28 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i531 + (i28 * 20 | 0) + 4 | 0, 0 | 0);
       set32(i531 + (i28 * 20 | 0) + 8 | 0, 3 | 0);
       set32(i531 + (i28 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i531 + (i28 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i531 + (i28 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i532 = i28;
      }
      i52 = get32(i37 | 0) | 0;
      i32 = get32(i33 | 0) | 0;
      do if (i32) {
       if (get8(i52 + 30 >> 0 | 0) | 0) {
        i30 = 1618;
        break;
       }
       if ((i532 | 0) < 0) i534 = (get32(i55 | 0) | 0) + -1 | 0; else i534 = i532;
       i54 = i32 + (i534 * 20 | 0) + 1 | 0;
       i50 = i32 + (i534 * 20 | 0) + 16 | 0;
       _freeP4(i52, get8(i54 >> 0 | 0) | 0, get32(i50 | 0) | 0);
       set32(i50 | 0, 0 | 0);
       if (!i40) {
        set32(i50 | 0, 0 | 0);
        set8(i54 >> 0 | 0, 0 | 0);
        break;
       } else {
        set32(i50 | 0, i40 | 0);
        set8(i54 >> 0 | 0, -1 | 0);
        break;
       }
      } else i30 = 1618; while (0);
      do if ((i30 | 0) == 1618) {
       i30 = 0;
       if (!i40) break;
       _sqlite3DbFree(i52, i40);
      } while (0);
      i40 = get32(i55 | 0) | 0;
      i52 = get32(i44 | 0) | 0;
      do if ((i52 | 0) > (i40 | 0)) {
       i535 = i40;
       i536 = get32(i33 | 0) | 0;
       i537 = i52;
       i30 = 1635;
      } else {
       i32 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i33 | 0) | 0, (i52 | 0) == 0 ? 1020 : i52 * 40 | 0) | 0;
       if (!i32) {
        i538 = get32(i44 | 0) | 0;
        i539 = get32(i55 | 0) | 0;
        break;
       }
       i28 = get32(i37 | 0) | 0;
       do if (!i28) i30 = 1633; else {
        if ((get32(i28 + 260 | 0) | 0) >>> 0 > i32 >>> 0) {
         i30 = 1633;
         break;
        }
        if ((get32(i28 + 264 | 0) | 0) >>> 0 <= i32 >>> 0) {
         i30 = 1633;
         break;
        }
        i540 = getU16(i28 + 232 | 0) | 0;
       } while (0);
       if ((i30 | 0) == 1633) {
        i30 = 0;
        i540 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i32) | 0;
       }
       i28 = (i540 >>> 0) / 20 | 0;
       set32(i44 | 0, i28 | 0);
       set32(i33 | 0, i32 | 0);
       i535 = get32(i55 | 0) | 0;
       i536 = i32;
       i537 = i28;
       i30 = 1635;
      } while (0);
      if ((i30 | 0) == 1635) {
       i30 = 0;
       i52 = i535 + 1 | 0;
       set32(i55 | 0, i52 | 0);
       set8(i536 + (i40 * 20 | 0) >> 0 | 0, 13 | 0);
       set8(i536 + (i40 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i536 + (i40 * 20 | 0) + 4 | 0, 2 | 0);
       set32(i536 + (i40 * 20 | 0) + 8 | 0, 4 | 0);
       set32(i536 + (i40 * 20 | 0) + 12 | 0, 1 | 0);
       set32(i536 + (i40 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i536 + (i40 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i538 = i537;
       i539 = i52;
      }
      do if ((i538 | 0) > (i539 | 0)) {
       i541 = i539;
       i542 = get32(i33 | 0) | 0;
       i543 = i538;
       i30 = 1646;
      } else {
       i52 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i33 | 0) | 0, (i538 | 0) == 0 ? 1020 : i538 * 40 | 0) | 0;
       if (!i52) {
        i544 = get32(i44 | 0) | 0;
        i545 = get32(i55 | 0) | 0;
        break;
       }
       i28 = get32(i37 | 0) | 0;
       do if (!i28) i30 = 1644; else {
        if ((get32(i28 + 260 | 0) | 0) >>> 0 > i52 >>> 0) {
         i30 = 1644;
         break;
        }
        if ((get32(i28 + 264 | 0) | 0) >>> 0 <= i52 >>> 0) {
         i30 = 1644;
         break;
        }
        i546 = getU16(i28 + 232 | 0) | 0;
       } while (0);
       if ((i30 | 0) == 1644) {
        i30 = 0;
        i546 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i52) | 0;
       }
       i28 = (i546 >>> 0) / 20 | 0;
       set32(i44 | 0, i28 | 0);
       set32(i33 | 0, i52 | 0);
       i541 = get32(i55 | 0) | 0;
       i542 = i52;
       i543 = i28;
       i30 = 1646;
      } while (0);
      if ((i30 | 0) == 1646) {
       i30 = 0;
       i40 = i541 + 1 | 0;
       set32(i55 | 0, i40 | 0);
       set8(i542 + (i539 * 20 | 0) >> 0 | 0, 91 | 0);
       set8(i542 + (i539 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i542 + (i539 * 20 | 0) + 4 | 0, 4 | 0);
       set32(i542 + (i539 * 20 | 0) + 8 | 0, 3 | 0);
       set32(i542 + (i539 * 20 | 0) + 12 | 0, 2 | 0);
       set32(i542 + (i539 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i542 + (i539 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i544 = i543;
       i545 = i40;
      }
      do if ((i544 | 0) > (i545 | 0)) {
       i547 = i545;
       i548 = get32(i33 | 0) | 0;
       i30 = 1657;
      } else {
       i40 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i33 | 0) | 0, (i544 | 0) == 0 ? 1020 : i544 * 40 | 0) | 0;
       if (!i40) {
        i549 = get32(i55 | 0) | 0;
        break;
       }
       i28 = get32(i37 | 0) | 0;
       do if (!i28) i30 = 1655; else {
        if ((get32(i28 + 260 | 0) | 0) >>> 0 > i40 >>> 0) {
         i30 = 1655;
         break;
        }
        if ((get32(i28 + 264 | 0) | 0) >>> 0 <= i40 >>> 0) {
         i30 = 1655;
         break;
        }
        i550 = getU16(i28 + 232 | 0) | 0;
       } while (0);
       if ((i30 | 0) == 1655) {
        i30 = 0;
        i550 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i40) | 0;
       }
       set32(i44 | 0, (i550 >>> 0) / 20 | 0 | 0);
       set32(i33 | 0, i40 | 0);
       i547 = get32(i55 | 0) | 0;
       i548 = i40;
       i30 = 1657;
      } while (0);
      if ((i30 | 0) == 1657) {
       i30 = 0;
       i28 = i547 + 1 | 0;
       set32(i55 | 0, i28 | 0);
       set8(i548 + (i545 * 20 | 0) >> 0 | 0, 16 | 0);
       set8(i548 + (i545 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i548 + (i545 * 20 | 0) + 4 | 0, 2 | 0);
       set32(i548 + (i545 * 20 | 0) + 8 | 0, 1 | 0);
       set32(i548 + (i545 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i548 + (i545 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i548 + (i545 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i549 = i28;
      }
      if ((i549 | 0) > (i528 | 0)) set32((get32(i33 | 0) | 0) + (i528 * 20 | 0) + 8 | 0, i549 | 0);
      i28 = get32(i35 | 0) | 0;
      if (!(i36 | (i28 | 0) == 0)) {
       i52 = i28;
       do {
        i28 = get32(i52 + 8 | 0) | 0;
        i32 = i28 + 16 | 0;
        L2473 : do if (get32(i32 | 0) | 0) {
         i4 = get32(i55 | 0) | 0;
         i54 = get32(i44 | 0) | 0;
         do if ((i54 | 0) > (i4 | 0)) {
          i551 = i4;
          i552 = get32(i33 | 0) | 0;
          i553 = i54;
          i30 = 1672;
         } else {
          i50 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i33 | 0) | 0, (i54 | 0) == 0 ? 1020 : i54 * 40 | 0) | 0;
          if (!i50) {
           i554 = 1;
           i555 = get32(i44 | 0) | 0;
           i556 = get32(i55 | 0) | 0;
           break;
          }
          i20 = get32(i37 | 0) | 0;
          do if (!i20) i30 = 1670; else {
           if ((get32(i20 + 260 | 0) | 0) >>> 0 > i50 >>> 0) {
            i30 = 1670;
            break;
           }
           if ((get32(i20 + 264 | 0) | 0) >>> 0 <= i50 >>> 0) {
            i30 = 1670;
            break;
           }
           i557 = getU16(i20 + 232 | 0) | 0;
          } while (0);
          if ((i30 | 0) == 1670) {
           i30 = 0;
           i557 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i50) | 0;
          }
          i20 = (i557 >>> 0) / 20 | 0;
          set32(i44 | 0, i20 | 0);
          set32(i33 | 0, i50 | 0);
          i551 = get32(i55 | 0) | 0;
          i552 = i50;
          i553 = i20;
          i30 = 1672;
         } while (0);
         if ((i30 | 0) == 1672) {
          i30 = 0;
          i54 = i551 + 1 | 0;
          set32(i55 | 0, i54 | 0);
          set8(i552 + (i4 * 20 | 0) >> 0 | 0, 113 | 0);
          set8(i552 + (i4 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
          set32(i552 + (i4 * 20 | 0) + 4 | 0, 1 | 0);
          set32(i552 + (i4 * 20 | 0) + 8 | 0, 0 | 0);
          set32(i552 + (i4 * 20 | 0) + 12 | 0, 0 | 0);
          set32(i552 + (i4 * 20 | 0) + 16 | 0, 0 | 0);
          set8(i552 + (i4 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
          i554 = i4;
          i555 = i553;
          i556 = i54;
         }
         do if ((i555 | 0) > (i556 | 0)) {
          i558 = i556;
          i559 = get32(i33 | 0) | 0;
          i30 = 1683;
         } else {
          i54 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i33 | 0) | 0, (i555 | 0) == 0 ? 1020 : i555 * 40 | 0) | 0;
          if (!i54) {
           i560 = get32(i55 | 0) | 0;
           break;
          }
          i20 = get32(i37 | 0) | 0;
          do if (!i20) i30 = 1681; else {
           if ((get32(i20 + 260 | 0) | 0) >>> 0 > i54 >>> 0) {
            i30 = 1681;
            break;
           }
           if ((get32(i20 + 264 | 0) | 0) >>> 0 <= i54 >>> 0) {
            i30 = 1681;
            break;
           }
           i561 = getU16(i20 + 232 | 0) | 0;
          } while (0);
          if ((i30 | 0) == 1681) {
           i30 = 0;
           i561 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i54) | 0;
          }
          set32(i44 | 0, (i561 >>> 0) / 20 | 0 | 0);
          set32(i33 | 0, i54 | 0);
          i558 = get32(i55 | 0) | 0;
          i559 = i54;
          i30 = 1683;
         } while (0);
         if ((i30 | 0) == 1683) {
          i30 = 0;
          i4 = i558 + 1 | 0;
          set32(i55 | 0, i4 | 0);
          set8(i559 + (i556 * 20 | 0) >> 0 | 0, 6 | 0);
          set8(i559 + (i556 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
          i219 = i559 + (i556 * 20 | 0) + 3 | 0;
          i220 = i219 + 17 | 0;
          do {
           set8(i219 >> 0 | 0, 0 | 0);
           i219 = i219 + 1 | 0;
          } while ((i219 | 0) < (i220 | 0));
          i560 = i4;
         }
         if ((i560 | 0) > (i554 | 0)) set32((get32(i33 | 0) | 0) + (i554 * 20 | 0) + 8 | 0, i560 | 0);
         _sqlite3OpenTableAndIndices(i1, i28, 1, 38) | 0;
         i20 = get32(i55 | 0) | 0;
         i50 = get32(i44 | 0) | 0;
         do if ((i50 | 0) > (i20 | 0)) {
          i562 = i20;
          i563 = get32(i33 | 0) | 0;
          i564 = i50;
          i30 = 1696;
         } else {
          i46 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i33 | 0) | 0, (i50 | 0) == 0 ? 1020 : i50 * 40 | 0) | 0;
          if (!i46) {
           i565 = get32(i44 | 0) | 0;
           i566 = get32(i55 | 0) | 0;
           break;
          }
          i57 = get32(i37 | 0) | 0;
          do if (!i57) i30 = 1694; else {
           if ((get32(i57 + 260 | 0) | 0) >>> 0 > i46 >>> 0) {
            i30 = 1694;
            break;
           }
           if ((get32(i57 + 264 | 0) | 0) >>> 0 <= i46 >>> 0) {
            i30 = 1694;
            break;
           }
           i567 = getU16(i57 + 232 | 0) | 0;
          } while (0);
          if ((i30 | 0) == 1694) {
           i30 = 0;
           i567 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i46) | 0;
          }
          i57 = (i567 >>> 0) / 20 | 0;
          set32(i44 | 0, i57 | 0);
          set32(i33 | 0, i46 | 0);
          i562 = get32(i55 | 0) | 0;
          i563 = i46;
          i564 = i57;
          i30 = 1696;
         } while (0);
         if ((i30 | 0) == 1696) {
          i30 = 0;
          i50 = i562 + 1 | 0;
          set32(i55 | 0, i50 | 0);
          set8(i563 + (i20 * 20 | 0) >> 0 | 0, 7 | 0);
          set8(i563 + (i20 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
          set32(i563 + (i20 * 20 | 0) + 4 | 0, 0 | 0);
          set32(i563 + (i20 * 20 | 0) + 8 | 0, 2 | 0);
          set32(i563 + (i20 * 20 | 0) + 12 | 0, 0 | 0);
          set32(i563 + (i20 * 20 | 0) + 16 | 0, 0 | 0);
          set8(i563 + (i20 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
          i565 = i564;
          i566 = i50;
         }
         do if ((i565 | 0) > (i566 | 0)) {
          i568 = i566;
          i569 = get32(i33 | 0) | 0;
          i570 = i565;
          i30 = 1707;
         } else {
          i50 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i33 | 0) | 0, (i565 | 0) == 0 ? 1020 : i565 * 40 | 0) | 0;
          if (!i50) {
           i571 = 1;
           i572 = get32(i44 | 0) | 0;
           i573 = get32(i55 | 0) | 0;
           break;
          }
          i4 = get32(i37 | 0) | 0;
          do if (!i4) i30 = 1705; else {
           if ((get32(i4 + 260 | 0) | 0) >>> 0 > i50 >>> 0) {
            i30 = 1705;
            break;
           }
           if ((get32(i4 + 264 | 0) | 0) >>> 0 <= i50 >>> 0) {
            i30 = 1705;
            break;
           }
           i574 = getU16(i4 + 232 | 0) | 0;
          } while (0);
          if ((i30 | 0) == 1705) {
           i30 = 0;
           i574 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i50) | 0;
          }
          i4 = (i574 >>> 0) / 20 | 0;
          set32(i44 | 0, i4 | 0);
          set32(i33 | 0, i50 | 0);
          i568 = get32(i55 | 0) | 0;
          i569 = i50;
          i570 = i4;
          i30 = 1707;
         } while (0);
         if ((i30 | 0) == 1707) {
          i30 = 0;
          i20 = i568 + 1 | 0;
          set32(i55 | 0, i20 | 0);
          set8(i569 + (i566 * 20 | 0) >> 0 | 0, 65 | 0);
          set8(i569 + (i566 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
          set32(i569 + (i566 * 20 | 0) + 4 | 0, 1 | 0);
          set32(i569 + (i566 * 20 | 0) + 8 | 0, 0 | 0);
          set32(i569 + (i566 * 20 | 0) + 12 | 0, 0 | 0);
          set32(i569 + (i566 * 20 | 0) + 16 | 0, 0 | 0);
          set8(i569 + (i566 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
          i571 = i566;
          i572 = i570;
          i573 = i20;
         }
         do if ((i572 | 0) > (i573 | 0)) {
          i575 = i573;
          i576 = get32(i33 | 0) | 0;
          i30 = 1717;
         } else {
          i20 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i33 | 0) | 0, (i572 | 0) == 0 ? 1020 : i572 * 40 | 0) | 0;
          if (!i20) break;
          i4 = get32(i37 | 0) | 0;
          do if (!i4) i30 = 1715; else {
           if ((get32(i4 + 260 | 0) | 0) >>> 0 > i20 >>> 0) {
            i30 = 1715;
            break;
           }
           if ((get32(i4 + 264 | 0) | 0) >>> 0 <= i20 >>> 0) {
            i30 = 1715;
            break;
           }
           i577 = getU16(i4 + 232 | 0) | 0;
          } while (0);
          if ((i30 | 0) == 1715) {
           i30 = 0;
           i577 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i20) | 0;
          }
          set32(i44 | 0, (i577 >>> 0) / 20 | 0 | 0);
          set32(i33 | 0, i20 | 0);
          i575 = get32(i55 | 0) | 0;
          i576 = i20;
          i30 = 1717;
         } while (0);
         if ((i30 | 0) == 1717) {
          i30 = 0;
          set32(i55 | 0, i575 + 1 | 0);
          set8(i576 + (i573 * 20 | 0) >> 0 | 0, 20 | 0);
          set8(i576 + (i573 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
          set32(i576 + (i573 * 20 | 0) + 4 | 0, 2 | 0);
          set32(i576 + (i573 * 20 | 0) + 8 | 0, 1 | 0);
          set32(i576 + (i573 * 20 | 0) + 12 | 0, 0 | 0);
          set32(i576 + (i573 * 20 | 0) + 16 | 0, 0 | 0);
          set8(i576 + (i573 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         }
         i4 = get32(i32 | 0) | 0;
         if (!i4) i578 = get32(i55 | 0) | 0; else {
          i50 = 0;
          i46 = i4;
          while (1) {
           i4 = _sqlite3GenerateIndexKey(i1, i46, 1, 3, 0) | 0;
           i57 = i50 + 2 | 0;
           i54 = (get32(i46 + 4 | 0) | 0) + 1 | 0;
           i47 = get32(i55 | 0) | 0;
           i19 = get32(i44 | 0) | 0;
           do if ((i19 | 0) > (i47 | 0)) {
            i579 = i47;
            i580 = get32(i33 | 0) | 0;
            i30 = 1729;
           } else {
            i31 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i33 | 0) | 0, (i19 | 0) == 0 ? 1020 : i19 * 40 | 0) | 0;
            if (!i31) {
             i581 = 1;
             break;
            }
            i48 = get32(i37 | 0) | 0;
            do if (!i48) i30 = 1727; else {
             if ((get32(i48 + 260 | 0) | 0) >>> 0 > i31 >>> 0) {
              i30 = 1727;
              break;
             }
             if ((get32(i48 + 264 | 0) | 0) >>> 0 <= i31 >>> 0) {
              i30 = 1727;
              break;
             }
             i582 = getU16(i48 + 232 | 0) | 0;
            } while (0);
            if ((i30 | 0) == 1727) {
             i30 = 0;
             i582 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i31) | 0;
            }
            set32(i44 | 0, (i582 >>> 0) / 20 | 0 | 0);
            set32(i33 | 0, i31 | 0);
            i579 = get32(i55 | 0) | 0;
            i580 = i31;
            i30 = 1729;
           } while (0);
           if ((i30 | 0) == 1729) {
            i30 = 0;
            set32(i55 | 0, i579 + 1 | 0);
            set8(i580 + (i47 * 20 | 0) >> 0 | 0, 50 | 0);
            set8(i580 + (i47 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
            set32(i580 + (i47 * 20 | 0) + 4 | 0, i57 | 0);
            set32(i580 + (i47 * 20 | 0) + 8 | 0, 0 | 0);
            set32(i580 + (i47 * 20 | 0) + 12 | 0, i4 | 0);
            set32(i580 + (i47 * 20 | 0) + 16 | 0, 0 | 0);
            set8(i580 + (i47 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
            i581 = i47;
           }
           i19 = get32(i37 | 0) | 0;
           i20 = get32(i33 | 0) | 0;
           do if (i20) {
            if (get8(i19 + 30 >> 0 | 0) | 0) break;
            if ((i581 | 0) < 0) i583 = (get32(i55 | 0) | 0) + -1 | 0; else i583 = i581;
            i48 = i20 + (i583 * 20 | 0) + 1 | 0;
            i519 = i20 + (i583 * 20 | 0) + 16 | 0;
            _freeP4(i19, get8(i48 >> 0 | 0) | 0, get32(i519 | 0) | 0);
            set32(i519 | 0, i54 | 0);
            set8(i48 >> 0 | 0, -14 | 0);
           } while (0);
           i54 = get32(i55 | 0) | 0;
           i19 = get32(i44 | 0) | 0;
           do if ((i54 + 11 | 0) > (i19 | 0)) {
            i20 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i33 | 0) | 0, (i19 | 0) == 0 ? 1020 : i19 * 40 | 0) | 0;
            if (!i20) {
             i584 = 0;
             break;
            }
            i47 = get32(i37 | 0) | 0;
            do if (!i47) i30 = 1741; else {
             if ((get32(i47 + 260 | 0) | 0) >>> 0 > i20 >>> 0) {
              i30 = 1741;
              break;
             }
             if ((get32(i47 + 264 | 0) | 0) >>> 0 <= i20 >>> 0) {
              i30 = 1741;
              break;
             }
             i585 = getU16(i47 + 232 | 0) | 0;
            } while (0);
            if ((i30 | 0) == 1741) {
             i30 = 0;
             i585 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i20) | 0;
            }
            set32(i44 | 0, (i585 >>> 0) / 20 | 0 | 0);
            set32(i33 | 0, i20 | 0);
            i586 = get32(i55 | 0) | 0;
            i30 = 1743;
           } else {
            i586 = i54;
            i30 = 1743;
           } while (0);
           if ((i30 | 0) == 1743) {
            i30 = 0;
            i54 = 0;
            i19 = 34470;
            while (1) {
             i47 = get8(i19 + 2 >> 0 | 0) | 0;
             i31 = i47 << 24 >> 24;
             i4 = i54 + i586 | 0;
             i57 = get32(i33 | 0) | 0;
             i48 = get8(i19 >> 0 | 0) | 0;
             set8(i57 + (i4 * 20 | 0) >> 0 | 0, i48 | 0);
             set32(i57 + (i4 * 20 | 0) + 4 | 0, get8(i19 + 1 >> 0 | 0) | 0);
             do if (i47 << 24 >> 24 < 0) {
              if (!(get8(25464 + (i48 & 255) >> 0 | 0) & 1)) {
               i30 = 1747;
               break;
              }
              set32(i57 + (i4 * 20 | 0) + 8 | 0, i586 + ~i31 | 0);
             } else i30 = 1747; while (0);
             if ((i30 | 0) == 1747) {
              i30 = 0;
              set32(i57 + (i4 * 20 | 0) + 8 | 0, i31 | 0);
             }
             set32(i57 + (i4 * 20 | 0) + 12 | 0, get8(i19 + 3 >> 0 | 0) | 0);
             set8(i57 + (i4 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
             set32(i57 + (i4 * 20 | 0) + 16 | 0, 0 | 0);
             set8(i57 + (i4 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
             i54 = i54 + 1 | 0;
             if ((i54 | 0) == 11) break; else i19 = i19 + 4 | 0;
            }
            set32(i55 | 0, i586 + 11 | 0);
            i584 = i586;
           }
           i19 = i584 + 1 | 0;
           i54 = get32(i37 | 0) | 0;
           i48 = get32(i33 | 0) | 0;
           do if (i48) {
            if (get8(i54 + 30 >> 0 | 0) | 0) break;
            if ((i584 | 0) < -1) i587 = (get32(i55 | 0) | 0) + -1 | 0; else i587 = i19;
            i47 = i48 + (i587 * 20 | 0) + 1 | 0;
            i20 = i48 + (i587 * 20 | 0) + 16 | 0;
            _freeP4(i54, get8(i47 >> 0 | 0) | 0, get32(i20 | 0) | 0);
            set32(i20 | 0, 34514 | 0);
            set8(i47 >> 0 | 0, -2 | 0);
            i47 = get32(i33 | 0) | 0;
            i20 = get32(i37 | 0) | 0;
            if (!i47) break;
            if (get8(i20 + 30 >> 0 | 0) | 0) break;
            if ((i584 | 0) < -3) i588 = (get32(i55 | 0) | 0) + -1 | 0; else i588 = i584 + 3 | 0;
            i519 = i47 + (i588 * 20 | 0) + 1 | 0;
            i41 = i47 + (i588 * 20 | 0) + 16 | 0;
            _freeP4(i20, get8(i519 >> 0 | 0) | 0, get32(i41 | 0) | 0);
            set32(i41 | 0, 34521 | 0);
            set8(i519 >> 0 | 0, -2 | 0);
           } while (0);
           _sqlite3VdbeChangeP4(i37, i584 + 4 | 0, get32(i46 | 0) | 0, 0);
           i54 = i584 + 9 | 0;
           i48 = get32(i55 | 0) | 0;
           if ((i48 | 0) > (i54 | 0)) set32((get32(i33 | 0) | 0) + (i54 * 20 | 0) + 8 | 0, i48 | 0);
           if ((i48 | 0) > (i581 | 0)) set32((get32(i33 | 0) | 0) + (i581 * 20 | 0) + 8 | 0, i48 | 0);
           i46 = get32(i46 + 32 | 0) | 0;
           if (!i46) {
            i578 = i48;
            break;
           } else i50 = i50 + 1 | 0;
          }
         }
         i50 = i571 + 1 | 0;
         i46 = get32(i44 | 0) | 0;
         do if ((i46 | 0) > (i578 | 0)) {
          i589 = i578;
          i590 = get32(i33 | 0) | 0;
          i30 = 1774;
         } else {
          i48 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i33 | 0) | 0, (i46 | 0) == 0 ? 1020 : i46 * 40 | 0) | 0;
          if (!i48) {
           i591 = get32(i55 | 0) | 0;
           break;
          }
          i54 = get32(i37 | 0) | 0;
          do if (!i54) i30 = 1772; else {
           if ((get32(i54 + 260 | 0) | 0) >>> 0 > i48 >>> 0) {
            i30 = 1772;
            break;
           }
           if ((get32(i54 + 264 | 0) | 0) >>> 0 <= i48 >>> 0) {
            i30 = 1772;
            break;
           }
           i592 = getU16(i54 + 232 | 0) | 0;
          } while (0);
          if ((i30 | 0) == 1772) {
           i30 = 0;
           i592 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i48) | 0;
          }
          set32(i44 | 0, (i592 >>> 0) / 20 | 0 | 0);
          set32(i33 | 0, i48 | 0);
          i589 = get32(i55 | 0) | 0;
          i590 = i48;
          i30 = 1774;
         } while (0);
         if ((i30 | 0) == 1774) {
          i30 = 0;
          i46 = i589 + 1 | 0;
          set32(i55 | 0, i46 | 0);
          set8(i590 + (i578 * 20 | 0) >> 0 | 0, 67 | 0);
          set8(i590 + (i578 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
          set32(i590 + (i578 * 20 | 0) + 4 | 0, 1 | 0);
          set32(i590 + (i578 * 20 | 0) + 8 | 0, i50 | 0);
          set32(i590 + (i578 * 20 | 0) + 12 | 0, 0 | 0);
          set32(i590 + (i578 * 20 | 0) + 16 | 0, 0 | 0);
          set8(i590 + (i578 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
          i591 = i46;
         }
         if ((i591 | 0) > (i571 | 0)) set32((get32(i33 | 0) | 0) + (i571 * 20 | 0) + 8 | 0, i591 | 0);
         i46 = get32(i32 | 0) | 0;
         if (!i46) break; else {
          i593 = i591;
          i594 = 0;
          i595 = i46;
         }
         while (1) {
          i46 = get32(i44 | 0) | 0;
          do if ((i46 | 0) > (i593 | 0)) {
           i596 = i593;
           i597 = get32(i33 | 0) | 0;
           i598 = i46;
           i30 = 1788;
          } else {
           i54 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i33 | 0) | 0, (i46 | 0) == 0 ? 1020 : i46 * 40 | 0) | 0;
           if (!i54) {
            i599 = 1;
            i600 = get32(i44 | 0) | 0;
            i601 = get32(i55 | 0) | 0;
            break;
           }
           i19 = get32(i37 | 0) | 0;
           do if (!i19) i30 = 1786; else {
            if ((get32(i19 + 260 | 0) | 0) >>> 0 > i54 >>> 0) {
             i30 = 1786;
             break;
            }
            if ((get32(i19 + 264 | 0) | 0) >>> 0 <= i54 >>> 0) {
             i30 = 1786;
             break;
            }
            i602 = getU16(i19 + 232 | 0) | 0;
           } while (0);
           if ((i30 | 0) == 1786) {
            i30 = 0;
            i602 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i54) | 0;
           }
           i19 = (i602 >>> 0) / 20 | 0;
           set32(i44 | 0, i19 | 0);
           set32(i33 | 0, i54 | 0);
           i596 = get32(i55 | 0) | 0;
           i597 = i54;
           i598 = i19;
           i30 = 1788;
          } while (0);
          if ((i30 | 0) == 1788) {
           i30 = 0;
           i46 = i596 + 1 | 0;
           set32(i55 | 0, i46 | 0);
           set8(i597 + (i593 * 20 | 0) >> 0 | 0, 113 | 0);
           set8(i597 + (i593 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
           set32(i597 + (i593 * 20 | 0) + 4 | 0, 1 | 0);
           set32(i597 + (i593 * 20 | 0) + 8 | 0, 0 | 0);
           set32(i597 + (i593 * 20 | 0) + 12 | 0, 0 | 0);
           set32(i597 + (i593 * 20 | 0) + 16 | 0, 0 | 0);
           set8(i597 + (i593 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
           i599 = i593;
           i600 = i598;
           i601 = i46;
          }
          do if ((i600 | 0) > (i601 | 0)) {
           i603 = i601;
           i604 = get32(i33 | 0) | 0;
           i30 = 1799;
          } else {
           i46 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i33 | 0) | 0, (i600 | 0) == 0 ? 1020 : i600 * 40 | 0) | 0;
           if (!i46) {
            i605 = get32(i55 | 0) | 0;
            break;
           }
           i48 = get32(i37 | 0) | 0;
           do if (!i48) i30 = 1797; else {
            if ((get32(i48 + 260 | 0) | 0) >>> 0 > i46 >>> 0) {
             i30 = 1797;
             break;
            }
            if ((get32(i48 + 264 | 0) | 0) >>> 0 <= i46 >>> 0) {
             i30 = 1797;
             break;
            }
            i606 = getU16(i48 + 232 | 0) | 0;
           } while (0);
           if ((i30 | 0) == 1797) {
            i30 = 0;
            i606 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i46) | 0;
           }
           set32(i44 | 0, (i606 >>> 0) / 20 | 0 | 0);
           set32(i33 | 0, i46 | 0);
           i603 = get32(i55 | 0) | 0;
           i604 = i46;
           i30 = 1799;
          } while (0);
          if ((i30 | 0) == 1799) {
           i30 = 0;
           i48 = i603 + 1 | 0;
           set32(i55 | 0, i48 | 0);
           set8(i604 + (i601 * 20 | 0) >> 0 | 0, 6 | 0);
           set8(i604 + (i601 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
           i219 = i604 + (i601 * 20 | 0) + 3 | 0;
           i220 = i219 + 17 | 0;
           do {
            set8(i219 >> 0 | 0, 0 | 0);
            i219 = i219 + 1 | 0;
           } while ((i219 | 0) < (i220 | 0));
           i605 = i48;
          }
          if ((i605 | 0) > (i599 | 0)) set32((get32(i33 | 0) | 0) + (i599 * 20 | 0) + 8 | 0, i605 | 0);
          i54 = get32(i44 | 0) | 0;
          do if ((i605 + 10 | 0) > (i54 | 0)) {
           i19 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i33 | 0) | 0, (i54 | 0) == 0 ? 1020 : i54 * 40 | 0) | 0;
           if (!i19) {
            i607 = 0;
            i608 = get32(i55 | 0) | 0;
            break;
           }
           i4 = get32(i37 | 0) | 0;
           do if (!i4) i30 = 1809; else {
            if ((get32(i4 + 260 | 0) | 0) >>> 0 > i19 >>> 0) {
             i30 = 1809;
             break;
            }
            if ((get32(i4 + 264 | 0) | 0) >>> 0 <= i19 >>> 0) {
             i30 = 1809;
             break;
            }
            i609 = getU16(i4 + 232 | 0) | 0;
           } while (0);
           if ((i30 | 0) == 1809) {
            i30 = 0;
            i609 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i19) | 0;
           }
           set32(i44 | 0, (i609 >>> 0) / 20 | 0 | 0);
           set32(i33 | 0, i19 | 0);
           i610 = get32(i55 | 0) | 0;
           i30 = 1811;
          } else {
           i610 = i605;
           i30 = 1811;
          } while (0);
          if ((i30 | 0) == 1811) {
           i30 = 0;
           i54 = 0;
           i48 = 34542;
           while (1) {
            i4 = get8(i48 + 2 >> 0 | 0) | 0;
            i46 = i4 << 24 >> 24;
            i57 = i54 + i610 | 0;
            i31 = get32(i33 | 0) | 0;
            i519 = get8(i48 >> 0 | 0) | 0;
            set8(i31 + (i57 * 20 | 0) >> 0 | 0, i519 | 0);
            set32(i31 + (i57 * 20 | 0) + 4 | 0, get8(i48 + 1 >> 0 | 0) | 0);
            do if (i4 << 24 >> 24 < 0) {
             if (!(get8(25464 + (i519 & 255) >> 0 | 0) & 1)) {
              i30 = 1815;
              break;
             }
             set32(i31 + (i57 * 20 | 0) + 8 | 0, i610 + ~i46 | 0);
            } else i30 = 1815; while (0);
            if ((i30 | 0) == 1815) {
             i30 = 0;
             set32(i31 + (i57 * 20 | 0) + 8 | 0, i46 | 0);
            }
            set32(i31 + (i57 * 20 | 0) + 12 | 0, get8(i48 + 3 >> 0 | 0) | 0);
            set8(i31 + (i57 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
            set32(i31 + (i57 * 20 | 0) + 16 | 0, 0 | 0);
            set8(i31 + (i57 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
            i54 = i54 + 1 | 0;
            if ((i54 | 0) == 10) break; else i48 = i48 + 4 | 0;
           }
           i48 = i610 + 10 | 0;
           set32(i55 | 0, i48 | 0);
           i607 = i610;
           i608 = i48;
          }
          i48 = i607 + 1 | 0;
          i54 = i594 + 2 | 0;
          if ((i608 | 0) > (i48 | 0)) {
           i519 = get32(i33 | 0) | 0;
           set32(i519 + (i48 * 20 | 0) + 4 | 0, i54 | 0);
           i4 = i607 + 4 | 0;
           set32(i519 + (i48 * 20 | 0) + 8 | 0, i4 | 0);
           i611 = i4;
          } else i611 = i607 + 4 | 0;
          i4 = i607 + 3 | 0;
          i48 = get32(i33 | 0) | 0;
          if ((i608 | 0) > (i4 | 0)) {
           set32(i48 + (i4 * 20 | 0) + 4 | 0, i54 | 0);
           set32(i48 + (i4 * 20 | 0) + 8 | 0, i607 + 2 | 0);
          }
          if ((i608 | 0) <= (i611 | 0)) {
           if (i48) i30 = 1826;
          } else {
           set32(i48 + (i611 * 20 | 0) + 8 | 0, i608 | 0);
           i30 = 1826;
          }
          do if ((i30 | 0) == 1826) {
           i30 = 0;
           i4 = get32(i37 | 0) | 0;
           if (get8(i4 + 30 >> 0 | 0) | 0) break;
           i54 = (i607 | 0) < -6 ? i608 + -1 | 0 : i607 + 6 | 0;
           i519 = i48 + (i54 * 20 | 0) + 1 | 0;
           i19 = i48 + (i54 * 20 | 0) + 16 | 0;
           _freeP4(i4, get8(i519 >> 0 | 0) | 0, get32(i19 | 0) | 0);
           set32(i19 | 0, 34582 | 0);
           set8(i519 >> 0 | 0, -2 | 0);
          } while (0);
          _sqlite3VdbeChangeP4(i37, i607 + 7 | 0, get32(i595 | 0) | 0, 0);
          i48 = get32(i595 + 32 | 0) | 0;
          if (!i48) break L2473;
          i593 = get32(i55 | 0) | 0;
          i594 = i594 + 1 | 0;
          i595 = i48;
         }
        } while (0);
        i52 = get32(i52 | 0) | 0;
       } while ((i52 | 0) != 0);
      }
      i56 = i56 + 1 | 0;
     } while ((i56 | 0) < (get32(i58 | 0) | 0));
    }
    i58 = get32(i55 | 0) | 0;
    i56 = get32(i44 | 0) | 0;
    do if ((i58 + 4 | 0) > (i56 | 0)) {
     i33 = i37 + 4 | 0;
     i36 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i33 | 0) | 0, (i56 | 0) == 0 ? 1020 : i56 * 40 | 0) | 0;
     if (!i36) {
      i42 = get32(i55 | 0) | 0;
      if ((i42 | 0) > 0) {
       i612 = 0;
       i613 = i33;
       i614 = i42;
       i30 = 1850;
       break;
      }
      i615 = 0;
      i616 = i42;
      i617 = get32(i33 | 0) | 0;
      break;
     }
     i42 = get32(i37 | 0) | 0;
     do if (!i42) i30 = 1839; else {
      if ((get32(i42 + 260 | 0) | 0) >>> 0 > i36 >>> 0) {
       i30 = 1839;
       break;
      }
      if ((get32(i42 + 264 | 0) | 0) >>> 0 <= i36 >>> 0) {
       i30 = 1839;
       break;
      }
      i618 = getU16(i42 + 232 | 0) | 0;
     } while (0);
     if ((i30 | 0) == 1839) i618 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i36) | 0;
     set32(i44 | 0, (i618 >>> 0) / 20 | 0 | 0);
     set32(i33 | 0, i36 | 0);
     i619 = i33;
     i620 = get32(i55 | 0) | 0;
     i30 = 1841;
    } else {
     i619 = i37 + 4 | 0;
     i620 = i58;
     i30 = 1841;
    } while (0);
    if ((i30 | 0) == 1841) {
     i58 = 0;
     i44 = 34430;
     while (1) {
      i56 = get8(i44 + 2 >> 0 | 0) | 0;
      i42 = i56 << 24 >> 24;
      i51 = i58 + i620 | 0;
      i52 = get32(i619 | 0) | 0;
      i35 = get8(i44 >> 0 | 0) | 0;
      set8(i52 + (i51 * 20 | 0) >> 0 | 0, i35 | 0);
      set32(i52 + (i51 * 20 | 0) + 4 | 0, get8(i44 + 1 >> 0 | 0) | 0);
      do if (i56 << 24 >> 24 < 0) {
       if (!(get8(25464 + (i35 & 255) >> 0 | 0) & 1)) {
        i30 = 1845;
        break;
       }
       set32(i52 + (i51 * 20 | 0) + 8 | 0, i620 + ~i42 | 0);
      } else i30 = 1845; while (0);
      if ((i30 | 0) == 1845) {
       i30 = 0;
       set32(i52 + (i51 * 20 | 0) + 8 | 0, i42 | 0);
      }
      set32(i52 + (i51 * 20 | 0) + 12 | 0, get8(i44 + 3 >> 0 | 0) | 0);
      set8(i52 + (i51 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      set32(i52 + (i51 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i52 + (i51 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      i58 = i58 + 1 | 0;
      if ((i58 | 0) == 4) break; else i44 = i44 + 4 | 0;
     }
     i44 = i620 + 4 | 0;
     set32(i55 | 0, i44 | 0);
     i612 = i620;
     i613 = i37 + 4 | 0;
     i614 = i44;
     i30 = 1850;
    }
    if ((i30 | 0) == 1850) {
     i44 = get32(i613 | 0) | 0;
     set32(i44 + (i612 * 20 | 0) + 8 | 0, 0 - (get32(i26 | 0) | 0) | 0);
     i615 = i612;
     i616 = i614;
     i617 = i44;
    }
    i44 = i615 + 1 | 0;
    if ((i616 | 0) <= (i44 | 0)) {
     if (!i617) break L293;
    } else set32(i617 + (i44 * 20 | 0) + 8 | 0, i616 | 0);
    i44 = get32(i37 | 0) | 0;
    if (get8(i44 + 30 >> 0 | 0) | 0) break L293;
    i58 = (i615 | 0) < -2 ? i616 + -1 | 0 : i615 + 2 | 0;
    i35 = i617 + (i58 * 20 | 0) + 1 | 0;
    i56 = i617 + (i58 * 20 | 0) + 16 | 0;
    _freeP4(i44, get8(i35 >> 0 | 0) | 0, get32(i56 | 0) | 0);
    set32(i56 | 0, 34611 | 0);
    set8(i35 >> 0 | 0, -2 | 0);
    break L293;
   } while (0);
   i35 = get32(i1 | 0) | 0;
   do if (!(get8(i35 + 124 >> 0 | 0) | 0)) {
    i56 = _sqlite3Init(i35, i1 + 8 | 0) | 0;
    if (!i56) break;
    set32(i1 + 4 | 0, i56 | 0);
    i56 = i1 + 64 | 0;
    set32(i56 | 0, (get32(i56 | 0) | 0) + 1 | 0);
    break L286;
   } while (0);
   i35 = get32(i1 + 424 | 0) | 0;
   i56 = (i35 | 0) == 0 ? i1 : i35;
   i35 = i56 + 348 | 0;
   L2758 : do if (!(get32(i35 | 0) | 0)) {
    i44 = i56 + 12 | 0;
    i58 = get32(i44 | 0) | 0;
    do if (!i58) {
     i33 = get32(i56 | 0) | 0;
     L2762 : do if (!i33) {
      if (!(get32(50 * 4 | 0) | 0)) {
       i621 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
       i30 = 341;
       break;
      }
      i36 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
      set32(35 * 4 | 0, 192 | 0);
      if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
      i32 = get32(6 * 4 | 0) | 0;
      do if (i32) {
       i28 = get32(30 * 4 | 0) | 0;
       i40 = ((i28 | 0) < 0) << 31 >> 31;
       i50 = 16;
       i48 = _i64Subtract(get32(i50 | 0) | 0, get32(i50 + 4 | 0) | 0, i36 | 0, ((i36 | 0) < 0) << 31 >> 31 | 0) | 0;
       i50 = tempRet0;
       if ((i40 | 0) < (i50 | 0) | (i40 | 0) == (i50 | 0) & i28 >>> 0 < i48 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i48 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i32 & 15](i48, i28, i40, i36);
        set32(6 * 4 | 0, i32 | 0);
        set32(7 * 4 | 0, i48 | 0);
        break;
       }
      } while (0);
      i32 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i36) | 0;
      if (!i32) {
       i30 = 351;
       break;
      }
      i48 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i32) | 0;
      i40 = (get32(30 * 4 | 0) | 0) + i48 | 0;
      set32(30 * 4 | 0, i40 | 0);
      if ((i40 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i40 | 0);
      i40 = get32(39 * 4 | 0) | 0;
      i48 = i40 + 1 | 0;
      set32(39 * 4 | 0, i48 | 0);
      if ((i40 | 0) < (get32(49 * 4 | 0) | 0)) {
       i622 = i32;
       break;
      }
      set32(49 * 4 | 0, i48 | 0);
      i622 = i32;
     } else {
      i32 = i33 + 30 | 0;
      if (get8(i32 >> 0 | 0) | 0) {
       i30 = 351;
       break;
      }
      do if (get8(i33 + 234 >> 0 | 0) | 0) {
       if ((getU16(i33 + 232 | 0) | 0) < 192) {
        i48 = i33 + 248 | 0;
        set32(i48 | 0, (get32(i48 | 0) | 0) + 1 | 0);
        break;
       }
       i48 = i33 + 256 | 0;
       i40 = get32(i48 | 0) | 0;
       if (!i40) {
        i28 = i33 + 252 | 0;
        set32(i28 | 0, (get32(i28 | 0) | 0) + 1 | 0);
        break;
       }
       set32(i48 | 0, get32(i40 | 0) | 0);
       i48 = i33 + 236 | 0;
       i28 = get32(i48 | 0) | 0;
       i50 = i28 + 1 | 0;
       set32(i48 | 0, i50 | 0);
       i48 = i33 + 244 | 0;
       set32(i48 | 0, (get32(i48 | 0) | 0) + 1 | 0);
       i48 = i33 + 240 | 0;
       if ((i28 | 0) >= (get32(i48 | 0) | 0)) set32(i48 | 0, i50 | 0);
       i621 = i40;
       i30 = 341;
       break L2762;
      } while (0);
      do if (!(get32(50 * 4 | 0) | 0)) {
       i36 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
       if (i36) {
        i622 = i36;
        break L2762;
       }
      } else {
       i36 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
       set32(35 * 4 | 0, 192 | 0);
       if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
       i40 = get32(6 * 4 | 0) | 0;
       do if (i40) {
        i50 = get32(30 * 4 | 0) | 0;
        i48 = ((i50 | 0) < 0) << 31 >> 31;
        i28 = 16;
        i519 = _i64Subtract(get32(i28 | 0) | 0, get32(i28 + 4 | 0) | 0, i36 | 0, ((i36 | 0) < 0) << 31 >> 31 | 0) | 0;
        i28 = tempRet0;
        if ((i48 | 0) < (i28 | 0) | (i48 | 0) == (i28 | 0) & i50 >>> 0 < i519 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i519 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i40 & 15](i519, i50, i48, i36);
         set32(6 * 4 | 0, i40 | 0);
         set32(7 * 4 | 0, i519 | 0);
         break;
        }
       } while (0);
       i40 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i36) | 0;
       if (!i40) break;
       i519 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i40) | 0;
       i48 = (get32(30 * 4 | 0) | 0) + i519 | 0;
       set32(30 * 4 | 0, i48 | 0);
       if ((i48 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i48 | 0);
       i48 = get32(39 * 4 | 0) | 0;
       i519 = i48 + 1 | 0;
       set32(39 * 4 | 0, i519 | 0);
       if ((i48 | 0) < (get32(49 * 4 | 0) | 0)) {
        i622 = i40;
        break L2762;
       }
       set32(49 * 4 | 0, i519 | 0);
       i622 = i40;
       break L2762;
      } while (0);
      set8(i32 >> 0 | 0, 1 | 0);
      i30 = 351;
     } while (0);
     if ((i30 | 0) == 341) if (!i621) i30 = 351; else i622 = i621;
     if ((i30 | 0) == 351) {
      set32(i44 | 0, 0 | 0);
      break L2758;
     }
     _memset(i622 | 0, 0, 192) | 0;
     set32(i622 | 0, i33 | 0);
     i51 = i33 + 136 | 0;
     i52 = get32(i51 | 0) | 0;
     if (i52) set32(i52 + 60 | 0, i622 | 0);
     set32(i622 + 64 | 0, i52 | 0);
     set32(i622 + 60 | 0, 0 | 0);
     set32(i51 | 0, i622 | 0);
     set32(i622 + 52 | 0, 649915045 | 0);
     set32(i44 | 0, i622 | 0);
     i51 = i622 + 28 | 0;
     i52 = i622 + 32 | 0;
     i42 = i622 + 4 | 0;
     i40 = _sqlite3DbRealloc(i33, 0, 1020) | 0;
     if (!i40) {
      i623 = i622;
      break;
     }
     i519 = get32(i622 | 0) | 0;
     do if (!i519) i30 = 349; else {
      if ((get32(i519 + 260 | 0) | 0) >>> 0 > i40 >>> 0) {
       i30 = 349;
       break;
      }
      if ((get32(i519 + 264 | 0) | 0) >>> 0 <= i40 >>> 0) {
       i30 = 349;
       break;
      }
      i624 = getU16(i519 + 232 | 0) | 0;
     } while (0);
     if ((i30 | 0) == 349) i624 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i40) | 0;
     set32(i52 | 0, (i624 >>> 0) / 20 | 0 | 0);
     set32(i42 | 0, i40 | 0);
     set32(i51 | 0, (get32(i51 | 0) | 0) + 1 | 0);
     set8(i40 >> 0 | 0, -120 | 0);
     set8(i40 + 1 >> 0 | 0, 0 | 0);
     i219 = i40 + 3 | 0;
     i220 = i219 + 17 | 0;
     do {
      set8(i219 >> 0 | 0, 0 | 0);
      i219 = i219 + 1 | 0;
     } while ((i219 | 0) < (i220 | 0));
     i623 = i622;
    } else i623 = i58; while (0);
    i58 = i623 + 28 | 0;
    i44 = get32(i58 | 0) | 0;
    i55 = i623 + 32 | 0;
    i40 = get32(i55 | 0) | 0;
    do if ((i40 | 0) > (i44 | 0)) {
     i625 = i44;
     i626 = get32(i623 + 4 | 0) | 0;
     i30 = 361;
    } else {
     i51 = i623 + 4 | 0;
     i42 = _sqlite3DbRealloc(get32(i623 | 0) | 0, get32(i51 | 0) | 0, (i40 | 0) == 0 ? 1020 : i40 * 40 | 0) | 0;
     if (!i42) {
      i627 = 1;
      break;
     }
     i52 = get32(i623 | 0) | 0;
     do if (!i52) i30 = 359; else {
      if ((get32(i52 + 260 | 0) | 0) >>> 0 > i42 >>> 0) {
       i30 = 359;
       break;
      }
      if ((get32(i52 + 264 | 0) | 0) >>> 0 <= i42 >>> 0) {
       i30 = 359;
       break;
      }
      i628 = getU16(i52 + 232 | 0) | 0;
     } while (0);
     if ((i30 | 0) == 359) i628 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i42) | 0;
     set32(i55 | 0, (i628 >>> 0) / 20 | 0 | 0);
     set32(i51 | 0, i42 | 0);
     i625 = get32(i58 | 0) | 0;
     i626 = i42;
     i30 = 361;
    } while (0);
    if ((i30 | 0) == 361) {
     set32(i58 | 0, i625 + 1 | 0);
     set8(i626 + (i44 * 20 | 0) >> 0 | 0, 1 | 0);
     set8(i626 + (i44 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i219 = i626 + (i44 * 20 | 0) + 3 | 0;
     i220 = i219 + 17 | 0;
     do {
      set8(i219 >> 0 | 0, 0 | 0);
      i219 = i219 + 1 | 0;
     } while ((i219 | 0) < (i220 | 0));
     i627 = i44;
    }
    set32(i35 | 0, i627 + 1 | 0);
    i30 = 363;
   } else i30 = 363; while (0);
   do if ((i30 | 0) == 363) {
    if ((i39 | 0) <= -1) break;
    i35 = 1 << i39;
    i58 = i56 + 340 | 0;
    i55 = get32(i58 | 0) | 0;
    if (i55 & i35) break;
    i40 = get32(i56 | 0) | 0;
    set32(i58 | 0, i55 | i35 | 0);
    set32(i56 + 352 + (i39 << 2) | 0, get32(get32((get32(i40 + 8 | 0) | 0) + (i39 << 4) + 12 | 0) | 0) | 0);
    if (!i38) break;
    i40 = get32(i56 | 0) | 0;
    i35 = i40 + 8 | 0;
    do if (!(get32((get32(i35 | 0) | 0) + 20 | 0) | 0)) {
     if (get8(i56 + 484 >> 0 | 0) | 0) break;
     i55 = _sqlite3BtreeOpen(get32(i40 | 0) | 0, 0, i40, i22, 0, 542) | 0;
     if (i55) {
      _sqlite3ErrorMsg(i56, 19482, i15);
      set32(i56 + 4 | 0, i55 | 0);
      break;
     }
     i55 = get32(i22 | 0) | 0;
     set32((get32(i35 | 0) | 0) + 20 | 0, i55 | 0);
     i58 = get32(i40 + 36 | 0) | 0;
     i52 = get32(i55 + 4 | 0) | 0;
     set32(i52 + 4 | 0, get32(i55 | 0) | 0);
     if (get8(i52 + 17 >> 0 | 0) | 0) break;
     i55 = i52 + 36 | 0;
     i519 = i52 + 40 | 0;
     i33 = (get32(i55 | 0) | 0) - (get32(i519 | 0) | 0) | 0;
     do if ((i58 + -512 | 0) >>> 0 < 65025) {
      if (i58 + -1 & i58) break;
      set32(i55 | 0, i58 | 0);
      i48 = i52 + 88 | 0;
      i50 = get32(i48 | 0) | 0;
      do if (i50) {
       if ((get32(379 * 4 | 0) | 0) >>> 0 <= i50 >>> 0 & (get32(380 * 4 | 0) | 0) >>> 0 > i50 >>> 0) {
        i28 = (get32(31 * 4 | 0) | 0) + -1 | 0;
        set32(31 * 4 | 0, i28 | 0);
        if ((i28 | 0) > (get32(41 * 4 | 0) | 0)) set32(41 * 4 | 0, i28 | 0);
        set32(i50 | 0, get32(383 * 4 | 0) | 0);
        set32(383 * 4 | 0, i50 | 0);
        i28 = (get32(382 * 4 | 0) | 0) + 1 | 0;
        set32(382 * 4 | 0, i28 | 0);
        set32(384 * 4 | 0, (i28 | 0) < (get32(378 * 4 | 0) | 0) & 1 | 0);
        break;
       }
       i28 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i50) | 0;
       i19 = (get32(32 * 4 | 0) | 0) - i28 | 0;
       set32(32 * 4 | 0, i19 | 0);
       if ((i19 | 0) > (get32(42 * 4 | 0) | 0)) set32(42 * 4 | 0, i19 | 0);
       if (!(get32(50 * 4 | 0) | 0)) {
        FUNCTION_TABLE_vi[get32(232 | 0) & 31](i50);
        break;
       }
       i19 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i50) | 0;
       i28 = (get32(30 * 4 | 0) | 0) - i19 | 0;
       set32(30 * 4 | 0, i28 | 0);
       if ((i28 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i28 | 0);
       i28 = (get32(39 * 4 | 0) | 0) + -1 | 0;
       set32(39 * 4 | 0, i28 | 0);
       if ((i28 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i28 | 0);
       FUNCTION_TABLE_vi[get32(232 | 0) & 31](i50);
      } while (0);
      set32(i48 | 0, 0 | 0);
     } while (0);
     i58 = _sqlite3PagerSetPagesize(get32(i52 | 0) | 0, i55, i33) | 0;
     set32(i519 | 0, (get32(i55 | 0) | 0) - (i33 & 65535) | 0);
     if ((i58 | 0) != 7) break;
     set8(i40 + 30 >> 0 | 0, 1 | 0);
    } while (0);
   } while (0);
   i56 = (get32(i34 | 0) | 0) + 1 | 0;
   set32(i34 | 0, i56 | 0);
   do if ((get8(i49 >> 0 | 0) | 0) == 112) {
    i40 = i37 + 28 | 0;
    i35 = get32(i40 | 0) | 0;
    i44 = i37 + 32 | 0;
    i58 = get32(i44 | 0) | 0;
    if ((i58 | 0) > (i35 | 0)) {
     i629 = i35;
     i630 = get32(i37 + 4 | 0) | 0;
    } else {
     i42 = i37 + 4 | 0;
     i51 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i42 | 0) | 0, (i58 | 0) == 0 ? 1020 : i58 * 40 | 0) | 0;
     if (!i51) {
      i631 = i40;
      i632 = i44;
      break;
     }
     i58 = get32(i37 | 0) | 0;
     do if (!i58) i30 = 399; else {
      if ((get32(i58 + 260 | 0) | 0) >>> 0 > i51 >>> 0) {
       i30 = 399;
       break;
      }
      if ((get32(i58 + 264 | 0) | 0) >>> 0 <= i51 >>> 0) {
       i30 = 399;
       break;
      }
      i633 = getU16(i58 + 232 | 0) | 0;
     } while (0);
     if ((i30 | 0) == 399) i633 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i51) | 0;
     set32(i44 | 0, (i633 >>> 0) / 20 | 0 | 0);
     set32(i42 | 0, i51 | 0);
     i629 = get32(i40 | 0) | 0;
     i630 = i51;
    }
    set32(i40 | 0, i629 + 1 | 0);
    set8(i630 + (i35 * 20 | 0) >> 0 | 0, -122 | 0);
    set8(i630 + (i35 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i630 + (i35 * 20 | 0) + 4 | 0, i39 | 0);
    set32(i630 + (i35 * 20 | 0) + 8 | 0, i56 | 0);
    set32(i630 + (i35 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i630 + (i35 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i630 + (i35 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i631 = i40;
    i632 = i44;
   } else {
    set32(i22 | 0, 0 | 0);
    if (!i53) i634 = 0; else {
     _sqlite3GetInt32(i53, i22) | 0;
     i634 = get32(i22 | 0) | 0;
    }
    i58 = i37 + 28 | 0;
    i50 = get32(i58 | 0) | 0;
    i32 = i37 + 32 | 0;
    i28 = get32(i32 | 0) | 0;
    if ((i28 | 0) > (i50 | 0)) {
     i635 = i50;
     i636 = get32(i37 + 4 | 0) | 0;
    } else {
     i19 = i37 + 4 | 0;
     i4 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i19 | 0) | 0, (i28 | 0) == 0 ? 1020 : i28 * 40 | 0) | 0;
     if (!i4) {
      i631 = i58;
      i632 = i32;
      break;
     }
     i28 = get32(i37 | 0) | 0;
     do if (!i28) i30 = 411; else {
      if ((get32(i28 + 260 | 0) | 0) >>> 0 > i4 >>> 0) {
       i30 = 411;
       break;
      }
      if ((get32(i28 + 264 | 0) | 0) >>> 0 <= i4 >>> 0) {
       i30 = 411;
       break;
      }
      i637 = getU16(i28 + 232 | 0) | 0;
     } while (0);
     if ((i30 | 0) == 411) i637 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i4) | 0;
     set32(i32 | 0, (i637 >>> 0) / 20 | 0 | 0);
     set32(i19 | 0, i4 | 0);
     i635 = get32(i58 | 0) | 0;
     i636 = i4;
    }
    set32(i58 | 0, i635 + 1 | 0);
    set8(i636 + (i50 * 20 | 0) >> 0 | 0, -121 | 0);
    set8(i636 + (i50 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i636 + (i50 * 20 | 0) + 4 | 0, i39 | 0);
    set32(i636 + (i50 * 20 | 0) + 8 | 0, i56 | 0);
    set32(i636 + (i50 * 20 | 0) + 12 | 0, i634 | 0);
    set32(i636 + (i50 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i636 + (i50 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i631 = i58;
    i632 = i32;
   } while (0);
   i28 = get32(i631 | 0) | 0;
   i44 = get32(i632 | 0) | 0;
   do if ((i44 | 0) > (i28 | 0)) {
    i638 = i28;
    i639 = get32(i37 + 4 | 0) | 0;
    i30 = 423;
   } else {
    i40 = i37 + 4 | 0;
    i35 = _sqlite3DbRealloc(get32(i37 | 0) | 0, get32(i40 | 0) | 0, (i44 | 0) == 0 ? 1020 : i44 * 40 | 0) | 0;
    if (!i35) break;
    i51 = get32(i37 | 0) | 0;
    do if (!i51) i30 = 421; else {
     if ((get32(i51 + 260 | 0) | 0) >>> 0 > i35 >>> 0) {
      i30 = 421;
      break;
     }
     if ((get32(i51 + 264 | 0) | 0) >>> 0 <= i35 >>> 0) {
      i30 = 421;
      break;
     }
     i640 = getU16(i51 + 232 | 0) | 0;
    } while (0);
    if ((i30 | 0) == 421) i640 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i35) | 0;
    set32(i632 | 0, (i640 >>> 0) / 20 | 0 | 0);
    set32(i40 | 0, i35 | 0);
    i638 = get32(i631 | 0) | 0;
    i639 = i35;
    i30 = 423;
   } while (0);
   if ((i30 | 0) == 423) {
    set32(i631 | 0, i638 + 1 | 0);
    set8(i639 + (i28 * 20 | 0) >> 0 | 0, 16 | 0);
    set8(i639 + (i28 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i639 + (i28 * 20 | 0) + 4 | 0, i56 | 0);
    set32(i639 + (i28 * 20 | 0) + 8 | 0, 1 | 0);
    set32(i639 + (i28 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i639 + (i28 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i639 + (i28 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   }
   _sqlite3VdbeSetNumCols(i37, 1);
   if (get8((get32(i37 | 0) | 0) + 30 >> 0 | 0) | 0) break;
   _sqlite3VdbeMemSetStr(get32(i37 + 16 | 0) | 0, i49, -1, 1, -1) | 0;
  } while (0);
  if (get8(i27 + 28 >> 0 | 0) | 0) {
   i16 = get32(i21 + (i39 << 4) + 4 | 0) | 0;
   i17 = get8(i21 + (i39 << 4) + 9 >> 0 | 0) | 0;
   i44 = get32(i27 + 12 | 0) | 0;
   i51 = i44 & 2097152;
   i32 = i44 & 4194304;
   i44 = get32(i16 + 4 | 0) | 0;
   set32(i44 + 4 | 0, get32(i16 | 0) | 0);
   i16 = get32(i44 | 0) | 0;
   if (i17 << 24 >> 24 != 1) {
    i44 = get8(i16 + 12 >> 0 | 0) | 0;
    i58 = i16 + 8 | 0;
    set8(i58 >> 0 | 0, i44 << 24 >> 24 != 0 & 1 | 0);
    if (i17 << 24 >> 24 == 3) {
     i641 = i44 << 24 >> 24 == 0 & 1;
     i642 = i58;
    } else {
     i641 = 0;
     i642 = i58;
    }
   } else {
    i58 = i16 + 8 | 0;
    set8(i58 >> 0 | 0, 1 | 0);
    i641 = 0;
    i642 = i58;
   }
   set8(i16 + 9 >> 0 | 0, i641 | 0);
   if (get8(i642 >> 0 | 0) | 0) {
    set8(i16 + 11 >> 0 | 0, 0 | 0);
    set8(i16 + 10 >> 0 | 0, 0 | 0);
    break;
   }
   if (i51) {
    set8(i16 + 11 >> 0 | 0, 3 | 0);
    set8(i16 + 10 >> 0 | 0, 3 | 0);
    break;
   }
   set8(i16 + 11 >> 0 | 0, 2 | 0);
   i51 = i16 + 10 | 0;
   if (!i32) {
    set8(i51 >> 0 | 0, 2 | 0);
    break;
   } else {
    set8(i51 >> 0 | 0, 3 | 0);
    break;
   }
  }
 } while (0);
 _sqlite3DbFree(i27, i49);
 _sqlite3DbFree(i27, i53);
 STACKTOP = i6;
 return;
}
function _sqlite3WhereBegin(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, d56 = 0.0, d57 = 0.0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, d69 = 0.0, d70 = 0.0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0, i80 = 0, i81 = 0, i82 = 0, d83 = 0.0, d84 = 0.0, i85 = 0, i86 = 0, i87 = 0, i88 = 0, i89 = 0, i90 = 0, i91 = 0, i92 = 0, i93 = 0, i94 = 0, i95 = 0, i96 = 0, i97 = 0, i98 = 0, i99 = 0, i100 = 0, i101 = 0, d102 = 0.0, d103 = 0.0, d104 = 0.0, i105 = 0, i106 = 0, i107 = 0, i108 = 0, i109 = 0, i110 = 0, i111 = 0, i112 = 0, d113 = 0.0, d114 = 0.0, i115 = 0, i116 = 0, i117 = 0, i118 = 0, i119 = 0, i120 = 0, i121 = 0, i122 = 0, i123 = 0, d124 = 0.0, d125 = 0.0, i126 = 0, i127 = 0, i128 = 0, i129 = 0, i130 = 0, i131 = 0, i132 = 0, d133 = 0.0, i134 = 0, i135 = 0, i136 = 0, i137 = 0, i138 = 0, i139 = 0, i140 = 0, i141 = 0, i142 = 0, i143 = 0, i144 = 0, i145 = 0, i146 = 0, i147 = 0, i148 = 0, i149 = 0, i150 = 0, i151 = 0, i152 = 0, i153 = 0, i154 = 0, i155 = 0, i156 = 0, i157 = 0, i158 = 0, i159 = 0, i160 = 0, i161 = 0, i162 = 0, i163 = 0, i164 = 0, i165 = 0, i166 = 0, i167 = 0, i168 = 0, i169 = 0, i170 = 0, i171 = 0, i172 = 0, i173 = 0, i174 = 0, i175 = 0, i176 = 0, i177 = 0, i178 = 0, i179 = 0, i180 = 0, i181 = 0, i182 = 0, i183 = 0, i184 = 0, i185 = 0, i186 = 0, i187 = 0, i188 = 0, i189 = 0, i190 = 0, i191 = 0, i192 = 0, i193 = 0, i194 = 0, i195 = 0, i196 = 0, i197 = 0, i198 = 0, i199 = 0, i200 = 0, i201 = 0, i202 = 0, i203 = 0, i204 = 0, i205 = 0, i206 = 0, i207 = 0, i208 = 0, i209 = 0, i210 = 0, i211 = 0, i212 = 0, i213 = 0, i214 = 0, i215 = 0, i216 = 0, i217 = 0, i218 = 0, i219 = 0, i220 = 0, i221 = 0, i222 = 0, i223 = 0, i224 = 0, i225 = 0, i226 = 0, i227 = 0, i228 = 0, i229 = 0, i230 = 0, i231 = 0, i232 = 0, i233 = 0, i234 = 0, i235 = 0, i236 = 0, i237 = 0, i238 = 0, i239 = 0, i240 = 0, i241 = 0, i242 = 0, i243 = 0, i244 = 0, i245 = 0, i246 = 0, i247 = 0, i248 = 0, i249 = 0, i250 = 0, i251 = 0, i252 = 0, i253 = 0, i254 = 0, i255 = 0, i256 = 0, i257 = 0, i258 = 0, i259 = 0, i260 = 0, i261 = 0, i262 = 0, i263 = 0, i264 = 0, i265 = 0, i266 = 0, i267 = 0, i268 = 0, i269 = 0, i270 = 0, i271 = 0, i272 = 0, i273 = 0, i274 = 0, i275 = 0, i276 = 0, i277 = 0, i278 = 0, i279 = 0, i280 = 0, i281 = 0, i282 = 0, i283 = 0, i284 = 0, i285 = 0, i286 = 0, i287 = 0, i288 = 0, i289 = 0, i290 = 0, i291 = 0, i292 = 0, i293 = 0, i294 = 0, i295 = 0, i296 = 0, i297 = 0, i298 = 0, i299 = 0, i300 = 0, i301 = 0, i302 = 0, i303 = 0, i304 = 0, i305 = 0, i306 = 0, i307 = 0, i308 = 0, i309 = 0, i310 = 0, i311 = 0, i312 = 0, i313 = 0, i314 = 0, i315 = 0, i316 = 0, i317 = 0, i318 = 0, i319 = 0, i320 = 0, i321 = 0, i322 = 0, i323 = 0, i324 = 0, i325 = 0, i326 = 0, i327 = 0, i328 = 0, i329 = 0, i330 = 0, i331 = 0, i332 = 0, i333 = 0, i334 = 0, i335 = 0, i336 = 0, i337 = 0, i338 = 0, i339 = 0, i340 = 0, i341 = 0, i342 = 0, i343 = 0, i344 = 0, i345 = 0, i346 = 0, i347 = 0, i348 = 0, i349 = 0, i350 = 0, i351 = 0, i352 = 0, i353 = 0, i354 = 0, i355 = 0, i356 = 0, i357 = 0, i358 = 0, i359 = 0, i360 = 0, i361 = 0, i362 = 0, i363 = 0, i364 = 0, i365 = 0, i366 = 0, i367 = 0, i368 = 0, i369 = 0, i370 = 0, i371 = 0, i372 = 0, i373 = 0, i374 = 0, i375 = 0, i376 = 0, i377 = 0, i378 = 0, i379 = 0, i380 = 0, i381 = 0, i382 = 0, i383 = 0, i384 = 0, i385 = 0, i386 = 0, i387 = 0, i388 = 0, i389 = 0, i390 = 0, i391 = 0, i392 = 0, i393 = 0, i394 = 0, i395 = 0, i396 = 0, i397 = 0, i398 = 0, i399 = 0, i400 = 0, i401 = 0, i402 = 0, i403 = 0, i404 = 0, i405 = 0, i406 = 0, i407 = 0, i408 = 0, i409 = 0, i410 = 0, i411 = 0, i412 = 0, i413 = 0, i414 = 0, i415 = 0, i416 = 0, i417 = 0, i418 = 0, i419 = 0, i420 = 0, i421 = 0, i422 = 0, i423 = 0, i424 = 0, i425 = 0, i426 = 0, i427 = 0, i428 = 0, i429 = 0, i430 = 0, i431 = 0, i432 = 0, i433 = 0, i434 = 0, i435 = 0, i436 = 0, i437 = 0, i438 = 0, i439 = 0, i440 = 0, i441 = 0, i442 = 0, i443 = 0, i444 = 0, i445 = 0, i446 = 0, i447 = 0, i448 = 0, i449 = 0, i450 = 0, i451 = 0, i452 = 0, i453 = 0, i454 = 0, i455 = 0, i456 = 0, i457 = 0, i458 = 0, i459 = 0, i460 = 0, i461 = 0, i462 = 0, i463 = 0, i464 = 0, i465 = 0, i466 = 0, i467 = 0, i468 = 0, i469 = 0, i470 = 0, i471 = 0, i472 = 0, i473 = 0, i474 = 0, i475 = 0, i476 = 0, i477 = 0, i478 = 0, i479 = 0, i480 = 0, i481 = 0, i482 = 0, i483 = 0, i484 = 0, i485 = 0, i486 = 0, i487 = 0, i488 = 0, i489 = 0, i490 = 0, i491 = 0, i492 = 0, i493 = 0, i494 = 0, i495 = 0, i496 = 0, i497 = 0, i498 = 0, i499 = 0, i500 = 0, i501 = 0, i502 = 0, i503 = 0, i504 = 0, i505 = 0, i506 = 0, i507 = 0, i508 = 0, i509 = 0, i510 = 0, i511 = 0, i512 = 0, i513 = 0, i514 = 0, i515 = 0, i516 = 0, i517 = 0, i518 = 0, i519 = 0, i520 = 0, i521 = 0, i522 = 0, i523 = 0, i524 = 0, i525 = 0, i526 = 0, i527 = 0, i528 = 0, i529 = 0, i530 = 0, i531 = 0, i532 = 0, i533 = 0, i534 = 0, i535 = 0, i536 = 0, i537 = 0, i538 = 0, i539 = 0, i540 = 0, i541 = 0, i542 = 0, i543 = 0, i544 = 0, i545 = 0, i546 = 0, i547 = 0, i548 = 0, i549 = 0, i550 = 0, i551 = 0, i552 = 0, i553 = 0, i554 = 0, i555 = 0, i556 = 0, i557 = 0, i558 = 0, i559 = 0, i560 = 0, i561 = 0, i562 = 0, i563 = 0, i564 = 0, i565 = 0, i566 = 0, i567 = 0, i568 = 0, i569 = 0, i570 = 0, i571 = 0, i572 = 0, i573 = 0, i574 = 0, i575 = 0, i576 = 0, i577 = 0, i578 = 0, i579 = 0, i580 = 0, i581 = 0, i582 = 0, i583 = 0, i584 = 0, i585 = 0, i586 = 0, i587 = 0, i588 = 0, i589 = 0, i590 = 0, i591 = 0, i592 = 0, i593 = 0, i594 = 0, i595 = 0, i596 = 0, i597 = 0, i598 = 0, i599 = 0, i600 = 0;
 i6 = STACKTOP;
 STACKTOP = STACKTOP + 80 | 0;
 i7 = i6 + 72 | 0;
 i8 = i6 + 64 | 0;
 i9 = i6 + 56 | 0;
 i10 = i6 + 48 | 0;
 i11 = i6 + 40 | 0;
 i12 = i6;
 i13 = i1 + 12 | 0;
 i14 = get32(i13 | 0) | 0;
 i15 = get16(i2 | 0) | 0;
 if (i15 << 16 >> 16 > 64) {
  set32(i11 | 0, 64 | 0);
  _sqlite3ErrorMsg(i1, 32334, i11);
  i16 = 0;
  STACKTOP = i6;
  return i16 | 0;
 }
 i11 = i5 & 65535;
 i17 = (i11 & 128 | 0) == 0 ? i15 << 16 >> 16 : 1;
 i15 = get32(i1 | 0) | 0;
 i18 = i17 + -1 | 0;
 i19 = (i18 * 80 | 0) + 135 & -16;
 i20 = i19 + 612 | 0;
 L5 : do if (!i15) if ((i19 + 611 | 0) >>> 0 <= 2147483390) {
  if (!(get32(50 * 4 | 0) | 0)) {
   i21 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i20) | 0;
   i22 = 42;
   break;
  }
  i23 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i20) | 0;
  set32(35 * 4 | 0, i20 | 0);
  if ((get32(45 * 4 | 0) | 0) < (i20 | 0)) set32(45 * 4 | 0, i20 | 0);
  i24 = get32(6 * 4 | 0) | 0;
  do if (i24) {
   i25 = get32(30 * 4 | 0) | 0;
   i26 = ((i25 | 0) < 0) << 31 >> 31;
   i27 = 16;
   i28 = _i64Subtract(get32(i27 | 0) | 0, get32(i27 + 4 | 0) | 0, i23 | 0, ((i23 | 0) < 0) << 31 >> 31 | 0) | 0;
   i27 = tempRet0;
   if ((i26 | 0) < (i27 | 0) | (i26 | 0) == (i27 | 0) & i25 >>> 0 < i28 >>> 0) {
    set32(11 * 4 | 0, 0 | 0);
    break;
   } else {
    set32(11 * 4 | 0, 1 | 0);
    i28 = get32(7 * 4 | 0) | 0;
    set32(6 * 4 | 0, 0 | 0);
    FUNCTION_TABLE_viiii[i24 & 15](i28, i25, i26, i23);
    set32(6 * 4 | 0, i24 | 0);
    set32(7 * 4 | 0, i28 | 0);
    break;
   }
  } while (0);
  i24 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i23) | 0;
  if (i24) {
   i28 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i24) | 0;
   i26 = (get32(30 * 4 | 0) | 0) + i28 | 0;
   set32(30 * 4 | 0, i26 | 0);
   if ((i26 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i26 | 0);
   i26 = get32(39 * 4 | 0) | 0;
   i28 = i26 + 1 | 0;
   set32(39 * 4 | 0, i28 | 0);
   if ((i26 | 0) < (get32(49 * 4 | 0) | 0)) {
    i29 = i24;
    i22 = 43;
   } else {
    set32(49 * 4 | 0, i28 | 0);
    i29 = i24;
    i22 = 43;
   }
  } else i30 = 0;
 } else i30 = 0; else {
  i24 = i15 + 30 | 0;
  if (!(get8(i24 >> 0 | 0) | 0)) {
   do if (get8(i15 + 234 >> 0 | 0) | 0) {
    if ((getU16(i15 + 232 | 0) | 0) < (i20 | 0)) {
     i28 = i15 + 248 | 0;
     set32(i28 | 0, (get32(i28 | 0) | 0) + 1 | 0);
     break;
    }
    i28 = i15 + 256 | 0;
    i26 = get32(i28 | 0) | 0;
    if (!i26) {
     i25 = i15 + 252 | 0;
     set32(i25 | 0, (get32(i25 | 0) | 0) + 1 | 0);
     break;
    }
    set32(i28 | 0, get32(i26 | 0) | 0);
    i28 = i15 + 236 | 0;
    i25 = get32(i28 | 0) | 0;
    i27 = i25 + 1 | 0;
    set32(i28 | 0, i27 | 0);
    i28 = i15 + 244 | 0;
    set32(i28 | 0, (get32(i28 | 0) | 0) + 1 | 0);
    i28 = i15 + 240 | 0;
    if ((i25 | 0) >= (get32(i28 | 0) | 0)) set32(i28 | 0, i27 | 0);
    i21 = i26;
    i22 = 42;
    break L5;
   } while (0);
   do if ((i19 + 611 | 0) >>> 0 <= 2147483390) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i23 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i20) | 0;
     if (!i23) break; else {
      i29 = i23;
      i22 = 43;
      break L5;
     }
    }
    i23 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i20) | 0;
    set32(35 * 4 | 0, i20 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i20 | 0)) set32(45 * 4 | 0, i20 | 0);
    i26 = get32(6 * 4 | 0) | 0;
    do if (i26) {
     i27 = get32(30 * 4 | 0) | 0;
     i28 = ((i27 | 0) < 0) << 31 >> 31;
     i25 = 16;
     i31 = _i64Subtract(get32(i25 | 0) | 0, get32(i25 + 4 | 0) | 0, i23 | 0, ((i23 | 0) < 0) << 31 >> 31 | 0) | 0;
     i25 = tempRet0;
     if ((i28 | 0) < (i25 | 0) | (i28 | 0) == (i25 | 0) & i27 >>> 0 < i31 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i31 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i26 & 15](i31, i27, i28, i23);
      set32(6 * 4 | 0, i26 | 0);
      set32(7 * 4 | 0, i31 | 0);
      break;
     }
    } while (0);
    i26 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i23) | 0;
    if (i26) {
     i31 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i26) | 0;
     i28 = (get32(30 * 4 | 0) | 0) + i31 | 0;
     set32(30 * 4 | 0, i28 | 0);
     if ((i28 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i28 | 0);
     i28 = get32(39 * 4 | 0) | 0;
     i31 = i28 + 1 | 0;
     set32(39 * 4 | 0, i31 | 0);
     if ((i28 | 0) < (get32(49 * 4 | 0) | 0)) {
      i29 = i26;
      i22 = 43;
      break L5;
     }
     set32(49 * 4 | 0, i31 | 0);
     i29 = i26;
     i22 = 43;
     break L5;
    }
   } while (0);
   set8(i24 >> 0 | 0, 1 | 0);
   i30 = 0;
  } else i30 = 0;
 } while (0);
 if ((i22 | 0) == 42) if (!i21) i30 = 0; else {
  i29 = i21;
  i22 = 43;
 }
 if ((i22 | 0) == 43) {
  _memset(i29 | 0, 0, i20 | 0) | 0;
  i30 = i29;
 }
 i29 = i15 + 30 | 0;
 if (get8(i29 >> 0 | 0) | 0) {
  _sqlite3DbFree(i15, i30);
  i16 = 0;
  STACKTOP = i6;
  return i16 | 0;
 }
 i20 = i30 + 24 | 0;
 set32(i20 | 0, i17 | 0);
 set32(i30 | 0, i1 | 0);
 i21 = i30 + 8 | 0;
 set32(i21 | 0, i2 | 0);
 i26 = i14 + 36 | 0;
 i31 = get32(i26 | 0) | 0;
 set32(i26 | 0, i31 + 1 | 0);
 i26 = i14 + 40 | 0;
 i28 = get32(i26 | 0) | 0;
 if ((i31 | 0) < (i28 | 0)) i32 = i14 + 44 | 0; else {
  i27 = get32(i14 | 0) | 0;
  i25 = i14 + 44 | 0;
  i33 = get32(i25 | 0) | 0;
  i34 = _sqlite3DbRealloc(i27, i33, (i28 << 3) + 20 | 0) | 0;
  if (i34) {
   set32(i25 | 0, i34 | 0);
   i28 = get32(i14 | 0) | 0;
   if (((i28 | 0) != 0 ? (get32(i28 + 260 | 0) | 0) >>> 0 <= i34 >>> 0 : 0) ? (get32(i28 + 264 | 0) | 0) >>> 0 > i34 >>> 0 : 0) i35 = getU16(i28 + 232 | 0) | 0; else i22 = 54;
  } else {
   _sqlite3DbFree(i27, i33);
   set32(i25 | 0, 0 | 0);
   i22 = 54;
  }
  if ((i22 | 0) == 54) i35 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i34) | 0;
  set32(i26 | 0, i35 >>> 2 | 0);
  i32 = i25;
 }
 i25 = get32(i32 | 0) | 0;
 if (i25) set32(i25 + (i31 << 2) | 0, -1 | 0);
 i25 = i30 + 20 | 0;
 set32(i25 | 0, ~i31 | 0);
 i31 = i30 + i19 | 0;
 i32 = i30 + 28 | 0;
 set32(i32 | 0, i31 | 0);
 set16(i30 + 4 | 0, i5 | 0);
 i35 = i1 + 448 | 0;
 i26 = i30 + 32 | 0;
 setF64(i26 | 0, +(+getF64(i35 | 0)));
 i34 = i30 + (i19 + 352) | 0;
 _memset(i34 | 0, 0, 260) | 0;
 set32(i31 | 0, i1 | 0);
 i33 = i30 + (i19 | 4) | 0;
 set32(i33 | 0, i34 | 0);
 i27 = i30 + (i19 + 20) | 0;
 set32(i27 | 0, 0 | 0);
 set32(i30 + (i19 + 24) | 0, 8 | 0);
 i28 = i30 + (i19 + 28) | 0;
 set32(i28 | 0, i30 + (i19 + 32) | 0);
 i36 = i30 + (i19 | 8) | 0;
 i19 = i36;
 set32(i19 | 0, 0 | 0);
 set32(i19 + 4 | 0, 0 | 0);
 if ((get32(i1 + 348 | 0) | 0) == 0 ? (get32((get32(i1 | 0) | 0) + 12 | 0) & 64 | 0) == 0 : 0) {
  set32(i12 | 0, 76 | 0);
  set32(i12 + 4 | 0, 0 | 0);
  set32(i12 + 8 | 0, i1 | 0);
  _sqlite3WalkExpr(i12, i3) | 0;
 }
 _whereSplit(i31, i3, 69);
 do if (i3) {
  if ((i17 | 0) != 0 ? (i19 = i12 + 12 | 0, set32(i19 | 0, 3 | 0), set32(i12 | 0, 67 | 0), set32(i12 + 4 | 0, 68 | 0), _sqlite3WalkExpr(i12, i3) | 0, (get32(i19 | 0) | 0) == 0) : 0) break;
  _sqlite3ExprIfFalse(i1, i3, get32(i25 | 0) | 0, 8);
 } while (0);
 i25 = get16(i2 | 0) | 0;
 if (i25 << 16 >> 16 > 0) {
  i3 = i25 << 16 >> 16;
  i25 = 0;
  do {
   i19 = get32(i2 + 8 + (i25 * 56 | 0) + 24 | 0) | 0;
   i37 = get32(i34 | 0) | 0;
   set32(i34 | 0, i37 + 1 | 0);
   set32(i34 + 4 + (i37 << 2) | 0, i19 | 0);
   i19 = get32(i2 + 8 + (i25 * 56 | 0) + 12 | 0) | 0;
   if ((i19 | 0) != 0 ? (get8(i19 + 34 >> 0 | 0) & 16) != 0 : 0) {
    i19 = _bitshift64Shl(1, 0, i25 | 0) | 0;
    i37 = i36;
    i38 = get32(i37 + 4 | 0) | tempRet0;
    i39 = i36;
    set32(i39 | 0, get32(i37 | 0) | i19 | 0);
    set32(i39 + 4 | 0, i38 | 0);
   }
   i25 = i25 + 1 | 0;
  } while ((i25 | 0) < (i3 | 0));
 }
 i3 = get32(i27 | 0) | 0;
 if ((i3 | 0) > 0) {
  i25 = i3;
  do {
   i3 = i25;
   i25 = i25 + -1 | 0;
   _exprAnalyze(i31, i25);
  } while ((i3 | 0) > 1);
 }
 L107 : do if (!(get8(i29 >> 0 | 0) | 0)) {
  i25 = i30 + 48 | 0;
  i3 = (i17 | 0) > 0;
  L109 : do if (i3) {
   i36 = (i4 | 0) != 0;
   i38 = i12 + 32 | 0;
   i39 = i12 + 4 | 0;
   i19 = i12 + 8 | 0;
   i37 = i12 + 16 | 0;
   i40 = i12 + 24 | 0;
   i41 = i1 + 68 | 0;
   i42 = -1;
   i43 = -1;
   i44 = -1;
   i45 = 0;
   i46 = 0;
   i47 = i25;
   while (1) {
    i48 = i36 & (i45 | 0) == 0;
    i49 = 0;
    i50 = 0;
    i51 = 0;
    i52 = 0;
    i53 = -1;
    i54 = 0;
    i55 = 0;
    d56 = 0.0;
    d57 = 1.e+99;
    i58 = i46;
    i59 = (i46 | 0) < (i18 | 0) & 1;
    i60 = 0;
    while (1) {
     L115 : do if ((i58 | 0) < (i17 | 0)) {
      i61 = (i59 | 0) != 0;
      i62 = i49;
      i63 = i50;
      i64 = i51;
      i65 = i52;
      i66 = i53;
      i67 = i54;
      i68 = i55;
      d69 = d56;
      d70 = d57;
      i71 = i58;
      i72 = i58;
      i73 = i60;
      i74 = i2 + 8 + (i58 * 56 | 0) | 0;
      while (1) {
       i75 = (get8(i74 + 21 >> 0 | 0) & 10) != 0;
       if ((i72 | 0) != (i71 | 0) & i75) {
        i76 = i64;
        i77 = i65;
        i78 = i62;
        i79 = i63;
        i80 = i66;
        i81 = i67;
        i82 = i68;
        d83 = d69;
        d84 = d70;
        i85 = i71;
        i86 = i73;
        break;
       }
       i87 = get32(i74 + 24 | 0) | 0;
       i88 = get32(i34 | 0) | 0;
       L120 : do if ((i88 | 0) > 0) {
        i89 = 0;
        while (1) {
         if ((get32(i34 + 4 + (i89 << 2) | 0) | 0) == (i87 | 0)) {
          i90 = i89;
          break;
         }
         i89 = i89 + 1 | 0;
         if ((i89 | 0) >= (i88 | 0)) {
          i91 = 0;
          i92 = 0;
          break L120;
         }
        }
        i89 = _bitshift64Shl(1, 0, i90 | 0) | 0;
        i91 = i89;
        i92 = tempRet0;
       } else {
        i91 = 0;
        i92 = 0;
       } while (0);
       if (!((i91 & i42 | 0) == 0 & (i92 & i43 | 0) == 0)) {
        i88 = i61 ? i91 : i42;
        i87 = i61 ? i92 : i43;
        if (i48) i93 = get32(i4 | 0) | 0; else i93 = 0;
        i89 = i74 + 52 | 0;
        i94 = ((get32(i89 | 0) | 0) == 0 & 1) + i73 | 0;
        if (!(get8((get32(i74 + 12 | 0) | 0) + 34 >> 0 | 0) & 16)) _bestBtreeIndex(i1, i31, i74, i88, i87, i42, i43, i93, i12); else _bestVirtualIndex(i1, i31, i74, i88, i87, i42, i43, i93, i12, i25 + (i72 * 80 | 0) + 72 | 0);
        if (i61) {
         i87 = (get32(i12 | 0) & 269430784 | 0) == 0;
         i95 = (i87 ? i91 : 0) | i62;
         i96 = (i87 ? i92 : 0) | i63;
        } else {
         i95 = i62;
         i96 = i63;
        }
        i87 = i38;
        L139 : do if ((get32(i87 | 0) & i42 | 0) == 0 ? (get32(i87 + 4 | 0) & i43 | 0) == 0 : 0) {
         i88 = (i66 | 0) < 0;
         if (!((i67 & 269430784 | 0) == 0 | (i88 | ((i95 & i91 | 0) != 0 | (i96 & i92 | 0) != 0))) ? (get32(i12 | 0) & 269430784 | 0) == 0 : 0) {
          i97 = i64;
          i98 = i65;
          i99 = i66;
          i100 = i67;
          i101 = i68;
          d102 = d69;
          d103 = d70;
          break;
         }
         do if (i94) {
          if (!(get32(i89 | 0) | 0)) break;
          if (!(get32(i12 | 0) & 269430784)) {
           i97 = i64;
           i98 = i65;
           i99 = i66;
           i100 = i67;
           i101 = i68;
           d102 = d69;
           d103 = d70;
           break L139;
          }
         } while (0);
         d104 = +getF64(i40 | 0);
         if (!(i88 | d104 < d70) ? !(d104 <= d70 ? +getF64(i19 | 0) < d69 : 0) : 0) {
          i97 = i64;
          i98 = i65;
          i99 = i66;
          i100 = i67;
          i101 = i68;
          d102 = d69;
          d103 = d70;
          break;
         }
         i105 = i37;
         i97 = get32(i105 | 0) | 0;
         i98 = get32(i105 + 4 | 0) | 0;
         i99 = i72;
         i100 = get32(i12 | 0) | 0;
         i101 = get32(i39 | 0) | 0;
         d102 = +getF64(i19 | 0);
         d103 = d104;
        } else {
         i97 = i64;
         i98 = i65;
         i99 = i66;
         i100 = i67;
         i101 = i68;
         d102 = d69;
         d103 = d70;
        } while (0);
        if (i75) {
         i106 = i97;
         i107 = i98;
         i108 = i95;
         i109 = i96;
         i110 = i99;
         i111 = i100;
         i112 = i101;
         d113 = d102;
         d114 = d103;
         i115 = i71;
         i116 = i94;
         break L115;
        } else {
         i117 = i95;
         i118 = i96;
         i119 = i97;
         i120 = i98;
         i121 = i99;
         i122 = i100;
         i123 = i101;
         d124 = d102;
         d125 = d103;
         i126 = i71;
         i127 = i94;
        }
       } else {
        i117 = i62;
        i118 = i63;
        i119 = i64;
        i120 = i65;
        i121 = i66;
        i122 = i67;
        i123 = i68;
        d124 = d69;
        d125 = d70;
        i126 = ((i72 | 0) == (i71 | 0) & 1) + i71 | 0;
        i127 = i73;
       }
       i72 = i72 + 1 | 0;
       if ((i72 | 0) >= (i17 | 0)) {
        i106 = i119;
        i107 = i120;
        i108 = i117;
        i109 = i118;
        i110 = i121;
        i111 = i122;
        i112 = i123;
        d113 = d124;
        d114 = d125;
        i115 = i126;
        i116 = i127;
        break L115;
       } else {
        i62 = i117;
        i63 = i118;
        i64 = i119;
        i65 = i120;
        i66 = i121;
        i67 = i122;
        i68 = i123;
        d69 = d124;
        d70 = d125;
        i71 = i126;
        i73 = i127;
        i74 = i74 + 56 | 0;
       }
      }
      i106 = i76;
      i107 = i77;
      i108 = i78;
      i109 = i79;
      i110 = i80;
      i111 = i81;
      i112 = i82;
      d113 = d83;
      d114 = d84;
      i115 = i85;
      i116 = i86;
     } else {
      i106 = i51;
      i107 = i52;
      i108 = i49;
      i109 = i50;
      i110 = i53;
      i111 = i54;
      i112 = i55;
      d113 = d56;
      d114 = d57;
      i115 = i58;
      i116 = i60;
     } while (0);
     if ((i110 | 0) < 0 & (i59 | 0) > 0) {
      i49 = i108;
      i50 = i109;
      i51 = i106;
      i52 = i107;
      i53 = i110;
      i54 = i111;
      i55 = i112;
      d56 = d113;
      d57 = d114;
      i58 = i115;
      i59 = i59 + -1 | 0;
      i60 = i116;
     } else {
      i128 = i106;
      i129 = i107;
      i130 = i110;
      i131 = i111;
      i132 = i112;
      d133 = d113;
      i134 = i115;
      break;
     }
    }
    if (i131 & 16777216) set32(i4 | 0, 0 | 0);
    i60 = i131 & i44;
    set32(i47 | 0, i131 | 0);
    set32(i47 + 4 | 0, i132 | 0);
    setF64(i47 + 8 | 0, +d133);
    i59 = i47 + 16 | 0;
    set32(i59 | 0, i128 | 0);
    set32(i59 + 4 | 0, i129 | 0);
    if (!(i131 & 537853952)) i135 = -1; else {
     i59 = get32(i41 | 0) | 0;
     set32(i41 | 0, i59 + 1 | 0);
     i135 = i59;
    }
    set32(i47 + 32 | 0, i135 | 0);
    i59 = get32(i2 + 8 + (i130 * 56 | 0) + 24 | 0) | 0;
    i58 = get32(i34 | 0) | 0;
    L162 : do if ((i58 | 0) > 0) {
     i55 = 0;
     while (1) {
      if ((get32(i34 + 4 + (i55 << 2) | 0) | 0) == (i59 | 0)) {
       i136 = i55;
       break;
      }
      i55 = i55 + 1 | 0;
      if ((i55 | 0) >= (i58 | 0)) {
       i137 = 0;
       i138 = 0;
       break L162;
      }
     }
     i55 = _bitshift64Shl(1, 0, i136 | 0) | 0;
     i137 = i55;
     i138 = tempRet0;
    } else {
     i137 = 0;
     i138 = 0;
    } while (0);
    set8(i47 + 52 >> 0 | 0, i130 | 0);
    if (d133 >= 1.0) setF64(i35 | 0, +(d133 * +getF64(i35 | 0)));
    i58 = get32(i2 + 8 + (i130 * 56 | 0) + 52 | 0) | 0;
    if ((i131 & 983040 | 0) == 0 & (i58 | 0) != 0) {
     i139 = i58;
     break;
    }
    i58 = i45 + 1 | 0;
    if ((i58 | 0) < (i17 | 0)) {
     i42 = i42 & ~i137;
     i43 = i43 & ~i138;
     i44 = i60;
     i45 = i58;
     i46 = i134;
     i47 = i47 + 80 | 0;
    } else {
     i140 = i60;
     break L109;
    }
   }
   set32(i10 | 0, get32(i139 | 0) | 0);
   _sqlite3ErrorMsg(i1, 32362, i10);
   i22 = 1743;
   break L107;
  } else i140 = -1; while (0);
  i24 = i1 + 64 | 0;
  if ((get32(i24 | 0) | 0) == 0 ? (get8(i29 >> 0 | 0) | 0) == 0 : 0) {
   i47 = (i140 & 67108864 | 0) != 0;
   if ((i4 | 0) != 0 & i47) set32(i4 | 0, 0 | 0);
   if (!((i11 & 4 | 0) == 0 | i47 ^ 1)) {
    set8(i30 + 6 >> 0 | 0, 1 | 0);
    set32(i25 | 0, get32(i25 | 0) & -8388609 | 0);
   }
   i47 = i1 + 424 | 0;
   i46 = get32(i47 | 0) | 0;
   i45 = (i46 | 0) == 0 ? i1 : i46;
   i46 = i45 + 348 | 0;
   L182 : do if (!(get32(i46 | 0) | 0)) {
    i44 = i45 + 12 | 0;
    i43 = get32(i44 | 0) | 0;
    do if (!i43) {
     i42 = get32(i45 | 0) | 0;
     L186 : do if (!i42) {
      if (!(get32(50 * 4 | 0) | 0)) {
       i141 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
       i22 = 164;
       break;
      }
      i41 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
      set32(35 * 4 | 0, 192 | 0);
      if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
      i19 = get32(6 * 4 | 0) | 0;
      do if (i19) {
       i39 = get32(30 * 4 | 0) | 0;
       i37 = ((i39 | 0) < 0) << 31 >> 31;
       i40 = 16;
       i38 = _i64Subtract(get32(i40 | 0) | 0, get32(i40 + 4 | 0) | 0, i41 | 0, ((i41 | 0) < 0) << 31 >> 31 | 0) | 0;
       i40 = tempRet0;
       if ((i37 | 0) < (i40 | 0) | (i37 | 0) == (i40 | 0) & i39 >>> 0 < i38 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i38 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i19 & 15](i38, i39, i37, i41);
        set32(6 * 4 | 0, i19 | 0);
        set32(7 * 4 | 0, i38 | 0);
        break;
       }
      } while (0);
      i19 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i41) | 0;
      if (!i19) {
       i22 = 174;
       break;
      }
      i38 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i19) | 0;
      i37 = (get32(30 * 4 | 0) | 0) + i38 | 0;
      set32(30 * 4 | 0, i37 | 0);
      if ((i37 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i37 | 0);
      i37 = get32(39 * 4 | 0) | 0;
      i38 = i37 + 1 | 0;
      set32(39 * 4 | 0, i38 | 0);
      if ((i37 | 0) < (get32(49 * 4 | 0) | 0)) {
       i142 = i19;
       break;
      }
      set32(49 * 4 | 0, i38 | 0);
      i142 = i19;
     } else {
      i19 = i42 + 30 | 0;
      if (get8(i19 >> 0 | 0) | 0) {
       i22 = 174;
       break;
      }
      do if (get8(i42 + 234 >> 0 | 0) | 0) {
       if ((getU16(i42 + 232 | 0) | 0) < 192) {
        i38 = i42 + 248 | 0;
        set32(i38 | 0, (get32(i38 | 0) | 0) + 1 | 0);
        break;
       }
       i38 = i42 + 256 | 0;
       i37 = get32(i38 | 0) | 0;
       if (!i37) {
        i39 = i42 + 252 | 0;
        set32(i39 | 0, (get32(i39 | 0) | 0) + 1 | 0);
        break;
       }
       set32(i38 | 0, get32(i37 | 0) | 0);
       i38 = i42 + 236 | 0;
       i39 = get32(i38 | 0) | 0;
       i40 = i39 + 1 | 0;
       set32(i38 | 0, i40 | 0);
       i38 = i42 + 244 | 0;
       set32(i38 | 0, (get32(i38 | 0) | 0) + 1 | 0);
       i38 = i42 + 240 | 0;
       if ((i39 | 0) >= (get32(i38 | 0) | 0)) set32(i38 | 0, i40 | 0);
       i141 = i37;
       i22 = 164;
       break L186;
      } while (0);
      do if (!(get32(50 * 4 | 0) | 0)) {
       i41 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
       if (i41) {
        i142 = i41;
        break L186;
       }
      } else {
       i41 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
       set32(35 * 4 | 0, 192 | 0);
       if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
       i37 = get32(6 * 4 | 0) | 0;
       do if (i37) {
        i40 = get32(30 * 4 | 0) | 0;
        i38 = ((i40 | 0) < 0) << 31 >> 31;
        i39 = 16;
        i36 = _i64Subtract(get32(i39 | 0) | 0, get32(i39 + 4 | 0) | 0, i41 | 0, ((i41 | 0) < 0) << 31 >> 31 | 0) | 0;
        i39 = tempRet0;
        if ((i38 | 0) < (i39 | 0) | (i38 | 0) == (i39 | 0) & i40 >>> 0 < i36 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i36 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i37 & 15](i36, i40, i38, i41);
         set32(6 * 4 | 0, i37 | 0);
         set32(7 * 4 | 0, i36 | 0);
         break;
        }
       } while (0);
       i37 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i41) | 0;
       if (!i37) break;
       i36 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i37) | 0;
       i38 = (get32(30 * 4 | 0) | 0) + i36 | 0;
       set32(30 * 4 | 0, i38 | 0);
       if ((i38 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i38 | 0);
       i38 = get32(39 * 4 | 0) | 0;
       i36 = i38 + 1 | 0;
       set32(39 * 4 | 0, i36 | 0);
       if ((i38 | 0) < (get32(49 * 4 | 0) | 0)) {
        i142 = i37;
        break L186;
       }
       set32(49 * 4 | 0, i36 | 0);
       i142 = i37;
       break L186;
      } while (0);
      set8(i19 >> 0 | 0, 1 | 0);
      i22 = 174;
     } while (0);
     if ((i22 | 0) == 164) if (!i141) i22 = 174; else i142 = i141;
     if ((i22 | 0) == 174) {
      set32(i44 | 0, 0 | 0);
      break L182;
     }
     _memset(i142 | 0, 0, 192) | 0;
     set32(i142 | 0, i42 | 0);
     i60 = i42 + 136 | 0;
     i37 = get32(i60 | 0) | 0;
     if (i37) set32(i37 + 60 | 0, i142 | 0);
     set32(i142 + 64 | 0, i37 | 0);
     set32(i142 + 60 | 0, 0 | 0);
     set32(i60 | 0, i142 | 0);
     set32(i142 + 52 | 0, 649915045 | 0);
     set32(i44 | 0, i142 | 0);
     i60 = i142 + 28 | 0;
     i37 = i142 + 32 | 0;
     i36 = i142 + 4 | 0;
     i38 = _sqlite3DbRealloc(i42, 0, 1020) | 0;
     if (!i38) {
      i143 = i142;
      break;
     }
     i40 = get32(i142 | 0) | 0;
     do if (!i40) i22 = 172; else {
      if ((get32(i40 + 260 | 0) | 0) >>> 0 > i38 >>> 0) {
       i22 = 172;
       break;
      }
      if ((get32(i40 + 264 | 0) | 0) >>> 0 <= i38 >>> 0) {
       i22 = 172;
       break;
      }
      i144 = getU16(i40 + 232 | 0) | 0;
     } while (0);
     if ((i22 | 0) == 172) i144 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i38) | 0;
     set32(i37 | 0, (i144 >>> 0) / 20 | 0 | 0);
     set32(i36 | 0, i38 | 0);
     set32(i60 | 0, (get32(i60 | 0) | 0) + 1 | 0);
     set8(i38 >> 0 | 0, -120 | 0);
     set8(i38 + 1 >> 0 | 0, 0 | 0);
     i145 = i38 + 3 | 0;
     i146 = i145 + 17 | 0;
     do {
      set8(i145 >> 0 | 0, 0 | 0);
      i145 = i145 + 1 | 0;
     } while ((i145 | 0) < (i146 | 0));
     i143 = i142;
    } else i143 = i43; while (0);
    i43 = i143 + 28 | 0;
    i44 = get32(i43 | 0) | 0;
    i38 = i143 + 32 | 0;
    i60 = get32(i38 | 0) | 0;
    do if ((i60 | 0) > (i44 | 0)) {
     i147 = i44;
     i148 = get32(i143 + 4 | 0) | 0;
     i22 = 184;
    } else {
     i36 = i143 + 4 | 0;
     i37 = _sqlite3DbRealloc(get32(i143 | 0) | 0, get32(i36 | 0) | 0, (i60 | 0) == 0 ? 1020 : i60 * 40 | 0) | 0;
     if (!i37) {
      i149 = 2;
      break;
     }
     i40 = get32(i143 | 0) | 0;
     do if (!i40) i22 = 182; else {
      if ((get32(i40 + 260 | 0) | 0) >>> 0 > i37 >>> 0) {
       i22 = 182;
       break;
      }
      if ((get32(i40 + 264 | 0) | 0) >>> 0 <= i37 >>> 0) {
       i22 = 182;
       break;
      }
      i150 = getU16(i40 + 232 | 0) | 0;
     } while (0);
     if ((i22 | 0) == 182) i150 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i37) | 0;
     set32(i38 | 0, (i150 >>> 0) / 20 | 0 | 0);
     set32(i36 | 0, i37 | 0);
     i147 = get32(i43 | 0) | 0;
     i148 = i37;
     i22 = 184;
    } while (0);
    if ((i22 | 0) == 184) {
     set32(i43 | 0, i147 + 1 | 0);
     set8(i148 + (i44 * 20 | 0) >> 0 | 0, 1 | 0);
     set8(i148 + (i44 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i38 = i44 + 1 | 0;
     i145 = i148 + (i44 * 20 | 0) + 3 | 0;
     i146 = i145 + 17 | 0;
     do {
      set8(i145 >> 0 | 0, 0 | 0);
      i145 = i145 + 1 | 0;
     } while ((i145 | 0) < (i146 | 0));
     i149 = i38;
    }
    set32(i46 | 0, i149 | 0);
   } while (0);
   i46 = i30 + 40 | 0;
   setF64(i46 | 0, +(1.0));
   L269 : do if (i3) {
    i45 = i11 & 16;
    i44 = i30 + 6 | 0;
    i43 = i14 + 28 | 0;
    i60 = i14 + 4 | 0;
    i40 = i14 + 32 | 0;
    i42 = i1 + 72 | 0;
    i39 = i1 + 21 | 0;
    i23 = i1 + 96 | 0;
    i58 = i1 + 112 | 0;
    i59 = i1 + 120 | 0;
    i55 = i1 + 136 | 0;
    i54 = i1 + 144 | 0;
    i53 = i1 + 160 | 0;
    i52 = i1 + 168 | 0;
    i51 = i1 + 184 | 0;
    i50 = i1 + 192 | 0;
    i49 = i1 + 208 | 0;
    i48 = i1 + 216 | 0;
    i74 = i1 + 232 | 0;
    i73 = i1 + 240 | 0;
    i71 = i1 + 256 | 0;
    i68 = i1 + 264 | 0;
    i67 = i1 + 280 | 0;
    i66 = i1 + 288 | 0;
    i65 = i1 + 304 | 0;
    i64 = i1 + 312 | 0;
    i63 = i1 + 328 | 0;
    i62 = i15 + 4 | 0;
    i72 = i15 + 8 | 0;
    i61 = -1;
    i89 = -1;
    d57 = 1.0;
    i87 = 0;
    i105 = i25;
    while (1) {
     i151 = getU8(i105 + 52 >> 0 | 0) | 0;
     i152 = i2 + 8 + (i151 * 56 | 0) + 12 | 0;
     i153 = get32(i152 | 0) | 0;
     i154 = i2 + 8 + (i151 * 56 | 0) + 24 | 0;
     i155 = get32(i154 | 0) | 0;
     i156 = i105 + 28 | 0;
     set32(i156 | 0, i155 | 0);
     setF64(i46 | 0, +(+getF64(i105 + 8 | 0) * d57));
     i157 = get32(i153 + 68 | 0) | 0;
     L273 : do if (!i157) i158 = -1e6; else {
      i159 = get32(i62 | 0) | 0;
      if ((i159 | 0) <= 0) {
       i158 = 0;
       break;
      }
      i160 = get32(i72 | 0) | 0;
      i161 = 0;
      while (1) {
       if ((get32(i160 + (i161 << 4) + 12 | 0) | 0) == (i157 | 0)) {
        i158 = i161;
        break L273;
       }
       i162 = i161 + 1 | 0;
       if ((i162 | 0) < (i159 | 0)) i161 = i162; else {
        i158 = i162;
        break;
       }
      }
     } while (0);
     i157 = get8(i153 + 34 >> 0 | 0) | 0;
     L280 : do if (!(i157 & 2)) {
      if (get32(i153 + 28 | 0) | 0) break;
      i37 = get32(i105 | 0) | 0;
      if (i37 & 134217728) {
       i36 = get32(i153 + 52 | 0) | 0;
       L285 : do if (!i36) i163 = 0; else {
        i161 = i36;
        while (1) {
         if ((get32(i161 | 0) | 0) == (i15 | 0)) {
          i163 = i161;
          break L285;
         }
         i161 = get32(i161 + 24 | 0) | 0;
         if (!i161) {
          i163 = 0;
          break;
         }
        }
       } while (0);
       i36 = get32(i43 | 0) | 0;
       i161 = get32(i40 | 0) | 0;
       do if ((i161 | 0) > (i36 | 0)) {
        i164 = i36;
        i165 = get32(i60 | 0) | 0;
        i22 = 209;
       } else {
        i41 = _sqlite3DbRealloc(get32(i14 | 0) | 0, get32(i60 | 0) | 0, (i161 | 0) == 0 ? 1020 : i161 * 40 | 0) | 0;
        if (!i41) {
         i166 = 1;
         break;
        }
        i159 = get32(i14 | 0) | 0;
        do if (!i159) i22 = 207; else {
         if ((get32(i159 + 260 | 0) | 0) >>> 0 > i41 >>> 0) {
          i22 = 207;
          break;
         }
         if ((get32(i159 + 264 | 0) | 0) >>> 0 <= i41 >>> 0) {
          i22 = 207;
          break;
         }
         i167 = getU16(i159 + 232 | 0) | 0;
        } while (0);
        if ((i22 | 0) == 207) {
         i22 = 0;
         i167 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i41) | 0;
        }
        set32(i40 | 0, (i167 >>> 0) / 20 | 0 | 0);
        set32(i60 | 0, i41 | 0);
        i164 = get32(i43 | 0) | 0;
        i165 = i41;
        i22 = 209;
       } while (0);
       if ((i22 | 0) == 209) {
        i22 = 0;
        set32(i43 | 0, i164 + 1 | 0);
        set8(i165 + (i36 * 20 | 0) >> 0 | 0, 127 | 0);
        set8(i165 + (i36 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i165 + (i36 * 20 | 0) + 4 | 0, i155 | 0);
        set32(i165 + (i36 * 20 | 0) + 8 | 0, 0 | 0);
        set32(i165 + (i36 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i165 + (i36 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i165 + (i36 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i166 = i36;
       }
       i161 = get32(i14 | 0) | 0;
       i159 = get32(i60 | 0) | 0;
       if (!i159) break;
       if (get8(i161 + 30 >> 0 | 0) | 0) break;
       if ((i166 | 0) < 0) i168 = (get32(i43 | 0) | 0) + -1 | 0; else i168 = i166;
       i160 = i159 + (i168 * 20 | 0) + 1 | 0;
       i19 = i159 + (i168 * 20 | 0) + 16 | 0;
       _freeP4(i161, get8(i160 >> 0 | 0) | 0, get32(i19 | 0) | 0);
       set32(i19 | 0, 0 | 0);
       if (!i163) {
        set32(i19 | 0, 0 | 0);
        set8(i160 >> 0 | 0, 0 | 0);
        break;
       } else {
        set32(i19 | 0, i163 | 0);
        set8(i160 >> 0 | 0, -10 | 0);
        i160 = i163 + 12 | 0;
        set32(i160 | 0, (get32(i160 | 0) | 0) + 1 | 0);
        break;
       }
      }
      if (i37 & 8388608 | i45) {
       i160 = get32(i153 + 20 | 0) | 0;
       i19 = get32(i153 | 0) | 0;
       i161 = get32(i47 | 0) | 0;
       i159 = (i161 | 0) == 0 ? i1 : i161;
       i161 = i159 + 400 | 0;
       i162 = get32(i161 | 0) | 0;
       i169 = i159 + 404 | 0;
       do if ((i162 | 0) > 0) {
        i170 = get32(i169 | 0) | 0;
        i171 = 0;
        while (1) {
         if ((get32(i170 + (i171 << 4) | 0) | 0) == (i158 | 0) ? (get32(i170 + (i171 << 4) + 4 | 0) | 0) == (i160 | 0) : 0) {
          i172 = i171;
          i22 = 305;
          break;
         }
         i171 = i171 + 1 | 0;
         if ((i171 | 0) >= (i162 | 0)) {
          i22 = 307;
          break;
         }
        }
        if ((i22 | 0) == 305) {
         i22 = 0;
         i171 = i170 + (i172 << 4) + 8 | 0;
         set8(i171 >> 0 | 0, (get8(i171 >> 0 | 0) | 0) != 0 & 1 | 0);
         break L280;
        } else if ((i22 | 0) == 307) {
         i22 = 0;
         i173 = i169;
         i174 = i170;
         break;
        }
       } else {
        i173 = i169;
        i174 = get32(i169 | 0) | 0;
       } while (0);
       i169 = get32(i159 | 0) | 0;
       i37 = _sqlite3DbRealloc(i169, i174, (i162 << 4) + 16 | 0) | 0;
       if (!i37) {
        _sqlite3DbFree(i169, i174);
        set32(i173 | 0, 0 | 0);
        set32(i161 | 0, 0 | 0);
        set8((get32(i159 | 0) | 0) + 30 >> 0 | 0, 1 | 0);
        break;
       } else {
        set32(i173 | 0, i37 | 0);
        i169 = get32(i161 | 0) | 0;
        set32(i161 | 0, i169 + 1 | 0);
        set32(i37 + (i169 << 4) | 0, i158 | 0);
        set32(i37 + (i169 << 4) + 4 | 0, i160 | 0);
        set8(i37 + (i169 << 4) + 8 >> 0 | 0, 0 | 0);
        set32(i37 + (i169 << 4) + 12 | 0, i19 | 0);
        break;
       }
      }
      i169 = get8(i44 >> 0 | 0) | 0;
      i37 = i169 << 24 >> 24 != 0;
      if (!(i157 & 16)) {
       i36 = get32(i13 | 0) | 0;
       do if (!i36) {
        i171 = get32(i1 | 0) | 0;
        L335 : do if (!i171) {
         if (!(get32(50 * 4 | 0) | 0)) {
          i175 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
          i22 = 257;
          break;
         }
         i41 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
         set32(35 * 4 | 0, 192 | 0);
         if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
         i176 = get32(6 * 4 | 0) | 0;
         do if (i176) {
          i177 = get32(30 * 4 | 0) | 0;
          i178 = ((i177 | 0) < 0) << 31 >> 31;
          i179 = 16;
          i180 = _i64Subtract(get32(i179 | 0) | 0, get32(i179 + 4 | 0) | 0, i41 | 0, ((i41 | 0) < 0) << 31 >> 31 | 0) | 0;
          i179 = tempRet0;
          if ((i178 | 0) < (i179 | 0) | (i178 | 0) == (i179 | 0) & i177 >>> 0 < i180 >>> 0) {
           set32(11 * 4 | 0, 0 | 0);
           break;
          } else {
           set32(11 * 4 | 0, 1 | 0);
           i180 = get32(7 * 4 | 0) | 0;
           set32(6 * 4 | 0, 0 | 0);
           FUNCTION_TABLE_viiii[i176 & 15](i180, i177, i178, i41);
           set32(6 * 4 | 0, i176 | 0);
           set32(7 * 4 | 0, i180 | 0);
           break;
          }
         } while (0);
         i176 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i41) | 0;
         if (!i176) {
          i22 = 258;
          break;
         }
         i94 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i176) | 0;
         i75 = (get32(30 * 4 | 0) | 0) + i94 | 0;
         set32(30 * 4 | 0, i75 | 0);
         if ((i75 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i75 | 0);
         i75 = get32(39 * 4 | 0) | 0;
         i94 = i75 + 1 | 0;
         set32(39 * 4 | 0, i94 | 0);
         if ((i75 | 0) < (get32(49 * 4 | 0) | 0)) {
          i181 = i176;
          break;
         }
         set32(49 * 4 | 0, i94 | 0);
         i181 = i176;
        } else {
         i176 = i171 + 30 | 0;
         if (get8(i176 >> 0 | 0) | 0) {
          i22 = 258;
          break;
         }
         do if (get8(i171 + 234 >> 0 | 0) | 0) {
          if ((getU16(i171 + 232 | 0) | 0) < 192) {
           i94 = i171 + 248 | 0;
           set32(i94 | 0, (get32(i94 | 0) | 0) + 1 | 0);
           break;
          }
          i94 = i171 + 256 | 0;
          i75 = get32(i94 | 0) | 0;
          if (!i75) {
           i180 = i171 + 252 | 0;
           set32(i180 | 0, (get32(i180 | 0) | 0) + 1 | 0);
           break;
          }
          set32(i94 | 0, get32(i75 | 0) | 0);
          i94 = i171 + 236 | 0;
          i180 = get32(i94 | 0) | 0;
          i178 = i180 + 1 | 0;
          set32(i94 | 0, i178 | 0);
          i94 = i171 + 244 | 0;
          set32(i94 | 0, (get32(i94 | 0) | 0) + 1 | 0);
          i94 = i171 + 240 | 0;
          if ((i180 | 0) >= (get32(i94 | 0) | 0)) set32(i94 | 0, i178 | 0);
          i175 = i75;
          i22 = 257;
          break L335;
         } while (0);
         do if (!(get32(50 * 4 | 0) | 0)) {
          i41 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
          if (i41) {
           i181 = i41;
           break L335;
          }
         } else {
          i41 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
          set32(35 * 4 | 0, 192 | 0);
          if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
          i75 = get32(6 * 4 | 0) | 0;
          do if (i75) {
           i178 = get32(30 * 4 | 0) | 0;
           i94 = ((i178 | 0) < 0) << 31 >> 31;
           i180 = 16;
           i177 = _i64Subtract(get32(i180 | 0) | 0, get32(i180 + 4 | 0) | 0, i41 | 0, ((i41 | 0) < 0) << 31 >> 31 | 0) | 0;
           i180 = tempRet0;
           if ((i94 | 0) < (i180 | 0) | (i94 | 0) == (i180 | 0) & i178 >>> 0 < i177 >>> 0) {
            set32(11 * 4 | 0, 0 | 0);
            break;
           } else {
            set32(11 * 4 | 0, 1 | 0);
            i177 = get32(7 * 4 | 0) | 0;
            set32(6 * 4 | 0, 0 | 0);
            FUNCTION_TABLE_viiii[i75 & 15](i177, i178, i94, i41);
            set32(6 * 4 | 0, i75 | 0);
            set32(7 * 4 | 0, i177 | 0);
            break;
           }
          } while (0);
          i75 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i41) | 0;
          if (!i75) break;
          i88 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i75) | 0;
          i177 = (get32(30 * 4 | 0) | 0) + i88 | 0;
          set32(30 * 4 | 0, i177 | 0);
          if ((i177 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i177 | 0);
          i177 = get32(39 * 4 | 0) | 0;
          i88 = i177 + 1 | 0;
          set32(39 * 4 | 0, i88 | 0);
          if ((i177 | 0) < (get32(49 * 4 | 0) | 0)) {
           i181 = i75;
           break L335;
          }
          set32(49 * 4 | 0, i88 | 0);
          i181 = i75;
          break L335;
         } while (0);
         set8(i176 >> 0 | 0, 1 | 0);
         i22 = 258;
        } while (0);
        if ((i22 | 0) == 257) {
         i22 = 0;
         if (!i175) i22 = 258; else i181 = i175;
        }
        if ((i22 | 0) == 258) {
         i22 = 0;
         set32(i13 | 0, 0 | 0);
         i182 = 0;
         break;
        }
        _memset(i181 | 0, 0, 192) | 0;
        set32(i181 | 0, i171 | 0);
        i170 = i171 + 136 | 0;
        i75 = get32(i170 | 0) | 0;
        if (i75) set32(i75 + 60 | 0, i181 | 0);
        set32(i181 + 64 | 0, i75 | 0);
        set32(i181 + 60 | 0, 0 | 0);
        set32(i170 | 0, i181 | 0);
        set32(i181 + 52 | 0, 649915045 | 0);
        set32(i13 | 0, i181 | 0);
        i170 = i181 + 28 | 0;
        i75 = i181 + 32 | 0;
        i88 = i181 + 4 | 0;
        i177 = _sqlite3DbRealloc(i171, 0, 1020) | 0;
        if (!i177) {
         i182 = i181;
         break;
        }
        i94 = get32(i181 | 0) | 0;
        do if (!i94) i22 = 266; else {
         if ((get32(i94 + 260 | 0) | 0) >>> 0 > i177 >>> 0) {
          i22 = 266;
          break;
         }
         if ((get32(i94 + 264 | 0) | 0) >>> 0 <= i177 >>> 0) {
          i22 = 266;
          break;
         }
         i183 = getU16(i94 + 232 | 0) | 0;
        } while (0);
        if ((i22 | 0) == 266) {
         i22 = 0;
         i183 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i177) | 0;
        }
        set32(i75 | 0, (i183 >>> 0) / 20 | 0 | 0);
        set32(i88 | 0, i177 | 0);
        set32(i170 | 0, (get32(i170 | 0) | 0) + 1 | 0);
        set8(i177 >> 0 | 0, -120 | 0);
        set8(i177 + 1 >> 0 | 0, 0 | 0);
        i145 = i177 + 3 | 0;
        i146 = i145 + 17 | 0;
        do {
         set8(i145 >> 0 | 0, 0 | 0);
         i145 = i145 + 1 | 0;
        } while ((i145 | 0) < (i146 | 0));
        i182 = i181;
       } else i182 = i36; while (0);
       i36 = i153 + 20 | 0;
       i19 = get32(i36 | 0) | 0;
       i160 = i37 & 1;
       i161 = get32(i153 | 0) | 0;
       i159 = get32(i47 | 0) | 0;
       i162 = (i159 | 0) == 0 ? i1 : i159;
       i159 = i162 + 400 | 0;
       i177 = get32(i159 | 0) | 0;
       i170 = i162 + 404 | 0;
       do if ((i177 | 0) > 0) {
        i88 = get32(i170 | 0) | 0;
        i75 = 0;
        while (1) {
         if ((get32(i88 + (i75 << 4) | 0) | 0) == (i158 | 0) ? (get32(i88 + (i75 << 4) + 4 | 0) | 0) == (i19 | 0) : 0) {
          i184 = i75;
          i22 = 273;
          break;
         }
         i75 = i75 + 1 | 0;
         if ((i75 | 0) >= (i177 | 0)) {
          i22 = 275;
          break;
         }
        }
        if ((i22 | 0) == 273) {
         i22 = 0;
         i75 = i88 + (i184 << 4) + 8 | 0;
         set8(i75 >> 0 | 0, ((get8(i75 >> 0 | 0) | 0) == 0 ? i160 : 1) | 0);
         break;
        } else if ((i22 | 0) == 275) {
         i22 = 0;
         i185 = i170;
         i186 = i88;
         i22 = 276;
         break;
        }
       } else {
        i185 = i170;
        i186 = get32(i170 | 0) | 0;
        i22 = 276;
       } while (0);
       do if ((i22 | 0) == 276) {
        i22 = 0;
        i170 = get32(i162 | 0) | 0;
        i75 = _sqlite3DbRealloc(i170, i186, (i177 << 4) + 16 | 0) | 0;
        if (!i75) {
         _sqlite3DbFree(i170, i186);
         set32(i185 | 0, 0 | 0);
         set32(i159 | 0, 0 | 0);
         set8((get32(i162 | 0) | 0) + 30 >> 0 | 0, 1 | 0);
         break;
        } else {
         set32(i185 | 0, i75 | 0);
         i170 = get32(i159 | 0) | 0;
         set32(i159 | 0, i170 + 1 | 0);
         set32(i75 + (i170 << 4) | 0, i158 | 0);
         set32(i75 + (i170 << 4) + 4 | 0, i19 | 0);
         set8(i75 + (i170 << 4) + 8 >> 0 | 0, i160 | 0);
         set32(i75 + (i170 << 4) + 12 | 0, i161 | 0);
         break;
        }
       } while (0);
       i161 = get32(i36 | 0) | 0;
       i160 = i182 + 28 | 0;
       i19 = get32(i160 | 0) | 0;
       i159 = i182 + 32 | 0;
       i162 = get32(i159 | 0) | 0;
       do if ((i162 | 0) > (i19 | 0)) {
        i177 = i182 + 4 | 0;
        i187 = i177;
        i188 = i182;
        i189 = i19;
        i190 = get32(i177 | 0) | 0;
        i22 = 288;
       } else {
        i177 = i182 + 4 | 0;
        i170 = _sqlite3DbRealloc(get32(i182 | 0) | 0, get32(i177 | 0) | 0, (i162 | 0) == 0 ? 1020 : i162 * 40 | 0) | 0;
        if (!i170) {
         i191 = i182;
         i192 = i177;
         break;
        }
        i75 = get32(i182 | 0) | 0;
        do if (!i75) i22 = 286; else {
         if ((get32(i75 + 260 | 0) | 0) >>> 0 > i170 >>> 0) {
          i22 = 286;
          break;
         }
         if ((get32(i75 + 264 | 0) | 0) >>> 0 <= i170 >>> 0) {
          i22 = 286;
          break;
         }
         i193 = getU16(i75 + 232 | 0) | 0;
        } while (0);
        if ((i22 | 0) == 286) {
         i22 = 0;
         i193 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i170) | 0;
        }
        set32(i159 | 0, (i193 >>> 0) / 20 | 0 | 0);
        set32(i177 | 0, i170 | 0);
        i187 = i177;
        i188 = i182;
        i189 = get32(i160 | 0) | 0;
        i190 = i170;
        i22 = 288;
       } while (0);
       if ((i22 | 0) == 288) {
        i22 = 0;
        set32(i160 | 0, i189 + 1 | 0);
        set8(i190 + (i19 * 20 | 0) >> 0 | 0, (i37 ? 39 : 38) | 0);
        set8(i190 + (i19 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i190 + (i19 * 20 | 0) + 4 | 0, i155 | 0);
        set32(i190 + (i19 * 20 | 0) + 8 | 0, i161 | 0);
        set32(i190 + (i19 * 20 | 0) + 12 | 0, i158 | 0);
        set32(i190 + (i19 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i190 + (i19 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i191 = i188;
        i192 = i187;
       }
       i159 = get32(i153 + 8 | 0) | 0;
       i162 = get32(i191 | 0) | 0;
       i36 = get32(i192 | 0) | 0;
       do if (i36) {
        if (get8(i162 + 30 >> 0 | 0) | 0) break;
        i75 = (get32(i160 | 0) | 0) + -1 | 0;
        i88 = i36 + (i75 * 20 | 0) + 1 | 0;
        i94 = i36 + (i75 * 20 | 0) + 16 | 0;
        _freeP4(i162, get8(i88 >> 0 | 0) | 0, get32(i94 | 0) | 0);
        set32(i94 | 0, i159 | 0);
        set8(i88 >> 0 | 0, -14 | 0);
       } while (0);
       i194 = get8(i44 >> 0 | 0) | 0;
      } else i194 = i169;
      if (i194 << 24 >> 24) break;
      if ((get32(i153 + 8 | 0) | 0) >= 64) break;
      i159 = i2 + 8 + (i151 * 56 | 0) + 40 | 0;
      i162 = get32(i159 | 0) | 0;
      i36 = get32(i159 + 4 | 0) | 0;
      if ((i162 | 0) == 0 & (i36 | 0) == 0) i195 = 0; else {
       i159 = i162;
       i162 = i36;
       i36 = 0;
       while (1) {
        i159 = _bitshift64Lshr(i159 | 0, i162 | 0, 1) | 0;
        i162 = tempRet0;
        i160 = i36 + 1 | 0;
        if ((i159 | 0) == 0 & (i162 | 0) == 0) {
         i195 = i160;
         break;
        } else i36 = i160;
       }
      }
      i36 = get32(i14 | 0) | 0;
      i162 = get32(i60 | 0) | 0;
      if (!i162) break;
      if (get8(i36 + 30 >> 0 | 0) | 0) break;
      i159 = (get32(i43 | 0) | 0) + -1 | 0;
      i169 = i162 + (i159 * 20 | 0) + 1 | 0;
      i160 = i162 + (i159 * 20 | 0) + 16 | 0;
      _freeP4(i36, get8(i169 >> 0 | 0) | 0, get32(i160 | 0) | 0);
      set32(i160 | 0, i195 | 0);
      set8(i169 >> 0 | 0, -14 | 0);
     } while (0);
     i153 = get32(i105 | 0) | 0;
     L448 : do if (!(i153 & 536870912)) {
      if (!(i153 & 983040)) break;
      i155 = get32(i105 + 16 | 0) | 0;
      i157 = get32(i155 + 4 | 0) | 0;
      i169 = i157 + 12 + (i157 << 2) | 0;
      i160 = get32(i1 | 0) | 0;
      L451 : do if (!i160) {
       if ((i169 + -1 | 0) >>> 0 > 2147483390) {
        i196 = 0;
        i197 = 0;
        break;
       }
       if (!(get32(50 * 4 | 0) | 0)) {
        i198 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i169) | 0;
        i22 = 705;
        break;
       }
       i36 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i169) | 0;
       set32(35 * 4 | 0, i169 | 0);
       if ((get32(45 * 4 | 0) | 0) < (i169 | 0)) set32(45 * 4 | 0, i169 | 0);
       i159 = get32(6 * 4 | 0) | 0;
       do if (i159) {
        i162 = get32(30 * 4 | 0) | 0;
        i19 = ((i162 | 0) < 0) << 31 >> 31;
        i161 = 16;
        i37 = _i64Subtract(get32(i161 | 0) | 0, get32(i161 + 4 | 0) | 0, i36 | 0, ((i36 | 0) < 0) << 31 >> 31 | 0) | 0;
        i161 = tempRet0;
        if ((i19 | 0) < (i161 | 0) | (i19 | 0) == (i161 | 0) & i162 >>> 0 < i37 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i37 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i159 & 15](i37, i162, i19, i36);
         set32(6 * 4 | 0, i159 | 0);
         set32(7 * 4 | 0, i37 | 0);
         break;
        }
       } while (0);
       i159 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i36) | 0;
       if (!i159) {
        i196 = 0;
        i197 = 0;
        break;
       }
       i170 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i159) | 0;
       i177 = (get32(30 * 4 | 0) | 0) + i170 | 0;
       set32(30 * 4 | 0, i177 | 0);
       if ((i177 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i177 | 0);
       i177 = get32(39 * 4 | 0) | 0;
       i170 = i177 + 1 | 0;
       set32(39 * 4 | 0, i170 | 0);
       if ((i177 | 0) < (get32(49 * 4 | 0) | 0)) {
        i199 = i159;
        i22 = 706;
        break;
       }
       set32(49 * 4 | 0, i170 | 0);
       i199 = i159;
       i22 = 706;
      } else {
       i159 = i160 + 30 | 0;
       if (get8(i159 >> 0 | 0) | 0) {
        i196 = 0;
        i197 = 0;
        break;
       }
       do if (get8(i160 + 234 >> 0 | 0) | 0) {
        if ((getU16(i160 + 232 | 0) | 0) < (i169 | 0)) {
         i170 = i160 + 248 | 0;
         set32(i170 | 0, (get32(i170 | 0) | 0) + 1 | 0);
         break;
        }
        i170 = i160 + 256 | 0;
        i177 = get32(i170 | 0) | 0;
        if (!i177) {
         i37 = i160 + 252 | 0;
         set32(i37 | 0, (get32(i37 | 0) | 0) + 1 | 0);
         break;
        }
        set32(i170 | 0, get32(i177 | 0) | 0);
        i170 = i160 + 236 | 0;
        i37 = get32(i170 | 0) | 0;
        i19 = i37 + 1 | 0;
        set32(i170 | 0, i19 | 0);
        i170 = i160 + 244 | 0;
        set32(i170 | 0, (get32(i170 | 0) | 0) + 1 | 0);
        i170 = i160 + 240 | 0;
        if ((i37 | 0) >= (get32(i170 | 0) | 0)) set32(i170 | 0, i19 | 0);
        i198 = i177;
        i22 = 705;
        break L451;
       } while (0);
       do if ((i169 + -1 | 0) >>> 0 <= 2147483390) {
        if (!(get32(50 * 4 | 0) | 0)) {
         i36 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i169) | 0;
         if (!i36) break; else {
          i199 = i36;
          i22 = 706;
          break L451;
         }
        }
        i36 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i169) | 0;
        set32(35 * 4 | 0, i169 | 0);
        if ((get32(45 * 4 | 0) | 0) < (i169 | 0)) set32(45 * 4 | 0, i169 | 0);
        i177 = get32(6 * 4 | 0) | 0;
        do if (i177) {
         i19 = get32(30 * 4 | 0) | 0;
         i170 = ((i19 | 0) < 0) << 31 >> 31;
         i37 = 16;
         i162 = _i64Subtract(get32(i37 | 0) | 0, get32(i37 + 4 | 0) | 0, i36 | 0, ((i36 | 0) < 0) << 31 >> 31 | 0) | 0;
         i37 = tempRet0;
         if ((i170 | 0) < (i37 | 0) | (i170 | 0) == (i37 | 0) & i19 >>> 0 < i162 >>> 0) {
          set32(11 * 4 | 0, 0 | 0);
          break;
         } else {
          set32(11 * 4 | 0, 1 | 0);
          i162 = get32(7 * 4 | 0) | 0;
          set32(6 * 4 | 0, 0 | 0);
          FUNCTION_TABLE_viiii[i177 & 15](i162, i19, i170, i36);
          set32(6 * 4 | 0, i177 | 0);
          set32(7 * 4 | 0, i162 | 0);
          break;
         }
        } while (0);
        i177 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i36) | 0;
        if (!i177) break;
        i176 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i177) | 0;
        i162 = (get32(30 * 4 | 0) | 0) + i176 | 0;
        set32(30 * 4 | 0, i162 | 0);
        if ((i162 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i162 | 0);
        i162 = get32(39 * 4 | 0) | 0;
        i176 = i162 + 1 | 0;
        set32(39 * 4 | 0, i176 | 0);
        if ((i162 | 0) < (get32(49 * 4 | 0) | 0)) {
         i199 = i177;
         i22 = 706;
         break L451;
        }
        set32(49 * 4 | 0, i176 | 0);
        i199 = i177;
        i22 = 706;
        break L451;
       } while (0);
       set8(i159 >> 0 | 0, 1 | 0);
       i196 = 0;
       i197 = 0;
      } while (0);
      if ((i22 | 0) == 705) {
       i22 = 0;
       if (!i198) {
        i196 = 0;
        i197 = 0;
       } else {
        i199 = i198;
        i22 = 706;
       }
      }
      if ((i22 | 0) == 706) {
       i22 = 0;
       _memset(i199 | 0, 0, i169 | 0) | 0;
       i177 = get32(i1 | 0) | 0;
       set32(i199 | 0, i177 | 0);
       i176 = i199 + 12 | 0;
       i162 = i199 + 8 | 0;
       set32(i162 | 0, i176 + (i157 << 2) | 0);
       L509 : do if ((i157 | 0) > 0) {
        i170 = i155 + 44 | 0;
        i19 = i155 + 40 | 0;
        i37 = i177;
        i161 = 0;
        while (1) {
         i88 = get32((get32(i170 | 0) | 0) + (i161 << 2) | 0) | 0;
         i94 = get8((get32((get32(i37 + 8 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0) | 0;
         i75 = get8(i37 + 124 >> 0 | 0) | 0;
         i171 = _sqlite3FindCollSeq(i37, i94, i88, i75 & 255) | 0;
         do if (!(i75 << 24 >> 24)) {
          if ((i171 | 0) != 0 ? (get32(i171 + 12 | 0) | 0) != 0 : 0) {
           i200 = i171;
           break;
          }
          i178 = _sqlite3GetCollSeq(i37, i94, i171, i88) | 0;
          if (i178) {
           i200 = i178;
           break;
          }
          set32(i8 | 0, i88 | 0);
          _sqlite3ErrorMsg(i1, 30475, i8);
          i200 = 0;
         } else i200 = i171; while (0);
         set32(i176 + (i161 << 2) | 0, i200 | 0);
         set8((get32(i162 | 0) | 0) + i161 >> 0 | 0, get8((get32(i19 | 0) | 0) + i161 >> 0 | 0) | 0 | 0);
         i171 = i161 + 1 | 0;
         if ((i171 | 0) == (i157 | 0)) break L509;
         i37 = get32(i1 | 0) | 0;
         i161 = i171;
        }
       } while (0);
       set16(i199 + 6 | 0, i157 | 0);
       i196 = i199;
       i197 = i199;
      }
      if (!(get32(i24 | 0) | 0)) i201 = i197; else {
       _sqlite3DbFree(i160, i196);
       i201 = 0;
      }
      i162 = get32(i105 + 32 | 0) | 0;
      i176 = get32(i155 + 20 | 0) | 0;
      i177 = get32(i43 | 0) | 0;
      i169 = get32(i40 | 0) | 0;
      do if ((i169 | 0) > (i177 | 0)) {
       i202 = i177;
       i203 = get32(i60 | 0) | 0;
       i22 = 727;
      } else {
       i161 = _sqlite3DbRealloc(get32(i14 | 0) | 0, get32(i60 | 0) | 0, (i169 | 0) == 0 ? 1020 : i169 * 40 | 0) | 0;
       if (!i161) {
        i204 = 1;
        break;
       }
       i37 = get32(i14 | 0) | 0;
       do if (!i37) i22 = 725; else {
        if ((get32(i37 + 260 | 0) | 0) >>> 0 > i161 >>> 0) {
         i22 = 725;
         break;
        }
        if ((get32(i37 + 264 | 0) | 0) >>> 0 <= i161 >>> 0) {
         i22 = 725;
         break;
        }
        i205 = getU16(i37 + 232 | 0) | 0;
       } while (0);
       if ((i22 | 0) == 725) {
        i22 = 0;
        i205 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i161) | 0;
       }
       set32(i40 | 0, (i205 >>> 0) / 20 | 0 | 0);
       set32(i60 | 0, i161 | 0);
       i202 = get32(i43 | 0) | 0;
       i203 = i161;
       i22 = 727;
      } while (0);
      if ((i22 | 0) == 727) {
       i22 = 0;
       set32(i43 | 0, i202 + 1 | 0);
       set8(i203 + (i177 * 20 | 0) >> 0 | 0, 38 | 0);
       set8(i203 + (i177 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i203 + (i177 * 20 | 0) + 4 | 0, i162 | 0);
       set32(i203 + (i177 * 20 | 0) + 8 | 0, i176 | 0);
       set32(i203 + (i177 * 20 | 0) + 12 | 0, i158 | 0);
       set32(i203 + (i177 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i203 + (i177 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i204 = i177;
      }
      i169 = get32(i14 | 0) | 0;
      i155 = get32(i60 | 0) | 0;
      do if (i155) {
       if (get8(i169 + 30 >> 0 | 0) | 0) break;
       if ((i204 | 0) < 0) i206 = (get32(i43 | 0) | 0) + -1 | 0; else i206 = i204;
       i160 = i155 + (i206 * 20 | 0) + 1 | 0;
       i157 = i155 + (i206 * 20 | 0) + 16 | 0;
       _freeP4(i169, get8(i160 >> 0 | 0) | 0, get32(i157 | 0) | 0);
       set32(i157 | 0, 0 | 0);
       if (!i201) {
        set32(i157 | 0, 0 | 0);
        set8(i160 >> 0 | 0, 0 | 0);
        break L448;
       } else {
        set32(i157 | 0, i201 | 0);
        set8(i160 >> 0 | 0, -6 | 0);
        break L448;
       }
      } while (0);
      if (!i201) break;
      _sqlite3DbFree(i169, i201);
     } else {
      i155 = get32(i13 | 0) | 0;
      i177 = (get32(i42 | 0) | 0) + 1 | 0;
      set32(i42 | 0, i177 | 0);
      i176 = i155 + 28 | 0;
      i162 = get32(i176 | 0) | 0;
      i160 = i155 + 32 | 0;
      i157 = get32(i160 | 0) | 0;
      do if ((i157 | 0) > (i162 | 0)) {
       i207 = i162;
       i208 = get32(i155 + 4 | 0) | 0;
       i209 = i157;
       i22 = 322;
      } else {
       i37 = i155 + 4 | 0;
       i19 = _sqlite3DbRealloc(get32(i155 | 0) | 0, get32(i37 | 0) | 0, (i157 | 0) == 0 ? 1020 : i157 * 40 | 0) | 0;
       if (!i19) {
        i210 = 1;
        i211 = get32(i160 | 0) | 0;
        i212 = get32(i176 | 0) | 0;
        break;
       }
       i170 = get32(i155 | 0) | 0;
       do if (!i170) i22 = 320; else {
        if ((get32(i170 + 260 | 0) | 0) >>> 0 > i19 >>> 0) {
         i22 = 320;
         break;
        }
        if ((get32(i170 + 264 | 0) | 0) >>> 0 <= i19 >>> 0) {
         i22 = 320;
         break;
        }
        i213 = getU16(i170 + 232 | 0) | 0;
       } while (0);
       if ((i22 | 0) == 320) {
        i22 = 0;
        i213 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i19) | 0;
       }
       i170 = (i213 >>> 0) / 20 | 0;
       set32(i160 | 0, i170 | 0);
       set32(i37 | 0, i19 | 0);
       i207 = get32(i176 | 0) | 0;
       i208 = i19;
       i209 = i170;
       i22 = 322;
      } while (0);
      if ((i22 | 0) == 322) {
       i22 = 0;
       i157 = i207 + 1 | 0;
       set32(i176 | 0, i157 | 0);
       set8(i208 + (i162 * 20 | 0) >> 0 | 0, 26 | 0);
       set8(i208 + (i162 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i208 + (i162 * 20 | 0) + 4 | 0, i177 | 0);
       set32(i208 + (i162 * 20 | 0) + 8 | 0, 0 | 0);
       set32(i208 + (i162 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i208 + (i162 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i208 + (i162 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i210 = i162;
       i211 = i209;
       i212 = i157;
      }
      do if ((i211 | 0) > (i212 | 0)) {
       i214 = i212;
       i215 = get32(i155 + 4 | 0) | 0;
       i22 = 332;
      } else {
       i157 = i155 + 4 | 0;
       i169 = _sqlite3DbRealloc(get32(i155 | 0) | 0, get32(i157 | 0) | 0, (i211 | 0) == 0 ? 1020 : i211 * 40 | 0) | 0;
       if (!i169) break;
       i170 = get32(i155 | 0) | 0;
       do if (!i170) i22 = 330; else {
        if ((get32(i170 + 260 | 0) | 0) >>> 0 > i169 >>> 0) {
         i22 = 330;
         break;
        }
        if ((get32(i170 + 264 | 0) | 0) >>> 0 <= i169 >>> 0) {
         i22 = 330;
         break;
        }
        i216 = getU16(i170 + 232 | 0) | 0;
       } while (0);
       if ((i22 | 0) == 330) {
        i22 = 0;
        i216 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i169) | 0;
       }
       set32(i160 | 0, (i216 >>> 0) / 20 | 0 | 0);
       set32(i157 | 0, i169 | 0);
       i214 = get32(i176 | 0) | 0;
       i215 = i169;
       i22 = 332;
      } while (0);
      if ((i22 | 0) == 332) {
       i22 = 0;
       set32(i176 | 0, i214 + 1 | 0);
       set8(i215 + (i212 * 20 | 0) >> 0 | 0, 7 | 0);
       set8(i215 + (i212 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i215 + (i212 * 20 | 0) + 4 | 0, 1 | 0);
       set32(i215 + (i212 * 20 | 0) + 8 | 0, i177 | 0);
       set32(i215 + (i212 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i215 + (i212 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i215 + (i212 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      }
      i162 = get32(i152 | 0) | 0;
      i170 = get32(i27 | 0) | 0;
      i19 = get32(i28 | 0) | 0;
      i37 = i19 + (i170 * 40 | 0) | 0;
      if ((i170 | 0) > 0) {
       i170 = get32(i154 | 0) | 0;
       i161 = i162 + 12 | 0;
       i159 = 0;
       i171 = 0;
       i88 = 0;
       i94 = i19;
       while (1) {
        L586 : do if ((get32(i94 + 8 | 0) | 0) == (i170 | 0)) {
         if ((get16(i94 + 16 | 0) | 0) != 2) {
          i217 = i159;
          i218 = i171;
          i219 = i88;
          break;
         }
         i19 = i94 + 24 | 0;
         if (!((get32(i19 | 0) & i61 | 0) == 0 ? (get32(i19 + 4 | 0) & i89 | 0) == 0 : 0)) {
          i217 = i159;
          i218 = i171;
          i219 = i88;
          break;
         }
         i19 = get32(i94 + 12 | 0) | 0;
         i75 = get8((get32(i161 | 0) | 0) + (i19 * 24 | 0) + 22 >> 0 | 0) | 0;
         i36 = get32(i94 | 0) | 0;
         i178 = i36 + 8 | 0;
         L590 : while (1) {
          i180 = get32(i178 | 0) | 0;
          switch (get8(i180 >> 0 | 0) | 0) {
          case 37:
           {
            i220 = i180;
            i22 = 341;
            break L590;
            break;
           }
          case -124:
          case -104:
          case -102:
           {
            i221 = i180;
            i22 = 352;
            break L590;
            break;
           }
          case 116:
           break;
          default:
           {
            i222 = i180;
            i22 = 355;
            break L590;
           }
          }
          i178 = get32((get32(get32(i180 + 16 | 0) | 0) | 0) + 12 | 0) | 0;
         }
         L593 : do if ((i22 | 0) == 341) {
          i22 = 0;
          i178 = get32(i220 + 4 | 0) | 0;
          if (!i178) {
           i223 = 99;
           break;
          }
          i180 = get8(i178 >> 0 | 0) | 0;
          if (!(i180 << 24 >> 24)) {
           i223 = 99;
           break;
          } else {
           i224 = i178;
           i225 = i180;
           i226 = 99;
           i227 = 0;
          }
          while (1) {
           i180 = getU8(16286 + (i225 & 255) >> 0 | 0) | i227 << 8;
           i224 = i224 + 1 | 0;
           L598 : do if ((i180 | 0) < 1685026146) {
            if ((i180 | 0) < 1667785074) {
             switch (i180 | 0) {
             case 1651273570:
              break;
             default:
              {
               i22 = 350;
               break L598;
              }
             }
             switch (i226 << 24 >> 24) {
             case 101:
             case 99:
              {
               i228 = 98;
               i229 = 1651273570;
               break L598;
               break;
              }
             default:
              {
               i22 = 349;
               break L598;
              }
             }
            }
            if ((i180 | 0) < 1668050786) switch (i180 | 0) {
            case 1667785074:
             {
              i228 = 97;
              i229 = i180;
              break L598;
              break;
             }
            default:
             {
              i22 = 350;
              break L598;
             }
            } else switch (i180 | 0) {
            case 1668050786:
             {
              i228 = 97;
              i229 = i180;
              break L598;
              break;
             }
            default:
             {
              i22 = 350;
              break L598;
             }
            }
           } else {
            if ((i180 | 0) >= 1919246700) {
             if ((i180 | 0) >= 1952807028) switch (i180 | 0) {
             case 1952807028:
              {
               i228 = 97;
               i229 = i180;
               break L598;
               break;
              }
             default:
              {
               i22 = 350;
               break L598;
              }
             }
             switch (i180 | 0) {
             case 1919246700:
              break;
             default:
              {
               i22 = 350;
               break L598;
              }
             }
             if (i226 << 24 >> 24 == 99) {
              i228 = 101;
              i229 = 1919246700;
              break;
             } else {
              i22 = 349;
              break;
             }
            }
            if ((i180 | 0) < 1718382433) {
             switch (i180 | 0) {
             case 1685026146:
              break;
             default:
              {
               i22 = 350;
               break L598;
              }
             }
             if (i226 << 24 >> 24 == 99) {
              i228 = 101;
              i229 = 1685026146;
              break;
             }
            } else {
             switch (i180 | 0) {
             case 1718382433:
              break;
             default:
              {
               i22 = 350;
               break L598;
              }
             }
             if (i226 << 24 >> 24 == 99) {
              i228 = 101;
              i229 = 1718382433;
              break;
             }
            }
            i228 = i226;
            i229 = i180;
           } while (0);
           if ((i22 | 0) == 349) {
            i22 = 0;
            i228 = i226;
            i229 = i180;
           } else if ((i22 | 0) == 350) {
            i22 = 0;
            if ((i180 & 16777215 | 0) == 6909556) {
             i223 = 100;
             break L593;
            } else {
             i228 = i226;
             i229 = i180;
            }
           }
           i225 = get8(i224 >> 0 | 0) | 0;
           if (!(i225 << 24 >> 24)) {
            i223 = i228;
            break;
           } else {
            i226 = i228;
            i227 = i229;
           }
          }
         } else if ((i22 | 0) == 352) {
          i22 = 0;
          i41 = get32(i221 + 40 | 0) | 0;
          if (!i41) {
           i222 = i221;
           i22 = 355;
           break;
          }
          i178 = get16(i221 + 28 | 0) | 0;
          if (i178 << 16 >> 16 < 0) {
           i223 = 100;
           break;
          }
          i223 = get8((get32(i41 + 12 | 0) | 0) + ((i178 << 16 >> 16) * 24 | 0) + 22 >> 0 | 0) | 0;
         } while (0);
         if ((i22 | 0) == 355) {
          i22 = 0;
          i223 = get8(i222 + 1 >> 0 | 0) | 0;
         }
         i178 = get32(i36 + 12 | 0) | 0;
         do if (!i178) {
          if (!(get16(i36 + 2 | 0) & 2048)) {
           i230 = i223 << 24 >> 24 == 0 ? 98 : i223;
           break;
          } else i231 = i36;
          L635 : while (1) {
           i41 = get32(get32((get32(get32(i231 + 16 | 0) | 0) | 0) + 12 | 0) | 0) | 0;
           switch (get8(i41 >> 0 | 0) | 0) {
           case 116:
            {
             i231 = i41;
             break;
            }
           case 37:
            {
             i232 = i41;
             i22 = 380;
             break L635;
             break;
            }
           case -124:
           case -104:
           case -102:
            {
             i233 = i41;
             i22 = 391;
             break L635;
             break;
            }
           default:
            {
             i234 = i41;
             i22 = 394;
             break L635;
            }
           }
          }
          L637 : do if ((i22 | 0) == 380) {
           i22 = 0;
           i41 = get32(i232 + 4 | 0) | 0;
           if (!i41) {
            i235 = 99;
            break;
           }
           i179 = get8(i41 >> 0 | 0) | 0;
           if (!(i179 << 24 >> 24)) {
            i235 = 99;
            break;
           } else {
            i236 = i41;
            i237 = i179;
            i238 = 99;
            i239 = 0;
           }
           while (1) {
            i179 = getU8(16286 + (i237 & 255) >> 0 | 0) | i239 << 8;
            i236 = i236 + 1 | 0;
            L642 : do if ((i179 | 0) < 1685026146) {
             if ((i179 | 0) < 1667785074) {
              switch (i179 | 0) {
              case 1651273570:
               break;
              default:
               {
                i22 = 389;
                break L642;
               }
              }
              switch (i238 << 24 >> 24) {
              case 101:
              case 99:
               {
                i240 = 98;
                i241 = 1651273570;
                break L642;
                break;
               }
              default:
               {
                i22 = 388;
                break L642;
               }
              }
             }
             if ((i179 | 0) < 1668050786) switch (i179 | 0) {
             case 1667785074:
              {
               i240 = 97;
               i241 = i179;
               break L642;
               break;
              }
             default:
              {
               i22 = 389;
               break L642;
              }
             } else switch (i179 | 0) {
             case 1668050786:
              {
               i240 = 97;
               i241 = i179;
               break L642;
               break;
              }
             default:
              {
               i22 = 389;
               break L642;
              }
             }
            } else {
             if ((i179 | 0) >= 1919246700) {
              if ((i179 | 0) >= 1952807028) switch (i179 | 0) {
              case 1952807028:
               {
                i240 = 97;
                i241 = i179;
                break L642;
                break;
               }
              default:
               {
                i22 = 389;
                break L642;
               }
              }
              switch (i179 | 0) {
              case 1919246700:
               break;
              default:
               {
                i22 = 389;
                break L642;
               }
              }
              if (i238 << 24 >> 24 == 99) {
               i240 = 101;
               i241 = 1919246700;
               break;
              } else {
               i22 = 388;
               break;
              }
             }
             if ((i179 | 0) < 1718382433) {
              switch (i179 | 0) {
              case 1685026146:
               break;
              default:
               {
                i22 = 389;
                break L642;
               }
              }
              if (i238 << 24 >> 24 == 99) {
               i240 = 101;
               i241 = 1685026146;
               break;
              }
             } else {
              switch (i179 | 0) {
              case 1718382433:
               break;
              default:
               {
                i22 = 389;
                break L642;
               }
              }
              if (i238 << 24 >> 24 == 99) {
               i240 = 101;
               i241 = 1718382433;
               break;
              }
             }
             i240 = i238;
             i241 = i179;
            } while (0);
            if ((i22 | 0) == 388) {
             i22 = 0;
             i240 = i238;
             i241 = i179;
            } else if ((i22 | 0) == 389) {
             i22 = 0;
             if ((i179 & 16777215 | 0) == 6909556) {
              i235 = 100;
              break L637;
             } else {
              i240 = i238;
              i241 = i179;
             }
            }
            i237 = get8(i236 >> 0 | 0) | 0;
            if (!(i237 << 24 >> 24)) {
             i235 = i240;
             break;
            } else {
             i238 = i240;
             i239 = i241;
            }
           }
          } else if ((i22 | 0) == 391) {
           i22 = 0;
           i180 = get32(i233 + 40 | 0) | 0;
           if (!i180) {
            i234 = i233;
            i22 = 394;
            break;
           }
           i41 = get16(i233 + 28 | 0) | 0;
           if (i41 << 16 >> 16 < 0) {
            i235 = 100;
            break;
           }
           i235 = get8((get32(i180 + 12 | 0) | 0) + ((i41 << 16 >> 16) * 24 | 0) + 22 >> 0 | 0) | 0;
          } while (0);
          if ((i22 | 0) == 394) {
           i22 = 0;
           i235 = get8(i234 + 1 >> 0 | 0) | 0;
          }
          if (!(i223 << 24 >> 24 == 0 | i235 << 24 >> 24 == 0)) {
           i230 = i223 << 24 >> 24 > 98 | i235 << 24 >> 24 > 98 ? 99 : 98;
           break;
          }
          if (!((i235 | i223) << 24 >> 24)) {
           i230 = 98;
           break;
          }
          i230 = (i235 & 255) + (i223 & 255) & 255;
         } else {
          i41 = i178;
          L679 : while (1) {
           switch (get8(i41 >> 0 | 0) | 0) {
           case 37:
            {
             i242 = i41;
             i22 = 359;
             break L679;
             break;
            }
           case -124:
           case -104:
           case -102:
            {
             i243 = i41;
             i22 = 370;
             break L679;
             break;
            }
           case 116:
            break;
           default:
            {
             i244 = i41;
             i22 = 373;
             break L679;
            }
           }
           i41 = get32(get32((get32(get32(i41 + 16 | 0) | 0) | 0) + 12 | 0) | 0) | 0;
          }
          L682 : do if ((i22 | 0) == 359) {
           i22 = 0;
           i41 = get32(i242 + 4 | 0) | 0;
           if (!i41) {
            i245 = 99;
            break;
           }
           i180 = get8(i41 >> 0 | 0) | 0;
           if (!(i180 << 24 >> 24)) {
            i245 = 99;
            break;
           } else {
            i246 = i41;
            i247 = i180;
            i248 = 99;
            i249 = 0;
           }
           while (1) {
            i180 = getU8(16286 + (i247 & 255) >> 0 | 0) | i249 << 8;
            i246 = i246 + 1 | 0;
            L687 : do if ((i180 | 0) < 1685026146) {
             if ((i180 | 0) < 1667785074) {
              switch (i180 | 0) {
              case 1651273570:
               break;
              default:
               {
                i22 = 368;
                break L687;
               }
              }
              switch (i248 << 24 >> 24) {
              case 101:
              case 99:
               {
                i250 = 98;
                i251 = 1651273570;
                break L687;
                break;
               }
              default:
               {
                i22 = 367;
                break L687;
               }
              }
             }
             if ((i180 | 0) < 1668050786) switch (i180 | 0) {
             case 1667785074:
              {
               i250 = 97;
               i251 = i180;
               break L687;
               break;
              }
             default:
              {
               i22 = 368;
               break L687;
              }
             } else switch (i180 | 0) {
             case 1668050786:
              {
               i250 = 97;
               i251 = i180;
               break L687;
               break;
              }
             default:
              {
               i22 = 368;
               break L687;
              }
             }
            } else {
             if ((i180 | 0) >= 1919246700) {
              if ((i180 | 0) >= 1952807028) switch (i180 | 0) {
              case 1952807028:
               {
                i250 = 97;
                i251 = i180;
                break L687;
                break;
               }
              default:
               {
                i22 = 368;
                break L687;
               }
              }
              switch (i180 | 0) {
              case 1919246700:
               break;
              default:
               {
                i22 = 368;
                break L687;
               }
              }
              if (i248 << 24 >> 24 == 99) {
               i250 = 101;
               i251 = 1919246700;
               break;
              } else {
               i22 = 367;
               break;
              }
             }
             if ((i180 | 0) < 1718382433) {
              switch (i180 | 0) {
              case 1685026146:
               break;
              default:
               {
                i22 = 368;
                break L687;
               }
              }
              if (i248 << 24 >> 24 == 99) {
               i250 = 101;
               i251 = 1685026146;
               break;
              }
             } else {
              switch (i180 | 0) {
              case 1718382433:
               break;
              default:
               {
                i22 = 368;
                break L687;
               }
              }
              if (i248 << 24 >> 24 == 99) {
               i250 = 101;
               i251 = 1718382433;
               break;
              }
             }
             i250 = i248;
             i251 = i180;
            } while (0);
            if ((i22 | 0) == 367) {
             i22 = 0;
             i250 = i248;
             i251 = i180;
            } else if ((i22 | 0) == 368) {
             i22 = 0;
             if ((i180 & 16777215 | 0) == 6909556) {
              i245 = 100;
              break L682;
             } else {
              i250 = i248;
              i251 = i180;
             }
            }
            i247 = get8(i246 >> 0 | 0) | 0;
            if (!(i247 << 24 >> 24)) {
             i245 = i250;
             break;
            } else {
             i248 = i250;
             i249 = i251;
            }
           }
          } else if ((i22 | 0) == 370) {
           i22 = 0;
           i179 = get32(i243 + 40 | 0) | 0;
           if (!i179) {
            i244 = i243;
            i22 = 373;
            break;
           }
           i41 = get16(i243 + 28 | 0) | 0;
           if (i41 << 16 >> 16 < 0) {
            i245 = 100;
            break;
           }
           i245 = get8((get32(i179 + 12 | 0) | 0) + ((i41 << 16 >> 16) * 24 | 0) + 22 >> 0 | 0) | 0;
          } while (0);
          if ((i22 | 0) == 373) {
           i22 = 0;
           i245 = get8(i244 + 1 >> 0 | 0) | 0;
          }
          if (!(i223 << 24 >> 24 == 0 | i245 << 24 >> 24 == 0)) {
           i230 = i223 << 24 >> 24 > 98 | i245 << 24 >> 24 > 98 ? 99 : 98;
           break;
          }
          if (!((i245 | i223) << 24 >> 24)) {
           i230 = 98;
           break;
          }
          i230 = (i245 & 255) + (i223 & 255) & 255;
         } while (0);
         switch (i230 << 24 >> 24 | 0) {
         case 98:
          break;
         case 97:
          {
           if (i75 << 24 >> 24 != 97) {
            i217 = i159;
            i218 = i171;
            i219 = i88;
            break L586;
           }
           break;
          }
         default:
          if (i75 << 24 >> 24 <= 98) {
           i217 = i159;
           i218 = i171;
           i219 = i88;
           break L586;
          }
         }
         i178 = (i19 | 0) > 63;
         i36 = _bitshift64Shl(1, 0, i19 | 0) | 0;
         i41 = i178 ? 0 : i36;
         i36 = i178 ? -2147483648 : tempRet0;
         if (!((i41 & i159 | 0) == 0 & (i36 & i171 | 0) == 0)) {
          i217 = i159;
          i218 = i171;
          i219 = i88;
          break;
         }
         i217 = i41 | i159;
         i218 = i36 | i171;
         i219 = i88 + 1 | 0;
        } else {
         i217 = i159;
         i218 = i171;
         i219 = i88;
        } while (0);
        i94 = i94 + 40 | 0;
        if (i94 >>> 0 >= i37 >>> 0) {
         i252 = i218;
         i253 = i217;
         i254 = i219;
         break;
        } else {
         i159 = i217;
         i171 = i218;
         i88 = i219;
        }
       }
      } else {
       i252 = 0;
       i253 = 0;
       i254 = 0;
      }
      set32(i105 + 4 | 0, i254 | 0);
      i88 = i2 + 8 + (i151 * 56 | 0) + 40 | 0;
      i171 = i88;
      i159 = get32(i171 + 4 | 0) | 0;
      i94 = ~i253 & get32(i171 | 0);
      i171 = ((i252 | -2147483648) ^ 2147483647) & i159;
      i161 = i162 + 8 | 0;
      i170 = get32(i161 | 0) | 0;
      i177 = (i170 | 0) > 0;
      if (i177) {
       i169 = (i170 | 0) < 63 ? i170 : 63;
       i157 = 0;
       i36 = i254;
       while (1) {
        i41 = _bitshift64Shl(1, 0, i157 | 0) | 0;
        i178 = (((i41 & i94 | 0) != 0 | (tempRet0 & i171 | 0) != 0) & 1) + i36 | 0;
        i157 = i157 + 1 | 0;
        if ((i157 | 0) == (i169 | 0)) {
         i255 = i178;
         break;
        } else i36 = i178;
       }
      } else i255 = i254;
      i36 = i255 + ((i159 | 0) < 0 ? i170 + -63 | 0 : 0) | 0;
      set32(i105 | 0, get32(i105 | 0) | 8454146 | 0);
      i169 = i36 + 52 + (i36 << 3) | 0;
      i157 = get32(i1 | 0) | 0;
      L737 : do if (!i157) {
       if ((i169 + -1 | 0) >>> 0 > 2147483390) break L448;
       if (!(get32(50 * 4 | 0) | 0)) {
        i256 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i169) | 0;
        i22 = 448;
        break;
       }
       i178 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i169) | 0;
       set32(35 * 4 | 0, i169 | 0);
       if ((get32(45 * 4 | 0) | 0) < (i169 | 0)) set32(45 * 4 | 0, i169 | 0);
       i41 = get32(6 * 4 | 0) | 0;
       do if (i41) {
        i179 = get32(30 * 4 | 0) | 0;
        i257 = ((i179 | 0) < 0) << 31 >> 31;
        i258 = 16;
        i259 = _i64Subtract(get32(i258 | 0) | 0, get32(i258 + 4 | 0) | 0, i178 | 0, ((i178 | 0) < 0) << 31 >> 31 | 0) | 0;
        i258 = tempRet0;
        if ((i257 | 0) < (i258 | 0) | (i257 | 0) == (i258 | 0) & i179 >>> 0 < i259 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i259 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i41 & 15](i259, i179, i257, i178);
         set32(6 * 4 | 0, i41 | 0);
         set32(7 * 4 | 0, i259 | 0);
         break;
        }
       } while (0);
       i41 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i178) | 0;
       if (!i41) break L448;
       i259 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i41) | 0;
       i257 = (get32(30 * 4 | 0) | 0) + i259 | 0;
       set32(30 * 4 | 0, i257 | 0);
       if ((i257 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i257 | 0);
       i257 = get32(39 * 4 | 0) | 0;
       i259 = i257 + 1 | 0;
       set32(39 * 4 | 0, i259 | 0);
       if ((i257 | 0) < (get32(49 * 4 | 0) | 0)) {
        i260 = i41;
        break;
       }
       set32(49 * 4 | 0, i259 | 0);
       i260 = i41;
      } else {
       i41 = i157 + 30 | 0;
       if (get8(i41 >> 0 | 0) | 0) break L448;
       do if (get8(i157 + 234 >> 0 | 0) | 0) {
        if ((getU16(i157 + 232 | 0) | 0) < (i169 | 0)) {
         i259 = i157 + 248 | 0;
         set32(i259 | 0, (get32(i259 | 0) | 0) + 1 | 0);
         break;
        }
        i259 = i157 + 256 | 0;
        i257 = get32(i259 | 0) | 0;
        if (!i257) {
         i179 = i157 + 252 | 0;
         set32(i179 | 0, (get32(i179 | 0) | 0) + 1 | 0);
         break;
        }
        set32(i259 | 0, get32(i257 | 0) | 0);
        i259 = i157 + 236 | 0;
        i179 = get32(i259 | 0) | 0;
        i258 = i179 + 1 | 0;
        set32(i259 | 0, i258 | 0);
        i259 = i157 + 244 | 0;
        set32(i259 | 0, (get32(i259 | 0) | 0) + 1 | 0);
        i259 = i157 + 240 | 0;
        if ((i179 | 0) >= (get32(i259 | 0) | 0)) set32(i259 | 0, i258 | 0);
        i256 = i257;
        i22 = 448;
        break L737;
       } while (0);
       do if ((i169 + -1 | 0) >>> 0 <= 2147483390) {
        if (!(get32(50 * 4 | 0) | 0)) {
         i178 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i169) | 0;
         if (!i178) break; else {
          i260 = i178;
          break L737;
         }
        }
        i178 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i169) | 0;
        set32(35 * 4 | 0, i169 | 0);
        if ((get32(45 * 4 | 0) | 0) < (i169 | 0)) set32(45 * 4 | 0, i169 | 0);
        i257 = get32(6 * 4 | 0) | 0;
        do if (i257) {
         i258 = get32(30 * 4 | 0) | 0;
         i259 = ((i258 | 0) < 0) << 31 >> 31;
         i179 = 16;
         i261 = _i64Subtract(get32(i179 | 0) | 0, get32(i179 + 4 | 0) | 0, i178 | 0, ((i178 | 0) < 0) << 31 >> 31 | 0) | 0;
         i179 = tempRet0;
         if ((i259 | 0) < (i179 | 0) | (i259 | 0) == (i179 | 0) & i258 >>> 0 < i261 >>> 0) {
          set32(11 * 4 | 0, 0 | 0);
          break;
         } else {
          set32(11 * 4 | 0, 1 | 0);
          i261 = get32(7 * 4 | 0) | 0;
          set32(6 * 4 | 0, 0 | 0);
          FUNCTION_TABLE_viiii[i257 & 15](i261, i258, i259, i178);
          set32(6 * 4 | 0, i257 | 0);
          set32(7 * 4 | 0, i261 | 0);
          break;
         }
        } while (0);
        i257 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i178) | 0;
        if (!i257) break;
        i19 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i257) | 0;
        i75 = (get32(30 * 4 | 0) | 0) + i19 | 0;
        set32(30 * 4 | 0, i75 | 0);
        if ((i75 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i75 | 0);
        i75 = get32(39 * 4 | 0) | 0;
        i19 = i75 + 1 | 0;
        set32(39 * 4 | 0, i19 | 0);
        if ((i75 | 0) < (get32(49 * 4 | 0) | 0)) {
         i260 = i257;
         break L737;
        }
        set32(49 * 4 | 0, i19 | 0);
        i260 = i257;
        break L737;
       } while (0);
       set8(i41 >> 0 | 0, 1 | 0);
       break L448;
      } while (0);
      if ((i22 | 0) == 448) {
       i22 = 0;
       if (!i256) break; else i260 = i256;
      }
      _memset(i260 | 0, 0, i169 | 0) | 0;
      set32(i105 + 16 | 0, i260 | 0);
      i157 = i260 + 52 | 0;
      i159 = i260 + 44 | 0;
      set32(i159 | 0, i157 | 0);
      i257 = i260 + 8 | 0;
      set32(i257 | 0, i157 + (i36 << 2) | 0);
      i19 = i260 + 40 | 0;
      set32(i19 | 0, i157 + (i36 << 1 << 2) | 0);
      set32(i260 | 0, 32594 | 0);
      i157 = i260 + 4 | 0;
      set32(i157 | 0, i36 | 0);
      set32(i260 + 16 | 0, i162 | 0);
      i75 = get32(i28 | 0) | 0;
      if (i75 >>> 0 < i37 >>> 0) {
       i261 = 0;
       i259 = 0;
       i258 = 0;
       i179 = i75;
       while (1) {
        L797 : do if ((get32(i179 + 8 | 0) | 0) == (get32(i154 | 0) | 0)) {
         if ((get16(i179 + 16 | 0) | 0) != 2) {
          i262 = i261;
          i263 = i259;
          i264 = i258;
          break;
         }
         i75 = i179 + 24 | 0;
         if (!((get32(i75 | 0) & i61 | 0) == 0 ? (get32(i75 + 4 | 0) & i89 | 0) == 0 : 0)) {
          i262 = i261;
          i263 = i259;
          i264 = i258;
          break;
         }
         i75 = get32(i179 + 12 | 0) | 0;
         i265 = get8((get32((get32(i152 | 0) | 0) + 12 | 0) | 0) + (i75 * 24 | 0) + 22 >> 0 | 0) | 0;
         i266 = get32(i179 | 0) | 0;
         i267 = i266 + 8 | 0;
         i268 = i267;
         L801 : while (1) {
          i269 = get32(i268 | 0) | 0;
          switch (get8(i269 >> 0 | 0) | 0) {
          case 37:
           {
            i270 = i269;
            i22 = 458;
            break L801;
            break;
           }
          case -124:
          case -104:
          case -102:
           {
            i271 = i269;
            i22 = 469;
            break L801;
            break;
           }
          case 116:
           break;
          default:
           {
            i272 = i269;
            i22 = 472;
            break L801;
           }
          }
          i268 = get32((get32(get32(i269 + 16 | 0) | 0) | 0) + 12 | 0) | 0;
         }
         L804 : do if ((i22 | 0) == 458) {
          i22 = 0;
          i268 = get32(i270 + 4 | 0) | 0;
          if (!i268) {
           i273 = 99;
           break;
          }
          i178 = get8(i268 >> 0 | 0) | 0;
          if (!(i178 << 24 >> 24)) {
           i273 = 99;
           break;
          } else {
           i274 = i268;
           i275 = i178;
           i276 = 99;
           i277 = 0;
          }
          while (1) {
           i178 = getU8(16286 + (i275 & 255) >> 0 | 0) | i277 << 8;
           i274 = i274 + 1 | 0;
           L809 : do if ((i178 | 0) < 1685026146) {
            if ((i178 | 0) < 1667785074) {
             switch (i178 | 0) {
             case 1651273570:
              break;
             default:
              {
               i22 = 467;
               break L809;
              }
             }
             switch (i276 << 24 >> 24) {
             case 101:
             case 99:
              {
               i278 = 98;
               i279 = 1651273570;
               break L809;
               break;
              }
             default:
              {
               i22 = 466;
               break L809;
              }
             }
            }
            if ((i178 | 0) < 1668050786) switch (i178 | 0) {
            case 1667785074:
             {
              i278 = 97;
              i279 = i178;
              break L809;
              break;
             }
            default:
             {
              i22 = 467;
              break L809;
             }
            } else switch (i178 | 0) {
            case 1668050786:
             {
              i278 = 97;
              i279 = i178;
              break L809;
              break;
             }
            default:
             {
              i22 = 467;
              break L809;
             }
            }
           } else {
            if ((i178 | 0) >= 1919246700) {
             if ((i178 | 0) >= 1952807028) switch (i178 | 0) {
             case 1952807028:
              {
               i278 = 97;
               i279 = i178;
               break L809;
               break;
              }
             default:
              {
               i22 = 467;
               break L809;
              }
             }
             switch (i178 | 0) {
             case 1919246700:
              break;
             default:
              {
               i22 = 467;
               break L809;
              }
             }
             if (i276 << 24 >> 24 == 99) {
              i278 = 101;
              i279 = 1919246700;
              break;
             } else {
              i22 = 466;
              break;
             }
            }
            if ((i178 | 0) < 1718382433) {
             switch (i178 | 0) {
             case 1685026146:
              break;
             default:
              {
               i22 = 467;
               break L809;
              }
             }
             if (i276 << 24 >> 24 == 99) {
              i278 = 101;
              i279 = 1685026146;
              break;
             }
            } else {
             switch (i178 | 0) {
             case 1718382433:
              break;
             default:
              {
               i22 = 467;
               break L809;
              }
             }
             if (i276 << 24 >> 24 == 99) {
              i278 = 101;
              i279 = 1718382433;
              break;
             }
            }
            i278 = i276;
            i279 = i178;
           } while (0);
           if ((i22 | 0) == 466) {
            i22 = 0;
            i278 = i276;
            i279 = i178;
           } else if ((i22 | 0) == 467) {
            i22 = 0;
            if ((i178 & 16777215 | 0) == 6909556) {
             i273 = 100;
             break L804;
            } else {
             i278 = i276;
             i279 = i178;
            }
           }
           i275 = get8(i274 >> 0 | 0) | 0;
           if (!(i275 << 24 >> 24)) {
            i273 = i278;
            break;
           } else {
            i276 = i278;
            i277 = i279;
           }
          }
         } else if ((i22 | 0) == 469) {
          i22 = 0;
          i268 = get32(i271 + 40 | 0) | 0;
          if (!i268) {
           i272 = i271;
           i22 = 472;
           break;
          }
          i269 = get16(i271 + 28 | 0) | 0;
          if (i269 << 16 >> 16 < 0) {
           i273 = 100;
           break;
          }
          i273 = get8((get32(i268 + 12 | 0) | 0) + ((i269 << 16 >> 16) * 24 | 0) + 22 >> 0 | 0) | 0;
         } while (0);
         if ((i22 | 0) == 472) {
          i22 = 0;
          i273 = get8(i272 + 1 >> 0 | 0) | 0;
         }
         i269 = get32(i266 + 12 | 0) | 0;
         i268 = (i269 | 0) == 0;
         do if (i268) {
          if (!(get16(i266 + 2 | 0) & 2048)) {
           i280 = i273 << 24 >> 24 == 0 ? 98 : i273;
           break;
          } else i281 = i266;
          L846 : while (1) {
           i282 = get32(get32((get32(get32(i281 + 16 | 0) | 0) | 0) + 12 | 0) | 0) | 0;
           switch (get8(i282 >> 0 | 0) | 0) {
           case 116:
            {
             i281 = i282;
             break;
            }
           case 37:
            {
             i283 = i282;
             i22 = 497;
             break L846;
             break;
            }
           case -124:
           case -104:
           case -102:
            {
             i284 = i282;
             i22 = 508;
             break L846;
             break;
            }
           default:
            {
             i285 = i282;
             i22 = 511;
             break L846;
            }
           }
          }
          L848 : do if ((i22 | 0) == 497) {
           i22 = 0;
           i282 = get32(i283 + 4 | 0) | 0;
           if (!i282) {
            i286 = 99;
            break;
           }
           i287 = get8(i282 >> 0 | 0) | 0;
           if (!(i287 << 24 >> 24)) {
            i286 = 99;
            break;
           } else {
            i288 = i282;
            i289 = i287;
            i290 = 99;
            i291 = 0;
           }
           while (1) {
            i287 = getU8(16286 + (i289 & 255) >> 0 | 0) | i291 << 8;
            i288 = i288 + 1 | 0;
            L853 : do if ((i287 | 0) < 1685026146) {
             if ((i287 | 0) < 1667785074) {
              switch (i287 | 0) {
              case 1651273570:
               break;
              default:
               {
                i22 = 506;
                break L853;
               }
              }
              switch (i290 << 24 >> 24) {
              case 101:
              case 99:
               {
                i292 = 98;
                i293 = 1651273570;
                break L853;
                break;
               }
              default:
               {
                i22 = 505;
                break L853;
               }
              }
             }
             if ((i287 | 0) < 1668050786) switch (i287 | 0) {
             case 1667785074:
              {
               i292 = 97;
               i293 = i287;
               break L853;
               break;
              }
             default:
              {
               i22 = 506;
               break L853;
              }
             } else switch (i287 | 0) {
             case 1668050786:
              {
               i292 = 97;
               i293 = i287;
               break L853;
               break;
              }
             default:
              {
               i22 = 506;
               break L853;
              }
             }
            } else {
             if ((i287 | 0) >= 1919246700) {
              if ((i287 | 0) >= 1952807028) switch (i287 | 0) {
              case 1952807028:
               {
                i292 = 97;
                i293 = i287;
                break L853;
                break;
               }
              default:
               {
                i22 = 506;
                break L853;
               }
              }
              switch (i287 | 0) {
              case 1919246700:
               break;
              default:
               {
                i22 = 506;
                break L853;
               }
              }
              if (i290 << 24 >> 24 == 99) {
               i292 = 101;
               i293 = 1919246700;
               break;
              } else {
               i22 = 505;
               break;
              }
             }
             if ((i287 | 0) < 1718382433) {
              switch (i287 | 0) {
              case 1685026146:
               break;
              default:
               {
                i22 = 506;
                break L853;
               }
              }
              if (i290 << 24 >> 24 == 99) {
               i292 = 101;
               i293 = 1685026146;
               break;
              }
             } else {
              switch (i287 | 0) {
              case 1718382433:
               break;
              default:
               {
                i22 = 506;
                break L853;
               }
              }
              if (i290 << 24 >> 24 == 99) {
               i292 = 101;
               i293 = 1718382433;
               break;
              }
             }
             i292 = i290;
             i293 = i287;
            } while (0);
            if ((i22 | 0) == 505) {
             i22 = 0;
             i292 = i290;
             i293 = i287;
            } else if ((i22 | 0) == 506) {
             i22 = 0;
             if ((i287 & 16777215 | 0) == 6909556) {
              i286 = 100;
              break L848;
             } else {
              i292 = i290;
              i293 = i287;
             }
            }
            i289 = get8(i288 >> 0 | 0) | 0;
            if (!(i289 << 24 >> 24)) {
             i286 = i292;
             break;
            } else {
             i290 = i292;
             i291 = i293;
            }
           }
          } else if ((i22 | 0) == 508) {
           i22 = 0;
           i178 = get32(i284 + 40 | 0) | 0;
           if (!i178) {
            i285 = i284;
            i22 = 511;
            break;
           }
           i180 = get16(i284 + 28 | 0) | 0;
           if (i180 << 16 >> 16 < 0) {
            i286 = 100;
            break;
           }
           i286 = get8((get32(i178 + 12 | 0) | 0) + ((i180 << 16 >> 16) * 24 | 0) + 22 >> 0 | 0) | 0;
          } while (0);
          if ((i22 | 0) == 511) {
           i22 = 0;
           i286 = get8(i285 + 1 >> 0 | 0) | 0;
          }
          if (!(i273 << 24 >> 24 == 0 | i286 << 24 >> 24 == 0)) {
           i280 = i273 << 24 >> 24 > 98 | i286 << 24 >> 24 > 98 ? 99 : 98;
           break;
          }
          if (!((i286 | i273) << 24 >> 24)) {
           i280 = 98;
           break;
          }
          i280 = (i286 & 255) + (i273 & 255) & 255;
         } else {
          i180 = i269;
          L890 : while (1) {
           switch (get8(i180 >> 0 | 0) | 0) {
           case 37:
            {
             i294 = i180;
             i22 = 476;
             break L890;
             break;
            }
           case -124:
           case -104:
           case -102:
            {
             i295 = i180;
             i22 = 487;
             break L890;
             break;
            }
           case 116:
            break;
           default:
            {
             i296 = i180;
             i22 = 490;
             break L890;
            }
           }
           i180 = get32(get32((get32(get32(i180 + 16 | 0) | 0) | 0) + 12 | 0) | 0) | 0;
          }
          L893 : do if ((i22 | 0) == 476) {
           i22 = 0;
           i180 = get32(i294 + 4 | 0) | 0;
           if (!i180) {
            i297 = 99;
            break;
           }
           i178 = get8(i180 >> 0 | 0) | 0;
           if (!(i178 << 24 >> 24)) {
            i297 = 99;
            break;
           } else {
            i298 = i180;
            i299 = i178;
            i300 = 99;
            i301 = 0;
           }
           while (1) {
            i178 = getU8(16286 + (i299 & 255) >> 0 | 0) | i301 << 8;
            i298 = i298 + 1 | 0;
            L898 : do if ((i178 | 0) < 1685026146) {
             if ((i178 | 0) < 1667785074) {
              switch (i178 | 0) {
              case 1651273570:
               break;
              default:
               {
                i22 = 485;
                break L898;
               }
              }
              switch (i300 << 24 >> 24) {
              case 101:
              case 99:
               {
                i302 = 98;
                i303 = 1651273570;
                break L898;
                break;
               }
              default:
               {
                i22 = 484;
                break L898;
               }
              }
             }
             if ((i178 | 0) < 1668050786) switch (i178 | 0) {
             case 1667785074:
              {
               i302 = 97;
               i303 = i178;
               break L898;
               break;
              }
             default:
              {
               i22 = 485;
               break L898;
              }
             } else switch (i178 | 0) {
             case 1668050786:
              {
               i302 = 97;
               i303 = i178;
               break L898;
               break;
              }
             default:
              {
               i22 = 485;
               break L898;
              }
             }
            } else {
             if ((i178 | 0) >= 1919246700) {
              if ((i178 | 0) >= 1952807028) switch (i178 | 0) {
              case 1952807028:
               {
                i302 = 97;
                i303 = i178;
                break L898;
                break;
               }
              default:
               {
                i22 = 485;
                break L898;
               }
              }
              switch (i178 | 0) {
              case 1919246700:
               break;
              default:
               {
                i22 = 485;
                break L898;
               }
              }
              if (i300 << 24 >> 24 == 99) {
               i302 = 101;
               i303 = 1919246700;
               break;
              } else {
               i22 = 484;
               break;
              }
             }
             if ((i178 | 0) < 1718382433) {
              switch (i178 | 0) {
              case 1685026146:
               break;
              default:
               {
                i22 = 485;
                break L898;
               }
              }
              if (i300 << 24 >> 24 == 99) {
               i302 = 101;
               i303 = 1685026146;
               break;
              }
             } else {
              switch (i178 | 0) {
              case 1718382433:
               break;
              default:
               {
                i22 = 485;
                break L898;
               }
              }
              if (i300 << 24 >> 24 == 99) {
               i302 = 101;
               i303 = 1718382433;
               break;
              }
             }
             i302 = i300;
             i303 = i178;
            } while (0);
            if ((i22 | 0) == 484) {
             i22 = 0;
             i302 = i300;
             i303 = i178;
            } else if ((i22 | 0) == 485) {
             i22 = 0;
             if ((i178 & 16777215 | 0) == 6909556) {
              i297 = 100;
              break L893;
             } else {
              i302 = i300;
              i303 = i178;
             }
            }
            i299 = get8(i298 >> 0 | 0) | 0;
            if (!(i299 << 24 >> 24)) {
             i297 = i302;
             break;
            } else {
             i300 = i302;
             i301 = i303;
            }
           }
          } else if ((i22 | 0) == 487) {
           i22 = 0;
           i287 = get32(i295 + 40 | 0) | 0;
           if (!i287) {
            i296 = i295;
            i22 = 490;
            break;
           }
           i180 = get16(i295 + 28 | 0) | 0;
           if (i180 << 16 >> 16 < 0) {
            i297 = 100;
            break;
           }
           i297 = get8((get32(i287 + 12 | 0) | 0) + ((i180 << 16 >> 16) * 24 | 0) + 22 >> 0 | 0) | 0;
          } while (0);
          if ((i22 | 0) == 490) {
           i22 = 0;
           i297 = get8(i296 + 1 >> 0 | 0) | 0;
          }
          if (!(i273 << 24 >> 24 == 0 | i297 << 24 >> 24 == 0)) {
           i280 = i273 << 24 >> 24 > 98 | i297 << 24 >> 24 > 98 ? 99 : 98;
           break;
          }
          if (!((i297 | i273) << 24 >> 24)) {
           i280 = 98;
           break;
          }
          i280 = (i297 & 255) + (i273 & 255) & 255;
         } while (0);
         switch (i280 << 24 >> 24 | 0) {
         case 98:
          break;
         case 97:
          {
           if (i265 << 24 >> 24 != 97) {
            i262 = i261;
            i263 = i259;
            i264 = i258;
            break L797;
           }
           break;
          }
         default:
          if (i265 << 24 >> 24 <= 98) {
           i262 = i261;
           i263 = i259;
           i264 = i258;
           break L797;
          }
         }
         i266 = (i75 | 0) > 63;
         i180 = _bitshift64Shl(1, 0, i75 | 0) | 0;
         i287 = i266 ? 0 : i180;
         i180 = i266 ? -2147483648 : tempRet0;
         if (!((i287 & i261 | 0) == 0 & (i180 & i259 | 0) == 0)) {
          i262 = i261;
          i263 = i259;
          i264 = i258;
          break;
         }
         i266 = i287 | i261;
         i287 = i180 | i259;
         set32((get32(i257 | 0) | 0) + (i258 << 2) | 0, i75 | 0);
         i180 = get32(i267 | 0) | 0;
         L941 : do if (!(get16(i180 + 2 | 0) & 256)) {
          do if (!i268) {
           if (!(get16(i269 + 2 | 0) & 256)) break;
           i304 = get32(i269 + 20 | 0) | 0;
           i22 = 528;
           break L941;
          } while (0);
          i282 = _sqlite3ExprCollSeq(i1, i180) | 0;
          if (i282) {
           i305 = i282;
           i22 = 529;
           break;
          }
          i304 = _sqlite3ExprCollSeq(i1, i269) | 0;
          i22 = 528;
         } else {
          i304 = get32(i180 + 20 | 0) | 0;
          i22 = 528;
         } while (0);
         if ((i22 | 0) == 528) {
          i22 = 0;
          if (!i304) i306 = 25941; else {
           i305 = i304;
           i22 = 529;
          }
         }
         if ((i22 | 0) == 529) {
          i22 = 0;
          i306 = get32(i305 | 0) | 0;
         }
         set32((get32(i159 | 0) | 0) + (i258 << 2) | 0, i306 | 0);
         i262 = i266;
         i263 = i287;
         i264 = i258 + 1 | 0;
        } else {
         i262 = i261;
         i263 = i259;
         i264 = i258;
        } while (0);
        i179 = i179 + 40 | 0;
        if (i179 >>> 0 >= i37 >>> 0) {
         i307 = i264;
         break;
        } else {
         i261 = i262;
         i259 = i263;
         i258 = i264;
        }
       }
      } else i307 = 0;
      if (i177) {
       i258 = (i170 | 0) < 63 ? i170 : 63;
       i259 = 0;
       i261 = i307;
       while (1) {
        i37 = _bitshift64Shl(1, 0, i259 | 0) | 0;
        if ((i37 & i94 | 0) == 0 & (tempRet0 & i171 | 0) == 0) i308 = i261; else {
         set32((get32(i257 | 0) | 0) + (i261 << 2) | 0, i259 | 0);
         set32((get32(i159 | 0) | 0) + (i261 << 2) | 0, 25941 | 0);
         i308 = i261 + 1 | 0;
        }
        i259 = i259 + 1 | 0;
        if ((i259 | 0) == (i258 | 0)) {
         i309 = i308;
         break;
        } else i261 = i308;
       }
      } else i309 = i307;
      do if ((get32(i88 + 4 | 0) | 0) < 0) {
       if ((get32(i161 | 0) | 0) > 63) {
        i310 = 63;
        i311 = i309;
       } else break;
       while (1) {
        set32((get32(i257 | 0) | 0) + (i311 << 2) | 0, i310 | 0);
        set32((get32(i159 | 0) | 0) + (i311 << 2) | 0, 25941 | 0);
        i310 = i310 + 1 | 0;
        if ((i310 | 0) >= (get32(i161 | 0) | 0)) break; else i311 = i311 + 1 | 0;
       }
      } while (0);
      i161 = get32(i157 | 0) | 0;
      i257 = i161 + 12 + (i161 << 2) | 0;
      i88 = get32(i1 | 0) | 0;
      L969 : do if (!i88) {
       if ((i257 + -1 | 0) >>> 0 > 2147483390) {
        i312 = 0;
        i313 = 0;
        break;
       }
       if (!(get32(50 * 4 | 0) | 0)) {
        i314 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i257) | 0;
        i22 = 577;
        break;
       }
       i261 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i257) | 0;
       set32(35 * 4 | 0, i257 | 0);
       if ((get32(45 * 4 | 0) | 0) < (i257 | 0)) set32(45 * 4 | 0, i257 | 0);
       i258 = get32(6 * 4 | 0) | 0;
       do if (i258) {
        i259 = get32(30 * 4 | 0) | 0;
        i171 = ((i259 | 0) < 0) << 31 >> 31;
        i94 = 16;
        i170 = _i64Subtract(get32(i94 | 0) | 0, get32(i94 + 4 | 0) | 0, i261 | 0, ((i261 | 0) < 0) << 31 >> 31 | 0) | 0;
        i94 = tempRet0;
        if ((i171 | 0) < (i94 | 0) | (i171 | 0) == (i94 | 0) & i259 >>> 0 < i170 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i170 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i258 & 15](i170, i259, i171, i261);
         set32(6 * 4 | 0, i258 | 0);
         set32(7 * 4 | 0, i170 | 0);
         break;
        }
       } while (0);
       i258 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i261) | 0;
       if (!i258) {
        i312 = 0;
        i313 = 0;
        break;
       }
       i170 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i258) | 0;
       i171 = (get32(30 * 4 | 0) | 0) + i170 | 0;
       set32(30 * 4 | 0, i171 | 0);
       if ((i171 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i171 | 0);
       i171 = get32(39 * 4 | 0) | 0;
       i170 = i171 + 1 | 0;
       set32(39 * 4 | 0, i170 | 0);
       if ((i171 | 0) < (get32(49 * 4 | 0) | 0)) {
        i315 = i258;
        i22 = 578;
        break;
       }
       set32(49 * 4 | 0, i170 | 0);
       i315 = i258;
       i22 = 578;
      } else {
       i258 = i88 + 30 | 0;
       if (get8(i258 >> 0 | 0) | 0) {
        i312 = 0;
        i313 = 0;
        break;
       }
       do if (get8(i88 + 234 >> 0 | 0) | 0) {
        if ((getU16(i88 + 232 | 0) | 0) < (i257 | 0)) {
         i170 = i88 + 248 | 0;
         set32(i170 | 0, (get32(i170 | 0) | 0) + 1 | 0);
         break;
        }
        i170 = i88 + 256 | 0;
        i171 = get32(i170 | 0) | 0;
        if (!i171) {
         i259 = i88 + 252 | 0;
         set32(i259 | 0, (get32(i259 | 0) | 0) + 1 | 0);
         break;
        }
        set32(i170 | 0, get32(i171 | 0) | 0);
        i170 = i88 + 236 | 0;
        i259 = get32(i170 | 0) | 0;
        i94 = i259 + 1 | 0;
        set32(i170 | 0, i94 | 0);
        i170 = i88 + 244 | 0;
        set32(i170 | 0, (get32(i170 | 0) | 0) + 1 | 0);
        i170 = i88 + 240 | 0;
        if ((i259 | 0) >= (get32(i170 | 0) | 0)) set32(i170 | 0, i94 | 0);
        i314 = i171;
        i22 = 577;
        break L969;
       } while (0);
       do if ((i257 + -1 | 0) >>> 0 <= 2147483390) {
        if (!(get32(50 * 4 | 0) | 0)) {
         i261 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i257) | 0;
         if (!i261) break; else {
          i315 = i261;
          i22 = 578;
          break L969;
         }
        }
        i261 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i257) | 0;
        set32(35 * 4 | 0, i257 | 0);
        if ((get32(45 * 4 | 0) | 0) < (i257 | 0)) set32(45 * 4 | 0, i257 | 0);
        i171 = get32(6 * 4 | 0) | 0;
        do if (i171) {
         i94 = get32(30 * 4 | 0) | 0;
         i170 = ((i94 | 0) < 0) << 31 >> 31;
         i259 = 16;
         i177 = _i64Subtract(get32(i259 | 0) | 0, get32(i259 + 4 | 0) | 0, i261 | 0, ((i261 | 0) < 0) << 31 >> 31 | 0) | 0;
         i259 = tempRet0;
         if ((i170 | 0) < (i259 | 0) | (i170 | 0) == (i259 | 0) & i94 >>> 0 < i177 >>> 0) {
          set32(11 * 4 | 0, 0 | 0);
          break;
         } else {
          set32(11 * 4 | 0, 1 | 0);
          i177 = get32(7 * 4 | 0) | 0;
          set32(6 * 4 | 0, 0 | 0);
          FUNCTION_TABLE_viiii[i171 & 15](i177, i94, i170, i261);
          set32(6 * 4 | 0, i171 | 0);
          set32(7 * 4 | 0, i177 | 0);
          break;
         }
        } while (0);
        i171 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i261) | 0;
        if (!i171) break;
        i287 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i171) | 0;
        i266 = (get32(30 * 4 | 0) | 0) + i287 | 0;
        set32(30 * 4 | 0, i266 | 0);
        if ((i266 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i266 | 0);
        i266 = get32(39 * 4 | 0) | 0;
        i287 = i266 + 1 | 0;
        set32(39 * 4 | 0, i287 | 0);
        if ((i266 | 0) < (get32(49 * 4 | 0) | 0)) {
         i315 = i171;
         i22 = 578;
         break L969;
        }
        set32(49 * 4 | 0, i287 | 0);
        i315 = i171;
        i22 = 578;
        break L969;
       } while (0);
       set8(i258 >> 0 | 0, 1 | 0);
       i312 = 0;
       i313 = 0;
      } while (0);
      if ((i22 | 0) == 577) {
       i22 = 0;
       if (!i314) {
        i312 = 0;
        i313 = 0;
       } else {
        i315 = i314;
        i22 = 578;
       }
      }
      if ((i22 | 0) == 578) {
       i22 = 0;
       _memset(i315 | 0, 0, i257 | 0) | 0;
       i157 = get32(i1 | 0) | 0;
       set32(i315 | 0, i157 | 0);
       i171 = i315 + 12 | 0;
       i287 = i315 + 8 | 0;
       set32(i287 | 0, i171 + (i161 << 2) | 0);
       L1027 : do if ((i161 | 0) > 0) {
        i266 = i157;
        i177 = 0;
        while (1) {
         i170 = get32((get32(i159 | 0) | 0) + (i177 << 2) | 0) | 0;
         i94 = get8((get32((get32(i266 + 8 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0) | 0;
         i259 = get8(i266 + 124 >> 0 | 0) | 0;
         i37 = _sqlite3FindCollSeq(i266, i94, i170, i259 & 255) | 0;
         do if (!(i259 << 24 >> 24)) {
          if ((i37 | 0) != 0 ? (get32(i37 + 12 | 0) | 0) != 0 : 0) {
           i316 = i37;
           break;
          }
          i179 = _sqlite3GetCollSeq(i266, i94, i37, i170) | 0;
          if (i179) {
           i316 = i179;
           break;
          }
          set32(i9 | 0, i170 | 0);
          _sqlite3ErrorMsg(i1, 30475, i9);
          i316 = 0;
         } else i316 = i37; while (0);
         set32(i171 + (i177 << 2) | 0, i316 | 0);
         set8((get32(i287 | 0) | 0) + i177 >> 0 | 0, get8((get32(i19 | 0) | 0) + i177 >> 0 | 0) | 0 | 0);
         i37 = i177 + 1 | 0;
         if ((i37 | 0) == (i161 | 0)) break L1027;
         i266 = get32(i1 | 0) | 0;
         i177 = i37;
        }
       } while (0);
       set16(i315 + 6 | 0, i161 | 0);
       i312 = i315;
       i313 = i315;
      }
      if (!(get32(i24 | 0) | 0)) i317 = i313; else {
       _sqlite3DbFree(i88, i312);
       i317 = 0;
      }
      i19 = i105 + 32 | 0;
      i287 = get32(i19 | 0) | 0;
      i171 = i36 + 1 | 0;
      i159 = get32(i176 | 0) | 0;
      i157 = get32(i160 | 0) | 0;
      do if ((i157 | 0) > (i159 | 0)) {
       i257 = i155 + 4 | 0;
       i318 = i257;
       i319 = i155;
       i320 = i159;
       i321 = get32(i257 | 0) | 0;
       i22 = 599;
      } else {
       i257 = i155 + 4 | 0;
       i177 = _sqlite3DbRealloc(get32(i155 | 0) | 0, get32(i257 | 0) | 0, (i157 | 0) == 0 ? 1020 : i157 * 40 | 0) | 0;
       if (!i177) {
        i322 = 1;
        i323 = i155;
        i324 = i257;
        break;
       }
       i266 = get32(i155 | 0) | 0;
       do if (!i266) i22 = 597; else {
        if ((get32(i266 + 260 | 0) | 0) >>> 0 > i177 >>> 0) {
         i22 = 597;
         break;
        }
        if ((get32(i266 + 264 | 0) | 0) >>> 0 <= i177 >>> 0) {
         i22 = 597;
         break;
        }
        i325 = getU16(i266 + 232 | 0) | 0;
       } while (0);
       if ((i22 | 0) == 597) {
        i22 = 0;
        i325 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i177) | 0;
       }
       set32(i160 | 0, (i325 >>> 0) / 20 | 0 | 0);
       set32(i257 | 0, i177 | 0);
       i318 = i257;
       i319 = i155;
       i320 = get32(i176 | 0) | 0;
       i321 = i177;
       i22 = 599;
      } while (0);
      if ((i22 | 0) == 599) {
       i22 = 0;
       set32(i176 | 0, i320 + 1 | 0);
       set8(i321 + (i159 * 20 | 0) >> 0 | 0, 40 | 0);
       set8(i321 + (i159 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i321 + (i159 * 20 | 0) + 4 | 0, i287 | 0);
       set32(i321 + (i159 * 20 | 0) + 8 | 0, i171 | 0);
       set32(i321 + (i159 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i321 + (i159 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i321 + (i159 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i322 = i159;
       i323 = i319;
       i324 = i318;
      }
      i155 = get32(i323 | 0) | 0;
      i157 = get32(i324 | 0) | 0;
      do if (i157) {
       if (get8(i155 + 30 >> 0 | 0) | 0) {
        i22 = 602;
        break;
       }
       if ((i322 | 0) < 0) i326 = (get32(i176 | 0) | 0) + -1 | 0; else i326 = i322;
       i36 = i157 + (i326 * 20 | 0) + 1 | 0;
       i88 = i157 + (i326 * 20 | 0) + 16 | 0;
       _freeP4(i155, get8(i36 >> 0 | 0) | 0, get32(i88 | 0) | 0);
       set32(i88 | 0, 0 | 0);
       if (!i317) {
        set32(i88 | 0, 0 | 0);
        set8(i36 >> 0 | 0, 0 | 0);
        break;
       } else {
        set32(i88 | 0, i317 | 0);
        set8(i36 >> 0 | 0, -6 | 0);
        break;
       }
      } else i22 = 602; while (0);
      do if ((i22 | 0) == 602) {
       i22 = 0;
       if (!i317) break;
       _sqlite3DbFree(i155, i317);
      } while (0);
      i155 = get32(i156 | 0) | 0;
      i157 = get32(i176 | 0) | 0;
      i159 = get32(i160 | 0) | 0;
      do if ((i159 | 0) > (i157 | 0)) {
       i327 = i157;
       i328 = get32(i324 | 0) | 0;
       i22 = 618;
      } else {
       i171 = _sqlite3DbRealloc(get32(i323 | 0) | 0, get32(i324 | 0) | 0, (i159 | 0) == 0 ? 1020 : i159 * 40 | 0) | 0;
       if (!i171) {
        i329 = 1;
        break;
       }
       i287 = get32(i323 | 0) | 0;
       do if (!i287) i22 = 616; else {
        if ((get32(i287 + 260 | 0) | 0) >>> 0 > i171 >>> 0) {
         i22 = 616;
         break;
        }
        if ((get32(i287 + 264 | 0) | 0) >>> 0 <= i171 >>> 0) {
         i22 = 616;
         break;
        }
        i330 = getU16(i287 + 232 | 0) | 0;
       } while (0);
       if ((i22 | 0) == 616) {
        i22 = 0;
        i330 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i171) | 0;
       }
       set32(i160 | 0, (i330 >>> 0) / 20 | 0 | 0);
       set32(i324 | 0, i171 | 0);
       i327 = get32(i176 | 0) | 0;
       i328 = i171;
       i22 = 618;
      } while (0);
      if ((i22 | 0) == 618) {
       i22 = 0;
       set32(i176 | 0, i327 + 1 | 0);
       set8(i328 + (i157 * 20 | 0) >> 0 | 0, 65 | 0);
       set8(i328 + (i157 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i328 + (i157 * 20 | 0) + 4 | 0, i155 | 0);
       set32(i328 + (i157 * 20 | 0) + 8 | 0, 0 | 0);
       set32(i328 + (i157 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i328 + (i157 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i328 + (i157 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i329 = i157;
      }
      i159 = get8(i39 >> 0 | 0) | 0;
      if (!(i159 << 24 >> 24)) {
       i287 = (get32(i42 | 0) | 0) + 1 | 0;
       set32(i42 | 0, i287 | 0);
       i331 = i287;
      } else {
       i287 = i159 + -1 << 24 >> 24;
       set8(i39 >> 0 | 0, i287 | 0);
       i331 = get32(i1 + 24 + ((i287 & 255) << 2) | 0) | 0;
      }
      _sqlite3GenerateIndexKey(i1, i260, get32(i156 | 0) | 0, i331, 1) | 0;
      i287 = get32(i19 | 0) | 0;
      i159 = get32(i176 | 0) | 0;
      i177 = get32(i160 | 0) | 0;
      do if ((i177 | 0) > (i159 | 0)) {
       i332 = i159;
       i333 = get32(i324 | 0) | 0;
       i22 = 632;
      } else {
       i257 = _sqlite3DbRealloc(get32(i323 | 0) | 0, get32(i324 | 0) | 0, (i177 | 0) == 0 ? 1020 : i177 * 40 | 0) | 0;
       if (!i257) {
        i334 = get32(i176 | 0) | 0;
        break;
       }
       i36 = get32(i323 | 0) | 0;
       do if (!i36) i22 = 630; else {
        if ((get32(i36 + 260 | 0) | 0) >>> 0 > i257 >>> 0) {
         i22 = 630;
         break;
        }
        if ((get32(i36 + 264 | 0) | 0) >>> 0 <= i257 >>> 0) {
         i22 = 630;
         break;
        }
        i335 = getU16(i36 + 232 | 0) | 0;
       } while (0);
       if ((i22 | 0) == 630) {
        i22 = 0;
        i335 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i257) | 0;
       }
       set32(i160 | 0, (i335 >>> 0) / 20 | 0 | 0);
       set32(i324 | 0, i257 | 0);
       i332 = get32(i176 | 0) | 0;
       i333 = i257;
       i22 = 632;
      } while (0);
      if ((i22 | 0) == 632) {
       i22 = 0;
       i177 = i332 + 1 | 0;
       set32(i176 | 0, i177 | 0);
       set8(i333 + (i159 * 20 | 0) >> 0 | 0, 70 | 0);
       set8(i333 + (i159 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i333 + (i159 * 20 | 0) + 4 | 0, i287 | 0);
       set32(i333 + (i159 * 20 | 0) + 8 | 0, i331 | 0);
       set32(i333 + (i159 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i333 + (i159 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i333 + (i159 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i334 = i177;
      }
      i177 = get32(i324 | 0) | 0;
      if (i177) set8(i177 + ((i334 + -1 | 0) * 20 | 0) + 3 >> 0 | 0, 16 | 0);
      i19 = get32(i156 | 0) | 0;
      i157 = i329 + 1 | 0;
      i155 = get32(i160 | 0) | 0;
      do if ((i155 | 0) > (i334 | 0)) {
       i336 = i334;
       i337 = i177;
       i22 = 644;
      } else {
       i36 = _sqlite3DbRealloc(get32(i323 | 0) | 0, i177, (i155 | 0) == 0 ? 1020 : i155 * 40 | 0) | 0;
       if (!i36) {
        i338 = get32(i176 | 0) | 0;
        break;
       }
       i171 = get32(i323 | 0) | 0;
       do if (!i171) i22 = 642; else {
        if ((get32(i171 + 260 | 0) | 0) >>> 0 > i36 >>> 0) {
         i22 = 642;
         break;
        }
        if ((get32(i171 + 264 | 0) | 0) >>> 0 <= i36 >>> 0) {
         i22 = 642;
         break;
        }
        i339 = getU16(i171 + 232 | 0) | 0;
       } while (0);
       if ((i22 | 0) == 642) {
        i22 = 0;
        i339 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i36) | 0;
       }
       set32(i160 | 0, (i339 >>> 0) / 20 | 0 | 0);
       set32(i324 | 0, i36 | 0);
       i336 = get32(i176 | 0) | 0;
       i337 = i36;
       i22 = 644;
      } while (0);
      if ((i22 | 0) == 644) {
       i22 = 0;
       i160 = i336 + 1 | 0;
       set32(i176 | 0, i160 | 0);
       set8(i337 + (i334 * 20 | 0) >> 0 | 0, 67 | 0);
       set8(i337 + (i334 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i337 + (i334 * 20 | 0) + 4 | 0, i19 | 0);
       set32(i337 + (i334 * 20 | 0) + 8 | 0, i157 | 0);
       set32(i337 + (i334 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i337 + (i334 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i337 + (i334 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i338 = i160;
      }
      i160 = get32(i324 | 0) | 0;
      if (i160) set8(i160 + ((i338 + -1 | 0) * 20 | 0) + 3 >> 0 | 0, 3 | 0);
      if ((i338 | 0) > (i329 | 0)) set32(i160 + (i329 * 20 | 0) + 8 | 0, i338 | 0);
      L1129 : do if (!i331) i340 = i338; else {
       i155 = get8(i39 >> 0 | 0) | 0;
       if ((i155 & 255) >= 8) {
        i340 = i338;
        break;
       }
       do if ((get32(i58 | 0) | 0) == (i331 | 0)) i341 = i23; else {
        if ((get32(i55 | 0) | 0) == (i331 | 0)) {
         i341 = i59;
         break;
        }
        if ((get32(i53 | 0) | 0) == (i331 | 0)) {
         i341 = i54;
         break;
        }
        if ((get32(i51 | 0) | 0) == (i331 | 0)) {
         i341 = i52;
         break;
        }
        if ((get32(i49 | 0) | 0) == (i331 | 0)) {
         i341 = i50;
         break;
        }
        if ((get32(i74 | 0) | 0) == (i331 | 0)) {
         i341 = i48;
         break;
        }
        if ((get32(i71 | 0) | 0) == (i331 | 0)) {
         i341 = i73;
         break;
        }
        if ((get32(i67 | 0) | 0) == (i331 | 0)) {
         i341 = i68;
         break;
        }
        if ((get32(i65 | 0) | 0) == (i331 | 0)) {
         i341 = i66;
         break;
        }
        if ((get32(i63 | 0) | 0) == (i331 | 0)) {
         i341 = i64;
         break;
        }
        set8(i39 >> 0 | 0, i155 + 1 << 24 >> 24 | 0);
        set32(i1 + 24 + ((i155 & 255) << 2) | 0, i331 | 0);
        i340 = get32(i176 | 0) | 0;
        break L1129;
       } while (0);
       set8(i341 + 8 >> 0 | 0, 1 | 0);
       i340 = i338;
      } while (0);
      if ((i340 | 0) <= (i210 | 0)) break;
      set32(i160 + (i210 * 20 | 0) + 8 | 0, i340 | 0);
     } while (0);
     i156 = get32(i47 | 0) | 0;
     i152 = (i156 | 0) == 0 ? i1 : i156;
     i156 = i152 + 348 | 0;
     L1147 : do if (!(get32(i156 | 0) | 0)) {
      i151 = i152 + 12 | 0;
      i153 = get32(i151 | 0) | 0;
      do if (!i153) {
       i176 = get32(i152 | 0) | 0;
       L1151 : do if (!i176) {
        if (!(get32(50 * 4 | 0) | 0)) {
         i342 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
         i22 = 776;
         break;
        }
        i157 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
        set32(35 * 4 | 0, 192 | 0);
        if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
        i19 = get32(6 * 4 | 0) | 0;
        do if (i19) {
         i155 = get32(30 * 4 | 0) | 0;
         i36 = ((i155 | 0) < 0) << 31 >> 31;
         i177 = 16;
         i159 = _i64Subtract(get32(i177 | 0) | 0, get32(i177 + 4 | 0) | 0, i157 | 0, ((i157 | 0) < 0) << 31 >> 31 | 0) | 0;
         i177 = tempRet0;
         if ((i36 | 0) < (i177 | 0) | (i36 | 0) == (i177 | 0) & i155 >>> 0 < i159 >>> 0) {
          set32(11 * 4 | 0, 0 | 0);
          break;
         } else {
          set32(11 * 4 | 0, 1 | 0);
          i159 = get32(7 * 4 | 0) | 0;
          set32(6 * 4 | 0, 0 | 0);
          FUNCTION_TABLE_viiii[i19 & 15](i159, i155, i36, i157);
          set32(6 * 4 | 0, i19 | 0);
          set32(7 * 4 | 0, i159 | 0);
          break;
         }
        } while (0);
        i19 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i157) | 0;
        if (!i19) {
         i22 = 786;
         break;
        }
        i159 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i19) | 0;
        i36 = (get32(30 * 4 | 0) | 0) + i159 | 0;
        set32(30 * 4 | 0, i36 | 0);
        if ((i36 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i36 | 0);
        i36 = get32(39 * 4 | 0) | 0;
        i159 = i36 + 1 | 0;
        set32(39 * 4 | 0, i159 | 0);
        if ((i36 | 0) < (get32(49 * 4 | 0) | 0)) {
         i343 = i19;
         break;
        }
        set32(49 * 4 | 0, i159 | 0);
        i343 = i19;
       } else {
        i19 = i176 + 30 | 0;
        if (get8(i19 >> 0 | 0) | 0) {
         i22 = 786;
         break;
        }
        do if (get8(i176 + 234 >> 0 | 0) | 0) {
         if ((getU16(i176 + 232 | 0) | 0) < 192) {
          i159 = i176 + 248 | 0;
          set32(i159 | 0, (get32(i159 | 0) | 0) + 1 | 0);
          break;
         }
         i159 = i176 + 256 | 0;
         i36 = get32(i159 | 0) | 0;
         if (!i36) {
          i155 = i176 + 252 | 0;
          set32(i155 | 0, (get32(i155 | 0) | 0) + 1 | 0);
          break;
         }
         set32(i159 | 0, get32(i36 | 0) | 0);
         i159 = i176 + 236 | 0;
         i155 = get32(i159 | 0) | 0;
         i177 = i155 + 1 | 0;
         set32(i159 | 0, i177 | 0);
         i159 = i176 + 244 | 0;
         set32(i159 | 0, (get32(i159 | 0) | 0) + 1 | 0);
         i159 = i176 + 240 | 0;
         if ((i155 | 0) >= (get32(i159 | 0) | 0)) set32(i159 | 0, i177 | 0);
         i342 = i36;
         i22 = 776;
         break L1151;
        } while (0);
        do if (!(get32(50 * 4 | 0) | 0)) {
         i157 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
         if (i157) {
          i343 = i157;
          break L1151;
         }
        } else {
         i157 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
         set32(35 * 4 | 0, 192 | 0);
         if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
         i36 = get32(6 * 4 | 0) | 0;
         do if (i36) {
          i177 = get32(30 * 4 | 0) | 0;
          i159 = ((i177 | 0) < 0) << 31 >> 31;
          i155 = 16;
          i287 = _i64Subtract(get32(i155 | 0) | 0, get32(i155 + 4 | 0) | 0, i157 | 0, ((i157 | 0) < 0) << 31 >> 31 | 0) | 0;
          i155 = tempRet0;
          if ((i159 | 0) < (i155 | 0) | (i159 | 0) == (i155 | 0) & i177 >>> 0 < i287 >>> 0) {
           set32(11 * 4 | 0, 0 | 0);
           break;
          } else {
           set32(11 * 4 | 0, 1 | 0);
           i287 = get32(7 * 4 | 0) | 0;
           set32(6 * 4 | 0, 0 | 0);
           FUNCTION_TABLE_viiii[i36 & 15](i287, i177, i159, i157);
           set32(6 * 4 | 0, i36 | 0);
           set32(7 * 4 | 0, i287 | 0);
           break;
          }
         } while (0);
         i36 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i157) | 0;
         if (!i36) break;
         i287 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i36) | 0;
         i159 = (get32(30 * 4 | 0) | 0) + i287 | 0;
         set32(30 * 4 | 0, i159 | 0);
         if ((i159 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i159 | 0);
         i159 = get32(39 * 4 | 0) | 0;
         i287 = i159 + 1 | 0;
         set32(39 * 4 | 0, i287 | 0);
         if ((i159 | 0) < (get32(49 * 4 | 0) | 0)) {
          i343 = i36;
          break L1151;
         }
         set32(49 * 4 | 0, i287 | 0);
         i343 = i36;
         break L1151;
        } while (0);
        set8(i19 >> 0 | 0, 1 | 0);
        i22 = 786;
       } while (0);
       if ((i22 | 0) == 776) {
        i22 = 0;
        if (!i342) i22 = 786; else i343 = i342;
       }
       if ((i22 | 0) == 786) {
        i22 = 0;
        set32(i151 | 0, 0 | 0);
        break L1147;
       }
       _memset(i343 | 0, 0, 192) | 0;
       set32(i343 | 0, i176 | 0);
       i36 = i176 + 136 | 0;
       i287 = get32(i36 | 0) | 0;
       if (i287) set32(i287 + 60 | 0, i343 | 0);
       set32(i343 + 64 | 0, i287 | 0);
       set32(i343 + 60 | 0, 0 | 0);
       set32(i36 | 0, i343 | 0);
       set32(i343 + 52 | 0, 649915045 | 0);
       set32(i151 | 0, i343 | 0);
       i36 = i343 + 28 | 0;
       i287 = i343 + 32 | 0;
       i159 = i343 + 4 | 0;
       i177 = _sqlite3DbRealloc(i176, 0, 1020) | 0;
       if (!i177) {
        i344 = i343;
        break;
       }
       i155 = get32(i343 | 0) | 0;
       do if (!i155) i22 = 784; else {
        if ((get32(i155 + 260 | 0) | 0) >>> 0 > i177 >>> 0) {
         i22 = 784;
         break;
        }
        if ((get32(i155 + 264 | 0) | 0) >>> 0 <= i177 >>> 0) {
         i22 = 784;
         break;
        }
        i345 = getU16(i155 + 232 | 0) | 0;
       } while (0);
       if ((i22 | 0) == 784) {
        i22 = 0;
        i345 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i177) | 0;
       }
       set32(i287 | 0, (i345 >>> 0) / 20 | 0 | 0);
       set32(i159 | 0, i177 | 0);
       set32(i36 | 0, (get32(i36 | 0) | 0) + 1 | 0);
       set8(i177 >> 0 | 0, -120 | 0);
       set8(i177 + 1 >> 0 | 0, 0 | 0);
       i145 = i177 + 3 | 0;
       i146 = i145 + 17 | 0;
       do {
        set8(i145 >> 0 | 0, 0 | 0);
        i145 = i145 + 1 | 0;
       } while ((i145 | 0) < (i146 | 0));
       i344 = i343;
      } else i344 = i153; while (0);
      i153 = i344 + 28 | 0;
      i151 = get32(i153 | 0) | 0;
      i160 = i344 + 32 | 0;
      i177 = get32(i160 | 0) | 0;
      do if ((i177 | 0) > (i151 | 0)) {
       i346 = i151;
       i347 = get32(i344 + 4 | 0) | 0;
       i22 = 796;
      } else {
       i36 = i344 + 4 | 0;
       i159 = _sqlite3DbRealloc(get32(i344 | 0) | 0, get32(i36 | 0) | 0, (i177 | 0) == 0 ? 1020 : i177 * 40 | 0) | 0;
       if (!i159) {
        i348 = 1;
        break;
       }
       i287 = get32(i344 | 0) | 0;
       do if (!i287) i22 = 794; else {
        if ((get32(i287 + 260 | 0) | 0) >>> 0 > i159 >>> 0) {
         i22 = 794;
         break;
        }
        if ((get32(i287 + 264 | 0) | 0) >>> 0 <= i159 >>> 0) {
         i22 = 794;
         break;
        }
        i349 = getU16(i287 + 232 | 0) | 0;
       } while (0);
       if ((i22 | 0) == 794) {
        i22 = 0;
        i349 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i159) | 0;
       }
       set32(i160 | 0, (i349 >>> 0) / 20 | 0 | 0);
       set32(i36 | 0, i159 | 0);
       i346 = get32(i153 | 0) | 0;
       i347 = i159;
       i22 = 796;
      } while (0);
      if ((i22 | 0) == 796) {
       i22 = 0;
       set32(i153 | 0, i346 + 1 | 0);
       set8(i347 + (i151 * 20 | 0) >> 0 | 0, 1 | 0);
       set8(i347 + (i151 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i145 = i347 + (i151 * 20 | 0) + 3 | 0;
       i146 = i145 + 17 | 0;
       do {
        set8(i145 >> 0 | 0, 0 | 0);
        i145 = i145 + 1 | 0;
       } while ((i145 | 0) < (i146 | 0));
       i348 = i151;
      }
      set32(i156 | 0, i348 + 1 | 0);
      i22 = 798;
     } else i22 = 798; while (0);
     do if ((i22 | 0) == 798) {
      i22 = 0;
      if ((i158 | 0) <= -1) break;
      i156 = 1 << i158;
      i153 = i152 + 340 | 0;
      i160 = get32(i153 | 0) | 0;
      if (i160 & i156) break;
      i177 = get32(i152 | 0) | 0;
      set32(i153 | 0, i160 | i156 | 0);
      set32(i152 + 352 + (i158 << 2) | 0, get32(get32((get32(i177 + 8 | 0) | 0) + (i158 << 4) + 12 | 0) | 0) | 0);
      if ((i158 | 0) != 1) break;
      i177 = get32(i152 | 0) | 0;
      i156 = i177 + 8 | 0;
      do if (!(get32((get32(i156 | 0) | 0) + 20 | 0) | 0)) {
       if (get8(i152 + 484 >> 0 | 0) | 0) break;
       i160 = _sqlite3BtreeOpen(get32(i177 | 0) | 0, 0, i177, i12, 0, 542) | 0;
       if (i160) {
        _sqlite3ErrorMsg(i152, 19482, i7);
        set32(i152 + 4 | 0, i160 | 0);
        break;
       }
       i160 = get32(i12 | 0) | 0;
       set32((get32(i156 | 0) | 0) + 20 | 0, i160 | 0);
       i153 = get32(i177 + 36 | 0) | 0;
       i287 = get32(i160 + 4 | 0) | 0;
       set32(i287 + 4 | 0, get32(i160 | 0) | 0);
       if (get8(i287 + 17 >> 0 | 0) | 0) break;
       i160 = i287 + 36 | 0;
       i155 = i287 + 40 | 0;
       i176 = (get32(i160 | 0) | 0) - (get32(i155 | 0) | 0) | 0;
       do if ((i153 + -512 | 0) >>> 0 < 65025) {
        if (i153 + -1 & i153) break;
        set32(i160 | 0, i153 | 0);
        i171 = i287 + 88 | 0;
        i257 = get32(i171 | 0) | 0;
        do if (i257) {
         if ((get32(379 * 4 | 0) | 0) >>> 0 <= i257 >>> 0 & (get32(380 * 4 | 0) | 0) >>> 0 > i257 >>> 0) {
          i88 = (get32(31 * 4 | 0) | 0) + -1 | 0;
          set32(31 * 4 | 0, i88 | 0);
          if ((i88 | 0) > (get32(41 * 4 | 0) | 0)) set32(41 * 4 | 0, i88 | 0);
          set32(i257 | 0, get32(383 * 4 | 0) | 0);
          set32(383 * 4 | 0, i257 | 0);
          i88 = (get32(382 * 4 | 0) | 0) + 1 | 0;
          set32(382 * 4 | 0, i88 | 0);
          set32(384 * 4 | 0, (i88 | 0) < (get32(378 * 4 | 0) | 0) & 1 | 0);
          break;
         }
         i88 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i257) | 0;
         i161 = (get32(32 * 4 | 0) | 0) - i88 | 0;
         set32(32 * 4 | 0, i161 | 0);
         if ((i161 | 0) > (get32(42 * 4 | 0) | 0)) set32(42 * 4 | 0, i161 | 0);
         if (!(get32(50 * 4 | 0) | 0)) {
          FUNCTION_TABLE_vi[get32(232 | 0) & 31](i257);
          break;
         }
         i161 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i257) | 0;
         i88 = (get32(30 * 4 | 0) | 0) - i161 | 0;
         set32(30 * 4 | 0, i88 | 0);
         if ((i88 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i88 | 0);
         i88 = (get32(39 * 4 | 0) | 0) + -1 | 0;
         set32(39 * 4 | 0, i88 | 0);
         if ((i88 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i88 | 0);
         FUNCTION_TABLE_vi[get32(232 | 0) & 31](i257);
        } while (0);
        set32(i171 | 0, 0 | 0);
       } while (0);
       i153 = _sqlite3PagerSetPagesize(get32(i287 | 0) | 0, i160, i176) | 0;
       set32(i155 | 0, (get32(i160 | 0) | 0) - (i176 & 65535) | 0);
       if ((i153 | 0) != 7) break;
       set8(i177 + 30 >> 0 | 0, 1 | 0);
      } while (0);
     } while (0);
     i152 = get32(i33 | 0) | 0;
     i177 = get32(i154 | 0) | 0;
     i156 = get32(i152 | 0) | 0;
     L1273 : do if ((i156 | 0) > 0) {
      i151 = 0;
      while (1) {
       if ((get32(i152 + 4 + (i151 << 2) | 0) | 0) == (i177 | 0)) {
        i350 = i151;
        break;
       }
       i151 = i151 + 1 | 0;
       if ((i151 | 0) >= (i156 | 0)) {
        i351 = 0;
        i352 = 0;
        break L1273;
       }
      }
      i151 = _bitshift64Shl(1, 0, i350 | 0) | 0;
      i351 = i151;
      i352 = tempRet0;
     } else {
      i351 = 0;
      i352 = 0;
     } while (0);
     i156 = i87 + 1 | 0;
     if ((i156 | 0) == (i17 | 0)) {
      i353 = i43;
      break L269;
     }
     i61 = i61 & ~i351;
     i89 = i89 & ~i352;
     d57 = +getF64(i46 | 0);
     i87 = i156;
     i105 = i105 + 80 | 0;
    }
   } else i353 = i14 + 28 | 0; while (0);
   set32(i30 + 12 | 0, get32(i353 | 0) | 0);
   if (!(get8(i29 >> 0 | 0) | 0)) {
    if (!i3) {
     i16 = i30;
     STACKTOP = i6;
     return i16 | 0;
    }
    i46 = (i5 & 64) == 0;
    i47 = (i5 & 8) == 0;
    i24 = (i5 & 1) == 0;
    i105 = i30 + 7 | 0;
    i87 = i30 + 16 | 0;
    i89 = -1;
    i61 = -1;
    i43 = 0;
    while (1) {
     _explainOneScan(i1, i2, i25 + (i43 * 80 | 0) | 0, i43, getU8(i25 + (i43 * 80 | 0) + 52 >> 0 | 0) | 0, i5);
     i39 = get32(i30 | 0) | 0;
     i64 = i39 + 12 | 0;
     i63 = get32(i64 | 0) | 0;
     i66 = get32(i32 | 0) | 0;
     i65 = i30 + 48 + (i43 * 80 | 0) | 0;
     i68 = i30 + 48 + (i43 * 80 | 0) + 52 | 0;
     i67 = getU8(i68 >> 0 | 0) | 0;
     i73 = get32(i21 | 0) | 0;
     i71 = i73 + 8 + (i67 * 56 | 0) | 0;
     i48 = get32(i73 + 8 + (i67 * 56 | 0) + 24 | 0) | 0;
     i74 = get32(i65 | 0) | 0;
     i50 = i74 & 33554432;
     i49 = (i50 | 0) != 0;
     i52 = i50 >>> 25;
     i51 = i46 & (i74 & 8388608 | 0) != 0;
     i74 = i63 + 36 | 0;
     i54 = get32(i74 | 0) | 0;
     set32(i74 | 0, i54 + 1 | 0);
     i53 = i63 + 40 | 0;
     i59 = get32(i53 | 0) | 0;
     if ((i54 | 0) < (i59 | 0)) {
      i354 = i63 + 44 | 0;
      i355 = i59;
     } else {
      i55 = get32(i63 | 0) | 0;
      i23 = i63 + 44 | 0;
      i58 = get32(i23 | 0) | 0;
      i42 = _sqlite3DbRealloc(i55, i58, (i59 << 3) + 20 | 0) | 0;
      do if (!i42) {
       _sqlite3DbFree(i55, i58);
       set32(i23 | 0, 0 | 0);
       i22 = 843;
      } else {
       set32(i23 | 0, i42 | 0);
       i59 = get32(i63 | 0) | 0;
       if (!i59) {
        i22 = 843;
        break;
       }
       if ((get32(i59 + 260 | 0) | 0) >>> 0 > i42 >>> 0) {
        i22 = 843;
        break;
       }
       if ((get32(i59 + 264 | 0) | 0) >>> 0 <= i42 >>> 0) {
        i22 = 843;
        break;
       }
       i356 = getU16(i59 + 232 | 0) | 0;
      } while (0);
      if ((i22 | 0) == 843) {
       i22 = 0;
       i356 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i42) | 0;
      }
      i58 = i356 >>> 2;
      set32(i53 | 0, i58 | 0);
      i354 = i23;
      i355 = i58;
     }
     i58 = get32(i354 | 0) | 0;
     if (!i58) i357 = i355; else {
      set32(i58 + (i54 << 2) | 0, -1 | 0);
      i357 = get32(i53 | 0) | 0;
     }
     i58 = ~i54;
     i55 = i30 + 48 + (i43 * 80 | 0) + 40 | 0;
     set32(i55 | 0, i58 | 0);
     i59 = i30 + 48 + (i43 * 80 | 0) + 36 | 0;
     set32(i59 | 0, i58 | 0);
     i60 = get32(i74 | 0) | 0;
     set32(i74 | 0, i60 + 1 | 0);
     if ((i60 | 0) < (i357 | 0)) i358 = i63 + 44 | 0; else {
      i40 = get32(i63 | 0) | 0;
      i44 = i63 + 44 | 0;
      i45 = get32(i44 | 0) | 0;
      i72 = _sqlite3DbRealloc(i40, i45, (i357 << 3) + 20 | 0) | 0;
      do if (!i72) {
       _sqlite3DbFree(i40, i45);
       set32(i44 | 0, 0 | 0);
       i22 = 855;
      } else {
       set32(i44 | 0, i72 | 0);
       i62 = get32(i63 | 0) | 0;
       if (!i62) {
        i22 = 855;
        break;
       }
       if ((get32(i62 + 260 | 0) | 0) >>> 0 > i72 >>> 0) {
        i22 = 855;
        break;
       }
       if ((get32(i62 + 264 | 0) | 0) >>> 0 <= i72 >>> 0) {
        i22 = 855;
        break;
       }
       i359 = getU16(i62 + 232 | 0) | 0;
      } while (0);
      if ((i22 | 0) == 855) {
       i22 = 0;
       i359 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i72) | 0;
      }
      set32(i53 | 0, i359 >>> 2 | 0);
      i358 = i44;
     }
     i45 = get32(i358 | 0) | 0;
     if (i45) set32(i45 + (i60 << 2) | 0, -1 | 0);
     i45 = ~i60;
     set32(i30 + 48 + (i43 * 80 | 0) + 44 | 0, i45 | 0);
     do if (get8(i68 >> 0 | 0) | 0) {
      if (!(get8(i73 + 8 + (i67 * 56 | 0) + 21 >> 0 | 0) & 8)) break;
      i40 = i39 + 72 | 0;
      i54 = (get32(i40 | 0) | 0) + 1 | 0;
      set32(i40 | 0, i54 | 0);
      set32(i30 + 48 + (i43 * 80 | 0) + 24 | 0, i54 | 0);
      i40 = i63 + 28 | 0;
      i23 = get32(i40 | 0) | 0;
      i42 = i63 + 32 | 0;
      i62 = get32(i42 | 0) | 0;
      if ((i62 | 0) > (i23 | 0)) {
       i360 = i23;
       i361 = get32(i63 + 4 | 0) | 0;
      } else {
       i38 = i63 + 4 | 0;
       i156 = _sqlite3DbRealloc(get32(i63 | 0) | 0, get32(i38 | 0) | 0, (i62 | 0) == 0 ? 1020 : i62 * 40 | 0) | 0;
       if (!i156) break;
       i62 = get32(i63 | 0) | 0;
       do if (!i62) i22 = 868; else {
        if ((get32(i62 + 260 | 0) | 0) >>> 0 > i156 >>> 0) {
         i22 = 868;
         break;
        }
        if ((get32(i62 + 264 | 0) | 0) >>> 0 <= i156 >>> 0) {
         i22 = 868;
         break;
        }
        i362 = getU16(i62 + 232 | 0) | 0;
       } while (0);
       if ((i22 | 0) == 868) {
        i22 = 0;
        i362 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i156) | 0;
       }
       set32(i42 | 0, (i362 >>> 0) / 20 | 0 | 0);
       set32(i38 | 0, i156 | 0);
       i360 = get32(i40 | 0) | 0;
       i361 = i156;
      }
      set32(i40 | 0, i360 + 1 | 0);
      set8(i361 + (i23 * 20 | 0) >> 0 | 0, 7 | 0);
      set8(i361 + (i23 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i361 + (i23 * 20 | 0) + 4 | 0, 0 | 0);
      set32(i361 + (i23 * 20 | 0) + 8 | 0, i54 | 0);
      set32(i361 + (i23 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i361 + (i23 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i361 + (i23 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     } while (0);
     i60 = get32(i65 | 0) | 0;
     L1336 : do if (!(i60 & 134217728)) {
      if (i60 & 4096) {
       i44 = i39 + 21 | 0;
       i72 = get8(i44 >> 0 | 0) | 0;
       if (!(i72 << 24 >> 24)) {
        i62 = i39 + 72 | 0;
        i177 = (get32(i62 | 0) | 0) + 1 | 0;
        set32(i62 | 0, i177 | 0);
        i363 = i177;
       } else {
        i177 = i72 + -1 << 24 >> 24;
        set8(i44 >> 0 | 0, i177 | 0);
        i363 = get32(i39 + 24 + ((i177 & 255) << 2) | 0) | 0;
       }
       i177 = get32(i66 + 20 | 0) | 0;
       L1344 : do if (!i177) i364 = 0; else {
        i44 = i177;
        i72 = get32(i66 + 28 | 0) | 0;
        while (1) {
         do if ((get32(i72 + 8 | 0) | 0) == (i48 | 0)) {
          i62 = i72 + 24 | 0;
          if (!((get32(i62 | 0) & i89 | 0) == 0 ? (get32(i62 + 4 | 0) & i61 | 0) == 0 : 0)) break;
          if ((get32(i72 + 12 | 0) | 0) != -1) break;
          if (get16(i72 + 16 | 0) & 3) {
           i364 = i72;
           break L1344;
          }
         } while (0);
         i44 = i44 + -1 | 0;
         if (!i44) {
          i364 = 0;
          break;
         } else i72 = i72 + 40 | 0;
        }
       } while (0);
       i177 = _codeEqualityTerm(i39, i364, i65, i363) | 0;
       i23 = get32(i55 | 0) | 0;
       i54 = i63 + 28 | 0;
       i40 = get32(i54 | 0) | 0;
       i156 = i63 + 32 | 0;
       i38 = get32(i156 | 0) | 0;
       do if ((i38 | 0) > (i40 | 0)) {
        i365 = i40;
        i366 = get32(i63 + 4 | 0) | 0;
        i367 = i38;
        i22 = 989;
       } else {
        i42 = i63 + 4 | 0;
        i72 = _sqlite3DbRealloc(get32(i63 | 0) | 0, get32(i42 | 0) | 0, (i38 | 0) == 0 ? 1020 : i38 * 40 | 0) | 0;
        if (!i72) {
         i368 = get32(i156 | 0) | 0;
         i369 = get32(i54 | 0) | 0;
         break;
        }
        i44 = get32(i63 | 0) | 0;
        do if (!i44) i22 = 987; else {
         if ((get32(i44 + 260 | 0) | 0) >>> 0 > i72 >>> 0) {
          i22 = 987;
          break;
         }
         if ((get32(i44 + 264 | 0) | 0) >>> 0 <= i72 >>> 0) {
          i22 = 987;
          break;
         }
         i370 = getU16(i44 + 232 | 0) | 0;
        } while (0);
        if ((i22 | 0) == 987) {
         i22 = 0;
         i370 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i72) | 0;
        }
        i44 = (i370 >>> 0) / 20 | 0;
        set32(i156 | 0, i44 | 0);
        set32(i42 | 0, i72 | 0);
        i365 = get32(i54 | 0) | 0;
        i366 = i72;
        i367 = i44;
        i22 = 989;
       } while (0);
       if ((i22 | 0) == 989) {
        i22 = 0;
        i38 = i365 + 1 | 0;
        set32(i54 | 0, i38 | 0);
        set8(i366 + (i40 * 20 | 0) >> 0 | 0, 21 | 0);
        set8(i366 + (i40 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i366 + (i40 * 20 | 0) + 4 | 0, i177 | 0);
        set32(i366 + (i40 * 20 | 0) + 8 | 0, i23 | 0);
        set32(i366 + (i40 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i366 + (i40 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i366 + (i40 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i368 = i367;
        i369 = i38;
       }
       do if ((i368 | 0) > (i369 | 0)) {
        i371 = i369;
        i372 = get32(i63 + 4 | 0) | 0;
        i22 = 999;
       } else {
        i38 = i63 + 4 | 0;
        i44 = _sqlite3DbRealloc(get32(i63 | 0) | 0, get32(i38 | 0) | 0, (i368 | 0) == 0 ? 1020 : i368 * 40 | 0) | 0;
        if (!i44) break;
        i176 = get32(i63 | 0) | 0;
        do if (!i176) i22 = 997; else {
         if ((get32(i176 + 260 | 0) | 0) >>> 0 > i44 >>> 0) {
          i22 = 997;
          break;
         }
         if ((get32(i176 + 264 | 0) | 0) >>> 0 <= i44 >>> 0) {
          i22 = 997;
          break;
         }
         i373 = getU16(i176 + 232 | 0) | 0;
        } while (0);
        if ((i22 | 0) == 997) {
         i22 = 0;
         i373 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i44) | 0;
        }
        set32(i156 | 0, (i373 >>> 0) / 20 | 0 | 0);
        set32(i38 | 0, i44 | 0);
        i371 = get32(i54 | 0) | 0;
        i372 = i44;
        i22 = 999;
       } while (0);
       if ((i22 | 0) == 999) {
        i22 = 0;
        set32(i54 | 0, i371 + 1 | 0);
        set8(i372 + (i369 * 20 | 0) >> 0 | 0, 52 | 0);
        set8(i372 + (i369 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i372 + (i369 * 20 | 0) + 4 | 0, i48 | 0);
        set32(i372 + (i369 * 20 | 0) + 8 | 0, i23 | 0);
        set32(i372 + (i369 * 20 | 0) + 12 | 0, i177 | 0);
        set32(i372 + (i369 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i372 + (i369 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       }
       _sqlite3ExprCacheStore(i39, i48, -1, i177);
       set8(i30 + 48 + (i43 * 80 | 0) + 53 >> 0 | 0, -119 | 0);
       i374 = i363;
       i22 = 1689;
       break;
      }
      if (i60 & 8192) {
       i156 = get32(i66 + 20 | 0) | 0;
       L1387 : do if (!i156) {
        i375 = 0;
        i376 = 0;
       } else {
        i40 = get32(i66 + 28 | 0) | 0;
        i176 = i156;
        i72 = i40;
        L1389 : while (1) {
         do if ((get32(i72 + 8 | 0) | 0) == (i48 | 0)) {
          i42 = i72 + 24 | 0;
          if (!((get32(i42 | 0) & i89 | 0) == 0 ? (get32(i42 + 4 | 0) & i61 | 0) == 0 : 0)) break;
          if ((get32(i72 + 12 | 0) | 0) != -1) break;
          if (get16(i72 + 16 | 0) & 36) {
           i377 = i72;
           break L1389;
          }
         } while (0);
         i176 = i176 + -1 | 0;
         if (!i176) {
          i377 = 0;
          break;
         } else i72 = i72 + 40 | 0;
        }
        i72 = i156;
        i176 = i40;
        while (1) {
         do if ((get32(i176 + 8 | 0) | 0) == (i48 | 0)) {
          i44 = i176 + 24 | 0;
          if (!((get32(i44 | 0) & i89 | 0) == 0 ? (get32(i44 + 4 | 0) & i61 | 0) == 0 : 0)) break;
          if ((get32(i176 + 12 | 0) | 0) != -1) break;
          if (get16(i176 + 16 | 0) & 24) {
           i375 = i377;
           i376 = i176;
           break L1387;
          }
         } while (0);
         i72 = i72 + -1 | 0;
         if (!i72) {
          i375 = i377;
          i376 = 0;
          break;
         } else i176 = i176 + 40 | 0;
        }
       } while (0);
       i156 = i49 ? i375 : i376;
       i177 = i49 ? i376 : i375;
       i23 = (i177 | 0) == 0;
       L1405 : do if (i23) {
        i54 = (i50 >>> 24 ^ 2) + 63 | 0;
        i176 = i63 + 28 | 0;
        i72 = get32(i176 | 0) | 0;
        i40 = i63 + 32 | 0;
        i44 = get32(i40 | 0) | 0;
        if ((i44 | 0) > (i72 | 0)) {
         i378 = i72;
         i379 = get32(i63 + 4 | 0) | 0;
        } else {
         i38 = i63 + 4 | 0;
         i42 = _sqlite3DbRealloc(get32(i63 | 0) | 0, get32(i38 | 0) | 0, (i44 | 0) == 0 ? 1020 : i44 * 40 | 0) | 0;
         if (!i42) break;
         i44 = get32(i63 | 0) | 0;
         do if (!i44) i22 = 1080; else {
          if ((get32(i44 + 260 | 0) | 0) >>> 0 > i42 >>> 0) {
           i22 = 1080;
           break;
          }
          if ((get32(i44 + 264 | 0) | 0) >>> 0 <= i42 >>> 0) {
           i22 = 1080;
           break;
          }
          i380 = getU16(i44 + 232 | 0) | 0;
         } while (0);
         if ((i22 | 0) == 1080) {
          i22 = 0;
          i380 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i42) | 0;
         }
         set32(i40 | 0, (i380 >>> 0) / 20 | 0 | 0);
         set32(i38 | 0, i42 | 0);
         i378 = get32(i176 | 0) | 0;
         i379 = i42;
        }
        set32(i176 | 0, i378 + 1 | 0);
        set8(i379 + (i72 * 20 | 0) >> 0 | 0, i54 | 0);
        set8(i379 + (i72 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i379 + (i72 * 20 | 0) + 4 | 0, i48 | 0);
        set32(i379 + (i72 * 20 | 0) + 8 | 0, i58 | 0);
        set32(i379 + (i72 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i379 + (i72 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i379 + (i72 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       } else {
        i44 = get32(i177 | 0) | 0;
        i160 = get32(i44 + 12 | 0) | 0;
        i155 = i39 + 21 | 0;
        i287 = get8(i155 >> 0 | 0) | 0;
        if (!(i287 << 24 >> 24)) {
         i62 = i39 + 72 | 0;
         i152 = (get32(i62 | 0) | 0) + 1 | 0;
         set32(i62 | 0, i152 | 0);
         i381 = i152;
        } else {
         i152 = i287 + -1 << 24 >> 24;
         set8(i155 >> 0 | 0, i152 | 0);
         i381 = get32(i39 + 24 + ((i152 & 255) << 2) | 0) | 0;
        }
        i152 = _sqlite3ExprCodeTarget(i39, i160, i381) | 0;
        L1424 : do if ((i152 | 0) == (i381 | 0)) i382 = i381; else {
         if (!i381) {
          i382 = 0;
          break;
         }
         i160 = get8(i155 >> 0 | 0) | 0;
         if ((i160 & 255) >= 8) {
          i382 = 0;
          break;
         }
         do if ((get32(i39 + 112 | 0) | 0) == (i381 | 0)) i383 = i39 + 96 | 0; else {
          if ((get32(i39 + 136 | 0) | 0) == (i381 | 0)) {
           i383 = i39 + 120 | 0;
           break;
          }
          if ((get32(i39 + 160 | 0) | 0) == (i381 | 0)) {
           i383 = i39 + 144 | 0;
           break;
          }
          if ((get32(i39 + 184 | 0) | 0) == (i381 | 0)) {
           i383 = i39 + 168 | 0;
           break;
          }
          if ((get32(i39 + 208 | 0) | 0) == (i381 | 0)) {
           i383 = i39 + 192 | 0;
           break;
          }
          if ((get32(i39 + 232 | 0) | 0) == (i381 | 0)) {
           i383 = i39 + 216 | 0;
           break;
          }
          if ((get32(i39 + 256 | 0) | 0) == (i381 | 0)) {
           i383 = i39 + 240 | 0;
           break;
          }
          if ((get32(i39 + 280 | 0) | 0) == (i381 | 0)) {
           i383 = i39 + 264 | 0;
           break;
          }
          if ((get32(i39 + 304 | 0) | 0) == (i381 | 0)) {
           i383 = i39 + 288 | 0;
           break;
          }
          if ((get32(i39 + 328 | 0) | 0) == (i381 | 0)) {
           i383 = i39 + 312 | 0;
           break;
          }
          set8(i155 >> 0 | 0, i160 + 1 << 24 >> 24 | 0);
          set32(i39 + 24 + ((i160 & 255) << 2) | 0, i381 | 0);
          i382 = 0;
          break L1424;
         } while (0);
         set8(i383 + 8 >> 0 | 0, 1 | 0);
         i382 = 0;
        } while (0);
        i72 = get8(32854 + ((getU8(i44 >> 0 | 0) | 0) + -77) >> 0 | 0) | 0;
        i54 = i63 + 28 | 0;
        i176 = get32(i54 | 0) | 0;
        i42 = i63 + 32 | 0;
        i38 = get32(i42 | 0) | 0;
        do if ((i38 | 0) > (i176 | 0)) {
         i384 = i176;
         i385 = get32(i63 + 4 | 0) | 0;
         i22 = 1043;
        } else {
         i40 = i63 + 4 | 0;
         i160 = _sqlite3DbRealloc(get32(i63 | 0) | 0, get32(i40 | 0) | 0, (i38 | 0) == 0 ? 1020 : i38 * 40 | 0) | 0;
         if (!i160) break;
         i287 = get32(i63 | 0) | 0;
         do if (!i287) i22 = 1041; else {
          if ((get32(i287 + 260 | 0) | 0) >>> 0 > i160 >>> 0) {
           i22 = 1041;
           break;
          }
          if ((get32(i287 + 264 | 0) | 0) >>> 0 <= i160 >>> 0) {
           i22 = 1041;
           break;
          }
          i386 = getU16(i287 + 232 | 0) | 0;
         } while (0);
         if ((i22 | 0) == 1041) {
          i22 = 0;
          i386 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i160) | 0;
         }
         set32(i42 | 0, (i386 >>> 0) / 20 | 0 | 0);
         set32(i40 | 0, i160 | 0);
         i384 = get32(i54 | 0) | 0;
         i385 = i160;
         i22 = 1043;
        } while (0);
        if ((i22 | 0) == 1043) {
         i22 = 0;
         set32(i54 | 0, i384 + 1 | 0);
         set8(i385 + (i176 * 20 | 0) >> 0 | 0, i72 | 0);
         set8(i385 + (i176 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i385 + (i176 * 20 | 0) + 4 | 0, i48 | 0);
         set32(i385 + (i176 * 20 | 0) + 8 | 0, i58 | 0);
         set32(i385 + (i176 * 20 | 0) + 12 | 0, i152 | 0);
         set32(i385 + (i176 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i385 + (i176 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        }
        i42 = i39 + 96 | 0;
        i38 = 0;
        i44 = i42;
        while (1) {
         i287 = i44 + 16 | 0;
         if ((get32(i287 | 0) | 0) == (i152 | 0)) {
          i62 = i44 + 8 | 0;
          if (get8(i62 >> 0 | 0) | 0) {
           i154 = get8(i155 >> 0 | 0) | 0;
           if ((i154 & 255) < 8) {
            set8(i155 >> 0 | 0, i154 + 1 << 24 >> 24 | 0);
            set32(i39 + 24 + ((i154 & 255) << 2) | 0, i152 | 0);
           }
           set8(i62 >> 0 | 0, 0 | 0);
          }
          set32(i287 | 0, 0 | 0);
         }
         i38 = i38 + 1 | 0;
         if ((i38 | 0) == 10) break; else i44 = i44 + 24 | 0;
        }
        L1467 : do if (i382) {
         i44 = get8(i155 >> 0 | 0) | 0;
         if ((i44 & 255) >= 8) break;
         do if ((get32(i39 + 112 | 0) | 0) == (i382 | 0)) i387 = i42; else {
          if ((get32(i39 + 136 | 0) | 0) == (i382 | 0)) {
           i387 = i39 + 120 | 0;
           break;
          }
          if ((get32(i39 + 160 | 0) | 0) == (i382 | 0)) {
           i387 = i39 + 144 | 0;
           break;
          }
          if ((get32(i39 + 184 | 0) | 0) == (i382 | 0)) {
           i387 = i39 + 168 | 0;
           break;
          }
          if ((get32(i39 + 208 | 0) | 0) == (i382 | 0)) {
           i387 = i39 + 192 | 0;
           break;
          }
          if ((get32(i39 + 232 | 0) | 0) == (i382 | 0)) {
           i387 = i39 + 216 | 0;
           break;
          }
          if ((get32(i39 + 256 | 0) | 0) == (i382 | 0)) {
           i387 = i39 + 240 | 0;
           break;
          }
          if ((get32(i39 + 280 | 0) | 0) == (i382 | 0)) {
           i387 = i39 + 264 | 0;
           break;
          }
          if ((get32(i39 + 304 | 0) | 0) == (i382 | 0)) {
           i387 = i39 + 288 | 0;
           break;
          }
          if ((get32(i39 + 328 | 0) | 0) == (i382 | 0)) {
           i387 = i39 + 312 | 0;
           break;
          }
          set8(i155 >> 0 | 0, i44 + 1 << 24 >> 24 | 0);
          set32(i39 + 24 + ((i44 & 255) << 2) | 0, i382 | 0);
          break L1467;
         } while (0);
         set8(i387 + 8 >> 0 | 0, 1 | 0);
        } while (0);
        i155 = i30 + 48 + (i43 * 80 | 0) + 24 | 0;
        i42 = i177;
        do {
         i44 = i42 + 18 | 0;
         i160 = get8(i44 >> 0 | 0) | 0;
         if (i160 & 4) break L1405;
         if ((get32(i155 | 0) | 0) != 0 ? (get16((get32(i42 | 0) | 0) + 2 | 0) & 1) == 0 : 0) break L1405;
         set8(i44 >> 0 | 0, i160 & 255 | 4 | 0);
         i160 = get32(i42 + 4 | 0) | 0;
         if ((i160 | 0) <= -1) break L1405;
         i44 = get32((get32(i42 + 20 | 0) | 0) + 28 | 0) | 0;
         i40 = i44 + (i160 * 40 | 0) + 19 | 0;
         i38 = (get8(i40 >> 0 | 0) | 0) + -1 << 24 >> 24;
         set8(i40 >> 0 | 0, i38 | 0);
         if (i38 << 24 >> 24) break L1405;
         i42 = i44 + (i160 * 40 | 0) | 0;
        } while ((i42 | 0) != 0);
       } while (0);
       i177 = (i156 | 0) == 0;
       L1492 : do if (i177) {
        i388 = 0;
        i389 = 137;
       } else {
        i42 = get32(i156 | 0) | 0;
        i155 = i39 + 72 | 0;
        i160 = (get32(i155 | 0) | 0) + 1 | 0;
        set32(i155 | 0, i160 | 0);
        i155 = get32(i42 + 12 | 0) | 0;
        do if (!i155) i22 = 1096; else {
         if ((get8(i155 >> 0 | 0) | 0) != -124) {
          i22 = 1096;
          break;
         }
         i44 = get32(i64 | 0) | 0;
         i38 = get32(i155 + 24 | 0) | 0;
         i40 = i44 + 28 | 0;
         i152 = get32(i40 | 0) | 0;
         i176 = i44 + 32 | 0;
         i72 = get32(i176 | 0) | 0;
         if ((i72 | 0) > (i152 | 0)) {
          i390 = i152;
          i391 = get32(i44 + 4 | 0) | 0;
         } else {
          i54 = i44 + 4 | 0;
          i287 = _sqlite3DbRealloc(get32(i44 | 0) | 0, get32(i54 | 0) | 0, (i72 | 0) == 0 ? 1020 : i72 * 40 | 0) | 0;
          if (!i287) break;
          i72 = get32(i44 | 0) | 0;
          do if (!i72) i22 = 1093; else {
           if ((get32(i72 + 260 | 0) | 0) >>> 0 > i287 >>> 0) {
            i22 = 1093;
            break;
           }
           if ((get32(i72 + 264 | 0) | 0) >>> 0 <= i287 >>> 0) {
            i22 = 1093;
            break;
           }
           i392 = getU16(i72 + 232 | 0) | 0;
          } while (0);
          if ((i22 | 0) == 1093) {
           i22 = 0;
           i392 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i287) | 0;
          }
          set32(i176 | 0, (i392 >>> 0) / 20 | 0 | 0);
          set32(i54 | 0, i287 | 0);
          i390 = get32(i40 | 0) | 0;
          i391 = i287;
         }
         set32(i40 | 0, i390 + 1 | 0);
         set8(i391 + (i152 * 20 | 0) >> 0 | 0, 14 | 0);
         set8(i391 + (i152 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i391 + (i152 * 20 | 0) + 4 | 0, i38 | 0);
         set32(i391 + (i152 * 20 | 0) + 8 | 0, i160 | 0);
         set32(i391 + (i152 * 20 | 0) + 12 | 0, 0 | 0);
         set32(i391 + (i152 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i391 + (i152 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        } while (0);
        do if ((i22 | 0) == 1096) {
         i22 = 0;
         i72 = _sqlite3ExprCodeTarget(i39, i155, i160) | 0;
         if ((i72 | 0) == (i160 | 0)) break;
         i44 = get32(i64 | 0) | 0;
         if (!i44) break;
         i62 = i44 + 28 | 0;
         i154 = get32(i62 | 0) | 0;
         i151 = i44 + 32 | 0;
         i153 = get32(i151 | 0) | 0;
         if ((i153 | 0) > (i154 | 0)) {
          i393 = i154;
          i394 = get32(i44 + 4 | 0) | 0;
         } else {
          i159 = i44 + 4 | 0;
          i36 = _sqlite3DbRealloc(get32(i44 | 0) | 0, get32(i159 | 0) | 0, (i153 | 0) == 0 ? 1020 : i153 * 40 | 0) | 0;
          if (!i36) break;
          i153 = get32(i44 | 0) | 0;
          do if (!i153) i22 = 1105; else {
           if ((get32(i153 + 260 | 0) | 0) >>> 0 > i36 >>> 0) {
            i22 = 1105;
            break;
           }
           if ((get32(i153 + 264 | 0) | 0) >>> 0 <= i36 >>> 0) {
            i22 = 1105;
            break;
           }
           i395 = getU16(i153 + 232 | 0) | 0;
          } while (0);
          if ((i22 | 0) == 1105) {
           i22 = 0;
           i395 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i36) | 0;
          }
          set32(i151 | 0, (i395 >>> 0) / 20 | 0 | 0);
          set32(i159 | 0, i36 | 0);
          i393 = get32(i62 | 0) | 0;
          i394 = i36;
         }
         set32(i62 | 0, i393 + 1 | 0);
         set8(i394 + (i154 * 20 | 0) >> 0 | 0, 15 | 0);
         set8(i394 + (i154 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i394 + (i154 * 20 | 0) + 4 | 0, i72 | 0);
         set32(i394 + (i154 * 20 | 0) + 8 | 0, i160 | 0);
         set32(i394 + (i154 * 20 | 0) + 12 | 0, 0 | 0);
         set32(i394 + (i154 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i394 + (i154 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        } while (0);
        switch (get8(i42 >> 0 | 0) | 0) {
        case 77:
        case 79:
         {
          i396 = (i50 >>> 24 ^ 2) + 78 | 0;
          break;
         }
        default:
         i396 = i50 >>> 24 | 77;
        }
        i155 = i30 + 48 + (i43 * 80 | 0) + 24 | 0;
        i153 = i156;
        while (1) {
         i152 = i153 + 18 | 0;
         i38 = get8(i152 >> 0 | 0) | 0;
         if (i38 & 4) {
          i388 = i160;
          i389 = i396;
          break L1492;
         }
         if ((get32(i155 | 0) | 0) != 0 ? (get16((get32(i153 | 0) | 0) + 2 | 0) & 1) == 0 : 0) {
          i388 = i160;
          i389 = i396;
          break L1492;
         }
         set8(i152 >> 0 | 0, i38 & 255 | 4 | 0);
         i38 = get32(i153 + 4 | 0) | 0;
         if ((i38 | 0) <= -1) {
          i388 = i160;
          i389 = i396;
          break L1492;
         }
         i152 = get32((get32(i153 + 20 | 0) | 0) + 28 | 0) | 0;
         i40 = i152 + (i38 * 40 | 0) + 19 | 0;
         i287 = (get8(i40 >> 0 | 0) | 0) + -1 << 24 >> 24;
         set8(i40 >> 0 | 0, i287 | 0);
         if (i287 << 24 >> 24) {
          i388 = i160;
          i389 = i396;
          break L1492;
         }
         i153 = i152 + (i38 * 40 | 0) | 0;
         if (!i153) {
          i388 = i160;
          i389 = i396;
          break;
         }
        }
       } while (0);
       i156 = i63 + 28 | 0;
       i160 = get32(i156 | 0) | 0;
       set8(i30 + 48 + (i43 * 80 | 0) + 53 >> 0 | 0, i52 ^ 67 | 0);
       set32(i30 + 48 + (i43 * 80 | 0) + 56 | 0, i48 | 0);
       set32(i30 + 48 + (i43 * 80 | 0) + 60 | 0, i160 | 0);
       if (i23 & i177) set8(i30 + 48 + (i43 * 80 | 0) + 54 >> 0 | 0, 1 | 0);
       if ((i389 | 0) == 137) {
        i374 = 0;
        i22 = 1689;
        break;
       }
       i153 = i39 + 21 | 0;
       i155 = get8(i153 >> 0 | 0) | 0;
       if (!(i155 << 24 >> 24)) {
        i42 = i39 + 72 | 0;
        i38 = (get32(i42 | 0) | 0) + 1 | 0;
        set32(i42 | 0, i38 | 0);
        i397 = i38;
       } else {
        i38 = i155 + -1 << 24 >> 24;
        set8(i153 >> 0 | 0, i38 | 0);
        i397 = get32(i39 + 24 + ((i38 & 255) << 2) | 0) | 0;
       }
       i38 = i63 + 32 | 0;
       i153 = get32(i38 | 0) | 0;
       do if ((i153 | 0) > (i160 | 0)) {
        i398 = i160;
        i399 = get32(i63 + 4 | 0) | 0;
        i22 = 1133;
       } else {
        i155 = i63 + 4 | 0;
        i42 = _sqlite3DbRealloc(get32(i63 | 0) | 0, get32(i155 | 0) | 0, (i153 | 0) == 0 ? 1020 : i153 * 40 | 0) | 0;
        if (!i42) break;
        i152 = get32(i63 | 0) | 0;
        do if (!i152) i22 = 1131; else {
         if ((get32(i152 + 260 | 0) | 0) >>> 0 > i42 >>> 0) {
          i22 = 1131;
          break;
         }
         if ((get32(i152 + 264 | 0) | 0) >>> 0 <= i42 >>> 0) {
          i22 = 1131;
          break;
         }
         i400 = getU16(i152 + 232 | 0) | 0;
        } while (0);
        if ((i22 | 0) == 1131) {
         i22 = 0;
         i400 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i42) | 0;
        }
        set32(i38 | 0, (i400 >>> 0) / 20 | 0 | 0);
        set32(i155 | 0, i42 | 0);
        i398 = get32(i156 | 0) | 0;
        i399 = i42;
        i22 = 1133;
       } while (0);
       if ((i22 | 0) == 1133) {
        i22 = 0;
        set32(i156 | 0, i398 + 1 | 0);
        set8(i399 + (i160 * 20 | 0) >> 0 | 0, 61 | 0);
        set8(i399 + (i160 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i399 + (i160 * 20 | 0) + 4 | 0, i48 | 0);
        set32(i399 + (i160 * 20 | 0) + 8 | 0, i397 | 0);
        set32(i399 + (i160 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i399 + (i160 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i399 + (i160 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       }
       _sqlite3ExprCacheStore(i39, i48, -1, i397);
       i153 = get32(i156 | 0) | 0;
       i177 = get32(i38 | 0) | 0;
       do if ((i177 | 0) > (i153 | 0)) {
        i23 = i63 + 4 | 0;
        i401 = i23;
        i402 = i153;
        i403 = get32(i23 | 0) | 0;
        i22 = 1143;
       } else {
        i23 = i63 + 4 | 0;
        i152 = _sqlite3DbRealloc(get32(i63 | 0) | 0, get32(i23 | 0) | 0, (i177 | 0) == 0 ? 1020 : i177 * 40 | 0) | 0;
        if (!i152) {
         i404 = i23;
         break;
        }
        i287 = get32(i63 | 0) | 0;
        do if (!i287) i22 = 1141; else {
         if ((get32(i287 + 260 | 0) | 0) >>> 0 > i152 >>> 0) {
          i22 = 1141;
          break;
         }
         if ((get32(i287 + 264 | 0) | 0) >>> 0 <= i152 >>> 0) {
          i22 = 1141;
          break;
         }
         i405 = getU16(i287 + 232 | 0) | 0;
        } while (0);
        if ((i22 | 0) == 1141) {
         i22 = 0;
         i405 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i152) | 0;
        }
        set32(i38 | 0, (i405 >>> 0) / 20 | 0 | 0);
        set32(i23 | 0, i152 | 0);
        i401 = i23;
        i402 = get32(i156 | 0) | 0;
        i403 = i152;
        i22 = 1143;
       } while (0);
       if ((i22 | 0) == 1143) {
        i22 = 0;
        set32(i156 | 0, i402 + 1 | 0);
        set8(i403 + (i153 * 20 | 0) >> 0 | 0, i389 | 0);
        set8(i403 + (i153 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i403 + (i153 * 20 | 0) + 4 | 0, i388 | 0);
        set32(i403 + (i153 * 20 | 0) + 8 | 0, i58 | 0);
        set32(i403 + (i153 * 20 | 0) + 12 | 0, i397 | 0);
        set32(i403 + (i153 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i403 + (i153 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i404 = i401;
       }
       i38 = get32(i404 | 0) | 0;
       if (!i38) {
        i374 = i397;
        i22 = 1689;
        break;
       }
       set8(i38 + (((get32(i156 | 0) | 0) + -1 | 0) * 20 | 0) + 3 >> 0 | 0, 107 | 0);
       i374 = i397;
       i22 = 1689;
       break;
      }
      if (!(i60 & 196608)) {
       if (!(i60 & 268435456)) {
        set8(i30 + 48 + (i43 * 80 | 0) + 53 >> 0 | 0, get8(32869 + i52 >> 0 | 0) | 0 | 0);
        set32(i30 + 48 + (i43 * 80 | 0) + 56 | 0, i48 | 0);
        i38 = get8(32871 + i52 >> 0 | 0) | 0;
        i177 = i63 + 28 | 0;
        i160 = get32(i177 | 0) | 0;
        i287 = i63 + 32 | 0;
        i42 = get32(i287 | 0) | 0;
        do if ((i42 | 0) > (i160 | 0)) {
         i406 = i160;
         i407 = get32(i63 + 4 | 0) | 0;
         i22 = 1687;
        } else {
         i155 = i63 + 4 | 0;
         i40 = _sqlite3DbRealloc(get32(i63 | 0) | 0, get32(i155 | 0) | 0, (i42 | 0) == 0 ? 1020 : i42 * 40 | 0) | 0;
         if (!i40) {
          i408 = 1;
          break;
         }
         i54 = get32(i63 | 0) | 0;
         do if (!i54) i22 = 1685; else {
          if ((get32(i54 + 260 | 0) | 0) >>> 0 > i40 >>> 0) {
           i22 = 1685;
           break;
          }
          if ((get32(i54 + 264 | 0) | 0) >>> 0 <= i40 >>> 0) {
           i22 = 1685;
           break;
          }
          i409 = getU16(i54 + 232 | 0) | 0;
         } while (0);
         if ((i22 | 0) == 1685) {
          i22 = 0;
          i409 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i40) | 0;
         }
         set32(i287 | 0, (i409 >>> 0) / 20 | 0 | 0);
         set32(i155 | 0, i40 | 0);
         i406 = get32(i177 | 0) | 0;
         i407 = i40;
         i22 = 1687;
        } while (0);
        if ((i22 | 0) == 1687) {
         i22 = 0;
         set32(i177 | 0, i406 + 1 | 0);
         set8(i407 + (i160 * 20 | 0) >> 0 | 0, i38 | 0);
         set8(i407 + (i160 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i407 + (i160 * 20 | 0) + 4 | 0, i48 | 0);
         set32(i407 + (i160 * 20 | 0) + 8 | 0, i58 | 0);
         set32(i407 + (i160 * 20 | 0) + 12 | 0, 0 | 0);
         set32(i407 + (i160 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i407 + (i160 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         i408 = i160;
        }
        set32(i30 + 48 + (i43 * 80 | 0) + 60 | 0, i408 + 1 | 0);
        set8(i30 + 48 + (i43 * 80 | 0) + 54 >> 0 | 0, 1 | 0);
        i374 = 0;
        i22 = 1689;
        break;
       }
       i287 = i39 + 72 | 0;
       i42 = (get32(i287 | 0) | 0) + 1 | 0;
       set32(i287 | 0, i42 | 0);
       i156 = get32(i74 | 0) | 0;
       set32(i74 | 0, i156 + 1 | 0);
       i153 = get32(i53 | 0) | 0;
       if ((i156 | 0) < (i153 | 0)) i410 = i63 + 44 | 0; else {
        i54 = get32(i63 | 0) | 0;
        i152 = i63 + 44 | 0;
        i23 = get32(i152 | 0) | 0;
        i176 = _sqlite3DbRealloc(i54, i23, (i153 << 3) + 20 | 0) | 0;
        do if (!i176) {
         _sqlite3DbFree(i54, i23);
         set32(i152 | 0, 0 | 0);
         i22 = 1551;
        } else {
         set32(i152 | 0, i176 | 0);
         i153 = get32(i63 | 0) | 0;
         if (!i153) {
          i22 = 1551;
          break;
         }
         if ((get32(i153 + 260 | 0) | 0) >>> 0 > i176 >>> 0) {
          i22 = 1551;
          break;
         }
         if ((get32(i153 + 264 | 0) | 0) >>> 0 <= i176 >>> 0) {
          i22 = 1551;
          break;
         }
         i411 = getU16(i153 + 232 | 0) | 0;
        } while (0);
        if ((i22 | 0) == 1551) {
         i22 = 0;
         i411 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i176) | 0;
        }
        set32(i53 | 0, i411 >>> 2 | 0);
        i410 = i152;
       }
       i23 = get32(i410 | 0) | 0;
       if (i23) set32(i23 + (i156 << 2) | 0, -1 | 0);
       i23 = ~i156;
       i54 = get32(i30 + 48 + (i43 * 80 | 0) + 16 | 0) | 0;
       i160 = get32(i54 + 12 | 0) | 0;
       set8(i30 + 48 + (i43 * 80 | 0) + 53 >> 0 | 0, 3 | 0);
       set32(i30 + 48 + (i43 * 80 | 0) + 56 | 0, i42 | 0);
       i38 = get32(i20 | 0) | 0;
       do if ((i38 | 0) > 1) {
        i177 = i38 - i43 | 0;
        i153 = i177 + -1 | 0;
        i44 = get32(i39 | 0) | 0;
        i257 = i153 * 56 | 0;
        i19 = i257 + 64 | 0;
        L1614 : do if (!i44) {
         if ((i257 + 63 | 0) >>> 0 > 2147483390) {
          i412 = i89;
          i413 = i61;
          break L1336;
         }
         if (!(get32(50 * 4 | 0) | 0)) {
          i414 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i19) | 0;
          i22 = 1595;
          break;
         }
         i88 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i19) | 0;
         set32(35 * 4 | 0, i19 | 0);
         if ((get32(45 * 4 | 0) | 0) < (i19 | 0)) set32(45 * 4 | 0, i19 | 0);
         i161 = get32(6 * 4 | 0) | 0;
         do if (i161) {
          i266 = get32(30 * 4 | 0) | 0;
          i258 = ((i266 | 0) < 0) << 31 >> 31;
          i37 = 16;
          i170 = _i64Subtract(get32(i37 | 0) | 0, get32(i37 + 4 | 0) | 0, i88 | 0, ((i88 | 0) < 0) << 31 >> 31 | 0) | 0;
          i37 = tempRet0;
          if ((i258 | 0) < (i37 | 0) | (i258 | 0) == (i37 | 0) & i266 >>> 0 < i170 >>> 0) {
           set32(11 * 4 | 0, 0 | 0);
           break;
          } else {
           set32(11 * 4 | 0, 1 | 0);
           i170 = get32(7 * 4 | 0) | 0;
           set32(6 * 4 | 0, 0 | 0);
           FUNCTION_TABLE_viiii[i161 & 15](i170, i266, i258, i88);
           set32(6 * 4 | 0, i161 | 0);
           set32(7 * 4 | 0, i170 | 0);
           break;
          }
         } while (0);
         i161 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i88) | 0;
         if (!i161) {
          i412 = i89;
          i413 = i61;
          break L1336;
         }
         i154 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i161) | 0;
         i72 = (get32(30 * 4 | 0) | 0) + i154 | 0;
         set32(30 * 4 | 0, i72 | 0);
         if ((i72 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i72 | 0);
         i72 = get32(39 * 4 | 0) | 0;
         i154 = i72 + 1 | 0;
         set32(39 * 4 | 0, i154 | 0);
         if ((i72 | 0) < (get32(49 * 4 | 0) | 0)) {
          i415 = i161;
          break;
         }
         set32(49 * 4 | 0, i154 | 0);
         i415 = i161;
        } else {
         i161 = i44 + 30 | 0;
         if (get8(i161 >> 0 | 0) | 0) {
          i412 = i89;
          i413 = i61;
          break L1336;
         }
         do if (get8(i44 + 234 >> 0 | 0) | 0) {
          if ((getU16(i44 + 232 | 0) | 0) < (i19 | 0)) {
           i154 = i44 + 248 | 0;
           set32(i154 | 0, (get32(i154 | 0) | 0) + 1 | 0);
           break;
          }
          i154 = i44 + 256 | 0;
          i72 = get32(i154 | 0) | 0;
          if (!i72) {
           i62 = i44 + 252 | 0;
           set32(i62 | 0, (get32(i62 | 0) | 0) + 1 | 0);
           break;
          }
          set32(i154 | 0, get32(i72 | 0) | 0);
          i154 = i44 + 236 | 0;
          i62 = get32(i154 | 0) | 0;
          i36 = i62 + 1 | 0;
          set32(i154 | 0, i36 | 0);
          i154 = i44 + 244 | 0;
          set32(i154 | 0, (get32(i154 | 0) | 0) + 1 | 0);
          i154 = i44 + 240 | 0;
          if ((i62 | 0) >= (get32(i154 | 0) | 0)) set32(i154 | 0, i36 | 0);
          i414 = i72;
          i22 = 1595;
          break L1614;
         } while (0);
         do if ((i257 + 63 | 0) >>> 0 <= 2147483390) {
          if (!(get32(50 * 4 | 0) | 0)) {
           i88 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i19) | 0;
           if (!i88) break; else {
            i415 = i88;
            break L1614;
           }
          }
          i88 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i19) | 0;
          set32(35 * 4 | 0, i19 | 0);
          if ((get32(45 * 4 | 0) | 0) < (i19 | 0)) set32(45 * 4 | 0, i19 | 0);
          i72 = get32(6 * 4 | 0) | 0;
          do if (i72) {
           i36 = get32(30 * 4 | 0) | 0;
           i154 = ((i36 | 0) < 0) << 31 >> 31;
           i62 = 16;
           i159 = _i64Subtract(get32(i62 | 0) | 0, get32(i62 + 4 | 0) | 0, i88 | 0, ((i88 | 0) < 0) << 31 >> 31 | 0) | 0;
           i62 = tempRet0;
           if ((i154 | 0) < (i62 | 0) | (i154 | 0) == (i62 | 0) & i36 >>> 0 < i159 >>> 0) {
            set32(11 * 4 | 0, 0 | 0);
            break;
           } else {
            set32(11 * 4 | 0, 1 | 0);
            i159 = get32(7 * 4 | 0) | 0;
            set32(6 * 4 | 0, 0 | 0);
            FUNCTION_TABLE_viiii[i72 & 15](i159, i36, i154, i88);
            set32(6 * 4 | 0, i72 | 0);
            set32(7 * 4 | 0, i159 | 0);
            break;
           }
          } while (0);
          i72 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i88) | 0;
          if (!i72) break;
          i171 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i72) | 0;
          i159 = (get32(30 * 4 | 0) | 0) + i171 | 0;
          set32(30 * 4 | 0, i159 | 0);
          if ((i159 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i159 | 0);
          i159 = get32(39 * 4 | 0) | 0;
          i171 = i159 + 1 | 0;
          set32(39 * 4 | 0, i171 | 0);
          if ((i159 | 0) < (get32(49 * 4 | 0) | 0)) {
           i415 = i72;
           break L1614;
          }
          set32(49 * 4 | 0, i171 | 0);
          i415 = i72;
          break L1614;
         } while (0);
         set8(i161 >> 0 | 0, 1 | 0);
         i412 = i89;
         i413 = i61;
         break L1336;
        } while (0);
        if ((i22 | 0) == 1595) {
         i22 = 0;
         if (!i414) {
          i412 = i89;
          i413 = i61;
          break L1336;
         } else i415 = i414;
        }
        i19 = i177 & 65535;
        set16(i415 + 2 | 0, i19 | 0);
        set16(i415 | 0, i19 | 0);
        i19 = i415 + 8 | 0;
        i145 = i19;
        i257 = i71;
        i146 = i145 + 56 | 0;
        do {
         set32(i145 | 0, get32(i257 | 0) | 0);
         i145 = i145 + 4 | 0;
         i257 = i257 + 4 | 0;
        } while ((i145 | 0) < (i146 | 0));
        i44 = get32(i21 | 0) | 0;
        if ((i177 | 0) < 2) {
         i416 = i415;
         break;
        } else i417 = 1;
        while (1) {
         i145 = i19 + (i417 * 56 | 0) | 0;
         i257 = i44 + 8 + ((getU8(i30 + 48 + ((i417 + i43 | 0) * 80 | 0) + 52 >> 0 | 0) | 0) * 56 | 0) | 0;
         i146 = i145 + 56 | 0;
         do {
          set32(i145 | 0, get32(i257 | 0) | 0);
          i145 = i145 + 4 | 0;
          i257 = i257 + 4 | 0;
         } while ((i145 | 0) < (i146 | 0));
         if ((i417 | 0) < (i153 | 0)) i417 = i417 + 1 | 0; else {
          i416 = i415;
          break;
         }
        }
       } else i416 = get32(i21 | 0) | 0; while (0);
       do if (i47) {
        i38 = get32(i287 | 0) | 0;
        i152 = i38 + 1 | 0;
        i176 = i38 + 2 | 0;
        set32(i287 | 0, i176 | 0);
        i38 = i63 + 28 | 0;
        i153 = get32(i38 | 0) | 0;
        i257 = i63 + 32 | 0;
        i44 = get32(i257 | 0) | 0;
        if ((i44 | 0) > (i153 | 0)) {
         i418 = i153;
         i419 = get32(i63 + 4 | 0) | 0;
        } else {
         i19 = i63 + 4 | 0;
         i177 = _sqlite3DbRealloc(get32(i63 | 0) | 0, get32(i19 | 0) | 0, (i44 | 0) == 0 ? 1020 : i44 * 40 | 0) | 0;
         if (!i177) {
          i420 = i38;
          i421 = i257;
          i422 = i176;
          i423 = i152;
          break;
         }
         i44 = get32(i63 | 0) | 0;
         do if (!i44) i22 = 1608; else {
          if ((get32(i44 + 260 | 0) | 0) >>> 0 > i177 >>> 0) {
           i22 = 1608;
           break;
          }
          if ((get32(i44 + 264 | 0) | 0) >>> 0 <= i177 >>> 0) {
           i22 = 1608;
           break;
          }
          i424 = getU16(i44 + 232 | 0) | 0;
         } while (0);
         if ((i22 | 0) == 1608) {
          i22 = 0;
          i424 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i177) | 0;
         }
         set32(i257 | 0, (i424 >>> 0) / 20 | 0 | 0);
         set32(i19 | 0, i177 | 0);
         i418 = get32(i38 | 0) | 0;
         i419 = i177;
        }
        set32(i38 | 0, i418 + 1 | 0);
        set8(i419 + (i153 * 20 | 0) >> 0 | 0, 10 | 0);
        set8(i419 + (i153 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i419 + (i153 * 20 | 0) + 4 | 0, 0 | 0);
        set32(i419 + (i153 * 20 | 0) + 8 | 0, i152 | 0);
        set32(i419 + (i153 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i419 + (i153 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i419 + (i153 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i420 = i38;
        i421 = i257;
        i422 = i176;
        i423 = i152;
       } else {
        i420 = i63 + 28 | 0;
        i421 = i63 + 32 | 0;
        i422 = 0;
        i423 = 0;
       } while (0);
       i287 = get32(i420 | 0) | 0;
       i44 = get32(i421 | 0) | 0;
       do if ((i44 | 0) > (i287 | 0)) {
        i425 = i287;
        i426 = get32(i63 + 4 | 0) | 0;
        i22 = 1620;
       } else {
        i161 = i63 + 4 | 0;
        i40 = _sqlite3DbRealloc(get32(i63 | 0) | 0, get32(i161 | 0) | 0, (i44 | 0) == 0 ? 1020 : i44 * 40 | 0) | 0;
        if (!i40) {
         i427 = 1;
         break;
        }
        i155 = get32(i63 | 0) | 0;
        do if (!i155) i22 = 1618; else {
         if ((get32(i155 + 260 | 0) | 0) >>> 0 > i40 >>> 0) {
          i22 = 1618;
          break;
         }
         if ((get32(i155 + 264 | 0) | 0) >>> 0 <= i40 >>> 0) {
          i22 = 1618;
          break;
         }
         i428 = getU16(i155 + 232 | 0) | 0;
        } while (0);
        if ((i22 | 0) == 1618) {
         i22 = 0;
         i428 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i40) | 0;
        }
        set32(i421 | 0, (i428 >>> 0) / 20 | 0 | 0);
        set32(i161 | 0, i40 | 0);
        i425 = get32(i420 | 0) | 0;
        i426 = i40;
        i22 = 1620;
       } while (0);
       if ((i22 | 0) == 1620) {
        i22 = 0;
        set32(i420 | 0, i425 + 1 | 0);
        set8(i426 + (i287 * 20 | 0) >> 0 | 0, 7 | 0);
        set8(i426 + (i287 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i426 + (i287 * 20 | 0) + 4 | 0, 0 | 0);
        set32(i426 + (i287 * 20 | 0) + 8 | 0, i42 | 0);
        set32(i426 + (i287 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i426 + (i287 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i426 + (i287 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i427 = i287;
       }
       i44 = i160 + 20 | 0;
       if ((get32(i44 | 0) | 0) > 0) {
        i155 = i160 + 28 | 0;
        i152 = i73 + 8 + (i67 * 56 | 0) + 12 | 0;
        i176 = i63 + 4 | 0;
        i257 = 0;
        i38 = 0;
        while (1) {
         i153 = get32(i155 | 0) | 0;
         if ((get32(i153 + (i257 * 40 | 0) + 8 | 0) | 0) != (i48 | 0) ? (get16(i153 + (i257 * 40 | 0) + 16 | 0) | 0) != 512 : 0) i429 = i38; else i22 = 1625;
         do if ((i22 | 0) == 1625) {
          i22 = 0;
          i177 = _sqlite3WhereBegin(i39, i416, get32(i153 + (i257 * 40 | 0) | 0) | 0, 0, 240) | 0;
          if (!i177) {
           i429 = i38;
           break;
          }
          _explainOneScan(i39, i416, i177 + 48 | 0, i43, getU8(i68 >> 0 | 0) | 0, 0);
          do if (i47) {
           i19 = (i257 | 0) == ((get32(i44 | 0) | 0) + -1 | 0);
           i72 = _sqlite3ExprCodeGetColumn(i39, get32(i152 | 0) | 0, -1, i48, i422) | 0;
           i171 = get32(i420 | 0) | 0;
           i159 = i171 + 2 | 0;
           i154 = get32(i421 | 0) | 0;
           do if ((i154 | 0) > (i171 | 0)) {
            i430 = i171;
            i431 = get32(i176 | 0) | 0;
            i22 = 1636;
           } else {
            i36 = _sqlite3DbRealloc(get32(i63 | 0) | 0, get32(i176 | 0) | 0, (i154 | 0) == 0 ? 1020 : i154 * 40 | 0) | 0;
            if (!i36) {
             i432 = 1;
             break;
            }
            i62 = get32(i63 | 0) | 0;
            do if (!i62) i22 = 1634; else {
             if ((get32(i62 + 260 | 0) | 0) >>> 0 > i36 >>> 0) {
              i22 = 1634;
              break;
             }
             if ((get32(i62 + 264 | 0) | 0) >>> 0 <= i36 >>> 0) {
              i22 = 1634;
              break;
             }
             i433 = getU16(i62 + 232 | 0) | 0;
            } while (0);
            if ((i22 | 0) == 1634) {
             i22 = 0;
             i433 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i36) | 0;
            }
            set32(i421 | 0, (i433 >>> 0) / 20 | 0 | 0);
            set32(i176 | 0, i36 | 0);
            i430 = get32(i420 | 0) | 0;
            i431 = i36;
            i22 = 1636;
           } while (0);
           if ((i22 | 0) == 1636) {
            i22 = 0;
            set32(i420 | 0, i430 + 1 | 0);
            set8(i431 + (i171 * 20 | 0) >> 0 | 0, 107 | 0);
            set8(i431 + (i171 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
            set32(i431 + (i171 * 20 | 0) + 4 | 0, i423 | 0);
            set32(i431 + (i171 * 20 | 0) + 8 | 0, i159 | 0);
            set32(i431 + (i171 * 20 | 0) + 12 | 0, i72 | 0);
            set32(i431 + (i171 * 20 | 0) + 16 | 0, 0 | 0);
            set8(i431 + (i171 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
            i432 = i171;
           }
           i154 = get32(i63 | 0) | 0;
           i88 = get32(i176 | 0) | 0;
           if (!i88) break;
           if (get8(i154 + 30 >> 0 | 0) | 0) break;
           if ((i432 | 0) < 0) i434 = (get32(i420 | 0) | 0) + -1 | 0; else i434 = i432;
           i62 = i88 + (i434 * 20 | 0) + 1 | 0;
           i157 = i88 + (i434 * 20 | 0) + 16 | 0;
           _freeP4(i154, get8(i62 >> 0 | 0) | 0, get32(i157 | 0) | 0);
           set32(i157 | 0, (i19 ? -1 : i257) | 0);
           set8(i62 >> 0 | 0, -14 | 0);
          } while (0);
          i62 = get32(i420 | 0) | 0;
          i157 = get32(i421 | 0) | 0;
          do if ((i157 | 0) > (i62 | 0)) {
           i435 = i62;
           i436 = get32(i176 | 0) | 0;
           i22 = 1651;
          } else {
           i154 = _sqlite3DbRealloc(get32(i63 | 0) | 0, get32(i176 | 0) | 0, (i157 | 0) == 0 ? 1020 : i157 * 40 | 0) | 0;
           if (!i154) break;
           i88 = get32(i63 | 0) | 0;
           do if (!i88) i22 = 1649; else {
            if ((get32(i88 + 260 | 0) | 0) >>> 0 > i154 >>> 0) {
             i22 = 1649;
             break;
            }
            if ((get32(i88 + 264 | 0) | 0) >>> 0 <= i154 >>> 0) {
             i22 = 1649;
             break;
            }
            i437 = getU16(i88 + 232 | 0) | 0;
           } while (0);
           if ((i22 | 0) == 1649) {
            i22 = 0;
            i437 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i154) | 0;
           }
           set32(i421 | 0, (i437 >>> 0) / 20 | 0 | 0);
           set32(i176 | 0, i154 | 0);
           i435 = get32(i420 | 0) | 0;
           i436 = i154;
           i22 = 1651;
          } while (0);
          if ((i22 | 0) == 1651) {
           i22 = 0;
           set32(i420 | 0, i435 + 1 | 0);
           set8(i436 + (i62 * 20 | 0) >> 0 | 0, 2 | 0);
           set8(i436 + (i62 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
           set32(i436 + (i62 * 20 | 0) + 4 | 0, i42 | 0);
           set32(i436 + (i62 * 20 | 0) + 8 | 0, i23 | 0);
           set32(i436 + (i62 * 20 | 0) + 12 | 0, 0 | 0);
           set32(i436 + (i62 * 20 | 0) + 16 | 0, 0 | 0);
           set8(i436 + (i62 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
          }
          i157 = (get8(i177 + 7 >> 0 | 0) | 0) == 0 ? i38 : 1;
          _sqlite3WhereEnd(i177);
          i429 = i157;
         } while (0);
         i257 = i257 + 1 | 0;
         if ((i257 | 0) >= (get32(i44 | 0) | 0)) {
          i438 = i429;
          break;
         } else i38 = i429;
        }
       } else i438 = 0;
       i38 = get32(i420 | 0) | 0;
       if ((i38 | 0) > (i427 | 0)) set32((get32(i63 + 4 | 0) | 0) + (i427 * 20 | 0) + 4 | 0, i38 | 0);
       i44 = get32(i59 | 0) | 0;
       i257 = get32(i421 | 0) | 0;
       do if ((i257 | 0) > (i38 | 0)) {
        i439 = i38;
        i440 = get32(i63 + 4 | 0) | 0;
        i22 = 1665;
       } else {
        i23 = i63 + 4 | 0;
        i42 = _sqlite3DbRealloc(get32(i63 | 0) | 0, get32(i23 | 0) | 0, (i257 | 0) == 0 ? 1020 : i257 * 40 | 0) | 0;
        if (!i42) break;
        i176 = get32(i63 | 0) | 0;
        do if (!i176) i22 = 1663; else {
         if ((get32(i176 + 260 | 0) | 0) >>> 0 > i42 >>> 0) {
          i22 = 1663;
          break;
         }
         if ((get32(i176 + 264 | 0) | 0) >>> 0 <= i42 >>> 0) {
          i22 = 1663;
          break;
         }
         i441 = getU16(i176 + 232 | 0) | 0;
        } while (0);
        if ((i22 | 0) == 1663) {
         i22 = 0;
         i441 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i42) | 0;
        }
        set32(i421 | 0, (i441 >>> 0) / 20 | 0 | 0);
        set32(i23 | 0, i42 | 0);
        i439 = get32(i420 | 0) | 0;
        i440 = i42;
        i22 = 1665;
       } while (0);
       if ((i22 | 0) == 1665) {
        i22 = 0;
        set32(i420 | 0, i439 + 1 | 0);
        set8(i440 + (i38 * 20 | 0) >> 0 | 0, 1 | 0);
        set8(i440 + (i38 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i440 + (i38 * 20 | 0) + 4 | 0, 0 | 0);
        set32(i440 + (i38 * 20 | 0) + 8 | 0, i44 | 0);
        set32(i440 + (i38 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i440 + (i38 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i440 + (i38 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       }
       i257 = get32(i63 + 44 | 0) | 0;
       if (i257) set32(i257 + (i156 << 2) | 0, get32(i420 | 0) | 0);
       if ((get32(i20 | 0) | 0) > 1) _sqlite3DbFree(get32(i39 | 0) | 0, i416);
       if ((i54 | 0) == 0 | (i438 | 0) != 0) {
        i374 = 0;
        i22 = 1689;
        break;
       }
       i257 = i30 + 48 + (i43 * 80 | 0) + 24 | 0;
       i176 = i54;
       while (1) {
        i152 = i176 + 18 | 0;
        i155 = get8(i152 >> 0 | 0) | 0;
        if (i155 & 4) {
         i374 = 0;
         i22 = 1689;
         break L1336;
        }
        if ((get32(i257 | 0) | 0) != 0 ? (get16((get32(i176 | 0) | 0) + 2 | 0) & 1) == 0 : 0) {
         i374 = 0;
         i22 = 1689;
         break L1336;
        }
        set8(i152 >> 0 | 0, i155 & 255 | 4 | 0);
        i155 = get32(i176 + 4 | 0) | 0;
        if ((i155 | 0) <= -1) {
         i374 = 0;
         i22 = 1689;
         break L1336;
        }
        i152 = get32((get32(i176 + 20 | 0) | 0) + 28 | 0) | 0;
        i160 = i152 + (i155 * 40 | 0) + 19 | 0;
        i287 = (get8(i160 >> 0 | 0) | 0) + -1 << 24 >> 24;
        set8(i160 >> 0 | 0, i287 | 0);
        if (i287 << 24 >> 24) {
         i374 = 0;
         i22 = 1689;
         break L1336;
        }
        i176 = i152 + (i155 * 40 | 0) | 0;
        if (!i176) {
         i374 = 0;
         i22 = 1689;
         break L1336;
        }
       }
      }
      i176 = get32(i30 + 48 + (i43 * 80 | 0) + 4 | 0) | 0;
      i257 = get32(i30 + 48 + (i43 * 80 | 0) + 16 | 0) | 0;
      i54 = get32(i30 + 48 + (i43 * 80 | 0) + 32 | 0) | 0;
      i156 = get32((get32(i257 + 8 | 0) | 0) + (i176 << 2) | 0) | 0;
      if (i24 | (i60 & 16777216 | 0) == 0) i442 = 0; else i442 = (get32(i257 + 4 | 0) | 0) > (i176 | 0) & 1;
      if (!(i60 & 1048576)) {
       i443 = i60;
       i444 = i442;
       i445 = 0;
      } else {
       i38 = _findTerm(i66, i48, i156, i89, i61, 24, i257) | 0;
       i443 = get32(i65 | 0) | 0;
       i444 = 1;
       i445 = i38;
      }
      if (!(i443 & 2097152)) {
       i446 = i444;
       i447 = 0;
      } else {
       i446 = 1;
       i447 = _findTerm(i66, i48, i156, i89, i61, 36, i257) | 0;
      }
      i156 = _codeAllEqualityTerms(i39, i65, i66, i89, i61, i446, i12) | 0;
      i38 = get32(i39 | 0) | 0;
      i44 = get32(i12 | 0) | 0;
      L1794 : do if (!i44) i448 = 0; else {
       i155 = i44;
       while (1) if (!(get8(i155 >> 0 | 0) | 0)) {
        i449 = i155;
        break;
       } else i155 = i155 + 1 | 0;
       i155 = (i449 - i44 & 1073741823) + 1 | 0;
       L1798 : do if (!i38) {
        if (!(get32(50 * 4 | 0) | 0)) {
         i450 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i155) | 0;
         i22 = 1192;
         break;
        }
        i42 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i155) | 0;
        set32(35 * 4 | 0, i155 | 0);
        if ((get32(45 * 4 | 0) | 0) < (i155 | 0)) set32(45 * 4 | 0, i155 | 0);
        i23 = get32(6 * 4 | 0) | 0;
        do if (i23) {
         i152 = get32(30 * 4 | 0) | 0;
         i287 = ((i152 | 0) < 0) << 31 >> 31;
         i160 = 16;
         i153 = _i64Subtract(get32(i160 | 0) | 0, get32(i160 + 4 | 0) | 0, i42 | 0, ((i42 | 0) < 0) << 31 >> 31 | 0) | 0;
         i160 = tempRet0;
         if ((i287 | 0) < (i160 | 0) | (i287 | 0) == (i160 | 0) & i152 >>> 0 < i153 >>> 0) {
          set32(11 * 4 | 0, 0 | 0);
          break;
         } else {
          set32(11 * 4 | 0, 1 | 0);
          i153 = get32(7 * 4 | 0) | 0;
          set32(6 * 4 | 0, 0 | 0);
          FUNCTION_TABLE_viiii[i23 & 15](i153, i152, i287, i42);
          set32(6 * 4 | 0, i23 | 0);
          set32(7 * 4 | 0, i153 | 0);
          break;
         }
        } while (0);
        i23 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i42) | 0;
        if (!i23) {
         i448 = 0;
         break L1794;
        }
        i177 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i23) | 0;
        i62 = (get32(30 * 4 | 0) | 0) + i177 | 0;
        set32(30 * 4 | 0, i62 | 0);
        if ((i62 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i62 | 0);
        i62 = get32(39 * 4 | 0) | 0;
        i177 = i62 + 1 | 0;
        set32(39 * 4 | 0, i177 | 0);
        if ((i62 | 0) < (get32(49 * 4 | 0) | 0)) {
         i451 = i23;
         break;
        }
        set32(49 * 4 | 0, i177 | 0);
        i451 = i23;
       } else {
        i23 = i38 + 30 | 0;
        if (get8(i23 >> 0 | 0) | 0) {
         i448 = 0;
         break L1794;
        }
        do if (get8(i38 + 234 >> 0 | 0) | 0) {
         if ((getU16(i38 + 232 | 0) | 0) >>> 0 < i155 >>> 0) {
          i177 = i38 + 248 | 0;
          set32(i177 | 0, (get32(i177 | 0) | 0) + 1 | 0);
          break;
         }
         i177 = i38 + 256 | 0;
         i62 = get32(i177 | 0) | 0;
         if (!i62) {
          i153 = i38 + 252 | 0;
          set32(i153 | 0, (get32(i153 | 0) | 0) + 1 | 0);
          break;
         }
         set32(i177 | 0, get32(i62 | 0) | 0);
         i177 = i38 + 236 | 0;
         i153 = get32(i177 | 0) | 0;
         i287 = i153 + 1 | 0;
         set32(i177 | 0, i287 | 0);
         i177 = i38 + 244 | 0;
         set32(i177 | 0, (get32(i177 | 0) | 0) + 1 | 0);
         i177 = i38 + 240 | 0;
         if ((i153 | 0) >= (get32(i177 | 0) | 0)) set32(i177 | 0, i287 | 0);
         i450 = i62;
         i22 = 1192;
         break L1798;
        } while (0);
        do if (!(get32(50 * 4 | 0) | 0)) {
         i42 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i155) | 0;
         if (i42) {
          i451 = i42;
          break L1798;
         }
        } else {
         i42 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i155) | 0;
         set32(35 * 4 | 0, i155 | 0);
         if ((get32(45 * 4 | 0) | 0) < (i155 | 0)) set32(45 * 4 | 0, i155 | 0);
         i62 = get32(6 * 4 | 0) | 0;
         do if (i62) {
          i287 = get32(30 * 4 | 0) | 0;
          i177 = ((i287 | 0) < 0) << 31 >> 31;
          i153 = 16;
          i152 = _i64Subtract(get32(i153 | 0) | 0, get32(i153 + 4 | 0) | 0, i42 | 0, ((i42 | 0) < 0) << 31 >> 31 | 0) | 0;
          i153 = tempRet0;
          if ((i177 | 0) < (i153 | 0) | (i177 | 0) == (i153 | 0) & i287 >>> 0 < i152 >>> 0) {
           set32(11 * 4 | 0, 0 | 0);
           break;
          } else {
           set32(11 * 4 | 0, 1 | 0);
           i152 = get32(7 * 4 | 0) | 0;
           set32(6 * 4 | 0, 0 | 0);
           FUNCTION_TABLE_viiii[i62 & 15](i152, i287, i177, i42);
           set32(6 * 4 | 0, i62 | 0);
           set32(7 * 4 | 0, i152 | 0);
           break;
          }
         } while (0);
         i62 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i42) | 0;
         if (!i62) break;
         i154 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i62) | 0;
         i152 = (get32(30 * 4 | 0) | 0) + i154 | 0;
         set32(30 * 4 | 0, i152 | 0);
         if ((i152 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i152 | 0);
         i152 = get32(39 * 4 | 0) | 0;
         i154 = i152 + 1 | 0;
         set32(39 * 4 | 0, i154 | 0);
         if ((i152 | 0) < (get32(49 * 4 | 0) | 0)) {
          i451 = i62;
          break L1798;
         }
         set32(49 * 4 | 0, i154 | 0);
         i451 = i62;
         break L1798;
        } while (0);
        set8(i23 >> 0 | 0, 1 | 0);
        i448 = 0;
        break L1794;
       } while (0);
       if ((i22 | 0) == 1192) {
        i22 = 0;
        if (!i450) {
         i448 = 0;
         break;
        } else i451 = i450;
       }
       _memcpy(i451 | 0, i44 | 0, i155 | 0) | 0;
       i448 = i451;
      } while (0);
      i44 = get32(i55 | 0) | 0;
      if ((i176 | 0) < (get32(i257 + 4 | 0) | 0)) {
       i38 = (i52 | 0) == ((get8((get32(i257 + 40 | 0) | 0) + i176 >> 0 | 0) | 0) == 0 | 0);
       i452 = i38 ? i447 : i445;
       i453 = i38 ? i445 : i447;
      } else {
       i452 = i445;
       i453 = i447;
      }
      i38 = (i453 | 0) != 0;
      if (i38) i454 = (get16(i453 + 16 | 0) & 40) != 0; else i454 = 1;
      i62 = i454 & 1;
      i154 = (i452 | 0) != 0;
      if (i154) i455 = (get16(i452 + 16 | 0) & 40) != 0; else i455 = 1;
      i152 = i455 & 1;
      i177 = ((i176 | 0) > 0 | i38) & 1;
      do if (i38) {
       i287 = get32((get32(i453 | 0) | 0) + 12 | 0) | 0;
       i153 = i156 + i176 | 0;
       do if (!i287) i22 = 1213; else {
        if ((get8(i287 >> 0 | 0) | 0) != -124) {
         i22 = 1213;
         break;
        }
        i160 = get32(i64 | 0) | 0;
        i40 = get32(i287 + 24 | 0) | 0;
        i161 = i160 + 28 | 0;
        i157 = get32(i161 | 0) | 0;
        i88 = i160 + 32 | 0;
        i19 = get32(i88 | 0) | 0;
        if ((i19 | 0) > (i157 | 0)) {
         i456 = i157;
         i457 = get32(i160 + 4 | 0) | 0;
        } else {
         i171 = i160 + 4 | 0;
         i72 = _sqlite3DbRealloc(get32(i160 | 0) | 0, get32(i171 | 0) | 0, (i19 | 0) == 0 ? 1020 : i19 * 40 | 0) | 0;
         if (!i72) break;
         i19 = get32(i160 | 0) | 0;
         do if (!i19) i22 = 1210; else {
          if ((get32(i19 + 260 | 0) | 0) >>> 0 > i72 >>> 0) {
           i22 = 1210;
           break;
          }
          if ((get32(i19 + 264 | 0) | 0) >>> 0 <= i72 >>> 0) {
           i22 = 1210;
           break;
          }
          i458 = getU16(i19 + 232 | 0) | 0;
         } while (0);
         if ((i22 | 0) == 1210) {
          i22 = 0;
          i458 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i72) | 0;
         }
         set32(i88 | 0, (i458 >>> 0) / 20 | 0 | 0);
         set32(i171 | 0, i72 | 0);
         i456 = get32(i161 | 0) | 0;
         i457 = i72;
        }
        set32(i161 | 0, i456 + 1 | 0);
        set8(i457 + (i157 * 20 | 0) >> 0 | 0, 14 | 0);
        set8(i457 + (i157 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i457 + (i157 * 20 | 0) + 4 | 0, i40 | 0);
        set32(i457 + (i157 * 20 | 0) + 8 | 0, i153 | 0);
        set32(i457 + (i157 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i457 + (i157 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i457 + (i157 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       } while (0);
       do if ((i22 | 0) == 1213) {
        i22 = 0;
        i155 = _sqlite3ExprCodeTarget(i39, i287, i153) | 0;
        if ((i155 | 0) == (i153 | 0)) break;
        i19 = get32(i64 | 0) | 0;
        if (!i19) break;
        i23 = i19 + 28 | 0;
        i160 = get32(i23 | 0) | 0;
        i159 = i19 + 32 | 0;
        i151 = get32(i159 | 0) | 0;
        if ((i151 | 0) > (i160 | 0)) {
         i459 = i160;
         i460 = get32(i19 + 4 | 0) | 0;
        } else {
         i170 = i19 + 4 | 0;
         i258 = _sqlite3DbRealloc(get32(i19 | 0) | 0, get32(i170 | 0) | 0, (i151 | 0) == 0 ? 1020 : i151 * 40 | 0) | 0;
         if (!i258) break;
         i151 = get32(i19 | 0) | 0;
         do if (!i151) i22 = 1222; else {
          if ((get32(i151 + 260 | 0) | 0) >>> 0 > i258 >>> 0) {
           i22 = 1222;
           break;
          }
          if ((get32(i151 + 264 | 0) | 0) >>> 0 <= i258 >>> 0) {
           i22 = 1222;
           break;
          }
          i461 = getU16(i151 + 232 | 0) | 0;
         } while (0);
         if ((i22 | 0) == 1222) {
          i22 = 0;
          i461 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i258) | 0;
         }
         set32(i159 | 0, (i461 >>> 0) / 20 | 0 | 0);
         set32(i170 | 0, i258 | 0);
         i459 = get32(i23 | 0) | 0;
         i460 = i258;
        }
        set32(i23 | 0, i459 + 1 | 0);
        set8(i460 + (i160 * 20 | 0) >> 0 | 0, 15 | 0);
        set8(i460 + (i160 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i460 + (i160 * 20 | 0) + 4 | 0, i155 | 0);
        set32(i460 + (i160 * 20 | 0) + 8 | 0, i153 | 0);
        set32(i460 + (i160 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i460 + (i160 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i460 + (i160 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       } while (0);
       i151 = get8(i287 >> 0 | 0) | 0;
       if ((i151 & -2) << 24 >> 24 == -100) {
        i157 = i287;
        while (1) {
         i40 = get32(i157 + 8 | 0) | 0;
         i161 = get8(i40 >> 0 | 0) | 0;
         if ((i161 & -2) << 24 >> 24 == -100) i157 = i40; else {
          i462 = i40;
          i463 = i161;
          break;
         }
        }
       } else {
        i462 = i287;
        i463 = i151;
       }
       if (i463 << 24 >> 24 == -124) i464 = get8(i462 + 35 >> 0 | 0) | 0; else i464 = i463;
       L1903 : do switch (i464 & 255 | 0) {
       case 131:
       case 130:
       case 94:
       case 129:
        break;
       default:
        {
         i157 = i63 + 28 | 0;
         i161 = get32(i157 | 0) | 0;
         i40 = i63 + 32 | 0;
         i72 = get32(i40 | 0) | 0;
         if ((i72 | 0) > (i161 | 0)) {
          i465 = i161;
          i466 = get32(i63 + 4 | 0) | 0;
         } else {
          i171 = i63 + 4 | 0;
          i88 = _sqlite3DbRealloc(get32(i63 | 0) | 0, get32(i171 | 0) | 0, (i72 | 0) == 0 ? 1020 : i72 * 40 | 0) | 0;
          if (!i88) break L1903;
          i72 = get32(i63 | 0) | 0;
          do if (!i72) i22 = 1237; else {
           if ((get32(i72 + 260 | 0) | 0) >>> 0 > i88 >>> 0) {
            i22 = 1237;
            break;
           }
           if ((get32(i72 + 264 | 0) | 0) >>> 0 <= i88 >>> 0) {
            i22 = 1237;
            break;
           }
           i467 = getU16(i72 + 232 | 0) | 0;
          } while (0);
          if ((i22 | 0) == 1237) {
           i22 = 0;
           i467 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i88) | 0;
          }
          set32(i40 | 0, (i467 >>> 0) / 20 | 0 | 0);
          set32(i171 | 0, i88 | 0);
          i465 = get32(i157 | 0) | 0;
          i466 = i88;
         }
         set32(i157 | 0, i465 + 1 | 0);
         set8(i466 + (i161 * 20 | 0) >> 0 | 0, 73 | 0);
         set8(i466 + (i161 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i466 + (i161 * 20 | 0) + 4 | 0, i153 | 0);
         set32(i466 + (i161 * 20 | 0) + 8 | 0, i44 | 0);
         set32(i466 + (i161 * 20 | 0) + 12 | 0, 0 | 0);
         set32(i466 + (i161 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i466 + (i161 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        }
       } while (0);
       i153 = get32(i12 | 0) | 0;
       L1918 : do if (i153) {
        i151 = i153 + i176 | 0;
        i72 = get8(i151 >> 0 | 0) | 0;
        i160 = i287;
        L1920 : while (1) {
         switch (get8(i160 >> 0 | 0) | 0) {
         case 37:
          {
           i468 = i160;
           i22 = 1244;
           break L1920;
           break;
          }
         case -124:
         case -104:
         case -102:
          {
           i469 = i160;
           i22 = 1255;
           break L1920;
           break;
          }
         case 116:
          break;
         default:
          {
           i470 = i160;
           i22 = 1258;
           break L1920;
          }
         }
         i160 = get32(get32((get32(get32(i160 + 16 | 0) | 0) | 0) + 12 | 0) | 0) | 0;
        }
        L1923 : do if ((i22 | 0) == 1244) {
         i22 = 0;
         i160 = get32(i468 + 4 | 0) | 0;
         if (!i160) {
          i471 = 99;
          break;
         }
         i161 = get8(i160 >> 0 | 0) | 0;
         if (!(i161 << 24 >> 24)) {
          i471 = 99;
          break;
         } else {
          i472 = i160;
          i473 = i161;
          i474 = 99;
          i475 = 0;
         }
         while (1) {
          i161 = getU8(16286 + (i473 & 255) >> 0 | 0) | i475 << 8;
          i472 = i472 + 1 | 0;
          L1928 : do if ((i161 | 0) < 1685026146) {
           if ((i161 | 0) < 1667785074) {
            switch (i161 | 0) {
            case 1651273570:
             break;
            default:
             {
              i22 = 1253;
              break L1928;
             }
            }
            switch (i474 << 24 >> 24) {
            case 101:
            case 99:
             {
              i476 = 98;
              i477 = 1651273570;
              break L1928;
              break;
             }
            default:
             {
              i22 = 1252;
              break L1928;
             }
            }
           }
           if ((i161 | 0) < 1668050786) switch (i161 | 0) {
           case 1667785074:
            {
             i476 = 97;
             i477 = i161;
             break L1928;
             break;
            }
           default:
            {
             i22 = 1253;
             break L1928;
            }
           } else switch (i161 | 0) {
           case 1668050786:
            {
             i476 = 97;
             i477 = i161;
             break L1928;
             break;
            }
           default:
            {
             i22 = 1253;
             break L1928;
            }
           }
          } else {
           if ((i161 | 0) >= 1919246700) {
            if ((i161 | 0) >= 1952807028) switch (i161 | 0) {
            case 1952807028:
             {
              i476 = 97;
              i477 = i161;
              break L1928;
              break;
             }
            default:
             {
              i22 = 1253;
              break L1928;
             }
            }
            switch (i161 | 0) {
            case 1919246700:
             break;
            default:
             {
              i22 = 1253;
              break L1928;
             }
            }
            if (i474 << 24 >> 24 == 99) {
             i476 = 101;
             i477 = 1919246700;
             break;
            } else {
             i22 = 1252;
             break;
            }
           }
           if ((i161 | 0) < 1718382433) {
            switch (i161 | 0) {
            case 1685026146:
             break;
            default:
             {
              i22 = 1253;
              break L1928;
             }
            }
            if (i474 << 24 >> 24 == 99) {
             i476 = 101;
             i477 = 1685026146;
             break;
            }
           } else {
            switch (i161 | 0) {
            case 1718382433:
             break;
            default:
             {
              i22 = 1253;
              break L1928;
             }
            }
            if (i474 << 24 >> 24 == 99) {
             i476 = 101;
             i477 = 1718382433;
             break;
            }
           }
           i476 = i474;
           i477 = i161;
          } while (0);
          if ((i22 | 0) == 1252) {
           i22 = 0;
           i476 = i474;
           i477 = i161;
          } else if ((i22 | 0) == 1253) {
           i22 = 0;
           if ((i161 & 16777215 | 0) == 6909556) {
            i471 = 100;
            break L1923;
           } else {
            i476 = i474;
            i477 = i161;
           }
          }
          i473 = get8(i472 >> 0 | 0) | 0;
          if (!(i473 << 24 >> 24)) {
           i471 = i476;
           break;
          } else {
           i474 = i476;
           i475 = i477;
          }
         }
        } else if ((i22 | 0) == 1255) {
         i22 = 0;
         i42 = get32(i469 + 40 | 0) | 0;
         if (!i42) {
          i470 = i469;
          i22 = 1258;
          break;
         }
         i36 = get16(i469 + 28 | 0) | 0;
         if (i36 << 16 >> 16 < 0) {
          i471 = 100;
          break;
         }
         i471 = get8((get32(i42 + 12 | 0) | 0) + ((i36 << 16 >> 16) * 24 | 0) + 22 >> 0 | 0) | 0;
        } while (0);
        if ((i22 | 0) == 1258) {
         i22 = 0;
         i471 = get8(i470 + 1 >> 0 | 0) | 0;
        }
        i36 = i471 & 255;
        do if (i72 << 24 >> 24 == 0 | i471 << 24 >> 24 == 0) {
         if (!((i471 | i72) << 24 >> 24)) {
          i22 = 1263;
          break;
         }
         if ((i36 + (i72 & 255) & 255) << 24 >> 24 == 98) i22 = 1263; else i22 = 1264;
        } else if (i72 << 24 >> 24 > 98 | i471 << 24 >> 24 > 98) i22 = 1264; else i22 = 1263; while (0);
        L1965 : do if ((i22 | 0) == 1263) {
         i22 = 0;
         set8(i151 >> 0 | 0, 98 | 0);
        } else if ((i22 | 0) == 1264) {
         i22 = 0;
         if (i72 << 24 >> 24 == 98) break;
         i36 = get8(i287 >> 0 | 0) | 0;
         if ((i36 & -2) << 24 >> 24 == -100) {
          i42 = i287;
          while (1) {
           i160 = get32(i42 + 8 | 0) | 0;
           i157 = get8(i160 >> 0 | 0) | 0;
           if ((i157 & -2) << 24 >> 24 == -100) i42 = i160; else {
            i478 = i160;
            i479 = i157;
            break;
           }
          }
         } else {
          i478 = i287;
          i479 = i36;
         }
         if (i479 << 24 >> 24 == -124) i480 = get8(i478 + 35 >> 0 | 0) | 0; else i480 = i479;
         switch (i480 & 255 | 0) {
         case 131:
          {
           break L1965;
           break;
          }
         case 129:
          {
           i481 = (i72 + -99 & 255) < 2 & 1;
           break;
          }
         case 130:
          {
           i481 = (i72 << 24 >> 24 == 101 | i72 << 24 >> 24 == 99) & 1;
           break;
          }
         case 94:
          {
           i481 = i72 << 24 >> 24 == 97 & 1;
           break;
          }
         case 152:
          {
           i481 = (i72 + -99 & 255) < 2 & (get16(i478 + 28 | 0) | 0) < 0 & 1;
           break;
          }
         default:
          break L1918;
         }
         if (!i481) break L1918;
        } while (0);
        set8(i151 >> 0 | 0, 98 | 0);
       } while (0);
       i482 = i176 + 1 | 0;
       i483 = i62;
       i484 = i177;
      } else {
       if (!i442) {
        i482 = i176;
        i483 = i62;
        i484 = i177;
        break;
       }
       i287 = i156 + i176 | 0;
       i153 = i63 + 28 | 0;
       i72 = get32(i153 | 0) | 0;
       i42 = i63 + 32 | 0;
       i157 = get32(i42 | 0) | 0;
       do if ((i157 | 0) > (i72 | 0)) {
        i485 = i72;
        i486 = get32(i63 + 4 | 0) | 0;
        i22 = 1287;
       } else {
        i160 = i63 + 4 | 0;
        i88 = _sqlite3DbRealloc(get32(i63 | 0) | 0, get32(i160 | 0) | 0, (i157 | 0) == 0 ? 1020 : i157 * 40 | 0) | 0;
        if (!i88) break;
        i171 = get32(i63 | 0) | 0;
        do if (!i171) i22 = 1285; else {
         if ((get32(i171 + 260 | 0) | 0) >>> 0 > i88 >>> 0) {
          i22 = 1285;
          break;
         }
         if ((get32(i171 + 264 | 0) | 0) >>> 0 <= i88 >>> 0) {
          i22 = 1285;
          break;
         }
         i487 = getU16(i171 + 232 | 0) | 0;
        } while (0);
        if ((i22 | 0) == 1285) {
         i22 = 0;
         i487 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i88) | 0;
        }
        set32(i42 | 0, (i487 >>> 0) / 20 | 0 | 0);
        set32(i160 | 0, i88 | 0);
        i485 = get32(i153 | 0) | 0;
        i486 = i88;
        i22 = 1287;
       } while (0);
       if ((i22 | 0) == 1287) {
        i22 = 0;
        set32(i153 | 0, i485 + 1 | 0);
        set8(i486 + (i72 * 20 | 0) >> 0 | 0, 10 | 0);
        set8(i486 + (i72 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i486 + (i72 * 20 | 0) + 4 | 0, 0 | 0);
        set32(i486 + (i72 * 20 | 0) + 8 | 0, i287 | 0);
        set32(i486 + (i72 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i486 + (i72 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i486 + (i72 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       }
       i482 = i176 + 1 | 0;
       i483 = 0;
       i484 = 1;
      } while (0);
      i177 = get32(i12 | 0) | 0;
      i62 = get32(i64 | 0) | 0;
      do if (i177) {
       L2003 : do if ((i482 | 0) > 0) {
        i38 = i177;
        i257 = i482;
        i42 = i156;
        while (1) {
         if ((get8(i38 >> 0 | 0) | 0) != 98) {
          i488 = i42;
          i489 = i38;
          i490 = i257;
          break L2003;
         }
         i157 = i257 + -1 | 0;
         i171 = i42 + 1 | 0;
         i151 = i38 + 1 | 0;
         if ((i257 | 0) > 1) {
          i38 = i151;
          i257 = i157;
          i42 = i171;
         } else {
          i488 = i171;
          i489 = i151;
          i490 = i157;
          break;
         }
        }
       } else {
        i488 = i156;
        i489 = i177;
        i490 = i482;
       } while (0);
       i72 = i490;
       while (1) {
        if ((i72 | 0) <= 1) {
         i491 = i72;
         i22 = 1296;
         break;
        }
        i287 = i72 + -1 | 0;
        if ((get8(i489 + i287 >> 0 | 0) | 0) == 98) i72 = i287; else {
         i492 = i72;
         break;
        }
       }
       if ((i22 | 0) == 1296) {
        i22 = 0;
        if ((i491 | 0) > 0) i492 = i491; else break;
       }
       i72 = i62 + 28 | 0;
       i287 = get32(i72 | 0) | 0;
       i153 = i62 + 32 | 0;
       i42 = get32(i153 | 0) | 0;
       do if ((i42 | 0) > (i287 | 0)) {
        i493 = i287;
        i494 = get32(i62 + 4 | 0) | 0;
        i22 = 1306;
       } else {
        i257 = i62 + 4 | 0;
        i38 = _sqlite3DbRealloc(get32(i62 | 0) | 0, get32(i257 | 0) | 0, (i42 | 0) == 0 ? 1020 : i42 * 40 | 0) | 0;
        if (!i38) break;
        i88 = get32(i62 | 0) | 0;
        do if (!i88) i22 = 1304; else {
         if ((get32(i88 + 260 | 0) | 0) >>> 0 > i38 >>> 0) {
          i22 = 1304;
          break;
         }
         if ((get32(i88 + 264 | 0) | 0) >>> 0 <= i38 >>> 0) {
          i22 = 1304;
          break;
         }
         i495 = getU16(i88 + 232 | 0) | 0;
        } while (0);
        if ((i22 | 0) == 1304) {
         i22 = 0;
         i495 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i38) | 0;
        }
        set32(i153 | 0, (i495 >>> 0) / 20 | 0 | 0);
        set32(i257 | 0, i38 | 0);
        i493 = get32(i72 | 0) | 0;
        i494 = i38;
        i22 = 1306;
       } while (0);
       if ((i22 | 0) == 1306) {
        i22 = 0;
        set32(i72 | 0, i493 + 1 | 0);
        set8(i494 + (i287 * 20 | 0) >> 0 | 0, 29 | 0);
        set8(i494 + (i287 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i494 + (i287 * 20 | 0) + 4 | 0, i488 | 0);
        set32(i494 + (i287 * 20 | 0) + 8 | 0, i492 | 0);
        set32(i494 + (i287 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i494 + (i287 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i494 + (i287 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       }
       _sqlite3VdbeChangeP4(i62, -1, i489, i492);
       i153 = i488 + -1 + i492 | 0;
       i42 = i39 + 21 | 0;
       i88 = 0;
       i160 = i39 + 96 | 0;
       while (1) {
        i157 = i160 + 16 | 0;
        i151 = get32(i157 | 0) | 0;
        if (!((i151 | 0) < (i488 | 0) | (i151 | 0) > (i153 | 0))) {
         i171 = i160 + 8 | 0;
         if (get8(i171 >> 0 | 0) | 0) {
          i40 = get8(i42 >> 0 | 0) | 0;
          if ((i40 & 255) < 8) {
           set8(i42 >> 0 | 0, i40 + 1 << 24 >> 24 | 0);
           set32(i39 + 24 + ((i40 & 255) << 2) | 0, i151 | 0);
          }
          set8(i171 >> 0 | 0, 0 | 0);
         }
         set32(i157 | 0, 0 | 0);
        }
        i88 = i88 + 1 | 0;
        if ((i88 | 0) == 10) break; else i160 = i160 + 24 | 0;
       }
      } while (0);
      i62 = get8(32858 + (i484 << 2 | i52 | i483 << 1) >> 0 | 0) | 0;
      i177 = i63 + 28 | 0;
      i160 = get32(i177 | 0) | 0;
      i88 = i63 + 32 | 0;
      i42 = get32(i88 | 0) | 0;
      do if ((i42 | 0) > (i160 | 0)) {
       i153 = i63 + 4 | 0;
       i496 = i153;
       i497 = i63;
       i498 = i160;
       i499 = get32(i153 | 0) | 0;
       i22 = 1324;
      } else {
       i153 = i63 + 4 | 0;
       i287 = _sqlite3DbRealloc(get32(i63 | 0) | 0, get32(i153 | 0) | 0, (i42 | 0) == 0 ? 1020 : i42 * 40 | 0) | 0;
       if (!i287) {
        i500 = 1;
        i501 = i63;
        i502 = i153;
        break;
       }
       i72 = get32(i63 | 0) | 0;
       do if (!i72) i22 = 1322; else {
        if ((get32(i72 + 260 | 0) | 0) >>> 0 > i287 >>> 0) {
         i22 = 1322;
         break;
        }
        if ((get32(i72 + 264 | 0) | 0) >>> 0 <= i287 >>> 0) {
         i22 = 1322;
         break;
        }
        i503 = getU16(i72 + 232 | 0) | 0;
       } while (0);
       if ((i22 | 0) == 1322) {
        i22 = 0;
        i503 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i287) | 0;
       }
       set32(i88 | 0, (i503 >>> 0) / 20 | 0 | 0);
       set32(i153 | 0, i287 | 0);
       i496 = i153;
       i497 = i63;
       i498 = get32(i177 | 0) | 0;
       i499 = i287;
       i22 = 1324;
      } while (0);
      if ((i22 | 0) == 1324) {
       i22 = 0;
       set32(i177 | 0, i498 + 1 | 0);
       set8(i499 + (i160 * 20 | 0) >> 0 | 0, i62 | 0);
       set8(i499 + (i160 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i499 + (i160 * 20 | 0) + 4 | 0, i54 | 0);
       set32(i499 + (i160 * 20 | 0) + 8 | 0, i44 | 0);
       set32(i499 + (i160 * 20 | 0) + 12 | 0, i156 | 0);
       set32(i499 + (i160 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i499 + (i160 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i500 = i160;
       i501 = i497;
       i502 = i496;
      }
      i42 = get32(i501 | 0) | 0;
      i72 = get32(i502 | 0) | 0;
      do if (i72) {
       if (get8(i42 + 30 >> 0 | 0) | 0) break;
       if ((i500 | 0) < 0) i504 = (get32(i177 | 0) | 0) + -1 | 0; else i504 = i500;
       i157 = i72 + (i504 * 20 | 0) + 1 | 0;
       i171 = i72 + (i504 * 20 | 0) + 16 | 0;
       _freeP4(i42, get8(i157 >> 0 | 0) | 0, get32(i171 | 0) | 0);
       set32(i171 | 0, i482 | 0);
       set8(i157 >> 0 | 0, -14 | 0);
      } while (0);
      do if (i154) {
       i42 = get32((get32(i452 | 0) | 0) + 12 | 0) | 0;
       i72 = i156 + i176 | 0;
       i160 = i39 + 96 | 0;
       i62 = i39 + 21 | 0;
       i157 = 0;
       i171 = i160;
       while (1) {
        i151 = i171 + 16 | 0;
        if ((get32(i151 | 0) | 0) == (i72 | 0)) {
         i40 = i171 + 8 | 0;
         if (get8(i40 >> 0 | 0) | 0) {
          i155 = get8(i62 >> 0 | 0) | 0;
          if ((i155 & 255) < 8) {
           set8(i62 >> 0 | 0, i155 + 1 << 24 >> 24 | 0);
           set32(i39 + 24 + ((i155 & 255) << 2) | 0, i72 | 0);
          }
          set8(i40 >> 0 | 0, 0 | 0);
         }
         set32(i151 | 0, 0 | 0);
        }
        i157 = i157 + 1 | 0;
        if ((i157 | 0) == 10) break; else i171 = i171 + 24 | 0;
       }
       do if (!i42) i22 = 1351; else {
        if ((get8(i42 >> 0 | 0) | 0) != -124) {
         i22 = 1351;
         break;
        }
        i171 = get32(i64 | 0) | 0;
        i157 = get32(i42 + 24 | 0) | 0;
        i287 = i171 + 28 | 0;
        i153 = get32(i287 | 0) | 0;
        i151 = i171 + 32 | 0;
        i40 = get32(i151 | 0) | 0;
        if ((i40 | 0) > (i153 | 0)) {
         i505 = i153;
         i506 = get32(i171 + 4 | 0) | 0;
        } else {
         i155 = i171 + 4 | 0;
         i23 = _sqlite3DbRealloc(get32(i171 | 0) | 0, get32(i155 | 0) | 0, (i40 | 0) == 0 ? 1020 : i40 * 40 | 0) | 0;
         if (!i23) break;
         i40 = get32(i171 | 0) | 0;
         do if (!i40) i22 = 1348; else {
          if ((get32(i40 + 260 | 0) | 0) >>> 0 > i23 >>> 0) {
           i22 = 1348;
           break;
          }
          if ((get32(i40 + 264 | 0) | 0) >>> 0 <= i23 >>> 0) {
           i22 = 1348;
           break;
          }
          i507 = getU16(i40 + 232 | 0) | 0;
         } while (0);
         if ((i22 | 0) == 1348) {
          i22 = 0;
          i507 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i23) | 0;
         }
         set32(i151 | 0, (i507 >>> 0) / 20 | 0 | 0);
         set32(i155 | 0, i23 | 0);
         i505 = get32(i287 | 0) | 0;
         i506 = i23;
        }
        set32(i287 | 0, i505 + 1 | 0);
        set8(i506 + (i153 * 20 | 0) >> 0 | 0, 14 | 0);
        set8(i506 + (i153 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i506 + (i153 * 20 | 0) + 4 | 0, i157 | 0);
        set32(i506 + (i153 * 20 | 0) + 8 | 0, i72 | 0);
        set32(i506 + (i153 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i506 + (i153 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i506 + (i153 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       } while (0);
       do if ((i22 | 0) == 1351) {
        i22 = 0;
        i40 = _sqlite3ExprCodeTarget(i39, i42, i72) | 0;
        if ((i40 | 0) == (i72 | 0)) break;
        i38 = get32(i64 | 0) | 0;
        if (!i38) break;
        i257 = i38 + 28 | 0;
        i171 = get32(i257 | 0) | 0;
        i258 = i38 + 32 | 0;
        i170 = get32(i258 | 0) | 0;
        if ((i170 | 0) > (i171 | 0)) {
         i508 = i171;
         i509 = get32(i38 + 4 | 0) | 0;
        } else {
         i159 = i38 + 4 | 0;
         i19 = _sqlite3DbRealloc(get32(i38 | 0) | 0, get32(i159 | 0) | 0, (i170 | 0) == 0 ? 1020 : i170 * 40 | 0) | 0;
         if (!i19) break;
         i170 = get32(i38 | 0) | 0;
         do if (!i170) i22 = 1360; else {
          if ((get32(i170 + 260 | 0) | 0) >>> 0 > i19 >>> 0) {
           i22 = 1360;
           break;
          }
          if ((get32(i170 + 264 | 0) | 0) >>> 0 <= i19 >>> 0) {
           i22 = 1360;
           break;
          }
          i510 = getU16(i170 + 232 | 0) | 0;
         } while (0);
         if ((i22 | 0) == 1360) {
          i22 = 0;
          i510 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i19) | 0;
         }
         set32(i258 | 0, (i510 >>> 0) / 20 | 0 | 0);
         set32(i159 | 0, i19 | 0);
         i508 = get32(i257 | 0) | 0;
         i509 = i19;
        }
        set32(i257 | 0, i508 + 1 | 0);
        set8(i509 + (i171 * 20 | 0) >> 0 | 0, 15 | 0);
        set8(i509 + (i171 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i509 + (i171 * 20 | 0) + 4 | 0, i40 | 0);
        set32(i509 + (i171 * 20 | 0) + 8 | 0, i72 | 0);
        set32(i509 + (i171 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i509 + (i171 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i509 + (i171 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       } while (0);
       i170 = get8(i42 >> 0 | 0) | 0;
       if ((i170 & -2) << 24 >> 24 == -100) {
        i153 = i42;
        while (1) {
         i157 = get32(i153 + 8 | 0) | 0;
         i287 = get8(i157 >> 0 | 0) | 0;
         if ((i287 & -2) << 24 >> 24 == -100) i153 = i157; else {
          i511 = i157;
          i512 = i287;
          break;
         }
        }
       } else {
        i511 = i42;
        i512 = i170;
       }
       if (i512 << 24 >> 24 == -124) i513 = get8(i511 + 35 >> 0 | 0) | 0; else i513 = i512;
       L2114 : do switch (i513 & 255 | 0) {
       case 131:
       case 130:
       case 94:
       case 129:
        break;
       default:
        {
         i153 = get32(i177 | 0) | 0;
         i287 = get32(i88 | 0) | 0;
         if ((i287 | 0) > (i153 | 0)) {
          i514 = i153;
          i515 = get32(i502 | 0) | 0;
         } else {
          i157 = _sqlite3DbRealloc(get32(i501 | 0) | 0, get32(i502 | 0) | 0, (i287 | 0) == 0 ? 1020 : i287 * 40 | 0) | 0;
          if (!i157) break L2114;
          i287 = get32(i501 | 0) | 0;
          do if (!i287) i22 = 1375; else {
           if ((get32(i287 + 260 | 0) | 0) >>> 0 > i157 >>> 0) {
            i22 = 1375;
            break;
           }
           if ((get32(i287 + 264 | 0) | 0) >>> 0 <= i157 >>> 0) {
            i22 = 1375;
            break;
           }
           i516 = getU16(i287 + 232 | 0) | 0;
          } while (0);
          if ((i22 | 0) == 1375) {
           i22 = 0;
           i516 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i157) | 0;
          }
          set32(i88 | 0, (i516 >>> 0) / 20 | 0 | 0);
          set32(i502 | 0, i157 | 0);
          i514 = get32(i177 | 0) | 0;
          i515 = i157;
         }
         set32(i177 | 0, i514 + 1 | 0);
         set8(i515 + (i153 * 20 | 0) >> 0 | 0, 73 | 0);
         set8(i515 + (i153 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i515 + (i153 * 20 | 0) + 4 | 0, i72 | 0);
         set32(i515 + (i153 * 20 | 0) + 8 | 0, i44 | 0);
         set32(i515 + (i153 * 20 | 0) + 12 | 0, 0 | 0);
         set32(i515 + (i153 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i515 + (i153 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        }
       } while (0);
       if (!i448) {
        i517 = i176 + 1 | 0;
        break;
       }
       i72 = i448 + i176 | 0;
       i170 = get8(i72 >> 0 | 0) | 0;
       i287 = i42;
       L2132 : while (1) {
        switch (get8(i287 >> 0 | 0) | 0) {
        case 37:
         {
          i518 = i287;
          i22 = 1383;
          break L2132;
          break;
         }
        case -124:
        case -104:
        case -102:
         {
          i519 = i287;
          i22 = 1394;
          break L2132;
          break;
         }
        case 116:
         break;
        default:
         {
          i520 = i287;
          i22 = 1397;
          break L2132;
         }
        }
        i287 = get32(get32((get32(get32(i287 + 16 | 0) | 0) | 0) + 12 | 0) | 0) | 0;
       }
       L2135 : do if ((i22 | 0) == 1383) {
        i22 = 0;
        i287 = get32(i518 + 4 | 0) | 0;
        if (!i287) {
         i521 = 99;
         break;
        }
        i171 = get8(i287 >> 0 | 0) | 0;
        if (!(i171 << 24 >> 24)) {
         i521 = 99;
         break;
        } else {
         i522 = i287;
         i523 = i171;
         i524 = 99;
         i525 = 0;
        }
        while (1) {
         i171 = getU8(16286 + (i523 & 255) >> 0 | 0) | i525 << 8;
         i522 = i522 + 1 | 0;
         L2140 : do if ((i171 | 0) < 1685026146) {
          if ((i171 | 0) < 1667785074) {
           switch (i171 | 0) {
           case 1651273570:
            break;
           default:
            {
             i22 = 1392;
             break L2140;
            }
           }
           switch (i524 << 24 >> 24) {
           case 101:
           case 99:
            {
             i526 = 98;
             i527 = 1651273570;
             break L2140;
             break;
            }
           default:
            {
             i22 = 1391;
             break L2140;
            }
           }
          }
          if ((i171 | 0) < 1668050786) switch (i171 | 0) {
          case 1667785074:
           {
            i526 = 97;
            i527 = i171;
            break L2140;
            break;
           }
          default:
           {
            i22 = 1392;
            break L2140;
           }
          } else switch (i171 | 0) {
          case 1668050786:
           {
            i526 = 97;
            i527 = i171;
            break L2140;
            break;
           }
          default:
           {
            i22 = 1392;
            break L2140;
           }
          }
         } else {
          if ((i171 | 0) >= 1919246700) {
           if ((i171 | 0) >= 1952807028) switch (i171 | 0) {
           case 1952807028:
            {
             i526 = 97;
             i527 = i171;
             break L2140;
             break;
            }
           default:
            {
             i22 = 1392;
             break L2140;
            }
           }
           switch (i171 | 0) {
           case 1919246700:
            break;
           default:
            {
             i22 = 1392;
             break L2140;
            }
           }
           if (i524 << 24 >> 24 == 99) {
            i526 = 101;
            i527 = 1919246700;
            break;
           } else {
            i22 = 1391;
            break;
           }
          }
          if ((i171 | 0) < 1718382433) {
           switch (i171 | 0) {
           case 1685026146:
            break;
           default:
            {
             i22 = 1392;
             break L2140;
            }
           }
           if (i524 << 24 >> 24 == 99) {
            i526 = 101;
            i527 = 1685026146;
            break;
           }
          } else {
           switch (i171 | 0) {
           case 1718382433:
            break;
           default:
            {
             i22 = 1392;
             break L2140;
            }
           }
           if (i524 << 24 >> 24 == 99) {
            i526 = 101;
            i527 = 1718382433;
            break;
           }
          }
          i526 = i524;
          i527 = i171;
         } while (0);
         if ((i22 | 0) == 1391) {
          i22 = 0;
          i526 = i524;
          i527 = i171;
         } else if ((i22 | 0) == 1392) {
          i22 = 0;
          if ((i171 & 16777215 | 0) == 6909556) {
           i521 = 100;
           break L2135;
          } else {
           i526 = i524;
           i527 = i171;
          }
         }
         i523 = get8(i522 >> 0 | 0) | 0;
         if (!(i523 << 24 >> 24)) {
          i521 = i526;
          break;
         } else {
          i524 = i526;
          i525 = i527;
         }
        }
       } else if ((i22 | 0) == 1394) {
        i22 = 0;
        i153 = get32(i519 + 40 | 0) | 0;
        if (!i153) {
         i520 = i519;
         i22 = 1397;
         break;
        }
        i157 = get16(i519 + 28 | 0) | 0;
        if (i157 << 16 >> 16 < 0) {
         i521 = 100;
         break;
        }
        i521 = get8((get32(i153 + 12 | 0) | 0) + ((i157 << 16 >> 16) * 24 | 0) + 22 >> 0 | 0) | 0;
       } while (0);
       if ((i22 | 0) == 1397) {
        i22 = 0;
        i521 = get8(i520 + 1 >> 0 | 0) | 0;
       }
       i157 = i521 & 255;
       do if (i170 << 24 >> 24 == 0 | i521 << 24 >> 24 == 0) {
        if (!((i521 | i170) << 24 >> 24)) {
         i22 = 1402;
         break;
        }
        if ((i157 + (i170 & 255) & 255) << 24 >> 24 == 98) i22 = 1402; else i22 = 1403;
       } else if (i170 << 24 >> 24 > 98 | i521 << 24 >> 24 > 98) i22 = 1403; else i22 = 1402; while (0);
       L2177 : do if ((i22 | 0) == 1402) {
        i22 = 0;
        set8(i72 >> 0 | 0, 98 | 0);
        i22 = 1414;
       } else if ((i22 | 0) == 1403) {
        i22 = 0;
        if (i170 << 24 >> 24 == 98) {
         i22 = 1414;
         break;
        }
        i157 = get8(i42 >> 0 | 0) | 0;
        if ((i157 & -2) << 24 >> 24 == -100) {
         i153 = i42;
         while (1) {
          i36 = get32(i153 + 8 | 0) | 0;
          i287 = get8(i36 >> 0 | 0) | 0;
          if ((i287 & -2) << 24 >> 24 == -100) i153 = i36; else {
           i528 = i36;
           i529 = i287;
           break;
          }
         }
        } else {
         i528 = i42;
         i529 = i157;
        }
        if (i529 << 24 >> 24 == -124) i530 = get8(i528 + 35 >> 0 | 0) | 0; else i530 = i529;
        switch (i530 & 255 | 0) {
        case 131:
         {
          i22 = 1414;
          break L2177;
          break;
         }
        case 129:
         {
          i531 = (i170 + -99 & 255) < 2 & 1;
          break;
         }
        case 130:
         {
          i531 = (i170 << 24 >> 24 == 101 | i170 << 24 >> 24 == 99) & 1;
          break;
         }
        case 94:
         {
          i531 = i170 << 24 >> 24 == 97 & 1;
          break;
         }
        case 152:
         {
          i531 = (i170 + -99 & 255) < 2 & (get16(i528 + 28 | 0) | 0) < 0 & 1;
          break;
         }
        default:
         break L2177;
        }
        if (i531) i22 = 1414;
       } while (0);
       if ((i22 | 0) == 1414) {
        i22 = 0;
        set8(i72 >> 0 | 0, 98 | 0);
       }
       i170 = i176 + 1 | 0;
       i42 = get32(i64 | 0) | 0;
       L2197 : do if ((i176 | 0) > -1) {
        i153 = i448;
        i287 = i170;
        i36 = i156;
        while (1) {
         if ((get8(i153 >> 0 | 0) | 0) != 98) {
          i532 = i36;
          i533 = i153;
          i534 = i287;
          break L2197;
         }
         i40 = i287 + -1 | 0;
         i257 = i36 + 1 | 0;
         i19 = i153 + 1 | 0;
         if ((i287 | 0) > 1) {
          i153 = i19;
          i287 = i40;
          i36 = i257;
         } else {
          i532 = i257;
          i533 = i19;
          i534 = i40;
          break;
         }
        }
       } else {
        i532 = i156;
        i533 = i448;
        i534 = i170;
       } while (0);
       i72 = i534;
       while (1) {
        if ((i72 | 0) <= 1) {
         i535 = i72;
         i22 = 1421;
         break;
        }
        i36 = i72 + -1 | 0;
        if ((get8(i533 + i36 >> 0 | 0) | 0) == 98) i72 = i36; else {
         i536 = i72;
         break;
        }
       }
       if ((i22 | 0) == 1421) {
        i22 = 0;
        if ((i535 | 0) > 0) i536 = i535; else {
         i517 = i170;
         break;
        }
       }
       i72 = i42 + 28 | 0;
       i36 = get32(i72 | 0) | 0;
       i287 = i42 + 32 | 0;
       i153 = get32(i287 | 0) | 0;
       do if ((i153 | 0) > (i36 | 0)) {
        i537 = i36;
        i538 = get32(i42 + 4 | 0) | 0;
        i22 = 1431;
       } else {
        i157 = i42 + 4 | 0;
        i40 = _sqlite3DbRealloc(get32(i42 | 0) | 0, get32(i157 | 0) | 0, (i153 | 0) == 0 ? 1020 : i153 * 40 | 0) | 0;
        if (!i40) break;
        i19 = get32(i42 | 0) | 0;
        do if (!i19) i22 = 1429; else {
         if ((get32(i19 + 260 | 0) | 0) >>> 0 > i40 >>> 0) {
          i22 = 1429;
          break;
         }
         if ((get32(i19 + 264 | 0) | 0) >>> 0 <= i40 >>> 0) {
          i22 = 1429;
          break;
         }
         i539 = getU16(i19 + 232 | 0) | 0;
        } while (0);
        if ((i22 | 0) == 1429) {
         i22 = 0;
         i539 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i40) | 0;
        }
        set32(i287 | 0, (i539 >>> 0) / 20 | 0 | 0);
        set32(i157 | 0, i40 | 0);
        i537 = get32(i72 | 0) | 0;
        i538 = i40;
        i22 = 1431;
       } while (0);
       if ((i22 | 0) == 1431) {
        i22 = 0;
        set32(i72 | 0, i537 + 1 | 0);
        set8(i538 + (i36 * 20 | 0) >> 0 | 0, 29 | 0);
        set8(i538 + (i36 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i538 + (i36 * 20 | 0) + 4 | 0, i532 | 0);
        set32(i538 + (i36 * 20 | 0) + 8 | 0, i536 | 0);
        set32(i538 + (i36 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i538 + (i36 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i538 + (i36 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       }
       _sqlite3VdbeChangeP4(i42, -1, i533, i536);
       i287 = i532 + -1 + i536 | 0;
       i153 = 0;
       i19 = i160;
       while (1) {
        i257 = i19 + 16 | 0;
        i159 = get32(i257 | 0) | 0;
        if (!((i159 | 0) < (i532 | 0) | (i159 | 0) > (i287 | 0))) {
         i258 = i19 + 8 | 0;
         if (get8(i258 >> 0 | 0) | 0) {
          i23 = get8(i62 >> 0 | 0) | 0;
          if ((i23 & 255) < 8) {
           set8(i62 >> 0 | 0, i23 + 1 << 24 >> 24 | 0);
           set32(i39 + 24 + ((i23 & 255) << 2) | 0, i159 | 0);
          }
          set8(i258 >> 0 | 0, 0 | 0);
         }
         set32(i257 | 0, 0 | 0);
        }
        i153 = i153 + 1 | 0;
        if ((i153 | 0) == 10) {
         i517 = i170;
         break;
        } else i19 = i19 + 24 | 0;
       }
      } else i517 = i176; while (0);
      _sqlite3DbFree(get32(i39 | 0) | 0, get32(i12 | 0) | 0);
      _sqlite3DbFree(get32(i39 | 0) | 0, i448);
      i19 = get32(i177 | 0) | 0;
      set32(i30 + 48 + (i43 * 80 | 0) + 60 | 0, i19 | 0);
      i170 = (i176 | 0) != 0 | i154 ? i52 + 1 | 0 : 0;
      do if ((i170 + -1 | 0) >>> 0 < 2) {
       i153 = get8(32866 + i170 >> 0 | 0) | 0;
       i62 = get32(i88 | 0) | 0;
       do if ((i62 | 0) > (i19 | 0)) {
        i540 = i19;
        i541 = get32(i502 | 0) | 0;
        i22 = 1450;
       } else {
        i287 = _sqlite3DbRealloc(get32(i501 | 0) | 0, get32(i502 | 0) | 0, (i62 | 0) == 0 ? 1020 : i62 * 40 | 0) | 0;
        if (!i287) {
         i542 = 1;
         break;
        }
        i160 = get32(i501 | 0) | 0;
        do if (!i160) i22 = 1448; else {
         if ((get32(i160 + 260 | 0) | 0) >>> 0 > i287 >>> 0) {
          i22 = 1448;
          break;
         }
         if ((get32(i160 + 264 | 0) | 0) >>> 0 <= i287 >>> 0) {
          i22 = 1448;
          break;
         }
         i543 = getU16(i160 + 232 | 0) | 0;
        } while (0);
        if ((i22 | 0) == 1448) {
         i22 = 0;
         i543 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i287) | 0;
        }
        set32(i88 | 0, (i543 >>> 0) / 20 | 0 | 0);
        set32(i502 | 0, i287 | 0);
        i540 = get32(i177 | 0) | 0;
        i541 = i287;
        i22 = 1450;
       } while (0);
       if ((i22 | 0) == 1450) {
        i22 = 0;
        set32(i177 | 0, i540 + 1 | 0);
        set8(i541 + (i19 * 20 | 0) >> 0 | 0, i153 | 0);
        set8(i541 + (i19 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i541 + (i19 * 20 | 0) + 4 | 0, i54 | 0);
        set32(i541 + (i19 * 20 | 0) + 8 | 0, i44 | 0);
        set32(i541 + (i19 * 20 | 0) + 12 | 0, i156 | 0);
        set32(i541 + (i19 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i541 + (i19 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i542 = i19;
       }
       i62 = get32(i501 | 0) | 0;
       i160 = get32(i502 | 0) | 0;
       if (!i160) break;
       if (!(get8(i62 + 30 >> 0 | 0) | 0)) {
        if ((i542 | 0) < 0) i544 = (get32(i177 | 0) | 0) + -1 | 0; else i544 = i542;
        i40 = i160 + (i544 * 20 | 0) + 1 | 0;
        i157 = i160 + (i544 * 20 | 0) + 16 | 0;
        _freeP4(i62, get8(i40 >> 0 | 0) | 0, get32(i157 | 0) | 0);
        set32(i157 | 0, i517 | 0);
        set8(i40 >> 0 | 0, -14 | 0);
        i40 = get32(i502 | 0) | 0;
        if (!i40) break; else i545 = i40;
       } else i545 = i160;
       set8(i545 + (((get32(i177 | 0) | 0) + -1 | 0) * 20 | 0) + 3 >> 0 | 0, (i152 | 0) != (i52 | 0) & 1 | 0);
      } while (0);
      i152 = i39 + 21 | 0;
      i19 = get8(i152 >> 0 | 0) | 0;
      if (!(i19 << 24 >> 24)) {
       i156 = i39 + 72 | 0;
       i44 = (get32(i156 | 0) | 0) + 1 | 0;
       set32(i156 | 0, i44 | 0);
       i546 = i44;
      } else {
       i44 = i19 + -1 << 24 >> 24;
       set8(i152 >> 0 | 0, i44 | 0);
       i546 = get32(i39 + 24 + ((i44 & 255) << 2) | 0) | 0;
      }
      do if (get32(i65 | 0) & 3145728) {
       i44 = get32(i177 | 0) | 0;
       i19 = get32(i88 | 0) | 0;
       do if ((i19 | 0) > (i44 | 0)) {
        i547 = i44;
        i548 = get32(i502 | 0) | 0;
        i549 = i19;
        i22 = 1471;
       } else {
        i156 = _sqlite3DbRealloc(get32(i501 | 0) | 0, get32(i502 | 0) | 0, (i19 | 0) == 0 ? 1020 : i19 * 40 | 0) | 0;
        if (!i156) {
         i550 = get32(i88 | 0) | 0;
         i551 = get32(i177 | 0) | 0;
         break;
        }
        i170 = get32(i501 | 0) | 0;
        do if (!i170) i22 = 1469; else {
         if ((get32(i170 + 260 | 0) | 0) >>> 0 > i156 >>> 0) {
          i22 = 1469;
          break;
         }
         if ((get32(i170 + 264 | 0) | 0) >>> 0 <= i156 >>> 0) {
          i22 = 1469;
          break;
         }
         i552 = getU16(i170 + 232 | 0) | 0;
        } while (0);
        if ((i22 | 0) == 1469) {
         i22 = 0;
         i552 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i156) | 0;
        }
        i170 = (i552 >>> 0) / 20 | 0;
        set32(i88 | 0, i170 | 0);
        set32(i502 | 0, i156 | 0);
        i547 = get32(i177 | 0) | 0;
        i548 = i156;
        i549 = i170;
        i22 = 1471;
       } while (0);
       if ((i22 | 0) == 1471) {
        i22 = 0;
        i19 = i547 + 1 | 0;
        set32(i177 | 0, i19 | 0);
        set8(i548 + (i44 * 20 | 0) >> 0 | 0, 28 | 0);
        set8(i548 + (i44 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i548 + (i44 * 20 | 0) + 4 | 0, i54 | 0);
        set32(i548 + (i44 * 20 | 0) + 8 | 0, i176 | 0);
        set32(i548 + (i44 * 20 | 0) + 12 | 0, i546 | 0);
        set32(i548 + (i44 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i548 + (i44 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i550 = i549;
        i551 = i19;
       }
       if ((i550 | 0) > (i551 | 0)) {
        i553 = i551;
        i554 = get32(i502 | 0) | 0;
       } else {
        i19 = _sqlite3DbRealloc(get32(i501 | 0) | 0, get32(i502 | 0) | 0, (i550 | 0) == 0 ? 1020 : i550 * 40 | 0) | 0;
        if (!i19) break;
        i153 = get32(i501 | 0) | 0;
        do if (!i153) i22 = 1479; else {
         if ((get32(i153 + 260 | 0) | 0) >>> 0 > i19 >>> 0) {
          i22 = 1479;
          break;
         }
         if ((get32(i153 + 264 | 0) | 0) >>> 0 <= i19 >>> 0) {
          i22 = 1479;
          break;
         }
         i555 = getU16(i153 + 232 | 0) | 0;
        } while (0);
        if ((i22 | 0) == 1479) {
         i22 = 0;
         i555 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i19) | 0;
        }
        set32(i88 | 0, (i555 >>> 0) / 20 | 0 | 0);
        set32(i502 | 0, i19 | 0);
        i553 = get32(i177 | 0) | 0;
        i554 = i19;
       }
       set32(i177 | 0, i553 + 1 | 0);
       set8(i554 + (i551 * 20 | 0) >> 0 | 0, 73 | 0);
       set8(i554 + (i551 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i554 + (i551 * 20 | 0) + 4 | 0, i546 | 0);
       set32(i554 + (i551 * 20 | 0) + 8 | 0, i45 | 0);
       set32(i554 + (i551 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i554 + (i551 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i554 + (i551 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      } while (0);
      L2293 : do if (i546) {
       i176 = get8(i152 >> 0 | 0) | 0;
       if ((i176 & 255) >= 8) break;
       do if ((get32(i39 + 112 | 0) | 0) == (i546 | 0)) i556 = i39 + 96 | 0; else {
        if ((get32(i39 + 136 | 0) | 0) == (i546 | 0)) {
         i556 = i39 + 120 | 0;
         break;
        }
        if ((get32(i39 + 160 | 0) | 0) == (i546 | 0)) {
         i556 = i39 + 144 | 0;
         break;
        }
        if ((get32(i39 + 184 | 0) | 0) == (i546 | 0)) {
         i556 = i39 + 168 | 0;
         break;
        }
        if ((get32(i39 + 208 | 0) | 0) == (i546 | 0)) {
         i556 = i39 + 192 | 0;
         break;
        }
        if ((get32(i39 + 232 | 0) | 0) == (i546 | 0)) {
         i556 = i39 + 216 | 0;
         break;
        }
        if ((get32(i39 + 256 | 0) | 0) == (i546 | 0)) {
         i556 = i39 + 240 | 0;
         break;
        }
        if ((get32(i39 + 280 | 0) | 0) == (i546 | 0)) {
         i556 = i39 + 264 | 0;
         break;
        }
        if ((get32(i39 + 304 | 0) | 0) == (i546 | 0)) {
         i556 = i39 + 288 | 0;
         break;
        }
        if ((get32(i39 + 328 | 0) | 0) == (i546 | 0)) {
         i556 = i39 + 312 | 0;
         break;
        }
        set8(i152 >> 0 | 0, i176 + 1 << 24 >> 24 | 0);
        set32(i39 + 24 + ((i176 & 255) << 2) | 0, i546 | 0);
        break L2293;
       } while (0);
       set8(i556 + 8 >> 0 | 0, 1 | 0);
      } while (0);
      L2309 : do if (i453) {
       i176 = i30 + 48 + (i43 * 80 | 0) + 24 | 0;
       i19 = i453;
       do {
        i153 = i19 + 18 | 0;
        i44 = get8(i153 >> 0 | 0) | 0;
        if (i44 & 4) break L2309;
        if ((get32(i176 | 0) | 0) != 0 ? (get16((get32(i19 | 0) | 0) + 2 | 0) & 1) == 0 : 0) break L2309;
        set8(i153 >> 0 | 0, i44 & 255 | 4 | 0);
        i44 = get32(i19 + 4 | 0) | 0;
        if ((i44 | 0) <= -1) break L2309;
        i153 = get32((get32(i19 + 20 | 0) | 0) + 28 | 0) | 0;
        i170 = i153 + (i44 * 40 | 0) + 19 | 0;
        i287 = (get8(i170 >> 0 | 0) | 0) + -1 << 24 >> 24;
        set8(i170 >> 0 | 0, i287 | 0);
        if (i287 << 24 >> 24) break L2309;
        i19 = i153 + (i44 * 40 | 0) | 0;
       } while ((i19 | 0) != 0);
      } while (0);
      L2320 : do if (i452) {
       i19 = i30 + 48 + (i43 * 80 | 0) + 24 | 0;
       i176 = i452;
       do {
        i44 = i176 + 18 | 0;
        i153 = get8(i44 >> 0 | 0) | 0;
        if (i153 & 4) break L2320;
        if ((get32(i19 | 0) | 0) != 0 ? (get16((get32(i176 | 0) | 0) + 2 | 0) & 1) == 0 : 0) break L2320;
        set8(i44 >> 0 | 0, i153 & 255 | 4 | 0);
        i153 = get32(i176 + 4 | 0) | 0;
        if ((i153 | 0) <= -1) break L2320;
        i44 = get32((get32(i176 + 20 | 0) | 0) + 28 | 0) | 0;
        i287 = i44 + (i153 * 40 | 0) + 19 | 0;
        i170 = (get8(i287 >> 0 | 0) | 0) + -1 << 24 >> 24;
        set8(i287 >> 0 | 0, i170 | 0);
        if (i170 << 24 >> 24) break L2320;
        i176 = i44 + (i153 * 40 | 0) | 0;
       } while ((i176 | 0) != 0);
      } while (0);
      do if (i51) i557 = 0; else {
       i176 = get8(i152 >> 0 | 0) | 0;
       if (!(i176 << 24 >> 24)) {
        i19 = i39 + 72 | 0;
        i153 = (get32(i19 | 0) | 0) + 1 | 0;
        set32(i19 | 0, i153 | 0);
        i558 = i153;
       } else {
        i153 = i176 + -1 << 24 >> 24;
        set8(i152 >> 0 | 0, i153 | 0);
        i558 = get32(i39 + 24 + ((i153 & 255) << 2) | 0) | 0;
       }
       i153 = get32(i177 | 0) | 0;
       i176 = get32(i88 | 0) | 0;
       do if ((i176 | 0) > (i153 | 0)) {
        i559 = i153;
        i560 = get32(i502 | 0) | 0;
        i22 = 1525;
       } else {
        i19 = _sqlite3DbRealloc(get32(i501 | 0) | 0, get32(i502 | 0) | 0, (i176 | 0) == 0 ? 1020 : i176 * 40 | 0) | 0;
        if (!i19) break;
        i44 = get32(i501 | 0) | 0;
        do if (!i44) i22 = 1523; else {
         if ((get32(i44 + 260 | 0) | 0) >>> 0 > i19 >>> 0) {
          i22 = 1523;
          break;
         }
         if ((get32(i44 + 264 | 0) | 0) >>> 0 <= i19 >>> 0) {
          i22 = 1523;
          break;
         }
         i561 = getU16(i44 + 232 | 0) | 0;
        } while (0);
        if ((i22 | 0) == 1523) {
         i22 = 0;
         i561 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i19) | 0;
        }
        set32(i88 | 0, (i561 >>> 0) / 20 | 0 | 0);
        set32(i502 | 0, i19 | 0);
        i559 = get32(i177 | 0) | 0;
        i560 = i19;
        i22 = 1525;
       } while (0);
       if ((i22 | 0) == 1525) {
        i22 = 0;
        set32(i177 | 0, i559 + 1 | 0);
        set8(i560 + (i153 * 20 | 0) >> 0 | 0, 72 | 0);
        set8(i560 + (i153 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i560 + (i153 * 20 | 0) + 4 | 0, i54 | 0);
        set32(i560 + (i153 * 20 | 0) + 8 | 0, i558 | 0);
        set32(i560 + (i153 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i560 + (i153 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i560 + (i153 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       }
       _sqlite3ExprCacheStore(i39, i48, -1, i558);
       i176 = get32(i177 | 0) | 0;
       i44 = get32(i88 | 0) | 0;
       if ((i44 | 0) > (i176 | 0)) {
        i562 = i176;
        i563 = get32(i502 | 0) | 0;
       } else {
        i156 = _sqlite3DbRealloc(get32(i501 | 0) | 0, get32(i502 | 0) | 0, (i44 | 0) == 0 ? 1020 : i44 * 40 | 0) | 0;
        if (!i156) {
         i557 = i558;
         break;
        }
        i44 = get32(i501 | 0) | 0;
        do if (!i44) i22 = 1533; else {
         if ((get32(i44 + 260 | 0) | 0) >>> 0 > i156 >>> 0) {
          i22 = 1533;
          break;
         }
         if ((get32(i44 + 264 | 0) | 0) >>> 0 <= i156 >>> 0) {
          i22 = 1533;
          break;
         }
         i564 = getU16(i44 + 232 | 0) | 0;
        } while (0);
        if ((i22 | 0) == 1533) {
         i22 = 0;
         i564 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i156) | 0;
        }
        set32(i88 | 0, (i564 >>> 0) / 20 | 0 | 0);
        set32(i502 | 0, i156 | 0);
        i562 = get32(i177 | 0) | 0;
        i563 = i156;
       }
       set32(i177 | 0, i562 + 1 | 0);
       set8(i563 + (i176 * 20 | 0) >> 0 | 0, 48 | 0);
       set8(i563 + (i176 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i563 + (i176 * 20 | 0) + 4 | 0, i48 | 0);
       set32(i563 + (i176 * 20 | 0) + 8 | 0, i558 | 0);
       set32(i563 + (i176 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i563 + (i176 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i563 + (i176 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i557 = i558;
      } while (0);
      i177 = i30 + 48 + (i43 * 80 | 0) + 53 | 0;
      do if (!(get32(i65 | 0) & 67108864)) if (i49) {
       set8(i177 >> 0 | 0, 66 | 0);
       break;
      } else {
       set8(i177 >> 0 | 0, 67 | 0);
       break;
      } else set8(i177 >> 0 | 0, -119 | 0); while (0);
      set32(i30 + 48 + (i43 * 80 | 0) + 56 | 0, i54 | 0);
      i374 = i557;
      i22 = 1689;
     } else {
      i177 = get32(i30 + 48 + (i43 * 80 | 0) + 16 | 0) | 0;
      i88 = get32(i177 | 0) | 0;
      i152 = get32(i177 + 16 | 0) | 0;
      i44 = get32(i177 + 4 | 0) | 0;
      i153 = i39 + 84 | 0;
      set32(i153 | 0, (get32(i153 | 0) | 0) + 1 | 0);
      i170 = i88 + 2 | 0;
      i287 = i39 + 60 | 0;
      i154 = get32(i287 | 0) | 0;
      i160 = i39 + 56 | 0;
      i40 = get32(i160 | 0) | 0;
      if ((i40 | 0) < (i170 | 0)) {
       i157 = i39 + 72 | 0;
       i62 = get32(i157 | 0) | 0;
       set32(i157 | 0, i62 + i170 | 0);
       i565 = i62 + 1 | 0;
      } else {
       set32(i287 | 0, i154 + i170 | 0);
       set32(i160 | 0, i40 - i170 | 0);
       i565 = i154;
      }
      L2376 : do if ((i88 | 0) < 1) i566 = 1; else {
       i154 = i66 + 28 | 0;
       i40 = i565 + 1 | 0;
       i62 = 1;
       while (1) {
        i157 = 0;
        while (1) {
         if ((get32(i152 + (i157 << 3) | 0) | 0) == (i62 | 0)) {
          i567 = i157;
          i22 = 879;
          break;
         }
         i42 = i157 + 1 | 0;
         if ((i42 | 0) < (i88 | 0)) i157 = i42; else {
          i568 = i42;
          break;
         }
        }
        L2383 : do if ((i22 | 0) == 879) {
         i22 = 0;
         i157 = get32((get32((get32(i154 | 0) | 0) + ((get32(i44 + (i567 * 12 | 0) + 8 | 0) | 0) * 40 | 0) | 0) | 0) + 12 | 0) | 0;
         i19 = i40 + i62 | 0;
         do if (i157) {
          if ((get8(i157 >> 0 | 0) | 0) != -124) break;
          i42 = get32(i64 | 0) | 0;
          i36 = get32(i157 + 24 | 0) | 0;
          i72 = i42 + 28 | 0;
          i257 = get32(i72 | 0) | 0;
          i258 = i42 + 32 | 0;
          i159 = get32(i258 | 0) | 0;
          if ((i159 | 0) > (i257 | 0)) {
           i569 = i257;
           i570 = get32(i42 + 4 | 0) | 0;
          } else {
           i23 = i42 + 4 | 0;
           i155 = _sqlite3DbRealloc(get32(i42 | 0) | 0, get32(i23 | 0) | 0, (i159 | 0) == 0 ? 1020 : i159 * 40 | 0) | 0;
           if (!i155) {
            i568 = i567;
            break L2383;
           }
           i159 = get32(i42 | 0) | 0;
           do if (!i159) i22 = 888; else {
            if ((get32(i159 + 260 | 0) | 0) >>> 0 > i155 >>> 0) {
             i22 = 888;
             break;
            }
            if ((get32(i159 + 264 | 0) | 0) >>> 0 <= i155 >>> 0) {
             i22 = 888;
             break;
            }
            i571 = getU16(i159 + 232 | 0) | 0;
           } while (0);
           if ((i22 | 0) == 888) {
            i22 = 0;
            i571 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i155) | 0;
           }
           set32(i258 | 0, (i571 >>> 0) / 20 | 0 | 0);
           set32(i23 | 0, i155 | 0);
           i569 = get32(i72 | 0) | 0;
           i570 = i155;
          }
          set32(i72 | 0, i569 + 1 | 0);
          set8(i570 + (i257 * 20 | 0) >> 0 | 0, 14 | 0);
          set8(i570 + (i257 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
          set32(i570 + (i257 * 20 | 0) + 4 | 0, i36 | 0);
          set32(i570 + (i257 * 20 | 0) + 8 | 0, i19 | 0);
          set32(i570 + (i257 * 20 | 0) + 12 | 0, 0 | 0);
          set32(i570 + (i257 * 20 | 0) + 16 | 0, 0 | 0);
          set8(i570 + (i257 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
          i568 = i567;
          break L2383;
         } while (0);
         i171 = _sqlite3ExprCodeTarget(i39, i157, i19) | 0;
         if ((i171 | 0) == (i19 | 0)) {
          i568 = i567;
          break;
         }
         i159 = get32(i64 | 0) | 0;
         if (!i159) {
          i568 = i567;
          break;
         }
         i161 = i159 + 28 | 0;
         i42 = get32(i161 | 0) | 0;
         i151 = i159 + 32 | 0;
         i38 = get32(i151 | 0) | 0;
         if ((i38 | 0) > (i42 | 0)) {
          i572 = i42;
          i573 = get32(i159 + 4 | 0) | 0;
         } else {
          i266 = i159 + 4 | 0;
          i37 = _sqlite3DbRealloc(get32(i159 | 0) | 0, get32(i266 | 0) | 0, (i38 | 0) == 0 ? 1020 : i38 * 40 | 0) | 0;
          if (!i37) {
           i568 = i567;
           break;
          }
          i38 = get32(i159 | 0) | 0;
          do if (!i38) i22 = 900; else {
           if ((get32(i38 + 260 | 0) | 0) >>> 0 > i37 >>> 0) {
            i22 = 900;
            break;
           }
           if ((get32(i38 + 264 | 0) | 0) >>> 0 <= i37 >>> 0) {
            i22 = 900;
            break;
           }
           i574 = getU16(i38 + 232 | 0) | 0;
          } while (0);
          if ((i22 | 0) == 900) {
           i22 = 0;
           i574 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i37) | 0;
          }
          set32(i151 | 0, (i574 >>> 0) / 20 | 0 | 0);
          set32(i266 | 0, i37 | 0);
          i572 = get32(i161 | 0) | 0;
          i573 = i37;
         }
         set32(i161 | 0, i572 + 1 | 0);
         set8(i573 + (i42 * 20 | 0) >> 0 | 0, 15 | 0);
         set8(i573 + (i42 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i573 + (i42 * 20 | 0) + 4 | 0, i171 | 0);
         set32(i573 + (i42 * 20 | 0) + 8 | 0, i19 | 0);
         set32(i573 + (i42 * 20 | 0) + 12 | 0, 0 | 0);
         set32(i573 + (i42 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i573 + (i42 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         i568 = i567;
        } while (0);
        if ((i568 | 0) == (i88 | 0)) {
         i566 = i62;
         break L2376;
        }
        i38 = i62 + 1 | 0;
        if ((i62 | 0) < (i88 | 0)) i62 = i38; else {
         i566 = i38;
         break;
        }
       }
      } while (0);
      i54 = get32(i177 + 20 | 0) | 0;
      i62 = i63 + 28 | 0;
      i40 = get32(i62 | 0) | 0;
      i154 = i63 + 32 | 0;
      i176 = get32(i154 | 0) | 0;
      do if ((i176 | 0) > (i40 | 0)) {
       i575 = i40;
       i576 = get32(i63 + 4 | 0) | 0;
       i577 = i176;
       i22 = 916;
      } else {
       i156 = i63 + 4 | 0;
       i38 = _sqlite3DbRealloc(get32(i63 | 0) | 0, get32(i156 | 0) | 0, (i176 | 0) == 0 ? 1020 : i176 * 40 | 0) | 0;
       if (!i38) {
        i578 = get32(i154 | 0) | 0;
        i579 = get32(i62 | 0) | 0;
        break;
       }
       i157 = get32(i63 | 0) | 0;
       do if (!i157) i22 = 914; else {
        if ((get32(i157 + 260 | 0) | 0) >>> 0 > i38 >>> 0) {
         i22 = 914;
         break;
        }
        if ((get32(i157 + 264 | 0) | 0) >>> 0 <= i38 >>> 0) {
         i22 = 914;
         break;
        }
        i580 = getU16(i157 + 232 | 0) | 0;
       } while (0);
       if ((i22 | 0) == 914) {
        i22 = 0;
        i580 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i38) | 0;
       }
       i157 = (i580 >>> 0) / 20 | 0;
       set32(i154 | 0, i157 | 0);
       set32(i156 | 0, i38 | 0);
       i575 = get32(i62 | 0) | 0;
       i576 = i38;
       i577 = i157;
       i22 = 916;
      } while (0);
      if ((i22 | 0) == 916) {
       i22 = 0;
       i176 = i575 + 1 | 0;
       set32(i62 | 0, i176 | 0);
       set8(i576 + (i40 * 20 | 0) >> 0 | 0, 7 | 0);
       set8(i576 + (i40 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i576 + (i40 * 20 | 0) + 4 | 0, i54 | 0);
       set32(i576 + (i40 * 20 | 0) + 8 | 0, i565 | 0);
       set32(i576 + (i40 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i576 + (i40 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i576 + (i40 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i578 = i577;
       i579 = i176;
      }
      i176 = i566 + -1 | 0;
      i157 = i565 + 1 | 0;
      do if ((i578 | 0) > (i579 | 0)) {
       i581 = i579;
       i582 = get32(i63 + 4 | 0) | 0;
       i583 = i578;
       i22 = 927;
      } else {
       i159 = i63 + 4 | 0;
       i94 = _sqlite3DbRealloc(get32(i63 | 0) | 0, get32(i159 | 0) | 0, (i578 | 0) == 0 ? 1020 : i578 * 40 | 0) | 0;
       if (!i94) {
        i584 = get32(i154 | 0) | 0;
        i585 = get32(i62 | 0) | 0;
        break;
       }
       i259 = get32(i63 | 0) | 0;
       do if (!i259) i22 = 925; else {
        if ((get32(i259 + 260 | 0) | 0) >>> 0 > i94 >>> 0) {
         i22 = 925;
         break;
        }
        if ((get32(i259 + 264 | 0) | 0) >>> 0 <= i94 >>> 0) {
         i22 = 925;
         break;
        }
        i586 = getU16(i259 + 232 | 0) | 0;
       } while (0);
       if ((i22 | 0) == 925) {
        i22 = 0;
        i586 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i94) | 0;
       }
       i259 = (i586 >>> 0) / 20 | 0;
       set32(i154 | 0, i259 | 0);
       set32(i159 | 0, i94 | 0);
       i581 = get32(i62 | 0) | 0;
       i582 = i94;
       i583 = i259;
       i22 = 927;
      } while (0);
      if ((i22 | 0) == 927) {
       i22 = 0;
       i40 = i581 + 1 | 0;
       set32(i62 | 0, i40 | 0);
       set8(i582 + (i579 * 20 | 0) >> 0 | 0, 7 | 0);
       set8(i582 + (i579 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i582 + (i579 * 20 | 0) + 4 | 0, i176 | 0);
       set32(i582 + (i579 * 20 | 0) + 8 | 0, i157 | 0);
       set32(i582 + (i579 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i582 + (i579 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i582 + (i579 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i584 = i583;
       i585 = i40;
      }
      i40 = get32(i177 + 24 | 0) | 0;
      i54 = i177 + 28 | 0;
      i259 = (get32(i54 | 0) | 0) != 0 ? -11 : -2;
      do if ((i584 | 0) > (i585 | 0)) {
       i587 = i585;
       i588 = get32(i63 + 4 | 0) | 0;
       i22 = 937;
      } else {
       i38 = i63 + 4 | 0;
       i156 = _sqlite3DbRealloc(get32(i63 | 0) | 0, get32(i38 | 0) | 0, (i584 | 0) == 0 ? 1020 : i584 * 40 | 0) | 0;
       if (!i156) {
        i589 = 1;
        break;
       }
       i261 = get32(i63 | 0) | 0;
       do if (!i261) i22 = 935; else {
        if ((get32(i261 + 260 | 0) | 0) >>> 0 > i156 >>> 0) {
         i22 = 935;
         break;
        }
        if ((get32(i261 + 264 | 0) | 0) >>> 0 <= i156 >>> 0) {
         i22 = 935;
         break;
        }
        i590 = getU16(i261 + 232 | 0) | 0;
       } while (0);
       if ((i22 | 0) == 935) {
        i22 = 0;
        i590 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i156) | 0;
       }
       set32(i154 | 0, (i590 >>> 0) / 20 | 0 | 0);
       set32(i38 | 0, i156 | 0);
       i587 = get32(i62 | 0) | 0;
       i588 = i156;
       i22 = 937;
      } while (0);
      if ((i22 | 0) == 937) {
       i22 = 0;
       set32(i62 | 0, i587 + 1 | 0);
       set8(i588 + (i585 * 20 | 0) >> 0 | 0, -128 | 0);
       set8(i588 + (i585 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i588 + (i585 * 20 | 0) + 4 | 0, i48 | 0);
       set32(i588 + (i585 * 20 | 0) + 8 | 0, i58 | 0);
       set32(i588 + (i585 * 20 | 0) + 12 | 0, i565 | 0);
       set32(i588 + (i585 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i588 + (i585 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i589 = i585;
      }
      _sqlite3VdbeChangeP4(i63, i589, i40, i259);
      set32(i54 | 0, 0 | 0);
      if ((i88 | 0) > 0) {
       i154 = i66 + 28 | 0;
       i177 = i30 + 48 + (i43 * 80 | 0) + 24 | 0;
       i157 = 0;
       do {
        L2468 : do if (get8(i152 + (i157 << 3) + 4 >> 0 | 0) | 0) {
         i176 = (get32(i154 | 0) | 0) + ((get32(i44 + (i157 * 12 | 0) + 8 | 0) | 0) * 40 | 0) | 0;
         if (!i176) break; else i591 = i176;
         do {
          i176 = i591 + 18 | 0;
          i261 = get8(i176 >> 0 | 0) | 0;
          if (i261 & 4) break L2468;
          if ((get32(i177 | 0) | 0) != 0 ? (get16((get32(i591 | 0) | 0) + 2 | 0) & 1) == 0 : 0) break L2468;
          set8(i176 >> 0 | 0, i261 & 255 | 4 | 0);
          i261 = get32(i591 + 4 | 0) | 0;
          if ((i261 | 0) <= -1) break L2468;
          i176 = get32((get32(i591 + 20 | 0) | 0) + 28 | 0) | 0;
          i94 = i176 + (i261 * 40 | 0) + 19 | 0;
          i159 = (get8(i94 >> 0 | 0) | 0) + -1 << 24 >> 24;
          set8(i94 >> 0 | 0, i159 | 0);
          if (i159 << 24 >> 24) break L2468;
          i591 = i176 + (i261 * 40 | 0) | 0;
         } while ((i591 | 0) != 0);
        } while (0);
        i157 = i157 + 1 | 0;
       } while ((i157 | 0) != (i88 | 0));
      }
      set8(i30 + 48 + (i43 * 80 | 0) + 53 >> 0 | 0, -125 | 0);
      set32(i30 + 48 + (i43 * 80 | 0) + 56 | 0, i48 | 0);
      set32(i30 + 48 + (i43 * 80 | 0) + 60 | 0, get32(i62 | 0) | 0);
      i157 = i88 + 1 + i565 | 0;
      i177 = i39 + 96 | 0;
      i44 = i39 + 21 | 0;
      i154 = 0;
      i152 = i177;
      while (1) {
       i54 = i152 + 16 | 0;
       i259 = get32(i54 | 0) | 0;
       if (!((i259 | 0) < (i565 | 0) | (i259 | 0) > (i157 | 0))) {
        i40 = i152 + 8 | 0;
        if (get8(i40 >> 0 | 0) | 0) {
         i156 = get8(i44 >> 0 | 0) | 0;
         if ((i156 & 255) < 8) {
          set8(i44 >> 0 | 0, i156 + 1 << 24 >> 24 | 0);
          set32(i39 + 24 + ((i156 & 255) << 2) | 0, i259 | 0);
         }
         set8(i40 >> 0 | 0, 0 | 0);
        }
        set32(i54 | 0, 0 | 0);
       }
       i154 = i154 + 1 | 0;
       if ((i154 | 0) == 10) break; else i152 = i152 + 24 | 0;
      }
      if ((get32(i160 | 0) | 0) < (i170 | 0)) {
       set32(i160 | 0, i170 | 0);
       set32(i287 | 0, i565 | 0);
      }
      set32(i153 | 0, (get32(i153 | 0) | 0) + -1 | 0);
      i152 = 0;
      i154 = i177;
      while (1) {
       i157 = i154 + 16 | 0;
       i88 = get32(i157 | 0) | 0;
       do if (i88) {
        if ((get32(i154 + 12 | 0) | 0) <= (get32(i153 | 0) | 0)) break;
        i62 = i154 + 8 | 0;
        if (get8(i62 >> 0 | 0) | 0) {
         i54 = get8(i44 >> 0 | 0) | 0;
         if ((i54 & 255) < 8) {
          set8(i44 >> 0 | 0, i54 + 1 << 24 >> 24 | 0);
          set32(i39 + 24 + ((i54 & 255) << 2) | 0, i88 | 0);
         }
         set8(i62 >> 0 | 0, 0 | 0);
        }
        set32(i157 | 0, 0 | 0);
       } while (0);
       i152 = i152 + 1 | 0;
       if ((i152 | 0) == 10) {
        i374 = 0;
        i22 = 1689;
        break;
       } else i154 = i154 + 24 | 0;
      }
     } while (0);
     L2507 : do if ((i22 | 0) == 1689) {
      i22 = 0;
      i58 = get32(i66 + 4 | 0) | 0;
      i64 = get32(i58 | 0) | 0;
      L2509 : do if ((i64 | 0) > 0) {
       i49 = 0;
       while (1) {
        if ((get32(i58 + 4 + (i49 << 2) | 0) | 0) == (i48 | 0)) {
         i592 = i49;
         break;
        }
        i49 = i49 + 1 | 0;
        if ((i49 | 0) >= (i64 | 0)) {
         i593 = 0;
         i594 = 0;
         break L2509;
        }
       }
       i49 = _bitshift64Shl(1, 0, i592 | 0) | 0;
       i593 = i49;
       i594 = tempRet0;
      } else {
       i593 = 0;
       i594 = 0;
      } while (0);
      i64 = i89 & ~i593;
      i58 = i61 & ~i594;
      i49 = i66 + 28 | 0;
      i65 = i66 + 20 | 0;
      i51 = get32(i65 | 0) | 0;
      if ((i51 | 0) > 0) {
       i52 = i30 + 48 + (i43 * 80 | 0) + 24 | 0;
       i55 = i51;
       i51 = get32(i49 | 0) | 0;
       while (1) {
        i60 = i51 + 18 | 0;
        do if (!(get8(i60 >> 0 | 0) & 6)) {
         i59 = i51 + 32 | 0;
         if (!((get32(i59 | 0) & i64 | 0) == 0 ? (get32(i59 + 4 | 0) & i58 | 0) == 0 : 0)) {
          set8(i105 >> 0 | 0, 1 | 0);
          break;
         }
         i59 = get32(i51 | 0) | 0;
         if ((get32(i52 | 0) | 0) != 0 ? (get16(i59 + 2 | 0) & 1) == 0 : 0) break;
         _sqlite3ExprIfFalse(i39, i59, i45, 8);
         set8(i60 >> 0 | 0, getU8(i60 >> 0 | 0) | 4 | 0);
        } while (0);
        if ((i55 | 0) > 1) {
         i55 = i55 + -1 | 0;
         i51 = i51 + 40 | 0;
        } else {
         i595 = i52;
         break;
        }
       }
      } else i595 = i30 + 48 + (i43 * 80 | 0) + 24 | 0;
      i52 = get32(i595 | 0) | 0;
      do if (i52) {
       i51 = i63 + 28 | 0;
       i55 = get32(i51 | 0) | 0;
       set32(i30 + 48 + (i43 * 80 | 0) + 48 | 0, i55 | 0);
       i60 = i63 + 32 | 0;
       i59 = get32(i60 | 0) | 0;
       do if ((i59 | 0) > (i55 | 0)) {
        i596 = i55;
        i597 = get32(i63 + 4 | 0) | 0;
        i22 = 1713;
       } else {
        i68 = i63 + 4 | 0;
        i67 = _sqlite3DbRealloc(get32(i63 | 0) | 0, get32(i68 | 0) | 0, (i59 | 0) == 0 ? 1020 : i59 * 40 | 0) | 0;
        if (!i67) break;
        i73 = get32(i63 | 0) | 0;
        do if (!i73) i22 = 1711; else {
         if ((get32(i73 + 260 | 0) | 0) >>> 0 > i67 >>> 0) {
          i22 = 1711;
          break;
         }
         if ((get32(i73 + 264 | 0) | 0) >>> 0 <= i67 >>> 0) {
          i22 = 1711;
          break;
         }
         i598 = getU16(i73 + 232 | 0) | 0;
        } while (0);
        if ((i22 | 0) == 1711) {
         i22 = 0;
         i598 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i67) | 0;
        }
        set32(i60 | 0, (i598 >>> 0) / 20 | 0 | 0);
        set32(i68 | 0, i67 | 0);
        i596 = get32(i51 | 0) | 0;
        i597 = i67;
        i22 = 1713;
       } while (0);
       if ((i22 | 0) == 1713) {
        i22 = 0;
        set32(i51 | 0, i596 + 1 | 0);
        set8(i597 + (i55 * 20 | 0) >> 0 | 0, 7 | 0);
        set8(i597 + (i55 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i597 + (i55 * 20 | 0) + 4 | 0, 1 | 0);
        set32(i597 + (i55 * 20 | 0) + 8 | 0, i52 | 0);
        set32(i597 + (i55 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i597 + (i55 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i597 + (i55 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       }
       i60 = i39 + 21 | 0;
       i59 = 0;
       i73 = i39 + 96 | 0;
       while (1) {
        i71 = i73 + 16 | 0;
        i53 = get32(i71 | 0) | 0;
        if (i53) {
         i74 = i73 + 8 | 0;
         if (get8(i74 >> 0 | 0) | 0) {
          i50 = get8(i60 >> 0 | 0) | 0;
          if ((i50 & 255) < 8) {
           set8(i60 >> 0 | 0, i50 + 1 << 24 >> 24 | 0);
           set32(i39 + 24 + ((i50 & 255) << 2) | 0, i53 | 0);
          }
          set8(i74 >> 0 | 0, 0 | 0);
         }
         set32(i71 | 0, 0 | 0);
        }
        i59 = i59 + 1 | 0;
        if ((i59 | 0) == 10) break; else i73 = i73 + 24 | 0;
       }
       i73 = get32(i65 | 0) | 0;
       if ((i73 | 0) <= 0) break;
       i59 = i73;
       i73 = 0;
       i60 = get32(i49 | 0) | 0;
       while (1) {
        i55 = i60 + 18 | 0;
        do if (!(get8(i55 >> 0 | 0) & 6)) {
         i51 = i60 + 32 | 0;
         if (!((get32(i51 | 0) & i64 | 0) == 0 ? (get32(i51 + 4 | 0) & i58 | 0) == 0 : 0)) {
          i599 = i59;
          break;
         }
         _sqlite3ExprIfFalse(i39, get32(i60 | 0) | 0, i45, 8);
         set8(i55 >> 0 | 0, getU8(i55 >> 0 | 0) | 4 | 0);
         i599 = get32(i65 | 0) | 0;
        } else i599 = i59; while (0);
        i73 = i73 + 1 | 0;
        if ((i73 | 0) >= (i599 | 0)) break; else {
         i59 = i599;
         i60 = i60 + 40 | 0;
        }
       }
      } while (0);
      if (!i374) {
       i412 = i64;
       i413 = i58;
       break;
      }
      i65 = i39 + 21 | 0;
      i49 = get8(i65 >> 0 | 0) | 0;
      if ((i49 & 255) >= 8) {
       i412 = i64;
       i413 = i58;
       break;
      }
      do if ((get32(i39 + 112 | 0) | 0) == (i374 | 0)) i600 = i39 + 96 | 0; else {
       if ((get32(i39 + 136 | 0) | 0) == (i374 | 0)) {
        i600 = i39 + 120 | 0;
        break;
       }
       if ((get32(i39 + 160 | 0) | 0) == (i374 | 0)) {
        i600 = i39 + 144 | 0;
        break;
       }
       if ((get32(i39 + 184 | 0) | 0) == (i374 | 0)) {
        i600 = i39 + 168 | 0;
        break;
       }
       if ((get32(i39 + 208 | 0) | 0) == (i374 | 0)) {
        i600 = i39 + 192 | 0;
        break;
       }
       if ((get32(i39 + 232 | 0) | 0) == (i374 | 0)) {
        i600 = i39 + 216 | 0;
        break;
       }
       if ((get32(i39 + 256 | 0) | 0) == (i374 | 0)) {
        i600 = i39 + 240 | 0;
        break;
       }
       if ((get32(i39 + 280 | 0) | 0) == (i374 | 0)) {
        i600 = i39 + 264 | 0;
        break;
       }
       if ((get32(i39 + 304 | 0) | 0) == (i374 | 0)) {
        i600 = i39 + 288 | 0;
        break;
       }
       if ((get32(i39 + 328 | 0) | 0) == (i374 | 0)) {
        i600 = i39 + 312 | 0;
        break;
       }
       set8(i65 >> 0 | 0, i49 + 1 << 24 >> 24 | 0);
       set32(i39 + 24 + ((i49 & 255) << 2) | 0, i374 | 0);
       i412 = i64;
       i413 = i58;
       break L2507;
      } while (0);
      set8(i600 + 8 >> 0 | 0, 1 | 0);
      i412 = i64;
      i413 = i58;
     } while (0);
     set32(i87 | 0, get32(i25 + (i43 * 80 | 0) + 44 | 0) | 0);
     i43 = i43 + 1 | 0;
     if ((i43 | 0) == (i17 | 0)) {
      i16 = i30;
      break;
     } else {
      i89 = i412;
      i61 = i413;
     }
    }
    STACKTOP = i6;
    return i16 | 0;
   }
  } else i22 = 1743;
 } else i22 = 1743; while (0);
 if ((i22 | 0) == 1743 ? (i30 | 0) == 0 : 0) {
  i16 = 0;
  STACKTOP = i6;
  return i16 | 0;
 }
 setF64(i35 | 0, +(+getF64(i26 | 0)));
 _whereInfoFree(i15, i30);
 i16 = 0;
 STACKTOP = i6;
 return i16 | 0;
}

function _sqlite3Select(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0, i80 = 0, i81 = 0, i82 = 0, i83 = 0, i84 = 0, i85 = 0, i86 = 0, i87 = 0, i88 = 0, i89 = 0, i90 = 0, i91 = 0, i92 = 0, i93 = 0, i94 = 0, i95 = 0, i96 = 0, i97 = 0, i98 = 0, i99 = 0, i100 = 0, i101 = 0, i102 = 0, i103 = 0, i104 = 0, i105 = 0, i106 = 0, i107 = 0, i108 = 0, i109 = 0, i110 = 0, i111 = 0, i112 = 0, i113 = 0, i114 = 0, i115 = 0, i116 = 0, i117 = 0, i118 = 0, i119 = 0, i120 = 0, i121 = 0, i122 = 0, i123 = 0, i124 = 0, i125 = 0, i126 = 0, i127 = 0, i128 = 0, i129 = 0, i130 = 0, i131 = 0, i132 = 0, i133 = 0, i134 = 0, i135 = 0, i136 = 0, i137 = 0, i138 = 0, i139 = 0, i140 = 0, i141 = 0, i142 = 0, i143 = 0, i144 = 0, i145 = 0, i146 = 0, i147 = 0, i148 = 0, i149 = 0, i150 = 0, i151 = 0, i152 = 0, i153 = 0, i154 = 0, i155 = 0, i156 = 0, i157 = 0, i158 = 0, i159 = 0, i160 = 0, i161 = 0, i162 = 0, i163 = 0, i164 = 0, i165 = 0, i166 = 0, i167 = 0, i168 = 0, i169 = 0, i170 = 0, i171 = 0, i172 = 0, i173 = 0, i174 = 0, i175 = 0, i176 = 0, i177 = 0, d178 = 0.0, i179 = 0, i180 = 0, i181 = 0, i182 = 0, i183 = 0, i184 = 0, i185 = 0, i186 = 0, i187 = 0, i188 = 0, i189 = 0, i190 = 0, i191 = 0, i192 = 0, i193 = 0, i194 = 0, i195 = 0, i196 = 0, i197 = 0, i198 = 0, i199 = 0, i200 = 0, i201 = 0, i202 = 0, i203 = 0, i204 = 0, i205 = 0, i206 = 0, i207 = 0, i208 = 0, i209 = 0, i210 = 0, i211 = 0, i212 = 0, i213 = 0, i214 = 0, i215 = 0, i216 = 0, i217 = 0, i218 = 0, i219 = 0, i220 = 0, i221 = 0, i222 = 0, i223 = 0, i224 = 0, i225 = 0, i226 = 0, i227 = 0, i228 = 0, i229 = 0, i230 = 0, i231 = 0, i232 = 0, i233 = 0, i234 = 0, i235 = 0, i236 = 0, i237 = 0, i238 = 0, i239 = 0, i240 = 0, i241 = 0, i242 = 0, i243 = 0, i244 = 0, i245 = 0, i246 = 0, i247 = 0, i248 = 0, i249 = 0, i250 = 0, i251 = 0, i252 = 0, i253 = 0, i254 = 0, i255 = 0, i256 = 0, i257 = 0, i258 = 0, i259 = 0, i260 = 0, i261 = 0, i262 = 0, i263 = 0, i264 = 0, i265 = 0, i266 = 0, i267 = 0, i268 = 0, i269 = 0, i270 = 0, i271 = 0, i272 = 0, i273 = 0, i274 = 0, i275 = 0, i276 = 0, i277 = 0, i278 = 0, i279 = 0, i280 = 0, i281 = 0, i282 = 0, i283 = 0, i284 = 0, i285 = 0, i286 = 0, i287 = 0, i288 = 0, i289 = 0, i290 = 0, i291 = 0, i292 = 0, i293 = 0, i294 = 0, i295 = 0, i296 = 0, i297 = 0, i298 = 0, i299 = 0, i300 = 0, i301 = 0, i302 = 0, i303 = 0, i304 = 0, i305 = 0, i306 = 0, i307 = 0, i308 = 0, i309 = 0, i310 = 0, i311 = 0, i312 = 0, i313 = 0, i314 = 0, i315 = 0, i316 = 0, i317 = 0, i318 = 0, i319 = 0, i320 = 0, i321 = 0, i322 = 0, i323 = 0, i324 = 0, i325 = 0, i326 = 0, i327 = 0, i328 = 0, i329 = 0, i330 = 0, i331 = 0, i332 = 0, i333 = 0, i334 = 0, i335 = 0, i336 = 0, i337 = 0, i338 = 0, i339 = 0, i340 = 0, i341 = 0, i342 = 0, i343 = 0, i344 = 0, i345 = 0, i346 = 0, i347 = 0, i348 = 0, i349 = 0, i350 = 0, i351 = 0, i352 = 0, i353 = 0, i354 = 0, i355 = 0, i356 = 0, i357 = 0, i358 = 0, i359 = 0, i360 = 0, i361 = 0, i362 = 0, i363 = 0, i364 = 0, i365 = 0, i366 = 0, i367 = 0, i368 = 0, i369 = 0, i370 = 0, i371 = 0, i372 = 0, i373 = 0, i374 = 0, i375 = 0, i376 = 0, i377 = 0, i378 = 0, i379 = 0, i380 = 0, i381 = 0, i382 = 0, i383 = 0, i384 = 0, i385 = 0, i386 = 0, i387 = 0, i388 = 0, i389 = 0, i390 = 0, i391 = 0, i392 = 0, i393 = 0, i394 = 0, i395 = 0, i396 = 0, i397 = 0, i398 = 0, i399 = 0, i400 = 0, i401 = 0, i402 = 0, i403 = 0, i404 = 0, i405 = 0, i406 = 0, i407 = 0, i408 = 0, i409 = 0, i410 = 0, i411 = 0, i412 = 0, i413 = 0, i414 = 0, i415 = 0, i416 = 0, i417 = 0, i418 = 0, i419 = 0, i420 = 0, i421 = 0, i422 = 0, i423 = 0, i424 = 0, i425 = 0, i426 = 0, i427 = 0, i428 = 0, i429 = 0, i430 = 0, i431 = 0, i432 = 0, i433 = 0, i434 = 0, i435 = 0, i436 = 0, i437 = 0, i438 = 0, i439 = 0, i440 = 0, i441 = 0, i442 = 0, i443 = 0, i444 = 0, i445 = 0, i446 = 0, i447 = 0, i448 = 0, i449 = 0, i450 = 0, i451 = 0, i452 = 0, i453 = 0, i454 = 0, i455 = 0, i456 = 0, i457 = 0, i458 = 0, i459 = 0, i460 = 0, i461 = 0, i462 = 0, i463 = 0, i464 = 0, i465 = 0, i466 = 0, i467 = 0, i468 = 0, i469 = 0, i470 = 0, i471 = 0, i472 = 0, i473 = 0, i474 = 0, i475 = 0, i476 = 0, i477 = 0, i478 = 0, i479 = 0, i480 = 0, i481 = 0, i482 = 0, i483 = 0, i484 = 0, i485 = 0, i486 = 0, i487 = 0, i488 = 0, i489 = 0, i490 = 0, i491 = 0, i492 = 0, i493 = 0, i494 = 0, i495 = 0, i496 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 224 | 0;
 i5 = i4 + 96 | 0;
 i6 = i4 + 88 | 0;
 i7 = i4 + 72 | 0;
 i8 = i4 + 64 | 0;
 i9 = i4 + 56 | 0;
 i10 = i4 + 48 | 0;
 i11 = i4 + 40 | 0;
 i12 = i4 + 32 | 0;
 i13 = i4 + 24 | 0;
 i14 = i4 + 16 | 0;
 i15 = i4 + 8 | 0;
 i16 = i4;
 i17 = i4 + 208 | 0;
 i18 = i4 + 204 | 0;
 i19 = i4 + 200 | 0;
 i20 = i4 + 136 | 0;
 i21 = i4 + 184 | 0;
 i22 = i4 + 100 | 0;
 i23 = i4 + 180 | 0;
 i24 = i1 + 552 | 0;
 i25 = get32(i24 | 0) | 0;
 i26 = i1 + 556 | 0;
 i27 = get32(i26 | 0) | 0;
 set32(i26 | 0, i27 + 1 | 0);
 set32(i24 | 0, i27 | 0);
 i27 = get32(i1 | 0) | 0;
 if (!i2) {
  i28 = 1;
  STACKTOP = i4;
  return i28 | 0;
 }
 i29 = i27 + 30 | 0;
 if (get8(i29 >> 0 | 0) | 0) {
  i28 = 1;
  STACKTOP = i4;
  return i28 | 0;
 }
 i30 = i1 + 64 | 0;
 if (get32(i30 | 0) | 0) {
  i28 = 1;
  STACKTOP = i4;
  return i28 | 0;
 }
 L10 : do if (((get8(i27 + 124 >> 0 | 0) | 0) == 0 ? (get8(i1 + 528 >> 0 | 0) | 0) == 0 : 0) ? (i31 = get32(i27 + 268 | 0) | 0, (i31 | 0) != 0) : 0) switch (FUNCTION_TABLE_iiiiiii[i31 & 3](get32(i27 + 272 | 0) | 0, 21, 0, 0, 0, get32(i1 + 516 | 0) | 0) | 0) {
 case 0:
  {
   break L10;
   break;
  }
 case 1:
  {
   _sqlite3ErrorMsg(i1, 26149, i16);
   set32(i1 + 4 | 0, 23 | 0);
   i28 = 1;
   STACKTOP = i4;
   return i28 | 0;
  }
 case 2:
  {
   i28 = 1;
   STACKTOP = i4;
   return i28 | 0;
  }
 default:
  {
   _sqlite3ErrorMsg(i1, 29155, i15);
   set32(i1 + 4 | 0, 1 | 0);
   i28 = 1;
   STACKTOP = i4;
   return i28 | 0;
  }
 } while (0);
 i15 = i20;
 i16 = i15 + 44 | 0;
 do {
  set32(i15 | 0, 0 | 0);
  i15 = i15 + 4 | 0;
 } while ((i15 | 0) < (i16 | 0));
 if ((getU8(i3 >> 0 | 0) | 0) < 5) {
  i31 = i2 + 24 | 0;
  i32 = get32(i31 | 0) | 0;
  if (i32) {
   i33 = i32 + 12 | 0;
   if ((get32(i32 | 0) | 0) > 0) {
    i34 = 0;
    i35 = get32(i33 | 0) | 0;
    while (1) {
     _sqlite3ExprDelete(i27, get32(i35 | 0) | 0);
     _sqlite3DbFree(i27, get32(i35 + 4 | 0) | 0);
     _sqlite3DbFree(i27, get32(i35 + 8 | 0) | 0);
     i34 = i34 + 1 | 0;
     if ((i34 | 0) >= (get32(i32 | 0) | 0)) break; else i35 = i35 + 20 | 0;
    }
   }
   _sqlite3DbFree(i27, get32(i33 | 0) | 0);
   _sqlite3DbFree(i27, i32);
  }
  set32(i31 | 0, 0 | 0);
  i31 = i2 + 6 | 0;
  i32 = getU16(i31 | 0) & 65534;
  set16(i31 | 0, i32 | 0);
  i36 = i31;
  i37 = i32;
 } else {
  i32 = i2 + 6 | 0;
  i36 = i32;
  i37 = get16(i32 | 0) | 0;
 }
 i32 = get32(i1 | 0) | 0;
 if (((((i37 & 32) == 0 ? (set32(i17 + 4 | 0, 69 | 0), set32(i17 | 0, 70 | 0), set32(i17 + 8 | 0, i1 | 0), _sqlite3WalkSelect(i17, i2) | 0, (get32(i30 | 0) | 0) == 0) : 0) ? (i37 = i32 + 30 | 0, (get8(i37 >> 0 | 0) | 0) == 0) : 0) ? (set32(i17 | 0, 71 | 0), set32(i17 + 4 | 0, 72 | 0), set32(i17 + 8 | 0, i1 | 0), set32(i17 + 12 | 0, 0 | 0), _sqlite3WalkSelect(i17, i2) | 0, (get32(i30 | 0) | 0) == 0) : 0) ? (get8(i37 >> 0 | 0) | 0) == 0 : 0) {
  set32(i17 + 4 | 0, 73 | 0);
  set32(i17 | 0, 70 | 0);
  set32(i17 + 8 | 0, i1 | 0);
  _sqlite3WalkSelect(i17, i2) | 0;
 }
 i37 = i2 + 24 | 0;
 set32(i18 | 0, get32(i37 | 0) | 0);
 i32 = i2 + 8 | 0;
 i31 = get32(i32 | 0) | 0;
 i33 = get32(i2 | 0) | 0;
 L40 : do if ((get32(i30 | 0) | 0) == 0 ? (get8(i29 >> 0 | 0) | 0) == 0 : 0) {
  i35 = (getU16(i36 | 0) | 0) >>> 2 & 1;
  i34 = i1 + 12 | 0;
  i38 = get32(i34 | 0) | 0;
  if (!i38) {
   i39 = get32(i1 | 0) | 0;
   L45 : do if (!i39) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i40 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
     i41 = 64;
     break;
    }
    i42 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
    set32(35 * 4 | 0, 192 | 0);
    if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
    i43 = get32(6 * 4 | 0) | 0;
    do if (i43) {
     i44 = get32(30 * 4 | 0) | 0;
     i45 = ((i44 | 0) < 0) << 31 >> 31;
     i46 = 16;
     i47 = _i64Subtract(get32(i46 | 0) | 0, get32(i46 + 4 | 0) | 0, i42 | 0, ((i42 | 0) < 0) << 31 >> 31 | 0) | 0;
     i46 = tempRet0;
     if ((i45 | 0) < (i46 | 0) | (i45 | 0) == (i46 | 0) & i44 >>> 0 < i47 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i47 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i43 & 15](i47, i44, i45, i42);
      set32(6 * 4 | 0, i43 | 0);
      set32(7 * 4 | 0, i47 | 0);
      break;
     }
    } while (0);
    i43 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i42) | 0;
    if (i43) {
     i47 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i43) | 0;
     i45 = (get32(30 * 4 | 0) | 0) + i47 | 0;
     set32(30 * 4 | 0, i45 | 0);
     if ((i45 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i45 | 0);
     i45 = get32(39 * 4 | 0) | 0;
     i47 = i45 + 1 | 0;
     set32(39 * 4 | 0, i47 | 0);
     if ((i45 | 0) < (get32(49 * 4 | 0) | 0)) i48 = i43; else {
      set32(49 * 4 | 0, i47 | 0);
      i48 = i43;
     }
    } else i41 = 74;
   } else {
    i43 = i39 + 30 | 0;
    if (!(get8(i43 >> 0 | 0) | 0)) {
     do if (get8(i39 + 234 >> 0 | 0) | 0) {
      if ((getU16(i39 + 232 | 0) | 0) < 192) {
       i47 = i39 + 248 | 0;
       set32(i47 | 0, (get32(i47 | 0) | 0) + 1 | 0);
       break;
      }
      i47 = i39 + 256 | 0;
      i45 = get32(i47 | 0) | 0;
      if (!i45) {
       i44 = i39 + 252 | 0;
       set32(i44 | 0, (get32(i44 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i47 | 0, get32(i45 | 0) | 0);
      i47 = i39 + 236 | 0;
      i44 = get32(i47 | 0) | 0;
      i46 = i44 + 1 | 0;
      set32(i47 | 0, i46 | 0);
      i47 = i39 + 244 | 0;
      set32(i47 | 0, (get32(i47 | 0) | 0) + 1 | 0);
      i47 = i39 + 240 | 0;
      if ((i44 | 0) >= (get32(i47 | 0) | 0)) set32(i47 | 0, i46 | 0);
      i40 = i45;
      i41 = 64;
      break L45;
     } while (0);
     if (!(get32(50 * 4 | 0) | 0)) {
      i42 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
      if (i42) {
       i48 = i42;
       break;
      }
     } else {
      i42 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
      set32(35 * 4 | 0, 192 | 0);
      if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
      i45 = get32(6 * 4 | 0) | 0;
      do if (i45) {
       i46 = get32(30 * 4 | 0) | 0;
       i47 = ((i46 | 0) < 0) << 31 >> 31;
       i44 = 16;
       i49 = _i64Subtract(get32(i44 | 0) | 0, get32(i44 + 4 | 0) | 0, i42 | 0, ((i42 | 0) < 0) << 31 >> 31 | 0) | 0;
       i44 = tempRet0;
       if ((i47 | 0) < (i44 | 0) | (i47 | 0) == (i44 | 0) & i46 >>> 0 < i49 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i49 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i45 & 15](i49, i46, i47, i42);
        set32(6 * 4 | 0, i45 | 0);
        set32(7 * 4 | 0, i49 | 0);
        break;
       }
      } while (0);
      i45 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i42) | 0;
      if (i45) {
       i49 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i45) | 0;
       i47 = (get32(30 * 4 | 0) | 0) + i49 | 0;
       set32(30 * 4 | 0, i47 | 0);
       if ((i47 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i47 | 0);
       i47 = get32(39 * 4 | 0) | 0;
       i49 = i47 + 1 | 0;
       set32(39 * 4 | 0, i49 | 0);
       if ((i47 | 0) < (get32(49 * 4 | 0) | 0)) {
        i48 = i45;
        break;
       }
       set32(49 * 4 | 0, i49 | 0);
       i48 = i45;
       break;
      }
     }
     set8(i43 >> 0 | 0, 1 | 0);
     i41 = 74;
    } else i41 = 74;
   } while (0);
   if ((i41 | 0) == 64) if (!i40) i41 = 74; else i48 = i40;
   if ((i41 | 0) == 74) {
    set32(i34 | 0, 0 | 0);
    i41 = 1621;
    break;
   }
   _memset(i48 | 0, 0, 192) | 0;
   set32(i48 | 0, i39 | 0);
   i45 = i39 + 136 | 0;
   i49 = get32(i45 | 0) | 0;
   if (i49) set32(i49 + 60 | 0, i48 | 0);
   set32(i48 + 64 | 0, i49 | 0);
   set32(i48 + 60 | 0, 0 | 0);
   set32(i45 | 0, i48 | 0);
   set32(i48 + 52 | 0, 649915045 | 0);
   set32(i34 | 0, i48 | 0);
   i45 = i48 + 28 | 0;
   i49 = i48 + 32 | 0;
   i47 = i48 + 4 | 0;
   i46 = _sqlite3DbRealloc(i39, 0, 1020) | 0;
   if (!i46) i50 = i48; else {
    i44 = get32(i48 | 0) | 0;
    if (((i44 | 0) != 0 ? (get32(i44 + 260 | 0) | 0) >>> 0 <= i46 >>> 0 : 0) ? (get32(i44 + 264 | 0) | 0) >>> 0 > i46 >>> 0 : 0) i51 = getU16(i44 + 232 | 0) | 0; else i51 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i46) | 0;
    set32(i49 | 0, (i51 >>> 0) / 20 | 0 | 0);
    set32(i47 | 0, i46 | 0);
    set32(i45 | 0, (get32(i45 | 0) | 0) + 1 | 0);
    set8(i46 >> 0 | 0, -120 | 0);
    set8(i46 + 1 >> 0 | 0, 0 | 0);
    i15 = i46 + 3 | 0;
    i16 = i15 + 17 | 0;
    do {
     set8(i15 >> 0 | 0, 0 | 0);
     i15 = i15 + 1 | 0;
    } while ((i15 | 0) < (i16 | 0));
    i50 = i48;
   }
  } else i50 = i38;
  if ((get32(i33 | 0) | 0) > 1 ? (get8(i3 >> 0 | 0) & -2) << 24 >> 24 == 6 : 0) {
   _sqlite3ErrorMsg(i1, 31998, i14);
   i41 = 1621;
   break;
  }
  i39 = i2 + 28 | 0;
  i46 = get32(i39 | 0) | 0;
  L117 : do if (!i46) {
   i45 = i1 + 540 | 0;
   i47 = i1 + 516 | 0;
   i49 = i2 + 36 | 0;
   i44 = i1 + 528 | 0;
   i52 = i1 + 4 | 0;
   i53 = i1 + 424 | 0;
   i54 = i2 + 40 | 0;
   i55 = i2 + 4 | 0;
   i56 = i2 + 12 | 0;
   i57 = i21 + 4 | 0;
   i58 = i21 + 1 | 0;
   i59 = i21 + 8 | 0;
   i60 = i21 + 12 | 0;
   i61 = 0;
   i62 = i35;
   i63 = i31;
   while (1) {
    if ((i61 | 0) >= (get16(i63 | 0) | 0)) {
     i64 = i56;
     i65 = 0;
     i66 = i62;
     i67 = i63;
     break L117;
    }
    i68 = get32(i63 + 8 + (i61 * 56 | 0) + 16 | 0) | 0;
    do if ((i68 | 0) != 0 ? (i69 = i63 + 8 + (i61 * 56 | 0) + 20 | 0, (get8(i69 >> 0 | 0) | 0) == 0) : 0) {
     set32(i17 | 0, 0 | 0);
     _heightOfSelect(i2, i17);
     set32(i45 | 0, (get32(i45 | 0) | 0) + (get32(i17 | 0) | 0) | 0);
     i70 = get16(i68 + 6 | 0) & 4;
     i71 = get32(i47 | 0) | 0;
     i72 = get32(i1 | 0) | 0;
     L125 : do if (!(get32(i72 + 12 | 0) & 1)) {
      i73 = get32(i32 | 0) | 0;
      i74 = get32(i73 + 8 + (i61 * 56 | 0) + 24 | 0) | 0;
      i75 = i73 + 8 + (i61 * 56 | 0) + 16 | 0;
      i76 = get32(i75 | 0) | 0;
      i77 = (i62 | 0) != 0;
      i78 = i70 << 16 >> 16 != 0;
      if (i77 & i78) {
       i41 = 290;
       break;
      }
      if (i78 ? (get16(i73 | 0) | 0) > 1 : 0) {
       i41 = 290;
       break;
      }
      i79 = get32(i76 + 8 | 0) | 0;
      i80 = (get32(i76 + 40 | 0) | 0) == 0;
      if (!i80 ? (get32(i54 | 0) | 0) != 0 : 0) {
       i41 = 290;
       break;
      }
      if (get32(i76 + 44 | 0) | 0) {
       i41 = 290;
       break;
      }
      if (!(i80 | (get32(i49 | 0) | 0) == 0)) {
       i41 = 290;
       break;
      }
      if (!(get16(i79 | 0) | 0)) {
       i41 = 290;
       break;
      }
      i79 = get16(i76 + 6 | 0) | 0;
      if (i79 & 1) {
       i41 = 290;
       break;
      }
      if (!i80 ? i77 | (get16(i73 | 0) | 0) > 1 : 0) {
       i41 = 290;
       break;
      }
      i81 = get16(i36 | 0) & 1;
      if (i78 & i81 << 16 >> 16 != 0) {
       i41 = 290;
       break;
      }
      i82 = get32(i37 | 0) | 0;
      i83 = (i82 | 0) == 0;
      if (!i83 ? (get32(i76 + 24 | 0) | 0) != 0 : 0) {
       i41 = 290;
       break;
      }
      if (i77 ? (get32(i76 + 24 | 0) | 0) != 0 : 0) {
       i41 = 290;
       break;
      }
      if (!i80 ? !(i81 << 16 >> 16 == 0 & (get32(i56 | 0) | 0) == 0) : 0) {
       i41 = 290;
       break;
      }
      i80 = i73 + 8 + (i61 * 56 | 0) + 21 | 0;
      if (get8(i80 >> 0 | 0) & 32) {
       i41 = 290;
       break;
      }
      i84 = i76 + 28 | 0;
      i85 = get32(i84 | 0) | 0;
      do if (i85) {
       if (!(i81 << 16 >> 16 == 0 & ((i77 | (get32(i76 + 24 | 0) | 0) != 0) ^ 1))) {
        i41 = 290;
        break L125;
       }
       if ((get16(i73 | 0) | 0) == 1 & (i79 & 5) == 0) {
        i86 = i85;
        i87 = i76;
       } else {
        i41 = 290;
        break L125;
       }
       while (1) {
        i88 = (i86 | 0) == 0;
        if (!i88 ? (get8(i87 + 4 >> 0 | 0) | 0) != 113 : 0) {
         i41 = 290;
         break L125;
        }
        i89 = get32(i87 + 8 | 0) | 0;
        if (!i89) {
         i41 = 290;
         break L125;
        }
        if ((get16(i89 | 0) | 0) != 1) {
         i41 = 290;
         break L125;
        }
        if (i88) break;
        if (get16(i86 + 6 | 0) & 5) {
         i41 = 290;
         break L125;
        }
        i88 = i86;
        i86 = get32(i86 + 28 | 0) | 0;
        i87 = i88;
       }
       if (i83) break;
       i88 = get32(i82 | 0) | 0;
       if ((i88 | 0) <= 0) break;
       i89 = get32(i82 + 12 | 0) | 0;
       i90 = 0;
       do {
        if (!(get16(i89 + (i90 * 20 | 0) + 14 | 0) | 0)) {
         i41 = 290;
         break L125;
        }
        i90 = i90 + 1 | 0;
       } while ((i90 | 0) < (i88 | 0));
      } while (0);
      i82 = i73 + 8 + (i61 * 56 | 0) + 4 | 0;
      i83 = get32(i82 | 0) | 0;
      set32(i47 | 0, i83 | 0);
      i76 = i83;
      L171 : do if (!(get8(i72 + 124 >> 0 | 0) | 0)) {
       if (get8(i44 >> 0 | 0) | 0) break;
       i83 = get32(i72 + 268 | 0) | 0;
       if (!i83) break;
       switch (FUNCTION_TABLE_iiiiiii[i83 & 3](get32(i72 + 272 | 0) | 0, 21, 0, 0, 0, i76) | 0) {
       case 0:
       case 2:
        {
         break L171;
         break;
        }
       case 1:
        {
         _sqlite3ErrorMsg(i1, 26149, i13);
         set32(i52 | 0, 23 | 0);
         break L171;
         break;
        }
       default:
        {
         _sqlite3ErrorMsg(i1, 29155, i12);
         set32(i52 | 0, 1 | 0);
         break L171;
        }
       }
      } while (0);
      set32(i47 | 0, i71 | 0);
      i76 = get32(i84 | 0) | 0;
      L179 : do if (!i76) i41 = 131; else {
       i83 = i72 + 30 | 0;
       i85 = get32(i37 | 0) | 0;
       i79 = get32(i54 | 0) | 0;
       i81 = get32(i39 | 0) | 0;
       i88 = i76;
       while (1) {
        set32(i37 | 0, 0 | 0);
        set32(i32 | 0, 0 | 0);
        set32(i39 | 0, 0 | 0);
        set32(i54 | 0, 0 | 0);
        i90 = _sqlite3SelectDup(i72, i2, 0) | 0;
        set32(i54 | 0, i79 | 0);
        set32(i37 | 0, i85 | 0);
        set32(i32 | 0, i73 | 0);
        set8(i55 >> 0 | 0, 113 | 0);
        set32(i49 | 0, 0 | 0);
        if (!i90) i91 = i81; else {
         set32(i90 + 28 | 0, i81 | 0);
         set32(i90 + 36 | 0, 0 | 0);
         i91 = i90;
        }
        set32(i39 | 0, i91 | 0);
        if (get8(i83 >> 0 | 0) | 0) break L179;
        i88 = get32(i88 + 28 | 0) | 0;
        if (!i88) {
         i41 = 131;
         break;
        } else i81 = i91;
       }
      } while (0);
      do if ((i41 | 0) == 131) {
       i41 = 0;
       i76 = get32(i75 | 0) | 0;
       i84 = i73 + 8 + (i61 * 56 | 0) | 0;
       _sqlite3DbFree(i72, get32(i84 | 0) | 0);
       _sqlite3DbFree(i72, get32(i82 | 0) | 0);
       i81 = i73 + 8 + (i61 * 56 | 0) + 8 | 0;
       _sqlite3DbFree(i72, get32(i81 | 0) | 0);
       set32(i84 | 0, 0 | 0);
       set32(i82 | 0, 0 | 0);
       set32(i81 | 0, 0 | 0);
       set32(i75 | 0, 0 | 0);
       i81 = i73 + 8 + (i61 * 56 | 0) + 12 | 0;
       i84 = get32(i81 | 0) | 0;
       if (i84) {
        i88 = i84 + 32 | 0;
        i83 = get16(i88 | 0) | 0;
        if (i83 << 16 >> 16 == 1) {
         i85 = get32(i53 | 0) | 0;
         i79 = ((i85 | 0) == 0 ? i1 : i85) + 544 | 0;
         set32(i84 + 72 | 0, get32(i79 | 0) | 0);
         set32(i79 | 0, i84 | 0);
        } else set16(i88 | 0, i83 + -1 << 16 >> 16 | 0);
        set32(i81 | 0, 0 | 0);
       }
       i81 = i61 + 1 | 0;
       i83 = i72 + 260 | 0;
       i88 = i72 + 264 | 0;
       i84 = i72 + 232 | 0;
       i79 = i72 + 30 | 0;
       i85 = i72 + 234 | 0;
       i90 = i72 + 248 | 0;
       i89 = i72 + 256 | 0;
       i92 = i72 + 252 | 0;
       i93 = i72 + 236 | 0;
       i94 = i72 + 244 | 0;
       i95 = i72 + 240 | 0;
       i96 = i2;
       i97 = i76;
       while (1) {
        i98 = get32(i97 + 8 | 0) | 0;
        i99 = get16(i98 | 0) | 0;
        i100 = i99 << 16 >> 16;
        i101 = i96 + 8 | 0;
        i102 = get32(i101 | 0) | 0;
        if (!i102) {
         i103 = _sqlite3SrcListAppend(i72, 0, 0, 0) | 0;
         set32(i101 | 0, i103 | 0);
         if (!i103) break; else {
          i104 = 0;
          i105 = i103;
         }
        } else {
         i104 = get8(i80 >> 0 | 0) | 0;
         i105 = i102;
        }
        if (i99 << 16 >> 16 > 1) {
         i102 = i100 + -1 | 0;
         i103 = get16(i105 | 0) | 0;
         i106 = (i103 << 16 >> 16) + i102 | 0;
         do if ((i106 | 0) > (get16(i105 + 2 | 0) | 0)) {
          i107 = _sqlite3DbRealloc(i72, i105, (i106 * 56 | 0) + 8 | 0) | 0;
          if (!i107) {
           i108 = i105;
           break;
          }
          do if ((get32(i83 | 0) | 0) >>> 0 > i107 >>> 0) i41 = 146; else {
           if ((get32(i88 | 0) | 0) >>> 0 <= i107 >>> 0) {
            i41 = 146;
            break;
           }
           i109 = getU16(i84 | 0) | 0;
          } while (0);
          if ((i41 | 0) == 146) {
           i41 = 0;
           i109 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i107) | 0;
          }
          set16(i107 + 2 | 0, (((i109 + -64 | 0) >>> 0) / 56 | 0) + 1 | 0);
          i110 = i107;
          i111 = get16(i107 | 0) | 0;
          i41 = 148;
         } else {
          i110 = i105;
          i111 = i103;
          i41 = 148;
         } while (0);
         if ((i41 | 0) == 148) {
          i41 = 0;
          i103 = i111 << 16 >> 16;
          if ((i103 | 0) > (i81 | 0)) {
           i106 = i103;
           do {
            i106 = i106 + -1 | 0;
            i15 = i110 + 8 + ((i106 + i102 | 0) * 56 | 0) | 0;
            i112 = i110 + 8 + (i106 * 56 | 0) | 0;
            i16 = i15 + 56 | 0;
            do {
             set32(i15 | 0, get32(i112 | 0) | 0);
             i15 = i15 + 4 | 0;
             i112 = i112 + 4 | 0;
            } while ((i15 | 0) < (i16 | 0));
           } while ((i106 | 0) > (i81 | 0));
           i113 = get16(i110 | 0) | 0;
          } else i113 = i111;
          set16(i110 | 0, (i113 & 65535) + i102 | 0);
          _memset(i110 + 8 + (i81 * 56 | 0) | 0, 0, i102 * 56 | 0) | 0;
          i106 = i100 + i61 | 0;
          i107 = i81;
          do {
           set32(i110 + 8 + (i107 * 56 | 0) + 24 | 0, -1 | 0);
           i107 = i107 + 1 | 0;
          } while ((i107 | 0) < (i106 | 0));
          i108 = i110;
         }
         set32(i101 | 0, i108 | 0);
         if (!(get8(i79 >> 0 | 0) | 0)) i114 = i108; else break;
        } else i114 = i105;
        if (i99 << 16 >> 16 > 0) {
         i106 = 0;
         do {
          i107 = i106 + i61 | 0;
          i102 = i114 + 8 + (i107 * 56 | 0) | 0;
          i103 = get32(i114 + 8 + (i107 * 56 | 0) + 32 | 0) | 0;
          if (i103) {
           i107 = i103 + 4 | 0;
           if ((get32(i107 | 0) | 0) > 0) {
            i115 = 0;
            do {
             _sqlite3DbFree(i72, get32((get32(i103 | 0) | 0) + (i115 << 3) | 0) | 0);
             i115 = i115 + 1 | 0;
            } while ((i115 | 0) < (get32(i107 | 0) | 0));
           }
           _sqlite3DbFree(i72, get32(i103 | 0) | 0);
           _sqlite3DbFree(i72, i103);
          }
          i107 = i98 + 8 + (i106 * 56 | 0) | 0;
          i15 = i102;
          i112 = i107;
          i16 = i15 + 56 | 0;
          do {
           set32(i15 | 0, get32(i112 | 0) | 0);
           i15 = i15 + 4 | 0;
           i112 = i112 + 4 | 0;
          } while ((i15 | 0) < (i16 | 0));
          i15 = i107;
          i16 = i15 + 56 | 0;
          do {
           set32(i15 | 0, 0 | 0);
           i15 = i15 + 4 | 0;
          } while ((i15 | 0) < (i16 | 0));
          i106 = i106 + 1 | 0;
         } while ((i106 | 0) != (i100 | 0));
        }
        set8(i114 + 8 + (i61 * 56 | 0) + 21 >> 0 | 0, i104 | 0);
        i100 = get32(i96 | 0) | 0;
        i106 = get32(i100 | 0) | 0;
        if ((i106 | 0) > 0) {
         i98 = i100 + 12 | 0;
         i99 = get32(i98 | 0) | 0;
         i101 = i106;
         i106 = 0;
         while (1) {
          do if (!(get32(i99 + (i106 * 20 | 0) + 4 | 0) | 0)) {
           i107 = get32(i99 + (i106 * 20 | 0) + 8 | 0) | 0;
           if (!i107) {
            i116 = i99;
            i117 = i101;
            break;
           } else i118 = i107;
           while (1) if (!(get8(i118 >> 0 | 0) | 0)) {
            i119 = i118;
            break;
           } else i118 = i118 + 1 | 0;
           i102 = (i119 - i107 & 1073741823) + 1 | 0;
           L245 : do if (!(get8(i79 >> 0 | 0) | 0)) {
            do if (!(get8(i85 >> 0 | 0) | 0)) i41 = 175; else {
             if ((getU16(i84 | 0) | 0) >>> 0 < i102 >>> 0) {
              set32(i90 | 0, (get32(i90 | 0) | 0) + 1 | 0);
              i41 = 175;
              break;
             }
             i103 = get32(i89 | 0) | 0;
             if (!i103) {
              set32(i92 | 0, (get32(i92 | 0) | 0) + 1 | 0);
              i41 = 175;
              break;
             }
             set32(i89 | 0, get32(i103 | 0) | 0);
             i115 = get32(i93 | 0) | 0;
             i120 = i115 + 1 | 0;
             set32(i93 | 0, i120 | 0);
             set32(i94 | 0, (get32(i94 | 0) | 0) + 1 | 0);
             if ((i115 | 0) >= (get32(i95 | 0) | 0)) set32(i95 | 0, i120 | 0);
             i121 = i103;
            } while (0);
            L258 : do if ((i41 | 0) == 175) {
             i41 = 0;
             do if (!(get32(50 * 4 | 0) | 0)) {
              i103 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i102) | 0;
              if (i103) {
               i121 = i103;
               break L258;
              }
             } else {
              i103 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i102) | 0;
              set32(35 * 4 | 0, i102 | 0);
              if ((get32(45 * 4 | 0) | 0) < (i102 | 0)) set32(45 * 4 | 0, i102 | 0);
              i120 = get32(6 * 4 | 0) | 0;
              do if (i120) {
               i115 = get32(30 * 4 | 0) | 0;
               i122 = ((i115 | 0) < 0) << 31 >> 31;
               i123 = 16;
               i124 = _i64Subtract(get32(i123 | 0) | 0, get32(i123 + 4 | 0) | 0, i103 | 0, ((i103 | 0) < 0) << 31 >> 31 | 0) | 0;
               i123 = tempRet0;
               if ((i122 | 0) < (i123 | 0) | (i122 | 0) == (i123 | 0) & i115 >>> 0 < i124 >>> 0) {
                set32(11 * 4 | 0, 0 | 0);
                break;
               } else {
                set32(11 * 4 | 0, 1 | 0);
                i124 = get32(7 * 4 | 0) | 0;
                set32(6 * 4 | 0, 0 | 0);
                FUNCTION_TABLE_viiii[i120 & 15](i124, i115, i122, i103);
                set32(6 * 4 | 0, i120 | 0);
                set32(7 * 4 | 0, i124 | 0);
                break;
               }
              } while (0);
              i120 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i103) | 0;
              if (!i120) break;
              i124 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i120) | 0;
              i122 = (get32(30 * 4 | 0) | 0) + i124 | 0;
              set32(30 * 4 | 0, i122 | 0);
              if ((i122 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i122 | 0);
              i122 = get32(39 * 4 | 0) | 0;
              i124 = i122 + 1 | 0;
              set32(39 * 4 | 0, i124 | 0);
              if ((i122 | 0) < (get32(49 * 4 | 0) | 0)) {
               i121 = i120;
               break L258;
              }
              set32(49 * 4 | 0, i124 | 0);
              i121 = i120;
              break L258;
             } while (0);
             set8(i79 >> 0 | 0, 1 | 0);
             i125 = 0;
             break L245;
            } while (0);
            _memcpy(i121 | 0, i107 | 0, i102 | 0) | 0;
            i125 = i121;
           } else i125 = 0; while (0);
           i102 = get32(i98 | 0) | 0;
           set32(i102 + (i106 * 20 | 0) + 4 | 0, i125 | 0);
           i116 = i102;
           i117 = get32(i100 | 0) | 0;
          } else {
           i116 = i99;
           i117 = i101;
          } while (0);
          i106 = i106 + 1 | 0;
          if ((i106 | 0) >= (i117 | 0)) break; else {
           i99 = i116;
           i101 = i117;
          }
         }
         i126 = get32(i96 | 0) | 0;
        } else i126 = i100;
        i101 = get32(i97 | 0) | 0;
        do if (i126) {
         if ((get32(i126 | 0) | 0) <= 0) break;
         i99 = i126 + 12 | 0;
         i106 = get32(i99 | 0) | 0;
         i98 = 0;
         do {
          i102 = _substExpr(i72, get32(i106 + (i98 * 20 | 0) | 0) | 0, i74, i101) | 0;
          i106 = get32(i99 | 0) | 0;
          set32(i106 + (i98 * 20 | 0) | 0, i102 | 0);
          i98 = i98 + 1 | 0;
         } while ((i98 | 0) < (get32(i126 | 0) | 0));
        } while (0);
        if (i77) {
         i101 = get32(i96 + 16 | 0) | 0;
         i100 = get32(i97 | 0) | 0;
         do if (!i101) i127 = i100; else {
          if ((get32(i101 | 0) | 0) <= 0) {
           i127 = i100;
           break;
          }
          i98 = i101 + 12 | 0;
          i106 = get32(i98 | 0) | 0;
          i99 = 0;
          do {
           i102 = _substExpr(i72, get32(i106 + (i99 * 20 | 0) | 0) | 0, i74, i100) | 0;
           i106 = get32(i98 | 0) | 0;
           set32(i106 + (i99 * 20 | 0) | 0, i102 | 0);
           i99 = i99 + 1 | 0;
          } while ((i99 | 0) < (get32(i101 | 0) | 0));
          i127 = get32(i97 | 0) | 0;
         } while (0);
         i101 = i96 + 20 | 0;
         set32(i101 | 0, _substExpr(i72, get32(i101 | 0) | 0, i74, i127) | 0 | 0);
        }
        i101 = i97 + 24 | 0;
        i100 = get32(i101 | 0) | 0;
        i99 = i96 + 24 | 0;
        do if (!i100) {
         i106 = get32(i99 | 0) | 0;
         if (!i106) break;
         i98 = get32(i97 | 0) | 0;
         if ((get32(i106 | 0) | 0) <= 0) break;
         i102 = i106 + 12 | 0;
         i107 = get32(i102 | 0) | 0;
         i120 = 0;
         do {
          i124 = _substExpr(i72, get32(i107 + (i120 * 20 | 0) | 0) | 0, i74, i98) | 0;
          i107 = get32(i102 | 0) | 0;
          set32(i107 + (i120 * 20 | 0) | 0, i124 | 0);
          i120 = i120 + 1 | 0;
         } while ((i120 | 0) < (get32(i106 | 0) | 0));
        } else {
         set32(i99 | 0, i100 | 0);
         set32(i101 | 0, 0 | 0);
        } while (0);
        i101 = get32(i97 + 12 | 0) | 0;
        if (!i101) i128 = 0; else i128 = _exprDup(i72, i101, 0, 0) | 0;
        i101 = i96 + 12 | 0;
        if (i78) {
         i100 = get32(i101 | 0) | 0;
         i99 = i96 + 20 | 0;
         set32(i99 | 0, i100 | 0);
         set32(i101 | 0, i128 | 0);
         i106 = _substExpr(i72, i100, i74, get32(i97 | 0) | 0) | 0;
         set32(i99 | 0, i106 | 0);
         i100 = _exprDup(i72, get32(i97 + 20 | 0) | 0, 0, 0) | 0;
         do if (!i106) i129 = i100; else {
          if (!i100) {
           i129 = i106;
           break;
          }
          i120 = _sqlite3ExprAlloc(i72, 69, 0, 0) | 0;
          if (!i120) {
           _sqlite3ExprDelete(i72, i106);
           _sqlite3ExprDelete(i72, i100);
           i129 = 0;
           break;
          }
          set32(i120 + 12 | 0, i100 | 0);
          if (get16(i100 + 2 | 0) & 256) {
           i107 = i120 + 2 | 0;
           set16(i107 | 0, getU16(i107 | 0) | 256 | 0);
           set32(i120 + 20 | 0, get32(i100 + 20 | 0) | 0);
          }
          set32(i120 + 8 | 0, i106 | 0);
          i107 = i120 + 2 | 0;
          i102 = get16(i107 | 0) | 0;
          if (!(get16(i106 + 2 | 0) & 256)) i130 = i102; else {
           i98 = (i102 & 65535 | 256) & 65535;
           set16(i107 | 0, i98 | 0);
           set32(i120 + 20 | 0, get32(i106 + 20 | 0) | 0);
           i130 = i98;
          }
          i98 = get32(i106 + 44 | 0) | 0;
          i107 = (i98 | 0) > 0 ? i98 : 0;
          i98 = get32(i100 + 44 | 0) | 0;
          i102 = (i98 | 0) > (i107 | 0) ? i98 : i107;
          set32(i17 | 0, i102 | 0);
          i107 = i120 + 16 | 0;
          do if (!(i130 & 2048)) {
           i98 = get32(i107 | 0) | 0;
           if (!i98) {
            i131 = i102;
            break;
           }
           i124 = get32(i98 | 0) | 0;
           if ((i124 | 0) <= 0) {
            i131 = i102;
            break;
           }
           i122 = get32(i98 + 12 | 0) | 0;
           i98 = i102;
           i115 = 0;
           while (1) {
            i123 = get32(i122 + (i115 * 20 | 0) | 0) | 0;
            do if (!i123) i132 = i98; else {
             i133 = get32(i123 + 44 | 0) | 0;
             if ((i133 | 0) <= (i98 | 0)) {
              i132 = i98;
              break;
             }
             set32(i17 | 0, i133 | 0);
             i132 = i133;
            } while (0);
            i115 = i115 + 1 | 0;
            if ((i115 | 0) == (i124 | 0)) {
             i131 = i132;
             break;
            } else i98 = i132;
           }
          } else {
           _heightOfSelect(get32(i107 | 0) | 0, i17);
           i131 = get32(i17 | 0) | 0;
          } while (0);
          set32(i120 + 44 | 0, i131 + 1 | 0);
          i129 = i120;
         } while (0);
         set32(i99 | 0, i129 | 0);
         set32(i96 + 16 | 0, _sqlite3ExprListDup(i72, get32(i97 + 16 | 0) | 0, 0) | 0 | 0);
        } else {
         i100 = _substExpr(i72, get32(i101 | 0) | 0, i74, get32(i97 | 0) | 0) | 0;
         set32(i101 | 0, i100 | 0);
         do if (!i100) i134 = i128; else {
          if (!i128) {
           i134 = i100;
           break;
          }
          i106 = _sqlite3ExprAlloc(i72, 69, 0, 0) | 0;
          if (!i106) {
           _sqlite3ExprDelete(i72, i100);
           _sqlite3ExprDelete(i72, i128);
           i134 = 0;
           break;
          }
          set32(i106 + 12 | 0, i128 | 0);
          if (get16(i128 + 2 | 0) & 256) {
           i107 = i106 + 2 | 0;
           set16(i107 | 0, getU16(i107 | 0) | 256 | 0);
           set32(i106 + 20 | 0, get32(i128 + 20 | 0) | 0);
          }
          set32(i106 + 8 | 0, i100 | 0);
          i107 = i106 + 2 | 0;
          i102 = get16(i107 | 0) | 0;
          if (!(get16(i100 + 2 | 0) & 256)) i135 = i102; else {
           i98 = (i102 & 65535 | 256) & 65535;
           set16(i107 | 0, i98 | 0);
           set32(i106 + 20 | 0, get32(i100 + 20 | 0) | 0);
           i135 = i98;
          }
          i98 = get32(i100 + 44 | 0) | 0;
          i107 = (i98 | 0) > 0 ? i98 : 0;
          i98 = get32(i128 + 44 | 0) | 0;
          i102 = (i98 | 0) > (i107 | 0) ? i98 : i107;
          set32(i17 | 0, i102 | 0);
          i107 = i106 + 16 | 0;
          do if (!(i135 & 2048)) {
           i98 = get32(i107 | 0) | 0;
           if (!i98) {
            i136 = i102;
            break;
           }
           i124 = get32(i98 | 0) | 0;
           if ((i124 | 0) <= 0) {
            i136 = i102;
            break;
           }
           i115 = get32(i98 + 12 | 0) | 0;
           i98 = i102;
           i122 = 0;
           while (1) {
            i123 = get32(i115 + (i122 * 20 | 0) | 0) | 0;
            do if (!i123) i137 = i98; else {
             i133 = get32(i123 + 44 | 0) | 0;
             if ((i133 | 0) <= (i98 | 0)) {
              i137 = i98;
              break;
             }
             set32(i17 | 0, i133 | 0);
             i137 = i133;
            } while (0);
            i122 = i122 + 1 | 0;
            if ((i122 | 0) == (i124 | 0)) {
             i136 = i137;
             break;
            } else i98 = i137;
           }
          } else {
           _heightOfSelect(get32(i107 | 0) | 0, i17);
           i136 = get32(i17 | 0) | 0;
          } while (0);
          set32(i106 + 44 | 0, i136 + 1 | 0);
          i134 = i106;
         } while (0);
         set32(i101 | 0, i134 | 0);
        }
        i100 = i96 + 6 | 0;
        set16(i100 | 0, getU16(i100 | 0) | getU16(i97 + 6 | 0) & 1 | 0);
        i100 = i97 + 40 | 0;
        i99 = get32(i100 | 0) | 0;
        if (i99) {
         set32(i96 + 40 | 0, i99 | 0);
         set32(i100 | 0, 0 | 0);
        }
        i96 = get32(i96 + 28 | 0) | 0;
        if (!i96) break; else i97 = get32(i97 + 28 | 0) | 0;
       }
       if (!i76) break;
       i97 = get32(i76 | 0) | 0;
       if (i97) {
        i96 = i97 + 12 | 0;
        if ((get32(i97 | 0) | 0) > 0) {
         i79 = 0;
         i95 = get32(i96 | 0) | 0;
         while (1) {
          _sqlite3ExprDelete(i72, get32(i95 | 0) | 0);
          _sqlite3DbFree(i72, get32(i95 + 4 | 0) | 0);
          _sqlite3DbFree(i72, get32(i95 + 8 | 0) | 0);
          i79 = i79 + 1 | 0;
          if ((i79 | 0) >= (get32(i97 | 0) | 0)) break; else i95 = i95 + 20 | 0;
         }
        }
        _sqlite3DbFree(i72, get32(i96 | 0) | 0);
        _sqlite3DbFree(i72, i97);
       }
       _sqlite3SrcListDelete(i72, get32(i76 + 8 | 0) | 0);
       _sqlite3ExprDelete(i72, get32(i76 + 12 | 0) | 0);
       i95 = get32(i76 + 16 | 0) | 0;
       if (i95) {
        i79 = i95 + 12 | 0;
        if ((get32(i95 | 0) | 0) > 0) {
         i94 = 0;
         i93 = get32(i79 | 0) | 0;
         while (1) {
          _sqlite3ExprDelete(i72, get32(i93 | 0) | 0);
          _sqlite3DbFree(i72, get32(i93 + 4 | 0) | 0);
          _sqlite3DbFree(i72, get32(i93 + 8 | 0) | 0);
          i94 = i94 + 1 | 0;
          if ((i94 | 0) >= (get32(i95 | 0) | 0)) break; else i93 = i93 + 20 | 0;
         }
        }
        _sqlite3DbFree(i72, get32(i79 | 0) | 0);
        _sqlite3DbFree(i72, i95);
       }
       _sqlite3ExprDelete(i72, get32(i76 + 20 | 0) | 0);
       i93 = get32(i76 + 24 | 0) | 0;
       if (i93) {
        i94 = i93 + 12 | 0;
        if ((get32(i93 | 0) | 0) > 0) {
         i97 = 0;
         i96 = get32(i94 | 0) | 0;
         while (1) {
          _sqlite3ExprDelete(i72, get32(i96 | 0) | 0);
          _sqlite3DbFree(i72, get32(i96 + 4 | 0) | 0);
          _sqlite3DbFree(i72, get32(i96 + 8 | 0) | 0);
          i97 = i97 + 1 | 0;
          if ((i97 | 0) >= (get32(i93 | 0) | 0)) break; else i96 = i96 + 20 | 0;
         }
        }
        _sqlite3DbFree(i72, get32(i94 | 0) | 0);
        _sqlite3DbFree(i72, i93);
       }
       i96 = get32(i76 + 28 | 0) | 0;
       if (i96) {
        i97 = get32(i96 | 0) | 0;
        if (i97) {
         i95 = i97 + 12 | 0;
         if ((get32(i97 | 0) | 0) > 0) {
          i79 = 0;
          i89 = get32(i95 | 0) | 0;
          while (1) {
           _sqlite3ExprDelete(i72, get32(i89 | 0) | 0);
           _sqlite3DbFree(i72, get32(i89 + 4 | 0) | 0);
           _sqlite3DbFree(i72, get32(i89 + 8 | 0) | 0);
           i79 = i79 + 1 | 0;
           if ((i79 | 0) >= (get32(i97 | 0) | 0)) break; else i89 = i89 + 20 | 0;
          }
         }
         _sqlite3DbFree(i72, get32(i95 | 0) | 0);
         _sqlite3DbFree(i72, i97);
        }
        _sqlite3SrcListDelete(i72, get32(i96 + 8 | 0) | 0);
        _sqlite3ExprDelete(i72, get32(i96 + 12 | 0) | 0);
        i89 = get32(i96 + 16 | 0) | 0;
        if (i89) {
         i79 = i89 + 12 | 0;
         if ((get32(i89 | 0) | 0) > 0) {
          i93 = 0;
          i94 = get32(i79 | 0) | 0;
          while (1) {
           _sqlite3ExprDelete(i72, get32(i94 | 0) | 0);
           _sqlite3DbFree(i72, get32(i94 + 4 | 0) | 0);
           _sqlite3DbFree(i72, get32(i94 + 8 | 0) | 0);
           i93 = i93 + 1 | 0;
           if ((i93 | 0) >= (get32(i89 | 0) | 0)) break; else i94 = i94 + 20 | 0;
          }
         }
         _sqlite3DbFree(i72, get32(i79 | 0) | 0);
         _sqlite3DbFree(i72, i89);
        }
        _sqlite3ExprDelete(i72, get32(i96 + 20 | 0) | 0);
        i94 = get32(i96 + 24 | 0) | 0;
        if (i94) {
         i93 = i94 + 12 | 0;
         if ((get32(i94 | 0) | 0) > 0) {
          i97 = 0;
          i95 = get32(i93 | 0) | 0;
          while (1) {
           _sqlite3ExprDelete(i72, get32(i95 | 0) | 0);
           _sqlite3DbFree(i72, get32(i95 + 4 | 0) | 0);
           _sqlite3DbFree(i72, get32(i95 + 8 | 0) | 0);
           i97 = i97 + 1 | 0;
           if ((i97 | 0) >= (get32(i94 | 0) | 0)) break; else i95 = i95 + 20 | 0;
          }
         }
         _sqlite3DbFree(i72, get32(i93 | 0) | 0);
         _sqlite3DbFree(i72, i94);
        }
        _sqlite3SelectDelete(i72, get32(i96 + 28 | 0) | 0);
        _sqlite3ExprDelete(i72, get32(i96 + 40 | 0) | 0);
        _sqlite3ExprDelete(i72, get32(i96 + 44 | 0) | 0);
        _sqlite3DbFree(i72, i96);
       }
       _sqlite3ExprDelete(i72, get32(i76 + 40 | 0) | 0);
       _sqlite3ExprDelete(i72, get32(i76 + 44 | 0) | 0);
       _sqlite3DbFree(i72, i76);
      } while (0);
      if (!(i70 << 16 >> 16)) {
       i138 = -1;
       i139 = i62;
       break;
      }
      set16(i36 | 0, getU16(i36 | 0) | 4 | 0);
      i138 = -1;
      i139 = 1;
     } else i41 = 290; while (0);
     if ((i41 | 0) == 290) {
      i41 = 0;
      i70 = get32(i63 + 8 + (i61 * 56 | 0) + 24 | 0) | 0;
      set8(i21 >> 0 | 0, 9 | 0);
      set32(i57 | 0, i70 | 0);
      set8(i58 >> 0 | 0, 0 | 0);
      set32(i59 | 0, 0 | 0);
      set32(i60 | 0, 0 | 0);
      set8(i63 + 8 + (i61 * 56 | 0) + 23 >> 0 | 0, get32(i26 | 0) | 0);
      _sqlite3Select(i1, i68, i21) | 0;
      set8(i69 >> 0 | 0, 1 | 0);
      set32((get32(i63 + 8 + (i61 * 56 | 0) + 12 | 0) | 0) + 24 | 0, ~~+getF64(i68 + 72 | 0) >>> 0 | 0);
      i138 = i61;
      i139 = i62;
     }
     if (get8(i29 >> 0 | 0) | 0) {
      i41 = 1621;
      break L40;
     }
     set32(i17 | 0, 0 | 0);
     _heightOfSelect(i2, i17);
     set32(i45 | 0, (get32(i45 | 0) | 0) - (get32(i17 | 0) | 0) | 0);
     i70 = get32(i32 | 0) | 0;
     if ((getU8(i3 >> 0 | 0) | 0) < 5) {
      i140 = i138;
      i141 = i139;
      i142 = i70;
      break;
     }
     set32(i18 | 0, get32(i37 | 0) | 0);
     i140 = i138;
     i141 = i139;
     i142 = i70;
    } else {
     i140 = i61;
     i141 = i62;
     i142 = i63;
    } while (0);
    i68 = get32(i39 | 0) | 0;
    if (!i68) {
     i61 = i140 + 1 | 0;
     i62 = i141;
     i63 = i142;
    } else {
     i64 = i56;
     i65 = i68;
     i66 = i141;
     i67 = i142;
     break;
    }
   }
  } else {
   i64 = i2 + 12 | 0;
   i65 = i46;
   i66 = i35;
   i67 = i31;
  } while (0);
  i35 = get32(i2 | 0) | 0;
  i46 = get32(i64 | 0) | 0;
  i39 = i2 + 16 | 0;
  i38 = get32(i39 | 0) | 0;
  set32(i19 | 0, i38 | 0);
  i56 = get32(i2 + 20 | 0) | 0;
  i63 = getU16(i36 | 0) | 0;
  i62 = (i63 & 1 | 0) == 0;
  if (i65) {
   if (!(get32(i2 + 36 | 0) | 0)) {
    set32(i2 + 36 | 0, i2 | 0);
    set32(i2 + 32 | 0, 0 | 0);
    if (!i65) i143 = 0; else {
     i61 = i65;
     i45 = 0;
     i60 = i2;
     while (1) {
      i59 = i45 + 1 | 0;
      i58 = get32(i61 + 28 | 0) | 0;
      set32(i61 + 36 | 0, i2 | 0);
      set32(i61 + 32 | 0, i60 | 0);
      if (!i58) {
       i143 = i59;
       break;
      } else {
       i57 = i61;
       i61 = i58;
       i45 = i59;
       i60 = i57;
      }
     }
    }
    i60 = get32(i27 + 88 | 0) | 0;
    if ((i60 | 0) != 0 & (i143 | 0) >= (i60 | 0)) {
     _sqlite3ErrorMsg(i1, 31937, i11);
     i41 = 1621;
     break;
    }
   }
   i60 = _multiSelect(i1, i2, i3) | 0;
   set32(i24 | 0, i25 | 0);
   i28 = i60;
   STACKTOP = i4;
   return i28 | 0;
  }
  if ((i63 & 5 | 0) == 1) {
   i60 = _sqlite3ExprListDup(i27, i35, 0) | 0;
   set32(i39 | 0, i60 | 0);
   set32(i19 | 0, i60 | 0);
   set16(i36 | 0, getU16(i36 | 0) & 65534 | 0);
   i144 = i60;
  } else i144 = i38;
  i60 = get32(i18 | 0) | 0;
  i45 = (i144 | 0) == 0;
  i61 = (i60 | 0) == 0;
  L445 : do if (!(i45 & i61)) if (!(i45 | i61) ? (i57 = get32(i144 | 0) | 0, (i57 | 0) == (get32(i60 | 0) | 0)) : 0) if ((i57 | 0) > 0) {
   i59 = get32(i144 + 12 | 0) | 0;
   i58 = get32(i60 + 12 | 0) | 0;
   i53 = 0;
   while (1) {
    if ((get8(i59 + (i53 * 20 | 0) + 12 >> 0 | 0) | 0) != (get8(i58 + (i53 * 20 | 0) + 12 >> 0 | 0) | 0)) {
     i41 = 314;
     break L445;
    }
    if (_sqlite3ExprCompare(get32(i59 + (i53 * 20 | 0) | 0) | 0, get32(i58 + (i53 * 20 | 0) | 0) | 0) | 0) {
     i41 = 314;
     break L445;
    }
    i53 = i53 + 1 | 0;
    if ((i53 | 0) >= (i57 | 0)) {
     i41 = 312;
     break;
    }
   }
  } else i41 = 312; else i41 = 314; else i41 = 312; while (0);
  if ((i41 | 0) == 312) if (!(get32(i27 + 12 | 0) & 32)) {
   set32(i18 | 0, 0 | 0);
   i145 = -1;
  } else i41 = 314;
  if ((i41 | 0) == 314) if (i61) i145 = -1; else {
   i45 = get32(i1 | 0) | 0;
   i38 = get32(i60 | 0) | 0;
   i63 = i38 * 5 | 0;
   i57 = i63 + 16 | 0;
   L460 : do if (!i45) if ((i63 + 15 | 0) >>> 0 > 2147483390) i146 = 0; else {
    if (!(get32(50 * 4 | 0) | 0)) {
     i147 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i57) | 0;
     i41 = 354;
     break;
    }
    i53 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i57) | 0;
    set32(35 * 4 | 0, i57 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i57 | 0)) set32(45 * 4 | 0, i57 | 0);
    i58 = get32(6 * 4 | 0) | 0;
    do if (i58) {
     i59 = get32(30 * 4 | 0) | 0;
     i49 = ((i59 | 0) < 0) << 31 >> 31;
     i55 = 16;
     i54 = _i64Subtract(get32(i55 | 0) | 0, get32(i55 + 4 | 0) | 0, i53 | 0, ((i53 | 0) < 0) << 31 >> 31 | 0) | 0;
     i55 = tempRet0;
     if ((i49 | 0) < (i55 | 0) | (i49 | 0) == (i55 | 0) & i59 >>> 0 < i54 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i54 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i58 & 15](i54, i59, i49, i53);
      set32(6 * 4 | 0, i58 | 0);
      set32(7 * 4 | 0, i54 | 0);
      break;
     }
    } while (0);
    i58 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i53) | 0;
    if (!i58) {
     i146 = 0;
     break;
    }
    i54 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i58) | 0;
    i49 = (get32(30 * 4 | 0) | 0) + i54 | 0;
    set32(30 * 4 | 0, i49 | 0);
    if ((i49 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i49 | 0);
    i49 = get32(39 * 4 | 0) | 0;
    i54 = i49 + 1 | 0;
    set32(39 * 4 | 0, i54 | 0);
    if ((i49 | 0) < (get32(49 * 4 | 0) | 0)) {
     i148 = i58;
     i41 = 355;
     break;
    }
    set32(49 * 4 | 0, i54 | 0);
    i148 = i58;
    i41 = 355;
   } else {
    i58 = i45 + 30 | 0;
    if (!(get8(i58 >> 0 | 0) | 0)) {
     do if (get8(i45 + 234 >> 0 | 0) | 0) {
      if ((getU16(i45 + 232 | 0) | 0) < (i57 | 0)) {
       i54 = i45 + 248 | 0;
       set32(i54 | 0, (get32(i54 | 0) | 0) + 1 | 0);
       break;
      }
      i54 = i45 + 256 | 0;
      i49 = get32(i54 | 0) | 0;
      if (!i49) {
       i59 = i45 + 252 | 0;
       set32(i59 | 0, (get32(i59 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i54 | 0, get32(i49 | 0) | 0);
      i54 = i45 + 236 | 0;
      i59 = get32(i54 | 0) | 0;
      i55 = i59 + 1 | 0;
      set32(i54 | 0, i55 | 0);
      i54 = i45 + 244 | 0;
      set32(i54 | 0, (get32(i54 | 0) | 0) + 1 | 0);
      i54 = i45 + 240 | 0;
      if ((i59 | 0) >= (get32(i54 | 0) | 0)) set32(i54 | 0, i55 | 0);
      i147 = i49;
      i41 = 354;
      break L460;
     } while (0);
     do if ((i63 + 15 | 0) >>> 0 <= 2147483390) {
      if (!(get32(50 * 4 | 0) | 0)) {
       i53 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i57) | 0;
       if (!i53) break; else {
        i148 = i53;
        i41 = 355;
        break L460;
       }
      }
      i53 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i57) | 0;
      set32(35 * 4 | 0, i57 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i57 | 0)) set32(45 * 4 | 0, i57 | 0);
      i49 = get32(6 * 4 | 0) | 0;
      do if (i49) {
       i55 = get32(30 * 4 | 0) | 0;
       i54 = ((i55 | 0) < 0) << 31 >> 31;
       i59 = 16;
       i47 = _i64Subtract(get32(i59 | 0) | 0, get32(i59 + 4 | 0) | 0, i53 | 0, ((i53 | 0) < 0) << 31 >> 31 | 0) | 0;
       i59 = tempRet0;
       if ((i54 | 0) < (i59 | 0) | (i54 | 0) == (i59 | 0) & i55 >>> 0 < i47 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i47 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i49 & 15](i47, i55, i54, i53);
        set32(6 * 4 | 0, i49 | 0);
        set32(7 * 4 | 0, i47 | 0);
        break;
       }
      } while (0);
      i49 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i53) | 0;
      if (!i49) break;
      i47 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i49) | 0;
      i54 = (get32(30 * 4 | 0) | 0) + i47 | 0;
      set32(30 * 4 | 0, i54 | 0);
      if ((i54 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i54 | 0);
      i54 = get32(39 * 4 | 0) | 0;
      i47 = i54 + 1 | 0;
      set32(39 * 4 | 0, i47 | 0);
      if ((i54 | 0) < (get32(49 * 4 | 0) | 0)) {
       i148 = i49;
       i41 = 355;
       break L460;
      }
      set32(49 * 4 | 0, i47 | 0);
      i148 = i49;
      i41 = 355;
      break L460;
     } while (0);
     set8(i58 >> 0 | 0, 1 | 0);
     i146 = 0;
    } else i146 = 0;
   } while (0);
   if ((i41 | 0) == 354) if (!i147) i146 = 0; else {
    i148 = i147;
    i41 = 355;
   }
   if ((i41 | 0) == 355) {
    _memset(i148 | 0, 0, i57 | 0) | 0;
    i63 = i148 + 12 | 0;
    i61 = i148 + 8 | 0;
    set32(i61 | 0, i63 + (i38 << 2) | 0);
    set16(i148 + 6 | 0, i38 | 0);
    set8(i148 + 4 >> 0 | 0, get8((get32((get32(i45 + 8 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0) | 0 | 0);
    set32(i148 | 0, i45 | 0);
    if ((i38 | 0) > 0) {
     i49 = i45 + 44 | 0;
     i47 = 0;
     i54 = get32(i60 + 12 | 0) | 0;
     while (1) {
      i55 = _sqlite3ExprCollSeq(i1, get32(i54 | 0) | 0) | 0;
      if (!i55) i149 = get32(i49 | 0) | 0; else i149 = i55;
      set32(i63 + (i47 << 2) | 0, i149 | 0);
      set8((get32(i61 | 0) | 0) + i47 >> 0 | 0, get8(i54 + 12 >> 0 | 0) | 0 | 0);
      i47 = i47 + 1 | 0;
      if ((i47 | 0) == (i38 | 0)) {
       i146 = i148;
       break;
      } else i54 = i54 + 20 | 0;
     }
    } else i146 = i148;
   }
   i54 = i1 + 68 | 0;
   i38 = get32(i54 | 0) | 0;
   set32(i54 | 0, i38 + 1 | 0);
   i54 = get32(i18 | 0) | 0;
   set32(i54 + 8 | 0, i38 | 0);
   i47 = (get32(i54 | 0) | 0) + 2 | 0;
   i54 = i50 + 28 | 0;
   i61 = get32(i54 | 0) | 0;
   i63 = i50 + 32 | 0;
   i49 = get32(i63 | 0) | 0;
   do if ((i49 | 0) > (i61 | 0)) {
    i60 = i50 + 4 | 0;
    i150 = i60;
    i151 = i50;
    i152 = i61;
    i153 = get32(i60 | 0) | 0;
    i41 = 369;
   } else {
    i60 = i50 + 4 | 0;
    i45 = _sqlite3DbRealloc(get32(i50 | 0) | 0, get32(i60 | 0) | 0, (i49 | 0) == 0 ? 1020 : i49 * 40 | 0) | 0;
    if (!i45) {
     i154 = 1;
     i155 = i50;
     i156 = i60;
     break;
    }
    i57 = get32(i50 | 0) | 0;
    do if (!i57) i41 = 367; else {
     if ((get32(i57 + 260 | 0) | 0) >>> 0 > i45 >>> 0) {
      i41 = 367;
      break;
     }
     if ((get32(i57 + 264 | 0) | 0) >>> 0 <= i45 >>> 0) {
      i41 = 367;
      break;
     }
     i157 = getU16(i57 + 232 | 0) | 0;
    } while (0);
    if ((i41 | 0) == 367) i157 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i45) | 0;
    set32(i63 | 0, (i157 >>> 0) / 20 | 0 | 0);
    set32(i60 | 0, i45 | 0);
    i150 = i60;
    i151 = i50;
    i152 = get32(i54 | 0) | 0;
    i153 = i45;
    i41 = 369;
   } while (0);
   if ((i41 | 0) == 369) {
    set32(i54 | 0, i152 + 1 | 0);
    set8(i153 + (i61 * 20 | 0) >> 0 | 0, 41 | 0);
    set8(i153 + (i61 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i153 + (i61 * 20 | 0) + 4 | 0, i38 | 0);
    set32(i153 + (i61 * 20 | 0) + 8 | 0, i47 | 0);
    set32(i153 + (i61 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i153 + (i61 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i153 + (i61 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i154 = i61;
    i155 = i151;
    i156 = i150;
   }
   i63 = get32(i155 | 0) | 0;
   i49 = get32(i156 | 0) | 0;
   do if (i49) {
    if (get8(i63 + 30 >> 0 | 0) | 0) {
     i41 = 372;
     break;
    }
    if ((i154 | 0) < 0) i158 = (get32(i54 | 0) | 0) + -1 | 0; else i158 = i154;
    i57 = i49 + (i158 * 20 | 0) + 1 | 0;
    i58 = i49 + (i158 * 20 | 0) + 16 | 0;
    _freeP4(i63, get8(i57 >> 0 | 0) | 0, get32(i58 | 0) | 0);
    set32(i58 | 0, 0 | 0);
    if (!i146) {
     set32(i58 | 0, 0 | 0);
     set8(i57 >> 0 | 0, 0 | 0);
     break;
    } else {
     set32(i58 | 0, i146 | 0);
     set8(i57 >> 0 | 0, -6 | 0);
     break;
    }
   } else i41 = 372; while (0);
   do if ((i41 | 0) == 372) {
    if (!i146) break;
    _sqlite3DbFree(i63, i146);
   } while (0);
   set32(i2 + 64 | 0, i154 | 0);
   i145 = i154;
  }
  do if ((get8(i3 >> 0 | 0) | 0) == 9) {
   i63 = get32(i3 + 4 | 0) | 0;
   i49 = get32(i35 | 0) | 0;
   i54 = i50 + 28 | 0;
   i61 = get32(i54 | 0) | 0;
   i47 = i50 + 32 | 0;
   i38 = get32(i47 | 0) | 0;
   if ((i38 | 0) > (i61 | 0)) {
    i159 = i61;
    i160 = get32(i50 + 4 | 0) | 0;
   } else {
    i57 = i50 + 4 | 0;
    i58 = _sqlite3DbRealloc(get32(i50 | 0) | 0, get32(i57 | 0) | 0, (i38 | 0) == 0 ? 1020 : i38 * 40 | 0) | 0;
    if (!i58) break;
    i38 = get32(i50 | 0) | 0;
    do if (!i38) i41 = 388; else {
     if ((get32(i38 + 260 | 0) | 0) >>> 0 > i58 >>> 0) {
      i41 = 388;
      break;
     }
     if ((get32(i38 + 264 | 0) | 0) >>> 0 <= i58 >>> 0) {
      i41 = 388;
      break;
     }
     i161 = getU16(i38 + 232 | 0) | 0;
    } while (0);
    if ((i41 | 0) == 388) i161 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i58) | 0;
    set32(i47 | 0, (i161 >>> 0) / 20 | 0 | 0);
    set32(i57 | 0, i58 | 0);
    i159 = get32(i54 | 0) | 0;
    i160 = i58;
   }
   set32(i54 | 0, i159 + 1 | 0);
   set8(i160 + (i61 * 20 | 0) >> 0 | 0, 41 | 0);
   set8(i160 + (i61 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i160 + (i61 * 20 | 0) + 4 | 0, i63 | 0);
   set32(i160 + (i61 * 20 | 0) + 8 | 0, i49 | 0);
   set32(i160 + (i61 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i160 + (i61 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i160 + (i61 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  } while (0);
  i38 = i50 + 36 | 0;
  i45 = get32(i38 | 0) | 0;
  set32(i38 | 0, i45 + 1 | 0);
  i60 = i50 + 40 | 0;
  i55 = get32(i60 | 0) | 0;
  if ((i45 | 0) < (i55 | 0)) i162 = i50 + 44 | 0; else {
   i59 = get32(i50 | 0) | 0;
   i52 = i50 + 44 | 0;
   i44 = get32(i52 | 0) | 0;
   i43 = _sqlite3DbRealloc(i59, i44, (i55 << 3) + 20 | 0) | 0;
   do if (!i43) {
    _sqlite3DbFree(i59, i44);
    set32(i52 | 0, 0 | 0);
    i41 = 399;
   } else {
    set32(i52 | 0, i43 | 0);
    i55 = get32(i50 | 0) | 0;
    if (!i55) {
     i41 = 399;
     break;
    }
    if ((get32(i55 + 260 | 0) | 0) >>> 0 > i43 >>> 0) {
     i41 = 399;
     break;
    }
    if ((get32(i55 + 264 | 0) | 0) >>> 0 <= i43 >>> 0) {
     i41 = 399;
     break;
    }
    i163 = getU16(i55 + 232 | 0) | 0;
   } while (0);
   if ((i41 | 0) == 399) i163 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i43) | 0;
   set32(i60 | 0, i163 >>> 2 | 0);
   i162 = i52;
  }
  i44 = get32(i162 | 0) | 0;
  if (i44) set32(i44 + (i45 << 2) | 0, -1 | 0);
  i44 = i2 + 72 | 0;
  setF64(i44 | 0, +(9223372036854775808.0));
  _computeLimitRegisters(i1, i2, ~i45);
  do if (!(get16(i36 | 0) & 1)) i164 = -1; else {
   i59 = i1 + 68 | 0;
   i55 = get32(i59 | 0) | 0;
   set32(i59 | 0, i55 + 1 | 0);
   i59 = get32(i2 | 0) | 0;
   i42 = get32(i1 | 0) | 0;
   i68 = get32(i59 | 0) | 0;
   i70 = i68 * 5 | 0;
   i72 = i70 + 16 | 0;
   L586 : do if (!i42) {
    if ((i70 + 15 | 0) >>> 0 > 2147483390) {
     i165 = 0;
     break;
    }
    if (!(get32(50 * 4 | 0) | 0)) {
     i166 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i72) | 0;
     i41 = 443;
     break;
    }
    i71 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i72) | 0;
    set32(35 * 4 | 0, i72 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i72 | 0)) set32(45 * 4 | 0, i72 | 0);
    i74 = get32(6 * 4 | 0) | 0;
    do if (i74) {
     i78 = get32(30 * 4 | 0) | 0;
     i77 = ((i78 | 0) < 0) << 31 >> 31;
     i80 = 16;
     i73 = _i64Subtract(get32(i80 | 0) | 0, get32(i80 + 4 | 0) | 0, i71 | 0, ((i71 | 0) < 0) << 31 >> 31 | 0) | 0;
     i80 = tempRet0;
     if ((i77 | 0) < (i80 | 0) | (i77 | 0) == (i80 | 0) & i78 >>> 0 < i73 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i73 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i74 & 15](i73, i78, i77, i71);
      set32(6 * 4 | 0, i74 | 0);
      set32(7 * 4 | 0, i73 | 0);
      break;
     }
    } while (0);
    i74 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i71) | 0;
    if (!i74) {
     i165 = 0;
     break;
    }
    i53 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i74) | 0;
    i73 = (get32(30 * 4 | 0) | 0) + i53 | 0;
    set32(30 * 4 | 0, i73 | 0);
    if ((i73 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i73 | 0);
    i73 = get32(39 * 4 | 0) | 0;
    i53 = i73 + 1 | 0;
    set32(39 * 4 | 0, i53 | 0);
    if ((i73 | 0) < (get32(49 * 4 | 0) | 0)) {
     i167 = i74;
     i41 = 444;
     break;
    }
    set32(49 * 4 | 0, i53 | 0);
    i167 = i74;
    i41 = 444;
   } else {
    i74 = i42 + 30 | 0;
    if (get8(i74 >> 0 | 0) | 0) {
     i165 = 0;
     break;
    }
    do if (get8(i42 + 234 >> 0 | 0) | 0) {
     if ((getU16(i42 + 232 | 0) | 0) < (i72 | 0)) {
      i53 = i42 + 248 | 0;
      set32(i53 | 0, (get32(i53 | 0) | 0) + 1 | 0);
      break;
     }
     i53 = i42 + 256 | 0;
     i73 = get32(i53 | 0) | 0;
     if (!i73) {
      i77 = i42 + 252 | 0;
      set32(i77 | 0, (get32(i77 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i53 | 0, get32(i73 | 0) | 0);
     i53 = i42 + 236 | 0;
     i77 = get32(i53 | 0) | 0;
     i78 = i77 + 1 | 0;
     set32(i53 | 0, i78 | 0);
     i53 = i42 + 244 | 0;
     set32(i53 | 0, (get32(i53 | 0) | 0) + 1 | 0);
     i53 = i42 + 240 | 0;
     if ((i77 | 0) >= (get32(i53 | 0) | 0)) set32(i53 | 0, i78 | 0);
     i166 = i73;
     i41 = 443;
     break L586;
    } while (0);
    do if ((i70 + 15 | 0) >>> 0 <= 2147483390) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i71 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i72) | 0;
      if (!i71) break; else {
       i167 = i71;
       i41 = 444;
       break L586;
      }
     }
     i71 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i72) | 0;
     set32(35 * 4 | 0, i72 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i72 | 0)) set32(45 * 4 | 0, i72 | 0);
     i73 = get32(6 * 4 | 0) | 0;
     do if (i73) {
      i78 = get32(30 * 4 | 0) | 0;
      i53 = ((i78 | 0) < 0) << 31 >> 31;
      i77 = 16;
      i80 = _i64Subtract(get32(i77 | 0) | 0, get32(i77 + 4 | 0) | 0, i71 | 0, ((i71 | 0) < 0) << 31 >> 31 | 0) | 0;
      i77 = tempRet0;
      if ((i53 | 0) < (i77 | 0) | (i53 | 0) == (i77 | 0) & i78 >>> 0 < i80 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i80 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i73 & 15](i80, i78, i53, i71);
       set32(6 * 4 | 0, i73 | 0);
       set32(7 * 4 | 0, i80 | 0);
       break;
      }
     } while (0);
     i73 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i71) | 0;
     if (!i73) break;
     i69 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i73) | 0;
     i80 = (get32(30 * 4 | 0) | 0) + i69 | 0;
     set32(30 * 4 | 0, i80 | 0);
     if ((i80 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i80 | 0);
     i80 = get32(39 * 4 | 0) | 0;
     i69 = i80 + 1 | 0;
     set32(39 * 4 | 0, i69 | 0);
     if ((i80 | 0) < (get32(49 * 4 | 0) | 0)) {
      i167 = i73;
      i41 = 444;
      break L586;
     }
     set32(49 * 4 | 0, i69 | 0);
     i167 = i73;
     i41 = 444;
     break L586;
    } while (0);
    set8(i74 >> 0 | 0, 1 | 0);
    i165 = 0;
   } while (0);
   if ((i41 | 0) == 443) if (!i166) i165 = 0; else {
    i167 = i166;
    i41 = 444;
   }
   do if ((i41 | 0) == 444) {
    _memset(i167 | 0, 0, i72 | 0) | 0;
    i70 = i167 + 12 | 0;
    i61 = i167 + 8 | 0;
    set32(i61 | 0, i70 + (i68 << 2) | 0);
    set16(i167 + 6 | 0, i68 | 0);
    set8(i167 + 4 >> 0 | 0, get8((get32((get32(i42 + 8 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0) | 0 | 0);
    set32(i167 | 0, i42 | 0);
    if ((i68 | 0) <= 0) {
     i165 = i167;
     break;
    }
    i49 = i42 + 44 | 0;
    i63 = 0;
    i54 = get32(i59 + 12 | 0) | 0;
    while (1) {
     i58 = _sqlite3ExprCollSeq(i1, get32(i54 | 0) | 0) | 0;
     if (!i58) i168 = get32(i49 | 0) | 0; else i168 = i58;
     set32(i70 + (i63 << 2) | 0, i168 | 0);
     set8((get32(i61 | 0) | 0) + i63 >> 0 | 0, get8(i54 + 12 >> 0 | 0) | 0 | 0);
     i63 = i63 + 1 | 0;
     if ((i63 | 0) == (i68 | 0)) {
      i165 = i167;
      break;
     } else i54 = i54 + 20 | 0;
    }
   } while (0);
   i68 = i50 + 28 | 0;
   i59 = get32(i68 | 0) | 0;
   i42 = i50 + 32 | 0;
   i72 = get32(i42 | 0) | 0;
   do if ((i72 | 0) > (i59 | 0)) {
    i54 = i50 + 4 | 0;
    i169 = i54;
    i170 = i50;
    i171 = i59;
    i172 = get32(i54 | 0) | 0;
    i41 = 458;
   } else {
    i54 = i50 + 4 | 0;
    i63 = _sqlite3DbRealloc(get32(i50 | 0) | 0, get32(i54 | 0) | 0, (i72 | 0) == 0 ? 1020 : i72 * 40 | 0) | 0;
    if (!i63) {
     i173 = 1;
     i174 = i50;
     i175 = i54;
     break;
    }
    i61 = get32(i50 | 0) | 0;
    do if (!i61) i41 = 456; else {
     if ((get32(i61 + 260 | 0) | 0) >>> 0 > i63 >>> 0) {
      i41 = 456;
      break;
     }
     if ((get32(i61 + 264 | 0) | 0) >>> 0 <= i63 >>> 0) {
      i41 = 456;
      break;
     }
     i176 = getU16(i61 + 232 | 0) | 0;
    } while (0);
    if ((i41 | 0) == 456) i176 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i63) | 0;
    set32(i42 | 0, (i176 >>> 0) / 20 | 0 | 0);
    set32(i54 | 0, i63 | 0);
    i169 = i54;
    i170 = i50;
    i171 = get32(i68 | 0) | 0;
    i172 = i63;
    i41 = 458;
   } while (0);
   if ((i41 | 0) == 458) {
    set32(i68 | 0, i171 + 1 | 0);
    set8(i172 + (i59 * 20 | 0) >> 0 | 0, 41 | 0);
    set8(i172 + (i59 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i172 + (i59 * 20 | 0) + 4 | 0, i55 | 0);
    set32(i172 + (i59 * 20 | 0) + 8 | 0, 0 | 0);
    set32(i172 + (i59 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i172 + (i59 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i172 + (i59 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i173 = i59;
    i174 = i170;
    i175 = i169;
   }
   i42 = get32(i174 | 0) | 0;
   i72 = get32(i175 | 0) | 0;
   do if (i72) {
    if (get8(i42 + 30 >> 0 | 0) | 0) {
     i41 = 461;
     break;
    }
    if ((i173 | 0) < 0) i177 = (get32(i68 | 0) | 0) + -1 | 0; else i177 = i173;
    i61 = i72 + (i177 * 20 | 0) + 1 | 0;
    i70 = i72 + (i177 * 20 | 0) + 16 | 0;
    _freeP4(i42, get8(i61 >> 0 | 0) | 0, get32(i70 | 0) | 0);
    set32(i70 | 0, 0 | 0);
    if (!i165) {
     set32(i70 | 0, 0 | 0);
     set8(i61 >> 0 | 0, 0 | 0);
     break;
    } else {
     set32(i70 | 0, i165 | 0);
     set8(i61 >> 0 | 0, -6 | 0);
     break;
    }
   } else i41 = 461; while (0);
   do if ((i41 | 0) == 461) {
    if (!i165) break;
    _sqlite3DbFree(i42, i165);
   } while (0);
   i42 = get32(i175 | 0) | 0;
   if (!i42) {
    i164 = i55;
    break;
   }
   set8(i42 + (((get32(i68 | 0) | 0) + -1 | 0) * 20 | 0) + 3 >> 0 | 0, 16 | 0);
   i164 = i55;
  } while (0);
  i52 = get32(i19 | 0) | 0;
  i43 = (i52 | 0) == 0;
  L680 : do if ((i66 | 0) == 0 & i43) {
   i42 = _sqlite3WhereBegin(i1, i67, i46, i18, 0) | 0;
   if (!i42) {
    i41 = 1621;
    break L40;
   }
   d178 = +getF64(i42 + 40 | 0);
   if (d178 < +getF64(i44 | 0)) setF64(i44 | 0, +d178);
   i72 = get32(i18 | 0) | 0;
   if ((i145 | 0) > -1 & (i72 | 0) == 0) {
    i59 = get32(i50 + 4 | 0) | 0;
    if (!i59) i179 = 0; else {
     _freeP4(get32(i50 | 0) | 0, get8(i59 + (i145 * 20 | 0) + 1 >> 0 | 0) | 0, get32(i59 + (i145 * 20 | 0) + 16 | 0) | 0);
     i61 = i59 + (i145 * 20 | 0) | 0;
     set32(i61 | 0, 0 | 0);
     set32(i61 + 4 | 0, 0 | 0);
     set32(i61 + 8 | 0, 0 | 0);
     set32(i61 + 12 | 0, 0 | 0);
     set32(i61 + 16 | 0, 0 | 0);
     set8(i61 >> 0 | 0, -119 | 0);
     i179 = get32(i18 | 0) | 0;
    }
    set32(i2 + 64 | 0, -1 | 0);
    i180 = i179;
   } else i180 = i72;
   _selectInnerLoop(i1, i2, i35, 0, 0, i180, -1, i3, get32(i42 + 16 | 0) | 0, get32(i42 + 20 | 0) | 0);
   _sqlite3WhereEnd(i42);
  } else {
   do if (i43) setF64(i44 | 0, +(1.0)); else {
    i42 = get32(i2 | 0) | 0;
    i72 = get32(i42 | 0) | 0;
    if ((i72 | 0) > 0) {
     i61 = i72;
     i72 = get32(i42 + 12 | 0) | 0;
     while (1) {
      set16(i72 + 16 | 0, 0 | 0);
      if ((i61 | 0) > 1) {
       i61 = i61 + -1 | 0;
       i72 = i72 + 20 | 0;
      } else break;
     }
     i181 = get32(i19 | 0) | 0;
    } else i181 = i52;
    i72 = get32(i181 | 0) | 0;
    if ((i72 | 0) > 0) {
     i61 = i72;
     i72 = get32(i181 + 12 | 0) | 0;
     while (1) {
      set16(i72 + 16 | 0, 0 | 0);
      if ((i61 | 0) > 1) {
       i61 = i61 + -1 | 0;
       i72 = i72 + 20 | 0;
      } else break;
     }
    }
    if (!(+getF64(i44 | 0) > 100.0)) break;
    setF64(i44 | 0, +(100.0));
   } while (0);
   i55 = get32(i38 | 0) | 0;
   set32(i38 | 0, i55 + 1 | 0);
   i68 = get32(i60 | 0) | 0;
   if ((i55 | 0) < (i68 | 0)) i182 = i50 + 44 | 0; else {
    i72 = get32(i50 | 0) | 0;
    i61 = i50 + 44 | 0;
    i63 = get32(i61 | 0) | 0;
    i54 = _sqlite3DbRealloc(i72, i63, (i68 << 3) + 20 | 0) | 0;
    do if (!i54) {
     _sqlite3DbFree(i72, i63);
     set32(i61 | 0, 0 | 0);
     i41 = 498;
    } else {
     set32(i61 | 0, i54 | 0);
     i68 = get32(i50 | 0) | 0;
     if (!i68) {
      i41 = 498;
      break;
     }
     if ((get32(i68 + 260 | 0) | 0) >>> 0 > i54 >>> 0) {
      i41 = 498;
      break;
     }
     if ((get32(i68 + 264 | 0) | 0) >>> 0 <= i54 >>> 0) {
      i41 = 498;
      break;
     }
     i183 = getU16(i68 + 232 | 0) | 0;
    } while (0);
    if ((i41 | 0) == 498) i183 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i54) | 0;
    set32(i60 | 0, i183 >>> 2 | 0);
    i182 = i61;
   }
   i63 = get32(i182 | 0) | 0;
   if (i63) set32(i63 + (i55 << 2) | 0, -1 | 0);
   i63 = ~i55;
   i15 = i22;
   i16 = i15 + 36 | 0;
   do {
    set32(i15 | 0, 0 | 0);
    i15 = i15 + 4 | 0;
   } while ((i15 | 0) < (i16 | 0));
   set32(i22 | 0, i1 | 0);
   set32(i22 + 4 | 0, i67 | 0);
   set32(i22 + 28 | 0, i20 | 0);
   i61 = get32(i19 | 0) | 0;
   if (!i61) i184 = 0; else i184 = (get32(i61 | 0) | 0) + 1 | 0;
   i54 = i20 + 12 | 0;
   set32(i54 | 0, i184 | 0);
   set32(i20 + 8 | 0, i61 | 0);
   do if (i35) {
    if ((get32(i35 | 0) | 0) <= 0) break;
    i61 = i17 + 4 | 0;
    i72 = i17 + 12 | 0;
    i68 = 0;
    i42 = get32(i35 + 12 | 0) | 0;
    while (1) {
     i59 = get32(i42 | 0) | 0;
     set32(i17 | 0, 74 | 0);
     set32(i61 | 0, 75 | 0);
     set32(i72 | 0, i22 | 0);
     _sqlite3WalkExpr(i17, i59) | 0;
     i68 = i68 + 1 | 0;
     if ((i68 | 0) >= (get32(i35 | 0) | 0)) break; else i42 = i42 + 20 | 0;
    }
   } while (0);
   i42 = get32(i18 | 0) | 0;
   do if (i42) {
    if ((get32(i42 | 0) | 0) <= 0) break;
    i68 = i17 + 4 | 0;
    i72 = i17 + 12 | 0;
    i61 = 0;
    i59 = get32(i42 + 12 | 0) | 0;
    while (1) {
     i70 = get32(i59 | 0) | 0;
     set32(i17 | 0, 74 | 0);
     set32(i68 | 0, 75 | 0);
     set32(i72 | 0, i22 | 0);
     _sqlite3WalkExpr(i17, i70) | 0;
     i61 = i61 + 1 | 0;
     if ((i61 | 0) >= (get32(i42 | 0) | 0)) break; else i59 = i59 + 20 | 0;
    }
   } while (0);
   if (i56) {
    set32(i17 | 0, 74 | 0);
    set32(i17 + 4 | 0, 75 | 0);
    set32(i17 + 12 | 0, i22 | 0);
    _sqlite3WalkExpr(i17, i56) | 0;
   }
   i42 = i20 + 20 | 0;
   set32(i20 + 28 | 0, get32(i42 | 0) | 0);
   i59 = i20 + 36 | 0;
   i61 = get32(i59 | 0) | 0;
   if ((i61 | 0) > 0) {
    i72 = i20 + 32 | 0;
    i68 = i17 + 4 | 0;
    i70 = i17 + 12 | 0;
    i49 = i61;
    i61 = 0;
    while (1) {
     i74 = get32((get32((get32(i72 | 0) | 0) + (i61 << 4) | 0) | 0) + 16 | 0) | 0;
     do if (!i74) i185 = i49; else {
      if ((get32(i74 | 0) | 0) <= 0) {
       i185 = i49;
       break;
      }
      i58 = 0;
      i57 = get32(i74 + 12 | 0) | 0;
      while (1) {
       i47 = get32(i57 | 0) | 0;
       set32(i17 | 0, 74 | 0);
       set32(i68 | 0, 75 | 0);
       set32(i70 | 0, i22 | 0);
       _sqlite3WalkExpr(i17, i47) | 0;
       i58 = i58 + 1 | 0;
       if ((i58 | 0) >= (get32(i74 | 0) | 0)) break; else i57 = i57 + 20 | 0;
      }
      i185 = get32(i59 | 0) | 0;
     } while (0);
     i61 = i61 + 1 | 0;
     if ((i61 | 0) >= (i185 | 0)) break; else i49 = i185;
    }
   }
   L755 : do if (!(get8(i29 >> 0 | 0) | 0)) {
    i49 = get32(i19 | 0) | 0;
    do if (!i49) {
     i61 = i20 + 32 | 0;
     i70 = get32(i61 | 0) | 0;
     i68 = get32(i2 | 0) | 0;
     i72 = get32(i68 | 0) | 0;
     L759 : do if (get32(i64 | 0) | 0) {
      set32(i23 | 0, 0 | 0);
      if ((i72 | 0) == 1) i41 = 1260; else {
       i186 = 0;
       i187 = 1;
       i188 = 0;
       i41 = 1276;
      }
     } else {
      if ((i72 | 0) != 1) {
       set32(i23 | 0, 0 | 0);
       i186 = 0;
       i187 = 1;
       i188 = 0;
       i41 = 1276;
       break;
      }
      i74 = get32(i32 | 0) | 0;
      do if ((get16(i74 | 0) | 0) == 1) {
       if (get32(i74 + 24 | 0) | 0) break;
       i57 = get32(i74 + 20 | 0) | 0;
       i58 = get32(get32(i68 + 12 | 0) | 0) | 0;
       if (get8(i57 + 34 >> 0 | 0) & 16) break;
       if ((get8(i58 >> 0 | 0) | 0) != -103) break;
       if (!(get8((get32(i70 + 4 | 0) | 0) + 3 >> 0 | 0) & 32)) break;
       if ((i57 | 0) == 0 ? 1 : (get16(i58 + 2 | 0) & 16) != 0) break;
       i58 = get32(i1 | 0) | 0;
       i71 = get32(i57 + 68 | 0) | 0;
       L771 : do if (!i71) i189 = -1e6; else {
        i47 = get32(i58 + 4 | 0) | 0;
        if ((i47 | 0) <= 0) {
         i189 = 0;
         break;
        }
        i73 = get32(i58 + 8 | 0) | 0;
        i69 = 0;
        while (1) {
         if ((get32(i73 + (i69 << 4) + 12 | 0) | 0) == (i71 | 0)) {
          i189 = i69;
          break L771;
         }
         i80 = i69 + 1 | 0;
         if ((i80 | 0) < (i47 | 0)) i69 = i80; else {
          i189 = i80;
          break;
         }
        }
       } while (0);
       i71 = i1 + 68 | 0;
       i58 = get32(i71 | 0) | 0;
       set32(i71 | 0, i58 + 1 | 0);
       i71 = i57 + 20 | 0;
       i76 = get32(i71 | 0) | 0;
       i96 = i1 + 424 | 0;
       i94 = get32(i96 | 0) | 0;
       i93 = (i94 | 0) == 0 ? i1 : i94;
       i94 = i93 + 348 | 0;
       L778 : do if (!(get32(i94 | 0) | 0)) {
        i69 = i93 + 12 | 0;
        i47 = get32(i69 | 0) | 0;
        do if (!i47) {
         i73 = get32(i93 | 0) | 0;
         L782 : do if (!i73) {
          if (!(get32(50 * 4 | 0) | 0)) {
           i190 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
           i41 = 1079;
           break;
          }
          i101 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
          set32(35 * 4 | 0, 192 | 0);
          if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
          i80 = get32(6 * 4 | 0) | 0;
          do if (i80) {
           i53 = get32(30 * 4 | 0) | 0;
           i78 = ((i53 | 0) < 0) << 31 >> 31;
           i77 = 16;
           i75 = _i64Subtract(get32(i77 | 0) | 0, get32(i77 + 4 | 0) | 0, i101 | 0, ((i101 | 0) < 0) << 31 >> 31 | 0) | 0;
           i77 = tempRet0;
           if ((i78 | 0) < (i77 | 0) | (i78 | 0) == (i77 | 0) & i53 >>> 0 < i75 >>> 0) {
            set32(11 * 4 | 0, 0 | 0);
            break;
           } else {
            set32(11 * 4 | 0, 1 | 0);
            i75 = get32(7 * 4 | 0) | 0;
            set32(6 * 4 | 0, 0 | 0);
            FUNCTION_TABLE_viiii[i80 & 15](i75, i53, i78, i101);
            set32(6 * 4 | 0, i80 | 0);
            set32(7 * 4 | 0, i75 | 0);
            break;
           }
          } while (0);
          i80 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i101) | 0;
          if (!i80) {
           i41 = 1089;
           break;
          }
          i75 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i80) | 0;
          i78 = (get32(30 * 4 | 0) | 0) + i75 | 0;
          set32(30 * 4 | 0, i78 | 0);
          if ((i78 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i78 | 0);
          i78 = get32(39 * 4 | 0) | 0;
          i75 = i78 + 1 | 0;
          set32(39 * 4 | 0, i75 | 0);
          if ((i78 | 0) < (get32(49 * 4 | 0) | 0)) {
           i191 = i80;
           break;
          }
          set32(49 * 4 | 0, i75 | 0);
          i191 = i80;
         } else {
          i80 = i73 + 30 | 0;
          if (get8(i80 >> 0 | 0) | 0) {
           i41 = 1089;
           break;
          }
          do if (get8(i73 + 234 >> 0 | 0) | 0) {
           if ((getU16(i73 + 232 | 0) | 0) < 192) {
            i75 = i73 + 248 | 0;
            set32(i75 | 0, (get32(i75 | 0) | 0) + 1 | 0);
            break;
           }
           i75 = i73 + 256 | 0;
           i78 = get32(i75 | 0) | 0;
           if (!i78) {
            i53 = i73 + 252 | 0;
            set32(i53 | 0, (get32(i53 | 0) | 0) + 1 | 0);
            break;
           }
           set32(i75 | 0, get32(i78 | 0) | 0);
           i75 = i73 + 236 | 0;
           i53 = get32(i75 | 0) | 0;
           i77 = i53 + 1 | 0;
           set32(i75 | 0, i77 | 0);
           i75 = i73 + 244 | 0;
           set32(i75 | 0, (get32(i75 | 0) | 0) + 1 | 0);
           i75 = i73 + 240 | 0;
           if ((i53 | 0) >= (get32(i75 | 0) | 0)) set32(i75 | 0, i77 | 0);
           i190 = i78;
           i41 = 1079;
           break L782;
          } while (0);
          do if (!(get32(50 * 4 | 0) | 0)) {
           i101 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
           if (i101) {
            i191 = i101;
            break L782;
           }
          } else {
           i101 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
           set32(35 * 4 | 0, 192 | 0);
           if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
           i78 = get32(6 * 4 | 0) | 0;
           do if (i78) {
            i77 = get32(30 * 4 | 0) | 0;
            i75 = ((i77 | 0) < 0) << 31 >> 31;
            i53 = 16;
            i82 = _i64Subtract(get32(i53 | 0) | 0, get32(i53 + 4 | 0) | 0, i101 | 0, ((i101 | 0) < 0) << 31 >> 31 | 0) | 0;
            i53 = tempRet0;
            if ((i75 | 0) < (i53 | 0) | (i75 | 0) == (i53 | 0) & i77 >>> 0 < i82 >>> 0) {
             set32(11 * 4 | 0, 0 | 0);
             break;
            } else {
             set32(11 * 4 | 0, 1 | 0);
             i82 = get32(7 * 4 | 0) | 0;
             set32(6 * 4 | 0, 0 | 0);
             FUNCTION_TABLE_viiii[i78 & 15](i82, i77, i75, i101);
             set32(6 * 4 | 0, i78 | 0);
             set32(7 * 4 | 0, i82 | 0);
             break;
            }
           } while (0);
           i78 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i101) | 0;
           if (!i78) break;
           i82 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i78) | 0;
           i75 = (get32(30 * 4 | 0) | 0) + i82 | 0;
           set32(30 * 4 | 0, i75 | 0);
           if ((i75 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i75 | 0);
           i75 = get32(39 * 4 | 0) | 0;
           i82 = i75 + 1 | 0;
           set32(39 * 4 | 0, i82 | 0);
           if ((i75 | 0) < (get32(49 * 4 | 0) | 0)) {
            i191 = i78;
            break L782;
           }
           set32(49 * 4 | 0, i82 | 0);
           i191 = i78;
           break L782;
          } while (0);
          set8(i80 >> 0 | 0, 1 | 0);
          i41 = 1089;
         } while (0);
         if ((i41 | 0) == 1079) if (!i190) i41 = 1089; else i191 = i190;
         if ((i41 | 0) == 1089) {
          set32(i69 | 0, 0 | 0);
          break L778;
         }
         _memset(i191 | 0, 0, 192) | 0;
         set32(i191 | 0, i73 | 0);
         i106 = i73 + 136 | 0;
         i78 = get32(i106 | 0) | 0;
         if (i78) set32(i78 + 60 | 0, i191 | 0);
         set32(i191 + 64 | 0, i78 | 0);
         set32(i191 + 60 | 0, 0 | 0);
         set32(i106 | 0, i191 | 0);
         set32(i191 + 52 | 0, 649915045 | 0);
         set32(i69 | 0, i191 | 0);
         i106 = i191 + 28 | 0;
         i78 = i191 + 32 | 0;
         i82 = i191 + 4 | 0;
         i75 = _sqlite3DbRealloc(i73, 0, 1020) | 0;
         if (!i75) {
          i192 = i191;
          break;
         }
         i77 = get32(i191 | 0) | 0;
         do if (!i77) i41 = 1087; else {
          if ((get32(i77 + 260 | 0) | 0) >>> 0 > i75 >>> 0) {
           i41 = 1087;
           break;
          }
          if ((get32(i77 + 264 | 0) | 0) >>> 0 <= i75 >>> 0) {
           i41 = 1087;
           break;
          }
          i193 = getU16(i77 + 232 | 0) | 0;
         } while (0);
         if ((i41 | 0) == 1087) i193 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i75) | 0;
         set32(i78 | 0, (i193 >>> 0) / 20 | 0 | 0);
         set32(i82 | 0, i75 | 0);
         set32(i106 | 0, (get32(i106 | 0) | 0) + 1 | 0);
         set8(i75 >> 0 | 0, -120 | 0);
         set8(i75 + 1 >> 0 | 0, 0 | 0);
         i15 = i75 + 3 | 0;
         i16 = i15 + 17 | 0;
         do {
          set8(i15 >> 0 | 0, 0 | 0);
          i15 = i15 + 1 | 0;
         } while ((i15 | 0) < (i16 | 0));
         i192 = i191;
        } else i192 = i47; while (0);
        i47 = i192 + 28 | 0;
        i69 = get32(i47 | 0) | 0;
        i75 = i192 + 32 | 0;
        i106 = get32(i75 | 0) | 0;
        do if ((i106 | 0) > (i69 | 0)) {
         i194 = i69;
         i195 = get32(i192 + 4 | 0) | 0;
         i41 = 1099;
        } else {
         i82 = i192 + 4 | 0;
         i78 = _sqlite3DbRealloc(get32(i192 | 0) | 0, get32(i82 | 0) | 0, (i106 | 0) == 0 ? 1020 : i106 * 40 | 0) | 0;
         if (!i78) {
          i196 = 1;
          break;
         }
         i77 = get32(i192 | 0) | 0;
         do if (!i77) i41 = 1097; else {
          if ((get32(i77 + 260 | 0) | 0) >>> 0 > i78 >>> 0) {
           i41 = 1097;
           break;
          }
          if ((get32(i77 + 264 | 0) | 0) >>> 0 <= i78 >>> 0) {
           i41 = 1097;
           break;
          }
          i197 = getU16(i77 + 232 | 0) | 0;
         } while (0);
         if ((i41 | 0) == 1097) i197 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i78) | 0;
         set32(i75 | 0, (i197 >>> 0) / 20 | 0 | 0);
         set32(i82 | 0, i78 | 0);
         i194 = get32(i47 | 0) | 0;
         i195 = i78;
         i41 = 1099;
        } while (0);
        if ((i41 | 0) == 1099) {
         set32(i47 | 0, i194 + 1 | 0);
         set8(i195 + (i69 * 20 | 0) >> 0 | 0, 1 | 0);
         set8(i195 + (i69 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         i15 = i195 + (i69 * 20 | 0) + 3 | 0;
         i16 = i15 + 17 | 0;
         do {
          set8(i15 >> 0 | 0, 0 | 0);
          i15 = i15 + 1 | 0;
         } while ((i15 | 0) < (i16 | 0));
         i196 = i69;
        }
        set32(i94 | 0, i196 + 1 | 0);
        i41 = 1101;
       } else i41 = 1101; while (0);
       do if ((i41 | 0) == 1101) {
        if ((i189 | 0) <= -1) break;
        i94 = 1 << i189;
        i47 = i93 + 340 | 0;
        i75 = get32(i47 | 0) | 0;
        if (i75 & i94) break;
        i106 = get32(i93 | 0) | 0;
        set32(i47 | 0, i75 | i94 | 0);
        set32(i93 + 352 + (i189 << 2) | 0, get32(get32((get32(i106 + 8 | 0) | 0) + (i189 << 4) + 12 | 0) | 0) | 0);
        if ((i189 | 0) != 1) break;
        i106 = get32(i93 | 0) | 0;
        i94 = i106 + 8 | 0;
        do if (!(get32((get32(i94 | 0) | 0) + 20 | 0) | 0)) {
         if (get8(i93 + 484 >> 0 | 0) | 0) break;
         i75 = _sqlite3BtreeOpen(get32(i106 | 0) | 0, 0, i106, i17, 0, 542) | 0;
         if (i75) {
          _sqlite3ErrorMsg(i93, 19482, i9);
          set32(i93 + 4 | 0, i75 | 0);
          break;
         }
         i75 = get32(i17 | 0) | 0;
         set32((get32(i94 | 0) | 0) + 20 | 0, i75 | 0);
         i47 = get32(i106 + 36 | 0) | 0;
         i77 = get32(i75 + 4 | 0) | 0;
         set32(i77 + 4 | 0, get32(i75 | 0) | 0);
         if (get8(i77 + 17 >> 0 | 0) | 0) break;
         i75 = i77 + 36 | 0;
         i73 = i77 + 40 | 0;
         i53 = (get32(i75 | 0) | 0) - (get32(i73 | 0) | 0) | 0;
         do if ((i47 + -512 | 0) >>> 0 < 65025) {
          if (i47 + -1 & i47) break;
          set32(i75 | 0, i47 | 0);
          i95 = i77 + 88 | 0;
          i97 = get32(i95 | 0) | 0;
          do if (i97) {
           if ((get32(379 * 4 | 0) | 0) >>> 0 <= i97 >>> 0 & (get32(380 * 4 | 0) | 0) >>> 0 > i97 >>> 0) {
            i89 = (get32(31 * 4 | 0) | 0) + -1 | 0;
            set32(31 * 4 | 0, i89 | 0);
            if ((i89 | 0) > (get32(41 * 4 | 0) | 0)) set32(41 * 4 | 0, i89 | 0);
            set32(i97 | 0, get32(383 * 4 | 0) | 0);
            set32(383 * 4 | 0, i97 | 0);
            i89 = (get32(382 * 4 | 0) | 0) + 1 | 0;
            set32(382 * 4 | 0, i89 | 0);
            set32(384 * 4 | 0, (i89 | 0) < (get32(378 * 4 | 0) | 0) & 1 | 0);
            break;
           }
           i89 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i97) | 0;
           i79 = (get32(32 * 4 | 0) | 0) - i89 | 0;
           set32(32 * 4 | 0, i79 | 0);
           if ((i79 | 0) > (get32(42 * 4 | 0) | 0)) set32(42 * 4 | 0, i79 | 0);
           if (!(get32(50 * 4 | 0) | 0)) {
            FUNCTION_TABLE_vi[get32(232 | 0) & 31](i97);
            break;
           }
           i79 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i97) | 0;
           i89 = (get32(30 * 4 | 0) | 0) - i79 | 0;
           set32(30 * 4 | 0, i89 | 0);
           if ((i89 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i89 | 0);
           i89 = (get32(39 * 4 | 0) | 0) + -1 | 0;
           set32(39 * 4 | 0, i89 | 0);
           if ((i89 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i89 | 0);
           FUNCTION_TABLE_vi[get32(232 | 0) & 31](i97);
          } while (0);
          set32(i95 | 0, 0 | 0);
         } while (0);
         i47 = _sqlite3PagerSetPagesize(get32(i77 | 0) | 0, i75, i53) | 0;
         set32(i73 | 0, (get32(i75 | 0) | 0) - (i53 & 65535) | 0);
         if ((i47 | 0) != 7) break;
         set8(i106 + 30 >> 0 | 0, 1 | 0);
        } while (0);
       } while (0);
       i93 = get32(i71 | 0) | 0;
       i106 = get32(i57 | 0) | 0;
       i94 = get32(i96 | 0) | 0;
       i69 = (i94 | 0) == 0 ? i1 : i94;
       i94 = i69 + 400 | 0;
       i47 = get32(i94 | 0) | 0;
       i78 = i69 + 404 | 0;
       do if ((i47 | 0) > 0) {
        i82 = get32(i78 | 0) | 0;
        i97 = 0;
        while (1) {
         if ((get32(i82 + (i97 << 4) | 0) | 0) == (i189 | 0) ? (get32(i82 + (i97 << 4) + 4 | 0) | 0) == (i93 | 0) : 0) {
          i198 = i97;
          i41 = 1134;
          break;
         }
         i97 = i97 + 1 | 0;
         if ((i97 | 0) >= (i47 | 0)) {
          i41 = 1136;
          break;
         }
        }
        if ((i41 | 0) == 1134) {
         i97 = i82 + (i198 << 4) + 8 | 0;
         set8(i97 >> 0 | 0, (get8(i97 >> 0 | 0) | 0) != 0 & 1 | 0);
         break;
        } else if ((i41 | 0) == 1136) {
         i199 = i78;
         i200 = i82;
         i41 = 1137;
         break;
        }
       } else {
        i199 = i78;
        i200 = get32(i78 | 0) | 0;
        i41 = 1137;
       } while (0);
       do if ((i41 | 0) == 1137) {
        i78 = get32(i69 | 0) | 0;
        i96 = _sqlite3DbRealloc(i78, i200, (i47 << 4) + 16 | 0) | 0;
        if (!i96) {
         _sqlite3DbFree(i78, i200);
         set32(i199 | 0, 0 | 0);
         set32(i94 | 0, 0 | 0);
         set8((get32(i69 | 0) | 0) + 30 >> 0 | 0, 1 | 0);
         break;
        } else {
         set32(i199 | 0, i96 | 0);
         i78 = get32(i94 | 0) | 0;
         set32(i94 | 0, i78 + 1 | 0);
         set32(i96 + (i78 << 4) | 0, i189 | 0);
         set32(i96 + (i78 << 4) + 4 | 0, i93 | 0);
         set8(i96 + (i78 << 4) + 8 >> 0 | 0, 0 | 0);
         set32(i96 + (i78 << 4) + 12 | 0, i106 | 0);
         break;
        }
       } while (0);
       i106 = get32(i57 + 16 | 0) | 0;
       do if (!i106) {
        i201 = i76;
        i202 = 0;
        i203 = 0;
       } else {
        i93 = 0;
        i94 = i106;
        while (1) {
         do if (!(get8(i94 + 26 >> 0 | 0) | 0)) {
          if ((i93 | 0) != 0 ? (get32(i94 + 4 | 0) | 0) >= (get32(i93 + 4 | 0) | 0) : 0) {
           i204 = i93;
           break;
          }
          i204 = i94;
         } else i204 = i93; while (0);
         i94 = get32(i94 + 32 | 0) | 0;
         if (!i94) {
          i205 = i204;
          break;
         } else i93 = i204;
        }
        if (!i205) {
         i201 = i76;
         i202 = 0;
         i203 = 0;
         break;
        }
        i93 = get32(i205 + 4 | 0) | 0;
        if ((i93 | 0) >= (get32(i57 + 8 | 0) | 0)) {
         i201 = i76;
         i202 = i205;
         i203 = 0;
         break;
        }
        i94 = get32(i205 + 20 | 0) | 0;
        i82 = i93 + 12 + (i93 << 2) | 0;
        i53 = get32(i1 | 0) | 0;
        L933 : do if (!i53) {
         if ((i82 + -1 | 0) >>> 0 > 2147483390) {
          i206 = 0;
          i207 = 0;
          break;
         }
         if (!(get32(50 * 4 | 0) | 0)) {
          i208 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i82) | 0;
          i41 = 1187;
          break;
         }
         i75 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i82) | 0;
         set32(35 * 4 | 0, i82 | 0);
         if ((get32(45 * 4 | 0) | 0) < (i82 | 0)) set32(45 * 4 | 0, i82 | 0);
         i73 = get32(6 * 4 | 0) | 0;
         do if (i73) {
          i77 = get32(30 * 4 | 0) | 0;
          i69 = ((i77 | 0) < 0) << 31 >> 31;
          i47 = 16;
          i78 = _i64Subtract(get32(i47 | 0) | 0, get32(i47 + 4 | 0) | 0, i75 | 0, ((i75 | 0) < 0) << 31 >> 31 | 0) | 0;
          i47 = tempRet0;
          if ((i69 | 0) < (i47 | 0) | (i69 | 0) == (i47 | 0) & i77 >>> 0 < i78 >>> 0) {
           set32(11 * 4 | 0, 0 | 0);
           break;
          } else {
           set32(11 * 4 | 0, 1 | 0);
           i78 = get32(7 * 4 | 0) | 0;
           set32(6 * 4 | 0, 0 | 0);
           FUNCTION_TABLE_viiii[i73 & 15](i78, i77, i69, i75);
           set32(6 * 4 | 0, i73 | 0);
           set32(7 * 4 | 0, i78 | 0);
           break;
          }
         } while (0);
         i73 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i75) | 0;
         if (!i73) {
          i206 = 0;
          i207 = 0;
          break;
         }
         i78 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i73) | 0;
         i69 = (get32(30 * 4 | 0) | 0) + i78 | 0;
         set32(30 * 4 | 0, i69 | 0);
         if ((i69 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i69 | 0);
         i69 = get32(39 * 4 | 0) | 0;
         i78 = i69 + 1 | 0;
         set32(39 * 4 | 0, i78 | 0);
         if ((i69 | 0) < (get32(49 * 4 | 0) | 0)) {
          i209 = i73;
          i41 = 1188;
          break;
         }
         set32(49 * 4 | 0, i78 | 0);
         i209 = i73;
         i41 = 1188;
        } else {
         i73 = i53 + 30 | 0;
         if (get8(i73 >> 0 | 0) | 0) {
          i206 = 0;
          i207 = 0;
          break;
         }
         do if (get8(i53 + 234 >> 0 | 0) | 0) {
          if ((getU16(i53 + 232 | 0) | 0) < (i82 | 0)) {
           i78 = i53 + 248 | 0;
           set32(i78 | 0, (get32(i78 | 0) | 0) + 1 | 0);
           break;
          }
          i78 = i53 + 256 | 0;
          i69 = get32(i78 | 0) | 0;
          if (!i69) {
           i77 = i53 + 252 | 0;
           set32(i77 | 0, (get32(i77 | 0) | 0) + 1 | 0);
           break;
          }
          set32(i78 | 0, get32(i69 | 0) | 0);
          i78 = i53 + 236 | 0;
          i77 = get32(i78 | 0) | 0;
          i47 = i77 + 1 | 0;
          set32(i78 | 0, i47 | 0);
          i78 = i53 + 244 | 0;
          set32(i78 | 0, (get32(i78 | 0) | 0) + 1 | 0);
          i78 = i53 + 240 | 0;
          if ((i77 | 0) >= (get32(i78 | 0) | 0)) set32(i78 | 0, i47 | 0);
          i208 = i69;
          i41 = 1187;
          break L933;
         } while (0);
         do if ((i82 + -1 | 0) >>> 0 <= 2147483390) {
          if (!(get32(50 * 4 | 0) | 0)) {
           i75 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i82) | 0;
           if (!i75) break; else {
            i209 = i75;
            i41 = 1188;
            break L933;
           }
          }
          i75 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i82) | 0;
          set32(35 * 4 | 0, i82 | 0);
          if ((get32(45 * 4 | 0) | 0) < (i82 | 0)) set32(45 * 4 | 0, i82 | 0);
          i69 = get32(6 * 4 | 0) | 0;
          do if (i69) {
           i47 = get32(30 * 4 | 0) | 0;
           i78 = ((i47 | 0) < 0) << 31 >> 31;
           i77 = 16;
           i96 = _i64Subtract(get32(i77 | 0) | 0, get32(i77 + 4 | 0) | 0, i75 | 0, ((i75 | 0) < 0) << 31 >> 31 | 0) | 0;
           i77 = tempRet0;
           if ((i78 | 0) < (i77 | 0) | (i78 | 0) == (i77 | 0) & i47 >>> 0 < i96 >>> 0) {
            set32(11 * 4 | 0, 0 | 0);
            break;
           } else {
            set32(11 * 4 | 0, 1 | 0);
            i96 = get32(7 * 4 | 0) | 0;
            set32(6 * 4 | 0, 0 | 0);
            FUNCTION_TABLE_viiii[i69 & 15](i96, i47, i78, i75);
            set32(6 * 4 | 0, i69 | 0);
            set32(7 * 4 | 0, i96 | 0);
            break;
           }
          } while (0);
          i69 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i75) | 0;
          if (!i69) break;
          i95 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i69) | 0;
          i96 = (get32(30 * 4 | 0) | 0) + i95 | 0;
          set32(30 * 4 | 0, i96 | 0);
          if ((i96 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i96 | 0);
          i96 = get32(39 * 4 | 0) | 0;
          i95 = i96 + 1 | 0;
          set32(39 * 4 | 0, i95 | 0);
          if ((i96 | 0) < (get32(49 * 4 | 0) | 0)) {
           i209 = i69;
           i41 = 1188;
           break L933;
          }
          set32(49 * 4 | 0, i95 | 0);
          i209 = i69;
          i41 = 1188;
          break L933;
         } while (0);
         set8(i73 >> 0 | 0, 1 | 0);
         i206 = 0;
         i207 = 0;
        } while (0);
        if ((i41 | 0) == 1187) if (!i208) {
         i206 = 0;
         i207 = 0;
        } else {
         i209 = i208;
         i41 = 1188;
        }
        if ((i41 | 0) == 1188) {
         _memset(i209 | 0, 0, i82 | 0) | 0;
         i69 = get32(i1 | 0) | 0;
         set32(i209 | 0, i69 | 0);
         i95 = i209 + 12 | 0;
         i96 = i209 + 8 | 0;
         set32(i96 | 0, i95 + (i93 << 2) | 0);
         L991 : do if ((i93 | 0) > 0) {
          i78 = i205 + 44 | 0;
          i47 = i205 + 40 | 0;
          i77 = i69;
          i71 = 0;
          while (1) {
           i97 = get32((get32(i78 | 0) | 0) + (i71 << 2) | 0) | 0;
           i80 = get8((get32((get32(i77 + 8 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0) | 0;
           i89 = get8(i77 + 124 >> 0 | 0) | 0;
           i79 = _sqlite3FindCollSeq(i77, i80, i97, i89 & 255) | 0;
           do if (!(i89 << 24 >> 24)) {
            if ((i79 | 0) != 0 ? (get32(i79 + 12 | 0) | 0) != 0 : 0) {
             i210 = i79;
             break;
            }
            i92 = _sqlite3GetCollSeq(i77, i80, i79, i97) | 0;
            if (i92) {
             i210 = i92;
             break;
            }
            set32(i8 | 0, i97 | 0);
            _sqlite3ErrorMsg(i1, 30475, i8);
            i210 = 0;
           } else i210 = i79; while (0);
           set32(i95 + (i71 << 2) | 0, i210 | 0);
           set8((get32(i96 | 0) | 0) + i71 >> 0 | 0, get8((get32(i47 | 0) | 0) + i71 >> 0 | 0) | 0 | 0);
           i79 = i71 + 1 | 0;
           if ((i79 | 0) == (i93 | 0)) break L991;
           i77 = get32(i1 | 0) | 0;
           i71 = i79;
          }
         } while (0);
         set16(i209 + 6 | 0, i93 | 0);
         i206 = i209;
         i207 = i209;
        }
        if (!(get32(i30 | 0) | 0)) {
         i201 = i94;
         i202 = i205;
         i203 = i207;
         break;
        }
        _sqlite3DbFree(i53, i206);
        i201 = i94;
        i202 = i205;
        i203 = 0;
       } while (0);
       i76 = i50 + 28 | 0;
       i106 = get32(i76 | 0) | 0;
       i96 = i50 + 32 | 0;
       i95 = get32(i96 | 0) | 0;
       do if ((i95 | 0) > (i106 | 0)) {
        i211 = i106;
        i212 = get32(i50 + 4 | 0) | 0;
        i41 = 1209;
       } else {
        i69 = i50 + 4 | 0;
        i82 = _sqlite3DbRealloc(get32(i50 | 0) | 0, get32(i69 | 0) | 0, (i95 | 0) == 0 ? 1020 : i95 * 40 | 0) | 0;
        if (!i82) break;
        i71 = get32(i50 | 0) | 0;
        do if (!i71) i41 = 1207; else {
         if ((get32(i71 + 260 | 0) | 0) >>> 0 > i82 >>> 0) {
          i41 = 1207;
          break;
         }
         if ((get32(i71 + 264 | 0) | 0) >>> 0 <= i82 >>> 0) {
          i41 = 1207;
          break;
         }
         i213 = getU16(i71 + 232 | 0) | 0;
        } while (0);
        if ((i41 | 0) == 1207) i213 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i82) | 0;
        set32(i96 | 0, (i213 >>> 0) / 20 | 0 | 0);
        set32(i69 | 0, i82 | 0);
        i211 = get32(i76 | 0) | 0;
        i212 = i82;
        i41 = 1209;
       } while (0);
       if ((i41 | 0) == 1209) {
        set32(i76 | 0, i211 + 1 | 0);
        set8(i212 + (i106 * 20 | 0) >> 0 | 0, 38 | 0);
        set8(i212 + (i106 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i212 + (i106 * 20 | 0) + 4 | 0, i58 | 0);
        set32(i212 + (i106 * 20 | 0) + 8 | 0, i201 | 0);
        set32(i212 + (i106 * 20 | 0) + 12 | 0, i189 | 0);
        set32(i212 + (i106 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i212 + (i106 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       }
       L1021 : do if (i203) {
        i95 = get32(i50 | 0) | 0;
        i71 = get32(i50 + 4 | 0) | 0;
        do if (i71) {
         if (get8(i95 + 30 >> 0 | 0) | 0) break;
         i94 = (get32(i76 | 0) | 0) + -1 | 0;
         i53 = i71 + (i94 * 20 | 0) + 1 | 0;
         i93 = i71 + (i94 * 20 | 0) + 16 | 0;
         _freeP4(i95, get8(i53 >> 0 | 0) | 0, get32(i93 | 0) | 0);
         set32(i93 | 0, i203 | 0);
         set8(i53 >> 0 | 0, -6 | 0);
         break L1021;
        } while (0);
        _sqlite3DbFree(i95, i203);
       } while (0);
       i106 = get32((get32(i61 | 0) | 0) + 8 | 0) | 0;
       i71 = get32(i76 | 0) | 0;
       i82 = get32(i96 | 0) | 0;
       do if ((i82 | 0) > (i71 | 0)) {
        i214 = i71;
        i215 = get32(i50 + 4 | 0) | 0;
        i216 = i82;
        i41 = 1225;
       } else {
        i69 = i50 + 4 | 0;
        i53 = _sqlite3DbRealloc(get32(i50 | 0) | 0, get32(i69 | 0) | 0, (i82 | 0) == 0 ? 1020 : i82 * 40 | 0) | 0;
        if (!i53) {
         i217 = get32(i96 | 0) | 0;
         i218 = get32(i76 | 0) | 0;
         break;
        }
        i93 = get32(i50 | 0) | 0;
        do if (!i93) i41 = 1223; else {
         if ((get32(i93 + 260 | 0) | 0) >>> 0 > i53 >>> 0) {
          i41 = 1223;
          break;
         }
         if ((get32(i93 + 264 | 0) | 0) >>> 0 <= i53 >>> 0) {
          i41 = 1223;
          break;
         }
         i219 = getU16(i93 + 232 | 0) | 0;
        } while (0);
        if ((i41 | 0) == 1223) i219 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i53) | 0;
        i93 = (i219 >>> 0) / 20 | 0;
        set32(i96 | 0, i93 | 0);
        set32(i69 | 0, i53 | 0);
        i214 = get32(i76 | 0) | 0;
        i215 = i53;
        i216 = i93;
        i41 = 1225;
       } while (0);
       if ((i41 | 0) == 1225) {
        i82 = i214 + 1 | 0;
        set32(i76 | 0, i82 | 0);
        set8(i215 + (i71 * 20 | 0) >> 0 | 0, 31 | 0);
        set8(i215 + (i71 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i215 + (i71 * 20 | 0) + 4 | 0, i58 | 0);
        set32(i215 + (i71 * 20 | 0) + 8 | 0, i106 | 0);
        set32(i215 + (i71 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i215 + (i71 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i215 + (i71 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i217 = i216;
        i218 = i82;
       }
       do if ((i217 | 0) > (i218 | 0)) {
        i220 = i218;
        i221 = get32(i50 + 4 | 0) | 0;
        i41 = 1235;
       } else {
        i82 = i50 + 4 | 0;
        i93 = _sqlite3DbRealloc(get32(i50 | 0) | 0, get32(i82 | 0) | 0, (i217 | 0) == 0 ? 1020 : i217 * 40 | 0) | 0;
        if (!i93) break;
        i95 = get32(i50 | 0) | 0;
        do if (!i95) i41 = 1233; else {
         if ((get32(i95 + 260 | 0) | 0) >>> 0 > i93 >>> 0) {
          i41 = 1233;
          break;
         }
         if ((get32(i95 + 264 | 0) | 0) >>> 0 <= i93 >>> 0) {
          i41 = 1233;
          break;
         }
         i222 = getU16(i95 + 232 | 0) | 0;
        } while (0);
        if ((i41 | 0) == 1233) i222 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i93) | 0;
        set32(i96 | 0, (i222 >>> 0) / 20 | 0 | 0);
        set32(i82 | 0, i93 | 0);
        i220 = get32(i76 | 0) | 0;
        i221 = i93;
        i41 = 1235;
       } while (0);
       if ((i41 | 0) == 1235) {
        set32(i76 | 0, i220 + 1 | 0);
        set8(i221 + (i218 * 20 | 0) >> 0 | 0, 43 | 0);
        set8(i221 + (i218 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i221 + (i218 * 20 | 0) + 4 | 0, i58 | 0);
        set32(i221 + (i218 * 20 | 0) + 8 | 0, 0 | 0);
        set32(i221 + (i218 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i221 + (i218 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i221 + (i218 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       }
       if ((get8(i1 + 484 >> 0 | 0) | 0) != 2) {
        i223 = 0;
        break L759;
       }
       i96 = get32(i1 | 0) | 0;
       i71 = (i202 | 0) != 0;
       if (i71) i224 = get32(i202 | 0) | 0; else i224 = 16820;
       i106 = get32(i57 + 24 | 0) | 0;
       set32(i7 | 0, get32(i57 | 0) | 0);
       set32(i7 + 4 | 0, (i71 ? 32976 : 16820) | 0);
       set32(i7 + 8 | 0, i224 | 0);
       set32(i7 + 12 | 0, i106 | 0);
       i106 = _sqlite3MPrintf(i96, 32947, i7) | 0;
       i96 = get32(i34 | 0) | 0;
       i71 = get32(i24 | 0) | 0;
       i95 = i96 + 28 | 0;
       i53 = get32(i95 | 0) | 0;
       i69 = i96 + 32 | 0;
       i94 = get32(i69 | 0) | 0;
       do if ((i94 | 0) > (i53 | 0)) {
        i77 = i96 + 4 | 0;
        i225 = i77;
        i226 = i96;
        i227 = i53;
        i228 = get32(i77 | 0) | 0;
        i41 = 1248;
       } else {
        i77 = i96 + 4 | 0;
        i47 = _sqlite3DbRealloc(get32(i96 | 0) | 0, get32(i77 | 0) | 0, (i94 | 0) == 0 ? 1020 : i94 * 40 | 0) | 0;
        if (!i47) {
         i229 = 1;
         i230 = i96;
         i231 = i77;
         break;
        }
        i78 = get32(i96 | 0) | 0;
        do if (!i78) i41 = 1246; else {
         if ((get32(i78 + 260 | 0) | 0) >>> 0 > i47 >>> 0) {
          i41 = 1246;
          break;
         }
         if ((get32(i78 + 264 | 0) | 0) >>> 0 <= i47 >>> 0) {
          i41 = 1246;
          break;
         }
         i232 = getU16(i78 + 232 | 0) | 0;
        } while (0);
        if ((i41 | 0) == 1246) i232 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i47) | 0;
        set32(i69 | 0, (i232 >>> 0) / 20 | 0 | 0);
        set32(i77 | 0, i47 | 0);
        i225 = i77;
        i226 = i96;
        i227 = get32(i95 | 0) | 0;
        i228 = i47;
        i41 = 1248;
       } while (0);
       if ((i41 | 0) == 1248) {
        set32(i95 | 0, i227 + 1 | 0);
        set8(i228 + (i53 * 20 | 0) >> 0 | 0, -118 | 0);
        set8(i228 + (i53 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i228 + (i53 * 20 | 0) + 4 | 0, i71 | 0);
        set32(i228 + (i53 * 20 | 0) + 8 | 0, 0 | 0);
        set32(i228 + (i53 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i228 + (i53 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i228 + (i53 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i229 = i53;
        i230 = i226;
        i231 = i225;
       }
       i96 = get32(i230 | 0) | 0;
       i69 = get32(i231 | 0) | 0;
       do if (i69) {
        if (get8(i96 + 30 >> 0 | 0) | 0) break;
        if ((i229 | 0) < 0) i233 = (get32(i95 | 0) | 0) + -1 | 0; else i233 = i229;
        i94 = i69 + (i233 * 20 | 0) + 1 | 0;
        i57 = i69 + (i233 * 20 | 0) + 16 | 0;
        _freeP4(i96, get8(i94 >> 0 | 0) | 0, get32(i57 | 0) | 0);
        set32(i57 | 0, 0 | 0);
        if (!i106) {
         set32(i57 | 0, 0 | 0);
         set8(i94 >> 0 | 0, 0 | 0);
         i223 = 0;
         break L759;
        } else {
         set32(i57 | 0, i106 | 0);
         set8(i94 >> 0 | 0, -1 | 0);
         i223 = 0;
         break L759;
        }
       } while (0);
       if (!i106) {
        i223 = 0;
        break L759;
       }
       _sqlite3DbFree(i96, i106);
       i223 = 0;
       break L759;
      } while (0);
      set32(i23 | 0, 0 | 0);
      i41 = 1260;
     } while (0);
     do if ((i41 | 0) == 1260) {
      i70 = get32(get32(i68 + 12 | 0) | 0) | 0;
      if ((get8(i70 >> 0 | 0) | 0) != -103) {
       i186 = 0;
       i187 = 1;
       i188 = 0;
       i41 = 1276;
       break;
      }
      if (get16(i70 + 2 | 0) & 2048) {
       i186 = 0;
       i187 = 1;
       i188 = 0;
       i41 = 1276;
       break;
      }
      i72 = get32(i70 + 16 | 0) | 0;
      if (!i72) {
       i186 = 0;
       i187 = 1;
       i188 = 0;
       i41 = 1276;
       break;
      }
      if ((get32(i72 | 0) | 0) != 1) {
       i186 = 0;
       i187 = 1;
       i188 = 0;
       i41 = 1276;
       break;
      }
      if ((get8(get32(get32(i72 + 12 | 0) | 0) >> 0 | 0) | 0) != -102) {
       i186 = 0;
       i187 = 1;
       i188 = 0;
       i41 = 1276;
       break;
      }
      i74 = get32(i70 + 4 | 0) | 0;
      i70 = get8(i74 >> 0 | 0) | 0;
      i69 = i70 << 24 >> 24 == 0;
      L1096 : do if (i69) {
       i234 = 0;
       i235 = 32998;
      } else {
       i95 = i70;
       i53 = i74;
       i71 = 32998;
       while (1) {
        if ((get8(16286 + (i95 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i71 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
         i234 = i95;
         i235 = i71;
         break L1096;
        }
        i53 = i53 + 1 | 0;
        i94 = i71 + 1 | 0;
        i95 = get8(i53 >> 0 | 0) | 0;
        if (!(i95 << 24 >> 24)) {
         i234 = 0;
         i235 = i94;
         break;
        } else i71 = i94;
       }
      } while (0);
      if ((get8(16286 + (i234 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i235 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
       L1103 : do if (i69) {
        i236 = 0;
        i237 = 33002;
       } else {
        i71 = i70;
        i95 = i74;
        i53 = 33002;
        while (1) {
         if ((get8(16286 + (i71 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i53 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
          i236 = i71;
          i237 = i53;
          break L1103;
         }
         i95 = i95 + 1 | 0;
         i106 = i53 + 1 | 0;
         i71 = get8(i95 >> 0 | 0) | 0;
         if (!(i71 << 24 >> 24)) {
          i236 = 0;
          i237 = i106;
          break;
         } else i53 = i106;
        }
       } while (0);
       if ((get8(16286 + (i236 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i237 >> 0 | 0) | 0) >> 0 | 0) | 0)) i238 = 2; else {
        i186 = 0;
        i187 = 1;
        i188 = 0;
        i41 = 1276;
        break;
       }
      } else i238 = 1;
      i74 = _sqlite3ExprListDup(i27, i72, 0) | 0;
      set32(i23 | 0, i74 | 0);
      if (!i74) {
       i186 = i238;
       i187 = 0;
       i188 = 0;
       i41 = 1276;
       break;
      }
      if (get8(i29 >> 0 | 0) | 0) {
       i186 = i238;
       i187 = 0;
       i188 = i74;
       i41 = 1276;
       break;
      }
      i70 = get32(i74 + 12 | 0) | 0;
      set8(i70 + 12 >> 0 | 0, i238 << 24 >> 24 != 1 & 1 | 0);
      set8(get32(i70 | 0) >> 0 | 0, -104 | 0);
      i186 = i238;
      i187 = 0;
      i188 = i74;
      i41 = 1276;
     } while (0);
     do if ((i41 | 0) == 1276) {
      _resetAccumulator(i1, i20);
      i68 = _sqlite3WhereBegin(i1, i67, i46, i23, i186 & 255) | 0;
      if (!i68) {
       if (!i188) break L755;
       i74 = i188 + 12 | 0;
       if ((get32(i188 | 0) | 0) > 0) {
        i70 = 0;
        i69 = get32(i74 | 0) | 0;
        while (1) {
         _sqlite3ExprDelete(i27, get32(i69 | 0) | 0);
         _sqlite3DbFree(i27, get32(i69 + 4 | 0) | 0);
         _sqlite3DbFree(i27, get32(i69 + 8 | 0) | 0);
         i70 = i70 + 1 | 0;
         if ((i70 | 0) >= (get32(i188 | 0) | 0)) break; else i69 = i69 + 20 | 0;
        }
       }
       _sqlite3DbFree(i27, get32(i74 | 0) | 0);
       _sqlite3DbFree(i27, i188);
       break L755;
      }
      _updateAccumulator(i1, i20);
      do if (!(i187 | (get32(i23 | 0) | 0) != 0)) {
       i69 = get32(i68 + 20 | 0) | 0;
       i70 = i50 + 28 | 0;
       i72 = get32(i70 | 0) | 0;
       i53 = i50 + 32 | 0;
       i71 = get32(i53 | 0) | 0;
       if ((i71 | 0) > (i72 | 0)) {
        i239 = i72;
        i240 = get32(i50 + 4 | 0) | 0;
       } else {
        i95 = i50 + 4 | 0;
        i106 = _sqlite3DbRealloc(get32(i50 | 0) | 0, get32(i95 | 0) | 0, (i71 | 0) == 0 ? 1020 : i71 * 40 | 0) | 0;
        if (!i106) break;
        i71 = get32(i50 | 0) | 0;
        do if (!i71) i41 = 1290; else {
         if ((get32(i71 + 260 | 0) | 0) >>> 0 > i106 >>> 0) {
          i41 = 1290;
          break;
         }
         if ((get32(i71 + 264 | 0) | 0) >>> 0 <= i106 >>> 0) {
          i41 = 1290;
          break;
         }
         i241 = getU16(i71 + 232 | 0) | 0;
        } while (0);
        if ((i41 | 0) == 1290) i241 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i106) | 0;
        set32(i53 | 0, (i241 >>> 0) / 20 | 0 | 0);
        set32(i95 | 0, i106 | 0);
        i239 = get32(i70 | 0) | 0;
        i240 = i106;
       }
       set32(i70 | 0, i239 + 1 | 0);
       set8(i240 + (i72 * 20 | 0) >> 0 | 0, 1 | 0);
       set8(i240 + (i72 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i240 + (i72 * 20 | 0) + 4 | 0, 0 | 0);
       set32(i240 + (i72 * 20 | 0) + 8 | 0, i69 | 0);
       set32(i240 + (i72 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i240 + (i72 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i240 + (i72 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      } while (0);
      _sqlite3WhereEnd(i68);
      i74 = get32(i34 | 0) | 0;
      if ((get32(i59 | 0) | 0) <= 0) {
       i223 = i188;
       break;
      }
      i71 = i74 + 28 | 0;
      i96 = i74 + 32 | 0;
      i94 = i74 + 4 | 0;
      i57 = 0;
      i58 = get32(i61 | 0) | 0;
      while (1) {
       i76 = get32((get32(i58 | 0) | 0) + 16 | 0) | 0;
       i78 = get32(i58 + 8 | 0) | 0;
       if (!i76) i242 = 0; else i242 = get32(i76 | 0) | 0;
       i76 = get32(i58 + 4 | 0) | 0;
       i93 = get32(i71 | 0) | 0;
       i82 = get32(i96 | 0) | 0;
       do if ((i82 | 0) > (i93 | 0)) {
        i243 = i93;
        i244 = get32(i94 | 0) | 0;
        i41 = 1306;
       } else {
        i73 = _sqlite3DbRealloc(get32(i74 | 0) | 0, get32(i94 | 0) | 0, (i82 | 0) == 0 ? 1020 : i82 * 40 | 0) | 0;
        if (!i73) {
         i245 = 1;
         break;
        }
        i79 = get32(i74 | 0) | 0;
        do if (!i79) i41 = 1304; else {
         if ((get32(i79 + 260 | 0) | 0) >>> 0 > i73 >>> 0) {
          i41 = 1304;
          break;
         }
         if ((get32(i79 + 264 | 0) | 0) >>> 0 <= i73 >>> 0) {
          i41 = 1304;
          break;
         }
         i246 = getU16(i79 + 232 | 0) | 0;
        } while (0);
        if ((i41 | 0) == 1304) {
         i41 = 0;
         i246 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i73) | 0;
        }
        set32(i96 | 0, (i246 >>> 0) / 20 | 0 | 0);
        set32(i94 | 0, i73 | 0);
        i243 = get32(i71 | 0) | 0;
        i244 = i73;
        i41 = 1306;
       } while (0);
       if ((i41 | 0) == 1306) {
        i41 = 0;
        set32(i71 | 0, i243 + 1 | 0);
        set8(i244 + (i93 * 20 | 0) >> 0 | 0, 117 | 0);
        set8(i244 + (i93 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i244 + (i93 * 20 | 0) + 4 | 0, i78 | 0);
        set32(i244 + (i93 * 20 | 0) + 8 | 0, i242 | 0);
        set32(i244 + (i93 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i244 + (i93 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i244 + (i93 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i245 = i93;
       }
       i82 = get32(i74 | 0) | 0;
       i72 = get32(i94 | 0) | 0;
       do if (i72) {
        if (get8(i82 + 30 >> 0 | 0) | 0) {
         i41 = 1309;
         break;
        }
        if ((i245 | 0) < 0) i247 = (get32(i71 | 0) | 0) + -1 | 0; else i247 = i245;
        i69 = i72 + (i247 * 20 | 0) + 1 | 0;
        i70 = i72 + (i247 * 20 | 0) + 16 | 0;
        _freeP4(i82, get8(i69 >> 0 | 0) | 0, get32(i70 | 0) | 0);
        set32(i70 | 0, 0 | 0);
        if (!i76) {
         set32(i70 | 0, 0 | 0);
         set8(i69 >> 0 | 0, 0 | 0);
         break;
        } else {
         set32(i70 | 0, i76 | 0);
         set8(i69 >> 0 | 0, -5 | 0);
         break;
        }
       } else i41 = 1309; while (0);
       do if ((i41 | 0) == 1309) {
        i41 = 0;
        if (!i76) break;
        if (!(get8(i76 + 3 >> 0 | 0) & 4)) break;
        _sqlite3DbFree(i82, i76);
       } while (0);
       i57 = i57 + 1 | 0;
       if ((i57 | 0) >= (get32(i59 | 0) | 0)) {
        i223 = i188;
        break;
       } else i58 = i58 + 16 | 0;
      }
     } while (0);
     set32(i18 | 0, 0 | 0);
     _sqlite3ExprIfFalse(i1, i56, i63, 8);
     _selectInnerLoop(i1, i2, get32(i2 | 0) | 0, 0, 0, 0, -1, i3, i63, i63);
     if (!i223) break;
     i61 = i223 + 12 | 0;
     if ((get32(i223 | 0) | 0) > 0) {
      i58 = 0;
      i57 = get32(i61 | 0) | 0;
      while (1) {
       _sqlite3ExprDelete(i27, get32(i57 | 0) | 0);
       _sqlite3DbFree(i27, get32(i57 + 4 | 0) | 0);
       _sqlite3DbFree(i27, get32(i57 + 8 | 0) | 0);
       i58 = i58 + 1 | 0;
       if ((i58 | 0) >= (get32(i223 | 0) | 0)) break; else i57 = i57 + 20 | 0;
      }
     }
     _sqlite3DbFree(i27, get32(i61 | 0) | 0);
     _sqlite3DbFree(i27, i223);
    } else {
     i57 = i1 + 68 | 0;
     i58 = get32(i57 | 0) | 0;
     set32(i57 | 0, i58 + 1 | 0);
     i57 = i20 + 4 | 0;
     set32(i57 | 0, i58 | 0);
     i58 = get32(i1 | 0) | 0;
     i71 = get32(i49 | 0) | 0;
     i94 = i71 * 5 | 0;
     i74 = i94 + 16 | 0;
     L1179 : do if (!i58) {
      if ((i94 + 15 | 0) >>> 0 > 2147483390) {
       i248 = 0;
       break;
      }
      if (!(get32(50 * 4 | 0) | 0)) {
       i249 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i74) | 0;
       i41 = 563;
       break;
      }
      i96 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i74) | 0;
      set32(35 * 4 | 0, i74 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i74 | 0)) set32(45 * 4 | 0, i74 | 0);
      i68 = get32(6 * 4 | 0) | 0;
      do if (i68) {
       i76 = get32(30 * 4 | 0) | 0;
       i82 = ((i76 | 0) < 0) << 31 >> 31;
       i72 = 16;
       i93 = _i64Subtract(get32(i72 | 0) | 0, get32(i72 + 4 | 0) | 0, i96 | 0, ((i96 | 0) < 0) << 31 >> 31 | 0) | 0;
       i72 = tempRet0;
       if ((i82 | 0) < (i72 | 0) | (i82 | 0) == (i72 | 0) & i76 >>> 0 < i93 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i93 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i68 & 15](i93, i76, i82, i96);
        set32(6 * 4 | 0, i68 | 0);
        set32(7 * 4 | 0, i93 | 0);
        break;
       }
      } while (0);
      i68 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i96) | 0;
      if (!i68) {
       i248 = 0;
       break;
      }
      i93 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i68) | 0;
      i82 = (get32(30 * 4 | 0) | 0) + i93 | 0;
      set32(30 * 4 | 0, i82 | 0);
      if ((i82 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i82 | 0);
      i82 = get32(39 * 4 | 0) | 0;
      i93 = i82 + 1 | 0;
      set32(39 * 4 | 0, i93 | 0);
      if ((i82 | 0) < (get32(49 * 4 | 0) | 0)) {
       i250 = i68;
       i41 = 564;
       break;
      }
      set32(49 * 4 | 0, i93 | 0);
      i250 = i68;
      i41 = 564;
     } else {
      i68 = i58 + 30 | 0;
      if (get8(i68 >> 0 | 0) | 0) {
       i248 = 0;
       break;
      }
      do if (get8(i58 + 234 >> 0 | 0) | 0) {
       if ((getU16(i58 + 232 | 0) | 0) < (i74 | 0)) {
        i93 = i58 + 248 | 0;
        set32(i93 | 0, (get32(i93 | 0) | 0) + 1 | 0);
        break;
       }
       i93 = i58 + 256 | 0;
       i82 = get32(i93 | 0) | 0;
       if (!i82) {
        i76 = i58 + 252 | 0;
        set32(i76 | 0, (get32(i76 | 0) | 0) + 1 | 0);
        break;
       }
       set32(i93 | 0, get32(i82 | 0) | 0);
       i93 = i58 + 236 | 0;
       i76 = get32(i93 | 0) | 0;
       i72 = i76 + 1 | 0;
       set32(i93 | 0, i72 | 0);
       i93 = i58 + 244 | 0;
       set32(i93 | 0, (get32(i93 | 0) | 0) + 1 | 0);
       i93 = i58 + 240 | 0;
       if ((i76 | 0) >= (get32(i93 | 0) | 0)) set32(i93 | 0, i72 | 0);
       i249 = i82;
       i41 = 563;
       break L1179;
      } while (0);
      do if ((i94 + 15 | 0) >>> 0 <= 2147483390) {
       if (!(get32(50 * 4 | 0) | 0)) {
        i96 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i74) | 0;
        if (!i96) break; else {
         i250 = i96;
         i41 = 564;
         break L1179;
        }
       }
       i96 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i74) | 0;
       set32(35 * 4 | 0, i74 | 0);
       if ((get32(45 * 4 | 0) | 0) < (i74 | 0)) set32(45 * 4 | 0, i74 | 0);
       i82 = get32(6 * 4 | 0) | 0;
       do if (i82) {
        i72 = get32(30 * 4 | 0) | 0;
        i93 = ((i72 | 0) < 0) << 31 >> 31;
        i76 = 16;
        i78 = _i64Subtract(get32(i76 | 0) | 0, get32(i76 + 4 | 0) | 0, i96 | 0, ((i96 | 0) < 0) << 31 >> 31 | 0) | 0;
        i76 = tempRet0;
        if ((i93 | 0) < (i76 | 0) | (i93 | 0) == (i76 | 0) & i72 >>> 0 < i78 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i78 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i82 & 15](i78, i72, i93, i96);
         set32(6 * 4 | 0, i82 | 0);
         set32(7 * 4 | 0, i78 | 0);
         break;
        }
       } while (0);
       i82 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i96) | 0;
       if (!i82) break;
       i78 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i82) | 0;
       i93 = (get32(30 * 4 | 0) | 0) + i78 | 0;
       set32(30 * 4 | 0, i93 | 0);
       if ((i93 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i93 | 0);
       i93 = get32(39 * 4 | 0) | 0;
       i78 = i93 + 1 | 0;
       set32(39 * 4 | 0, i78 | 0);
       if ((i93 | 0) < (get32(49 * 4 | 0) | 0)) {
        i250 = i82;
        i41 = 564;
        break L1179;
       }
       set32(49 * 4 | 0, i78 | 0);
       i250 = i82;
       i41 = 564;
       break L1179;
      } while (0);
      set8(i68 >> 0 | 0, 1 | 0);
      i248 = 0;
     } while (0);
     if ((i41 | 0) == 563) if (!i249) i248 = 0; else {
      i250 = i249;
      i41 = 564;
     }
     do if ((i41 | 0) == 564) {
      _memset(i250 | 0, 0, i74 | 0) | 0;
      i94 = i250 + 12 | 0;
      i61 = i250 + 8 | 0;
      set32(i61 | 0, i94 + (i71 << 2) | 0);
      set16(i250 + 6 | 0, i71 | 0);
      set8(i250 + 4 >> 0 | 0, get8((get32((get32(i58 + 8 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0) | 0 | 0);
      set32(i250 | 0, i58 | 0);
      if ((i71 | 0) <= 0) {
       i248 = i250;
       break;
      }
      i82 = i58 + 44 | 0;
      i78 = 0;
      i93 = get32(i49 + 12 | 0) | 0;
      while (1) {
       i72 = _sqlite3ExprCollSeq(i1, get32(i93 | 0) | 0) | 0;
       if (!i72) i251 = get32(i82 | 0) | 0; else i251 = i72;
       set32(i94 + (i78 << 2) | 0, i251 | 0);
       set8((get32(i61 | 0) | 0) + i78 >> 0 | 0, get8(i93 + 12 >> 0 | 0) | 0 | 0);
       i78 = i78 + 1 | 0;
       if ((i78 | 0) == (i71 | 0)) {
        i248 = i250;
        break;
       } else i93 = i93 + 20 | 0;
      }
     } while (0);
     i71 = get32(i57 | 0) | 0;
     i58 = get32(i54 | 0) | 0;
     i74 = i50 + 28 | 0;
     i93 = get32(i74 | 0) | 0;
     i78 = i50 + 32 | 0;
     i61 = get32(i78 | 0) | 0;
     do if ((i61 | 0) > (i93 | 0)) {
      i94 = i50 + 4 | 0;
      i252 = i94;
      i253 = i50;
      i254 = i93;
      i255 = get32(i94 | 0) | 0;
      i41 = 578;
     } else {
      i94 = i50 + 4 | 0;
      i82 = _sqlite3DbRealloc(get32(i50 | 0) | 0, get32(i94 | 0) | 0, (i61 | 0) == 0 ? 1020 : i61 * 40 | 0) | 0;
      if (!i82) {
       i256 = 1;
       i257 = i50;
       i258 = i94;
       break;
      }
      i68 = get32(i50 | 0) | 0;
      do if (!i68) i41 = 576; else {
       if ((get32(i68 + 260 | 0) | 0) >>> 0 > i82 >>> 0) {
        i41 = 576;
        break;
       }
       if ((get32(i68 + 264 | 0) | 0) >>> 0 <= i82 >>> 0) {
        i41 = 576;
        break;
       }
       i259 = getU16(i68 + 232 | 0) | 0;
      } while (0);
      if ((i41 | 0) == 576) i259 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i82) | 0;
      set32(i78 | 0, (i259 >>> 0) / 20 | 0 | 0);
      set32(i94 | 0, i82 | 0);
      i252 = i94;
      i253 = i50;
      i254 = get32(i74 | 0) | 0;
      i255 = i82;
      i41 = 578;
     } while (0);
     if ((i41 | 0) == 578) {
      set32(i74 | 0, i254 + 1 | 0);
      set8(i255 + (i93 * 20 | 0) >> 0 | 0, 41 | 0);
      set8(i255 + (i93 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i255 + (i93 * 20 | 0) + 4 | 0, i71 | 0);
      set32(i255 + (i93 * 20 | 0) + 8 | 0, i58 | 0);
      set32(i255 + (i93 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i255 + (i93 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i255 + (i93 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i256 = i93;
      i257 = i253;
      i258 = i252;
     }
     i61 = get32(i257 | 0) | 0;
     i68 = get32(i258 | 0) | 0;
     do if (i68) {
      if (get8(i61 + 30 >> 0 | 0) | 0) {
       i41 = 581;
       break;
      }
      if ((i256 | 0) < 0) i260 = (get32(i74 | 0) | 0) + -1 | 0; else i260 = i256;
      i72 = i68 + (i260 * 20 | 0) + 1 | 0;
      i76 = i68 + (i260 * 20 | 0) + 16 | 0;
      _freeP4(i61, get8(i72 >> 0 | 0) | 0, get32(i76 | 0) | 0);
      set32(i76 | 0, 0 | 0);
      if (!i248) {
       set32(i76 | 0, 0 | 0);
       set8(i72 >> 0 | 0, 0 | 0);
       break;
      } else {
       set32(i76 | 0, i248 | 0);
       set8(i72 >> 0 | 0, -6 | 0);
       break;
      }
     } else i41 = 581; while (0);
     do if ((i41 | 0) == 581) {
      if (!i248) break;
      _sqlite3DbFree(i61, i248);
     } while (0);
     i61 = i1 + 72 | 0;
     i68 = get32(i61 | 0) | 0;
     i93 = i68 + 1 | 0;
     i58 = i68 + 2 | 0;
     i71 = i68 + 3 | 0;
     set32(i61 | 0, i71 | 0);
     i68 = get32(i38 | 0) | 0;
     set32(i38 | 0, i68 + 1 | 0);
     i72 = get32(i60 | 0) | 0;
     if ((i68 | 0) < (i72 | 0)) {
      i261 = i50 + 44 | 0;
      i262 = i72;
     } else {
      i76 = get32(i257 | 0) | 0;
      i69 = i50 + 44 | 0;
      i70 = get32(i69 | 0) | 0;
      i106 = _sqlite3DbRealloc(i76, i70, (i72 << 3) + 20 | 0) | 0;
      do if (!i106) {
       _sqlite3DbFree(i76, i70);
       set32(i69 | 0, 0 | 0);
       i41 = 596;
      } else {
       set32(i69 | 0, i106 | 0);
       i72 = get32(i257 | 0) | 0;
       if (!i72) {
        i41 = 596;
        break;
       }
       if ((get32(i72 + 260 | 0) | 0) >>> 0 > i106 >>> 0) {
        i41 = 596;
        break;
       }
       if ((get32(i72 + 264 | 0) | 0) >>> 0 <= i106 >>> 0) {
        i41 = 596;
        break;
       }
       i263 = getU16(i72 + 232 | 0) | 0;
      } while (0);
      if ((i41 | 0) == 596) i263 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i106) | 0;
      i70 = i263 >>> 2;
      set32(i60 | 0, i70 | 0);
      i261 = i69;
      i262 = i70;
     }
     i70 = get32(i261 | 0) | 0;
     if (!i70) i264 = i262; else {
      set32(i70 + (i68 << 2) | 0, -1 | 0);
      i264 = get32(i60 | 0) | 0;
     }
     i70 = ~i68;
     i76 = (get32(i61 | 0) | 0) + 1 | 0;
     set32(i61 | 0, i76 | 0);
     i72 = get32(i38 | 0) | 0;
     set32(i38 | 0, i72 + 1 | 0);
     if ((i72 | 0) < (i264 | 0)) i265 = i50 + 44 | 0; else {
      i95 = get32(i257 | 0) | 0;
      i53 = i50 + 44 | 0;
      i79 = get32(i53 | 0) | 0;
      i47 = _sqlite3DbRealloc(i95, i79, (i264 << 3) + 20 | 0) | 0;
      do if (!i47) {
       _sqlite3DbFree(i95, i79);
       set32(i53 | 0, 0 | 0);
       i41 = 608;
      } else {
       set32(i53 | 0, i47 | 0);
       i77 = get32(i257 | 0) | 0;
       if (!i77) {
        i41 = 608;
        break;
       }
       if ((get32(i77 + 260 | 0) | 0) >>> 0 > i47 >>> 0) {
        i41 = 608;
        break;
       }
       if ((get32(i77 + 264 | 0) | 0) >>> 0 <= i47 >>> 0) {
        i41 = 608;
        break;
       }
       i266 = getU16(i77 + 232 | 0) | 0;
      } while (0);
      if ((i41 | 0) == 608) i266 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i47) | 0;
      set32(i60 | 0, i266 >>> 2 | 0);
      i265 = i53;
     }
     i79 = get32(i265 | 0) | 0;
     if (i79) set32(i79 + (i72 << 2) | 0, -1 | 0);
     i79 = ~i72;
     i95 = get32(i61 | 0) | 0;
     i69 = i95 + 1 | 0;
     i106 = get32(get32(i19 | 0) | 0) | 0;
     i77 = i106 + i95 | 0;
     i95 = i77 + 1 | 0;
     set32(i61 | 0, i106 + i77 | 0);
     i77 = get32(i74 | 0) | 0;
     i106 = get32(i78 | 0) | 0;
     do if ((i106 | 0) > (i77 | 0)) {
      i267 = i77;
      i268 = get32(i258 | 0) | 0;
      i269 = i106;
      i41 = 622;
     } else {
      i97 = _sqlite3DbRealloc(get32(i257 | 0) | 0, get32(i258 | 0) | 0, (i106 | 0) == 0 ? 1020 : i106 * 40 | 0) | 0;
      if (!i97) {
       i270 = get32(i78 | 0) | 0;
       i271 = get32(i74 | 0) | 0;
       break;
      }
      i80 = get32(i257 | 0) | 0;
      do if (!i80) i41 = 620; else {
       if ((get32(i80 + 260 | 0) | 0) >>> 0 > i97 >>> 0) {
        i41 = 620;
        break;
       }
       if ((get32(i80 + 264 | 0) | 0) >>> 0 <= i97 >>> 0) {
        i41 = 620;
        break;
       }
       i272 = getU16(i80 + 232 | 0) | 0;
      } while (0);
      if ((i41 | 0) == 620) i272 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i97) | 0;
      i80 = (i272 >>> 0) / 20 | 0;
      set32(i78 | 0, i80 | 0);
      set32(i258 | 0, i97 | 0);
      i267 = get32(i74 | 0) | 0;
      i268 = i97;
      i269 = i80;
      i41 = 622;
     } while (0);
     if ((i41 | 0) == 622) {
      i106 = i267 + 1 | 0;
      set32(i74 | 0, i106 | 0);
      set8(i268 + (i77 * 20 | 0) >> 0 | 0, 7 | 0);
      set8(i268 + (i77 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i268 + (i77 * 20 | 0) + 4 | 0, 0 | 0);
      set32(i268 + (i77 * 20 | 0) + 8 | 0, i58 | 0);
      set32(i268 + (i77 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i268 + (i77 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i268 + (i77 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i270 = i269;
      i271 = i106;
     }
     do if ((i270 | 0) > (i271 | 0)) {
      i273 = i271;
      i274 = get32(i258 | 0) | 0;
      i275 = i270;
      i41 = 633;
     } else {
      i106 = _sqlite3DbRealloc(get32(i257 | 0) | 0, get32(i258 | 0) | 0, (i270 | 0) == 0 ? 1020 : i270 * 40 | 0) | 0;
      if (!i106) {
       i276 = get32(i78 | 0) | 0;
       i277 = get32(i74 | 0) | 0;
       break;
      }
      i53 = get32(i257 | 0) | 0;
      do if (!i53) i41 = 631; else {
       if ((get32(i53 + 260 | 0) | 0) >>> 0 > i106 >>> 0) {
        i41 = 631;
        break;
       }
       if ((get32(i53 + 264 | 0) | 0) >>> 0 <= i106 >>> 0) {
        i41 = 631;
        break;
       }
       i278 = getU16(i53 + 232 | 0) | 0;
      } while (0);
      if ((i41 | 0) == 631) i278 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i106) | 0;
      i53 = (i278 >>> 0) / 20 | 0;
      set32(i78 | 0, i53 | 0);
      set32(i258 | 0, i106 | 0);
      i273 = get32(i74 | 0) | 0;
      i274 = i106;
      i275 = i53;
      i41 = 633;
     } while (0);
     if ((i41 | 0) == 633) {
      i77 = i273 + 1 | 0;
      set32(i74 | 0, i77 | 0);
      set8(i274 + (i271 * 20 | 0) >> 0 | 0, 7 | 0);
      set8(i274 + (i271 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i274 + (i271 * 20 | 0) + 4 | 0, 0 | 0);
      set32(i274 + (i271 * 20 | 0) + 8 | 0, i93 | 0);
      set32(i274 + (i271 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i274 + (i271 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i274 + (i271 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i276 = i275;
      i277 = i77;
     }
     do if ((i276 | 0) > (i277 | 0)) {
      i279 = i277;
      i280 = get32(i258 | 0) | 0;
      i41 = 643;
     } else {
      i77 = _sqlite3DbRealloc(get32(i257 | 0) | 0, get32(i258 | 0) | 0, (i276 | 0) == 0 ? 1020 : i276 * 40 | 0) | 0;
      if (!i77) break;
      i53 = get32(i257 | 0) | 0;
      do if (!i53) i41 = 641; else {
       if ((get32(i53 + 260 | 0) | 0) >>> 0 > i77 >>> 0) {
        i41 = 641;
        break;
       }
       if ((get32(i53 + 264 | 0) | 0) >>> 0 <= i77 >>> 0) {
        i41 = 641;
        break;
       }
       i281 = getU16(i53 + 232 | 0) | 0;
      } while (0);
      if ((i41 | 0) == 641) i281 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i77) | 0;
      set32(i78 | 0, (i281 >>> 0) / 20 | 0 | 0);
      set32(i258 | 0, i77 | 0);
      i279 = get32(i74 | 0) | 0;
      i280 = i77;
      i41 = 643;
     } while (0);
     if ((i41 | 0) == 643) {
      set32(i74 | 0, i279 + 1 | 0);
      set8(i280 + (i277 * 20 | 0) >> 0 | 0, 2 | 0);
      set8(i280 + (i277 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i280 + (i277 * 20 | 0) + 4 | 0, i76 | 0);
      set32(i280 + (i277 * 20 | 0) + 8 | 0, i79 | 0);
      set32(i280 + (i277 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i280 + (i277 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i280 + (i277 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     }
     i53 = _sqlite3WhereBegin(i1, i67, i46, i19, 0) | 0;
     if (!i53) break L755;
     if (!(get32(i19 | 0) | 0)) {
      set32(i19 | 0, get32(i39 | 0) | 0);
      i282 = i1 + 96 | 0;
      i283 = i1 + 21 | 0;
      i284 = 0;
     } else {
      if (i62) i285 = 0; else i285 = (get16(i36 | 0) & 1) == 0;
      L1356 : do if ((get8(i1 + 484 >> 0 | 0) | 0) == 2) {
       i106 = get32(i34 | 0) | 0;
       i97 = get32(i1 | 0) | 0;
       set32(i10 | 0, (i285 ? 31971 : 31980) | 0);
       i47 = _sqlite3MPrintf(i97, 32873, i10) | 0;
       i97 = get32(i24 | 0) | 0;
       i80 = i106 + 28 | 0;
       i82 = get32(i80 | 0) | 0;
       i94 = i106 + 32 | 0;
       i89 = get32(i94 | 0) | 0;
       do if ((i89 | 0) > (i82 | 0)) {
        i75 = i106 + 4 | 0;
        i286 = i75;
        i287 = i106;
        i288 = i82;
        i289 = get32(i75 | 0) | 0;
        i41 = 659;
       } else {
        i75 = i106 + 4 | 0;
        i92 = _sqlite3DbRealloc(get32(i106 | 0) | 0, get32(i75 | 0) | 0, (i89 | 0) == 0 ? 1020 : i89 * 40 | 0) | 0;
        if (!i92) {
         i290 = 1;
         i291 = i106;
         i292 = i75;
         break;
        }
        i90 = get32(i106 | 0) | 0;
        do if (!i90) i41 = 657; else {
         if ((get32(i90 + 260 | 0) | 0) >>> 0 > i92 >>> 0) {
          i41 = 657;
          break;
         }
         if ((get32(i90 + 264 | 0) | 0) >>> 0 <= i92 >>> 0) {
          i41 = 657;
          break;
         }
         i293 = getU16(i90 + 232 | 0) | 0;
        } while (0);
        if ((i41 | 0) == 657) i293 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i92) | 0;
        set32(i94 | 0, (i293 >>> 0) / 20 | 0 | 0);
        set32(i75 | 0, i92 | 0);
        i286 = i75;
        i287 = i106;
        i288 = get32(i80 | 0) | 0;
        i289 = i92;
        i41 = 659;
       } while (0);
       if ((i41 | 0) == 659) {
        set32(i80 | 0, i288 + 1 | 0);
        set8(i289 + (i82 * 20 | 0) >> 0 | 0, -118 | 0);
        set8(i289 + (i82 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i289 + (i82 * 20 | 0) + 4 | 0, i97 | 0);
        set32(i289 + (i82 * 20 | 0) + 8 | 0, 0 | 0);
        set32(i289 + (i82 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i289 + (i82 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i289 + (i82 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i290 = i82;
        i291 = i287;
        i292 = i286;
       }
       i106 = get32(i291 | 0) | 0;
       i94 = get32(i292 | 0) | 0;
       do if (i94) {
        if (get8(i106 + 30 >> 0 | 0) | 0) break;
        if ((i290 | 0) < 0) i294 = (get32(i80 | 0) | 0) + -1 | 0; else i294 = i290;
        i89 = i94 + (i294 * 20 | 0) + 1 | 0;
        i77 = i94 + (i294 * 20 | 0) + 16 | 0;
        _freeP4(i106, get8(i89 >> 0 | 0) | 0, get32(i77 | 0) | 0);
        set32(i77 | 0, 0 | 0);
        if (!i47) {
         set32(i77 | 0, 0 | 0);
         set8(i89 >> 0 | 0, 0 | 0);
         break L1356;
        } else {
         set32(i77 | 0, i47 | 0);
         set8(i89 >> 0 | 0, -1 | 0);
         break L1356;
        }
       } while (0);
       if (!i47) break;
       _sqlite3DbFree(i106, i47);
      } while (0);
      i94 = get32(i19 | 0) | 0;
      i80 = get32(i94 | 0) | 0;
      i82 = i80 + 1 | 0;
      i97 = get32(i42 | 0) | 0;
      if ((i97 | 0) > 0) {
       i89 = get32(i20 + 16 | 0) | 0;
       i77 = 0;
       i90 = i82;
       i96 = i82;
       while (1) {
        i84 = (get32(i89 + (i77 * 24 | 0) + 12 | 0) | 0) >= (i90 | 0) & 1;
        i85 = i84 + i96 | 0;
        i77 = i77 + 1 | 0;
        if ((i77 | 0) >= (i97 | 0)) {
         i295 = i85;
         break;
        } else {
         i90 = i84 + i90 | 0;
         i96 = i85;
        }
       }
      } else i295 = i82;
      i96 = i1 + 60 | 0;
      i90 = get32(i96 | 0) | 0;
      i97 = i1 + 56 | 0;
      i77 = get32(i97 | 0) | 0;
      if ((i77 | 0) < (i295 | 0)) {
       i89 = get32(i61 | 0) | 0;
       set32(i61 | 0, i89 + i295 | 0);
       i296 = i89 + 1 | 0;
      } else {
       set32(i96 | 0, i90 + i295 | 0);
       set32(i97 | 0, i77 - i295 | 0);
       i296 = i90;
      }
      i90 = i1 + 96 | 0;
      i77 = i1 + 21 | 0;
      i89 = 0;
      i85 = i90;
      while (1) {
       i84 = i85 + 16 | 0;
       i81 = get32(i84 | 0) | 0;
       if (i81) {
        i88 = i85 + 8 | 0;
        if (get8(i88 >> 0 | 0) | 0) {
         i83 = get8(i77 >> 0 | 0) | 0;
         if ((i83 & 255) < 8) {
          set8(i77 >> 0 | 0, i83 + 1 << 24 >> 24 | 0);
          set32(i1 + 24 + ((i83 & 255) << 2) | 0, i81 | 0);
         }
         set8(i88 >> 0 | 0, 0 | 0);
        }
        set32(i84 | 0, 0 | 0);
       }
       i89 = i89 + 1 | 0;
       if ((i89 | 0) == 10) break; else i85 = i85 + 24 | 0;
      }
      i85 = get32(i94 | 0) | 0;
      if ((i85 | 0) > 0) {
       i89 = 0;
       i84 = get32(i94 + 12 | 0) | 0;
       while (1) {
        i88 = i89 + i296 | 0;
        i81 = _sqlite3ExprCodeTarget(i1, get32(i84 | 0) | 0, i88) | 0;
        do if ((i81 | 0) != (i88 | 0)) {
         i83 = get32(i34 | 0) | 0;
         i100 = i83 + 28 | 0;
         i99 = get32(i100 | 0) | 0;
         i107 = i83 + 32 | 0;
         i102 = get32(i107 | 0) | 0;
         if ((i102 | 0) > (i99 | 0)) {
          i297 = i99;
          i298 = get32(i83 + 4 | 0) | 0;
         } else {
          i120 = i83 + 4 | 0;
          i98 = _sqlite3DbRealloc(get32(i83 | 0) | 0, get32(i120 | 0) | 0, (i102 | 0) == 0 ? 1020 : i102 * 40 | 0) | 0;
          if (!i98) break;
          i102 = get32(i83 | 0) | 0;
          do if (!i102) i41 = 693; else {
           if ((get32(i102 + 260 | 0) | 0) >>> 0 > i98 >>> 0) {
            i41 = 693;
            break;
           }
           if ((get32(i102 + 264 | 0) | 0) >>> 0 <= i98 >>> 0) {
            i41 = 693;
            break;
           }
           i299 = getU16(i102 + 232 | 0) | 0;
          } while (0);
          if ((i41 | 0) == 693) {
           i41 = 0;
           i299 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i98) | 0;
          }
          set32(i107 | 0, (i299 >>> 0) / 20 | 0 | 0);
          set32(i120 | 0, i98 | 0);
          i297 = get32(i100 | 0) | 0;
          i298 = i98;
         }
         set32(i100 | 0, i297 + 1 | 0);
         set8(i298 + (i99 * 20 | 0) >> 0 | 0, 15 | 0);
         set8(i298 + (i99 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i298 + (i99 * 20 | 0) + 4 | 0, i81 | 0);
         set32(i298 + (i99 * 20 | 0) + 8 | 0, i88 | 0);
         set32(i298 + (i99 * 20 | 0) + 12 | 0, 0 | 0);
         set32(i298 + (i99 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i298 + (i99 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        } while (0);
        i89 = i89 + 1 | 0;
        if ((i89 | 0) == (i85 | 0)) break; else i84 = i84 + 20 | 0;
       }
      }
      i84 = get32(i57 | 0) | 0;
      i85 = i296 + i80 | 0;
      i89 = get32(i74 | 0) | 0;
      i94 = get32(i78 | 0) | 0;
      do if ((i94 | 0) > (i89 | 0)) {
       i300 = i89;
       i301 = get32(i258 | 0) | 0;
       i41 = 706;
      } else {
       i88 = _sqlite3DbRealloc(get32(i257 | 0) | 0, get32(i258 | 0) | 0, (i94 | 0) == 0 ? 1020 : i94 * 40 | 0) | 0;
       if (!i88) break;
       i81 = get32(i257 | 0) | 0;
       do if (!i81) i41 = 704; else {
        if ((get32(i81 + 260 | 0) | 0) >>> 0 > i88 >>> 0) {
         i41 = 704;
         break;
        }
        if ((get32(i81 + 264 | 0) | 0) >>> 0 <= i88 >>> 0) {
         i41 = 704;
         break;
        }
        i302 = getU16(i81 + 232 | 0) | 0;
       } while (0);
       if ((i41 | 0) == 704) i302 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i88) | 0;
       set32(i78 | 0, (i302 >>> 0) / 20 | 0 | 0);
       set32(i258 | 0, i88 | 0);
       i300 = get32(i74 | 0) | 0;
       i301 = i88;
       i41 = 706;
      } while (0);
      if ((i41 | 0) == 706) {
       set32(i74 | 0, i300 + 1 | 0);
       set8(i301 + (i89 * 20 | 0) >> 0 | 0, 53 | 0);
       set8(i301 + (i89 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i301 + (i89 * 20 | 0) + 4 | 0, i84 | 0);
       set32(i301 + (i89 * 20 | 0) + 8 | 0, i85 | 0);
       set32(i301 + (i89 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i301 + (i89 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i301 + (i89 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      }
      i94 = get32(i42 | 0) | 0;
      if ((i94 | 0) > 0) {
       i80 = i20 + 16 | 0;
       i81 = i94;
       i94 = 0;
       i47 = i82;
       while (1) {
        i106 = get32(i80 | 0) | 0;
        if ((get32(i106 + (i94 * 24 | 0) + 12 | 0) | 0) < (i47 | 0)) {
         i303 = i81;
         i304 = i47;
        } else {
         i102 = i47 + i296 | 0;
         i92 = _sqlite3ExprCodeGetColumn(i1, get32(i106 + (i94 * 24 | 0) | 0) | 0, get32(i106 + (i94 * 24 | 0) + 8 | 0) | 0, get32(i106 + (i94 * 24 | 0) + 4 | 0) | 0, i102) | 0;
         do if ((i102 | 0) != (i92 | 0)) {
          i106 = get32(i74 | 0) | 0;
          i75 = get32(i78 | 0) | 0;
          if ((i75 | 0) > (i106 | 0)) {
           i305 = i106;
           i306 = get32(i258 | 0) | 0;
          } else {
           i83 = _sqlite3DbRealloc(get32(i257 | 0) | 0, get32(i258 | 0) | 0, (i75 | 0) == 0 ? 1020 : i75 * 40 | 0) | 0;
           if (!i83) break;
           i75 = get32(i257 | 0) | 0;
           do if (!i75) i41 = 718; else {
            if ((get32(i75 + 260 | 0) | 0) >>> 0 > i83 >>> 0) {
             i41 = 718;
             break;
            }
            if ((get32(i75 + 264 | 0) | 0) >>> 0 <= i83 >>> 0) {
             i41 = 718;
             break;
            }
            i307 = getU16(i75 + 232 | 0) | 0;
           } while (0);
           if ((i41 | 0) == 718) {
            i41 = 0;
            i307 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i83) | 0;
           }
           set32(i78 | 0, (i307 >>> 0) / 20 | 0 | 0);
           set32(i258 | 0, i83 | 0);
           i305 = get32(i74 | 0) | 0;
           i306 = i83;
          }
          set32(i74 | 0, i305 + 1 | 0);
          set8(i306 + (i106 * 20 | 0) >> 0 | 0, 15 | 0);
          set8(i306 + (i106 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
          set32(i306 + (i106 * 20 | 0) + 4 | 0, i92 | 0);
          set32(i306 + (i106 * 20 | 0) + 8 | 0, i102 | 0);
          set32(i306 + (i106 * 20 | 0) + 12 | 0, 0 | 0);
          set32(i306 + (i106 * 20 | 0) + 16 | 0, 0 | 0);
          set8(i306 + (i106 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         } while (0);
         i303 = get32(i42 | 0) | 0;
         i304 = i47 + 1 | 0;
        }
        i94 = i94 + 1 | 0;
        if ((i94 | 0) >= (i303 | 0)) break; else {
         i81 = i303;
         i47 = i304;
        }
       }
      }
      i47 = get8(i77 >> 0 | 0) | 0;
      if (!(i47 << 24 >> 24)) {
       i81 = (get32(i61 | 0) | 0) + 1 | 0;
       set32(i61 | 0, i81 | 0);
       i308 = i81;
      } else {
       i81 = i47 + -1 << 24 >> 24;
       set8(i77 >> 0 | 0, i81 | 0);
       i308 = get32(i1 + 24 + ((i81 & 255) << 2) | 0) | 0;
      }
      i81 = get32(i74 | 0) | 0;
      i47 = get32(i78 | 0) | 0;
      do if ((i47 | 0) > (i81 | 0)) {
       i309 = i81;
       i310 = get32(i258 | 0) | 0;
       i311 = i47;
       i41 = 736;
      } else {
       i94 = _sqlite3DbRealloc(get32(i257 | 0) | 0, get32(i258 | 0) | 0, (i47 | 0) == 0 ? 1020 : i47 * 40 | 0) | 0;
       if (!i94) {
        i312 = get32(i78 | 0) | 0;
        i313 = get32(i74 | 0) | 0;
        break;
       }
       i80 = get32(i257 | 0) | 0;
       do if (!i80) i41 = 734; else {
        if ((get32(i80 + 260 | 0) | 0) >>> 0 > i94 >>> 0) {
         i41 = 734;
         break;
        }
        if ((get32(i80 + 264 | 0) | 0) >>> 0 <= i94 >>> 0) {
         i41 = 734;
         break;
        }
        i314 = getU16(i80 + 232 | 0) | 0;
       } while (0);
       if ((i41 | 0) == 734) i314 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i94) | 0;
       i80 = (i314 >>> 0) / 20 | 0;
       set32(i78 | 0, i80 | 0);
       set32(i258 | 0, i94 | 0);
       i309 = get32(i74 | 0) | 0;
       i310 = i94;
       i311 = i80;
       i41 = 736;
      } while (0);
      if ((i41 | 0) == 736) {
       i47 = i309 + 1 | 0;
       set32(i74 | 0, i47 | 0);
       set8(i310 + (i81 * 20 | 0) >> 0 | 0, 30 | 0);
       set8(i310 + (i81 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i310 + (i81 * 20 | 0) + 4 | 0, i296 | 0);
       set32(i310 + (i81 * 20 | 0) + 8 | 0, i295 | 0);
       set32(i310 + (i81 * 20 | 0) + 12 | 0, i308 | 0);
       set32(i310 + (i81 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i310 + (i81 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i312 = i311;
       i313 = i47;
      }
      i47 = get32(i57 | 0) | 0;
      do if ((i312 | 0) > (i313 | 0)) {
       i315 = i313;
       i316 = get32(i258 | 0) | 0;
       i41 = 746;
      } else {
       i61 = _sqlite3DbRealloc(get32(i257 | 0) | 0, get32(i258 | 0) | 0, (i312 | 0) == 0 ? 1020 : i312 * 40 | 0) | 0;
       if (!i61) break;
       i80 = get32(i257 | 0) | 0;
       do if (!i80) i41 = 744; else {
        if ((get32(i80 + 260 | 0) | 0) >>> 0 > i61 >>> 0) {
         i41 = 744;
         break;
        }
        if ((get32(i80 + 264 | 0) | 0) >>> 0 <= i61 >>> 0) {
         i41 = 744;
         break;
        }
        i317 = getU16(i80 + 232 | 0) | 0;
       } while (0);
       if ((i41 | 0) == 744) i317 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i61) | 0;
       set32(i78 | 0, (i317 >>> 0) / 20 | 0 | 0);
       set32(i258 | 0, i61 | 0);
       i315 = get32(i74 | 0) | 0;
       i316 = i61;
       i41 = 746;
      } while (0);
      if ((i41 | 0) == 746) {
       set32(i74 | 0, i315 + 1 | 0);
       set8(i316 + (i313 * 20 | 0) >> 0 | 0, 70 | 0);
       set8(i316 + (i313 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i316 + (i313 * 20 | 0) + 4 | 0, i47 | 0);
       set32(i316 + (i313 * 20 | 0) + 8 | 0, i308 | 0);
       set32(i316 + (i313 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i316 + (i313 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i316 + (i313 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      }
      L1496 : do if (i308) {
       i81 = get8(i77 >> 0 | 0) | 0;
       if ((i81 & 255) >= 8) break;
       do if ((get32(i1 + 112 | 0) | 0) == (i308 | 0)) i318 = i90; else {
        if ((get32(i1 + 136 | 0) | 0) == (i308 | 0)) {
         i318 = i1 + 120 | 0;
         break;
        }
        if ((get32(i1 + 160 | 0) | 0) == (i308 | 0)) {
         i318 = i1 + 144 | 0;
         break;
        }
        if ((get32(i1 + 184 | 0) | 0) == (i308 | 0)) {
         i318 = i1 + 168 | 0;
         break;
        }
        if ((get32(i1 + 208 | 0) | 0) == (i308 | 0)) {
         i318 = i1 + 192 | 0;
         break;
        }
        if ((get32(i1 + 232 | 0) | 0) == (i308 | 0)) {
         i318 = i1 + 216 | 0;
         break;
        }
        if ((get32(i1 + 256 | 0) | 0) == (i308 | 0)) {
         i318 = i1 + 240 | 0;
         break;
        }
        if ((get32(i1 + 280 | 0) | 0) == (i308 | 0)) {
         i318 = i1 + 264 | 0;
         break;
        }
        if ((get32(i1 + 304 | 0) | 0) == (i308 | 0)) {
         i318 = i1 + 288 | 0;
         break;
        }
        if ((get32(i1 + 328 | 0) | 0) == (i308 | 0)) {
         i318 = i1 + 312 | 0;
         break;
        }
        set8(i77 >> 0 | 0, i81 + 1 << 24 >> 24 | 0);
        set32(i1 + 24 + ((i81 & 255) << 2) | 0, i308 | 0);
        break L1496;
       } while (0);
       set8(i318 + 8 >> 0 | 0, 1 | 0);
      } while (0);
      i47 = i295 + -1 + i296 | 0;
      i81 = 0;
      i61 = i90;
      while (1) {
       i80 = i61 + 16 | 0;
       i94 = get32(i80 | 0) | 0;
       if (!((i94 | 0) < (i296 | 0) | (i94 | 0) > (i47 | 0))) {
        i82 = i61 + 8 | 0;
        if (get8(i82 >> 0 | 0) | 0) {
         i89 = get8(i77 >> 0 | 0) | 0;
         if ((i89 & 255) < 8) {
          set8(i77 >> 0 | 0, i89 + 1 << 24 >> 24 | 0);
          set32(i1 + 24 + ((i89 & 255) << 2) | 0, i94 | 0);
         }
         set8(i82 >> 0 | 0, 0 | 0);
        }
        set32(i80 | 0, 0 | 0);
       }
       i81 = i81 + 1 | 0;
       if ((i81 | 0) == 10) break; else i61 = i61 + 24 | 0;
      }
      if ((get32(i97 | 0) | 0) < (i295 | 0)) {
       set32(i97 | 0, i295 | 0);
       set32(i96 | 0, i296 | 0);
      }
      _sqlite3WhereEnd(i53);
      i61 = get32(i57 | 0) | 0;
      i81 = get32(i74 | 0) | 0;
      i47 = get32(i78 | 0) | 0;
      do if ((i47 | 0) > (i81 | 0)) {
       i319 = i81;
       i320 = get32(i258 | 0) | 0;
       i41 = 780;
      } else {
       i80 = _sqlite3DbRealloc(get32(i257 | 0) | 0, get32(i258 | 0) | 0, (i47 | 0) == 0 ? 1020 : i47 * 40 | 0) | 0;
       if (!i80) break;
       i82 = get32(i257 | 0) | 0;
       do if (!i82) i41 = 778; else {
        if ((get32(i82 + 260 | 0) | 0) >>> 0 > i80 >>> 0) {
         i41 = 778;
         break;
        }
        if ((get32(i82 + 264 | 0) | 0) >>> 0 <= i80 >>> 0) {
         i41 = 778;
         break;
        }
        i321 = getU16(i82 + 232 | 0) | 0;
       } while (0);
       if ((i41 | 0) == 778) i321 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i80) | 0;
       set32(i78 | 0, (i321 >>> 0) / 20 | 0 | 0);
       set32(i258 | 0, i80 | 0);
       i319 = get32(i74 | 0) | 0;
       i320 = i80;
       i41 = 780;
      } while (0);
      if ((i41 | 0) == 780) {
       set32(i74 | 0, i319 + 1 | 0);
       set8(i320 + (i81 * 20 | 0) >> 0 | 0, 64 | 0);
       set8(i320 + (i81 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i320 + (i81 * 20 | 0) + 4 | 0, i61 | 0);
       set32(i320 + (i81 * 20 | 0) + 8 | 0, i63 | 0);
       set32(i320 + (i81 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i320 + (i81 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i320 + (i81 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      }
      set8(i20 + 1 >> 0 | 0, 1 | 0);
      i47 = 0;
      i96 = i90;
      while (1) {
       i97 = i96 + 16 | 0;
       i82 = get32(i97 | 0) | 0;
       if (i82) {
        i94 = i96 + 8 | 0;
        if (get8(i94 >> 0 | 0) | 0) {
         i89 = get8(i77 >> 0 | 0) | 0;
         if ((i89 & 255) < 8) {
          set8(i77 >> 0 | 0, i89 + 1 << 24 >> 24 | 0);
          set32(i1 + 24 + ((i89 & 255) << 2) | 0, i82 | 0);
         }
         set8(i94 >> 0 | 0, 0 | 0);
        }
        set32(i97 | 0, 0 | 0);
       }
       i47 = i47 + 1 | 0;
       if ((i47 | 0) == 10) {
        i282 = i90;
        i283 = i77;
        i284 = 1;
        break;
       } else i96 = i96 + 24 | 0;
      }
     }
     i96 = get32(i74 | 0) | 0;
     i77 = 0;
     i90 = i282;
     while (1) {
      i47 = i90 + 16 | 0;
      i81 = get32(i47 | 0) | 0;
      if (i81) {
       i61 = i90 + 8 | 0;
       if (get8(i61 >> 0 | 0) | 0) {
        i97 = get8(i283 >> 0 | 0) | 0;
        if ((i97 & 255) < 8) {
         set8(i283 >> 0 | 0, i97 + 1 << 24 >> 24 | 0);
         set32(i1 + 24 + ((i97 & 255) << 2) | 0, i81 | 0);
        }
        set8(i61 >> 0 | 0, 0 | 0);
       }
       set32(i47 | 0, 0 | 0);
      }
      i77 = i77 + 1 | 0;
      if ((i77 | 0) == 10) break; else i90 = i90 + 24 | 0;
     }
     i90 = get32(i19 | 0) | 0;
     i77 = get32(i90 | 0) | 0;
     if ((i77 | 0) > 0) {
      i47 = (i284 | 0) == 0;
      i61 = i90;
      i90 = 0;
      while (1) {
       L1569 : do if (i47) {
        set8(i20 >> 0 | 0, 1 | 0);
        i81 = get32((get32(i61 + 12 | 0) | 0) + (i90 * 20 | 0) | 0) | 0;
        i97 = i90 + i95 | 0;
        do if (i81) {
         if ((get8(i81 >> 0 | 0) | 0) != -124) break;
         i94 = get32(i34 | 0) | 0;
         i82 = get32(i81 + 24 | 0) | 0;
         i89 = i94 + 28 | 0;
         i85 = get32(i89 | 0) | 0;
         i84 = i94 + 32 | 0;
         i102 = get32(i84 | 0) | 0;
         if ((i102 | 0) > (i85 | 0)) {
          i322 = i85;
          i323 = get32(i94 + 4 | 0) | 0;
         } else {
          i92 = i94 + 4 | 0;
          i88 = _sqlite3DbRealloc(get32(i94 | 0) | 0, get32(i92 | 0) | 0, (i102 | 0) == 0 ? 1020 : i102 * 40 | 0) | 0;
          if (!i88) break L1569;
          i102 = get32(i94 | 0) | 0;
          do if (!i102) i41 = 819; else {
           if ((get32(i102 + 260 | 0) | 0) >>> 0 > i88 >>> 0) {
            i41 = 819;
            break;
           }
           if ((get32(i102 + 264 | 0) | 0) >>> 0 <= i88 >>> 0) {
            i41 = 819;
            break;
           }
           i324 = getU16(i102 + 232 | 0) | 0;
          } while (0);
          if ((i41 | 0) == 819) {
           i41 = 0;
           i324 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i88) | 0;
          }
          set32(i84 | 0, (i324 >>> 0) / 20 | 0 | 0);
          set32(i92 | 0, i88 | 0);
          i322 = get32(i89 | 0) | 0;
          i323 = i88;
         }
         set32(i89 | 0, i322 + 1 | 0);
         set8(i323 + (i85 * 20 | 0) >> 0 | 0, 14 | 0);
         set8(i323 + (i85 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i323 + (i85 * 20 | 0) + 4 | 0, i82 | 0);
         set32(i323 + (i85 * 20 | 0) + 8 | 0, i97 | 0);
         set32(i323 + (i85 * 20 | 0) + 12 | 0, 0 | 0);
         set32(i323 + (i85 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i323 + (i85 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         break L1569;
        } while (0);
        i106 = _sqlite3ExprCodeTarget(i1, i81, i97) | 0;
        if ((i106 | 0) == (i97 | 0)) break;
        i83 = get32(i34 | 0) | 0;
        if (!i83) break;
        i102 = i83 + 28 | 0;
        i73 = get32(i102 | 0) | 0;
        i94 = i83 + 32 | 0;
        i75 = get32(i94 | 0) | 0;
        if ((i75 | 0) > (i73 | 0)) {
         i325 = i73;
         i326 = get32(i83 + 4 | 0) | 0;
        } else {
         i99 = i83 + 4 | 0;
         i100 = _sqlite3DbRealloc(get32(i83 | 0) | 0, get32(i99 | 0) | 0, (i75 | 0) == 0 ? 1020 : i75 * 40 | 0) | 0;
         if (!i100) break;
         i75 = get32(i83 | 0) | 0;
         do if (!i75) i41 = 831; else {
          if ((get32(i75 + 260 | 0) | 0) >>> 0 > i100 >>> 0) {
           i41 = 831;
           break;
          }
          if ((get32(i75 + 264 | 0) | 0) >>> 0 <= i100 >>> 0) {
           i41 = 831;
           break;
          }
          i327 = getU16(i75 + 232 | 0) | 0;
         } while (0);
         if ((i41 | 0) == 831) {
          i41 = 0;
          i327 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i100) | 0;
         }
         set32(i94 | 0, (i327 >>> 0) / 20 | 0 | 0);
         set32(i99 | 0, i100 | 0);
         i325 = get32(i102 | 0) | 0;
         i326 = i100;
        }
        set32(i102 | 0, i325 + 1 | 0);
        set8(i326 + (i73 * 20 | 0) >> 0 | 0, 15 | 0);
        set8(i326 + (i73 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i326 + (i73 * 20 | 0) + 4 | 0, i106 | 0);
        set32(i326 + (i73 * 20 | 0) + 8 | 0, i97 | 0);
        set32(i326 + (i73 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i326 + (i73 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i326 + (i73 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       } else {
        i75 = get32(i57 | 0) | 0;
        i81 = i90 + i95 | 0;
        i83 = get32(i74 | 0) | 0;
        i98 = get32(i78 | 0) | 0;
        if ((i98 | 0) > (i83 | 0)) {
         i328 = i83;
         i329 = get32(i258 | 0) | 0;
        } else {
         i120 = _sqlite3DbRealloc(get32(i257 | 0) | 0, get32(i258 | 0) | 0, (i98 | 0) == 0 ? 1020 : i98 * 40 | 0) | 0;
         if (!i120) break;
         i98 = get32(i257 | 0) | 0;
         do if (!i98) i41 = 807; else {
          if ((get32(i98 + 260 | 0) | 0) >>> 0 > i120 >>> 0) {
           i41 = 807;
           break;
          }
          if ((get32(i98 + 264 | 0) | 0) >>> 0 <= i120 >>> 0) {
           i41 = 807;
           break;
          }
          i330 = getU16(i98 + 232 | 0) | 0;
         } while (0);
         if ((i41 | 0) == 807) {
          i41 = 0;
          i330 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i120) | 0;
         }
         set32(i78 | 0, (i330 >>> 0) / 20 | 0 | 0);
         set32(i258 | 0, i120 | 0);
         i328 = get32(i74 | 0) | 0;
         i329 = i120;
        }
        set32(i74 | 0, i328 + 1 | 0);
        set8(i329 + (i83 * 20 | 0) >> 0 | 0, 28 | 0);
        set8(i329 + (i83 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i329 + (i83 * 20 | 0) + 4 | 0, i75 | 0);
        set32(i329 + (i83 * 20 | 0) + 8 | 0, i90 | 0);
        set32(i329 + (i83 * 20 | 0) + 12 | 0, i81 | 0);
        set32(i329 + (i83 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i329 + (i83 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       } while (0);
       i90 = i90 + 1 | 0;
       i61 = get32(i19 | 0) | 0;
       i80 = get32(i61 | 0) | 0;
       if ((i90 | 0) >= (i80 | 0)) {
        i331 = i80;
        break;
       }
      }
     } else i331 = i77;
     i90 = get32(i74 | 0) | 0;
     i61 = get32(i78 | 0) | 0;
     do if ((i61 | 0) > (i90 | 0)) {
      i332 = i90;
      i333 = get32(i258 | 0) | 0;
      i41 = 844;
     } else {
      i47 = _sqlite3DbRealloc(get32(i257 | 0) | 0, get32(i258 | 0) | 0, (i61 | 0) == 0 ? 1020 : i61 * 40 | 0) | 0;
      if (!i47) {
       i334 = 1;
       break;
      }
      i80 = get32(i257 | 0) | 0;
      do if (!i80) i41 = 842; else {
       if ((get32(i80 + 260 | 0) | 0) >>> 0 > i47 >>> 0) {
        i41 = 842;
        break;
       }
       if ((get32(i80 + 264 | 0) | 0) >>> 0 <= i47 >>> 0) {
        i41 = 842;
        break;
       }
       i335 = getU16(i80 + 232 | 0) | 0;
      } while (0);
      if ((i41 | 0) == 842) i335 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i47) | 0;
      set32(i78 | 0, (i335 >>> 0) / 20 | 0 | 0);
      set32(i258 | 0, i47 | 0);
      i332 = get32(i74 | 0) | 0;
      i333 = i47;
      i41 = 844;
     } while (0);
     if ((i41 | 0) == 844) {
      set32(i74 | 0, i332 + 1 | 0);
      set8(i333 + (i90 * 20 | 0) >> 0 | 0, 24 | 0);
      set8(i333 + (i90 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i333 + (i90 * 20 | 0) + 4 | 0, i69 | 0);
      set32(i333 + (i90 * 20 | 0) + 8 | 0, i95 | 0);
      set32(i333 + (i90 * 20 | 0) + 12 | 0, i331 | 0);
      set32(i333 + (i90 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i333 + (i90 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i334 = i90;
     }
     _sqlite3VdbeChangeP4(i50, i334, i248, -6);
     i61 = get32(i74 | 0) | 0;
     i77 = i61 + 1 | 0;
     i80 = get32(i78 | 0) | 0;
     do if ((i80 | 0) > (i61 | 0)) {
      i336 = i61;
      i337 = get32(i258 | 0) | 0;
      i41 = 854;
     } else {
      i98 = _sqlite3DbRealloc(get32(i257 | 0) | 0, get32(i258 | 0) | 0, (i80 | 0) == 0 ? 1020 : i80 * 40 | 0) | 0;
      if (!i98) break;
      i73 = get32(i257 | 0) | 0;
      do if (!i73) i41 = 852; else {
       if ((get32(i73 + 260 | 0) | 0) >>> 0 > i98 >>> 0) {
        i41 = 852;
        break;
       }
       if ((get32(i73 + 264 | 0) | 0) >>> 0 <= i98 >>> 0) {
        i41 = 852;
        break;
       }
       i338 = getU16(i73 + 232 | 0) | 0;
      } while (0);
      if ((i41 | 0) == 852) i338 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i98) | 0;
      set32(i78 | 0, (i338 >>> 0) / 20 | 0 | 0);
      set32(i258 | 0, i98 | 0);
      i336 = get32(i74 | 0) | 0;
      i337 = i98;
      i41 = 854;
     } while (0);
     if ((i41 | 0) == 854) {
      set32(i74 | 0, i336 + 1 | 0);
      set8(i337 + (i61 * 20 | 0) >> 0 | 0, 25 | 0);
      set8(i337 + (i61 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i337 + (i61 * 20 | 0) + 4 | 0, i77 | 0);
      set32(i337 + (i61 * 20 | 0) + 8 | 0, 0 | 0);
      set32(i337 + (i61 * 20 | 0) + 12 | 0, i77 | 0);
      set32(i337 + (i61 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i337 + (i61 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     }
     _sqlite3ExprCodeMove(i1, i95, i69, get32(get32(i19 | 0) | 0) | 0);
     i80 = get32(i74 | 0) | 0;
     i90 = get32(i78 | 0) | 0;
     do if ((i90 | 0) > (i80 | 0)) {
      i339 = i80;
      i340 = get32(i258 | 0) | 0;
      i341 = i90;
      i41 = 865;
     } else {
      i73 = _sqlite3DbRealloc(get32(i257 | 0) | 0, get32(i258 | 0) | 0, (i90 | 0) == 0 ? 1020 : i90 * 40 | 0) | 0;
      if (!i73) {
       i342 = get32(i78 | 0) | 0;
       i343 = get32(i74 | 0) | 0;
       break;
      }
      i47 = get32(i257 | 0) | 0;
      do if (!i47) i41 = 863; else {
       if ((get32(i47 + 260 | 0) | 0) >>> 0 > i73 >>> 0) {
        i41 = 863;
        break;
       }
       if ((get32(i47 + 264 | 0) | 0) >>> 0 <= i73 >>> 0) {
        i41 = 863;
        break;
       }
       i344 = getU16(i47 + 232 | 0) | 0;
      } while (0);
      if ((i41 | 0) == 863) i344 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i73) | 0;
      i47 = (i344 >>> 0) / 20 | 0;
      set32(i78 | 0, i47 | 0);
      set32(i258 | 0, i73 | 0);
      i339 = get32(i74 | 0) | 0;
      i340 = i73;
      i341 = i47;
      i41 = 865;
     } while (0);
     if ((i41 | 0) == 865) {
      i90 = i339 + 1 | 0;
      set32(i74 | 0, i90 | 0);
      set8(i340 + (i80 * 20 | 0) >> 0 | 0, 2 | 0);
      set8(i340 + (i80 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i340 + (i80 * 20 | 0) + 4 | 0, i71 | 0);
      set32(i340 + (i80 * 20 | 0) + 8 | 0, i70 | 0);
      set32(i340 + (i80 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i340 + (i80 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i340 + (i80 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i342 = i341;
      i343 = i90;
     }
     do if ((i342 | 0) > (i343 | 0)) {
      i345 = i343;
      i346 = get32(i258 | 0) | 0;
      i347 = i342;
      i41 = 876;
     } else {
      i90 = _sqlite3DbRealloc(get32(i257 | 0) | 0, get32(i258 | 0) | 0, (i342 | 0) == 0 ? 1020 : i342 * 40 | 0) | 0;
      if (!i90) {
       i348 = get32(i78 | 0) | 0;
       i349 = get32(i74 | 0) | 0;
       break;
      }
      i69 = get32(i257 | 0) | 0;
      do if (!i69) i41 = 874; else {
       if ((get32(i69 + 260 | 0) | 0) >>> 0 > i90 >>> 0) {
        i41 = 874;
        break;
       }
       if ((get32(i69 + 264 | 0) | 0) >>> 0 <= i90 >>> 0) {
        i41 = 874;
        break;
       }
       i350 = getU16(i69 + 232 | 0) | 0;
      } while (0);
      if ((i41 | 0) == 874) i350 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i90) | 0;
      i69 = (i350 >>> 0) / 20 | 0;
      set32(i78 | 0, i69 | 0);
      set32(i258 | 0, i90 | 0);
      i345 = get32(i74 | 0) | 0;
      i346 = i90;
      i347 = i69;
      i41 = 876;
     } while (0);
     if ((i41 | 0) == 876) {
      i80 = i345 + 1 | 0;
      set32(i74 | 0, i80 | 0);
      set8(i346 + (i343 * 20 | 0) >> 0 | 0, 113 | 0);
      set8(i346 + (i343 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i346 + (i343 * 20 | 0) + 4 | 0, i58 | 0);
      set32(i346 + (i343 * 20 | 0) + 8 | 0, i63 | 0);
      set32(i346 + (i343 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i346 + (i343 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i346 + (i343 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i348 = i347;
      i349 = i80;
     }
     do if ((i348 | 0) > (i349 | 0)) {
      i351 = i349;
      i352 = get32(i258 | 0) | 0;
      i41 = 887;
     } else {
      i80 = _sqlite3DbRealloc(get32(i257 | 0) | 0, get32(i258 | 0) | 0, (i348 | 0) == 0 ? 1020 : i348 * 40 | 0) | 0;
      if (!i80) {
       i353 = get32(i74 | 0) | 0;
       break;
      }
      i69 = get32(i257 | 0) | 0;
      do if (!i69) i41 = 885; else {
       if ((get32(i69 + 260 | 0) | 0) >>> 0 > i80 >>> 0) {
        i41 = 885;
        break;
       }
       if ((get32(i69 + 264 | 0) | 0) >>> 0 <= i80 >>> 0) {
        i41 = 885;
        break;
       }
       i354 = getU16(i69 + 232 | 0) | 0;
      } while (0);
      if ((i41 | 0) == 885) i354 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i80) | 0;
      set32(i78 | 0, (i354 >>> 0) / 20 | 0 | 0);
      set32(i258 | 0, i80 | 0);
      i351 = get32(i74 | 0) | 0;
      i352 = i80;
      i41 = 887;
     } while (0);
     if ((i41 | 0) == 887) {
      i69 = i351 + 1 | 0;
      set32(i74 | 0, i69 | 0);
      set8(i352 + (i349 * 20 | 0) >> 0 | 0, 2 | 0);
      set8(i352 + (i349 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i352 + (i349 * 20 | 0) + 4 | 0, i76 | 0);
      set32(i352 + (i349 * 20 | 0) + 8 | 0, i79 | 0);
      set32(i352 + (i349 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i352 + (i349 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i352 + (i349 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i353 = i69;
     }
     if ((i353 | 0) > (i61 | 0)) set32((get32(i258 | 0) | 0) + (i61 * 20 | 0) + 8 | 0, i353 | 0);
     _updateAccumulator(i1, i20);
     i69 = get32(i74 | 0) | 0;
     i90 = get32(i78 | 0) | 0;
     do if ((i90 | 0) > (i69 | 0)) {
      i355 = i69;
      i356 = get32(i258 | 0) | 0;
      i41 = 899;
     } else {
      i73 = _sqlite3DbRealloc(get32(i257 | 0) | 0, get32(i258 | 0) | 0, (i90 | 0) == 0 ? 1020 : i90 * 40 | 0) | 0;
      if (!i73) break;
      i95 = get32(i257 | 0) | 0;
      do if (!i95) i41 = 897; else {
       if ((get32(i95 + 260 | 0) | 0) >>> 0 > i73 >>> 0) {
        i41 = 897;
        break;
       }
       if ((get32(i95 + 264 | 0) | 0) >>> 0 <= i73 >>> 0) {
        i41 = 897;
        break;
       }
       i357 = getU16(i95 + 232 | 0) | 0;
      } while (0);
      if ((i41 | 0) == 897) i357 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i73) | 0;
      set32(i78 | 0, (i357 >>> 0) / 20 | 0 | 0);
      set32(i258 | 0, i73 | 0);
      i355 = get32(i74 | 0) | 0;
      i356 = i73;
      i41 = 899;
     } while (0);
     if ((i41 | 0) == 899) {
      set32(i74 | 0, i355 + 1 | 0);
      set8(i356 + (i69 * 20 | 0) >> 0 | 0, 7 | 0);
      set8(i356 + (i69 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i356 + (i69 * 20 | 0) + 4 | 0, 1 | 0);
      set32(i356 + (i69 * 20 | 0) + 8 | 0, i93 | 0);
      set32(i356 + (i69 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i356 + (i69 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i356 + (i69 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     }
     do if (!i284) {
      _sqlite3WhereEnd(i53);
      i90 = get32(i258 | 0) | 0;
      if (!i90) break;
      _freeP4(get32(i257 | 0) | 0, get8(i90 + (i256 * 20 | 0) + 1 >> 0 | 0) | 0, get32(i90 + (i256 * 20 | 0) + 16 | 0) | 0);
      i61 = i90 + (i256 * 20 | 0) | 0;
      set32(i61 | 0, 0 | 0);
      set32(i61 + 4 | 0, 0 | 0);
      set32(i61 + 8 | 0, 0 | 0);
      set32(i61 + 12 | 0, 0 | 0);
      set32(i61 + 16 | 0, 0 | 0);
      set8(i61 >> 0 | 0, -119 | 0);
     } else {
      i61 = get32(i57 | 0) | 0;
      i90 = get32(i74 | 0) | 0;
      i79 = get32(i78 | 0) | 0;
      if ((i79 | 0) > (i90 | 0)) {
       i358 = i90;
       i359 = get32(i258 | 0) | 0;
      } else {
       i95 = _sqlite3DbRealloc(get32(i257 | 0) | 0, get32(i258 | 0) | 0, (i79 | 0) == 0 ? 1020 : i79 * 40 | 0) | 0;
       if (!i95) break;
       i79 = get32(i257 | 0) | 0;
       do if (!i79) i41 = 908; else {
        if ((get32(i79 + 260 | 0) | 0) >>> 0 > i95 >>> 0) {
         i41 = 908;
         break;
        }
        if ((get32(i79 + 264 | 0) | 0) >>> 0 <= i95 >>> 0) {
         i41 = 908;
         break;
        }
        i360 = getU16(i79 + 232 | 0) | 0;
       } while (0);
       if ((i41 | 0) == 908) i360 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i95) | 0;
       set32(i78 | 0, (i360 >>> 0) / 20 | 0 | 0);
       set32(i258 | 0, i95 | 0);
       i358 = get32(i74 | 0) | 0;
       i359 = i95;
      }
      set32(i74 | 0, i358 + 1 | 0);
      set8(i359 + (i90 * 20 | 0) >> 0 | 0, 67 | 0);
      set8(i359 + (i90 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i359 + (i90 * 20 | 0) + 4 | 0, i61 | 0);
      set32(i359 + (i90 * 20 | 0) + 8 | 0, i96 | 0);
      set32(i359 + (i90 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i359 + (i90 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i359 + (i90 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     } while (0);
     i96 = get32(i74 | 0) | 0;
     i57 = get32(i78 | 0) | 0;
     do if ((i57 | 0) > (i96 | 0)) {
      i361 = i96;
      i362 = get32(i258 | 0) | 0;
      i363 = i57;
      i41 = 923;
     } else {
      i53 = _sqlite3DbRealloc(get32(i257 | 0) | 0, get32(i258 | 0) | 0, (i57 | 0) == 0 ? 1020 : i57 * 40 | 0) | 0;
      if (!i53) {
       i364 = get32(i78 | 0) | 0;
       i365 = get32(i74 | 0) | 0;
       break;
      }
      i69 = get32(i257 | 0) | 0;
      do if (!i69) i41 = 921; else {
       if ((get32(i69 + 260 | 0) | 0) >>> 0 > i53 >>> 0) {
        i41 = 921;
        break;
       }
       if ((get32(i69 + 264 | 0) | 0) >>> 0 <= i53 >>> 0) {
        i41 = 921;
        break;
       }
       i366 = getU16(i69 + 232 | 0) | 0;
      } while (0);
      if ((i41 | 0) == 921) i366 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i53) | 0;
      i69 = (i366 >>> 0) / 20 | 0;
      set32(i78 | 0, i69 | 0);
      set32(i258 | 0, i53 | 0);
      i361 = get32(i74 | 0) | 0;
      i362 = i53;
      i363 = i69;
      i41 = 923;
     } while (0);
     if ((i41 | 0) == 923) {
      i57 = i361 + 1 | 0;
      set32(i74 | 0, i57 | 0);
      set8(i362 + (i96 * 20 | 0) >> 0 | 0, 2 | 0);
      set8(i362 + (i96 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i362 + (i96 * 20 | 0) + 4 | 0, i71 | 0);
      set32(i362 + (i96 * 20 | 0) + 8 | 0, i70 | 0);
      set32(i362 + (i96 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i362 + (i96 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i362 + (i96 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i364 = i363;
      i365 = i57;
     }
     do if ((i364 | 0) > (i365 | 0)) {
      i367 = i365;
      i368 = get32(i258 | 0) | 0;
      i369 = i364;
      i41 = 934;
     } else {
      i57 = _sqlite3DbRealloc(get32(i257 | 0) | 0, get32(i258 | 0) | 0, (i364 | 0) == 0 ? 1020 : i364 * 40 | 0) | 0;
      if (!i57) {
       i370 = get32(i74 | 0) | 0;
       i371 = get32(i78 | 0) | 0;
       break;
      }
      i69 = get32(i257 | 0) | 0;
      do if (!i69) i41 = 932; else {
       if ((get32(i69 + 260 | 0) | 0) >>> 0 > i57 >>> 0) {
        i41 = 932;
        break;
       }
       if ((get32(i69 + 264 | 0) | 0) >>> 0 <= i57 >>> 0) {
        i41 = 932;
        break;
       }
       i372 = getU16(i69 + 232 | 0) | 0;
      } while (0);
      if ((i41 | 0) == 932) i372 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i57) | 0;
      i69 = (i372 >>> 0) / 20 | 0;
      set32(i78 | 0, i69 | 0);
      set32(i258 | 0, i57 | 0);
      i367 = get32(i74 | 0) | 0;
      i368 = i57;
      i369 = i69;
      i41 = 934;
     } while (0);
     if ((i41 | 0) == 934) {
      i96 = i367 + 1 | 0;
      set32(i74 | 0, i96 | 0);
      set8(i368 + (i365 * 20 | 0) >> 0 | 0, 1 | 0);
      set8(i368 + (i365 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i368 + (i365 * 20 | 0) + 4 | 0, 0 | 0);
      set32(i368 + (i365 * 20 | 0) + 8 | 0, i63 | 0);
      set32(i368 + (i365 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i368 + (i365 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i368 + (i365 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i370 = i96;
      i371 = i369;
     }
     do if ((i371 | 0) > (i370 | 0)) {
      i373 = i370;
      i374 = get32(i258 | 0) | 0;
      i375 = i371;
      i41 = 945;
     } else {
      i96 = _sqlite3DbRealloc(get32(i257 | 0) | 0, get32(i258 | 0) | 0, (i371 | 0) == 0 ? 1020 : i371 * 40 | 0) | 0;
      if (!i96) {
       i376 = get32(i78 | 0) | 0;
       i377 = get32(i74 | 0) | 0;
       break;
      }
      i70 = get32(i257 | 0) | 0;
      do if (!i70) i41 = 943; else {
       if ((get32(i70 + 260 | 0) | 0) >>> 0 > i96 >>> 0) {
        i41 = 943;
        break;
       }
       if ((get32(i70 + 264 | 0) | 0) >>> 0 <= i96 >>> 0) {
        i41 = 943;
        break;
       }
       i378 = getU16(i70 + 232 | 0) | 0;
      } while (0);
      if ((i41 | 0) == 943) i378 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i96) | 0;
      i70 = (i378 >>> 0) / 20 | 0;
      set32(i78 | 0, i70 | 0);
      set32(i258 | 0, i96 | 0);
      i373 = get32(i74 | 0) | 0;
      i374 = i96;
      i375 = i70;
      i41 = 945;
     } while (0);
     if ((i41 | 0) == 945) {
      i70 = i373 + 1 | 0;
      set32(i74 | 0, i70 | 0);
      set8(i374 + (i370 * 20 | 0) >> 0 | 0, 7 | 0);
      set8(i374 + (i370 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i374 + (i370 * 20 | 0) + 4 | 0, 1 | 0);
      set32(i374 + (i370 * 20 | 0) + 8 | 0, i58 | 0);
      set32(i374 + (i370 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i374 + (i370 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i374 + (i370 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i376 = i375;
      i377 = i70;
     }
     do if ((i376 | 0) > (i377 | 0)) {
      i379 = i377;
      i380 = get32(i258 | 0) | 0;
      i41 = 955;
     } else {
      i70 = _sqlite3DbRealloc(get32(i257 | 0) | 0, get32(i258 | 0) | 0, (i376 | 0) == 0 ? 1020 : i376 * 40 | 0) | 0;
      if (!i70) break;
      i57 = get32(i257 | 0) | 0;
      do if (!i57) i41 = 953; else {
       if ((get32(i57 + 260 | 0) | 0) >>> 0 > i70 >>> 0) {
        i41 = 953;
        break;
       }
       if ((get32(i57 + 264 | 0) | 0) >>> 0 <= i70 >>> 0) {
        i41 = 953;
        break;
       }
       i381 = getU16(i57 + 232 | 0) | 0;
      } while (0);
      if ((i41 | 0) == 953) i381 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i70) | 0;
      set32(i78 | 0, (i381 >>> 0) / 20 | 0 | 0);
      set32(i258 | 0, i70 | 0);
      i379 = get32(i74 | 0) | 0;
      i380 = i70;
      i41 = 955;
     } while (0);
     if ((i41 | 0) == 955) {
      set32(i74 | 0, i379 + 1 | 0);
      set8(i380 + (i377 * 20 | 0) >> 0 | 0, 3 | 0);
      set8(i380 + (i377 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i380 + (i377 * 20 | 0) + 4 | 0, i71 | 0);
      set32(i380 + (i377 * 20 | 0) + 8 | 0, 0 | 0);
      set32(i380 + (i377 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i380 + (i377 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i380 + (i377 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     }
     i58 = i50 + 44 | 0;
     i57 = get32(i58 | 0) | 0;
     if (i57) set32(i57 + (i68 << 2) | 0, get32(i74 | 0) | 0);
     i57 = get32(i74 | 0) | 0;
     i96 = i57 + 2 | 0;
     i69 = get32(i78 | 0) | 0;
     do if ((i69 | 0) > (i57 | 0)) {
      i382 = i57;
      i383 = get32(i258 | 0) | 0;
      i384 = i69;
      i41 = 968;
     } else {
      i53 = _sqlite3DbRealloc(get32(i257 | 0) | 0, get32(i258 | 0) | 0, (i69 | 0) == 0 ? 1020 : i69 * 40 | 0) | 0;
      if (!i53) {
       i385 = get32(i78 | 0) | 0;
       i386 = get32(i74 | 0) | 0;
       break;
      }
      i90 = get32(i257 | 0) | 0;
      do if (!i90) i41 = 966; else {
       if ((get32(i90 + 260 | 0) | 0) >>> 0 > i53 >>> 0) {
        i41 = 966;
        break;
       }
       if ((get32(i90 + 264 | 0) | 0) >>> 0 <= i53 >>> 0) {
        i41 = 966;
        break;
       }
       i387 = getU16(i90 + 232 | 0) | 0;
      } while (0);
      if ((i41 | 0) == 966) i387 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i53) | 0;
      i90 = (i387 >>> 0) / 20 | 0;
      set32(i78 | 0, i90 | 0);
      set32(i258 | 0, i53 | 0);
      i382 = get32(i74 | 0) | 0;
      i383 = i53;
      i384 = i90;
      i41 = 968;
     } while (0);
     if ((i41 | 0) == 968) {
      i69 = i382 + 1 | 0;
      set32(i74 | 0, i69 | 0);
      set8(i383 + (i57 * 20 | 0) >> 0 | 0, 113 | 0);
      set8(i383 + (i57 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i383 + (i57 * 20 | 0) + 4 | 0, i93 | 0);
      set32(i383 + (i57 * 20 | 0) + 8 | 0, i96 | 0);
      set32(i383 + (i57 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i383 + (i57 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i383 + (i57 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i385 = i384;
      i386 = i69;
     }
     do if ((i385 | 0) > (i386 | 0)) {
      i388 = i386;
      i389 = get32(i258 | 0) | 0;
      i41 = 978;
     } else {
      i69 = _sqlite3DbRealloc(get32(i257 | 0) | 0, get32(i258 | 0) | 0, (i385 | 0) == 0 ? 1020 : i385 * 40 | 0) | 0;
      if (!i69) break;
      i68 = get32(i257 | 0) | 0;
      do if (!i68) i41 = 976; else {
       if ((get32(i68 + 260 | 0) | 0) >>> 0 > i69 >>> 0) {
        i41 = 976;
        break;
       }
       if ((get32(i68 + 264 | 0) | 0) >>> 0 <= i69 >>> 0) {
        i41 = 976;
        break;
       }
       i390 = getU16(i68 + 232 | 0) | 0;
      } while (0);
      if ((i41 | 0) == 976) i390 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i69) | 0;
      set32(i78 | 0, (i390 >>> 0) / 20 | 0 | 0);
      set32(i258 | 0, i69 | 0);
      i388 = get32(i74 | 0) | 0;
      i389 = i69;
      i41 = 978;
     } while (0);
     if ((i41 | 0) == 978) {
      set32(i74 | 0, i388 + 1 | 0);
      set8(i389 + (i386 * 20 | 0) >> 0 | 0, 3 | 0);
      set8(i389 + (i386 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i389 + (i386 * 20 | 0) + 4 | 0, i71 | 0);
      set32(i389 + (i386 * 20 | 0) + 8 | 0, 0 | 0);
      set32(i389 + (i386 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i389 + (i386 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i389 + (i386 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     }
     i96 = get32(i34 | 0) | 0;
     if ((get32(i59 | 0) | 0) > 0) {
      i93 = i96 + 28 | 0;
      i68 = i96 + 32 | 0;
      i53 = i96 + 4 | 0;
      i90 = 0;
      i70 = get32(i20 + 32 | 0) | 0;
      while (1) {
       i61 = get32((get32(i70 | 0) | 0) + 16 | 0) | 0;
       i95 = get32(i70 + 8 | 0) | 0;
       if (!i61) i391 = 0; else i391 = get32(i61 | 0) | 0;
       i61 = get32(i70 + 4 | 0) | 0;
       i79 = get32(i93 | 0) | 0;
       i73 = get32(i68 | 0) | 0;
       do if ((i73 | 0) > (i79 | 0)) {
        i392 = i79;
        i393 = get32(i53 | 0) | 0;
        i41 = 992;
       } else {
        i80 = _sqlite3DbRealloc(get32(i96 | 0) | 0, get32(i53 | 0) | 0, (i73 | 0) == 0 ? 1020 : i73 * 40 | 0) | 0;
        if (!i80) {
         i394 = 1;
         break;
        }
        i77 = get32(i96 | 0) | 0;
        do if (!i77) i41 = 990; else {
         if ((get32(i77 + 260 | 0) | 0) >>> 0 > i80 >>> 0) {
          i41 = 990;
          break;
         }
         if ((get32(i77 + 264 | 0) | 0) >>> 0 <= i80 >>> 0) {
          i41 = 990;
          break;
         }
         i395 = getU16(i77 + 232 | 0) | 0;
        } while (0);
        if ((i41 | 0) == 990) {
         i41 = 0;
         i395 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i80) | 0;
        }
        set32(i68 | 0, (i395 >>> 0) / 20 | 0 | 0);
        set32(i53 | 0, i80 | 0);
        i392 = get32(i93 | 0) | 0;
        i393 = i80;
        i41 = 992;
       } while (0);
       if ((i41 | 0) == 992) {
        i41 = 0;
        set32(i93 | 0, i392 + 1 | 0);
        set8(i393 + (i79 * 20 | 0) >> 0 | 0, 117 | 0);
        set8(i393 + (i79 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i393 + (i79 * 20 | 0) + 4 | 0, i95 | 0);
        set32(i393 + (i79 * 20 | 0) + 8 | 0, i391 | 0);
        set32(i393 + (i79 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i393 + (i79 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i393 + (i79 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i394 = i79;
       }
       i73 = get32(i96 | 0) | 0;
       i69 = get32(i53 | 0) | 0;
       do if (i69) {
        if (get8(i73 + 30 >> 0 | 0) | 0) {
         i41 = 995;
         break;
        }
        if ((i394 | 0) < 0) i396 = (get32(i93 | 0) | 0) + -1 | 0; else i396 = i394;
        i77 = i69 + (i396 * 20 | 0) + 1 | 0;
        i83 = i69 + (i396 * 20 | 0) + 16 | 0;
        _freeP4(i73, get8(i77 >> 0 | 0) | 0, get32(i83 | 0) | 0);
        set32(i83 | 0, 0 | 0);
        if (!i61) {
         set32(i83 | 0, 0 | 0);
         set8(i77 >> 0 | 0, 0 | 0);
         break;
        } else {
         set32(i83 | 0, i61 | 0);
         set8(i77 >> 0 | 0, -5 | 0);
         break;
        }
       } else i41 = 995; while (0);
       do if ((i41 | 0) == 995) {
        i41 = 0;
        if (!i61) break;
        if (!(get8(i61 + 3 >> 0 | 0) & 4)) break;
        _sqlite3DbFree(i73, i61);
       } while (0);
       i90 = i90 + 1 | 0;
       if ((i90 | 0) >= (get32(i59 | 0) | 0)) break; else i70 = i70 + 16 | 0;
      }
     }
     i70 = i57 + 1 | 0;
     _sqlite3ExprIfFalse(i1, i56, i70, 8);
     _selectInnerLoop(i1, i2, get32(i2 | 0) | 0, 0, 0, get32(i18 | 0) | 0, i164, i3, i70, i370);
     i70 = get32(i74 | 0) | 0;
     i90 = get32(i78 | 0) | 0;
     do if ((i90 | 0) > (i70 | 0)) {
      i397 = i70;
      i398 = get32(i258 | 0) | 0;
      i41 = 1013;
     } else {
      i93 = _sqlite3DbRealloc(get32(i257 | 0) | 0, get32(i258 | 0) | 0, (i90 | 0) == 0 ? 1020 : i90 * 40 | 0) | 0;
      if (!i93) break;
      i53 = get32(i257 | 0) | 0;
      do if (!i53) i41 = 1011; else {
       if ((get32(i53 + 260 | 0) | 0) >>> 0 > i93 >>> 0) {
        i41 = 1011;
        break;
       }
       if ((get32(i53 + 264 | 0) | 0) >>> 0 <= i93 >>> 0) {
        i41 = 1011;
        break;
       }
       i399 = getU16(i53 + 232 | 0) | 0;
      } while (0);
      if ((i41 | 0) == 1011) i399 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i93) | 0;
      set32(i78 | 0, (i399 >>> 0) / 20 | 0 | 0);
      set32(i258 | 0, i93 | 0);
      i397 = get32(i74 | 0) | 0;
      i398 = i93;
      i41 = 1013;
     } while (0);
     if ((i41 | 0) == 1013) {
      set32(i74 | 0, i397 + 1 | 0);
      set8(i398 + (i70 * 20 | 0) >> 0 | 0, 3 | 0);
      set8(i398 + (i70 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i398 + (i70 * 20 | 0) + 4 | 0, i71 | 0);
      set32(i398 + (i70 * 20 | 0) + 8 | 0, 0 | 0);
      set32(i398 + (i70 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i398 + (i70 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i398 + (i70 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     }
     i90 = get32(i58 | 0) | 0;
     if (i90) set32(i90 + (i72 << 2) | 0, get32(i74 | 0) | 0);
     _resetAccumulator(i1, i20);
     i90 = get32(i74 | 0) | 0;
     i57 = get32(i78 | 0) | 0;
     if ((i57 | 0) > (i90 | 0)) {
      i400 = i90;
      i401 = get32(i258 | 0) | 0;
     } else {
      i53 = _sqlite3DbRealloc(get32(i257 | 0) | 0, get32(i258 | 0) | 0, (i57 | 0) == 0 ? 1020 : i57 * 40 | 0) | 0;
      if (!i53) break;
      i57 = get32(i257 | 0) | 0;
      do if (!i57) i41 = 1023; else {
       if ((get32(i57 + 260 | 0) | 0) >>> 0 > i53 >>> 0) {
        i41 = 1023;
        break;
       }
       if ((get32(i57 + 264 | 0) | 0) >>> 0 <= i53 >>> 0) {
        i41 = 1023;
        break;
       }
       i402 = getU16(i57 + 232 | 0) | 0;
      } while (0);
      if ((i41 | 0) == 1023) i402 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i53) | 0;
      set32(i78 | 0, (i402 >>> 0) / 20 | 0 | 0);
      set32(i258 | 0, i53 | 0);
      i400 = get32(i74 | 0) | 0;
      i401 = i53;
     }
     set32(i74 | 0, i400 + 1 | 0);
     set8(i401 + (i90 * 20 | 0) >> 0 | 0, 3 | 0);
     set8(i401 + (i90 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i401 + (i90 * 20 | 0) + 4 | 0, i76 | 0);
     set32(i401 + (i90 * 20 | 0) + 8 | 0, 0 | 0);
     set32(i401 + (i90 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i401 + (i90 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i401 + (i90 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    } while (0);
    i49 = get32(i50 + 44 | 0) | 0;
    if (i49) set32(i49 + (i55 << 2) | 0, get32(i50 + 28 | 0) | 0);
    break L680;
   } while (0);
   i41 = 1621;
   break L40;
  } while (0);
  L1892 : do if ((i164 | 0) > -1) {
   if ((get8(i1 + 484 >> 0 | 0) | 0) != 2) break;
   i56 = get32(i34 | 0) | 0;
   i62 = get32(i1 | 0) | 0;
   set32(i6 | 0, 31971 | 0);
   i39 = _sqlite3MPrintf(i62, 32873, i6) | 0;
   i62 = get32(i24 | 0) | 0;
   i46 = i56 + 28 | 0;
   i44 = get32(i46 | 0) | 0;
   i52 = i56 + 32 | 0;
   i43 = get32(i52 | 0) | 0;
   do if ((i43 | 0) > (i44 | 0)) {
    i55 = i56 + 4 | 0;
    i403 = i55;
    i404 = i56;
    i405 = i44;
    i406 = get32(i55 | 0) | 0;
    i41 = 1338;
   } else {
    i55 = i56 + 4 | 0;
    i59 = _sqlite3DbRealloc(get32(i56 | 0) | 0, get32(i55 | 0) | 0, (i43 | 0) == 0 ? 1020 : i43 * 40 | 0) | 0;
    if (!i59) {
     i407 = 1;
     i408 = i56;
     i409 = i55;
     break;
    }
    i63 = get32(i56 | 0) | 0;
    do if (!i63) i41 = 1336; else {
     if ((get32(i63 + 260 | 0) | 0) >>> 0 > i59 >>> 0) {
      i41 = 1336;
      break;
     }
     if ((get32(i63 + 264 | 0) | 0) >>> 0 <= i59 >>> 0) {
      i41 = 1336;
      break;
     }
     i410 = getU16(i63 + 232 | 0) | 0;
    } while (0);
    if ((i41 | 0) == 1336) i410 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i59) | 0;
    set32(i52 | 0, (i410 >>> 0) / 20 | 0 | 0);
    set32(i55 | 0, i59 | 0);
    i403 = i55;
    i404 = i56;
    i405 = get32(i46 | 0) | 0;
    i406 = i59;
    i41 = 1338;
   } while (0);
   if ((i41 | 0) == 1338) {
    set32(i46 | 0, i405 + 1 | 0);
    set8(i406 + (i44 * 20 | 0) >> 0 | 0, -118 | 0);
    set8(i406 + (i44 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i406 + (i44 * 20 | 0) + 4 | 0, i62 | 0);
    set32(i406 + (i44 * 20 | 0) + 8 | 0, 0 | 0);
    set32(i406 + (i44 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i406 + (i44 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i406 + (i44 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i407 = i44;
    i408 = i404;
    i409 = i403;
   }
   i56 = get32(i408 | 0) | 0;
   i52 = get32(i409 | 0) | 0;
   do if (i52) {
    if (get8(i56 + 30 >> 0 | 0) | 0) break;
    if ((i407 | 0) < 0) i411 = (get32(i46 | 0) | 0) + -1 | 0; else i411 = i407;
    i43 = i52 + (i411 * 20 | 0) + 1 | 0;
    i63 = i52 + (i411 * 20 | 0) + 16 | 0;
    _freeP4(i56, get8(i43 >> 0 | 0) | 0, get32(i63 | 0) | 0);
    set32(i63 | 0, 0 | 0);
    if (!i39) {
     set32(i63 | 0, 0 | 0);
     set8(i43 >> 0 | 0, 0 | 0);
     break L1892;
    } else {
     set32(i63 | 0, i39 | 0);
     set8(i43 >> 0 | 0, -1 | 0);
     break L1892;
    }
   } while (0);
   if (!i39) break;
   _sqlite3DbFree(i56, i39);
  } while (0);
  L1921 : do if (!(get32(i18 | 0) | 0)) i412 = i50 + 44 | 0; else {
   L1924 : do if ((get8(i1 + 484 >> 0 | 0) | 0) == 2) {
    i52 = get32(i34 | 0) | 0;
    i46 = get32(i1 | 0) | 0;
    set32(i5 | 0, 31989 | 0);
    i44 = _sqlite3MPrintf(i46, 32873, i5) | 0;
    i46 = get32(i24 | 0) | 0;
    i62 = i52 + 28 | 0;
    i43 = get32(i62 | 0) | 0;
    i63 = i52 + 32 | 0;
    i42 = get32(i63 | 0) | 0;
    do if ((i42 | 0) > (i43 | 0)) {
     i54 = i52 + 4 | 0;
     i413 = i54;
     i414 = i52;
     i415 = i43;
     i416 = get32(i54 | 0) | 0;
     i41 = 1360;
    } else {
     i54 = i52 + 4 | 0;
     i49 = _sqlite3DbRealloc(get32(i52 | 0) | 0, get32(i54 | 0) | 0, (i42 | 0) == 0 ? 1020 : i42 * 40 | 0) | 0;
     if (!i49) {
      i417 = 1;
      i418 = i52;
      i419 = i54;
      break;
     }
     i57 = get32(i52 | 0) | 0;
     do if (!i57) i41 = 1358; else {
      if ((get32(i57 + 260 | 0) | 0) >>> 0 > i49 >>> 0) {
       i41 = 1358;
       break;
      }
      if ((get32(i57 + 264 | 0) | 0) >>> 0 <= i49 >>> 0) {
       i41 = 1358;
       break;
      }
      i420 = getU16(i57 + 232 | 0) | 0;
     } while (0);
     if ((i41 | 0) == 1358) i420 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i49) | 0;
     set32(i63 | 0, (i420 >>> 0) / 20 | 0 | 0);
     set32(i54 | 0, i49 | 0);
     i413 = i54;
     i414 = i52;
     i415 = get32(i62 | 0) | 0;
     i416 = i49;
     i41 = 1360;
    } while (0);
    if ((i41 | 0) == 1360) {
     set32(i62 | 0, i415 + 1 | 0);
     set8(i416 + (i43 * 20 | 0) >> 0 | 0, -118 | 0);
     set8(i416 + (i43 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i416 + (i43 * 20 | 0) + 4 | 0, i46 | 0);
     set32(i416 + (i43 * 20 | 0) + 8 | 0, 0 | 0);
     set32(i416 + (i43 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i416 + (i43 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i416 + (i43 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i417 = i43;
     i418 = i414;
     i419 = i413;
    }
    i52 = get32(i418 | 0) | 0;
    i63 = get32(i419 | 0) | 0;
    do if (i63) {
     if (get8(i52 + 30 >> 0 | 0) | 0) break;
     if ((i417 | 0) < 0) i421 = (get32(i62 | 0) | 0) + -1 | 0; else i421 = i417;
     i42 = i63 + (i421 * 20 | 0) + 1 | 0;
     i59 = i63 + (i421 * 20 | 0) + 16 | 0;
     _freeP4(i52, get8(i42 >> 0 | 0) | 0, get32(i59 | 0) | 0);
     set32(i59 | 0, 0 | 0);
     if (!i44) {
      set32(i59 | 0, 0 | 0);
      set8(i42 >> 0 | 0, 0 | 0);
      break L1924;
     } else {
      set32(i59 | 0, i44 | 0);
      set8(i42 >> 0 | 0, -1 | 0);
      break L1924;
     }
    } while (0);
    if (!i44) break;
    _sqlite3DbFree(i52, i44);
   } while (0);
   i39 = get32(i35 | 0) | 0;
   i56 = get32(i38 | 0) | 0;
   set32(i38 | 0, i56 + 1 | 0);
   i63 = get32(i60 | 0) | 0;
   if ((i56 | 0) < (i63 | 0)) {
    i422 = i50 + 44 | 0;
    i423 = i63;
   } else {
    i62 = get32(i50 | 0) | 0;
    i43 = i50 + 44 | 0;
    i46 = get32(i43 | 0) | 0;
    i42 = _sqlite3DbRealloc(i62, i46, (i63 << 3) + 20 | 0) | 0;
    do if (!i42) {
     _sqlite3DbFree(i62, i46);
     set32(i43 | 0, 0 | 0);
     i41 = 1378;
    } else {
     set32(i43 | 0, i42 | 0);
     i63 = get32(i50 | 0) | 0;
     if (!i63) {
      i41 = 1378;
      break;
     }
     if ((get32(i63 + 260 | 0) | 0) >>> 0 > i42 >>> 0) {
      i41 = 1378;
      break;
     }
     if ((get32(i63 + 264 | 0) | 0) >>> 0 <= i42 >>> 0) {
      i41 = 1378;
      break;
     }
     i424 = getU16(i63 + 232 | 0) | 0;
    } while (0);
    if ((i41 | 0) == 1378) i424 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i42) | 0;
    i46 = i424 >>> 2;
    set32(i60 | 0, i46 | 0);
    i422 = i43;
    i423 = i46;
   }
   i46 = get32(i422 | 0) | 0;
   if (!i46) i425 = i423; else {
    set32(i46 + (i56 << 2) | 0, -1 | 0);
    i425 = get32(i60 | 0) | 0;
   }
   i46 = ~i56;
   i62 = get32(i38 | 0) | 0;
   set32(i38 | 0, i62 + 1 | 0);
   if ((i62 | 0) < (i425 | 0)) i426 = i50 + 44 | 0; else {
    i63 = get32(i50 | 0) | 0;
    i59 = i50 + 44 | 0;
    i55 = get32(i59 | 0) | 0;
    i57 = _sqlite3DbRealloc(i63, i55, (i425 << 3) + 20 | 0) | 0;
    do if (!i57) {
     _sqlite3DbFree(i63, i55);
     set32(i59 | 0, 0 | 0);
     i41 = 1390;
    } else {
     set32(i59 | 0, i57 | 0);
     i90 = get32(i50 | 0) | 0;
     if (!i90) {
      i41 = 1390;
      break;
     }
     if ((get32(i90 + 260 | 0) | 0) >>> 0 > i57 >>> 0) {
      i41 = 1390;
      break;
     }
     if ((get32(i90 + 264 | 0) | 0) >>> 0 <= i57 >>> 0) {
      i41 = 1390;
      break;
     }
     i427 = getU16(i90 + 232 | 0) | 0;
    } while (0);
    if ((i41 | 0) == 1390) i427 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i57) | 0;
    set32(i60 | 0, i427 >>> 2 | 0);
    i426 = i59;
   }
   i55 = get32(i426 | 0) | 0;
   if (i55) set32(i55 + (i62 << 2) | 0, -1 | 0);
   i55 = ~i62;
   i63 = get32(i37 | 0) | 0;
   i43 = get8(i3 >> 0 | 0) | 0;
   i42 = i43 & 255;
   i90 = i3 + 4 | 0;
   i76 = get32(i90 | 0) | 0;
   i74 = get32(i63 + 8 | 0) | 0;
   i53 = i1 + 21 | 0;
   i78 = get8(i53 >> 0 | 0) | 0;
   if (!(i78 << 24 >> 24)) {
    i72 = i1 + 72 | 0;
    i58 = (get32(i72 | 0) | 0) + 1 | 0;
    set32(i72 | 0, i58 | 0);
    i428 = i58;
    i429 = 0;
   } else {
    i58 = i78 + -1 << 24 >> 24;
    set8(i53 >> 0 | 0, i58 | 0);
    i428 = get32(i1 + 24 + ((i58 & 255) << 2) | 0) | 0;
    i429 = i58;
   }
   i58 = i43 << 24 >> 24 == 5;
   L1988 : do switch (i43 << 24 >> 24) {
   case 5:
   case 10:
    {
     i78 = i1 + 68 | 0;
     i72 = get32(i78 | 0) | 0;
     set32(i78 | 0, i72 + 1 | 0);
     i78 = i50 + 28 | 0;
     i70 = get32(i78 | 0) | 0;
     i71 = i50 + 32 | 0;
     i96 = get32(i71 | 0) | 0;
     if ((i96 | 0) > (i70 | 0)) {
      i430 = i70;
      i431 = get32(i50 + 4 | 0) | 0;
     } else {
      i68 = i50 + 4 | 0;
      i61 = _sqlite3DbRealloc(get32(i50 | 0) | 0, get32(i68 | 0) | 0, (i96 | 0) == 0 ? 1020 : i96 * 40 | 0) | 0;
      if (!i61) {
       i432 = i72;
       i433 = 0;
       break L1988;
      }
      i96 = get32(i50 | 0) | 0;
      do if (!i96) i41 = 1405; else {
       if ((get32(i96 + 260 | 0) | 0) >>> 0 > i61 >>> 0) {
        i41 = 1405;
        break;
       }
       if ((get32(i96 + 264 | 0) | 0) >>> 0 <= i61 >>> 0) {
        i41 = 1405;
        break;
       }
       i434 = getU16(i96 + 232 | 0) | 0;
      } while (0);
      if ((i41 | 0) == 1405) i434 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i61) | 0;
      set32(i71 | 0, (i434 >>> 0) / 20 | 0 | 0);
      set32(i68 | 0, i61 | 0);
      i430 = get32(i78 | 0) | 0;
      i431 = i61;
     }
     set32(i78 | 0, i430 + 1 | 0);
     set8(i431 + (i70 * 20 | 0) >> 0 | 0, 42 | 0);
     set8(i431 + (i70 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i431 + (i70 * 20 | 0) + 4 | 0, i72 | 0);
     set32(i431 + (i70 * 20 | 0) + 8 | 0, i428 | 0);
     set32(i431 + (i70 * 20 | 0) + 12 | 0, i39 | 0);
     set32(i431 + (i70 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i431 + (i70 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i432 = i72;
     i433 = 0;
     break;
    }
   default:
    if (!(i429 << 24 >> 24)) {
     i96 = i1 + 72 | 0;
     i44 = (get32(i96 | 0) | 0) + 1 | 0;
     set32(i96 | 0, i44 | 0);
     i432 = 0;
     i433 = i44;
     break L1988;
    } else {
     i44 = i429 + -1 << 24 >> 24;
     set8(i53 >> 0 | 0, i44 | 0);
     i432 = 0;
     i433 = get32(i1 + 24 + ((i44 & 255) << 2) | 0) | 0;
     break L1988;
    }
   } while (0);
   i59 = i50 + 28 | 0;
   i57 = get32(i59 | 0) | 0;
   i44 = i50 + 32 | 0;
   i96 = get32(i44 | 0) | 0;
   do if ((i96 | 0) > (i57 | 0)) {
    i435 = i57;
    i436 = get32(i50 + 4 | 0) | 0;
    i41 = 1421;
   } else {
    i52 = i50 + 4 | 0;
    i73 = _sqlite3DbRealloc(get32(i50 | 0) | 0, get32(i52 | 0) | 0, (i96 | 0) == 0 ? 1020 : i96 * 40 | 0) | 0;
    if (!i73) {
     i437 = 1;
     i438 = get32(i59 | 0) | 0;
     break;
    }
    i69 = get32(i50 | 0) | 0;
    do if (!i69) i41 = 1419; else {
     if ((get32(i69 + 260 | 0) | 0) >>> 0 > i73 >>> 0) {
      i41 = 1419;
      break;
     }
     if ((get32(i69 + 264 | 0) | 0) >>> 0 <= i73 >>> 0) {
      i41 = 1419;
      break;
     }
     i439 = getU16(i69 + 232 | 0) | 0;
    } while (0);
    if ((i41 | 0) == 1419) i439 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i73) | 0;
    set32(i44 | 0, (i439 >>> 0) / 20 | 0 | 0);
    set32(i52 | 0, i73 | 0);
    i435 = get32(i59 | 0) | 0;
    i436 = i73;
    i41 = 1421;
   } while (0);
   if ((i41 | 0) == 1421) {
    i96 = i435 + 1 | 0;
    set32(i59 | 0, i96 | 0);
    set8(i436 + (i57 * 20 | 0) >> 0 | 0, 64 | 0);
    set8(i436 + (i57 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i436 + (i57 * 20 | 0) + 4 | 0, i74 | 0);
    set32(i436 + (i57 * 20 | 0) + 8 | 0, i46 | 0);
    set32(i436 + (i57 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i436 + (i57 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i436 + (i57 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i437 = i57;
    i438 = i96;
   }
   i96 = i437 + 1 | 0;
   i69 = i2 + 52 | 0;
   i72 = get32(i69 | 0) | 0;
   do if ((i62 | 0) != -1 & (i72 | 0) != 0) {
    i70 = get32(i44 | 0) | 0;
    do if ((i70 | 0) > (i438 | 0)) {
     i440 = i438;
     i441 = get32(i50 + 4 | 0) | 0;
     i442 = i70;
     i41 = 1433;
    } else {
     i78 = i50 + 4 | 0;
     i61 = _sqlite3DbRealloc(get32(i50 | 0) | 0, get32(i78 | 0) | 0, (i70 | 0) == 0 ? 1020 : i70 * 40 | 0) | 0;
     if (!i61) {
      i443 = get32(i44 | 0) | 0;
      i444 = get32(i59 | 0) | 0;
      break;
     }
     i68 = get32(i50 | 0) | 0;
     do if (!i68) i41 = 1431; else {
      if ((get32(i68 + 260 | 0) | 0) >>> 0 > i61 >>> 0) {
       i41 = 1431;
       break;
      }
      if ((get32(i68 + 264 | 0) | 0) >>> 0 <= i61 >>> 0) {
       i41 = 1431;
       break;
      }
      i445 = getU16(i68 + 232 | 0) | 0;
     } while (0);
     if ((i41 | 0) == 1431) i445 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i61) | 0;
     i68 = (i445 >>> 0) / 20 | 0;
     set32(i44 | 0, i68 | 0);
     set32(i78 | 0, i61 | 0);
     i440 = get32(i59 | 0) | 0;
     i441 = i61;
     i442 = i68;
     i41 = 1433;
    } while (0);
    if ((i41 | 0) == 1433) {
     i70 = i440 + 1 | 0;
     set32(i59 | 0, i70 | 0);
     set8(i441 + (i438 * 20 | 0) >> 0 | 0, 20 | 0);
     set8(i441 + (i438 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i441 + (i438 * 20 | 0) + 4 | 0, i72 | 0);
     set32(i441 + (i438 * 20 | 0) + 8 | 0, -1 | 0);
     set32(i441 + (i438 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i441 + (i438 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i441 + (i438 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i443 = i442;
     i444 = i70;
    }
    i70 = get32(i69 | 0) | 0;
    do if ((i443 | 0) > (i444 | 0)) {
     i446 = i444;
     i447 = get32(i50 + 4 | 0) | 0;
     i448 = i443;
     i41 = 1444;
    } else {
     i73 = i50 + 4 | 0;
     i52 = _sqlite3DbRealloc(get32(i50 | 0) | 0, get32(i73 | 0) | 0, (i443 | 0) == 0 ? 1020 : i443 * 40 | 0) | 0;
     if (!i52) {
      i449 = 1;
      i450 = get32(i44 | 0) | 0;
      i451 = get32(i59 | 0) | 0;
      break;
     }
     i68 = get32(i50 | 0) | 0;
     do if (!i68) i41 = 1442; else {
      if ((get32(i68 + 260 | 0) | 0) >>> 0 > i52 >>> 0) {
       i41 = 1442;
       break;
      }
      if ((get32(i68 + 264 | 0) | 0) >>> 0 <= i52 >>> 0) {
       i41 = 1442;
       break;
      }
      i452 = getU16(i68 + 232 | 0) | 0;
     } while (0);
     if ((i41 | 0) == 1442) i452 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i52) | 0;
     i68 = (i452 >>> 0) / 20 | 0;
     set32(i44 | 0, i68 | 0);
     set32(i73 | 0, i52 | 0);
     i446 = get32(i59 | 0) | 0;
     i447 = i52;
     i448 = i68;
     i41 = 1444;
    } while (0);
    if ((i41 | 0) == 1444) {
     i68 = i446 + 1 | 0;
     set32(i59 | 0, i68 | 0);
     set8(i447 + (i444 * 20 | 0) >> 0 | 0, 114 | 0);
     set8(i447 + (i444 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i447 + (i444 * 20 | 0) + 4 | 0, i70 | 0);
     set32(i447 + (i444 * 20 | 0) + 8 | 0, 0 | 0);
     set32(i447 + (i444 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i447 + (i444 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i447 + (i444 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i449 = i444;
     i450 = i448;
     i451 = i68;
    }
    do if ((i450 | 0) > (i451 | 0)) {
     i453 = i451;
     i454 = get32(i50 + 4 | 0) | 0;
     i41 = 1455;
    } else {
     i68 = i50 + 4 | 0;
     i61 = _sqlite3DbRealloc(get32(i50 | 0) | 0, get32(i68 | 0) | 0, (i450 | 0) == 0 ? 1020 : i450 * 40 | 0) | 0;
     if (!i61) {
      i455 = get32(i59 | 0) | 0;
      break;
     }
     i78 = get32(i50 | 0) | 0;
     do if (!i78) i41 = 1453; else {
      if ((get32(i78 + 260 | 0) | 0) >>> 0 > i61 >>> 0) {
       i41 = 1453;
       break;
      }
      if ((get32(i78 + 264 | 0) | 0) >>> 0 <= i61 >>> 0) {
       i41 = 1453;
       break;
      }
      i456 = getU16(i78 + 232 | 0) | 0;
     } while (0);
     if ((i41 | 0) == 1453) i456 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i61) | 0;
     set32(i44 | 0, (i456 >>> 0) / 20 | 0 | 0);
     set32(i68 | 0, i61 | 0);
     i453 = get32(i59 | 0) | 0;
     i454 = i61;
     i41 = 1455;
    } while (0);
    if ((i41 | 0) == 1455) {
     i70 = i453 + 1 | 0;
     set32(i59 | 0, i70 | 0);
     set8(i454 + (i451 * 20 | 0) >> 0 | 0, 1 | 0);
     set8(i454 + (i451 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i454 + (i451 * 20 | 0) + 4 | 0, 0 | 0);
     set32(i454 + (i451 * 20 | 0) + 8 | 0, i55 | 0);
     set32(i454 + (i451 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i454 + (i451 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i454 + (i451 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i455 = i70;
    }
    if ((i455 | 0) <= (i449 | 0)) {
     i457 = i455;
     break;
    }
    set32((get32(i50 + 4 | 0) | 0) + (i449 * 20 | 0) + 8 | 0, i455 | 0);
    i457 = i455;
   } else i457 = i438; while (0);
   i55 = (get32(i63 | 0) | 0) + 1 | 0;
   i69 = get32(i44 | 0) | 0;
   do if ((i69 | 0) > (i457 | 0)) {
    i458 = i457;
    i459 = get32(i50 + 4 | 0) | 0;
    i41 = 1467;
   } else {
    i72 = i50 + 4 | 0;
    i57 = _sqlite3DbRealloc(get32(i50 | 0) | 0, get32(i72 | 0) | 0, (i69 | 0) == 0 ? 1020 : i69 * 40 | 0) | 0;
    if (!i57) break;
    i46 = get32(i50 | 0) | 0;
    do if (!i46) i41 = 1465; else {
     if ((get32(i46 + 260 | 0) | 0) >>> 0 > i57 >>> 0) {
      i41 = 1465;
      break;
     }
     if ((get32(i46 + 264 | 0) | 0) >>> 0 <= i57 >>> 0) {
      i41 = 1465;
      break;
     }
     i460 = getU16(i46 + 232 | 0) | 0;
    } while (0);
    if ((i41 | 0) == 1465) i460 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i57) | 0;
    set32(i44 | 0, (i460 >>> 0) / 20 | 0 | 0);
    set32(i72 | 0, i57 | 0);
    i458 = get32(i59 | 0) | 0;
    i459 = i57;
    i41 = 1467;
   } while (0);
   if ((i41 | 0) == 1467) {
    set32(i59 | 0, i458 + 1 | 0);
    set8(i459 + (i457 * 20 | 0) >> 0 | 0, 28 | 0);
    set8(i459 + (i457 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i459 + (i457 * 20 | 0) + 4 | 0, i74 | 0);
    set32(i459 + (i457 * 20 | 0) + 8 | 0, i55 | 0);
    set32(i459 + (i457 * 20 | 0) + 12 | 0, i428 | 0);
    set32(i459 + (i457 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i459 + (i457 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   }
   L2089 : do switch (i42 | 0) {
   case 9:
   case 8:
    {
     i69 = get32(i59 | 0) | 0;
     i63 = get32(i44 | 0) | 0;
     do if ((i63 | 0) > (i69 | 0)) {
      i461 = i69;
      i462 = get32(i50 + 4 | 0) | 0;
      i463 = i63;
      i41 = 1481;
     } else {
      i46 = i50 + 4 | 0;
      i70 = _sqlite3DbRealloc(get32(i50 | 0) | 0, get32(i46 | 0) | 0, (i63 | 0) == 0 ? 1020 : i63 * 40 | 0) | 0;
      if (!i70) {
       i464 = get32(i44 | 0) | 0;
       i465 = get32(i59 | 0) | 0;
       break;
      }
      i78 = get32(i50 | 0) | 0;
      do if (!i78) i41 = 1479; else {
       if ((get32(i78 + 260 | 0) | 0) >>> 0 > i70 >>> 0) {
        i41 = 1479;
        break;
       }
       if ((get32(i78 + 264 | 0) | 0) >>> 0 <= i70 >>> 0) {
        i41 = 1479;
        break;
       }
       i466 = getU16(i78 + 232 | 0) | 0;
      } while (0);
      if ((i41 | 0) == 1479) i466 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i70) | 0;
      i78 = (i466 >>> 0) / 20 | 0;
      set32(i44 | 0, i78 | 0);
      set32(i46 | 0, i70 | 0);
      i461 = get32(i59 | 0) | 0;
      i462 = i70;
      i463 = i78;
      i41 = 1481;
     } while (0);
     if ((i41 | 0) == 1481) {
      i63 = i461 + 1 | 0;
      set32(i59 | 0, i63 | 0);
      set8(i462 + (i69 * 20 | 0) >> 0 | 0, 54 | 0);
      set8(i462 + (i69 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i462 + (i69 * 20 | 0) + 4 | 0, i76 | 0);
      set32(i462 + (i69 * 20 | 0) + 8 | 0, i433 | 0);
      set32(i462 + (i69 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i462 + (i69 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i462 + (i69 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i464 = i463;
      i465 = i63;
     }
     do if ((i464 | 0) > (i465 | 0)) {
      i63 = i50 + 4 | 0;
      i467 = i63;
      i468 = i465;
      i469 = get32(i63 | 0) | 0;
      i41 = 1491;
     } else {
      i63 = i50 + 4 | 0;
      i57 = _sqlite3DbRealloc(get32(i50 | 0) | 0, get32(i63 | 0) | 0, (i464 | 0) == 0 ? 1020 : i464 * 40 | 0) | 0;
      if (!i57) {
       i470 = i63;
       break;
      }
      i72 = get32(i50 | 0) | 0;
      do if (!i72) i41 = 1489; else {
       if ((get32(i72 + 260 | 0) | 0) >>> 0 > i57 >>> 0) {
        i41 = 1489;
        break;
       }
       if ((get32(i72 + 264 | 0) | 0) >>> 0 <= i57 >>> 0) {
        i41 = 1489;
        break;
       }
       i471 = getU16(i72 + 232 | 0) | 0;
      } while (0);
      if ((i41 | 0) == 1489) i471 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i57) | 0;
      set32(i44 | 0, (i471 >>> 0) / 20 | 0 | 0);
      set32(i63 | 0, i57 | 0);
      i467 = i63;
      i468 = get32(i59 | 0) | 0;
      i469 = i57;
      i41 = 1491;
     } while (0);
     if ((i41 | 0) == 1491) {
      set32(i59 | 0, i468 + 1 | 0);
      set8(i469 + (i465 * 20 | 0) >> 0 | 0, 55 | 0);
      set8(i469 + (i465 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i469 + (i465 * 20 | 0) + 4 | 0, i76 | 0);
      set32(i469 + (i465 * 20 | 0) + 8 | 0, i428 | 0);
      set32(i469 + (i465 * 20 | 0) + 12 | 0, i433 | 0);
      set32(i469 + (i465 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i469 + (i465 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i470 = i467;
     }
     i69 = get32(i470 | 0) | 0;
     if (!i69) break L2089;
     set8(i69 + (((get32(i59 | 0) | 0) + -1 | 0) * 20 | 0) + 3 >> 0 | 0, 8 | 0);
     break;
    }
   case 7:
    {
     i69 = i2 + 5 | 0;
     i72 = get32(i59 | 0) | 0;
     i70 = get32(i44 | 0) | 0;
     do if ((i70 | 0) > (i72 | 0)) {
      i472 = i72;
      i473 = get32(i50 + 4 | 0) | 0;
      i41 = 1503;
     } else {
      i46 = i50 + 4 | 0;
      i78 = _sqlite3DbRealloc(get32(i50 | 0) | 0, get32(i46 | 0) | 0, (i70 | 0) == 0 ? 1020 : i70 * 40 | 0) | 0;
      if (!i78) {
       i474 = 1;
       break;
      }
      i61 = get32(i50 | 0) | 0;
      do if (!i61) i41 = 1501; else {
       if ((get32(i61 + 260 | 0) | 0) >>> 0 > i78 >>> 0) {
        i41 = 1501;
        break;
       }
       if ((get32(i61 + 264 | 0) | 0) >>> 0 <= i78 >>> 0) {
        i41 = 1501;
        break;
       }
       i475 = getU16(i61 + 232 | 0) | 0;
      } while (0);
      if ((i41 | 0) == 1501) i475 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i78) | 0;
      set32(i44 | 0, (i475 >>> 0) / 20 | 0 | 0);
      set32(i46 | 0, i78 | 0);
      i472 = get32(i59 | 0) | 0;
      i473 = i78;
      i41 = 1503;
     } while (0);
     if ((i41 | 0) == 1503) {
      set32(i59 | 0, i472 + 1 | 0);
      set8(i473 + (i72 * 20 | 0) >> 0 | 0, 30 | 0);
      set8(i473 + (i72 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i473 + (i72 * 20 | 0) + 4 | 0, i428 | 0);
      set32(i473 + (i72 * 20 | 0) + 8 | 0, 1 | 0);
      set32(i473 + (i72 * 20 | 0) + 12 | 0, i433 | 0);
      set32(i473 + (i72 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i473 + (i72 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i474 = i72;
     }
     _sqlite3VdbeChangeP4(i50, i474, i69, 1);
     i70 = 0;
     i61 = i1 + 96 | 0;
     while (1) {
      i57 = i61 + 16 | 0;
      if ((get32(i57 | 0) | 0) == (i428 | 0)) {
       i63 = i61 + 8 | 0;
       if (get8(i63 >> 0 | 0) | 0) {
        i68 = get8(i53 >> 0 | 0) | 0;
        if ((i68 & 255) < 8) {
         set8(i53 >> 0 | 0, i68 + 1 << 24 >> 24 | 0);
         set32(i1 + 24 + ((i68 & 255) << 2) | 0, i428 | 0);
        }
        set8(i63 >> 0 | 0, 0 | 0);
       }
       set32(i57 | 0, 0 | 0);
      }
      i70 = i70 + 1 | 0;
      if ((i70 | 0) == 10) break; else i61 = i61 + 24 | 0;
     }
     i61 = get32(i59 | 0) | 0;
     i70 = get32(i44 | 0) | 0;
     if ((i70 | 0) > (i61 | 0)) {
      i476 = i61;
      i477 = get32(i50 + 4 | 0) | 0;
     } else {
      i69 = i50 + 4 | 0;
      i72 = _sqlite3DbRealloc(get32(i50 | 0) | 0, get32(i69 | 0) | 0, (i70 | 0) == 0 ? 1020 : i70 * 40 | 0) | 0;
      if (!i72) break L2089;
      i70 = get32(i50 | 0) | 0;
      do if (!i70) i41 = 1519; else {
       if ((get32(i70 + 260 | 0) | 0) >>> 0 > i72 >>> 0) {
        i41 = 1519;
        break;
       }
       if ((get32(i70 + 264 | 0) | 0) >>> 0 <= i72 >>> 0) {
        i41 = 1519;
        break;
       }
       i478 = getU16(i70 + 232 | 0) | 0;
      } while (0);
      if ((i41 | 0) == 1519) i478 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i72) | 0;
      set32(i44 | 0, (i478 >>> 0) / 20 | 0 | 0);
      set32(i69 | 0, i72 | 0);
      i476 = get32(i59 | 0) | 0;
      i477 = i72;
     }
     set32(i59 | 0, i476 + 1 | 0);
     set8(i477 + (i61 * 20 | 0) >> 0 | 0, 70 | 0);
     set8(i477 + (i61 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i477 + (i61 * 20 | 0) + 4 | 0, i76 | 0);
     set32(i477 + (i61 * 20 | 0) + 8 | 0, i433 | 0);
     set32(i477 + (i61 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i477 + (i61 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i477 + (i61 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     break;
    }
   case 6:
    {
     _sqlite3ExprCodeMove(i1, i428, i76, 1);
     break;
    }
   default:
    {
     if ((i39 | 0) > 0) {
      i70 = i3 + 8 | 0;
      i57 = i50 + 4 | 0;
      i63 = 0;
      do {
       i68 = (get32(i70 | 0) | 0) + i63 | 0;
       i52 = get32(i59 | 0) | 0;
       i73 = get32(i44 | 0) | 0;
       do if ((i73 | 0) > (i52 | 0)) {
        i479 = i52;
        i480 = get32(i57 | 0) | 0;
        i41 = 1532;
       } else {
        i49 = _sqlite3DbRealloc(get32(i50 | 0) | 0, get32(i57 | 0) | 0, (i73 | 0) == 0 ? 1020 : i73 * 40 | 0) | 0;
        if (!i49) break;
        i54 = get32(i50 | 0) | 0;
        do if (!i54) i41 = 1530; else {
         if ((get32(i54 + 260 | 0) | 0) >>> 0 > i49 >>> 0) {
          i41 = 1530;
          break;
         }
         if ((get32(i54 + 264 | 0) | 0) >>> 0 <= i49 >>> 0) {
          i41 = 1530;
          break;
         }
         i481 = getU16(i54 + 232 | 0) | 0;
        } while (0);
        if ((i41 | 0) == 1530) {
         i41 = 0;
         i481 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i49) | 0;
        }
        set32(i44 | 0, (i481 >>> 0) / 20 | 0 | 0);
        set32(i57 | 0, i49 | 0);
        i479 = get32(i59 | 0) | 0;
        i480 = i49;
        i41 = 1532;
       } while (0);
       if ((i41 | 0) == 1532) {
        i41 = 0;
        set32(i59 | 0, i479 + 1 | 0);
        set8(i480 + (i52 * 20 | 0) >> 0 | 0, 28 | 0);
        set8(i480 + (i52 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i480 + (i52 * 20 | 0) + 4 | 0, i432 | 0);
        set32(i480 + (i52 * 20 | 0) + 8 | 0, i63 | 0);
        set32(i480 + (i52 * 20 | 0) + 12 | 0, i68 | 0);
        set32(i480 + (i52 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i480 + (i52 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       }
       do if (!i63) {
        i73 = get32(i57 | 0) | 0;
        if (!i73) break;
        set8(i73 + (((get32(i59 | 0) | 0) + -1 | 0) * 20 | 0) + 3 >> 0 | 0, 32 | 0);
       } while (0);
       i63 = i63 + 1 | 0;
      } while ((i63 | 0) != (i39 | 0));
     }
     if (!i58) {
      i63 = get32(i90 | 0) | 0;
      i57 = get32(i59 | 0) | 0;
      i70 = get32(i44 | 0) | 0;
      if ((i70 | 0) > (i57 | 0)) {
       i482 = i57;
       i483 = get32(i50 + 4 | 0) | 0;
      } else {
       i61 = i50 + 4 | 0;
       i72 = _sqlite3DbRealloc(get32(i50 | 0) | 0, get32(i61 | 0) | 0, (i70 | 0) == 0 ? 1020 : i70 * 40 | 0) | 0;
       if (!i72) break L2089;
       i70 = get32(i50 | 0) | 0;
       do if (!i70) i41 = 1563; else {
        if ((get32(i70 + 260 | 0) | 0) >>> 0 > i72 >>> 0) {
         i41 = 1563;
         break;
        }
        if ((get32(i70 + 264 | 0) | 0) >>> 0 <= i72 >>> 0) {
         i41 = 1563;
         break;
        }
        i484 = getU16(i70 + 232 | 0) | 0;
       } while (0);
       if ((i41 | 0) == 1563) i484 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i72) | 0;
       set32(i44 | 0, (i484 >>> 0) / 20 | 0 | 0);
       set32(i61 | 0, i72 | 0);
       i482 = get32(i59 | 0) | 0;
       i483 = i72;
      }
      set32(i59 | 0, i482 + 1 | 0);
      set8(i483 + (i57 * 20 | 0) >> 0 | 0, 4 | 0);
      set8(i483 + (i57 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i483 + (i57 * 20 | 0) + 4 | 0, i63 | 0);
      set32(i483 + (i57 * 20 | 0) + 8 | 0, 0 | 0);
      set32(i483 + (i57 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i483 + (i57 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i483 + (i57 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      break L2089;
     }
     i70 = i3 + 8 | 0;
     i69 = get32(i70 | 0) | 0;
     i52 = get32(i59 | 0) | 0;
     i68 = get32(i44 | 0) | 0;
     do if ((i68 | 0) > (i52 | 0)) {
      i485 = i52;
      i486 = get32(i50 + 4 | 0) | 0;
      i41 = 1547;
     } else {
      i73 = i50 + 4 | 0;
      i78 = _sqlite3DbRealloc(get32(i50 | 0) | 0, get32(i73 | 0) | 0, (i68 | 0) == 0 ? 1020 : i68 * 40 | 0) | 0;
      if (!i78) break;
      i46 = get32(i50 | 0) | 0;
      do if (!i46) i41 = 1545; else {
       if ((get32(i46 + 260 | 0) | 0) >>> 0 > i78 >>> 0) {
        i41 = 1545;
        break;
       }
       if ((get32(i46 + 264 | 0) | 0) >>> 0 <= i78 >>> 0) {
        i41 = 1545;
        break;
       }
       i487 = getU16(i46 + 232 | 0) | 0;
      } while (0);
      if ((i41 | 0) == 1545) i487 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i78) | 0;
      set32(i44 | 0, (i487 >>> 0) / 20 | 0 | 0);
      set32(i73 | 0, i78 | 0);
      i485 = get32(i59 | 0) | 0;
      i486 = i78;
      i41 = 1547;
     } while (0);
     if ((i41 | 0) == 1547) {
      set32(i59 | 0, i485 + 1 | 0);
      set8(i486 + (i52 * 20 | 0) >> 0 | 0, 16 | 0);
      set8(i486 + (i52 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i486 + (i52 * 20 | 0) + 4 | 0, i69 | 0);
      set32(i486 + (i52 * 20 | 0) + 8 | 0, i39 | 0);
      set32(i486 + (i52 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i486 + (i52 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i486 + (i52 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     }
     i68 = get32(i70 | 0) | 0;
     i57 = i39 + -1 + i68 | 0;
     i63 = 0;
     i72 = i1 + 96 | 0;
     while (1) {
      i61 = i72 + 16 | 0;
      i46 = get32(i61 | 0) | 0;
      if (!((i46 | 0) < (i68 | 0) | (i46 | 0) > (i57 | 0))) {
       i54 = i72 + 8 | 0;
       if (get8(i54 >> 0 | 0) | 0) {
        i93 = get8(i53 >> 0 | 0) | 0;
        if ((i93 & 255) < 8) {
         set8(i53 >> 0 | 0, i93 + 1 << 24 >> 24 | 0);
         set32(i1 + 24 + ((i93 & 255) << 2) | 0, i46 | 0);
        }
        set8(i54 >> 0 | 0, 0 | 0);
       }
       set32(i61 | 0, 0 | 0);
      }
      i63 = i63 + 1 | 0;
      if ((i63 | 0) == 10) break; else i72 = i72 + 24 | 0;
     }
    }
   } while (0);
   L2227 : do if (i428) {
    i39 = get8(i53 >> 0 | 0) | 0;
    if ((i39 & 255) >= 8) break;
    do if ((get32(i1 + 112 | 0) | 0) == (i428 | 0)) i488 = i1 + 96 | 0; else {
     if ((get32(i1 + 136 | 0) | 0) == (i428 | 0)) {
      i488 = i1 + 120 | 0;
      break;
     }
     if ((get32(i1 + 160 | 0) | 0) == (i428 | 0)) {
      i488 = i1 + 144 | 0;
      break;
     }
     if ((get32(i1 + 184 | 0) | 0) == (i428 | 0)) {
      i488 = i1 + 168 | 0;
      break;
     }
     if ((get32(i1 + 208 | 0) | 0) == (i428 | 0)) {
      i488 = i1 + 192 | 0;
      break;
     }
     if ((get32(i1 + 232 | 0) | 0) == (i428 | 0)) {
      i488 = i1 + 216 | 0;
      break;
     }
     if ((get32(i1 + 256 | 0) | 0) == (i428 | 0)) {
      i488 = i1 + 240 | 0;
      break;
     }
     if ((get32(i1 + 280 | 0) | 0) == (i428 | 0)) {
      i488 = i1 + 264 | 0;
      break;
     }
     if ((get32(i1 + 304 | 0) | 0) == (i428 | 0)) {
      i488 = i1 + 288 | 0;
      break;
     }
     if ((get32(i1 + 328 | 0) | 0) == (i428 | 0)) {
      i488 = i1 + 312 | 0;
      break;
     }
     set8(i53 >> 0 | 0, i39 + 1 << 24 >> 24 | 0);
     set32(i1 + 24 + ((i39 & 255) << 2) | 0, i428 | 0);
     break L2227;
    } while (0);
    set8(i488 + 8 >> 0 | 0, 1 | 0);
   } while (0);
   L2243 : do if (i433) {
    i39 = get8(i53 >> 0 | 0) | 0;
    if ((i39 & 255) >= 8) break;
    do if ((get32(i1 + 112 | 0) | 0) == (i433 | 0)) i489 = i1 + 96 | 0; else {
     if ((get32(i1 + 136 | 0) | 0) == (i433 | 0)) {
      i489 = i1 + 120 | 0;
      break;
     }
     if ((get32(i1 + 160 | 0) | 0) == (i433 | 0)) {
      i489 = i1 + 144 | 0;
      break;
     }
     if ((get32(i1 + 184 | 0) | 0) == (i433 | 0)) {
      i489 = i1 + 168 | 0;
      break;
     }
     if ((get32(i1 + 208 | 0) | 0) == (i433 | 0)) {
      i489 = i1 + 192 | 0;
      break;
     }
     if ((get32(i1 + 232 | 0) | 0) == (i433 | 0)) {
      i489 = i1 + 216 | 0;
      break;
     }
     if ((get32(i1 + 256 | 0) | 0) == (i433 | 0)) {
      i489 = i1 + 240 | 0;
      break;
     }
     if ((get32(i1 + 280 | 0) | 0) == (i433 | 0)) {
      i489 = i1 + 264 | 0;
      break;
     }
     if ((get32(i1 + 304 | 0) | 0) == (i433 | 0)) {
      i489 = i1 + 288 | 0;
      break;
     }
     if ((get32(i1 + 328 | 0) | 0) == (i433 | 0)) {
      i489 = i1 + 312 | 0;
      break;
     }
     set8(i53 >> 0 | 0, i39 + 1 << 24 >> 24 | 0);
     set32(i1 + 24 + ((i39 & 255) << 2) | 0, i433 | 0);
     break L2243;
    } while (0);
    set8(i489 + 8 >> 0 | 0, 1 | 0);
   } while (0);
   i53 = i50 + 44 | 0;
   i39 = get32(i53 | 0) | 0;
   if (i39) set32(i39 + (i62 << 2) | 0, get32(i59 | 0) | 0);
   i39 = get32(i59 | 0) | 0;
   i90 = get32(i44 | 0) | 0;
   do if ((i90 | 0) > (i39 | 0)) {
    i490 = i39;
    i491 = get32(i50 + 4 | 0) | 0;
    i41 = 1605;
   } else {
    i58 = i50 + 4 | 0;
    i76 = _sqlite3DbRealloc(get32(i50 | 0) | 0, get32(i58 | 0) | 0, (i90 | 0) == 0 ? 1020 : i90 * 40 | 0) | 0;
    if (!i76) break;
    i42 = get32(i50 | 0) | 0;
    do if (!i42) i41 = 1603; else {
     if ((get32(i42 + 260 | 0) | 0) >>> 0 > i76 >>> 0) {
      i41 = 1603;
      break;
     }
     if ((get32(i42 + 264 | 0) | 0) >>> 0 <= i76 >>> 0) {
      i41 = 1603;
      break;
     }
     i492 = getU16(i42 + 232 | 0) | 0;
    } while (0);
    if ((i41 | 0) == 1603) i492 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i76) | 0;
    set32(i44 | 0, (i492 >>> 0) / 20 | 0 | 0);
    set32(i58 | 0, i76 | 0);
    i490 = get32(i59 | 0) | 0;
    i491 = i76;
    i41 = 1605;
   } while (0);
   if ((i41 | 0) == 1605) {
    set32(i59 | 0, i490 + 1 | 0);
    set8(i491 + (i39 * 20 | 0) >> 0 | 0, 67 | 0);
    set8(i491 + (i39 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i491 + (i39 * 20 | 0) + 4 | 0, i74 | 0);
    set32(i491 + (i39 * 20 | 0) + 8 | 0, i96 | 0);
    set32(i491 + (i39 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i491 + (i39 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i491 + (i39 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   }
   i90 = get32(i53 | 0) | 0;
   if (i90) set32(i90 + (i56 << 2) | 0, get32(i59 | 0) | 0);
   switch (i43 << 24 >> 24) {
   case 5:
   case 10:
    break;
   default:
    {
     i412 = i53;
     break L1921;
    }
   }
   i90 = get32(i59 | 0) | 0;
   i62 = get32(i44 | 0) | 0;
   if ((i62 | 0) > (i90 | 0)) {
    i493 = i90;
    i494 = get32(i50 + 4 | 0) | 0;
   } else {
    i42 = i50 + 4 | 0;
    i55 = _sqlite3DbRealloc(get32(i50 | 0) | 0, get32(i42 | 0) | 0, (i62 | 0) == 0 ? 1020 : i62 * 40 | 0) | 0;
    if (!i55) {
     i412 = i53;
     break;
    }
    i62 = get32(i50 | 0) | 0;
    do if (!i62) i41 = 1616; else {
     if ((get32(i62 + 260 | 0) | 0) >>> 0 > i55 >>> 0) {
      i41 = 1616;
      break;
     }
     if ((get32(i62 + 264 | 0) | 0) >>> 0 <= i55 >>> 0) {
      i41 = 1616;
      break;
     }
     i495 = getU16(i62 + 232 | 0) | 0;
    } while (0);
    if ((i41 | 0) == 1616) i495 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i55) | 0;
    set32(i44 | 0, (i495 >>> 0) / 20 | 0 | 0);
    set32(i42 | 0, i55 | 0);
    i493 = get32(i59 | 0) | 0;
    i494 = i55;
   }
   set32(i59 | 0, i493 + 1 | 0);
   set8(i494 + (i90 * 20 | 0) >> 0 | 0, 43 | 0);
   set8(i494 + (i90 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i494 + (i90 * 20 | 0) + 4 | 0, i432 | 0);
   set32(i494 + (i90 * 20 | 0) + 8 | 0, 0 | 0);
   set32(i494 + (i90 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i494 + (i90 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i494 + (i90 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i412 = i53;
  } while (0);
  i60 = get32(i412 | 0) | 0;
  if (i60) set32(i60 + (i45 << 2) | 0, get32(i50 + 28 | 0) | 0);
  set32(i24 | 0, i25 | 0);
  if ((get8(i3 >> 0 | 0) | 0) != 5) {
   i496 = 0;
   break;
  }
  _generateColumnNames(i1, i67, i35);
  i496 = 0;
 } else i41 = 1621; while (0);
 if ((i41 | 0) == 1621) {
  set32(i24 | 0, i25 | 0);
  i496 = 1;
 }
 _sqlite3DbFree(i27, get32(i20 + 16 | 0) | 0);
 _sqlite3DbFree(i27, get32(i20 + 32 | 0) | 0);
 i28 = i496;
 STACKTOP = i4;
 return i28 | 0;
}

function _sqlite3Update(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0, i80 = 0, i81 = 0, i82 = 0, i83 = 0, i84 = 0, i85 = 0, i86 = 0, i87 = 0, i88 = 0, i89 = 0, i90 = 0, i91 = 0, i92 = 0, i93 = 0, i94 = 0, i95 = 0, i96 = 0, i97 = 0, i98 = 0, i99 = 0, i100 = 0, i101 = 0, i102 = 0, i103 = 0, i104 = 0, i105 = 0, i106 = 0, i107 = 0, i108 = 0, i109 = 0, i110 = 0, i111 = 0, i112 = 0, i113 = 0, i114 = 0, i115 = 0, i116 = 0, i117 = 0, i118 = 0, i119 = 0, i120 = 0, i121 = 0, i122 = 0, i123 = 0, i124 = 0, i125 = 0, i126 = 0, i127 = 0, i128 = 0, i129 = 0, i130 = 0, i131 = 0, i132 = 0, i133 = 0, i134 = 0, i135 = 0, i136 = 0, i137 = 0, i138 = 0, i139 = 0, i140 = 0, i141 = 0, i142 = 0, i143 = 0, i144 = 0, i145 = 0, i146 = 0, i147 = 0, i148 = 0, i149 = 0, i150 = 0, i151 = 0, i152 = 0, i153 = 0, i154 = 0, i155 = 0, i156 = 0, i157 = 0, i158 = 0, i159 = 0, i160 = 0, i161 = 0, i162 = 0, i163 = 0, i164 = 0, i165 = 0, i166 = 0, i167 = 0, i168 = 0, i169 = 0, i170 = 0, i171 = 0, i172 = 0, i173 = 0, i174 = 0, i175 = 0, i176 = 0, i177 = 0, i178 = 0, i179 = 0, i180 = 0, i181 = 0, i182 = 0, i183 = 0, i184 = 0, i185 = 0, i186 = 0, i187 = 0, i188 = 0, i189 = 0, i190 = 0, i191 = 0, i192 = 0, i193 = 0, i194 = 0, i195 = 0, i196 = 0, i197 = 0, i198 = 0, i199 = 0, i200 = 0, i201 = 0, i202 = 0, i203 = 0, i204 = 0, i205 = 0, i206 = 0, i207 = 0, i208 = 0, i209 = 0, i210 = 0, i211 = 0, i212 = 0, i213 = 0, i214 = 0, i215 = 0, i216 = 0, i217 = 0, i218 = 0, i219 = 0, i220 = 0, i221 = 0, i222 = 0, i223 = 0, i224 = 0, i225 = 0, i226 = 0, i227 = 0, i228 = 0, i229 = 0, i230 = 0, i231 = 0, i232 = 0, i233 = 0, i234 = 0, i235 = 0, i236 = 0, i237 = 0, i238 = 0, i239 = 0, i240 = 0, i241 = 0, i242 = 0, i243 = 0, i244 = 0, i245 = 0, i246 = 0, i247 = 0, i248 = 0, i249 = 0, i250 = 0, i251 = 0, i252 = 0, i253 = 0, i254 = 0, i255 = 0, i256 = 0, i257 = 0, i258 = 0, i259 = 0, i260 = 0, i261 = 0, i262 = 0, i263 = 0, i264 = 0, i265 = 0, i266 = 0, i267 = 0, i268 = 0, i269 = 0, i270 = 0, i271 = 0, i272 = 0, i273 = 0, i274 = 0, i275 = 0, i276 = 0, i277 = 0, i278 = 0, i279 = 0, i280 = 0, i281 = 0, i282 = 0, i283 = 0, i284 = 0, i285 = 0, i286 = 0, i287 = 0, i288 = 0, i289 = 0, i290 = 0, i291 = 0, i292 = 0, i293 = 0, i294 = 0, i295 = 0, i296 = 0, i297 = 0, i298 = 0, i299 = 0, i300 = 0, i301 = 0, i302 = 0, i303 = 0, i304 = 0, i305 = 0, i306 = 0, i307 = 0, i308 = 0, i309 = 0, i310 = 0, i311 = 0, i312 = 0, i313 = 0, i314 = 0, i315 = 0, i316 = 0, i317 = 0, i318 = 0, i319 = 0, i320 = 0, i321 = 0, i322 = 0, i323 = 0, i324 = 0, i325 = 0, i326 = 0, i327 = 0, i328 = 0, i329 = 0, i330 = 0, i331 = 0, i332 = 0, i333 = 0, i334 = 0, i335 = 0, i336 = 0, i337 = 0, i338 = 0, i339 = 0, i340 = 0, i341 = 0, i342 = 0, i343 = 0, i344 = 0, i345 = 0, i346 = 0, i347 = 0, i348 = 0, i349 = 0, i350 = 0, i351 = 0, i352 = 0, i353 = 0, i354 = 0, i355 = 0, i356 = 0, i357 = 0, i358 = 0, i359 = 0, i360 = 0, i361 = 0, i362 = 0, i363 = 0, i364 = 0, i365 = 0, i366 = 0, i367 = 0, i368 = 0;
 i6 = STACKTOP;
 STACKTOP = STACKTOP + 144 | 0;
 i7 = i6 + 72 | 0;
 i8 = i6 + 64 | 0;
 i9 = i6 + 56 | 0;
 i10 = i6 + 48 | 0;
 i11 = i6 + 40 | 0;
 i12 = i6 + 32 | 0;
 i13 = i6 + 24 | 0;
 i14 = i6 + 16 | 0;
 i15 = i6;
 i16 = i6 + 128 | 0;
 i17 = i6 + 112 | 0;
 i18 = i6 + 76 | 0;
 i19 = get32(i1 | 0) | 0;
 i20 = i1 + 64 | 0;
 L1 : do if ((get32(i20 | 0) | 0) == 0 ? (i21 = i19 + 30 | 0, (get8(i21 >> 0 | 0) | 0) == 0) : 0) {
  i22 = get32(i2 + 12 | 0) | 0;
  i23 = get32(i2 + 8 | 0) | 0;
  do if (!(get8(i19 + 124 >> 0 | 0) | 0)) {
   i24 = _sqlite3Init(i19, i1 + 8 | 0) | 0;
   if (!i24) {
    i25 = get32(i1 | 0) | 0;
    i26 = 7;
    break;
   } else {
    set32(i1 + 4 | 0, i24 | 0);
    set32(i20 | 0, (get32(i20 | 0) | 0) + 1 | 0);
    i27 = 0;
    break;
   }
  } else {
   i25 = i19;
   i26 = 7;
  } while (0);
  do if ((i26 | 0) == 7) {
   if (!i22) i28 = 0; else {
    i24 = i22;
    while (1) if (!(get8(i24 >> 0 | 0) | 0)) {
     i29 = i24;
     break;
    } else i24 = i24 + 1 | 0;
    i28 = i29 - i22 & 1073741823;
   }
   i24 = get32(i25 + 4 | 0) | 0;
   if ((i24 | 0) > 0) {
    i30 = (i23 | 0) == 0;
    i31 = get32(i25 + 8 | 0) | 0;
    i32 = 0;
    i33 = 0;
    while (1) {
     i34 = (i32 | 0) < 2 ^ i32;
     if (!i30) {
      i35 = get32(i31 + (i34 << 4) | 0) | 0;
      i36 = get8(i23 >> 0 | 0) | 0;
      L22 : do if (!(i36 << 24 >> 24)) {
       i37 = 0;
       i38 = i35;
      } else {
       i39 = i36;
       i40 = i23;
       i41 = i35;
       while (1) {
        if ((get8(16286 + (i39 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i41 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
         i37 = i39;
         i38 = i41;
         break L22;
        }
        i40 = i40 + 1 | 0;
        i42 = i41 + 1 | 0;
        i39 = get8(i40 >> 0 | 0) | 0;
        if (!(i39 << 24 >> 24)) {
         i37 = 0;
         i38 = i42;
         break;
        } else i41 = i42;
       }
      } while (0);
      if ((get8(16286 + (i37 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i38 >> 0 | 0) | 0) >> 0 | 0) | 0)) i43 = i33; else i26 = 17;
     } else i26 = 17;
     if ((i26 | 0) == 17) {
      i26 = 0;
      i35 = _sqlite3HashFind((get32(i31 + (i34 << 4) + 12 | 0) | 0) + 8 | 0, i22, i28) | 0;
      if (!i35) i43 = i35; else {
       i44 = i35;
       break;
      }
     }
     i32 = i32 + 1 | 0;
     if ((i32 | 0) >= (i24 | 0)) {
      i44 = i43;
      break;
     } else i33 = i43;
    }
    if (i44) {
     i27 = i44;
     break;
    }
   }
   if (!i23) {
    set32(i14 | 0, 25690 | 0);
    set32(i14 + 4 | 0, i22 | 0);
    _sqlite3ErrorMsg(i1, 25714, i14);
   } else {
    set32(i15 | 0, 25690 | 0);
    set32(i15 + 4 | 0, i23 | 0);
    set32(i15 + 8 | 0, i22 | 0);
    _sqlite3ErrorMsg(i1, 25704, i15);
   }
   set8(i1 + 18 >> 0 | 0, 1 | 0);
   i27 = 0;
  } while (0);
  i22 = i2 + 20 | 0;
  _sqlite3DeleteTable(get32(i1 | 0) | 0, get32(i22 | 0) | 0);
  set32(i22 | 0, i27 | 0);
  if (i27) {
   i22 = i27 + 32 | 0;
   set16(i22 | 0, (get16(i22 | 0) | 0) + 1 << 16 >> 16 | 0);
   i22 = get32(i2 + 56 | 0) | 0;
   L38 : do if (i22) {
    i23 = get32(i27 + 16 | 0) | 0;
    L40 : do if (i23) {
     i33 = i23;
     while (1) {
      i24 = get32(i33 | 0) | 0;
      i32 = get8(i24 >> 0 | 0) | 0;
      L43 : do if (!(i32 << 24 >> 24)) {
       i45 = 0;
       i46 = i22;
      } else {
       i31 = i32;
       i30 = i24;
       i35 = i22;
       while (1) {
        if ((get8(16286 + (i31 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i35 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
         i45 = i31;
         i46 = i35;
         break L43;
        }
        i30 = i30 + 1 | 0;
        i36 = i35 + 1 | 0;
        i31 = get8(i30 >> 0 | 0) | 0;
        if (!(i31 << 24 >> 24)) {
         i45 = 0;
         i46 = i36;
         break;
        } else i35 = i36;
       }
      } while (0);
      if ((get8(16286 + (i45 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i46 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
       i47 = i33;
       break;
      }
      i33 = get32(i33 + 32 | 0) | 0;
      if (!i33) break L40;
     }
     set32(i2 + 60 | 0, i47 | 0);
     break L38;
    } while (0);
    set32(i13 | 0, i22 | 0);
    set32(i13 + 4 | 0, 0 | 0);
    _sqlite3ErrorMsg(i1, 30280, i13);
    set8(i1 + 18 >> 0 | 0, 1 | 0);
    i48 = i4;
    i49 = i2;
    i50 = 0;
    i51 = 0;
    break L1;
   } while (0);
   i22 = get32(i1 | 0) | 0;
   i23 = i27 + 68 | 0;
   i33 = get32(i23 | 0) | 0;
   L52 : do if (i33) {
    i34 = get32(i22 + 4 | 0) | 0;
    if ((i34 | 0) > 0) {
     i24 = get32(i22 + 8 | 0) | 0;
     i32 = 0;
     while (1) {
      if ((get32(i24 + (i32 << 4) + 12 | 0) | 0) == (i33 | 0)) {
       i52 = i32;
       break L52;
      }
      i35 = i32 + 1 | 0;
      if ((i35 | 0) < (i34 | 0)) i32 = i35; else {
       i52 = i35;
       break;
      }
     }
    } else i52 = 0;
   } else i52 = -1e6; while (0);
   do if ((get32(i22 + 12 | 0) & 1073741824 | 0) != 0 ? (i32 = get32((get32(i22 + 8 | 0) | 0) + 28 | 0) | 0, (get8(i1 + 442 >> 0 | 0) | 0) == 0) : 0) {
    if ((i33 | 0) != (i32 | 0) ? (i34 = get32(i32 + 48 | 0) | 0, (i34 | 0) != 0) : 0) {
     i32 = i27 + 64 | 0;
     i24 = i34;
     i34 = 0;
     while (1) {
      i35 = get32(i24 + 8 | 0) | 0;
      if ((get32(i35 + 24 | 0) | 0) == (i33 | 0)) {
       i31 = get32(i35 + 4 | 0) | 0;
       i30 = get32(i27 | 0) | 0;
       i36 = get8(i31 >> 0 | 0) | 0;
       L69 : do if (!(i36 << 24 >> 24)) {
        i53 = 0;
        i54 = i30;
       } else {
        i41 = i36;
        i39 = i31;
        i40 = i30;
        while (1) {
         if ((get8(16286 + (i41 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i40 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
          i53 = i41;
          i54 = i40;
          break L69;
         }
         i39 = i39 + 1 | 0;
         i42 = i40 + 1 | 0;
         i41 = get8(i39 >> 0 | 0) | 0;
         if (!(i41 << 24 >> 24)) {
          i53 = 0;
          i54 = i42;
          break;
         } else i40 = i42;
        }
       } while (0);
       if ((get8(16286 + (i53 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i54 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
        if (!i34) i55 = get32(i32 | 0) | 0; else i55 = i34;
        set32(i35 + 32 | 0, i55 | 0);
        i56 = i35;
       } else i56 = i34;
      } else i56 = i34;
      i24 = get32(i24 | 0) | 0;
      if (!i24) {
       i57 = i56;
       break;
      } else i34 = i56;
     }
     if (i57) i58 = i57; else i26 = 54;
    } else i26 = 54;
    if ((i26 | 0) == 54) {
     i34 = get32(i27 + 64 | 0) | 0;
     if (!i34) {
      i59 = 0;
      i60 = 0;
      break;
     } else i58 = i34;
    }
    i34 = (i3 | 0) == 0;
    i24 = i3 + 12 | 0;
    i32 = 0;
    i30 = i58;
    while (1) {
     L85 : do if ((get8(i30 + 8 >> 0 | 0) | 0) == 107) {
      i31 = get32(i30 + 16 | 0) | 0;
      L87 : do if (!(i34 | (i31 | 0) == 0)) {
       i36 = get32(i3 | 0) | 0;
       if ((i36 | 0) <= 0) {
        i61 = i32;
        break L85;
       }
       i40 = get32(i24 | 0) | 0;
       i41 = get32(i31 + 4 | 0) | 0;
       i39 = (i41 | 0) > 0;
       i42 = 0;
       while (1) {
        i62 = get32(i40 + (i42 * 20 | 0) + 4 | 0) | 0;
        L92 : do if (i39) {
         i63 = get32(i31 | 0) | 0;
         i64 = 0;
         while (1) {
          i65 = get32(i63 + (i64 << 3) | 0) | 0;
          i66 = get8(i65 >> 0 | 0) | 0;
          L96 : do if (!(i66 << 24 >> 24)) {
           i67 = 0;
           i68 = i62;
          } else {
           i69 = i66;
           i70 = i65;
           i71 = i62;
           while (1) {
            if ((get8(16286 + (i69 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i71 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
             i67 = i69;
             i68 = i71;
             break L96;
            }
            i70 = i70 + 1 | 0;
            i72 = i71 + 1 | 0;
            i69 = get8(i70 >> 0 | 0) | 0;
            if (!(i69 << 24 >> 24)) {
             i67 = 0;
             i68 = i72;
             break;
            } else i71 = i72;
           }
          } while (0);
          if ((get8(16286 + (i67 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i68 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
           i73 = i64;
           break;
          }
          i64 = i64 + 1 | 0;
          if ((i64 | 0) >= (i41 | 0)) break L92;
         }
         if ((i73 | 0) > -1) break L87;
        } while (0);
        i42 = i42 + 1 | 0;
        if ((i42 | 0) >= (i36 | 0)) {
         i61 = i32;
         break L85;
        }
       }
      } while (0);
      i61 = getU8(i30 + 9 >> 0 | 0) | i32;
     } else i61 = i32; while (0);
     i30 = get32(i30 + 32 | 0) | 0;
     if (!i30) {
      i59 = i61;
      i60 = i58;
      break;
     } else i32 = i61;
    }
   } else {
    i59 = 0;
    i60 = 0;
   } while (0);
   i33 = (i59 | 0) != 0 ? i60 : 0;
   i22 = i27 + 28 | 0;
   i32 = (get32(i22 | 0) | 0) != 0;
   if (!(_sqlite3ViewGetColumnNames(i1, i27) | 0)) {
    i30 = i27 + 34 | 0;
    i24 = get8(i30 >> 0 | 0) | 0;
    if (i24 & 16) {
     i34 = get32(i1 | 0) | 0;
     i35 = i27 + 52 | 0;
     while (1) {
      i31 = get32(i35 | 0) | 0;
      if ((get32(i31 | 0) | 0) == (i34 | 0)) {
       i74 = i31;
       break;
      } else i35 = i31 + 24 | 0;
     }
     if (get32((get32(get32(i74 + 4 | 0) | 0) | 0) + 52 | 0) | 0) i26 = 76;
    } else i26 = 76;
    do if ((i26 | 0) == 76) {
     if (((i24 & 1) != 0 ? (get32((get32(i1 | 0) | 0) + 12 | 0) & 65536 | 0) == 0 : 0) ? (get8(i1 + 19 >> 0 | 0) | 0) == 0 : 0) break;
     if ((i59 | 0) == 0 ? (get32(i22 | 0) | 0) != 0 : 0) {
      set32(i11 | 0, get32(i27 | 0) | 0);
      _sqlite3ErrorMsg(i1, 33247, i11);
      i48 = i4;
      i49 = i2;
      i50 = 0;
      i51 = 0;
      break L1;
     }
     i35 = i27 + 8 | 0;
     i34 = get32(i35 | 0) << 2;
     i31 = (i19 | 0) == 0;
     L123 : do if (i31) {
      if ((i34 + -1 | 0) >>> 0 > 2147483390) {
       i48 = i4;
       i49 = i2;
       i50 = 0;
       i51 = 0;
       break L1;
      }
      if (!(get32(50 * 4 | 0) | 0)) {
       i75 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i34) | 0;
       i26 = 123;
       break;
      }
      i36 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i34) | 0;
      set32(35 * 4 | 0, i34 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i34 | 0)) set32(45 * 4 | 0, i34 | 0);
      i42 = get32(6 * 4 | 0) | 0;
      do if (i42) {
       i41 = get32(30 * 4 | 0) | 0;
       i39 = ((i41 | 0) < 0) << 31 >> 31;
       i40 = 16;
       i62 = _i64Subtract(get32(i40 | 0) | 0, get32(i40 + 4 | 0) | 0, i36 | 0, ((i36 | 0) < 0) << 31 >> 31 | 0) | 0;
       i40 = tempRet0;
       if ((i39 | 0) < (i40 | 0) | (i39 | 0) == (i40 | 0) & i41 >>> 0 < i62 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i62 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i42 & 15](i62, i41, i39, i36);
        set32(6 * 4 | 0, i42 | 0);
        set32(7 * 4 | 0, i62 | 0);
        break;
       }
      } while (0);
      i42 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i36) | 0;
      if (!i42) {
       i48 = i4;
       i49 = i2;
       i50 = 0;
       i51 = 0;
       break L1;
      }
      i62 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i42) | 0;
      i39 = (get32(30 * 4 | 0) | 0) + i62 | 0;
      set32(30 * 4 | 0, i39 | 0);
      if ((i39 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i39 | 0);
      i39 = get32(39 * 4 | 0) | 0;
      i62 = i39 + 1 | 0;
      set32(39 * 4 | 0, i62 | 0);
      if ((i39 | 0) < (get32(49 * 4 | 0) | 0)) {
       i76 = i42;
       i26 = 122;
       break;
      }
      set32(49 * 4 | 0, i62 | 0);
      i76 = i42;
      i26 = 122;
     } else {
      if (get8(i21 >> 0 | 0) | 0) {
       i48 = i4;
       i49 = i2;
       i50 = 0;
       i51 = 0;
       break L1;
      }
      do if (get8(i19 + 234 >> 0 | 0) | 0) {
       if ((getU16(i19 + 232 | 0) | 0) < (i34 | 0)) {
        i42 = i19 + 248 | 0;
        set32(i42 | 0, (get32(i42 | 0) | 0) + 1 | 0);
        break;
       }
       i42 = i19 + 256 | 0;
       i62 = get32(i42 | 0) | 0;
       if (!i62) {
        i39 = i19 + 252 | 0;
        set32(i39 | 0, (get32(i39 | 0) | 0) + 1 | 0);
        break;
       }
       set32(i42 | 0, get32(i62 | 0) | 0);
       i42 = i19 + 236 | 0;
       i39 = get32(i42 | 0) | 0;
       i41 = i39 + 1 | 0;
       set32(i42 | 0, i41 | 0);
       i42 = i19 + 244 | 0;
       set32(i42 | 0, (get32(i42 | 0) | 0) + 1 | 0);
       i42 = i19 + 240 | 0;
       if ((i39 | 0) >= (get32(i42 | 0) | 0)) set32(i42 | 0, i41 | 0);
       i75 = i62;
       i26 = 123;
       break L123;
      } while (0);
      do if ((i34 + -1 | 0) >>> 0 <= 2147483390) {
       if (!(get32(50 * 4 | 0) | 0)) {
        i36 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i34) | 0;
        if (!i36) break; else {
         i76 = i36;
         i26 = 122;
         break L123;
        }
       }
       i36 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i34) | 0;
       set32(35 * 4 | 0, i34 | 0);
       if ((get32(45 * 4 | 0) | 0) < (i34 | 0)) set32(45 * 4 | 0, i34 | 0);
       i62 = get32(6 * 4 | 0) | 0;
       do if (i62) {
        i41 = get32(30 * 4 | 0) | 0;
        i42 = ((i41 | 0) < 0) << 31 >> 31;
        i39 = 16;
        i40 = _i64Subtract(get32(i39 | 0) | 0, get32(i39 + 4 | 0) | 0, i36 | 0, ((i36 | 0) < 0) << 31 >> 31 | 0) | 0;
        i39 = tempRet0;
        if ((i42 | 0) < (i39 | 0) | (i42 | 0) == (i39 | 0) & i41 >>> 0 < i40 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i40 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i62 & 15](i40, i41, i42, i36);
         set32(6 * 4 | 0, i62 | 0);
         set32(7 * 4 | 0, i40 | 0);
         break;
        }
       } while (0);
       i62 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i36) | 0;
       if (!i62) break;
       i40 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i62) | 0;
       i42 = (get32(30 * 4 | 0) | 0) + i40 | 0;
       set32(30 * 4 | 0, i42 | 0);
       if ((i42 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i42 | 0);
       i42 = get32(39 * 4 | 0) | 0;
       i40 = i42 + 1 | 0;
       set32(39 * 4 | 0, i40 | 0);
       if ((i42 | 0) < (get32(49 * 4 | 0) | 0)) {
        i76 = i62;
        i26 = 122;
        break L123;
       }
       set32(49 * 4 | 0, i40 | 0);
       i76 = i62;
       i26 = 122;
       break L123;
      } while (0);
      set8(i21 >> 0 | 0, 1 | 0);
      i48 = i4;
      i49 = i2;
      i50 = 0;
      i51 = 0;
      break L1;
     } while (0);
     if ((i26 | 0) == 122) i77 = i76; else if ((i26 | 0) == 123) if (!i75) {
      i48 = i4;
      i49 = i2;
      i50 = 0;
      i51 = i75;
      break L1;
     } else i77 = i75;
     if ((get32(i35 | 0) | 0) > 0) {
      i34 = 0;
      do {
       set32(i77 + (i34 << 2) | 0, -1 | 0);
       i34 = i34 + 1 | 0;
      } while ((i34 | 0) < (get32(i35 | 0) | 0));
     }
     i34 = i1 + 68 | 0;
     i62 = get32(i34 | 0) | 0;
     i40 = i62 + 1 | 0;
     set32(i34 | 0, i40 | 0);
     set32(i2 + 32 | 0, i62 | 0);
     i42 = i27 + 16 | 0;
     i41 = get32(i42 | 0) | 0;
     if (i41) {
      i39 = i40;
      i64 = i41;
      do {
       i39 = i39 + 1 | 0;
       set32(i34 | 0, i39 | 0);
       i64 = get32(i64 + 32 | 0) | 0;
      } while ((i64 | 0) != 0);
     }
     i64 = i18;
     i39 = i64 + 36 | 0;
     do {
      set32(i64 | 0, 0 | 0);
      i64 = i64 + 4 | 0;
     } while ((i64 | 0) < (i39 | 0));
     set32(i18 | 0, i1 | 0);
     set32(i18 + 4 | 0, i2 | 0);
     L189 : do if ((get32(i3 | 0) | 0) > 0) {
      i41 = i3 + 12 | 0;
      i63 = i27 + 12 | 0;
      i65 = i19 + 8 | 0;
      i66 = i1 + 528 | 0;
      i71 = i1 + 516 | 0;
      i69 = i27 + 4 | 0;
      i70 = 0;
      i72 = 0;
      i78 = 0;
      L191 : while (1) {
       if (_sqlite3ResolveExprNames(i18, get32((get32(i41 | 0) | 0) + (i72 * 20 | 0) | 0) | 0) | 0) {
        i48 = i4;
        i49 = i2;
        i50 = 0;
        i51 = i77;
        break L1;
       }
       i79 = get32(i35 | 0) | 0;
       L194 : do if ((i79 | 0) > 0) {
        i80 = get32(i63 | 0) | 0;
        i81 = get32(i41 | 0) | 0;
        i82 = get32(i81 + (i72 * 20 | 0) + 4 | 0) | 0;
        i83 = 0;
        while (1) {
         i84 = get32(i80 + (i83 * 24 | 0) | 0) | 0;
         i85 = get8(i84 >> 0 | 0) | 0;
         L198 : do if (!(i85 << 24 >> 24)) {
          i86 = 0;
          i87 = i82;
         } else {
          i88 = i85;
          i89 = i84;
          i90 = i82;
          while (1) {
           if ((get8(16286 + (i88 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i90 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
            i86 = i88;
            i87 = i90;
            break L198;
           }
           i89 = i89 + 1 | 0;
           i91 = i90 + 1 | 0;
           i88 = get8(i89 >> 0 | 0) | 0;
           if (!(i88 << 24 >> 24)) {
            i86 = 0;
            i87 = i91;
            break;
           } else i90 = i91;
          }
         } while (0);
         if ((get8(16286 + (i86 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i87 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
          i92 = i83;
          break;
         }
         i84 = i83 + 1 | 0;
         if ((i84 | 0) < (i79 | 0)) i83 = i84; else {
          i93 = i79;
          i94 = i70;
          i95 = i84;
          i96 = i78;
          break L194;
         }
        }
        if ((i92 | 0) == (get32(i69 | 0) | 0)) {
         i97 = 1;
         i98 = get32(i81 + (i72 * 20 | 0) | 0) | 0;
        } else {
         i97 = i70;
         i98 = i78;
        }
        set32(i77 + (i92 << 2) | 0, i72 | 0);
        i93 = get32(i35 | 0) | 0;
        i94 = i97;
        i95 = i92;
        i96 = i98;
       } else {
        i93 = i79;
        i94 = i70;
        i95 = 0;
        i96 = i78;
       } while (0);
       if ((i95 | 0) < (i93 | 0)) {
        i99 = i94;
        i100 = i96;
       } else {
        i79 = get32(i41 | 0) | 0;
        i36 = get32(i79 + (i72 * 20 | 0) + 4 | 0) | 0;
        i83 = get8(i36 >> 0 | 0) | 0;
        i82 = i83 << 24 >> 24 == 0;
        L211 : do if (i82) {
         i101 = 0;
         i102 = 29947;
        } else {
         i80 = i83;
         i84 = i36;
         i85 = 29947;
         while (1) {
          if ((get8(16286 + (i80 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i85 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
           i101 = i80;
           i102 = i85;
           break L211;
          }
          i84 = i84 + 1 | 0;
          i90 = i85 + 1 | 0;
          i80 = get8(i84 >> 0 | 0) | 0;
          if (!(i80 << 24 >> 24)) {
           i101 = 0;
           i102 = i90;
           break;
          } else i85 = i90;
         }
        } while (0);
        do if ((get8(16286 + (i101 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i102 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
         L218 : do if (i82) {
          i103 = 0;
          i104 = 29955;
         } else {
          i85 = i83;
          i80 = i36;
          i84 = 29955;
          while (1) {
           if ((get8(16286 + (i85 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i84 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
            i103 = i85;
            i104 = i84;
            break L218;
           }
           i80 = i80 + 1 | 0;
           i81 = i84 + 1 | 0;
           i85 = get8(i80 >> 0 | 0) | 0;
           if (!(i85 << 24 >> 24)) {
            i103 = 0;
            i104 = i81;
            break;
           } else i84 = i81;
          }
         } while (0);
         if ((get8(16286 + (i103 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i104 >> 0 | 0) | 0) >> 0 | 0) | 0)) break;
         L224 : do if (i82) {
          i105 = 0;
          i106 = 29961;
         } else {
          i84 = i83;
          i85 = i36;
          i80 = 29961;
          while (1) {
           if ((get8(16286 + (i84 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i80 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
            i105 = i84;
            i106 = i80;
            break L224;
           }
           i85 = i85 + 1 | 0;
           i81 = i80 + 1 | 0;
           i84 = get8(i85 >> 0 | 0) | 0;
           if (!(i84 << 24 >> 24)) {
            i105 = 0;
            i106 = i81;
            break;
           } else i80 = i81;
          }
         } while (0);
         if ((get8(16286 + (i105 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i106 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
          i107 = i36;
          i26 = 155;
          break L191;
         }
        } while (0);
        i99 = 1;
        i100 = get32(i79 + (i72 * 20 | 0) | 0) | 0;
       }
       i36 = get32(i27 | 0) | 0;
       i83 = get32((get32(i63 | 0) | 0) + (i95 * 24 | 0) | 0) | 0;
       i82 = get32((get32(i65 | 0) | 0) + (i52 << 4) | 0) | 0;
       i80 = get32(i1 | 0) | 0;
       L231 : do if (!(get8(i80 + 124 >> 0 | 0) | 0)) {
        if (get8(i66 >> 0 | 0) | 0) break;
        i84 = get32(i80 + 268 | 0) | 0;
        if (!i84) break;
        switch (FUNCTION_TABLE_iiiiiii[i84 & 3](get32(i80 + 272 | 0) | 0, 23, i36, i83, i82, get32(i71 | 0) | 0) | 0) {
        case 1:
         {
          i26 = 160;
          break L191;
          break;
         }
        case 0:
         {
          break L231;
          break;
         }
        case 2:
         break;
        default:
         {
          i26 = 161;
          break L191;
         }
        }
        set32(i77 + (i95 << 2) | 0, -1 | 0);
       } while (0);
       i72 = i72 + 1 | 0;
       if ((i72 | 0) >= (get32(i3 | 0) | 0)) {
        i108 = i99;
        i109 = i100;
        break L189;
       } else {
        i70 = i99;
        i78 = i100;
       }
      }
      if ((i26 | 0) == 155) {
       set32(i10 | 0, i107 | 0);
       _sqlite3ErrorMsg(i1, 33347, i10);
       set8(i1 + 18 >> 0 | 0, 1 | 0);
       i48 = i4;
       i49 = i2;
       i50 = 0;
       i51 = i77;
       break L1;
      } else if ((i26 | 0) == 160) {
       _sqlite3ErrorMsg(i1, 26149, i9);
       set32(i1 + 4 | 0, 23 | 0);
       i48 = i4;
       i49 = i2;
       i50 = 0;
       i51 = i77;
       break L1;
      } else if ((i26 | 0) == 161) {
       _sqlite3ErrorMsg(i1, 29155, i8);
       set32(i1 + 4 | 0, 1 | 0);
       i48 = i4;
       i49 = i2;
       i50 = 0;
       i51 = i77;
       break L1;
      }
     } else {
      i108 = 0;
      i109 = 0;
     } while (0);
     L242 : do if (!(get32((get32(i1 | 0) | 0) + 12 | 0) & 67108864)) i110 = 0; else {
      if (!i77) {
       i78 = get32(i27 | 0) | 0;
       if (!i78) i111 = 0; else {
        i70 = i78;
        while (1) if (!(get8(i70 >> 0 | 0) | 0)) {
         i112 = i70;
         break;
        } else i70 = i70 + 1 | 0;
        i111 = i112 - i78 & 1073741823;
       }
       if (!(_sqlite3HashFind((get32(i23 | 0) | 0) + 56 | 0, i78, i111) | 0)) i113 = (get32(i27 + 36 | 0) | 0) != 0; else i113 = 1;
       i110 = i113 & 1;
       break;
      }
      i70 = get32(i27 + 36 | 0) | 0;
      if (i70) {
       i72 = i27 + 4 | 0;
       i71 = (i108 | 0) != 0;
       i66 = i70;
       do {
        i70 = get32(i66 + 20 | 0) | 0;
        if ((i70 | 0) > 0) {
         i65 = 0;
         do {
          i63 = get32(i66 + 36 + (i65 << 3) | 0) | 0;
          if ((get32(i77 + (i63 << 2) | 0) | 0) > -1) {
           i110 = 1;
           break L242;
          }
          i65 = i65 + 1 | 0;
          if (i71 & (i63 | 0) == (get32(i72 | 0) | 0)) {
           i110 = 1;
           break L242;
          }
         } while ((i65 | 0) < (i70 | 0));
        }
        i66 = get32(i66 + 4 | 0) | 0;
       } while ((i66 | 0) != 0);
      }
      i66 = get32(i27 | 0) | 0;
      if (!i66) i114 = 0; else {
       i72 = i66;
       while (1) if (!(get8(i72 >> 0 | 0) | 0)) {
        i115 = i72;
        break;
       } else i72 = i72 + 1 | 0;
       i114 = i115 - i66 & 1073741823;
      }
      i72 = _sqlite3HashFind((get32(i23 | 0) | 0) + 56 | 0, i66, i114) | 0;
      if (!i72) {
       i110 = 0;
       break;
      }
      i71 = i27 + 12 | 0;
      i78 = i27 + 4 | 0;
      i70 = (i108 | 0) != 0;
      i65 = i72;
      while (1) {
       i72 = get32(i65 + 20 | 0) | 0;
       if ((i72 | 0) > 0) {
        i63 = get32(i35 | 0) | 0;
        i41 = (i63 | 0) > 0;
        i69 = 0;
        do {
         i82 = get32(i65 + 36 + (i69 << 3) + 4 | 0) | 0;
         if (i41) {
          i83 = get32(i71 | 0) | 0;
          i36 = (i82 | 0) == 0;
          i80 = 0;
          do {
           if (i36) {
            if (get8(i83 + (i80 * 24 | 0) + 21 >> 0 | 0) | 0) i26 = 194;
           } else {
            i79 = get32(i83 + (i80 * 24 | 0) | 0) | 0;
            i84 = get8(i79 >> 0 | 0) | 0;
            L285 : do if (!(i84 << 24 >> 24)) {
             i116 = 0;
             i117 = i82;
            } else {
             i85 = i84;
             i81 = i79;
             i90 = i82;
             while (1) {
              if ((get8(16286 + (i85 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i90 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
               i116 = i85;
               i117 = i90;
               break L285;
              }
              i81 = i81 + 1 | 0;
              i88 = i90 + 1 | 0;
              i85 = get8(i81 >> 0 | 0) | 0;
              if (!(i85 << 24 >> 24)) {
               i116 = 0;
               i117 = i88;
               break;
              } else i90 = i88;
             }
            } while (0);
            if ((get8(16286 + (i116 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i117 >> 0 | 0) | 0) >> 0 | 0) | 0)) i26 = 194;
           }
           if ((i26 | 0) == 194) {
            i26 = 0;
            if ((get32(i77 + (i80 << 2) | 0) | 0) > -1) {
             i110 = 1;
             break L242;
            }
            if (i70 & (i80 | 0) == (get32(i78 | 0) | 0)) {
             i110 = 1;
             break L242;
            }
           }
           i80 = i80 + 1 | 0;
          } while ((i80 | 0) < (i63 | 0));
         }
         i69 = i69 + 1 | 0;
        } while ((i69 | 0) < (i72 | 0));
       }
       i65 = get32(i65 + 12 | 0) | 0;
       if (!i65) {
        i110 = 0;
        break;
       }
      }
     } while (0);
     i65 = get32(i42 | 0) | 0;
     do if (!i65) i118 = 0; else {
      i78 = 0;
      i70 = i65;
      while (1) {
       i71 = i78 + 1 | 0;
       i70 = get32(i70 + 32 | 0) | 0;
       if (!i70) {
        i119 = i71;
        i120 = i78;
        break;
       } else i78 = i71;
      }
      do if ((i120 | 0) > -1) {
       i78 = i119 << 2;
       L303 : do if (i31) {
        if ((i78 + -1 | 0) >>> 0 > 2147483390) {
         i48 = i4;
         i49 = i2;
         i50 = 0;
         i51 = i77;
         break L1;
        }
        if (!(get32(50 * 4 | 0) | 0)) {
         i121 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i78) | 0;
         i26 = 242;
         break;
        }
        i70 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i78) | 0;
        set32(35 * 4 | 0, i78 | 0);
        if ((get32(45 * 4 | 0) | 0) < (i78 | 0)) set32(45 * 4 | 0, i78 | 0);
        i71 = get32(6 * 4 | 0) | 0;
        do if (i71) {
         i66 = get32(30 * 4 | 0) | 0;
         i72 = ((i66 | 0) < 0) << 31 >> 31;
         i69 = 16;
         i63 = _i64Subtract(get32(i69 | 0) | 0, get32(i69 + 4 | 0) | 0, i70 | 0, ((i70 | 0) < 0) << 31 >> 31 | 0) | 0;
         i69 = tempRet0;
         if ((i72 | 0) < (i69 | 0) | (i72 | 0) == (i69 | 0) & i66 >>> 0 < i63 >>> 0) {
          set32(11 * 4 | 0, 0 | 0);
          break;
         } else {
          set32(11 * 4 | 0, 1 | 0);
          i63 = get32(7 * 4 | 0) | 0;
          set32(6 * 4 | 0, 0 | 0);
          FUNCTION_TABLE_viiii[i71 & 15](i63, i66, i72, i70);
          set32(6 * 4 | 0, i71 | 0);
          set32(7 * 4 | 0, i63 | 0);
          break;
         }
        } while (0);
        i71 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i70) | 0;
        if (!i71) {
         i48 = i4;
         i49 = i2;
         i50 = 0;
         i51 = i77;
         break L1;
        }
        i63 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i71) | 0;
        i72 = (get32(30 * 4 | 0) | 0) + i63 | 0;
        set32(30 * 4 | 0, i72 | 0);
        if ((i72 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i72 | 0);
        i72 = get32(39 * 4 | 0) | 0;
        i63 = i72 + 1 | 0;
        set32(39 * 4 | 0, i63 | 0);
        if ((i72 | 0) < (get32(49 * 4 | 0) | 0)) {
         i122 = i71;
         i26 = 241;
         break;
        }
        set32(49 * 4 | 0, i63 | 0);
        i122 = i71;
        i26 = 241;
       } else {
        if (get8(i21 >> 0 | 0) | 0) {
         i48 = i4;
         i49 = i2;
         i50 = 0;
         i51 = i77;
         break L1;
        }
        do if (get8(i19 + 234 >> 0 | 0) | 0) {
         if ((getU16(i19 + 232 | 0) | 0) < (i78 | 0)) {
          i71 = i19 + 248 | 0;
          set32(i71 | 0, (get32(i71 | 0) | 0) + 1 | 0);
          break;
         }
         i71 = i19 + 256 | 0;
         i63 = get32(i71 | 0) | 0;
         if (!i63) {
          i72 = i19 + 252 | 0;
          set32(i72 | 0, (get32(i72 | 0) | 0) + 1 | 0);
          break;
         }
         set32(i71 | 0, get32(i63 | 0) | 0);
         i71 = i19 + 236 | 0;
         i72 = get32(i71 | 0) | 0;
         i66 = i72 + 1 | 0;
         set32(i71 | 0, i66 | 0);
         i71 = i19 + 244 | 0;
         set32(i71 | 0, (get32(i71 | 0) | 0) + 1 | 0);
         i71 = i19 + 240 | 0;
         if ((i72 | 0) >= (get32(i71 | 0) | 0)) set32(i71 | 0, i66 | 0);
         i121 = i63;
         i26 = 242;
         break L303;
        } while (0);
        do if ((i78 + -1 | 0) >>> 0 <= 2147483390) {
         if (!(get32(50 * 4 | 0) | 0)) {
          i70 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i78) | 0;
          if (!i70) break; else {
           i122 = i70;
           i26 = 241;
           break L303;
          }
         }
         i70 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i78) | 0;
         set32(35 * 4 | 0, i78 | 0);
         if ((get32(45 * 4 | 0) | 0) < (i78 | 0)) set32(45 * 4 | 0, i78 | 0);
         i63 = get32(6 * 4 | 0) | 0;
         do if (i63) {
          i66 = get32(30 * 4 | 0) | 0;
          i71 = ((i66 | 0) < 0) << 31 >> 31;
          i72 = 16;
          i69 = _i64Subtract(get32(i72 | 0) | 0, get32(i72 + 4 | 0) | 0, i70 | 0, ((i70 | 0) < 0) << 31 >> 31 | 0) | 0;
          i72 = tempRet0;
          if ((i71 | 0) < (i72 | 0) | (i71 | 0) == (i72 | 0) & i66 >>> 0 < i69 >>> 0) {
           set32(11 * 4 | 0, 0 | 0);
           break;
          } else {
           set32(11 * 4 | 0, 1 | 0);
           i69 = get32(7 * 4 | 0) | 0;
           set32(6 * 4 | 0, 0 | 0);
           FUNCTION_TABLE_viiii[i63 & 15](i69, i66, i71, i70);
           set32(6 * 4 | 0, i63 | 0);
           set32(7 * 4 | 0, i69 | 0);
           break;
          }
         } while (0);
         i63 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i70) | 0;
         if (!i63) break;
         i69 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i63) | 0;
         i71 = (get32(30 * 4 | 0) | 0) + i69 | 0;
         set32(30 * 4 | 0, i71 | 0);
         if ((i71 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i71 | 0);
         i71 = get32(39 * 4 | 0) | 0;
         i69 = i71 + 1 | 0;
         set32(39 * 4 | 0, i69 | 0);
         if ((i71 | 0) < (get32(49 * 4 | 0) | 0)) {
          i122 = i63;
          i26 = 241;
          break L303;
         }
         set32(49 * 4 | 0, i69 | 0);
         i122 = i63;
         i26 = 241;
         break L303;
        } while (0);
        set8(i21 >> 0 | 0, 1 | 0);
        i48 = i4;
        i49 = i2;
        i50 = 0;
        i51 = i77;
        break L1;
       } while (0);
       if ((i26 | 0) == 241) {
        i123 = i122;
        break;
       } else if ((i26 | 0) == 242) if (!i121) {
        i48 = i4;
        i49 = i2;
        i50 = i121;
        i51 = i77;
        break L1;
       } else {
        i123 = i121;
        break;
       }
      } else i123 = 0; while (0);
      i78 = get32(i42 | 0) | 0;
      if (!i78) {
       i118 = i123;
       break;
      }
      i63 = (i110 | i108 | 0) == 0;
      i69 = i1 + 72 | 0;
      i71 = 0;
      i66 = i78;
      while (1) {
       L364 : do if (i63) {
        i78 = get32(i66 + 4 | 0) | 0;
        if ((i78 | 0) <= 0) {
         i124 = 0;
         break;
        }
        i72 = get32(i66 + 8 | 0) | 0;
        i41 = 0;
        while (1) {
         if ((get32(i77 + (get32(i72 + (i41 << 2) | 0) << 2) | 0) | 0) > -1) break;
         i41 = i41 + 1 | 0;
         if ((i41 | 0) >= (i78 | 0)) {
          i124 = 0;
          break L364;
         }
        }
        i78 = (get32(i69 | 0) | 0) + 1 | 0;
        set32(i69 | 0, i78 | 0);
        i124 = i78;
       } else {
        i78 = (get32(i69 | 0) | 0) + 1 | 0;
        set32(i69 | 0, i78 | 0);
        i124 = i78;
       } while (0);
       set32(i123 + (i71 << 2) | 0, i124 | 0);
       i66 = get32(i66 + 32 | 0) | 0;
       if (!i66) {
        i118 = i123;
        break;
       } else i71 = i71 + 1 | 0;
      }
     } while (0);
     i31 = i1 + 12 | 0;
     i65 = get32(i31 | 0) | 0;
     do if (!i65) {
      i71 = get32(i1 | 0) | 0;
      L376 : do if (!i71) {
       if (!(get32(50 * 4 | 0) | 0)) {
        i125 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
        i26 = 291;
        break;
       }
       i66 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
       set32(35 * 4 | 0, 192 | 0);
       if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
       i69 = get32(6 * 4 | 0) | 0;
       do if (i69) {
        i63 = get32(30 * 4 | 0) | 0;
        i78 = ((i63 | 0) < 0) << 31 >> 31;
        i41 = 16;
        i72 = _i64Subtract(get32(i41 | 0) | 0, get32(i41 + 4 | 0) | 0, i66 | 0, ((i66 | 0) < 0) << 31 >> 31 | 0) | 0;
        i41 = tempRet0;
        if ((i78 | 0) < (i41 | 0) | (i78 | 0) == (i41 | 0) & i63 >>> 0 < i72 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i72 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i69 & 15](i72, i63, i78, i66);
         set32(6 * 4 | 0, i69 | 0);
         set32(7 * 4 | 0, i72 | 0);
         break;
        }
       } while (0);
       i69 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i66) | 0;
       if (!i69) {
        i26 = 301;
        break;
       }
       i72 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i69) | 0;
       i78 = (get32(30 * 4 | 0) | 0) + i72 | 0;
       set32(30 * 4 | 0, i78 | 0);
       if ((i78 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i78 | 0);
       i78 = get32(39 * 4 | 0) | 0;
       i72 = i78 + 1 | 0;
       set32(39 * 4 | 0, i72 | 0);
       if ((i78 | 0) < (get32(49 * 4 | 0) | 0)) {
        i126 = i69;
        break;
       }
       set32(49 * 4 | 0, i72 | 0);
       i126 = i69;
      } else {
       i69 = i71 + 30 | 0;
       if (get8(i69 >> 0 | 0) | 0) {
        i26 = 301;
        break;
       }
       do if (get8(i71 + 234 >> 0 | 0) | 0) {
        if ((getU16(i71 + 232 | 0) | 0) < 192) {
         i72 = i71 + 248 | 0;
         set32(i72 | 0, (get32(i72 | 0) | 0) + 1 | 0);
         break;
        }
        i72 = i71 + 256 | 0;
        i78 = get32(i72 | 0) | 0;
        if (!i78) {
         i63 = i71 + 252 | 0;
         set32(i63 | 0, (get32(i63 | 0) | 0) + 1 | 0);
         break;
        }
        set32(i72 | 0, get32(i78 | 0) | 0);
        i72 = i71 + 236 | 0;
        i63 = get32(i72 | 0) | 0;
        i41 = i63 + 1 | 0;
        set32(i72 | 0, i41 | 0);
        i72 = i71 + 244 | 0;
        set32(i72 | 0, (get32(i72 | 0) | 0) + 1 | 0);
        i72 = i71 + 240 | 0;
        if ((i63 | 0) >= (get32(i72 | 0) | 0)) set32(i72 | 0, i41 | 0);
        i125 = i78;
        i26 = 291;
        break L376;
       } while (0);
       do if (!(get32(50 * 4 | 0) | 0)) {
        i66 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
        if (i66) {
         i126 = i66;
         break L376;
        }
       } else {
        i66 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
        set32(35 * 4 | 0, 192 | 0);
        if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
        i78 = get32(6 * 4 | 0) | 0;
        do if (i78) {
         i41 = get32(30 * 4 | 0) | 0;
         i72 = ((i41 | 0) < 0) << 31 >> 31;
         i63 = 16;
         i80 = _i64Subtract(get32(i63 | 0) | 0, get32(i63 + 4 | 0) | 0, i66 | 0, ((i66 | 0) < 0) << 31 >> 31 | 0) | 0;
         i63 = tempRet0;
         if ((i72 | 0) < (i63 | 0) | (i72 | 0) == (i63 | 0) & i41 >>> 0 < i80 >>> 0) {
          set32(11 * 4 | 0, 0 | 0);
          break;
         } else {
          set32(11 * 4 | 0, 1 | 0);
          i80 = get32(7 * 4 | 0) | 0;
          set32(6 * 4 | 0, 0 | 0);
          FUNCTION_TABLE_viiii[i78 & 15](i80, i41, i72, i66);
          set32(6 * 4 | 0, i78 | 0);
          set32(7 * 4 | 0, i80 | 0);
          break;
         }
        } while (0);
        i78 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i66) | 0;
        if (!i78) break;
        i80 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i78) | 0;
        i72 = (get32(30 * 4 | 0) | 0) + i80 | 0;
        set32(30 * 4 | 0, i72 | 0);
        if ((i72 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i72 | 0);
        i72 = get32(39 * 4 | 0) | 0;
        i80 = i72 + 1 | 0;
        set32(39 * 4 | 0, i80 | 0);
        if ((i72 | 0) < (get32(49 * 4 | 0) | 0)) {
         i126 = i78;
         break L376;
        }
        set32(49 * 4 | 0, i80 | 0);
        i126 = i78;
        break L376;
       } while (0);
       set8(i69 >> 0 | 0, 1 | 0);
       i26 = 301;
      } while (0);
      if ((i26 | 0) == 291) if (!i125) i26 = 301; else i126 = i125;
      if ((i26 | 0) == 301) {
       set32(i31 | 0, 0 | 0);
       i48 = i4;
       i49 = i2;
       i50 = i118;
       i51 = i77;
       break L1;
      }
      _memset(i126 | 0, 0, 192) | 0;
      set32(i126 | 0, i71 | 0);
      i78 = i71 + 136 | 0;
      i80 = get32(i78 | 0) | 0;
      if (i80) set32(i80 + 60 | 0, i126 | 0);
      set32(i126 + 64 | 0, i80 | 0);
      set32(i126 + 60 | 0, 0 | 0);
      set32(i78 | 0, i126 | 0);
      set32(i126 + 52 | 0, 649915045 | 0);
      set32(i31 | 0, i126 | 0);
      i78 = i126 + 28 | 0;
      i80 = i126 + 32 | 0;
      i72 = i126 + 4 | 0;
      i41 = _sqlite3DbRealloc(i71, 0, 1020) | 0;
      if (!i41) {
       i127 = i126;
       break;
      }
      i63 = get32(i126 | 0) | 0;
      do if (!i63) i26 = 299; else {
       if ((get32(i63 + 260 | 0) | 0) >>> 0 > i41 >>> 0) {
        i26 = 299;
        break;
       }
       if ((get32(i63 + 264 | 0) | 0) >>> 0 <= i41 >>> 0) {
        i26 = 299;
        break;
       }
       i128 = getU16(i63 + 232 | 0) | 0;
      } while (0);
      if ((i26 | 0) == 299) i128 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i41) | 0;
      set32(i80 | 0, (i128 >>> 0) / 20 | 0 | 0);
      set32(i72 | 0, i41 | 0);
      set32(i78 | 0, (get32(i78 | 0) | 0) + 1 | 0);
      set8(i41 >> 0 | 0, -120 | 0);
      set8(i41 + 1 >> 0 | 0, 0 | 0);
      i64 = i41 + 3 | 0;
      i39 = i64 + 17 | 0;
      do {
       set8(i64 >> 0 | 0, 0 | 0);
       i64 = i64 + 1 | 0;
      } while ((i64 | 0) < (i39 | 0));
      i127 = i126;
     } else i127 = i65; while (0);
     i65 = i1 + 19 | 0;
     if (!(get8(i65 >> 0 | 0) | 0)) set8(i127 + 98 >> 0 | 0, 1 | 0);
     _sqlite3BeginWriteOperation(i1, 1, i52);
     if (get8(i30 >> 0 | 0) & 16) {
      i41 = get32(i31 | 0) | 0;
      i78 = get32(i1 | 0) | 0;
      i72 = get32(i27 + 52 | 0) | 0;
      L449 : do if (!i72) i129 = 0; else {
       i80 = i72;
       while (1) {
        if ((get32(i80 | 0) | 0) == (i78 | 0)) {
         i129 = i80;
         break L449;
        }
        i80 = get32(i80 + 24 | 0) | 0;
        if (!i80) {
         i129 = 0;
         break;
        }
       }
      } while (0);
      set32(i16 | 0, 33379 | 0);
      set32(i16 + 4 | 0, 7 | 0);
      i72 = _sqlite3ExprAlloc(i78, 26, i16, 0) | 0;
      i80 = _sqlite3ExprListAppend(get32(i1 | 0) | 0, 0, i72) | 0;
      i72 = (i109 | 0) != 0;
      if (i72) {
       i63 = _exprDup(i78, i109, 0, 0) | 0;
       i130 = _sqlite3ExprListAppend(get32(i1 | 0) | 0, i80, i63) | 0;
      } else i130 = i80;
      if ((get32(i35 | 0) | 0) > 0) {
       i80 = i3 + 12 | 0;
       i63 = i27 + 12 | 0;
       i71 = i16 + 4 | 0;
       i82 = 0;
       i83 = i130;
       while (1) {
        i36 = get32(i77 + (i82 << 2) | 0) | 0;
        if ((i36 | 0) > -1) i131 = _exprDup(i78, get32((get32(i80 | 0) | 0) + (i36 * 20 | 0) | 0) | 0, 0, 0) | 0; else {
         i36 = get32((get32(i63 | 0) | 0) + (i82 * 24 | 0) | 0) | 0;
         set32(i16 | 0, i36 | 0);
         if (!i36) i132 = 0; else {
          i79 = i36;
          while (1) if (!(get8(i79 >> 0 | 0) | 0)) {
           i133 = i79;
           break;
          } else i79 = i79 + 1 | 0;
          i132 = i133 - i36 & 1073741823;
         }
         set32(i71 | 0, i132 | 0);
         i131 = _sqlite3ExprAlloc(i78, 26, i16, 0) | 0;
        }
        i79 = _sqlite3ExprListAppend(get32(i1 | 0) | 0, i83, i131) | 0;
        i82 = i82 + 1 | 0;
        if ((i82 | 0) >= (get32(i35 | 0) | 0)) {
         i134 = i79;
         break;
        } else i83 = i79;
       }
      } else i134 = i130;
      i83 = _sqlite3SelectNew(i1, i134, i2, i4, 0, 0, 0, 0, 0, 0) | 0;
      i82 = get32(i34 | 0) | 0;
      set32(i34 | 0, i82 + 1 | 0);
      i71 = i72 & 1;
      i63 = (get32(i35 | 0) | 0) + (i72 ? 2 : 1) | 0;
      i80 = i41 + 28 | 0;
      i79 = get32(i80 | 0) | 0;
      i84 = i41 + 32 | 0;
      i90 = get32(i84 | 0) | 0;
      do if ((i90 | 0) > (i79 | 0)) {
       i85 = i41 + 4 | 0;
       i135 = i85;
       i136 = i79;
       i137 = get32(i85 | 0) | 0;
       i26 = 328;
      } else {
       i85 = i41 + 4 | 0;
       i81 = _sqlite3DbRealloc(get32(i41 | 0) | 0, get32(i85 | 0) | 0, (i90 | 0) == 0 ? 1020 : i90 * 40 | 0) | 0;
       if (!i81) {
        i138 = i85;
        break;
       }
       i88 = get32(i41 | 0) | 0;
       do if (!i88) i26 = 326; else {
        if ((get32(i88 + 260 | 0) | 0) >>> 0 > i81 >>> 0) {
         i26 = 326;
         break;
        }
        if ((get32(i88 + 264 | 0) | 0) >>> 0 <= i81 >>> 0) {
         i26 = 326;
         break;
        }
        i139 = getU16(i88 + 232 | 0) | 0;
       } while (0);
       if ((i26 | 0) == 326) i139 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i81) | 0;
       set32(i84 | 0, (i139 >>> 0) / 20 | 0 | 0);
       set32(i85 | 0, i81 | 0);
       i135 = i85;
       i136 = get32(i80 | 0) | 0;
       i137 = i81;
       i26 = 328;
      } while (0);
      if ((i26 | 0) == 328) {
       set32(i80 | 0, i136 + 1 | 0);
       set8(i137 + (i79 * 20 | 0) >> 0 | 0, 41 | 0);
       set8(i137 + (i79 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i137 + (i79 * 20 | 0) + 4 | 0, i82 | 0);
       set32(i137 + (i79 * 20 | 0) + 8 | 0, i63 | 0);
       set32(i137 + (i79 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i137 + (i79 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i137 + (i79 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i138 = i135;
      }
      i90 = get32(i138 | 0) | 0;
      if (i90) set8(i90 + (((get32(i80 | 0) | 0) + -1 | 0) * 20 | 0) + 3 >> 0 | 0, 16 | 0);
      set8(i17 >> 0 | 0, 8 | 0);
      set32(i17 + 4 | 0, i82 | 0);
      set8(i17 + 1 >> 0 | 0, 0 | 0);
      set32(i17 + 8 | 0, 0 | 0);
      set32(i17 + 12 | 0, 0 | 0);
      _sqlite3Select(i1, i83, i17) | 0;
      i90 = i1 + 72 | 0;
      i72 = get32(i90 | 0) | 0;
      i34 = i72 + 1 | 0;
      set32(i90 | 0, (get32(i35 | 0) | 0) + 1 + i34 | 0);
      i90 = get32(i80 | 0) | 0;
      i88 = get32(i84 | 0) | 0;
      do if ((i88 | 0) > (i90 | 0)) {
       i140 = i90;
       i141 = get32(i138 | 0) | 0;
       i142 = i88;
       i26 = 341;
      } else {
       i36 = _sqlite3DbRealloc(get32(i41 | 0) | 0, get32(i138 | 0) | 0, (i88 | 0) == 0 ? 1020 : i88 * 40 | 0) | 0;
       if (!i36) {
        i143 = 1;
        i144 = get32(i84 | 0) | 0;
        i145 = get32(i80 | 0) | 0;
        break;
       }
       i89 = get32(i41 | 0) | 0;
       do if (!i89) i26 = 339; else {
        if ((get32(i89 + 260 | 0) | 0) >>> 0 > i36 >>> 0) {
         i26 = 339;
         break;
        }
        if ((get32(i89 + 264 | 0) | 0) >>> 0 <= i36 >>> 0) {
         i26 = 339;
         break;
        }
        i146 = getU16(i89 + 232 | 0) | 0;
       } while (0);
       if ((i26 | 0) == 339) i146 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i36) | 0;
       i89 = (i146 >>> 0) / 20 | 0;
       set32(i84 | 0, i89 | 0);
       set32(i138 | 0, i36 | 0);
       i140 = get32(i80 | 0) | 0;
       i141 = i36;
       i142 = i89;
       i26 = 341;
      } while (0);
      if ((i26 | 0) == 341) {
       i88 = i140 + 1 | 0;
       set32(i80 | 0, i88 | 0);
       set8(i141 + (i90 * 20 | 0) >> 0 | 0, 65 | 0);
       set8(i141 + (i90 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i141 + (i90 * 20 | 0) + 4 | 0, i82 | 0);
       set32(i141 + (i90 * 20 | 0) + 8 | 0, 0 | 0);
       set32(i141 + (i90 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i141 + (i90 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i141 + (i90 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i143 = i90;
       i144 = i142;
       i145 = i88;
      }
      do if ((i144 | 0) > (i145 | 0)) {
       i147 = i145;
       i148 = get32(i138 | 0) | 0;
       i149 = i144;
       i26 = 352;
      } else {
       i88 = _sqlite3DbRealloc(get32(i41 | 0) | 0, get32(i138 | 0) | 0, (i144 | 0) == 0 ? 1020 : i144 * 40 | 0) | 0;
       if (!i88) {
        i150 = get32(i84 | 0) | 0;
        i151 = get32(i80 | 0) | 0;
        break;
       }
       i79 = get32(i41 | 0) | 0;
       do if (!i79) i26 = 350; else {
        if ((get32(i79 + 260 | 0) | 0) >>> 0 > i88 >>> 0) {
         i26 = 350;
         break;
        }
        if ((get32(i79 + 264 | 0) | 0) >>> 0 <= i88 >>> 0) {
         i26 = 350;
         break;
        }
        i152 = getU16(i79 + 232 | 0) | 0;
       } while (0);
       if ((i26 | 0) == 350) i152 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i88) | 0;
       i79 = (i152 >>> 0) / 20 | 0;
       set32(i84 | 0, i79 | 0);
       set32(i138 | 0, i88 | 0);
       i147 = get32(i80 | 0) | 0;
       i148 = i88;
       i149 = i79;
       i26 = 352;
      } while (0);
      if ((i26 | 0) == 352) {
       i90 = i147 + 1 | 0;
       set32(i80 | 0, i90 | 0);
       set8(i148 + (i145 * 20 | 0) >> 0 | 0, 28 | 0);
       set8(i148 + (i145 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i148 + (i145 * 20 | 0) + 4 | 0, i82 | 0);
       set32(i148 + (i145 * 20 | 0) + 8 | 0, 0 | 0);
       set32(i148 + (i145 * 20 | 0) + 12 | 0, i34 | 0);
       set32(i148 + (i145 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i148 + (i145 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i150 = i149;
       i151 = i90;
      }
      i90 = i72 + 2 | 0;
      do if ((i150 | 0) > (i151 | 0)) {
       i153 = i151;
       i154 = get32(i138 | 0) | 0;
       i26 = 362;
      } else {
       i79 = _sqlite3DbRealloc(get32(i41 | 0) | 0, get32(i138 | 0) | 0, (i150 | 0) == 0 ? 1020 : i150 * 40 | 0) | 0;
       if (!i79) break;
       i36 = get32(i41 | 0) | 0;
       do if (!i36) i26 = 360; else {
        if ((get32(i36 + 260 | 0) | 0) >>> 0 > i79 >>> 0) {
         i26 = 360;
         break;
        }
        if ((get32(i36 + 264 | 0) | 0) >>> 0 <= i79 >>> 0) {
         i26 = 360;
         break;
        }
        i155 = getU16(i36 + 232 | 0) | 0;
       } while (0);
       if ((i26 | 0) == 360) i155 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i79) | 0;
       set32(i84 | 0, (i155 >>> 0) / 20 | 0 | 0);
       set32(i138 | 0, i79 | 0);
       i153 = get32(i80 | 0) | 0;
       i154 = i79;
       i26 = 362;
      } while (0);
      if ((i26 | 0) == 362) {
       set32(i80 | 0, i153 + 1 | 0);
       set8(i154 + (i151 * 20 | 0) >> 0 | 0, 28 | 0);
       set8(i154 + (i151 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i154 + (i151 * 20 | 0) + 4 | 0, i82 | 0);
       set32(i154 + (i151 * 20 | 0) + 8 | 0, i71 | 0);
       set32(i154 + (i151 * 20 | 0) + 12 | 0, i90 | 0);
       set32(i154 + (i151 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i154 + (i151 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      }
      if ((get32(i35 | 0) | 0) > 0) {
       i36 = i72 + 3 | 0;
       i88 = 0;
       do {
        i63 = i88;
        i88 = i88 + 1 | 0;
        i89 = i88 + i71 | 0;
        i81 = i36 + i63 | 0;
        i63 = get32(i80 | 0) | 0;
        i85 = get32(i84 | 0) | 0;
        do if ((i85 | 0) > (i63 | 0)) {
         i156 = i63;
         i157 = get32(i138 | 0) | 0;
         i26 = 374;
        } else {
         i91 = _sqlite3DbRealloc(get32(i41 | 0) | 0, get32(i138 | 0) | 0, (i85 | 0) == 0 ? 1020 : i85 * 40 | 0) | 0;
         if (!i91) break;
         i158 = get32(i41 | 0) | 0;
         do if (!i158) i26 = 372; else {
          if ((get32(i158 + 260 | 0) | 0) >>> 0 > i91 >>> 0) {
           i26 = 372;
           break;
          }
          if ((get32(i158 + 264 | 0) | 0) >>> 0 <= i91 >>> 0) {
           i26 = 372;
           break;
          }
          i159 = getU16(i158 + 232 | 0) | 0;
         } while (0);
         if ((i26 | 0) == 372) {
          i26 = 0;
          i159 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i91) | 0;
         }
         set32(i84 | 0, (i159 >>> 0) / 20 | 0 | 0);
         set32(i138 | 0, i91 | 0);
         i156 = get32(i80 | 0) | 0;
         i157 = i91;
         i26 = 374;
        } while (0);
        if ((i26 | 0) == 374) {
         i26 = 0;
         set32(i80 | 0, i156 + 1 | 0);
         set8(i157 + (i63 * 20 | 0) >> 0 | 0, 28 | 0);
         set8(i157 + (i63 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i157 + (i63 * 20 | 0) + 4 | 0, i82 | 0);
         set32(i157 + (i63 * 20 | 0) + 8 | 0, i89 | 0);
         set32(i157 + (i63 * 20 | 0) + 12 | 0, i81 | 0);
         set32(i157 + (i63 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i157 + (i63 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        }
       } while ((i88 | 0) < (get32(i35 | 0) | 0));
      }
      i88 = i1 + 424 | 0;
      i36 = get32(i88 | 0) | 0;
      i71 = (i36 | 0) == 0 ? i1 : i36;
      i36 = i71 + 532 | 0;
      i72 = get32(i36 | 0) | 0;
      i90 = i71 + 536 | 0;
      L553 : do if ((i72 | 0) > 0) {
       i85 = get32(i90 | 0) | 0;
       i79 = 0;
       do {
        if ((get32(i85 + (i79 << 2) | 0) | 0) == (i27 | 0)) break L553;
        i79 = i79 + 1 | 0;
       } while ((i79 | 0) < (i72 | 0));
       i160 = i90;
       i161 = i85;
       i26 = 382;
      } else {
       i160 = i90;
       i161 = get32(i90 | 0) | 0;
       i26 = 382;
      } while (0);
      L560 : do if ((i26 | 0) == 382) {
       do if (!(_sqlite3_initialize() | 0)) {
        i90 = _sqlite3Realloc(i161, (i72 << 2) + 4 | 0) | 0;
        if (!i90) break;
        set32(i160 | 0, i90 | 0);
        i79 = get32(i36 | 0) | 0;
        set32(i36 | 0, i79 + 1 | 0);
        set32(i90 + (i79 << 2) | 0, i27 | 0);
        break L560;
       } while (0);
       set8((get32(i71 | 0) | 0) + 30 >> 0 | 0, 1 | 0);
      } while (0);
      i71 = (get32(i35 | 0) | 0) + 2 | 0;
      i36 = get32(i80 | 0) | 0;
      i72 = get32(i84 | 0) | 0;
      do if ((i72 | 0) > (i36 | 0)) {
       i162 = i41;
       i163 = i36;
       i164 = get32(i138 | 0) | 0;
       i26 = 395;
      } else {
       i85 = _sqlite3DbRealloc(get32(i41 | 0) | 0, get32(i138 | 0) | 0, (i72 | 0) == 0 ? 1020 : i72 * 40 | 0) | 0;
       if (!i85) {
        i165 = 1;
        i166 = i41;
        break;
       }
       i79 = get32(i41 | 0) | 0;
       do if (!i79) i26 = 393; else {
        if ((get32(i79 + 260 | 0) | 0) >>> 0 > i85 >>> 0) {
         i26 = 393;
         break;
        }
        if ((get32(i79 + 264 | 0) | 0) >>> 0 <= i85 >>> 0) {
         i26 = 393;
         break;
        }
        i167 = getU16(i79 + 232 | 0) | 0;
       } while (0);
       if ((i26 | 0) == 393) i167 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i85) | 0;
       set32(i84 | 0, (i167 >>> 0) / 20 | 0 | 0);
       set32(i138 | 0, i85 | 0);
       i162 = i41;
       i163 = get32(i80 | 0) | 0;
       i164 = i85;
       i26 = 395;
      } while (0);
      if ((i26 | 0) == 395) {
       set32(i80 | 0, i163 + 1 | 0);
       set8(i164 + (i36 * 20 | 0) >> 0 | 0, -123 | 0);
       set8(i164 + (i36 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i164 + (i36 * 20 | 0) + 4 | 0, 0 | 0);
       set32(i164 + (i36 * 20 | 0) + 8 | 0, i71 | 0);
       set32(i164 + (i36 * 20 | 0) + 12 | 0, i34 | 0);
       set32(i164 + (i36 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i164 + (i36 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i165 = i36;
       i166 = i162;
      }
      i41 = get32(i166 | 0) | 0;
      i72 = get32(i138 | 0) | 0;
      do if (!i72) {
       i168 = 0;
       i169 = i72;
      } else {
       do if (!(get8(i41 + 30 >> 0 | 0) | 0)) {
        if ((i165 | 0) < 0) i170 = (get32(i80 | 0) | 0) + -1 | 0; else i170 = i165;
        i79 = i72 + (i170 * 20 | 0) + 1 | 0;
        i90 = i72 + (i170 * 20 | 0) + 16 | 0;
        _freeP4(i41, get8(i79 >> 0 | 0) | 0, get32(i90 | 0) | 0);
        set32(i90 | 0, 0 | 0);
        if (!i129) {
         set32(i90 | 0, 0 | 0);
         set8(i79 >> 0 | 0, 0 | 0);
         break;
        } else {
         set32(i90 | 0, i129 | 0);
         set8(i79 >> 0 | 0, -10 | 0);
         i79 = i129 + 12 | 0;
         set32(i79 | 0, (get32(i79 | 0) | 0) + 1 | 0);
         break;
        }
       } while (0);
       i85 = get32(i138 | 0) | 0;
       if (!i85) {
        i168 = 0;
        i169 = i85;
        break;
       }
       set8(i85 + (((get32(i80 | 0) | 0) + -1 | 0) * 20 | 0) + 3 >> 0 | 0, ((i5 | 0) == 99 ? 2 : i5 & 255) | 0);
       i168 = i85;
       i169 = i85;
      } while (0);
      i41 = get32(i88 | 0) | 0;
      set8(((i41 | 0) == 0 ? i1 : i41) + 345 >> 0 | 0, 1 | 0);
      i41 = i143 + 1 | 0;
      i72 = get32(i80 | 0) | 0;
      i36 = get32(i84 | 0) | 0;
      do if ((i36 | 0) > (i72 | 0)) {
       i171 = i72;
       i172 = i168;
       i26 = 414;
      } else {
       i34 = _sqlite3DbRealloc(get32(i166 | 0) | 0, i169, (i36 | 0) == 0 ? 1020 : i36 * 40 | 0) | 0;
       if (!i34) {
        i173 = get32(i80 | 0) | 0;
        break;
       }
       i71 = get32(i166 | 0) | 0;
       do if (!i71) i26 = 412; else {
        if ((get32(i71 + 260 | 0) | 0) >>> 0 > i34 >>> 0) {
         i26 = 412;
         break;
        }
        if ((get32(i71 + 264 | 0) | 0) >>> 0 <= i34 >>> 0) {
         i26 = 412;
         break;
        }
        i174 = getU16(i71 + 232 | 0) | 0;
       } while (0);
       if ((i26 | 0) == 412) i174 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i34) | 0;
       set32(i84 | 0, (i174 >>> 0) / 20 | 0 | 0);
       set32(i138 | 0, i34 | 0);
       i171 = get32(i80 | 0) | 0;
       i172 = i34;
       i26 = 414;
      } while (0);
      if ((i26 | 0) == 414) {
       i36 = i171 + 1 | 0;
       set32(i80 | 0, i36 | 0);
       set8(i172 + (i72 * 20 | 0) >> 0 | 0, 67 | 0);
       set8(i172 + (i72 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i172 + (i72 * 20 | 0) + 4 | 0, i82 | 0);
       set32(i172 + (i72 * 20 | 0) + 8 | 0, i41 | 0);
       set32(i172 + (i72 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i172 + (i72 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i172 + (i72 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i173 = i36;
      }
      if ((i173 | 0) > (i143 | 0)) set32((get32(i138 | 0) | 0) + (i143 * 20 | 0) + 8 | 0, i173 | 0);
      i36 = get32(i84 | 0) | 0;
      do if ((i36 | 0) > (i173 | 0)) {
       i175 = i173;
       i176 = get32(i138 | 0) | 0;
       i26 = 426;
      } else {
       i88 = _sqlite3DbRealloc(get32(i166 | 0) | 0, get32(i138 | 0) | 0, (i36 | 0) == 0 ? 1020 : i36 * 40 | 0) | 0;
       if (!i88) break;
       i71 = get32(i166 | 0) | 0;
       do if (!i71) i26 = 424; else {
        if ((get32(i71 + 260 | 0) | 0) >>> 0 > i88 >>> 0) {
         i26 = 424;
         break;
        }
        if ((get32(i71 + 264 | 0) | 0) >>> 0 <= i88 >>> 0) {
         i26 = 424;
         break;
        }
        i177 = getU16(i71 + 232 | 0) | 0;
       } while (0);
       if ((i26 | 0) == 424) i177 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i88) | 0;
       set32(i84 | 0, (i177 >>> 0) / 20 | 0 | 0);
       set32(i138 | 0, i88 | 0);
       i175 = get32(i80 | 0) | 0;
       i176 = i88;
       i26 = 426;
      } while (0);
      if ((i26 | 0) == 426) {
       set32(i80 | 0, i175 + 1 | 0);
       set8(i176 + (i173 * 20 | 0) >> 0 | 0, 43 | 0);
       set8(i176 + (i173 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i176 + (i173 * 20 | 0) + 4 | 0, i82 | 0);
       set32(i176 + (i173 * 20 | 0) + 8 | 0, 0 | 0);
       set32(i176 + (i173 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i176 + (i173 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i176 + (i173 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      }
      if (i83) {
       i84 = get32(i83 | 0) | 0;
       if (i84) {
        i36 = i84 + 12 | 0;
        if ((get32(i84 | 0) | 0) > 0) {
         i72 = 0;
         i41 = get32(i36 | 0) | 0;
         while (1) {
          _sqlite3ExprDelete(i78, get32(i41 | 0) | 0);
          _sqlite3DbFree(i78, get32(i41 + 4 | 0) | 0);
          _sqlite3DbFree(i78, get32(i41 + 8 | 0) | 0);
          i72 = i72 + 1 | 0;
          if ((i72 | 0) >= (get32(i84 | 0) | 0)) break; else i41 = i41 + 20 | 0;
         }
        }
        _sqlite3DbFree(i78, get32(i36 | 0) | 0);
        _sqlite3DbFree(i78, i84);
       }
       _sqlite3SrcListDelete(i78, get32(i83 + 8 | 0) | 0);
       _sqlite3ExprDelete(i78, get32(i83 + 12 | 0) | 0);
       i41 = get32(i83 + 16 | 0) | 0;
       if (i41) {
        i72 = i41 + 12 | 0;
        if ((get32(i41 | 0) | 0) > 0) {
         i82 = 0;
         i80 = get32(i72 | 0) | 0;
         while (1) {
          _sqlite3ExprDelete(i78, get32(i80 | 0) | 0);
          _sqlite3DbFree(i78, get32(i80 + 4 | 0) | 0);
          _sqlite3DbFree(i78, get32(i80 + 8 | 0) | 0);
          i82 = i82 + 1 | 0;
          if ((i82 | 0) >= (get32(i41 | 0) | 0)) break; else i80 = i80 + 20 | 0;
         }
        }
        _sqlite3DbFree(i78, get32(i72 | 0) | 0);
        _sqlite3DbFree(i78, i41);
       }
       _sqlite3ExprDelete(i78, get32(i83 + 20 | 0) | 0);
       i80 = get32(i83 + 24 | 0) | 0;
       if (i80) {
        i82 = i80 + 12 | 0;
        if ((get32(i80 | 0) | 0) > 0) {
         i84 = 0;
         i36 = get32(i82 | 0) | 0;
         while (1) {
          _sqlite3ExprDelete(i78, get32(i36 | 0) | 0);
          _sqlite3DbFree(i78, get32(i36 + 4 | 0) | 0);
          _sqlite3DbFree(i78, get32(i36 + 8 | 0) | 0);
          i84 = i84 + 1 | 0;
          if ((i84 | 0) >= (get32(i80 | 0) | 0)) break; else i36 = i36 + 20 | 0;
         }
        }
        _sqlite3DbFree(i78, get32(i82 | 0) | 0);
        _sqlite3DbFree(i78, i80);
       }
       i36 = get32(i83 + 28 | 0) | 0;
       if (i36) {
        i84 = get32(i36 | 0) | 0;
        if (i84) {
         i41 = i84 + 12 | 0;
         if ((get32(i84 | 0) | 0) > 0) {
          i72 = 0;
          i71 = get32(i41 | 0) | 0;
          while (1) {
           _sqlite3ExprDelete(i78, get32(i71 | 0) | 0);
           _sqlite3DbFree(i78, get32(i71 + 4 | 0) | 0);
           _sqlite3DbFree(i78, get32(i71 + 8 | 0) | 0);
           i72 = i72 + 1 | 0;
           if ((i72 | 0) >= (get32(i84 | 0) | 0)) break; else i71 = i71 + 20 | 0;
          }
         }
         _sqlite3DbFree(i78, get32(i41 | 0) | 0);
         _sqlite3DbFree(i78, i84);
        }
        _sqlite3SrcListDelete(i78, get32(i36 + 8 | 0) | 0);
        _sqlite3ExprDelete(i78, get32(i36 + 12 | 0) | 0);
        i71 = get32(i36 + 16 | 0) | 0;
        if (i71) {
         i72 = i71 + 12 | 0;
         if ((get32(i71 | 0) | 0) > 0) {
          i80 = 0;
          i82 = get32(i72 | 0) | 0;
          while (1) {
           _sqlite3ExprDelete(i78, get32(i82 | 0) | 0);
           _sqlite3DbFree(i78, get32(i82 + 4 | 0) | 0);
           _sqlite3DbFree(i78, get32(i82 + 8 | 0) | 0);
           i80 = i80 + 1 | 0;
           if ((i80 | 0) >= (get32(i71 | 0) | 0)) break; else i82 = i82 + 20 | 0;
          }
         }
         _sqlite3DbFree(i78, get32(i72 | 0) | 0);
         _sqlite3DbFree(i78, i71);
        }
        _sqlite3ExprDelete(i78, get32(i36 + 20 | 0) | 0);
        i82 = get32(i36 + 24 | 0) | 0;
        if (i82) {
         i80 = i82 + 12 | 0;
         if ((get32(i82 | 0) | 0) > 0) {
          i84 = 0;
          i41 = get32(i80 | 0) | 0;
          while (1) {
           _sqlite3ExprDelete(i78, get32(i41 | 0) | 0);
           _sqlite3DbFree(i78, get32(i41 + 4 | 0) | 0);
           _sqlite3DbFree(i78, get32(i41 + 8 | 0) | 0);
           i84 = i84 + 1 | 0;
           if ((i84 | 0) >= (get32(i82 | 0) | 0)) break; else i41 = i41 + 20 | 0;
          }
         }
         _sqlite3DbFree(i78, get32(i80 | 0) | 0);
         _sqlite3DbFree(i78, i82);
        }
        i41 = get32(i36 + 28 | 0) | 0;
        if (i41) {
         i84 = get32(i41 | 0) | 0;
         if (i84) {
          i71 = i84 + 12 | 0;
          if ((get32(i84 | 0) | 0) > 0) {
           i72 = 0;
           i34 = get32(i71 | 0) | 0;
           while (1) {
            _sqlite3ExprDelete(i78, get32(i34 | 0) | 0);
            _sqlite3DbFree(i78, get32(i34 + 4 | 0) | 0);
            _sqlite3DbFree(i78, get32(i34 + 8 | 0) | 0);
            i72 = i72 + 1 | 0;
            if ((i72 | 0) >= (get32(i84 | 0) | 0)) break; else i34 = i34 + 20 | 0;
           }
          }
          _sqlite3DbFree(i78, get32(i71 | 0) | 0);
          _sqlite3DbFree(i78, i84);
         }
         _sqlite3SrcListDelete(i78, get32(i41 + 8 | 0) | 0);
         _sqlite3ExprDelete(i78, get32(i41 + 12 | 0) | 0);
         i34 = get32(i41 + 16 | 0) | 0;
         if (i34) {
          i72 = i34 + 12 | 0;
          if ((get32(i34 | 0) | 0) > 0) {
           i82 = 0;
           i80 = get32(i72 | 0) | 0;
           while (1) {
            _sqlite3ExprDelete(i78, get32(i80 | 0) | 0);
            _sqlite3DbFree(i78, get32(i80 + 4 | 0) | 0);
            _sqlite3DbFree(i78, get32(i80 + 8 | 0) | 0);
            i82 = i82 + 1 | 0;
            if ((i82 | 0) >= (get32(i34 | 0) | 0)) break; else i80 = i80 + 20 | 0;
           }
          }
          _sqlite3DbFree(i78, get32(i72 | 0) | 0);
          _sqlite3DbFree(i78, i34);
         }
         _sqlite3ExprDelete(i78, get32(i41 + 20 | 0) | 0);
         i80 = get32(i41 + 24 | 0) | 0;
         if (i80) {
          i82 = i80 + 12 | 0;
          if ((get32(i80 | 0) | 0) > 0) {
           i84 = 0;
           i71 = get32(i82 | 0) | 0;
           while (1) {
            _sqlite3ExprDelete(i78, get32(i71 | 0) | 0);
            _sqlite3DbFree(i78, get32(i71 + 4 | 0) | 0);
            _sqlite3DbFree(i78, get32(i71 + 8 | 0) | 0);
            i84 = i84 + 1 | 0;
            if ((i84 | 0) >= (get32(i80 | 0) | 0)) break; else i71 = i71 + 20 | 0;
           }
          }
          _sqlite3DbFree(i78, get32(i82 | 0) | 0);
          _sqlite3DbFree(i78, i80);
         }
         _sqlite3SelectDelete(i78, get32(i41 + 28 | 0) | 0);
         _sqlite3ExprDelete(i78, get32(i41 + 40 | 0) | 0);
         _sqlite3ExprDelete(i78, get32(i41 + 44 | 0) | 0);
         _sqlite3DbFree(i78, i41);
        }
        _sqlite3ExprDelete(i78, get32(i36 + 40 | 0) | 0);
        _sqlite3ExprDelete(i78, get32(i36 + 44 | 0) | 0);
        _sqlite3DbFree(i78, i36);
       }
       _sqlite3ExprDelete(i78, get32(i83 + 40 | 0) | 0);
       _sqlite3ExprDelete(i78, get32(i83 + 44 | 0) | 0);
       _sqlite3DbFree(i78, i83);
      }
      i48 = 0;
      i49 = 0;
      i50 = i118;
      i51 = i77;
      break L1;
     }
     i71 = i1 + 72 | 0;
     i84 = get32(i71 | 0) | 0;
     i34 = i84 + 1 | 0;
     set32(i71 | 0, i34 | 0);
     i72 = (i33 | 0) != 0;
     i85 = (i110 | 0) != 0;
     i79 = i72 | i85;
     if (i79) {
      i90 = (get32(i35 | 0) | 0) + i34 | 0;
      set32(i71 | 0, i90 | 0);
      i178 = i90;
      i179 = i84 + 2 | 0;
     } else {
      i178 = i34;
      i179 = 0;
     }
     i84 = (i108 | 0) != 0;
     i90 = i110 | i108;
     if (i72 | (i90 | 0) != 0) {
      i72 = i178 + 1 | 0;
      set32(i71 | 0, i72 | 0);
      i180 = i72;
      i181 = i72;
     } else {
      i180 = i178;
      i181 = i34;
     }
     i72 = i180 + 1 | 0;
     set32(i71 | 0, (get32(i35 | 0) | 0) + i180 | 0);
     if (i32) {
      i63 = i1 + 516 | 0;
      i81 = get32(i63 | 0) | 0;
      set32(i63 | 0, get32(i27 | 0) | 0);
      _sqlite3MaterializeView(i1, i27, i4, i62);
      i182 = i1;
      i183 = i81;
     } else {
      i182 = 0;
      i183 = 0;
     }
     do if (!(_sqlite3ResolveExprNames(i18, i4) | 0)) {
      i81 = i127 + 28 | 0;
      i63 = get32(i81 | 0) | 0;
      i89 = i127 + 32 | 0;
      i158 = get32(i89 | 0) | 0;
      do if ((i158 | 0) > (i63 | 0)) {
       i184 = i63;
       i185 = get32(i127 + 4 | 0) | 0;
       i26 = 495;
      } else {
       i69 = i127 + 4 | 0;
       i186 = _sqlite3DbRealloc(get32(i127 | 0) | 0, get32(i69 | 0) | 0, (i158 | 0) == 0 ? 1020 : i158 * 40 | 0) | 0;
       if (!i186) break;
       i187 = get32(i127 | 0) | 0;
       do if (!i187) i26 = 493; else {
        if ((get32(i187 + 260 | 0) | 0) >>> 0 > i186 >>> 0) {
         i26 = 493;
         break;
        }
        if ((get32(i187 + 264 | 0) | 0) >>> 0 <= i186 >>> 0) {
         i26 = 493;
         break;
        }
        i188 = getU16(i187 + 232 | 0) | 0;
       } while (0);
       if ((i26 | 0) == 493) i188 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i186) | 0;
       set32(i89 | 0, (i188 >>> 0) / 20 | 0 | 0);
       set32(i69 | 0, i186 | 0);
       i184 = get32(i81 | 0) | 0;
       i185 = i186;
       i26 = 495;
      } while (0);
      if ((i26 | 0) == 495) {
       set32(i81 | 0, i184 + 1 | 0);
       set8(i185 + (i63 * 20 | 0) >> 0 | 0, 10 | 0);
       set8(i185 + (i63 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i185 + (i63 * 20 | 0) + 4 | 0, 0 | 0);
       set32(i185 + (i63 * 20 | 0) + 8 | 0, i34 | 0);
       set32(i185 + (i63 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i185 + (i63 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i185 + (i63 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      }
      i158 = _sqlite3WhereBegin(i1, i2, i4, 0, 4) | 0;
      if (!i158) break;
      i88 = get8(i158 + 6 >> 0 | 0) | 0;
      i187 = get32(i81 | 0) | 0;
      i91 = get32(i89 | 0) | 0;
      do if ((i91 | 0) > (i187 | 0)) {
       i189 = i187;
       i190 = get32(i127 + 4 | 0) | 0;
       i26 = 506;
      } else {
       i191 = i127 + 4 | 0;
       i192 = _sqlite3DbRealloc(get32(i127 | 0) | 0, get32(i191 | 0) | 0, (i91 | 0) == 0 ? 1020 : i91 * 40 | 0) | 0;
       if (!i192) break;
       i193 = get32(i127 | 0) | 0;
       do if (!i193) i26 = 504; else {
        if ((get32(i193 + 260 | 0) | 0) >>> 0 > i192 >>> 0) {
         i26 = 504;
         break;
        }
        if ((get32(i193 + 264 | 0) | 0) >>> 0 <= i192 >>> 0) {
         i26 = 504;
         break;
        }
        i194 = getU16(i193 + 232 | 0) | 0;
       } while (0);
       if ((i26 | 0) == 504) i194 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i192) | 0;
       set32(i89 | 0, (i194 >>> 0) / 20 | 0 | 0);
       set32(i191 | 0, i192 | 0);
       i189 = get32(i81 | 0) | 0;
       i190 = i192;
       i26 = 506;
      } while (0);
      if ((i26 | 0) == 506) {
       set32(i81 | 0, i189 + 1 | 0);
       set8(i190 + (i187 * 20 | 0) >> 0 | 0, 61 | 0);
       set8(i190 + (i187 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i190 + (i187 * 20 | 0) + 4 | 0, i62 | 0);
       set32(i190 + (i187 * 20 | 0) + 8 | 0, i34 | 0);
       set32(i190 + (i187 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i190 + (i187 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i190 + (i187 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      }
      i91 = i88 << 24 >> 24 != 0;
      do if (i91) i195 = 0; else {
       i63 = (get32(i71 | 0) | 0) + 1 | 0;
       set32(i71 | 0, i63 | 0);
       i193 = get32(i81 | 0) | 0;
       i186 = get32(i89 | 0) | 0;
       if ((i186 | 0) > (i193 | 0)) {
        i196 = i193;
        i197 = get32(i127 + 4 | 0) | 0;
       } else {
        i69 = i127 + 4 | 0;
        i198 = _sqlite3DbRealloc(get32(i127 | 0) | 0, get32(i69 | 0) | 0, (i186 | 0) == 0 ? 1020 : i186 * 40 | 0) | 0;
        if (!i198) {
         i195 = i63;
         break;
        }
        i186 = get32(i127 | 0) | 0;
        do if (!i186) i26 = 515; else {
         if ((get32(i186 + 260 | 0) | 0) >>> 0 > i198 >>> 0) {
          i26 = 515;
          break;
         }
         if ((get32(i186 + 264 | 0) | 0) >>> 0 <= i198 >>> 0) {
          i26 = 515;
          break;
         }
         i199 = getU16(i186 + 232 | 0) | 0;
        } while (0);
        if ((i26 | 0) == 515) i199 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i198) | 0;
        set32(i89 | 0, (i199 >>> 0) / 20 | 0 | 0);
        set32(i69 | 0, i198 | 0);
        i196 = get32(i81 | 0) | 0;
        i197 = i198;
       }
       set32(i81 | 0, i196 + 1 | 0);
       set8(i197 + (i193 * 20 | 0) >> 0 | 0, 105 | 0);
       set8(i197 + (i193 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i197 + (i193 * 20 | 0) + 4 | 0, i63 | 0);
       set32(i197 + (i193 * 20 | 0) + 8 | 0, i34 | 0);
       set32(i197 + (i193 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i197 + (i193 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i197 + (i193 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i195 = i63;
      } while (0);
      _sqlite3WhereEnd(i158);
      i88 = i19 + 12 | 0;
      do if (!(get32(i88 | 0) & 4096)) i200 = 0; else {
       if (get32(i1 + 428 | 0) | 0) {
        i200 = 0;
        break;
       }
       i187 = (get32(i71 | 0) | 0) + 1 | 0;
       set32(i71 | 0, i187 | 0);
       i186 = get32(i81 | 0) | 0;
       i192 = get32(i89 | 0) | 0;
       if ((i192 | 0) > (i186 | 0)) {
        i201 = i186;
        i202 = get32(i127 + 4 | 0) | 0;
       } else {
        i191 = i127 + 4 | 0;
        i203 = _sqlite3DbRealloc(get32(i127 | 0) | 0, get32(i191 | 0) | 0, (i192 | 0) == 0 ? 1020 : i192 * 40 | 0) | 0;
        if (!i203) {
         i200 = i187;
         break;
        }
        i192 = get32(i127 | 0) | 0;
        do if (!i192) i26 = 527; else {
         if ((get32(i192 + 260 | 0) | 0) >>> 0 > i203 >>> 0) {
          i26 = 527;
          break;
         }
         if ((get32(i192 + 264 | 0) | 0) >>> 0 <= i203 >>> 0) {
          i26 = 527;
          break;
         }
         i204 = getU16(i192 + 232 | 0) | 0;
        } while (0);
        if ((i26 | 0) == 527) i204 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i203) | 0;
        set32(i89 | 0, (i204 >>> 0) / 20 | 0 | 0);
        set32(i191 | 0, i203 | 0);
        i201 = get32(i81 | 0) | 0;
        i202 = i203;
       }
       set32(i81 | 0, i201 + 1 | 0);
       set8(i202 + (i186 * 20 | 0) >> 0 | 0, 7 | 0);
       set8(i202 + (i186 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i202 + (i186 * 20 | 0) + 4 | 0, 0 | 0);
       set32(i202 + (i186 * 20 | 0) + 8 | 0, i187 | 0);
       set32(i202 + (i186 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i202 + (i186 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i202 + (i186 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i200 = i187;
      } while (0);
      L779 : do if (i32) i205 = 0; else {
       do if (!i91) {
        if (get8(i30 >> 0 | 0) & 16) break;
        i158 = get32(i31 | 0) | 0;
        do if (!i158) {
         i192 = get32(i1 | 0) | 0;
         L786 : do if (!i192) {
          if (!(get32(50 * 4 | 0) | 0)) {
           i206 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
           i26 = 571;
           break;
          }
          i63 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
          set32(35 * 4 | 0, 192 | 0);
          if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
          i193 = get32(6 * 4 | 0) | 0;
          do if (i193) {
           i198 = get32(30 * 4 | 0) | 0;
           i69 = ((i198 | 0) < 0) << 31 >> 31;
           i207 = 16;
           i208 = _i64Subtract(get32(i207 | 0) | 0, get32(i207 + 4 | 0) | 0, i63 | 0, ((i63 | 0) < 0) << 31 >> 31 | 0) | 0;
           i207 = tempRet0;
           if ((i69 | 0) < (i207 | 0) | (i69 | 0) == (i207 | 0) & i198 >>> 0 < i208 >>> 0) {
            set32(11 * 4 | 0, 0 | 0);
            break;
           } else {
            set32(11 * 4 | 0, 1 | 0);
            i208 = get32(7 * 4 | 0) | 0;
            set32(6 * 4 | 0, 0 | 0);
            FUNCTION_TABLE_viiii[i193 & 15](i208, i198, i69, i63);
            set32(6 * 4 | 0, i193 | 0);
            set32(7 * 4 | 0, i208 | 0);
            break;
           }
          } while (0);
          i193 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i63) | 0;
          if (!i193) {
           i26 = 572;
           break;
          }
          i208 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i193) | 0;
          i69 = (get32(30 * 4 | 0) | 0) + i208 | 0;
          set32(30 * 4 | 0, i69 | 0);
          if ((i69 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i69 | 0);
          i69 = get32(39 * 4 | 0) | 0;
          i208 = i69 + 1 | 0;
          set32(39 * 4 | 0, i208 | 0);
          if ((i69 | 0) < (get32(49 * 4 | 0) | 0)) {
           i209 = i193;
           break;
          }
          set32(49 * 4 | 0, i208 | 0);
          i209 = i193;
         } else {
          i193 = i192 + 30 | 0;
          if (get8(i193 >> 0 | 0) | 0) {
           i26 = 572;
           break;
          }
          do if (get8(i192 + 234 >> 0 | 0) | 0) {
           if ((getU16(i192 + 232 | 0) | 0) < 192) {
            i208 = i192 + 248 | 0;
            set32(i208 | 0, (get32(i208 | 0) | 0) + 1 | 0);
            break;
           }
           i208 = i192 + 256 | 0;
           i69 = get32(i208 | 0) | 0;
           if (!i69) {
            i198 = i192 + 252 | 0;
            set32(i198 | 0, (get32(i198 | 0) | 0) + 1 | 0);
            break;
           }
           set32(i208 | 0, get32(i69 | 0) | 0);
           i208 = i192 + 236 | 0;
           i198 = get32(i208 | 0) | 0;
           i207 = i198 + 1 | 0;
           set32(i208 | 0, i207 | 0);
           i208 = i192 + 244 | 0;
           set32(i208 | 0, (get32(i208 | 0) | 0) + 1 | 0);
           i208 = i192 + 240 | 0;
           if ((i198 | 0) >= (get32(i208 | 0) | 0)) set32(i208 | 0, i207 | 0);
           i206 = i69;
           i26 = 571;
           break L786;
          } while (0);
          do if (!(get32(50 * 4 | 0) | 0)) {
           i63 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
           if (i63) {
            i209 = i63;
            break L786;
           }
          } else {
           i63 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
           set32(35 * 4 | 0, 192 | 0);
           if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
           i69 = get32(6 * 4 | 0) | 0;
           do if (i69) {
            i207 = get32(30 * 4 | 0) | 0;
            i208 = ((i207 | 0) < 0) << 31 >> 31;
            i198 = 16;
            i210 = _i64Subtract(get32(i198 | 0) | 0, get32(i198 + 4 | 0) | 0, i63 | 0, ((i63 | 0) < 0) << 31 >> 31 | 0) | 0;
            i198 = tempRet0;
            if ((i208 | 0) < (i198 | 0) | (i208 | 0) == (i198 | 0) & i207 >>> 0 < i210 >>> 0) {
             set32(11 * 4 | 0, 0 | 0);
             break;
            } else {
             set32(11 * 4 | 0, 1 | 0);
             i210 = get32(7 * 4 | 0) | 0;
             set32(6 * 4 | 0, 0 | 0);
             FUNCTION_TABLE_viiii[i69 & 15](i210, i207, i208, i63);
             set32(6 * 4 | 0, i69 | 0);
             set32(7 * 4 | 0, i210 | 0);
             break;
            }
           } while (0);
           i69 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i63) | 0;
           if (!i69) break;
           i210 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i69) | 0;
           i208 = (get32(30 * 4 | 0) | 0) + i210 | 0;
           set32(30 * 4 | 0, i208 | 0);
           if ((i208 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i208 | 0);
           i208 = get32(39 * 4 | 0) | 0;
           i210 = i208 + 1 | 0;
           set32(39 * 4 | 0, i210 | 0);
           if ((i208 | 0) < (get32(49 * 4 | 0) | 0)) {
            i209 = i69;
            break L786;
           }
           set32(49 * 4 | 0, i210 | 0);
           i209 = i69;
           break L786;
          } while (0);
          set8(i193 >> 0 | 0, 1 | 0);
          i26 = 572;
         } while (0);
         if ((i26 | 0) == 571) if (!i206) i26 = 572; else i209 = i206;
         if ((i26 | 0) == 572) {
          set32(i31 | 0, 0 | 0);
          i211 = 0;
          break;
         }
         _memset(i209 | 0, 0, 192) | 0;
         set32(i209 | 0, i192 | 0);
         i70 = i192 + 136 | 0;
         i69 = get32(i70 | 0) | 0;
         if (i69) set32(i69 + 60 | 0, i209 | 0);
         set32(i209 + 64 | 0, i69 | 0);
         set32(i209 + 60 | 0, 0 | 0);
         set32(i70 | 0, i209 | 0);
         set32(i209 + 52 | 0, 649915045 | 0);
         set32(i31 | 0, i209 | 0);
         i70 = i209 + 28 | 0;
         i69 = i209 + 32 | 0;
         i210 = i209 + 4 | 0;
         i208 = _sqlite3DbRealloc(i192, 0, 1020) | 0;
         if (!i208) {
          i211 = i209;
          break;
         }
         i207 = get32(i209 | 0) | 0;
         do if (!i207) i26 = 580; else {
          if ((get32(i207 + 260 | 0) | 0) >>> 0 > i208 >>> 0) {
           i26 = 580;
           break;
          }
          if ((get32(i207 + 264 | 0) | 0) >>> 0 <= i208 >>> 0) {
           i26 = 580;
           break;
          }
          i212 = getU16(i207 + 232 | 0) | 0;
         } while (0);
         if ((i26 | 0) == 580) i212 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i208) | 0;
         set32(i69 | 0, (i212 >>> 0) / 20 | 0 | 0);
         set32(i210 | 0, i208 | 0);
         set32(i70 | 0, (get32(i70 | 0) | 0) + 1 | 0);
         set8(i208 >> 0 | 0, -120 | 0);
         set8(i208 + 1 >> 0 | 0, 0 | 0);
         i64 = i208 + 3 | 0;
         i39 = i64 + 17 | 0;
         do {
          set8(i64 >> 0 | 0, 0 | 0);
          i64 = i64 + 1 | 0;
         } while ((i64 | 0) < (i39 | 0));
         i211 = i209;
        } else i211 = i158; while (0);
        i158 = i27 + 20 | 0;
        i66 = get32(i158 | 0) | 0;
        i208 = get32(i27 | 0) | 0;
        i70 = get32(i1 + 424 | 0) | 0;
        i210 = (i70 | 0) == 0 ? i1 : i70;
        i70 = i210 + 400 | 0;
        i69 = get32(i70 | 0) | 0;
        i207 = i210 + 404 | 0;
        do if ((i69 | 0) > 0) {
         i192 = get32(i207 | 0) | 0;
         i198 = 0;
         while (1) {
          if ((get32(i192 + (i198 << 4) | 0) | 0) == (i52 | 0) ? (get32(i192 + (i198 << 4) + 4 | 0) | 0) == (i66 | 0) : 0) {
           i213 = i198;
           i26 = 587;
           break;
          }
          i198 = i198 + 1 | 0;
          if ((i198 | 0) >= (i69 | 0)) {
           i26 = 589;
           break;
          }
         }
         if ((i26 | 0) == 587) {
          set8(i192 + (i213 << 4) + 8 >> 0 | 0, 1 | 0);
          break;
         } else if ((i26 | 0) == 589) {
          i214 = i207;
          i215 = i192;
          i26 = 590;
          break;
         }
        } else {
         i214 = i207;
         i215 = get32(i207 | 0) | 0;
         i26 = 590;
        } while (0);
        do if ((i26 | 0) == 590) {
         i207 = get32(i210 | 0) | 0;
         i198 = _sqlite3DbRealloc(i207, i215, (i69 << 4) + 16 | 0) | 0;
         if (!i198) {
          _sqlite3DbFree(i207, i215);
          set32(i214 | 0, 0 | 0);
          set32(i70 | 0, 0 | 0);
          set8((get32(i210 | 0) | 0) + 30 >> 0 | 0, 1 | 0);
          break;
         } else {
          set32(i214 | 0, i198 | 0);
          i207 = get32(i70 | 0) | 0;
          set32(i70 | 0, i207 + 1 | 0);
          set32(i198 + (i207 << 4) | 0, i52 | 0);
          set32(i198 + (i207 << 4) + 4 | 0, i66 | 0);
          set8(i198 + (i207 << 4) + 8 >> 0 | 0, 1 | 0);
          set32(i198 + (i207 << 4) + 12 | 0, i208 | 0);
          break;
         }
        } while (0);
        i208 = get32(i158 | 0) | 0;
        i66 = i211 + 28 | 0;
        i70 = get32(i66 | 0) | 0;
        i210 = i211 + 32 | 0;
        i69 = get32(i210 | 0) | 0;
        do if ((i69 | 0) > (i70 | 0)) {
         i207 = i211 + 4 | 0;
         i216 = i207;
         i217 = i211;
         i218 = i70;
         i219 = get32(i207 | 0) | 0;
         i26 = 602;
        } else {
         i207 = i211 + 4 | 0;
         i198 = _sqlite3DbRealloc(get32(i211 | 0) | 0, get32(i207 | 0) | 0, (i69 | 0) == 0 ? 1020 : i69 * 40 | 0) | 0;
         if (!i198) {
          i220 = i211;
          i221 = i207;
          break;
         }
         i222 = get32(i211 | 0) | 0;
         do if (!i222) i26 = 600; else {
          if ((get32(i222 + 260 | 0) | 0) >>> 0 > i198 >>> 0) {
           i26 = 600;
           break;
          }
          if ((get32(i222 + 264 | 0) | 0) >>> 0 <= i198 >>> 0) {
           i26 = 600;
           break;
          }
          i223 = getU16(i222 + 232 | 0) | 0;
         } while (0);
         if ((i26 | 0) == 600) i223 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i198) | 0;
         set32(i210 | 0, (i223 >>> 0) / 20 | 0 | 0);
         set32(i207 | 0, i198 | 0);
         i216 = i207;
         i217 = i211;
         i218 = get32(i66 | 0) | 0;
         i219 = i198;
         i26 = 602;
        } while (0);
        if ((i26 | 0) == 602) {
         set32(i66 | 0, i218 + 1 | 0);
         set8(i219 + (i70 * 20 | 0) >> 0 | 0, 39 | 0);
         set8(i219 + (i70 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i219 + (i70 * 20 | 0) + 4 | 0, i62 | 0);
         set32(i219 + (i70 * 20 | 0) + 8 | 0, i208 | 0);
         set32(i219 + (i70 * 20 | 0) + 12 | 0, i52 | 0);
         set32(i219 + (i70 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i219 + (i70 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         i220 = i217;
         i221 = i216;
        }
        i210 = get32(i35 | 0) | 0;
        i69 = get32(i220 | 0) | 0;
        i158 = get32(i221 | 0) | 0;
        if (!i158) break;
        if (get8(i69 + 30 >> 0 | 0) | 0) break;
        i222 = (get32(i66 | 0) | 0) + -1 | 0;
        i192 = i158 + (i222 * 20 | 0) + 1 | 0;
        i224 = i158 + (i222 * 20 | 0) + 16 | 0;
        _freeP4(i69, get8(i192 >> 0 | 0) | 0, get32(i224 | 0) | 0);
        set32(i224 | 0, i210 | 0);
        set8(i192 >> 0 | 0, -14 | 0);
       } while (0);
       i187 = get32(i42 | 0) | 0;
       L888 : do if ((i5 | 0) == 5) i225 = 1; else {
        if (!i187) {
         i205 = 0;
         break L779;
        } else i226 = i187;
        while (1) {
         if ((get8(i226 + 24 >> 0 | 0) | 0) == 5) {
          i225 = 1;
          break L888;
         }
         i226 = get32(i226 + 32 | 0) | 0;
         if (!i226) {
          i225 = 0;
          break;
         }
        }
       } while (0);
       if (!i187) {
        i205 = i225;
        break;
       }
       i66 = (i225 | 0) == 0;
       i70 = i127 + 4 | 0;
       i208 = 0;
       i186 = i187;
       while (1) {
        if (!(i66 ? (get32(i118 + (i208 << 2) | 0) | 0) <= 0 : 0)) i26 = 614;
        L899 : do if ((i26 | 0) == 614) {
         i26 = 0;
         i203 = get32(i186 + 4 | 0) | 0;
         i191 = i203 + 12 + (i203 << 2) | 0;
         i192 = get32(i1 | 0) | 0;
         L901 : do if (!i192) {
          if ((i191 + -1 | 0) >>> 0 > 2147483390) {
           i227 = 0;
           i228 = 0;
           break;
          }
          if (!(get32(50 * 4 | 0) | 0)) {
           i229 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i191) | 0;
           i26 = 653;
           break;
          }
          i210 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i191) | 0;
          set32(35 * 4 | 0, i191 | 0);
          if ((get32(45 * 4 | 0) | 0) < (i191 | 0)) set32(45 * 4 | 0, i191 | 0);
          i224 = get32(6 * 4 | 0) | 0;
          do if (i224) {
           i69 = get32(30 * 4 | 0) | 0;
           i222 = ((i69 | 0) < 0) << 31 >> 31;
           i158 = 16;
           i230 = _i64Subtract(get32(i158 | 0) | 0, get32(i158 + 4 | 0) | 0, i210 | 0, ((i210 | 0) < 0) << 31 >> 31 | 0) | 0;
           i158 = tempRet0;
           if ((i222 | 0) < (i158 | 0) | (i222 | 0) == (i158 | 0) & i69 >>> 0 < i230 >>> 0) {
            set32(11 * 4 | 0, 0 | 0);
            break;
           } else {
            set32(11 * 4 | 0, 1 | 0);
            i230 = get32(7 * 4 | 0) | 0;
            set32(6 * 4 | 0, 0 | 0);
            FUNCTION_TABLE_viiii[i224 & 15](i230, i69, i222, i210);
            set32(6 * 4 | 0, i224 | 0);
            set32(7 * 4 | 0, i230 | 0);
            break;
           }
          } while (0);
          i224 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i210) | 0;
          if (!i224) {
           i227 = 0;
           i228 = 0;
           break;
          }
          i193 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i224) | 0;
          i230 = (get32(30 * 4 | 0) | 0) + i193 | 0;
          set32(30 * 4 | 0, i230 | 0);
          if ((i230 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i230 | 0);
          i230 = get32(39 * 4 | 0) | 0;
          i193 = i230 + 1 | 0;
          set32(39 * 4 | 0, i193 | 0);
          if ((i230 | 0) < (get32(49 * 4 | 0) | 0)) {
           i231 = i224;
           i26 = 654;
           break;
          }
          set32(49 * 4 | 0, i193 | 0);
          i231 = i224;
          i26 = 654;
         } else {
          i224 = i192 + 30 | 0;
          if (get8(i224 >> 0 | 0) | 0) {
           i227 = 0;
           i228 = 0;
           break;
          }
          do if (get8(i192 + 234 >> 0 | 0) | 0) {
           if ((getU16(i192 + 232 | 0) | 0) < (i191 | 0)) {
            i193 = i192 + 248 | 0;
            set32(i193 | 0, (get32(i193 | 0) | 0) + 1 | 0);
            break;
           }
           i193 = i192 + 256 | 0;
           i230 = get32(i193 | 0) | 0;
           if (!i230) {
            i222 = i192 + 252 | 0;
            set32(i222 | 0, (get32(i222 | 0) | 0) + 1 | 0);
            break;
           }
           set32(i193 | 0, get32(i230 | 0) | 0);
           i193 = i192 + 236 | 0;
           i222 = get32(i193 | 0) | 0;
           i69 = i222 + 1 | 0;
           set32(i193 | 0, i69 | 0);
           i193 = i192 + 244 | 0;
           set32(i193 | 0, (get32(i193 | 0) | 0) + 1 | 0);
           i193 = i192 + 240 | 0;
           if ((i222 | 0) >= (get32(i193 | 0) | 0)) set32(i193 | 0, i69 | 0);
           i229 = i230;
           i26 = 653;
           break L901;
          } while (0);
          do if ((i191 + -1 | 0) >>> 0 <= 2147483390) {
           if (!(get32(50 * 4 | 0) | 0)) {
            i210 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i191) | 0;
            if (!i210) break; else {
             i231 = i210;
             i26 = 654;
             break L901;
            }
           }
           i210 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i191) | 0;
           set32(35 * 4 | 0, i191 | 0);
           if ((get32(45 * 4 | 0) | 0) < (i191 | 0)) set32(45 * 4 | 0, i191 | 0);
           i230 = get32(6 * 4 | 0) | 0;
           do if (i230) {
            i69 = get32(30 * 4 | 0) | 0;
            i193 = ((i69 | 0) < 0) << 31 >> 31;
            i222 = 16;
            i158 = _i64Subtract(get32(i222 | 0) | 0, get32(i222 + 4 | 0) | 0, i210 | 0, ((i210 | 0) < 0) << 31 >> 31 | 0) | 0;
            i222 = tempRet0;
            if ((i193 | 0) < (i222 | 0) | (i193 | 0) == (i222 | 0) & i69 >>> 0 < i158 >>> 0) {
             set32(11 * 4 | 0, 0 | 0);
             break;
            } else {
             set32(11 * 4 | 0, 1 | 0);
             i158 = get32(7 * 4 | 0) | 0;
             set32(6 * 4 | 0, 0 | 0);
             FUNCTION_TABLE_viiii[i230 & 15](i158, i69, i193, i210);
             set32(6 * 4 | 0, i230 | 0);
             set32(7 * 4 | 0, i158 | 0);
             break;
            }
           } while (0);
           i230 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i210) | 0;
           if (!i230) break;
           i63 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i230) | 0;
           i158 = (get32(30 * 4 | 0) | 0) + i63 | 0;
           set32(30 * 4 | 0, i158 | 0);
           if ((i158 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i158 | 0);
           i158 = get32(39 * 4 | 0) | 0;
           i63 = i158 + 1 | 0;
           set32(39 * 4 | 0, i63 | 0);
           if ((i158 | 0) < (get32(49 * 4 | 0) | 0)) {
            i231 = i230;
            i26 = 654;
            break L901;
           }
           set32(49 * 4 | 0, i63 | 0);
           i231 = i230;
           i26 = 654;
           break L901;
          } while (0);
          set8(i224 >> 0 | 0, 1 | 0);
          i227 = 0;
          i228 = 0;
         } while (0);
         if ((i26 | 0) == 653) {
          i26 = 0;
          if (!i229) {
           i227 = 0;
           i228 = 0;
          } else {
           i231 = i229;
           i26 = 654;
          }
         }
         if ((i26 | 0) == 654) {
          i26 = 0;
          _memset(i231 | 0, 0, i191 | 0) | 0;
          i198 = get32(i1 | 0) | 0;
          set32(i231 | 0, i198 | 0);
          i207 = i231 + 12 | 0;
          i230 = i231 + 8 | 0;
          set32(i230 | 0, i207 + (i203 << 2) | 0);
          L959 : do if ((i203 | 0) > 0) {
           i63 = i186 + 44 | 0;
           i158 = i186 + 40 | 0;
           i193 = i198;
           i69 = 0;
           while (1) {
            i222 = get32((get32(i63 | 0) | 0) + (i69 << 2) | 0) | 0;
            i232 = get8((get32((get32(i193 + 8 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0) | 0;
            i233 = get8(i193 + 124 >> 0 | 0) | 0;
            i234 = _sqlite3FindCollSeq(i193, i232, i222, i233 & 255) | 0;
            do if (!(i233 << 24 >> 24)) {
             if ((i234 | 0) != 0 ? (get32(i234 + 12 | 0) | 0) != 0 : 0) {
              i235 = i234;
              break;
             }
             i236 = _sqlite3GetCollSeq(i193, i232, i234, i222) | 0;
             if (i236) {
              i235 = i236;
              break;
             }
             set32(i7 | 0, i222 | 0);
             _sqlite3ErrorMsg(i1, 30475, i7);
             i235 = 0;
            } else i235 = i234; while (0);
            set32(i207 + (i69 << 2) | 0, i235 | 0);
            set8((get32(i230 | 0) | 0) + i69 >> 0 | 0, get8((get32(i158 | 0) | 0) + i69 >> 0 | 0) | 0 | 0);
            i234 = i69 + 1 | 0;
            if ((i234 | 0) == (i203 | 0)) break L959;
            i193 = get32(i1 | 0) | 0;
            i69 = i234;
           }
          } while (0);
          set16(i231 + 6 | 0, i203 | 0);
          i227 = i231;
          i228 = i231;
         }
         if (!(get32(i20 | 0) | 0)) i237 = i228; else {
          _sqlite3DbFree(i192, i227);
          i237 = 0;
         }
         i230 = i208 + i40 | 0;
         i207 = get32(i186 + 20 | 0) | 0;
         i198 = get32(i81 | 0) | 0;
         i191 = get32(i89 | 0) | 0;
         do if ((i191 | 0) > (i198 | 0)) {
          i238 = i198;
          i239 = get32(i70 | 0) | 0;
          i26 = 675;
         } else {
          i69 = _sqlite3DbRealloc(get32(i127 | 0) | 0, get32(i70 | 0) | 0, (i191 | 0) == 0 ? 1020 : i191 * 40 | 0) | 0;
          if (!i69) {
           i240 = 1;
           break;
          }
          i193 = get32(i127 | 0) | 0;
          do if (!i193) i26 = 673; else {
           if ((get32(i193 + 260 | 0) | 0) >>> 0 > i69 >>> 0) {
            i26 = 673;
            break;
           }
           if ((get32(i193 + 264 | 0) | 0) >>> 0 <= i69 >>> 0) {
            i26 = 673;
            break;
           }
           i241 = getU16(i193 + 232 | 0) | 0;
          } while (0);
          if ((i26 | 0) == 673) {
           i26 = 0;
           i241 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i69) | 0;
          }
          set32(i89 | 0, (i241 >>> 0) / 20 | 0 | 0);
          set32(i70 | 0, i69 | 0);
          i238 = get32(i81 | 0) | 0;
          i239 = i69;
          i26 = 675;
         } while (0);
         if ((i26 | 0) == 675) {
          i26 = 0;
          set32(i81 | 0, i238 + 1 | 0);
          set8(i239 + (i198 * 20 | 0) >> 0 | 0, 39 | 0);
          set8(i239 + (i198 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
          set32(i239 + (i198 * 20 | 0) + 4 | 0, i230 | 0);
          set32(i239 + (i198 * 20 | 0) + 8 | 0, i207 | 0);
          set32(i239 + (i198 * 20 | 0) + 12 | 0, i52 | 0);
          set32(i239 + (i198 * 20 | 0) + 16 | 0, 0 | 0);
          set8(i239 + (i198 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
          i240 = i198;
         }
         i191 = get32(i127 | 0) | 0;
         i192 = get32(i70 | 0) | 0;
         do if (i192) {
          if (get8(i191 + 30 >> 0 | 0) | 0) break;
          if ((i240 | 0) < 0) i242 = (get32(i81 | 0) | 0) + -1 | 0; else i242 = i240;
          i203 = i192 + (i242 * 20 | 0) + 1 | 0;
          i193 = i192 + (i242 * 20 | 0) + 16 | 0;
          _freeP4(i191, get8(i203 >> 0 | 0) | 0, get32(i193 | 0) | 0);
          set32(i193 | 0, 0 | 0);
          if (!i237) {
           set32(i193 | 0, 0 | 0);
           set8(i203 >> 0 | 0, 0 | 0);
           break L899;
          } else {
           set32(i193 | 0, i237 | 0);
           set8(i203 >> 0 | 0, -6 | 0);
           break L899;
          }
         } while (0);
         if (!i237) break;
         _sqlite3DbFree(i191, i237);
        } while (0);
        i186 = get32(i186 + 32 | 0) | 0;
        if (!i186) {
         i205 = i225;
         break;
        } else i208 = i208 + 1 | 0;
       }
      } while (0);
      i208 = get32(i81 | 0) | 0;
      i186 = get32(i89 | 0) | 0;
      i70 = (i186 | 0) > (i208 | 0);
      do if (i91) {
       do if (i70) {
        i243 = i208;
        i244 = get32(i127 + 4 | 0) | 0;
        i245 = i186;
        i26 = 697;
       } else {
        i66 = i127 + 4 | 0;
        i187 = _sqlite3DbRealloc(get32(i127 | 0) | 0, get32(i66 | 0) | 0, (i186 | 0) == 0 ? 1020 : i186 * 40 | 0) | 0;
        if (!i187) {
         i246 = 1;
         i247 = get32(i89 | 0) | 0;
         i248 = get32(i81 | 0) | 0;
         break;
        }
        i192 = get32(i127 | 0) | 0;
        do if (!i192) i26 = 695; else {
         if ((get32(i192 + 260 | 0) | 0) >>> 0 > i187 >>> 0) {
          i26 = 695;
          break;
         }
         if ((get32(i192 + 264 | 0) | 0) >>> 0 <= i187 >>> 0) {
          i26 = 695;
          break;
         }
         i249 = getU16(i192 + 232 | 0) | 0;
        } while (0);
        if ((i26 | 0) == 695) i249 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i187) | 0;
        i192 = (i249 >>> 0) / 20 | 0;
        set32(i89 | 0, i192 | 0);
        set32(i66 | 0, i187 | 0);
        i243 = get32(i81 | 0) | 0;
        i244 = i187;
        i245 = i192;
        i26 = 697;
       } while (0);
       if ((i26 | 0) == 697) {
        i192 = i243 + 1 | 0;
        set32(i81 | 0, i192 | 0);
        set8(i244 + (i208 * 20 | 0) >> 0 | 0, 74 | 0);
        set8(i244 + (i208 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i244 + (i208 * 20 | 0) + 4 | 0, i34 | 0);
        set32(i244 + (i208 * 20 | 0) + 8 | 0, 0 | 0);
        set32(i244 + (i208 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i244 + (i208 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i244 + (i208 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i246 = i208;
        i247 = i245;
        i248 = i192;
       }
       do if ((i247 | 0) > (i248 | 0)) {
        i250 = i248;
        i251 = get32(i127 + 4 | 0) | 0;
        i26 = 707;
       } else {
        i192 = i127 + 4 | 0;
        i198 = _sqlite3DbRealloc(get32(i127 | 0) | 0, get32(i192 | 0) | 0, (i247 | 0) == 0 ? 1020 : i247 * 40 | 0) | 0;
        if (!i198) {
         i252 = 1;
         break;
        }
        i207 = get32(i127 | 0) | 0;
        do if (!i207) i26 = 705; else {
         if ((get32(i207 + 260 | 0) | 0) >>> 0 > i198 >>> 0) {
          i26 = 705;
          break;
         }
         if ((get32(i207 + 264 | 0) | 0) >>> 0 <= i198 >>> 0) {
          i26 = 705;
          break;
         }
         i253 = getU16(i207 + 232 | 0) | 0;
        } while (0);
        if ((i26 | 0) == 705) i253 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i198) | 0;
        set32(i89 | 0, (i253 >>> 0) / 20 | 0 | 0);
        set32(i192 | 0, i198 | 0);
        i250 = get32(i81 | 0) | 0;
        i251 = i198;
        i26 = 707;
       } while (0);
       if ((i26 | 0) == 707) {
        set32(i81 | 0, i250 + 1 | 0);
        set8(i251 + (i248 * 20 | 0) >> 0 | 0, 1 | 0);
        set8(i251 + (i248 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i64 = i251 + (i248 * 20 | 0) + 3 | 0;
        i39 = i64 + 17 | 0;
        do {
         set8(i64 >> 0 | 0, 0 | 0);
         i64 = i64 + 1 | 0;
        } while ((i64 | 0) < (i39 | 0));
        i252 = i248;
       }
       i207 = get32(i81 | 0) | 0;
       if ((i207 | 0) <= (i246 | 0)) {
        i254 = i207;
        i255 = i252;
        break;
       }
       set32((get32(i127 + 4 | 0) | 0) + (i246 * 20 | 0) + 8 | 0, i207 | 0);
       i254 = i207;
       i255 = i252;
      } else {
       if (i70) {
        i256 = i208;
        i257 = get32(i127 + 4 | 0) | 0;
       } else {
        i207 = i127 + 4 | 0;
        i187 = _sqlite3DbRealloc(get32(i127 | 0) | 0, get32(i207 | 0) | 0, (i186 | 0) == 0 ? 1020 : i186 * 40 | 0) | 0;
        if (!i187) {
         i254 = get32(i81 | 0) | 0;
         i255 = 1;
         break;
        }
        i66 = get32(i127 | 0) | 0;
        do if (!i66) i26 = 718; else {
         if ((get32(i66 + 260 | 0) | 0) >>> 0 > i187 >>> 0) {
          i26 = 718;
          break;
         }
         if ((get32(i66 + 264 | 0) | 0) >>> 0 <= i187 >>> 0) {
          i26 = 718;
          break;
         }
         i258 = getU16(i66 + 232 | 0) | 0;
        } while (0);
        if ((i26 | 0) == 718) i258 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i187) | 0;
        set32(i89 | 0, (i258 >>> 0) / 20 | 0 | 0);
        set32(i207 | 0, i187 | 0);
        i256 = get32(i81 | 0) | 0;
        i257 = i187;
       }
       i66 = i256 + 1 | 0;
       set32(i81 | 0, i66 | 0);
       set8(i257 + (i208 * 20 | 0) >> 0 | 0, 106 | 0);
       set8(i257 + (i208 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i257 + (i208 * 20 | 0) + 4 | 0, i195 | 0);
       set32(i257 + (i208 * 20 | 0) + 8 | 0, 0 | 0);
       set32(i257 + (i208 * 20 | 0) + 12 | 0, i34 | 0);
       set32(i257 + (i208 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i257 + (i208 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i254 = i66;
       i255 = i208;
      } while (0);
      i208 = get32(i89 | 0) | 0;
      do if ((i208 | 0) > (i254 | 0)) {
       i259 = i254;
       i260 = get32(i127 + 4 | 0) | 0;
       i26 = 730;
      } else {
       i186 = i127 + 4 | 0;
       i70 = _sqlite3DbRealloc(get32(i127 | 0) | 0, get32(i186 | 0) | 0, (i208 | 0) == 0 ? 1020 : i208 * 40 | 0) | 0;
       if (!i70) break;
       i91 = get32(i127 | 0) | 0;
       do if (!i91) i26 = 728; else {
        if ((get32(i91 + 260 | 0) | 0) >>> 0 > i70 >>> 0) {
         i26 = 728;
         break;
        }
        if ((get32(i91 + 264 | 0) | 0) >>> 0 <= i70 >>> 0) {
         i26 = 728;
         break;
        }
        i261 = getU16(i91 + 232 | 0) | 0;
       } while (0);
       if ((i26 | 0) == 728) i261 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i70) | 0;
       set32(i89 | 0, (i261 >>> 0) / 20 | 0 | 0);
       set32(i186 | 0, i70 | 0);
       i259 = get32(i81 | 0) | 0;
       i260 = i70;
       i26 = 730;
      } while (0);
      if ((i26 | 0) == 730) {
       set32(i81 | 0, i259 + 1 | 0);
       set8(i260 + (i254 * 20 | 0) >> 0 | 0, 52 | 0);
       set8(i260 + (i254 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i260 + (i254 * 20 | 0) + 4 | 0, i62 | 0);
       set32(i260 + (i254 * 20 | 0) + 8 | 0, i255 | 0);
       set32(i260 + (i254 * 20 | 0) + 12 | 0, i34 | 0);
       set32(i260 + (i254 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i260 + (i254 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      }
      do if (i84) {
       do if (!i109) i26 = 744; else {
        if ((get8(i109 >> 0 | 0) | 0) != -124) {
         i26 = 744;
         break;
        }
        i208 = get32(i31 | 0) | 0;
        i91 = get32(i109 + 24 | 0) | 0;
        i187 = i208 + 28 | 0;
        i207 = get32(i187 | 0) | 0;
        i66 = i208 + 32 | 0;
        i230 = get32(i66 | 0) | 0;
        if ((i230 | 0) > (i207 | 0)) {
         i262 = i207;
         i263 = get32(i208 + 4 | 0) | 0;
        } else {
         i203 = i208 + 4 | 0;
         i193 = _sqlite3DbRealloc(get32(i208 | 0) | 0, get32(i203 | 0) | 0, (i230 | 0) == 0 ? 1020 : i230 * 40 | 0) | 0;
         if (!i193) break;
         i230 = get32(i208 | 0) | 0;
         do if (!i230) i26 = 741; else {
          if ((get32(i230 + 260 | 0) | 0) >>> 0 > i193 >>> 0) {
           i26 = 741;
           break;
          }
          if ((get32(i230 + 264 | 0) | 0) >>> 0 <= i193 >>> 0) {
           i26 = 741;
           break;
          }
          i264 = getU16(i230 + 232 | 0) | 0;
         } while (0);
         if ((i26 | 0) == 741) i264 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i193) | 0;
         set32(i66 | 0, (i264 >>> 0) / 20 | 0 | 0);
         set32(i203 | 0, i193 | 0);
         i262 = get32(i187 | 0) | 0;
         i263 = i193;
        }
        set32(i187 | 0, i262 + 1 | 0);
        set8(i263 + (i207 * 20 | 0) >> 0 | 0, 14 | 0);
        set8(i263 + (i207 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i263 + (i207 * 20 | 0) + 4 | 0, i91 | 0);
        set32(i263 + (i207 * 20 | 0) + 8 | 0, i181 | 0);
        set32(i263 + (i207 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i263 + (i207 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i263 + (i207 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       } while (0);
       do if ((i26 | 0) == 744) {
        i70 = _sqlite3ExprCodeTarget(i1, i109, i181) | 0;
        if ((i70 | 0) == (i181 | 0)) break;
        i186 = get32(i31 | 0) | 0;
        if (!i186) break;
        i230 = i186 + 28 | 0;
        i198 = get32(i230 | 0) | 0;
        i192 = i186 + 32 | 0;
        i208 = get32(i192 | 0) | 0;
        if ((i208 | 0) > (i198 | 0)) {
         i265 = i198;
         i266 = get32(i186 + 4 | 0) | 0;
        } else {
         i158 = i186 + 4 | 0;
         i63 = _sqlite3DbRealloc(get32(i186 | 0) | 0, get32(i158 | 0) | 0, (i208 | 0) == 0 ? 1020 : i208 * 40 | 0) | 0;
         if (!i63) break;
         i208 = get32(i186 | 0) | 0;
         do if (!i208) i26 = 753; else {
          if ((get32(i208 + 260 | 0) | 0) >>> 0 > i63 >>> 0) {
           i26 = 753;
           break;
          }
          if ((get32(i208 + 264 | 0) | 0) >>> 0 <= i63 >>> 0) {
           i26 = 753;
           break;
          }
          i267 = getU16(i208 + 232 | 0) | 0;
         } while (0);
         if ((i26 | 0) == 753) i267 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i63) | 0;
         set32(i192 | 0, (i267 >>> 0) / 20 | 0 | 0);
         set32(i158 | 0, i63 | 0);
         i265 = get32(i230 | 0) | 0;
         i266 = i63;
        }
        set32(i230 | 0, i265 + 1 | 0);
        set8(i266 + (i198 * 20 | 0) >> 0 | 0, 15 | 0);
        set8(i266 + (i198 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i266 + (i198 * 20 | 0) + 4 | 0, i70 | 0);
        set32(i266 + (i198 * 20 | 0) + 8 | 0, i181 | 0);
        set32(i266 + (i198 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i266 + (i198 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i266 + (i198 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       } while (0);
       i208 = get32(i81 | 0) | 0;
       i207 = get32(i89 | 0) | 0;
       if ((i207 | 0) > (i208 | 0)) {
        i268 = i208;
        i269 = get32(i127 + 4 | 0) | 0;
       } else {
        i91 = i127 + 4 | 0;
        i187 = _sqlite3DbRealloc(get32(i127 | 0) | 0, get32(i91 | 0) | 0, (i207 | 0) == 0 ? 1020 : i207 * 40 | 0) | 0;
        if (!i187) break;
        i207 = get32(i127 | 0) | 0;
        do if (!i207) i26 = 763; else {
         if ((get32(i207 + 260 | 0) | 0) >>> 0 > i187 >>> 0) {
          i26 = 763;
          break;
         }
         if ((get32(i207 + 264 | 0) | 0) >>> 0 <= i187 >>> 0) {
          i26 = 763;
          break;
         }
         i270 = getU16(i207 + 232 | 0) | 0;
        } while (0);
        if ((i26 | 0) == 763) i270 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i187) | 0;
        set32(i89 | 0, (i270 >>> 0) / 20 | 0 | 0);
        set32(i91 | 0, i187 | 0);
        i268 = get32(i81 | 0) | 0;
        i269 = i187;
       }
       set32(i81 | 0, i268 + 1 | 0);
       set8(i269 + (i208 * 20 | 0) >> 0 | 0, 21 | 0);
       set8(i269 + (i208 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i269 + (i208 * 20 | 0) + 4 | 0, i181 | 0);
       set32(i269 + (i208 * 20 | 0) + 8 | 0, 0 | 0);
       set32(i269 + (i208 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i269 + (i208 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i269 + (i208 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      } while (0);
      do if (i79) {
       if (i85) i271 = _sqlite3FkOldmask(i1, i27) | 0; else i271 = 0;
       i207 = (i3 | 0) != 0 ? 107 : 106;
       if (!i33) i272 = 0; else {
        i193 = (i3 | 0) == 0;
        i203 = i1 + 424 | 0;
        i66 = i3 + 12 | 0;
        i186 = 0;
        i224 = i60;
        while (1) {
         L1122 : do if ((getU8(i224 + 8 >> 0 | 0) | 0) == (i207 | 0)) {
          if (!(get8(i224 + 9 >> 0 | 0) & 3)) {
           i273 = i186;
           break;
          }
          i234 = get32(i224 + 16 | 0) | 0;
          L1125 : do if (!(i193 | (i234 | 0) == 0)) {
           i222 = get32(i3 | 0) | 0;
           if ((i222 | 0) <= 0) {
            i273 = i186;
            break L1122;
           }
           i232 = get32(i66 | 0) | 0;
           i233 = get32(i234 + 4 | 0) | 0;
           i210 = (i233 | 0) > 0;
           i236 = 0;
           while (1) {
            i274 = get32(i232 + (i236 * 20 | 0) + 4 | 0) | 0;
            L1130 : do if (i210) {
             i275 = get32(i234 | 0) | 0;
             i276 = 0;
             while (1) {
              i277 = get32(i275 + (i276 << 3) | 0) | 0;
              i278 = get8(i277 >> 0 | 0) | 0;
              L1134 : do if (!(i278 << 24 >> 24)) {
               i279 = 0;
               i280 = i274;
              } else {
               i281 = i278;
               i282 = i277;
               i283 = i274;
               while (1) {
                if ((get8(16286 + (i281 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i283 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
                 i279 = i281;
                 i280 = i283;
                 break L1134;
                }
                i282 = i282 + 1 | 0;
                i284 = i283 + 1 | 0;
                i281 = get8(i282 >> 0 | 0) | 0;
                if (!(i281 << 24 >> 24)) {
                 i279 = 0;
                 i280 = i284;
                 break;
                } else i283 = i284;
               }
              } while (0);
              if ((get8(16286 + (i279 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i280 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
               i285 = i276;
               break;
              }
              i276 = i276 + 1 | 0;
              if ((i276 | 0) >= (i233 | 0)) break L1130;
             }
             if ((i285 | 0) > -1) break L1125;
            } while (0);
            i236 = i236 + 1 | 0;
            if ((i236 | 0) >= (i222 | 0)) {
             i273 = i186;
             break L1122;
            }
           }
          } while (0);
          i234 = get32(i203 | 0) | 0;
          i191 = get32(((i234 | 0) == 0 ? i1 : i234) + 548 | 0) | 0;
          L1143 : do if (!i191) i26 = 789; else {
           i234 = i191;
           while (1) {
            if ((get32(i234 | 0) | 0) == (i224 | 0) ? (get32(i234 + 4 | 0) | 0) == (i5 | 0) : 0) {
             i286 = i234;
             break L1143;
            }
            i234 = get32(i234 + 20 | 0) | 0;
            if (!i234) {
             i26 = 789;
             break;
            }
           }
          } while (0);
          if ((i26 | 0) == 789) {
           i26 = 0;
           i191 = _codeRowTrigger(i1, i224, i27, i5) | 0;
           if (!i191) {
            i273 = i186;
            break;
           } else i286 = i191;
          }
          i273 = get32(i286 + 12 | 0) | i186;
         } else i273 = i186; while (0);
         i224 = get32(i224 + 32 | 0) | 0;
         if (!i224) {
          i272 = i273;
          break;
         } else i186 = i273;
        }
       }
       i186 = i272 | i271;
       if ((get32(i35 | 0) | 0) > 0) {
        i224 = (i186 | 0) == -1;
        i203 = i127 + 4 | 0;
        i66 = i27 + 4 | 0;
        i193 = 0;
        do {
         do if (i224 | (get32(i77 + (i193 << 2) | 0) | 0) < 0) i26 = 797; else {
          if ((i193 | 0) < 32 ? (1 << i193 & i186 | 0) != 0 : 0) {
           i26 = 797;
           break;
          }
          i207 = i193 + i179 | 0;
          i208 = get32(i81 | 0) | 0;
          i187 = get32(i89 | 0) | 0;
          if ((i187 | 0) > (i208 | 0)) {
           i287 = i208;
           i288 = get32(i203 | 0) | 0;
          } else {
           i91 = _sqlite3DbRealloc(get32(i127 | 0) | 0, get32(i203 | 0) | 0, (i187 | 0) == 0 ? 1020 : i187 * 40 | 0) | 0;
           if (!i91) break;
           i187 = get32(i127 | 0) | 0;
           do if (!i187) i26 = 826; else {
            if ((get32(i187 + 260 | 0) | 0) >>> 0 > i91 >>> 0) {
             i26 = 826;
             break;
            }
            if ((get32(i187 + 264 | 0) | 0) >>> 0 <= i91 >>> 0) {
             i26 = 826;
             break;
            }
            i289 = getU16(i187 + 232 | 0) | 0;
           } while (0);
           if ((i26 | 0) == 826) {
            i26 = 0;
            i289 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i91) | 0;
           }
           set32(i89 | 0, (i289 >>> 0) / 20 | 0 | 0);
           set32(i203 | 0, i91 | 0);
           i287 = get32(i81 | 0) | 0;
           i288 = i91;
          }
          set32(i81 | 0, i287 + 1 | 0);
          set8(i288 + (i208 * 20 | 0) >> 0 | 0, 10 | 0);
          set8(i288 + (i208 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
          set32(i288 + (i208 * 20 | 0) + 4 | 0, 0 | 0);
          set32(i288 + (i208 * 20 | 0) + 8 | 0, i207 | 0);
          set32(i288 + (i208 * 20 | 0) + 12 | 0, 0 | 0);
          set32(i288 + (i208 * 20 | 0) + 16 | 0, 0 | 0);
          set8(i288 + (i208 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         } while (0);
         if ((i26 | 0) == 797) {
          i26 = 0;
          i187 = i193 + i179 | 0;
          do if ((get32(i66 | 0) | 0) == (i193 | 0)) {
           i198 = get32(i81 | 0) | 0;
           i70 = get32(i89 | 0) | 0;
           if ((i70 | 0) > (i198 | 0)) {
            i290 = i198;
            i291 = get32(i203 | 0) | 0;
           } else {
            i230 = _sqlite3DbRealloc(get32(i127 | 0) | 0, get32(i203 | 0) | 0, (i70 | 0) == 0 ? 1020 : i70 * 40 | 0) | 0;
            if (!i230) break;
            i70 = get32(i127 | 0) | 0;
            do if (!i70) i26 = 805; else {
             if ((get32(i70 + 260 | 0) | 0) >>> 0 > i230 >>> 0) {
              i26 = 805;
              break;
             }
             if ((get32(i70 + 264 | 0) | 0) >>> 0 <= i230 >>> 0) {
              i26 = 805;
              break;
             }
             i292 = getU16(i70 + 232 | 0) | 0;
            } while (0);
            if ((i26 | 0) == 805) {
             i26 = 0;
             i292 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i230) | 0;
            }
            set32(i89 | 0, (i292 >>> 0) / 20 | 0 | 0);
            set32(i203 | 0, i230 | 0);
            i290 = get32(i81 | 0) | 0;
            i291 = i230;
           }
           set32(i81 | 0, i290 + 1 | 0);
           set8(i291 + (i198 * 20 | 0) >> 0 | 0, 61 | 0);
           set8(i291 + (i198 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
           set32(i291 + (i198 * 20 | 0) + 4 | 0, i62 | 0);
           set32(i291 + (i198 * 20 | 0) + 8 | 0, i187 | 0);
           set32(i291 + (i198 * 20 | 0) + 12 | 0, 0 | 0);
           set32(i291 + (i198 * 20 | 0) + 16 | 0, 0 | 0);
           set8(i291 + (i198 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
          } else {
           i70 = (get8(i30 >> 0 | 0) & 16) != 0;
           i208 = get32(i81 | 0) | 0;
           i207 = get32(i89 | 0) | 0;
           if ((i207 | 0) > (i208 | 0)) {
            i293 = i208;
            i294 = get32(i203 | 0) | 0;
           } else {
            i91 = _sqlite3DbRealloc(get32(i127 | 0) | 0, get32(i203 | 0) | 0, (i207 | 0) == 0 ? 1020 : i207 * 40 | 0) | 0;
            if (!i91) break;
            i207 = get32(i127 | 0) | 0;
            do if (!i207) i26 = 815; else {
             if ((get32(i207 + 260 | 0) | 0) >>> 0 > i91 >>> 0) {
              i26 = 815;
              break;
             }
             if ((get32(i207 + 264 | 0) | 0) >>> 0 <= i91 >>> 0) {
              i26 = 815;
              break;
             }
             i295 = getU16(i207 + 232 | 0) | 0;
            } while (0);
            if ((i26 | 0) == 815) {
             i26 = 0;
             i295 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i91) | 0;
            }
            set32(i89 | 0, (i295 >>> 0) / 20 | 0 | 0);
            set32(i203 | 0, i91 | 0);
            i293 = get32(i81 | 0) | 0;
            i294 = i91;
           }
           set32(i81 | 0, i293 + 1 | 0);
           set8(i294 + (i208 * 20 | 0) >> 0 | 0, (i70 ? -127 : 28) | 0);
           set8(i294 + (i208 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
           set32(i294 + (i208 * 20 | 0) + 4 | 0, i62 | 0);
           set32(i294 + (i208 * 20 | 0) + 8 | 0, i193 | 0);
           set32(i294 + (i208 * 20 | 0) + 12 | 0, i187 | 0);
           set32(i294 + (i208 * 20 | 0) + 16 | 0, 0 | 0);
           set8(i294 + (i208 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
          } while (0);
          _sqlite3ColumnDefault(i127, i27, i193, i187);
         }
         i193 = i193 + 1 | 0;
        } while ((i193 | 0) < (get32(i35 | 0) | 0));
       }
       if (i108) break;
       i193 = get32(i81 | 0) | 0;
       i203 = get32(i89 | 0) | 0;
       if ((i203 | 0) > (i193 | 0)) {
        i296 = i193;
        i297 = get32(i127 + 4 | 0) | 0;
       } else {
        i66 = i127 + 4 | 0;
        i186 = _sqlite3DbRealloc(get32(i127 | 0) | 0, get32(i66 | 0) | 0, (i203 | 0) == 0 ? 1020 : i203 * 40 | 0) | 0;
        if (!i186) break;
        i203 = get32(i127 | 0) | 0;
        do if (!i203) i26 = 838; else {
         if ((get32(i203 + 260 | 0) | 0) >>> 0 > i186 >>> 0) {
          i26 = 838;
          break;
         }
         if ((get32(i203 + 264 | 0) | 0) >>> 0 <= i186 >>> 0) {
          i26 = 838;
          break;
         }
         i298 = getU16(i203 + 232 | 0) | 0;
        } while (0);
        if ((i26 | 0) == 838) i298 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i186) | 0;
        set32(i89 | 0, (i298 >>> 0) / 20 | 0 | 0);
        set32(i66 | 0, i186 | 0);
        i296 = get32(i81 | 0) | 0;
        i297 = i186;
       }
       set32(i81 | 0, i296 + 1 | 0);
       set8(i297 + (i193 * 20 | 0) >> 0 | 0, 14 | 0);
       set8(i297 + (i193 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i297 + (i193 * 20 | 0) + 4 | 0, i34 | 0);
       set32(i297 + (i193 * 20 | 0) + 8 | 0, i181 | 0);
       set32(i297 + (i193 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i297 + (i193 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i297 + (i193 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      } while (0);
      i203 = (i3 | 0) != 0 ? 107 : 106;
      i224 = (i33 | 0) == 0;
      if (i224) i299 = 0; else {
       i207 = (i3 | 0) == 0;
       i198 = i1 + 424 | 0;
       i230 = i3 + 12 | 0;
       i63 = 0;
       i158 = i60;
       while (1) {
        L1225 : do if ((getU8(i158 + 8 >> 0 | 0) | 0) == (i203 | 0)) {
         if (!(get8(i158 + 9 >> 0 | 0) & 1)) {
          i300 = i63;
          break;
         }
         i192 = get32(i158 + 16 | 0) | 0;
         L1228 : do if (!(i207 | (i192 | 0) == 0)) {
          i191 = get32(i3 | 0) | 0;
          if ((i191 | 0) <= 0) {
           i300 = i63;
           break L1225;
          }
          i234 = get32(i230 | 0) | 0;
          i222 = get32(i192 + 4 | 0) | 0;
          i236 = (i222 | 0) > 0;
          i233 = 0;
          while (1) {
           i210 = get32(i234 + (i233 * 20 | 0) + 4 | 0) | 0;
           L1233 : do if (i236) {
            i232 = get32(i192 | 0) | 0;
            i69 = 0;
            while (1) {
             i274 = get32(i232 + (i69 << 3) | 0) | 0;
             i276 = get8(i274 >> 0 | 0) | 0;
             L1237 : do if (!(i276 << 24 >> 24)) {
              i301 = 0;
              i302 = i210;
             } else {
              i275 = i276;
              i277 = i274;
              i278 = i210;
              while (1) {
               if ((get8(16286 + (i275 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i278 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
                i301 = i275;
                i302 = i278;
                break L1237;
               }
               i277 = i277 + 1 | 0;
               i283 = i278 + 1 | 0;
               i275 = get8(i277 >> 0 | 0) | 0;
               if (!(i275 << 24 >> 24)) {
                i301 = 0;
                i302 = i283;
                break;
               } else i278 = i283;
              }
             } while (0);
             if ((get8(16286 + (i301 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i302 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
              i303 = i69;
              break;
             }
             i69 = i69 + 1 | 0;
             if ((i69 | 0) >= (i222 | 0)) break L1233;
            }
            if ((i303 | 0) > -1) break L1228;
           } while (0);
           i233 = i233 + 1 | 0;
           if ((i233 | 0) >= (i191 | 0)) {
            i300 = i63;
            break L1225;
           }
          }
         } while (0);
         i192 = get32(i198 | 0) | 0;
         i187 = get32(((i192 | 0) == 0 ? i1 : i192) + 548 | 0) | 0;
         L1246 : do if (!i187) i26 = 864; else {
          i192 = i187;
          while (1) {
           if ((get32(i192 | 0) | 0) == (i158 | 0) ? (get32(i192 + 4 | 0) | 0) == (i5 | 0) : 0) {
            i304 = i192;
            break L1246;
           }
           i192 = get32(i192 + 20 | 0) | 0;
           if (!i192) {
            i26 = 864;
            break;
           }
          }
         } while (0);
         if ((i26 | 0) == 864) {
          i26 = 0;
          i187 = _codeRowTrigger(i1, i158, i27, i5) | 0;
          if (!i187) {
           i300 = i63;
           break;
          } else i304 = i187;
         }
         i300 = get32(i304 + 16 | 0) | i63;
        } else i300 = i63; while (0);
        i158 = get32(i158 + 32 | 0) | 0;
        if (!i158) {
         i299 = i300;
         break;
        } else i63 = i300;
       }
      }
      i63 = get32(i35 | 0) | 0;
      if ((i63 | 0) > 0) {
       i158 = i27 + 4 | 0;
       i198 = i127 + 4 | 0;
       i230 = i3 + 12 | 0;
       i207 = i59 & 1;
       i203 = (i207 | 0) == 0;
       i193 = 0;
       while (1) {
        L1261 : do if ((i193 | 0) == (get32(i158 | 0) | 0)) {
         i186 = i193 + i72 | 0;
         i66 = get32(i81 | 0) | 0;
         i187 = get32(i89 | 0) | 0;
         if ((i187 | 0) > (i66 | 0)) {
          i305 = i66;
          i306 = get32(i198 | 0) | 0;
         } else {
          i192 = _sqlite3DbRealloc(get32(i127 | 0) | 0, get32(i198 | 0) | 0, (i187 | 0) == 0 ? 1020 : i187 * 40 | 0) | 0;
          if (!i192) break;
          i187 = get32(i127 | 0) | 0;
          do if (!i187) i26 = 875; else {
           if ((get32(i187 + 260 | 0) | 0) >>> 0 > i192 >>> 0) {
            i26 = 875;
            break;
           }
           if ((get32(i187 + 264 | 0) | 0) >>> 0 <= i192 >>> 0) {
            i26 = 875;
            break;
           }
           i307 = getU16(i187 + 232 | 0) | 0;
          } while (0);
          if ((i26 | 0) == 875) {
           i26 = 0;
           i307 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i192) | 0;
          }
          set32(i89 | 0, (i307 >>> 0) / 20 | 0 | 0);
          set32(i198 | 0, i192 | 0);
          i305 = get32(i81 | 0) | 0;
          i306 = i192;
         }
         set32(i81 | 0, i305 + 1 | 0);
         set8(i306 + (i66 * 20 | 0) >> 0 | 0, 10 | 0);
         set8(i306 + (i66 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i306 + (i66 * 20 | 0) + 4 | 0, 0 | 0);
         set32(i306 + (i66 * 20 | 0) + 8 | 0, i186 | 0);
         set32(i306 + (i66 * 20 | 0) + 12 | 0, 0 | 0);
         set32(i306 + (i66 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i306 + (i66 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        } else {
         i187 = get32(i77 + (i193 << 2) | 0) | 0;
         if ((i187 | 0) <= -1) {
          if (!(i203 | (i193 | 0) > 31) ? (1 << i193 & i299 | 0) == 0 : 0) break;
          i191 = i193 + i72 | 0;
          i233 = get32(i81 | 0) | 0;
          i222 = get32(i89 | 0) | 0;
          do if ((i222 | 0) > (i233 | 0)) {
           i308 = i233;
           i309 = get32(i198 | 0) | 0;
           i26 = 914;
          } else {
           i236 = _sqlite3DbRealloc(get32(i127 | 0) | 0, get32(i198 | 0) | 0, (i222 | 0) == 0 ? 1020 : i222 * 40 | 0) | 0;
           if (!i236) break;
           i234 = get32(i127 | 0) | 0;
           do if (!i234) i26 = 912; else {
            if ((get32(i234 + 260 | 0) | 0) >>> 0 > i236 >>> 0) {
             i26 = 912;
             break;
            }
            if ((get32(i234 + 264 | 0) | 0) >>> 0 <= i236 >>> 0) {
             i26 = 912;
             break;
            }
            i310 = getU16(i234 + 232 | 0) | 0;
           } while (0);
           if ((i26 | 0) == 912) {
            i26 = 0;
            i310 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i236) | 0;
           }
           set32(i89 | 0, (i310 >>> 0) / 20 | 0 | 0);
           set32(i198 | 0, i236 | 0);
           i308 = get32(i81 | 0) | 0;
           i309 = i236;
           i26 = 914;
          } while (0);
          if ((i26 | 0) == 914) {
           i26 = 0;
           set32(i81 | 0, i308 + 1 | 0);
           set8(i309 + (i233 * 20 | 0) >> 0 | 0, 28 | 0);
           set8(i309 + (i233 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
           set32(i309 + (i233 * 20 | 0) + 4 | 0, i62 | 0);
           set32(i309 + (i233 * 20 | 0) + 8 | 0, i193 | 0);
           set32(i309 + (i233 * 20 | 0) + 12 | 0, i191 | 0);
           set32(i309 + (i233 * 20 | 0) + 16 | 0, 0 | 0);
           set8(i309 + (i233 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
          }
          _sqlite3ColumnDefault(i127, i27, i193, i191);
          break;
         }
         i222 = get32((get32(i230 | 0) | 0) + (i187 * 20 | 0) | 0) | 0;
         i66 = i193 + i72 | 0;
         do if (i222) {
          if ((get8(i222 >> 0 | 0) | 0) != -124) break;
          i186 = get32(i31 | 0) | 0;
          i192 = get32(i222 + 24 | 0) | 0;
          i234 = i186 + 28 | 0;
          i208 = get32(i234 | 0) | 0;
          i70 = i186 + 32 | 0;
          i91 = get32(i70 | 0) | 0;
          if ((i91 | 0) > (i208 | 0)) {
           i311 = i208;
           i312 = get32(i186 + 4 | 0) | 0;
          } else {
           i210 = i186 + 4 | 0;
           i69 = _sqlite3DbRealloc(get32(i186 | 0) | 0, get32(i210 | 0) | 0, (i91 | 0) == 0 ? 1020 : i91 * 40 | 0) | 0;
           if (!i69) break L1261;
           i91 = get32(i186 | 0) | 0;
           do if (!i91) i26 = 888; else {
            if ((get32(i91 + 260 | 0) | 0) >>> 0 > i69 >>> 0) {
             i26 = 888;
             break;
            }
            if ((get32(i91 + 264 | 0) | 0) >>> 0 <= i69 >>> 0) {
             i26 = 888;
             break;
            }
            i313 = getU16(i91 + 232 | 0) | 0;
           } while (0);
           if ((i26 | 0) == 888) {
            i26 = 0;
            i313 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i69) | 0;
           }
           set32(i70 | 0, (i313 >>> 0) / 20 | 0 | 0);
           set32(i210 | 0, i69 | 0);
           i311 = get32(i234 | 0) | 0;
           i312 = i69;
          }
          set32(i234 | 0, i311 + 1 | 0);
          set8(i312 + (i208 * 20 | 0) >> 0 | 0, 14 | 0);
          set8(i312 + (i208 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
          set32(i312 + (i208 * 20 | 0) + 4 | 0, i192 | 0);
          set32(i312 + (i208 * 20 | 0) + 8 | 0, i66 | 0);
          set32(i312 + (i208 * 20 | 0) + 12 | 0, 0 | 0);
          set32(i312 + (i208 * 20 | 0) + 16 | 0, 0 | 0);
          set8(i312 + (i208 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
          break L1261;
         } while (0);
         i187 = _sqlite3ExprCodeTarget(i1, i222, i66) | 0;
         if ((i187 | 0) == (i66 | 0)) break;
         i191 = get32(i31 | 0) | 0;
         if (!i191) break;
         i233 = i191 + 28 | 0;
         i91 = get32(i233 | 0) | 0;
         i236 = i191 + 32 | 0;
         i186 = get32(i236 | 0) | 0;
         if ((i186 | 0) > (i91 | 0)) {
          i314 = i91;
          i315 = get32(i191 + 4 | 0) | 0;
         } else {
          i232 = i191 + 4 | 0;
          i274 = _sqlite3DbRealloc(get32(i191 | 0) | 0, get32(i232 | 0) | 0, (i186 | 0) == 0 ? 1020 : i186 * 40 | 0) | 0;
          if (!i274) break;
          i186 = get32(i191 | 0) | 0;
          do if (!i186) i26 = 900; else {
           if ((get32(i186 + 260 | 0) | 0) >>> 0 > i274 >>> 0) {
            i26 = 900;
            break;
           }
           if ((get32(i186 + 264 | 0) | 0) >>> 0 <= i274 >>> 0) {
            i26 = 900;
            break;
           }
           i316 = getU16(i186 + 232 | 0) | 0;
          } while (0);
          if ((i26 | 0) == 900) {
           i26 = 0;
           i316 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i274) | 0;
          }
          set32(i236 | 0, (i316 >>> 0) / 20 | 0 | 0);
          set32(i232 | 0, i274 | 0);
          i314 = get32(i233 | 0) | 0;
          i315 = i274;
         }
         set32(i233 | 0, i314 + 1 | 0);
         set8(i315 + (i91 * 20 | 0) >> 0 | 0, 15 | 0);
         set8(i315 + (i91 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i315 + (i91 * 20 | 0) + 4 | 0, i187 | 0);
         set32(i315 + (i91 * 20 | 0) + 8 | 0, i66 | 0);
         set32(i315 + (i91 * 20 | 0) + 12 | 0, 0 | 0);
         set32(i315 + (i91 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i315 + (i91 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        } while (0);
        i193 = i193 + 1 | 0;
        i186 = get32(i35 | 0) | 0;
        if ((i193 | 0) >= (i186 | 0)) {
         i317 = i186;
         i318 = i207;
         break;
        }
       }
      } else {
       i317 = i63;
       i318 = i59 & 1;
      }
      do if (i318) {
       i207 = get32(i81 | 0) | 0;
       i193 = get32(i89 | 0) | 0;
       do if ((i193 | 0) > (i207 | 0)) {
        i319 = i207;
        i320 = get32(i127 + 4 | 0) | 0;
        i26 = 927;
       } else {
        i230 = i127 + 4 | 0;
        i198 = _sqlite3DbRealloc(get32(i127 | 0) | 0, get32(i230 | 0) | 0, (i193 | 0) == 0 ? 1020 : i193 * 40 | 0) | 0;
        if (!i198) break;
        i203 = get32(i127 | 0) | 0;
        do if (!i203) i26 = 925; else {
         if ((get32(i203 + 260 | 0) | 0) >>> 0 > i198 >>> 0) {
          i26 = 925;
          break;
         }
         if ((get32(i203 + 264 | 0) | 0) >>> 0 <= i198 >>> 0) {
          i26 = 925;
          break;
         }
         i321 = getU16(i203 + 232 | 0) | 0;
        } while (0);
        if ((i26 | 0) == 925) i321 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i198) | 0;
        set32(i89 | 0, (i321 >>> 0) / 20 | 0 | 0);
        set32(i230 | 0, i198 | 0);
        i319 = get32(i81 | 0) | 0;
        i320 = i198;
        i26 = 927;
       } while (0);
       if ((i26 | 0) == 927) {
        set32(i81 | 0, i319 + 1 | 0);
        set8(i320 + (i207 * 20 | 0) >> 0 | 0, 29 | 0);
        set8(i320 + (i207 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i320 + (i207 * 20 | 0) + 4 | 0, i72 | 0);
        set32(i320 + (i207 * 20 | 0) + 8 | 0, i317 | 0);
        set32(i320 + (i207 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i320 + (i207 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i320 + (i207 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       }
       i193 = i27 + 40 | 0;
       i203 = get32(i193 | 0) | 0;
       L1345 : do if (!i203) {
        i91 = get32(i127 | 0) | 0;
        i66 = get32(i35 | 0) | 0;
        i187 = i66 + 1 | 0;
        L1347 : do if (i66 >>> 0 <= 2147483390) {
         do if (!(get32(50 * 4 | 0) | 0)) {
          i233 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i187) | 0;
          if (!i233) break L1347; else i322 = i233;
         } else {
          i233 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i187) | 0;
          set32(35 * 4 | 0, i187 | 0);
          if ((get32(45 * 4 | 0) | 0) < (i187 | 0)) set32(45 * 4 | 0, i187 | 0);
          i274 = get32(6 * 4 | 0) | 0;
          do if (i274) {
           i232 = get32(30 * 4 | 0) | 0;
           i236 = ((i232 | 0) < 0) << 31 >> 31;
           i158 = 16;
           i186 = _i64Subtract(get32(i158 | 0) | 0, get32(i158 + 4 | 0) | 0, i233 | 0, ((i233 | 0) < 0) << 31 >> 31 | 0) | 0;
           i158 = tempRet0;
           if ((i236 | 0) < (i158 | 0) | (i236 | 0) == (i158 | 0) & i232 >>> 0 < i186 >>> 0) {
            set32(11 * 4 | 0, 0 | 0);
            break;
           } else {
            set32(11 * 4 | 0, 1 | 0);
            i186 = get32(7 * 4 | 0) | 0;
            set32(6 * 4 | 0, 0 | 0);
            FUNCTION_TABLE_viiii[i274 & 15](i186, i232, i236, i233);
            set32(6 * 4 | 0, i274 | 0);
            set32(7 * 4 | 0, i186 | 0);
            break;
           }
          } while (0);
          i274 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i233) | 0;
          if (!i274) break L1347;
          i186 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i274) | 0;
          i236 = (get32(30 * 4 | 0) | 0) + i186 | 0;
          set32(30 * 4 | 0, i236 | 0);
          if ((i236 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i236 | 0);
          i236 = get32(39 * 4 | 0) | 0;
          i186 = i236 + 1 | 0;
          set32(39 * 4 | 0, i186 | 0);
          if ((i236 | 0) < (get32(49 * 4 | 0) | 0)) {
           i322 = i274;
           break;
          }
          set32(49 * 4 | 0, i186 | 0);
          i322 = i274;
         } while (0);
         i208 = get32(i35 | 0) | 0;
         if ((i208 | 0) > 0) {
          i192 = i27 + 12 | 0;
          i234 = 0;
          do {
           set8(i322 + i234 >> 0 | 0, get8((get32(i192 | 0) | 0) + (i234 * 24 | 0) + 22 >> 0 | 0) | 0 | 0);
           i234 = i234 + 1 | 0;
           i69 = get32(i35 | 0) | 0;
          } while ((i234 | 0) < (i69 | 0));
          i323 = i69;
         } else i323 = i208;
         set8(i322 + i323 >> 0 | 0, 0 | 0);
         set32(i193 | 0, i322 | 0);
         i324 = i322;
         i26 = 948;
         break L1345;
        } while (0);
        set8(i91 + 30 >> 0 | 0, 1 | 0);
       } else {
        i324 = i203;
        i26 = 948;
       } while (0);
       if ((i26 | 0) == 948) _sqlite3VdbeChangeP4(i127, -1, i324, 0);
       if (!i224) {
        i203 = (i3 | 0) == 0;
        i193 = i3 + 12 | 0;
        i207 = i60;
        do {
         L1380 : do if ((get8(i207 + 8 >> 0 | 0) | 0) == 107) {
          if ((get8(i207 + 9 >> 0 | 0) | 0) != 1) break;
          i187 = get32(i207 + 16 | 0) | 0;
          L1383 : do if (!(i203 | (i187 | 0) == 0)) {
           i66 = get32(i3 | 0) | 0;
           if ((i66 | 0) <= 0) break L1380;
           i198 = get32(i193 | 0) | 0;
           i230 = get32(i187 + 4 | 0) | 0;
           i234 = (i230 | 0) > 0;
           i192 = 0;
           while (1) {
            i69 = get32(i198 + (i192 * 20 | 0) + 4 | 0) | 0;
            L1388 : do if (i234) {
             i210 = get32(i187 | 0) | 0;
             i70 = 0;
             while (1) {
              i274 = get32(i210 + (i70 << 3) | 0) | 0;
              i186 = get8(i274 >> 0 | 0) | 0;
              L1392 : do if (!(i186 << 24 >> 24)) {
               i325 = 0;
               i326 = i69;
              } else {
               i236 = i186;
               i232 = i274;
               i158 = i69;
               while (1) {
                if ((get8(16286 + (i236 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i158 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
                 i325 = i236;
                 i326 = i158;
                 break L1392;
                }
                i232 = i232 + 1 | 0;
                i222 = i158 + 1 | 0;
                i236 = get8(i232 >> 0 | 0) | 0;
                if (!(i236 << 24 >> 24)) {
                 i325 = 0;
                 i326 = i222;
                 break;
                } else i158 = i222;
               }
              } while (0);
              if ((get8(16286 + (i325 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i326 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
               i327 = i70;
               break;
              }
              i70 = i70 + 1 | 0;
              if ((i70 | 0) >= (i230 | 0)) break L1388;
             }
             if ((i327 | 0) > -1) break L1383;
            } while (0);
            i192 = i192 + 1 | 0;
            if ((i192 | 0) >= (i66 | 0)) break L1380;
           }
          } while (0);
          _sqlite3CodeRowTriggerDirect(i1, i207, i27, i34, i5, i255);
         } while (0);
         i207 = get32(i207 + 32 | 0) | 0;
        } while ((i207 | 0) != 0);
       }
       i207 = get32(i81 | 0) | 0;
       i193 = get32(i89 | 0) | 0;
       do if ((i193 | 0) > (i207 | 0)) {
        i328 = i207;
        i329 = get32(i127 + 4 | 0) | 0;
        i26 = 976;
       } else {
        i203 = i127 + 4 | 0;
        i91 = _sqlite3DbRealloc(get32(i127 | 0) | 0, get32(i203 | 0) | 0, (i193 | 0) == 0 ? 1020 : i193 * 40 | 0) | 0;
        if (!i91) break;
        i187 = get32(i127 | 0) | 0;
        do if (!i187) i26 = 974; else {
         if ((get32(i187 + 260 | 0) | 0) >>> 0 > i91 >>> 0) {
          i26 = 974;
          break;
         }
         if ((get32(i187 + 264 | 0) | 0) >>> 0 <= i91 >>> 0) {
          i26 = 974;
          break;
         }
         i330 = getU16(i187 + 232 | 0) | 0;
        } while (0);
        if ((i26 | 0) == 974) i330 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i91) | 0;
        set32(i89 | 0, (i330 >>> 0) / 20 | 0 | 0);
        set32(i203 | 0, i91 | 0);
        i328 = get32(i81 | 0) | 0;
        i329 = i91;
        i26 = 976;
       } while (0);
       if ((i26 | 0) == 976) {
        set32(i81 | 0, i328 + 1 | 0);
        set8(i329 + (i207 * 20 | 0) >> 0 | 0, 52 | 0);
        set8(i329 + (i207 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i329 + (i207 * 20 | 0) + 4 | 0, i62 | 0);
        set32(i329 + (i207 * 20 | 0) + 8 | 0, i255 | 0);
        set32(i329 + (i207 * 20 | 0) + 12 | 0, i34 | 0);
        set32(i329 + (i207 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i329 + (i207 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       }
       i193 = get32(i35 | 0) | 0;
       if ((i193 | 0) <= 0) break;
       i187 = i27 + 4 | 0;
       i208 = i127 + 4 | 0;
       i66 = i193;
       i193 = 0;
       while (1) {
        do if ((get32(i77 + (i193 << 2) | 0) | 0) < 0) {
         if ((i193 | 0) == (get32(i187 | 0) | 0)) {
          i331 = i66;
          break;
         }
         i192 = i193 + i72 | 0;
         i230 = get32(i81 | 0) | 0;
         i234 = get32(i89 | 0) | 0;
         do if ((i234 | 0) > (i230 | 0)) {
          i332 = i230;
          i333 = get32(i208 | 0) | 0;
          i26 = 990;
         } else {
          i198 = _sqlite3DbRealloc(get32(i127 | 0) | 0, get32(i208 | 0) | 0, (i234 | 0) == 0 ? 1020 : i234 * 40 | 0) | 0;
          if (!i198) break;
          i233 = get32(i127 | 0) | 0;
          do if (!i233) i26 = 988; else {
           if ((get32(i233 + 260 | 0) | 0) >>> 0 > i198 >>> 0) {
            i26 = 988;
            break;
           }
           if ((get32(i233 + 264 | 0) | 0) >>> 0 <= i198 >>> 0) {
            i26 = 988;
            break;
           }
           i334 = getU16(i233 + 232 | 0) | 0;
          } while (0);
          if ((i26 | 0) == 988) {
           i26 = 0;
           i334 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i198) | 0;
          }
          set32(i89 | 0, (i334 >>> 0) / 20 | 0 | 0);
          set32(i208 | 0, i198 | 0);
          i332 = get32(i81 | 0) | 0;
          i333 = i198;
          i26 = 990;
         } while (0);
         if ((i26 | 0) == 990) {
          i26 = 0;
          set32(i81 | 0, i332 + 1 | 0);
          set8(i333 + (i230 * 20 | 0) >> 0 | 0, 28 | 0);
          set8(i333 + (i230 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
          set32(i333 + (i230 * 20 | 0) + 4 | 0, i62 | 0);
          set32(i333 + (i230 * 20 | 0) + 8 | 0, i193 | 0);
          set32(i333 + (i230 * 20 | 0) + 12 | 0, i192 | 0);
          set32(i333 + (i230 * 20 | 0) + 16 | 0, 0 | 0);
          set8(i333 + (i230 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         }
         _sqlite3ColumnDefault(i127, i27, i193, i192);
         i331 = get32(i35 | 0) | 0;
        } else i331 = i66; while (0);
        i193 = i193 + 1 | 0;
        if ((i193 | 0) >= (i331 | 0)) break; else i66 = i331;
       }
      } while (0);
      do if (!i32) {
       _sqlite3GenerateConstraintChecks(i1, i27, i62, i181, i118, i84 ? i34 : 0, 1, i5, i255, 0);
       if (i85) _sqlite3FkCheck(i1, i27, i34, 0);
       i63 = get32(i81 | 0) | 0;
       i66 = get32(i89 | 0) | 0;
       do if ((i66 | 0) > (i63 | 0)) {
        i335 = i63;
        i336 = get32(i127 + 4 | 0) | 0;
        i26 = 1005;
       } else {
        i193 = i127 + 4 | 0;
        i208 = _sqlite3DbRealloc(get32(i127 | 0) | 0, get32(i193 | 0) | 0, (i66 | 0) == 0 ? 1020 : i66 * 40 | 0) | 0;
        if (!i208) {
         i337 = 1;
         break;
        }
        i187 = get32(i127 | 0) | 0;
        do if (!i187) i26 = 1003; else {
         if ((get32(i187 + 260 | 0) | 0) >>> 0 > i208 >>> 0) {
          i26 = 1003;
          break;
         }
         if ((get32(i187 + 264 | 0) | 0) >>> 0 <= i208 >>> 0) {
          i26 = 1003;
          break;
         }
         i338 = getU16(i187 + 232 | 0) | 0;
        } while (0);
        if ((i26 | 0) == 1003) i338 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i208) | 0;
        set32(i89 | 0, (i338 >>> 0) / 20 | 0 | 0);
        set32(i193 | 0, i208 | 0);
        i335 = get32(i81 | 0) | 0;
        i336 = i208;
        i26 = 1005;
       } while (0);
       if ((i26 | 0) == 1005) {
        set32(i81 | 0, i335 + 1 | 0);
        set8(i336 + (i63 * 20 | 0) >> 0 | 0, 52 | 0);
        set8(i336 + (i63 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i336 + (i63 * 20 | 0) + 4 | 0, i62 | 0);
        set32(i336 + (i63 * 20 | 0) + 8 | 0, 0 | 0);
        set32(i336 + (i63 * 20 | 0) + 12 | 0, i34 | 0);
        set32(i336 + (i63 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i336 + (i63 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i337 = i63;
       }
       i66 = get32(i42 | 0) | 0;
       if (i66) {
        i187 = (i118 | 0) == 0;
        i207 = 1;
        i91 = i66;
        while (1) {
         if (!(!i187 ? (get32(i118 + (i207 + -1 << 2) | 0) | 0) == 0 : 0)) i26 = 1010;
         do if ((i26 | 0) == 1010) {
          i26 = 0;
          i66 = _sqlite3GenerateIndexKey(i1, i91, i62, 0, 0) | 0;
          i203 = get32(i31 | 0) | 0;
          i234 = i207 + i62 | 0;
          i233 = (get32(i91 + 4 | 0) | 0) + 1 | 0;
          i69 = i203 + 28 | 0;
          i70 = get32(i69 | 0) | 0;
          i210 = i203 + 32 | 0;
          i274 = get32(i210 | 0) | 0;
          if ((i274 | 0) > (i70 | 0)) {
           i339 = i70;
           i340 = get32(i203 + 4 | 0) | 0;
          } else {
           i186 = i203 + 4 | 0;
           i158 = _sqlite3DbRealloc(get32(i203 | 0) | 0, get32(i186 | 0) | 0, (i274 | 0) == 0 ? 1020 : i274 * 40 | 0) | 0;
           if (!i158) break;
           i274 = get32(i203 | 0) | 0;
           do if (!i274) i26 = 1017; else {
            if ((get32(i274 + 260 | 0) | 0) >>> 0 > i158 >>> 0) {
             i26 = 1017;
             break;
            }
            if ((get32(i274 + 264 | 0) | 0) >>> 0 <= i158 >>> 0) {
             i26 = 1017;
             break;
            }
            i341 = getU16(i274 + 232 | 0) | 0;
           } while (0);
           if ((i26 | 0) == 1017) {
            i26 = 0;
            i341 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i158) | 0;
           }
           set32(i210 | 0, (i341 >>> 0) / 20 | 0 | 0);
           set32(i186 | 0, i158 | 0);
           i339 = get32(i69 | 0) | 0;
           i340 = i158;
          }
          set32(i69 | 0, i339 + 1 | 0);
          set8(i340 + (i70 * 20 | 0) >> 0 | 0, 71 | 0);
          set8(i340 + (i70 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
          set32(i340 + (i70 * 20 | 0) + 4 | 0, i234 | 0);
          set32(i340 + (i70 * 20 | 0) + 8 | 0, i66 | 0);
          set32(i340 + (i70 * 20 | 0) + 12 | 0, i233 | 0);
          set32(i340 + (i70 * 20 | 0) + 16 | 0, 0 | 0);
          set8(i340 + (i70 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
         } while (0);
         i91 = get32(i91 + 32 | 0) | 0;
         if (!i91) break; else i207 = i207 + 1 | 0;
        }
       }
       do if (i90) {
        i207 = get32(i81 | 0) | 0;
        i91 = get32(i89 | 0) | 0;
        if ((i91 | 0) > (i207 | 0)) {
         i342 = i207;
         i343 = get32(i127 + 4 | 0) | 0;
        } else {
         i187 = i127 + 4 | 0;
         i63 = _sqlite3DbRealloc(get32(i127 | 0) | 0, get32(i187 | 0) | 0, (i91 | 0) == 0 ? 1020 : i91 * 40 | 0) | 0;
         if (!i63) break;
         i91 = get32(i127 | 0) | 0;
         do if (!i91) i26 = 1029; else {
          if ((get32(i91 + 260 | 0) | 0) >>> 0 > i63 >>> 0) {
           i26 = 1029;
           break;
          }
          if ((get32(i91 + 264 | 0) | 0) >>> 0 <= i63 >>> 0) {
           i26 = 1029;
           break;
          }
          i344 = getU16(i91 + 232 | 0) | 0;
         } while (0);
         if ((i26 | 0) == 1029) i344 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i63) | 0;
         set32(i89 | 0, (i344 >>> 0) / 20 | 0 | 0);
         set32(i187 | 0, i63 | 0);
         i342 = get32(i81 | 0) | 0;
         i343 = i63;
        }
        set32(i81 | 0, i342 + 1 | 0);
        set8(i343 + (i207 * 20 | 0) >> 0 | 0, 57 | 0);
        set8(i343 + (i207 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i343 + (i207 * 20 | 0) + 4 | 0, i62 | 0);
        set32(i343 + (i207 * 20 | 0) + 8 | 0, 0 | 0);
        set32(i343 + (i207 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i343 + (i207 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i343 + (i207 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       } while (0);
       i91 = get32(i81 | 0) | 0;
       if ((i91 | 0) > (i337 | 0)) set32((get32(i127 + 4 | 0) | 0) + (i337 * 20 | 0) + 8 | 0, i91 | 0);
       if (i85) {
        _sqlite3FkCheck(i1, i27, 0, i181);
        _sqlite3CompleteInsertion(i1, i27, i62, i181, i118, 1, 0, 0);
        _sqlite3FkActions(i1, i27, i3, i34);
        break;
       } else {
        _sqlite3CompleteInsertion(i1, i27, i62, i181, i118, 1, 0, 0);
        break;
       }
      } while (0);
      do if (get32(i88 | 0) & 4096) {
       if (get32(i1 + 428 | 0) | 0) break;
       i91 = get32(i81 | 0) | 0;
       i208 = get32(i89 | 0) | 0;
       if ((i208 | 0) > (i91 | 0)) {
        i345 = i91;
        i346 = get32(i127 + 4 | 0) | 0;
       } else {
        i193 = i127 + 4 | 0;
        i274 = _sqlite3DbRealloc(get32(i127 | 0) | 0, get32(i193 | 0) | 0, (i208 | 0) == 0 ? 1020 : i208 * 40 | 0) | 0;
        if (!i274) break;
        i208 = get32(i127 | 0) | 0;
        do if (!i208) i26 = 1046; else {
         if ((get32(i208 + 260 | 0) | 0) >>> 0 > i274 >>> 0) {
          i26 = 1046;
          break;
         }
         if ((get32(i208 + 264 | 0) | 0) >>> 0 <= i274 >>> 0) {
          i26 = 1046;
          break;
         }
         i347 = getU16(i208 + 232 | 0) | 0;
        } while (0);
        if ((i26 | 0) == 1046) i347 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i274) | 0;
        set32(i89 | 0, (i347 >>> 0) / 20 | 0 | 0);
        set32(i193 | 0, i274 | 0);
        i345 = get32(i81 | 0) | 0;
        i346 = i274;
       }
       set32(i81 | 0, i345 + 1 | 0);
       set8(i346 + (i91 * 20 | 0) >> 0 | 0, 20 | 0);
       set8(i346 + (i91 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i346 + (i91 * 20 | 0) + 4 | 0, i200 | 0);
       set32(i346 + (i91 * 20 | 0) + 8 | 0, 1 | 0);
       set32(i346 + (i91 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i346 + (i91 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i346 + (i91 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      } while (0);
      if (!i224) {
       i208 = (i3 | 0) == 0;
       i192 = i3 + 12 | 0;
       i230 = i60;
       do {
        L1522 : do if ((get8(i230 + 8 >> 0 | 0) | 0) == 107) {
         if ((get8(i230 + 9 >> 0 | 0) | 0) != 2) break;
         i203 = get32(i230 + 16 | 0) | 0;
         L1525 : do if (!(i208 | (i203 | 0) == 0)) {
          i236 = get32(i3 | 0) | 0;
          if ((i236 | 0) <= 0) break L1522;
          i232 = get32(i192 | 0) | 0;
          i222 = get32(i203 + 4 | 0) | 0;
          i191 = (i222 | 0) > 0;
          i276 = 0;
          while (1) {
           i278 = get32(i232 + (i276 * 20 | 0) + 4 | 0) | 0;
           L1530 : do if (i191) {
            i275 = get32(i203 | 0) | 0;
            i277 = 0;
            while (1) {
             i283 = get32(i275 + (i277 << 3) | 0) | 0;
             i281 = get8(i283 >> 0 | 0) | 0;
             L1534 : do if (!(i281 << 24 >> 24)) {
              i348 = 0;
              i349 = i278;
             } else {
              i282 = i281;
              i284 = i283;
              i350 = i278;
              while (1) {
               if ((get8(16286 + (i282 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i350 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
                i348 = i282;
                i349 = i350;
                break L1534;
               }
               i284 = i284 + 1 | 0;
               i351 = i350 + 1 | 0;
               i282 = get8(i284 >> 0 | 0) | 0;
               if (!(i282 << 24 >> 24)) {
                i348 = 0;
                i349 = i351;
                break;
               } else i350 = i351;
              }
             } while (0);
             if ((get8(16286 + (i348 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i349 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
              i352 = i277;
              break;
             }
             i277 = i277 + 1 | 0;
             if ((i277 | 0) >= (i222 | 0)) break L1530;
            }
            if ((i352 | 0) > -1) break L1525;
           } while (0);
           i276 = i276 + 1 | 0;
           if ((i276 | 0) >= (i236 | 0)) break L1522;
          }
         } while (0);
         _sqlite3CodeRowTriggerDirect(i1, i230, i27, i34, i5, i255);
        } while (0);
        i230 = get32(i230 + 32 | 0) | 0;
       } while ((i230 | 0) != 0);
      }
      i230 = get32(i81 | 0) | 0;
      i192 = get32(i89 | 0) | 0;
      do if ((i192 | 0) > (i230 | 0)) {
       i353 = i230;
       i354 = get32(i127 + 4 | 0) | 0;
       i26 = 1077;
      } else {
       i208 = i127 + 4 | 0;
       i224 = _sqlite3DbRealloc(get32(i127 | 0) | 0, get32(i208 | 0) | 0, (i192 | 0) == 0 ? 1020 : i192 * 40 | 0) | 0;
       if (!i224) {
        i355 = get32(i81 | 0) | 0;
        break;
       }
       i91 = get32(i127 | 0) | 0;
       do if (!i91) i26 = 1075; else {
        if ((get32(i91 + 260 | 0) | 0) >>> 0 > i224 >>> 0) {
         i26 = 1075;
         break;
        }
        if ((get32(i91 + 264 | 0) | 0) >>> 0 <= i224 >>> 0) {
         i26 = 1075;
         break;
        }
        i356 = getU16(i91 + 232 | 0) | 0;
       } while (0);
       if ((i26 | 0) == 1075) i356 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i224) | 0;
       set32(i89 | 0, (i356 >>> 0) / 20 | 0 | 0);
       set32(i208 | 0, i224 | 0);
       i353 = get32(i81 | 0) | 0;
       i354 = i224;
       i26 = 1077;
      } while (0);
      if ((i26 | 0) == 1077) {
       i192 = i353 + 1 | 0;
       set32(i81 | 0, i192 | 0);
       set8(i354 + (i230 * 20 | 0) >> 0 | 0, 1 | 0);
       set8(i354 + (i230 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i354 + (i230 * 20 | 0) + 4 | 0, 0 | 0);
       set32(i354 + (i230 * 20 | 0) + 8 | 0, i255 | 0);
       set32(i354 + (i230 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i354 + (i230 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i354 + (i230 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i355 = i192;
      }
      if ((i355 | 0) > (i255 | 0)) set32((get32(i127 + 4 | 0) | 0) + (i255 * 20 | 0) + 8 | 0, i355 | 0);
      i192 = get32(i42 | 0) | 0;
      if (!i192) i357 = i355; else {
       i91 = (i205 | 0) == 0;
       i274 = i127 + 4 | 0;
       i193 = 0;
       i203 = i192;
       while (1) {
        if (!(i91 ? (get32(i118 + (i193 << 2) | 0) | 0) <= 0 : 0)) i26 = 1084;
        do if ((i26 | 0) == 1084) {
         i26 = 0;
         i192 = i193 + i40 | 0;
         i207 = get32(i81 | 0) | 0;
         i63 = get32(i89 | 0) | 0;
         if ((i63 | 0) > (i207 | 0)) {
          i358 = i207;
          i359 = get32(i274 | 0) | 0;
         } else {
          i187 = _sqlite3DbRealloc(get32(i127 | 0) | 0, get32(i274 | 0) | 0, (i63 | 0) == 0 ? 1020 : i63 * 40 | 0) | 0;
          if (!i187) break;
          i63 = get32(i127 | 0) | 0;
          do if (!i63) i26 = 1091; else {
           if ((get32(i63 + 260 | 0) | 0) >>> 0 > i187 >>> 0) {
            i26 = 1091;
            break;
           }
           if ((get32(i63 + 264 | 0) | 0) >>> 0 <= i187 >>> 0) {
            i26 = 1091;
            break;
           }
           i360 = getU16(i63 + 232 | 0) | 0;
          } while (0);
          if ((i26 | 0) == 1091) {
           i26 = 0;
           i360 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i187) | 0;
          }
          set32(i89 | 0, (i360 >>> 0) / 20 | 0 | 0);
          set32(i274 | 0, i187 | 0);
          i358 = get32(i81 | 0) | 0;
          i359 = i187;
         }
         set32(i81 | 0, i358 + 1 | 0);
         set8(i359 + (i207 * 20 | 0) >> 0 | 0, 43 | 0);
         set8(i359 + (i207 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
         set32(i359 + (i207 * 20 | 0) + 4 | 0, i192 | 0);
         set32(i359 + (i207 * 20 | 0) + 8 | 0, 0 | 0);
         set32(i359 + (i207 * 20 | 0) + 12 | 0, 0 | 0);
         set32(i359 + (i207 * 20 | 0) + 16 | 0, 0 | 0);
         set8(i359 + (i207 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        } while (0);
        i203 = get32(i203 + 32 | 0) | 0;
        if (!i203) break; else i193 = i193 + 1 | 0;
       }
       i357 = get32(i81 | 0) | 0;
      }
      i193 = get32(i89 | 0) | 0;
      do if ((i193 | 0) > (i357 | 0)) {
       i361 = i357;
       i362 = get32(i127 + 4 | 0) | 0;
       i26 = 1105;
      } else {
       i203 = i127 + 4 | 0;
       i274 = _sqlite3DbRealloc(get32(i127 | 0) | 0, get32(i203 | 0) | 0, (i193 | 0) == 0 ? 1020 : i193 * 40 | 0) | 0;
       if (!i274) break;
       i91 = get32(i127 | 0) | 0;
       do if (!i91) i26 = 1103; else {
        if ((get32(i91 + 260 | 0) | 0) >>> 0 > i274 >>> 0) {
         i26 = 1103;
         break;
        }
        if ((get32(i91 + 264 | 0) | 0) >>> 0 <= i274 >>> 0) {
         i26 = 1103;
         break;
        }
        i363 = getU16(i91 + 232 | 0) | 0;
       } while (0);
       if ((i26 | 0) == 1103) i363 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i274) | 0;
       set32(i89 | 0, (i363 >>> 0) / 20 | 0 | 0);
       set32(i203 | 0, i274 | 0);
       i361 = get32(i81 | 0) | 0;
       i362 = i274;
       i26 = 1105;
      } while (0);
      if ((i26 | 0) == 1105) {
       set32(i81 | 0, i361 + 1 | 0);
       set8(i362 + (i357 * 20 | 0) >> 0 | 0, 43 | 0);
       set8(i362 + (i357 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i362 + (i357 * 20 | 0) + 4 | 0, i62 | 0);
       set32(i362 + (i357 * 20 | 0) + 8 | 0, 0 | 0);
       set32(i362 + (i357 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i362 + (i357 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i362 + (i357 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      }
      do if (!(get8(i65 >> 0 | 0) | 0)) {
       if (get32(i1 + 428 | 0) | 0) break;
       _sqlite3AutoincrementEnd(i1);
      } while (0);
      if (!(get32(i88 | 0) & 4096)) break;
      if (get32(i1 + 428 | 0) | 0) break;
      if (get8(i65 >> 0 | 0) | 0) break;
      i193 = get32(i81 | 0) | 0;
      i91 = get32(i89 | 0) | 0;
      do if ((i91 | 0) > (i193 | 0)) {
       i364 = i127;
       i365 = i193;
       i366 = get32(i127 + 4 | 0) | 0;
       i26 = 1121;
      } else {
       i230 = i127 + 4 | 0;
       i224 = _sqlite3DbRealloc(get32(i127 | 0) | 0, get32(i230 | 0) | 0, (i91 | 0) == 0 ? 1020 : i91 * 40 | 0) | 0;
       if (!i224) {
        i367 = i127;
        break;
       }
       i208 = get32(i127 | 0) | 0;
       do if (!i208) i26 = 1119; else {
        if ((get32(i208 + 260 | 0) | 0) >>> 0 > i224 >>> 0) {
         i26 = 1119;
         break;
        }
        if ((get32(i208 + 264 | 0) | 0) >>> 0 <= i224 >>> 0) {
         i26 = 1119;
         break;
        }
        i368 = getU16(i208 + 232 | 0) | 0;
       } while (0);
       if ((i26 | 0) == 1119) i368 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i224) | 0;
       set32(i89 | 0, (i368 >>> 0) / 20 | 0 | 0);
       set32(i230 | 0, i224 | 0);
       i364 = i127;
       i365 = get32(i81 | 0) | 0;
       i366 = i224;
       i26 = 1121;
      } while (0);
      if ((i26 | 0) == 1121) {
       set32(i81 | 0, i365 + 1 | 0);
       set8(i366 + (i193 * 20 | 0) >> 0 | 0, 16 | 0);
       set8(i366 + (i193 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i366 + (i193 * 20 | 0) + 4 | 0, i200 | 0);
       set32(i366 + (i193 * 20 | 0) + 8 | 0, 1 | 0);
       set32(i366 + (i193 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i366 + (i193 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i366 + (i193 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i367 = i364;
      }
      _sqlite3VdbeSetNumCols(i127, 1);
      if (get8((get32(i367 | 0) | 0) + 30 >> 0 | 0) | 0) break;
      _sqlite3VdbeMemSetStr(get32(i127 + 16 | 0) | 0, 33366, -1, 1, 0) | 0;
     } while (0);
     if (!i182) {
      i48 = i4;
      i49 = i2;
      i50 = i118;
      i51 = i77;
      break L1;
     }
     set32(i182 + 516 | 0, i183 | 0);
     i48 = i4;
     i49 = i2;
     i50 = i118;
     i51 = i77;
     break L1;
    } while (0);
    set32(i12 | 0, get32(i27 | 0) | 0);
    _sqlite3ErrorMsg(i1, 33218, i12);
    i48 = i4;
    i49 = i2;
    i50 = 0;
    i51 = 0;
   } else {
    i48 = i4;
    i49 = i2;
    i50 = 0;
    i51 = 0;
   }
  } else {
   i48 = i4;
   i49 = i2;
   i50 = 0;
   i51 = 0;
  }
 } else {
  i48 = i4;
  i49 = i2;
  i50 = 0;
  i51 = 0;
 } while (0);
 _sqlite3DbFree(i19, i50);
 _sqlite3DbFree(i19, i51);
 _sqlite3SrcListDelete(i19, i49);
 if (!i3) {
  _sqlite3ExprDelete(i19, i48);
  STACKTOP = i6;
  return;
 }
 i49 = i3 + 12 | 0;
 if ((get32(i3 | 0) | 0) > 0) {
  i51 = 0;
  i50 = get32(i49 | 0) | 0;
  while (1) {
   _sqlite3ExprDelete(i19, get32(i50 | 0) | 0);
   _sqlite3DbFree(i19, get32(i50 + 4 | 0) | 0);
   _sqlite3DbFree(i19, get32(i50 + 8 | 0) | 0);
   i51 = i51 + 1 | 0;
   if ((i51 | 0) >= (get32(i3 | 0) | 0)) break; else i50 = i50 + 20 | 0;
  }
 }
 _sqlite3DbFree(i19, get32(i49 | 0) | 0);
 _sqlite3DbFree(i19, i3);
 _sqlite3ExprDelete(i19, i48);
 STACKTOP = i6;
 return;
}

function _multiSelect(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, d57 = 0.0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0, i80 = 0, i81 = 0, i82 = 0, i83 = 0, i84 = 0, i85 = 0, i86 = 0, i87 = 0, i88 = 0, i89 = 0, i90 = 0, i91 = 0, i92 = 0, i93 = 0, i94 = 0, i95 = 0, i96 = 0, i97 = 0, i98 = 0, i99 = 0, i100 = 0, i101 = 0, i102 = 0, i103 = 0, i104 = 0, i105 = 0, i106 = 0, i107 = 0, i108 = 0, i109 = 0, i110 = 0, i111 = 0, i112 = 0, i113 = 0, i114 = 0, i115 = 0, i116 = 0, i117 = 0, i118 = 0, i119 = 0, i120 = 0, i121 = 0, i122 = 0, i123 = 0, i124 = 0, i125 = 0, i126 = 0, i127 = 0, i128 = 0, i129 = 0, i130 = 0, i131 = 0, i132 = 0, i133 = 0, i134 = 0, i135 = 0, i136 = 0, i137 = 0, i138 = 0, i139 = 0, i140 = 0, i141 = 0, i142 = 0, i143 = 0, i144 = 0, i145 = 0, i146 = 0, i147 = 0, i148 = 0, i149 = 0, i150 = 0, i151 = 0, i152 = 0, i153 = 0, i154 = 0, i155 = 0, i156 = 0, i157 = 0, i158 = 0, i159 = 0, i160 = 0, i161 = 0, i162 = 0, i163 = 0, i164 = 0, i165 = 0, i166 = 0, i167 = 0, i168 = 0, i169 = 0, i170 = 0, i171 = 0, i172 = 0, i173 = 0, i174 = 0, i175 = 0, i176 = 0, i177 = 0, i178 = 0, i179 = 0, i180 = 0, i181 = 0, i182 = 0, i183 = 0, i184 = 0, i185 = 0, i186 = 0, i187 = 0, i188 = 0, i189 = 0, i190 = 0, i191 = 0, i192 = 0, i193 = 0, i194 = 0, i195 = 0, i196 = 0, i197 = 0, i198 = 0, i199 = 0, i200 = 0, i201 = 0, i202 = 0, i203 = 0, i204 = 0, i205 = 0, i206 = 0, i207 = 0, i208 = 0, i209 = 0, i210 = 0, i211 = 0, i212 = 0, i213 = 0, i214 = 0, i215 = 0, i216 = 0, i217 = 0, i218 = 0, i219 = 0, i220 = 0, i221 = 0, i222 = 0, i223 = 0, i224 = 0, i225 = 0, i226 = 0, i227 = 0, i228 = 0, i229 = 0, i230 = 0, i231 = 0, i232 = 0, i233 = 0, i234 = 0, i235 = 0, i236 = 0, i237 = 0, i238 = 0, i239 = 0, i240 = 0, i241 = 0, i242 = 0, i243 = 0, i244 = 0, i245 = 0, i246 = 0, i247 = 0, i248 = 0, i249 = 0, i250 = 0, i251 = 0, i252 = 0, i253 = 0, i254 = 0, i255 = 0, i256 = 0, i257 = 0, i258 = 0, i259 = 0, i260 = 0, i261 = 0, i262 = 0, i263 = 0, i264 = 0, i265 = 0, i266 = 0, i267 = 0, i268 = 0, i269 = 0, i270 = 0, i271 = 0, i272 = 0, i273 = 0, i274 = 0, i275 = 0, i276 = 0, i277 = 0, i278 = 0, i279 = 0, i280 = 0, i281 = 0, i282 = 0, i283 = 0, i284 = 0, i285 = 0, i286 = 0, i287 = 0, i288 = 0, i289 = 0, i290 = 0, i291 = 0, i292 = 0, i293 = 0, i294 = 0, i295 = 0, i296 = 0, i297 = 0, i298 = 0, i299 = 0, i300 = 0, i301 = 0, i302 = 0, i303 = 0, i304 = 0, i305 = 0, i306 = 0, i307 = 0, i308 = 0, i309 = 0, i310 = 0, i311 = 0, i312 = 0, i313 = 0, i314 = 0, i315 = 0, i316 = 0, i317 = 0, i318 = 0, i319 = 0, i320 = 0, i321 = 0, i322 = 0, i323 = 0, i324 = 0, i325 = 0, i326 = 0, i327 = 0, i328 = 0, i329 = 0, i330 = 0, i331 = 0, i332 = 0, i333 = 0, i334 = 0, i335 = 0, i336 = 0, i337 = 0, i338 = 0, i339 = 0, i340 = 0, i341 = 0, i342 = 0, i343 = 0, i344 = 0, i345 = 0, i346 = 0, i347 = 0, i348 = 0, i349 = 0, i350 = 0, i351 = 0, i352 = 0, i353 = 0, i354 = 0, i355 = 0, i356 = 0, i357 = 0, i358 = 0, i359 = 0, i360 = 0, i361 = 0, i362 = 0, i363 = 0, i364 = 0, i365 = 0, i366 = 0, i367 = 0, i368 = 0, i369 = 0, i370 = 0, i371 = 0, i372 = 0, i373 = 0, i374 = 0, i375 = 0, i376 = 0, i377 = 0, i378 = 0, i379 = 0, i380 = 0, i381 = 0, i382 = 0, i383 = 0, i384 = 0, i385 = 0, i386 = 0, i387 = 0, i388 = 0, i389 = 0, i390 = 0, i391 = 0, i392 = 0, i393 = 0, i394 = 0, i395 = 0, i396 = 0, i397 = 0, i398 = 0, i399 = 0, i400 = 0, i401 = 0, i402 = 0, i403 = 0, i404 = 0, i405 = 0, i406 = 0, i407 = 0, i408 = 0, i409 = 0, i410 = 0, i411 = 0, i412 = 0, i413 = 0, i414 = 0, i415 = 0, i416 = 0, i417 = 0, i418 = 0, i419 = 0, i420 = 0, i421 = 0, i422 = 0, i423 = 0, i424 = 0, i425 = 0, i426 = 0, i427 = 0, i428 = 0, i429 = 0, i430 = 0, i431 = 0, i432 = 0, i433 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 160 | 0;
 i5 = i4 + 40 | 0;
 i6 = i4 + 24 | 0;
 i7 = i4 + 16 | 0;
 i8 = i4 + 8 | 0;
 i9 = i4;
 i10 = i4 + 144 | 0;
 i11 = i4 + 128 | 0;
 i12 = i4 + 112 | 0;
 i13 = i4 + 96 | 0;
 i14 = i4 + 88 | 0;
 i15 = i4 + 72 | 0;
 i16 = i4 + 56 | 0;
 i17 = get32(i1 | 0) | 0;
 i18 = i2 + 28 | 0;
 i19 = get32(i18 | 0) | 0;
 set32(i13 | 0, get32(i3 | 0) | 0);
 set32(i13 + 4 | 0, get32(i3 + 4 | 0) | 0);
 set32(i13 + 8 | 0, get32(i3 + 8 | 0) | 0);
 set32(i13 + 12 | 0, get32(i3 + 12 | 0) | 0);
 L1 : do if (!(get32(i19 + 24 | 0) | 0)) {
  i20 = i19 + 40 | 0;
  if (get32(i20 | 0) | 0) {
   switch (getU8(i2 + 4 >> 0 | 0) | 0) {
   case 113:
    {
     i21 = 32245;
     break;
    }
   case 115:
    {
     i21 = 32255;
     break;
    }
   case 114:
    {
     i21 = 32265;
     break;
    }
   default:
    i21 = 32272;
   }
   set32(i8 | 0, i21 | 0);
   _sqlite3ErrorMsg(i1, 32118, i8);
   i22 = 0;
   i23 = 1;
   break;
  }
  i24 = i1 + 12 | 0;
  i25 = get32(i24 | 0) | 0;
  do if (!i25) {
   L13 : do if (!i17) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i26 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
     i27 = 51;
     break;
    }
    i28 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
    set32(35 * 4 | 0, 192 | 0);
    if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
    i29 = get32(6 * 4 | 0) | 0;
    do if (i29) {
     i30 = get32(30 * 4 | 0) | 0;
     i31 = ((i30 | 0) < 0) << 31 >> 31;
     i32 = 16;
     i33 = _i64Subtract(get32(i32 | 0) | 0, get32(i32 + 4 | 0) | 0, i28 | 0, ((i28 | 0) < 0) << 31 >> 31 | 0) | 0;
     i32 = tempRet0;
     if ((i31 | 0) < (i32 | 0) | (i31 | 0) == (i32 | 0) & i30 >>> 0 < i33 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i33 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i29 & 15](i33, i30, i31, i28);
      set32(6 * 4 | 0, i29 | 0);
      set32(7 * 4 | 0, i33 | 0);
      break;
     }
    } while (0);
    i29 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i28) | 0;
    if (i29) {
     i33 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i29) | 0;
     i31 = (get32(30 * 4 | 0) | 0) + i33 | 0;
     set32(30 * 4 | 0, i31 | 0);
     if ((i31 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i31 | 0);
     i31 = get32(39 * 4 | 0) | 0;
     i33 = i31 + 1 | 0;
     set32(39 * 4 | 0, i33 | 0);
     if ((i31 | 0) < (get32(49 * 4 | 0) | 0)) i34 = i29; else {
      set32(49 * 4 | 0, i33 | 0);
      i34 = i29;
     }
    } else i27 = 52;
   } else {
    i29 = i17 + 30 | 0;
    if (!(get8(i29 >> 0 | 0) | 0)) {
     do if (get8(i17 + 234 >> 0 | 0) | 0) {
      if ((getU16(i17 + 232 | 0) | 0) < 192) {
       i33 = i17 + 248 | 0;
       set32(i33 | 0, (get32(i33 | 0) | 0) + 1 | 0);
       break;
      }
      i33 = i17 + 256 | 0;
      i31 = get32(i33 | 0) | 0;
      if (!i31) {
       i30 = i17 + 252 | 0;
       set32(i30 | 0, (get32(i30 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i33 | 0, get32(i31 | 0) | 0);
      i33 = i17 + 236 | 0;
      i30 = get32(i33 | 0) | 0;
      i32 = i30 + 1 | 0;
      set32(i33 | 0, i32 | 0);
      i33 = i17 + 244 | 0;
      set32(i33 | 0, (get32(i33 | 0) | 0) + 1 | 0);
      i33 = i17 + 240 | 0;
      if ((i30 | 0) >= (get32(i33 | 0) | 0)) set32(i33 | 0, i32 | 0);
      i26 = i31;
      i27 = 51;
      break L13;
     } while (0);
     if (!(get32(50 * 4 | 0) | 0)) {
      i28 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
      if (i28) {
       i34 = i28;
       break;
      }
     } else {
      i28 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
      set32(35 * 4 | 0, 192 | 0);
      if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
      i31 = get32(6 * 4 | 0) | 0;
      do if (i31) {
       i32 = get32(30 * 4 | 0) | 0;
       i33 = ((i32 | 0) < 0) << 31 >> 31;
       i30 = 16;
       i35 = _i64Subtract(get32(i30 | 0) | 0, get32(i30 + 4 | 0) | 0, i28 | 0, ((i28 | 0) < 0) << 31 >> 31 | 0) | 0;
       i30 = tempRet0;
       if ((i33 | 0) < (i30 | 0) | (i33 | 0) == (i30 | 0) & i32 >>> 0 < i35 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i35 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i31 & 15](i35, i32, i33, i28);
        set32(6 * 4 | 0, i31 | 0);
        set32(7 * 4 | 0, i35 | 0);
        break;
       }
      } while (0);
      i31 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i28) | 0;
      if (i31) {
       i35 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i31) | 0;
       i33 = (get32(30 * 4 | 0) | 0) + i35 | 0;
       set32(30 * 4 | 0, i33 | 0);
       if ((i33 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i33 | 0);
       i33 = get32(39 * 4 | 0) | 0;
       i35 = i33 + 1 | 0;
       set32(39 * 4 | 0, i35 | 0);
       if ((i33 | 0) < (get32(49 * 4 | 0) | 0)) {
        i34 = i31;
        break;
       }
       set32(49 * 4 | 0, i35 | 0);
       i34 = i31;
       break;
      }
     }
     set8(i29 >> 0 | 0, 1 | 0);
     i27 = 52;
    } else i27 = 52;
   } while (0);
   if ((i27 | 0) == 51) if (!i26) i27 = 52; else i34 = i26;
   if ((i27 | 0) == 52) {
    set32(i24 | 0, 0 | 0);
    i36 = 0;
    break;
   }
   _memset(i34 | 0, 0, 192) | 0;
   set32(i34 | 0, i17 | 0);
   i31 = i17 + 136 | 0;
   i35 = get32(i31 | 0) | 0;
   if (i35) set32(i35 + 60 | 0, i34 | 0);
   set32(i34 + 64 | 0, i35 | 0);
   set32(i34 + 60 | 0, 0 | 0);
   set32(i31 | 0, i34 | 0);
   set32(i34 + 52 | 0, 649915045 | 0);
   set32(i24 | 0, i34 | 0);
   i31 = i34 + 28 | 0;
   i35 = i34 + 32 | 0;
   i33 = i34 + 4 | 0;
   i32 = _sqlite3DbRealloc(i17, 0, 1020) | 0;
   if (!i32) i36 = i34; else {
    i30 = get32(i34 | 0) | 0;
    if (((i30 | 0) != 0 ? (get32(i30 + 260 | 0) | 0) >>> 0 <= i32 >>> 0 : 0) ? (get32(i30 + 264 | 0) | 0) >>> 0 > i32 >>> 0 : 0) i37 = getU16(i30 + 232 | 0) | 0; else i37 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i32) | 0;
    set32(i35 | 0, (i37 >>> 0) / 20 | 0 | 0);
    set32(i33 | 0, i32 | 0);
    set32(i31 | 0, (get32(i31 | 0) | 0) + 1 | 0);
    set8(i32 >> 0 | 0, -120 | 0);
    set8(i32 + 1 >> 0 | 0, 0 | 0);
    i38 = i32 + 3 | 0;
    i39 = i38 + 17 | 0;
    do {
     set8(i38 >> 0 | 0, 0 | 0);
     i38 = i38 + 1 | 0;
    } while ((i38 | 0) < (i39 | 0));
    i36 = i34;
   }
  } else i36 = i25; while (0);
  i25 = get8(i13 >> 0 | 0) | 0;
  if (i25 << 24 >> 24 == 9) {
   i32 = get32(i13 + 4 | 0) | 0;
   i31 = get32(get32(i2 | 0) | 0) | 0;
   i33 = i36 + 28 | 0;
   i35 = get32(i33 | 0) | 0;
   i30 = i36 + 32 | 0;
   i40 = get32(i30 | 0) | 0;
   if ((i40 | 0) <= (i35 | 0)) {
    i41 = i36 + 4 | 0;
    i42 = _sqlite3DbRealloc(get32(i36 | 0) | 0, get32(i41 | 0) | 0, (i40 | 0) == 0 ? 1020 : i40 * 40 | 0) | 0;
    if (!i42) i43 = i41; else {
     i40 = get32(i36 | 0) | 0;
     if (((i40 | 0) != 0 ? (get32(i40 + 260 | 0) | 0) >>> 0 <= i42 >>> 0 : 0) ? (get32(i40 + 264 | 0) | 0) >>> 0 > i42 >>> 0 : 0) i44 = getU16(i40 + 232 | 0) | 0; else i44 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i42) | 0;
     set32(i30 | 0, (i44 >>> 0) / 20 | 0 | 0);
     set32(i41 | 0, i42 | 0);
     i45 = i41;
     i46 = get32(i33 | 0) | 0;
     i47 = i42;
     i27 = 73;
    }
   } else {
    i42 = i36 + 4 | 0;
    i45 = i42;
    i46 = i35;
    i47 = get32(i42 | 0) | 0;
    i27 = 73;
   }
   if ((i27 | 0) == 73) {
    set32(i33 | 0, i46 + 1 | 0);
    set8(i47 + (i35 * 20 | 0) >> 0 | 0, 41 | 0);
    set8(i47 + (i35 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i47 + (i35 * 20 | 0) + 4 | 0, i32 | 0);
    set32(i47 + (i35 * 20 | 0) + 8 | 0, i31 | 0);
    set32(i47 + (i35 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i47 + (i35 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i47 + (i35 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i43 = i45;
   }
   i35 = get32(i43 | 0) | 0;
   if (i35) set8(i35 + (((get32(i33 | 0) | 0) + -1 | 0) * 20 | 0) + 3 >> 0 | 0, 16 | 0);
   set8(i13 >> 0 | 0, 8 | 0);
   i48 = i2;
   i49 = 8;
  } else {
   i48 = i2;
   i49 = i25;
  }
  if ((get32(get32(i48 | 0) | 0) | 0) != (get32(get32(i19 | 0) | 0) | 0)) {
   switch (getU8(i2 + 4 >> 0 | 0) | 0) {
   case 113:
    {
     i50 = 32245;
     break;
    }
   case 115:
    {
     i50 = 32255;
     break;
    }
   case 114:
    {
     i50 = 32265;
     break;
    }
   default:
    i50 = 32272;
   }
   set32(i7 | 0, i50 | 0);
   _sqlite3ErrorMsg(i1, 32163, i7);
   i22 = 0;
   i23 = 1;
   break;
  }
  i25 = i2 + 24 | 0;
  if (!(get32(i25 | 0) | 0)) {
   i33 = i2 + 4 | 0;
   L112 : do switch (getU8(i33 >> 0 | 0) | 0) {
   case 113:
    {
     i35 = i2 + 40 | 0;
     set32(i20 | 0, get32(i35 | 0) | 0);
     i31 = i2 + 44 | 0;
     set32(i19 + 44 | 0, get32(i31 | 0) | 0);
     i32 = i1 + 556 | 0;
     i42 = get32(i32 | 0) | 0;
     i41 = _sqlite3Select(i1, i19, i13) | 0;
     set32(i35 | 0, 0 | 0);
     set32(i31 | 0, 0 | 0);
     if (i41) {
      i22 = 0;
      i23 = i41;
      break L1;
     }
     set32(i18 | 0, 0 | 0);
     i41 = get32(i19 + 48 | 0) | 0;
     set32(i2 + 48 | 0, i41 | 0);
     set32(i2 + 52 | 0, get32(i19 + 52 | 0) | 0);
     do if (!i41) i51 = 0; else {
      i31 = i36 + 28 | 0;
      i35 = get32(i31 | 0) | 0;
      i30 = i36 + 32 | 0;
      i40 = get32(i30 | 0) | 0;
      if ((i40 | 0) > (i35 | 0)) {
       i52 = i35;
       i53 = get32(i36 + 4 | 0) | 0;
      } else {
       i54 = i36 + 4 | 0;
       i55 = _sqlite3DbRealloc(get32(i36 | 0) | 0, get32(i54 | 0) | 0, (i40 | 0) == 0 ? 1020 : i40 * 40 | 0) | 0;
       if (!i55) {
        i51 = 1;
        break;
       }
       i40 = get32(i36 | 0) | 0;
       if (((i40 | 0) != 0 ? (get32(i40 + 260 | 0) | 0) >>> 0 <= i55 >>> 0 : 0) ? (get32(i40 + 264 | 0) | 0) >>> 0 > i55 >>> 0 : 0) i56 = getU16(i40 + 232 | 0) | 0; else i56 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i55) | 0;
       set32(i30 | 0, (i56 >>> 0) / 20 | 0 | 0);
       set32(i54 | 0, i55 | 0);
       i52 = get32(i31 | 0) | 0;
       i53 = i55;
      }
      set32(i31 | 0, i52 + 1 | 0);
      set8(i53 + (i35 * 20 | 0) >> 0 | 0, 115 | 0);
      set8(i53 + (i35 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i53 + (i35 * 20 | 0) + 4 | 0, i41 | 0);
      set32(i53 + (i35 * 20 | 0) + 8 | 0, 0 | 0);
      set32(i53 + (i35 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i53 + (i35 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i53 + (i35 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i51 = i35;
     } while (0);
     i41 = get32(i32 | 0) | 0;
     i35 = _sqlite3Select(i1, i2, i13) | 0;
     i31 = get32(i18 | 0) | 0;
     set32(i18 | 0, i19 | 0);
     i55 = i2 + 72 | 0;
     setF64(i55 | 0, +(+getF64(i19 + 72 | 0) + +getF64(i55 | 0)));
     i54 = get32(i20 | 0) | 0;
     if (((i54 | 0) != 0 ? (_sqlite3ExprIsInteger(i54, i14) | 0) != 0 : 0) ? (d57 = +(get32(i14 | 0) | 0), +getF64(i55 | 0) > d57) : 0) setF64(i55 | 0, +d57);
     if ((i51 | 0) != 0 ? (i55 = get32(i36 + 28 | 0) | 0, (i55 | 0) > (i51 | 0)) : 0) {
      set32((get32(i36 + 4 | 0) | 0) + (i51 * 20 | 0) + 8 | 0, i55 | 0);
      i58 = i42;
      i59 = i41;
      i60 = i31;
      i61 = i35;
     } else {
      i58 = i42;
      i59 = i41;
      i60 = i31;
      i61 = i35;
     }
     break;
    }
   case 112:
   case 114:
    {
     if ((i49 << 24 >> 24 == 1 ? (get32(i2 + 40 | 0) | 0) == 0 : 0) ? (get32(i2 + 44 | 0) | 0) == 0 : 0) i62 = get32(i13 + 4 | 0) | 0; else {
      i35 = i1 + 68 | 0;
      i31 = get32(i35 | 0) | 0;
      set32(i35 | 0, i31 + 1 | 0);
      i35 = i36 + 28 | 0;
      i41 = get32(i35 | 0) | 0;
      i55 = i36 + 32 | 0;
      i54 = get32(i55 | 0) | 0;
      if ((i54 | 0) <= (i41 | 0)) {
       i30 = i36 + 4 | 0;
       i40 = _sqlite3DbRealloc(get32(i36 | 0) | 0, get32(i30 | 0) | 0, (i54 | 0) == 0 ? 1020 : i54 * 40 | 0) | 0;
       if (!i40) i63 = 1; else {
        i54 = get32(i36 | 0) | 0;
        if (((i54 | 0) != 0 ? (get32(i54 + 260 | 0) | 0) >>> 0 <= i40 >>> 0 : 0) ? (get32(i54 + 264 | 0) | 0) >>> 0 > i40 >>> 0 : 0) i64 = getU16(i54 + 232 | 0) | 0; else i64 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i40) | 0;
        set32(i55 | 0, (i64 >>> 0) / 20 | 0 | 0);
        set32(i30 | 0, i40 | 0);
        i65 = get32(i35 | 0) | 0;
        i66 = i40;
        i27 = 782;
       }
      } else {
       i65 = i41;
       i66 = get32(i36 + 4 | 0) | 0;
       i27 = 782;
      }
      if ((i27 | 0) == 782) {
       set32(i35 | 0, i65 + 1 | 0);
       set8(i66 + (i41 * 20 | 0) >> 0 | 0, 41 | 0);
       set8(i66 + (i41 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i66 + (i41 * 20 | 0) + 4 | 0, i31 | 0);
       set32(i66 + (i41 * 20 | 0) + 8 | 0, 0 | 0);
       set32(i66 + (i41 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i66 + (i41 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i66 + (i41 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i63 = i41;
      }
      set32(i2 + 56 | 0, i63 | 0);
      i41 = (get32(i2 + 36 | 0) | 0) + 6 | 0;
      set16(i41 | 0, getU16(i41 | 0) | 8 | 0);
      i62 = i31;
     }
     set8(i15 >> 0 | 0, 1 | 0);
     set32(i15 + 4 | 0, i62 | 0);
     set8(i15 + 1 >> 0 | 0, 0 | 0);
     set32(i15 + 8 | 0, 0 | 0);
     set32(i15 + 12 | 0, 0 | 0);
     i31 = i1 + 556 | 0;
     i41 = get32(i31 | 0) | 0;
     i35 = _sqlite3Select(i1, i19, i15) | 0;
     if (i35) {
      i22 = 0;
      i23 = i35;
      break L1;
     }
     i35 = (get8(i33 >> 0 | 0) | 0) == 114 ? 2 : 1;
     set32(i18 | 0, 0 | 0);
     i40 = i2 + 40 | 0;
     i30 = get32(i40 | 0) | 0;
     set32(i40 | 0, 0 | 0);
     i55 = i2 + 44 | 0;
     i54 = get32(i55 | 0) | 0;
     set32(i55 | 0, 0 | 0);
     set8(i15 >> 0 | 0, i35 | 0);
     i35 = get32(i31 | 0) | 0;
     i31 = _sqlite3Select(i1, i2, i15) | 0;
     i67 = get32(i25 | 0) | 0;
     if (i67) {
      i68 = i67 + 12 | 0;
      if ((get32(i67 | 0) | 0) > 0) {
       i69 = 0;
       i70 = get32(i68 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i17, get32(i70 | 0) | 0);
        _sqlite3DbFree(i17, get32(i70 + 4 | 0) | 0);
        _sqlite3DbFree(i17, get32(i70 + 8 | 0) | 0);
        i69 = i69 + 1 | 0;
        if ((i69 | 0) >= (get32(i67 | 0) | 0)) break; else i70 = i70 + 20 | 0;
       }
      }
      _sqlite3DbFree(i17, get32(i68 | 0) | 0);
      _sqlite3DbFree(i17, i67);
     }
     i70 = get32(i18 | 0) | 0;
     set32(i18 | 0, i19 | 0);
     set32(i25 | 0, 0 | 0);
     if ((get8(i33 >> 0 | 0) | 0) == 112) {
      i69 = i2 + 72 | 0;
      setF64(i69 | 0, +(+getF64(i19 + 72 | 0) + +getF64(i69 | 0)));
     }
     _sqlite3ExprDelete(i17, get32(i40 | 0) | 0);
     set32(i40 | 0, i30 | 0);
     set32(i55 | 0, i54 | 0);
     set32(i2 + 48 | 0, 0 | 0);
     set32(i2 + 52 | 0, 0 | 0);
     switch (i49 << 24 >> 24) {
     case 1:
      {
       i58 = i41;
       i59 = i35;
       i60 = i70;
       i61 = i31;
       break L112;
       break;
      }
     case 5:
      {
       i69 = i2;
       while (1) {
        i42 = get32(i69 + 28 | 0) | 0;
        if (!i42) {
         i71 = i69;
         break;
        } else i69 = i42;
       }
       _generateColumnNames(i1, 0, get32(i71 | 0) | 0);
       break;
      }
     default:
      {}
     }
     i69 = i36 + 36 | 0;
     i54 = get32(i69 | 0) | 0;
     set32(i69 | 0, i54 + 1 | 0);
     i55 = i36 + 40 | 0;
     i30 = get32(i55 | 0) | 0;
     if ((i54 | 0) < (i30 | 0)) {
      i72 = i36 + 44 | 0;
      i73 = i30;
     } else {
      i40 = get32(i36 | 0) | 0;
      i67 = i36 + 44 | 0;
      i68 = get32(i67 | 0) | 0;
      i42 = _sqlite3DbRealloc(i40, i68, (i30 << 3) + 20 | 0) | 0;
      if (i42) {
       set32(i67 | 0, i42 | 0);
       i30 = get32(i36 | 0) | 0;
       if (((i30 | 0) != 0 ? (get32(i30 + 260 | 0) | 0) >>> 0 <= i42 >>> 0 : 0) ? (get32(i30 + 264 | 0) | 0) >>> 0 > i42 >>> 0 : 0) i74 = getU16(i30 + 232 | 0) | 0; else i27 = 803;
      } else {
       _sqlite3DbFree(i40, i68);
       set32(i67 | 0, 0 | 0);
       i27 = 803;
      }
      if ((i27 | 0) == 803) i74 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i42) | 0;
      i42 = i74 >>> 2;
      set32(i55 | 0, i42 | 0);
      i72 = i67;
      i73 = i42;
     }
     i42 = get32(i72 | 0) | 0;
     if (!i42) i75 = i73; else {
      set32(i42 + (i54 << 2) | 0, -1 | 0);
      i75 = get32(i55 | 0) | 0;
     }
     i42 = ~i54;
     i67 = get32(i69 | 0) | 0;
     set32(i69 | 0, i67 + 1 | 0);
     if ((i67 | 0) < (i75 | 0)) i76 = i36 + 44 | 0; else {
      i69 = get32(i36 | 0) | 0;
      i68 = i36 + 44 | 0;
      i40 = get32(i68 | 0) | 0;
      i30 = _sqlite3DbRealloc(i69, i40, (i75 << 3) + 20 | 0) | 0;
      do if (i30) {
       set32(i68 | 0, i30 | 0);
       i32 = get32(i36 | 0) | 0;
       if (!i32) i27 = 815; else {
        if ((get32(i32 + 260 | 0) | 0) >>> 0 > i30 >>> 0) {
         i27 = 815;
         break;
        }
        if ((get32(i32 + 264 | 0) | 0) >>> 0 <= i30 >>> 0) {
         i27 = 815;
         break;
        }
        i77 = getU16(i32 + 232 | 0) | 0;
       }
      } else {
       _sqlite3DbFree(i69, i40);
       set32(i68 | 0, 0 | 0);
       i27 = 815;
      } while (0);
      if ((i27 | 0) == 815) i77 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i30) | 0;
      set32(i55 | 0, i77 >>> 2 | 0);
      i76 = i68;
     }
     i40 = get32(i76 | 0) | 0;
     if (i40) set32(i40 + (i67 << 2) | 0, -1 | 0);
     i40 = ~i67;
     _computeLimitRegisters(i1, i2, i42);
     i69 = i36 + 28 | 0;
     i32 = get32(i69 | 0) | 0;
     i78 = i36 + 32 | 0;
     i79 = get32(i78 | 0) | 0;
     do if ((i79 | 0) > (i32 | 0)) {
      i80 = i32;
      i81 = get32(i36 + 4 | 0) | 0;
      i27 = 829;
     } else {
      i82 = i36 + 4 | 0;
      i83 = _sqlite3DbRealloc(get32(i36 | 0) | 0, get32(i82 | 0) | 0, (i79 | 0) == 0 ? 1020 : i79 * 40 | 0) | 0;
      if (!i83) {
       i84 = get32(i69 | 0) | 0;
       break;
      }
      i85 = get32(i36 | 0) | 0;
      do if (!i85) i27 = 827; else {
       if ((get32(i85 + 260 | 0) | 0) >>> 0 > i83 >>> 0) {
        i27 = 827;
        break;
       }
       if ((get32(i85 + 264 | 0) | 0) >>> 0 <= i83 >>> 0) {
        i27 = 827;
        break;
       }
       i86 = getU16(i85 + 232 | 0) | 0;
      } while (0);
      if ((i27 | 0) == 827) i86 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i83) | 0;
      set32(i78 | 0, (i86 >>> 0) / 20 | 0 | 0);
      set32(i82 | 0, i83 | 0);
      i80 = get32(i69 | 0) | 0;
      i81 = i83;
      i27 = 829;
     } while (0);
     if ((i27 | 0) == 829) {
      i79 = i80 + 1 | 0;
      set32(i69 | 0, i79 | 0);
      set8(i81 + (i32 * 20 | 0) >> 0 | 0, 65 | 0);
      set8(i81 + (i32 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i81 + (i32 * 20 | 0) + 4 | 0, i62 | 0);
      set32(i81 + (i32 * 20 | 0) + 8 | 0, i42 | 0);
      set32(i81 + (i32 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i81 + (i32 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i81 + (i32 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i84 = i79;
     }
     i79 = get32(i48 | 0) | 0;
     _selectInnerLoop(i1, i2, i79, i62, get32(i79 | 0) | 0, 0, -1, i13, i40, i42);
     i79 = i36 + 44 | 0;
     i68 = get32(i79 | 0) | 0;
     if (i68) set32(i68 + (i67 << 2) | 0, get32(i69 | 0) | 0);
     i68 = get32(i69 | 0) | 0;
     i55 = get32(i78 | 0) | 0;
     do if ((i55 | 0) > (i68 | 0)) {
      i87 = i68;
      i88 = get32(i36 + 4 | 0) | 0;
      i27 = 841;
     } else {
      i30 = i36 + 4 | 0;
      i85 = _sqlite3DbRealloc(get32(i36 | 0) | 0, get32(i30 | 0) | 0, (i55 | 0) == 0 ? 1020 : i55 * 40 | 0) | 0;
      if (!i85) break;
      i29 = get32(i36 | 0) | 0;
      do if (!i29) i27 = 839; else {
       if ((get32(i29 + 260 | 0) | 0) >>> 0 > i85 >>> 0) {
        i27 = 839;
        break;
       }
       if ((get32(i29 + 264 | 0) | 0) >>> 0 <= i85 >>> 0) {
        i27 = 839;
        break;
       }
       i89 = getU16(i29 + 232 | 0) | 0;
      } while (0);
      if ((i27 | 0) == 839) i89 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i85) | 0;
      set32(i78 | 0, (i89 >>> 0) / 20 | 0 | 0);
      set32(i30 | 0, i85 | 0);
      i87 = get32(i69 | 0) | 0;
      i88 = i85;
      i27 = 841;
     } while (0);
     if ((i27 | 0) == 841) {
      set32(i69 | 0, i87 + 1 | 0);
      set8(i88 + (i68 * 20 | 0) >> 0 | 0, 67 | 0);
      set8(i88 + (i68 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i88 + (i68 * 20 | 0) + 4 | 0, i62 | 0);
      set32(i88 + (i68 * 20 | 0) + 8 | 0, i84 | 0);
      set32(i88 + (i68 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i88 + (i68 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i88 + (i68 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     }
     i55 = get32(i79 | 0) | 0;
     if (i55) set32(i55 + (i54 << 2) | 0, get32(i69 | 0) | 0);
     i55 = get32(i69 | 0) | 0;
     i67 = get32(i78 | 0) | 0;
     if ((i67 | 0) > (i55 | 0)) {
      i90 = i55;
      i91 = get32(i36 + 4 | 0) | 0;
     } else {
      i42 = i36 + 4 | 0;
      i40 = _sqlite3DbRealloc(get32(i36 | 0) | 0, get32(i42 | 0) | 0, (i67 | 0) == 0 ? 1020 : i67 * 40 | 0) | 0;
      if (!i40) {
       i58 = i41;
       i59 = i35;
       i60 = i70;
       i61 = i31;
       break L112;
      }
      i67 = get32(i36 | 0) | 0;
      do if (!i67) i27 = 851; else {
       if ((get32(i67 + 260 | 0) | 0) >>> 0 > i40 >>> 0) {
        i27 = 851;
        break;
       }
       if ((get32(i67 + 264 | 0) | 0) >>> 0 <= i40 >>> 0) {
        i27 = 851;
        break;
       }
       i92 = getU16(i67 + 232 | 0) | 0;
      } while (0);
      if ((i27 | 0) == 851) i92 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i40) | 0;
      set32(i78 | 0, (i92 >>> 0) / 20 | 0 | 0);
      set32(i42 | 0, i40 | 0);
      i90 = get32(i69 | 0) | 0;
      i91 = i40;
     }
     set32(i69 | 0, i90 + 1 | 0);
     set8(i91 + (i55 * 20 | 0) >> 0 | 0, 43 | 0);
     set8(i91 + (i55 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i91 + (i55 * 20 | 0) + 4 | 0, i62 | 0);
     set32(i91 + (i55 * 20 | 0) + 8 | 0, 0 | 0);
     set32(i91 + (i55 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i91 + (i55 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i91 + (i55 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i58 = i41;
     i59 = i35;
     i60 = i70;
     i61 = i31;
     break;
    }
   default:
    {
     i67 = i1 + 68 | 0;
     i54 = get32(i67 | 0) | 0;
     i79 = i54 + 1 | 0;
     set32(i67 | 0, i54 + 2 | 0);
     i67 = i36 + 28 | 0;
     i68 = get32(i67 | 0) | 0;
     i32 = i36 + 32 | 0;
     i29 = get32(i32 | 0) | 0;
     if ((i29 | 0) <= (i68 | 0)) {
      i83 = i36 + 4 | 0;
      i82 = _sqlite3DbRealloc(get32(i36 | 0) | 0, get32(i83 | 0) | 0, (i29 | 0) == 0 ? 1020 : i29 * 40 | 0) | 0;
      if (!i82) i93 = 1; else {
       i29 = get32(i36 | 0) | 0;
       if (((i29 | 0) != 0 ? (get32(i29 + 260 | 0) | 0) >>> 0 <= i82 >>> 0 : 0) ? (get32(i29 + 264 | 0) | 0) >>> 0 > i82 >>> 0 : 0) i94 = getU16(i29 + 232 | 0) | 0; else i94 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i82) | 0;
       set32(i32 | 0, (i94 >>> 0) / 20 | 0 | 0);
       set32(i83 | 0, i82 | 0);
       i95 = get32(i67 | 0) | 0;
       i96 = i82;
       i27 = 863;
      }
     } else {
      i95 = i68;
      i96 = get32(i36 + 4 | 0) | 0;
      i27 = 863;
     }
     if ((i27 | 0) == 863) {
      set32(i67 | 0, i95 + 1 | 0);
      set8(i96 + (i68 * 20 | 0) >> 0 | 0, 41 | 0);
      set8(i96 + (i68 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i96 + (i68 * 20 | 0) + 4 | 0, i54 | 0);
      set32(i96 + (i68 * 20 | 0) + 8 | 0, 0 | 0);
      set32(i96 + (i68 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i96 + (i68 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i96 + (i68 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i93 = i68;
     }
     set32(i2 + 56 | 0, i93 | 0);
     i68 = (get32(i2 + 36 | 0) | 0) + 6 | 0;
     set16(i68 | 0, getU16(i68 | 0) | 8 | 0);
     set8(i16 >> 0 | 0, 1 | 0);
     i68 = i16 + 4 | 0;
     set32(i68 | 0, i54 | 0);
     set8(i16 + 1 >> 0 | 0, 0 | 0);
     set32(i16 + 8 | 0, 0 | 0);
     set32(i16 + 12 | 0, 0 | 0);
     i82 = i1 + 556 | 0;
     i83 = get32(i82 | 0) | 0;
     i29 = _sqlite3Select(i1, i19, i16) | 0;
     if (i29) {
      i22 = 0;
      i23 = i29;
      break L1;
     }
     i29 = get32(i67 | 0) | 0;
     i28 = get32(i32 | 0) | 0;
     if ((i28 | 0) <= (i29 | 0)) {
      i97 = i36 + 4 | 0;
      i98 = _sqlite3DbRealloc(get32(i36 | 0) | 0, get32(i97 | 0) | 0, (i28 | 0) == 0 ? 1020 : i28 * 40 | 0) | 0;
      if (!i98) i99 = 1; else {
       i28 = get32(i36 | 0) | 0;
       if (((i28 | 0) != 0 ? (get32(i28 + 260 | 0) | 0) >>> 0 <= i98 >>> 0 : 0) ? (get32(i28 + 264 | 0) | 0) >>> 0 > i98 >>> 0 : 0) i100 = getU16(i28 + 232 | 0) | 0; else i100 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i98) | 0;
       set32(i32 | 0, (i100 >>> 0) / 20 | 0 | 0);
       set32(i97 | 0, i98 | 0);
       i101 = get32(i67 | 0) | 0;
       i102 = i98;
       i27 = 874;
      }
     } else {
      i101 = i29;
      i102 = get32(i36 + 4 | 0) | 0;
      i27 = 874;
     }
     if ((i27 | 0) == 874) {
      set32(i67 | 0, i101 + 1 | 0);
      set8(i102 + (i29 * 20 | 0) >> 0 | 0, 41 | 0);
      set8(i102 + (i29 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i102 + (i29 * 20 | 0) + 4 | 0, i79 | 0);
      set32(i102 + (i29 * 20 | 0) + 8 | 0, 0 | 0);
      set32(i102 + (i29 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i102 + (i29 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i102 + (i29 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i99 = i29;
     }
     set32(i2 + 60 | 0, i99 | 0);
     set32(i18 | 0, 0 | 0);
     i29 = i2 + 40 | 0;
     i98 = get32(i29 | 0) | 0;
     set32(i29 | 0, 0 | 0);
     i97 = i2 + 44 | 0;
     i28 = get32(i97 | 0) | 0;
     set32(i97 | 0, 0 | 0);
     set32(i68 | 0, i79 | 0);
     i68 = get32(i82 | 0) | 0;
     i82 = _sqlite3Select(i1, i2, i16) | 0;
     i103 = get32(i18 | 0) | 0;
     set32(i18 | 0, i19 | 0);
     i104 = i2 + 72 | 0;
     d57 = +getF64(i19 + 72 | 0);
     if (+getF64(i104 | 0) > d57) setF64(i104 | 0, +d57);
     _sqlite3ExprDelete(i17, get32(i29 | 0) | 0);
     set32(i29 | 0, i98 | 0);
     set32(i97 | 0, i28 | 0);
     if (i49 << 24 >> 24 == 5) {
      i28 = i2;
      while (1) {
       i97 = get32(i28 + 28 | 0) | 0;
       if (!i97) {
        i105 = i28;
        break;
       } else i28 = i97;
      }
      _generateColumnNames(i1, 0, get32(i105 | 0) | 0);
     }
     i28 = i36 + 36 | 0;
     i31 = get32(i28 | 0) | 0;
     set32(i28 | 0, i31 + 1 | 0);
     i70 = i36 + 40 | 0;
     i35 = get32(i70 | 0) | 0;
     if ((i31 | 0) < (i35 | 0)) {
      i106 = i36 + 44 | 0;
      i107 = i35;
     } else {
      i41 = get32(i36 | 0) | 0;
      i55 = i36 + 44 | 0;
      i69 = get32(i55 | 0) | 0;
      i40 = _sqlite3DbRealloc(i41, i69, (i35 << 3) + 20 | 0) | 0;
      do if (i40) {
       set32(i55 | 0, i40 | 0);
       i35 = get32(i36 | 0) | 0;
       if ((i35 | 0) != 0 ? (get32(i35 + 260 | 0) | 0) >>> 0 <= i40 >>> 0 : 0) {
        if ((get32(i35 + 264 | 0) | 0) >>> 0 <= i40 >>> 0) {
         i27 = 888;
         break;
        }
        i108 = getU16(i35 + 232 | 0) | 0;
       } else i27 = 888;
      } else {
       _sqlite3DbFree(i41, i69);
       set32(i55 | 0, 0 | 0);
       i27 = 888;
      } while (0);
      if ((i27 | 0) == 888) i108 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i40) | 0;
      i69 = i108 >>> 2;
      set32(i70 | 0, i69 | 0);
      i106 = i55;
      i107 = i69;
     }
     i69 = get32(i106 | 0) | 0;
     if (!i69) i109 = i107; else {
      set32(i69 + (i31 << 2) | 0, -1 | 0);
      i109 = get32(i70 | 0) | 0;
     }
     i69 = ~i31;
     i41 = get32(i28 | 0) | 0;
     set32(i28 | 0, i41 + 1 | 0);
     if ((i41 | 0) < (i109 | 0)) i110 = i36 + 44 | 0; else {
      i35 = get32(i36 | 0) | 0;
      i42 = i36 + 44 | 0;
      i78 = get32(i42 | 0) | 0;
      i97 = _sqlite3DbRealloc(i35, i78, (i109 << 3) + 20 | 0) | 0;
      do if (!i97) {
       _sqlite3DbFree(i35, i78);
       set32(i42 | 0, 0 | 0);
       i27 = 900;
      } else {
       set32(i42 | 0, i97 | 0);
       i98 = get32(i36 | 0) | 0;
       if (!i98) {
        i27 = 900;
        break;
       }
       if ((get32(i98 + 260 | 0) | 0) >>> 0 > i97 >>> 0) {
        i27 = 900;
        break;
       }
       if ((get32(i98 + 264 | 0) | 0) >>> 0 <= i97 >>> 0) {
        i27 = 900;
        break;
       }
       i111 = getU16(i98 + 232 | 0) | 0;
      } while (0);
      if ((i27 | 0) == 900) i111 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i97) | 0;
      set32(i70 | 0, i111 >>> 2 | 0);
      i110 = i42;
     }
     i78 = get32(i110 | 0) | 0;
     if (i78) set32(i78 + (i41 << 2) | 0, -1 | 0);
     i78 = ~i41;
     _computeLimitRegisters(i1, i2, i69);
     i35 = get32(i67 | 0) | 0;
     i28 = get32(i32 | 0) | 0;
     do if ((i28 | 0) > (i35 | 0)) {
      i112 = i35;
      i113 = get32(i36 + 4 | 0) | 0;
      i27 = 913;
     } else {
      i55 = i36 + 4 | 0;
      i40 = _sqlite3DbRealloc(get32(i36 | 0) | 0, get32(i55 | 0) | 0, (i28 | 0) == 0 ? 1020 : i28 * 40 | 0) | 0;
      if (!i40) break;
      i98 = get32(i36 | 0) | 0;
      do if (!i98) i27 = 911; else {
       if ((get32(i98 + 260 | 0) | 0) >>> 0 > i40 >>> 0) {
        i27 = 911;
        break;
       }
       if ((get32(i98 + 264 | 0) | 0) >>> 0 <= i40 >>> 0) {
        i27 = 911;
        break;
       }
       i114 = getU16(i98 + 232 | 0) | 0;
      } while (0);
      if ((i27 | 0) == 911) i114 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i40) | 0;
      set32(i32 | 0, (i114 >>> 0) / 20 | 0 | 0);
      set32(i55 | 0, i40 | 0);
      i112 = get32(i67 | 0) | 0;
      i113 = i40;
      i27 = 913;
     } while (0);
     if ((i27 | 0) == 913) {
      set32(i67 | 0, i112 + 1 | 0);
      set8(i113 + (i35 * 20 | 0) >> 0 | 0, 65 | 0);
      set8(i113 + (i35 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i113 + (i35 * 20 | 0) + 4 | 0, i54 | 0);
      set32(i113 + (i35 * 20 | 0) + 8 | 0, i69 | 0);
      set32(i113 + (i35 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i113 + (i35 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i113 + (i35 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     }
     i28 = i1 + 21 | 0;
     i42 = get8(i28 >> 0 | 0) | 0;
     if (!(i42 << 24 >> 24)) {
      i70 = i1 + 72 | 0;
      i97 = (get32(i70 | 0) | 0) + 1 | 0;
      set32(i70 | 0, i97 | 0);
      i115 = i97;
     } else {
      i97 = i42 + -1 << 24 >> 24;
      set8(i28 >> 0 | 0, i97 | 0);
      i115 = get32(i1 + 24 + ((i97 & 255) << 2) | 0) | 0;
     }
     i97 = get32(i67 | 0) | 0;
     i42 = get32(i32 | 0) | 0;
     do if ((i42 | 0) > (i97 | 0)) {
      i116 = i97;
      i117 = get32(i36 + 4 | 0) | 0;
      i118 = i42;
      i27 = 927;
     } else {
      i70 = i36 + 4 | 0;
      i98 = _sqlite3DbRealloc(get32(i36 | 0) | 0, get32(i70 | 0) | 0, (i42 | 0) == 0 ? 1020 : i42 * 40 | 0) | 0;
      if (!i98) {
       i119 = 1;
       i120 = get32(i32 | 0) | 0;
       i121 = get32(i67 | 0) | 0;
       break;
      }
      i85 = get32(i36 | 0) | 0;
      do if (!i85) i27 = 925; else {
       if ((get32(i85 + 260 | 0) | 0) >>> 0 > i98 >>> 0) {
        i27 = 925;
        break;
       }
       if ((get32(i85 + 264 | 0) | 0) >>> 0 <= i98 >>> 0) {
        i27 = 925;
        break;
       }
       i122 = getU16(i85 + 232 | 0) | 0;
      } while (0);
      if ((i27 | 0) == 925) i122 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i98) | 0;
      i85 = (i122 >>> 0) / 20 | 0;
      set32(i32 | 0, i85 | 0);
      set32(i70 | 0, i98 | 0);
      i116 = get32(i67 | 0) | 0;
      i117 = i98;
      i118 = i85;
      i27 = 927;
     } while (0);
     if ((i27 | 0) == 927) {
      i42 = i116 + 1 | 0;
      set32(i67 | 0, i42 | 0);
      set8(i117 + (i97 * 20 | 0) >> 0 | 0, 59 | 0);
      set8(i117 + (i97 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i117 + (i97 * 20 | 0) + 4 | 0, i54 | 0);
      set32(i117 + (i97 * 20 | 0) + 8 | 0, i115 | 0);
      set32(i117 + (i97 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i117 + (i97 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i117 + (i97 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i119 = i97;
      i120 = i118;
      i121 = i42;
     }
     do if ((i120 | 0) > (i121 | 0)) {
      i42 = i36 + 4 | 0;
      i123 = i42;
      i124 = i36;
      i125 = i121;
      i126 = get32(i42 | 0) | 0;
      i27 = 937;
     } else {
      i42 = i36 + 4 | 0;
      i35 = _sqlite3DbRealloc(get32(i36 | 0) | 0, get32(i42 | 0) | 0, (i120 | 0) == 0 ? 1020 : i120 * 40 | 0) | 0;
      if (!i35) {
       i127 = 1;
       i128 = i36;
       i129 = i42;
       break;
      }
      i85 = get32(i36 | 0) | 0;
      do if (!i85) i27 = 935; else {
       if ((get32(i85 + 260 | 0) | 0) >>> 0 > i35 >>> 0) {
        i27 = 935;
        break;
       }
       if ((get32(i85 + 264 | 0) | 0) >>> 0 <= i35 >>> 0) {
        i27 = 935;
        break;
       }
       i130 = getU16(i85 + 232 | 0) | 0;
      } while (0);
      if ((i27 | 0) == 935) i130 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i35) | 0;
      set32(i32 | 0, (i130 >>> 0) / 20 | 0 | 0);
      set32(i42 | 0, i35 | 0);
      i123 = i42;
      i124 = i36;
      i125 = get32(i67 | 0) | 0;
      i126 = i35;
      i27 = 937;
     } while (0);
     if ((i27 | 0) == 937) {
      set32(i67 | 0, i125 + 1 | 0);
      set8(i126 + (i121 * 20 | 0) >> 0 | 0, 49 | 0);
      set8(i126 + (i121 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i126 + (i121 * 20 | 0) + 4 | 0, i79 | 0);
      set32(i126 + (i121 * 20 | 0) + 8 | 0, i78 | 0);
      set32(i126 + (i121 * 20 | 0) + 12 | 0, i115 | 0);
      set32(i126 + (i121 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i126 + (i121 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i127 = i121;
      i128 = i124;
      i129 = i123;
     }
     i97 = get32(i128 | 0) | 0;
     i85 = get32(i129 | 0) | 0;
     do if (i85) {
      if (get8(i97 + 30 >> 0 | 0) | 0) break;
      if ((i127 | 0) < 0) i131 = (get32(i67 | 0) | 0) + -1 | 0; else i131 = i127;
      i98 = i85 + (i131 * 20 | 0) + 1 | 0;
      i70 = i85 + (i131 * 20 | 0) + 16 | 0;
      _freeP4(i97, get8(i98 >> 0 | 0) | 0, get32(i70 | 0) | 0);
      set32(i70 | 0, 0 | 0);
      set8(i98 >> 0 | 0, -14 | 0);
     } while (0);
     L238 : do if (i115) {
      i97 = get8(i28 >> 0 | 0) | 0;
      if ((i97 & 255) >= 8) break;
      do if ((get32(i1 + 112 | 0) | 0) == (i115 | 0)) i132 = i1 + 96 | 0; else {
       if ((get32(i1 + 136 | 0) | 0) == (i115 | 0)) {
        i132 = i1 + 120 | 0;
        break;
       }
       if ((get32(i1 + 160 | 0) | 0) == (i115 | 0)) {
        i132 = i1 + 144 | 0;
        break;
       }
       if ((get32(i1 + 184 | 0) | 0) == (i115 | 0)) {
        i132 = i1 + 168 | 0;
        break;
       }
       if ((get32(i1 + 208 | 0) | 0) == (i115 | 0)) {
        i132 = i1 + 192 | 0;
        break;
       }
       if ((get32(i1 + 232 | 0) | 0) == (i115 | 0)) {
        i132 = i1 + 216 | 0;
        break;
       }
       if ((get32(i1 + 256 | 0) | 0) == (i115 | 0)) {
        i132 = i1 + 240 | 0;
        break;
       }
       if ((get32(i1 + 280 | 0) | 0) == (i115 | 0)) {
        i132 = i1 + 264 | 0;
        break;
       }
       if ((get32(i1 + 304 | 0) | 0) == (i115 | 0)) {
        i132 = i1 + 288 | 0;
        break;
       }
       if ((get32(i1 + 328 | 0) | 0) == (i115 | 0)) {
        i132 = i1 + 312 | 0;
        break;
       }
       set8(i28 >> 0 | 0, i97 + 1 << 24 >> 24 | 0);
       set32(i1 + 24 + ((i97 & 255) << 2) | 0, i115 | 0);
       break L238;
      } while (0);
      set8(i132 + 8 >> 0 | 0, 1 | 0);
     } while (0);
     i28 = get32(i48 | 0) | 0;
     _selectInnerLoop(i1, i2, i28, i54, get32(i28 | 0) | 0, 0, -1, i13, i78, i69);
     i28 = i36 + 44 | 0;
     i97 = get32(i28 | 0) | 0;
     if (i97) set32(i97 + (i41 << 2) | 0, get32(i67 | 0) | 0);
     i97 = get32(i67 | 0) | 0;
     i35 = get32(i32 | 0) | 0;
     do if ((i35 | 0) > (i97 | 0)) {
      i133 = i97;
      i134 = get32(i129 | 0) | 0;
      i27 = 968;
     } else {
      i42 = _sqlite3DbRealloc(get32(i128 | 0) | 0, get32(i129 | 0) | 0, (i35 | 0) == 0 ? 1020 : i35 * 40 | 0) | 0;
      if (!i42) break;
      i85 = get32(i128 | 0) | 0;
      do if (!i85) i27 = 966; else {
       if ((get32(i85 + 260 | 0) | 0) >>> 0 > i42 >>> 0) {
        i27 = 966;
        break;
       }
       if ((get32(i85 + 264 | 0) | 0) >>> 0 <= i42 >>> 0) {
        i27 = 966;
        break;
       }
       i135 = getU16(i85 + 232 | 0) | 0;
      } while (0);
      if ((i27 | 0) == 966) i135 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i42) | 0;
      set32(i32 | 0, (i135 >>> 0) / 20 | 0 | 0);
      set32(i129 | 0, i42 | 0);
      i133 = get32(i67 | 0) | 0;
      i134 = i42;
      i27 = 968;
     } while (0);
     if ((i27 | 0) == 968) {
      set32(i67 | 0, i133 + 1 | 0);
      set8(i134 + (i97 * 20 | 0) >> 0 | 0, 67 | 0);
      set8(i134 + (i97 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i134 + (i97 * 20 | 0) + 4 | 0, i54 | 0);
      set32(i134 + (i97 * 20 | 0) + 8 | 0, i119 | 0);
      set32(i134 + (i97 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i134 + (i97 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i134 + (i97 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     }
     i35 = get32(i28 | 0) | 0;
     if (i35) set32(i35 + (i31 << 2) | 0, get32(i67 | 0) | 0);
     i35 = get32(i67 | 0) | 0;
     i41 = get32(i32 | 0) | 0;
     do if ((i41 | 0) > (i35 | 0)) {
      i136 = i35;
      i137 = get32(i129 | 0) | 0;
      i138 = i41;
      i27 = 981;
     } else {
      i69 = _sqlite3DbRealloc(get32(i128 | 0) | 0, get32(i129 | 0) | 0, (i41 | 0) == 0 ? 1020 : i41 * 40 | 0) | 0;
      if (!i69) {
       i139 = get32(i32 | 0) | 0;
       i140 = get32(i67 | 0) | 0;
       break;
      }
      i78 = get32(i128 | 0) | 0;
      do if (!i78) i27 = 979; else {
       if ((get32(i78 + 260 | 0) | 0) >>> 0 > i69 >>> 0) {
        i27 = 979;
        break;
       }
       if ((get32(i78 + 264 | 0) | 0) >>> 0 <= i69 >>> 0) {
        i27 = 979;
        break;
       }
       i141 = getU16(i78 + 232 | 0) | 0;
      } while (0);
      if ((i27 | 0) == 979) i141 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i69) | 0;
      i78 = (i141 >>> 0) / 20 | 0;
      set32(i32 | 0, i78 | 0);
      set32(i129 | 0, i69 | 0);
      i136 = get32(i67 | 0) | 0;
      i137 = i69;
      i138 = i78;
      i27 = 981;
     } while (0);
     if ((i27 | 0) == 981) {
      i41 = i136 + 1 | 0;
      set32(i67 | 0, i41 | 0);
      set8(i137 + (i35 * 20 | 0) >> 0 | 0, 43 | 0);
      set8(i137 + (i35 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i137 + (i35 * 20 | 0) + 4 | 0, i79 | 0);
      set32(i137 + (i35 * 20 | 0) + 8 | 0, 0 | 0);
      set32(i137 + (i35 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i137 + (i35 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i137 + (i35 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i139 = i138;
      i140 = i41;
     }
     if ((i139 | 0) > (i140 | 0)) {
      i142 = i140;
      i143 = get32(i129 | 0) | 0;
     } else {
      i41 = _sqlite3DbRealloc(get32(i128 | 0) | 0, get32(i129 | 0) | 0, (i139 | 0) == 0 ? 1020 : i139 * 40 | 0) | 0;
      if (!i41) {
       i58 = i83;
       i59 = i68;
       i60 = i103;
       i61 = i82;
       break L112;
      }
      i31 = get32(i128 | 0) | 0;
      do if (!i31) i27 = 989; else {
       if ((get32(i31 + 260 | 0) | 0) >>> 0 > i41 >>> 0) {
        i27 = 989;
        break;
       }
       if ((get32(i31 + 264 | 0) | 0) >>> 0 <= i41 >>> 0) {
        i27 = 989;
        break;
       }
       i144 = getU16(i31 + 232 | 0) | 0;
      } while (0);
      if ((i27 | 0) == 989) i144 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i41) | 0;
      set32(i32 | 0, (i144 >>> 0) / 20 | 0 | 0);
      set32(i129 | 0, i41 | 0);
      i142 = get32(i67 | 0) | 0;
      i143 = i41;
     }
     set32(i67 | 0, i142 + 1 | 0);
     set8(i143 + (i140 * 20 | 0) >> 0 | 0, 43 | 0);
     set8(i143 + (i140 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i143 + (i140 * 20 | 0) + 4 | 0, i54 | 0);
     set32(i143 + (i140 * 20 | 0) + 8 | 0, 0 | 0);
     set32(i143 + (i140 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i143 + (i140 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i143 + (i140 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i58 = i83;
     i59 = i68;
     i60 = i103;
     i61 = i82;
    }
   } while (0);
   i20 = get8(i33 >> 0 | 0) | 0;
   do if ((get8(i1 + 484 >> 0 | 0) | 0) == 2) {
    i31 = get32(i24 | 0) | 0;
    i35 = get32(i1 | 0) | 0;
    i79 = i20 << 24 >> 24 != 113 ? 32315 : 16820;
    switch (i20 & 255 | 0) {
    case 113:
     {
      i145 = 32245;
      break;
     }
    case 115:
     {
      i145 = 32255;
      break;
     }
    case 114:
     {
      i145 = 32265;
      break;
     }
    default:
     i145 = 32272;
    }
    set32(i5 | 0, i58 | 0);
    set32(i5 + 4 | 0, i59 | 0);
    set32(i5 + 8 | 0, i79 | 0);
    set32(i5 + 12 | 0, i145 | 0);
    i79 = _sqlite3MPrintf(i35, 32278, i5) | 0;
    i35 = get32(i1 + 552 | 0) | 0;
    i28 = i31 + 28 | 0;
    i97 = get32(i28 | 0) | 0;
    i78 = i31 + 32 | 0;
    i42 = get32(i78 | 0) | 0;
    if ((i42 | 0) <= (i97 | 0)) {
     i85 = i31 + 4 | 0;
     i98 = _sqlite3DbRealloc(get32(i31 | 0) | 0, get32(i85 | 0) | 0, (i42 | 0) == 0 ? 1020 : i42 * 40 | 0) | 0;
     if (!i98) {
      i146 = 1;
      i147 = i31;
      i148 = i85;
     } else {
      i42 = get32(i31 | 0) | 0;
      if (((i42 | 0) != 0 ? (get32(i42 + 260 | 0) | 0) >>> 0 <= i98 >>> 0 : 0) ? (get32(i42 + 264 | 0) | 0) >>> 0 > i98 >>> 0 : 0) i149 = getU16(i42 + 232 | 0) | 0; else i149 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i98) | 0;
      set32(i78 | 0, (i149 >>> 0) / 20 | 0 | 0);
      set32(i85 | 0, i98 | 0);
      i150 = i85;
      i151 = i31;
      i152 = get32(i28 | 0) | 0;
      i153 = i98;
      i27 = 1006;
     }
    } else {
     i98 = i31 + 4 | 0;
     i150 = i98;
     i151 = i31;
     i152 = i97;
     i153 = get32(i98 | 0) | 0;
     i27 = 1006;
    }
    if ((i27 | 0) == 1006) {
     set32(i28 | 0, i152 + 1 | 0);
     set8(i153 + (i97 * 20 | 0) >> 0 | 0, -118 | 0);
     set8(i153 + (i97 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i153 + (i97 * 20 | 0) + 4 | 0, i35 | 0);
     set32(i153 + (i97 * 20 | 0) + 8 | 0, 0 | 0);
     set32(i153 + (i97 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i153 + (i97 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i153 + (i97 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i146 = i97;
     i147 = i151;
     i148 = i150;
    }
    i97 = get32(i147 | 0) | 0;
    i35 = get32(i148 | 0) | 0;
    if ((i35 | 0) != 0 ? (get8(i97 + 30 >> 0 | 0) | 0) == 0 : 0) {
     if ((i146 | 0) < 0) i154 = (get32(i28 | 0) | 0) + -1 | 0; else i154 = i146;
     i28 = i35 + (i154 * 20 | 0) + 1 | 0;
     i98 = i35 + (i154 * 20 | 0) + 16 | 0;
     _freeP4(i97, get8(i28 >> 0 | 0) | 0, get32(i98 | 0) | 0);
     set32(i98 | 0, 0 | 0);
     if (!i79) {
      set32(i98 | 0, 0 | 0);
      set8(i28 >> 0 | 0, 0 | 0);
      break;
     } else {
      set32(i98 | 0, i79 | 0);
      set8(i28 >> 0 | 0, -1 | 0);
      break;
     }
    }
    if (i79) _sqlite3DbFree(i97, i79);
   } while (0);
   if (!(get16(i2 + 6 | 0) & 8)) {
    i22 = i60;
    i23 = i61;
    break;
   }
   i20 = get32(get32(i48 | 0) | 0) | 0;
   i33 = i20 * 5 | 0;
   i79 = i33 + 16 | 0;
   L480 : do if (!i17) {
    if ((i33 + 15 | 0) >>> 0 > 2147483390) {
     i22 = i60;
     i23 = 7;
     break L1;
    }
    if (!(get32(50 * 4 | 0) | 0)) {
     i155 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i79) | 0;
     i27 = 1056;
     break;
    }
    i97 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i79) | 0;
    set32(35 * 4 | 0, i79 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i79 | 0)) set32(45 * 4 | 0, i79 | 0);
    i28 = get32(6 * 4 | 0) | 0;
    do if (i28) {
     i98 = get32(30 * 4 | 0) | 0;
     i35 = ((i98 | 0) < 0) << 31 >> 31;
     i31 = 16;
     i85 = _i64Subtract(get32(i31 | 0) | 0, get32(i31 + 4 | 0) | 0, i97 | 0, ((i97 | 0) < 0) << 31 >> 31 | 0) | 0;
     i31 = tempRet0;
     if ((i35 | 0) < (i31 | 0) | (i35 | 0) == (i31 | 0) & i98 >>> 0 < i85 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i85 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i28 & 15](i85, i98, i35, i97);
      set32(6 * 4 | 0, i28 | 0);
      set32(7 * 4 | 0, i85 | 0);
      break;
     }
    } while (0);
    i28 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i97) | 0;
    if (!i28) {
     i22 = i60;
     i23 = 7;
     break L1;
    }
    i82 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i28) | 0;
    i103 = (get32(30 * 4 | 0) | 0) + i82 | 0;
    set32(30 * 4 | 0, i103 | 0);
    if ((i103 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i103 | 0);
    i103 = get32(39 * 4 | 0) | 0;
    i82 = i103 + 1 | 0;
    set32(39 * 4 | 0, i82 | 0);
    if ((i103 | 0) < (get32(49 * 4 | 0) | 0)) i156 = i28; else {
     set32(49 * 4 | 0, i82 | 0);
     i156 = i28;
    }
   } else {
    i28 = i17 + 30 | 0;
    if (get8(i28 >> 0 | 0) | 0) {
     i22 = i60;
     i23 = 7;
     break L1;
    }
    do if (get8(i17 + 234 >> 0 | 0) | 0) {
     if ((getU16(i17 + 232 | 0) | 0) < (i79 | 0)) {
      i82 = i17 + 248 | 0;
      set32(i82 | 0, (get32(i82 | 0) | 0) + 1 | 0);
      break;
     }
     i82 = i17 + 256 | 0;
     i103 = get32(i82 | 0) | 0;
     if (!i103) {
      i68 = i17 + 252 | 0;
      set32(i68 | 0, (get32(i68 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i82 | 0, get32(i103 | 0) | 0);
     i82 = i17 + 236 | 0;
     i68 = get32(i82 | 0) | 0;
     i83 = i68 + 1 | 0;
     set32(i82 | 0, i83 | 0);
     i82 = i17 + 244 | 0;
     set32(i82 | 0, (get32(i82 | 0) | 0) + 1 | 0);
     i82 = i17 + 240 | 0;
     if ((i68 | 0) >= (get32(i82 | 0) | 0)) set32(i82 | 0, i83 | 0);
     i155 = i103;
     i27 = 1056;
     break L480;
    } while (0);
    do if ((i33 + 15 | 0) >>> 0 <= 2147483390) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i97 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i79) | 0;
      if (!i97) break; else {
       i156 = i97;
       break L480;
      }
     }
     i97 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i79) | 0;
     set32(35 * 4 | 0, i79 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i79 | 0)) set32(45 * 4 | 0, i79 | 0);
     i103 = get32(6 * 4 | 0) | 0;
     do if (i103) {
      i83 = get32(30 * 4 | 0) | 0;
      i82 = ((i83 | 0) < 0) << 31 >> 31;
      i68 = 16;
      i54 = _i64Subtract(get32(i68 | 0) | 0, get32(i68 + 4 | 0) | 0, i97 | 0, ((i97 | 0) < 0) << 31 >> 31 | 0) | 0;
      i68 = tempRet0;
      if ((i82 | 0) < (i68 | 0) | (i82 | 0) == (i68 | 0) & i83 >>> 0 < i54 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i54 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i103 & 15](i54, i83, i82, i97);
       set32(6 * 4 | 0, i103 | 0);
       set32(7 * 4 | 0, i54 | 0);
       break;
      }
     } while (0);
     i103 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i97) | 0;
     if (i103) {
      i69 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i103) | 0;
      i54 = (get32(30 * 4 | 0) | 0) + i69 | 0;
      set32(30 * 4 | 0, i54 | 0);
      if ((i54 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i54 | 0);
      i54 = get32(39 * 4 | 0) | 0;
      i69 = i54 + 1 | 0;
      set32(39 * 4 | 0, i69 | 0);
      if ((i54 | 0) < (get32(49 * 4 | 0) | 0)) {
       i156 = i103;
       break L480;
      }
      set32(49 * 4 | 0, i69 | 0);
      i156 = i103;
      break L480;
     }
    } while (0);
    set8(i28 >> 0 | 0, 1 | 0);
    i22 = i60;
    i23 = 7;
    break L1;
   } while (0);
   if ((i27 | 0) == 1056) if (!i155) {
    i22 = i60;
    i23 = 7;
    break;
   } else i156 = i155;
   _memset(i156 | 0, 0, i79 | 0) | 0;
   set8(i156 + 4 >> 0 | 0, get8((get32((get32(i17 + 8 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0) | 0 | 0);
   set16(i156 + 6 | 0, i20 | 0);
   if ((i20 | 0) > 0) {
    i33 = i17 + 44 | 0;
    i103 = i156 + 12 | 0;
    i69 = 0;
    while (1) {
     i54 = _multiSelectCollSeq(i1, i2, i69) | 0;
     set32(i103 | 0, i54 | 0);
     if (!i54) set32(i103 | 0, get32(i33 | 0) | 0);
     i69 = i69 + 1 | 0;
     if ((i69 | 0) == (i20 | 0)) break; else i103 = i103 + 4 | 0;
    }
    if (i2) i27 = 1060;
   } else i27 = 1060;
   if ((i27 | 0) == 1060) {
    i103 = i36 + 28 | 0;
    i69 = i36 + 4 | 0;
    i33 = i2;
    do {
     i79 = i33 + 56 | 0;
     i54 = get32(i79 | 0) | 0;
     if ((i54 | 0) >= 0) {
      if ((get32(i103 | 0) | 0) > (i54 | 0)) set32((get32(i69 | 0) | 0) + (i54 * 20 | 0) + 8 | 0, i20 | 0);
      _sqlite3VdbeChangeP4(i36, i54, i156, -6);
      set32(i79 | 0, -1 | 0);
      i79 = i33 + 60 | 0;
      i54 = get32(i79 | 0) | 0;
      if ((i54 | 0) >= 0) {
       if ((get32(i103 | 0) | 0) > (i54 | 0)) set32((get32(i69 | 0) | 0) + (i54 * 20 | 0) + 8 | 0, i20 | 0);
       _sqlite3VdbeChangeP4(i36, i54, i156, -6);
       set32(i79 | 0, -1 | 0);
      }
     }
     i33 = get32(i33 + 28 | 0) | 0;
    } while ((i33 | 0) != 0);
   }
   _sqlite3DbFree(i17, i156);
   i22 = i60;
   i23 = i61;
   break;
  }
  i33 = get32(i1 | 0) | 0;
  i20 = get32(i24 | 0) | 0;
  i69 = i20 + 36 | 0;
  i103 = get32(i69 | 0) | 0;
  set32(i69 | 0, i103 + 1 | 0);
  i79 = i20 + 40 | 0;
  i54 = get32(i79 | 0) | 0;
  if ((i103 | 0) < (i54 | 0)) {
   i157 = i20 + 44 | 0;
   i158 = i54;
  } else {
   i82 = get32(i20 | 0) | 0;
   i83 = i20 + 44 | 0;
   i68 = get32(i83 | 0) | 0;
   i67 = _sqlite3DbRealloc(i82, i68, (i54 << 3) + 20 | 0) | 0;
   if (i67) {
    set32(i83 | 0, i67 | 0);
    i54 = get32(i20 | 0) | 0;
    if (((i54 | 0) != 0 ? (get32(i54 + 260 | 0) | 0) >>> 0 <= i67 >>> 0 : 0) ? (get32(i54 + 264 | 0) | 0) >>> 0 > i67 >>> 0 : 0) i159 = getU16(i54 + 232 | 0) | 0; else i27 = 92;
   } else {
    _sqlite3DbFree(i82, i68);
    set32(i83 | 0, 0 | 0);
    i27 = 92;
   }
   if ((i27 | 0) == 92) i159 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i67) | 0;
   i67 = i159 >>> 2;
   set32(i79 | 0, i67 | 0);
   i157 = i83;
   i158 = i67;
  }
  i67 = get32(i157 | 0) | 0;
  if (!i67) i160 = i158; else {
   set32(i67 + (i103 << 2) | 0, -1 | 0);
   i160 = get32(i79 | 0) | 0;
  }
  i67 = ~i103;
  i83 = get32(i69 | 0) | 0;
  set32(i69 | 0, i83 + 1 | 0);
  if ((i83 | 0) < (i160 | 0)) i161 = i20 + 44 | 0; else {
   i69 = get32(i20 | 0) | 0;
   i68 = i20 + 44 | 0;
   i82 = get32(i68 | 0) | 0;
   i54 = _sqlite3DbRealloc(i69, i82, (i160 << 3) + 20 | 0) | 0;
   if (i54) {
    set32(i68 | 0, i54 | 0);
    i41 = get32(i20 | 0) | 0;
    if (((i41 | 0) != 0 ? (get32(i41 + 260 | 0) | 0) >>> 0 <= i54 >>> 0 : 0) ? (get32(i41 + 264 | 0) | 0) >>> 0 > i54 >>> 0 : 0) i162 = getU16(i41 + 232 | 0) | 0; else i27 = 104;
   } else {
    _sqlite3DbFree(i69, i82);
    set32(i68 | 0, 0 | 0);
    i27 = 104;
   }
   if ((i27 | 0) == 104) i162 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i54) | 0;
   set32(i79 | 0, i162 >>> 2 | 0);
   i161 = i68;
  }
  i68 = get32(i161 | 0) | 0;
  if (i68) set32(i68 + (i83 << 2) | 0, -1 | 0);
  i68 = ~i83;
  i79 = i2 + 4 | 0;
  i54 = get8(i79 >> 0 | 0) | 0;
  i82 = get32(i18 | 0) | 0;
  i69 = get32(i25 | 0) | 0;
  i41 = get32(i69 | 0) | 0;
  i32 = i54 << 24 >> 24 == 113;
  L593 : do if (i32) {
   i85 = i41 << 2;
   if (i33) {
    i35 = i33 + 30 | 0;
    i163 = i35;
    i164 = get8(i35 >> 0 | 0) | 0;
    i165 = i85;
    i166 = i41;
    i167 = i69;
    i27 = 137;
    break;
   }
   if ((i85 + -1 | 0) >>> 0 <= 2147483390) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i168 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i85) | 0;
     i169 = 1;
     i170 = i41;
     i171 = i69;
     i27 = 162;
     break;
    }
    i35 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i85) | 0;
    set32(35 * 4 | 0, i85 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i85 | 0)) set32(45 * 4 | 0, i85 | 0);
    i85 = get32(6 * 4 | 0) | 0;
    do if (i85) {
     i98 = get32(30 * 4 | 0) | 0;
     i31 = ((i98 | 0) < 0) << 31 >> 31;
     i78 = 16;
     i42 = _i64Subtract(get32(i78 | 0) | 0, get32(i78 + 4 | 0) | 0, i35 | 0, ((i35 | 0) < 0) << 31 >> 31 | 0) | 0;
     i78 = tempRet0;
     if ((i31 | 0) < (i78 | 0) | (i31 | 0) == (i78 | 0) & i98 >>> 0 < i42 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i42 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i85 & 15](i42, i98, i31, i35);
      set32(6 * 4 | 0, i85 | 0);
      set32(7 * 4 | 0, i42 | 0);
      break;
     }
    } while (0);
    i85 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i35) | 0;
    if (i85) {
     i28 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i85) | 0;
     i42 = (get32(30 * 4 | 0) | 0) + i28 | 0;
     set32(30 * 4 | 0, i42 | 0);
     if ((i42 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i42 | 0);
     i42 = get32(39 * 4 | 0) | 0;
     i28 = i42 + 1 | 0;
     set32(39 * 4 | 0, i28 | 0);
     if ((i42 | 0) < (get32(49 * 4 | 0) | 0)) {
      i172 = i85;
      i173 = 1;
      i174 = i41;
      i175 = i69;
      i27 = 161;
      break;
     }
     set32(49 * 4 | 0, i28 | 0);
     i172 = i85;
     i173 = 1;
     i174 = i41;
     i175 = i69;
     i27 = 161;
    } else {
     i176 = 0;
     i177 = 1;
     i178 = 1;
     i179 = i41;
     i180 = 0;
     i181 = i69;
     i27 = 212;
    }
   } else {
    i176 = 0;
    i177 = 1;
    i178 = 1;
    i179 = i41;
    i180 = 0;
    i181 = i69;
    i27 = 212;
   }
  } else {
   i85 = i33 + 30 | 0;
   i28 = get8(i85 >> 0 | 0) | 0;
   L617 : do if (!(i28 << 24 >> 24)) {
    i42 = i10 + 4 | 0;
    i31 = 1;
    i98 = i41;
    i78 = i69;
    while (1) {
     i70 = get32(get32(i48 | 0) | 0) | 0;
     i40 = (i98 | 0) > 0;
     i55 = i78 + 12 | 0;
     if ((i31 | 0) > (i70 | 0)) {
      i182 = 0;
      i183 = i98;
      i184 = i78;
      break L617;
     } else i185 = i31;
     while (1) {
      L623 : do if (i40) {
       i30 = 0;
       i29 = get32(i55 | 0) | 0;
       while (1) {
        if ((getU16(i29 + 14 | 0) | 0) == (i185 | 0)) {
         i186 = i30;
         break L623;
        }
        i104 = i30 + 1 | 0;
        if ((i104 | 0) < (i98 | 0)) {
         i30 = i104;
         i29 = i29 + 20 | 0;
        } else {
         i186 = i104;
         break;
        }
       }
      } else i186 = 0; while (0);
      if ((i186 | 0) == (i98 | 0)) {
       i187 = i185;
       break;
      }
      if ((i185 | 0) < (i70 | 0)) i185 = i185 + 1 | 0; else {
       i182 = 0;
       i183 = i98;
       i184 = i78;
       break L617;
      }
     }
     set32(i10 | 0, 0 | 0);
     set32(i42 | 0, 0 | 0);
     i70 = _sqlite3ExprAlloc(i33, 129, i10, 0) | 0;
     if (!i70) {
      i188 = 7;
      break L593;
     }
     i55 = i70 + 2 | 0;
     set16(i55 | 0, getU16(i55 | 0) | 1024 | 0);
     set32(i70 + 4 | 0, i187 | 0);
     i55 = _sqlite3ExprListAppend(get32(i1 | 0) | 0, i78, i70) | 0;
     i70 = i98 + 1 | 0;
     set16((get32(i55 + 12 | 0) | 0) + (i98 * 20 | 0) + 14 | 0, i187 | 0);
     i40 = get8(i85 >> 0 | 0) | 0;
     if (!(i40 << 24 >> 24)) {
      i31 = i187 + 1 | 0;
      i98 = i70;
      i78 = i55;
     } else {
      i182 = i40;
      i183 = i70;
      i184 = i55;
      break;
     }
    }
   } else {
    i182 = i28;
    i183 = i41;
    i184 = i69;
   } while (0);
   i163 = i85;
   i164 = i182;
   i165 = i183 << 2;
   i166 = i183;
   i167 = i184;
   i27 = 137;
  } while (0);
  L633 : do if ((i27 | 0) == 137) if (!(i164 << 24 >> 24)) {
   do if (get8(i33 + 234 >> 0 | 0) | 0) {
    if ((getU16(i33 + 232 | 0) | 0) < (i165 | 0)) {
     i69 = i33 + 248 | 0;
     set32(i69 | 0, (get32(i69 | 0) | 0) + 1 | 0);
     break;
    }
    i69 = i33 + 256 | 0;
    i41 = get32(i69 | 0) | 0;
    if (!i41) {
     i28 = i33 + 252 | 0;
     set32(i28 | 0, (get32(i28 | 0) | 0) + 1 | 0);
     break;
    }
    set32(i69 | 0, get32(i41 | 0) | 0);
    i69 = i33 + 236 | 0;
    i28 = get32(i69 | 0) | 0;
    i35 = i28 + 1 | 0;
    set32(i69 | 0, i35 | 0);
    i69 = i33 + 244 | 0;
    set32(i69 | 0, (get32(i69 | 0) | 0) + 1 | 0);
    i69 = i33 + 240 | 0;
    if ((i28 | 0) >= (get32(i69 | 0) | 0)) set32(i69 | 0, i35 | 0);
    i168 = i41;
    i169 = 0;
    i170 = i166;
    i171 = i167;
    i27 = 162;
    break L633;
   } while (0);
   do if ((i165 + -1 | 0) >>> 0 <= 2147483390) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i85 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i165) | 0;
     if (!i85) break; else {
      i172 = i85;
      i173 = 0;
      i174 = i166;
      i175 = i167;
      i27 = 161;
      break L633;
     }
    }
    i85 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i165) | 0;
    set32(35 * 4 | 0, i165 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i165 | 0)) set32(45 * 4 | 0, i165 | 0);
    i41 = get32(6 * 4 | 0) | 0;
    do if (i41) {
     i35 = get32(30 * 4 | 0) | 0;
     i69 = ((i35 | 0) < 0) << 31 >> 31;
     i28 = 16;
     i78 = _i64Subtract(get32(i28 | 0) | 0, get32(i28 + 4 | 0) | 0, i85 | 0, ((i85 | 0) < 0) << 31 >> 31 | 0) | 0;
     i28 = tempRet0;
     if ((i69 | 0) < (i28 | 0) | (i69 | 0) == (i28 | 0) & i35 >>> 0 < i78 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i78 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i41 & 15](i78, i35, i69, i85);
      set32(6 * 4 | 0, i41 | 0);
      set32(7 * 4 | 0, i78 | 0);
      break;
     }
    } while (0);
    i41 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i85) | 0;
    if (!i41) break;
    i78 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i41) | 0;
    i69 = (get32(30 * 4 | 0) | 0) + i78 | 0;
    set32(30 * 4 | 0, i69 | 0);
    if ((i69 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i69 | 0);
    i69 = get32(39 * 4 | 0) | 0;
    i78 = i69 + 1 | 0;
    set32(39 * 4 | 0, i78 | 0);
    if ((i69 | 0) < (get32(49 * 4 | 0) | 0)) {
     i172 = i41;
     i173 = 0;
     i174 = i166;
     i175 = i167;
     i27 = 161;
     break L633;
    }
    set32(49 * 4 | 0, i78 | 0);
    i172 = i41;
    i173 = 0;
    i174 = i166;
    i175 = i167;
    i27 = 161;
    break L633;
   } while (0);
   set8(i163 >> 0 | 0, 1 | 0);
   i176 = 0;
   i177 = 1;
   i178 = 0;
   i179 = i166;
   i180 = 0;
   i181 = i167;
   i27 = 212;
  } else {
   i176 = 0;
   i177 = 1;
   i178 = 0;
   i179 = i166;
   i180 = 0;
   i181 = i167;
   i27 = 212;
  } while (0);
  if ((i27 | 0) == 161) {
   i189 = i172;
   i190 = (i172 | 0) == 0;
   i191 = i173;
   i192 = i174;
   i193 = i175;
   i27 = 163;
  } else if ((i27 | 0) == 162) if (!i168) {
   i176 = 0;
   i177 = 1;
   i178 = i169;
   i179 = i170;
   i180 = 0;
   i181 = i171;
   i27 = 212;
  } else {
   i189 = i168;
   i190 = 0;
   i191 = i169;
   i192 = i170;
   i193 = i171;
   i27 = 163;
  }
  L671 : do if ((i27 | 0) == 163) {
   i41 = i193 + 12 | 0;
   i78 = (i192 | 0) > 0;
   if (i78) {
    i69 = 0;
    i35 = get32(i41 | 0) | 0;
    while (1) {
     set32(i189 + (i69 << 2) | 0, (getU16(i35 + 14 | 0) | 0) + -1 | 0);
     i69 = i69 + 1 | 0;
     if ((i69 | 0) == (i192 | 0)) break; else i35 = i35 + 20 | 0;
    }
   }
   i35 = i192 * 5 | 0;
   i69 = i35 + 16 | 0;
   L678 : do if (i191) {
    if ((i35 + 15 | 0) >>> 0 > 2147483390) {
     i176 = i189;
     i177 = i190;
     i178 = 1;
     i179 = i192;
     i180 = 0;
     i181 = i193;
     i27 = 212;
     break L671;
    }
    if (!(get32(50 * 4 | 0) | 0)) {
     i194 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i69) | 0;
     i27 = 206;
     break;
    }
    i28 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i69) | 0;
    set32(35 * 4 | 0, i69 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i69 | 0)) set32(45 * 4 | 0, i69 | 0);
    i98 = get32(6 * 4 | 0) | 0;
    do if (i98) {
     i31 = get32(30 * 4 | 0) | 0;
     i42 = ((i31 | 0) < 0) << 31 >> 31;
     i97 = 16;
     i55 = _i64Subtract(get32(i97 | 0) | 0, get32(i97 + 4 | 0) | 0, i28 | 0, ((i28 | 0) < 0) << 31 >> 31 | 0) | 0;
     i97 = tempRet0;
     if ((i42 | 0) < (i97 | 0) | (i42 | 0) == (i97 | 0) & i31 >>> 0 < i55 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i55 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i98 & 15](i55, i31, i42, i28);
      set32(6 * 4 | 0, i98 | 0);
      set32(7 * 4 | 0, i55 | 0);
      break;
     }
    } while (0);
    i98 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i28) | 0;
    if (!i98) {
     i176 = i189;
     i177 = i190;
     i178 = 1;
     i179 = i192;
     i180 = 0;
     i181 = i193;
     i27 = 212;
     break L671;
    }
    i85 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i98) | 0;
    i55 = (get32(30 * 4 | 0) | 0) + i85 | 0;
    set32(30 * 4 | 0, i55 | 0);
    if ((i55 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i55 | 0);
    i55 = get32(39 * 4 | 0) | 0;
    i85 = i55 + 1 | 0;
    set32(39 * 4 | 0, i85 | 0);
    if ((i55 | 0) < (get32(49 * 4 | 0) | 0)) {
     i195 = i98;
     i27 = 205;
     break;
    }
    set32(49 * 4 | 0, i85 | 0);
    i195 = i98;
    i27 = 205;
   } else {
    i98 = i33 + 30 | 0;
    if (get8(i98 >> 0 | 0) | 0) {
     i176 = i189;
     i177 = i190;
     i178 = 0;
     i179 = i192;
     i180 = 0;
     i181 = i193;
     i27 = 212;
     break L671;
    }
    do if (get8(i33 + 234 >> 0 | 0) | 0) {
     if ((getU16(i33 + 232 | 0) | 0) < (i69 | 0)) {
      i85 = i33 + 248 | 0;
      set32(i85 | 0, (get32(i85 | 0) | 0) + 1 | 0);
      break;
     }
     i85 = i33 + 256 | 0;
     i55 = get32(i85 | 0) | 0;
     if (!i55) {
      i42 = i33 + 252 | 0;
      set32(i42 | 0, (get32(i42 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i85 | 0, get32(i55 | 0) | 0);
     i85 = i33 + 236 | 0;
     i42 = get32(i85 | 0) | 0;
     i31 = i42 + 1 | 0;
     set32(i85 | 0, i31 | 0);
     i85 = i33 + 244 | 0;
     set32(i85 | 0, (get32(i85 | 0) | 0) + 1 | 0);
     i85 = i33 + 240 | 0;
     if ((i42 | 0) >= (get32(i85 | 0) | 0)) set32(i85 | 0, i31 | 0);
     i194 = i55;
     i27 = 206;
     break L678;
    } while (0);
    do if ((i35 + 15 | 0) >>> 0 <= 2147483390) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i28 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i69) | 0;
      if (!i28) break; else {
       i195 = i28;
       i27 = 205;
       break L678;
      }
     }
     i28 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i69) | 0;
     set32(35 * 4 | 0, i69 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i69 | 0)) set32(45 * 4 | 0, i69 | 0);
     i55 = get32(6 * 4 | 0) | 0;
     do if (i55) {
      i31 = get32(30 * 4 | 0) | 0;
      i85 = ((i31 | 0) < 0) << 31 >> 31;
      i42 = 16;
      i97 = _i64Subtract(get32(i42 | 0) | 0, get32(i42 + 4 | 0) | 0, i28 | 0, ((i28 | 0) < 0) << 31 >> 31 | 0) | 0;
      i42 = tempRet0;
      if ((i85 | 0) < (i42 | 0) | (i85 | 0) == (i42 | 0) & i31 >>> 0 < i97 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i97 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i55 & 15](i97, i31, i85, i28);
       set32(6 * 4 | 0, i55 | 0);
       set32(7 * 4 | 0, i97 | 0);
       break;
      }
     } while (0);
     i55 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i28) | 0;
     if (!i55) break;
     i97 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i55) | 0;
     i85 = (get32(30 * 4 | 0) | 0) + i97 | 0;
     set32(30 * 4 | 0, i85 | 0);
     if ((i85 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i85 | 0);
     i85 = get32(39 * 4 | 0) | 0;
     i97 = i85 + 1 | 0;
     set32(39 * 4 | 0, i97 | 0);
     if ((i85 | 0) < (get32(49 * 4 | 0) | 0)) {
      i195 = i55;
      i27 = 205;
      break L678;
     }
     set32(49 * 4 | 0, i97 | 0);
     i195 = i55;
     i27 = 205;
     break L678;
    } while (0);
    set8(i98 >> 0 | 0, 1 | 0);
    i176 = i189;
    i177 = i190;
    i178 = 0;
    i179 = i192;
    i180 = 0;
    i181 = i193;
    i27 = 212;
    break L671;
   } while (0);
   if ((i27 | 0) == 205) {
    i196 = i195;
    i197 = i195;
   } else if ((i27 | 0) == 206) if (!i194) {
    i176 = i189;
    i177 = i190;
    i178 = i191;
    i179 = i192;
    i180 = i194;
    i181 = i193;
    i27 = 212;
    break;
   } else {
    i196 = i194;
    i197 = i194;
   }
   i69 = i196 + 12 | 0;
   i35 = i196 + 8 | 0;
   set32(i35 | 0, i69 + (i192 << 2) | 0);
   set16(i196 + 6 | 0, i192 | 0);
   set8(i196 + 4 >> 0 | 0, get8((get32((get32(i33 + 8 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0) | 0 | 0);
   if (i78) {
    i55 = 0;
    do {
     i97 = get32((get32(i41 | 0) | 0) + (i55 * 20 | 0) | 0) | 0;
     i85 = i97 + 2 | 0;
     if (!(get16(i85 | 0) & 256)) {
      i31 = _multiSelectCollSeq(i1, i2, get32(i189 + (i55 << 2) | 0) | 0) | 0;
      set16(i85 | 0, getU16(i85 | 0) | 256 | 0);
      set32(i97 + 20 | 0, i31 | 0);
      i198 = i31;
     } else i198 = get32(i97 + 20 | 0) | 0;
     set32(i69 + (i55 << 2) | 0, i198 | 0);
     set8((get32(i35 | 0) | 0) + i55 >> 0 | 0, get8((get32(i41 | 0) | 0) + (i55 * 20 | 0) + 12 >> 0 | 0) | 0 | 0);
     i55 = i55 + 1 | 0;
    } while ((i55 | 0) != (i192 | 0));
    i176 = i189;
    i177 = i190;
    i178 = i191;
    i179 = i192;
    i180 = i197;
    i181 = i193;
    i27 = 212;
   } else {
    i176 = i189;
    i177 = i190;
    i178 = i191;
    i179 = i192;
    i180 = i197;
    i181 = i193;
    i27 = 212;
   }
  } while (0);
  L742 : do if ((i27 | 0) == 212) {
   set32(i25 | 0, i181 | 0);
   i55 = i82 + 24 | 0;
   set32(i55 | 0, _sqlite3ExprListDup(get32(i1 | 0) | 0, i181, 0) | 0 | 0);
   L744 : do if (!i32) {
    i41 = get32(get32(i48 | 0) | 0) | 0;
    i35 = i41 + 1 | 0;
    i69 = i1 + 60 | 0;
    i78 = get32(i69 | 0) | 0;
    i97 = i1 + 56 | 0;
    i31 = get32(i97 | 0) | 0;
    if ((i31 | 0) < (i35 | 0)) {
     i85 = i1 + 72 | 0;
     i42 = get32(i85 | 0) | 0;
     set32(i85 | 0, i42 + i35 | 0);
     i199 = i42 + 1 | 0;
    } else {
     set32(i69 | 0, i78 + i35 | 0);
     set32(i97 | 0, i31 - i35 | 0);
     i199 = i78;
    }
    i78 = i20 + 28 | 0;
    i35 = get32(i78 | 0) | 0;
    i31 = i20 + 32 | 0;
    i97 = get32(i31 | 0) | 0;
    if ((i97 | 0) <= (i35 | 0)) {
     i69 = i20 + 4 | 0;
     i42 = _sqlite3DbRealloc(get32(i20 | 0) | 0, get32(i69 | 0) | 0, (i97 | 0) == 0 ? 1020 : i97 * 40 | 0) | 0;
     if (i42) {
      i97 = get32(i20 | 0) | 0;
      do if (!i97) i27 = 223; else {
       if ((get32(i97 + 260 | 0) | 0) >>> 0 > i42 >>> 0) {
        i27 = 223;
        break;
       }
       if ((get32(i97 + 264 | 0) | 0) >>> 0 <= i42 >>> 0) {
        i27 = 223;
        break;
       }
       i200 = getU16(i97 + 232 | 0) | 0;
      } while (0);
      if ((i27 | 0) == 223) i200 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i42) | 0;
      set32(i31 | 0, (i200 >>> 0) / 20 | 0 | 0);
      set32(i69 | 0, i42 | 0);
      i201 = get32(i78 | 0) | 0;
      i202 = i42;
      i27 = 225;
     }
    } else {
     i201 = i35;
     i202 = get32(i20 + 4 | 0) | 0;
     i27 = 225;
    }
    if ((i27 | 0) == 225) {
     set32(i78 | 0, i201 + 1 | 0);
     set8(i202 + (i35 * 20 | 0) >> 0 | 0, 7 | 0);
     set8(i202 + (i35 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i202 + (i35 * 20 | 0) + 4 | 0, 0 | 0);
     set32(i202 + (i35 * 20 | 0) + 8 | 0, i199 | 0);
     set32(i202 + (i35 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i202 + (i35 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i202 + (i35 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    }
    i97 = i41 * 5 | 0;
    i98 = i97 + 16 | 0;
    L764 : do if (i178) {
     if ((i97 + 15 | 0) >>> 0 > 2147483390) {
      i203 = 0;
      i204 = i199;
      break L744;
     }
     if (!(get32(50 * 4 | 0) | 0)) {
      i205 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i98) | 0;
      i27 = 265;
      break;
     }
     i85 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i98) | 0;
     set32(35 * 4 | 0, i98 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i98 | 0)) set32(45 * 4 | 0, i98 | 0);
     i70 = get32(6 * 4 | 0) | 0;
     do if (i70) {
      i40 = get32(30 * 4 | 0) | 0;
      i29 = ((i40 | 0) < 0) << 31 >> 31;
      i30 = 16;
      i104 = _i64Subtract(get32(i30 | 0) | 0, get32(i30 + 4 | 0) | 0, i85 | 0, ((i85 | 0) < 0) << 31 >> 31 | 0) | 0;
      i30 = tempRet0;
      if ((i29 | 0) < (i30 | 0) | (i29 | 0) == (i30 | 0) & i40 >>> 0 < i104 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i104 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i70 & 15](i104, i40, i29, i85);
       set32(6 * 4 | 0, i70 | 0);
       set32(7 * 4 | 0, i104 | 0);
       break;
      }
     } while (0);
     i70 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i85) | 0;
     if (!i70) {
      i203 = 0;
      i204 = i199;
      break L744;
     }
     i28 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i70) | 0;
     i104 = (get32(30 * 4 | 0) | 0) + i28 | 0;
     set32(30 * 4 | 0, i104 | 0);
     if ((i104 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i104 | 0);
     i104 = get32(39 * 4 | 0) | 0;
     i28 = i104 + 1 | 0;
     set32(39 * 4 | 0, i28 | 0);
     if ((i104 | 0) < (get32(49 * 4 | 0) | 0)) {
      i206 = i70;
      break;
     }
     set32(49 * 4 | 0, i28 | 0);
     i206 = i70;
    } else {
     i70 = i33 + 30 | 0;
     if (get8(i70 >> 0 | 0) | 0) {
      i203 = 0;
      i204 = i199;
      break L744;
     }
     do if (get8(i33 + 234 >> 0 | 0) | 0) {
      if ((getU16(i33 + 232 | 0) | 0) < (i98 | 0)) {
       i28 = i33 + 248 | 0;
       set32(i28 | 0, (get32(i28 | 0) | 0) + 1 | 0);
       break;
      }
      i28 = i33 + 256 | 0;
      i104 = get32(i28 | 0) | 0;
      if (!i104) {
       i29 = i33 + 252 | 0;
       set32(i29 | 0, (get32(i29 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i28 | 0, get32(i104 | 0) | 0);
      i28 = i33 + 236 | 0;
      i29 = get32(i28 | 0) | 0;
      i40 = i29 + 1 | 0;
      set32(i28 | 0, i40 | 0);
      i28 = i33 + 244 | 0;
      set32(i28 | 0, (get32(i28 | 0) | 0) + 1 | 0);
      i28 = i33 + 240 | 0;
      if ((i29 | 0) >= (get32(i28 | 0) | 0)) set32(i28 | 0, i40 | 0);
      i205 = i104;
      i27 = 265;
      break L764;
     } while (0);
     do if ((i97 + 15 | 0) >>> 0 <= 2147483390) {
      if (!(get32(50 * 4 | 0) | 0)) {
       i85 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i98) | 0;
       if (!i85) break; else {
        i206 = i85;
        break L764;
       }
      }
      i85 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i98) | 0;
      set32(35 * 4 | 0, i98 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i98 | 0)) set32(45 * 4 | 0, i98 | 0);
      i104 = get32(6 * 4 | 0) | 0;
      do if (i104) {
       i40 = get32(30 * 4 | 0) | 0;
       i28 = ((i40 | 0) < 0) << 31 >> 31;
       i29 = 16;
       i30 = _i64Subtract(get32(i29 | 0) | 0, get32(i29 + 4 | 0) | 0, i85 | 0, ((i85 | 0) < 0) << 31 >> 31 | 0) | 0;
       i29 = tempRet0;
       if ((i28 | 0) < (i29 | 0) | (i28 | 0) == (i29 | 0) & i40 >>> 0 < i30 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i30 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i104 & 15](i30, i40, i28, i85);
        set32(6 * 4 | 0, i104 | 0);
        set32(7 * 4 | 0, i30 | 0);
        break;
       }
      } while (0);
      i104 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i85) | 0;
      if (!i104) break;
      i30 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i104) | 0;
      i28 = (get32(30 * 4 | 0) | 0) + i30 | 0;
      set32(30 * 4 | 0, i28 | 0);
      if ((i28 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i28 | 0);
      i28 = get32(39 * 4 | 0) | 0;
      i30 = i28 + 1 | 0;
      set32(39 * 4 | 0, i30 | 0);
      if ((i28 | 0) < (get32(49 * 4 | 0) | 0)) {
       i206 = i104;
       break L764;
      }
      set32(49 * 4 | 0, i30 | 0);
      i206 = i104;
      break L764;
     } while (0);
     set8(i70 >> 0 | 0, 1 | 0);
     i203 = 0;
     i204 = i199;
     break L744;
    } while (0);
    if ((i27 | 0) == 265) if (!i205) {
     i203 = 0;
     i204 = i199;
     break;
    } else i206 = i205;
    _memset(i206 | 0, 0, i98 | 0) | 0;
    i97 = i206 + 12 | 0;
    i35 = i206 + 8 | 0;
    set32(i35 | 0, i97 + (i41 << 2) | 0);
    set16(i206 + 6 | 0, i41 | 0);
    set8(i206 + 4 >> 0 | 0, get8((get32((get32(i33 + 8 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0) | 0 | 0);
    if ((i41 | 0) > 0) {
     i78 = 0;
     do {
      set32(i97 + (i78 << 2) | 0, _multiSelectCollSeq(i1, i2, i78) | 0 | 0);
      set8((get32(i35 | 0) | 0) + i78 >> 0 | 0, 0 | 0);
      i78 = i78 + 1 | 0;
     } while ((i78 | 0) != (i41 | 0));
     i203 = i206;
     i204 = i199;
    } else {
     i203 = i206;
     i204 = i199;
    }
   } else {
    i203 = 0;
    i204 = 0;
   } while (0);
   set32(i18 | 0, 0 | 0);
   _sqlite3ResolveOrderGroupBy(i1, i2, get32(i25 | 0) | 0, 30072) | 0;
   if (!(get32(i82 + 28 | 0) | 0)) _sqlite3ResolveOrderGroupBy(i1, i82, get32(i55 | 0) | 0, 30072) | 0;
   _computeLimitRegisters(i1, i2, i67);
   i41 = i2 + 48 | 0;
   i78 = get32(i41 | 0) | 0;
   i35 = i1 + 72 | 0;
   do if (i32 & (i78 | 0) != 0) {
    i97 = get32(i35 | 0) | 0;
    i98 = i97 + 1 | 0;
    i42 = i97 + 2 | 0;
    set32(i35 | 0, i42 | 0);
    i97 = get32(i2 + 52 | 0) | 0;
    i69 = (i97 | 0) == 0 ? i78 : i97 + 1 | 0;
    i97 = i20 + 28 | 0;
    i31 = get32(i97 | 0) | 0;
    i104 = i20 + 32 | 0;
    i30 = get32(i104 | 0) | 0;
    do if ((i30 | 0) > (i31 | 0)) {
     i207 = i30;
     i208 = i31;
     i209 = get32(i20 + 4 | 0) | 0;
     i27 = 282;
    } else {
     i28 = i20 + 4 | 0;
     i40 = _sqlite3DbRealloc(get32(i20 | 0) | 0, get32(i28 | 0) | 0, (i30 | 0) == 0 ? 1020 : i30 * 40 | 0) | 0;
     if (!i40) {
      i210 = get32(i104 | 0) | 0;
      i211 = get32(i97 | 0) | 0;
      break;
     }
     i29 = get32(i20 | 0) | 0;
     do if (!i29) i27 = 280; else {
      if ((get32(i29 + 260 | 0) | 0) >>> 0 > i40 >>> 0) {
       i27 = 280;
       break;
      }
      if ((get32(i29 + 264 | 0) | 0) >>> 0 <= i40 >>> 0) {
       i27 = 280;
       break;
      }
      i212 = getU16(i29 + 232 | 0) | 0;
     } while (0);
     if ((i27 | 0) == 280) i212 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i40) | 0;
     i29 = (i212 >>> 0) / 20 | 0;
     set32(i104 | 0, i29 | 0);
     set32(i28 | 0, i40 | 0);
     i207 = i29;
     i208 = get32(i97 | 0) | 0;
     i209 = i40;
     i27 = 282;
    } while (0);
    if ((i27 | 0) == 282) {
     i30 = i208 + 1 | 0;
     set32(i97 | 0, i30 | 0);
     set8(i209 + (i31 * 20 | 0) >> 0 | 0, 14 | 0);
     set8(i209 + (i31 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i209 + (i31 * 20 | 0) + 4 | 0, i69 | 0);
     set32(i209 + (i31 * 20 | 0) + 8 | 0, i98 | 0);
     set32(i209 + (i31 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i209 + (i31 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i209 + (i31 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i210 = i207;
     i211 = i30;
    }
    if ((i210 | 0) > (i211 | 0)) {
     i213 = i211;
     i214 = get32(i20 + 4 | 0) | 0;
    } else {
     i30 = i20 + 4 | 0;
     i29 = _sqlite3DbRealloc(get32(i20 | 0) | 0, get32(i30 | 0) | 0, (i210 | 0) == 0 ? 1020 : i210 * 40 | 0) | 0;
     if (!i29) {
      i215 = i97;
      i216 = i104;
      i217 = i98;
      i218 = i42;
      break;
     }
     i70 = get32(i20 | 0) | 0;
     do if (!i70) i27 = 290; else {
      if ((get32(i70 + 260 | 0) | 0) >>> 0 > i29 >>> 0) {
       i27 = 290;
       break;
      }
      if ((get32(i70 + 264 | 0) | 0) >>> 0 <= i29 >>> 0) {
       i27 = 290;
       break;
      }
      i219 = getU16(i70 + 232 | 0) | 0;
     } while (0);
     if ((i27 | 0) == 290) i219 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i29) | 0;
     set32(i104 | 0, (i219 >>> 0) / 20 | 0 | 0);
     set32(i30 | 0, i29 | 0);
     i213 = get32(i97 | 0) | 0;
     i214 = i29;
    }
    set32(i97 | 0, i213 + 1 | 0);
    set8(i214 + (i211 * 20 | 0) >> 0 | 0, 14 | 0);
    set8(i214 + (i211 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i214 + (i211 * 20 | 0) + 4 | 0, i98 | 0);
    set32(i214 + (i211 * 20 | 0) + 8 | 0, i42 | 0);
    set32(i214 + (i211 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i214 + (i211 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i214 + (i211 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i215 = i97;
    i216 = i104;
    i217 = i98;
    i218 = i42;
   } else {
    i215 = i20 + 28 | 0;
    i216 = i20 + 32 | 0;
    i217 = 0;
    i218 = 0;
   } while (0);
   i78 = i2 + 40 | 0;
   _sqlite3ExprDelete(i33, get32(i78 | 0) | 0);
   set32(i78 | 0, 0 | 0);
   i78 = i2 + 44 | 0;
   _sqlite3ExprDelete(i33, get32(i78 | 0) | 0);
   set32(i78 | 0, 0 | 0);
   i78 = get32(i35 | 0) | 0;
   i55 = i78 + 1 | 0;
   i70 = i78 + 2 | 0;
   i31 = i78 + 3 | 0;
   i69 = i78 + 4 | 0;
   i220 = i78 + 5 | 0;
   i221 = i78 + 6 | 0;
   set32(i35 | 0, i221 | 0);
   set8(i11 >> 0 | 0, 10 | 0);
   set32(i11 + 4 | 0, i55 | 0);
   set8(i11 + 1 >> 0 | 0, 0 | 0);
   i78 = i11 + 8 | 0;
   set32(i78 | 0, 0 | 0);
   set32(i11 + 12 | 0, 0 | 0);
   set8(i12 >> 0 | 0, 10 | 0);
   set32(i12 + 4 | 0, i31 | 0);
   set8(i12 + 1 >> 0 | 0, 0 | 0);
   i222 = i12 + 8 | 0;
   set32(i222 | 0, 0 | 0);
   set32(i12 + 12 | 0, 0 | 0);
   i223 = get32(i215 | 0) | 0;
   i224 = get32(i216 | 0) | 0;
   if ((i224 | 0) <= (i223 | 0)) {
    i225 = i20 + 4 | 0;
    i226 = _sqlite3DbRealloc(get32(i20 | 0) | 0, get32(i225 | 0) | 0, (i224 | 0) == 0 ? 1020 : i224 * 40 | 0) | 0;
    if (!i226) i227 = 1; else {
     i224 = get32(i20 | 0) | 0;
     do if (!i224) i27 = 300; else {
      if ((get32(i224 + 260 | 0) | 0) >>> 0 > i226 >>> 0) {
       i27 = 300;
       break;
      }
      if ((get32(i224 + 264 | 0) | 0) >>> 0 <= i226 >>> 0) {
       i27 = 300;
       break;
      }
      i228 = getU16(i224 + 232 | 0) | 0;
     } while (0);
     if ((i27 | 0) == 300) i228 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i226) | 0;
     set32(i216 | 0, (i228 >>> 0) / 20 | 0 | 0);
     set32(i225 | 0, i226 | 0);
     i229 = get32(i215 | 0) | 0;
     i230 = i226;
     i27 = 302;
    }
   } else {
    i229 = i223;
    i230 = get32(i20 + 4 | 0) | 0;
    i27 = 302;
   }
   if ((i27 | 0) == 302) {
    set32(i215 | 0, i229 + 1 | 0);
    set8(i230 + (i223 * 20 | 0) >> 0 | 0, 1 | 0);
    set8(i230 + (i223 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i38 = i230 + (i223 * 20 | 0) + 3 | 0;
    i39 = i38 + 17 | 0;
    do {
     set8(i38 >> 0 | 0, 0 | 0);
     i38 = i38 + 1 | 0;
    } while ((i38 | 0) < (i39 | 0));
    i227 = i223;
   }
   i226 = get32(i215 | 0) | 0;
   set32(i82 + 48 | 0, i217 | 0);
   i225 = i1 + 556 | 0;
   i224 = get32(i225 | 0) | 0;
   _sqlite3Select(i1, i82, i11) | 0;
   i35 = get32(i215 | 0) | 0;
   i231 = get32(i216 | 0) | 0;
   do if ((i231 | 0) > (i35 | 0)) {
    i232 = i231;
    i233 = i35;
    i234 = get32(i20 + 4 | 0) | 0;
    i27 = 313;
   } else {
    i235 = i20 + 4 | 0;
    i236 = _sqlite3DbRealloc(get32(i20 | 0) | 0, get32(i235 | 0) | 0, (i231 | 0) == 0 ? 1020 : i231 * 40 | 0) | 0;
    if (!i236) {
     i237 = get32(i216 | 0) | 0;
     i238 = get32(i215 | 0) | 0;
     break;
    }
    i239 = get32(i20 | 0) | 0;
    do if (!i239) i27 = 311; else {
     if ((get32(i239 + 260 | 0) | 0) >>> 0 > i236 >>> 0) {
      i27 = 311;
      break;
     }
     if ((get32(i239 + 264 | 0) | 0) >>> 0 <= i236 >>> 0) {
      i27 = 311;
      break;
     }
     i240 = getU16(i239 + 232 | 0) | 0;
    } while (0);
    if ((i27 | 0) == 311) i240 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i236) | 0;
    i239 = (i240 >>> 0) / 20 | 0;
    set32(i216 | 0, i239 | 0);
    set32(i235 | 0, i236 | 0);
    i232 = i239;
    i233 = get32(i215 | 0) | 0;
    i234 = i236;
    i27 = 313;
   } while (0);
   if ((i27 | 0) == 313) {
    i231 = i233 + 1 | 0;
    set32(i215 | 0, i231 | 0);
    set8(i234 + (i35 * 20 | 0) >> 0 | 0, 7 | 0);
    set8(i234 + (i35 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i234 + (i35 * 20 | 0) + 4 | 0, 1 | 0);
    set32(i234 + (i35 * 20 | 0) + 8 | 0, i70 | 0);
    set32(i234 + (i35 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i234 + (i35 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i234 + (i35 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i237 = i232;
    i238 = i231;
   }
   do if ((i237 | 0) > (i238 | 0)) {
    i241 = i238;
    i242 = get32(i20 + 4 | 0) | 0;
    i27 = 324;
   } else {
    i231 = i20 + 4 | 0;
    i223 = _sqlite3DbRealloc(get32(i20 | 0) | 0, get32(i231 | 0) | 0, (i237 | 0) == 0 ? 1020 : i237 * 40 | 0) | 0;
    if (!i223) {
     i243 = get32(i215 | 0) | 0;
     break;
    }
    i239 = get32(i20 | 0) | 0;
    do if (!i239) i27 = 322; else {
     if ((get32(i239 + 260 | 0) | 0) >>> 0 > i223 >>> 0) {
      i27 = 322;
      break;
     }
     if ((get32(i239 + 264 | 0) | 0) >>> 0 <= i223 >>> 0) {
      i27 = 322;
      break;
     }
     i244 = getU16(i239 + 232 | 0) | 0;
    } while (0);
    if ((i27 | 0) == 322) i244 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i223) | 0;
    set32(i216 | 0, (i244 >>> 0) / 20 | 0 | 0);
    set32(i231 | 0, i223 | 0);
    i241 = get32(i215 | 0) | 0;
    i242 = i223;
    i27 = 324;
   } while (0);
   if ((i27 | 0) == 324) {
    i35 = i241 + 1 | 0;
    set32(i215 | 0, i35 | 0);
    set8(i242 + (i238 * 20 | 0) >> 0 | 0, 4 | 0);
    set8(i242 + (i238 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i242 + (i238 * 20 | 0) + 4 | 0, i55 | 0);
    set32(i242 + (i238 * 20 | 0) + 8 | 0, 0 | 0);
    set32(i242 + (i238 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i242 + (i238 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i242 + (i238 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i243 = i35;
   }
   i35 = get32(i41 | 0) | 0;
   i239 = i2 + 52 | 0;
   i236 = get32(i239 | 0) | 0;
   set32(i41 | 0, i218 | 0);
   set32(i239 | 0, 0 | 0);
   i235 = get32(i225 | 0) | 0;
   _sqlite3Select(i1, i2, i12) | 0;
   set32(i41 | 0, i35 | 0);
   set32(i239 | 0, i236 | 0);
   i236 = get32(i215 | 0) | 0;
   i239 = get32(i216 | 0) | 0;
   do if ((i239 | 0) > (i236 | 0)) {
    i245 = i236;
    i246 = get32(i20 + 4 | 0) | 0;
    i247 = i239;
    i27 = 335;
   } else {
    i35 = i20 + 4 | 0;
    i42 = _sqlite3DbRealloc(get32(i20 | 0) | 0, get32(i35 | 0) | 0, (i239 | 0) == 0 ? 1020 : i239 * 40 | 0) | 0;
    if (!i42) {
     i248 = get32(i216 | 0) | 0;
     i249 = get32(i215 | 0) | 0;
     break;
    }
    i98 = get32(i20 | 0) | 0;
    do if (!i98) i27 = 333; else {
     if ((get32(i98 + 260 | 0) | 0) >>> 0 > i42 >>> 0) {
      i27 = 333;
      break;
     }
     if ((get32(i98 + 264 | 0) | 0) >>> 0 <= i42 >>> 0) {
      i27 = 333;
      break;
     }
     i250 = getU16(i98 + 232 | 0) | 0;
    } while (0);
    if ((i27 | 0) == 333) i250 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i42) | 0;
    i98 = (i250 >>> 0) / 20 | 0;
    set32(i216 | 0, i98 | 0);
    set32(i35 | 0, i42 | 0);
    i245 = get32(i215 | 0) | 0;
    i246 = i42;
    i247 = i98;
    i27 = 335;
   } while (0);
   if ((i27 | 0) == 335) {
    i239 = i245 + 1 | 0;
    set32(i215 | 0, i239 | 0);
    set8(i246 + (i236 * 20 | 0) >> 0 | 0, 7 | 0);
    set8(i246 + (i236 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i246 + (i236 * 20 | 0) + 4 | 0, 1 | 0);
    set32(i246 + (i236 * 20 | 0) + 8 | 0, i69 | 0);
    set32(i246 + (i236 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i246 + (i236 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i246 + (i236 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i248 = i247;
    i249 = i239;
   }
   do if ((i248 | 0) > (i249 | 0)) {
    i251 = i249;
    i252 = get32(i20 + 4 | 0) | 0;
    i27 = 345;
   } else {
    i239 = i20 + 4 | 0;
    i41 = _sqlite3DbRealloc(get32(i20 | 0) | 0, get32(i239 | 0) | 0, (i248 | 0) == 0 ? 1020 : i248 * 40 | 0) | 0;
    if (!i41) break;
    i225 = get32(i20 | 0) | 0;
    do if (!i225) i27 = 343; else {
     if ((get32(i225 + 260 | 0) | 0) >>> 0 > i41 >>> 0) {
      i27 = 343;
      break;
     }
     if ((get32(i225 + 264 | 0) | 0) >>> 0 <= i41 >>> 0) {
      i27 = 343;
      break;
     }
     i253 = getU16(i225 + 232 | 0) | 0;
    } while (0);
    if ((i27 | 0) == 343) i253 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i41) | 0;
    set32(i216 | 0, (i253 >>> 0) / 20 | 0 | 0);
    set32(i239 | 0, i41 | 0);
    i251 = get32(i215 | 0) | 0;
    i252 = i41;
    i27 = 345;
   } while (0);
   if ((i27 | 0) == 345) {
    set32(i215 | 0, i251 + 1 | 0);
    set8(i252 + (i249 * 20 | 0) >> 0 | 0, 4 | 0);
    set8(i252 + (i249 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i252 + (i249 * 20 | 0) + 4 | 0, i31 | 0);
    set32(i252 + (i249 * 20 | 0) + 8 | 0, 0 | 0);
    set32(i252 + (i249 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i252 + (i249 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i252 + (i249 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   }
   i236 = _generateOutputSubroutine(i1, i2, i11, i3, i220, i204, i203, -16, i67) | 0;
   i225 = i54 & -2;
   i42 = i225 << 24 >> 24 == 112;
   do if (!i42) {
    i35 = i54 << 24 >> 24 == 115;
    if (i225 << 24 >> 24 != 114) {
     i254 = i35;
     i255 = 0;
     i27 = 359;
     break;
    }
    i98 = get32(i215 | 0) | 0;
    i223 = get32(i216 | 0) | 0;
    if ((i223 | 0) > (i98 | 0)) {
     i256 = i98;
     i257 = get32(i20 + 4 | 0) | 0;
    } else {
     i231 = i20 + 4 | 0;
     i104 = _sqlite3DbRealloc(get32(i20 | 0) | 0, get32(i231 | 0) | 0, (i223 | 0) == 0 ? 1020 : i223 * 40 | 0) | 0;
     if (!i104) if (i35) {
      i258 = 1;
      i259 = 0;
      i27 = 404;
      break;
     } else {
      i260 = 1;
      i261 = 0;
      i27 = 406;
      break;
     }
     i223 = get32(i20 | 0) | 0;
     do if (!i223) i27 = 356; else {
      if ((get32(i223 + 260 | 0) | 0) >>> 0 > i104 >>> 0) {
       i27 = 356;
       break;
      }
      if ((get32(i223 + 264 | 0) | 0) >>> 0 <= i104 >>> 0) {
       i27 = 356;
       break;
      }
      i262 = getU16(i223 + 232 | 0) | 0;
     } while (0);
     if ((i27 | 0) == 356) i262 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i104) | 0;
     set32(i216 | 0, (i262 >>> 0) / 20 | 0 | 0);
     set32(i231 | 0, i104 | 0);
     i256 = get32(i215 | 0) | 0;
     i257 = i104;
    }
    set32(i215 | 0, i256 + 1 | 0);
    set8(i257 + (i98 * 20 | 0) >> 0 | 0, 1 | 0);
    set8(i257 + (i98 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i257 + (i98 * 20 | 0) + 4 | 0, 0 | 0);
    set32(i257 + (i98 * 20 | 0) + 8 | 0, i67 | 0);
    set32(i257 + (i98 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i257 + (i98 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i257 + (i98 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    if (i35) {
     i258 = i98;
     i259 = 0;
     i27 = 404;
    } else {
     i260 = i98;
     i261 = 0;
     i27 = 406;
    }
   } else {
    i254 = i54 << 24 >> 24 == 115;
    i255 = _generateOutputSubroutine(i1, i2, i12, i3, i221, i204, i203, -17, i67) | 0;
    i27 = 359;
   } while (0);
   if ((i27 | 0) == 359) {
    i225 = get32(i215 | 0) | 0;
    i223 = get32(i216 | 0) | 0;
    do if ((i223 | 0) > (i225 | 0)) {
     i263 = i225;
     i264 = get32(i20 + 4 | 0) | 0;
     i265 = i223;
     i27 = 369;
    } else {
     i41 = i20 + 4 | 0;
     i239 = _sqlite3DbRealloc(get32(i20 | 0) | 0, get32(i41 | 0) | 0, (i223 | 0) == 0 ? 1020 : i223 * 40 | 0) | 0;
     if (!i239) {
      i266 = 1;
      i267 = get32(i216 | 0) | 0;
      i268 = get32(i215 | 0) | 0;
      break;
     }
     i97 = get32(i20 | 0) | 0;
     do if (!i97) i27 = 367; else {
      if ((get32(i97 + 260 | 0) | 0) >>> 0 > i239 >>> 0) {
       i27 = 367;
       break;
      }
      if ((get32(i97 + 264 | 0) | 0) >>> 0 <= i239 >>> 0) {
       i27 = 367;
       break;
      }
      i269 = getU16(i97 + 232 | 0) | 0;
     } while (0);
     if ((i27 | 0) == 367) i269 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i239) | 0;
     i97 = (i269 >>> 0) / 20 | 0;
     set32(i216 | 0, i97 | 0);
     set32(i41 | 0, i239 | 0);
     i263 = get32(i215 | 0) | 0;
     i264 = i239;
     i265 = i97;
     i27 = 369;
    } while (0);
    if ((i27 | 0) == 369) {
     i223 = i263 + 1 | 0;
     set32(i215 | 0, i223 | 0);
     set8(i264 + (i225 * 20 | 0) >> 0 | 0, 26 | 0);
     set8(i264 + (i225 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i264 + (i225 * 20 | 0) + 4 | 0, i69 | 0);
     set32(i264 + (i225 * 20 | 0) + 8 | 0, i67 | 0);
     set32(i264 + (i225 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i264 + (i225 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i264 + (i225 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i266 = i225;
     i267 = i265;
     i268 = i223;
    }
    do if ((i267 | 0) > (i268 | 0)) {
     i270 = i268;
     i271 = get32(i20 + 4 | 0) | 0;
     i272 = i267;
     i27 = 380;
    } else {
     i223 = i20 + 4 | 0;
     i97 = _sqlite3DbRealloc(get32(i20 | 0) | 0, get32(i223 | 0) | 0, (i267 | 0) == 0 ? 1020 : i267 * 40 | 0) | 0;
     if (!i97) {
      i273 = get32(i216 | 0) | 0;
      i274 = get32(i215 | 0) | 0;
      break;
     }
     i98 = get32(i20 | 0) | 0;
     do if (!i98) i27 = 378; else {
      if ((get32(i98 + 260 | 0) | 0) >>> 0 > i97 >>> 0) {
       i27 = 378;
       break;
      }
      if ((get32(i98 + 264 | 0) | 0) >>> 0 <= i97 >>> 0) {
       i27 = 378;
       break;
      }
      i275 = getU16(i98 + 232 | 0) | 0;
     } while (0);
     if ((i27 | 0) == 378) i275 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i97) | 0;
     i98 = (i275 >>> 0) / 20 | 0;
     set32(i216 | 0, i98 | 0);
     set32(i223 | 0, i97 | 0);
     i270 = get32(i215 | 0) | 0;
     i271 = i97;
     i272 = i98;
     i27 = 380;
    } while (0);
    if ((i27 | 0) == 380) {
     i225 = i270 + 1 | 0;
     set32(i215 | 0, i225 | 0);
     set8(i271 + (i268 * 20 | 0) >> 0 | 0, 2 | 0);
     set8(i271 + (i268 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i271 + (i268 * 20 | 0) + 4 | 0, i221 | 0);
     set32(i271 + (i268 * 20 | 0) + 8 | 0, i255 | 0);
     set32(i271 + (i268 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i271 + (i268 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i271 + (i268 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i273 = i272;
     i274 = i225;
    }
    do if ((i273 | 0) > (i274 | 0)) {
     i276 = i274;
     i277 = get32(i20 + 4 | 0) | 0;
     i278 = i273;
     i27 = 391;
    } else {
     i225 = i20 + 4 | 0;
     i98 = _sqlite3DbRealloc(get32(i20 | 0) | 0, get32(i225 | 0) | 0, (i273 | 0) == 0 ? 1020 : i273 * 40 | 0) | 0;
     if (!i98) {
      i279 = get32(i216 | 0) | 0;
      i280 = get32(i215 | 0) | 0;
      break;
     }
     i239 = get32(i20 | 0) | 0;
     do if (!i239) i27 = 389; else {
      if ((get32(i239 + 260 | 0) | 0) >>> 0 > i98 >>> 0) {
       i27 = 389;
       break;
      }
      if ((get32(i239 + 264 | 0) | 0) >>> 0 <= i98 >>> 0) {
       i27 = 389;
       break;
      }
      i281 = getU16(i239 + 232 | 0) | 0;
     } while (0);
     if ((i27 | 0) == 389) i281 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i98) | 0;
     i239 = (i281 >>> 0) / 20 | 0;
     set32(i216 | 0, i239 | 0);
     set32(i225 | 0, i98 | 0);
     i276 = get32(i215 | 0) | 0;
     i277 = i98;
     i278 = i239;
     i27 = 391;
    } while (0);
    if ((i27 | 0) == 391) {
     i239 = i276 + 1 | 0;
     set32(i215 | 0, i239 | 0);
     set8(i277 + (i274 * 20 | 0) >> 0 | 0, 4 | 0);
     set8(i277 + (i274 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i277 + (i274 * 20 | 0) + 4 | 0, i31 | 0);
     set32(i277 + (i274 * 20 | 0) + 8 | 0, 0 | 0);
     set32(i277 + (i274 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i277 + (i274 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i277 + (i274 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i279 = i278;
     i280 = i239;
    }
    do if ((i279 | 0) > (i280 | 0)) {
     i282 = i280;
     i283 = get32(i20 + 4 | 0) | 0;
     i27 = 401;
    } else {
     i239 = i20 + 4 | 0;
     i97 = _sqlite3DbRealloc(get32(i20 | 0) | 0, get32(i239 | 0) | 0, (i279 | 0) == 0 ? 1020 : i279 * 40 | 0) | 0;
     if (!i97) break;
     i223 = get32(i20 | 0) | 0;
     do if (!i223) i27 = 399; else {
      if ((get32(i223 + 260 | 0) | 0) >>> 0 > i97 >>> 0) {
       i27 = 399;
       break;
      }
      if ((get32(i223 + 264 | 0) | 0) >>> 0 <= i97 >>> 0) {
       i27 = 399;
       break;
      }
      i284 = getU16(i223 + 232 | 0) | 0;
     } while (0);
     if ((i27 | 0) == 399) i284 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i97) | 0;
     set32(i216 | 0, (i284 >>> 0) / 20 | 0 | 0);
     set32(i239 | 0, i97 | 0);
     i282 = get32(i215 | 0) | 0;
     i283 = i97;
     i27 = 401;
    } while (0);
    if ((i27 | 0) == 401) {
     set32(i215 | 0, i282 + 1 | 0);
     set8(i283 + (i280 * 20 | 0) >> 0 | 0, 1 | 0);
     set8(i283 + (i280 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i283 + (i280 * 20 | 0) + 4 | 0, 0 | 0);
     set32(i283 + (i280 * 20 | 0) + 8 | 0, i266 | 0);
     set32(i283 + (i280 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i283 + (i280 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i283 + (i280 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    }
    i223 = i2 + 72 | 0;
    setF64(i223 | 0, +(+getF64(i82 + 72 | 0) + +getF64(i223 | 0)));
    if (i254) {
     i258 = i266;
     i259 = i255;
     i27 = 404;
    } else {
     i260 = i266;
     i261 = i255;
     i27 = 406;
    }
   }
   do if ((i27 | 0) == 404) {
    i223 = i2 + 72 | 0;
    d57 = +getF64(i82 + 72 | 0);
    if (!(+getF64(i223 | 0) > d57)) {
     i285 = 1;
     i286 = i258;
     i287 = i258;
     i288 = i259;
     break;
    }
    setF64(i223 | 0, +d57);
    i285 = 1;
    i286 = i258;
    i287 = i258;
    i288 = i259;
   } else if ((i27 | 0) == 406) {
    i223 = get32(i215 | 0) | 0;
    i98 = get32(i216 | 0) | 0;
    do if ((i98 | 0) > (i223 | 0)) {
     i289 = i223;
     i290 = get32(i20 + 4 | 0) | 0;
     i291 = i98;
     i27 = 416;
    } else {
     i225 = i20 + 4 | 0;
     i41 = _sqlite3DbRealloc(get32(i20 | 0) | 0, get32(i225 | 0) | 0, (i98 | 0) == 0 ? 1020 : i98 * 40 | 0) | 0;
     if (!i41) {
      i292 = 1;
      i293 = get32(i216 | 0) | 0;
      i294 = get32(i215 | 0) | 0;
      break;
     }
     i35 = get32(i20 | 0) | 0;
     do if (!i35) i27 = 414; else {
      if ((get32(i35 + 260 | 0) | 0) >>> 0 > i41 >>> 0) {
       i27 = 414;
       break;
      }
      if ((get32(i35 + 264 | 0) | 0) >>> 0 <= i41 >>> 0) {
       i27 = 414;
       break;
      }
      i295 = getU16(i35 + 232 | 0) | 0;
     } while (0);
     if ((i27 | 0) == 414) i295 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i41) | 0;
     i35 = (i295 >>> 0) / 20 | 0;
     set32(i216 | 0, i35 | 0);
     set32(i225 | 0, i41 | 0);
     i289 = get32(i215 | 0) | 0;
     i290 = i41;
     i291 = i35;
     i27 = 416;
    } while (0);
    if ((i27 | 0) == 416) {
     i98 = i289 + 1 | 0;
     set32(i215 | 0, i98 | 0);
     set8(i290 + (i223 * 20 | 0) >> 0 | 0, 26 | 0);
     set8(i290 + (i223 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i290 + (i223 * 20 | 0) + 4 | 0, i70 | 0);
     set32(i290 + (i223 * 20 | 0) + 8 | 0, i67 | 0);
     set32(i290 + (i223 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i290 + (i223 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i290 + (i223 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i292 = i223;
     i293 = i291;
     i294 = i98;
    }
    do if ((i293 | 0) > (i294 | 0)) {
     i296 = i294;
     i297 = get32(i20 + 4 | 0) | 0;
     i298 = i293;
     i27 = 427;
    } else {
     i98 = i20 + 4 | 0;
     i97 = _sqlite3DbRealloc(get32(i20 | 0) | 0, get32(i98 | 0) | 0, (i293 | 0) == 0 ? 1020 : i293 * 40 | 0) | 0;
     if (!i97) {
      i299 = get32(i216 | 0) | 0;
      i300 = get32(i215 | 0) | 0;
      break;
     }
     i239 = get32(i20 | 0) | 0;
     do if (!i239) i27 = 425; else {
      if ((get32(i239 + 260 | 0) | 0) >>> 0 > i97 >>> 0) {
       i27 = 425;
       break;
      }
      if ((get32(i239 + 264 | 0) | 0) >>> 0 <= i97 >>> 0) {
       i27 = 425;
       break;
      }
      i301 = getU16(i239 + 232 | 0) | 0;
     } while (0);
     if ((i27 | 0) == 425) i301 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i97) | 0;
     i239 = (i301 >>> 0) / 20 | 0;
     set32(i216 | 0, i239 | 0);
     set32(i98 | 0, i97 | 0);
     i296 = get32(i215 | 0) | 0;
     i297 = i97;
     i298 = i239;
     i27 = 427;
    } while (0);
    if ((i27 | 0) == 427) {
     i223 = i296 + 1 | 0;
     set32(i215 | 0, i223 | 0);
     set8(i297 + (i294 * 20 | 0) >> 0 | 0, 2 | 0);
     set8(i297 + (i294 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i297 + (i294 * 20 | 0) + 4 | 0, i220 | 0);
     set32(i297 + (i294 * 20 | 0) + 8 | 0, i236 | 0);
     set32(i297 + (i294 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i297 + (i294 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i297 + (i294 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i299 = i298;
     i300 = i223;
    }
    do if ((i299 | 0) > (i300 | 0)) {
     i302 = i300;
     i303 = get32(i20 + 4 | 0) | 0;
     i304 = i299;
     i27 = 438;
    } else {
     i223 = i20 + 4 | 0;
     i239 = _sqlite3DbRealloc(get32(i20 | 0) | 0, get32(i223 | 0) | 0, (i299 | 0) == 0 ? 1020 : i299 * 40 | 0) | 0;
     if (!i239) {
      i305 = get32(i216 | 0) | 0;
      i306 = get32(i215 | 0) | 0;
      break;
     }
     i41 = get32(i20 | 0) | 0;
     do if (!i41) i27 = 436; else {
      if ((get32(i41 + 260 | 0) | 0) >>> 0 > i239 >>> 0) {
       i27 = 436;
       break;
      }
      if ((get32(i41 + 264 | 0) | 0) >>> 0 <= i239 >>> 0) {
       i27 = 436;
       break;
      }
      i307 = getU16(i41 + 232 | 0) | 0;
     } while (0);
     if ((i27 | 0) == 436) i307 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i239) | 0;
     i41 = (i307 >>> 0) / 20 | 0;
     set32(i216 | 0, i41 | 0);
     set32(i223 | 0, i239 | 0);
     i302 = get32(i215 | 0) | 0;
     i303 = i239;
     i304 = i41;
     i27 = 438;
    } while (0);
    if ((i27 | 0) == 438) {
     i41 = i302 + 1 | 0;
     set32(i215 | 0, i41 | 0);
     set8(i303 + (i300 * 20 | 0) >> 0 | 0, 4 | 0);
     set8(i303 + (i300 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i303 + (i300 * 20 | 0) + 4 | 0, i55 | 0);
     set32(i303 + (i300 * 20 | 0) + 8 | 0, 0 | 0);
     set32(i303 + (i300 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i303 + (i300 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i303 + (i300 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i305 = i304;
     i306 = i41;
    }
    if ((i305 | 0) > (i306 | 0)) {
     i308 = i306;
     i309 = get32(i20 + 4 | 0) | 0;
    } else {
     i41 = i20 + 4 | 0;
     i97 = _sqlite3DbRealloc(get32(i20 | 0) | 0, get32(i41 | 0) | 0, (i305 | 0) == 0 ? 1020 : i305 * 40 | 0) | 0;
     if (!i97) {
      i285 = 0;
      i286 = i260;
      i287 = i292;
      i288 = i261;
      break;
     }
     i98 = get32(i20 | 0) | 0;
     do if (!i98) i27 = 446; else {
      if ((get32(i98 + 260 | 0) | 0) >>> 0 > i97 >>> 0) {
       i27 = 446;
       break;
      }
      if ((get32(i98 + 264 | 0) | 0) >>> 0 <= i97 >>> 0) {
       i27 = 446;
       break;
      }
      i310 = getU16(i98 + 232 | 0) | 0;
     } while (0);
     if ((i27 | 0) == 446) i310 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i97) | 0;
     set32(i216 | 0, (i310 >>> 0) / 20 | 0 | 0);
     set32(i41 | 0, i97 | 0);
     i308 = get32(i215 | 0) | 0;
     i309 = i97;
    }
    set32(i215 | 0, i308 + 1 | 0);
    set8(i309 + (i306 * 20 | 0) >> 0 | 0, 1 | 0);
    set8(i309 + (i306 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i309 + (i306 * 20 | 0) + 4 | 0, 0 | 0);
    set32(i309 + (i306 * 20 | 0) + 8 | 0, i292 | 0);
    set32(i309 + (i306 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i309 + (i306 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i309 + (i306 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i285 = 0;
    i286 = i260;
    i287 = i292;
    i288 = i261;
   } while (0);
   i98 = get32(i215 | 0) | 0;
   i225 = get32(i216 | 0) | 0;
   do if ((i225 | 0) > (i98 | 0)) {
    i311 = i98;
    i312 = get32(i20 + 4 | 0) | 0;
    i313 = i225;
    i27 = 459;
   } else {
    i35 = i20 + 4 | 0;
    i40 = _sqlite3DbRealloc(get32(i20 | 0) | 0, get32(i35 | 0) | 0, (i225 | 0) == 0 ? 1020 : i225 * 40 | 0) | 0;
    if (!i40) {
     i314 = 1;
     i315 = get32(i216 | 0) | 0;
     i316 = get32(i215 | 0) | 0;
     break;
    }
    i28 = get32(i20 | 0) | 0;
    do if (!i28) i27 = 457; else {
     if ((get32(i28 + 260 | 0) | 0) >>> 0 > i40 >>> 0) {
      i27 = 457;
      break;
     }
     if ((get32(i28 + 264 | 0) | 0) >>> 0 <= i40 >>> 0) {
      i27 = 457;
      break;
     }
     i317 = getU16(i28 + 232 | 0) | 0;
    } while (0);
    if ((i27 | 0) == 457) i317 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i40) | 0;
    i28 = (i317 >>> 0) / 20 | 0;
    set32(i216 | 0, i28 | 0);
    set32(i35 | 0, i40 | 0);
    i311 = get32(i215 | 0) | 0;
    i312 = i40;
    i313 = i28;
    i27 = 459;
   } while (0);
   if ((i27 | 0) == 459) {
    i225 = i311 + 1 | 0;
    set32(i215 | 0, i225 | 0);
    set8(i312 + (i98 * 20 | 0) >> 0 | 0, 2 | 0);
    set8(i312 + (i98 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i312 + (i98 * 20 | 0) + 4 | 0, i220 | 0);
    set32(i312 + (i98 * 20 | 0) + 8 | 0, i236 | 0);
    set32(i312 + (i98 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i312 + (i98 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i312 + (i98 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i314 = i98;
    i315 = i313;
    i316 = i225;
   }
   do if ((i315 | 0) > (i316 | 0)) {
    i318 = i316;
    i319 = get32(i20 + 4 | 0) | 0;
    i320 = i315;
    i27 = 470;
   } else {
    i225 = i20 + 4 | 0;
    i28 = _sqlite3DbRealloc(get32(i20 | 0) | 0, get32(i225 | 0) | 0, (i315 | 0) == 0 ? 1020 : i315 * 40 | 0) | 0;
    if (!i28) {
     i321 = get32(i216 | 0) | 0;
     i322 = get32(i215 | 0) | 0;
     break;
    }
    i97 = get32(i20 | 0) | 0;
    do if (!i97) i27 = 468; else {
     if ((get32(i97 + 260 | 0) | 0) >>> 0 > i28 >>> 0) {
      i27 = 468;
      break;
     }
     if ((get32(i97 + 264 | 0) | 0) >>> 0 <= i28 >>> 0) {
      i27 = 468;
      break;
     }
     i323 = getU16(i97 + 232 | 0) | 0;
    } while (0);
    if ((i27 | 0) == 468) i323 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i28) | 0;
    i97 = (i323 >>> 0) / 20 | 0;
    set32(i216 | 0, i97 | 0);
    set32(i225 | 0, i28 | 0);
    i318 = get32(i215 | 0) | 0;
    i319 = i28;
    i320 = i97;
    i27 = 470;
   } while (0);
   if ((i27 | 0) == 470) {
    i98 = i318 + 1 | 0;
    set32(i215 | 0, i98 | 0);
    set8(i319 + (i316 * 20 | 0) >> 0 | 0, 4 | 0);
    set8(i319 + (i316 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i319 + (i316 * 20 | 0) + 4 | 0, i55 | 0);
    set32(i319 + (i316 * 20 | 0) + 8 | 0, 0 | 0);
    set32(i319 + (i316 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i319 + (i316 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i319 + (i316 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i321 = i320;
    i322 = i98;
   }
   do if ((i321 | 0) > (i322 | 0)) {
    i324 = i322;
    i325 = get32(i20 + 4 | 0) | 0;
    i326 = i321;
    i27 = 481;
   } else {
    i98 = i20 + 4 | 0;
    i236 = _sqlite3DbRealloc(get32(i20 | 0) | 0, get32(i98 | 0) | 0, (i321 | 0) == 0 ? 1020 : i321 * 40 | 0) | 0;
    if (!i236) {
     i327 = get32(i216 | 0) | 0;
     i328 = get32(i215 | 0) | 0;
     break;
    }
    i220 = get32(i20 | 0) | 0;
    do if (!i220) i27 = 479; else {
     if ((get32(i220 + 260 | 0) | 0) >>> 0 > i236 >>> 0) {
      i27 = 479;
      break;
     }
     if ((get32(i220 + 264 | 0) | 0) >>> 0 <= i236 >>> 0) {
      i27 = 479;
      break;
     }
     i329 = getU16(i220 + 232 | 0) | 0;
    } while (0);
    if ((i27 | 0) == 479) i329 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i236) | 0;
    i220 = (i329 >>> 0) / 20 | 0;
    set32(i216 | 0, i220 | 0);
    set32(i98 | 0, i236 | 0);
    i324 = get32(i215 | 0) | 0;
    i325 = i236;
    i326 = i220;
    i27 = 481;
   } while (0);
   if ((i27 | 0) == 481) {
    i220 = i324 + 1 | 0;
    set32(i215 | 0, i220 | 0);
    set8(i325 + (i322 * 20 | 0) >> 0 | 0, 26 | 0);
    set8(i325 + (i322 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i325 + (i322 * 20 | 0) + 4 | 0, i70 | 0);
    set32(i325 + (i322 * 20 | 0) + 8 | 0, i286 | 0);
    set32(i325 + (i322 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i325 + (i322 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i325 + (i322 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i327 = i326;
    i328 = i220;
   }
   do if ((i327 | 0) > (i328 | 0)) {
    i330 = i328;
    i331 = get32(i20 + 4 | 0) | 0;
    i27 = 491;
   } else {
    i220 = i20 + 4 | 0;
    i28 = _sqlite3DbRealloc(get32(i20 | 0) | 0, get32(i220 | 0) | 0, (i327 | 0) == 0 ? 1020 : i327 * 40 | 0) | 0;
    if (!i28) break;
    i225 = get32(i20 | 0) | 0;
    do if (!i225) i27 = 489; else {
     if ((get32(i225 + 260 | 0) | 0) >>> 0 > i28 >>> 0) {
      i27 = 489;
      break;
     }
     if ((get32(i225 + 264 | 0) | 0) >>> 0 <= i28 >>> 0) {
      i27 = 489;
      break;
     }
     i332 = getU16(i225 + 232 | 0) | 0;
    } while (0);
    if ((i27 | 0) == 489) i332 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i28) | 0;
    set32(i216 | 0, (i332 >>> 0) / 20 | 0 | 0);
    set32(i220 | 0, i28 | 0);
    i330 = get32(i215 | 0) | 0;
    i331 = i28;
    i27 = 491;
   } while (0);
   if ((i27 | 0) == 491) {
    set32(i215 | 0, i330 + 1 | 0);
    set8(i331 + (i328 * 20 | 0) >> 0 | 0, 1 | 0);
    set8(i331 + (i328 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i331 + (i328 * 20 | 0) + 4 | 0, 0 | 0);
    set32(i331 + (i328 * 20 | 0) + 8 | 0, i68 | 0);
    set32(i331 + (i328 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i331 + (i328 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i331 + (i328 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   }
   do if (i32) {
    i333 = i314;
    i334 = i314;
   } else {
    if (i285) {
     i333 = i314;
     i334 = i314 + 1 | 0;
     break;
    }
    i225 = get32(i215 | 0) | 0;
    i236 = get32(i216 | 0) | 0;
    do if ((i236 | 0) > (i225 | 0)) {
     i335 = i225;
     i336 = get32(i20 + 4 | 0) | 0;
     i337 = i236;
     i27 = 505;
    } else {
     i98 = i20 + 4 | 0;
     i97 = _sqlite3DbRealloc(get32(i20 | 0) | 0, get32(i98 | 0) | 0, (i236 | 0) == 0 ? 1020 : i236 * 40 | 0) | 0;
     if (!i97) {
      i338 = 1;
      i339 = get32(i216 | 0) | 0;
      i340 = get32(i215 | 0) | 0;
      break;
     }
     i40 = get32(i20 | 0) | 0;
     do if (!i40) i27 = 503; else {
      if ((get32(i40 + 260 | 0) | 0) >>> 0 > i97 >>> 0) {
       i27 = 503;
       break;
      }
      if ((get32(i40 + 264 | 0) | 0) >>> 0 <= i97 >>> 0) {
       i27 = 503;
       break;
      }
      i341 = getU16(i40 + 232 | 0) | 0;
     } while (0);
     if ((i27 | 0) == 503) i341 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i97) | 0;
     i40 = (i341 >>> 0) / 20 | 0;
     set32(i216 | 0, i40 | 0);
     set32(i98 | 0, i97 | 0);
     i335 = get32(i215 | 0) | 0;
     i336 = i97;
     i337 = i40;
     i27 = 505;
    } while (0);
    if ((i27 | 0) == 505) {
     i236 = i335 + 1 | 0;
     set32(i215 | 0, i236 | 0);
     set8(i336 + (i225 * 20 | 0) >> 0 | 0, 4 | 0);
     set8(i336 + (i225 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i336 + (i225 * 20 | 0) + 4 | 0, i55 | 0);
     set32(i336 + (i225 * 20 | 0) + 8 | 0, 0 | 0);
     set32(i336 + (i225 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i336 + (i225 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i336 + (i225 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i338 = i225;
     i339 = i337;
     i340 = i236;
    }
    do if ((i339 | 0) > (i340 | 0)) {
     i342 = i340;
     i343 = get32(i20 + 4 | 0) | 0;
     i344 = i339;
     i27 = 516;
    } else {
     i236 = i20 + 4 | 0;
     i28 = _sqlite3DbRealloc(get32(i20 | 0) | 0, get32(i236 | 0) | 0, (i339 | 0) == 0 ? 1020 : i339 * 40 | 0) | 0;
     if (!i28) {
      i345 = get32(i216 | 0) | 0;
      i346 = get32(i215 | 0) | 0;
      break;
     }
     i220 = get32(i20 | 0) | 0;
     do if (!i220) i27 = 514; else {
      if ((get32(i220 + 260 | 0) | 0) >>> 0 > i28 >>> 0) {
       i27 = 514;
       break;
      }
      if ((get32(i220 + 264 | 0) | 0) >>> 0 <= i28 >>> 0) {
       i27 = 514;
       break;
      }
      i347 = getU16(i220 + 232 | 0) | 0;
     } while (0);
     if ((i27 | 0) == 514) i347 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i28) | 0;
     i220 = (i347 >>> 0) / 20 | 0;
     set32(i216 | 0, i220 | 0);
     set32(i236 | 0, i28 | 0);
     i342 = get32(i215 | 0) | 0;
     i343 = i28;
     i344 = i220;
     i27 = 516;
    } while (0);
    if ((i27 | 0) == 516) {
     i225 = i342 + 1 | 0;
     set32(i215 | 0, i225 | 0);
     set8(i343 + (i340 * 20 | 0) >> 0 | 0, 26 | 0);
     set8(i343 + (i340 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i343 + (i340 * 20 | 0) + 4 | 0, i70 | 0);
     set32(i343 + (i340 * 20 | 0) + 8 | 0, i286 | 0);
     set32(i343 + (i340 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i343 + (i340 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i343 + (i340 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i345 = i344;
     i346 = i225;
    }
    if ((i345 | 0) > (i346 | 0)) {
     i348 = i346;
     i349 = get32(i20 + 4 | 0) | 0;
    } else {
     i225 = i20 + 4 | 0;
     i220 = _sqlite3DbRealloc(get32(i20 | 0) | 0, get32(i225 | 0) | 0, (i345 | 0) == 0 ? 1020 : i345 * 40 | 0) | 0;
     if (!i220) {
      i333 = i338;
      i334 = i314;
      break;
     }
     i97 = get32(i20 | 0) | 0;
     do if (!i97) i27 = 524; else {
      if ((get32(i97 + 260 | 0) | 0) >>> 0 > i220 >>> 0) {
       i27 = 524;
       break;
      }
      if ((get32(i97 + 264 | 0) | 0) >>> 0 <= i220 >>> 0) {
       i27 = 524;
       break;
      }
      i350 = getU16(i97 + 232 | 0) | 0;
     } while (0);
     if ((i27 | 0) == 524) i350 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i220) | 0;
     set32(i216 | 0, (i350 >>> 0) / 20 | 0 | 0);
     set32(i225 | 0, i220 | 0);
     i348 = get32(i215 | 0) | 0;
     i349 = i220;
    }
    set32(i215 | 0, i348 + 1 | 0);
    set8(i349 + (i346 * 20 | 0) >> 0 | 0, 1 | 0);
    set8(i349 + (i346 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i349 + (i346 * 20 | 0) + 4 | 0, 0 | 0);
    set32(i349 + (i346 * 20 | 0) + 8 | 0, i68 | 0);
    set32(i349 + (i346 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i349 + (i346 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i349 + (i346 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i333 = i338;
    i334 = i314;
   } while (0);
   i97 = get32(i215 | 0) | 0;
   do if (i42) {
    i98 = get32(i216 | 0) | 0;
    if ((i98 | 0) > (i97 | 0)) {
     i351 = i97;
     i352 = get32(i20 + 4 | 0) | 0;
    } else {
     i40 = i20 + 4 | 0;
     i239 = _sqlite3DbRealloc(get32(i20 | 0) | 0, get32(i40 | 0) | 0, (i98 | 0) == 0 ? 1020 : i98 * 40 | 0) | 0;
     if (!i239) {
      i353 = get32(i215 | 0) | 0;
      break;
     }
     i98 = get32(i20 | 0) | 0;
     do if (!i98) i27 = 536; else {
      if ((get32(i98 + 260 | 0) | 0) >>> 0 > i239 >>> 0) {
       i27 = 536;
       break;
      }
      if ((get32(i98 + 264 | 0) | 0) >>> 0 <= i239 >>> 0) {
       i27 = 536;
       break;
      }
      i354 = getU16(i98 + 232 | 0) | 0;
     } while (0);
     if ((i27 | 0) == 536) i354 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i239) | 0;
     set32(i216 | 0, (i354 >>> 0) / 20 | 0 | 0);
     set32(i40 | 0, i239 | 0);
     i351 = get32(i215 | 0) | 0;
     i352 = i239;
    }
    i98 = i351 + 1 | 0;
    set32(i215 | 0, i98 | 0);
    set8(i352 + (i97 * 20 | 0) >> 0 | 0, 2 | 0);
    set8(i352 + (i97 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i352 + (i97 * 20 | 0) + 4 | 0, i221 | 0);
    set32(i352 + (i97 * 20 | 0) + 8 | 0, i288 | 0);
    set32(i352 + (i97 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i352 + (i97 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i352 + (i97 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i353 = i98;
   } else i353 = i97; while (0);
   i221 = get32(i216 | 0) | 0;
   do if ((i221 | 0) > (i353 | 0)) {
    i355 = i353;
    i356 = get32(i20 + 4 | 0) | 0;
    i357 = i221;
    i27 = 549;
   } else {
    i42 = i20 + 4 | 0;
    i98 = _sqlite3DbRealloc(get32(i20 | 0) | 0, get32(i42 | 0) | 0, (i221 | 0) == 0 ? 1020 : i221 * 40 | 0) | 0;
    if (!i98) {
     i358 = get32(i216 | 0) | 0;
     i359 = get32(i215 | 0) | 0;
     break;
    }
    i220 = get32(i20 | 0) | 0;
    do if (!i220) i27 = 547; else {
     if ((get32(i220 + 260 | 0) | 0) >>> 0 > i98 >>> 0) {
      i27 = 547;
      break;
     }
     if ((get32(i220 + 264 | 0) | 0) >>> 0 <= i98 >>> 0) {
      i27 = 547;
      break;
     }
     i360 = getU16(i220 + 232 | 0) | 0;
    } while (0);
    if ((i27 | 0) == 547) i360 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i98) | 0;
    i220 = (i360 >>> 0) / 20 | 0;
    set32(i216 | 0, i220 | 0);
    set32(i42 | 0, i98 | 0);
    i355 = get32(i215 | 0) | 0;
    i356 = i98;
    i357 = i220;
    i27 = 549;
   } while (0);
   if ((i27 | 0) == 549) {
    i221 = i355 + 1 | 0;
    set32(i215 | 0, i221 | 0);
    set8(i356 + (i353 * 20 | 0) >> 0 | 0, 4 | 0);
    set8(i356 + (i353 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i356 + (i353 * 20 | 0) + 4 | 0, i31 | 0);
    set32(i356 + (i353 * 20 | 0) + 8 | 0, 0 | 0);
    set32(i356 + (i353 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i356 + (i353 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i356 + (i353 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i358 = i357;
    i359 = i221;
   }
   do if ((i358 | 0) > (i359 | 0)) {
    i361 = i359;
    i362 = get32(i20 + 4 | 0) | 0;
    i363 = i358;
    i27 = 560;
   } else {
    i221 = i20 + 4 | 0;
    i220 = _sqlite3DbRealloc(get32(i20 | 0) | 0, get32(i221 | 0) | 0, (i358 | 0) == 0 ? 1020 : i358 * 40 | 0) | 0;
    if (!i220) {
     i364 = get32(i216 | 0) | 0;
     i365 = get32(i215 | 0) | 0;
     break;
    }
    i239 = get32(i20 | 0) | 0;
    do if (!i239) i27 = 558; else {
     if ((get32(i239 + 260 | 0) | 0) >>> 0 > i220 >>> 0) {
      i27 = 558;
      break;
     }
     if ((get32(i239 + 264 | 0) | 0) >>> 0 <= i220 >>> 0) {
      i27 = 558;
      break;
     }
     i366 = getU16(i239 + 232 | 0) | 0;
    } while (0);
    if ((i27 | 0) == 558) i366 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i220) | 0;
    i239 = (i366 >>> 0) / 20 | 0;
    set32(i216 | 0, i239 | 0);
    set32(i221 | 0, i220 | 0);
    i361 = get32(i215 | 0) | 0;
    i362 = i220;
    i363 = i239;
    i27 = 560;
   } while (0);
   if ((i27 | 0) == 560) {
    i239 = i361 + 1 | 0;
    set32(i215 | 0, i239 | 0);
    set8(i362 + (i359 * 20 | 0) >> 0 | 0, 26 | 0);
    set8(i362 + (i359 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i362 + (i359 * 20 | 0) + 4 | 0, i69 | 0);
    set32(i362 + (i359 * 20 | 0) + 8 | 0, i287 | 0);
    set32(i362 + (i359 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i362 + (i359 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i362 + (i359 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i364 = i363;
    i365 = i239;
   }
   do if ((i364 | 0) > (i365 | 0)) {
    i367 = i365;
    i368 = get32(i20 + 4 | 0) | 0;
    i27 = 571;
   } else {
    i239 = i20 + 4 | 0;
    i98 = _sqlite3DbRealloc(get32(i20 | 0) | 0, get32(i239 | 0) | 0, (i364 | 0) == 0 ? 1020 : i364 * 40 | 0) | 0;
    if (!i98) {
     i369 = get32(i215 | 0) | 0;
     break;
    }
    i42 = get32(i20 | 0) | 0;
    do if (!i42) i27 = 569; else {
     if ((get32(i42 + 260 | 0) | 0) >>> 0 > i98 >>> 0) {
      i27 = 569;
      break;
     }
     if ((get32(i42 + 264 | 0) | 0) >>> 0 <= i98 >>> 0) {
      i27 = 569;
      break;
     }
     i370 = getU16(i42 + 232 | 0) | 0;
    } while (0);
    if ((i27 | 0) == 569) i370 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i98) | 0;
    set32(i216 | 0, (i370 >>> 0) / 20 | 0 | 0);
    set32(i239 | 0, i98 | 0);
    i367 = get32(i215 | 0) | 0;
    i368 = i98;
    i27 = 571;
   } while (0);
   if ((i27 | 0) == 571) {
    i42 = i367 + 1 | 0;
    set32(i215 | 0, i42 | 0);
    set8(i368 + (i365 * 20 | 0) >> 0 | 0, 1 | 0);
    set8(i368 + (i365 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i368 + (i365 * 20 | 0) + 4 | 0, 0 | 0);
    set32(i368 + (i365 * 20 | 0) + 8 | 0, i68 | 0);
    set32(i368 + (i365 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i368 + (i365 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i368 + (i365 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i369 = i42;
   }
   if ((i369 | 0) > (i227 | 0)) set32((get32(i20 + 4 | 0) | 0) + (i227 * 20 | 0) + 8 | 0, i369 | 0);
   i42 = get32(i216 | 0) | 0;
   do if ((i42 | 0) > (i369 | 0)) {
    i371 = i369;
    i372 = get32(i20 + 4 | 0) | 0;
    i373 = i42;
    i27 = 584;
   } else {
    i220 = i20 + 4 | 0;
    i221 = _sqlite3DbRealloc(get32(i20 | 0) | 0, get32(i220 | 0) | 0, (i42 | 0) == 0 ? 1020 : i42 * 40 | 0) | 0;
    if (!i221) {
     i374 = get32(i216 | 0) | 0;
     i375 = get32(i215 | 0) | 0;
     break;
    }
    i40 = get32(i20 | 0) | 0;
    do if (!i40) i27 = 582; else {
     if ((get32(i40 + 260 | 0) | 0) >>> 0 > i221 >>> 0) {
      i27 = 582;
      break;
     }
     if ((get32(i40 + 264 | 0) | 0) >>> 0 <= i221 >>> 0) {
      i27 = 582;
      break;
     }
     i376 = getU16(i40 + 232 | 0) | 0;
    } while (0);
    if ((i27 | 0) == 582) i376 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i221) | 0;
    i40 = (i376 >>> 0) / 20 | 0;
    set32(i216 | 0, i40 | 0);
    set32(i220 | 0, i221 | 0);
    i371 = get32(i215 | 0) | 0;
    i372 = i221;
    i373 = i40;
    i27 = 584;
   } while (0);
   if ((i27 | 0) == 584) {
    i42 = i371 + 1 | 0;
    set32(i215 | 0, i42 | 0);
    set8(i372 + (i369 * 20 | 0) >> 0 | 0, 7 | 0);
    set8(i372 + (i369 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i372 + (i369 * 20 | 0) + 4 | 0, 0 | 0);
    set32(i372 + (i369 * 20 | 0) + 8 | 0, i70 | 0);
    set32(i372 + (i369 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i372 + (i369 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i372 + (i369 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i374 = i373;
    i375 = i42;
   }
   do if ((i374 | 0) > (i375 | 0)) {
    i377 = i375;
    i378 = get32(i20 + 4 | 0) | 0;
    i379 = i374;
    i27 = 595;
   } else {
    i42 = i20 + 4 | 0;
    i40 = _sqlite3DbRealloc(get32(i20 | 0) | 0, get32(i42 | 0) | 0, (i374 | 0) == 0 ? 1020 : i374 * 40 | 0) | 0;
    if (!i40) {
     i380 = get32(i216 | 0) | 0;
     i381 = get32(i215 | 0) | 0;
     break;
    }
    i98 = get32(i20 | 0) | 0;
    do if (!i98) i27 = 593; else {
     if ((get32(i98 + 260 | 0) | 0) >>> 0 > i40 >>> 0) {
      i27 = 593;
      break;
     }
     if ((get32(i98 + 264 | 0) | 0) >>> 0 <= i40 >>> 0) {
      i27 = 593;
      break;
     }
     i382 = getU16(i98 + 232 | 0) | 0;
    } while (0);
    if ((i27 | 0) == 593) i382 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i40) | 0;
    i98 = (i382 >>> 0) / 20 | 0;
    set32(i216 | 0, i98 | 0);
    set32(i42 | 0, i40 | 0);
    i377 = get32(i215 | 0) | 0;
    i378 = i40;
    i379 = i98;
    i27 = 595;
   } while (0);
   if ((i27 | 0) == 595) {
    i98 = i377 + 1 | 0;
    set32(i215 | 0, i98 | 0);
    set8(i378 + (i375 * 20 | 0) >> 0 | 0, 7 | 0);
    set8(i378 + (i375 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i378 + (i375 * 20 | 0) + 4 | 0, 0 | 0);
    set32(i378 + (i375 * 20 | 0) + 8 | 0, i69 | 0);
    set32(i378 + (i375 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i378 + (i375 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i378 + (i375 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i380 = i379;
    i381 = i98;
   }
   do if ((i380 | 0) > (i381 | 0)) {
    i383 = i381;
    i384 = get32(i20 + 4 | 0) | 0;
    i385 = i380;
    i27 = 606;
   } else {
    i98 = i20 + 4 | 0;
    i221 = _sqlite3DbRealloc(get32(i20 | 0) | 0, get32(i98 | 0) | 0, (i380 | 0) == 0 ? 1020 : i380 * 40 | 0) | 0;
    if (!i221) {
     i386 = get32(i216 | 0) | 0;
     i387 = get32(i215 | 0) | 0;
     break;
    }
    i220 = get32(i20 | 0) | 0;
    do if (!i220) i27 = 604; else {
     if ((get32(i220 + 260 | 0) | 0) >>> 0 > i221 >>> 0) {
      i27 = 604;
      break;
     }
     if ((get32(i220 + 264 | 0) | 0) >>> 0 <= i221 >>> 0) {
      i27 = 604;
      break;
     }
     i388 = getU16(i220 + 232 | 0) | 0;
    } while (0);
    if ((i27 | 0) == 604) i388 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i221) | 0;
    i220 = (i388 >>> 0) / 20 | 0;
    set32(i216 | 0, i220 | 0);
    set32(i98 | 0, i221 | 0);
    i383 = get32(i215 | 0) | 0;
    i384 = i221;
    i385 = i220;
    i27 = 606;
   } while (0);
   if ((i27 | 0) == 606) {
    i220 = i383 + 1 | 0;
    set32(i215 | 0, i220 | 0);
    set8(i384 + (i381 * 20 | 0) >> 0 | 0, 2 | 0);
    set8(i384 + (i381 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i384 + (i381 * 20 | 0) + 4 | 0, i55 | 0);
    set32(i384 + (i381 * 20 | 0) + 8 | 0, i226 | 0);
    set32(i384 + (i381 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i384 + (i381 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i384 + (i381 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i386 = i385;
    i387 = i220;
   }
   do if ((i386 | 0) > (i387 | 0)) {
    i389 = i387;
    i390 = get32(i20 + 4 | 0) | 0;
    i391 = i386;
    i27 = 617;
   } else {
    i220 = i20 + 4 | 0;
    i40 = _sqlite3DbRealloc(get32(i20 | 0) | 0, get32(i220 | 0) | 0, (i386 | 0) == 0 ? 1020 : i386 * 40 | 0) | 0;
    if (!i40) {
     i392 = get32(i216 | 0) | 0;
     i393 = get32(i215 | 0) | 0;
     break;
    }
    i42 = get32(i20 | 0) | 0;
    do if (!i42) i27 = 615; else {
     if ((get32(i42 + 260 | 0) | 0) >>> 0 > i40 >>> 0) {
      i27 = 615;
      break;
     }
     if ((get32(i42 + 264 | 0) | 0) >>> 0 <= i40 >>> 0) {
      i27 = 615;
      break;
     }
     i394 = getU16(i42 + 232 | 0) | 0;
    } while (0);
    if ((i27 | 0) == 615) i394 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i40) | 0;
    i42 = (i394 >>> 0) / 20 | 0;
    set32(i216 | 0, i42 | 0);
    set32(i220 | 0, i40 | 0);
    i389 = get32(i215 | 0) | 0;
    i390 = i40;
    i391 = i42;
    i27 = 617;
   } while (0);
   if ((i27 | 0) == 617) {
    i226 = i389 + 1 | 0;
    set32(i215 | 0, i226 | 0);
    set8(i390 + (i387 * 20 | 0) >> 0 | 0, 2 | 0);
    set8(i390 + (i387 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i390 + (i387 * 20 | 0) + 4 | 0, i31 | 0);
    set32(i390 + (i387 * 20 | 0) + 8 | 0, i243 | 0);
    set32(i390 + (i387 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i390 + (i387 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i390 + (i387 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i392 = i391;
    i393 = i226;
   }
   do if ((i392 | 0) > (i393 | 0)) {
    i395 = i393;
    i396 = get32(i20 + 4 | 0) | 0;
    i397 = i392;
    i27 = 628;
   } else {
    i226 = i20 + 4 | 0;
    i55 = _sqlite3DbRealloc(get32(i20 | 0) | 0, get32(i226 | 0) | 0, (i392 | 0) == 0 ? 1020 : i392 * 40 | 0) | 0;
    if (!i55) {
     i398 = get32(i216 | 0) | 0;
     i399 = get32(i215 | 0) | 0;
     break;
    }
    i42 = get32(i20 | 0) | 0;
    do if (!i42) i27 = 626; else {
     if ((get32(i42 + 260 | 0) | 0) >>> 0 > i55 >>> 0) {
      i27 = 626;
      break;
     }
     if ((get32(i42 + 264 | 0) | 0) >>> 0 <= i55 >>> 0) {
      i27 = 626;
      break;
     }
     i400 = getU16(i42 + 232 | 0) | 0;
    } while (0);
    if ((i27 | 0) == 626) i400 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i55) | 0;
    i42 = (i400 >>> 0) / 20 | 0;
    set32(i216 | 0, i42 | 0);
    set32(i226 | 0, i55 | 0);
    i395 = get32(i215 | 0) | 0;
    i396 = i55;
    i397 = i42;
    i27 = 628;
   } while (0);
   if ((i27 | 0) == 628) {
    i31 = i395 + 1 | 0;
    set32(i215 | 0, i31 | 0);
    set8(i396 + (i393 * 20 | 0) >> 0 | 0, 26 | 0);
    set8(i396 + (i393 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i396 + (i393 * 20 | 0) + 4 | 0, i70 | 0);
    set32(i396 + (i393 * 20 | 0) + 8 | 0, i286 | 0);
    set32(i396 + (i393 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i396 + (i393 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i396 + (i393 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i398 = i397;
    i399 = i31;
   }
   do if ((i398 | 0) > (i399 | 0)) {
    i401 = i399;
    i402 = get32(i20 + 4 | 0) | 0;
    i27 = 638;
   } else {
    i31 = i20 + 4 | 0;
    i42 = _sqlite3DbRealloc(get32(i20 | 0) | 0, get32(i31 | 0) | 0, (i398 | 0) == 0 ? 1020 : i398 * 40 | 0) | 0;
    if (!i42) break;
    i40 = get32(i20 | 0) | 0;
    do if (!i40) i27 = 636; else {
     if ((get32(i40 + 260 | 0) | 0) >>> 0 > i42 >>> 0) {
      i27 = 636;
      break;
     }
     if ((get32(i40 + 264 | 0) | 0) >>> 0 <= i42 >>> 0) {
      i27 = 636;
      break;
     }
     i403 = getU16(i40 + 232 | 0) | 0;
    } while (0);
    if ((i27 | 0) == 636) i403 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i42) | 0;
    set32(i216 | 0, (i403 >>> 0) / 20 | 0 | 0);
    set32(i31 | 0, i42 | 0);
    i401 = get32(i215 | 0) | 0;
    i402 = i42;
    i27 = 638;
   } while (0);
   if ((i27 | 0) == 638) {
    set32(i215 | 0, i401 + 1 | 0);
    set8(i402 + (i399 * 20 | 0) >> 0 | 0, 26 | 0);
    set8(i402 + (i399 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i402 + (i399 * 20 | 0) + 4 | 0, i69 | 0);
    set32(i402 + (i399 * 20 | 0) + 8 | 0, i287 | 0);
    set32(i402 + (i399 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i402 + (i399 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i402 + (i399 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   }
   i70 = i20 + 44 | 0;
   i40 = get32(i70 | 0) | 0;
   if (i40) set32(i40 + (i83 << 2) | 0, get32(i215 | 0) | 0);
   i40 = get32(i215 | 0) | 0;
   i55 = get32(i216 | 0) | 0;
   do if ((i55 | 0) > (i40 | 0)) {
    i226 = i20 + 4 | 0;
    i404 = i226;
    i405 = i20;
    i406 = i40;
    i407 = get32(i226 | 0) | 0;
    i27 = 650;
   } else {
    i226 = i20 + 4 | 0;
    i220 = _sqlite3DbRealloc(get32(i20 | 0) | 0, get32(i226 | 0) | 0, (i55 | 0) == 0 ? 1020 : i55 * 40 | 0) | 0;
    if (!i220) {
     i408 = 1;
     i409 = i20;
     i410 = i226;
     break;
    }
    i221 = get32(i20 | 0) | 0;
    do if (!i221) i27 = 648; else {
     if ((get32(i221 + 260 | 0) | 0) >>> 0 > i220 >>> 0) {
      i27 = 648;
      break;
     }
     if ((get32(i221 + 264 | 0) | 0) >>> 0 <= i220 >>> 0) {
      i27 = 648;
      break;
     }
     i411 = getU16(i221 + 232 | 0) | 0;
    } while (0);
    if ((i27 | 0) == 648) i411 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i220) | 0;
    set32(i216 | 0, (i411 >>> 0) / 20 | 0 | 0);
    set32(i226 | 0, i220 | 0);
    i404 = i226;
    i405 = i20;
    i406 = get32(i215 | 0) | 0;
    i407 = i220;
    i27 = 650;
   } while (0);
   if ((i27 | 0) == 650) {
    set32(i215 | 0, i406 + 1 | 0);
    set8(i407 + (i40 * 20 | 0) >> 0 | 0, 23 | 0);
    set8(i407 + (i40 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i38 = i407 + (i40 * 20 | 0) + 3 | 0;
    i39 = i38 + 17 | 0;
    do {
     set8(i38 >> 0 | 0, 0 | 0);
     i38 = i38 + 1 | 0;
    } while ((i38 | 0) < (i39 | 0));
    i408 = i40;
    i409 = i405;
    i410 = i404;
   }
   i55 = get32(i409 | 0) | 0;
   i69 = get32(i410 | 0) | 0;
   do if (i69) {
    if (get8(i55 + 30 >> 0 | 0) | 0) {
     i27 = 653;
     break;
    }
    if ((i408 | 0) < 0) i412 = (get32(i215 | 0) | 0) + -1 | 0; else i412 = i408;
    i221 = i69 + (i412 * 20 | 0) + 1 | 0;
    i42 = i69 + (i412 * 20 | 0) + 16 | 0;
    _freeP4(i55, get8(i221 >> 0 | 0) | 0, get32(i42 | 0) | 0);
    set32(i42 | 0, 0 | 0);
    if (i177) {
     set32(i42 | 0, 0 | 0);
     set8(i221 >> 0 | 0, 0 | 0);
     break;
    } else {
     set32(i42 | 0, i176 | 0);
     set8(i221 >> 0 | 0, -15 | 0);
     break;
    }
   } else i27 = 653; while (0);
   do if ((i27 | 0) == 653) {
    if (i177) break;
    _sqlite3DbFree(i55, i176);
   } while (0);
   i55 = get32(i78 | 0) | 0;
   i69 = get32(i222 | 0) | 0;
   i40 = get32(i215 | 0) | 0;
   i221 = get32(i216 | 0) | 0;
   do if ((i221 | 0) > (i40 | 0)) {
    i413 = i40;
    i414 = get32(i410 | 0) | 0;
    i27 = 669;
   } else {
    i42 = _sqlite3DbRealloc(get32(i409 | 0) | 0, get32(i410 | 0) | 0, (i221 | 0) == 0 ? 1020 : i221 * 40 | 0) | 0;
    if (!i42) {
     i415 = 1;
     break;
    }
    i31 = get32(i409 | 0) | 0;
    do if (!i31) i27 = 667; else {
     if ((get32(i31 + 260 | 0) | 0) >>> 0 > i42 >>> 0) {
      i27 = 667;
      break;
     }
     if ((get32(i31 + 264 | 0) | 0) >>> 0 <= i42 >>> 0) {
      i27 = 667;
      break;
     }
     i416 = getU16(i31 + 232 | 0) | 0;
    } while (0);
    if ((i27 | 0) == 667) i416 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i42) | 0;
    set32(i216 | 0, (i416 >>> 0) / 20 | 0 | 0);
    set32(i410 | 0, i42 | 0);
    i413 = get32(i215 | 0) | 0;
    i414 = i42;
    i27 = 669;
   } while (0);
   if ((i27 | 0) == 669) {
    set32(i215 | 0, i413 + 1 | 0);
    set8(i414 + (i40 * 20 | 0) >> 0 | 0, 24 | 0);
    set8(i414 + (i40 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i414 + (i40 * 20 | 0) + 4 | 0, i55 | 0);
    set32(i414 + (i40 * 20 | 0) + 8 | 0, i69 | 0);
    set32(i414 + (i40 * 20 | 0) + 12 | 0, i179 | 0);
    set32(i414 + (i40 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i414 + (i40 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i415 = i40;
   }
   i221 = get32(i409 | 0) | 0;
   i222 = get32(i410 | 0) | 0;
   do if (i222) {
    if (get8(i221 + 30 >> 0 | 0) | 0) {
     i27 = 672;
     break;
    }
    if ((i415 | 0) < 0) i417 = (get32(i215 | 0) | 0) + -1 | 0; else i417 = i415;
    i78 = i222 + (i417 * 20 | 0) + 1 | 0;
    i31 = i222 + (i417 * 20 | 0) + 16 | 0;
    _freeP4(i221, get8(i78 >> 0 | 0) | 0, get32(i31 | 0) | 0);
    set32(i31 | 0, 0 | 0);
    if (!i180) {
     set32(i31 | 0, 0 | 0);
     set8(i78 >> 0 | 0, 0 | 0);
     break;
    } else {
     set32(i31 | 0, i180 | 0);
     set8(i78 >> 0 | 0, -6 | 0);
     break;
    }
   } else i27 = 672; while (0);
   do if ((i27 | 0) == 672) {
    if (!i180) break;
    _sqlite3DbFree(i221, i180);
   } while (0);
   i221 = get32(i215 | 0) | 0;
   i222 = get32(i216 | 0) | 0;
   do if ((i222 | 0) > (i221 | 0)) {
    i418 = i221;
    i419 = get32(i410 | 0) | 0;
    i27 = 688;
   } else {
    i40 = _sqlite3DbRealloc(get32(i409 | 0) | 0, get32(i410 | 0) | 0, (i222 | 0) == 0 ? 1020 : i222 * 40 | 0) | 0;
    if (!i40) break;
    i69 = get32(i409 | 0) | 0;
    do if (!i69) i27 = 686; else {
     if ((get32(i69 + 260 | 0) | 0) >>> 0 > i40 >>> 0) {
      i27 = 686;
      break;
     }
     if ((get32(i69 + 264 | 0) | 0) >>> 0 <= i40 >>> 0) {
      i27 = 686;
      break;
     }
     i420 = getU16(i69 + 232 | 0) | 0;
    } while (0);
    if ((i27 | 0) == 686) i420 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i40) | 0;
    set32(i216 | 0, (i420 >>> 0) / 20 | 0 | 0);
    set32(i410 | 0, i40 | 0);
    i418 = get32(i215 | 0) | 0;
    i419 = i40;
    i27 = 688;
   } while (0);
   if ((i27 | 0) == 688) {
    set32(i215 | 0, i418 + 1 | 0);
    set8(i419 + (i221 * 20 | 0) >> 0 | 0, 25 | 0);
    set8(i419 + (i221 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i419 + (i221 * 20 | 0) + 4 | 0, i334 | 0);
    set32(i419 + (i221 * 20 | 0) + 8 | 0, i333 | 0);
    set32(i419 + (i221 * 20 | 0) + 12 | 0, i97 | 0);
    set32(i419 + (i221 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i419 + (i221 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   }
   do if (i204) {
    i222 = i204 + i179 | 0;
    i69 = i1 + 21 | 0;
    i42 = 0;
    i55 = i1 + 96 | 0;
    while (1) {
     i78 = i55 + 16 | 0;
     i31 = get32(i78 | 0) | 0;
     if (!((i31 | 0) < (i204 | 0) | (i31 | 0) > (i222 | 0))) {
      i220 = i55 + 8 | 0;
      if (get8(i220 >> 0 | 0) | 0) {
       i226 = get8(i69 >> 0 | 0) | 0;
       if ((i226 & 255) < 8) {
        set8(i69 >> 0 | 0, i226 + 1 << 24 >> 24 | 0);
        set32(i1 + 24 + ((i226 & 255) << 2) | 0, i31 | 0);
       }
       set8(i220 >> 0 | 0, 0 | 0);
      }
      set32(i78 | 0, 0 | 0);
     }
     i42 = i42 + 1 | 0;
     if ((i42 | 0) == 10) break; else i55 = i55 + 24 | 0;
    }
    i55 = i179 + 1 | 0;
    i42 = i1 + 56 | 0;
    if ((get32(i42 | 0) | 0) >= (i55 | 0)) break;
    set32(i42 | 0, i55 | 0);
    set32(i1 + 60 | 0, i204 | 0);
   } while (0);
   i221 = get32(i70 | 0) | 0;
   if (i221) set32(i221 + (i103 << 2) | 0, get32(i215 | 0) | 0);
   if ((get8(i3 >> 0 | 0) | 0) == 5) {
    i221 = i82;
    while (1) {
     i97 = get32(i221 + 28 | 0) | 0;
     if (!i97) {
      i421 = i221;
      break;
     } else i221 = i97;
    }
    _generateColumnNames(i1, 0, get32(i421 | 0) | 0);
   }
   i221 = get32(i18 | 0) | 0;
   if (i221) {
    i70 = get32(i221 | 0) | 0;
    if (i70) {
     i97 = i70 + 12 | 0;
     if ((get32(i70 | 0) | 0) > 0) {
      i55 = 0;
      i42 = get32(i97 | 0) | 0;
      while (1) {
       _sqlite3ExprDelete(i33, get32(i42 | 0) | 0);
       _sqlite3DbFree(i33, get32(i42 + 4 | 0) | 0);
       _sqlite3DbFree(i33, get32(i42 + 8 | 0) | 0);
       i55 = i55 + 1 | 0;
       if ((i55 | 0) >= (get32(i70 | 0) | 0)) break; else i42 = i42 + 20 | 0;
      }
     }
     _sqlite3DbFree(i33, get32(i97 | 0) | 0);
     _sqlite3DbFree(i33, i70);
    }
    _sqlite3SrcListDelete(i33, get32(i221 + 8 | 0) | 0);
    _sqlite3ExprDelete(i33, get32(i221 + 12 | 0) | 0);
    i42 = get32(i221 + 16 | 0) | 0;
    if (i42) {
     i55 = i42 + 12 | 0;
     if ((get32(i42 | 0) | 0) > 0) {
      i69 = 0;
      i222 = get32(i55 | 0) | 0;
      while (1) {
       _sqlite3ExprDelete(i33, get32(i222 | 0) | 0);
       _sqlite3DbFree(i33, get32(i222 + 4 | 0) | 0);
       _sqlite3DbFree(i33, get32(i222 + 8 | 0) | 0);
       i69 = i69 + 1 | 0;
       if ((i69 | 0) >= (get32(i42 | 0) | 0)) break; else i222 = i222 + 20 | 0;
      }
     }
     _sqlite3DbFree(i33, get32(i55 | 0) | 0);
     _sqlite3DbFree(i33, i42);
    }
    _sqlite3ExprDelete(i33, get32(i221 + 20 | 0) | 0);
    i222 = get32(i221 + 24 | 0) | 0;
    if (i222) {
     i69 = i222 + 12 | 0;
     if ((get32(i222 | 0) | 0) > 0) {
      i70 = 0;
      i97 = get32(i69 | 0) | 0;
      while (1) {
       _sqlite3ExprDelete(i33, get32(i97 | 0) | 0);
       _sqlite3DbFree(i33, get32(i97 + 4 | 0) | 0);
       _sqlite3DbFree(i33, get32(i97 + 8 | 0) | 0);
       i70 = i70 + 1 | 0;
       if ((i70 | 0) >= (get32(i222 | 0) | 0)) break; else i97 = i97 + 20 | 0;
      }
     }
     _sqlite3DbFree(i33, get32(i69 | 0) | 0);
     _sqlite3DbFree(i33, i222);
    }
    i97 = get32(i221 + 28 | 0) | 0;
    if (i97) {
     _clearSelect(i33, i97);
     _sqlite3DbFree(i33, i97);
    }
    _sqlite3ExprDelete(i33, get32(i221 + 40 | 0) | 0);
    _sqlite3ExprDelete(i33, get32(i221 + 44 | 0) | 0);
    _sqlite3DbFree(i33, i221);
   }
   set32(i18 | 0, i82 | 0);
   if ((get8(i1 + 484 >> 0 | 0) | 0) != 2) {
    i188 = 0;
    break;
   }
   i97 = get32(i24 | 0) | 0;
   i70 = get32(i1 | 0) | 0;
   switch (getU8(i79 >> 0 | 0) | 0) {
   case 113:
    {
     i422 = 32245;
     break;
    }
   case 115:
    {
     i422 = 32255;
     break;
    }
   case 114:
    {
     i422 = 32265;
     break;
    }
   default:
    i422 = 32272;
   }
   set32(i6 | 0, i224 | 0);
   set32(i6 + 4 | 0, i235 | 0);
   set32(i6 + 8 | 0, 16820 | 0);
   set32(i6 + 12 | 0, i422 | 0);
   i42 = _sqlite3MPrintf(i70, 32278, i6) | 0;
   i70 = get32(i1 + 552 | 0) | 0;
   i55 = i97 + 28 | 0;
   i40 = get32(i55 | 0) | 0;
   i78 = i97 + 32 | 0;
   i220 = get32(i78 | 0) | 0;
   do if ((i220 | 0) > (i40 | 0)) {
    i31 = i97 + 4 | 0;
    i423 = i31;
    i424 = i97;
    i425 = i40;
    i426 = get32(i31 | 0) | 0;
    i27 = 738;
   } else {
    i31 = i97 + 4 | 0;
    i226 = _sqlite3DbRealloc(get32(i97 | 0) | 0, get32(i31 | 0) | 0, (i220 | 0) == 0 ? 1020 : i220 * 40 | 0) | 0;
    if (!i226) {
     i427 = 1;
     i428 = i97;
     i429 = i31;
     break;
    }
    i98 = get32(i97 | 0) | 0;
    do if (!i98) i27 = 736; else {
     if ((get32(i98 + 260 | 0) | 0) >>> 0 > i226 >>> 0) {
      i27 = 736;
      break;
     }
     if ((get32(i98 + 264 | 0) | 0) >>> 0 <= i226 >>> 0) {
      i27 = 736;
      break;
     }
     i430 = getU16(i98 + 232 | 0) | 0;
    } while (0);
    if ((i27 | 0) == 736) i430 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i226) | 0;
    set32(i78 | 0, (i430 >>> 0) / 20 | 0 | 0);
    set32(i31 | 0, i226 | 0);
    i423 = i31;
    i424 = i97;
    i425 = get32(i55 | 0) | 0;
    i426 = i226;
    i27 = 738;
   } while (0);
   if ((i27 | 0) == 738) {
    set32(i55 | 0, i425 + 1 | 0);
    set8(i426 + (i40 * 20 | 0) >> 0 | 0, -118 | 0);
    set8(i426 + (i40 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i426 + (i40 * 20 | 0) + 4 | 0, i70 | 0);
    set32(i426 + (i40 * 20 | 0) + 8 | 0, 0 | 0);
    set32(i426 + (i40 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i426 + (i40 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i426 + (i40 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i427 = i40;
    i428 = i424;
    i429 = i423;
   }
   i97 = get32(i428 | 0) | 0;
   i78 = get32(i429 | 0) | 0;
   do if (i78) {
    if (get8(i97 + 30 >> 0 | 0) | 0) break;
    if ((i427 | 0) < 0) i431 = (get32(i55 | 0) | 0) + -1 | 0; else i431 = i427;
    i220 = i78 + (i431 * 20 | 0) + 1 | 0;
    i235 = i78 + (i431 * 20 | 0) + 16 | 0;
    _freeP4(i97, get8(i220 >> 0 | 0) | 0, get32(i235 | 0) | 0);
    set32(i235 | 0, 0 | 0);
    if (!i42) {
     set32(i235 | 0, 0 | 0);
     set8(i220 >> 0 | 0, 0 | 0);
     i188 = 0;
     break L742;
    } else {
     set32(i235 | 0, i42 | 0);
     set8(i220 >> 0 | 0, -1 | 0);
     i188 = 0;
     break L742;
    }
   } while (0);
   if (!i42) {
    i188 = 0;
    break;
   }
   _sqlite3DbFree(i97, i42);
   i188 = 0;
  } while (0);
  i432 = i188;
  STACKTOP = i4;
  return i432 | 0;
 } else {
  switch (getU8(i2 + 4 >> 0 | 0) | 0) {
  case 113:
   {
    i433 = 32245;
    break;
   }
  case 115:
   {
    i433 = 32255;
    break;
   }
  case 114:
   {
    i433 = 32265;
    break;
   }
  default:
   i433 = 32272;
  }
  set32(i9 | 0, i433 | 0);
  _sqlite3ErrorMsg(i1, 32070, i9);
  i22 = 0;
  i23 = 1;
 } while (0);
 set32(i3 + 8 | 0, get32(i13 + 8 | 0) | 0);
 set32(i3 + 12 | 0, get32(i13 + 12 | 0) | 0);
 if (!i22) {
  i432 = i23;
  STACKTOP = i4;
  return i432 | 0;
 }
 i13 = get32(i22 | 0) | 0;
 if (i13) {
  i3 = i13 + 12 | 0;
  if ((get32(i13 | 0) | 0) > 0) {
   i9 = 0;
   i1 = get32(i3 | 0) | 0;
   while (1) {
    _sqlite3ExprDelete(i17, get32(i1 | 0) | 0);
    _sqlite3DbFree(i17, get32(i1 + 4 | 0) | 0);
    _sqlite3DbFree(i17, get32(i1 + 8 | 0) | 0);
    i9 = i9 + 1 | 0;
    if ((i9 | 0) >= (get32(i13 | 0) | 0)) break; else i1 = i1 + 20 | 0;
   }
  }
  _sqlite3DbFree(i17, get32(i3 | 0) | 0);
  _sqlite3DbFree(i17, i13);
 }
 _sqlite3SrcListDelete(i17, get32(i22 + 8 | 0) | 0);
 _sqlite3ExprDelete(i17, get32(i22 + 12 | 0) | 0);
 i13 = get32(i22 + 16 | 0) | 0;
 if (i13) {
  i3 = i13 + 12 | 0;
  if ((get32(i13 | 0) | 0) > 0) {
   i1 = 0;
   i9 = get32(i3 | 0) | 0;
   while (1) {
    _sqlite3ExprDelete(i17, get32(i9 | 0) | 0);
    _sqlite3DbFree(i17, get32(i9 + 4 | 0) | 0);
    _sqlite3DbFree(i17, get32(i9 + 8 | 0) | 0);
    i1 = i1 + 1 | 0;
    if ((i1 | 0) >= (get32(i13 | 0) | 0)) break; else i9 = i9 + 20 | 0;
   }
  }
  _sqlite3DbFree(i17, get32(i3 | 0) | 0);
  _sqlite3DbFree(i17, i13);
 }
 _sqlite3ExprDelete(i17, get32(i22 + 20 | 0) | 0);
 i13 = get32(i22 + 24 | 0) | 0;
 if (i13) {
  i3 = i13 + 12 | 0;
  if ((get32(i13 | 0) | 0) > 0) {
   i9 = 0;
   i1 = get32(i3 | 0) | 0;
   while (1) {
    _sqlite3ExprDelete(i17, get32(i1 | 0) | 0);
    _sqlite3DbFree(i17, get32(i1 + 4 | 0) | 0);
    _sqlite3DbFree(i17, get32(i1 + 8 | 0) | 0);
    i9 = i9 + 1 | 0;
    if ((i9 | 0) >= (get32(i13 | 0) | 0)) break; else i1 = i1 + 20 | 0;
   }
  }
  _sqlite3DbFree(i17, get32(i3 | 0) | 0);
  _sqlite3DbFree(i17, i13);
 }
 _sqlite3SelectDelete(i17, get32(i22 + 28 | 0) | 0);
 _sqlite3ExprDelete(i17, get32(i22 + 40 | 0) | 0);
 _sqlite3ExprDelete(i17, get32(i22 + 44 | 0) | 0);
 _sqlite3DbFree(i17, i22);
 i432 = i23;
 STACKTOP = i4;
 return i432 | 0;
}
function _sqlite3ExprCodeTarget(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0, i80 = 0, i81 = 0, i82 = 0, i83 = 0, i84 = 0, i85 = 0, i86 = 0, i87 = 0, i88 = 0, i89 = 0, i90 = 0, i91 = 0, i92 = 0, i93 = 0, i94 = 0, i95 = 0, i96 = 0, i97 = 0, i98 = 0, i99 = 0, i100 = 0, i101 = 0, i102 = 0, i103 = 0, i104 = 0, i105 = 0, i106 = 0, i107 = 0, i108 = 0, i109 = 0, i110 = 0, i111 = 0, i112 = 0, i113 = 0, i114 = 0, i115 = 0, i116 = 0, i117 = 0, i118 = 0, i119 = 0, i120 = 0, i121 = 0, d122 = 0.0, i123 = 0, i124 = 0, i125 = 0, i126 = 0, i127 = 0, i128 = 0, i129 = 0, i130 = 0, i131 = 0, i132 = 0, i133 = 0, i134 = 0, i135 = 0, i136 = 0, i137 = 0, i138 = 0, i139 = 0, i140 = 0, i141 = 0, i142 = 0, i143 = 0, i144 = 0, i145 = 0, i146 = 0, i147 = 0, i148 = 0, i149 = 0, i150 = 0, i151 = 0, i152 = 0, i153 = 0, i154 = 0, i155 = 0, i156 = 0, i157 = 0, i158 = 0, i159 = 0, i160 = 0, i161 = 0, i162 = 0, i163 = 0, i164 = 0, i165 = 0, i166 = 0, i167 = 0, i168 = 0, i169 = 0, i170 = 0, i171 = 0, i172 = 0, i173 = 0, i174 = 0, i175 = 0, i176 = 0, i177 = 0, i178 = 0, i179 = 0, i180 = 0, i181 = 0, i182 = 0, i183 = 0, i184 = 0, i185 = 0, i186 = 0, i187 = 0, i188 = 0, i189 = 0, i190 = 0, i191 = 0, i192 = 0, i193 = 0, i194 = 0, i195 = 0, i196 = 0, i197 = 0, i198 = 0, i199 = 0, i200 = 0, i201 = 0, i202 = 0, i203 = 0, i204 = 0, i205 = 0, i206 = 0, i207 = 0, i208 = 0, i209 = 0, i210 = 0, i211 = 0, i212 = 0, i213 = 0, i214 = 0, i215 = 0, i216 = 0, i217 = 0, i218 = 0, i219 = 0, i220 = 0, i221 = 0, i222 = 0, i223 = 0, i224 = 0, i225 = 0, i226 = 0, i227 = 0, i228 = 0, i229 = 0, i230 = 0, i231 = 0, i232 = 0, i233 = 0, i234 = 0, i235 = 0, i236 = 0, i237 = 0, i238 = 0, i239 = 0, i240 = 0, i241 = 0, i242 = 0, i243 = 0, i244 = 0, i245 = 0, i246 = 0, i247 = 0, i248 = 0, i249 = 0, i250 = 0, i251 = 0, i252 = 0, i253 = 0, i254 = 0, i255 = 0, i256 = 0, i257 = 0, i258 = 0, i259 = 0, i260 = 0, i261 = 0, i262 = 0, i263 = 0, i264 = 0, i265 = 0, i266 = 0, i267 = 0, i268 = 0, i269 = 0, i270 = 0, i271 = 0, i272 = 0, i273 = 0, i274 = 0, i275 = 0, i276 = 0, i277 = 0, i278 = 0, i279 = 0, i280 = 0, i281 = 0, i282 = 0, i283 = 0, i284 = 0, i285 = 0, i286 = 0, i287 = 0, i288 = 0, i289 = 0, i290 = 0, i291 = 0, i292 = 0, i293 = 0, i294 = 0, i295 = 0, i296 = 0, i297 = 0, i298 = 0, i299 = 0, i300 = 0, i301 = 0, i302 = 0, i303 = 0, i304 = 0, i305 = 0, i306 = 0, i307 = 0, i308 = 0, i309 = 0, i310 = 0, i311 = 0, i312 = 0, i313 = 0, i314 = 0, i315 = 0, i316 = 0, i317 = 0, i318 = 0, i319 = 0, i320 = 0, i321 = 0, i322 = 0, i323 = 0, i324 = 0, i325 = 0, i326 = 0, i327 = 0, i328 = 0, i329 = 0, i330 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 128 | 0;
 i5 = i4 + 64 | 0;
 i6 = i4 + 56 | 0;
 i7 = i4 + 48 | 0;
 i8 = i4;
 i9 = i4 + 72 | 0;
 i10 = i1 + 12 | 0;
 i11 = get32(i10 | 0) | 0;
 i12 = get32(i1 | 0) | 0;
 if (!i11) {
  i13 = 0;
  STACKTOP = i4;
  return i13 | 0;
 }
 L4 : do if (i2) {
  i14 = get8(i2 >> 0 | 0) | 0;
  i15 = i14 & 255;
  L6 : do switch (i15 | 0) {
  case 98:
   {
    break L4;
    break;
   }
  case 154:
   {
    i16 = get32(i2 + 36 | 0) | 0;
    i17 = get16(i2 + 30 | 0) | 0;
    i18 = get32(i16 + 16 | 0) | 0;
    if (!(get8(i16 >> 0 | 0) | 0)) {
     i13 = get32(i18 + (i17 * 24 | 0) + 16 | 0) | 0;
     STACKTOP = i4;
     return i13 | 0;
    }
    if (!(get8(i16 + 1 >> 0 | 0) | 0)) i19 = 17; else {
     i20 = get32(i16 + 4 | 0) | 0;
     i16 = get32(i18 + (i17 * 24 | 0) + 12 | 0) | 0;
     i17 = i11 + 28 | 0;
     i18 = get32(i17 | 0) | 0;
     i21 = i11 + 32 | 0;
     i22 = get32(i21 | 0) | 0;
     if ((i22 | 0) > (i18 | 0)) {
      i23 = i18;
      i24 = get32(i11 + 4 | 0) | 0;
     } else {
      i25 = i11 + 4 | 0;
      i26 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i25 | 0) | 0, (i22 | 0) == 0 ? 1020 : i22 * 40 | 0) | 0;
      if (!i26) {
       i13 = i3;
       STACKTOP = i4;
       return i13 | 0;
      }
      i22 = get32(i11 | 0) | 0;
      if (((i22 | 0) != 0 ? (get32(i22 + 260 | 0) | 0) >>> 0 <= i26 >>> 0 : 0) ? (get32(i22 + 264 | 0) | 0) >>> 0 > i26 >>> 0 : 0) i27 = getU16(i22 + 232 | 0) | 0; else i27 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i26) | 0;
      set32(i21 | 0, (i27 >>> 0) / 20 | 0 | 0);
      set32(i25 | 0, i26 | 0);
      i23 = get32(i17 | 0) | 0;
      i24 = i26;
     }
     set32(i17 | 0, i23 + 1 | 0);
     set8(i24 + (i18 * 20 | 0) >> 0 | 0, 28 | 0);
     set8(i24 + (i18 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i24 + (i18 * 20 | 0) + 4 | 0, i20 | 0);
     set32(i24 + (i18 * 20 | 0) + 8 | 0, i16 | 0);
     set32(i24 + (i18 * 20 | 0) + 12 | 0, i3 | 0);
     set32(i24 + (i18 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i24 + (i18 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i13 = i3;
     STACKTOP = i4;
     return i13 | 0;
    }
    break;
   }
  case 152:
   {
    i19 = 17;
    break;
   }
  case 129:
   {
    _codeInteger(i11, i2, 0, i3);
    i13 = i3;
    STACKTOP = i4;
    return i13 | 0;
   }
  case 130:
   {
    i18 = get32(i2 + 4 | 0) | 0;
    do if (i18) {
     i16 = i18;
     while (1) if (!(get8(i16 >> 0 | 0) | 0)) {
      i28 = i16;
      break;
     } else i16 = i16 + 1 | 0;
     _sqlite3AtoF(i18, i8, i28 - i18 & 1073741823, 1) | 0;
     i16 = get32(i11 | 0) | 0;
     L222 : do if (!i16) {
      if (!(get32(50 * 4 | 0) | 0)) {
       i29 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](8) | 0;
       i19 = 60;
       break;
      }
      i20 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](8) | 0;
      set32(35 * 4 | 0, 8 | 0);
      if ((get32(45 * 4 | 0) | 0) < 8) set32(45 * 4 | 0, 8 | 0);
      i17 = get32(6 * 4 | 0) | 0;
      do if (i17) {
       i26 = get32(30 * 4 | 0) | 0;
       i25 = ((i26 | 0) < 0) << 31 >> 31;
       i21 = 16;
       i22 = _i64Subtract(get32(i21 | 0) | 0, get32(i21 + 4 | 0) | 0, i20 | 0, ((i20 | 0) < 0) << 31 >> 31 | 0) | 0;
       i21 = tempRet0;
       if ((i25 | 0) < (i21 | 0) | (i25 | 0) == (i21 | 0) & i26 >>> 0 < i22 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i22 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i17 & 15](i22, i26, i25, i20);
        set32(6 * 4 | 0, i17 | 0);
        set32(7 * 4 | 0, i22 | 0);
        break;
       }
      } while (0);
      i17 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i20) | 0;
      if (i17) {
       i22 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i17) | 0;
       i25 = (get32(30 * 4 | 0) | 0) + i22 | 0;
       set32(30 * 4 | 0, i25 | 0);
       if ((i25 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i25 | 0);
       i25 = get32(39 * 4 | 0) | 0;
       i22 = i25 + 1 | 0;
       set32(39 * 4 | 0, i22 | 0);
       if ((i25 | 0) < (get32(49 * 4 | 0) | 0)) {
        i30 = i17;
        i19 = 61;
       } else {
        set32(49 * 4 | 0, i22 | 0);
        i30 = i17;
        i19 = 61;
       }
      } else i31 = 0;
     } else {
      i17 = i16 + 30 | 0;
      if (!(get8(i17 >> 0 | 0) | 0)) {
       do if (get8(i16 + 234 >> 0 | 0) | 0) {
        if ((getU16(i16 + 232 | 0) | 0) < 8) {
         i22 = i16 + 248 | 0;
         set32(i22 | 0, (get32(i22 | 0) | 0) + 1 | 0);
         break;
        }
        i22 = i16 + 256 | 0;
        i25 = get32(i22 | 0) | 0;
        if (!i25) {
         i26 = i16 + 252 | 0;
         set32(i26 | 0, (get32(i26 | 0) | 0) + 1 | 0);
         break;
        }
        set32(i22 | 0, get32(i25 | 0) | 0);
        i22 = i16 + 236 | 0;
        i26 = get32(i22 | 0) | 0;
        i21 = i26 + 1 | 0;
        set32(i22 | 0, i21 | 0);
        i22 = i16 + 244 | 0;
        set32(i22 | 0, (get32(i22 | 0) | 0) + 1 | 0);
        i22 = i16 + 240 | 0;
        if ((i26 | 0) >= (get32(i22 | 0) | 0)) set32(i22 | 0, i21 | 0);
        i29 = i25;
        i19 = 60;
        break L222;
       } while (0);
       if (!(get32(50 * 4 | 0) | 0)) {
        i20 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](8) | 0;
        if (i20) {
         i30 = i20;
         i19 = 61;
         break;
        }
       } else {
        i20 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](8) | 0;
        set32(35 * 4 | 0, 8 | 0);
        if ((get32(45 * 4 | 0) | 0) < 8) set32(45 * 4 | 0, 8 | 0);
        i25 = get32(6 * 4 | 0) | 0;
        do if (i25) {
         i21 = get32(30 * 4 | 0) | 0;
         i22 = ((i21 | 0) < 0) << 31 >> 31;
         i26 = 16;
         i32 = _i64Subtract(get32(i26 | 0) | 0, get32(i26 + 4 | 0) | 0, i20 | 0, ((i20 | 0) < 0) << 31 >> 31 | 0) | 0;
         i26 = tempRet0;
         if ((i22 | 0) < (i26 | 0) | (i22 | 0) == (i26 | 0) & i21 >>> 0 < i32 >>> 0) {
          set32(11 * 4 | 0, 0 | 0);
          break;
         } else {
          set32(11 * 4 | 0, 1 | 0);
          i32 = get32(7 * 4 | 0) | 0;
          set32(6 * 4 | 0, 0 | 0);
          FUNCTION_TABLE_viiii[i25 & 15](i32, i21, i22, i20);
          set32(6 * 4 | 0, i25 | 0);
          set32(7 * 4 | 0, i32 | 0);
          break;
         }
        } while (0);
        i25 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i20) | 0;
        if (i25) {
         i32 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i25) | 0;
         i22 = (get32(30 * 4 | 0) | 0) + i32 | 0;
         set32(30 * 4 | 0, i22 | 0);
         if ((i22 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i22 | 0);
         i22 = get32(39 * 4 | 0) | 0;
         i32 = i22 + 1 | 0;
         set32(39 * 4 | 0, i32 | 0);
         if ((i22 | 0) < (get32(49 * 4 | 0) | 0)) {
          i30 = i25;
          i19 = 61;
          break;
         }
         set32(49 * 4 | 0, i32 | 0);
         i30 = i25;
         i19 = 61;
         break;
        }
       }
       set8(i17 >> 0 | 0, 1 | 0);
       i31 = 0;
      } else i31 = 0;
     } while (0);
     if ((i19 | 0) == 60) if (!i29) i31 = 0; else {
      i30 = i29;
      i19 = 61;
     }
     if ((i19 | 0) == 61) {
      i16 = i8;
      i25 = get32(i16 | 0) | 0;
      i32 = get32(i16 + 4 | 0) | 0;
      i16 = i30;
      i22 = i16;
      set8(i22 >> 0 | 0, i25 | 0);
      set8(i22 + 1 >> 0 | 0, i25 >> 8 | 0);
      set8(i22 + 2 >> 0 | 0, i25 >> 16 | 0);
      set8(i22 + 3 >> 0 | 0, i25 >> 24 | 0);
      i25 = i16 + 4 | 0;
      set8(i25 >> 0 | 0, i32 | 0);
      set8(i25 + 1 >> 0 | 0, i32 >> 8 | 0);
      set8(i25 + 2 >> 0 | 0, i32 >> 16 | 0);
      set8(i25 + 3 >> 0 | 0, i32 >> 24 | 0);
      i31 = i30;
     }
     i32 = i11 + 28 | 0;
     i25 = get32(i32 | 0) | 0;
     i16 = i11 + 32 | 0;
     i22 = get32(i16 | 0) | 0;
     if ((i22 | 0) <= (i25 | 0)) {
      i21 = i11 + 4 | 0;
      i26 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i21 | 0) | 0, (i22 | 0) == 0 ? 1020 : i22 * 40 | 0) | 0;
      if (!i26) {
       i33 = 1;
       i34 = i21;
      } else {
       i22 = get32(i11 | 0) | 0;
       if (((i22 | 0) != 0 ? (get32(i22 + 260 | 0) | 0) >>> 0 <= i26 >>> 0 : 0) ? (get32(i22 + 264 | 0) | 0) >>> 0 > i26 >>> 0 : 0) i35 = getU16(i22 + 232 | 0) | 0; else i35 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i26) | 0;
       set32(i16 | 0, (i35 >>> 0) / 20 | 0 | 0);
       set32(i21 | 0, i26 | 0);
       i36 = i21;
       i37 = get32(i32 | 0) | 0;
       i38 = i26;
       i19 = 71;
      }
     } else {
      i26 = i11 + 4 | 0;
      i36 = i26;
      i37 = i25;
      i38 = get32(i26 | 0) | 0;
      i19 = 71;
     }
     if ((i19 | 0) == 71) {
      set32(i32 | 0, i37 + 1 | 0);
      set8(i38 + (i25 * 20 | 0) >> 0 | 0, -126 | 0);
      set8(i38 + (i25 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i38 + (i25 * 20 | 0) + 4 | 0, 0 | 0);
      set32(i38 + (i25 * 20 | 0) + 8 | 0, i3 | 0);
      set32(i38 + (i25 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i38 + (i25 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i38 + (i25 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i33 = i25;
      i34 = i36;
     }
     i25 = get32(i11 | 0) | 0;
     i26 = get32(i34 | 0) | 0;
     if ((i26 | 0) != 0 ? (get8(i25 + 30 >> 0 | 0) | 0) == 0 : 0) {
      if ((i33 | 0) < 0) i39 = (get32(i32 | 0) | 0) + -1 | 0; else i39 = i33;
      i32 = i26 + (i39 * 20 | 0) + 1 | 0;
      i21 = i26 + (i39 * 20 | 0) + 16 | 0;
      _freeP4(i25, get8(i32 >> 0 | 0) | 0, get32(i21 | 0) | 0);
      set32(i21 | 0, 0 | 0);
      if (!i31) {
       set32(i21 | 0, 0 | 0);
       set8(i32 >> 0 | 0, 0 | 0);
       break;
      } else {
       set32(i21 | 0, i31 | 0);
       set8(i32 >> 0 | 0, -12 | 0);
       break;
      }
     }
     if (i31) _sqlite3DbFree(i25, i31);
    } while (0);
    i13 = i3;
    STACKTOP = i4;
    return i13 | 0;
   }
  case 94:
   {
    i18 = get32(i2 + 4 | 0) | 0;
    i25 = i11 + 28 | 0;
    i32 = get32(i25 | 0) | 0;
    i21 = i11 + 32 | 0;
    i26 = get32(i21 | 0) | 0;
    if ((i26 | 0) <= (i32 | 0)) {
     i16 = i11 + 4 | 0;
     i22 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i16 | 0) | 0, (i26 | 0) == 0 ? 1020 : i26 * 40 | 0) | 0;
     if (!i22) i40 = 1; else {
      i26 = get32(i11 | 0) | 0;
      if (((i26 | 0) != 0 ? (get32(i26 + 260 | 0) | 0) >>> 0 <= i22 >>> 0 : 0) ? (get32(i26 + 264 | 0) | 0) >>> 0 > i22 >>> 0 : 0) i41 = getU16(i26 + 232 | 0) | 0; else i41 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i22) | 0;
      set32(i21 | 0, (i41 >>> 0) / 20 | 0 | 0);
      set32(i16 | 0, i22 | 0);
      i42 = get32(i25 | 0) | 0;
      i43 = i22;
      i19 = 91;
     }
    } else {
     i42 = i32;
     i43 = get32(i11 + 4 | 0) | 0;
     i19 = 91;
    }
    if ((i19 | 0) == 91) {
     set32(i25 | 0, i42 + 1 | 0);
     set8(i43 + (i32 * 20 | 0) >> 0 | 0, 94 | 0);
     set8(i43 + (i32 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i43 + (i32 * 20 | 0) + 4 | 0, 0 | 0);
     set32(i43 + (i32 * 20 | 0) + 8 | 0, i3 | 0);
     set32(i43 + (i32 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i43 + (i32 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i43 + (i32 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i40 = i32;
    }
    _sqlite3VdbeChangeP4(i11, i40, i18, 0);
    i13 = i3;
    STACKTOP = i4;
    return i13 | 0;
   }
  case 131:
   {
    i18 = get32(i2 + 4 | 0) | 0;
    i32 = i18 + 2 | 0;
    i25 = i32;
    while (1) if (!(get8(i25 >> 0 | 0) | 0)) {
     i44 = i25;
     break;
    } else i25 = i25 + 1 | 0;
    i25 = i44 - i32 & 1073741823;
    i22 = i25 + -1 | 0;
    i16 = get32(i11 | 0) | 0;
    i21 = (i22 | 0) / 2 | 0;
    i26 = i21 + 1 | 0;
    L325 : do if (!i16) if (i21 >>> 0 <= 2147483390) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i45 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i26) | 0;
      i19 = 145;
      break;
     }
     i46 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i26) | 0;
     set32(35 * 4 | 0, i26 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i26 | 0)) set32(45 * 4 | 0, i26 | 0);
     i47 = get32(6 * 4 | 0) | 0;
     do if (i47) {
      i48 = get32(30 * 4 | 0) | 0;
      i49 = ((i48 | 0) < 0) << 31 >> 31;
      i50 = 16;
      i51 = _i64Subtract(get32(i50 | 0) | 0, get32(i50 + 4 | 0) | 0, i46 | 0, ((i46 | 0) < 0) << 31 >> 31 | 0) | 0;
      i50 = tempRet0;
      if ((i49 | 0) < (i50 | 0) | (i49 | 0) == (i50 | 0) & i48 >>> 0 < i51 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i51 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i47 & 15](i51, i48, i49, i46);
       set32(6 * 4 | 0, i47 | 0);
       set32(7 * 4 | 0, i51 | 0);
       break;
      }
     } while (0);
     i47 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i46) | 0;
     if (i47) {
      i51 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i47) | 0;
      i49 = (get32(30 * 4 | 0) | 0) + i51 | 0;
      set32(30 * 4 | 0, i49 | 0);
      if ((i49 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i49 | 0);
      i49 = get32(39 * 4 | 0) | 0;
      i51 = i49 + 1 | 0;
      set32(39 * 4 | 0, i51 | 0);
      if ((i49 | 0) < (get32(49 * 4 | 0) | 0)) {
       i52 = i47;
       i19 = 144;
      } else {
       set32(49 * 4 | 0, i51 | 0);
       i52 = i47;
       i19 = 144;
      }
     } else {
      i53 = 0;
      i54 = 1;
     }
    } else {
     i53 = 0;
     i54 = 1;
    } else {
     i47 = i16 + 30 | 0;
     if (!(get8(i47 >> 0 | 0) | 0)) {
      do if (get8(i16 + 234 >> 0 | 0) | 0) {
       if ((getU16(i16 + 232 | 0) | 0) < (i26 | 0)) {
        i51 = i16 + 248 | 0;
        set32(i51 | 0, (get32(i51 | 0) | 0) + 1 | 0);
        break;
       }
       i51 = i16 + 256 | 0;
       i49 = get32(i51 | 0) | 0;
       if (!i49) {
        i48 = i16 + 252 | 0;
        set32(i48 | 0, (get32(i48 | 0) | 0) + 1 | 0);
        break;
       }
       set32(i51 | 0, get32(i49 | 0) | 0);
       i51 = i16 + 236 | 0;
       i48 = get32(i51 | 0) | 0;
       i50 = i48 + 1 | 0;
       set32(i51 | 0, i50 | 0);
       i51 = i16 + 244 | 0;
       set32(i51 | 0, (get32(i51 | 0) | 0) + 1 | 0);
       i51 = i16 + 240 | 0;
       if ((i48 | 0) >= (get32(i51 | 0) | 0)) set32(i51 | 0, i50 | 0);
       i45 = i49;
       i19 = 145;
       break L325;
      } while (0);
      do if (i21 >>> 0 <= 2147483390) {
       if (!(get32(50 * 4 | 0) | 0)) {
        i46 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i26) | 0;
        if (!i46) break; else {
         i52 = i46;
         i19 = 144;
         break L325;
        }
       }
       i46 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i26) | 0;
       set32(35 * 4 | 0, i26 | 0);
       if ((get32(45 * 4 | 0) | 0) < (i26 | 0)) set32(45 * 4 | 0, i26 | 0);
       i49 = get32(6 * 4 | 0) | 0;
       do if (i49) {
        i50 = get32(30 * 4 | 0) | 0;
        i51 = ((i50 | 0) < 0) << 31 >> 31;
        i48 = 16;
        i55 = _i64Subtract(get32(i48 | 0) | 0, get32(i48 + 4 | 0) | 0, i46 | 0, ((i46 | 0) < 0) << 31 >> 31 | 0) | 0;
        i48 = tempRet0;
        if ((i51 | 0) < (i48 | 0) | (i51 | 0) == (i48 | 0) & i50 >>> 0 < i55 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i55 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i49 & 15](i55, i50, i51, i46);
         set32(6 * 4 | 0, i49 | 0);
         set32(7 * 4 | 0, i55 | 0);
         break;
        }
       } while (0);
       i49 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i46) | 0;
       if (i49) {
        i17 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i49) | 0;
        i20 = (get32(30 * 4 | 0) | 0) + i17 | 0;
        set32(30 * 4 | 0, i20 | 0);
        if ((i20 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i20 | 0);
        i20 = get32(39 * 4 | 0) | 0;
        i17 = i20 + 1 | 0;
        set32(39 * 4 | 0, i17 | 0);
        if ((i20 | 0) < (get32(49 * 4 | 0) | 0)) {
         i52 = i49;
         i19 = 144;
         break L325;
        }
        set32(49 * 4 | 0, i17 | 0);
        i52 = i49;
        i19 = 144;
        break L325;
       }
      } while (0);
      set8(i47 >> 0 | 0, 1 | 0);
      i53 = 0;
      i54 = 1;
     } else {
      i53 = 0;
      i54 = 1;
     }
    } while (0);
    if ((i19 | 0) == 144) {
     i56 = i52;
     i57 = (i52 | 0) == 0;
     i19 = 146;
    } else if ((i19 | 0) == 145) if (!i45) {
     i53 = 0;
     i54 = 1;
    } else {
     i56 = i45;
     i57 = 0;
     i19 = 146;
    }
    if ((i19 | 0) == 146) {
     i26 = i25 + -2 | 0;
     if ((i22 | 0) > 1) {
      i16 = 0;
      do {
       i32 = i16;
       i16 = i16 + 2 | 0;
       i49 = get8(i18 + i16 >> 0 | 0) | 0;
       i17 = get8(i18 + ((i32 | 1) + 2) >> 0 | 0) | 0;
       set8(i56 + ((i32 | 0) / 2 | 0) >> 0 | 0, (0 - (i17 >>> 6 & 1) & 9) + i17 & 15 | (0 - (i49 >>> 6 & 1) & 9) + i49 << 4 | 0);
      } while ((i16 | 0) < (i26 | 0));
      i58 = (i22 & -2 | 0) / 2 | 0;
     } else i58 = 0;
     set8(i56 + i58 >> 0 | 0, 0 | 0);
     i53 = i56;
     i54 = i57;
    }
    i26 = i11 + 28 | 0;
    i16 = get32(i26 | 0) | 0;
    i18 = i11 + 32 | 0;
    i25 = get32(i18 | 0) | 0;
    if ((i25 | 0) <= (i16 | 0)) {
     i49 = i11 + 4 | 0;
     i17 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i49 | 0) | 0, (i25 | 0) == 0 ? 1020 : i25 * 40 | 0) | 0;
     if (!i17) {
      i59 = 1;
      i60 = i49;
     } else {
      i25 = get32(i11 | 0) | 0;
      if (((i25 | 0) != 0 ? (get32(i25 + 260 | 0) | 0) >>> 0 <= i17 >>> 0 : 0) ? (get32(i25 + 264 | 0) | 0) >>> 0 > i17 >>> 0 : 0) i61 = getU16(i25 + 232 | 0) | 0; else i61 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i17) | 0;
      set32(i18 | 0, (i61 >>> 0) / 20 | 0 | 0);
      set32(i49 | 0, i17 | 0);
      i62 = i49;
      i63 = get32(i26 | 0) | 0;
      i64 = i17;
      i19 = 159;
     }
    } else {
     i17 = i11 + 4 | 0;
     i62 = i17;
     i63 = i16;
     i64 = get32(i17 | 0) | 0;
     i19 = 159;
    }
    if ((i19 | 0) == 159) {
     set32(i26 | 0, i63 + 1 | 0);
     set8(i64 + (i16 * 20 | 0) >> 0 | 0, 11 | 0);
     set8(i64 + (i16 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i64 + (i16 * 20 | 0) + 4 | 0, i21 | 0);
     set32(i64 + (i16 * 20 | 0) + 8 | 0, i3 | 0);
     set32(i64 + (i16 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i64 + (i16 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i64 + (i16 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i59 = i16;
     i60 = i62;
    }
    i16 = get32(i11 | 0) | 0;
    i17 = get32(i60 | 0) | 0;
    if ((i17 | 0) != 0 ? (get8(i16 + 30 >> 0 | 0) | 0) == 0 : 0) {
     if ((i59 | 0) < 0) i65 = (get32(i26 | 0) | 0) + -1 | 0; else i65 = i59;
     i26 = i17 + (i65 * 20 | 0) + 1 | 0;
     i49 = i17 + (i65 * 20 | 0) + 16 | 0;
     _freeP4(i16, get8(i26 >> 0 | 0) | 0, get32(i49 | 0) | 0);
     set32(i49 | 0, 0 | 0);
     if (i54) {
      set32(i49 | 0, 0 | 0);
      set8(i26 >> 0 | 0, 0 | 0);
      i13 = i3;
      STACKTOP = i4;
      return i13 | 0;
     } else {
      set32(i49 | 0, i53 | 0);
      set8(i26 >> 0 | 0, -1 | 0);
      i13 = i3;
      STACKTOP = i4;
      return i13 | 0;
     }
    }
    if (i54) {
     i13 = i3;
     STACKTOP = i4;
     return i13 | 0;
    }
    _sqlite3DbFree(i16, i53);
    i13 = i3;
    STACKTOP = i4;
    return i13 | 0;
   }
  case 133:
   {
    i16 = i2 + 28 | 0;
    i26 = get16(i16 | 0) | 0;
    i49 = i11 + 28 | 0;
    i17 = get32(i49 | 0) | 0;
    i18 = i11 + 32 | 0;
    i25 = get32(i18 | 0) | 0;
    if ((i25 | 0) <= (i17 | 0)) {
     i32 = i11 + 4 | 0;
     i20 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i32 | 0) | 0, (i25 | 0) == 0 ? 1020 : i25 * 40 | 0) | 0;
     if (i20) {
      i25 = get32(i11 | 0) | 0;
      if (((i25 | 0) != 0 ? (get32(i25 + 260 | 0) | 0) >>> 0 <= i20 >>> 0 : 0) ? (get32(i25 + 264 | 0) | 0) >>> 0 > i20 >>> 0 : 0) i66 = getU16(i25 + 232 | 0) | 0; else i66 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i20) | 0;
      set32(i18 | 0, (i66 >>> 0) / 20 | 0 | 0);
      set32(i32 | 0, i20 | 0);
      i67 = get32(i49 | 0) | 0;
      i68 = i20;
      i19 = 178;
     }
    } else {
     i67 = i17;
     i68 = get32(i11 + 4 | 0) | 0;
     i19 = 178;
    }
    if ((i19 | 0) == 178) {
     set32(i49 | 0, i67 + 1 | 0);
     set8(i68 + (i17 * 20 | 0) >> 0 | 0, 12 | 0);
     set8(i68 + (i17 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i68 + (i17 * 20 | 0) + 4 | 0, i26 | 0);
     set32(i68 + (i17 * 20 | 0) + 8 | 0, i3 | 0);
     set32(i68 + (i17 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i68 + (i17 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i68 + (i17 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    }
    if (!(get8((get32(i2 + 4 | 0) | 0) + 1 >> 0 | 0) | 0)) {
     i13 = i3;
     STACKTOP = i4;
     return i13 | 0;
    }
    i17 = get32((get32(i1 + 464 | 0) | 0) + ((get16(i16 | 0) | 0) + -1 << 2) | 0) | 0;
    i16 = get32(i11 | 0) | 0;
    i26 = get32(i11 + 4 | 0) | 0;
    if (!i26) {
     i13 = i3;
     STACKTOP = i4;
     return i13 | 0;
    }
    if (get8(i16 + 30 >> 0 | 0) | 0) {
     i13 = i3;
     STACKTOP = i4;
     return i13 | 0;
    }
    i20 = (get32(i49 | 0) | 0) + -1 | 0;
    i49 = i26 + (i20 * 20 | 0) + 1 | 0;
    i32 = i26 + (i20 * 20 | 0) + 16 | 0;
    _freeP4(i16, get8(i49 >> 0 | 0) | 0, get32(i32 | 0) | 0);
    set32(i32 | 0, 0 | 0);
    if (!i17) {
     set32(i32 | 0, 0 | 0);
     set8(i49 >> 0 | 0, 0 | 0);
     i13 = i3;
     STACKTOP = i4;
     return i13 | 0;
    } else {
     set32(i32 | 0, i17 | 0);
     set8(i49 >> 0 | 0, -2 | 0);
     i13 = i3;
     STACKTOP = i4;
     return i13 | 0;
    }
    break;
   }
  case 132:
   {
    i13 = get32(i2 + 24 | 0) | 0;
    STACKTOP = i4;
    return i13 | 0;
   }
  case 24:
   {
    i13 = _sqlite3ExprCodeTarget(i1, get32(i2 + 8 | 0) | 0, i3) | 0;
    STACKTOP = i4;
    return i13 | 0;
   }
  case 37:
   {
    i49 = _sqlite3ExprCodeTarget(i1, get32(i2 + 8 | 0) | 0, i3) | 0;
    i17 = get32(i2 + 4 | 0) | 0;
    L454 : do if ((i17 | 0) != 0 ? (i32 = get8(i17 >> 0 | 0) | 0, i32 << 24 >> 24 != 0) : 0) {
     i16 = i17;
     i20 = i32;
     i32 = 99;
     i26 = 0;
     while (1) {
      i18 = getU8(16286 + (i20 & 255) >> 0 | 0) | i26 << 8;
      i16 = i16 + 1 | 0;
      L458 : do if ((i18 | 0) < 1685026146) {
       if ((i18 | 0) < 1667785074) {
        switch (i18 | 0) {
        case 1651273570:
         break;
        default:
         {
          i19 = 196;
          break L458;
         }
        }
        switch (i32 << 24 >> 24) {
        case 101:
        case 99:
         {
          i69 = 98;
          i70 = 1651273570;
          break L458;
          break;
         }
        default:
         {
          i19 = 195;
          break L458;
         }
        }
       }
       if ((i18 | 0) < 1668050786) switch (i18 | 0) {
       case 1667785074:
        {
         i69 = 97;
         i70 = i18;
         break L458;
         break;
        }
       default:
        {
         i19 = 196;
         break L458;
        }
       } else switch (i18 | 0) {
       case 1668050786:
        {
         i69 = 97;
         i70 = i18;
         break L458;
         break;
        }
       default:
        {
         i19 = 196;
         break L458;
        }
       }
      } else {
       if ((i18 | 0) >= 1919246700) {
        if ((i18 | 0) >= 1952807028) switch (i18 | 0) {
        case 1952807028:
         {
          i69 = 97;
          i70 = i18;
          break L458;
          break;
         }
        default:
         {
          i19 = 196;
          break L458;
         }
        }
        switch (i18 | 0) {
        case 1919246700:
         break;
        default:
         {
          i19 = 196;
          break L458;
         }
        }
        if (i32 << 24 >> 24 == 99) {
         i69 = 101;
         i70 = 1919246700;
         break;
        } else {
         i19 = 195;
         break;
        }
       }
       if ((i18 | 0) < 1718382433) {
        switch (i18 | 0) {
        case 1685026146:
         break;
        default:
         {
          i19 = 196;
          break L458;
         }
        }
        if (i32 << 24 >> 24 == 99) {
         i69 = 101;
         i70 = 1685026146;
         break;
        }
       } else {
        switch (i18 | 0) {
        case 1718382433:
         break;
        default:
         {
          i19 = 196;
          break L458;
         }
        }
        if (i32 << 24 >> 24 == 99) {
         i69 = 101;
         i70 = 1718382433;
         break;
        }
       }
       i69 = i32;
       i70 = i18;
      } while (0);
      if ((i19 | 0) == 195) {
       i19 = 0;
       i69 = i32;
       i70 = i18;
      } else if ((i19 | 0) == 196) {
       i19 = 0;
       if ((i18 & 16777215 | 0) == 6909556) {
        i71 = 100;
        break L454;
       } else {
        i69 = i32;
        i70 = i18;
       }
      }
      i20 = get8(i16 >> 0 | 0) | 0;
      if (!(i20 << 24 >> 24)) {
       i71 = i69;
       break;
      } else {
       i32 = i69;
       i26 = i70;
      }
     }
    } else i71 = 99; while (0);
    i17 = (i71 & 255) + 44 | 0;
    i21 = i11 + 28 | 0;
    do if ((i49 | 0) == (i3 | 0)) i72 = i11 + 32 | 0; else {
     i22 = get32(i21 | 0) | 0;
     i26 = i11 + 32 | 0;
     i32 = get32(i26 | 0) | 0;
     if ((i32 | 0) > (i22 | 0)) {
      i73 = i22;
      i74 = get32(i11 + 4 | 0) | 0;
     } else {
      i20 = i11 + 4 | 0;
      i16 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i20 | 0) | 0, (i32 | 0) == 0 ? 1020 : i32 * 40 | 0) | 0;
      if (!i16) {
       i72 = i26;
       break;
      }
      i32 = get32(i11 | 0) | 0;
      if (((i32 | 0) != 0 ? (get32(i32 + 260 | 0) | 0) >>> 0 <= i16 >>> 0 : 0) ? (get32(i32 + 264 | 0) | 0) >>> 0 > i16 >>> 0 : 0) i75 = getU16(i32 + 232 | 0) | 0; else i75 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i16) | 0;
      set32(i26 | 0, (i75 >>> 0) / 20 | 0 | 0);
      set32(i20 | 0, i16 | 0);
      i73 = get32(i21 | 0) | 0;
      i74 = i16;
     }
     set32(i21 | 0, i73 + 1 | 0);
     set8(i74 + (i22 * 20 | 0) >> 0 | 0, 15 | 0);
     set8(i74 + (i22 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i74 + (i22 * 20 | 0) + 4 | 0, i49 | 0);
     set32(i74 + (i22 * 20 | 0) + 8 | 0, i3 | 0);
     set32(i74 + (i22 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i74 + (i22 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i74 + (i22 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i72 = i26;
    } while (0);
    i49 = get32(i21 | 0) | 0;
    i26 = get32(i72 | 0) | 0;
    if ((i26 | 0) <= (i49 | 0)) {
     i22 = i11 + 4 | 0;
     i16 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i22 | 0) | 0, (i26 | 0) == 0 ? 1020 : i26 * 40 | 0) | 0;
     if (i16) {
      i26 = get32(i11 | 0) | 0;
      if (((i26 | 0) != 0 ? (get32(i26 + 260 | 0) | 0) >>> 0 <= i16 >>> 0 : 0) ? (get32(i26 + 264 | 0) | 0) >>> 0 > i16 >>> 0 : 0) i76 = getU16(i26 + 232 | 0) | 0; else i76 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i16) | 0;
      set32(i72 | 0, (i76 >>> 0) / 20 | 0 | 0);
      set32(i22 | 0, i16 | 0);
      i77 = get32(i21 | 0) | 0;
      i78 = i16;
      i19 = 219;
     }
    } else {
     i77 = i49;
     i78 = get32(i11 + 4 | 0) | 0;
     i19 = 219;
    }
    if ((i19 | 0) == 219) {
     set32(i21 | 0, i77 + 1 | 0);
     set8(i78 + (i49 * 20 | 0) >> 0 | 0, i17 | 0);
     set8(i78 + (i49 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i78 + (i49 * 20 | 0) + 4 | 0, i3 | 0);
     set32(i78 + (i49 * 20 | 0) + 8 | 0, 0 | 0);
     set32(i78 + (i49 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i78 + (i49 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i78 + (i49 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    }
    i49 = i1 + 21 | 0;
    i16 = 0;
    i22 = i1 + 96 | 0;
    while (1) {
     i26 = i22 + 16 | 0;
     if ((get32(i26 | 0) | 0) == (i3 | 0)) {
      i20 = i22 + 8 | 0;
      if (get8(i20 >> 0 | 0) | 0) {
       i32 = get8(i49 >> 0 | 0) | 0;
       if ((i32 & 255) < 8) {
        set8(i49 >> 0 | 0, i32 + 1 << 24 >> 24 | 0);
        set32(i1 + 24 + ((i32 & 255) << 2) | 0, i3 | 0);
       }
       set8(i20 >> 0 | 0, 0 | 0);
      }
      set32(i26 | 0, 0 | 0);
     }
     i16 = i16 + 1 | 0;
     if ((i16 | 0) == 10) {
      i13 = i3;
      break;
     } else i22 = i22 + 24 | 0;
    }
    STACKTOP = i4;
    return i13 | 0;
   }
  case 76:
  case 75:
  case 80:
  case 77:
  case 78:
  case 79:
   {
    i22 = i2 + 8 | 0;
    i16 = get32(i22 | 0) | 0;
    i49 = i1 + 21 | 0;
    i17 = get8(i49 >> 0 | 0) | 0;
    if (!(i17 << 24 >> 24)) {
     i21 = i1 + 72 | 0;
     i26 = (get32(i21 | 0) | 0) + 1 | 0;
     set32(i21 | 0, i26 | 0);
     i79 = i26;
    } else {
     i26 = i17 + -1 << 24 >> 24;
     set8(i49 >> 0 | 0, i26 | 0);
     i79 = get32(i1 + 24 + ((i26 & 255) << 2) | 0) | 0;
    }
    i26 = _sqlite3ExprCodeTarget(i1, i16, i79) | 0;
    do if ((i26 | 0) != (i79 | 0)) if (!i79) {
     i80 = 0;
     i19 = 247;
    } else {
     i16 = get8(i49 >> 0 | 0) | 0;
     if ((i16 & 255) >= 8) {
      i17 = i2 + 12 | 0;
      i81 = get32(i17 | 0) | 0;
      i82 = i17;
      i83 = i16;
      i84 = 0;
      i19 = 249;
      break;
     }
     if ((get32(i1 + 112 | 0) | 0) != (i79 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i79 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i79 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i79 | 0)) if ((get32(i1 + 208 | 0) | 0) != (i79 | 0)) if ((get32(i1 + 232 | 0) | 0) != (i79 | 0)) if ((get32(i1 + 256 | 0) | 0) != (i79 | 0)) if ((get32(i1 + 280 | 0) | 0) != (i79 | 0)) if ((get32(i1 + 304 | 0) | 0) != (i79 | 0)) if ((get32(i1 + 328 | 0) | 0) == (i79 | 0)) i85 = i1 + 312 | 0; else {
      set8(i49 >> 0 | 0, i16 + 1 << 24 >> 24 | 0);
      set32(i1 + 24 + ((i16 & 255) << 2) | 0, i79 | 0);
      i80 = 0;
      i19 = 247;
      break;
     } else i85 = i1 + 288 | 0; else i85 = i1 + 264 | 0; else i85 = i1 + 240 | 0; else i85 = i1 + 216 | 0; else i85 = i1 + 192 | 0; else i85 = i1 + 168 | 0; else i85 = i1 + 144 | 0; else i85 = i1 + 120 | 0; else i85 = i1 + 96 | 0;
     set8(i85 + 8 >> 0 | 0, 1 | 0);
     i80 = 0;
     i19 = 247;
    } else {
     i80 = i79;
     i19 = 247;
    } while (0);
    if ((i19 | 0) == 247) {
     i16 = get8(i49 >> 0 | 0) | 0;
     i17 = i2 + 12 | 0;
     i21 = get32(i17 | 0) | 0;
     if (!(i16 << 24 >> 24)) {
      i20 = i1 + 72 | 0;
      i32 = (get32(i20 | 0) | 0) + 1 | 0;
      set32(i20 | 0, i32 | 0);
      i86 = i32;
      i87 = i21;
      i88 = i17;
      i89 = i80;
     } else {
      i81 = i21;
      i82 = i17;
      i83 = i16;
      i84 = i80;
      i19 = 249;
     }
    }
    if ((i19 | 0) == 249) {
     i16 = i83 + -1 << 24 >> 24;
     set8(i49 >> 0 | 0, i16 | 0);
     i86 = get32(i1 + 24 + ((i16 & 255) << 2) | 0) | 0;
     i87 = i81;
     i88 = i82;
     i89 = i84;
    }
    i16 = _sqlite3ExprCodeTarget(i1, i87, i86) | 0;
    L557 : do if ((i16 | 0) != (i86 | 0)) if ((i86 | 0) != 0 ? (i17 = get8(i49 >> 0 | 0) | 0, (i17 & 255) < 8) : 0) {
     do if ((get32(i1 + 112 | 0) | 0) != (i86 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i86 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i86 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i86 | 0)) if ((get32(i1 + 208 | 0) | 0) != (i86 | 0)) if ((get32(i1 + 232 | 0) | 0) != (i86 | 0)) if ((get32(i1 + 256 | 0) | 0) != (i86 | 0)) if ((get32(i1 + 280 | 0) | 0) != (i86 | 0)) if ((get32(i1 + 304 | 0) | 0) == (i86 | 0)) i90 = i1 + 288 | 0; else {
      if ((get32(i1 + 328 | 0) | 0) == (i86 | 0)) {
       i90 = i1 + 312 | 0;
       break;
      }
      set8(i49 >> 0 | 0, i17 + 1 << 24 >> 24 | 0);
      set32(i1 + 24 + ((i17 & 255) << 2) | 0, i86 | 0);
      i91 = 0;
      break L557;
     } else i90 = i1 + 264 | 0; else i90 = i1 + 240 | 0; else i90 = i1 + 216 | 0; else i90 = i1 + 192 | 0; else i90 = i1 + 168 | 0; else i90 = i1 + 144 | 0; else i90 = i1 + 120 | 0; else i90 = i1 + 96 | 0; while (0);
     set8(i90 + 8 >> 0 | 0, 1 | 0);
     i91 = 0;
    } else i91 = 0; else i91 = i86; while (0);
    _codeCompare(i1, get32(i22 | 0) | 0, get32(i88 | 0) | 0, i15, i26, i16, i3, 16);
    i92 = i89;
    i93 = i91;
    break;
   }
  case 146:
  case 70:
   {
    i49 = i2 + 8 | 0;
    i17 = get32(i49 | 0) | 0;
    i21 = i1 + 21 | 0;
    i32 = get8(i21 >> 0 | 0) | 0;
    if (!(i32 << 24 >> 24)) {
     i20 = i1 + 72 | 0;
     i47 = (get32(i20 | 0) | 0) + 1 | 0;
     set32(i20 | 0, i47 | 0);
     i94 = i47;
    } else {
     i47 = i32 + -1 << 24 >> 24;
     set8(i21 >> 0 | 0, i47 | 0);
     i94 = get32(i1 + 24 + ((i47 & 255) << 2) | 0) | 0;
    }
    i47 = _sqlite3ExprCodeTarget(i1, i17, i94) | 0;
    do if ((i47 | 0) != (i94 | 0)) if (!i94) {
     i95 = 0;
     i19 = 285;
    } else {
     i17 = get8(i21 >> 0 | 0) | 0;
     if ((i17 & 255) >= 8) {
      i32 = i2 + 12 | 0;
      i96 = get32(i32 | 0) | 0;
      i97 = i32;
      i98 = i17;
      i99 = 0;
      i19 = 287;
      break;
     }
     if ((get32(i1 + 112 | 0) | 0) != (i94 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i94 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i94 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i94 | 0)) if ((get32(i1 + 208 | 0) | 0) != (i94 | 0)) if ((get32(i1 + 232 | 0) | 0) != (i94 | 0)) if ((get32(i1 + 256 | 0) | 0) != (i94 | 0)) if ((get32(i1 + 280 | 0) | 0) != (i94 | 0)) if ((get32(i1 + 304 | 0) | 0) != (i94 | 0)) if ((get32(i1 + 328 | 0) | 0) == (i94 | 0)) i100 = i1 + 312 | 0; else {
      set8(i21 >> 0 | 0, i17 + 1 << 24 >> 24 | 0);
      set32(i1 + 24 + ((i17 & 255) << 2) | 0, i94 | 0);
      i95 = 0;
      i19 = 285;
      break;
     } else i100 = i1 + 288 | 0; else i100 = i1 + 264 | 0; else i100 = i1 + 240 | 0; else i100 = i1 + 216 | 0; else i100 = i1 + 192 | 0; else i100 = i1 + 168 | 0; else i100 = i1 + 144 | 0; else i100 = i1 + 120 | 0; else i100 = i1 + 96 | 0;
     set8(i100 + 8 >> 0 | 0, 1 | 0);
     i95 = 0;
     i19 = 285;
    } else {
     i95 = i94;
     i19 = 285;
    } while (0);
    if ((i19 | 0) == 285) {
     i16 = get8(i21 >> 0 | 0) | 0;
     i26 = i2 + 12 | 0;
     i22 = get32(i26 | 0) | 0;
     if (!(i16 << 24 >> 24)) {
      i17 = i1 + 72 | 0;
      i32 = (get32(i17 | 0) | 0) + 1 | 0;
      set32(i17 | 0, i32 | 0);
      i101 = i32;
      i102 = i22;
      i103 = i26;
      i104 = i95;
     } else {
      i96 = i22;
      i97 = i26;
      i98 = i16;
      i99 = i95;
      i19 = 287;
     }
    }
    if ((i19 | 0) == 287) {
     i16 = i98 + -1 << 24 >> 24;
     set8(i21 >> 0 | 0, i16 | 0);
     i101 = get32(i1 + 24 + ((i16 & 255) << 2) | 0) | 0;
     i102 = i96;
     i103 = i97;
     i104 = i99;
    }
    i16 = _sqlite3ExprCodeTarget(i1, i102, i101) | 0;
    L603 : do if ((i16 | 0) != (i101 | 0)) if ((i101 | 0) != 0 ? (i26 = get8(i21 >> 0 | 0) | 0, (i26 & 255) < 8) : 0) {
     do if ((get32(i1 + 112 | 0) | 0) != (i101 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i101 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i101 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i101 | 0)) if ((get32(i1 + 208 | 0) | 0) != (i101 | 0)) if ((get32(i1 + 232 | 0) | 0) != (i101 | 0)) if ((get32(i1 + 256 | 0) | 0) != (i101 | 0)) if ((get32(i1 + 280 | 0) | 0) != (i101 | 0)) if ((get32(i1 + 304 | 0) | 0) == (i101 | 0)) i105 = i1 + 288 | 0; else {
      if ((get32(i1 + 328 | 0) | 0) == (i101 | 0)) {
       i105 = i1 + 312 | 0;
       break;
      }
      set8(i21 >> 0 | 0, i26 + 1 << 24 >> 24 | 0);
      set32(i1 + 24 + ((i26 & 255) << 2) | 0, i101 | 0);
      i106 = 0;
      break L603;
     } else i105 = i1 + 264 | 0; else i105 = i1 + 240 | 0; else i105 = i1 + 216 | 0; else i105 = i1 + 192 | 0; else i105 = i1 + 168 | 0; else i105 = i1 + 144 | 0; else i105 = i1 + 120 | 0; else i105 = i1 + 96 | 0; while (0);
     set8(i105 + 8 >> 0 | 0, 1 | 0);
     i106 = 0;
    } else i106 = 0; else i106 = i101; while (0);
    _codeCompare(i1, get32(i49 | 0) | 0, get32(i103 | 0) | 0, i14 << 24 >> 24 == 70 ? 76 : 75, i47, i16, i3, 144);
    i92 = i104;
    i93 = i106;
    break;
   }
  case 91:
  case 85:
  case 84:
  case 89:
  case 83:
  case 82:
  case 90:
  case 87:
  case 88:
  case 86:
  case 68:
  case 69:
   {
    i21 = get32(i2 + 8 | 0) | 0;
    i26 = i1 + 21 | 0;
    i22 = get8(i26 >> 0 | 0) | 0;
    if (!(i22 << 24 >> 24)) {
     i32 = i1 + 72 | 0;
     i17 = (get32(i32 | 0) | 0) + 1 | 0;
     set32(i32 | 0, i17 | 0);
     i107 = i17;
    } else {
     i17 = i22 + -1 << 24 >> 24;
     set8(i26 >> 0 | 0, i17 | 0);
     i107 = get32(i1 + 24 + ((i17 & 255) << 2) | 0) | 0;
    }
    i17 = _sqlite3ExprCodeTarget(i1, i21, i107) | 0;
    do if ((i17 | 0) != (i107 | 0)) if (!i107) {
     i108 = 0;
     i19 = 323;
    } else {
     i21 = get8(i26 >> 0 | 0) | 0;
     if ((i21 & 255) >= 8) {
      i109 = i21;
      i110 = get32(i2 + 12 | 0) | 0;
      i111 = 0;
      i19 = 325;
      break;
     }
     if ((get32(i1 + 112 | 0) | 0) != (i107 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i107 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i107 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i107 | 0)) if ((get32(i1 + 208 | 0) | 0) != (i107 | 0)) if ((get32(i1 + 232 | 0) | 0) != (i107 | 0)) if ((get32(i1 + 256 | 0) | 0) != (i107 | 0)) if ((get32(i1 + 280 | 0) | 0) != (i107 | 0)) if ((get32(i1 + 304 | 0) | 0) != (i107 | 0)) if ((get32(i1 + 328 | 0) | 0) == (i107 | 0)) i112 = i1 + 312 | 0; else {
      set8(i26 >> 0 | 0, i21 + 1 << 24 >> 24 | 0);
      set32(i1 + 24 + ((i21 & 255) << 2) | 0, i107 | 0);
      i108 = 0;
      i19 = 323;
      break;
     } else i112 = i1 + 288 | 0; else i112 = i1 + 264 | 0; else i112 = i1 + 240 | 0; else i112 = i1 + 216 | 0; else i112 = i1 + 192 | 0; else i112 = i1 + 168 | 0; else i112 = i1 + 144 | 0; else i112 = i1 + 120 | 0; else i112 = i1 + 96 | 0;
     set8(i112 + 8 >> 0 | 0, 1 | 0);
     i108 = 0;
     i19 = 323;
    } else {
     i108 = i107;
     i19 = 323;
    } while (0);
    if ((i19 | 0) == 323) {
     i16 = get8(i26 >> 0 | 0) | 0;
     i47 = get32(i2 + 12 | 0) | 0;
     if (!(i16 << 24 >> 24)) {
      i49 = i1 + 72 | 0;
      i21 = (get32(i49 | 0) | 0) + 1 | 0;
      set32(i49 | 0, i21 | 0);
      i113 = i21;
      i114 = i47;
      i115 = i108;
     } else {
      i109 = i16;
      i110 = i47;
      i111 = i108;
      i19 = 325;
     }
    }
    if ((i19 | 0) == 325) {
     i47 = i109 + -1 << 24 >> 24;
     set8(i26 >> 0 | 0, i47 | 0);
     i113 = get32(i1 + 24 + ((i47 & 255) << 2) | 0) | 0;
     i114 = i110;
     i115 = i111;
    }
    i47 = _sqlite3ExprCodeTarget(i1, i114, i113) | 0;
    L649 : do if ((i47 | 0) != (i113 | 0)) if ((i113 | 0) != 0 ? (i16 = get8(i26 >> 0 | 0) | 0, (i16 & 255) < 8) : 0) {
     do if ((get32(i1 + 112 | 0) | 0) != (i113 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i113 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i113 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i113 | 0)) if ((get32(i1 + 208 | 0) | 0) != (i113 | 0)) if ((get32(i1 + 232 | 0) | 0) != (i113 | 0)) if ((get32(i1 + 256 | 0) | 0) != (i113 | 0)) if ((get32(i1 + 280 | 0) | 0) != (i113 | 0)) if ((get32(i1 + 304 | 0) | 0) == (i113 | 0)) i116 = i1 + 288 | 0; else {
      if ((get32(i1 + 328 | 0) | 0) == (i113 | 0)) {
       i116 = i1 + 312 | 0;
       break;
      }
      set8(i26 >> 0 | 0, i16 + 1 << 24 >> 24 | 0);
      set32(i1 + 24 + ((i16 & 255) << 2) | 0, i113 | 0);
      i117 = 0;
      break L649;
     } else i116 = i1 + 264 | 0; else i116 = i1 + 240 | 0; else i116 = i1 + 216 | 0; else i116 = i1 + 192 | 0; else i116 = i1 + 168 | 0; else i116 = i1 + 144 | 0; else i116 = i1 + 120 | 0; else i116 = i1 + 96 | 0; while (0);
     set8(i116 + 8 >> 0 | 0, 1 | 0);
     i117 = 0;
    } else i117 = 0; else i117 = i113; while (0);
    i26 = i11 + 28 | 0;
    i16 = get32(i26 | 0) | 0;
    i21 = i11 + 32 | 0;
    i49 = get32(i21 | 0) | 0;
    if ((i49 | 0) > (i16 | 0)) {
     i118 = i16;
     i119 = get32(i11 + 4 | 0) | 0;
    } else {
     i22 = i11 + 4 | 0;
     i32 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i22 | 0) | 0, (i49 | 0) == 0 ? 1020 : i49 * 40 | 0) | 0;
     if (!i32) {
      i92 = i115;
      i93 = i117;
      break L6;
     }
     i49 = get32(i11 | 0) | 0;
     if (((i49 | 0) != 0 ? (get32(i49 + 260 | 0) | 0) >>> 0 <= i32 >>> 0 : 0) ? (get32(i49 + 264 | 0) | 0) >>> 0 > i32 >>> 0 : 0) i120 = getU16(i49 + 232 | 0) | 0; else i120 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i32) | 0;
     set32(i21 | 0, (i120 >>> 0) / 20 | 0 | 0);
     set32(i22 | 0, i32 | 0);
     i118 = get32(i26 | 0) | 0;
     i119 = i32;
    }
    set32(i26 | 0, i118 + 1 | 0);
    set8(i119 + (i16 * 20 | 0) >> 0 | 0, i14 | 0);
    set8(i119 + (i16 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i119 + (i16 * 20 | 0) + 4 | 0, i47 | 0);
    set32(i119 + (i16 * 20 | 0) + 8 | 0, i17 | 0);
    set32(i119 + (i16 * 20 | 0) + 12 | 0, i3 | 0);
    set32(i119 + (i16 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i119 + (i16 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i92 = i115;
    i93 = i117;
    break;
   }
  case 156:
   {
    i16 = i2 + 8 | 0;
    i26 = get32(i16 | 0) | 0;
    switch (get8(i26 >> 0 | 0) | 0) {
    case -127:
     {
      _codeInteger(i11, i26, 1, i3);
      i13 = i3;
      STACKTOP = i4;
      return i13 | 0;
     }
    case -126:
     {
      i32 = get32(i26 + 4 | 0) | 0;
      do if (i32) {
       i26 = i32;
       while (1) if (!(get8(i26 >> 0 | 0) | 0)) {
        i121 = i26;
        break;
       } else i26 = i26 + 1 | 0;
       _sqlite3AtoF(i32, i8, i121 - i32 & 1073741823, 1) | 0;
       d122 = -+getF64(i8 | 0);
       setF64(i8 | 0, +d122);
       i26 = get32(i11 | 0) | 0;
       L739 : do if (!i26) {
        if (!(get32(50 * 4 | 0) | 0)) {
         i123 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](8) | 0;
         i19 = 392;
         break;
        }
        i22 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](8) | 0;
        set32(35 * 4 | 0, 8 | 0);
        if ((get32(45 * 4 | 0) | 0) < 8) set32(45 * 4 | 0, 8 | 0);
        i21 = get32(6 * 4 | 0) | 0;
        do if (i21) {
         i49 = get32(30 * 4 | 0) | 0;
         i20 = ((i49 | 0) < 0) << 31 >> 31;
         i46 = 16;
         i25 = _i64Subtract(get32(i46 | 0) | 0, get32(i46 + 4 | 0) | 0, i22 | 0, ((i22 | 0) < 0) << 31 >> 31 | 0) | 0;
         i46 = tempRet0;
         if ((i20 | 0) < (i46 | 0) | (i20 | 0) == (i46 | 0) & i49 >>> 0 < i25 >>> 0) {
          set32(11 * 4 | 0, 0 | 0);
          break;
         } else {
          set32(11 * 4 | 0, 1 | 0);
          i25 = get32(7 * 4 | 0) | 0;
          set32(6 * 4 | 0, 0 | 0);
          FUNCTION_TABLE_viiii[i21 & 15](i25, i49, i20, i22);
          set32(6 * 4 | 0, i21 | 0);
          set32(7 * 4 | 0, i25 | 0);
          break;
         }
        } while (0);
        i21 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i22) | 0;
        if (i21) {
         i18 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i21) | 0;
         i25 = (get32(30 * 4 | 0) | 0) + i18 | 0;
         set32(30 * 4 | 0, i25 | 0);
         if ((i25 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i25 | 0);
         i25 = get32(39 * 4 | 0) | 0;
         i18 = i25 + 1 | 0;
         set32(39 * 4 | 0, i18 | 0);
         if ((i25 | 0) < (get32(49 * 4 | 0) | 0)) {
          i124 = i21;
          i19 = 393;
         } else {
          set32(49 * 4 | 0, i18 | 0);
          i124 = i21;
          i19 = 393;
         }
        } else i125 = 0;
       } else {
        i21 = i26 + 30 | 0;
        if (!(get8(i21 >> 0 | 0) | 0)) {
         do if (get8(i26 + 234 >> 0 | 0) | 0) {
          if ((getU16(i26 + 232 | 0) | 0) < 8) {
           i18 = i26 + 248 | 0;
           set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
           break;
          }
          i18 = i26 + 256 | 0;
          i25 = get32(i18 | 0) | 0;
          if (!i25) {
           i20 = i26 + 252 | 0;
           set32(i20 | 0, (get32(i20 | 0) | 0) + 1 | 0);
           break;
          }
          set32(i18 | 0, get32(i25 | 0) | 0);
          i18 = i26 + 236 | 0;
          i20 = get32(i18 | 0) | 0;
          i49 = i20 + 1 | 0;
          set32(i18 | 0, i49 | 0);
          i18 = i26 + 244 | 0;
          set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
          i18 = i26 + 240 | 0;
          if ((i20 | 0) >= (get32(i18 | 0) | 0)) set32(i18 | 0, i49 | 0);
          i123 = i25;
          i19 = 392;
          break L739;
         } while (0);
         if (!(get32(50 * 4 | 0) | 0)) {
          i22 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](8) | 0;
          if (i22) {
           i124 = i22;
           i19 = 393;
           break;
          }
         } else {
          i22 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](8) | 0;
          set32(35 * 4 | 0, 8 | 0);
          if ((get32(45 * 4 | 0) | 0) < 8) set32(45 * 4 | 0, 8 | 0);
          i25 = get32(6 * 4 | 0) | 0;
          do if (i25) {
           i49 = get32(30 * 4 | 0) | 0;
           i18 = ((i49 | 0) < 0) << 31 >> 31;
           i20 = 16;
           i46 = _i64Subtract(get32(i20 | 0) | 0, get32(i20 + 4 | 0) | 0, i22 | 0, ((i22 | 0) < 0) << 31 >> 31 | 0) | 0;
           i20 = tempRet0;
           if ((i18 | 0) < (i20 | 0) | (i18 | 0) == (i20 | 0) & i49 >>> 0 < i46 >>> 0) {
            set32(11 * 4 | 0, 0 | 0);
            break;
           } else {
            set32(11 * 4 | 0, 1 | 0);
            i46 = get32(7 * 4 | 0) | 0;
            set32(6 * 4 | 0, 0 | 0);
            FUNCTION_TABLE_viiii[i25 & 15](i46, i49, i18, i22);
            set32(6 * 4 | 0, i25 | 0);
            set32(7 * 4 | 0, i46 | 0);
            break;
           }
          } while (0);
          i25 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i22) | 0;
          if (i25) {
           i46 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i25) | 0;
           i18 = (get32(30 * 4 | 0) | 0) + i46 | 0;
           set32(30 * 4 | 0, i18 | 0);
           if ((i18 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i18 | 0);
           i18 = get32(39 * 4 | 0) | 0;
           i46 = i18 + 1 | 0;
           set32(39 * 4 | 0, i46 | 0);
           if ((i18 | 0) < (get32(49 * 4 | 0) | 0)) {
            i124 = i25;
            i19 = 393;
            break;
           }
           set32(49 * 4 | 0, i46 | 0);
           i124 = i25;
           i19 = 393;
           break;
          }
         }
         set8(i21 >> 0 | 0, 1 | 0);
         i125 = 0;
        } else i125 = 0;
       } while (0);
       if ((i19 | 0) == 392) if (!i123) i125 = 0; else {
        i124 = i123;
        i19 = 393;
       }
       if ((i19 | 0) == 393) {
        setF64(tempDoublePtr | 0, +d122);
        set8(i124 >> 0 | 0, get8(tempDoublePtr >> 0 | 0) | 0);
        set8(i124 + 1 >> 0 | 0, get8(tempDoublePtr + 1 >> 0 | 0) | 0);
        set8(i124 + 2 >> 0 | 0, get8(tempDoublePtr + 2 >> 0 | 0) | 0);
        set8(i124 + 3 >> 0 | 0, get8(tempDoublePtr + 3 >> 0 | 0) | 0);
        set8(i124 + 4 >> 0 | 0, get8(tempDoublePtr + 4 >> 0 | 0) | 0);
        set8(i124 + 5 >> 0 | 0, get8(tempDoublePtr + 5 >> 0 | 0) | 0);
        set8(i124 + 6 >> 0 | 0, get8(tempDoublePtr + 6 >> 0 | 0) | 0);
        set8(i124 + 7 >> 0 | 0, get8(tempDoublePtr + 7 >> 0 | 0) | 0);
        i125 = i124;
       }
       i26 = i11 + 28 | 0;
       i25 = get32(i26 | 0) | 0;
       i46 = i11 + 32 | 0;
       i18 = get32(i46 | 0) | 0;
       if ((i18 | 0) <= (i25 | 0)) {
        i49 = i11 + 4 | 0;
        i20 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i49 | 0) | 0, (i18 | 0) == 0 ? 1020 : i18 * 40 | 0) | 0;
        if (!i20) {
         i126 = 1;
         i127 = i49;
        } else {
         i18 = get32(i11 | 0) | 0;
         if (((i18 | 0) != 0 ? (get32(i18 + 260 | 0) | 0) >>> 0 <= i20 >>> 0 : 0) ? (get32(i18 + 264 | 0) | 0) >>> 0 > i20 >>> 0 : 0) i128 = getU16(i18 + 232 | 0) | 0; else i128 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i20) | 0;
         set32(i46 | 0, (i128 >>> 0) / 20 | 0 | 0);
         set32(i49 | 0, i20 | 0);
         i129 = i49;
         i130 = get32(i26 | 0) | 0;
         i131 = i20;
         i19 = 403;
        }
       } else {
        i20 = i11 + 4 | 0;
        i129 = i20;
        i130 = i25;
        i131 = get32(i20 | 0) | 0;
        i19 = 403;
       }
       if ((i19 | 0) == 403) {
        set32(i26 | 0, i130 + 1 | 0);
        set8(i131 + (i25 * 20 | 0) >> 0 | 0, -126 | 0);
        set8(i131 + (i25 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i131 + (i25 * 20 | 0) + 4 | 0, 0 | 0);
        set32(i131 + (i25 * 20 | 0) + 8 | 0, i3 | 0);
        set32(i131 + (i25 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i131 + (i25 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i131 + (i25 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i126 = i25;
        i127 = i129;
       }
       i25 = get32(i11 | 0) | 0;
       i20 = get32(i127 | 0) | 0;
       if ((i20 | 0) != 0 ? (get8(i25 + 30 >> 0 | 0) | 0) == 0 : 0) {
        if ((i126 | 0) < 0) i132 = (get32(i26 | 0) | 0) + -1 | 0; else i132 = i126;
        i26 = i20 + (i132 * 20 | 0) + 1 | 0;
        i49 = i20 + (i132 * 20 | 0) + 16 | 0;
        _freeP4(i25, get8(i26 >> 0 | 0) | 0, get32(i49 | 0) | 0);
        set32(i49 | 0, 0 | 0);
        if (!i125) {
         set32(i49 | 0, 0 | 0);
         set8(i26 >> 0 | 0, 0 | 0);
         break;
        } else {
         set32(i49 | 0, i125 | 0);
         set8(i26 >> 0 | 0, -12 | 0);
         break;
        }
       }
       if (i125) _sqlite3DbFree(i25, i125);
      } while (0);
      i13 = i3;
      STACKTOP = i4;
      return i13 | 0;
     }
    default:
     {
      i32 = i1 + 21 | 0;
      i17 = get8(i32 >> 0 | 0) | 0;
      if (!(i17 << 24 >> 24)) {
       i47 = i1 + 72 | 0;
       i25 = (get32(i47 | 0) | 0) + 1 | 0;
       set32(i47 | 0, i25 | 0);
       i133 = i25;
      } else {
       i25 = i17 + -1 << 24 >> 24;
       set8(i32 >> 0 | 0, i25 | 0);
       i133 = get32(i1 + 24 + ((i25 & 255) << 2) | 0) | 0;
      }
      i25 = i11 + 28 | 0;
      i17 = get32(i25 | 0) | 0;
      i47 = i11 + 32 | 0;
      i26 = get32(i47 | 0) | 0;
      if ((i26 | 0) <= (i17 | 0)) {
       i49 = i11 + 4 | 0;
       i20 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i49 | 0) | 0, (i26 | 0) == 0 ? 1020 : i26 * 40 | 0) | 0;
       if (i20) {
        i26 = get32(i11 | 0) | 0;
        if (((i26 | 0) != 0 ? (get32(i26 + 260 | 0) | 0) >>> 0 <= i20 >>> 0 : 0) ? (get32(i26 + 264 | 0) | 0) >>> 0 > i20 >>> 0 : 0) i134 = getU16(i26 + 232 | 0) | 0; else i134 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i20) | 0;
        set32(i47 | 0, (i134 >>> 0) / 20 | 0 | 0);
        set32(i49 | 0, i20 | 0);
        i135 = get32(i25 | 0) | 0;
        i136 = i20;
        i19 = 426;
       }
      } else {
       i135 = i17;
       i136 = get32(i11 + 4 | 0) | 0;
       i19 = 426;
      }
      if ((i19 | 0) == 426) {
       set32(i25 | 0, i135 + 1 | 0);
       set8(i136 + (i17 * 20 | 0) >> 0 | 0, 7 | 0);
       set8(i136 + (i17 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i136 + (i17 * 20 | 0) + 4 | 0, 0 | 0);
       set32(i136 + (i17 * 20 | 0) + 8 | 0, i133 | 0);
       set32(i136 + (i17 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i136 + (i17 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i136 + (i17 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      }
      i17 = get32(i16 | 0) | 0;
      i20 = get8(i32 >> 0 | 0) | 0;
      if (!(i20 << 24 >> 24)) {
       i49 = i1 + 72 | 0;
       i26 = (get32(i49 | 0) | 0) + 1 | 0;
       set32(i49 | 0, i26 | 0);
       i137 = i26;
      } else {
       i26 = i20 + -1 << 24 >> 24;
       set8(i32 >> 0 | 0, i26 | 0);
       i137 = get32(i1 + 24 + ((i26 & 255) << 2) | 0) | 0;
      }
      i26 = _sqlite3ExprCodeTarget(i1, i17, i137) | 0;
      L703 : do if ((i26 | 0) != (i137 | 0)) if ((i137 | 0) != 0 ? (i17 = get8(i32 >> 0 | 0) | 0, (i17 & 255) < 8) : 0) {
       do if ((get32(i1 + 112 | 0) | 0) != (i137 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i137 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i137 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i137 | 0)) if ((get32(i1 + 208 | 0) | 0) != (i137 | 0)) if ((get32(i1 + 232 | 0) | 0) != (i137 | 0)) if ((get32(i1 + 256 | 0) | 0) == (i137 | 0)) i138 = i1 + 240 | 0; else {
        if ((get32(i1 + 280 | 0) | 0) == (i137 | 0)) {
         i138 = i1 + 264 | 0;
         break;
        }
        if ((get32(i1 + 304 | 0) | 0) == (i137 | 0)) {
         i138 = i1 + 288 | 0;
         break;
        }
        if ((get32(i1 + 328 | 0) | 0) == (i137 | 0)) {
         i138 = i1 + 312 | 0;
         break;
        }
        set8(i32 >> 0 | 0, i17 + 1 << 24 >> 24 | 0);
        set32(i1 + 24 + ((i17 & 255) << 2) | 0, i137 | 0);
        i139 = 0;
        break L703;
       } else i138 = i1 + 216 | 0; else i138 = i1 + 192 | 0; else i138 = i1 + 168 | 0; else i138 = i1 + 144 | 0; else i138 = i1 + 120 | 0; else i138 = i1 + 96 | 0; while (0);
       set8(i138 + 8 >> 0 | 0, 1 | 0);
       i139 = 0;
      } else i139 = 0; else i139 = i137; while (0);
      i32 = get32(i25 | 0) | 0;
      i16 = get32(i47 | 0) | 0;
      if ((i16 | 0) > (i32 | 0)) {
       i140 = i32;
       i141 = get32(i11 + 4 | 0) | 0;
      } else {
       i17 = i11 + 4 | 0;
       i20 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i17 | 0) | 0, (i16 | 0) == 0 ? 1020 : i16 * 40 | 0) | 0;
       if (!i20) {
        i92 = i133;
        i93 = i139;
        break L6;
       }
       i16 = get32(i11 | 0) | 0;
       if (((i16 | 0) != 0 ? (get32(i16 + 260 | 0) | 0) >>> 0 <= i20 >>> 0 : 0) ? (get32(i16 + 264 | 0) | 0) >>> 0 > i20 >>> 0 : 0) i142 = getU16(i16 + 232 | 0) | 0; else i142 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i20) | 0;
       set32(i47 | 0, (i142 >>> 0) / 20 | 0 | 0);
       set32(i17 | 0, i20 | 0);
       i140 = get32(i25 | 0) | 0;
       i141 = i20;
      }
      set32(i25 | 0, i140 + 1 | 0);
      set8(i141 + (i32 * 20 | 0) >> 0 | 0, 87 | 0);
      set8(i141 + (i32 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i141 + (i32 * 20 | 0) + 4 | 0, i26 | 0);
      set32(i141 + (i32 * 20 | 0) + 8 | 0, i133 | 0);
      set32(i141 + (i32 * 20 | 0) + 12 | 0, i3 | 0);
      set32(i141 + (i32 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i141 + (i32 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i92 = i133;
      i93 = i139;
      break L6;
     }
    }
    break;
   }
  case 19:
  case 93:
   {
    i32 = get32(i2 + 8 | 0) | 0;
    i20 = i1 + 21 | 0;
    i17 = get8(i20 >> 0 | 0) | 0;
    if (!(i17 << 24 >> 24)) {
     i16 = i1 + 72 | 0;
     i49 = (get32(i16 | 0) | 0) + 1 | 0;
     set32(i16 | 0, i49 | 0);
     i143 = i49;
    } else {
     i49 = i17 + -1 << 24 >> 24;
     set8(i20 >> 0 | 0, i49 | 0);
     i143 = get32(i1 + 24 + ((i49 & 255) << 2) | 0) | 0;
    }
    i49 = _sqlite3ExprCodeTarget(i1, i32, i143) | 0;
    do if ((i49 | 0) != (i143 | 0)) if ((i143 | 0) != 0 ? (i32 = get8(i20 >> 0 | 0) | 0, (i32 & 255) < 8) : 0) {
     if ((get32(i1 + 112 | 0) | 0) != (i143 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i143 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i143 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i143 | 0)) if ((get32(i1 + 208 | 0) | 0) != (i143 | 0)) if ((get32(i1 + 232 | 0) | 0) != (i143 | 0)) if ((get32(i1 + 256 | 0) | 0) != (i143 | 0)) if ((get32(i1 + 280 | 0) | 0) != (i143 | 0)) if ((get32(i1 + 304 | 0) | 0) != (i143 | 0)) if ((get32(i1 + 328 | 0) | 0) == (i143 | 0)) i144 = i1 + 312 | 0; else {
      set8(i20 >> 0 | 0, i32 + 1 << 24 >> 24 | 0);
      set32(i1 + 24 + ((i32 & 255) << 2) | 0, i143 | 0);
      i145 = 0;
      break;
     } else i144 = i1 + 288 | 0; else i144 = i1 + 264 | 0; else i144 = i1 + 240 | 0; else i144 = i1 + 216 | 0; else i144 = i1 + 192 | 0; else i144 = i1 + 168 | 0; else i144 = i1 + 144 | 0; else i144 = i1 + 120 | 0; else i144 = i1 + 96 | 0;
     set8(i144 + 8 >> 0 | 0, 1 | 0);
     i145 = 0;
    } else i145 = 0; else i145 = i143; while (0);
    i20 = i11 + 28 | 0;
    i26 = get32(i20 | 0) | 0;
    i25 = i11 + 32 | 0;
    i47 = get32(i25 | 0) | 0;
    if ((i47 | 0) > (i26 | 0)) {
     i146 = i26;
     i147 = get32(i11 + 4 | 0) | 0;
    } else {
     i32 = i11 + 4 | 0;
     i17 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i32 | 0) | 0, (i47 | 0) == 0 ? 1020 : i47 * 40 | 0) | 0;
     if (!i17) {
      i92 = i145;
      i93 = 0;
      break L6;
     }
     i47 = get32(i11 | 0) | 0;
     if (((i47 | 0) != 0 ? (get32(i47 + 260 | 0) | 0) >>> 0 <= i17 >>> 0 : 0) ? (get32(i47 + 264 | 0) | 0) >>> 0 > i17 >>> 0 : 0) i148 = getU16(i47 + 232 | 0) | 0; else i148 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i17) | 0;
     set32(i25 | 0, (i148 >>> 0) / 20 | 0 | 0);
     set32(i32 | 0, i17 | 0);
     i146 = get32(i20 | 0) | 0;
     i147 = i17;
    }
    set32(i20 | 0, i146 + 1 | 0);
    set8(i147 + (i26 * 20 | 0) >> 0 | 0, i14 | 0);
    set8(i147 + (i26 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i147 + (i26 * 20 | 0) + 4 | 0, i49 | 0);
    set32(i147 + (i26 * 20 | 0) + 8 | 0, i3 | 0);
    set32(i147 + (i26 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i147 + (i26 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i147 + (i26 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i92 = i145;
    i93 = 0;
    break;
   }
  case 74:
  case 73:
   {
    i26 = i11 + 28 | 0;
    i20 = get32(i26 | 0) | 0;
    i17 = i11 + 32 | 0;
    i32 = get32(i17 | 0) | 0;
    if ((i32 | 0) <= (i20 | 0)) {
     i25 = i11 + 4 | 0;
     i47 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i25 | 0) | 0, (i32 | 0) == 0 ? 1020 : i32 * 40 | 0) | 0;
     if (i47) {
      i32 = get32(i11 | 0) | 0;
      if (((i32 | 0) != 0 ? (get32(i32 + 260 | 0) | 0) >>> 0 <= i47 >>> 0 : 0) ? (get32(i32 + 264 | 0) | 0) >>> 0 > i47 >>> 0 : 0) i149 = getU16(i32 + 232 | 0) | 0; else i149 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i47) | 0;
      set32(i17 | 0, (i149 >>> 0) / 20 | 0 | 0);
      set32(i25 | 0, i47 | 0);
      i150 = get32(i26 | 0) | 0;
      i151 = i47;
      i19 = 492;
     }
    } else {
     i150 = i20;
     i151 = get32(i11 + 4 | 0) | 0;
     i19 = 492;
    }
    if ((i19 | 0) == 492) {
     set32(i26 | 0, i150 + 1 | 0);
     set8(i151 + (i20 * 20 | 0) >> 0 | 0, 7 | 0);
     set8(i151 + (i20 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i151 + (i20 * 20 | 0) + 4 | 0, 1 | 0);
     set32(i151 + (i20 * 20 | 0) + 8 | 0, i3 | 0);
     set32(i151 + (i20 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i151 + (i20 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i151 + (i20 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    }
    i20 = get32(i2 + 8 | 0) | 0;
    i47 = i1 + 21 | 0;
    i25 = get8(i47 >> 0 | 0) | 0;
    if (!(i25 << 24 >> 24)) {
     i32 = i1 + 72 | 0;
     i16 = (get32(i32 | 0) | 0) + 1 | 0;
     set32(i32 | 0, i16 | 0);
     i152 = i16;
    } else {
     i16 = i25 + -1 << 24 >> 24;
     set8(i47 >> 0 | 0, i16 | 0);
     i152 = get32(i1 + 24 + ((i16 & 255) << 2) | 0) | 0;
    }
    i16 = _sqlite3ExprCodeTarget(i1, i20, i152) | 0;
    L875 : do if ((i16 | 0) != (i152 | 0)) if ((i152 | 0) != 0 ? (i20 = get8(i47 >> 0 | 0) | 0, (i20 & 255) < 8) : 0) {
     do if ((get32(i1 + 112 | 0) | 0) != (i152 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i152 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i152 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i152 | 0)) if ((get32(i1 + 208 | 0) | 0) != (i152 | 0)) if ((get32(i1 + 232 | 0) | 0) != (i152 | 0)) if ((get32(i1 + 256 | 0) | 0) != (i152 | 0)) if ((get32(i1 + 280 | 0) | 0) != (i152 | 0)) if ((get32(i1 + 304 | 0) | 0) == (i152 | 0)) i153 = i1 + 288 | 0; else {
      if ((get32(i1 + 328 | 0) | 0) == (i152 | 0)) {
       i153 = i1 + 312 | 0;
       break;
      }
      set8(i47 >> 0 | 0, i20 + 1 << 24 >> 24 | 0);
      set32(i1 + 24 + ((i20 & 255) << 2) | 0, i152 | 0);
      i154 = 0;
      break L875;
     } else i153 = i1 + 264 | 0; else i153 = i1 + 240 | 0; else i153 = i1 + 216 | 0; else i153 = i1 + 192 | 0; else i153 = i1 + 168 | 0; else i153 = i1 + 144 | 0; else i153 = i1 + 120 | 0; else i153 = i1 + 96 | 0; while (0);
     set8(i153 + 8 >> 0 | 0, 1 | 0);
     i154 = 0;
    } else i154 = 0; else i154 = i152; while (0);
    i47 = get32(i26 | 0) | 0;
    i49 = get32(i17 | 0) | 0;
    do if ((i49 | 0) > (i47 | 0)) {
     i155 = i47;
     i156 = get32(i11 + 4 | 0) | 0;
     i157 = i49;
     i19 = 521;
    } else {
     i20 = i11 + 4 | 0;
     i25 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i20 | 0) | 0, (i49 | 0) == 0 ? 1020 : i49 * 40 | 0) | 0;
     if (!i25) {
      i158 = 1;
      i159 = get32(i17 | 0) | 0;
      i160 = get32(i26 | 0) | 0;
      break;
     }
     i32 = get32(i11 | 0) | 0;
     if (((i32 | 0) != 0 ? (get32(i32 + 260 | 0) | 0) >>> 0 <= i25 >>> 0 : 0) ? (get32(i32 + 264 | 0) | 0) >>> 0 > i25 >>> 0 : 0) i161 = getU16(i32 + 232 | 0) | 0; else i161 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i25) | 0;
     i32 = (i161 >>> 0) / 20 | 0;
     set32(i17 | 0, i32 | 0);
     set32(i20 | 0, i25 | 0);
     i155 = get32(i26 | 0) | 0;
     i156 = i25;
     i157 = i32;
     i19 = 521;
    } while (0);
    if ((i19 | 0) == 521) {
     i49 = i155 + 1 | 0;
     set32(i26 | 0, i49 | 0);
     set8(i156 + (i47 * 20 | 0) >> 0 | 0, i14 | 0);
     set8(i156 + (i47 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i156 + (i47 * 20 | 0) + 4 | 0, i16 | 0);
     set32(i156 + (i47 * 20 | 0) + 8 | 0, 0 | 0);
     set32(i156 + (i47 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i156 + (i47 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i156 + (i47 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i158 = i47;
     i159 = i157;
     i160 = i49;
    }
    do if ((i159 | 0) > (i160 | 0)) {
     i162 = i160;
     i163 = get32(i11 + 4 | 0) | 0;
     i19 = 532;
    } else {
     i49 = i11 + 4 | 0;
     i32 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i49 | 0) | 0, (i159 | 0) == 0 ? 1020 : i159 * 40 | 0) | 0;
     if (!i32) {
      i164 = get32(i26 | 0) | 0;
      break;
     }
     i25 = get32(i11 | 0) | 0;
     if (((i25 | 0) != 0 ? (get32(i25 + 260 | 0) | 0) >>> 0 <= i32 >>> 0 : 0) ? (get32(i25 + 264 | 0) | 0) >>> 0 > i32 >>> 0 : 0) i165 = getU16(i25 + 232 | 0) | 0; else i165 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i32) | 0;
     set32(i17 | 0, (i165 >>> 0) / 20 | 0 | 0);
     set32(i49 | 0, i32 | 0);
     i162 = get32(i26 | 0) | 0;
     i163 = i32;
     i19 = 532;
    } while (0);
    if ((i19 | 0) == 532) {
     i17 = i162 + 1 | 0;
     set32(i26 | 0, i17 | 0);
     set8(i163 + (i160 * 20 | 0) >> 0 | 0, 20 | 0);
     set8(i163 + (i160 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i163 + (i160 * 20 | 0) + 4 | 0, i3 | 0);
     set32(i163 + (i160 * 20 | 0) + 8 | 0, -1 | 0);
     set32(i163 + (i160 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i163 + (i160 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i163 + (i160 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i164 = i17;
    }
    if ((i164 | 0) > (i158 | 0)) {
     set32((get32(i11 + 4 | 0) | 0) + (i158 * 20 | 0) + 8 | 0, i164 | 0);
     i92 = i154;
     i93 = 0;
    } else {
     i92 = i154;
     i93 = 0;
    }
    break;
   }
  case 153:
   {
    i17 = get32(i2 + 36 | 0) | 0;
    if (!i17) {
     set32(i7 | 0, get32(i2 + 4 | 0) | 0);
     _sqlite3ErrorMsg(i1, 32383, i7);
     i13 = i3;
     STACKTOP = i4;
     return i13 | 0;
    } else {
     i13 = get32((get32(i17 + 32 | 0) | 0) + (get16(i2 + 30 | 0) << 4) + 8 | 0) | 0;
     STACKTOP = i4;
     return i13 | 0;
    }
    break;
   }
  case 151:
  case 155:
   {
    i17 = get8((get32((get32(i12 + 8 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0) | 0;
    i47 = i2 + 2 | 0;
    if ((get16(i47 | 0) & 8192) == 0 ? (i16 = get32(i2 + 16 | 0) | 0, (i16 | 0) != 0) : 0) {
     i166 = get32(i16 | 0) | 0;
     i167 = 1;
     i168 = i16;
    } else {
     i166 = 0;
     i167 = 0;
     i168 = 0;
    }
    i16 = get32(i2 + 4 | 0) | 0;
    if (!i16) i169 = 0; else {
     i32 = i16;
     while (1) if (!(get8(i32 >> 0 | 0) | 0)) {
      i170 = i32;
      break;
     } else i32 = i32 + 1 | 0;
     i169 = i170 - i16 & 1073741823;
    }
    i32 = _sqlite3FindFunction(i12, i16, i169, i166, i17, 0) | 0;
    if (!i32) {
     set32(i6 | 0, i169 | 0);
     set32(i6 + 4 | 0, i16 | 0);
     _sqlite3ErrorMsg(i1, 32409, i6);
     i13 = i3;
     STACKTOP = i4;
     return i13 | 0;
    }
    if (get8(i32 + 3 >> 0 | 0) & 64) {
     i26 = i11 + 36 | 0;
     i49 = get32(i26 | 0) | 0;
     set32(i26 | 0, i49 + 1 | 0);
     i26 = i11 + 40 | 0;
     i25 = get32(i26 | 0) | 0;
     if ((i49 | 0) < (i25 | 0)) i171 = i11 + 44 | 0; else {
      i20 = get32(i11 | 0) | 0;
      i46 = i11 + 44 | 0;
      i18 = get32(i46 | 0) | 0;
      i55 = _sqlite3DbRealloc(i20, i18, (i25 << 3) + 20 | 0) | 0;
      if (i55) {
       set32(i46 | 0, i55 | 0);
       i25 = get32(i11 | 0) | 0;
       if (((i25 | 0) != 0 ? (get32(i25 + 260 | 0) | 0) >>> 0 <= i55 >>> 0 : 0) ? (get32(i25 + 264 | 0) | 0) >>> 0 > i55 >>> 0 : 0) i172 = getU16(i25 + 232 | 0) | 0; else i19 = 555;
      } else {
       _sqlite3DbFree(i20, i18);
       set32(i46 | 0, 0 | 0);
       i19 = 555;
      }
      if ((i19 | 0) == 555) i172 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i55) | 0;
      set32(i26 | 0, i172 >>> 2 | 0);
      i171 = i46;
     }
     i46 = get32(i171 | 0) | 0;
     if (i46) set32(i46 + (i49 << 2) | 0, -1 | 0);
     i46 = ~i49;
     i26 = i168 + 12 | 0;
     i55 = get32(get32(i26 | 0) | 0) | 0;
     do if ((i55 | 0) != 0 ? (get8(i55 >> 0 | 0) | 0) == -124 : 0) {
      i18 = get32(i10 | 0) | 0;
      i20 = get32(i55 + 24 | 0) | 0;
      i25 = i18 + 28 | 0;
      i51 = get32(i25 | 0) | 0;
      i50 = i18 + 32 | 0;
      i48 = get32(i50 | 0) | 0;
      if ((i48 | 0) > (i51 | 0)) {
       i173 = i51;
       i174 = get32(i18 + 4 | 0) | 0;
      } else {
       i175 = i18 + 4 | 0;
       i176 = _sqlite3DbRealloc(get32(i18 | 0) | 0, get32(i175 | 0) | 0, (i48 | 0) == 0 ? 1020 : i48 * 40 | 0) | 0;
       if (!i176) break;
       i48 = get32(i18 | 0) | 0;
       do if ((i48 | 0) != 0 ? (get32(i48 + 260 | 0) | 0) >>> 0 <= i176 >>> 0 : 0) {
        if ((get32(i48 + 264 | 0) | 0) >>> 0 <= i176 >>> 0) {
         i19 = 568;
         break;
        }
        i177 = getU16(i48 + 232 | 0) | 0;
       } else i19 = 568; while (0);
       if ((i19 | 0) == 568) i177 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i176) | 0;
       set32(i50 | 0, (i177 >>> 0) / 20 | 0 | 0);
       set32(i175 | 0, i176 | 0);
       i173 = get32(i25 | 0) | 0;
       i174 = i176;
      }
      set32(i25 | 0, i173 + 1 | 0);
      set8(i174 + (i51 * 20 | 0) >> 0 | 0, 14 | 0);
      set8(i174 + (i51 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i174 + (i51 * 20 | 0) + 4 | 0, i20 | 0);
      set32(i174 + (i51 * 20 | 0) + 8 | 0, i3 | 0);
      set32(i174 + (i51 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i174 + (i51 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i174 + (i51 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     } else i19 = 571; while (0);
     do if (((i19 | 0) == 571 ? (i16 = _sqlite3ExprCodeTarget(i1, i55, i3) | 0, (i16 | 0) != (i3 | 0)) : 0) ? (i17 = get32(i10 | 0) | 0, (i17 | 0) != 0) : 0) {
      i48 = i17 + 28 | 0;
      i18 = get32(i48 | 0) | 0;
      i178 = i17 + 32 | 0;
      i179 = get32(i178 | 0) | 0;
      if ((i179 | 0) > (i18 | 0)) {
       i180 = i18;
       i181 = get32(i17 + 4 | 0) | 0;
      } else {
       i182 = i17 + 4 | 0;
       i183 = _sqlite3DbRealloc(get32(i17 | 0) | 0, get32(i182 | 0) | 0, (i179 | 0) == 0 ? 1020 : i179 * 40 | 0) | 0;
       if (!i183) break;
       i179 = get32(i17 | 0) | 0;
       do if (!i179) i19 = 580; else {
        if ((get32(i179 + 260 | 0) | 0) >>> 0 > i183 >>> 0) {
         i19 = 580;
         break;
        }
        if ((get32(i179 + 264 | 0) | 0) >>> 0 <= i183 >>> 0) {
         i19 = 580;
         break;
        }
        i184 = getU16(i179 + 232 | 0) | 0;
       } while (0);
       if ((i19 | 0) == 580) i184 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i183) | 0;
       set32(i178 | 0, (i184 >>> 0) / 20 | 0 | 0);
       set32(i182 | 0, i183 | 0);
       i180 = get32(i48 | 0) | 0;
       i181 = i183;
      }
      set32(i48 | 0, i180 + 1 | 0);
      set8(i181 + (i18 * 20 | 0) >> 0 | 0, 15 | 0);
      set8(i181 + (i18 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i181 + (i18 * 20 | 0) + 4 | 0, i16 | 0);
      set32(i181 + (i18 * 20 | 0) + 8 | 0, i3 | 0);
      set32(i181 + (i18 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i181 + (i18 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i181 + (i18 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     } while (0);
     if ((i166 | 0) > 1) {
      i55 = i11 + 28 | 0;
      i179 = i11 + 32 | 0;
      i51 = i11 + 4 | 0;
      i20 = i1 + 96 | 0;
      i25 = i1 + 21 | 0;
      i176 = i1 + 84 | 0;
      i175 = 1;
      do {
       i50 = get32(i55 | 0) | 0;
       i17 = get32(i179 | 0) | 0;
       if ((i17 | 0) <= (i50 | 0)) {
        i185 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i51 | 0) | 0, (i17 | 0) == 0 ? 1020 : i17 * 40 | 0) | 0;
        if (!i185) {
         i186 = 0;
         i187 = i20;
        } else {
         i17 = get32(i11 | 0) | 0;
         do if (!i17) i19 = 592; else {
          if ((get32(i17 + 260 | 0) | 0) >>> 0 > i185 >>> 0) {
           i19 = 592;
           break;
          }
          if ((get32(i17 + 264 | 0) | 0) >>> 0 <= i185 >>> 0) {
           i19 = 592;
           break;
          }
          i188 = getU16(i17 + 232 | 0) | 0;
         } while (0);
         if ((i19 | 0) == 592) {
          i19 = 0;
          i188 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i185) | 0;
         }
         set32(i179 | 0, (i188 >>> 0) / 20 | 0 | 0);
         set32(i51 | 0, i185 | 0);
         i189 = get32(i55 | 0) | 0;
         i190 = i185;
         i19 = 594;
        }
       } else {
        i189 = i50;
        i190 = get32(i51 | 0) | 0;
        i19 = 594;
       }
       if ((i19 | 0) == 594) {
        i19 = 0;
        set32(i55 | 0, i189 + 1 | 0);
        set8(i190 + (i50 * 20 | 0) >> 0 | 0, 74 | 0);
        set8(i190 + (i50 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i190 + (i50 * 20 | 0) + 4 | 0, i3 | 0);
        set32(i190 + (i50 * 20 | 0) + 8 | 0, i46 | 0);
        set32(i190 + (i50 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i190 + (i50 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i190 + (i50 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i186 = 0;
        i187 = i20;
       }
       while (1) {
        i17 = i187 + 16 | 0;
        if ((get32(i17 | 0) | 0) == (i3 | 0)) {
         i18 = i187 + 8 | 0;
         if (get8(i18 >> 0 | 0) | 0) {
          i16 = get8(i25 >> 0 | 0) | 0;
          if ((i16 & 255) < 8) {
           set8(i25 >> 0 | 0, i16 + 1 << 24 >> 24 | 0);
           set32(i1 + 24 + ((i16 & 255) << 2) | 0, i3 | 0);
          }
          set8(i18 >> 0 | 0, 0 | 0);
         }
         set32(i17 | 0, 0 | 0);
        }
        i186 = i186 + 1 | 0;
        if ((i186 | 0) == 10) break; else i187 = i187 + 24 | 0;
       }
       set32(i176 | 0, (get32(i176 | 0) | 0) + 1 | 0);
       i50 = get32((get32(i26 | 0) | 0) + (i175 * 20 | 0) | 0) | 0;
       do if ((i50 | 0) != 0 ? (get8(i50 >> 0 | 0) | 0) == -124 : 0) {
        i185 = get32(i10 | 0) | 0;
        i17 = get32(i50 + 24 | 0) | 0;
        i18 = i185 + 28 | 0;
        i16 = get32(i18 | 0) | 0;
        i48 = i185 + 32 | 0;
        i183 = get32(i48 | 0) | 0;
        if ((i183 | 0) > (i16 | 0)) {
         i191 = i16;
         i192 = get32(i185 + 4 | 0) | 0;
        } else {
         i182 = i185 + 4 | 0;
         i178 = _sqlite3DbRealloc(get32(i185 | 0) | 0, get32(i182 | 0) | 0, (i183 | 0) == 0 ? 1020 : i183 * 40 | 0) | 0;
         if (!i178) break;
         i183 = get32(i185 | 0) | 0;
         do if (!i183) i19 = 611; else {
          if ((get32(i183 + 260 | 0) | 0) >>> 0 > i178 >>> 0) {
           i19 = 611;
           break;
          }
          if ((get32(i183 + 264 | 0) | 0) >>> 0 <= i178 >>> 0) {
           i19 = 611;
           break;
          }
          i193 = getU16(i183 + 232 | 0) | 0;
         } while (0);
         if ((i19 | 0) == 611) {
          i19 = 0;
          i193 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i178) | 0;
         }
         set32(i48 | 0, (i193 >>> 0) / 20 | 0 | 0);
         set32(i182 | 0, i178 | 0);
         i191 = get32(i18 | 0) | 0;
         i192 = i178;
        }
        set32(i18 | 0, i191 + 1 | 0);
        set8(i192 + (i16 * 20 | 0) >> 0 | 0, 14 | 0);
        set8(i192 + (i16 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i192 + (i16 * 20 | 0) + 4 | 0, i17 | 0);
        set32(i192 + (i16 * 20 | 0) + 8 | 0, i3 | 0);
        set32(i192 + (i16 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i192 + (i16 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i192 + (i16 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       } else i19 = 614; while (0);
       do if (((i19 | 0) == 614 ? (i19 = 0, i183 = _sqlite3ExprCodeTarget(i1, i50, i3) | 0, (i183 | 0) != (i3 | 0)) : 0) ? (i21 = get32(i10 | 0) | 0, (i21 | 0) != 0) : 0) {
        i22 = i21 + 28 | 0;
        i185 = get32(i22 | 0) | 0;
        i194 = i21 + 32 | 0;
        i195 = get32(i194 | 0) | 0;
        if ((i195 | 0) > (i185 | 0)) {
         i196 = i185;
         i197 = get32(i21 + 4 | 0) | 0;
        } else {
         i198 = i21 + 4 | 0;
         i199 = _sqlite3DbRealloc(get32(i21 | 0) | 0, get32(i198 | 0) | 0, (i195 | 0) == 0 ? 1020 : i195 * 40 | 0) | 0;
         if (!i199) break;
         i195 = get32(i21 | 0) | 0;
         do if (!i195) i19 = 623; else {
          if ((get32(i195 + 260 | 0) | 0) >>> 0 > i199 >>> 0) {
           i19 = 623;
           break;
          }
          if ((get32(i195 + 264 | 0) | 0) >>> 0 <= i199 >>> 0) {
           i19 = 623;
           break;
          }
          i200 = getU16(i195 + 232 | 0) | 0;
         } while (0);
         if ((i19 | 0) == 623) {
          i19 = 0;
          i200 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i199) | 0;
         }
         set32(i194 | 0, (i200 >>> 0) / 20 | 0 | 0);
         set32(i198 | 0, i199 | 0);
         i196 = get32(i22 | 0) | 0;
         i197 = i199;
        }
        set32(i22 | 0, i196 + 1 | 0);
        set8(i197 + (i185 * 20 | 0) >> 0 | 0, 15 | 0);
        set8(i197 + (i185 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i197 + (i185 * 20 | 0) + 4 | 0, i183 | 0);
        set32(i197 + (i185 * 20 | 0) + 8 | 0, i3 | 0);
        set32(i197 + (i185 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i197 + (i185 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i197 + (i185 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       } while (0);
       set32(i176 | 0, (get32(i176 | 0) | 0) + -1 | 0);
       i50 = 0;
       i195 = i20;
       while (1) {
        i16 = i195 + 16 | 0;
        i17 = get32(i16 | 0) | 0;
        do if (i17) {
         if ((get32(i195 + 12 | 0) | 0) <= (get32(i176 | 0) | 0)) break;
         i18 = i195 + 8 | 0;
         if (get8(i18 >> 0 | 0) | 0) {
          i178 = get8(i25 >> 0 | 0) | 0;
          if ((i178 & 255) < 8) {
           set8(i25 >> 0 | 0, i178 + 1 << 24 >> 24 | 0);
           set32(i1 + 24 + ((i178 & 255) << 2) | 0, i17 | 0);
          }
          set8(i18 >> 0 | 0, 0 | 0);
         }
         set32(i16 | 0, 0 | 0);
        } while (0);
        i50 = i50 + 1 | 0;
        if ((i50 | 0) == 10) break; else i195 = i195 + 24 | 0;
       }
       i175 = i175 + 1 | 0;
      } while ((i175 | 0) != (i166 | 0));
     }
     i175 = get32(i11 + 44 | 0) | 0;
     if (!i175) {
      i13 = i3;
      STACKTOP = i4;
      return i13 | 0;
     }
     set32(i175 + (i49 << 2) | 0, get32(i11 + 28 | 0) | 0);
     i13 = i3;
     STACKTOP = i4;
     return i13 | 0;
    }
    if (i167) {
     i175 = i1 + 60 | 0;
     i25 = get32(i175 | 0) | 0;
     i176 = i1 + 56 | 0;
     i20 = get32(i176 | 0) | 0;
     if ((i20 | 0) < (i166 | 0)) {
      i26 = i1 + 72 | 0;
      i46 = get32(i26 | 0) | 0;
      set32(i26 | 0, i46 + i166 | 0);
      i201 = i46 + 1 | 0;
     } else {
      set32(i175 | 0, i25 + i166 | 0);
      set32(i176 | 0, i20 - i166 | 0);
      i201 = i25;
     }
     i25 = i1 + 84 | 0;
     i20 = (get32(i25 | 0) | 0) + 1 | 0;
     set32(i25 | 0, i20 | 0);
     i176 = get32(i168 | 0) | 0;
     if ((i176 | 0) > 0) {
      i175 = 0;
      i46 = get32(i168 + 12 | 0) | 0;
      while (1) {
       i26 = i175 + i201 | 0;
       i55 = _sqlite3ExprCodeTarget(i1, get32(i46 | 0) | 0, i26) | 0;
       do if ((i55 | 0) != (i26 | 0)) {
        i51 = get32(i10 | 0) | 0;
        i179 = i51 + 28 | 0;
        i195 = get32(i179 | 0) | 0;
        i50 = i51 + 32 | 0;
        i16 = get32(i50 | 0) | 0;
        if ((i16 | 0) > (i195 | 0)) {
         i202 = i195;
         i203 = get32(i51 + 4 | 0) | 0;
        } else {
         i17 = i51 + 4 | 0;
         i185 = _sqlite3DbRealloc(get32(i51 | 0) | 0, get32(i17 | 0) | 0, (i16 | 0) == 0 ? 1020 : i16 * 40 | 0) | 0;
         if (!i185) break;
         i16 = get32(i51 | 0) | 0;
         do if (!i16) i19 = 652; else {
          if ((get32(i16 + 260 | 0) | 0) >>> 0 > i185 >>> 0) {
           i19 = 652;
           break;
          }
          if ((get32(i16 + 264 | 0) | 0) >>> 0 <= i185 >>> 0) {
           i19 = 652;
           break;
          }
          i204 = getU16(i16 + 232 | 0) | 0;
         } while (0);
         if ((i19 | 0) == 652) {
          i19 = 0;
          i204 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i185) | 0;
         }
         set32(i50 | 0, (i204 >>> 0) / 20 | 0 | 0);
         set32(i17 | 0, i185 | 0);
         i202 = get32(i179 | 0) | 0;
         i203 = i185;
        }
        set32(i179 | 0, i202 + 1 | 0);
        set8(i203 + (i195 * 20 | 0) >> 0 | 0, 14 | 0);
        set8(i203 + (i195 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i203 + (i195 * 20 | 0) + 4 | 0, i55 | 0);
        set32(i203 + (i195 * 20 | 0) + 8 | 0, i26 | 0);
        set32(i203 + (i195 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i203 + (i195 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i203 + (i195 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       } while (0);
       i175 = i175 + 1 | 0;
       if ((i175 | 0) == (i176 | 0)) break; else i46 = i46 + 20 | 0;
      }
      i205 = get32(i25 | 0) | 0;
     } else i205 = i20;
     set32(i25 | 0, i205 + -1 | 0);
     i46 = i1 + 21 | 0;
     i176 = 0;
     i175 = i1 + 96 | 0;
     while (1) {
      i49 = i175 + 16 | 0;
      i26 = get32(i49 | 0) | 0;
      if ((i26 | 0) != 0 ? (get32(i175 + 12 | 0) | 0) > (get32(i25 | 0) | 0) : 0) {
       i55 = i175 + 8 | 0;
       if (get8(i55 >> 0 | 0) | 0) {
        i16 = get8(i46 >> 0 | 0) | 0;
        if ((i16 & 255) < 8) {
         set8(i46 >> 0 | 0, i16 + 1 << 24 >> 24 | 0);
         set32(i1 + 24 + ((i16 & 255) << 2) | 0, i26 | 0);
        }
        set8(i55 >> 0 | 0, 0 | 0);
       }
       set32(i49 | 0, 0 | 0);
      }
      i176 = i176 + 1 | 0;
      if ((i176 | 0) == 10) {
       i206 = i201;
       break;
      } else i175 = i175 + 24 | 0;
     }
    } else i206 = 0;
    if ((i166 | 0) > 1) if (!(get16(i47 | 0) & 128)) i19 = 670; else {
     i207 = _sqlite3VtabOverloadFunction(i12, i32, i166, get32((get32(i168 + 12 | 0) | 0) + 20 | 0) | 0) | 0;
     i19 = 672;
    } else if ((i166 | 0) > 0) i19 = 670; else {
     i208 = i32 + 3 | 0;
     i209 = 0;
     i210 = 0;
     i211 = i32;
    }
    if ((i19 | 0) == 670) {
     i207 = _sqlite3VtabOverloadFunction(i12, i32, i166, get32(get32(i168 + 12 | 0) | 0) | 0) | 0;
     i19 = 672;
    }
    if ((i19 | 0) == 672) {
     i175 = i168 + 12 | 0;
     i176 = i8 + 12 | 0;
     i46 = i8 + 4 | 0;
     i25 = i207 + 3 | 0;
     i20 = 0;
     i49 = 0;
     i55 = 0;
     while (1) {
      if ((i49 | 0) < 32 ? (i26 = get32((get32(i175 | 0) | 0) + (i49 * 20 | 0) | 0) | 0, set32(i176 | 0, 1 | 0), set32(i8 | 0, 67 | 0), set32(i46 | 0, 68 | 0), _sqlite3WalkExpr(i8, i26) | 0, (get32(i176 | 0) | 0) != 0) : 0) i212 = i20 | 1 << i49; else i212 = i20;
      if ((i55 | 0) != 0 | (get8(i25 >> 0 | 0) & 8) == 0) i213 = i55; else i213 = _sqlite3ExprCollSeq(i1, get32((get32(i175 | 0) | 0) + (i49 * 20 | 0) | 0) | 0) | 0;
      i49 = i49 + 1 | 0;
      if ((i49 | 0) == (i166 | 0)) {
       i208 = i25;
       i209 = i212;
       i210 = i213;
       i211 = i207;
       break;
      } else {
       i20 = i212;
       i55 = i213;
      }
     }
    }
    do if (get8(i208 >> 0 | 0) & 8) {
     if (!i210) i214 = get32(i12 + 44 | 0) | 0; else i214 = i210;
     i55 = i11 + 28 | 0;
     i20 = get32(i55 | 0) | 0;
     i25 = i11 + 32 | 0;
     i49 = get32(i25 | 0) | 0;
     if ((i49 | 0) <= (i20 | 0)) {
      i175 = i11 + 4 | 0;
      i176 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i175 | 0) | 0, (i49 | 0) == 0 ? 1020 : i49 * 40 | 0) | 0;
      if (!i176) {
       i215 = 1;
       i216 = i11;
       i217 = i175;
      } else {
       i49 = get32(i11 | 0) | 0;
       if (((i49 | 0) != 0 ? (get32(i49 + 260 | 0) | 0) >>> 0 <= i176 >>> 0 : 0) ? (get32(i49 + 264 | 0) | 0) >>> 0 > i176 >>> 0 : 0) i218 = getU16(i49 + 232 | 0) | 0; else i218 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i176) | 0;
       set32(i25 | 0, (i218 >>> 0) / 20 | 0 | 0);
       set32(i175 | 0, i176 | 0);
       i219 = i175;
       i220 = i11;
       i221 = get32(i55 | 0) | 0;
       i222 = i176;
       i19 = 692;
      }
     } else {
      i176 = i11 + 4 | 0;
      i219 = i176;
      i220 = i11;
      i221 = i20;
      i222 = get32(i176 | 0) | 0;
      i19 = 692;
     }
     if ((i19 | 0) == 692) {
      set32(i55 | 0, i221 + 1 | 0);
      set8(i222 + (i20 * 20 | 0) >> 0 | 0, 17 | 0);
      set8(i222 + (i20 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i223 = i222 + (i20 * 20 | 0) + 3 | 0;
      i224 = i223 + 17 | 0;
      do {
       set8(i223 >> 0 | 0, 0 | 0);
       i223 = i223 + 1 | 0;
      } while ((i223 | 0) < (i224 | 0));
      i215 = i20;
      i216 = i220;
      i217 = i219;
     }
     i176 = get32(i216 | 0) | 0;
     i175 = get32(i217 | 0) | 0;
     if ((i175 | 0) != 0 ? (get8(i176 + 30 >> 0 | 0) | 0) == 0 : 0) {
      if ((i215 | 0) < 0) i225 = (get32(i55 | 0) | 0) + -1 | 0; else i225 = i215;
      i49 = i175 + (i225 * 20 | 0) + 1 | 0;
      i46 = i175 + (i225 * 20 | 0) + 16 | 0;
      _freeP4(i176, get8(i49 >> 0 | 0) | 0, get32(i46 | 0) | 0);
      set32(i46 | 0, 0 | 0);
      if (!i214) {
       set32(i46 | 0, 0 | 0);
       set8(i49 >> 0 | 0, 0 | 0);
       i226 = i55;
       i227 = i25;
       break;
      } else {
       set32(i46 | 0, i214 | 0);
       set8(i49 >> 0 | 0, -4 | 0);
       i226 = i55;
       i227 = i25;
       break;
      }
     } else {
      i226 = i55;
      i227 = i25;
     }
    } else {
     i226 = i11 + 28 | 0;
     i227 = i11 + 32 | 0;
    } while (0);
    i49 = get32(i226 | 0) | 0;
    i46 = get32(i227 | 0) | 0;
    if ((i46 | 0) <= (i49 | 0)) {
     i176 = i11 + 4 | 0;
     i175 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i176 | 0) | 0, (i46 | 0) == 0 ? 1020 : i46 * 40 | 0) | 0;
     if (!i175) {
      i228 = 1;
      i229 = i11;
      i230 = i176;
     } else {
      i46 = get32(i11 | 0) | 0;
      if (((i46 | 0) != 0 ? (get32(i46 + 260 | 0) | 0) >>> 0 <= i175 >>> 0 : 0) ? (get32(i46 + 264 | 0) | 0) >>> 0 > i175 >>> 0 : 0) i231 = getU16(i46 + 232 | 0) | 0; else i231 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i175) | 0;
      set32(i227 | 0, (i231 >>> 0) / 20 | 0 | 0);
      set32(i176 | 0, i175 | 0);
      i232 = i176;
      i233 = i11;
      i234 = get32(i226 | 0) | 0;
      i235 = i175;
      i19 = 709;
     }
    } else {
     i175 = i11 + 4 | 0;
     i232 = i175;
     i233 = i11;
     i234 = i49;
     i235 = get32(i175 | 0) | 0;
     i19 = 709;
    }
    if ((i19 | 0) == 709) {
     set32(i226 | 0, i234 + 1 | 0);
     set8(i235 + (i49 * 20 | 0) >> 0 | 0, 18 | 0);
     set8(i235 + (i49 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i235 + (i49 * 20 | 0) + 4 | 0, i209 | 0);
     set32(i235 + (i49 * 20 | 0) + 8 | 0, i206 | 0);
     set32(i235 + (i49 * 20 | 0) + 12 | 0, i3 | 0);
     set32(i235 + (i49 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i235 + (i49 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i228 = i49;
     i229 = i233;
     i230 = i232;
    }
    i49 = get32(i229 | 0) | 0;
    i175 = get32(i230 | 0) | 0;
    do if ((i175 | 0) != 0 ? (get8(i49 + 30 >> 0 | 0) | 0) == 0 : 0) {
     if ((i228 | 0) < 0) i236 = (get32(i226 | 0) | 0) + -1 | 0; else i236 = i228;
     i176 = i175 + (i236 * 20 | 0) + 1 | 0;
     i46 = i175 + (i236 * 20 | 0) + 16 | 0;
     _freeP4(i49, get8(i176 >> 0 | 0) | 0, get32(i46 | 0) | 0);
     set32(i46 | 0, 0 | 0);
     if (!i211) {
      set32(i46 | 0, 0 | 0);
      set8(i176 >> 0 | 0, 0 | 0);
      break;
     } else {
      set32(i46 | 0, i211 | 0);
      set8(i176 >> 0 | 0, -5 | 0);
      break;
     }
    } else i19 = 712; while (0);
    if (((i19 | 0) == 712 ? (i211 | 0) != 0 : 0) ? (get8(i208 >> 0 | 0) & 4) != 0 : 0) _sqlite3DbFree(i49, i211);
    i175 = get32(i230 | 0) | 0;
    if (i175) set8(i175 + (((get32(i226 | 0) | 0) + -1 | 0) * 20 | 0) + 3 >> 0 | 0, i166 | 0);
    if (!i166) {
     i13 = i3;
     STACKTOP = i4;
     return i13 | 0;
    }
    i175 = i166 + -1 + i206 | 0;
    i176 = i1 + 21 | 0;
    i46 = 0;
    i32 = i1 + 96 | 0;
    while (1) {
     i47 = i32 + 16 | 0;
     i26 = get32(i47 | 0) | 0;
     if (!((i26 | 0) < (i206 | 0) | (i26 | 0) > (i175 | 0))) {
      i16 = i32 + 8 | 0;
      if (get8(i16 >> 0 | 0) | 0) {
       i51 = get8(i176 >> 0 | 0) | 0;
       if ((i51 & 255) < 8) {
        set8(i176 >> 0 | 0, i51 + 1 << 24 >> 24 | 0);
        set32(i1 + 24 + ((i51 & 255) << 2) | 0, i26 | 0);
       }
       set8(i16 >> 0 | 0, 0 | 0);
      }
      set32(i47 | 0, 0 | 0);
     }
     i46 = i46 + 1 | 0;
     if ((i46 | 0) == 10) break; else i32 = i32 + 24 | 0;
    }
    i32 = i1 + 56 | 0;
    if ((get32(i32 | 0) | 0) >= (i166 | 0)) {
     i13 = i3;
     STACKTOP = i4;
     return i13 | 0;
    }
    set32(i32 | 0, i166 | 0);
    set32(i1 + 60 | 0, i206 | 0);
    i13 = i3;
    STACKTOP = i4;
    return i13 | 0;
   }
  case 116:
  case 20:
   {
    i13 = _sqlite3CodeSubselect(i1, i2, 0, 0) | 0;
    STACKTOP = i4;
    return i13 | 0;
   }
  case 72:
   {
    i32 = i11 + 36 | 0;
    i46 = get32(i32 | 0) | 0;
    set32(i32 | 0, i46 + 1 | 0);
    i176 = i11 + 40 | 0;
    i175 = get32(i176 | 0) | 0;
    if ((i46 | 0) < (i175 | 0)) {
     i237 = i11 + 44 | 0;
     i238 = i175;
    } else {
     i49 = get32(i11 | 0) | 0;
     i47 = i11 + 44 | 0;
     i16 = get32(i47 | 0) | 0;
     i26 = _sqlite3DbRealloc(i49, i16, (i175 << 3) + 20 | 0) | 0;
     if (i26) {
      set32(i47 | 0, i26 | 0);
      i175 = get32(i11 | 0) | 0;
      if (((i175 | 0) != 0 ? (get32(i175 + 260 | 0) | 0) >>> 0 <= i26 >>> 0 : 0) ? (get32(i175 + 264 | 0) | 0) >>> 0 > i26 >>> 0 : 0) i239 = getU16(i175 + 232 | 0) | 0; else i19 = 742;
     } else {
      _sqlite3DbFree(i49, i16);
      set32(i47 | 0, 0 | 0);
      i19 = 742;
     }
     if ((i19 | 0) == 742) i239 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i26) | 0;
     i26 = i239 >>> 2;
     set32(i176 | 0, i26 | 0);
     i237 = i47;
     i238 = i26;
    }
    i26 = get32(i237 | 0) | 0;
    if (!i26) i240 = i238; else {
     set32(i26 + (i46 << 2) | 0, -1 | 0);
     i240 = get32(i176 | 0) | 0;
    }
    i26 = ~i46;
    i47 = get32(i32 | 0) | 0;
    set32(i32 | 0, i47 + 1 | 0);
    if ((i47 | 0) < (i240 | 0)) i241 = i11 + 44 | 0; else {
     i32 = get32(i11 | 0) | 0;
     i16 = i11 + 44 | 0;
     i49 = get32(i16 | 0) | 0;
     i175 = _sqlite3DbRealloc(i32, i49, (i240 << 3) + 20 | 0) | 0;
     if (i175) {
      set32(i16 | 0, i175 | 0);
      i51 = get32(i11 | 0) | 0;
      if (((i51 | 0) != 0 ? (get32(i51 + 260 | 0) | 0) >>> 0 <= i175 >>> 0 : 0) ? (get32(i51 + 264 | 0) | 0) >>> 0 > i175 >>> 0 : 0) i242 = getU16(i51 + 232 | 0) | 0; else i19 = 754;
     } else {
      _sqlite3DbFree(i32, i49);
      set32(i16 | 0, 0 | 0);
      i19 = 754;
     }
     if ((i19 | 0) == 754) i242 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i175) | 0;
     set32(i176 | 0, i242 >>> 2 | 0);
     i241 = i16;
    }
    i16 = get32(i241 | 0) | 0;
    if (i16) set32(i16 + (i47 << 2) | 0, -1 | 0);
    i16 = ~i47;
    i176 = i11 + 28 | 0;
    i175 = get32(i176 | 0) | 0;
    i49 = i11 + 32 | 0;
    i32 = get32(i49 | 0) | 0;
    if ((i32 | 0) <= (i175 | 0)) {
     i51 = i11 + 4 | 0;
     i183 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i51 | 0) | 0, (i32 | 0) == 0 ? 1020 : i32 * 40 | 0) | 0;
     if (i183) {
      i32 = get32(i11 | 0) | 0;
      if (((i32 | 0) != 0 ? (get32(i32 + 260 | 0) | 0) >>> 0 <= i183 >>> 0 : 0) ? (get32(i32 + 264 | 0) | 0) >>> 0 > i183 >>> 0 : 0) i243 = getU16(i32 + 232 | 0) | 0; else i243 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i183) | 0;
      set32(i49 | 0, (i243 >>> 0) / 20 | 0 | 0);
      set32(i51 | 0, i183 | 0);
      i244 = get32(i176 | 0) | 0;
      i245 = i183;
      i19 = 767;
     }
    } else {
     i244 = i175;
     i245 = get32(i11 + 4 | 0) | 0;
     i19 = 767;
    }
    if ((i19 | 0) == 767) {
     set32(i176 | 0, i244 + 1 | 0);
     set8(i245 + (i175 * 20 | 0) >> 0 | 0, 10 | 0);
     set8(i245 + (i175 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i245 + (i175 * 20 | 0) + 4 | 0, 0 | 0);
     set32(i245 + (i175 * 20 | 0) + 8 | 0, i3 | 0);
     set32(i245 + (i175 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i245 + (i175 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i245 + (i175 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    }
    _sqlite3ExprCodeIN(i1, i2, i26, i16);
    i16 = get32(i176 | 0) | 0;
    i26 = get32(i49 | 0) | 0;
    if ((i26 | 0) <= (i16 | 0)) {
     i175 = i11 + 4 | 0;
     i183 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i175 | 0) | 0, (i26 | 0) == 0 ? 1020 : i26 * 40 | 0) | 0;
     if (i183) {
      i26 = get32(i11 | 0) | 0;
      if (((i26 | 0) != 0 ? (get32(i26 + 260 | 0) | 0) >>> 0 <= i183 >>> 0 : 0) ? (get32(i26 + 264 | 0) | 0) >>> 0 > i183 >>> 0 : 0) i246 = getU16(i26 + 232 | 0) | 0; else i246 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i183) | 0;
      set32(i49 | 0, (i246 >>> 0) / 20 | 0 | 0);
      set32(i175 | 0, i183 | 0);
      i247 = get32(i176 | 0) | 0;
      i248 = i183;
      i19 = 777;
     }
    } else {
     i247 = i16;
     i248 = get32(i11 + 4 | 0) | 0;
     i19 = 777;
    }
    if ((i19 | 0) == 777) {
     set32(i176 | 0, i247 + 1 | 0);
     set8(i248 + (i16 * 20 | 0) >> 0 | 0, 7 | 0);
     set8(i248 + (i16 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i248 + (i16 * 20 | 0) + 4 | 0, 1 | 0);
     set32(i248 + (i16 * 20 | 0) + 8 | 0, i3 | 0);
     set32(i248 + (i16 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i248 + (i16 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i248 + (i16 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    }
    i16 = i11 + 44 | 0;
    i183 = get32(i16 | 0) | 0;
    if (i183) set32(i183 + (i46 << 2) | 0, get32(i176 | 0) | 0);
    i46 = get32(i176 | 0) | 0;
    i183 = get32(i49 | 0) | 0;
    if ((i183 | 0) <= (i46 | 0)) {
     i175 = i11 + 4 | 0;
     i26 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i175 | 0) | 0, (i183 | 0) == 0 ? 1020 : i183 * 40 | 0) | 0;
     if (i26) {
      i183 = get32(i11 | 0) | 0;
      if (((i183 | 0) != 0 ? (get32(i183 + 260 | 0) | 0) >>> 0 <= i26 >>> 0 : 0) ? (get32(i183 + 264 | 0) | 0) >>> 0 > i26 >>> 0 : 0) i249 = getU16(i183 + 232 | 0) | 0; else i249 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i26) | 0;
      set32(i49 | 0, (i249 >>> 0) / 20 | 0 | 0);
      set32(i175 | 0, i26 | 0);
      i250 = get32(i176 | 0) | 0;
      i251 = i26;
      i19 = 789;
     }
    } else {
     i250 = i46;
     i251 = get32(i11 + 4 | 0) | 0;
     i19 = 789;
    }
    if ((i19 | 0) == 789) {
     set32(i176 | 0, i250 + 1 | 0);
     set8(i251 + (i46 * 20 | 0) >> 0 | 0, 20 | 0);
     set8(i251 + (i46 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i251 + (i46 * 20 | 0) + 4 | 0, i3 | 0);
     set32(i251 + (i46 * 20 | 0) + 8 | 0, 0 | 0);
     set32(i251 + (i46 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i251 + (i46 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i251 + (i46 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    }
    i46 = get32(i16 | 0) | 0;
    if (!i46) {
     i13 = i3;
     STACKTOP = i4;
     return i13 | 0;
    }
    set32(i46 + (i47 << 2) | 0, get32(i176 | 0) | 0);
    i13 = i3;
    STACKTOP = i4;
    return i13 | 0;
   }
  case 71:
   {
    i176 = get32(i2 + 8 | 0) | 0;
    i47 = get32((get32(i2 + 16 | 0) | 0) + 12 | 0) | 0;
    i46 = get32(i47 | 0) | 0;
    i16 = i1 + 21 | 0;
    i26 = get8(i16 >> 0 | 0) | 0;
    if (!(i26 << 24 >> 24)) {
     i175 = i1 + 72 | 0;
     i49 = (get32(i175 | 0) | 0) + 1 | 0;
     set32(i175 | 0, i49 | 0);
     i252 = i49;
    } else {
     i49 = i26 + -1 << 24 >> 24;
     set8(i16 >> 0 | 0, i49 | 0);
     i252 = get32(i1 + 24 + ((i49 & 255) << 2) | 0) | 0;
    }
    i49 = _sqlite3ExprCodeTarget(i1, i176, i252) | 0;
    do if ((i49 | 0) != (i252 | 0)) if (i252) {
     i26 = get8(i16 >> 0 | 0) | 0;
     if ((i26 & 255) < 8) {
      if ((get32(i1 + 112 | 0) | 0) != (i252 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i252 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i252 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i252 | 0)) if ((get32(i1 + 208 | 0) | 0) != (i252 | 0)) if ((get32(i1 + 232 | 0) | 0) != (i252 | 0)) if ((get32(i1 + 256 | 0) | 0) != (i252 | 0)) if ((get32(i1 + 280 | 0) | 0) != (i252 | 0)) if ((get32(i1 + 304 | 0) | 0) != (i252 | 0)) if ((get32(i1 + 328 | 0) | 0) == (i252 | 0)) i253 = i1 + 312 | 0; else {
       set8(i16 >> 0 | 0, i26 + 1 << 24 >> 24 | 0);
       set32(i1 + 24 + ((i26 & 255) << 2) | 0, i252 | 0);
       i254 = 0;
       i19 = 810;
       break;
      } else i253 = i1 + 288 | 0; else i253 = i1 + 264 | 0; else i253 = i1 + 240 | 0; else i253 = i1 + 216 | 0; else i253 = i1 + 192 | 0; else i253 = i1 + 168 | 0; else i253 = i1 + 144 | 0; else i253 = i1 + 120 | 0; else i253 = i1 + 96 | 0;
      set8(i253 + 8 >> 0 | 0, 1 | 0);
      i254 = 0;
      i19 = 810;
     } else {
      i255 = i26;
      i256 = 0;
      i19 = 812;
     }
    } else {
     i254 = 0;
     i19 = 810;
    } else {
     i254 = i252;
     i19 = 810;
    } while (0);
    if ((i19 | 0) == 810) {
     i26 = get8(i16 >> 0 | 0) | 0;
     if (!(i26 << 24 >> 24)) {
      i175 = i1 + 72 | 0;
      i183 = (get32(i175 | 0) | 0) + 1 | 0;
      set32(i175 | 0, i183 | 0);
      i257 = i183;
      i258 = i254;
     } else {
      i255 = i26;
      i256 = i254;
      i19 = 812;
     }
    }
    if ((i19 | 0) == 812) {
     i26 = i255 + -1 << 24 >> 24;
     set8(i16 >> 0 | 0, i26 | 0);
     i257 = get32(i1 + 24 + ((i26 & 255) << 2) | 0) | 0;
     i258 = i256;
    }
    i26 = _sqlite3ExprCodeTarget(i1, i46, i257) | 0;
    L1324 : do if ((i26 | 0) != (i257 | 0)) if (i257) {
     i183 = get8(i16 >> 0 | 0) | 0;
     if ((i183 & 255) < 8) {
      do if ((get32(i1 + 112 | 0) | 0) != (i257 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i257 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i257 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i257 | 0)) if ((get32(i1 + 208 | 0) | 0) != (i257 | 0)) if ((get32(i1 + 232 | 0) | 0) != (i257 | 0)) if ((get32(i1 + 256 | 0) | 0) != (i257 | 0)) if ((get32(i1 + 280 | 0) | 0) != (i257 | 0)) if ((get32(i1 + 304 | 0) | 0) == (i257 | 0)) i259 = i1 + 288 | 0; else {
       if ((get32(i1 + 328 | 0) | 0) == (i257 | 0)) {
        i259 = i1 + 312 | 0;
        break;
       }
       set8(i16 >> 0 | 0, i183 + 1 << 24 >> 24 | 0);
       set32(i1 + 24 + ((i183 & 255) << 2) | 0, i257 | 0);
       i260 = 0;
       i19 = 828;
       break L1324;
      } else i259 = i1 + 264 | 0; else i259 = i1 + 240 | 0; else i259 = i1 + 216 | 0; else i259 = i1 + 192 | 0; else i259 = i1 + 168 | 0; else i259 = i1 + 144 | 0; else i259 = i1 + 120 | 0; else i259 = i1 + 96 | 0; while (0);
      set8(i259 + 8 >> 0 | 0, 1 | 0);
      i260 = 0;
      i19 = 828;
     } else {
      i261 = i183;
      i262 = 0;
      i19 = 830;
     }
    } else {
     i260 = 0;
     i19 = 828;
    } else {
     i260 = i257;
     i19 = 828;
    } while (0);
    if ((i19 | 0) == 828) {
     i25 = get8(i16 >> 0 | 0) | 0;
     if (!(i25 << 24 >> 24)) {
      i55 = i1 + 72 | 0;
      i20 = (get32(i55 | 0) | 0) + 1 | 0;
      set32(i55 | 0, i20 | 0);
      i263 = i20;
      i264 = i260;
      i19 = 831;
     } else {
      i261 = i25;
      i262 = i260;
      i19 = 830;
     }
    }
    if ((i19 | 0) == 830) {
     i25 = i261 + -1 << 24 >> 24;
     set8(i16 >> 0 | 0, i25 | 0);
     i20 = get32(i1 + 24 + ((i25 & 255) << 2) | 0) | 0;
     if (!(i25 << 24 >> 24)) {
      i263 = i20;
      i264 = i262;
      i19 = 831;
     } else {
      i25 = i261 + -2 << 24 >> 24;
      set8(i16 >> 0 | 0, i25 | 0);
      i265 = i20;
      i266 = get32(i1 + 24 + ((i25 & 255) << 2) | 0) | 0;
      i267 = i262;
     }
    }
    if ((i19 | 0) == 831) {
     i25 = i1 + 72 | 0;
     i20 = (get32(i25 | 0) | 0) + 1 | 0;
     set32(i25 | 0, i20 | 0);
     i265 = i263;
     i266 = i20;
     i267 = i264;
    }
    _codeCompare(i1, i176, i46, 80, i49, i26, i265, 16);
    i20 = get32(i47 + 20 | 0) | 0;
    i25 = get8(i16 >> 0 | 0) | 0;
    L1349 : do if (i267) if ((i25 & 255) < 8) {
     do if ((get32(i1 + 112 | 0) | 0) != (i267 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i267 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i267 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i267 | 0)) if ((get32(i1 + 208 | 0) | 0) != (i267 | 0)) if ((get32(i1 + 232 | 0) | 0) != (i267 | 0)) if ((get32(i1 + 256 | 0) | 0) != (i267 | 0)) if ((get32(i1 + 280 | 0) | 0) != (i267 | 0)) if ((get32(i1 + 304 | 0) | 0) == (i267 | 0)) i268 = i1 + 288 | 0; else {
      if ((get32(i1 + 328 | 0) | 0) == (i267 | 0)) {
       i268 = i1 + 312 | 0;
       break;
      }
      i55 = i25 + 1 << 24 >> 24;
      set8(i16 >> 0 | 0, i55 | 0);
      set32(i1 + 24 + ((i25 & 255) << 2) | 0, i267 | 0);
      i269 = i55;
      i19 = 849;
      break L1349;
     } else i268 = i1 + 264 | 0; else i268 = i1 + 240 | 0; else i268 = i1 + 216 | 0; else i268 = i1 + 192 | 0; else i268 = i1 + 168 | 0; else i268 = i1 + 144 | 0; else i268 = i1 + 120 | 0; else i268 = i1 + 96 | 0; while (0);
     set8(i268 + 8 >> 0 | 0, 1 | 0);
     i19 = 847;
    } else {
     i269 = i25;
     i19 = 849;
    } else i19 = 847; while (0);
    if ((i19 | 0) == 847) if (!(i25 << 24 >> 24)) {
     i47 = i1 + 72 | 0;
     i26 = (get32(i47 | 0) | 0) + 1 | 0;
     set32(i47 | 0, i26 | 0);
     i270 = i26;
    } else {
     i269 = i25;
     i19 = 849;
    }
    if ((i19 | 0) == 849) {
     i26 = i269 + -1 << 24 >> 24;
     set8(i16 >> 0 | 0, i26 | 0);
     i270 = get32(i1 + 24 + ((i26 & 255) << 2) | 0) | 0;
    }
    i26 = _sqlite3ExprCodeTarget(i1, i20, i270) | 0;
    L1370 : do if ((i26 | 0) != (i270 | 0)) if ((i270 | 0) != 0 ? (i47 = get8(i16 >> 0 | 0) | 0, (i47 & 255) < 8) : 0) {
     do if ((get32(i1 + 112 | 0) | 0) != (i270 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i270 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i270 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i270 | 0)) if ((get32(i1 + 208 | 0) | 0) != (i270 | 0)) if ((get32(i1 + 232 | 0) | 0) != (i270 | 0)) if ((get32(i1 + 256 | 0) | 0) == (i270 | 0)) i271 = i1 + 240 | 0; else {
      if ((get32(i1 + 280 | 0) | 0) == (i270 | 0)) {
       i271 = i1 + 264 | 0;
       break;
      }
      if ((get32(i1 + 304 | 0) | 0) == (i270 | 0)) {
       i271 = i1 + 288 | 0;
       break;
      }
      if ((get32(i1 + 328 | 0) | 0) == (i270 | 0)) {
       i271 = i1 + 312 | 0;
       break;
      }
      set8(i16 >> 0 | 0, i47 + 1 << 24 >> 24 | 0);
      set32(i1 + 24 + ((i47 & 255) << 2) | 0, i270 | 0);
      i272 = 0;
      break L1370;
     } else i271 = i1 + 216 | 0; else i271 = i1 + 192 | 0; else i271 = i1 + 168 | 0; else i271 = i1 + 144 | 0; else i271 = i1 + 120 | 0; else i271 = i1 + 96 | 0; while (0);
     set8(i271 + 8 >> 0 | 0, 1 | 0);
     i272 = 0;
    } else i272 = 0; else i272 = i270; while (0);
    _codeCompare(i1, i176, i20, 78, i49, i26, i266, 16);
    i25 = i11 + 28 | 0;
    i47 = get32(i25 | 0) | 0;
    i46 = i11 + 32 | 0;
    i183 = get32(i46 | 0) | 0;
    if ((i183 | 0) <= (i47 | 0)) {
     i55 = i11 + 4 | 0;
     i175 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i55 | 0) | 0, (i183 | 0) == 0 ? 1020 : i183 * 40 | 0) | 0;
     if (i175) {
      i183 = get32(i11 | 0) | 0;
      if (((i183 | 0) != 0 ? (get32(i183 + 260 | 0) | 0) >>> 0 <= i175 >>> 0 : 0) ? (get32(i183 + 264 | 0) | 0) >>> 0 > i175 >>> 0 : 0) i273 = getU16(i183 + 232 | 0) | 0; else i273 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i175) | 0;
      set32(i46 | 0, (i273 >>> 0) / 20 | 0 | 0);
      set32(i55 | 0, i175 | 0);
      i274 = get32(i25 | 0) | 0;
      i275 = i175;
      i19 = 874;
     }
    } else {
     i274 = i47;
     i275 = get32(i11 + 4 | 0) | 0;
     i19 = 874;
    }
    if ((i19 | 0) == 874) {
     set32(i25 | 0, i274 + 1 | 0);
     set8(i275 + (i47 * 20 | 0) >> 0 | 0, 69 | 0);
     set8(i275 + (i47 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i275 + (i47 * 20 | 0) + 4 | 0, i265 | 0);
     set32(i275 + (i47 * 20 | 0) + 8 | 0, i266 | 0);
     set32(i275 + (i47 * 20 | 0) + 12 | 0, i3 | 0);
     set32(i275 + (i47 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i275 + (i47 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    }
    L1401 : do if ((i265 | 0) != 0 ? (i47 = get8(i16 >> 0 | 0) | 0, (i47 & 255) < 8) : 0) {
     do if ((get32(i1 + 112 | 0) | 0) != (i265 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i265 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i265 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i265 | 0)) if ((get32(i1 + 208 | 0) | 0) != (i265 | 0)) if ((get32(i1 + 232 | 0) | 0) == (i265 | 0)) i276 = i1 + 216 | 0; else {
      if ((get32(i1 + 256 | 0) | 0) == (i265 | 0)) {
       i276 = i1 + 240 | 0;
       break;
      }
      if ((get32(i1 + 280 | 0) | 0) == (i265 | 0)) {
       i276 = i1 + 264 | 0;
       break;
      }
      if ((get32(i1 + 304 | 0) | 0) == (i265 | 0)) {
       i276 = i1 + 288 | 0;
       break;
      }
      if ((get32(i1 + 328 | 0) | 0) == (i265 | 0)) {
       i276 = i1 + 312 | 0;
       break;
      }
      set8(i16 >> 0 | 0, i47 + 1 << 24 >> 24 | 0);
      set32(i1 + 24 + ((i47 & 255) << 2) | 0, i265 | 0);
      break L1401;
     } else i276 = i1 + 192 | 0; else i276 = i1 + 168 | 0; else i276 = i1 + 144 | 0; else i276 = i1 + 120 | 0; else i276 = i1 + 96 | 0; while (0);
     set8(i276 + 8 >> 0 | 0, 1 | 0);
    } while (0);
    if ((i266 | 0) != 0 ? (i26 = get8(i16 >> 0 | 0) | 0, (i26 & 255) < 8) : 0) {
     do if ((get32(i1 + 112 | 0) | 0) != (i266 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i266 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i266 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i266 | 0)) if ((get32(i1 + 208 | 0) | 0) != (i266 | 0)) if ((get32(i1 + 232 | 0) | 0) == (i266 | 0)) i277 = i1 + 216 | 0; else {
      if ((get32(i1 + 256 | 0) | 0) == (i266 | 0)) {
       i277 = i1 + 240 | 0;
       break;
      }
      if ((get32(i1 + 280 | 0) | 0) == (i266 | 0)) {
       i277 = i1 + 264 | 0;
       break;
      }
      if ((get32(i1 + 304 | 0) | 0) == (i266 | 0)) {
       i277 = i1 + 288 | 0;
       break;
      }
      if ((get32(i1 + 328 | 0) | 0) == (i266 | 0)) {
       i277 = i1 + 312 | 0;
       break;
      }
      set8(i16 >> 0 | 0, i26 + 1 << 24 >> 24 | 0);
      set32(i1 + 24 + ((i26 & 255) << 2) | 0, i266 | 0);
      i92 = i258;
      i93 = i272;
      break L6;
     } else i277 = i1 + 192 | 0; else i277 = i1 + 168 | 0; else i277 = i1 + 144 | 0; else i277 = i1 + 120 | 0; else i277 = i1 + 96 | 0; while (0);
     set8(i277 + 8 >> 0 | 0, 1 | 0);
     i92 = i258;
     i93 = i272;
    } else {
     i92 = i258;
     i93 = i272;
    }
    break;
   }
  case 157:
   {
    i13 = _sqlite3ExprCodeTarget(i1, get32(i2 + 8 | 0) | 0, i3) | 0;
    STACKTOP = i4;
    return i13 | 0;
   }
  case 60:
   {
    i26 = get32(i2 + 40 | 0) | 0;
    i16 = (Math_imul((get32(i26 + 8 | 0) | 0) + 1 | 0, get32(i2 + 24 | 0) | 0) | 0) + 1 | 0;
    i49 = i2 + 28 | 0;
    i20 = i16 + (get16(i49 | 0) | 0) | 0;
    i16 = i11 + 28 | 0;
    i176 = get32(i16 | 0) | 0;
    i47 = i11 + 32 | 0;
    i25 = get32(i47 | 0) | 0;
    if ((i25 | 0) <= (i176 | 0)) {
     i175 = i11 + 4 | 0;
     i55 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i175 | 0) | 0, (i25 | 0) == 0 ? 1020 : i25 * 40 | 0) | 0;
     if (i55) {
      i25 = get32(i11 | 0) | 0;
      if (((i25 | 0) != 0 ? (get32(i25 + 260 | 0) | 0) >>> 0 <= i55 >>> 0 : 0) ? (get32(i25 + 264 | 0) | 0) >>> 0 > i55 >>> 0 : 0) i278 = getU16(i25 + 232 | 0) | 0; else i278 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i55) | 0;
      set32(i47 | 0, (i278 >>> 0) / 20 | 0 | 0);
      set32(i175 | 0, i55 | 0);
      i279 = get32(i16 | 0) | 0;
      i280 = i55;
      i19 = 913;
     }
    } else {
     i279 = i176;
     i280 = get32(i11 + 4 | 0) | 0;
     i19 = 913;
    }
    if ((i19 | 0) == 913) {
     set32(i16 | 0, i279 + 1 | 0);
     set8(i280 + (i176 * 20 | 0) >> 0 | 0, 109 | 0);
     set8(i280 + (i176 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i280 + (i176 * 20 | 0) + 4 | 0, i20 | 0);
     set32(i280 + (i176 * 20 | 0) + 8 | 0, i3 | 0);
     set32(i280 + (i176 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i280 + (i176 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i280 + (i176 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    }
    i176 = get16(i49 | 0) | 0;
    if (i176 << 16 >> 16 <= -1) {
     i13 = i3;
     STACKTOP = i4;
     return i13 | 0;
    }
    if ((get8((get32(i26 + 12 | 0) | 0) + ((i176 << 16 >> 16) * 24 | 0) + 22 >> 0 | 0) | 0) != 101) {
     i13 = i3;
     STACKTOP = i4;
     return i13 | 0;
    }
    i176 = get32(i16 | 0) | 0;
    i26 = get32(i47 | 0) | 0;
    if ((i26 | 0) > (i176 | 0)) {
     i281 = i176;
     i282 = get32(i11 + 4 | 0) | 0;
    } else {
     i49 = i11 + 4 | 0;
     i20 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i49 | 0) | 0, (i26 | 0) == 0 ? 1020 : i26 * 40 | 0) | 0;
     if (!i20) {
      i13 = i3;
      STACKTOP = i4;
      return i13 | 0;
     }
     i26 = get32(i11 | 0) | 0;
     if (((i26 | 0) != 0 ? (get32(i26 + 260 | 0) | 0) >>> 0 <= i20 >>> 0 : 0) ? (get32(i26 + 264 | 0) | 0) >>> 0 > i20 >>> 0 : 0) i283 = getU16(i26 + 232 | 0) | 0; else i283 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i20) | 0;
     set32(i47 | 0, (i283 >>> 0) / 20 | 0 | 0);
     set32(i49 | 0, i20 | 0);
     i281 = get32(i16 | 0) | 0;
     i282 = i20;
    }
    set32(i16 | 0, i281 + 1 | 0);
    set8(i282 + (i176 * 20 | 0) >> 0 | 0, 22 | 0);
    set8(i282 + (i176 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i282 + (i176 * 20 | 0) + 4 | 0, i3 | 0);
    set32(i282 + (i176 * 20 | 0) + 8 | 0, 0 | 0);
    set32(i282 + (i176 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i282 + (i176 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i282 + (i176 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i13 = i3;
    STACKTOP = i4;
    return i13 | 0;
   }
  case 56:
   {
    if (!(get32(i1 + 428 | 0) | 0)) {
     _sqlite3ErrorMsg(i1, 32434, i5);
     i13 = 0;
     STACKTOP = i4;
     return i13 | 0;
    }
    i176 = get8(i2 + 1 >> 0 | 0) | 0;
    switch (i176 << 24 >> 24) {
    case 2:
     {
      i16 = get32(i1 + 424 | 0) | 0;
      set8(((i16 | 0) == 0 ? i1 : i16) + 345 >> 0 | 0, 1 | 0);
      i16 = get32(i2 + 4 | 0) | 0;
      i20 = get32(i1 + 424 | 0) | 0;
      set8(((i20 | 0) == 0 ? i1 : i20) + 345 >> 0 | 0, 1 | 0);
      i284 = 2;
      i285 = i16;
      break;
     }
    case 4:
     {
      i16 = get32(i2 + 4 | 0) | 0;
      i20 = i11 + 28 | 0;
      i49 = get32(i20 | 0) | 0;
      i47 = i11 + 32 | 0;
      i26 = get32(i47 | 0) | 0;
      if ((i26 | 0) <= (i49 | 0)) {
       i55 = i11 + 4 | 0;
       i175 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i55 | 0) | 0, (i26 | 0) == 0 ? 1020 : i26 * 40 | 0) | 0;
       if (!i175) i286 = 1; else {
        i26 = get32(i11 | 0) | 0;
        if (((i26 | 0) != 0 ? (get32(i26 + 260 | 0) | 0) >>> 0 <= i175 >>> 0 : 0) ? (get32(i26 + 264 | 0) | 0) >>> 0 > i175 >>> 0 : 0) i287 = getU16(i26 + 232 | 0) | 0; else i287 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i175) | 0;
        set32(i47 | 0, (i287 >>> 0) / 20 | 0 | 0);
        set32(i55 | 0, i175 | 0);
        i288 = get32(i20 | 0) | 0;
        i289 = i175;
        i19 = 1076;
       }
      } else {
       i288 = i49;
       i289 = get32(i11 + 4 | 0) | 0;
       i19 = 1076;
      }
      if ((i19 | 0) == 1076) {
       set32(i20 | 0, i288 + 1 | 0);
       set8(i289 + (i49 * 20 | 0) >> 0 | 0, 6 | 0);
       set8(i289 + (i49 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i289 + (i49 * 20 | 0) + 4 | 0, 0 | 0);
       set32(i289 + (i49 * 20 | 0) + 8 | 0, 4 | 0);
       set32(i289 + (i49 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i289 + (i49 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i289 + (i49 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i286 = i49;
      }
      _sqlite3VdbeChangeP4(i11, i286, i16, 0);
      i13 = i3;
      STACKTOP = i4;
      return i13 | 0;
     }
    default:
     {
      i284 = i176 << 24 >> 24;
      i285 = get32(i2 + 4 | 0) | 0;
     }
    }
    i176 = i11 + 28 | 0;
    i16 = get32(i176 | 0) | 0;
    i49 = i11 + 32 | 0;
    i20 = get32(i49 | 0) | 0;
    if ((i20 | 0) <= (i16 | 0)) {
     i175 = i11 + 4 | 0;
     i55 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i175 | 0) | 0, (i20 | 0) == 0 ? 1020 : i20 * 40 | 0) | 0;
     if (!i55) i290 = 1; else {
      i20 = get32(i11 | 0) | 0;
      if (((i20 | 0) != 0 ? (get32(i20 + 260 | 0) | 0) >>> 0 <= i55 >>> 0 : 0) ? (get32(i20 + 264 | 0) | 0) >>> 0 > i55 >>> 0 : 0) i291 = getU16(i20 + 232 | 0) | 0; else i291 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i55) | 0;
      set32(i49 | 0, (i291 >>> 0) / 20 | 0 | 0);
      set32(i175 | 0, i55 | 0);
      i292 = get32(i176 | 0) | 0;
      i293 = i55;
      i19 = 1089;
     }
    } else {
     i292 = i16;
     i293 = get32(i11 + 4 | 0) | 0;
     i19 = 1089;
    }
    if ((i19 | 0) == 1089) {
     set32(i176 | 0, i292 + 1 | 0);
     set8(i293 + (i16 * 20 | 0) >> 0 | 0, 6 | 0);
     set8(i293 + (i16 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i293 + (i16 * 20 | 0) + 4 | 0, 19 | 0);
     set32(i293 + (i16 * 20 | 0) + 8 | 0, i284 | 0);
     set32(i293 + (i16 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i293 + (i16 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i293 + (i16 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i290 = i16;
    }
    _sqlite3VdbeChangeP4(i11, i290, i285, 0);
    i13 = i3;
    STACKTOP = i4;
    return i13 | 0;
   }
  default:
   {
    i16 = get32(i2 + 16 | 0) | 0;
    i176 = get32(i16 + 12 | 0) | 0;
    i55 = get32(i16 | 0) | 0;
    i16 = i11 + 36 | 0;
    i175 = get32(i16 | 0) | 0;
    set32(i16 | 0, i175 + 1 | 0);
    i49 = i11 + 40 | 0;
    i20 = get32(i49 | 0) | 0;
    if ((i175 | 0) < (i20 | 0)) i294 = i11 + 44 | 0; else {
     i47 = get32(i11 | 0) | 0;
     i26 = i11 + 44 | 0;
     i25 = get32(i26 | 0) | 0;
     i46 = _sqlite3DbRealloc(i47, i25, (i20 << 3) + 20 | 0) | 0;
     if (i46) {
      set32(i26 | 0, i46 | 0);
      i20 = get32(i11 | 0) | 0;
      if (((i20 | 0) != 0 ? (get32(i20 + 260 | 0) | 0) >>> 0 <= i46 >>> 0 : 0) ? (get32(i20 + 264 | 0) | 0) >>> 0 > i46 >>> 0 : 0) i295 = getU16(i20 + 232 | 0) | 0; else i19 = 934;
     } else {
      _sqlite3DbFree(i47, i25);
      set32(i26 | 0, 0 | 0);
      i19 = 934;
     }
     if ((i19 | 0) == 934) i295 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i46) | 0;
     set32(i49 | 0, i295 >>> 2 | 0);
     i294 = i26;
    }
    i26 = get32(i294 | 0) | 0;
    if (i26) set32(i26 + (i175 << 2) | 0, -1 | 0);
    i26 = ~i175;
    i46 = get32(i2 + 8 | 0) | 0;
    i25 = (i46 | 0) != 0;
    if (i25) {
     i223 = i9;
     i47 = i46;
     i224 = i223 + 48 | 0;
     do {
      set32(i223 | 0, get32(i47 | 0) | 0);
      i223 = i223 + 4 | 0;
      i47 = i47 + 4 | 0;
     } while ((i223 | 0) < (i224 | 0));
     i47 = i1 + 21 | 0;
     i20 = get8(i47 >> 0 | 0) | 0;
     if (!(i20 << 24 >> 24)) {
      i183 = i1 + 72 | 0;
      i51 = (get32(i183 | 0) | 0) + 1 | 0;
      set32(i183 | 0, i51 | 0);
      i296 = i51;
     } else {
      i51 = i20 + -1 << 24 >> 24;
      set8(i47 >> 0 | 0, i51 | 0);
      i296 = get32(i1 + 24 + ((i51 & 255) << 2) | 0) | 0;
     }
     i51 = _sqlite3ExprCodeTarget(i1, i46, i296) | 0;
     L30 : do if (!((i296 | 0) == 0 | (i51 | 0) == (i296 | 0)) ? (i20 = get8(i47 >> 0 | 0) | 0, (i20 & 255) < 8) : 0) {
      do if ((get32(i1 + 112 | 0) | 0) != (i296 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i296 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i296 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i296 | 0)) if ((get32(i1 + 208 | 0) | 0) != (i296 | 0)) if ((get32(i1 + 232 | 0) | 0) != (i296 | 0)) if ((get32(i1 + 256 | 0) | 0) == (i296 | 0)) i297 = i1 + 240 | 0; else {
       if ((get32(i1 + 280 | 0) | 0) == (i296 | 0)) {
        i297 = i1 + 264 | 0;
        break;
       }
       if ((get32(i1 + 304 | 0) | 0) == (i296 | 0)) {
        i297 = i1 + 288 | 0;
        break;
       }
       if ((get32(i1 + 328 | 0) | 0) == (i296 | 0)) {
        i297 = i1 + 312 | 0;
        break;
       }
       set8(i47 >> 0 | 0, i20 + 1 << 24 >> 24 | 0);
       set32(i1 + 24 + ((i20 & 255) << 2) | 0, i296 | 0);
       break L30;
      } else i297 = i1 + 216 | 0; else i297 = i1 + 192 | 0; else i297 = i1 + 168 | 0; else i297 = i1 + 144 | 0; else i297 = i1 + 120 | 0; else i297 = i1 + 96 | 0; while (0);
      set8(i297 + 8 >> 0 | 0, 1 | 0);
     } while (0);
     set32(i9 + 24 | 0, i51 | 0);
     set8(i9 >> 0 | 0, -124 | 0);
     set8(i8 >> 0 | 0, 76 | 0);
     set32(i8 + 8 | 0, i9 | 0);
     i298 = i8;
    } else i298 = 0;
    if ((i55 | 0) > 0) {
     i47 = i1 + 84 | 0;
     i46 = i8 + 12 | 0;
     i20 = i11 + 44 | 0;
     i183 = i11 + 28 | 0;
     i32 = i11 + 32 | 0;
     i22 = i11 + 4 | 0;
     i199 = i1 + 96 | 0;
     i198 = i1 + 21 | 0;
     i194 = 0;
     i18 = i298;
     while (1) {
      set32(i47 | 0, (get32(i47 | 0) | 0) + 1 | 0);
      i178 = get32(i176 + (i194 * 20 | 0) | 0) | 0;
      if (i25) {
       set32(i46 | 0, i178 | 0);
       i299 = i18;
      } else i299 = i178;
      i178 = get32(i16 | 0) | 0;
      set32(i16 | 0, i178 + 1 | 0);
      i182 = get32(i49 | 0) | 0;
      if ((i178 | 0) >= (i182 | 0)) {
       i48 = get32(i11 | 0) | 0;
       i21 = get32(i20 | 0) | 0;
       i300 = _sqlite3DbRealloc(i48, i21, (i182 << 3) + 20 | 0) | 0;
       if (i300) {
        set32(i20 | 0, i300 | 0);
        i182 = get32(i11 | 0) | 0;
        if (((i182 | 0) != 0 ? (get32(i182 + 260 | 0) | 0) >>> 0 <= i300 >>> 0 : 0) ? (get32(i182 + 264 | 0) | 0) >>> 0 > i300 >>> 0 : 0) i301 = getU16(i182 + 232 | 0) | 0; else i19 = 968;
       } else {
        _sqlite3DbFree(i48, i21);
        set32(i20 | 0, 0 | 0);
        i19 = 968;
       }
       if ((i19 | 0) == 968) {
        i19 = 0;
        i301 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i300) | 0;
       }
       set32(i49 | 0, i301 >>> 2 | 0);
      }
      i300 = get32(i20 | 0) | 0;
      if (i300) set32(i300 + (i178 << 2) | 0, -1 | 0);
      _sqlite3ExprIfFalse(i1, i299, ~i178, 8);
      i300 = get32(i176 + ((i194 | 1) * 20 | 0) | 0) | 0;
      do if ((i300 | 0) != 0 ? (get8(i300 >> 0 | 0) | 0) == -124 : 0) {
       i21 = get32(i10 | 0) | 0;
       i48 = get32(i300 + 24 | 0) | 0;
       i182 = i21 + 28 | 0;
       i302 = get32(i182 | 0) | 0;
       i303 = i21 + 32 | 0;
       i304 = get32(i303 | 0) | 0;
       if ((i304 | 0) > (i302 | 0)) {
        i305 = i302;
        i306 = get32(i21 + 4 | 0) | 0;
       } else {
        i307 = i21 + 4 | 0;
        i308 = _sqlite3DbRealloc(get32(i21 | 0) | 0, get32(i307 | 0) | 0, (i304 | 0) == 0 ? 1020 : i304 * 40 | 0) | 0;
        if (!i308) break;
        i304 = get32(i21 | 0) | 0;
        do if (!i304) i19 = 981; else {
         if ((get32(i304 + 260 | 0) | 0) >>> 0 > i308 >>> 0) {
          i19 = 981;
          break;
         }
         if ((get32(i304 + 264 | 0) | 0) >>> 0 <= i308 >>> 0) {
          i19 = 981;
          break;
         }
         i309 = getU16(i304 + 232 | 0) | 0;
        } while (0);
        if ((i19 | 0) == 981) {
         i19 = 0;
         i309 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i308) | 0;
        }
        set32(i303 | 0, (i309 >>> 0) / 20 | 0 | 0);
        set32(i307 | 0, i308 | 0);
        i305 = get32(i182 | 0) | 0;
        i306 = i308;
       }
       set32(i182 | 0, i305 + 1 | 0);
       set8(i306 + (i302 * 20 | 0) >> 0 | 0, 14 | 0);
       set8(i306 + (i302 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i306 + (i302 * 20 | 0) + 4 | 0, i48 | 0);
       set32(i306 + (i302 * 20 | 0) + 8 | 0, i3 | 0);
       set32(i306 + (i302 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i306 + (i302 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i306 + (i302 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      } else i19 = 984; while (0);
      do if (((i19 | 0) == 984 ? (i19 = 0, i304 = _sqlite3ExprCodeTarget(i1, i300, i3) | 0, (i304 | 0) != (i3 | 0)) : 0) ? (i195 = get32(i10 | 0) | 0, (i195 | 0) != 0) : 0) {
       i179 = i195 + 28 | 0;
       i185 = get32(i179 | 0) | 0;
       i17 = i195 + 32 | 0;
       i50 = get32(i17 | 0) | 0;
       if ((i50 | 0) > (i185 | 0)) {
        i310 = i185;
        i311 = get32(i195 + 4 | 0) | 0;
       } else {
        i21 = i195 + 4 | 0;
        i312 = _sqlite3DbRealloc(get32(i195 | 0) | 0, get32(i21 | 0) | 0, (i50 | 0) == 0 ? 1020 : i50 * 40 | 0) | 0;
        if (!i312) break;
        i50 = get32(i195 | 0) | 0;
        do if (!i50) i19 = 993; else {
         if ((get32(i50 + 260 | 0) | 0) >>> 0 > i312 >>> 0) {
          i19 = 993;
          break;
         }
         if ((get32(i50 + 264 | 0) | 0) >>> 0 <= i312 >>> 0) {
          i19 = 993;
          break;
         }
         i313 = getU16(i50 + 232 | 0) | 0;
        } while (0);
        if ((i19 | 0) == 993) {
         i19 = 0;
         i313 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i312) | 0;
        }
        set32(i17 | 0, (i313 >>> 0) / 20 | 0 | 0);
        set32(i21 | 0, i312 | 0);
        i310 = get32(i179 | 0) | 0;
        i311 = i312;
       }
       set32(i179 | 0, i310 + 1 | 0);
       set8(i311 + (i185 * 20 | 0) >> 0 | 0, 15 | 0);
       set8(i311 + (i185 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i311 + (i185 * 20 | 0) + 4 | 0, i304 | 0);
       set32(i311 + (i185 * 20 | 0) + 8 | 0, i3 | 0);
       set32(i311 + (i185 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i311 + (i185 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i311 + (i185 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      } while (0);
      i300 = get32(i183 | 0) | 0;
      i50 = get32(i32 | 0) | 0;
      if ((i50 | 0) <= (i300 | 0)) {
       i302 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i22 | 0) | 0, (i50 | 0) == 0 ? 1020 : i50 * 40 | 0) | 0;
       if (i302) {
        i50 = get32(i11 | 0) | 0;
        do if ((i50 | 0) != 0 ? (get32(i50 + 260 | 0) | 0) >>> 0 <= i302 >>> 0 : 0) {
         if ((get32(i50 + 264 | 0) | 0) >>> 0 <= i302 >>> 0) {
          i19 = 1003;
          break;
         }
         i314 = getU16(i50 + 232 | 0) | 0;
        } else i19 = 1003; while (0);
        if ((i19 | 0) == 1003) {
         i19 = 0;
         i314 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i302) | 0;
        }
        set32(i32 | 0, (i314 >>> 0) / 20 | 0 | 0);
        set32(i22 | 0, i302 | 0);
        i315 = get32(i183 | 0) | 0;
        i316 = i302;
        i19 = 1005;
       }
      } else {
       i315 = i300;
       i316 = get32(i22 | 0) | 0;
       i19 = 1005;
      }
      if ((i19 | 0) == 1005) {
       i19 = 0;
       set32(i183 | 0, i315 + 1 | 0);
       set8(i316 + (i300 * 20 | 0) >> 0 | 0, 1 | 0);
       set8(i316 + (i300 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i316 + (i300 * 20 | 0) + 4 | 0, 0 | 0);
       set32(i316 + (i300 * 20 | 0) + 8 | 0, i26 | 0);
       set32(i316 + (i300 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i316 + (i300 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i316 + (i300 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      }
      set32(i47 | 0, (get32(i47 | 0) | 0) + -1 | 0);
      i50 = 0;
      i48 = i199;
      while (1) {
       i182 = i48 + 16 | 0;
       i308 = get32(i182 | 0) | 0;
       if ((i308 | 0) != 0 ? (get32(i48 + 12 | 0) | 0) > (get32(i47 | 0) | 0) : 0) {
        i307 = i48 + 8 | 0;
        if (get8(i307 >> 0 | 0) | 0) {
         i303 = get8(i198 >> 0 | 0) | 0;
         if ((i303 & 255) < 8) {
          set8(i198 >> 0 | 0, i303 + 1 << 24 >> 24 | 0);
          set32(i1 + 24 + ((i303 & 255) << 2) | 0, i308 | 0);
         }
         set8(i307 >> 0 | 0, 0 | 0);
        }
        set32(i182 | 0, 0 | 0);
       }
       i50 = i50 + 1 | 0;
       if ((i50 | 0) == 10) break; else i48 = i48 + 24 | 0;
      }
      i48 = get32(i20 | 0) | 0;
      if (i48) set32(i48 + (i178 << 2) | 0, get32(i183 | 0) | 0);
      i194 = i194 + 2 | 0;
      if ((i194 | 0) >= (i55 | 0)) break; else i18 = i299;
     }
    }
    i18 = get32(i2 + 12 | 0) | 0;
    do if (!i18) {
     i55 = i11 + 28 | 0;
     i194 = get32(i55 | 0) | 0;
     i183 = i11 + 32 | 0;
     i20 = get32(i183 | 0) | 0;
     if ((i20 | 0) > (i194 | 0)) {
      i317 = i194;
      i318 = get32(i11 + 4 | 0) | 0;
     } else {
      i198 = i11 + 4 | 0;
      i47 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i198 | 0) | 0, (i20 | 0) == 0 ? 1020 : i20 * 40 | 0) | 0;
      if (!i47) break;
      i20 = get32(i11 | 0) | 0;
      if (((i20 | 0) != 0 ? (get32(i20 + 260 | 0) | 0) >>> 0 <= i47 >>> 0 : 0) ? (get32(i20 + 264 | 0) | 0) >>> 0 > i47 >>> 0 : 0) i319 = getU16(i20 + 232 | 0) | 0; else i319 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i47) | 0;
      set32(i183 | 0, (i319 >>> 0) / 20 | 0 | 0);
      set32(i198 | 0, i47 | 0);
      i317 = get32(i55 | 0) | 0;
      i318 = i47;
     }
     set32(i55 | 0, i317 + 1 | 0);
     set8(i318 + (i194 * 20 | 0) >> 0 | 0, 10 | 0);
     set8(i318 + (i194 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i318 + (i194 * 20 | 0) + 4 | 0, 0 | 0);
     set32(i318 + (i194 * 20 | 0) + 8 | 0, i3 | 0);
     set32(i318 + (i194 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i318 + (i194 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i318 + (i194 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    } else {
     i194 = i1 + 84 | 0;
     set32(i194 | 0, (get32(i194 | 0) | 0) + 1 | 0);
     do if ((get8(i18 >> 0 | 0) | 0) != -124) {
      i55 = _sqlite3ExprCodeTarget(i1, i18, i3) | 0;
      if ((i55 | 0) != (i3 | 0) ? (i47 = get32(i10 | 0) | 0, (i47 | 0) != 0) : 0) {
       i198 = i47 + 28 | 0;
       i183 = get32(i198 | 0) | 0;
       i20 = i47 + 32 | 0;
       i199 = get32(i20 | 0) | 0;
       if ((i199 | 0) > (i183 | 0)) {
        i320 = i183;
        i321 = get32(i47 + 4 | 0) | 0;
       } else {
        i26 = i47 + 4 | 0;
        i22 = _sqlite3DbRealloc(get32(i47 | 0) | 0, get32(i26 | 0) | 0, (i199 | 0) == 0 ? 1020 : i199 * 40 | 0) | 0;
        if (!i22) break;
        i199 = get32(i47 | 0) | 0;
        do if ((i199 | 0) != 0 ? (get32(i199 + 260 | 0) | 0) >>> 0 <= i22 >>> 0 : 0) {
         if ((get32(i199 + 264 | 0) | 0) >>> 0 <= i22 >>> 0) {
          i19 = 1039;
          break;
         }
         i322 = getU16(i199 + 232 | 0) | 0;
        } else i19 = 1039; while (0);
        if ((i19 | 0) == 1039) i322 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i22) | 0;
        set32(i20 | 0, (i322 >>> 0) / 20 | 0 | 0);
        set32(i26 | 0, i22 | 0);
        i320 = get32(i198 | 0) | 0;
        i321 = i22;
       }
       set32(i198 | 0, i320 + 1 | 0);
       set8(i321 + (i183 * 20 | 0) >> 0 | 0, 15 | 0);
       set8(i321 + (i183 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i321 + (i183 * 20 | 0) + 4 | 0, i55 | 0);
       set32(i321 + (i183 * 20 | 0) + 8 | 0, i3 | 0);
       set32(i321 + (i183 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i321 + (i183 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i321 + (i183 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      }
     } else {
      i199 = get32(i10 | 0) | 0;
      i185 = get32(i18 + 24 | 0) | 0;
      i304 = i199 + 28 | 0;
      i179 = get32(i304 | 0) | 0;
      i312 = i199 + 32 | 0;
      i21 = get32(i312 | 0) | 0;
      if ((i21 | 0) > (i179 | 0)) {
       i323 = i179;
       i324 = get32(i199 + 4 | 0) | 0;
      } else {
       i17 = i199 + 4 | 0;
       i47 = _sqlite3DbRealloc(get32(i199 | 0) | 0, get32(i17 | 0) | 0, (i21 | 0) == 0 ? 1020 : i21 * 40 | 0) | 0;
       if (!i47) break;
       i21 = get32(i199 | 0) | 0;
       if (((i21 | 0) != 0 ? (get32(i21 + 260 | 0) | 0) >>> 0 <= i47 >>> 0 : 0) ? (get32(i21 + 264 | 0) | 0) >>> 0 > i47 >>> 0 : 0) i325 = getU16(i21 + 232 | 0) | 0; else i325 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i47) | 0;
       set32(i312 | 0, (i325 >>> 0) / 20 | 0 | 0);
       set32(i17 | 0, i47 | 0);
       i323 = get32(i304 | 0) | 0;
       i324 = i47;
      }
      set32(i304 | 0, i323 + 1 | 0);
      set8(i324 + (i179 * 20 | 0) >> 0 | 0, 14 | 0);
      set8(i324 + (i179 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i324 + (i179 * 20 | 0) + 4 | 0, i185 | 0);
      set32(i324 + (i179 * 20 | 0) + 8 | 0, i3 | 0);
      set32(i324 + (i179 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i324 + (i179 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i324 + (i179 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     } while (0);
     set32(i194 | 0, (get32(i194 | 0) | 0) + -1 | 0);
     i178 = i1 + 21 | 0;
     i179 = 0;
     i185 = i1 + 96 | 0;
     while (1) {
      i304 = i185 + 16 | 0;
      i47 = get32(i304 | 0) | 0;
      if ((i47 | 0) != 0 ? (get32(i185 + 12 | 0) | 0) > (get32(i194 | 0) | 0) : 0) {
       i17 = i185 + 8 | 0;
       if (get8(i17 >> 0 | 0) | 0) {
        i312 = get8(i178 >> 0 | 0) | 0;
        if ((i312 & 255) < 8) {
         set8(i178 >> 0 | 0, i312 + 1 << 24 >> 24 | 0);
         set32(i1 + 24 + ((i312 & 255) << 2) | 0, i47 | 0);
        }
        set8(i17 >> 0 | 0, 0 | 0);
       }
       set32(i304 | 0, 0 | 0);
      }
      i179 = i179 + 1 | 0;
      if ((i179 | 0) == 10) break; else i185 = i185 + 24 | 0;
     }
    } while (0);
    i18 = get32(i11 + 44 | 0) | 0;
    if (i18) set32(i18 + (i175 << 2) | 0, get32(i11 + 28 | 0) | 0);
    i13 = i3;
    STACKTOP = i4;
    return i13 | 0;
   }
  } while (0);
  if ((i19 | 0) == 17) {
   i14 = get32(i2 + 24 | 0) | 0;
   i15 = get16(i2 + 28 | 0) | 0;
   if ((i14 | 0) < 0) {
    i13 = (i15 << 16 >> 16) + (get32(i1 + 80 | 0) | 0) | 0;
    STACKTOP = i4;
    return i13 | 0;
   } else {
    i13 = _sqlite3ExprCodeGetColumn(i1, get32(i2 + 40 | 0) | 0, i15 << 16 >> 16, i14, i3) | 0;
    STACKTOP = i4;
    return i13 | 0;
   }
  }
  do if ((i92 | 0) != 0 ? (i14 = i1 + 21 | 0, i15 = get8(i14 >> 0 | 0) | 0, (i15 & 255) < 8) : 0) {
   if ((get32(i1 + 112 | 0) | 0) != (i92 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i92 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i92 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i92 | 0)) if ((get32(i1 + 208 | 0) | 0) != (i92 | 0)) if ((get32(i1 + 232 | 0) | 0) != (i92 | 0)) if ((get32(i1 + 256 | 0) | 0) != (i92 | 0)) if ((get32(i1 + 280 | 0) | 0) != (i92 | 0)) if ((get32(i1 + 304 | 0) | 0) != (i92 | 0)) if ((get32(i1 + 328 | 0) | 0) == (i92 | 0)) i326 = i1 + 312 | 0; else {
    set8(i14 >> 0 | 0, i15 + 1 << 24 >> 24 | 0);
    set32(i1 + 24 + ((i15 & 255) << 2) | 0, i92 | 0);
    break;
   } else i326 = i1 + 288 | 0; else i326 = i1 + 264 | 0; else i326 = i1 + 240 | 0; else i326 = i1 + 216 | 0; else i326 = i1 + 192 | 0; else i326 = i1 + 168 | 0; else i326 = i1 + 144 | 0; else i326 = i1 + 120 | 0; else i326 = i1 + 96 | 0;
   set8(i326 + 8 >> 0 | 0, 1 | 0);
  } while (0);
  if (!i93) {
   i13 = i3;
   STACKTOP = i4;
   return i13 | 0;
  }
  i15 = i1 + 21 | 0;
  i14 = get8(i15 >> 0 | 0) | 0;
  if ((i14 & 255) >= 8) {
   i13 = i3;
   STACKTOP = i4;
   return i13 | 0;
  }
  if ((get32(i1 + 112 | 0) | 0) != (i93 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i93 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i93 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i93 | 0)) if ((get32(i1 + 208 | 0) | 0) != (i93 | 0)) if ((get32(i1 + 232 | 0) | 0) != (i93 | 0)) if ((get32(i1 + 256 | 0) | 0) != (i93 | 0)) if ((get32(i1 + 280 | 0) | 0) != (i93 | 0)) if ((get32(i1 + 304 | 0) | 0) != (i93 | 0)) if ((get32(i1 + 328 | 0) | 0) == (i93 | 0)) i327 = i1 + 312 | 0; else {
   set8(i15 >> 0 | 0, i14 + 1 << 24 >> 24 | 0);
   set32(i1 + 24 + ((i14 & 255) << 2) | 0, i93 | 0);
   i13 = i3;
   STACKTOP = i4;
   return i13 | 0;
  } else i327 = i1 + 288 | 0; else i327 = i1 + 264 | 0; else i327 = i1 + 240 | 0; else i327 = i1 + 216 | 0; else i327 = i1 + 192 | 0; else i327 = i1 + 168 | 0; else i327 = i1 + 144 | 0; else i327 = i1 + 120 | 0; else i327 = i1 + 96 | 0;
  set8(i327 + 8 >> 0 | 0, 1 | 0);
  i13 = i3;
  STACKTOP = i4;
  return i13 | 0;
 } while (0);
 i327 = i11 + 28 | 0;
 i1 = get32(i327 | 0) | 0;
 i93 = i11 + 32 | 0;
 i326 = get32(i93 | 0) | 0;
 if ((i326 | 0) > (i1 | 0)) {
  i328 = i1;
  i329 = get32(i11 + 4 | 0) | 0;
 } else {
  i92 = i11 + 4 | 0;
  i2 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i92 | 0) | 0, (i326 | 0) == 0 ? 1020 : i326 * 40 | 0) | 0;
  if (!i2) {
   i13 = i3;
   STACKTOP = i4;
   return i13 | 0;
  }
  i326 = get32(i11 | 0) | 0;
  if (((i326 | 0) != 0 ? (get32(i326 + 260 | 0) | 0) >>> 0 <= i2 >>> 0 : 0) ? (get32(i326 + 264 | 0) | 0) >>> 0 > i2 >>> 0 : 0) i330 = getU16(i326 + 232 | 0) | 0; else i330 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i2) | 0;
  set32(i93 | 0, (i330 >>> 0) / 20 | 0 | 0);
  set32(i92 | 0, i2 | 0);
  i328 = get32(i327 | 0) | 0;
  i329 = i2;
 }
 set32(i327 | 0, i328 + 1 | 0);
 set8(i329 + (i1 * 20 | 0) >> 0 | 0, 10 | 0);
 set8(i329 + (i1 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
 set32(i329 + (i1 * 20 | 0) + 4 | 0, 0 | 0);
 set32(i329 + (i1 * 20 | 0) + 8 | 0, i3 | 0);
 set32(i329 + (i1 * 20 | 0) + 12 | 0, 0 | 0);
 set32(i329 + (i1 * 20 | 0) + 16 | 0, 0 | 0);
 set8(i329 + (i1 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
 i13 = i3;
 STACKTOP = i4;
 return i13 | 0;
}

function _sqlite3FkActions(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0, i80 = 0, i81 = 0, i82 = 0, i83 = 0, i84 = 0, i85 = 0, i86 = 0, i87 = 0, i88 = 0, i89 = 0, i90 = 0, i91 = 0, i92 = 0, i93 = 0, i94 = 0, i95 = 0, i96 = 0, i97 = 0, i98 = 0, i99 = 0, i100 = 0, i101 = 0, i102 = 0, i103 = 0, i104 = 0, i105 = 0, i106 = 0, i107 = 0, i108 = 0, i109 = 0, i110 = 0, i111 = 0, i112 = 0, i113 = 0, i114 = 0, i115 = 0, i116 = 0, i117 = 0, i118 = 0, i119 = 0, i120 = 0, i121 = 0, i122 = 0, i123 = 0, i124 = 0, i125 = 0, i126 = 0, i127 = 0, i128 = 0, i129 = 0, i130 = 0, i131 = 0, i132 = 0, i133 = 0, i134 = 0, i135 = 0, i136 = 0, i137 = 0, i138 = 0, i139 = 0, i140 = 0, i141 = 0, i142 = 0, i143 = 0, i144 = 0, i145 = 0, i146 = 0, i147 = 0, i148 = 0, i149 = 0, i150 = 0, i151 = 0, i152 = 0, i153 = 0, i154 = 0, i155 = 0, i156 = 0, i157 = 0, i158 = 0, i159 = 0, i160 = 0, i161 = 0, i162 = 0, i163 = 0, i164 = 0, i165 = 0, i166 = 0, i167 = 0, i168 = 0, i169 = 0, i170 = 0, i171 = 0, i172 = 0, i173 = 0, i174 = 0, i175 = 0, i176 = 0, i177 = 0, i178 = 0, i179 = 0, i180 = 0, i181 = 0, i182 = 0, i183 = 0, i184 = 0, i185 = 0, i186 = 0, i187 = 0, i188 = 0, i189 = 0, i190 = 0, i191 = 0, i192 = 0, i193 = 0, i194 = 0, i195 = 0, i196 = 0, i197 = 0, i198 = 0, i199 = 0, i200 = 0, i201 = 0, i202 = 0, i203 = 0, i204 = 0, i205 = 0, i206 = 0, i207 = 0, i208 = 0, i209 = 0, i210 = 0, i211 = 0, i212 = 0, i213 = 0, i214 = 0, i215 = 0, i216 = 0, i217 = 0, i218 = 0, i219 = 0, i220 = 0, i221 = 0, i222 = 0, i223 = 0, i224 = 0, i225 = 0, i226 = 0, i227 = 0, i228 = 0, i229 = 0, i230 = 0, i231 = 0, i232 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 208 | 0;
 i6 = i5 + 152 | 0;
 i7 = i5 + 144 | 0;
 i8 = i5 + 136 | 0;
 i9 = i5 + 128 | 0;
 i10 = i5 + 120 | 0;
 i11 = i5 + 112 | 0;
 i12 = i5 + 104 | 0;
 i13 = i5 + 96 | 0;
 i14 = i5 + 88 | 0;
 i15 = i5 + 80 | 0;
 i16 = i5 + 72 | 0;
 i17 = i5 + 64 | 0;
 i18 = i5 + 56 | 0;
 i19 = i5 + 48 | 0;
 i20 = i5 + 40 | 0;
 i21 = i5 + 32 | 0;
 i22 = i5 + 24 | 0;
 i23 = i5 + 16 | 0;
 i24 = i5 + 192 | 0;
 i25 = i5 + 188 | 0;
 i26 = i5 + 184 | 0;
 i27 = i5 + 8 | 0;
 i28 = i5;
 i29 = i5 + 176 | 0;
 i30 = i5 + 168 | 0;
 i31 = i5 + 160 | 0;
 i32 = get32(i1 | 0) | 0;
 if (!(get32(i32 + 12 | 0) & 67108864)) {
  STACKTOP = i5;
  return;
 }
 i33 = get32(i2 | 0) | 0;
 if (!i33) i34 = 0; else {
  i35 = i33;
  while (1) if (!(get8(i35 >> 0 | 0) | 0)) {
   i36 = i35;
   break;
  } else i35 = i35 + 1 | 0;
  i34 = i36 - i33 & 1073741823;
 }
 i36 = i2 + 68 | 0;
 i35 = _sqlite3HashFind((get32(i36 | 0) | 0) + 56 | 0, i33, i34) | 0;
 if (!i35) {
  STACKTOP = i5;
  return;
 }
 i34 = (i3 | 0) != 0;
 i3 = i34 & 1;
 i33 = i30 + 4 | 0;
 i37 = i29 + 4 | 0;
 i38 = i2 + 12 | 0;
 i39 = i31 + 4 | 0;
 i40 = i24 + 4 | 0;
 i41 = i34 ? 107 : 106;
 i42 = i32;
 i32 = i35;
 while (1) {
  i35 = get8(i32 + 25 + i3 >> 0 | 0) | 0;
  i43 = i35 & 255;
  i44 = i32 + 28 + (i3 << 2) | 0;
  i45 = get32(i44 | 0) | 0;
  do if (!(i35 << 24 >> 24 == 0 | (i45 | 0) != 0)) {
   set32(i25 | 0, 0 | 0);
   set32(i26 | 0, 0 | 0);
   if (!(_locateFkeyIndex(i1, i2, i32, i25, i26) | 0)) {
    i46 = i32 + 20 | 0;
    if ((get32(i46 | 0) | 0) > 0) {
     i47 = 88;
     i48 = get32(i47 | 0) | 0;
     i49 = get32(i47 + 4 | 0) | 0;
     i47 = 96;
     i50 = get32(i47 | 0) | 0;
     i51 = get32(i47 + 4 | 0) | 0;
     i47 = i32 + 36 | 0;
     i52 = i35 << 24 >> 24 != 6 & (i34 | i35 << 24 >> 24 != 9);
     i53 = 0;
     i54 = 0;
     i55 = 0;
     i56 = 0;
     while (1) {
      i57 = i27;
      set32(i57 | 0, i48 | 0);
      set32(i57 + 4 | 0, i49 | 0);
      i57 = i28;
      set32(i57 | 0, i50 | 0);
      set32(i57 + 4 | 0, i51 | 0);
      i57 = get32(i26 | 0) | 0;
      i58 = get32(((i57 | 0) == 0 ? i47 : i57 + (i55 << 2) | 0) | 0) | 0;
      i57 = get32(i25 | 0) | 0;
      if (!i57) i59 = 33320; else i59 = get32((get32(i38 | 0) | 0) + ((get32((get32(i57 + 8 | 0) | 0) + (i55 << 2) | 0) | 0) * 24 | 0) | 0) | 0;
      set32(i30 | 0, i59 | 0);
      i57 = get32((get32((get32(i32 | 0) | 0) + 12 | 0) | 0) + (i58 * 24 | 0) | 0) | 0;
      set32(i29 | 0, i57 | 0);
      i60 = i57;
      if (!i59) i61 = 0; else {
       i62 = i59;
       while (1) if (!(get8(i62 >> 0 | 0) | 0)) {
        i63 = i62;
        break;
       } else i62 = i62 + 1 | 0;
       i61 = i63 - i59 & 1073741823;
      }
      set32(i33 | 0, i61 | 0);
      if (!i57) i64 = 0; else {
       i62 = i60;
       while (1) if (!(get8(i62 >> 0 | 0) | 0)) {
        i65 = i62;
        break;
       } else i62 = i62 + 1 | 0;
       i64 = i65 - i57 & 1073741823;
      }
      set32(i37 | 0, i64 | 0);
      i62 = _sqlite3ExprAlloc(get32(i1 | 0) | 0, 26, i27, 1) | 0;
      i60 = (i62 | 0) == 0;
      if (!i60) {
       set32(i24 | 0, 0 | 0);
       i66 = get32(i62 + 8 | 0) | 0;
       if ((i66 | 0) != 0 ? (i67 = get32(i66 + 44 | 0) | 0, (i67 | 0) > 0) : 0) {
        set32(i24 | 0, i67 | 0);
        i68 = i67;
       } else i68 = 0;
       i67 = get32(i62 + 12 | 0) | 0;
       if ((i67 | 0) != 0 ? (i66 = get32(i67 + 44 | 0) | 0, (i66 | 0) > (i68 | 0)) : 0) {
        set32(i24 | 0, i66 | 0);
        i69 = i66;
       } else i69 = i68;
       i66 = i62 + 16 | 0;
       if (!(get16(i62 + 2 | 0) & 2048)) {
        i67 = get32(i66 | 0) | 0;
        if (!i67) {
         i70 = i69;
         i71 = 36;
        } else {
         i72 = get32(i67 | 0) | 0;
         if ((i72 | 0) > 0) {
          i73 = get32(i67 + 12 | 0) | 0;
          i67 = i69;
          i74 = 0;
          while (1) {
           i75 = get32(i73 + (i74 * 20 | 0) | 0) | 0;
           do if (!i75) i76 = i67; else {
            i77 = get32(i75 + 44 | 0) | 0;
            if ((i77 | 0) <= (i67 | 0)) {
             i76 = i67;
             break;
            }
            set32(i24 | 0, i77 | 0);
            i76 = i77;
           } while (0);
           i74 = i74 + 1 | 0;
           if ((i74 | 0) == (i72 | 0)) {
            i78 = i76;
            break;
           } else i67 = i76;
          }
         } else i78 = i69;
         i67 = i78 + 1 | 0;
         set32(i62 + 44 | 0, i67 | 0);
         i79 = i67;
        }
       } else {
        _heightOfSelect(get32(i66 | 0) | 0, i24);
        i70 = get32(i24 | 0) | 0;
        i71 = 36;
       }
       if ((i71 | 0) == 36) {
        i71 = 0;
        i67 = i70 + 1 | 0;
        set32(i62 + 44 | 0, i67 | 0);
        i79 = i67;
       }
       i67 = get32((get32(i1 | 0) | 0) + 84 | 0) | 0;
       if ((i67 | 0) < (i79 | 0)) {
        set32(i23 | 0, i67 | 0);
        _sqlite3ErrorMsg(i1, 29585, i23);
       }
      }
      i67 = _sqlite3ExprAlloc(get32(i1 | 0) | 0, 26, i30, 1) | 0;
      i72 = (i67 | 0) == 0;
      if (!i72) {
       set32(i24 | 0, 0 | 0);
       i74 = get32(i67 + 8 | 0) | 0;
       if ((i74 | 0) != 0 ? (i73 = get32(i74 + 44 | 0) | 0, (i73 | 0) > 0) : 0) {
        set32(i24 | 0, i73 | 0);
        i80 = i73;
       } else i80 = 0;
       i73 = get32(i67 + 12 | 0) | 0;
       if ((i73 | 0) != 0 ? (i74 = get32(i73 + 44 | 0) | 0, (i74 | 0) > (i80 | 0)) : 0) {
        set32(i24 | 0, i74 | 0);
        i81 = i74;
       } else i81 = i80;
       i74 = i67 + 16 | 0;
       do if (!(get16(i67 + 2 | 0) & 2048)) {
        i73 = get32(i74 | 0) | 0;
        if (!i73) {
         i82 = i81;
         i71 = 56;
         break;
        }
        i57 = get32(i73 | 0) | 0;
        if ((i57 | 0) > 0) {
         i75 = get32(i73 + 12 | 0) | 0;
         i73 = i81;
         i77 = 0;
         while (1) {
          i83 = get32(i75 + (i77 * 20 | 0) | 0) | 0;
          do if (!i83) i84 = i73; else {
           i85 = get32(i83 + 44 | 0) | 0;
           if ((i85 | 0) <= (i73 | 0)) {
            i84 = i73;
            break;
           }
           set32(i24 | 0, i85 | 0);
           i84 = i85;
          } while (0);
          i77 = i77 + 1 | 0;
          if ((i77 | 0) == (i57 | 0)) {
           i86 = i84;
           break;
          } else i73 = i84;
         }
        } else i86 = i81;
        i73 = i86 + 1 | 0;
        set32(i67 + 44 | 0, i73 | 0);
        i87 = i73;
       } else {
        _heightOfSelect(get32(i74 | 0) | 0, i24);
        i82 = get32(i24 | 0) | 0;
        i71 = 56;
       } while (0);
       if ((i71 | 0) == 56) {
        i71 = 0;
        i74 = i82 + 1 | 0;
        set32(i67 + 44 | 0, i74 | 0);
        i87 = i74;
       }
       i74 = get32((get32(i1 | 0) | 0) + 84 | 0) | 0;
       if ((i74 | 0) < (i87 | 0)) {
        set32(i22 | 0, i74 | 0);
        _sqlite3ErrorMsg(i1, 29585, i22);
       }
      }
      i74 = _sqlite3ExprAlloc(get32(i1 | 0) | 0, 118, 0, 1) | 0;
      i66 = get32(i1 | 0) | 0;
      i73 = (i74 | 0) == 0;
      do if (i73) {
       _sqlite3ExprDelete(i66, i62);
       _sqlite3ExprDelete(i66, i67);
      } else {
       if (!i72 ? (set32(i74 + 12 | 0, i67 | 0), (get16(i67 + 2 | 0) & 256) != 0) : 0) {
        i57 = i74 + 2 | 0;
        set16(i57 | 0, getU16(i57 | 0) | 256 | 0);
        set32(i74 + 20 | 0, get32(i67 + 20 | 0) | 0);
       }
       i57 = i74 + 8 | 0;
       if (i60) {
        i77 = get32(i57 | 0) | 0;
        set32(i24 | 0, 0 | 0);
        if (!i77) i88 = 0; else {
         i89 = i77;
         i71 = 70;
        }
       } else {
        set32(i57 | 0, i62 | 0);
        if (get16(i62 + 2 | 0) & 256) {
         i57 = i74 + 2 | 0;
         set16(i57 | 0, getU16(i57 | 0) | 256 | 0);
         set32(i74 + 20 | 0, get32(i62 + 20 | 0) | 0);
        }
        set32(i24 | 0, 0 | 0);
        i89 = i62;
        i71 = 70;
       }
       do if ((i71 | 0) == 70) {
        i71 = 0;
        i57 = get32(i89 + 44 | 0) | 0;
        if ((i57 | 0) <= 0) {
         i88 = 0;
         break;
        }
        set32(i24 | 0, i57 | 0);
        i88 = i57;
       } while (0);
       i57 = get32(i74 + 12 | 0) | 0;
       do if (!i57) i90 = i88; else {
        i77 = get32(i57 + 44 | 0) | 0;
        if ((i77 | 0) <= (i88 | 0)) {
         i90 = i88;
         break;
        }
        set32(i24 | 0, i77 | 0);
        i90 = i77;
       } while (0);
       i57 = i74 + 16 | 0;
       do if (!(get16(i74 + 2 | 0) & 2048)) {
        i77 = get32(i57 | 0) | 0;
        if (!i77) {
         i91 = i90;
         i92 = i66;
         i71 = 84;
         break;
        }
        i75 = get32(i77 | 0) | 0;
        if ((i75 | 0) > 0) {
         i83 = get32(i77 + 12 | 0) | 0;
         i77 = i90;
         i85 = 0;
         while (1) {
          i93 = get32(i83 + (i85 * 20 | 0) | 0) | 0;
          do if (!i93) i94 = i77; else {
           i95 = get32(i93 + 44 | 0) | 0;
           if ((i95 | 0) <= (i77 | 0)) {
            i94 = i77;
            break;
           }
           set32(i24 | 0, i95 | 0);
           i94 = i95;
          } while (0);
          i85 = i85 + 1 | 0;
          if ((i85 | 0) == (i75 | 0)) {
           i96 = i94;
           break;
          } else i77 = i94;
         }
        } else i96 = i90;
        i77 = i96 + 1 | 0;
        set32(i74 + 44 | 0, i77 | 0);
        i97 = i66;
        i98 = i77;
       } else {
        _heightOfSelect(get32(i57 | 0) | 0, i24);
        i91 = get32(i24 | 0) | 0;
        i92 = get32(i1 | 0) | 0;
        i71 = 84;
       } while (0);
       if ((i71 | 0) == 84) {
        i71 = 0;
        i57 = i91 + 1 | 0;
        set32(i74 + 44 | 0, i57 | 0);
        i97 = i92;
        i98 = i57;
       }
       i57 = get32(i97 + 84 | 0) | 0;
       if ((i57 | 0) >= (i98 | 0)) break;
       set32(i21 | 0, i57 | 0);
       _sqlite3ErrorMsg(i1, 29585, i21);
      } while (0);
      i66 = _sqlite3ExprAlloc(get32(i1 | 0) | 0, 26, i29, 1) | 0;
      i62 = (i66 | 0) == 0;
      do if (!i62) {
       set32(i24 | 0, 0 | 0);
       i60 = get32(i66 + 8 | 0) | 0;
       do if (!i60) i99 = 0; else {
        i67 = get32(i60 + 44 | 0) | 0;
        if ((i67 | 0) <= 0) {
         i99 = 0;
         break;
        }
        set32(i24 | 0, i67 | 0);
        i99 = i67;
       } while (0);
       i60 = get32(i66 + 12 | 0) | 0;
       do if (!i60) i100 = i99; else {
        i67 = get32(i60 + 44 | 0) | 0;
        if ((i67 | 0) <= (i99 | 0)) {
         i100 = i99;
         break;
        }
        set32(i24 | 0, i67 | 0);
        i100 = i67;
       } while (0);
       i60 = i66 + 16 | 0;
       do if (!(get16(i66 + 2 | 0) & 2048)) {
        i67 = get32(i60 | 0) | 0;
        if (!i67) {
         i101 = i100;
         i71 = 104;
         break;
        }
        i72 = get32(i67 | 0) | 0;
        if ((i72 | 0) > 0) {
         i57 = get32(i67 + 12 | 0) | 0;
         i67 = i100;
         i77 = 0;
         while (1) {
          i75 = get32(i57 + (i77 * 20 | 0) | 0) | 0;
          do if (!i75) i102 = i67; else {
           i85 = get32(i75 + 44 | 0) | 0;
           if ((i85 | 0) <= (i67 | 0)) {
            i102 = i67;
            break;
           }
           set32(i24 | 0, i85 | 0);
           i102 = i85;
          } while (0);
          i77 = i77 + 1 | 0;
          if ((i77 | 0) == (i72 | 0)) {
           i103 = i102;
           break;
          } else i67 = i102;
         }
        } else i103 = i100;
        i67 = i103 + 1 | 0;
        set32(i66 + 44 | 0, i67 | 0);
        i104 = i67;
       } else {
        _heightOfSelect(get32(i60 | 0) | 0, i24);
        i101 = get32(i24 | 0) | 0;
        i71 = 104;
       } while (0);
       if ((i71 | 0) == 104) {
        i71 = 0;
        i60 = i101 + 1 | 0;
        set32(i66 + 44 | 0, i60 | 0);
        i104 = i60;
       }
       i60 = get32((get32(i1 | 0) | 0) + 84 | 0) | 0;
       if ((i60 | 0) >= (i104 | 0)) break;
       set32(i20 | 0, i60 | 0);
       _sqlite3ErrorMsg(i1, 29585, i20);
      } while (0);
      i60 = _sqlite3ExprAlloc(get32(i1 | 0) | 0, 76, 0, 1) | 0;
      i67 = get32(i1 | 0) | 0;
      do if (!i60) {
       _sqlite3ExprDelete(i67, i74);
       _sqlite3ExprDelete(i67, i66);
       i105 = i53;
      } else {
       do if (!i62) {
        set32(i60 + 12 | 0, i66 | 0);
        if (!(get16(i66 + 2 | 0) & 256)) break;
        i72 = i60 + 2 | 0;
        set16(i72 | 0, getU16(i72 | 0) | 256 | 0);
        set32(i60 + 20 | 0, get32(i66 + 20 | 0) | 0);
       } while (0);
       i72 = i60 + 8 | 0;
       if (i73) {
        i77 = get32(i72 | 0) | 0;
        set32(i24 | 0, 0 | 0);
        if (!i77) i106 = 0; else {
         i107 = i77;
         i71 = 118;
        }
       } else {
        set32(i72 | 0, i74 | 0);
        if (get16(i74 + 2 | 0) & 256) {
         i72 = i60 + 2 | 0;
         set16(i72 | 0, getU16(i72 | 0) | 256 | 0);
         set32(i60 + 20 | 0, get32(i74 + 20 | 0) | 0);
        }
        set32(i24 | 0, 0 | 0);
        i107 = i74;
        i71 = 118;
       }
       do if ((i71 | 0) == 118) {
        i71 = 0;
        i72 = get32(i107 + 44 | 0) | 0;
        if ((i72 | 0) <= 0) {
         i106 = 0;
         break;
        }
        set32(i24 | 0, i72 | 0);
        i106 = i72;
       } while (0);
       i72 = get32(i60 + 12 | 0) | 0;
       do if (!i72) i108 = i106; else {
        i77 = get32(i72 + 44 | 0) | 0;
        if ((i77 | 0) <= (i106 | 0)) {
         i108 = i106;
         break;
        }
        set32(i24 | 0, i77 | 0);
        i108 = i77;
       } while (0);
       i72 = i60 + 2 | 0;
       i77 = i60 + 16 | 0;
       do if (!(get16(i72 | 0) & 2048)) {
        i57 = get32(i77 | 0) | 0;
        if (!i57) {
         i109 = i108;
         i110 = i67;
         i71 = 132;
         break;
        }
        i75 = get32(i57 | 0) | 0;
        if ((i75 | 0) > 0) {
         i85 = get32(i57 + 12 | 0) | 0;
         i57 = i108;
         i83 = 0;
         while (1) {
          i93 = get32(i85 + (i83 * 20 | 0) | 0) | 0;
          do if (!i93) i111 = i57; else {
           i95 = get32(i93 + 44 | 0) | 0;
           if ((i95 | 0) <= (i57 | 0)) {
            i111 = i57;
            break;
           }
           set32(i24 | 0, i95 | 0);
           i111 = i95;
          } while (0);
          i83 = i83 + 1 | 0;
          if ((i83 | 0) == (i75 | 0)) {
           i112 = i111;
           break;
          } else i57 = i111;
         }
        } else i112 = i108;
        i57 = i112 + 1 | 0;
        set32(i60 + 44 | 0, i57 | 0);
        i113 = i67;
        i114 = i57;
       } else {
        _heightOfSelect(get32(i77 | 0) | 0, i24);
        i109 = get32(i24 | 0) | 0;
        i110 = get32(i1 | 0) | 0;
        i71 = 132;
       } while (0);
       if ((i71 | 0) == 132) {
        i71 = 0;
        i77 = i109 + 1 | 0;
        set32(i60 + 44 | 0, i77 | 0);
        i113 = i110;
        i114 = i77;
       }
       i77 = get32(i113 + 84 | 0) | 0;
       if ((i77 | 0) < (i114 | 0)) {
        set32(i19 | 0, i77 | 0);
        _sqlite3ErrorMsg(i1, 29585, i19);
       }
       i77 = (i53 | 0) == 0;
       if (i77) {
        i105 = i77 ? i60 : i53;
        break;
       }
       i77 = _sqlite3ExprAlloc(i42, 69, 0, 0) | 0;
       if (!i77) {
        _sqlite3ExprDelete(i42, i53);
        _sqlite3ExprDelete(i42, i60);
        i105 = 0;
        break;
       }
       set32(i77 + 12 | 0, i60 | 0);
       i57 = i77 + 2 | 0;
       i75 = get16(i57 | 0) | 0;
       if (!(get16(i72 | 0) & 256)) i115 = i75; else {
        i83 = (i75 & 65535 | 256) & 65535;
        set16(i57 | 0, i83 | 0);
        set32(i77 + 20 | 0, get32(i60 + 20 | 0) | 0);
        i115 = i83;
       }
       set32(i77 + 8 | 0, i53 | 0);
       if (!(get16(i53 + 2 | 0) & 256)) i116 = i115; else {
        i83 = (i115 & 65535 | 256) & 65535;
        set16(i57 | 0, i83 | 0);
        set32(i77 + 20 | 0, get32(i53 + 20 | 0) | 0);
        i116 = i83;
       }
       set32(i24 | 0, 0 | 0);
       i83 = get32(i53 + 44 | 0) | 0;
       i57 = (i83 | 0) > 0 ? i83 : 0;
       i83 = get32(i60 + 44 | 0) | 0;
       i75 = (i83 | 0) > (i57 | 0) ? i83 : i57;
       set32(i24 | 0, i75 | 0);
       i57 = i77 + 16 | 0;
       do if (!(i116 & 2048)) {
        i83 = get32(i57 | 0) | 0;
        if (!i83) {
         i117 = i75;
         break;
        }
        i85 = get32(i83 | 0) | 0;
        if ((i85 | 0) <= 0) {
         i117 = i75;
         break;
        }
        i93 = get32(i83 + 12 | 0) | 0;
        i83 = i75;
        i95 = 0;
        while (1) {
         i118 = get32(i93 + (i95 * 20 | 0) | 0) | 0;
         do if (!i118) i119 = i83; else {
          i120 = get32(i118 + 44 | 0) | 0;
          if ((i120 | 0) <= (i83 | 0)) {
           i119 = i83;
           break;
          }
          set32(i24 | 0, i120 | 0);
          i119 = i120;
         } while (0);
         i95 = i95 + 1 | 0;
         if ((i95 | 0) == (i85 | 0)) {
          i117 = i119;
          break;
         } else i83 = i119;
        }
       } else {
        _heightOfSelect(get32(i57 | 0) | 0, i24);
        i117 = get32(i24 | 0) | 0;
       } while (0);
       set32(i77 + 44 | 0, i117 + 1 | 0);
       i105 = i77;
      } while (0);
      do if (i34) {
       i60 = _sqlite3ExprAlloc(get32(i1 | 0) | 0, 26, i27, 1) | 0;
       i67 = (i60 | 0) == 0;
       do if (!i67) {
        set32(i24 | 0, 0 | 0);
        i74 = get32(i60 + 8 | 0) | 0;
        do if (!i74) i121 = 0; else {
         i73 = get32(i74 + 44 | 0) | 0;
         if ((i73 | 0) <= 0) {
          i121 = 0;
          break;
         }
         set32(i24 | 0, i73 | 0);
         i121 = i73;
        } while (0);
        i74 = get32(i60 + 12 | 0) | 0;
        do if (!i74) i122 = i121; else {
         i73 = get32(i74 + 44 | 0) | 0;
         if ((i73 | 0) <= (i121 | 0)) {
          i122 = i121;
          break;
         }
         set32(i24 | 0, i73 | 0);
         i122 = i73;
        } while (0);
        i74 = i60 + 16 | 0;
        do if (!(get16(i60 + 2 | 0) & 2048)) {
         i73 = get32(i74 | 0) | 0;
         if (!i73) {
          i123 = i122;
          i71 = 170;
          break;
         }
         i66 = get32(i73 | 0) | 0;
         if ((i66 | 0) > 0) {
          i62 = get32(i73 + 12 | 0) | 0;
          i73 = i122;
          i57 = 0;
          while (1) {
           i75 = get32(i62 + (i57 * 20 | 0) | 0) | 0;
           do if (!i75) i124 = i73; else {
            i72 = get32(i75 + 44 | 0) | 0;
            if ((i72 | 0) <= (i73 | 0)) {
             i124 = i73;
             break;
            }
            set32(i24 | 0, i72 | 0);
            i124 = i72;
           } while (0);
           i57 = i57 + 1 | 0;
           if ((i57 | 0) == (i66 | 0)) {
            i125 = i124;
            break;
           } else i73 = i124;
          }
         } else i125 = i122;
         i73 = i125 + 1 | 0;
         set32(i60 + 44 | 0, i73 | 0);
         i126 = i73;
        } else {
         _heightOfSelect(get32(i74 | 0) | 0, i24);
         i123 = get32(i24 | 0) | 0;
         i71 = 170;
        } while (0);
        if ((i71 | 0) == 170) {
         i71 = 0;
         i74 = i123 + 1 | 0;
         set32(i60 + 44 | 0, i74 | 0);
         i126 = i74;
        }
        i74 = get32((get32(i1 | 0) | 0) + 84 | 0) | 0;
        if ((i74 | 0) >= (i126 | 0)) break;
        set32(i18 | 0, i74 | 0);
        _sqlite3ErrorMsg(i1, 29585, i18);
       } while (0);
       i77 = _sqlite3ExprAlloc(get32(i1 | 0) | 0, 26, i30, 1) | 0;
       i74 = (i77 | 0) == 0;
       do if (!i74) {
        set32(i24 | 0, 0 | 0);
        i73 = get32(i77 + 8 | 0) | 0;
        do if (!i73) i127 = 0; else {
         i66 = get32(i73 + 44 | 0) | 0;
         if ((i66 | 0) <= 0) {
          i127 = 0;
          break;
         }
         set32(i24 | 0, i66 | 0);
         i127 = i66;
        } while (0);
        i73 = get32(i77 + 12 | 0) | 0;
        do if (!i73) i128 = i127; else {
         i66 = get32(i73 + 44 | 0) | 0;
         if ((i66 | 0) <= (i127 | 0)) {
          i128 = i127;
          break;
         }
         set32(i24 | 0, i66 | 0);
         i128 = i66;
        } while (0);
        i73 = i77 + 16 | 0;
        do if (!(get16(i77 + 2 | 0) & 2048)) {
         i66 = get32(i73 | 0) | 0;
         if (!i66) {
          i129 = i128;
          i71 = 190;
          break;
         }
         i57 = get32(i66 | 0) | 0;
         if ((i57 | 0) > 0) {
          i62 = get32(i66 + 12 | 0) | 0;
          i66 = i128;
          i75 = 0;
          while (1) {
           i72 = get32(i62 + (i75 * 20 | 0) | 0) | 0;
           do if (!i72) i130 = i66; else {
            i83 = get32(i72 + 44 | 0) | 0;
            if ((i83 | 0) <= (i66 | 0)) {
             i130 = i66;
             break;
            }
            set32(i24 | 0, i83 | 0);
            i130 = i83;
           } while (0);
           i75 = i75 + 1 | 0;
           if ((i75 | 0) == (i57 | 0)) {
            i131 = i130;
            break;
           } else i66 = i130;
          }
         } else i131 = i128;
         i66 = i131 + 1 | 0;
         set32(i77 + 44 | 0, i66 | 0);
         i132 = i66;
        } else {
         _heightOfSelect(get32(i73 | 0) | 0, i24);
         i129 = get32(i24 | 0) | 0;
         i71 = 190;
        } while (0);
        if ((i71 | 0) == 190) {
         i71 = 0;
         i73 = i129 + 1 | 0;
         set32(i77 + 44 | 0, i73 | 0);
         i132 = i73;
        }
        i73 = get32((get32(i1 | 0) | 0) + 84 | 0) | 0;
        if ((i73 | 0) >= (i132 | 0)) break;
        set32(i17 | 0, i73 | 0);
        _sqlite3ErrorMsg(i1, 29585, i17);
       } while (0);
       i73 = _sqlite3ExprAlloc(get32(i1 | 0) | 0, 118, 0, 1) | 0;
       i66 = get32(i1 | 0) | 0;
       i57 = (i73 | 0) == 0;
       do if (i57) {
        _sqlite3ExprDelete(i66, i60);
        _sqlite3ExprDelete(i66, i77);
       } else {
        do if (!i74) {
         set32(i73 + 12 | 0, i77 | 0);
         if (!(get16(i77 + 2 | 0) & 256)) break;
         i75 = i73 + 2 | 0;
         set16(i75 | 0, getU16(i75 | 0) | 256 | 0);
         set32(i73 + 20 | 0, get32(i77 + 20 | 0) | 0);
        } while (0);
        i75 = i73 + 8 | 0;
        if (i67) {
         i62 = get32(i75 | 0) | 0;
         set32(i24 | 0, 0 | 0);
         if (!i62) i133 = 0; else {
          i134 = i62;
          i71 = 204;
         }
        } else {
         set32(i75 | 0, i60 | 0);
         if (get16(i60 + 2 | 0) & 256) {
          i75 = i73 + 2 | 0;
          set16(i75 | 0, getU16(i75 | 0) | 256 | 0);
          set32(i73 + 20 | 0, get32(i60 + 20 | 0) | 0);
         }
         set32(i24 | 0, 0 | 0);
         i134 = i60;
         i71 = 204;
        }
        do if ((i71 | 0) == 204) {
         i71 = 0;
         i75 = get32(i134 + 44 | 0) | 0;
         if ((i75 | 0) <= 0) {
          i133 = 0;
          break;
         }
         set32(i24 | 0, i75 | 0);
         i133 = i75;
        } while (0);
        i75 = get32(i73 + 12 | 0) | 0;
        do if (!i75) i135 = i133; else {
         i62 = get32(i75 + 44 | 0) | 0;
         if ((i62 | 0) <= (i133 | 0)) {
          i135 = i133;
          break;
         }
         set32(i24 | 0, i62 | 0);
         i135 = i62;
        } while (0);
        i75 = i73 + 16 | 0;
        do if (!(get16(i73 + 2 | 0) & 2048)) {
         i62 = get32(i75 | 0) | 0;
         if (!i62) {
          i136 = i135;
          i137 = i66;
          i71 = 218;
          break;
         }
         i72 = get32(i62 | 0) | 0;
         if ((i72 | 0) > 0) {
          i83 = get32(i62 + 12 | 0) | 0;
          i62 = i135;
          i85 = 0;
          while (1) {
           i95 = get32(i83 + (i85 * 20 | 0) | 0) | 0;
           do if (!i95) i138 = i62; else {
            i93 = get32(i95 + 44 | 0) | 0;
            if ((i93 | 0) <= (i62 | 0)) {
             i138 = i62;
             break;
            }
            set32(i24 | 0, i93 | 0);
            i138 = i93;
           } while (0);
           i85 = i85 + 1 | 0;
           if ((i85 | 0) == (i72 | 0)) {
            i139 = i138;
            break;
           } else i62 = i138;
          }
         } else i139 = i135;
         i62 = i139 + 1 | 0;
         set32(i73 + 44 | 0, i62 | 0);
         i140 = i66;
         i141 = i62;
        } else {
         _heightOfSelect(get32(i75 | 0) | 0, i24);
         i136 = get32(i24 | 0) | 0;
         i137 = get32(i1 | 0) | 0;
         i71 = 218;
        } while (0);
        if ((i71 | 0) == 218) {
         i71 = 0;
         i75 = i136 + 1 | 0;
         set32(i73 + 44 | 0, i75 | 0);
         i140 = i137;
         i141 = i75;
        }
        i75 = get32(i140 + 84 | 0) | 0;
        if ((i75 | 0) >= (i141 | 0)) break;
        set32(i16 | 0, i75 | 0);
        _sqlite3ErrorMsg(i1, 29585, i16);
       } while (0);
       i66 = _sqlite3ExprAlloc(get32(i1 | 0) | 0, 26, i28, 1) | 0;
       i60 = (i66 | 0) == 0;
       do if (!i60) {
        set32(i24 | 0, 0 | 0);
        i67 = get32(i66 + 8 | 0) | 0;
        do if (!i67) i142 = 0; else {
         i77 = get32(i67 + 44 | 0) | 0;
         if ((i77 | 0) <= 0) {
          i142 = 0;
          break;
         }
         set32(i24 | 0, i77 | 0);
         i142 = i77;
        } while (0);
        i67 = get32(i66 + 12 | 0) | 0;
        do if (!i67) i143 = i142; else {
         i77 = get32(i67 + 44 | 0) | 0;
         if ((i77 | 0) <= (i142 | 0)) {
          i143 = i142;
          break;
         }
         set32(i24 | 0, i77 | 0);
         i143 = i77;
        } while (0);
        i67 = i66 + 16 | 0;
        do if (!(get16(i66 + 2 | 0) & 2048)) {
         i77 = get32(i67 | 0) | 0;
         if (!i77) {
          i144 = i143;
          i71 = 238;
          break;
         }
         i74 = get32(i77 | 0) | 0;
         if ((i74 | 0) > 0) {
          i75 = get32(i77 + 12 | 0) | 0;
          i77 = i143;
          i62 = 0;
          while (1) {
           i72 = get32(i75 + (i62 * 20 | 0) | 0) | 0;
           do if (!i72) i145 = i77; else {
            i85 = get32(i72 + 44 | 0) | 0;
            if ((i85 | 0) <= (i77 | 0)) {
             i145 = i77;
             break;
            }
            set32(i24 | 0, i85 | 0);
            i145 = i85;
           } while (0);
           i62 = i62 + 1 | 0;
           if ((i62 | 0) == (i74 | 0)) {
            i146 = i145;
            break;
           } else i77 = i145;
          }
         } else i146 = i143;
         i77 = i146 + 1 | 0;
         set32(i66 + 44 | 0, i77 | 0);
         i147 = i77;
        } else {
         _heightOfSelect(get32(i67 | 0) | 0, i24);
         i144 = get32(i24 | 0) | 0;
         i71 = 238;
        } while (0);
        if ((i71 | 0) == 238) {
         i71 = 0;
         i67 = i144 + 1 | 0;
         set32(i66 + 44 | 0, i67 | 0);
         i147 = i67;
        }
        i67 = get32((get32(i1 | 0) | 0) + 84 | 0) | 0;
        if ((i67 | 0) >= (i147 | 0)) break;
        set32(i15 | 0, i67 | 0);
        _sqlite3ErrorMsg(i1, 29585, i15);
       } while (0);
       i67 = _sqlite3ExprAlloc(get32(i1 | 0) | 0, 26, i30, 1) | 0;
       i77 = (i67 | 0) == 0;
       do if (!i77) {
        set32(i24 | 0, 0 | 0);
        i74 = get32(i67 + 8 | 0) | 0;
        do if (!i74) i148 = 0; else {
         i62 = get32(i74 + 44 | 0) | 0;
         if ((i62 | 0) <= 0) {
          i148 = 0;
          break;
         }
         set32(i24 | 0, i62 | 0);
         i148 = i62;
        } while (0);
        i74 = get32(i67 + 12 | 0) | 0;
        do if (!i74) i149 = i148; else {
         i62 = get32(i74 + 44 | 0) | 0;
         if ((i62 | 0) <= (i148 | 0)) {
          i149 = i148;
          break;
         }
         set32(i24 | 0, i62 | 0);
         i149 = i62;
        } while (0);
        i74 = i67 + 16 | 0;
        do if (!(get16(i67 + 2 | 0) & 2048)) {
         i62 = get32(i74 | 0) | 0;
         if (!i62) {
          i150 = i149;
          i71 = 258;
          break;
         }
         i75 = get32(i62 | 0) | 0;
         if ((i75 | 0) > 0) {
          i72 = get32(i62 + 12 | 0) | 0;
          i62 = i149;
          i85 = 0;
          while (1) {
           i83 = get32(i72 + (i85 * 20 | 0) | 0) | 0;
           do if (!i83) i151 = i62; else {
            i95 = get32(i83 + 44 | 0) | 0;
            if ((i95 | 0) <= (i62 | 0)) {
             i151 = i62;
             break;
            }
            set32(i24 | 0, i95 | 0);
            i151 = i95;
           } while (0);
           i85 = i85 + 1 | 0;
           if ((i85 | 0) == (i75 | 0)) {
            i152 = i151;
            break;
           } else i62 = i151;
          }
         } else i152 = i149;
         i62 = i152 + 1 | 0;
         set32(i67 + 44 | 0, i62 | 0);
         i153 = i62;
        } else {
         _heightOfSelect(get32(i74 | 0) | 0, i24);
         i150 = get32(i24 | 0) | 0;
         i71 = 258;
        } while (0);
        if ((i71 | 0) == 258) {
         i71 = 0;
         i74 = i150 + 1 | 0;
         set32(i67 + 44 | 0, i74 | 0);
         i153 = i74;
        }
        i74 = get32((get32(i1 | 0) | 0) + 84 | 0) | 0;
        if ((i74 | 0) >= (i153 | 0)) break;
        set32(i14 | 0, i74 | 0);
        _sqlite3ErrorMsg(i1, 29585, i14);
       } while (0);
       i74 = _sqlite3ExprAlloc(get32(i1 | 0) | 0, 118, 0, 1) | 0;
       i62 = get32(i1 | 0) | 0;
       i75 = (i74 | 0) == 0;
       do if (i75) {
        _sqlite3ExprDelete(i62, i66);
        _sqlite3ExprDelete(i62, i67);
       } else {
        do if (!i77) {
         set32(i74 + 12 | 0, i67 | 0);
         if (!(get16(i67 + 2 | 0) & 256)) break;
         i85 = i74 + 2 | 0;
         set16(i85 | 0, getU16(i85 | 0) | 256 | 0);
         set32(i74 + 20 | 0, get32(i67 + 20 | 0) | 0);
        } while (0);
        i85 = i74 + 8 | 0;
        if (i60) {
         i72 = get32(i85 | 0) | 0;
         set32(i24 | 0, 0 | 0);
         if (!i72) i154 = 0; else {
          i155 = i72;
          i71 = 272;
         }
        } else {
         set32(i85 | 0, i66 | 0);
         if (get16(i66 + 2 | 0) & 256) {
          i85 = i74 + 2 | 0;
          set16(i85 | 0, getU16(i85 | 0) | 256 | 0);
          set32(i74 + 20 | 0, get32(i66 + 20 | 0) | 0);
         }
         set32(i24 | 0, 0 | 0);
         i155 = i66;
         i71 = 272;
        }
        do if ((i71 | 0) == 272) {
         i71 = 0;
         i85 = get32(i155 + 44 | 0) | 0;
         if ((i85 | 0) <= 0) {
          i154 = 0;
          break;
         }
         set32(i24 | 0, i85 | 0);
         i154 = i85;
        } while (0);
        i85 = get32(i74 + 12 | 0) | 0;
        do if (!i85) i156 = i154; else {
         i72 = get32(i85 + 44 | 0) | 0;
         if ((i72 | 0) <= (i154 | 0)) {
          i156 = i154;
          break;
         }
         set32(i24 | 0, i72 | 0);
         i156 = i72;
        } while (0);
        i85 = i74 + 16 | 0;
        do if (!(get16(i74 + 2 | 0) & 2048)) {
         i72 = get32(i85 | 0) | 0;
         if (!i72) {
          i157 = i156;
          i158 = i62;
          i71 = 286;
          break;
         }
         i83 = get32(i72 | 0) | 0;
         if ((i83 | 0) > 0) {
          i95 = get32(i72 + 12 | 0) | 0;
          i72 = i156;
          i93 = 0;
          while (1) {
           i118 = get32(i95 + (i93 * 20 | 0) | 0) | 0;
           do if (!i118) i159 = i72; else {
            i120 = get32(i118 + 44 | 0) | 0;
            if ((i120 | 0) <= (i72 | 0)) {
             i159 = i72;
             break;
            }
            set32(i24 | 0, i120 | 0);
            i159 = i120;
           } while (0);
           i93 = i93 + 1 | 0;
           if ((i93 | 0) == (i83 | 0)) {
            i160 = i159;
            break;
           } else i72 = i159;
          }
         } else i160 = i156;
         i72 = i160 + 1 | 0;
         set32(i74 + 44 | 0, i72 | 0);
         i161 = i62;
         i162 = i72;
        } else {
         _heightOfSelect(get32(i85 | 0) | 0, i24);
         i157 = get32(i24 | 0) | 0;
         i158 = get32(i1 | 0) | 0;
         i71 = 286;
        } while (0);
        if ((i71 | 0) == 286) {
         i71 = 0;
         i85 = i157 + 1 | 0;
         set32(i74 + 44 | 0, i85 | 0);
         i161 = i158;
         i162 = i85;
        }
        i85 = get32(i161 + 84 | 0) | 0;
        if ((i85 | 0) >= (i162 | 0)) break;
        set32(i13 | 0, i85 | 0);
        _sqlite3ErrorMsg(i1, 29585, i13);
       } while (0);
       i62 = _sqlite3ExprAlloc(get32(i1 | 0) | 0, 70, 0, 1) | 0;
       i66 = get32(i1 | 0) | 0;
       if (!i62) {
        _sqlite3ExprDelete(i66, i73);
        _sqlite3ExprDelete(i66, i74);
        i163 = i54;
        break;
       }
       do if (!i75) {
        set32(i62 + 12 | 0, i74 | 0);
        if (!(get16(i74 + 2 | 0) & 256)) break;
        i60 = i62 + 2 | 0;
        set16(i60 | 0, getU16(i60 | 0) | 256 | 0);
        set32(i62 + 20 | 0, get32(i74 + 20 | 0) | 0);
       } while (0);
       i74 = i62 + 8 | 0;
       if (i57) {
        i75 = get32(i74 | 0) | 0;
        set32(i24 | 0, 0 | 0);
        if (!i75) i164 = 0; else {
         i165 = i75;
         i71 = 300;
        }
       } else {
        set32(i74 | 0, i73 | 0);
        if (get16(i73 + 2 | 0) & 256) {
         i74 = i62 + 2 | 0;
         set16(i74 | 0, getU16(i74 | 0) | 256 | 0);
         set32(i62 + 20 | 0, get32(i73 + 20 | 0) | 0);
        }
        set32(i24 | 0, 0 | 0);
        i165 = i73;
        i71 = 300;
       }
       do if ((i71 | 0) == 300) {
        i71 = 0;
        i74 = get32(i165 + 44 | 0) | 0;
        if ((i74 | 0) <= 0) {
         i164 = 0;
         break;
        }
        set32(i24 | 0, i74 | 0);
        i164 = i74;
       } while (0);
       i73 = get32(i62 + 12 | 0) | 0;
       do if (!i73) i166 = i164; else {
        i57 = get32(i73 + 44 | 0) | 0;
        if ((i57 | 0) <= (i164 | 0)) {
         i166 = i164;
         break;
        }
        set32(i24 | 0, i57 | 0);
        i166 = i57;
       } while (0);
       i73 = i62 + 2 | 0;
       i57 = i62 + 16 | 0;
       do if (!(get16(i73 | 0) & 2048)) {
        i74 = get32(i57 | 0) | 0;
        if (!i74) {
         i167 = i166;
         i168 = i66;
         i71 = 314;
         break;
        }
        i75 = get32(i74 | 0) | 0;
        if ((i75 | 0) > 0) {
         i60 = get32(i74 + 12 | 0) | 0;
         i74 = i166;
         i67 = 0;
         while (1) {
          i77 = get32(i60 + (i67 * 20 | 0) | 0) | 0;
          do if (!i77) i169 = i74; else {
           i85 = get32(i77 + 44 | 0) | 0;
           if ((i85 | 0) <= (i74 | 0)) {
            i169 = i74;
            break;
           }
           set32(i24 | 0, i85 | 0);
           i169 = i85;
          } while (0);
          i67 = i67 + 1 | 0;
          if ((i67 | 0) == (i75 | 0)) {
           i170 = i169;
           break;
          } else i74 = i169;
         }
        } else i170 = i166;
        i74 = i170 + 1 | 0;
        set32(i62 + 44 | 0, i74 | 0);
        i171 = i66;
        i172 = i74;
       } else {
        _heightOfSelect(get32(i57 | 0) | 0, i24);
        i167 = get32(i24 | 0) | 0;
        i168 = get32(i1 | 0) | 0;
        i71 = 314;
       } while (0);
       if ((i71 | 0) == 314) {
        i71 = 0;
        i57 = i167 + 1 | 0;
        set32(i62 + 44 | 0, i57 | 0);
        i171 = i168;
        i172 = i57;
       }
       i57 = get32(i171 + 84 | 0) | 0;
       if ((i57 | 0) < (i172 | 0)) {
        set32(i12 | 0, i57 | 0);
        _sqlite3ErrorMsg(i1, 29585, i12);
       }
       i57 = (i54 | 0) == 0;
       if (i57) {
        i163 = i57 ? i62 : i54;
        break;
       }
       i57 = _sqlite3ExprAlloc(i42, 69, 0, 0) | 0;
       if (!i57) {
        _sqlite3ExprDelete(i42, i54);
        _sqlite3ExprDelete(i42, i62);
        i163 = 0;
        break;
       }
       set32(i57 + 12 | 0, i62 | 0);
       i66 = i57 + 2 | 0;
       i74 = get16(i66 | 0) | 0;
       if (!(get16(i73 | 0) & 256)) i173 = i74; else {
        i75 = (i74 & 65535 | 256) & 65535;
        set16(i66 | 0, i75 | 0);
        set32(i57 + 20 | 0, get32(i62 + 20 | 0) | 0);
        i173 = i75;
       }
       set32(i57 + 8 | 0, i54 | 0);
       if (!(get16(i54 + 2 | 0) & 256)) i174 = i173; else {
        i75 = (i173 & 65535 | 256) & 65535;
        set16(i66 | 0, i75 | 0);
        set32(i57 + 20 | 0, get32(i54 + 20 | 0) | 0);
        i174 = i75;
       }
       set32(i24 | 0, 0 | 0);
       i75 = get32(i54 + 44 | 0) | 0;
       i66 = (i75 | 0) > 0 ? i75 : 0;
       i75 = get32(i62 + 44 | 0) | 0;
       i74 = (i75 | 0) > (i66 | 0) ? i75 : i66;
       set32(i24 | 0, i74 | 0);
       i66 = i57 + 16 | 0;
       do if (!(i174 & 2048)) {
        i75 = get32(i66 | 0) | 0;
        if (!i75) {
         i175 = i74;
         break;
        }
        i67 = get32(i75 | 0) | 0;
        if ((i67 | 0) <= 0) {
         i175 = i74;
         break;
        }
        i60 = get32(i75 + 12 | 0) | 0;
        i75 = i74;
        i77 = 0;
        while (1) {
         i85 = get32(i60 + (i77 * 20 | 0) | 0) | 0;
         do if (!i85) i176 = i75; else {
          i72 = get32(i85 + 44 | 0) | 0;
          if ((i72 | 0) <= (i75 | 0)) {
           i176 = i75;
           break;
          }
          set32(i24 | 0, i72 | 0);
          i176 = i72;
         } while (0);
         i77 = i77 + 1 | 0;
         if ((i77 | 0) == (i67 | 0)) {
          i175 = i176;
          break;
         } else i75 = i176;
        }
       } else {
        _heightOfSelect(get32(i66 | 0) | 0, i24);
        i175 = get32(i24 | 0) | 0;
       } while (0);
       set32(i57 + 44 | 0, i175 + 1 | 0);
       i163 = i57;
      } else i163 = i54; while (0);
      L475 : do if (i52) {
       L477 : do switch (i35 << 24 >> 24) {
       case 9:
        {
         i66 = _sqlite3ExprAlloc(get32(i1 | 0) | 0, 26, i28, 1) | 0;
         i74 = (i66 | 0) == 0;
         do if (!i74) {
          set32(i24 | 0, 0 | 0);
          i62 = get32(i66 + 8 | 0) | 0;
          do if (!i62) i177 = 0; else {
           i73 = get32(i62 + 44 | 0) | 0;
           if ((i73 | 0) <= 0) {
            i177 = 0;
            break;
           }
           set32(i24 | 0, i73 | 0);
           i177 = i73;
          } while (0);
          i62 = get32(i66 + 12 | 0) | 0;
          do if (!i62) i178 = i177; else {
           i73 = get32(i62 + 44 | 0) | 0;
           if ((i73 | 0) <= (i177 | 0)) {
            i178 = i177;
            break;
           }
           set32(i24 | 0, i73 | 0);
           i178 = i73;
          } while (0);
          i62 = i66 + 16 | 0;
          do if (!(get16(i66 + 2 | 0) & 2048)) {
           i73 = get32(i62 | 0) | 0;
           if (!i73) {
            i179 = i178;
            i71 = 353;
            break;
           }
           i75 = get32(i73 | 0) | 0;
           if ((i75 | 0) > 0) {
            i67 = get32(i73 + 12 | 0) | 0;
            i73 = i178;
            i77 = 0;
            while (1) {
             i60 = get32(i67 + (i77 * 20 | 0) | 0) | 0;
             do if (!i60) i180 = i73; else {
              i85 = get32(i60 + 44 | 0) | 0;
              if ((i85 | 0) <= (i73 | 0)) {
               i180 = i73;
               break;
              }
              set32(i24 | 0, i85 | 0);
              i180 = i85;
             } while (0);
             i77 = i77 + 1 | 0;
             if ((i77 | 0) == (i75 | 0)) {
              i181 = i180;
              break;
             } else i73 = i180;
            }
           } else i181 = i178;
           i73 = i181 + 1 | 0;
           set32(i66 + 44 | 0, i73 | 0);
           i182 = i73;
          } else {
           _heightOfSelect(get32(i62 | 0) | 0, i24);
           i179 = get32(i24 | 0) | 0;
           i71 = 353;
          } while (0);
          if ((i71 | 0) == 353) {
           i71 = 0;
           i62 = i179 + 1 | 0;
           set32(i66 + 44 | 0, i62 | 0);
           i182 = i62;
          }
          i62 = get32((get32(i1 | 0) | 0) + 84 | 0) | 0;
          if ((i62 | 0) >= (i182 | 0)) break;
          set32(i11 | 0, i62 | 0);
          _sqlite3ErrorMsg(i1, 29585, i11);
         } while (0);
         i62 = _sqlite3ExprAlloc(get32(i1 | 0) | 0, 26, i30, 1) | 0;
         i73 = (i62 | 0) == 0;
         do if (!i73) {
          set32(i24 | 0, 0 | 0);
          i75 = get32(i62 + 8 | 0) | 0;
          do if (!i75) i183 = 0; else {
           i77 = get32(i75 + 44 | 0) | 0;
           if ((i77 | 0) <= 0) {
            i183 = 0;
            break;
           }
           set32(i24 | 0, i77 | 0);
           i183 = i77;
          } while (0);
          i75 = get32(i62 + 12 | 0) | 0;
          do if (!i75) i184 = i183; else {
           i77 = get32(i75 + 44 | 0) | 0;
           if ((i77 | 0) <= (i183 | 0)) {
            i184 = i183;
            break;
           }
           set32(i24 | 0, i77 | 0);
           i184 = i77;
          } while (0);
          i75 = i62 + 16 | 0;
          do if (!(get16(i62 + 2 | 0) & 2048)) {
           i77 = get32(i75 | 0) | 0;
           if (!i77) {
            i185 = i184;
            i71 = 373;
            break;
           }
           i67 = get32(i77 | 0) | 0;
           if ((i67 | 0) > 0) {
            i60 = get32(i77 + 12 | 0) | 0;
            i77 = i184;
            i85 = 0;
            while (1) {
             i72 = get32(i60 + (i85 * 20 | 0) | 0) | 0;
             do if (!i72) i186 = i77; else {
              i83 = get32(i72 + 44 | 0) | 0;
              if ((i83 | 0) <= (i77 | 0)) {
               i186 = i77;
               break;
              }
              set32(i24 | 0, i83 | 0);
              i186 = i83;
             } while (0);
             i85 = i85 + 1 | 0;
             if ((i85 | 0) == (i67 | 0)) {
              i187 = i186;
              break;
             } else i77 = i186;
            }
           } else i187 = i184;
           i77 = i187 + 1 | 0;
           set32(i62 + 44 | 0, i77 | 0);
           i188 = i77;
          } else {
           _heightOfSelect(get32(i75 | 0) | 0, i24);
           i185 = get32(i24 | 0) | 0;
           i71 = 373;
          } while (0);
          if ((i71 | 0) == 373) {
           i71 = 0;
           i75 = i185 + 1 | 0;
           set32(i62 + 44 | 0, i75 | 0);
           i188 = i75;
          }
          i75 = get32((get32(i1 | 0) | 0) + 84 | 0) | 0;
          if ((i75 | 0) >= (i188 | 0)) break;
          set32(i10 | 0, i75 | 0);
          _sqlite3ErrorMsg(i1, 29585, i10);
         } while (0);
         i75 = _sqlite3ExprAlloc(get32(i1 | 0) | 0, 118, 0, 1) | 0;
         i77 = get32(i1 | 0) | 0;
         if (!i75) {
          _sqlite3ExprDelete(i77, i66);
          _sqlite3ExprDelete(i77, i62);
          i189 = 0;
          break L477;
         }
         do if (!i73) {
          set32(i75 + 12 | 0, i62 | 0);
          if (!(get16(i62 + 2 | 0) & 256)) break;
          i67 = i75 + 2 | 0;
          set16(i67 | 0, getU16(i67 | 0) | 256 | 0);
          set32(i75 + 20 | 0, get32(i62 + 20 | 0) | 0);
         } while (0);
         i62 = i75 + 8 | 0;
         if (i74) {
          i73 = get32(i62 | 0) | 0;
          set32(i24 | 0, 0 | 0);
          if (!i73) i190 = 0; else {
           i191 = i73;
           i71 = 387;
          }
         } else {
          set32(i62 | 0, i66 | 0);
          if (get16(i66 + 2 | 0) & 256) {
           i62 = i75 + 2 | 0;
           set16(i62 | 0, getU16(i62 | 0) | 256 | 0);
           set32(i75 + 20 | 0, get32(i66 + 20 | 0) | 0);
          }
          set32(i24 | 0, 0 | 0);
          i191 = i66;
          i71 = 387;
         }
         do if ((i71 | 0) == 387) {
          i71 = 0;
          i62 = get32(i191 + 44 | 0) | 0;
          if ((i62 | 0) <= 0) {
           i190 = 0;
           break;
          }
          set32(i24 | 0, i62 | 0);
          i190 = i62;
         } while (0);
         i66 = get32(i75 + 12 | 0) | 0;
         do if (!i66) i192 = i190; else {
          i74 = get32(i66 + 44 | 0) | 0;
          if ((i74 | 0) <= (i190 | 0)) {
           i192 = i190;
           break;
          }
          set32(i24 | 0, i74 | 0);
          i192 = i74;
         } while (0);
         i66 = i75 + 16 | 0;
         do if (!(get16(i75 + 2 | 0) & 2048)) {
          i74 = get32(i66 | 0) | 0;
          if (!i74) {
           i193 = i192;
           i194 = i77;
           i71 = 401;
           break;
          }
          i62 = get32(i74 | 0) | 0;
          if ((i62 | 0) > 0) {
           i73 = get32(i74 + 12 | 0) | 0;
           i74 = i192;
           i67 = 0;
           while (1) {
            i85 = get32(i73 + (i67 * 20 | 0) | 0) | 0;
            do if (!i85) i195 = i74; else {
             i60 = get32(i85 + 44 | 0) | 0;
             if ((i60 | 0) <= (i74 | 0)) {
              i195 = i74;
              break;
             }
             set32(i24 | 0, i60 | 0);
             i195 = i60;
            } while (0);
            i67 = i67 + 1 | 0;
            if ((i67 | 0) == (i62 | 0)) {
             i196 = i195;
             break;
            } else i74 = i195;
           }
          } else i196 = i192;
          i74 = i196 + 1 | 0;
          set32(i75 + 44 | 0, i74 | 0);
          i197 = i77;
          i198 = i74;
         } else {
          _heightOfSelect(get32(i66 | 0) | 0, i24);
          i193 = get32(i24 | 0) | 0;
          i194 = get32(i1 | 0) | 0;
          i71 = 401;
         } while (0);
         if ((i71 | 0) == 401) {
          i71 = 0;
          i66 = i193 + 1 | 0;
          set32(i75 + 44 | 0, i66 | 0);
          i197 = i194;
          i198 = i66;
         }
         i66 = get32(i197 + 84 | 0) | 0;
         if ((i66 | 0) >= (i198 | 0)) {
          i189 = i75;
          break L477;
         }
         set32(i9 | 0, i66 | 0);
         _sqlite3ErrorMsg(i1, 29585, i9);
         i189 = i75;
         break;
        }
       case 8:
        {
         i66 = get32((get32((get32(i32 | 0) | 0) + 12 | 0) | 0) + (i58 * 24 | 0) + 4 | 0) | 0;
         if (i66) {
          i189 = _exprDup(i42, i66, 0, 0) | 0;
          break L477;
         }
         i66 = _sqlite3ExprAlloc(get32(i1 | 0) | 0, 98, 0, 1) | 0;
         if (!i66) {
          i189 = 0;
          break L477;
         }
         set32(i24 | 0, 0 | 0);
         i77 = get32(i66 + 8 | 0) | 0;
         do if (!i77) i199 = 0; else {
          i74 = get32(i77 + 44 | 0) | 0;
          if ((i74 | 0) <= 0) {
           i199 = 0;
           break;
          }
          set32(i24 | 0, i74 | 0);
          i199 = i74;
         } while (0);
         i77 = get32(i66 + 12 | 0) | 0;
         do if (!i77) i200 = i199; else {
          i75 = get32(i77 + 44 | 0) | 0;
          if ((i75 | 0) <= (i199 | 0)) {
           i200 = i199;
           break;
          }
          set32(i24 | 0, i75 | 0);
          i200 = i75;
         } while (0);
         i77 = i66 + 16 | 0;
         do if (!(get16(i66 + 2 | 0) & 2048)) {
          i75 = get32(i77 | 0) | 0;
          if (!i75) {
           i201 = i200;
           i71 = 423;
           break;
          }
          i74 = get32(i75 | 0) | 0;
          if ((i74 | 0) > 0) {
           i62 = get32(i75 + 12 | 0) | 0;
           i75 = i200;
           i67 = 0;
           while (1) {
            i73 = get32(i62 + (i67 * 20 | 0) | 0) | 0;
            do if (!i73) i202 = i75; else {
             i85 = get32(i73 + 44 | 0) | 0;
             if ((i85 | 0) <= (i75 | 0)) {
              i202 = i75;
              break;
             }
             set32(i24 | 0, i85 | 0);
             i202 = i85;
            } while (0);
            i67 = i67 + 1 | 0;
            if ((i67 | 0) == (i74 | 0)) {
             i203 = i202;
             break;
            } else i75 = i202;
           }
          } else i203 = i200;
          i75 = i203 + 1 | 0;
          set32(i66 + 44 | 0, i75 | 0);
          i204 = i75;
         } else {
          _heightOfSelect(get32(i77 | 0) | 0, i24);
          i201 = get32(i24 | 0) | 0;
          i71 = 423;
         } while (0);
         if ((i71 | 0) == 423) {
          i71 = 0;
          i77 = i201 + 1 | 0;
          set32(i66 + 44 | 0, i77 | 0);
          i204 = i77;
         }
         i77 = get32((get32(i1 | 0) | 0) + 84 | 0) | 0;
         if ((i77 | 0) >= (i204 | 0)) {
          i189 = i66;
          break L477;
         }
         set32(i8 | 0, i77 | 0);
         _sqlite3ErrorMsg(i1, 29585, i8);
         i189 = i66;
         break;
        }
       default:
        {
         i77 = _sqlite3ExprAlloc(get32(i1 | 0) | 0, 98, 0, 1) | 0;
         if (!i77) {
          i189 = 0;
          break L477;
         }
         set32(i24 | 0, 0 | 0);
         i75 = get32(i77 + 8 | 0) | 0;
         do if (!i75) i205 = 0; else {
          i74 = get32(i75 + 44 | 0) | 0;
          if ((i74 | 0) <= 0) {
           i205 = 0;
           break;
          }
          set32(i24 | 0, i74 | 0);
          i205 = i74;
         } while (0);
         i75 = get32(i77 + 12 | 0) | 0;
         do if (!i75) i206 = i205; else {
          i66 = get32(i75 + 44 | 0) | 0;
          if ((i66 | 0) <= (i205 | 0)) {
           i206 = i205;
           break;
          }
          set32(i24 | 0, i66 | 0);
          i206 = i66;
         } while (0);
         i75 = i77 + 16 | 0;
         do if (!(get16(i77 + 2 | 0) & 2048)) {
          i66 = get32(i75 | 0) | 0;
          if (!i66) {
           i207 = i206;
           i71 = 443;
           break;
          }
          i74 = get32(i66 | 0) | 0;
          if ((i74 | 0) > 0) {
           i67 = get32(i66 + 12 | 0) | 0;
           i66 = i206;
           i62 = 0;
           while (1) {
            i73 = get32(i67 + (i62 * 20 | 0) | 0) | 0;
            do if (!i73) i208 = i66; else {
             i85 = get32(i73 + 44 | 0) | 0;
             if ((i85 | 0) <= (i66 | 0)) {
              i208 = i66;
              break;
             }
             set32(i24 | 0, i85 | 0);
             i208 = i85;
            } while (0);
            i62 = i62 + 1 | 0;
            if ((i62 | 0) == (i74 | 0)) {
             i209 = i208;
             break;
            } else i66 = i208;
           }
          } else i209 = i206;
          i66 = i209 + 1 | 0;
          set32(i77 + 44 | 0, i66 | 0);
          i210 = i66;
         } else {
          _heightOfSelect(get32(i75 | 0) | 0, i24);
          i207 = get32(i24 | 0) | 0;
          i71 = 443;
         } while (0);
         if ((i71 | 0) == 443) {
          i71 = 0;
          i75 = i207 + 1 | 0;
          set32(i77 + 44 | 0, i75 | 0);
          i210 = i75;
         }
         i75 = get32((get32(i1 | 0) | 0) + 84 | 0) | 0;
         if ((i75 | 0) >= (i210 | 0)) {
          i189 = i77;
          break L477;
         }
         set32(i7 | 0, i75 | 0);
         _sqlite3ErrorMsg(i1, 29585, i7);
         i189 = i77;
        }
       } while (0);
       i57 = _sqlite3ExprListAppend(get32(i1 | 0) | 0, i56, i189) | 0;
       if (!i57) {
        i211 = 0;
        break;
       }
       i75 = (get32(i57 | 0) | 0) + -1 | 0;
       i66 = get32(i57 + 12 | 0) | 0;
       i74 = get32(i29 | 0) | 0;
       i62 = get32(i37 | 0) | 0;
       L632 : do if (i74) {
        i67 = get32(i1 | 0) | 0;
        i73 = i62 + 1 | 0;
        L634 : do if (!i67) {
         if (i62 >>> 0 > 2147483390) break L632;
         if (!(get32(50 * 4 | 0) | 0)) {
          i212 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i73) | 0;
          i71 = 488;
          break;
         }
         i85 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i73) | 0;
         set32(35 * 4 | 0, i73 | 0);
         if ((get32(45 * 4 | 0) | 0) < (i73 | 0)) set32(45 * 4 | 0, i73 | 0);
         i60 = get32(6 * 4 | 0) | 0;
         do if (i60) {
          i72 = get32(30 * 4 | 0) | 0;
          i83 = ((i72 | 0) < 0) << 31 >> 31;
          i93 = 16;
          i95 = _i64Subtract(get32(i93 | 0) | 0, get32(i93 + 4 | 0) | 0, i85 | 0, ((i85 | 0) < 0) << 31 >> 31 | 0) | 0;
          i93 = tempRet0;
          if ((i83 | 0) < (i93 | 0) | (i83 | 0) == (i93 | 0) & i72 >>> 0 < i95 >>> 0) {
           set32(11 * 4 | 0, 0 | 0);
           break;
          } else {
           set32(11 * 4 | 0, 1 | 0);
           i95 = get32(7 * 4 | 0) | 0;
           set32(6 * 4 | 0, 0 | 0);
           FUNCTION_TABLE_viiii[i60 & 15](i95, i72, i83, i85);
           set32(6 * 4 | 0, i60 | 0);
           set32(7 * 4 | 0, i95 | 0);
           break;
          }
         } while (0);
         i60 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i85) | 0;
         if (!i60) break L632;
         i95 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i60) | 0;
         i83 = (get32(30 * 4 | 0) | 0) + i95 | 0;
         set32(30 * 4 | 0, i83 | 0);
         if ((i83 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i83 | 0);
         i83 = get32(39 * 4 | 0) | 0;
         i95 = i83 + 1 | 0;
         set32(39 * 4 | 0, i95 | 0);
         if ((i83 | 0) < (get32(49 * 4 | 0) | 0)) {
          i213 = i60;
          break;
         }
         set32(49 * 4 | 0, i95 | 0);
         i213 = i60;
        } else {
         i60 = i67 + 30 | 0;
         if (get8(i60 >> 0 | 0) | 0) break L632;
         do if (get8(i67 + 234 >> 0 | 0) | 0) {
          if ((getU16(i67 + 232 | 0) | 0) < (i73 | 0)) {
           i95 = i67 + 248 | 0;
           set32(i95 | 0, (get32(i95 | 0) | 0) + 1 | 0);
           break;
          }
          i95 = i67 + 256 | 0;
          i83 = get32(i95 | 0) | 0;
          if (!i83) {
           i72 = i67 + 252 | 0;
           set32(i72 | 0, (get32(i72 | 0) | 0) + 1 | 0);
           break;
          }
          set32(i95 | 0, get32(i83 | 0) | 0);
          i95 = i67 + 236 | 0;
          i72 = get32(i95 | 0) | 0;
          i93 = i72 + 1 | 0;
          set32(i95 | 0, i93 | 0);
          i95 = i67 + 244 | 0;
          set32(i95 | 0, (get32(i95 | 0) | 0) + 1 | 0);
          i95 = i67 + 240 | 0;
          if ((i72 | 0) >= (get32(i95 | 0) | 0)) set32(i95 | 0, i93 | 0);
          i212 = i83;
          i71 = 488;
          break L634;
         } while (0);
         do if (i62 >>> 0 <= 2147483390) {
          if (!(get32(50 * 4 | 0) | 0)) {
           i85 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i73) | 0;
           if (!i85) break; else {
            i213 = i85;
            break L634;
           }
          }
          i85 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i73) | 0;
          set32(35 * 4 | 0, i73 | 0);
          if ((get32(45 * 4 | 0) | 0) < (i73 | 0)) set32(45 * 4 | 0, i73 | 0);
          i83 = get32(6 * 4 | 0) | 0;
          do if (i83) {
           i93 = get32(30 * 4 | 0) | 0;
           i95 = ((i93 | 0) < 0) << 31 >> 31;
           i72 = 16;
           i118 = _i64Subtract(get32(i72 | 0) | 0, get32(i72 + 4 | 0) | 0, i85 | 0, ((i85 | 0) < 0) << 31 >> 31 | 0) | 0;
           i72 = tempRet0;
           if ((i95 | 0) < (i72 | 0) | (i95 | 0) == (i72 | 0) & i93 >>> 0 < i118 >>> 0) {
            set32(11 * 4 | 0, 0 | 0);
            break;
           } else {
            set32(11 * 4 | 0, 1 | 0);
            i118 = get32(7 * 4 | 0) | 0;
            set32(6 * 4 | 0, 0 | 0);
            FUNCTION_TABLE_viiii[i83 & 15](i118, i93, i95, i85);
            set32(6 * 4 | 0, i83 | 0);
            set32(7 * 4 | 0, i118 | 0);
            break;
           }
          } while (0);
          i83 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i85) | 0;
          if (!i83) break;
          i118 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i83) | 0;
          i95 = (get32(30 * 4 | 0) | 0) + i118 | 0;
          set32(30 * 4 | 0, i95 | 0);
          if ((i95 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i95 | 0);
          i95 = get32(39 * 4 | 0) | 0;
          i118 = i95 + 1 | 0;
          set32(39 * 4 | 0, i118 | 0);
          if ((i95 | 0) < (get32(49 * 4 | 0) | 0)) {
           i213 = i83;
           break L634;
          }
          set32(49 * 4 | 0, i118 | 0);
          i213 = i83;
          break L634;
         } while (0);
         set8(i60 >> 0 | 0, 1 | 0);
         break L632;
        } while (0);
        if ((i71 | 0) == 488) {
         i71 = 0;
         if (!i212) break; else i213 = i212;
        }
        _memcpy(i213 | 0, i74 | 0, i62 | 0) | 0;
        set8(i213 + i62 >> 0 | 0, 0 | 0);
        set32(i66 + (i75 * 20 | 0) + 4 | 0, i213 | 0);
        i211 = i57;
        break L475;
       } while (0);
       set32(i66 + (i75 * 20 | 0) + 4 | 0, 0 | 0);
       i211 = i57;
      } else i211 = i56; while (0);
      i55 = i55 + 1 | 0;
      if ((i55 | 0) >= (get32(i46 | 0) | 0)) {
       i214 = i32;
       i215 = i163;
       i216 = i211;
       i217 = i105;
       break;
      } else {
       i53 = i105;
       i54 = i163;
       i56 = i211;
      }
     }
    } else {
     i214 = i32;
     i215 = 0;
     i216 = 0;
     i217 = 0;
    }
    _sqlite3DbFree(i42, get32(i26 | 0) | 0);
    i56 = get32(get32(i214 | 0) | 0) | 0;
    if (!i56) i218 = 0; else {
     i54 = i56;
     while (1) if (!(get8(i54 >> 0 | 0) | 0)) {
      i219 = i54;
      break;
     } else i54 = i54 + 1 | 0;
     i218 = i219 - i56 & 1073741823;
    }
    if (i35 << 24 >> 24 == 6) {
     set32(i31 | 0, i56 | 0);
     set32(i39 | 0, i218 | 0);
     set32(i24 | 0, 19759 | 0);
     set32(i40 | 0, 29 | 0);
     i54 = _sqlite3ExprAlloc(i42, 56, i24, 0) | 0;
     if (i54) set8(i54 + 1 >> 0 | 0, 2 | 0);
     i53 = _sqlite3ExprListAppend(get32(i1 | 0) | 0, 0, i54) | 0;
     i220 = _sqlite3SelectNew(i1, i53, _sqlite3SrcListAppend(i42, 0, i31, 0) | 0, i217, 0, 0, 0, 0, 0, 0) | 0;
     i221 = 0;
    } else {
     i220 = 0;
     i221 = i217;
    }
    i53 = i42 + 234 | 0;
    i54 = get8(i53 >> 0 | 0) | 0;
    set8(i53 >> 0 | 0, 0 | 0);
    i46 = i218 + 77 | 0;
    L706 : do if (!i42) if ((i218 + 76 | 0) >>> 0 <= 2147483390) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i55 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i46) | 0;
      if (!i55) {
       i222 = 0;
       i223 = 0;
       i224 = 0;
       i225 = i215;
       break;
      } else {
       i226 = i55;
       i71 = 530;
       break;
      }
     }
     i55 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i46) | 0;
     set32(35 * 4 | 0, i46 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i46 | 0)) set32(45 * 4 | 0, i46 | 0);
     i52 = get32(6 * 4 | 0) | 0;
     do if (i52) {
      i47 = get32(30 * 4 | 0) | 0;
      i51 = ((i47 | 0) < 0) << 31 >> 31;
      i50 = 16;
      i49 = _i64Subtract(get32(i50 | 0) | 0, get32(i50 + 4 | 0) | 0, i55 | 0, ((i55 | 0) < 0) << 31 >> 31 | 0) | 0;
      i50 = tempRet0;
      if ((i51 | 0) < (i50 | 0) | (i51 | 0) == (i50 | 0) & i47 >>> 0 < i49 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i49 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i52 & 15](i49, i47, i51, i55);
       set32(6 * 4 | 0, i52 | 0);
       set32(7 * 4 | 0, i49 | 0);
       break;
      }
     } while (0);
     i52 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i55) | 0;
     if (i52) {
      i49 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i52) | 0;
      i51 = (get32(30 * 4 | 0) | 0) + i49 | 0;
      set32(30 * 4 | 0, i51 | 0);
      if ((i51 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i51 | 0);
      i51 = get32(39 * 4 | 0) | 0;
      i49 = i51 + 1 | 0;
      set32(39 * 4 | 0, i49 | 0);
      if ((i51 | 0) < (get32(49 * 4 | 0) | 0)) {
       i226 = i52;
       i71 = 530;
      } else {
       set32(49 * 4 | 0, i49 | 0);
       i226 = i52;
       i71 = 530;
      }
     } else {
      i222 = 0;
      i223 = 0;
      i224 = 0;
      i225 = i215;
     }
    } else {
     i222 = 0;
     i223 = 0;
     i224 = 0;
     i225 = i215;
    } else {
     i52 = i42 + 30 | 0;
     if (!(get8(i52 >> 0 | 0) | 0)) {
      do if ((i218 + 76 | 0) >>> 0 <= 2147483390) {
       if (!(get32(50 * 4 | 0) | 0)) {
        i49 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i46) | 0;
        if (!i49) break; else {
         i226 = i49;
         i71 = 530;
         break L706;
        }
       }
       i49 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i46) | 0;
       set32(35 * 4 | 0, i46 | 0);
       if ((get32(45 * 4 | 0) | 0) < (i46 | 0)) set32(45 * 4 | 0, i46 | 0);
       i51 = get32(6 * 4 | 0) | 0;
       do if (i51) {
        i47 = get32(30 * 4 | 0) | 0;
        i50 = ((i47 | 0) < 0) << 31 >> 31;
        i48 = 16;
        i58 = _i64Subtract(get32(i48 | 0) | 0, get32(i48 + 4 | 0) | 0, i49 | 0, ((i49 | 0) < 0) << 31 >> 31 | 0) | 0;
        i48 = tempRet0;
        if ((i50 | 0) < (i48 | 0) | (i50 | 0) == (i48 | 0) & i47 >>> 0 < i58 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i58 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i51 & 15](i58, i47, i50, i49);
         set32(6 * 4 | 0, i51 | 0);
         set32(7 * 4 | 0, i58 | 0);
         break;
        }
       } while (0);
       i51 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i49) | 0;
       if (i51) {
        i57 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i51) | 0;
        i75 = (get32(30 * 4 | 0) | 0) + i57 | 0;
        set32(30 * 4 | 0, i75 | 0);
        if ((i75 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i75 | 0);
        i75 = get32(39 * 4 | 0) | 0;
        i57 = i75 + 1 | 0;
        set32(39 * 4 | 0, i57 | 0);
        if ((i75 | 0) < (get32(49 * 4 | 0) | 0)) {
         i226 = i51;
         i71 = 530;
         break L706;
        }
        set32(49 * 4 | 0, i57 | 0);
        i226 = i51;
        i71 = 530;
        break L706;
       }
      } while (0);
      set8(i52 >> 0 | 0, 1 | 0);
      i222 = 0;
      i223 = 0;
      i224 = 0;
      i225 = i215;
     } else {
      i222 = 0;
      i223 = 0;
      i224 = 0;
      i225 = i215;
     }
    } while (0);
    if ((i71 | 0) == 530) {
     i71 = 0;
     _memset(i226 | 0, 0, i46 | 0) | 0;
     i55 = i226 + 36 | 0;
     set32(i226 + 28 | 0, i55 | 0);
     i51 = i226 + 76 | 0;
     set32(i226 + 48 | 0, i51 | 0);
     set32(i226 + 52 | 0, i218 | 0);
     _memcpy(i51 | 0, i56 | 0, i218 | 0) | 0;
     set32(i226 + 56 | 0, _exprDup(i42, i221, 1, 0) | 0 | 0);
     set32(i226 + 60 | 0, _sqlite3ExprListDup(i42, i216, 1) | 0 | 0);
     set32(i226 + 44 | 0, _sqlite3SelectDup(i42, i220, 1) | 0 | 0);
     if (!i215) {
      i222 = i226;
      i223 = i226;
      i224 = i55;
      i225 = 0;
     } else {
      i51 = _sqlite3ExprAlloc(get32(i1 | 0) | 0, 19, 0, 1) | 0;
      if (i51) {
       set32(i51 + 8 | 0, i215 | 0);
       if (get16(i215 + 2 | 0) & 256) {
        i57 = i51 + 2 | 0;
        set16(i57 | 0, getU16(i57 | 0) | 256 | 0);
        set32(i51 + 20 | 0, get32(i215 + 20 | 0) | 0);
       }
       set32(i24 | 0, 0 | 0);
       i57 = get32(i215 + 44 | 0) | 0;
       i75 = (i57 | 0) > 0 ? i57 : 0;
       set32(i24 | 0, i75 | 0);
       i57 = get32(i51 + 12 | 0) | 0;
       if ((i57 | 0) != 0 ? (i66 = get32(i57 + 44 | 0) | 0, (i66 | 0) > (i75 | 0)) : 0) {
        set32(i24 | 0, i66 | 0);
        i227 = i66;
       } else i227 = i75;
       i75 = i51 + 16 | 0;
       if (!(get16(i51 + 2 | 0) & 2048)) {
        i66 = get32(i75 | 0) | 0;
        if (!i66) {
         i228 = i227;
         i71 = 547;
        } else {
         i57 = get32(i66 | 0) | 0;
         if ((i57 | 0) > 0) {
          i58 = get32(i66 + 12 | 0) | 0;
          i66 = i227;
          i50 = 0;
          while (1) {
           i47 = get32(i58 + (i50 * 20 | 0) | 0) | 0;
           do if (!i47) i229 = i66; else {
            i48 = get32(i47 + 44 | 0) | 0;
            if ((i48 | 0) <= (i66 | 0)) {
             i229 = i66;
             break;
            }
            set32(i24 | 0, i48 | 0);
            i229 = i48;
           } while (0);
           i50 = i50 + 1 | 0;
           if ((i50 | 0) == (i57 | 0)) {
            i230 = i229;
            break;
           } else i66 = i229;
          }
         } else i230 = i227;
         i66 = i230 + 1 | 0;
         set32(i51 + 44 | 0, i66 | 0);
         i231 = i66;
        }
       } else {
        _heightOfSelect(get32(i75 | 0) | 0, i24);
        i228 = get32(i24 | 0) | 0;
        i71 = 547;
       }
       if ((i71 | 0) == 547) {
        i71 = 0;
        i66 = i228 + 1 | 0;
        set32(i51 + 44 | 0, i66 | 0);
        i231 = i66;
       }
       i66 = get32((get32(i1 | 0) | 0) + 84 | 0) | 0;
       if ((i66 | 0) < (i231 | 0)) {
        set32(i6 | 0, i66 | 0);
        _sqlite3ErrorMsg(i1, 29585, i6);
       }
      } else _sqlite3ExprDelete(get32(i1 | 0) | 0, i215);
      set32(i226 + 12 | 0, _exprDup(i42, i51, 1, 0) | 0 | 0);
      i222 = i226;
      i223 = i226;
      i224 = i55;
      i225 = i51;
     }
    }
    set8(i53 >> 0 | 0, i54 | 0);
    _sqlite3ExprDelete(i42, i221);
    _sqlite3ExprDelete(i42, i225);
    if (i216) {
     i66 = i216 + 12 | 0;
     if ((get32(i216 | 0) | 0) > 0) {
      i57 = 0;
      i50 = get32(i66 | 0) | 0;
      while (1) {
       _sqlite3ExprDelete(i42, get32(i50 | 0) | 0);
       _sqlite3DbFree(i42, get32(i50 + 4 | 0) | 0);
       _sqlite3DbFree(i42, get32(i50 + 8 | 0) | 0);
       i57 = i57 + 1 | 0;
       if ((i57 | 0) >= (get32(i216 | 0) | 0)) break; else i50 = i50 + 20 | 0;
      }
     }
     _sqlite3DbFree(i42, get32(i66 | 0) | 0);
     _sqlite3DbFree(i42, i216);
    }
    if (i220) {
     i50 = get32(i220 | 0) | 0;
     if (i50) {
      i57 = i50 + 12 | 0;
      if ((get32(i50 | 0) | 0) > 0) {
       i54 = 0;
       i53 = get32(i57 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i42, get32(i53 | 0) | 0);
        _sqlite3DbFree(i42, get32(i53 + 4 | 0) | 0);
        _sqlite3DbFree(i42, get32(i53 + 8 | 0) | 0);
        i54 = i54 + 1 | 0;
        if ((i54 | 0) >= (get32(i50 | 0) | 0)) break; else i53 = i53 + 20 | 0;
       }
      }
      _sqlite3DbFree(i42, get32(i57 | 0) | 0);
      _sqlite3DbFree(i42, i50);
     }
     _sqlite3SrcListDelete(i42, get32(i220 + 8 | 0) | 0);
     _sqlite3ExprDelete(i42, get32(i220 + 12 | 0) | 0);
     i53 = get32(i220 + 16 | 0) | 0;
     if (i53) {
      i54 = i53 + 12 | 0;
      if ((get32(i53 | 0) | 0) > 0) {
       i66 = 0;
       i51 = get32(i54 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i42, get32(i51 | 0) | 0);
        _sqlite3DbFree(i42, get32(i51 + 4 | 0) | 0);
        _sqlite3DbFree(i42, get32(i51 + 8 | 0) | 0);
        i66 = i66 + 1 | 0;
        if ((i66 | 0) >= (get32(i53 | 0) | 0)) break; else i51 = i51 + 20 | 0;
       }
      }
      _sqlite3DbFree(i42, get32(i54 | 0) | 0);
      _sqlite3DbFree(i42, i53);
     }
     _sqlite3ExprDelete(i42, get32(i220 + 20 | 0) | 0);
     i51 = get32(i220 + 24 | 0) | 0;
     if (i51) {
      i66 = i51 + 12 | 0;
      if ((get32(i51 | 0) | 0) > 0) {
       i50 = 0;
       i57 = get32(i66 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i42, get32(i57 | 0) | 0);
        _sqlite3DbFree(i42, get32(i57 + 4 | 0) | 0);
        _sqlite3DbFree(i42, get32(i57 + 8 | 0) | 0);
        i50 = i50 + 1 | 0;
        if ((i50 | 0) >= (get32(i51 | 0) | 0)) break; else i57 = i57 + 20 | 0;
       }
      }
      _sqlite3DbFree(i42, get32(i66 | 0) | 0);
      _sqlite3DbFree(i42, i51);
     }
     i57 = get32(i220 + 28 | 0) | 0;
     if (i57) {
      i50 = get32(i57 | 0) | 0;
      if (i50) {
       i53 = i50 + 12 | 0;
       if ((get32(i50 | 0) | 0) > 0) {
        i54 = 0;
        i55 = get32(i53 | 0) | 0;
        while (1) {
         _sqlite3ExprDelete(i42, get32(i55 | 0) | 0);
         _sqlite3DbFree(i42, get32(i55 + 4 | 0) | 0);
         _sqlite3DbFree(i42, get32(i55 + 8 | 0) | 0);
         i54 = i54 + 1 | 0;
         if ((i54 | 0) >= (get32(i50 | 0) | 0)) break; else i55 = i55 + 20 | 0;
        }
       }
       _sqlite3DbFree(i42, get32(i53 | 0) | 0);
       _sqlite3DbFree(i42, i50);
      }
      _sqlite3SrcListDelete(i42, get32(i57 + 8 | 0) | 0);
      _sqlite3ExprDelete(i42, get32(i57 + 12 | 0) | 0);
      i55 = get32(i57 + 16 | 0) | 0;
      if (i55) {
       i54 = i55 + 12 | 0;
       if ((get32(i55 | 0) | 0) > 0) {
        i51 = 0;
        i66 = get32(i54 | 0) | 0;
        while (1) {
         _sqlite3ExprDelete(i42, get32(i66 | 0) | 0);
         _sqlite3DbFree(i42, get32(i66 + 4 | 0) | 0);
         _sqlite3DbFree(i42, get32(i66 + 8 | 0) | 0);
         i51 = i51 + 1 | 0;
         if ((i51 | 0) >= (get32(i55 | 0) | 0)) break; else i66 = i66 + 20 | 0;
        }
       }
       _sqlite3DbFree(i42, get32(i54 | 0) | 0);
       _sqlite3DbFree(i42, i55);
      }
      _sqlite3ExprDelete(i42, get32(i57 + 20 | 0) | 0);
      i66 = get32(i57 + 24 | 0) | 0;
      if (i66) {
       i51 = i66 + 12 | 0;
       if ((get32(i66 | 0) | 0) > 0) {
        i50 = 0;
        i53 = get32(i51 | 0) | 0;
        while (1) {
         _sqlite3ExprDelete(i42, get32(i53 | 0) | 0);
         _sqlite3DbFree(i42, get32(i53 + 4 | 0) | 0);
         _sqlite3DbFree(i42, get32(i53 + 8 | 0) | 0);
         i50 = i50 + 1 | 0;
         if ((i50 | 0) >= (get32(i66 | 0) | 0)) break; else i53 = i53 + 20 | 0;
        }
       }
       _sqlite3DbFree(i42, get32(i51 | 0) | 0);
       _sqlite3DbFree(i42, i66);
      }
      i53 = get32(i57 + 28 | 0) | 0;
      if (i53) {
       i50 = get32(i53 | 0) | 0;
       if (i50) {
        i55 = i50 + 12 | 0;
        if ((get32(i50 | 0) | 0) > 0) {
         i54 = 0;
         i75 = get32(i55 | 0) | 0;
         while (1) {
          _sqlite3ExprDelete(i42, get32(i75 | 0) | 0);
          _sqlite3DbFree(i42, get32(i75 + 4 | 0) | 0);
          _sqlite3DbFree(i42, get32(i75 + 8 | 0) | 0);
          i54 = i54 + 1 | 0;
          if ((i54 | 0) >= (get32(i50 | 0) | 0)) break; else i75 = i75 + 20 | 0;
         }
        }
        _sqlite3DbFree(i42, get32(i55 | 0) | 0);
        _sqlite3DbFree(i42, i50);
       }
       _sqlite3SrcListDelete(i42, get32(i53 + 8 | 0) | 0);
       _sqlite3ExprDelete(i42, get32(i53 + 12 | 0) | 0);
       i75 = get32(i53 + 16 | 0) | 0;
       if (i75) {
        i54 = i75 + 12 | 0;
        if ((get32(i75 | 0) | 0) > 0) {
         i66 = 0;
         i51 = get32(i54 | 0) | 0;
         while (1) {
          _sqlite3ExprDelete(i42, get32(i51 | 0) | 0);
          _sqlite3DbFree(i42, get32(i51 + 4 | 0) | 0);
          _sqlite3DbFree(i42, get32(i51 + 8 | 0) | 0);
          i66 = i66 + 1 | 0;
          if ((i66 | 0) >= (get32(i75 | 0) | 0)) break; else i51 = i51 + 20 | 0;
         }
        }
        _sqlite3DbFree(i42, get32(i54 | 0) | 0);
        _sqlite3DbFree(i42, i75);
       }
       _sqlite3ExprDelete(i42, get32(i53 + 20 | 0) | 0);
       i51 = get32(i53 + 24 | 0) | 0;
       if (i51) {
        i66 = i51 + 12 | 0;
        if ((get32(i51 | 0) | 0) > 0) {
         i50 = 0;
         i55 = get32(i66 | 0) | 0;
         while (1) {
          _sqlite3ExprDelete(i42, get32(i55 | 0) | 0);
          _sqlite3DbFree(i42, get32(i55 + 4 | 0) | 0);
          _sqlite3DbFree(i42, get32(i55 + 8 | 0) | 0);
          i50 = i50 + 1 | 0;
          if ((i50 | 0) >= (get32(i51 | 0) | 0)) break; else i55 = i55 + 20 | 0;
         }
        }
        _sqlite3DbFree(i42, get32(i66 | 0) | 0);
        _sqlite3DbFree(i42, i51);
       }
       _sqlite3SelectDelete(i42, get32(i53 + 28 | 0) | 0);
       _sqlite3ExprDelete(i42, get32(i53 + 40 | 0) | 0);
       _sqlite3ExprDelete(i42, get32(i53 + 44 | 0) | 0);
       _sqlite3DbFree(i42, i53);
      }
      _sqlite3ExprDelete(i42, get32(i57 + 40 | 0) | 0);
      _sqlite3ExprDelete(i42, get32(i57 + 44 | 0) | 0);
      _sqlite3DbFree(i42, i57);
     }
     _sqlite3ExprDelete(i42, get32(i220 + 40 | 0) | 0);
     _sqlite3ExprDelete(i42, get32(i220 + 44 | 0) | 0);
     _sqlite3DbFree(i42, i220);
    }
    if ((get8(i42 + 30 >> 0 | 0) | 0) != 1) {
     switch (i43 | 0) {
     case 6:
      {
       set8(i224 >> 0 | 0, 116 | 0);
       break;
      }
     case 9:
      {
       if (i34) i71 = 673; else set8(i224 >> 0 | 0, 106 | 0);
       break;
      }
     default:
      i71 = 673;
     }
     if ((i71 | 0) == 673) {
      i71 = 0;
      set8(i224 >> 0 | 0, 107 | 0);
     }
     set32(i224 + 4 | 0, i222 | 0);
     i55 = get32(i36 | 0) | 0;
     set32(i222 + 20 | 0, i55 | 0);
     set32(i222 + 24 | 0, i55 | 0);
     set32(i44 | 0, i222 | 0);
     set8(i222 + 8 >> 0 | 0, i41 | 0);
     i232 = i223;
     break;
    }
    if (i223) {
     i55 = get32(i223 + 28 | 0) | 0;
     _sqlite3ExprDelete(i42, get32(i55 + 20 | 0) | 0);
     i50 = get32(i55 + 24 | 0) | 0;
     if (i50) {
      i75 = i50 + 12 | 0;
      if ((get32(i50 | 0) | 0) > 0) {
       i54 = 0;
       i58 = get32(i75 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i42, get32(i58 | 0) | 0);
        _sqlite3DbFree(i42, get32(i58 + 4 | 0) | 0);
        _sqlite3DbFree(i42, get32(i58 + 8 | 0) | 0);
        i54 = i54 + 1 | 0;
        if ((i54 | 0) >= (get32(i50 | 0) | 0)) break; else i58 = i58 + 20 | 0;
       }
      }
      _sqlite3DbFree(i42, get32(i75 | 0) | 0);
      _sqlite3DbFree(i42, i50);
     }
     i58 = get32(i55 + 8 | 0) | 0;
     if (i58) {
      i54 = get32(i58 | 0) | 0;
      if (i54) {
       i57 = i54 + 12 | 0;
       if ((get32(i54 | 0) | 0) > 0) {
        i53 = 0;
        i51 = get32(i57 | 0) | 0;
        while (1) {
         _sqlite3ExprDelete(i42, get32(i51 | 0) | 0);
         _sqlite3DbFree(i42, get32(i51 + 4 | 0) | 0);
         _sqlite3DbFree(i42, get32(i51 + 8 | 0) | 0);
         i53 = i53 + 1 | 0;
         if ((i53 | 0) >= (get32(i54 | 0) | 0)) break; else i51 = i51 + 20 | 0;
        }
       }
       _sqlite3DbFree(i42, get32(i57 | 0) | 0);
       _sqlite3DbFree(i42, i54);
      }
      _sqlite3SrcListDelete(i42, get32(i58 + 8 | 0) | 0);
      _sqlite3ExprDelete(i42, get32(i58 + 12 | 0) | 0);
      i51 = get32(i58 + 16 | 0) | 0;
      if (i51) {
       i53 = i51 + 12 | 0;
       if ((get32(i51 | 0) | 0) > 0) {
        i55 = 0;
        i50 = get32(i53 | 0) | 0;
        while (1) {
         _sqlite3ExprDelete(i42, get32(i50 | 0) | 0);
         _sqlite3DbFree(i42, get32(i50 + 4 | 0) | 0);
         _sqlite3DbFree(i42, get32(i50 + 8 | 0) | 0);
         i55 = i55 + 1 | 0;
         if ((i55 | 0) >= (get32(i51 | 0) | 0)) break; else i50 = i50 + 20 | 0;
        }
       }
       _sqlite3DbFree(i42, get32(i53 | 0) | 0);
       _sqlite3DbFree(i42, i51);
      }
      _sqlite3ExprDelete(i42, get32(i58 + 20 | 0) | 0);
      i50 = get32(i58 + 24 | 0) | 0;
      if (i50) {
       i55 = i50 + 12 | 0;
       if ((get32(i50 | 0) | 0) > 0) {
        i54 = 0;
        i57 = get32(i55 | 0) | 0;
        while (1) {
         _sqlite3ExprDelete(i42, get32(i57 | 0) | 0);
         _sqlite3DbFree(i42, get32(i57 + 4 | 0) | 0);
         _sqlite3DbFree(i42, get32(i57 + 8 | 0) | 0);
         i54 = i54 + 1 | 0;
         if ((i54 | 0) >= (get32(i50 | 0) | 0)) break; else i57 = i57 + 20 | 0;
        }
       }
       _sqlite3DbFree(i42, get32(i55 | 0) | 0);
       _sqlite3DbFree(i42, i50);
      }
      i57 = get32(i58 + 28 | 0) | 0;
      if (i57) {
       i54 = get32(i57 | 0) | 0;
       if (i54) {
        i51 = i54 + 12 | 0;
        if ((get32(i54 | 0) | 0) > 0) {
         i53 = 0;
         i75 = get32(i51 | 0) | 0;
         while (1) {
          _sqlite3ExprDelete(i42, get32(i75 | 0) | 0);
          _sqlite3DbFree(i42, get32(i75 + 4 | 0) | 0);
          _sqlite3DbFree(i42, get32(i75 + 8 | 0) | 0);
          i53 = i53 + 1 | 0;
          if ((i53 | 0) >= (get32(i54 | 0) | 0)) break; else i75 = i75 + 20 | 0;
         }
        }
        _sqlite3DbFree(i42, get32(i51 | 0) | 0);
        _sqlite3DbFree(i42, i54);
       }
       _sqlite3SrcListDelete(i42, get32(i57 + 8 | 0) | 0);
       _sqlite3ExprDelete(i42, get32(i57 + 12 | 0) | 0);
       i75 = get32(i57 + 16 | 0) | 0;
       if (i75) {
        i53 = i75 + 12 | 0;
        if ((get32(i75 | 0) | 0) > 0) {
         i50 = 0;
         i55 = get32(i53 | 0) | 0;
         while (1) {
          _sqlite3ExprDelete(i42, get32(i55 | 0) | 0);
          _sqlite3DbFree(i42, get32(i55 + 4 | 0) | 0);
          _sqlite3DbFree(i42, get32(i55 + 8 | 0) | 0);
          i50 = i50 + 1 | 0;
          if ((i50 | 0) >= (get32(i75 | 0) | 0)) break; else i55 = i55 + 20 | 0;
         }
        }
        _sqlite3DbFree(i42, get32(i53 | 0) | 0);
        _sqlite3DbFree(i42, i75);
       }
       _sqlite3ExprDelete(i42, get32(i57 + 20 | 0) | 0);
       i55 = get32(i57 + 24 | 0) | 0;
       if (i55) {
        i50 = i55 + 12 | 0;
        if ((get32(i55 | 0) | 0) > 0) {
         i54 = 0;
         i51 = get32(i50 | 0) | 0;
         while (1) {
          _sqlite3ExprDelete(i42, get32(i51 | 0) | 0);
          _sqlite3DbFree(i42, get32(i51 + 4 | 0) | 0);
          _sqlite3DbFree(i42, get32(i51 + 8 | 0) | 0);
          i54 = i54 + 1 | 0;
          if ((i54 | 0) >= (get32(i55 | 0) | 0)) break; else i51 = i51 + 20 | 0;
         }
        }
        _sqlite3DbFree(i42, get32(i50 | 0) | 0);
        _sqlite3DbFree(i42, i55);
       }
       i51 = get32(i57 + 28 | 0) | 0;
       if (i51) {
        i54 = get32(i51 | 0) | 0;
        if (i54) {
         i75 = i54 + 12 | 0;
         if ((get32(i54 | 0) | 0) > 0) {
          i53 = 0;
          i66 = get32(i75 | 0) | 0;
          while (1) {
           _sqlite3ExprDelete(i42, get32(i66 | 0) | 0);
           _sqlite3DbFree(i42, get32(i66 + 4 | 0) | 0);
           _sqlite3DbFree(i42, get32(i66 + 8 | 0) | 0);
           i53 = i53 + 1 | 0;
           if ((i53 | 0) >= (get32(i54 | 0) | 0)) break; else i66 = i66 + 20 | 0;
          }
         }
         _sqlite3DbFree(i42, get32(i75 | 0) | 0);
         _sqlite3DbFree(i42, i54);
        }
        _sqlite3SrcListDelete(i42, get32(i51 + 8 | 0) | 0);
        _sqlite3ExprDelete(i42, get32(i51 + 12 | 0) | 0);
        i66 = get32(i51 + 16 | 0) | 0;
        if (i66) {
         i53 = i66 + 12 | 0;
         if ((get32(i66 | 0) | 0) > 0) {
          i55 = 0;
          i50 = get32(i53 | 0) | 0;
          while (1) {
           _sqlite3ExprDelete(i42, get32(i50 | 0) | 0);
           _sqlite3DbFree(i42, get32(i50 + 4 | 0) | 0);
           _sqlite3DbFree(i42, get32(i50 + 8 | 0) | 0);
           i55 = i55 + 1 | 0;
           if ((i55 | 0) >= (get32(i66 | 0) | 0)) break; else i50 = i50 + 20 | 0;
          }
         }
         _sqlite3DbFree(i42, get32(i53 | 0) | 0);
         _sqlite3DbFree(i42, i66);
        }
        _sqlite3ExprDelete(i42, get32(i51 + 20 | 0) | 0);
        i50 = get32(i51 + 24 | 0) | 0;
        if (i50) {
         i55 = i50 + 12 | 0;
         if ((get32(i50 | 0) | 0) > 0) {
          i54 = 0;
          i75 = get32(i55 | 0) | 0;
          while (1) {
           _sqlite3ExprDelete(i42, get32(i75 | 0) | 0);
           _sqlite3DbFree(i42, get32(i75 + 4 | 0) | 0);
           _sqlite3DbFree(i42, get32(i75 + 8 | 0) | 0);
           i54 = i54 + 1 | 0;
           if ((i54 | 0) >= (get32(i50 | 0) | 0)) break; else i75 = i75 + 20 | 0;
          }
         }
         _sqlite3DbFree(i42, get32(i55 | 0) | 0);
         _sqlite3DbFree(i42, i50);
        }
        i75 = get32(i51 + 28 | 0) | 0;
        if (i75) {
         _clearSelect(i42, i75);
         _sqlite3DbFree(i42, i75);
        }
        _sqlite3ExprDelete(i42, get32(i51 + 40 | 0) | 0);
        _sqlite3ExprDelete(i42, get32(i51 + 44 | 0) | 0);
        _sqlite3DbFree(i42, i51);
       }
       _sqlite3ExprDelete(i42, get32(i57 + 40 | 0) | 0);
       _sqlite3ExprDelete(i42, get32(i57 + 44 | 0) | 0);
       _sqlite3DbFree(i42, i57);
      }
      _sqlite3ExprDelete(i42, get32(i58 + 40 | 0) | 0);
      _sqlite3ExprDelete(i42, get32(i58 + 44 | 0) | 0);
      _sqlite3DbFree(i42, i58);
     }
     _sqlite3ExprDelete(i42, get32(i223 + 12 | 0) | 0);
     _sqlite3DbFree(i42, i223);
     i232 = 0;
    } else i232 = 0;
   } else i232 = 0;
  } else i232 = i45; while (0);
  if (i232) _sqlite3CodeRowTriggerDirect(i1, i232, i2, i4, 2, 0);
  i45 = get32(i32 + 12 | 0) | 0;
  if (!i45) break;
  i42 = get32(i1 | 0) | 0;
  i32 = i45;
 }
 STACKTOP = i5;
 return;
}

function _sqlite3GenerateConstraintChecks(i1, i2, i3, i4, i5, i6, i7, i8, i9, i10) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 i7 = i7 | 0;
 i8 = i8 | 0;
 i9 = i9 | 0;
 i10 = i10 | 0;
 var i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0, i80 = 0, i81 = 0, i82 = 0, i83 = 0, i84 = 0, i85 = 0, i86 = 0, i87 = 0, i88 = 0, i89 = 0, i90 = 0, i91 = 0, i92 = 0, i93 = 0, i94 = 0, i95 = 0, i96 = 0, i97 = 0, i98 = 0, i99 = 0, i100 = 0, i101 = 0, i102 = 0, i103 = 0, i104 = 0, i105 = 0, i106 = 0, i107 = 0, i108 = 0, i109 = 0, i110 = 0, i111 = 0, i112 = 0, i113 = 0, i114 = 0, i115 = 0, i116 = 0, i117 = 0, i118 = 0, i119 = 0, i120 = 0, i121 = 0, i122 = 0, i123 = 0, i124 = 0, i125 = 0, i126 = 0, i127 = 0, i128 = 0, i129 = 0, i130 = 0, i131 = 0, i132 = 0, i133 = 0, i134 = 0, i135 = 0, i136 = 0, i137 = 0, i138 = 0, i139 = 0, i140 = 0, i141 = 0, i142 = 0, i143 = 0, i144 = 0, i145 = 0, i146 = 0, i147 = 0, i148 = 0, i149 = 0, i150 = 0, i151 = 0, i152 = 0, i153 = 0, i154 = 0, i155 = 0, i156 = 0, i157 = 0, i158 = 0, i159 = 0, i160 = 0, i161 = 0, i162 = 0, i163 = 0, i164 = 0, i165 = 0, i166 = 0, i167 = 0, i168 = 0, i169 = 0, i170 = 0, i171 = 0, i172 = 0, i173 = 0, i174 = 0, i175 = 0, i176 = 0, i177 = 0, i178 = 0, i179 = 0, i180 = 0, i181 = 0, i182 = 0, i183 = 0, i184 = 0, i185 = 0, i186 = 0, i187 = 0, i188 = 0, i189 = 0, i190 = 0;
 i11 = STACKTOP;
 STACKTOP = STACKTOP + 48 | 0;
 i12 = i11;
 i13 = i11 + 8 | 0;
 i14 = (i6 | 0) != 0;
 i15 = (i7 | 0) != 0;
 i7 = i14 & i15 ? i6 : i4;
 i16 = i1 + 12 | 0;
 i17 = get32(i16 | 0) | 0;
 do if (!i17) {
  i18 = get32(i1 | 0) | 0;
  L3 : do if (!i18) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i19 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
    i20 = 39;
    break;
   }
   i21 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
   set32(35 * 4 | 0, 192 | 0);
   if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
   i22 = get32(6 * 4 | 0) | 0;
   do if (i22) {
    i23 = get32(30 * 4 | 0) | 0;
    i24 = ((i23 | 0) < 0) << 31 >> 31;
    i25 = 16;
    i26 = _i64Subtract(get32(i25 | 0) | 0, get32(i25 + 4 | 0) | 0, i21 | 0, ((i21 | 0) < 0) << 31 >> 31 | 0) | 0;
    i25 = tempRet0;
    if ((i24 | 0) < (i25 | 0) | (i24 | 0) == (i25 | 0) & i23 >>> 0 < i26 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i26 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i22 & 15](i26, i23, i24, i21);
     set32(6 * 4 | 0, i22 | 0);
     set32(7 * 4 | 0, i26 | 0);
     break;
    }
   } while (0);
   i22 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i21) | 0;
   if (i22) {
    i26 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i22) | 0;
    i24 = (get32(30 * 4 | 0) | 0) + i26 | 0;
    set32(30 * 4 | 0, i24 | 0);
    if ((i24 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i24 | 0);
    i24 = get32(39 * 4 | 0) | 0;
    i26 = i24 + 1 | 0;
    set32(39 * 4 | 0, i26 | 0);
    if ((i24 | 0) < (get32(49 * 4 | 0) | 0)) i27 = i22; else {
     set32(49 * 4 | 0, i26 | 0);
     i27 = i22;
    }
   } else i20 = 40;
  } else {
   i22 = i18 + 30 | 0;
   if (!(get8(i22 >> 0 | 0) | 0)) {
    do if (get8(i18 + 234 >> 0 | 0) | 0) {
     if ((getU16(i18 + 232 | 0) | 0) < 192) {
      i26 = i18 + 248 | 0;
      set32(i26 | 0, (get32(i26 | 0) | 0) + 1 | 0);
      break;
     }
     i26 = i18 + 256 | 0;
     i24 = get32(i26 | 0) | 0;
     if (!i24) {
      i23 = i18 + 252 | 0;
      set32(i23 | 0, (get32(i23 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i26 | 0, get32(i24 | 0) | 0);
     i26 = i18 + 236 | 0;
     i23 = get32(i26 | 0) | 0;
     i25 = i23 + 1 | 0;
     set32(i26 | 0, i25 | 0);
     i26 = i18 + 244 | 0;
     set32(i26 | 0, (get32(i26 | 0) | 0) + 1 | 0);
     i26 = i18 + 240 | 0;
     if ((i23 | 0) >= (get32(i26 | 0) | 0)) set32(i26 | 0, i25 | 0);
     i19 = i24;
     i20 = 39;
     break L3;
    } while (0);
    if (!(get32(50 * 4 | 0) | 0)) {
     i21 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
     if (i21) {
      i27 = i21;
      break;
     }
    } else {
     i21 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
     set32(35 * 4 | 0, 192 | 0);
     if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
     i24 = get32(6 * 4 | 0) | 0;
     do if (i24) {
      i25 = get32(30 * 4 | 0) | 0;
      i26 = ((i25 | 0) < 0) << 31 >> 31;
      i23 = 16;
      i28 = _i64Subtract(get32(i23 | 0) | 0, get32(i23 + 4 | 0) | 0, i21 | 0, ((i21 | 0) < 0) << 31 >> 31 | 0) | 0;
      i23 = tempRet0;
      if ((i26 | 0) < (i23 | 0) | (i26 | 0) == (i23 | 0) & i25 >>> 0 < i28 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i28 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i24 & 15](i28, i25, i26, i21);
       set32(6 * 4 | 0, i24 | 0);
       set32(7 * 4 | 0, i28 | 0);
       break;
      }
     } while (0);
     i24 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i21) | 0;
     if (i24) {
      i28 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i24) | 0;
      i26 = (get32(30 * 4 | 0) | 0) + i28 | 0;
      set32(30 * 4 | 0, i26 | 0);
      if ((i26 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i26 | 0);
      i26 = get32(39 * 4 | 0) | 0;
      i28 = i26 + 1 | 0;
      set32(39 * 4 | 0, i28 | 0);
      if ((i26 | 0) < (get32(49 * 4 | 0) | 0)) {
       i27 = i24;
       break;
      }
      set32(49 * 4 | 0, i28 | 0);
      i27 = i24;
      break;
     }
    }
    set8(i22 >> 0 | 0, 1 | 0);
    i20 = 40;
   } else i20 = 40;
  } while (0);
  if ((i20 | 0) == 39) if (!i19) i20 = 40; else i27 = i19;
  if ((i20 | 0) == 40) {
   set32(i16 | 0, 0 | 0);
   i29 = 0;
   break;
  }
  _memset(i27 | 0, 0, 192) | 0;
  set32(i27 | 0, i18 | 0);
  i24 = i18 + 136 | 0;
  i28 = get32(i24 | 0) | 0;
  if (i28) set32(i28 + 60 | 0, i27 | 0);
  set32(i27 + 64 | 0, i28 | 0);
  set32(i27 + 60 | 0, 0 | 0);
  set32(i24 | 0, i27 | 0);
  set32(i27 + 52 | 0, 649915045 | 0);
  set32(i16 | 0, i27 | 0);
  i24 = i27 + 28 | 0;
  i28 = i27 + 32 | 0;
  i26 = i27 + 4 | 0;
  i25 = _sqlite3DbRealloc(i18, 0, 1020) | 0;
  if (!i25) i29 = i27; else {
   i23 = get32(i27 | 0) | 0;
   if (((i23 | 0) != 0 ? (get32(i23 + 260 | 0) | 0) >>> 0 <= i25 >>> 0 : 0) ? (get32(i23 + 264 | 0) | 0) >>> 0 > i25 >>> 0 : 0) i30 = getU16(i23 + 232 | 0) | 0; else i30 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i25) | 0;
   set32(i28 | 0, (i30 >>> 0) / 20 | 0 | 0);
   set32(i26 | 0, i25 | 0);
   set32(i24 | 0, (get32(i24 | 0) | 0) + 1 | 0);
   set8(i25 >> 0 | 0, -120 | 0);
   set8(i25 + 1 >> 0 | 0, 0 | 0);
   i31 = i25 + 3 | 0;
   i32 = i31 + 17 | 0;
   do {
    set8(i31 >> 0 | 0, 0 | 0);
    i31 = i31 + 1 | 0;
   } while ((i31 | 0) < (i32 | 0));
   i29 = i27;
  }
 } else i29 = i17; while (0);
 i17 = get32(i2 + 8 | 0) | 0;
 i27 = i4 + 1 | 0;
 if ((i17 | 0) > 0) {
  i30 = i2 + 4 | 0;
  i19 = i2 + 12 | 0;
  i18 = (i8 | 0) == 99;
  i25 = i29 + 28 | 0;
  i24 = i29 + 32 | 0;
  i26 = i29 + 4 | 0;
  i28 = i1 + 424 | 0;
  i23 = 0;
  do {
   L75 : do if ((i23 | 0) != (get32(i30 | 0) | 0) ? (i33 = get32(i19 | 0) | 0, i34 = get8(i33 + (i23 * 24 | 0) + 20 >> 0 | 0) | 0, i34 << 24 >> 24 != 0) : 0) {
    i35 = i18 ? (i34 << 24 >> 24 == 99 ? 2 : i34 & 255) : i8;
    if ((i35 | 0) == 5) i36 = (get32(i33 + (i23 * 24 | 0) + 4 | 0) | 0) == 0 ? 2 : 5; else i36 = i35;
    switch (i36 | 0) {
    case 2:
     {
      i35 = get32(i28 | 0) | 0;
      set8(((i35 | 0) == 0 ? i1 : i35) + 345 >> 0 | 0, 1 | 0);
      break;
     }
    case 3:
    case 1:
     break;
    case 4:
     {
      i35 = i23 + i27 | 0;
      i33 = get32(i25 | 0) | 0;
      i34 = get32(i24 | 0) | 0;
      if ((i34 | 0) > (i33 | 0)) {
       i37 = i33;
       i38 = get32(i26 | 0) | 0;
      } else {
       i39 = _sqlite3DbRealloc(get32(i29 | 0) | 0, get32(i26 | 0) | 0, (i34 | 0) == 0 ? 1020 : i34 * 40 | 0) | 0;
       if (!i39) break L75;
       i34 = get32(i29 | 0) | 0;
       if (((i34 | 0) != 0 ? (get32(i34 + 260 | 0) | 0) >>> 0 <= i39 >>> 0 : 0) ? (get32(i34 + 264 | 0) | 0) >>> 0 > i39 >>> 0 : 0) i40 = getU16(i34 + 232 | 0) | 0; else i40 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i39) | 0;
       set32(i24 | 0, (i40 >>> 0) / 20 | 0 | 0);
       set32(i26 | 0, i39 | 0);
       i37 = get32(i25 | 0) | 0;
       i38 = i39;
      }
      set32(i25 | 0, i37 + 1 | 0);
      set8(i38 + (i33 * 20 | 0) >> 0 | 0, 73 | 0);
      set8(i38 + (i33 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i38 + (i33 * 20 | 0) + 4 | 0, i35 | 0);
      set32(i38 + (i33 * 20 | 0) + 8 | 0, i9 | 0);
      set32(i38 + (i33 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i38 + (i33 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i38 + (i33 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      break L75;
      break;
     }
    default:
     {
      i33 = i23 + i27 | 0;
      i35 = get32(i25 | 0) | 0;
      i39 = get32(i24 | 0) | 0;
      if ((i39 | 0) <= (i35 | 0)) {
       i34 = _sqlite3DbRealloc(get32(i29 | 0) | 0, get32(i26 | 0) | 0, (i39 | 0) == 0 ? 1020 : i39 * 40 | 0) | 0;
       if (!i34) i41 = 1; else {
        i39 = get32(i29 | 0) | 0;
        if (((i39 | 0) != 0 ? (get32(i39 + 260 | 0) | 0) >>> 0 <= i34 >>> 0 : 0) ? (get32(i39 + 264 | 0) | 0) >>> 0 > i34 >>> 0 : 0) i42 = getU16(i39 + 232 | 0) | 0; else i42 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i34) | 0;
        set32(i24 | 0, (i42 >>> 0) / 20 | 0 | 0);
        set32(i26 | 0, i34 | 0);
        i43 = get32(i25 | 0) | 0;
        i44 = i34;
        i20 = 94;
       }
      } else {
       i43 = i35;
       i44 = get32(i26 | 0) | 0;
       i20 = 94;
      }
      if ((i20 | 0) == 94) {
       i20 = 0;
       set32(i25 | 0, i43 + 1 | 0);
       set8(i44 + (i35 * 20 | 0) >> 0 | 0, 74 | 0);
       set8(i44 + (i35 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i44 + (i35 * 20 | 0) + 4 | 0, i33 | 0);
       set32(i44 + (i35 * 20 | 0) + 8 | 0, 0 | 0);
       set32(i44 + (i35 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i44 + (i35 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i44 + (i35 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i41 = i35;
      }
      i35 = get32((get32(i19 | 0) | 0) + (i23 * 24 | 0) + 4 | 0) | 0;
      do if ((i35 | 0) != 0 ? (get8(i35 >> 0 | 0) | 0) == -124 : 0) {
       i34 = get32(i16 | 0) | 0;
       i39 = get32(i35 + 24 | 0) | 0;
       i45 = i34 + 28 | 0;
       i46 = get32(i45 | 0) | 0;
       i47 = i34 + 32 | 0;
       i48 = get32(i47 | 0) | 0;
       if ((i48 | 0) > (i46 | 0)) {
        i49 = i46;
        i50 = get32(i34 + 4 | 0) | 0;
       } else {
        i51 = i34 + 4 | 0;
        i52 = _sqlite3DbRealloc(get32(i34 | 0) | 0, get32(i51 | 0) | 0, (i48 | 0) == 0 ? 1020 : i48 * 40 | 0) | 0;
        if (!i52) break;
        i48 = get32(i34 | 0) | 0;
        if (((i48 | 0) != 0 ? (get32(i48 + 260 | 0) | 0) >>> 0 <= i52 >>> 0 : 0) ? (get32(i48 + 264 | 0) | 0) >>> 0 > i52 >>> 0 : 0) i53 = getU16(i48 + 232 | 0) | 0; else i53 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i52) | 0;
        set32(i47 | 0, (i53 >>> 0) / 20 | 0 | 0);
        set32(i51 | 0, i52 | 0);
        i49 = get32(i45 | 0) | 0;
        i50 = i52;
       }
       set32(i45 | 0, i49 + 1 | 0);
       set8(i50 + (i46 * 20 | 0) >> 0 | 0, 14 | 0);
       set8(i50 + (i46 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i50 + (i46 * 20 | 0) + 4 | 0, i39 | 0);
       set32(i50 + (i46 * 20 | 0) + 8 | 0, i33 | 0);
       set32(i50 + (i46 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i50 + (i46 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i50 + (i46 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      } else i20 = 107; while (0);
      do if (((i20 | 0) == 107 ? (i20 = 0, i22 = _sqlite3ExprCodeTarget(i1, i35, i33) | 0, (i22 | 0) != (i33 | 0)) : 0) ? (i21 = get32(i16 | 0) | 0, (i21 | 0) != 0) : 0) {
       i46 = i21 + 28 | 0;
       i39 = get32(i46 | 0) | 0;
       i45 = i21 + 32 | 0;
       i52 = get32(i45 | 0) | 0;
       if ((i52 | 0) > (i39 | 0)) {
        i54 = i39;
        i55 = get32(i21 + 4 | 0) | 0;
       } else {
        i51 = i21 + 4 | 0;
        i47 = _sqlite3DbRealloc(get32(i21 | 0) | 0, get32(i51 | 0) | 0, (i52 | 0) == 0 ? 1020 : i52 * 40 | 0) | 0;
        if (!i47) break;
        i52 = get32(i21 | 0) | 0;
        do if ((i52 | 0) != 0 ? (get32(i52 + 260 | 0) | 0) >>> 0 <= i47 >>> 0 : 0) {
         if ((get32(i52 + 264 | 0) | 0) >>> 0 <= i47 >>> 0) {
          i20 = 116;
          break;
         }
         i56 = getU16(i52 + 232 | 0) | 0;
        } else i20 = 116; while (0);
        if ((i20 | 0) == 116) {
         i20 = 0;
         i56 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i47) | 0;
        }
        set32(i45 | 0, (i56 >>> 0) / 20 | 0 | 0);
        set32(i51 | 0, i47 | 0);
        i54 = get32(i46 | 0) | 0;
        i55 = i47;
       }
       set32(i46 | 0, i54 + 1 | 0);
       set8(i55 + (i39 * 20 | 0) >> 0 | 0, 15 | 0);
       set8(i55 + (i39 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i55 + (i39 * 20 | 0) + 4 | 0, i22 | 0);
       set32(i55 + (i39 * 20 | 0) + 8 | 0, i33 | 0);
       set32(i55 + (i39 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i55 + (i39 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i55 + (i39 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      } while (0);
      i33 = get32(i25 | 0) | 0;
      if ((i33 | 0) <= (i41 | 0)) break L75;
      set32((get32(i26 | 0) | 0) + (i41 * 20 | 0) + 8 | 0, i33 | 0);
      break L75;
     }
    }
    i33 = i23 + i27 | 0;
    i35 = get32(i25 | 0) | 0;
    i52 = get32(i24 | 0) | 0;
    if ((i52 | 0) <= (i35 | 0)) {
     i21 = _sqlite3DbRealloc(get32(i29 | 0) | 0, get32(i26 | 0) | 0, (i52 | 0) == 0 ? 1020 : i52 * 40 | 0) | 0;
     if (i21) {
      i52 = get32(i29 | 0) | 0;
      if (((i52 | 0) != 0 ? (get32(i52 + 260 | 0) | 0) >>> 0 <= i21 >>> 0 : 0) ? (get32(i52 + 264 | 0) | 0) >>> 0 > i21 >>> 0 : 0) i57 = getU16(i52 + 232 | 0) | 0; else i57 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i21) | 0;
      set32(i24 | 0, (i57 >>> 0) / 20 | 0 | 0);
      set32(i26 | 0, i21 | 0);
      i58 = get32(i25 | 0) | 0;
      i59 = i21;
      i20 = 67;
     }
    } else {
     i58 = i35;
     i59 = get32(i26 | 0) | 0;
     i20 = 67;
    }
    if ((i20 | 0) == 67) {
     i20 = 0;
     set32(i25 | 0, i58 + 1 | 0);
     set8(i59 + (i35 * 20 | 0) >> 0 | 0, 5 | 0);
     set8(i59 + (i35 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i59 + (i35 * 20 | 0) + 4 | 0, 19 | 0);
     set32(i59 + (i35 * 20 | 0) + 8 | 0, i36 | 0);
     set32(i59 + (i35 * 20 | 0) + 12 | 0, i33 | 0);
     set32(i59 + (i35 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i59 + (i35 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    }
    i35 = get32(i1 | 0) | 0;
    i33 = get32((get32(i19 | 0) | 0) + (i23 * 24 | 0) | 0) | 0;
    set32(i12 | 0, get32(i2 | 0) | 0);
    set32(i12 + 4 | 0, i33 | 0);
    i33 = _sqlite3MPrintf(i35, 33387, i12) | 0;
    i35 = get32(i29 | 0) | 0;
    i21 = get32(i26 | 0) | 0;
    if ((i21 | 0) != 0 ? (get8(i35 + 30 >> 0 | 0) | 0) == 0 : 0) {
     i52 = (get32(i25 | 0) | 0) + -1 | 0;
     i48 = i21 + (i52 * 20 | 0) + 1 | 0;
     i34 = i21 + (i52 * 20 | 0) + 16 | 0;
     _freeP4(i35, get8(i48 >> 0 | 0) | 0, get32(i34 | 0) | 0);
     set32(i34 | 0, 0 | 0);
     if (!i33) {
      set32(i34 | 0, 0 | 0);
      set8(i48 >> 0 | 0, 0 | 0);
      break;
     } else {
      set32(i34 | 0, i33 | 0);
      set8(i48 >> 0 | 0, -1 | 0);
      break;
     }
    }
    if (i33) _sqlite3DbFree(i35, i33);
   } while (0);
   i23 = i23 + 1 | 0;
  } while ((i23 | 0) != (i17 | 0));
 }
 i17 = i2 + 44 | 0;
 if ((get32(i17 | 0) | 0) != 0 ? (get32((get32(i1 | 0) | 0) + 12 | 0) & 262144 | 0) == 0 : 0) {
  i23 = i29 + 36 | 0;
  i25 = get32(i23 | 0) | 0;
  set32(i23 | 0, i25 + 1 | 0);
  i23 = i29 + 40 | 0;
  i26 = get32(i23 | 0) | 0;
  if ((i25 | 0) < (i26 | 0)) i60 = i29 + 44 | 0; else {
   i12 = get32(i29 | 0) | 0;
   i19 = i29 + 44 | 0;
   i59 = get32(i19 | 0) | 0;
   i36 = _sqlite3DbRealloc(i12, i59, (i26 << 3) + 20 | 0) | 0;
   if (i36) {
    set32(i19 | 0, i36 | 0);
    i26 = get32(i29 | 0) | 0;
    if (((i26 | 0) != 0 ? (get32(i26 + 260 | 0) | 0) >>> 0 <= i36 >>> 0 : 0) ? (get32(i26 + 264 | 0) | 0) >>> 0 > i36 >>> 0 : 0) i61 = getU16(i26 + 232 | 0) | 0; else i20 = 132;
   } else {
    _sqlite3DbFree(i12, i59);
    set32(i19 | 0, 0 | 0);
    i20 = 132;
   }
   if ((i20 | 0) == 132) i61 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i36) | 0;
   set32(i23 | 0, i61 >>> 2 | 0);
   i60 = i19;
  }
  i19 = get32(i60 | 0) | 0;
  if (i19) set32(i19 + (i25 << 2) | 0, -1 | 0);
  set32(i1 + 80 | 0, i27 | 0);
  _sqlite3ExprIfTrue(i1, get32(i17 | 0) | 0, ~i25, 8);
  i17 = (i8 | 0) != 99 ? i8 : 2;
  L188 : do switch (i17 | 0) {
  case 4:
   {
    i19 = i29 + 28 | 0;
    i60 = get32(i19 | 0) | 0;
    i61 = i29 + 32 | 0;
    i23 = get32(i61 | 0) | 0;
    if ((i23 | 0) > (i60 | 0)) {
     i62 = i60;
     i63 = get32(i29 + 4 | 0) | 0;
    } else {
     i36 = i29 + 4 | 0;
     i59 = _sqlite3DbRealloc(get32(i29 | 0) | 0, get32(i36 | 0) | 0, (i23 | 0) == 0 ? 1020 : i23 * 40 | 0) | 0;
     if (!i59) break L188;
     i23 = get32(i29 | 0) | 0;
     if (((i23 | 0) != 0 ? (get32(i23 + 260 | 0) | 0) >>> 0 <= i59 >>> 0 : 0) ? (get32(i23 + 264 | 0) | 0) >>> 0 > i59 >>> 0 : 0) i64 = getU16(i23 + 232 | 0) | 0; else i64 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i59) | 0;
     set32(i61 | 0, (i64 >>> 0) / 20 | 0 | 0);
     set32(i36 | 0, i59 | 0);
     i62 = get32(i19 | 0) | 0;
     i63 = i59;
    }
    set32(i19 | 0, i62 + 1 | 0);
    set8(i63 + (i60 * 20 | 0) >> 0 | 0, 1 | 0);
    set8(i63 + (i60 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i63 + (i60 * 20 | 0) + 4 | 0, 0 | 0);
    set32(i63 + (i60 * 20 | 0) + 8 | 0, i9 | 0);
    set32(i63 + (i60 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i63 + (i60 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i63 + (i60 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    break;
   }
  case 5:
   {
    i65 = 2;
    i20 = 148;
    break;
   }
  default:
   {
    i65 = i17;
    i20 = 148;
   }
  } while (0);
  if ((i20 | 0) == 148) {
   i17 = get32(i16 | 0) | 0;
   do if (!i17) {
    i63 = get32(i1 | 0) | 0;
    L207 : do if (!i63) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i66 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
      i20 = 186;
      break;
     }
     i62 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
     set32(35 * 4 | 0, 192 | 0);
     if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
     i64 = get32(6 * 4 | 0) | 0;
     do if (i64) {
      i60 = get32(30 * 4 | 0) | 0;
      i19 = ((i60 | 0) < 0) << 31 >> 31;
      i59 = 16;
      i36 = _i64Subtract(get32(i59 | 0) | 0, get32(i59 + 4 | 0) | 0, i62 | 0, ((i62 | 0) < 0) << 31 >> 31 | 0) | 0;
      i59 = tempRet0;
      if ((i19 | 0) < (i59 | 0) | (i19 | 0) == (i59 | 0) & i60 >>> 0 < i36 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i36 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i64 & 15](i36, i60, i19, i62);
       set32(6 * 4 | 0, i64 | 0);
       set32(7 * 4 | 0, i36 | 0);
       break;
      }
     } while (0);
     i64 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i62) | 0;
     if (i64) {
      i36 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i64) | 0;
      i19 = (get32(30 * 4 | 0) | 0) + i36 | 0;
      set32(30 * 4 | 0, i19 | 0);
      if ((i19 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i19 | 0);
      i19 = get32(39 * 4 | 0) | 0;
      i36 = i19 + 1 | 0;
      set32(39 * 4 | 0, i36 | 0);
      if ((i19 | 0) < (get32(49 * 4 | 0) | 0)) i67 = i64; else {
       set32(49 * 4 | 0, i36 | 0);
       i67 = i64;
      }
     } else i20 = 187;
    } else {
     i64 = i63 + 30 | 0;
     if (!(get8(i64 >> 0 | 0) | 0)) {
      do if (get8(i63 + 234 >> 0 | 0) | 0) {
       if ((getU16(i63 + 232 | 0) | 0) < 192) {
        i36 = i63 + 248 | 0;
        set32(i36 | 0, (get32(i36 | 0) | 0) + 1 | 0);
        break;
       }
       i36 = i63 + 256 | 0;
       i19 = get32(i36 | 0) | 0;
       if (!i19) {
        i60 = i63 + 252 | 0;
        set32(i60 | 0, (get32(i60 | 0) | 0) + 1 | 0);
        break;
       }
       set32(i36 | 0, get32(i19 | 0) | 0);
       i36 = i63 + 236 | 0;
       i60 = get32(i36 | 0) | 0;
       i59 = i60 + 1 | 0;
       set32(i36 | 0, i59 | 0);
       i36 = i63 + 244 | 0;
       set32(i36 | 0, (get32(i36 | 0) | 0) + 1 | 0);
       i36 = i63 + 240 | 0;
       if ((i60 | 0) >= (get32(i36 | 0) | 0)) set32(i36 | 0, i59 | 0);
       i66 = i19;
       i20 = 186;
       break L207;
      } while (0);
      if (!(get32(50 * 4 | 0) | 0)) {
       i62 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
       if (i62) {
        i67 = i62;
        break;
       }
      } else {
       i62 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
       set32(35 * 4 | 0, 192 | 0);
       if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
       i19 = get32(6 * 4 | 0) | 0;
       do if (i19) {
        i59 = get32(30 * 4 | 0) | 0;
        i36 = ((i59 | 0) < 0) << 31 >> 31;
        i60 = 16;
        i61 = _i64Subtract(get32(i60 | 0) | 0, get32(i60 + 4 | 0) | 0, i62 | 0, ((i62 | 0) < 0) << 31 >> 31 | 0) | 0;
        i60 = tempRet0;
        if ((i36 | 0) < (i60 | 0) | (i36 | 0) == (i60 | 0) & i59 >>> 0 < i61 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i61 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i19 & 15](i61, i59, i36, i62);
         set32(6 * 4 | 0, i19 | 0);
         set32(7 * 4 | 0, i61 | 0);
         break;
        }
       } while (0);
       i19 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i62) | 0;
       if (i19) {
        i61 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i19) | 0;
        i36 = (get32(30 * 4 | 0) | 0) + i61 | 0;
        set32(30 * 4 | 0, i36 | 0);
        if ((i36 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i36 | 0);
        i36 = get32(39 * 4 | 0) | 0;
        i61 = i36 + 1 | 0;
        set32(39 * 4 | 0, i61 | 0);
        if ((i36 | 0) < (get32(49 * 4 | 0) | 0)) {
         i67 = i19;
         break;
        }
        set32(49 * 4 | 0, i61 | 0);
        i67 = i19;
        break;
       }
      }
      set8(i64 >> 0 | 0, 1 | 0);
      i20 = 187;
     } else i20 = 187;
    } while (0);
    if ((i20 | 0) == 186) if (!i66) i20 = 187; else i67 = i66;
    if ((i20 | 0) == 187) {
     set32(i16 | 0, 0 | 0);
     i68 = 0;
     break;
    }
    _memset(i67 | 0, 0, 192) | 0;
    set32(i67 | 0, i63 | 0);
    i19 = i63 + 136 | 0;
    i61 = get32(i19 | 0) | 0;
    if (i61) set32(i61 + 60 | 0, i67 | 0);
    set32(i67 + 64 | 0, i61 | 0);
    set32(i67 + 60 | 0, 0 | 0);
    set32(i19 | 0, i67 | 0);
    set32(i67 + 52 | 0, 649915045 | 0);
    set32(i16 | 0, i67 | 0);
    i19 = i67 + 28 | 0;
    i61 = i67 + 32 | 0;
    i36 = i67 + 4 | 0;
    i59 = _sqlite3DbRealloc(i63, 0, 1020) | 0;
    if (!i59) i68 = i67; else {
     i60 = get32(i67 | 0) | 0;
     if (((i60 | 0) != 0 ? (get32(i60 + 260 | 0) | 0) >>> 0 <= i59 >>> 0 : 0) ? (get32(i60 + 264 | 0) | 0) >>> 0 > i59 >>> 0 : 0) i69 = getU16(i60 + 232 | 0) | 0; else i69 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i59) | 0;
     set32(i61 | 0, (i69 >>> 0) / 20 | 0 | 0);
     set32(i36 | 0, i59 | 0);
     set32(i19 | 0, (get32(i19 | 0) | 0) + 1 | 0);
     set8(i59 >> 0 | 0, -120 | 0);
     set8(i59 + 1 >> 0 | 0, 0 | 0);
     i31 = i59 + 3 | 0;
     i32 = i31 + 17 | 0;
     do {
      set8(i31 >> 0 | 0, 0 | 0);
      i31 = i31 + 1 | 0;
     } while ((i31 | 0) < (i32 | 0));
     i68 = i67;
    }
   } else i68 = i17; while (0);
   if ((i65 | 0) == 2) {
    i17 = get32(i1 + 424 | 0) | 0;
    set8(((i17 | 0) == 0 ? i1 : i17) + 345 >> 0 | 0, 1 | 0);
   }
   i17 = i68 + 28 | 0;
   i67 = get32(i17 | 0) | 0;
   i69 = i68 + 32 | 0;
   i66 = get32(i69 | 0) | 0;
   if ((i66 | 0) <= (i67 | 0)) {
    i63 = i68 + 4 | 0;
    i59 = _sqlite3DbRealloc(get32(i68 | 0) | 0, get32(i63 | 0) | 0, (i66 | 0) == 0 ? 1020 : i66 * 40 | 0) | 0;
    if (!i59) {
     i70 = 1;
     i71 = i68;
     i72 = i63;
    } else {
     i66 = get32(i68 | 0) | 0;
     if (((i66 | 0) != 0 ? (get32(i66 + 260 | 0) | 0) >>> 0 <= i59 >>> 0 : 0) ? (get32(i66 + 264 | 0) | 0) >>> 0 > i59 >>> 0 : 0) i73 = getU16(i66 + 232 | 0) | 0; else i73 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i59) | 0;
     set32(i69 | 0, (i73 >>> 0) / 20 | 0 | 0);
     set32(i63 | 0, i59 | 0);
     i74 = i63;
     i75 = i68;
     i76 = get32(i17 | 0) | 0;
     i77 = i59;
     i20 = 208;
    }
   } else {
    i59 = i68 + 4 | 0;
    i74 = i59;
    i75 = i68;
    i76 = i67;
    i77 = get32(i59 | 0) | 0;
    i20 = 208;
   }
   if ((i20 | 0) == 208) {
    set32(i17 | 0, i76 + 1 | 0);
    set8(i77 + (i67 * 20 | 0) >> 0 | 0, 6 | 0);
    set8(i77 + (i67 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i77 + (i67 * 20 | 0) + 4 | 0, 19 | 0);
    set32(i77 + (i67 * 20 | 0) + 8 | 0, i65 | 0);
    set32(i77 + (i67 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i77 + (i67 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i77 + (i67 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i70 = i67;
    i71 = i75;
    i72 = i74;
   }
   i74 = get32(i71 | 0) | 0;
   i71 = get32(i72 | 0) | 0;
   if ((i71 | 0) != 0 ? (get8(i74 + 30 >> 0 | 0) | 0) == 0 : 0) {
    if ((i70 | 0) < 0) i78 = (get32(i17 | 0) | 0) + -1 | 0; else i78 = i70;
    i70 = i71 + (i78 * 20 | 0) + 1 | 0;
    i17 = i71 + (i78 * 20 | 0) + 16 | 0;
    _freeP4(i74, get8(i70 >> 0 | 0) | 0, get32(i17 | 0) | 0);
    set32(i17 | 0, 0 | 0);
    set8(i70 >> 0 | 0, 0 | 0);
   }
  }
  i70 = get32(i29 + 44 | 0) | 0;
  if (i70) set32(i70 + (i25 << 2) | 0, get32(i29 + 28 | 0) | 0);
 }
 if (i14) {
  i14 = get8(i2 + 35 >> 0 | 0) | 0;
  if ((i8 | 0) == 99) i79 = i14 << 24 >> 24 == 99 ? 2 : i14 & 255; else i79 = i8;
  i14 = i29 + 28 | 0;
  do if (i15) {
   i25 = get32(i14 | 0) | 0;
   i70 = i29 + 32 | 0;
   i17 = get32(i70 | 0) | 0;
   if ((i17 | 0) > (i25 | 0)) {
    i80 = i25;
    i81 = get32(i29 + 4 | 0) | 0;
   } else {
    i74 = i29 + 4 | 0;
    i78 = _sqlite3DbRealloc(get32(i29 | 0) | 0, get32(i74 | 0) | 0, (i17 | 0) == 0 ? 1020 : i17 * 40 | 0) | 0;
    if (!i78) {
     i82 = i70;
     i83 = 1;
     break;
    }
    i17 = get32(i29 | 0) | 0;
    if (((i17 | 0) != 0 ? (get32(i17 + 260 | 0) | 0) >>> 0 <= i78 >>> 0 : 0) ? (get32(i17 + 264 | 0) | 0) >>> 0 > i78 >>> 0 : 0) i84 = getU16(i17 + 232 | 0) | 0; else i84 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i78) | 0;
    set32(i70 | 0, (i84 >>> 0) / 20 | 0 | 0);
    set32(i74 | 0, i78 | 0);
    i80 = get32(i14 | 0) | 0;
    i81 = i78;
   }
   set32(i14 | 0, i80 + 1 | 0);
   set8(i81 + (i25 * 20 | 0) >> 0 | 0, 76 | 0);
   set8(i81 + (i25 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i81 + (i25 * 20 | 0) + 4 | 0, i4 | 0);
   set32(i81 + (i25 * 20 | 0) + 8 | 0, 0 | 0);
   set32(i81 + (i25 * 20 | 0) + 12 | 0, i6 | 0);
   set32(i81 + (i25 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i81 + (i25 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i82 = i70;
   i83 = i25;
  } else {
   i82 = i29 + 32 | 0;
   i83 = 0;
  } while (0);
  i81 = get32(i14 | 0) | 0;
  i6 = get32(i82 | 0) | 0;
  if ((i6 | 0) <= (i81 | 0)) {
   i80 = i29 + 4 | 0;
   i84 = _sqlite3DbRealloc(get32(i29 | 0) | 0, get32(i80 | 0) | 0, (i6 | 0) == 0 ? 1020 : i6 * 40 | 0) | 0;
   if (!i84) i85 = 1; else {
    i6 = get32(i29 | 0) | 0;
    if (((i6 | 0) != 0 ? (get32(i6 + 260 | 0) | 0) >>> 0 <= i84 >>> 0 : 0) ? (get32(i6 + 264 | 0) | 0) >>> 0 > i84 >>> 0 : 0) i86 = getU16(i6 + 232 | 0) | 0; else i86 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i84) | 0;
    set32(i82 | 0, (i86 >>> 0) / 20 | 0 | 0);
    set32(i80 | 0, i84 | 0);
    i87 = get32(i14 | 0) | 0;
    i88 = i84;
    i20 = 240;
   }
  } else {
   i87 = i81;
   i88 = get32(i29 + 4 | 0) | 0;
   i20 = 240;
  }
  if ((i20 | 0) == 240) {
   set32(i14 | 0, i87 + 1 | 0);
   set8(i88 + (i81 * 20 | 0) >> 0 | 0, 52 | 0);
   set8(i88 + (i81 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i88 + (i81 * 20 | 0) + 4 | 0, i3 | 0);
   set32(i88 + (i81 * 20 | 0) + 8 | 0, 0 | 0);
   set32(i88 + (i81 * 20 | 0) + 12 | 0, i4 | 0);
   set32(i88 + (i81 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i88 + (i81 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i85 = i81;
  }
  L335 : do switch (i79 | 0) {
  case 3:
  case 2:
  case 1:
   {
    i89 = i79;
    i20 = 243;
    break;
   }
  case 5:
   {
    i81 = get32(i1 | 0) | 0;
    i88 = get32(i81 + 12 | 0) | 0;
    do if ((i88 & 1107296256 | 0) == 1107296256 ? (i87 = get32((get32(i81 + 8 | 0) | 0) + 28 | 0) | 0, (get8(i1 + 442 >> 0 | 0) | 0) == 0) : 0) {
     i84 = get32(i2 + 68 | 0) | 0;
     if ((i84 | 0) != (i87 | 0) ? (i80 = get32(i87 + 48 | 0) | 0, (i80 | 0) != 0) : 0) {
      i87 = i2 + 64 | 0;
      i86 = i80;
      i80 = 0;
      while (1) {
       i6 = get32(i86 + 8 | 0) | 0;
       if ((get32(i6 + 24 | 0) | 0) == (i84 | 0)) {
        i25 = get32(i6 + 4 | 0) | 0;
        i70 = get32(i2 | 0) | 0;
        i78 = get8(i25 >> 0 | 0) | 0;
        L348 : do if (!(i78 << 24 >> 24)) {
         i90 = 0;
         i91 = i70;
        } else {
         i74 = i78;
         i17 = i25;
         i71 = i70;
         while (1) {
          if ((get8(16286 + (i74 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i71 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
           i90 = i74;
           i91 = i71;
           break L348;
          }
          i17 = i17 + 1 | 0;
          i72 = i71 + 1 | 0;
          i74 = get8(i17 >> 0 | 0) | 0;
          if (!(i74 << 24 >> 24)) {
           i90 = 0;
           i91 = i72;
           break;
          } else i71 = i72;
         }
        } while (0);
        if ((get8(16286 + (i90 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i91 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
         if (!i80) i92 = get32(i87 | 0) | 0; else i92 = i80;
         set32(i6 + 32 | 0, i92 | 0);
         i93 = i6;
        } else i93 = i80;
       } else i93 = i80;
       i86 = get32(i86 | 0) | 0;
       if (!i86) {
        i94 = i93;
        break;
       } else i80 = i93;
      }
      if (i94) i95 = i94; else i20 = 324;
     } else i20 = 324;
     if ((i20 | 0) == 324) {
      i80 = get32(i2 + 64 | 0) | 0;
      if (!i80) {
       i20 = 330;
       break;
      } else i95 = i80;
     }
     i80 = 0;
     i86 = i95;
     while (1) {
      if ((get8(i86 + 8 >> 0 | 0) | 0) == 106) i96 = getU8(i86 + 9 >> 0 | 0) | i80; else i96 = i80;
      i86 = get32(i86 + 32 | 0) | 0;
      if (!i86) {
       i97 = i96;
       break;
      } else i80 = i96;
     }
     if (!((i95 | 0) == 0 | (i97 | 0) == 0)) i98 = i95; else i20 = 330;
    } else i20 = 330; while (0);
    do if ((i20 | 0) == 330) {
     if (i88 & 67108864) {
      i81 = get32(i2 | 0) | 0;
      if (!i81) i99 = 0; else {
       i80 = i81;
       while (1) if (!(get8(i80 >> 0 | 0) | 0)) {
        i100 = i80;
        break;
       } else i80 = i80 + 1 | 0;
       i99 = i100 - i81 & 1073741823;
      }
      if (_sqlite3HashFind((get32(i2 + 68 | 0) | 0) + 56 | 0, i81, i99) | 0) {
       i98 = 0;
       break;
      }
      if (get32(i2 + 36 | 0) | 0) {
       i98 = 0;
       break;
      }
     }
     i80 = i2 + 16 | 0;
     if (!(get32(i80 | 0) | 0)) {
      i101 = 1;
      break L335;
     }
     i86 = get32(i1 + 424 | 0) | 0;
     set8(((i86 | 0) == 0 ? i1 : i86) + 344 >> 0 | 0, 1 | 0);
     i86 = get32(i80 | 0) | 0;
     if (!i86) {
      i101 = 1;
      break L335;
     } else {
      i102 = 1;
      i103 = i86;
     }
     while (1) {
      i86 = _sqlite3GenerateIndexKey(i1, i103, i3, 0, 0) | 0;
      i80 = get32(i16 | 0) | 0;
      i87 = i102 + i3 | 0;
      i84 = (get32(i103 + 4 | 0) | 0) + 1 | 0;
      i64 = i80 + 28 | 0;
      i62 = get32(i64 | 0) | 0;
      i70 = i80 + 32 | 0;
      i25 = get32(i70 | 0) | 0;
      if ((i25 | 0) <= (i62 | 0)) {
       i78 = i80 + 4 | 0;
       i39 = _sqlite3DbRealloc(get32(i80 | 0) | 0, get32(i78 | 0) | 0, (i25 | 0) == 0 ? 1020 : i25 * 40 | 0) | 0;
       if (i39) {
        i25 = get32(i80 | 0) | 0;
        do if (!i25) i20 = 346; else {
         if ((get32(i25 + 260 | 0) | 0) >>> 0 > i39 >>> 0) {
          i20 = 346;
          break;
         }
         if ((get32(i25 + 264 | 0) | 0) >>> 0 <= i39 >>> 0) {
          i20 = 346;
          break;
         }
         i104 = getU16(i25 + 232 | 0) | 0;
        } while (0);
        if ((i20 | 0) == 346) {
         i20 = 0;
         i104 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i39) | 0;
        }
        set32(i70 | 0, (i104 >>> 0) / 20 | 0 | 0);
        set32(i78 | 0, i39 | 0);
        i105 = get32(i64 | 0) | 0;
        i106 = i39;
        i20 = 348;
       }
      } else {
       i105 = i62;
       i106 = get32(i80 + 4 | 0) | 0;
       i20 = 348;
      }
      if ((i20 | 0) == 348) {
       i20 = 0;
       set32(i64 | 0, i105 + 1 | 0);
       set8(i106 + (i62 * 20 | 0) >> 0 | 0, 71 | 0);
       set8(i106 + (i62 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i106 + (i62 * 20 | 0) + 4 | 0, i87 | 0);
       set32(i106 + (i62 * 20 | 0) + 8 | 0, i86 | 0);
       set32(i106 + (i62 * 20 | 0) + 12 | 0, i84 | 0);
       set32(i106 + (i62 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i106 + (i62 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      }
      i103 = get32(i103 + 32 | 0) | 0;
      if (!i103) {
       i101 = 1;
       break L335;
      } else i102 = i102 + 1 | 0;
     }
    } while (0);
    i88 = get32(i1 + 424 | 0) | 0;
    set8(((i88 | 0) == 0 ? i1 : i88) + 344 >> 0 | 0, 1 | 0);
    _sqlite3GenerateRowDelete(i1, i2, i3, i4, 0, i98, 5);
    i101 = 1;
    break;
   }
  case 4:
   {
    i88 = get32(i14 | 0) | 0;
    i81 = get32(i82 | 0) | 0;
    if ((i81 | 0) > (i88 | 0)) {
     i107 = i88;
     i108 = get32(i29 + 4 | 0) | 0;
    } else {
     i25 = i29 + 4 | 0;
     i6 = _sqlite3DbRealloc(get32(i29 | 0) | 0, get32(i25 | 0) | 0, (i81 | 0) == 0 ? 1020 : i81 * 40 | 0) | 0;
     if (!i6) {
      i101 = 0;
      break L335;
     }
     i81 = get32(i29 | 0) | 0;
     if (((i81 | 0) != 0 ? (get32(i81 + 260 | 0) | 0) >>> 0 <= i6 >>> 0 : 0) ? (get32(i81 + 264 | 0) | 0) >>> 0 > i6 >>> 0 : 0) i109 = getU16(i81 + 232 | 0) | 0; else i109 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i6) | 0;
     set32(i82 | 0, (i109 >>> 0) / 20 | 0 | 0);
     set32(i25 | 0, i6 | 0);
     i107 = get32(i14 | 0) | 0;
     i108 = i6;
    }
    set32(i14 | 0, i107 + 1 | 0);
    set8(i108 + (i88 * 20 | 0) >> 0 | 0, 1 | 0);
    set8(i108 + (i88 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i108 + (i88 * 20 | 0) + 4 | 0, 0 | 0);
    set32(i108 + (i88 * 20 | 0) + 8 | 0, i9 | 0);
    set32(i108 + (i88 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i108 + (i88 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i108 + (i88 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i101 = 0;
    break;
   }
  default:
   {
    i89 = 2;
    i20 = 243;
   }
  } while (0);
  if ((i20 | 0) == 243) {
   i108 = get32(i16 | 0) | 0;
   do if (!i108) {
    i107 = get32(i1 | 0) | 0;
    L414 : do if (!i107) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i110 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
      i20 = 281;
      break;
     }
     i109 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
     set32(35 * 4 | 0, 192 | 0);
     if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
     i82 = get32(6 * 4 | 0) | 0;
     do if (i82) {
      i98 = get32(30 * 4 | 0) | 0;
      i102 = ((i98 | 0) < 0) << 31 >> 31;
      i103 = 16;
      i106 = _i64Subtract(get32(i103 | 0) | 0, get32(i103 + 4 | 0) | 0, i109 | 0, ((i109 | 0) < 0) << 31 >> 31 | 0) | 0;
      i103 = tempRet0;
      if ((i102 | 0) < (i103 | 0) | (i102 | 0) == (i103 | 0) & i98 >>> 0 < i106 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i106 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i82 & 15](i106, i98, i102, i109);
       set32(6 * 4 | 0, i82 | 0);
       set32(7 * 4 | 0, i106 | 0);
       break;
      }
     } while (0);
     i82 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i109) | 0;
     if (i82) {
      i106 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i82) | 0;
      i102 = (get32(30 * 4 | 0) | 0) + i106 | 0;
      set32(30 * 4 | 0, i102 | 0);
      if ((i102 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i102 | 0);
      i102 = get32(39 * 4 | 0) | 0;
      i106 = i102 + 1 | 0;
      set32(39 * 4 | 0, i106 | 0);
      if ((i102 | 0) < (get32(49 * 4 | 0) | 0)) i111 = i82; else {
       set32(49 * 4 | 0, i106 | 0);
       i111 = i82;
      }
     } else i20 = 282;
    } else {
     i82 = i107 + 30 | 0;
     if (!(get8(i82 >> 0 | 0) | 0)) {
      do if (get8(i107 + 234 >> 0 | 0) | 0) {
       if ((getU16(i107 + 232 | 0) | 0) < 192) {
        i106 = i107 + 248 | 0;
        set32(i106 | 0, (get32(i106 | 0) | 0) + 1 | 0);
        break;
       }
       i106 = i107 + 256 | 0;
       i102 = get32(i106 | 0) | 0;
       if (!i102) {
        i98 = i107 + 252 | 0;
        set32(i98 | 0, (get32(i98 | 0) | 0) + 1 | 0);
        break;
       }
       set32(i106 | 0, get32(i102 | 0) | 0);
       i106 = i107 + 236 | 0;
       i98 = get32(i106 | 0) | 0;
       i103 = i98 + 1 | 0;
       set32(i106 | 0, i103 | 0);
       i106 = i107 + 244 | 0;
       set32(i106 | 0, (get32(i106 | 0) | 0) + 1 | 0);
       i106 = i107 + 240 | 0;
       if ((i98 | 0) >= (get32(i106 | 0) | 0)) set32(i106 | 0, i103 | 0);
       i110 = i102;
       i20 = 281;
       break L414;
      } while (0);
      if (!(get32(50 * 4 | 0) | 0)) {
       i109 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
       if (i109) {
        i111 = i109;
        break;
       }
      } else {
       i109 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
       set32(35 * 4 | 0, 192 | 0);
       if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
       i102 = get32(6 * 4 | 0) | 0;
       do if (i102) {
        i103 = get32(30 * 4 | 0) | 0;
        i106 = ((i103 | 0) < 0) << 31 >> 31;
        i98 = 16;
        i105 = _i64Subtract(get32(i98 | 0) | 0, get32(i98 + 4 | 0) | 0, i109 | 0, ((i109 | 0) < 0) << 31 >> 31 | 0) | 0;
        i98 = tempRet0;
        if ((i106 | 0) < (i98 | 0) | (i106 | 0) == (i98 | 0) & i103 >>> 0 < i105 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i105 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i102 & 15](i105, i103, i106, i109);
         set32(6 * 4 | 0, i102 | 0);
         set32(7 * 4 | 0, i105 | 0);
         break;
        }
       } while (0);
       i102 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i109) | 0;
       if (i102) {
        i105 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i102) | 0;
        i106 = (get32(30 * 4 | 0) | 0) + i105 | 0;
        set32(30 * 4 | 0, i106 | 0);
        if ((i106 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i106 | 0);
        i106 = get32(39 * 4 | 0) | 0;
        i105 = i106 + 1 | 0;
        set32(39 * 4 | 0, i105 | 0);
        if ((i106 | 0) < (get32(49 * 4 | 0) | 0)) {
         i111 = i102;
         break;
        }
        set32(49 * 4 | 0, i105 | 0);
        i111 = i102;
        break;
       }
      }
      set8(i82 >> 0 | 0, 1 | 0);
      i20 = 282;
     } else i20 = 282;
    } while (0);
    if ((i20 | 0) == 281) if (!i110) i20 = 282; else i111 = i110;
    if ((i20 | 0) == 282) {
     set32(i16 | 0, 0 | 0);
     i112 = 0;
     break;
    }
    _memset(i111 | 0, 0, 192) | 0;
    set32(i111 | 0, i107 | 0);
    i102 = i107 + 136 | 0;
    i105 = get32(i102 | 0) | 0;
    if (i105) set32(i105 + 60 | 0, i111 | 0);
    set32(i111 + 64 | 0, i105 | 0);
    set32(i111 + 60 | 0, 0 | 0);
    set32(i102 | 0, i111 | 0);
    set32(i111 + 52 | 0, 649915045 | 0);
    set32(i16 | 0, i111 | 0);
    i102 = i111 + 28 | 0;
    i105 = i111 + 32 | 0;
    i106 = i111 + 4 | 0;
    i103 = _sqlite3DbRealloc(i107, 0, 1020) | 0;
    if (!i103) i112 = i111; else {
     i98 = get32(i111 | 0) | 0;
     if (((i98 | 0) != 0 ? (get32(i98 + 260 | 0) | 0) >>> 0 <= i103 >>> 0 : 0) ? (get32(i98 + 264 | 0) | 0) >>> 0 > i103 >>> 0 : 0) i113 = getU16(i98 + 232 | 0) | 0; else i113 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i103) | 0;
     set32(i105 | 0, (i113 >>> 0) / 20 | 0 | 0);
     set32(i106 | 0, i103 | 0);
     set32(i102 | 0, (get32(i102 | 0) | 0) + 1 | 0);
     set8(i103 >> 0 | 0, -120 | 0);
     set8(i103 + 1 >> 0 | 0, 0 | 0);
     i31 = i103 + 3 | 0;
     i32 = i31 + 17 | 0;
     do {
      set8(i31 >> 0 | 0, 0 | 0);
      i31 = i31 + 1 | 0;
     } while ((i31 | 0) < (i32 | 0));
     i112 = i111;
    }
   } else i112 = i108; while (0);
   if ((i89 | 0) == 2) {
    i108 = get32(i1 + 424 | 0) | 0;
    set8(((i108 | 0) == 0 ? i1 : i108) + 345 >> 0 | 0, 1 | 0);
   }
   i108 = i112 + 28 | 0;
   i111 = get32(i108 | 0) | 0;
   i113 = i112 + 32 | 0;
   i110 = get32(i113 | 0) | 0;
   if ((i110 | 0) <= (i111 | 0)) {
    i107 = i112 + 4 | 0;
    i103 = _sqlite3DbRealloc(get32(i112 | 0) | 0, get32(i107 | 0) | 0, (i110 | 0) == 0 ? 1020 : i110 * 40 | 0) | 0;
    if (!i103) {
     i114 = 1;
     i115 = i112;
     i116 = i107;
    } else {
     i110 = get32(i112 | 0) | 0;
     if (((i110 | 0) != 0 ? (get32(i110 + 260 | 0) | 0) >>> 0 <= i103 >>> 0 : 0) ? (get32(i110 + 264 | 0) | 0) >>> 0 > i103 >>> 0 : 0) i117 = getU16(i110 + 232 | 0) | 0; else i117 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i103) | 0;
     set32(i113 | 0, (i117 >>> 0) / 20 | 0 | 0);
     set32(i107 | 0, i103 | 0);
     i118 = i107;
     i119 = i112;
     i120 = get32(i108 | 0) | 0;
     i121 = i103;
     i20 = 303;
    }
   } else {
    i103 = i112 + 4 | 0;
    i118 = i103;
    i119 = i112;
    i120 = i111;
    i121 = get32(i103 | 0) | 0;
    i20 = 303;
   }
   if ((i20 | 0) == 303) {
    set32(i108 | 0, i120 + 1 | 0);
    set8(i121 + (i111 * 20 | 0) >> 0 | 0, 6 | 0);
    set8(i121 + (i111 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i121 + (i111 * 20 | 0) + 4 | 0, 19 | 0);
    set32(i121 + (i111 * 20 | 0) + 8 | 0, i89 | 0);
    set32(i121 + (i111 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i121 + (i111 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i121 + (i111 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i114 = i111;
    i115 = i119;
    i116 = i118;
   }
   i118 = get32(i115 | 0) | 0;
   i115 = get32(i116 | 0) | 0;
   if ((i115 | 0) != 0 ? (get8(i118 + 30 >> 0 | 0) | 0) == 0 : 0) {
    if ((i114 | 0) < 0) i122 = (get32(i108 | 0) | 0) + -1 | 0; else i122 = i114;
    i114 = i115 + (i122 * 20 | 0) + 1 | 0;
    i108 = i115 + (i122 * 20 | 0) + 16 | 0;
    _freeP4(i118, get8(i114 >> 0 | 0) | 0, get32(i108 | 0) | 0);
    set32(i108 | 0, 33409 | 0);
    set8(i114 >> 0 | 0, -2 | 0);
    i101 = 0;
   } else i101 = 0;
  }
  i114 = get32(i14 | 0) | 0;
  if ((i114 | 0) > (i85 | 0)) set32((get32(i29 + 4 | 0) | 0) + (i85 * 20 | 0) + 8 | 0, i114 | 0);
  if (i15 & (i114 | 0) > (i83 | 0)) {
   set32((get32(i29 + 4 | 0) | 0) + (i83 * 20 | 0) + 8 | 0, i114 | 0);
   i123 = i101;
  } else i123 = i101;
 } else i123 = 0;
 i101 = get32(i2 + 16 | 0) | 0;
 if (!i101) i124 = i123; else {
  i114 = i1 + 60 | 0;
  i83 = i1 + 56 | 0;
  i15 = i1 + 72 | 0;
  i85 = i29 + 28 | 0;
  i14 = i29 + 32 | 0;
  i108 = i29 + 4 | 0;
  i118 = i1 + 96 | 0;
  i122 = i1 + 21 | 0;
  i115 = (i8 | 0) == 99;
  i116 = i3 + 1 | 0;
  i119 = i1 + 424 | 0;
  i111 = i1 + 442 | 0;
  i121 = i2 + 68 | 0;
  i89 = i2 + 64 | 0;
  i120 = i1 + 112 | 0;
  i103 = i1 + 120 | 0;
  i112 = i1 + 136 | 0;
  i107 = i1 + 144 | 0;
  i117 = i1 + 160 | 0;
  i113 = i1 + 168 | 0;
  i110 = i1 + 184 | 0;
  i102 = i1 + 192 | 0;
  i106 = i1 + 208 | 0;
  i105 = i1 + 216 | 0;
  i98 = i1 + 232 | 0;
  i104 = i1 + 240 | 0;
  i99 = i1 + 256 | 0;
  i100 = i1 + 264 | 0;
  i95 = i1 + 280 | 0;
  i97 = i1 + 288 | 0;
  i96 = i1 + 304 | 0;
  i94 = i1 + 312 | 0;
  i93 = i1 + 328 | 0;
  i92 = i13 + 4 | 0;
  i91 = i13 + 8 | 0;
  i90 = i13 + 12 | 0;
  i79 = i13 + 20 | 0;
  i88 = i13 + 25 | 0;
  i6 = i13 + 26 | 0;
  i25 = i13 + 24 | 0;
  i81 = i2 + 12 | 0;
  i22 = i2 + 4 | 0;
  i46 = 0;
  i47 = i101;
  i101 = i123;
  while (1) {
   i123 = i5 + (i46 << 2) | 0;
   L514 : do if (!(get32(i123 | 0) | 0)) i125 = i101; else {
    i51 = i47 + 4 | 0;
    i45 = get32(i51 | 0) | 0;
    i71 = i45 + 1 | 0;
    i74 = get32(i114 | 0) | 0;
    i17 = get32(i83 | 0) | 0;
    if ((i17 | 0) < (i71 | 0)) {
     i72 = get32(i15 | 0) | 0;
     set32(i15 | 0, i72 + i71 | 0);
     i126 = i72 + 1 | 0;
    } else {
     set32(i114 | 0, i74 + i71 | 0);
     set32(i83 | 0, i17 - i71 | 0);
     i126 = i74;
    }
    if ((i45 | 0) > 0) {
     i45 = i47 + 8 | 0;
     i74 = 0;
     while (1) {
      i71 = get32((get32(i45 | 0) | 0) + (i74 << 2) | 0) | 0;
      do if ((i71 | 0) == (get32(i22 | 0) | 0)) {
       i17 = i74 + i126 | 0;
       i72 = get32(i85 | 0) | 0;
       i75 = get32(i14 | 0) | 0;
       if ((i75 | 0) > (i72 | 0)) {
        i127 = i72;
        i128 = get32(i108 | 0) | 0;
       } else {
        i67 = _sqlite3DbRealloc(get32(i29 | 0) | 0, get32(i108 | 0) | 0, (i75 | 0) == 0 ? 1020 : i75 * 40 | 0) | 0;
        if (!i67) break;
        i75 = get32(i29 | 0) | 0;
        do if (!i75) i20 = 380; else {
         if ((get32(i75 + 260 | 0) | 0) >>> 0 > i67 >>> 0) {
          i20 = 380;
          break;
         }
         if ((get32(i75 + 264 | 0) | 0) >>> 0 <= i67 >>> 0) {
          i20 = 380;
          break;
         }
         i129 = getU16(i75 + 232 | 0) | 0;
        } while (0);
        if ((i20 | 0) == 380) {
         i20 = 0;
         i129 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i67) | 0;
        }
        set32(i14 | 0, (i129 >>> 0) / 20 | 0 | 0);
        set32(i108 | 0, i67 | 0);
        i127 = get32(i85 | 0) | 0;
        i128 = i67;
       }
       set32(i85 | 0, i127 + 1 | 0);
       set8(i128 + (i72 * 20 | 0) >> 0 | 0, 15 | 0);
       set8(i128 + (i72 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i128 + (i72 * 20 | 0) + 4 | 0, i4 | 0);
       set32(i128 + (i72 * 20 | 0) + 8 | 0, i17 | 0);
       set32(i128 + (i72 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i128 + (i72 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i128 + (i72 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      } else {
       i75 = i71 + i27 | 0;
       i77 = i74 + i126 | 0;
       i65 = get32(i85 | 0) | 0;
       i76 = get32(i14 | 0) | 0;
       if ((i76 | 0) > (i65 | 0)) {
        i130 = i65;
        i131 = get32(i108 | 0) | 0;
       } else {
        i59 = _sqlite3DbRealloc(get32(i29 | 0) | 0, get32(i108 | 0) | 0, (i76 | 0) == 0 ? 1020 : i76 * 40 | 0) | 0;
        if (!i59) break;
        i76 = get32(i29 | 0) | 0;
        do if (!i76) i20 = 390; else {
         if ((get32(i76 + 260 | 0) | 0) >>> 0 > i59 >>> 0) {
          i20 = 390;
          break;
         }
         if ((get32(i76 + 264 | 0) | 0) >>> 0 <= i59 >>> 0) {
          i20 = 390;
          break;
         }
         i132 = getU16(i76 + 232 | 0) | 0;
        } while (0);
        if ((i20 | 0) == 390) {
         i20 = 0;
         i132 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i59) | 0;
        }
        set32(i14 | 0, (i132 >>> 0) / 20 | 0 | 0);
        set32(i108 | 0, i59 | 0);
        i130 = get32(i85 | 0) | 0;
        i131 = i59;
       }
       set32(i85 | 0, i130 + 1 | 0);
       set8(i131 + (i65 * 20 | 0) >> 0 | 0, 15 | 0);
       set8(i131 + (i65 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i131 + (i65 * 20 | 0) + 4 | 0, i75 | 0);
       set32(i131 + (i65 * 20 | 0) + 8 | 0, i77 | 0);
       set32(i131 + (i65 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i131 + (i65 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i131 + (i65 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      } while (0);
      i71 = i74 + 1 | 0;
      if ((i71 | 0) < (get32(i51 | 0) | 0)) i74 = i71; else {
       i133 = i71;
       break;
      }
     }
    } else i133 = 0;
    i74 = i133 + i126 | 0;
    i45 = get32(i85 | 0) | 0;
    i82 = get32(i14 | 0) | 0;
    do if ((i82 | 0) > (i45 | 0)) {
     i134 = i45;
     i135 = get32(i108 | 0) | 0;
     i136 = i82;
     i20 = 404;
    } else {
     i109 = _sqlite3DbRealloc(get32(i29 | 0) | 0, get32(i108 | 0) | 0, (i82 | 0) == 0 ? 1020 : i82 * 40 | 0) | 0;
     if (!i109) {
      i137 = get32(i14 | 0) | 0;
      i138 = get32(i85 | 0) | 0;
      break;
     }
     i71 = get32(i29 | 0) | 0;
     if (((i71 | 0) != 0 ? (get32(i71 + 260 | 0) | 0) >>> 0 <= i109 >>> 0 : 0) ? (get32(i71 + 264 | 0) | 0) >>> 0 > i109 >>> 0 : 0) i139 = getU16(i71 + 232 | 0) | 0; else i139 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i109) | 0;
     i71 = (i139 >>> 0) / 20 | 0;
     set32(i14 | 0, i71 | 0);
     set32(i108 | 0, i109 | 0);
     i134 = get32(i85 | 0) | 0;
     i135 = i109;
     i136 = i71;
     i20 = 404;
    } while (0);
    if ((i20 | 0) == 404) {
     i20 = 0;
     i82 = i134 + 1 | 0;
     set32(i85 | 0, i82 | 0);
     set8(i135 + (i45 * 20 | 0) >> 0 | 0, 15 | 0);
     set8(i135 + (i45 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i135 + (i45 * 20 | 0) + 4 | 0, i4 | 0);
     set32(i135 + (i45 * 20 | 0) + 8 | 0, i74 | 0);
     set32(i135 + (i45 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i135 + (i45 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i135 + (i45 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i137 = i136;
     i138 = i82;
    }
    i82 = (get32(i51 | 0) | 0) + 1 | 0;
    i71 = get32(i123 | 0) | 0;
    if ((i137 | 0) <= (i138 | 0)) {
     i109 = _sqlite3DbRealloc(get32(i29 | 0) | 0, get32(i108 | 0) | 0, (i137 | 0) == 0 ? 1020 : i137 * 40 | 0) | 0;
     if (i109) {
      i62 = get32(i29 | 0) | 0;
      if (((i62 | 0) != 0 ? (get32(i62 + 260 | 0) | 0) >>> 0 <= i109 >>> 0 : 0) ? (get32(i62 + 264 | 0) | 0) >>> 0 > i109 >>> 0 : 0) i140 = getU16(i62 + 232 | 0) | 0; else i140 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i109) | 0;
      set32(i14 | 0, (i140 >>> 0) / 20 | 0 | 0);
      set32(i108 | 0, i109 | 0);
      i141 = get32(i85 | 0) | 0;
      i142 = i109;
      i20 = 414;
     }
    } else {
     i141 = i138;
     i142 = get32(i108 | 0) | 0;
     i20 = 414;
    }
    if ((i20 | 0) == 414) {
     i20 = 0;
     set32(i85 | 0, i141 + 1 | 0);
     set8(i142 + (i138 * 20 | 0) >> 0 | 0, 30 | 0);
     set8(i142 + (i138 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i142 + (i138 * 20 | 0) + 4 | 0, i126 | 0);
     set32(i142 + (i138 * 20 | 0) + 8 | 0, i82 | 0);
     set32(i142 + (i138 * 20 | 0) + 12 | 0, i71 | 0);
     set32(i142 + (i138 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i142 + (i138 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    }
    i71 = i47 + 28 | 0;
    i82 = get32(i71 | 0) | 0;
    L583 : do if (!i82) {
     i109 = get32(i47 + 16 | 0) | 0;
     i62 = get32(i29 | 0) | 0;
     i84 = get32(i51 | 0) | 0;
     i86 = i84 + 2 | 0;
     do if ((i84 + 1 | 0) >>> 0 > 2147483390) set32(i71 | 0, 0 | 0); else {
      if (!(get32(50 * 4 | 0) | 0)) {
       i87 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i86) | 0;
       set32(i71 | 0, i87 | 0);
       if (!i87) break; else i143 = i87;
      } else {
       i87 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i86) | 0;
       set32(35 * 4 | 0, i86 | 0);
       if ((get32(45 * 4 | 0) | 0) < (i86 | 0)) set32(45 * 4 | 0, i86 | 0);
       i64 = get32(6 * 4 | 0) | 0;
       do if (i64) {
        i80 = get32(30 * 4 | 0) | 0;
        i39 = ((i80 | 0) < 0) << 31 >> 31;
        i78 = 16;
        i70 = _i64Subtract(get32(i78 | 0) | 0, get32(i78 + 4 | 0) | 0, i87 | 0, ((i87 | 0) < 0) << 31 >> 31 | 0) | 0;
        i78 = tempRet0;
        if ((i39 | 0) < (i78 | 0) | (i39 | 0) == (i78 | 0) & i80 >>> 0 < i70 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i70 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i64 & 15](i70, i80, i39, i87);
         set32(6 * 4 | 0, i64 | 0);
         set32(7 * 4 | 0, i70 | 0);
         break;
        }
       } while (0);
       i64 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i87) | 0;
       if (!i64) {
        set32(i71 | 0, 0 | 0);
        break;
       }
       i65 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i64) | 0;
       i77 = (get32(30 * 4 | 0) | 0) + i65 | 0;
       set32(30 * 4 | 0, i77 | 0);
       if ((i77 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i77 | 0);
       i77 = get32(39 * 4 | 0) | 0;
       i65 = i77 + 1 | 0;
       set32(39 * 4 | 0, i65 | 0);
       if ((i77 | 0) >= (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i65 | 0);
       set32(i71 | 0, i64 | 0);
       i143 = i64;
      }
      if ((get32(i51 | 0) | 0) > 0) {
       i64 = i47 + 8 | 0;
       i65 = i109 + 12 | 0;
       i77 = i143;
       i75 = 0;
       while (1) {
        set8(i77 + i75 >> 0 | 0, get8((get32(i65 | 0) | 0) + ((get32((get32(i64 | 0) | 0) + (i75 << 2) | 0) | 0) * 24 | 0) + 22 >> 0 | 0) | 0 | 0);
        i59 = i75 + 1 | 0;
        i70 = get32(i71 | 0) | 0;
        if ((i59 | 0) < (get32(i51 | 0) | 0)) {
         i77 = i70;
         i75 = i59;
        } else {
         i144 = i70;
         i145 = i59;
         break;
        }
       }
      } else {
       i144 = i143;
       i145 = 0;
      }
      set8(i144 + i145 >> 0 | 0, 98 | 0);
      set8((get32(i71 | 0) | 0) + (i145 + 1) >> 0 | 0, 0 | 0);
      i146 = get32(i71 | 0) | 0;
      break L583;
     } while (0);
     set8(i62 + 30 >> 0 | 0, 1 | 0);
     i146 = 0;
    } else i146 = i82; while (0);
    _sqlite3VdbeChangeP4(i29, -1, i146, 0);
    i82 = (get32(i51 | 0) | 0) + i126 | 0;
    i71 = 0;
    i45 = i118;
    while (1) {
     i74 = i45 + 16 | 0;
     i109 = get32(i74 | 0) | 0;
     if (!((i109 | 0) < (i126 | 0) | (i109 | 0) > (i82 | 0))) {
      i86 = i45 + 8 | 0;
      if (get8(i86 >> 0 | 0) | 0) {
       i84 = get8(i122 >> 0 | 0) | 0;
       if ((i84 & 255) < 8) {
        set8(i122 >> 0 | 0, i84 + 1 << 24 >> 24 | 0);
        set32(i1 + 24 + ((i84 & 255) << 2) | 0, i109 | 0);
       }
       set8(i86 >> 0 | 0, 0 | 0);
      }
      set32(i74 | 0, 0 | 0);
     }
     i71 = i71 + 1 | 0;
     if ((i71 | 0) == 10) break; else i45 = i45 + 24 | 0;
    }
    i45 = get8(i47 + 24 >> 0 | 0) | 0;
    if (!(i45 << 24 >> 24)) {
     i71 = get32(i51 | 0) | 0;
     i82 = i71 + i126 | 0;
     i74 = 0;
     i86 = i118;
     while (1) {
      i109 = i86 + 16 | 0;
      i84 = get32(i109 | 0) | 0;
      if (!((i84 | 0) < (i126 | 0) | (i84 | 0) > (i82 | 0))) {
       i75 = i86 + 8 | 0;
       if (get8(i75 >> 0 | 0) | 0) {
        i77 = get8(i122 >> 0 | 0) | 0;
        if ((i77 & 255) < 8) {
         set8(i122 >> 0 | 0, i77 + 1 << 24 >> 24 | 0);
         set32(i1 + 24 + ((i77 & 255) << 2) | 0, i84 | 0);
        }
        set8(i75 >> 0 | 0, 0 | 0);
       }
       set32(i109 | 0, 0 | 0);
      }
      i74 = i74 + 1 | 0;
      if ((i74 | 0) == 10) break; else i86 = i86 + 24 | 0;
     }
     i86 = i71 + 1 | 0;
     if ((get32(i83 | 0) | 0) >= (i86 | 0)) {
      i125 = i101;
      break;
     }
     set32(i83 | 0, i86 | 0);
     set32(i114 | 0, i126 | 0);
     i125 = i101;
     break;
    }
    i86 = i115 ? (i45 << 24 >> 24 == 99 ? 2 : i45 & 255) : i8;
    if (i101) if ((i86 | 0) == 4) i147 = 5; else i147 = (i86 | 0) == 3 ? 2 : i86; else i147 = i86;
    i86 = get8(i122 >> 0 | 0) | 0;
    if (!(i86 << 24 >> 24)) {
     i74 = (get32(i15 | 0) | 0) + 1 | 0;
     set32(i15 | 0, i74 | 0);
     i148 = i74;
    } else {
     i74 = i86 + -1 << 24 >> 24;
     set8(i122 >> 0 | 0, i74 | 0);
     i148 = get32(i1 + 24 + ((i74 & 255) << 2) | 0) | 0;
    }
    i74 = get32(i85 | 0) | 0;
    i86 = get32(i14 | 0) | 0;
    do if ((i86 | 0) > (i74 | 0)) {
     i149 = i74;
     i150 = get32(i108 | 0) | 0;
     i151 = i86;
     i20 = 473;
    } else {
     i82 = _sqlite3DbRealloc(get32(i29 | 0) | 0, get32(i108 | 0) | 0, (i86 | 0) == 0 ? 1020 : i86 * 40 | 0) | 0;
     if (!i82) {
      i152 = get32(i14 | 0) | 0;
      i153 = get32(i85 | 0) | 0;
      break;
     }
     i109 = get32(i29 | 0) | 0;
     do if (!i109) i20 = 471; else {
      if ((get32(i109 + 260 | 0) | 0) >>> 0 > i82 >>> 0) {
       i20 = 471;
       break;
      }
      if ((get32(i109 + 264 | 0) | 0) >>> 0 <= i82 >>> 0) {
       i20 = 471;
       break;
      }
      i154 = getU16(i109 + 232 | 0) | 0;
     } while (0);
     if ((i20 | 0) == 471) {
      i20 = 0;
      i154 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i82) | 0;
     }
     i109 = (i154 >>> 0) / 20 | 0;
     set32(i14 | 0, i109 | 0);
     set32(i108 | 0, i82 | 0);
     i149 = get32(i85 | 0) | 0;
     i150 = i82;
     i151 = i109;
     i20 = 473;
    } while (0);
    if ((i20 | 0) == 473) {
     i20 = 0;
     i86 = i149 + 1 | 0;
     set32(i85 | 0, i86 | 0);
     set8(i150 + (i74 * 20 | 0) >> 0 | 0, 15 | 0);
     set8(i150 + (i74 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i150 + (i74 * 20 | 0) + 4 | 0, i7 | 0);
     set32(i150 + (i74 * 20 | 0) + 8 | 0, i148 | 0);
     set32(i150 + (i74 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i150 + (i74 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i150 + (i74 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i152 = i151;
     i153 = i86;
    }
    i86 = i116 + i46 | 0;
    do if ((i152 | 0) > (i153 | 0)) {
     i155 = i153;
     i156 = get32(i108 | 0) | 0;
     i20 = 483;
    } else {
     i45 = _sqlite3DbRealloc(get32(i29 | 0) | 0, get32(i108 | 0) | 0, (i152 | 0) == 0 ? 1020 : i152 * 40 | 0) | 0;
     if (!i45) {
      i157 = 1;
      break;
     }
     i71 = get32(i29 | 0) | 0;
     do if (!i71) i20 = 481; else {
      if ((get32(i71 + 260 | 0) | 0) >>> 0 > i45 >>> 0) {
       i20 = 481;
       break;
      }
      if ((get32(i71 + 264 | 0) | 0) >>> 0 <= i45 >>> 0) {
       i20 = 481;
       break;
      }
      i158 = getU16(i71 + 232 | 0) | 0;
     } while (0);
     if ((i20 | 0) == 481) {
      i20 = 0;
      i158 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i45) | 0;
     }
     set32(i14 | 0, (i158 >>> 0) / 20 | 0 | 0);
     set32(i108 | 0, i45 | 0);
     i155 = get32(i85 | 0) | 0;
     i156 = i45;
     i20 = 483;
    } while (0);
    if ((i20 | 0) == 483) {
     i20 = 0;
     set32(i85 | 0, i155 + 1 | 0);
     set8(i156 + (i153 * 20 | 0) >> 0 | 0, 51 | 0);
     set8(i156 + (i153 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i156 + (i153 * 20 | 0) + 4 | 0, i86 | 0);
     set32(i156 + (i153 * 20 | 0) + 8 | 0, 0 | 0);
     set32(i156 + (i153 * 20 | 0) + 12 | 0, i148 | 0);
     set32(i156 + (i153 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i156 + (i153 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i157 = i153;
    }
    i74 = get32(i29 | 0) | 0;
    i71 = get32(i108 | 0) | 0;
    do if (i71) {
     if (get8(i74 + 30 >> 0 | 0) | 0) break;
     if ((i157 | 0) < 0) i159 = (get32(i85 | 0) | 0) + -1 | 0; else i159 = i157;
     i82 = i71 + (i159 * 20 | 0) + 1 | 0;
     i109 = i71 + (i159 * 20 | 0) + 16 | 0;
     _freeP4(i74, get8(i82 >> 0 | 0) | 0, get32(i109 | 0) | 0);
     set32(i109 | 0, i126 | 0);
     set8(i82 >> 0 | 0, -14 | 0);
    } while (0);
    i74 = get32(i51 | 0) | 0;
    i71 = i74 + i126 | 0;
    i86 = 0;
    i82 = i118;
    while (1) {
     i109 = i82 + 16 | 0;
     i62 = get32(i109 | 0) | 0;
     if (!((i62 | 0) < (i126 | 0) | (i62 | 0) > (i71 | 0))) {
      i75 = i82 + 8 | 0;
      if (get8(i75 >> 0 | 0) | 0) {
       i84 = get8(i122 >> 0 | 0) | 0;
       if ((i84 & 255) < 8) {
        set8(i122 >> 0 | 0, i84 + 1 << 24 >> 24 | 0);
        set32(i1 + 24 + ((i84 & 255) << 2) | 0, i62 | 0);
       }
       set8(i75 >> 0 | 0, 0 | 0);
      }
      set32(i109 | 0, 0 | 0);
     }
     i86 = i86 + 1 | 0;
     if ((i86 | 0) == 10) break; else i82 = i82 + 24 | 0;
    }
    i82 = i74 + 1 | 0;
    if ((get32(i83 | 0) | 0) < (i82 | 0)) {
     set32(i83 | 0, i82 | 0);
     set32(i114 | 0, i126 | 0);
    }
    L705 : do switch (i147 | 0) {
    case 3:
    case 2:
    case 1:
     {
      set32(i13 | 0, 0 | 0);
      set32(i13 + 4 | 0, 0 | 0);
      set32(i13 + 8 | 0, 0 | 0);
      set32(i13 + 12 | 0, 0 | 0);
      set32(i13 + 16 | 0, 0 | 0);
      set32(i79 | 0, 200 | 0);
      set8(i88 >> 0 | 0, 1 | 0);
      set8(i6 >> 0 | 0, 0 | 0);
      set8(i25 >> 0 | 0, 0 | 0);
      set32(i13 | 0, get32(i1 | 0) | 0);
      i82 = get32(i51 | 0) | 0;
      if ((i82 | 0) > 0) {
       i86 = i47 + 8 | 0;
       i71 = 0;
       i109 = (i82 | 0) > 1 ? 33436 : 33445;
       while (1) {
        i75 = get32((get32(i81 | 0) | 0) + ((get32((get32(i86 | 0) | 0) + (i71 << 2) | 0) | 0) * 24 | 0) | 0) | 0;
        _sqlite3StrAccumAppend(i13, i109, -1);
        _sqlite3StrAccumAppend(i13, i75, -1);
        i71 = i71 + 1 | 0;
        i75 = get32(i51 | 0) | 0;
        if ((i71 | 0) >= (i75 | 0)) {
         i160 = i75;
         break;
        } else i109 = 33453;
       }
      } else i160 = i82;
      _sqlite3StrAccumAppend(i13, (i160 | 0) > 1 ? 33456 : 33472, -1);
      i109 = get32(i91 | 0) | 0;
      do if (i109) {
       i71 = get32(i90 | 0) | 0;
       set8(i109 + i71 >> 0 | 0, 0 | 0);
       i86 = get8(i88 >> 0 | 0) | 0;
       if (!(i86 << 24 >> 24 != 0 ? (i109 | 0) == (get32(i92 | 0) | 0) : 0)) {
        i161 = i109;
        break;
       }
       L748 : do if (i86 << 24 >> 24 == 1) {
        i45 = get32(i13 | 0) | 0;
        i75 = i71 + 1 | 0;
        L750 : do if (!i45) {
         if (i71 >>> 0 > 2147483390) {
          i20 = 546;
          break;
         }
         if (!(get32(50 * 4 | 0) | 0)) {
          i162 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i75) | 0;
          i20 = 548;
          break L748;
         }
         i62 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i75) | 0;
         set32(35 * 4 | 0, i75 | 0);
         if ((get32(45 * 4 | 0) | 0) < (i75 | 0)) set32(45 * 4 | 0, i75 | 0);
         i84 = get32(6 * 4 | 0) | 0;
         do if (i84) {
          i77 = get32(30 * 4 | 0) | 0;
          i64 = ((i77 | 0) < 0) << 31 >> 31;
          i65 = 16;
          i87 = _i64Subtract(get32(i65 | 0) | 0, get32(i65 + 4 | 0) | 0, i62 | 0, ((i62 | 0) < 0) << 31 >> 31 | 0) | 0;
          i65 = tempRet0;
          if ((i64 | 0) < (i65 | 0) | (i64 | 0) == (i65 | 0) & i77 >>> 0 < i87 >>> 0) {
           set32(11 * 4 | 0, 0 | 0);
           break;
          } else {
           set32(11 * 4 | 0, 1 | 0);
           i87 = get32(7 * 4 | 0) | 0;
           set32(6 * 4 | 0, 0 | 0);
           FUNCTION_TABLE_viiii[i84 & 15](i87, i77, i64, i62);
           set32(6 * 4 | 0, i84 | 0);
           set32(7 * 4 | 0, i87 | 0);
           break;
          }
         } while (0);
         i84 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i62) | 0;
         if (!i84) {
          i20 = 546;
          break;
         }
         i87 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i84) | 0;
         i64 = (get32(30 * 4 | 0) | 0) + i87 | 0;
         set32(30 * 4 | 0, i64 | 0);
         if ((i64 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i64 | 0);
         i64 = get32(39 * 4 | 0) | 0;
         i87 = i64 + 1 | 0;
         set32(39 * 4 | 0, i87 | 0);
         if ((i64 | 0) < (get32(49 * 4 | 0) | 0)) {
          i163 = i84;
          i20 = 547;
          break;
         }
         set32(49 * 4 | 0, i87 | 0);
         i163 = i84;
         i20 = 547;
        } else {
         i84 = i45 + 30 | 0;
         if (get8(i84 >> 0 | 0) | 0) {
          i20 = 546;
          break;
         }
         do if (get8(i45 + 234 >> 0 | 0) | 0) {
          if ((getU16(i45 + 232 | 0) | 0) < (i75 | 0)) {
           i87 = i45 + 248 | 0;
           set32(i87 | 0, (get32(i87 | 0) | 0) + 1 | 0);
           break;
          }
          i87 = i45 + 256 | 0;
          i64 = get32(i87 | 0) | 0;
          if (!i64) {
           i77 = i45 + 252 | 0;
           set32(i77 | 0, (get32(i77 | 0) | 0) + 1 | 0);
           break;
          }
          set32(i87 | 0, get32(i64 | 0) | 0);
          i87 = i45 + 236 | 0;
          i77 = get32(i87 | 0) | 0;
          i65 = i77 + 1 | 0;
          set32(i87 | 0, i65 | 0);
          i87 = i45 + 244 | 0;
          set32(i87 | 0, (get32(i87 | 0) | 0) + 1 | 0);
          i87 = i45 + 240 | 0;
          if ((i77 | 0) >= (get32(i87 | 0) | 0)) set32(i87 | 0, i65 | 0);
          i162 = i64;
          i20 = 548;
          break L748;
         } while (0);
         do if (i71 >>> 0 <= 2147483390) {
          if (!(get32(50 * 4 | 0) | 0)) {
           i62 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i75) | 0;
           if (!i62) break; else {
            i163 = i62;
            i20 = 547;
            break L750;
           }
          }
          i62 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i75) | 0;
          set32(35 * 4 | 0, i75 | 0);
          if ((get32(45 * 4 | 0) | 0) < (i75 | 0)) set32(45 * 4 | 0, i75 | 0);
          i64 = get32(6 * 4 | 0) | 0;
          do if (i64) {
           i65 = get32(30 * 4 | 0) | 0;
           i87 = ((i65 | 0) < 0) << 31 >> 31;
           i77 = 16;
           i59 = _i64Subtract(get32(i77 | 0) | 0, get32(i77 + 4 | 0) | 0, i62 | 0, ((i62 | 0) < 0) << 31 >> 31 | 0) | 0;
           i77 = tempRet0;
           if ((i87 | 0) < (i77 | 0) | (i87 | 0) == (i77 | 0) & i65 >>> 0 < i59 >>> 0) {
            set32(11 * 4 | 0, 0 | 0);
            break;
           } else {
            set32(11 * 4 | 0, 1 | 0);
            i59 = get32(7 * 4 | 0) | 0;
            set32(6 * 4 | 0, 0 | 0);
            FUNCTION_TABLE_viiii[i64 & 15](i59, i65, i87, i62);
            set32(6 * 4 | 0, i64 | 0);
            set32(7 * 4 | 0, i59 | 0);
            break;
           }
          } while (0);
          i64 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i62) | 0;
          if (!i64) break;
          i59 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i64) | 0;
          i87 = (get32(30 * 4 | 0) | 0) + i59 | 0;
          set32(30 * 4 | 0, i87 | 0);
          if ((i87 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i87 | 0);
          i87 = get32(39 * 4 | 0) | 0;
          i59 = i87 + 1 | 0;
          set32(39 * 4 | 0, i59 | 0);
          if ((i87 | 0) < (get32(49 * 4 | 0) | 0)) {
           i163 = i64;
           i20 = 547;
           break L750;
          }
          set32(49 * 4 | 0, i59 | 0);
          i163 = i64;
          i20 = 547;
          break L750;
         } while (0);
         set8(i84 >> 0 | 0, 1 | 0);
         i20 = 546;
        } while (0);
        if ((i20 | 0) == 546) {
         i20 = 0;
         set32(i91 | 0, 0 | 0);
         i20 = 551;
         break;
        } else if ((i20 | 0) == 547) {
         i20 = 0;
         set32(i91 | 0, i163 | 0);
         i164 = i75;
         i165 = i163;
         i20 = 550;
         break;
        }
       } else {
        i162 = _sqlite3_malloc(i71 + 1 | 0) | 0;
        i20 = 548;
       } while (0);
       do if ((i20 | 0) == 548) {
        i20 = 0;
        set32(i91 | 0, i162 | 0);
        if (!i162) {
         i20 = 551;
         break;
        }
        i164 = i71 + 1 | 0;
        i165 = i162;
        i20 = 550;
       } while (0);
       if ((i20 | 0) == 550) {
        i20 = 0;
        _memcpy(i165 | 0, i109 | 0, i164 | 0) | 0;
        i161 = i165;
        break;
       } else if ((i20 | 0) == 551) {
        i20 = 0;
        set8(i25 >> 0 | 0, 1 | 0);
        i161 = 0;
        break;
       }
      } else i161 = 0; while (0);
      i109 = get32(i16 | 0) | 0;
      do if (!i109) {
       i82 = get32(i1 | 0) | 0;
       L817 : do if (!i82) {
        if (!(get32(50 * 4 | 0) | 0)) {
         i166 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
         i20 = 590;
         break;
        }
        i71 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
        set32(35 * 4 | 0, 192 | 0);
        if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
        i86 = get32(6 * 4 | 0) | 0;
        do if (i86) {
         i45 = get32(30 * 4 | 0) | 0;
         i64 = ((i45 | 0) < 0) << 31 >> 31;
         i59 = 16;
         i87 = _i64Subtract(get32(i59 | 0) | 0, get32(i59 + 4 | 0) | 0, i71 | 0, ((i71 | 0) < 0) << 31 >> 31 | 0) | 0;
         i59 = tempRet0;
         if ((i64 | 0) < (i59 | 0) | (i64 | 0) == (i59 | 0) & i45 >>> 0 < i87 >>> 0) {
          set32(11 * 4 | 0, 0 | 0);
          break;
         } else {
          set32(11 * 4 | 0, 1 | 0);
          i87 = get32(7 * 4 | 0) | 0;
          set32(6 * 4 | 0, 0 | 0);
          FUNCTION_TABLE_viiii[i86 & 15](i87, i45, i64, i71);
          set32(6 * 4 | 0, i86 | 0);
          set32(7 * 4 | 0, i87 | 0);
          break;
         }
        } while (0);
        i86 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i71) | 0;
        if (!i86) {
         i20 = 591;
         break;
        }
        i75 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i86) | 0;
        i87 = (get32(30 * 4 | 0) | 0) + i75 | 0;
        set32(30 * 4 | 0, i87 | 0);
        if ((i87 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i87 | 0);
        i87 = get32(39 * 4 | 0) | 0;
        i75 = i87 + 1 | 0;
        set32(39 * 4 | 0, i75 | 0);
        if ((i87 | 0) < (get32(49 * 4 | 0) | 0)) {
         i167 = i86;
         break;
        }
        set32(49 * 4 | 0, i75 | 0);
        i167 = i86;
       } else {
        i86 = i82 + 30 | 0;
        if (get8(i86 >> 0 | 0) | 0) {
         i20 = 591;
         break;
        }
        do if (get8(i82 + 234 >> 0 | 0) | 0) {
         if ((getU16(i82 + 232 | 0) | 0) < 192) {
          i75 = i82 + 248 | 0;
          set32(i75 | 0, (get32(i75 | 0) | 0) + 1 | 0);
          break;
         }
         i75 = i82 + 256 | 0;
         i87 = get32(i75 | 0) | 0;
         if (!i87) {
          i64 = i82 + 252 | 0;
          set32(i64 | 0, (get32(i64 | 0) | 0) + 1 | 0);
          break;
         }
         set32(i75 | 0, get32(i87 | 0) | 0);
         i75 = i82 + 236 | 0;
         i64 = get32(i75 | 0) | 0;
         i45 = i64 + 1 | 0;
         set32(i75 | 0, i45 | 0);
         i75 = i82 + 244 | 0;
         set32(i75 | 0, (get32(i75 | 0) | 0) + 1 | 0);
         i75 = i82 + 240 | 0;
         if ((i64 | 0) >= (get32(i75 | 0) | 0)) set32(i75 | 0, i45 | 0);
         i166 = i87;
         i20 = 590;
         break L817;
        } while (0);
        do if (!(get32(50 * 4 | 0) | 0)) {
         i71 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
         if (i71) {
          i167 = i71;
          break L817;
         }
        } else {
         i71 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
         set32(35 * 4 | 0, 192 | 0);
         if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
         i87 = get32(6 * 4 | 0) | 0;
         do if (i87) {
          i45 = get32(30 * 4 | 0) | 0;
          i75 = ((i45 | 0) < 0) << 31 >> 31;
          i64 = 16;
          i59 = _i64Subtract(get32(i64 | 0) | 0, get32(i64 + 4 | 0) | 0, i71 | 0, ((i71 | 0) < 0) << 31 >> 31 | 0) | 0;
          i64 = tempRet0;
          if ((i75 | 0) < (i64 | 0) | (i75 | 0) == (i64 | 0) & i45 >>> 0 < i59 >>> 0) {
           set32(11 * 4 | 0, 0 | 0);
           break;
          } else {
           set32(11 * 4 | 0, 1 | 0);
           i59 = get32(7 * 4 | 0) | 0;
           set32(6 * 4 | 0, 0 | 0);
           FUNCTION_TABLE_viiii[i87 & 15](i59, i45, i75, i71);
           set32(6 * 4 | 0, i87 | 0);
           set32(7 * 4 | 0, i59 | 0);
           break;
          }
         } while (0);
         i87 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i71) | 0;
         if (!i87) break;
         i84 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i87) | 0;
         i59 = (get32(30 * 4 | 0) | 0) + i84 | 0;
         set32(30 * 4 | 0, i59 | 0);
         if ((i59 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i59 | 0);
         i59 = get32(39 * 4 | 0) | 0;
         i84 = i59 + 1 | 0;
         set32(39 * 4 | 0, i84 | 0);
         if ((i59 | 0) < (get32(49 * 4 | 0) | 0)) {
          i167 = i87;
          break L817;
         }
         set32(49 * 4 | 0, i84 | 0);
         i167 = i87;
         break L817;
        } while (0);
        set8(i86 >> 0 | 0, 1 | 0);
        i20 = 591;
       } while (0);
       if ((i20 | 0) == 590) {
        i20 = 0;
        if (!i166) i20 = 591; else i167 = i166;
       }
       if ((i20 | 0) == 591) {
        i20 = 0;
        set32(i16 | 0, 0 | 0);
        i168 = 0;
        break;
       }
       _memset(i167 | 0, 0, 192) | 0;
       set32(i167 | 0, i82 | 0);
       i87 = i82 + 136 | 0;
       i84 = get32(i87 | 0) | 0;
       if (i84) set32(i84 + 60 | 0, i167 | 0);
       set32(i167 + 64 | 0, i84 | 0);
       set32(i167 + 60 | 0, 0 | 0);
       set32(i87 | 0, i167 | 0);
       set32(i167 + 52 | 0, 649915045 | 0);
       set32(i16 | 0, i167 | 0);
       i87 = i167 + 28 | 0;
       i84 = i167 + 32 | 0;
       i59 = i167 + 4 | 0;
       i75 = _sqlite3DbRealloc(i82, 0, 1020) | 0;
       if (!i75) {
        i168 = i167;
        break;
       }
       i45 = get32(i167 | 0) | 0;
       do if (!i45) i20 = 599; else {
        if ((get32(i45 + 260 | 0) | 0) >>> 0 > i75 >>> 0) {
         i20 = 599;
         break;
        }
        if ((get32(i45 + 264 | 0) | 0) >>> 0 <= i75 >>> 0) {
         i20 = 599;
         break;
        }
        i169 = getU16(i45 + 232 | 0) | 0;
       } while (0);
       if ((i20 | 0) == 599) {
        i20 = 0;
        i169 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i75) | 0;
       }
       set32(i84 | 0, (i169 >>> 0) / 20 | 0 | 0);
       set32(i59 | 0, i75 | 0);
       set32(i87 | 0, (get32(i87 | 0) | 0) + 1 | 0);
       set8(i75 >> 0 | 0, -120 | 0);
       set8(i75 + 1 >> 0 | 0, 0 | 0);
       i31 = i75 + 3 | 0;
       i32 = i31 + 17 | 0;
       do {
        set8(i31 >> 0 | 0, 0 | 0);
        i31 = i31 + 1 | 0;
       } while ((i31 | 0) < (i32 | 0));
       i168 = i167;
      } else i168 = i109; while (0);
      if ((i147 | 0) == 2) {
       i109 = get32(i119 | 0) | 0;
       set8(((i109 | 0) == 0 ? i1 : i109) + 345 >> 0 | 0, 1 | 0);
      }
      i109 = i168 + 28 | 0;
      i75 = get32(i109 | 0) | 0;
      i87 = i168 + 32 | 0;
      i59 = get32(i87 | 0) | 0;
      do if ((i59 | 0) > (i75 | 0)) {
       i170 = i75;
       i171 = get32(i168 + 4 | 0) | 0;
       i20 = 612;
      } else {
       i84 = i168 + 4 | 0;
       i45 = _sqlite3DbRealloc(get32(i168 | 0) | 0, get32(i84 | 0) | 0, (i59 | 0) == 0 ? 1020 : i59 * 40 | 0) | 0;
       if (!i45) {
        i172 = 1;
        break;
       }
       i82 = get32(i168 | 0) | 0;
       do if (!i82) i20 = 610; else {
        if ((get32(i82 + 260 | 0) | 0) >>> 0 > i45 >>> 0) {
         i20 = 610;
         break;
        }
        if ((get32(i82 + 264 | 0) | 0) >>> 0 <= i45 >>> 0) {
         i20 = 610;
         break;
        }
        i173 = getU16(i82 + 232 | 0) | 0;
       } while (0);
       if ((i20 | 0) == 610) {
        i20 = 0;
        i173 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i45) | 0;
       }
       set32(i87 | 0, (i173 >>> 0) / 20 | 0 | 0);
       set32(i84 | 0, i45 | 0);
       i170 = get32(i109 | 0) | 0;
       i171 = i45;
       i20 = 612;
      } while (0);
      if ((i20 | 0) == 612) {
       i20 = 0;
       set32(i109 | 0, i170 + 1 | 0);
       set8(i171 + (i75 * 20 | 0) >> 0 | 0, 6 | 0);
       set8(i171 + (i75 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i171 + (i75 * 20 | 0) + 4 | 0, 19 | 0);
       set32(i171 + (i75 * 20 | 0) + 8 | 0, i147 | 0);
       set32(i171 + (i75 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i171 + (i75 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i171 + (i75 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i172 = i75;
      }
      _sqlite3VdbeChangeP4(i168, i172, i161, 0);
      _sqlite3DbFree(get32(i13 | 0) | 0, i161);
      i174 = i101;
      break;
     }
    case 4:
     {
      i87 = get32(i85 | 0) | 0;
      i59 = get32(i14 | 0) | 0;
      if ((i59 | 0) > (i87 | 0)) {
       i175 = i87;
       i176 = get32(i108 | 0) | 0;
      } else {
       i82 = _sqlite3DbRealloc(get32(i29 | 0) | 0, get32(i108 | 0) | 0, (i59 | 0) == 0 ? 1020 : i59 * 40 | 0) | 0;
       if (!i82) {
        i174 = i101;
        break L705;
       }
       i59 = get32(i29 | 0) | 0;
       do if (!i59) i20 = 621; else {
        if ((get32(i59 + 260 | 0) | 0) >>> 0 > i82 >>> 0) {
         i20 = 621;
         break;
        }
        if ((get32(i59 + 264 | 0) | 0) >>> 0 <= i82 >>> 0) {
         i20 = 621;
         break;
        }
        i177 = getU16(i59 + 232 | 0) | 0;
       } while (0);
       if ((i20 | 0) == 621) {
        i20 = 0;
        i177 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i82) | 0;
       }
       set32(i14 | 0, (i177 >>> 0) / 20 | 0 | 0);
       set32(i108 | 0, i82 | 0);
       i175 = get32(i85 | 0) | 0;
       i176 = i82;
      }
      set32(i85 | 0, i175 + 1 | 0);
      set8(i176 + (i87 * 20 | 0) >> 0 | 0, 1 | 0);
      set8(i176 + (i87 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i176 + (i87 * 20 | 0) + 4 | 0, 0 | 0);
      set32(i176 + (i87 * 20 | 0) + 8 | 0, i9 | 0);
      set32(i176 + (i87 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i176 + (i87 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i176 + (i87 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i174 = i101;
      break;
     }
    default:
     {
      i59 = get32(i119 | 0) | 0;
      set8(((i59 | 0) == 0 ? i1 : i59) + 344 >> 0 | 0, 1 | 0);
      i59 = get32(i1 | 0) | 0;
      i75 = get32(i59 + 12 | 0) | 0;
      if (!(i75 & 33554432)) i178 = 0; else {
       do if (!(i75 & 1073741824)) {
        i179 = 0;
        i180 = 0;
       } else {
        i109 = get32((get32(i59 + 8 | 0) | 0) + 28 | 0) | 0;
        if (get8(i111 >> 0 | 0) | 0) {
         i179 = 0;
         i180 = 0;
         break;
        }
        i64 = get32(i121 | 0) | 0;
        do if ((i64 | 0) != (i109 | 0)) {
         i65 = get32(i109 + 48 | 0) | 0;
         if (!i65) {
          i20 = 639;
          break;
         } else {
          i181 = i65;
          i182 = 0;
         }
         while (1) {
          i65 = get32(i181 + 8 | 0) | 0;
          do if ((get32(i65 + 24 | 0) | 0) == (i64 | 0)) {
           i77 = get32(i65 + 4 | 0) | 0;
           i70 = get32(i2 | 0) | 0;
           i39 = get8(i77 >> 0 | 0) | 0;
           L718 : do if (!(i39 << 24 >> 24)) {
            i183 = 0;
            i184 = i70;
           } else {
            i80 = i39;
            i78 = i77;
            i76 = i70;
            while (1) {
             if ((get8(16286 + (i80 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i76 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
              i183 = i80;
              i184 = i76;
              break L718;
             }
             i78 = i78 + 1 | 0;
             i72 = i76 + 1 | 0;
             i80 = get8(i78 >> 0 | 0) | 0;
             if (!(i80 << 24 >> 24)) {
              i183 = 0;
              i184 = i72;
              break;
             } else i76 = i72;
            }
           } while (0);
           if ((get8(16286 + (i183 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i184 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
            i185 = i182;
            break;
           }
           if (!i182) i186 = get32(i89 | 0) | 0; else i186 = i182;
           set32(i65 + 32 | 0, i186 | 0);
           i185 = i65;
          } else i185 = i182; while (0);
          i181 = get32(i181 | 0) | 0;
          if (!i181) {
           i187 = i185;
           break;
          } else i182 = i185;
         }
         if (i187) i188 = i187; else i20 = 639;
        } else i20 = 639; while (0);
        if ((i20 | 0) == 639) {
         i20 = 0;
         i64 = get32(i89 | 0) | 0;
         if (!i64) {
          i179 = 0;
          i180 = 0;
          break;
         } else i188 = i64;
        }
        i64 = 0;
        i109 = i188;
        while (1) {
         if ((get8(i109 + 8 >> 0 | 0) | 0) == 106) i189 = getU8(i109 + 9 >> 0 | 0) | i64; else i189 = i64;
         i109 = get32(i109 + 32 | 0) | 0;
         if (!i109) {
          i179 = i189;
          i180 = i188;
          break;
         } else i64 = i189;
        }
       } while (0);
       i178 = (i179 | 0) != 0 ? i180 : 0;
      }
      _sqlite3GenerateRowDelete(i1, i2, i3, i148, 0, i178, 5);
      i174 = 1;
     }
    } while (0);
    i51 = get32(i85 | 0) | 0;
    if ((i51 | 0) > (i157 | 0)) set32((get32(i108 | 0) | 0) + (i157 * 20 | 0) + 8 | 0, i51 | 0);
    if (!i148) {
     i125 = i174;
     break;
    }
    i51 = get8(i122 >> 0 | 0) | 0;
    if ((i51 & 255) >= 8) {
     i125 = i174;
     break;
    }
    do if ((get32(i120 | 0) | 0) == (i148 | 0)) i190 = i118; else {
     if ((get32(i112 | 0) | 0) == (i148 | 0)) {
      i190 = i103;
      break;
     }
     if ((get32(i117 | 0) | 0) == (i148 | 0)) {
      i190 = i107;
      break;
     }
     if ((get32(i110 | 0) | 0) == (i148 | 0)) {
      i190 = i113;
      break;
     }
     if ((get32(i106 | 0) | 0) == (i148 | 0)) {
      i190 = i102;
      break;
     }
     if ((get32(i98 | 0) | 0) == (i148 | 0)) {
      i190 = i105;
      break;
     }
     if ((get32(i99 | 0) | 0) == (i148 | 0)) {
      i190 = i104;
      break;
     }
     if ((get32(i95 | 0) | 0) == (i148 | 0)) {
      i190 = i100;
      break;
     }
     if ((get32(i96 | 0) | 0) == (i148 | 0)) {
      i190 = i97;
      break;
     }
     if ((get32(i93 | 0) | 0) == (i148 | 0)) {
      i190 = i94;
      break;
     }
     set8(i122 >> 0 | 0, i51 + 1 << 24 >> 24 | 0);
     set32(i1 + 24 + ((i51 & 255) << 2) | 0, i148 | 0);
     i125 = i174;
     break L514;
    } while (0);
    set8(i190 + 8 >> 0 | 0, 1 | 0);
    i125 = i174;
   } while (0);
   i47 = get32(i47 + 32 | 0) | 0;
   if (!i47) {
    i124 = i125;
    break;
   } else {
    i46 = i46 + 1 | 0;
    i101 = i125;
   }
  }
 }
 if (!i10) {
  STACKTOP = i11;
  return;
 }
 set32(i10 | 0, i124 | 0);
 STACKTOP = i11;
 return;
}

function _analyzeOneTable(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0, i80 = 0, i81 = 0, i82 = 0, i83 = 0, i84 = 0, i85 = 0, i86 = 0, i87 = 0, i88 = 0, i89 = 0, i90 = 0, i91 = 0, i92 = 0, i93 = 0, i94 = 0, i95 = 0, i96 = 0, i97 = 0, i98 = 0, i99 = 0, i100 = 0, i101 = 0, i102 = 0, i103 = 0, i104 = 0, i105 = 0, i106 = 0, i107 = 0, i108 = 0, i109 = 0, i110 = 0, i111 = 0, i112 = 0, i113 = 0, i114 = 0, i115 = 0, i116 = 0, i117 = 0, i118 = 0, i119 = 0, i120 = 0, i121 = 0, i122 = 0, i123 = 0, i124 = 0, i125 = 0, i126 = 0, i127 = 0, i128 = 0, i129 = 0, i130 = 0, i131 = 0, i132 = 0, i133 = 0, i134 = 0, i135 = 0, i136 = 0, i137 = 0, i138 = 0, i139 = 0, i140 = 0, i141 = 0, i142 = 0, i143 = 0, i144 = 0, i145 = 0, i146 = 0, i147 = 0, i148 = 0, i149 = 0, i150 = 0, i151 = 0, i152 = 0, i153 = 0, i154 = 0, i155 = 0, i156 = 0, i157 = 0, i158 = 0, i159 = 0, i160 = 0, i161 = 0, i162 = 0, i163 = 0, i164 = 0, i165 = 0, i166 = 0, i167 = 0, i168 = 0, i169 = 0, i170 = 0, i171 = 0, i172 = 0, i173 = 0, i174 = 0, i175 = 0, i176 = 0, i177 = 0, i178 = 0, i179 = 0, i180 = 0, i181 = 0, i182 = 0, i183 = 0, i184 = 0, i185 = 0, i186 = 0, i187 = 0, i188 = 0, i189 = 0, i190 = 0, i191 = 0, i192 = 0, i193 = 0, i194 = 0, i195 = 0, i196 = 0, i197 = 0, i198 = 0, i199 = 0, i200 = 0, i201 = 0, i202 = 0, i203 = 0, i204 = 0, i205 = 0, i206 = 0, i207 = 0, i208 = 0, i209 = 0, i210 = 0, i211 = 0, i212 = 0, i213 = 0, i214 = 0, i215 = 0, i216 = 0, i217 = 0, i218 = 0, i219 = 0, i220 = 0, i221 = 0, i222 = 0, i223 = 0, i224 = 0, i225 = 0, i226 = 0, i227 = 0, i228 = 0, i229 = 0, i230 = 0, i231 = 0, i232 = 0, i233 = 0, i234 = 0;
 i6 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i7 = i6 + 24 | 0;
 i8 = i6 + 16 | 0;
 i9 = i6 + 8 | 0;
 i10 = i6;
 i11 = get32(i1 | 0) | 0;
 i12 = i5 + 1 | 0;
 i13 = i5 + 2 | 0;
 i14 = i5 + 3 | 0;
 i15 = i5 + 4 | 0;
 i16 = i5 + 5 | 0;
 i17 = i5 + 6 | 0;
 i18 = i5 + 7 | 0;
 i19 = i1 + 12 | 0;
 i20 = get32(i19 | 0) | 0;
 if (!i20) {
  L3 : do if (!i11) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i21 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
    i22 = 39;
    break;
   }
   i23 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
   set32(35 * 4 | 0, 192 | 0);
   if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
   i24 = get32(6 * 4 | 0) | 0;
   do if (i24) {
    i25 = get32(30 * 4 | 0) | 0;
    i26 = ((i25 | 0) < 0) << 31 >> 31;
    i27 = 16;
    i28 = _i64Subtract(get32(i27 | 0) | 0, get32(i27 + 4 | 0) | 0, i23 | 0, ((i23 | 0) < 0) << 31 >> 31 | 0) | 0;
    i27 = tempRet0;
    if ((i26 | 0) < (i27 | 0) | (i26 | 0) == (i27 | 0) & i25 >>> 0 < i28 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i28 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i24 & 15](i28, i25, i26, i23);
     set32(6 * 4 | 0, i24 | 0);
     set32(7 * 4 | 0, i28 | 0);
     break;
    }
   } while (0);
   i24 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i23) | 0;
   if (i24) {
    i28 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i24) | 0;
    i26 = (get32(30 * 4 | 0) | 0) + i28 | 0;
    set32(30 * 4 | 0, i26 | 0);
    if ((i26 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i26 | 0);
    i26 = get32(39 * 4 | 0) | 0;
    i28 = i26 + 1 | 0;
    set32(39 * 4 | 0, i28 | 0);
    if ((i26 | 0) < (get32(49 * 4 | 0) | 0)) i29 = i24; else {
     set32(49 * 4 | 0, i28 | 0);
     i29 = i24;
    }
   } else i22 = 40;
  } else {
   i24 = i11 + 30 | 0;
   if (!(get8(i24 >> 0 | 0) | 0)) {
    do if (get8(i11 + 234 >> 0 | 0) | 0) {
     if ((getU16(i11 + 232 | 0) | 0) < 192) {
      i28 = i11 + 248 | 0;
      set32(i28 | 0, (get32(i28 | 0) | 0) + 1 | 0);
      break;
     }
     i28 = i11 + 256 | 0;
     i26 = get32(i28 | 0) | 0;
     if (!i26) {
      i25 = i11 + 252 | 0;
      set32(i25 | 0, (get32(i25 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i28 | 0, get32(i26 | 0) | 0);
     i28 = i11 + 236 | 0;
     i25 = get32(i28 | 0) | 0;
     i27 = i25 + 1 | 0;
     set32(i28 | 0, i27 | 0);
     i28 = i11 + 244 | 0;
     set32(i28 | 0, (get32(i28 | 0) | 0) + 1 | 0);
     i28 = i11 + 240 | 0;
     if ((i25 | 0) >= (get32(i28 | 0) | 0)) set32(i28 | 0, i27 | 0);
     i21 = i26;
     i22 = 39;
     break L3;
    } while (0);
    if (!(get32(50 * 4 | 0) | 0)) {
     i23 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
     if (i23) {
      i29 = i23;
      break;
     }
    } else {
     i23 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
     set32(35 * 4 | 0, 192 | 0);
     if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
     i26 = get32(6 * 4 | 0) | 0;
     do if (i26) {
      i27 = get32(30 * 4 | 0) | 0;
      i28 = ((i27 | 0) < 0) << 31 >> 31;
      i25 = 16;
      i30 = _i64Subtract(get32(i25 | 0) | 0, get32(i25 + 4 | 0) | 0, i23 | 0, ((i23 | 0) < 0) << 31 >> 31 | 0) | 0;
      i25 = tempRet0;
      if ((i28 | 0) < (i25 | 0) | (i28 | 0) == (i25 | 0) & i27 >>> 0 < i30 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i30 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i26 & 15](i30, i27, i28, i23);
       set32(6 * 4 | 0, i26 | 0);
       set32(7 * 4 | 0, i30 | 0);
       break;
      }
     } while (0);
     i26 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i23) | 0;
     if (i26) {
      i30 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i26) | 0;
      i28 = (get32(30 * 4 | 0) | 0) + i30 | 0;
      set32(30 * 4 | 0, i28 | 0);
      if ((i28 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i28 | 0);
      i28 = get32(39 * 4 | 0) | 0;
      i30 = i28 + 1 | 0;
      set32(39 * 4 | 0, i30 | 0);
      if ((i28 | 0) < (get32(49 * 4 | 0) | 0)) {
       i29 = i26;
       break;
      }
      set32(49 * 4 | 0, i30 | 0);
      i29 = i26;
      break;
     }
    }
    set8(i24 >> 0 | 0, 1 | 0);
    i22 = 40;
   } else i22 = 40;
  } while (0);
  if ((i22 | 0) == 39) if (!i21) i22 = 40; else i29 = i21;
  if ((i22 | 0) == 40) {
   set32(i19 | 0, 0 | 0);
   STACKTOP = i6;
   return;
  }
  _memset(i29 | 0, 0, 192) | 0;
  set32(i29 | 0, i11 | 0);
  i21 = i11 + 136 | 0;
  i26 = get32(i21 | 0) | 0;
  if (i26) set32(i26 + 60 | 0, i29 | 0);
  set32(i29 + 64 | 0, i26 | 0);
  set32(i29 + 60 | 0, 0 | 0);
  set32(i21 | 0, i29 | 0);
  set32(i29 + 52 | 0, 649915045 | 0);
  set32(i19 | 0, i29 | 0);
  i19 = i29 + 28 | 0;
  i21 = i29 + 32 | 0;
  i26 = i29 + 4 | 0;
  i30 = _sqlite3DbRealloc(i11, 0, 1020) | 0;
  if (!i30) i31 = i29; else {
   i28 = get32(i29 | 0) | 0;
   if (((i28 | 0) != 0 ? (get32(i28 + 260 | 0) | 0) >>> 0 <= i30 >>> 0 : 0) ? (get32(i28 + 264 | 0) | 0) >>> 0 > i30 >>> 0 : 0) i32 = getU16(i28 + 232 | 0) | 0; else i32 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i30) | 0;
   set32(i21 | 0, (i32 >>> 0) / 20 | 0 | 0);
   set32(i26 | 0, i30 | 0);
   set32(i19 | 0, (get32(i19 | 0) | 0) + 1 | 0);
   set8(i30 >> 0 | 0, -120 | 0);
   set8(i30 + 1 >> 0 | 0, 0 | 0);
   i33 = i30 + 3 | 0;
   i34 = i33 + 17 | 0;
   do {
    set8(i33 >> 0 | 0, 0 | 0);
    i33 = i33 + 1 | 0;
   } while ((i33 | 0) < (i34 | 0));
   i31 = i29;
  }
 } else i31 = i20;
 if ((i2 | 0) == 0 | (i31 | 0) == 0) {
  STACKTOP = i6;
  return;
 }
 i20 = i2 + 20 | 0;
 i29 = get32(i20 | 0) | 0;
 if (!i29) {
  STACKTOP = i6;
  return;
 }
 i30 = get32(i2 | 0) | 0;
 i19 = i30;
 if (!(_memcmp(i30, 29355, 7) | 0)) {
  STACKTOP = i6;
  return;
 }
 i26 = get32(i2 + 68 | 0) | 0;
 L81 : do if (i26) {
  i32 = get32(i11 + 4 | 0) | 0;
  if ((i32 | 0) > 0) {
   i21 = get32(i11 + 8 | 0) | 0;
   i28 = 0;
   while (1) {
    if ((get32(i21 + (i28 << 4) + 12 | 0) | 0) == (i26 | 0)) {
     i35 = i28;
     break L81;
    }
    i27 = i28 + 1 | 0;
    if ((i27 | 0) < (i32 | 0)) i28 = i27; else {
     i35 = i27;
     break;
    }
   }
  } else i35 = 0;
 } else i35 = -1e6; while (0);
 i26 = get32((get32(i11 + 8 | 0) | 0) + (i35 << 4) | 0) | 0;
 i28 = get32(i1 | 0) | 0;
 L88 : do if (((get8(i28 + 124 >> 0 | 0) | 0) == 0 ? (get8(i1 + 528 >> 0 | 0) | 0) == 0 : 0) ? (i32 = get32(i28 + 268 | 0) | 0, (i32 | 0) != 0) : 0) switch (FUNCTION_TABLE_iiiiiii[i32 & 3](get32(i28 + 272 | 0) | 0, 28, i30, 0, i26, get32(i1 + 516 | 0) | 0) | 0) {
 case 1:
  {
   _sqlite3ErrorMsg(i1, 26149, i10);
   set32(i1 + 4 | 0, 23 | 0);
   STACKTOP = i6;
   return;
  }
 case 0:
  {
   i36 = get32(i20 | 0) | 0;
   i37 = get32(i2 | 0) | 0;
   break L88;
   break;
  }
 case 2:
  {
   STACKTOP = i6;
   return;
  }
 default:
  {
   _sqlite3ErrorMsg(i1, 29155, i9);
   set32(i1 + 4 | 0, 1 | 0);
   STACKTOP = i6;
   return;
  }
 } else {
  i36 = i29;
  i37 = i19;
 } while (0);
 i19 = get32(i1 + 424 | 0) | 0;
 i29 = (i19 | 0) == 0 ? i1 : i19;
 i19 = i29 + 400 | 0;
 i9 = get32(i19 | 0) | 0;
 i10 = i29 + 404 | 0;
 do if ((i9 | 0) > 0) {
  i26 = get32(i10 | 0) | 0;
  i30 = 0;
  while (1) {
   if ((get32(i26 + (i30 << 4) | 0) | 0) == (i35 | 0) ? (get32(i26 + (i30 << 4) + 4 | 0) | 0) == (i36 | 0) : 0) {
    i38 = i30;
    i22 = 70;
    break;
   }
   i30 = i30 + 1 | 0;
   if ((i30 | 0) >= (i9 | 0)) {
    i22 = 72;
    break;
   }
  }
  if ((i22 | 0) == 70) {
   i30 = i26 + (i38 << 4) + 8 | 0;
   set8(i30 >> 0 | 0, (get8(i30 >> 0 | 0) | 0) != 0 & 1 | 0);
   break;
  } else if ((i22 | 0) == 72) {
   i39 = i10;
   i40 = i26;
   i22 = 73;
   break;
  }
 } else {
  i39 = i10;
  i40 = get32(i10 | 0) | 0;
  i22 = 73;
 } while (0);
 do if ((i22 | 0) == 73) {
  i10 = get32(i29 | 0) | 0;
  i38 = _sqlite3DbRealloc(i10, i40, (i9 << 4) + 16 | 0) | 0;
  if (!i38) {
   _sqlite3DbFree(i10, i40);
   set32(i39 | 0, 0 | 0);
   set32(i19 | 0, 0 | 0);
   set8((get32(i29 | 0) | 0) + 30 >> 0 | 0, 1 | 0);
   break;
  } else {
   set32(i39 | 0, i38 | 0);
   i10 = get32(i19 | 0) | 0;
   set32(i19 | 0, i10 + 1 | 0);
   set32(i38 + (i10 << 4) | 0, i35 | 0);
   set32(i38 + (i10 << 4) + 4 | 0, i36 | 0);
   set8(i38 + (i10 << 4) + 8 >> 0 | 0, 0 | 0);
   set32(i38 + (i10 << 4) + 12 | 0, i37 | 0);
   break;
  }
 } while (0);
 i37 = i1 + 68 | 0;
 i36 = get32(i37 | 0) | 0;
 set32(i37 | 0, i36 + 1 | 0);
 i37 = get32(i2 | 0) | 0;
 i19 = i31 + 28 | 0;
 i39 = get32(i19 | 0) | 0;
 i29 = i31 + 32 | 0;
 i40 = get32(i29 | 0) | 0;
 if ((i40 | 0) <= (i39 | 0)) {
  i9 = i31 + 4 | 0;
  i10 = _sqlite3DbRealloc(get32(i31 | 0) | 0, get32(i9 | 0) | 0, (i40 | 0) == 0 ? 1020 : i40 * 40 | 0) | 0;
  if (!i10) i41 = 1; else {
   i40 = get32(i31 | 0) | 0;
   if (((i40 | 0) != 0 ? (get32(i40 + 260 | 0) | 0) >>> 0 <= i10 >>> 0 : 0) ? (get32(i40 + 264 | 0) | 0) >>> 0 > i10 >>> 0 : 0) i42 = getU16(i40 + 232 | 0) | 0; else i42 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i10) | 0;
   set32(i29 | 0, (i42 >>> 0) / 20 | 0 | 0);
   set32(i9 | 0, i10 | 0);
   i43 = get32(i19 | 0) | 0;
   i44 = i10;
   i22 = 85;
  }
 } else {
  i43 = i39;
  i44 = get32(i31 + 4 | 0) | 0;
  i22 = 85;
 }
 if ((i22 | 0) == 85) {
  set32(i19 | 0, i43 + 1 | 0);
  set8(i44 + (i39 * 20 | 0) >> 0 | 0, 94 | 0);
  set8(i44 + (i39 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i44 + (i39 * 20 | 0) + 4 | 0, 0 | 0);
  set32(i44 + (i39 * 20 | 0) + 8 | 0, i5 | 0);
  set32(i44 + (i39 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i44 + (i39 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i44 + (i39 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i41 = i39;
 }
 _sqlite3VdbeChangeP4(i31, i41, i37, 0);
 i37 = i2 + 16 | 0;
 i2 = get32(i37 | 0) | 0;
 do if (i2) {
  i41 = (i3 | 0) == 0;
  i39 = i1 + 64 | 0;
  i44 = i5 + 8 | 0;
  i43 = i1 + 72 | 0;
  i10 = i31 + 4 | 0;
  i9 = i31 + 36 | 0;
  i42 = i31 + 40 | 0;
  i40 = i31 + 44 | 0;
  i38 = i11 + 30 | 0;
  i30 = -1;
  i28 = i2;
  L133 : while (1) {
   do if (i41 | (i28 | 0) == (i3 | 0)) {
    i32 = get32(i28 + 4 | 0) | 0;
    i21 = i32 + 12 + (i32 << 2) | 0;
    i24 = get32(i1 | 0) | 0;
    L137 : do if (!i24) if ((i21 + -1 | 0) >>> 0 <= 2147483390) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i45 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i21) | 0;
      i22 = 128;
      break;
     }
     i23 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i21) | 0;
     set32(35 * 4 | 0, i21 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i21 | 0)) set32(45 * 4 | 0, i21 | 0);
     i27 = get32(6 * 4 | 0) | 0;
     do if (i27) {
      i25 = get32(30 * 4 | 0) | 0;
      i46 = ((i25 | 0) < 0) << 31 >> 31;
      i47 = 16;
      i48 = _i64Subtract(get32(i47 | 0) | 0, get32(i47 + 4 | 0) | 0, i23 | 0, ((i23 | 0) < 0) << 31 >> 31 | 0) | 0;
      i47 = tempRet0;
      if ((i46 | 0) < (i47 | 0) | (i46 | 0) == (i47 | 0) & i25 >>> 0 < i48 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i48 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i27 & 15](i48, i25, i46, i23);
       set32(6 * 4 | 0, i27 | 0);
       set32(7 * 4 | 0, i48 | 0);
       break;
      }
     } while (0);
     i27 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i23) | 0;
     if (i27) {
      i48 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i27) | 0;
      i46 = (get32(30 * 4 | 0) | 0) + i48 | 0;
      set32(30 * 4 | 0, i46 | 0);
      if ((i46 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i46 | 0);
      i46 = get32(39 * 4 | 0) | 0;
      i48 = i46 + 1 | 0;
      set32(39 * 4 | 0, i48 | 0);
      if ((i46 | 0) < (get32(49 * 4 | 0) | 0)) {
       i49 = i27;
       i22 = 129;
       break;
      }
      set32(49 * 4 | 0, i48 | 0);
      i49 = i27;
      i22 = 129;
     } else {
      i50 = 0;
      i51 = 0;
     }
    } else {
     i50 = 0;
     i51 = 0;
    } else {
     i27 = i24 + 30 | 0;
     if (!(get8(i27 >> 0 | 0) | 0)) {
      do if (get8(i24 + 234 >> 0 | 0) | 0) {
       if ((getU16(i24 + 232 | 0) | 0) < (i21 | 0)) {
        i48 = i24 + 248 | 0;
        set32(i48 | 0, (get32(i48 | 0) | 0) + 1 | 0);
        break;
       }
       i48 = i24 + 256 | 0;
       i46 = get32(i48 | 0) | 0;
       if (!i46) {
        i25 = i24 + 252 | 0;
        set32(i25 | 0, (get32(i25 | 0) | 0) + 1 | 0);
        break;
       }
       set32(i48 | 0, get32(i46 | 0) | 0);
       i48 = i24 + 236 | 0;
       i25 = get32(i48 | 0) | 0;
       i47 = i25 + 1 | 0;
       set32(i48 | 0, i47 | 0);
       i48 = i24 + 244 | 0;
       set32(i48 | 0, (get32(i48 | 0) | 0) + 1 | 0);
       i48 = i24 + 240 | 0;
       if ((i25 | 0) >= (get32(i48 | 0) | 0)) set32(i48 | 0, i47 | 0);
       i45 = i46;
       i22 = 128;
       break L137;
      } while (0);
      do if ((i21 + -1 | 0) >>> 0 <= 2147483390) {
       if (!(get32(50 * 4 | 0) | 0)) {
        i23 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i21) | 0;
        if (!i23) break; else {
         i49 = i23;
         i22 = 129;
         break L137;
        }
       }
       i23 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i21) | 0;
       set32(35 * 4 | 0, i21 | 0);
       if ((get32(45 * 4 | 0) | 0) < (i21 | 0)) set32(45 * 4 | 0, i21 | 0);
       i46 = get32(6 * 4 | 0) | 0;
       do if (i46) {
        i47 = get32(30 * 4 | 0) | 0;
        i48 = ((i47 | 0) < 0) << 31 >> 31;
        i25 = 16;
        i52 = _i64Subtract(get32(i25 | 0) | 0, get32(i25 + 4 | 0) | 0, i23 | 0, ((i23 | 0) < 0) << 31 >> 31 | 0) | 0;
        i25 = tempRet0;
        if ((i48 | 0) < (i25 | 0) | (i48 | 0) == (i25 | 0) & i47 >>> 0 < i52 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i52 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i46 & 15](i52, i47, i48, i23);
         set32(6 * 4 | 0, i46 | 0);
         set32(7 * 4 | 0, i52 | 0);
         break;
        }
       } while (0);
       i46 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i23) | 0;
       if (!i46) break;
       i52 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i46) | 0;
       i48 = (get32(30 * 4 | 0) | 0) + i52 | 0;
       set32(30 * 4 | 0, i48 | 0);
       if ((i48 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i48 | 0);
       i48 = get32(39 * 4 | 0) | 0;
       i52 = i48 + 1 | 0;
       set32(39 * 4 | 0, i52 | 0);
       if ((i48 | 0) < (get32(49 * 4 | 0) | 0)) {
        i49 = i46;
        i22 = 129;
        break L137;
       }
       set32(49 * 4 | 0, i52 | 0);
       i49 = i46;
       i22 = 129;
       break L137;
      } while (0);
      set8(i27 >> 0 | 0, 1 | 0);
      i50 = 0;
      i51 = 0;
     } else {
      i50 = 0;
      i51 = 0;
     }
    } while (0);
    if ((i22 | 0) == 128) {
     i22 = 0;
     if (!i45) {
      i50 = 0;
      i51 = 0;
     } else {
      i49 = i45;
      i22 = 129;
     }
    }
    if ((i22 | 0) == 129) {
     i22 = 0;
     _memset(i49 | 0, 0, i21 | 0) | 0;
     i46 = get32(i1 | 0) | 0;
     set32(i49 | 0, i46 | 0);
     i52 = i49 + 12 | 0;
     i48 = i49 + 8 | 0;
     set32(i48 | 0, i52 + (i32 << 2) | 0);
     L195 : do if ((i32 | 0) > 0) {
      i47 = i28 + 44 | 0;
      i25 = i28 + 40 | 0;
      i53 = i46;
      i54 = 0;
      while (1) {
       i55 = get32((get32(i47 | 0) | 0) + (i54 << 2) | 0) | 0;
       i56 = get8((get32((get32(i53 + 8 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0) | 0;
       i57 = get8(i53 + 124 >> 0 | 0) | 0;
       i58 = _sqlite3FindCollSeq(i53, i56, i55, i57 & 255) | 0;
       do if (!(i57 << 24 >> 24)) {
        if ((i58 | 0) != 0 ? (get32(i58 + 12 | 0) | 0) != 0 : 0) {
         i59 = i58;
         break;
        }
        i60 = _sqlite3GetCollSeq(i53, i56, i58, i55) | 0;
        if (i60) {
         i59 = i60;
         break;
        }
        set32(i8 | 0, i55 | 0);
        _sqlite3ErrorMsg(i1, 30475, i8);
        i59 = 0;
       } else i59 = i58; while (0);
       set32(i52 + (i54 << 2) | 0, i59 | 0);
       set8((get32(i48 | 0) | 0) + i54 >> 0 | 0, get8((get32(i25 | 0) | 0) + i54 >> 0 | 0) | 0 | 0);
       i58 = i54 + 1 | 0;
       if ((i58 | 0) == (i32 | 0)) break L195;
       i53 = get32(i1 | 0) | 0;
       i54 = i58;
      }
     } while (0);
     set16(i49 + 6 | 0, i32 | 0);
     i50 = i49;
     i51 = i49;
    }
    if (!(get32(i39 | 0) | 0)) i61 = i51; else {
     _sqlite3DbFree(i24, i50);
     i61 = 0;
    }
    i48 = i32 << 1;
    i52 = i48 + i44 | 0;
    if ((i52 | 0) > (get32(i43 | 0) | 0)) set32(i43 | 0, i52 | 0);
    i52 = get32(i28 + 20 | 0) | 0;
    i46 = get32(i19 | 0) | 0;
    i21 = get32(i29 | 0) | 0;
    if ((i21 | 0) <= (i46 | 0)) {
     i54 = _sqlite3DbRealloc(get32(i31 | 0) | 0, get32(i10 | 0) | 0, (i21 | 0) == 0 ? 1020 : i21 * 40 | 0) | 0;
     if (!i54) i62 = 1; else {
      i21 = get32(i31 | 0) | 0;
      do if (!i21) i22 = 150; else {
       if ((get32(i21 + 260 | 0) | 0) >>> 0 > i54 >>> 0) {
        i22 = 150;
        break;
       }
       if ((get32(i21 + 264 | 0) | 0) >>> 0 <= i54 >>> 0) {
        i22 = 150;
        break;
       }
       i63 = getU16(i21 + 232 | 0) | 0;
      } while (0);
      if ((i22 | 0) == 150) {
       i22 = 0;
       i63 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i54) | 0;
      }
      set32(i29 | 0, (i63 >>> 0) / 20 | 0 | 0);
      set32(i10 | 0, i54 | 0);
      i64 = get32(i19 | 0) | 0;
      i65 = i54;
      i22 = 152;
     }
    } else {
     i64 = i46;
     i65 = get32(i10 | 0) | 0;
     i22 = 152;
    }
    if ((i22 | 0) == 152) {
     i22 = 0;
     set32(i19 | 0, i64 + 1 | 0);
     set8(i65 + (i46 * 20 | 0) >> 0 | 0, 38 | 0);
     set8(i65 + (i46 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i65 + (i46 * 20 | 0) + 4 | 0, i36 | 0);
     set32(i65 + (i46 * 20 | 0) + 8 | 0, i52 | 0);
     set32(i65 + (i46 * 20 | 0) + 12 | 0, i35 | 0);
     set32(i65 + (i46 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i65 + (i46 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i62 = i46;
    }
    i21 = get32(i31 | 0) | 0;
    i24 = get32(i10 | 0) | 0;
    do if ((i24 | 0) != 0 ? (get8(i21 + 30 >> 0 | 0) | 0) == 0 : 0) {
     if ((i62 | 0) < 0) i66 = (get32(i19 | 0) | 0) + -1 | 0; else i66 = i62;
     i53 = i24 + (i66 * 20 | 0) + 1 | 0;
     i25 = i24 + (i66 * 20 | 0) + 16 | 0;
     _freeP4(i21, get8(i53 >> 0 | 0) | 0, get32(i25 | 0) | 0);
     set32(i25 | 0, 0 | 0);
     if (!i61) {
      set32(i25 | 0, 0 | 0);
      set8(i53 >> 0 | 0, 0 | 0);
      break;
     } else {
      set32(i25 | 0, i61 | 0);
      set8(i53 >> 0 | 0, -6 | 0);
      break;
     }
    } else i22 = 155; while (0);
    if ((i22 | 0) == 155 ? (i22 = 0, (i61 | 0) != 0) : 0) _sqlite3DbFree(i21, i61);
    i24 = get32(i28 | 0) | 0;
    i46 = get32(i19 | 0) | 0;
    i52 = get32(i29 | 0) | 0;
    do if ((i52 | 0) > (i46 | 0)) {
     i67 = i46;
     i68 = get32(i10 | 0) | 0;
     i22 = 171;
    } else {
     i54 = _sqlite3DbRealloc(get32(i31 | 0) | 0, get32(i10 | 0) | 0, (i52 | 0) == 0 ? 1020 : i52 * 40 | 0) | 0;
     if (!i54) {
      i69 = 1;
      break;
     }
     i53 = get32(i31 | 0) | 0;
     do if (!i53) i22 = 169; else {
      if ((get32(i53 + 260 | 0) | 0) >>> 0 > i54 >>> 0) {
       i22 = 169;
       break;
      }
      if ((get32(i53 + 264 | 0) | 0) >>> 0 <= i54 >>> 0) {
       i22 = 169;
       break;
      }
      i70 = getU16(i53 + 232 | 0) | 0;
     } while (0);
     if ((i22 | 0) == 169) {
      i22 = 0;
      i70 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i54) | 0;
     }
     set32(i29 | 0, (i70 >>> 0) / 20 | 0 | 0);
     set32(i10 | 0, i54 | 0);
     i67 = get32(i19 | 0) | 0;
     i68 = i54;
     i22 = 171;
    } while (0);
    if ((i22 | 0) == 171) {
     i22 = 0;
     set32(i19 | 0, i67 + 1 | 0);
     set8(i68 + (i46 * 20 | 0) >> 0 | 0, 94 | 0);
     set8(i68 + (i46 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i68 + (i46 * 20 | 0) + 4 | 0, 0 | 0);
     set32(i68 + (i46 * 20 | 0) + 8 | 0, i12 | 0);
     set32(i68 + (i46 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i68 + (i46 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i68 + (i46 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i69 = i46;
    }
    _sqlite3VdbeChangeP4(i31, i69, i24, 0);
    do if ((i32 | 0) < 0) i71 = 0; else {
     i52 = 0;
     while (1) {
      i21 = i52 + i18 | 0;
      i53 = get32(i19 | 0) | 0;
      i25 = get32(i29 | 0) | 0;
      do if ((i25 | 0) > (i53 | 0)) {
       i72 = i53;
       i73 = get32(i10 | 0) | 0;
       i22 = 184;
      } else {
       i47 = _sqlite3DbRealloc(get32(i31 | 0) | 0, get32(i10 | 0) | 0, (i25 | 0) == 0 ? 1020 : i25 * 40 | 0) | 0;
       if (!i47) break;
       i27 = get32(i31 | 0) | 0;
       do if (!i27) i22 = 182; else {
        if ((get32(i27 + 260 | 0) | 0) >>> 0 > i47 >>> 0) {
         i22 = 182;
         break;
        }
        if ((get32(i27 + 264 | 0) | 0) >>> 0 <= i47 >>> 0) {
         i22 = 182;
         break;
        }
        i74 = getU16(i27 + 232 | 0) | 0;
       } while (0);
       if ((i22 | 0) == 182) {
        i22 = 0;
        i74 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i47) | 0;
       }
       set32(i29 | 0, (i74 >>> 0) / 20 | 0 | 0);
       set32(i10 | 0, i47 | 0);
       i72 = get32(i19 | 0) | 0;
       i73 = i47;
       i22 = 184;
      } while (0);
      if ((i22 | 0) == 184) {
       i22 = 0;
       set32(i19 | 0, i72 + 1 | 0);
       set8(i73 + (i53 * 20 | 0) >> 0 | 0, 7 | 0);
       set8(i73 + (i53 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i73 + (i53 * 20 | 0) + 4 | 0, 0 | 0);
       set32(i73 + (i53 * 20 | 0) + 8 | 0, i21 | 0);
       set32(i73 + (i53 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i73 + (i53 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i73 + (i53 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      }
      if ((i52 | 0) == (i32 | 0)) break; else i52 = i52 + 1 | 0;
     }
     i52 = (i32 | 0) > 0;
     if (!i52) {
      i71 = 0;
      break;
     }
     i54 = i44 + i32 | 0;
     i25 = 0;
     do {
      i27 = i54 + i25 | 0;
      i58 = get32(i19 | 0) | 0;
      i55 = get32(i29 | 0) | 0;
      do if ((i55 | 0) > (i58 | 0)) {
       i75 = i58;
       i76 = get32(i10 | 0) | 0;
       i22 = 195;
      } else {
       i56 = _sqlite3DbRealloc(get32(i31 | 0) | 0, get32(i10 | 0) | 0, (i55 | 0) == 0 ? 1020 : i55 * 40 | 0) | 0;
       if (!i56) break;
       i57 = get32(i31 | 0) | 0;
       do if (!i57) i22 = 193; else {
        if ((get32(i57 + 260 | 0) | 0) >>> 0 > i56 >>> 0) {
         i22 = 193;
         break;
        }
        if ((get32(i57 + 264 | 0) | 0) >>> 0 <= i56 >>> 0) {
         i22 = 193;
         break;
        }
        i77 = getU16(i57 + 232 | 0) | 0;
       } while (0);
       if ((i22 | 0) == 193) {
        i22 = 0;
        i77 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i56) | 0;
       }
       set32(i29 | 0, (i77 >>> 0) / 20 | 0 | 0);
       set32(i10 | 0, i56 | 0);
       i75 = get32(i19 | 0) | 0;
       i76 = i56;
       i22 = 195;
      } while (0);
      if ((i22 | 0) == 195) {
       i22 = 0;
       set32(i19 | 0, i75 + 1 | 0);
       set8(i76 + (i58 * 20 | 0) >> 0 | 0, 10 | 0);
       set8(i76 + (i58 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i76 + (i58 * 20 | 0) + 4 | 0, 0 | 0);
       set32(i76 + (i58 * 20 | 0) + 8 | 0, i27 | 0);
       set32(i76 + (i58 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i76 + (i58 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i76 + (i58 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      }
      i25 = i25 + 1 | 0;
     } while ((i25 | 0) != (i32 | 0));
     i71 = i52;
    } while (0);
    i24 = get32(i9 | 0) | 0;
    set32(i9 | 0, i24 + 1 | 0);
    i46 = get32(i42 | 0) | 0;
    if ((i24 | 0) >= (i46 | 0)) {
     i52 = get32(i31 | 0) | 0;
     i25 = get32(i40 | 0) | 0;
     i54 = _sqlite3DbRealloc(i52, i25, (i46 << 3) + 20 | 0) | 0;
     do if (!i54) {
      _sqlite3DbFree(i52, i25);
      set32(i40 | 0, 0 | 0);
      i22 = 204;
     } else {
      set32(i40 | 0, i54 | 0);
      i46 = get32(i31 | 0) | 0;
      if (!i46) {
       i22 = 204;
       break;
      }
      if ((get32(i46 + 260 | 0) | 0) >>> 0 > i54 >>> 0) {
       i22 = 204;
       break;
      }
      if ((get32(i46 + 264 | 0) | 0) >>> 0 <= i54 >>> 0) {
       i22 = 204;
       break;
      }
      i78 = getU16(i46 + 232 | 0) | 0;
     } while (0);
     if ((i22 | 0) == 204) {
      i22 = 0;
      i78 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i54) | 0;
     }
     set32(i42 | 0, i78 >>> 2 | 0);
    }
    i25 = get32(i40 | 0) | 0;
    if (i25) set32(i25 + (i24 << 2) | 0, -1 | 0);
    i25 = ~i24;
    i52 = get32(i19 | 0) | 0;
    i46 = get32(i29 | 0) | 0;
    do if ((i46 | 0) > (i52 | 0)) {
     i79 = i46;
     i80 = i52;
     i81 = get32(i10 | 0) | 0;
     i22 = 218;
    } else {
     i55 = _sqlite3DbRealloc(get32(i31 | 0) | 0, get32(i10 | 0) | 0, (i46 | 0) == 0 ? 1020 : i46 * 40 | 0) | 0;
     if (!i55) {
      i82 = get32(i19 | 0) | 0;
      i83 = get32(i29 | 0) | 0;
      break;
     }
     i53 = get32(i31 | 0) | 0;
     do if (!i53) i22 = 216; else {
      if ((get32(i53 + 260 | 0) | 0) >>> 0 > i55 >>> 0) {
       i22 = 216;
       break;
      }
      if ((get32(i53 + 264 | 0) | 0) >>> 0 <= i55 >>> 0) {
       i22 = 216;
       break;
      }
      i84 = getU16(i53 + 232 | 0) | 0;
     } while (0);
     if ((i22 | 0) == 216) {
      i22 = 0;
      i84 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i55) | 0;
     }
     i53 = (i84 >>> 0) / 20 | 0;
     set32(i29 | 0, i53 | 0);
     set32(i10 | 0, i55 | 0);
     i79 = i53;
     i80 = get32(i19 | 0) | 0;
     i81 = i55;
     i22 = 218;
    } while (0);
    if ((i22 | 0) == 218) {
     i22 = 0;
     i46 = i80 + 1 | 0;
     set32(i19 | 0, i46 | 0);
     set8(i81 + (i52 * 20 | 0) >> 0 | 0, 65 | 0);
     set8(i81 + (i52 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i81 + (i52 * 20 | 0) + 4 | 0, i36 | 0);
     set32(i81 + (i52 * 20 | 0) + 8 | 0, i25 | 0);
     set32(i81 + (i52 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i81 + (i52 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i81 + (i52 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i82 = i46;
     i83 = i79;
    }
    do if ((i83 | 0) > (i82 | 0)) {
     i85 = i82;
     i86 = get32(i10 | 0) | 0;
     i22 = 228;
    } else {
     i46 = _sqlite3DbRealloc(get32(i31 | 0) | 0, get32(i10 | 0) | 0, (i83 | 0) == 0 ? 1020 : i83 * 40 | 0) | 0;
     if (!i46) break;
     i54 = get32(i31 | 0) | 0;
     do if (!i54) i22 = 226; else {
      if ((get32(i54 + 260 | 0) | 0) >>> 0 > i46 >>> 0) {
       i22 = 226;
       break;
      }
      if ((get32(i54 + 264 | 0) | 0) >>> 0 <= i46 >>> 0) {
       i22 = 226;
       break;
      }
      i87 = getU16(i54 + 232 | 0) | 0;
     } while (0);
     if ((i22 | 0) == 226) {
      i22 = 0;
      i87 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i46) | 0;
     }
     set32(i29 | 0, (i87 >>> 0) / 20 | 0 | 0);
     set32(i10 | 0, i46 | 0);
     i85 = get32(i19 | 0) | 0;
     i86 = i46;
     i22 = 228;
    } while (0);
    if ((i22 | 0) == 228) {
     i22 = 0;
     set32(i19 | 0, i85 + 1 | 0);
     set8(i86 + (i82 * 20 | 0) >> 0 | 0, 20 | 0);
     set8(i86 + (i82 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i86 + (i82 * 20 | 0) + 4 | 0, i18 | 0);
     set32(i86 + (i82 * 20 | 0) + 8 | 0, 1 | 0);
     set32(i86 + (i82 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i86 + (i82 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i86 + (i82 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    }
    if (i71) {
     i52 = i28 + 44 | 0;
     i54 = i44 + i32 | 0;
     i55 = 0;
     do {
      i53 = get32(i19 | 0) | 0;
      i21 = get32(i29 | 0) | 0;
      do if ((i21 | 0) > (i53 | 0)) {
       i88 = i53;
       i89 = get32(i10 | 0) | 0;
       i22 = 240;
      } else {
       i57 = _sqlite3DbRealloc(get32(i31 | 0) | 0, get32(i10 | 0) | 0, (i21 | 0) == 0 ? 1020 : i21 * 40 | 0) | 0;
       if (!i57) break;
       i47 = get32(i31 | 0) | 0;
       do if (!i47) i22 = 238; else {
        if ((get32(i47 + 260 | 0) | 0) >>> 0 > i57 >>> 0) {
         i22 = 238;
         break;
        }
        if ((get32(i47 + 264 | 0) | 0) >>> 0 <= i57 >>> 0) {
         i22 = 238;
         break;
        }
        i90 = getU16(i47 + 232 | 0) | 0;
       } while (0);
       if ((i22 | 0) == 238) {
        i22 = 0;
        i90 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i57) | 0;
       }
       set32(i29 | 0, (i90 >>> 0) / 20 | 0 | 0);
       set32(i10 | 0, i57 | 0);
       i88 = get32(i19 | 0) | 0;
       i89 = i57;
       i22 = 240;
      } while (0);
      if ((i22 | 0) == 240) {
       i22 = 0;
       set32(i19 | 0, i88 + 1 | 0);
       set8(i89 + (i53 * 20 | 0) >> 0 | 0, 28 | 0);
       set8(i89 + (i53 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i89 + (i53 * 20 | 0) + 4 | 0, i36 | 0);
       set32(i89 + (i53 * 20 | 0) + 8 | 0, i55 | 0);
       set32(i89 + (i53 * 20 | 0) + 12 | 0, i14 | 0);
       set32(i89 + (i53 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i89 + (i53 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      }
      do if (!i55) {
       i21 = get32(i19 | 0) | 0;
       i46 = get32(i29 | 0) | 0;
       if ((i46 | 0) > (i21 | 0)) {
        i91 = i21;
        i92 = get32(i10 | 0) | 0;
       } else {
        i47 = _sqlite3DbRealloc(get32(i31 | 0) | 0, get32(i10 | 0) | 0, (i46 | 0) == 0 ? 1020 : i46 * 40 | 0) | 0;
        if (!i47) break;
        i46 = get32(i31 | 0) | 0;
        do if (!i46) i22 = 249; else {
         if ((get32(i46 + 260 | 0) | 0) >>> 0 > i47 >>> 0) {
          i22 = 249;
          break;
         }
         if ((get32(i46 + 264 | 0) | 0) >>> 0 <= i47 >>> 0) {
          i22 = 249;
          break;
         }
         i93 = getU16(i46 + 232 | 0) | 0;
        } while (0);
        if ((i22 | 0) == 249) {
         i22 = 0;
         i93 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i47) | 0;
        }
        set32(i29 | 0, (i93 >>> 0) / 20 | 0 | 0);
        set32(i10 | 0, i47 | 0);
        i91 = get32(i19 | 0) | 0;
        i92 = i47;
       }
       set32(i19 | 0, i91 + 1 | 0);
       set8(i92 + (i21 * 20 | 0) >> 0 | 0, 27 | 0);
       set8(i92 + (i21 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i92 + (i21 * 20 | 0) + 4 | 0, i44 | 0);
       set32(i92 + (i21 * 20 | 0) + 8 | 0, 0 | 0);
       set32(i92 + (i21 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i92 + (i21 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i92 + (i21 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      } while (0);
      i53 = get32((get32(i52 | 0) | 0) + (i55 << 2) | 0) | 0;
      i46 = get32(i1 | 0) | 0;
      i57 = get8((get32((get32(i46 + 8 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0) | 0;
      i58 = get8(i46 + 124 >> 0 | 0) | 0;
      i27 = _sqlite3FindCollSeq(i46, i57, i53, i58 & 255) | 0;
      do if (!(i58 << 24 >> 24)) {
       if ((i27 | 0) != 0 ? (get32(i27 + 12 | 0) | 0) != 0 : 0) {
        i94 = i27;
        break;
       }
       i23 = _sqlite3GetCollSeq(i46, i57, i27, i53) | 0;
       if (i23) {
        i94 = i23;
        break;
       }
       set32(i7 | 0, i53 | 0);
       _sqlite3ErrorMsg(i1, 30475, i7);
       i94 = 0;
      } else i94 = i27; while (0);
      i27 = i54 + i55 | 0;
      i53 = get32(i19 | 0) | 0;
      i57 = get32(i29 | 0) | 0;
      do if ((i57 | 0) > (i53 | 0)) {
       i95 = i53;
       i96 = get32(i10 | 0) | 0;
       i22 = 266;
      } else {
       i46 = _sqlite3DbRealloc(get32(i31 | 0) | 0, get32(i10 | 0) | 0, (i57 | 0) == 0 ? 1020 : i57 * 40 | 0) | 0;
       if (!i46) {
        i97 = 1;
        break;
       }
       i58 = get32(i31 | 0) | 0;
       do if (!i58) i22 = 264; else {
        if ((get32(i58 + 260 | 0) | 0) >>> 0 > i46 >>> 0) {
         i22 = 264;
         break;
        }
        if ((get32(i58 + 264 | 0) | 0) >>> 0 <= i46 >>> 0) {
         i22 = 264;
         break;
        }
        i98 = getU16(i58 + 232 | 0) | 0;
       } while (0);
       if ((i22 | 0) == 264) {
        i22 = 0;
        i98 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i46) | 0;
       }
       set32(i29 | 0, (i98 >>> 0) / 20 | 0 | 0);
       set32(i10 | 0, i46 | 0);
       i95 = get32(i19 | 0) | 0;
       i96 = i46;
       i22 = 266;
      } while (0);
      if ((i22 | 0) == 266) {
       i22 = 0;
       set32(i19 | 0, i95 + 1 | 0);
       set8(i96 + (i53 * 20 | 0) >> 0 | 0, 75 | 0);
       set8(i96 + (i53 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i96 + (i53 * 20 | 0) + 4 | 0, i14 | 0);
       set32(i96 + (i53 * 20 | 0) + 8 | 0, 0 | 0);
       set32(i96 + (i53 * 20 | 0) + 12 | 0, i27 | 0);
       set32(i96 + (i53 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i96 + (i53 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i97 = i53;
      }
      i57 = get32(i31 | 0) | 0;
      i58 = get32(i10 | 0) | 0;
      do if (i58) {
       do if (!(get8(i57 + 30 >> 0 | 0) | 0)) {
        if ((i97 | 0) < 0) i99 = (get32(i19 | 0) | 0) + -1 | 0; else i99 = i97;
        i21 = i58 + (i99 * 20 | 0) + 1 | 0;
        i47 = i58 + (i99 * 20 | 0) + 16 | 0;
        _freeP4(i57, get8(i21 >> 0 | 0) | 0, get32(i47 | 0) | 0);
        set32(i47 | 0, 0 | 0);
        if (!i94) {
         set32(i47 | 0, 0 | 0);
         set8(i21 >> 0 | 0, 0 | 0);
         break;
        } else {
         set32(i47 | 0, i94 | 0);
         set8(i21 >> 0 | 0, -4 | 0);
         break;
        }
       } while (0);
       i46 = get32(i10 | 0) | 0;
       if (!i46) break;
       set8(i46 + (((get32(i19 | 0) | 0) + -1 | 0) * 20 | 0) + 3 >> 0 | 0, -128 | 0);
      } while (0);
      i55 = i55 + 1 | 0;
     } while ((i55 | 0) != (i32 | 0));
    }
    if (get8(i38 >> 0 | 0) | 0) {
     i22 = 578;
     break L133;
    }
    i55 = get32(i19 | 0) | 0;
    i54 = get32(i29 | 0) | 0;
    do if ((i54 | 0) > (i55 | 0)) {
     i100 = i55;
     i101 = get32(i10 | 0) | 0;
     i22 = 287;
    } else {
     i52 = _sqlite3DbRealloc(get32(i31 | 0) | 0, get32(i10 | 0) | 0, (i54 | 0) == 0 ? 1020 : i54 * 40 | 0) | 0;
     if (!i52) break;
     i57 = get32(i31 | 0) | 0;
     do if (!i57) i22 = 285; else {
      if ((get32(i57 + 260 | 0) | 0) >>> 0 > i52 >>> 0) {
       i22 = 285;
       break;
      }
      if ((get32(i57 + 264 | 0) | 0) >>> 0 <= i52 >>> 0) {
       i22 = 285;
       break;
      }
      i102 = getU16(i57 + 232 | 0) | 0;
     } while (0);
     if ((i22 | 0) == 285) {
      i22 = 0;
      i102 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i52) | 0;
     }
     set32(i29 | 0, (i102 >>> 0) / 20 | 0 | 0);
     set32(i10 | 0, i52 | 0);
     i100 = get32(i19 | 0) | 0;
     i101 = i52;
     i22 = 287;
    } while (0);
    if ((i22 | 0) == 287) {
     i22 = 0;
     set32(i19 | 0, i100 + 1 | 0);
     set8(i101 + (i55 * 20 | 0) >> 0 | 0, 1 | 0);
     set8(i101 + (i55 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i101 + (i55 * 20 | 0) + 4 | 0, 0 | 0);
     set32(i101 + (i55 * 20 | 0) + 8 | 0, i25 | 0);
     set32(i101 + (i55 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i101 + (i55 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i101 + (i55 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    }
    if (i71) {
     i54 = i44 + i32 | 0;
     i57 = (i32 | 0) > 0;
     i58 = 0;
     do {
      i53 = get32(i19 | 0) | 0;
      i27 = i53 - i48 | 0;
      do if (!i58) {
       i46 = i27 + -1 | 0;
       if ((i53 | 0) <= (i46 | 0)) break;
       set32((get32(i10 | 0) | 0) + (i46 * 20 | 0) + 8 | 0, i53 | 0);
      } while (0);
      if (i57) set32((get32(i10 | 0) | 0) + (i27 * 20 | 0) + 8 | 0, i53 | 0);
      i52 = i44 + i58 | 0;
      i46 = get32(i29 | 0) | 0;
      do if ((i46 | 0) > (i53 | 0)) {
       i103 = i46;
       i104 = i53;
       i105 = get32(i10 | 0) | 0;
       i22 = 305;
      } else {
       i21 = _sqlite3DbRealloc(get32(i31 | 0) | 0, get32(i10 | 0) | 0, (i46 | 0) == 0 ? 1020 : i46 * 40 | 0) | 0;
       if (!i21) {
        i106 = get32(i29 | 0) | 0;
        i107 = get32(i19 | 0) | 0;
        break;
       }
       i47 = get32(i31 | 0) | 0;
       do if (!i47) i22 = 303; else {
        if ((get32(i47 + 260 | 0) | 0) >>> 0 > i21 >>> 0) {
         i22 = 303;
         break;
        }
        if ((get32(i47 + 264 | 0) | 0) >>> 0 <= i21 >>> 0) {
         i22 = 303;
         break;
        }
        i108 = getU16(i47 + 232 | 0) | 0;
       } while (0);
       if ((i22 | 0) == 303) {
        i22 = 0;
        i108 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i21) | 0;
       }
       i47 = (i108 >>> 0) / 20 | 0;
       set32(i29 | 0, i47 | 0);
       set32(i10 | 0, i21 | 0);
       i103 = i47;
       i104 = get32(i19 | 0) | 0;
       i105 = i21;
       i22 = 305;
      } while (0);
      if ((i22 | 0) == 305) {
       i22 = 0;
       i46 = i104 + 1 | 0;
       set32(i19 | 0, i46 | 0);
       set8(i105 + (i53 * 20 | 0) >> 0 | 0, 20 | 0);
       set8(i105 + (i53 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i105 + (i53 * 20 | 0) + 4 | 0, i52 | 0);
       set32(i105 + (i53 * 20 | 0) + 8 | 0, 1 | 0);
       set32(i105 + (i53 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i105 + (i53 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i105 + (i53 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i106 = i103;
       i107 = i46;
      }
      i46 = i54 + i58 | 0;
      do if ((i106 | 0) > (i107 | 0)) {
       i109 = i107;
       i110 = get32(i10 | 0) | 0;
       i22 = 315;
      } else {
       i27 = _sqlite3DbRealloc(get32(i31 | 0) | 0, get32(i10 | 0) | 0, (i106 | 0) == 0 ? 1020 : i106 * 40 | 0) | 0;
       if (!i27) break;
       i47 = get32(i31 | 0) | 0;
       do if (!i47) i22 = 313; else {
        if ((get32(i47 + 260 | 0) | 0) >>> 0 > i27 >>> 0) {
         i22 = 313;
         break;
        }
        if ((get32(i47 + 264 | 0) | 0) >>> 0 <= i27 >>> 0) {
         i22 = 313;
         break;
        }
        i111 = getU16(i47 + 232 | 0) | 0;
       } while (0);
       if ((i22 | 0) == 313) {
        i22 = 0;
        i111 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i27) | 0;
       }
       set32(i29 | 0, (i111 >>> 0) / 20 | 0 | 0);
       set32(i10 | 0, i27 | 0);
       i109 = get32(i19 | 0) | 0;
       i110 = i27;
       i22 = 315;
      } while (0);
      if ((i22 | 0) == 315) {
       i22 = 0;
       set32(i19 | 0, i109 + 1 | 0);
       set8(i110 + (i107 * 20 | 0) >> 0 | 0, 28 | 0);
       set8(i110 + (i107 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i110 + (i107 * 20 | 0) + 4 | 0, i36 | 0);
       set32(i110 + (i107 * 20 | 0) + 8 | 0, i58 | 0);
       set32(i110 + (i107 * 20 | 0) + 12 | 0, i46 | 0);
       set32(i110 + (i107 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i110 + (i107 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      }
      i58 = i58 + 1 | 0;
     } while ((i58 | 0) != (i32 | 0));
    }
    i58 = get32(i40 | 0) | 0;
    if (i58) set32(i58 + (i24 << 2) | 0, get32(i19 | 0) | 0);
    i58 = get32(i19 | 0) | 0;
    i54 = get32(i29 | 0) | 0;
    do if ((i54 | 0) > (i58 | 0)) {
     i112 = i54;
     i113 = i58;
     i114 = get32(i10 | 0) | 0;
     i22 = 329;
    } else {
     i57 = _sqlite3DbRealloc(get32(i31 | 0) | 0, get32(i10 | 0) | 0, (i54 | 0) == 0 ? 1020 : i54 * 40 | 0) | 0;
     if (!i57) {
      i115 = get32(i29 | 0) | 0;
      i116 = get32(i19 | 0) | 0;
      break;
     }
     i48 = get32(i31 | 0) | 0;
     do if (!i48) i22 = 327; else {
      if ((get32(i48 + 260 | 0) | 0) >>> 0 > i57 >>> 0) {
       i22 = 327;
       break;
      }
      if ((get32(i48 + 264 | 0) | 0) >>> 0 <= i57 >>> 0) {
       i22 = 327;
       break;
      }
      i117 = getU16(i48 + 232 | 0) | 0;
     } while (0);
     if ((i22 | 0) == 327) {
      i22 = 0;
      i117 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i57) | 0;
     }
     i48 = (i117 >>> 0) / 20 | 0;
     set32(i29 | 0, i48 | 0);
     set32(i10 | 0, i57 | 0);
     i112 = i48;
     i113 = get32(i19 | 0) | 0;
     i114 = i57;
     i22 = 329;
    } while (0);
    if ((i22 | 0) == 329) {
     i22 = 0;
     i54 = i113 + 1 | 0;
     set32(i19 | 0, i54 | 0);
     set8(i114 + (i58 * 20 | 0) >> 0 | 0, 67 | 0);
     set8(i114 + (i58 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i114 + (i58 * 20 | 0) + 4 | 0, i36 | 0);
     set32(i114 + (i58 * 20 | 0) + 8 | 0, i82 | 0);
     set32(i114 + (i58 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i114 + (i58 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i114 + (i58 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i115 = i112;
     i116 = i54;
    }
    do if ((i115 | 0) > (i116 | 0)) {
     i118 = i116;
     i119 = get32(i10 | 0) | 0;
     i120 = i115;
     i22 = 340;
    } else {
     i54 = _sqlite3DbRealloc(get32(i31 | 0) | 0, get32(i10 | 0) | 0, (i115 | 0) == 0 ? 1020 : i115 * 40 | 0) | 0;
     if (!i54) {
      i121 = get32(i29 | 0) | 0;
      i122 = get32(i19 | 0) | 0;
      break;
     }
     i24 = get32(i31 | 0) | 0;
     do if (!i24) i22 = 338; else {
      if ((get32(i24 + 260 | 0) | 0) >>> 0 > i54 >>> 0) {
       i22 = 338;
       break;
      }
      if ((get32(i24 + 264 | 0) | 0) >>> 0 <= i54 >>> 0) {
       i22 = 338;
       break;
      }
      i123 = getU16(i24 + 232 | 0) | 0;
     } while (0);
     if ((i22 | 0) == 338) {
      i22 = 0;
      i123 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i54) | 0;
     }
     i24 = (i123 >>> 0) / 20 | 0;
     set32(i29 | 0, i24 | 0);
     set32(i10 | 0, i54 | 0);
     i118 = get32(i19 | 0) | 0;
     i119 = i54;
     i120 = i24;
     i22 = 340;
    } while (0);
    if ((i22 | 0) == 340) {
     i22 = 0;
     i58 = i118 + 1 | 0;
     set32(i19 | 0, i58 | 0);
     set8(i119 + (i116 * 20 | 0) >> 0 | 0, 43 | 0);
     set8(i119 + (i116 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i119 + (i116 * 20 | 0) + 4 | 0, i36 | 0);
     set32(i119 + (i116 * 20 | 0) + 8 | 0, 0 | 0);
     set32(i119 + (i116 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i119 + (i116 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i119 + (i116 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i121 = i120;
     i122 = i58;
    }
    do if ((i121 | 0) > (i122 | 0)) {
     i124 = i122;
     i125 = get32(i10 | 0) | 0;
     i22 = 350;
    } else {
     i58 = _sqlite3DbRealloc(get32(i31 | 0) | 0, get32(i10 | 0) | 0, (i121 | 0) == 0 ? 1020 : i121 * 40 | 0) | 0;
     if (!i58) break;
     i24 = get32(i31 | 0) | 0;
     do if (!i24) i22 = 348; else {
      if ((get32(i24 + 260 | 0) | 0) >>> 0 > i58 >>> 0) {
       i22 = 348;
       break;
      }
      if ((get32(i24 + 264 | 0) | 0) >>> 0 <= i58 >>> 0) {
       i22 = 348;
       break;
      }
      i126 = getU16(i24 + 232 | 0) | 0;
     } while (0);
     if ((i22 | 0) == 348) {
      i22 = 0;
      i126 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i58) | 0;
     }
     set32(i29 | 0, (i126 >>> 0) / 20 | 0 | 0);
     set32(i10 | 0, i58 | 0);
     i124 = get32(i19 | 0) | 0;
     i125 = i58;
     i22 = 350;
    } while (0);
    if ((i22 | 0) == 350) {
     i22 = 0;
     set32(i19 | 0, i124 + 1 | 0);
     set8(i125 + (i122 * 20 | 0) >> 0 | 0, 15 | 0);
     set8(i125 + (i122 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i125 + (i122 * 20 | 0) + 4 | 0, i18 | 0);
     set32(i125 + (i122 * 20 | 0) + 8 | 0, i13 | 0);
     set32(i125 + (i122 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i125 + (i122 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i125 + (i122 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    }
    do if ((i30 | 0) < 0) {
     i24 = get32(i19 | 0) | 0;
     i54 = get32(i29 | 0) | 0;
     if ((i54 | 0) > (i24 | 0)) {
      i127 = i24;
      i128 = get32(i10 | 0) | 0;
     } else {
      i57 = _sqlite3DbRealloc(get32(i31 | 0) | 0, get32(i10 | 0) | 0, (i54 | 0) == 0 ? 1020 : i54 * 40 | 0) | 0;
      if (!i57) {
       i129 = 1;
       break;
      }
      i54 = get32(i31 | 0) | 0;
      do if (!i54) i22 = 359; else {
       if ((get32(i54 + 260 | 0) | 0) >>> 0 > i57 >>> 0) {
        i22 = 359;
        break;
       }
       if ((get32(i54 + 264 | 0) | 0) >>> 0 <= i57 >>> 0) {
        i22 = 359;
        break;
       }
       i130 = getU16(i54 + 232 | 0) | 0;
      } while (0);
      if ((i22 | 0) == 359) {
       i22 = 0;
       i130 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i57) | 0;
      }
      set32(i29 | 0, (i130 >>> 0) / 20 | 0 | 0);
      set32(i10 | 0, i57 | 0);
      i127 = get32(i19 | 0) | 0;
      i128 = i57;
     }
     set32(i19 | 0, i127 + 1 | 0);
     set8(i128 + (i24 * 20 | 0) >> 0 | 0, 27 | 0);
     set8(i128 + (i24 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i128 + (i24 * 20 | 0) + 4 | 0, i18 | 0);
     set32(i128 + (i24 * 20 | 0) + 8 | 0, 0 | 0);
     set32(i128 + (i24 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i128 + (i24 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i128 + (i24 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i129 = i24;
    } else i129 = i30; while (0);
    i54 = get32(i19 | 0) | 0;
    i58 = get32(i29 | 0) | 0;
    i48 = (i58 | 0) > (i54 | 0);
    if (i71) {
     i46 = i58;
     i55 = i54;
     i25 = i48;
     i53 = 0;
     while (1) {
      do if (i25) {
       i131 = i55;
       i132 = get32(i10 | 0) | 0;
       i22 = 372;
      } else {
       i52 = _sqlite3DbRealloc(get32(i31 | 0) | 0, get32(i10 | 0) | 0, (i46 | 0) == 0 ? 1020 : i46 * 40 | 0) | 0;
       if (!i52) {
        i133 = 1;
        break;
       }
       i47 = get32(i31 | 0) | 0;
       do if (!i47) i22 = 370; else {
        if ((get32(i47 + 260 | 0) | 0) >>> 0 > i52 >>> 0) {
         i22 = 370;
         break;
        }
        if ((get32(i47 + 264 | 0) | 0) >>> 0 <= i52 >>> 0) {
         i22 = 370;
         break;
        }
        i134 = getU16(i47 + 232 | 0) | 0;
       } while (0);
       if ((i22 | 0) == 370) {
        i22 = 0;
        i134 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i52) | 0;
       }
       set32(i29 | 0, (i134 >>> 0) / 20 | 0 | 0);
       set32(i10 | 0, i52 | 0);
       i131 = get32(i19 | 0) | 0;
       i132 = i52;
       i22 = 372;
      } while (0);
      if ((i22 | 0) == 372) {
       i22 = 0;
       set32(i19 | 0, i131 + 1 | 0);
       set8(i132 + (i55 * 20 | 0) >> 0 | 0, 94 | 0);
       set8(i132 + (i55 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i132 + (i55 * 20 | 0) + 4 | 0, 0 | 0);
       set32(i132 + (i55 * 20 | 0) + 8 | 0, i16 | 0);
       set32(i132 + (i55 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i132 + (i55 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i132 + (i55 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i133 = i55;
      }
      _sqlite3VdbeChangeP4(i31, i133, 32699, 0);
      i24 = get32(i19 | 0) | 0;
      i57 = get32(i29 | 0) | 0;
      do if ((i57 | 0) > (i24 | 0)) {
       i135 = i24;
       i136 = get32(i10 | 0) | 0;
       i137 = i57;
       i22 = 383;
      } else {
       i47 = _sqlite3DbRealloc(get32(i31 | 0) | 0, get32(i10 | 0) | 0, (i57 | 0) == 0 ? 1020 : i57 * 40 | 0) | 0;
       if (!i47) {
        i138 = get32(i29 | 0) | 0;
        i139 = get32(i19 | 0) | 0;
        break;
       }
       i27 = get32(i31 | 0) | 0;
       do if (!i27) i22 = 381; else {
        if ((get32(i27 + 260 | 0) | 0) >>> 0 > i47 >>> 0) {
         i22 = 381;
         break;
        }
        if ((get32(i27 + 264 | 0) | 0) >>> 0 <= i47 >>> 0) {
         i22 = 381;
         break;
        }
        i140 = getU16(i27 + 232 | 0) | 0;
       } while (0);
       if ((i22 | 0) == 381) {
        i22 = 0;
        i140 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i47) | 0;
       }
       i27 = (i140 >>> 0) / 20 | 0;
       set32(i29 | 0, i27 | 0);
       set32(i10 | 0, i47 | 0);
       i135 = get32(i19 | 0) | 0;
       i136 = i47;
       i137 = i27;
       i22 = 383;
      } while (0);
      if ((i22 | 0) == 383) {
       i22 = 0;
       i57 = i135 + 1 | 0;
       set32(i19 | 0, i57 | 0);
       set8(i136 + (i24 * 20 | 0) >> 0 | 0, 91 | 0);
       set8(i136 + (i24 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i136 + (i24 * 20 | 0) + 4 | 0, i16 | 0);
       set32(i136 + (i24 * 20 | 0) + 8 | 0, i13 | 0);
       set32(i136 + (i24 * 20 | 0) + 12 | 0, i13 | 0);
       set32(i136 + (i24 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i136 + (i24 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i138 = i137;
       i139 = i57;
      }
      i57 = i44 + i53 | 0;
      do if ((i138 | 0) > (i139 | 0)) {
       i141 = i139;
       i142 = get32(i10 | 0) | 0;
       i143 = i138;
       i22 = 394;
      } else {
       i27 = _sqlite3DbRealloc(get32(i31 | 0) | 0, get32(i10 | 0) | 0, (i138 | 0) == 0 ? 1020 : i138 * 40 | 0) | 0;
       if (!i27) {
        i144 = get32(i29 | 0) | 0;
        i145 = get32(i19 | 0) | 0;
        break;
       }
       i52 = get32(i31 | 0) | 0;
       do if (!i52) i22 = 392; else {
        if ((get32(i52 + 260 | 0) | 0) >>> 0 > i27 >>> 0) {
         i22 = 392;
         break;
        }
        if ((get32(i52 + 264 | 0) | 0) >>> 0 <= i27 >>> 0) {
         i22 = 392;
         break;
        }
        i146 = getU16(i52 + 232 | 0) | 0;
       } while (0);
       if ((i22 | 0) == 392) {
        i22 = 0;
        i146 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i27) | 0;
       }
       i52 = (i146 >>> 0) / 20 | 0;
       set32(i29 | 0, i52 | 0);
       set32(i10 | 0, i27 | 0);
       i141 = get32(i19 | 0) | 0;
       i142 = i27;
       i143 = i52;
       i22 = 394;
      } while (0);
      if ((i22 | 0) == 394) {
       i22 = 0;
       i24 = i141 + 1 | 0;
       set32(i19 | 0, i24 | 0);
       set8(i142 + (i139 * 20 | 0) >> 0 | 0, 86 | 0);
       set8(i142 + (i139 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i142 + (i139 * 20 | 0) + 4 | 0, i18 | 0);
       set32(i142 + (i139 * 20 | 0) + 8 | 0, i57 | 0);
       set32(i142 + (i139 * 20 | 0) + 12 | 0, i16 | 0);
       set32(i142 + (i139 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i142 + (i139 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i144 = i143;
       i145 = i24;
      }
      do if ((i144 | 0) > (i145 | 0)) {
       i147 = i145;
       i148 = get32(i10 | 0) | 0;
       i149 = i144;
       i22 = 405;
      } else {
       i24 = _sqlite3DbRealloc(get32(i31 | 0) | 0, get32(i10 | 0) | 0, (i144 | 0) == 0 ? 1020 : i144 * 40 | 0) | 0;
       if (!i24) {
        i150 = get32(i29 | 0) | 0;
        i151 = get32(i19 | 0) | 0;
        break;
       }
       i52 = get32(i31 | 0) | 0;
       do if (!i52) i22 = 403; else {
        if ((get32(i52 + 260 | 0) | 0) >>> 0 > i24 >>> 0) {
         i22 = 403;
         break;
        }
        if ((get32(i52 + 264 | 0) | 0) >>> 0 <= i24 >>> 0) {
         i22 = 403;
         break;
        }
        i152 = getU16(i52 + 232 | 0) | 0;
       } while (0);
       if ((i22 | 0) == 403) {
        i22 = 0;
        i152 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i24) | 0;
       }
       i52 = (i152 >>> 0) / 20 | 0;
       set32(i29 | 0, i52 | 0);
       set32(i10 | 0, i24 | 0);
       i147 = get32(i19 | 0) | 0;
       i148 = i24;
       i149 = i52;
       i22 = 405;
      } while (0);
      if ((i22 | 0) == 405) {
       i22 = 0;
       i52 = i147 + 1 | 0;
       set32(i19 | 0, i52 | 0);
       set8(i148 + (i145 * 20 | 0) >> 0 | 0, 20 | 0);
       set8(i148 + (i145 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i148 + (i145 * 20 | 0) + 4 | 0, i16 | 0);
       set32(i148 + (i145 * 20 | 0) + 8 | 0, -1 | 0);
       set32(i148 + (i145 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i148 + (i145 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i148 + (i145 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i150 = i149;
       i151 = i52;
      }
      do if ((i150 | 0) > (i151 | 0)) {
       i153 = i151;
       i154 = get32(i10 | 0) | 0;
       i155 = i150;
       i22 = 416;
      } else {
       i52 = _sqlite3DbRealloc(get32(i31 | 0) | 0, get32(i10 | 0) | 0, (i150 | 0) == 0 ? 1020 : i150 * 40 | 0) | 0;
       if (!i52) {
        i156 = get32(i29 | 0) | 0;
        i157 = get32(i19 | 0) | 0;
        break;
       }
       i27 = get32(i31 | 0) | 0;
       do if (!i27) i22 = 414; else {
        if ((get32(i27 + 260 | 0) | 0) >>> 0 > i52 >>> 0) {
         i22 = 414;
         break;
        }
        if ((get32(i27 + 264 | 0) | 0) >>> 0 <= i52 >>> 0) {
         i22 = 414;
         break;
        }
        i158 = getU16(i27 + 232 | 0) | 0;
       } while (0);
       if ((i22 | 0) == 414) {
        i22 = 0;
        i158 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i52) | 0;
       }
       i27 = (i158 >>> 0) / 20 | 0;
       set32(i29 | 0, i27 | 0);
       set32(i10 | 0, i52 | 0);
       i153 = get32(i19 | 0) | 0;
       i154 = i52;
       i155 = i27;
       i22 = 416;
      } while (0);
      if ((i22 | 0) == 416) {
       i22 = 0;
       i27 = i153 + 1 | 0;
       set32(i19 | 0, i27 | 0);
       set8(i154 + (i151 * 20 | 0) >> 0 | 0, 89 | 0);
       set8(i154 + (i151 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i154 + (i151 * 20 | 0) + 4 | 0, i57 | 0);
       set32(i154 + (i151 * 20 | 0) + 8 | 0, i16 | 0);
       set32(i154 + (i151 * 20 | 0) + 12 | 0, i16 | 0);
       set32(i154 + (i151 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i154 + (i151 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i156 = i155;
       i157 = i27;
      }
      do if ((i156 | 0) > (i157 | 0)) {
       i159 = i157;
       i160 = get32(i10 | 0) | 0;
       i161 = i156;
       i22 = 427;
      } else {
       i27 = _sqlite3DbRealloc(get32(i31 | 0) | 0, get32(i10 | 0) | 0, (i156 | 0) == 0 ? 1020 : i156 * 40 | 0) | 0;
       if (!i27) {
        i162 = get32(i29 | 0) | 0;
        i163 = get32(i19 | 0) | 0;
        break;
       }
       i24 = get32(i31 | 0) | 0;
       do if (!i24) i22 = 425; else {
        if ((get32(i24 + 260 | 0) | 0) >>> 0 > i27 >>> 0) {
         i22 = 425;
         break;
        }
        if ((get32(i24 + 264 | 0) | 0) >>> 0 <= i27 >>> 0) {
         i22 = 425;
         break;
        }
        i164 = getU16(i24 + 232 | 0) | 0;
       } while (0);
       if ((i22 | 0) == 425) {
        i22 = 0;
        i164 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i27) | 0;
       }
       i24 = (i164 >>> 0) / 20 | 0;
       set32(i29 | 0, i24 | 0);
       set32(i10 | 0, i27 | 0);
       i159 = get32(i19 | 0) | 0;
       i160 = i27;
       i161 = i24;
       i22 = 427;
      } while (0);
      if ((i22 | 0) == 427) {
       i22 = 0;
       i57 = i159 + 1 | 0;
       set32(i19 | 0, i57 | 0);
       set8(i160 + (i157 * 20 | 0) >> 0 | 0, -112 | 0);
       set8(i160 + (i157 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i160 + (i157 * 20 | 0) + 4 | 0, i16 | 0);
       set32(i160 + (i157 * 20 | 0) + 8 | 0, 0 | 0);
       set32(i160 + (i157 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i160 + (i157 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i160 + (i157 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i162 = i161;
       i163 = i57;
      }
      do if ((i162 | 0) > (i163 | 0)) {
       i165 = i163;
       i166 = get32(i10 | 0) | 0;
       i167 = i162;
       i22 = 438;
      } else {
       i57 = _sqlite3DbRealloc(get32(i31 | 0) | 0, get32(i10 | 0) | 0, (i162 | 0) == 0 ? 1020 : i162 * 40 | 0) | 0;
       if (!i57) {
        i168 = get32(i29 | 0) | 0;
        i169 = get32(i19 | 0) | 0;
        break;
       }
       i24 = get32(i31 | 0) | 0;
       do if (!i24) i22 = 436; else {
        if ((get32(i24 + 260 | 0) | 0) >>> 0 > i57 >>> 0) {
         i22 = 436;
         break;
        }
        if ((get32(i24 + 264 | 0) | 0) >>> 0 <= i57 >>> 0) {
         i22 = 436;
         break;
        }
        i170 = getU16(i24 + 232 | 0) | 0;
       } while (0);
       if ((i22 | 0) == 436) {
        i22 = 0;
        i170 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i57) | 0;
       }
       i24 = (i170 >>> 0) / 20 | 0;
       set32(i29 | 0, i24 | 0);
       set32(i10 | 0, i57 | 0);
       i165 = get32(i19 | 0) | 0;
       i166 = i57;
       i167 = i24;
       i22 = 438;
      } while (0);
      if ((i22 | 0) == 438) {
       i22 = 0;
       i24 = i165 + 1 | 0;
       set32(i19 | 0, i24 | 0);
       set8(i166 + (i163 * 20 | 0) >> 0 | 0, 91 | 0);
       set8(i166 + (i163 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i166 + (i163 * 20 | 0) + 4 | 0, i16 | 0);
       set32(i166 + (i163 * 20 | 0) + 8 | 0, i13 | 0);
       set32(i166 + (i163 * 20 | 0) + 12 | 0, i13 | 0);
       set32(i166 + (i163 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i166 + (i163 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i168 = i167;
       i169 = i24;
      }
      i53 = i53 + 1 | 0;
      i24 = (i168 | 0) > (i169 | 0);
      if ((i53 | 0) == (i32 | 0)) {
       i171 = i169;
       i172 = i168;
       i173 = i24;
       break;
      } else {
       i46 = i168;
       i55 = i169;
       i25 = i24;
      }
     }
    } else {
     i171 = i54;
     i172 = i58;
     i173 = i48;
    }
    do if (i173) {
     i174 = i171;
     i175 = get32(i10 | 0) | 0;
     i22 = 449;
    } else {
     i25 = _sqlite3DbRealloc(get32(i31 | 0) | 0, get32(i10 | 0) | 0, (i172 | 0) == 0 ? 1020 : i172 * 40 | 0) | 0;
     if (!i25) {
      i176 = 1;
      break;
     }
     i55 = get32(i31 | 0) | 0;
     do if (!i55) i22 = 447; else {
      if ((get32(i55 + 260 | 0) | 0) >>> 0 > i25 >>> 0) {
       i22 = 447;
       break;
      }
      if ((get32(i55 + 264 | 0) | 0) >>> 0 <= i25 >>> 0) {
       i22 = 447;
       break;
      }
      i177 = getU16(i55 + 232 | 0) | 0;
     } while (0);
     if ((i22 | 0) == 447) {
      i22 = 0;
      i177 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i25) | 0;
     }
     set32(i29 | 0, (i177 >>> 0) / 20 | 0 | 0);
     set32(i10 | 0, i25 | 0);
     i174 = get32(i19 | 0) | 0;
     i175 = i25;
     i22 = 449;
    } while (0);
    if ((i22 | 0) == 449) {
     i22 = 0;
     set32(i19 | 0, i174 + 1 | 0);
     set8(i175 + (i171 * 20 | 0) >> 0 | 0, 30 | 0);
     set8(i175 + (i171 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i175 + (i171 * 20 | 0) + 4 | 0, i5 | 0);
     set32(i175 + (i171 * 20 | 0) + 8 | 0, 3 | 0);
     set32(i175 + (i171 * 20 | 0) + 12 | 0, i15 | 0);
     set32(i175 + (i171 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i175 + (i171 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i176 = i171;
    }
    _sqlite3VdbeChangeP4(i31, i176, 36286, 0);
    i48 = get32(i19 | 0) | 0;
    i58 = get32(i29 | 0) | 0;
    do if ((i58 | 0) > (i48 | 0)) {
     i178 = i48;
     i179 = get32(i10 | 0) | 0;
     i180 = i58;
     i22 = 460;
    } else {
     i54 = _sqlite3DbRealloc(get32(i31 | 0) | 0, get32(i10 | 0) | 0, (i58 | 0) == 0 ? 1020 : i58 * 40 | 0) | 0;
     if (!i54) {
      i181 = get32(i29 | 0) | 0;
      i182 = get32(i19 | 0) | 0;
      break;
     }
     i55 = get32(i31 | 0) | 0;
     do if (!i55) i22 = 458; else {
      if ((get32(i55 + 260 | 0) | 0) >>> 0 > i54 >>> 0) {
       i22 = 458;
       break;
      }
      if ((get32(i55 + 264 | 0) | 0) >>> 0 <= i54 >>> 0) {
       i22 = 458;
       break;
      }
      i183 = getU16(i55 + 232 | 0) | 0;
     } while (0);
     if ((i22 | 0) == 458) {
      i22 = 0;
      i183 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i54) | 0;
     }
     i55 = (i183 >>> 0) / 20 | 0;
     set32(i29 | 0, i55 | 0);
     set32(i10 | 0, i54 | 0);
     i178 = get32(i19 | 0) | 0;
     i179 = i54;
     i180 = i55;
     i22 = 460;
    } while (0);
    if ((i22 | 0) == 460) {
     i22 = 0;
     i58 = i178 + 1 | 0;
     set32(i19 | 0, i58 | 0);
     set8(i179 + (i48 * 20 | 0) >> 0 | 0, 54 | 0);
     set8(i179 + (i48 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i179 + (i48 * 20 | 0) + 4 | 0, i4 | 0);
     set32(i179 + (i48 * 20 | 0) + 8 | 0, i17 | 0);
     set32(i179 + (i48 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i179 + (i48 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i179 + (i48 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i181 = i180;
     i182 = i58;
    }
    do if ((i181 | 0) > (i182 | 0)) {
     i184 = i182;
     i185 = get32(i10 | 0) | 0;
     i22 = 470;
    } else {
     i58 = _sqlite3DbRealloc(get32(i31 | 0) | 0, get32(i10 | 0) | 0, (i181 | 0) == 0 ? 1020 : i181 * 40 | 0) | 0;
     if (!i58) break;
     i55 = get32(i31 | 0) | 0;
     do if (!i55) i22 = 468; else {
      if ((get32(i55 + 260 | 0) | 0) >>> 0 > i58 >>> 0) {
       i22 = 468;
       break;
      }
      if ((get32(i55 + 264 | 0) | 0) >>> 0 <= i58 >>> 0) {
       i22 = 468;
       break;
      }
      i186 = getU16(i55 + 232 | 0) | 0;
     } while (0);
     if ((i22 | 0) == 468) {
      i22 = 0;
      i186 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i58) | 0;
     }
     set32(i29 | 0, (i186 >>> 0) / 20 | 0 | 0);
     set32(i10 | 0, i58 | 0);
     i184 = get32(i19 | 0) | 0;
     i185 = i58;
     i22 = 470;
    } while (0);
    if ((i22 | 0) == 470) {
     i22 = 0;
     set32(i19 | 0, i184 + 1 | 0);
     set8(i185 + (i182 * 20 | 0) >> 0 | 0, 55 | 0);
     set8(i185 + (i182 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i185 + (i182 * 20 | 0) + 4 | 0, i4 | 0);
     set32(i185 + (i182 * 20 | 0) + 8 | 0, i15 | 0);
     set32(i185 + (i182 * 20 | 0) + 12 | 0, i17 | 0);
     set32(i185 + (i182 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i185 + (i182 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    }
    i48 = get32(i10 | 0) | 0;
    if (!i48) {
     i187 = i129;
     break;
    }
    set8(i48 + (((get32(i19 | 0) | 0) + -1 | 0) * 20 | 0) + 3 >> 0 | 0, 8 | 0);
    i187 = i129;
   } else i187 = i30; while (0);
   i28 = get32(i28 + 32 | 0) | 0;
   if (!i28) {
    i188 = i187;
    break;
   } else i30 = i187;
  }
  if ((i22 | 0) == 578) {
   STACKTOP = i6;
   return;
  }
  if (get32(i37 | 0) | 0) {
   i30 = get32(i19 | 0) | 0;
   if ((i30 | 0) > (i188 | 0)) set32((get32(i31 + 4 | 0) | 0) + (i188 * 20 | 0) + 8 | 0, i30 | 0);
   i28 = get32(i29 | 0) | 0;
   if ((i28 | 0) > (i30 | 0)) {
    i189 = i30;
    i190 = get32(i31 + 4 | 0) | 0;
   } else {
    i10 = i31 + 4 | 0;
    i44 = _sqlite3DbRealloc(get32(i31 | 0) | 0, get32(i10 | 0) | 0, (i28 | 0) == 0 ? 1020 : i28 * 40 | 0) | 0;
    if (!i44) {
     i191 = 1;
     break;
    }
    i28 = get32(i31 | 0) | 0;
    if (((i28 | 0) != 0 ? (get32(i28 + 260 | 0) | 0) >>> 0 <= i44 >>> 0 : 0) ? (get32(i28 + 264 | 0) | 0) >>> 0 > i44 >>> 0 : 0) i192 = getU16(i28 + 232 | 0) | 0; else i192 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i44) | 0;
    set32(i29 | 0, (i192 >>> 0) / 20 | 0 | 0);
    set32(i10 | 0, i44 | 0);
    i189 = get32(i19 | 0) | 0;
    i190 = i44;
   }
   set32(i19 | 0, i189 + 1 | 0);
   set8(i190 + (i30 * 20 | 0) >> 0 | 0, 1 | 0);
   set8(i190 + (i30 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i33 = i190 + (i30 * 20 | 0) + 3 | 0;
   i34 = i33 + 17 | 0;
   do {
    set8(i33 >> 0 | 0, 0 | 0);
    i33 = i33 + 1 | 0;
   } while ((i33 | 0) < (i34 | 0));
   i191 = i30;
  } else i22 = 475;
 } else i22 = 475; while (0);
 do if ((i22 | 0) == 475) {
  i33 = get32(i20 | 0) | 0;
  i34 = get32(i19 | 0) | 0;
  i190 = get32(i29 | 0) | 0;
  do if ((i190 | 0) > (i34 | 0)) {
   i193 = i34;
   i194 = get32(i31 + 4 | 0) | 0;
   i195 = i190;
   i22 = 485;
  } else {
   i189 = i31 + 4 | 0;
   i192 = _sqlite3DbRealloc(get32(i31 | 0) | 0, get32(i189 | 0) | 0, (i190 | 0) == 0 ? 1020 : i190 * 40 | 0) | 0;
   if (!i192) {
    i196 = get32(i29 | 0) | 0;
    i197 = get32(i19 | 0) | 0;
    break;
   }
   i188 = get32(i31 | 0) | 0;
   if (((i188 | 0) != 0 ? (get32(i188 + 260 | 0) | 0) >>> 0 <= i192 >>> 0 : 0) ? (get32(i188 + 264 | 0) | 0) >>> 0 > i192 >>> 0 : 0) i198 = getU16(i188 + 232 | 0) | 0; else i198 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i192) | 0;
   i188 = (i198 >>> 0) / 20 | 0;
   set32(i29 | 0, i188 | 0);
   set32(i189 | 0, i192 | 0);
   i193 = get32(i19 | 0) | 0;
   i194 = i192;
   i195 = i188;
   i22 = 485;
  } while (0);
  if ((i22 | 0) == 485) {
   i190 = i193 + 1 | 0;
   set32(i19 | 0, i190 | 0);
   set8(i194 + (i34 * 20 | 0) >> 0 | 0, 38 | 0);
   set8(i194 + (i34 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i194 + (i34 * 20 | 0) + 4 | 0, i36 | 0);
   set32(i194 + (i34 * 20 | 0) + 8 | 0, i33 | 0);
   set32(i194 + (i34 * 20 | 0) + 12 | 0, i35 | 0);
   set32(i194 + (i34 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i194 + (i34 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i196 = i195;
   i197 = i190;
  }
  do if ((i196 | 0) > (i197 | 0)) {
   i199 = i197;
   i200 = get32(i31 + 4 | 0) | 0;
   i201 = i196;
   i22 = 496;
  } else {
   i190 = i31 + 4 | 0;
   i30 = _sqlite3DbRealloc(get32(i31 | 0) | 0, get32(i190 | 0) | 0, (i196 | 0) == 0 ? 1020 : i196 * 40 | 0) | 0;
   if (!i30) {
    i202 = get32(i29 | 0) | 0;
    i203 = get32(i19 | 0) | 0;
    break;
   }
   i188 = get32(i31 | 0) | 0;
   if (((i188 | 0) != 0 ? (get32(i188 + 260 | 0) | 0) >>> 0 <= i30 >>> 0 : 0) ? (get32(i188 + 264 | 0) | 0) >>> 0 > i30 >>> 0 : 0) i204 = getU16(i188 + 232 | 0) | 0; else i204 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i30) | 0;
   i188 = (i204 >>> 0) / 20 | 0;
   set32(i29 | 0, i188 | 0);
   set32(i190 | 0, i30 | 0);
   i199 = get32(i19 | 0) | 0;
   i200 = i30;
   i201 = i188;
   i22 = 496;
  } while (0);
  if ((i22 | 0) == 496) {
   i34 = i199 + 1 | 0;
   set32(i19 | 0, i34 | 0);
   set8(i200 + (i197 * 20 | 0) >> 0 | 0, 31 | 0);
   set8(i200 + (i197 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i200 + (i197 * 20 | 0) + 4 | 0, i36 | 0);
   set32(i200 + (i197 * 20 | 0) + 8 | 0, i13 | 0);
   set32(i200 + (i197 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i200 + (i197 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i200 + (i197 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i202 = i201;
   i203 = i34;
  }
  do if ((i202 | 0) > (i203 | 0)) {
   i205 = i203;
   i206 = get32(i31 + 4 | 0) | 0;
   i207 = i202;
   i22 = 507;
  } else {
   i34 = i31 + 4 | 0;
   i33 = _sqlite3DbRealloc(get32(i31 | 0) | 0, get32(i34 | 0) | 0, (i202 | 0) == 0 ? 1020 : i202 * 40 | 0) | 0;
   if (!i33) {
    i208 = get32(i29 | 0) | 0;
    i209 = get32(i19 | 0) | 0;
    break;
   }
   i188 = get32(i31 | 0) | 0;
   if (((i188 | 0) != 0 ? (get32(i188 + 260 | 0) | 0) >>> 0 <= i33 >>> 0 : 0) ? (get32(i188 + 264 | 0) | 0) >>> 0 > i33 >>> 0 : 0) i210 = getU16(i188 + 232 | 0) | 0; else i210 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i33) | 0;
   i188 = (i210 >>> 0) / 20 | 0;
   set32(i29 | 0, i188 | 0);
   set32(i34 | 0, i33 | 0);
   i205 = get32(i19 | 0) | 0;
   i206 = i33;
   i207 = i188;
   i22 = 507;
  } while (0);
  if ((i22 | 0) == 507) {
   i188 = i205 + 1 | 0;
   set32(i19 | 0, i188 | 0);
   set8(i206 + (i203 * 20 | 0) >> 0 | 0, 43 | 0);
   set8(i206 + (i203 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i206 + (i203 * 20 | 0) + 4 | 0, i36 | 0);
   set32(i206 + (i203 * 20 | 0) + 8 | 0, 0 | 0);
   set32(i206 + (i203 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i206 + (i203 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i206 + (i203 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i208 = i207;
   i209 = i188;
  }
  if ((i208 | 0) > (i209 | 0)) {
   i211 = i209;
   i212 = get32(i31 + 4 | 0) | 0;
  } else {
   i188 = i31 + 4 | 0;
   i33 = _sqlite3DbRealloc(get32(i31 | 0) | 0, get32(i188 | 0) | 0, (i208 | 0) == 0 ? 1020 : i208 * 40 | 0) | 0;
   if (!i33) {
    i191 = 1;
    break;
   }
   i34 = get32(i31 | 0) | 0;
   if (((i34 | 0) != 0 ? (get32(i34 + 260 | 0) | 0) >>> 0 <= i33 >>> 0 : 0) ? (get32(i34 + 264 | 0) | 0) >>> 0 > i33 >>> 0 : 0) i213 = getU16(i34 + 232 | 0) | 0; else i213 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i33) | 0;
   set32(i29 | 0, (i213 >>> 0) / 20 | 0 | 0);
   set32(i188 | 0, i33 | 0);
   i211 = get32(i19 | 0) | 0;
   i212 = i33;
  }
  set32(i19 | 0, i211 + 1 | 0);
  set8(i212 + (i209 * 20 | 0) >> 0 | 0, 27 | 0);
  set8(i212 + (i209 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i212 + (i209 * 20 | 0) + 4 | 0, i13 | 0);
  set32(i212 + (i209 * 20 | 0) + 8 | 0, 0 | 0);
  set32(i212 + (i209 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i212 + (i209 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i212 + (i209 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i191 = i209;
 } while (0);
 i209 = get32(i19 | 0) | 0;
 i212 = get32(i29 | 0) | 0;
 do if ((i212 | 0) > (i209 | 0)) {
  i214 = i209;
  i215 = get32(i31 + 4 | 0) | 0;
  i216 = i212;
  i22 = 540;
 } else {
  i13 = i31 + 4 | 0;
  i211 = _sqlite3DbRealloc(get32(i31 | 0) | 0, get32(i13 | 0) | 0, (i212 | 0) == 0 ? 1020 : i212 * 40 | 0) | 0;
  if (!i211) {
   i217 = get32(i29 | 0) | 0;
   i218 = get32(i19 | 0) | 0;
   break;
  }
  i213 = get32(i31 | 0) | 0;
  if (((i213 | 0) != 0 ? (get32(i213 + 260 | 0) | 0) >>> 0 <= i211 >>> 0 : 0) ? (get32(i213 + 264 | 0) | 0) >>> 0 > i211 >>> 0 : 0) i219 = getU16(i213 + 232 | 0) | 0; else i219 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i211) | 0;
  i213 = (i219 >>> 0) / 20 | 0;
  set32(i29 | 0, i213 | 0);
  set32(i13 | 0, i211 | 0);
  i214 = get32(i19 | 0) | 0;
  i215 = i211;
  i216 = i213;
  i22 = 540;
 } while (0);
 if ((i22 | 0) == 540) {
  i219 = i214 + 1 | 0;
  set32(i19 | 0, i219 | 0);
  set8(i215 + (i209 * 20 | 0) >> 0 | 0, 10 | 0);
  set8(i215 + (i209 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i215 + (i209 * 20 | 0) + 4 | 0, 0 | 0);
  set32(i215 + (i209 * 20 | 0) + 8 | 0, i12 | 0);
  set32(i215 + (i209 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i215 + (i209 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i215 + (i209 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i217 = i216;
  i218 = i219;
 }
 if ((i217 | 0) <= (i218 | 0)) {
  i219 = i31 + 4 | 0;
  i216 = _sqlite3DbRealloc(get32(i31 | 0) | 0, get32(i219 | 0) | 0, (i217 | 0) == 0 ? 1020 : i217 * 40 | 0) | 0;
  if (!i216) i220 = 1; else {
   i217 = get32(i31 | 0) | 0;
   if (((i217 | 0) != 0 ? (get32(i217 + 260 | 0) | 0) >>> 0 <= i216 >>> 0 : 0) ? (get32(i217 + 264 | 0) | 0) >>> 0 > i216 >>> 0 : 0) i221 = getU16(i217 + 232 | 0) | 0; else i221 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i216) | 0;
   set32(i29 | 0, (i221 >>> 0) / 20 | 0 | 0);
   set32(i219 | 0, i216 | 0);
   i222 = get32(i19 | 0) | 0;
   i223 = i216;
   i22 = 550;
  }
 } else {
  i222 = i218;
  i223 = get32(i31 + 4 | 0) | 0;
  i22 = 550;
 }
 if ((i22 | 0) == 550) {
  set32(i19 | 0, i222 + 1 | 0);
  set8(i223 + (i218 * 20 | 0) >> 0 | 0, 30 | 0);
  set8(i223 + (i218 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i223 + (i218 * 20 | 0) + 4 | 0, i5 | 0);
  set32(i223 + (i218 * 20 | 0) + 8 | 0, 3 | 0);
  set32(i223 + (i218 * 20 | 0) + 12 | 0, i15 | 0);
  set32(i223 + (i218 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i223 + (i218 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i220 = i218;
 }
 _sqlite3VdbeChangeP4(i31, i220, 36286, 0);
 i220 = get32(i19 | 0) | 0;
 i218 = get32(i29 | 0) | 0;
 do if ((i218 | 0) > (i220 | 0)) {
  i224 = i220;
  i225 = get32(i31 + 4 | 0) | 0;
  i226 = i218;
  i22 = 561;
 } else {
  i223 = i31 + 4 | 0;
  i5 = _sqlite3DbRealloc(get32(i31 | 0) | 0, get32(i223 | 0) | 0, (i218 | 0) == 0 ? 1020 : i218 * 40 | 0) | 0;
  if (!i5) {
   i227 = get32(i29 | 0) | 0;
   i228 = get32(i19 | 0) | 0;
   break;
  }
  i222 = get32(i31 | 0) | 0;
  if (((i222 | 0) != 0 ? (get32(i222 + 260 | 0) | 0) >>> 0 <= i5 >>> 0 : 0) ? (get32(i222 + 264 | 0) | 0) >>> 0 > i5 >>> 0 : 0) i229 = getU16(i222 + 232 | 0) | 0; else i229 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i5) | 0;
  i222 = (i229 >>> 0) / 20 | 0;
  set32(i29 | 0, i222 | 0);
  set32(i223 | 0, i5 | 0);
  i224 = get32(i19 | 0) | 0;
  i225 = i5;
  i226 = i222;
  i22 = 561;
 } while (0);
 if ((i22 | 0) == 561) {
  i229 = i224 + 1 | 0;
  set32(i19 | 0, i229 | 0);
  set8(i225 + (i220 * 20 | 0) >> 0 | 0, 54 | 0);
  set8(i225 + (i220 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i225 + (i220 * 20 | 0) + 4 | 0, i4 | 0);
  set32(i225 + (i220 * 20 | 0) + 8 | 0, i17 | 0);
  set32(i225 + (i220 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i225 + (i220 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i225 + (i220 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i227 = i226;
  i228 = i229;
 }
 if ((i227 | 0) <= (i228 | 0)) {
  i229 = i31 + 4 | 0;
  i226 = _sqlite3DbRealloc(get32(i31 | 0) | 0, get32(i229 | 0) | 0, (i227 | 0) == 0 ? 1020 : i227 * 40 | 0) | 0;
  if (!i226) i230 = i229; else {
   i227 = get32(i31 | 0) | 0;
   if (((i227 | 0) != 0 ? (get32(i227 + 260 | 0) | 0) >>> 0 <= i226 >>> 0 : 0) ? (get32(i227 + 264 | 0) | 0) >>> 0 > i226 >>> 0 : 0) i231 = getU16(i227 + 232 | 0) | 0; else i231 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i226) | 0;
   set32(i29 | 0, (i231 >>> 0) / 20 | 0 | 0);
   set32(i229 | 0, i226 | 0);
   i232 = i229;
   i233 = get32(i19 | 0) | 0;
   i234 = i226;
   i22 = 571;
  }
 } else {
  i226 = i31 + 4 | 0;
  i232 = i226;
  i233 = i228;
  i234 = get32(i226 | 0) | 0;
  i22 = 571;
 }
 if ((i22 | 0) == 571) {
  set32(i19 | 0, i233 + 1 | 0);
  set8(i234 + (i228 * 20 | 0) >> 0 | 0, 55 | 0);
  set8(i234 + (i228 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i234 + (i228 * 20 | 0) + 4 | 0, i4 | 0);
  set32(i234 + (i228 * 20 | 0) + 8 | 0, i15 | 0);
  set32(i234 + (i228 * 20 | 0) + 12 | 0, i17 | 0);
  set32(i234 + (i228 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i234 + (i228 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i230 = i232;
 }
 i232 = get32(i230 | 0) | 0;
 if (i232) set8(i232 + (((get32(i19 | 0) | 0) + -1 | 0) * 20 | 0) + 3 >> 0 | 0, 8 | 0);
 i230 = i1 + 72 | 0;
 if ((get32(i230 | 0) | 0) < (i15 | 0)) set32(i230 | 0, i15 | 0);
 i15 = get32(i19 | 0) | 0;
 if ((i15 | 0) <= (i191 | 0)) {
  STACKTOP = i6;
  return;
 }
 set32(i232 + (i191 * 20 | 0) + 8 | 0, i15 | 0);
 STACKTOP = i6;
 return;
}

function _exprAnalyze(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0, i80 = 0, i81 = 0, i82 = 0, i83 = 0, i84 = 0, i85 = 0, i86 = 0, i87 = 0, i88 = 0, i89 = 0, i90 = 0, i91 = 0, i92 = 0, i93 = 0, i94 = 0, i95 = 0, i96 = 0, i97 = 0, i98 = 0, i99 = 0, i100 = 0, i101 = 0, i102 = 0, i103 = 0, i104 = 0, i105 = 0, i106 = 0, i107 = 0, i108 = 0, i109 = 0, i110 = 0, i111 = 0, i112 = 0, i113 = 0, i114 = 0, i115 = 0, i116 = 0, i117 = 0, i118 = 0, i119 = 0, i120 = 0, i121 = 0, i122 = 0, i123 = 0, i124 = 0, i125 = 0, i126 = 0, i127 = 0, i128 = 0, i129 = 0, i130 = 0, i131 = 0, i132 = 0, i133 = 0, i134 = 0, i135 = 0, i136 = 0, i137 = 0, i138 = 0, i139 = 0, i140 = 0, i141 = 0, i142 = 0, i143 = 0, i144 = 0, i145 = 0, i146 = 0, i147 = 0, i148 = 0, i149 = 0, i150 = 0, i151 = 0, i152 = 0, i153 = 0, i154 = 0, i155 = 0, i156 = 0, i157 = 0, i158 = 0, i159 = 0, i160 = 0, i161 = 0, i162 = 0, i163 = 0, i164 = 0, i165 = 0, i166 = 0, i167 = 0, i168 = 0, i169 = 0, i170 = 0, i171 = 0, i172 = 0, i173 = 0, i174 = 0, i175 = 0, i176 = 0, i177 = 0, i178 = 0, i179 = 0, i180 = 0, i181 = 0, i182 = 0, i183 = 0, i184 = 0, i185 = 0, i186 = 0, i187 = 0, i188 = 0, i189 = 0, i190 = 0, i191 = 0, i192 = 0, i193 = 0, i194 = 0, i195 = 0, i196 = 0, i197 = 0, i198 = 0, i199 = 0, i200 = 0, i201 = 0, i202 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 48 | 0;
 i4 = i3 + 32 | 0;
 i5 = i3 + 24 | 0;
 i6 = i3 + 16 | 0;
 i7 = i3 + 8 | 0;
 i8 = i3;
 i9 = i3 + 40 | 0;
 i10 = get32(i1 | 0) | 0;
 i11 = get32(i10 | 0) | 0;
 i12 = i11 + 30 | 0;
 if (get8(i12 >> 0 | 0) | 0) {
  STACKTOP = i3;
  return;
 }
 i13 = i1 + 28 | 0;
 i14 = get32(i13 | 0) | 0;
 i15 = i14 + (i2 * 40 | 0) | 0;
 i16 = get32(i1 + 4 | 0) | 0;
 i17 = get32(i15 | 0) | 0;
 i18 = i17 + 8 | 0;
 i19 = get32(i18 | 0) | 0;
 i20 = _exprTableUsage(i16, i19) | 0;
 i21 = tempRet0;
 i22 = get8(i17 >> 0 | 0) | 0;
 i23 = i22 & 255;
 L4 : do switch (i22 << 24 >> 24) {
 case 72:
  {
   i24 = i17 + 16 | 0;
   if (!(get16(i17 + 2 | 0) & 2048)) {
    i25 = get32(i24 | 0) | 0;
    if ((i25 | 0) != 0 ? (i26 = get32(i25 | 0) | 0, (i26 | 0) > 0) : 0) {
     i27 = get32(i25 + 12 | 0) | 0;
     i25 = 0;
     i28 = 0;
     i29 = 0;
     while (1) {
      i30 = _exprTableUsage(i16, get32(i27 + (i29 * 20 | 0) | 0) | 0) | 0;
      i31 = i30 | i25;
      i30 = tempRet0 | i28;
      i29 = i29 + 1 | 0;
      if ((i29 | 0) == (i26 | 0)) {
       i32 = i31;
       i33 = i30;
       break;
      } else {
       i25 = i31;
       i28 = i30;
      }
     }
    } else {
     i32 = 0;
     i33 = 0;
    }
    i28 = i14 + (i2 * 40 | 0) + 24 | 0;
    set32(i28 | 0, i32 | 0);
    set32(i28 + 4 | 0, i33 | 0);
    i34 = i32;
    i35 = i33;
    break L4;
   }
   i28 = get32(i24 | 0) | 0;
   if (!i28) {
    i36 = 0;
    i37 = 0;
   } else {
    i25 = i28;
    i28 = 0;
    i26 = 0;
    while (1) {
     i29 = get32(i25 | 0) | 0;
     if ((i29 | 0) != 0 ? (i27 = get32(i29 | 0) | 0, (i27 | 0) > 0) : 0) {
      i30 = get32(i29 + 12 | 0) | 0;
      i29 = 0;
      i31 = 0;
      i38 = 0;
      while (1) {
       i39 = _exprTableUsage(i16, get32(i30 + (i38 * 20 | 0) | 0) | 0) | 0;
       i40 = i39 | i29;
       i39 = tempRet0 | i31;
       i38 = i38 + 1 | 0;
       if ((i38 | 0) == (i27 | 0)) {
        i41 = i40;
        i42 = i39;
        break;
       } else {
        i29 = i40;
        i31 = i39;
       }
      }
     } else {
      i41 = 0;
      i42 = 0;
     }
     i31 = i41 | i28;
     i29 = i42 | i26;
     i27 = get32(i25 + 16 | 0) | 0;
     if ((i27 | 0) != 0 ? (i38 = get32(i27 | 0) | 0, (i38 | 0) > 0) : 0) {
      i30 = get32(i27 + 12 | 0) | 0;
      i27 = 0;
      i39 = 0;
      i40 = 0;
      while (1) {
       i43 = _exprTableUsage(i16, get32(i30 + (i40 * 20 | 0) | 0) | 0) | 0;
       i44 = i43 | i27;
       i43 = tempRet0 | i39;
       i40 = i40 + 1 | 0;
       if ((i40 | 0) == (i38 | 0)) {
        i45 = i44;
        i46 = i43;
        break;
       } else {
        i27 = i44;
        i39 = i43;
       }
      }
     } else {
      i45 = 0;
      i46 = 0;
     }
     i39 = i31 | i45;
     i27 = i29 | i46;
     i38 = get32(i25 + 24 | 0) | 0;
     if ((i38 | 0) != 0 ? (i40 = get32(i38 | 0) | 0, (i40 | 0) > 0) : 0) {
      i30 = get32(i38 + 12 | 0) | 0;
      i38 = 0;
      i43 = 0;
      i44 = 0;
      while (1) {
       i47 = _exprTableUsage(i16, get32(i30 + (i44 * 20 | 0) | 0) | 0) | 0;
       i48 = i47 | i38;
       i47 = tempRet0 | i43;
       i44 = i44 + 1 | 0;
       if ((i44 | 0) == (i40 | 0)) {
        i49 = i48;
        i50 = i47;
        break;
       } else {
        i38 = i48;
        i43 = i47;
       }
      }
     } else {
      i49 = 0;
      i50 = 0;
     }
     i43 = _exprTableUsage(i16, get32(i25 + 12 | 0) | 0) | 0;
     i38 = i27 | i50 | tempRet0;
     i40 = _exprTableUsage(i16, get32(i25 + 20 | 0) | 0) | 0;
     i44 = i39 | i49 | i43 | i40;
     i40 = i38 | tempRet0;
     i25 = get32(i25 + 28 | 0) | 0;
     if (!i25) {
      i36 = i44;
      i37 = i40;
      break;
     } else {
      i28 = i44;
      i26 = i40;
     }
    }
   }
   i26 = i14 + (i2 * 40 | 0) + 24 | 0;
   set32(i26 | 0, i36 | 0);
   set32(i26 + 4 | 0, i37 | 0);
   i34 = i36;
   i35 = i37;
   break;
  }
 case 73:
  {
   i26 = i14 + (i2 * 40 | 0) + 24 | 0;
   set32(i26 | 0, 0 | 0);
   set32(i26 + 4 | 0, 0 | 0);
   i34 = 0;
   i35 = 0;
   break;
  }
 default:
  {
   i26 = _exprTableUsage(i16, get32(i17 + 12 | 0) | 0) | 0;
   i28 = tempRet0;
   i25 = i14 + (i2 * 40 | 0) + 24 | 0;
   set32(i25 | 0, i26 | 0);
   set32(i25 + 4 | 0, i28 | 0);
   i34 = i26;
   i35 = i28;
  }
 } while (0);
 i37 = _exprTableUsage(i16, i17) | 0;
 i36 = tempRet0;
 i49 = i17 + 2 | 0;
 if (!(get16(i49 | 0) & 1)) {
  i51 = i37;
  i52 = i36;
  i53 = 0;
  i54 = 0;
 } else {
  i50 = get16(i17 + 32 | 0) | 0;
  i46 = get32(i16 | 0) | 0;
  L42 : do if ((i46 | 0) > 0) {
   i45 = 0;
   while (1) {
    if ((get32(i16 + 4 + (i45 << 2) | 0) | 0) == (i50 | 0)) {
     i55 = i45;
     break;
    }
    i45 = i45 + 1 | 0;
    if ((i45 | 0) >= (i46 | 0)) {
     i56 = 0;
     i57 = 0;
     break L42;
    }
   }
   i45 = _bitshift64Shl(1, 0, i55 | 0) | 0;
   i56 = i45;
   i57 = tempRet0;
  } else {
   i56 = 0;
   i57 = 0;
  } while (0);
  i55 = _i64Add(i56 | 0, i57 | 0, -1, -1) | 0;
  i51 = i56 | i37;
  i52 = i57 | i36;
  i53 = i55;
  i54 = tempRet0;
 }
 i55 = i14 + (i2 * 40 | 0) + 32 | 0;
 set32(i55 | 0, i51 | 0);
 set32(i55 + 4 | 0, i52 | 0);
 i55 = i14 + (i2 * 40 | 0) + 8 | 0;
 set32(i55 | 0, -1 | 0);
 set32(i14 + (i2 * 40 | 0) + 4 | 0, -1 | 0);
 i36 = i14 + (i2 * 40 | 0) + 16 | 0;
 set16(i36 | 0, 0 | 0);
 i57 = i23 + -72 | 0;
 if (i57 >>> 0 < 9 ? (499 >>> (i57 & 511) & 1) != 0 & ((i34 & i20 | 0) == 0 & (i35 & i21 | 0) == 0) : 0) {
  i35 = get32(i17 + 12 | 0) | 0;
  if ((get8(i19 >> 0 | 0) | 0) == -104) {
   i34 = get32(i19 + 24 | 0) | 0;
   set32(i55 | 0, i34 | 0);
   set32(i14 + (i2 * 40 | 0) + 12 | 0, get16(i19 + 28 | 0) | 0);
   switch (i23 | 0) {
   case 72:
    {
     i58 = 1;
     break;
    }
   case 73:
    {
     i58 = 128;
     break;
    }
   default:
    i58 = 2 << i23 + -76 & 65535;
   }
   set16(i36 | 0, i58 | 0);
   i59 = i34;
  } else i59 = -1;
  if ((i35 | 0) != 0 ? (get8(i35 >> 0 | 0) | 0) == -104 : 0) {
   do if ((i59 | 0) > -1) {
    i34 = _exprDup(i11, i17, 0, 0) | 0;
    if (get8(i12 >> 0 | 0) | 0) {
     _sqlite3ExprDelete(i11, i34);
     STACKTOP = i3;
     return;
    }
    i58 = _whereClauseInsert(i1, i34, 3) | 0;
    if (!i58) {
     STACKTOP = i3;
     return;
    } else {
     i23 = get32(i13 | 0) | 0;
     set32(i23 + (i58 * 40 | 0) + 4 | 0, i2 | 0);
     set8(i23 + (i2 * 40 | 0) + 19 >> 0 | 0, 1 | 0);
     i55 = i23 + (i2 * 40 | 0) + 18 | 0;
     set8(i55 >> 0 | 0, getU8(i55 >> 0 | 0) | 8 | 0);
     i60 = get32(i34 + 12 | 0) | 0;
     i61 = get32(i34 + 8 | 0) | 0;
     i62 = i34;
     i63 = i23 + (i58 * 40 | 0) | 0;
     i64 = i23 + (i2 * 40 | 0) | 0;
     break;
    }
   } else {
    i60 = i35;
    i61 = i19;
    i62 = i17;
    i63 = i15;
    i64 = i15;
   } while (0);
   i35 = i62 + 12 | 0;
   i59 = getU16(i60 + 2 | 0) & 256;
   i23 = i62 + 8 | 0;
   i58 = getU16(i61 + 2 | 0) & 256;
   i61 = _sqlite3ExprCollSeq(i10, i60) | 0;
   set32((get32(i35 | 0) | 0) + 20 | 0, i61 | 0);
   i61 = _sqlite3ExprCollSeq(i10, get32(i23 | 0) | 0) | 0;
   i60 = get32(i23 | 0) | 0;
   i34 = i60 + 20 | 0;
   set32(i34 | 0, i61 | 0);
   i55 = get32(i35 | 0) | 0;
   i57 = i55 + 20 | 0;
   i37 = get32(i57 | 0) | 0;
   set32(i57 | 0, i61 | 0);
   set32(i34 | 0, i37 | 0);
   i37 = i55 + 2 | 0;
   set16(i37 | 0, getU16(i37 | 0) & 65279 | i58 | 0);
   i58 = i60 + 2 | 0;
   set16(i58 | 0, getU16(i58 | 0) & 65279 | i59 | 0);
   set32(i35 | 0, i60 | 0);
   set32(i23 | 0, i55 | 0);
   i23 = get8(i62 >> 0 | 0) | 0;
   if ((i23 & 255) > 76) {
    i60 = ((i23 & 255) + 179 ^ 2) + 77 & 255;
    set8(i62 >> 0 | 0, i60 | 0);
    i65 = i60;
   } else i65 = i23;
   set32(i63 + 8 | 0, get32(i55 + 24 | 0) | 0);
   set32(i63 + 12 | 0, get16(i55 + 28 | 0) | 0);
   i55 = i63 + 24 | 0;
   set32(i55 | 0, i53 | i20 | 0);
   set32(i55 + 4 | 0, i54 | i21 | 0);
   i21 = i63 + 32 | 0;
   set32(i21 | 0, i51 | 0);
   set32(i21 + 4 | 0, i52 | 0);
   i52 = i65 & 255;
   switch (i52 | 0) {
   case 72:
    {
     i66 = 1;
     break;
    }
   case 73:
    {
     i66 = 128;
     break;
    }
   default:
    i66 = 2 << i52 + -76 & 65535;
   }
   set16(i63 + 16 | 0, i66 | 0);
   i67 = i64;
  } else i67 = i15;
 } else i68 = 52;
 L78 : do if ((i68 | 0) == 52) {
  switch (i22 << 24 >> 24) {
  case 71:
   {
    if ((get8(i1 + 16 >> 0 | 0) | 0) != 69) {
     i67 = i15;
     break L78;
    }
    i64 = (get32(i17 + 16 | 0) | 0) + 12 | 0;
    i66 = i19;
    i63 = 0;
    while (1) {
     i52 = getU8(32533 + i63 >> 0 | 0) | 0;
     i65 = _exprDup(i11, i66, 0, 0) | 0;
     i21 = _exprDup(i11, get32((get32(i64 | 0) | 0) + (i63 * 20 | 0) | 0) | 0, 0, 0) | 0;
     i51 = _sqlite3ExprAlloc(get32(i10 | 0) | 0, i52, 0, 1) | 0;
     i52 = get32(i10 | 0) | 0;
     if (i51) {
      if ((i21 | 0) != 0 ? (set32(i51 + 12 | 0, i21 | 0), (get16(i21 + 2 | 0) & 256) != 0) : 0) {
       i55 = i51 + 2 | 0;
       set16(i55 | 0, getU16(i55 | 0) | 256 | 0);
       set32(i51 + 20 | 0, get32(i21 + 20 | 0) | 0);
      }
      i55 = i51 + 8 | 0;
      if (!i65) {
       i20 = get32(i55 | 0) | 0;
       set32(i9 | 0, 0 | 0);
       if (!i20) i69 = 0; else {
        i70 = i20;
        i68 = 65;
       }
      } else {
       set32(i55 | 0, i65 | 0);
       if (get16(i65 + 2 | 0) & 256) {
        i55 = i51 + 2 | 0;
        set16(i55 | 0, getU16(i55 | 0) | 256 | 0);
        set32(i51 + 20 | 0, get32(i65 + 20 | 0) | 0);
       }
       set32(i9 | 0, 0 | 0);
       i70 = i65;
       i68 = 65;
      }
      if ((i68 | 0) == 65) {
       i68 = 0;
       i55 = get32(i70 + 44 | 0) | 0;
       if ((i55 | 0) > 0) {
        set32(i9 | 0, i55 | 0);
        i69 = i55;
       } else i69 = 0;
      }
      i55 = get32(i51 + 12 | 0) | 0;
      if ((i55 | 0) != 0 ? (i20 = get32(i55 + 44 | 0) | 0, (i20 | 0) > (i69 | 0)) : 0) {
       set32(i9 | 0, i20 | 0);
       i71 = i20;
      } else i71 = i69;
      i20 = i51 + 16 | 0;
      if (!(get16(i51 + 2 | 0) & 2048)) {
       i55 = get32(i20 | 0) | 0;
       if (!i55) {
        i72 = i71;
        i73 = i52;
        i68 = 79;
       } else {
        i23 = get32(i55 | 0) | 0;
        if ((i23 | 0) > 0) {
         i60 = get32(i55 + 12 | 0) | 0;
         i55 = i71;
         i62 = 0;
         while (1) {
          i35 = get32(i60 + (i62 * 20 | 0) | 0) | 0;
          do if (!i35) i74 = i55; else {
           i59 = get32(i35 + 44 | 0) | 0;
           if ((i59 | 0) <= (i55 | 0)) {
            i74 = i55;
            break;
           }
           set32(i9 | 0, i59 | 0);
           i74 = i59;
          } while (0);
          i62 = i62 + 1 | 0;
          if ((i62 | 0) == (i23 | 0)) {
           i75 = i74;
           break;
          } else i55 = i74;
         }
        } else i75 = i71;
        i55 = i75 + 1 | 0;
        set32(i51 + 44 | 0, i55 | 0);
        i76 = i52;
        i77 = i55;
       }
      } else {
       _heightOfSelect(get32(i20 | 0) | 0, i9);
       i72 = get32(i9 | 0) | 0;
       i73 = get32(i10 | 0) | 0;
       i68 = 79;
      }
      if ((i68 | 0) == 79) {
       i68 = 0;
       i55 = i72 + 1 | 0;
       set32(i51 + 44 | 0, i55 | 0);
       i76 = i73;
       i77 = i55;
      }
      i55 = get32(i76 + 84 | 0) | 0;
      if ((i55 | 0) < (i77 | 0)) {
       set32(i8 | 0, i55 | 0);
       _sqlite3ErrorMsg(i10, 29585, i8);
      }
     } else {
      _sqlite3ExprDelete(i52, i65);
      _sqlite3ExprDelete(i52, i21);
     }
     i55 = _whereClauseInsert(i1, i51, 3) | 0;
     _exprAnalyze(i1, i55);
     i23 = get32(i13 | 0) | 0;
     set32(i23 + (i55 * 40 | 0) + 4 | 0, i2 | 0);
     i55 = i63 + 1 | 0;
     if ((i55 | 0) == 2) {
      i78 = i23;
      break;
     }
     i66 = get32(i18 | 0) | 0;
     i63 = i55;
    }
    set8(i78 + (i2 * 40 | 0) + 19 >> 0 | 0, 2 | 0);
    i67 = i78 + (i2 * 40 | 0) | 0;
    break L78;
    break;
   }
  case 68:
   break;
  default:
   {
    i67 = i15;
    break L78;
   }
  }
  i63 = (i11 | 0) == 0;
  L127 : do if (i63) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i79 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](360) | 0;
    i68 = 122;
    break;
   }
   i66 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](360) | 0;
   set32(35 * 4 | 0, 360 | 0);
   if ((get32(45 * 4 | 0) | 0) < 360) set32(45 * 4 | 0, 360 | 0);
   i64 = get32(6 * 4 | 0) | 0;
   do if (i64) {
    i55 = get32(30 * 4 | 0) | 0;
    i23 = ((i55 | 0) < 0) << 31 >> 31;
    i62 = 16;
    i60 = _i64Subtract(get32(i62 | 0) | 0, get32(i62 + 4 | 0) | 0, i66 | 0, ((i66 | 0) < 0) << 31 >> 31 | 0) | 0;
    i62 = tempRet0;
    if ((i23 | 0) < (i62 | 0) | (i23 | 0) == (i62 | 0) & i55 >>> 0 < i60 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i60 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i64 & 15](i60, i55, i23, i66);
     set32(6 * 4 | 0, i64 | 0);
     set32(7 * 4 | 0, i60 | 0);
     break;
    }
   } while (0);
   i64 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i66) | 0;
   if (i64) {
    i51 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i64) | 0;
    i21 = (get32(30 * 4 | 0) | 0) + i51 | 0;
    set32(30 * 4 | 0, i21 | 0);
    if ((i21 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i21 | 0);
    i21 = get32(39 * 4 | 0) | 0;
    i51 = i21 + 1 | 0;
    set32(39 * 4 | 0, i51 | 0);
    if ((i21 | 0) < (get32(49 * 4 | 0) | 0)) {
     i80 = i64;
     i68 = 124;
    } else {
     set32(49 * 4 | 0, i51 | 0);
     i80 = i64;
     i68 = 124;
    }
   } else i68 = 123;
  } else {
   do if (get8(i11 + 234 >> 0 | 0) | 0) {
    if ((getU16(i11 + 232 | 0) | 0) < 360) {
     i64 = i11 + 248 | 0;
     set32(i64 | 0, (get32(i64 | 0) | 0) + 1 | 0);
     break;
    }
    i64 = i11 + 256 | 0;
    i51 = get32(i64 | 0) | 0;
    if (!i51) {
     i21 = i11 + 252 | 0;
     set32(i21 | 0, (get32(i21 | 0) | 0) + 1 | 0);
     break;
    }
    set32(i64 | 0, get32(i51 | 0) | 0);
    i64 = i11 + 236 | 0;
    i21 = get32(i64 | 0) | 0;
    i52 = i21 + 1 | 0;
    set32(i64 | 0, i52 | 0);
    i64 = i11 + 244 | 0;
    set32(i64 | 0, (get32(i64 | 0) | 0) + 1 | 0);
    i64 = i11 + 240 | 0;
    if ((i21 | 0) >= (get32(i64 | 0) | 0)) set32(i64 | 0, i52 | 0);
    i79 = i51;
    i68 = 122;
    break L127;
   } while (0);
   if (!(get32(50 * 4 | 0) | 0)) {
    i66 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](360) | 0;
    if (i66) {
     i80 = i66;
     i68 = 124;
     break;
    }
   } else {
    i66 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](360) | 0;
    set32(35 * 4 | 0, 360 | 0);
    if ((get32(45 * 4 | 0) | 0) < 360) set32(45 * 4 | 0, 360 | 0);
    i51 = get32(6 * 4 | 0) | 0;
    do if (i51) {
     i52 = get32(30 * 4 | 0) | 0;
     i64 = ((i52 | 0) < 0) << 31 >> 31;
     i21 = 16;
     i65 = _i64Subtract(get32(i21 | 0) | 0, get32(i21 + 4 | 0) | 0, i66 | 0, ((i66 | 0) < 0) << 31 >> 31 | 0) | 0;
     i21 = tempRet0;
     if ((i64 | 0) < (i21 | 0) | (i64 | 0) == (i21 | 0) & i52 >>> 0 < i65 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i65 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i51 & 15](i65, i52, i64, i66);
      set32(6 * 4 | 0, i51 | 0);
      set32(7 * 4 | 0, i65 | 0);
      break;
     }
    } while (0);
    i51 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i66) | 0;
    if (i51) {
     i65 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i51) | 0;
     i64 = (get32(30 * 4 | 0) | 0) + i65 | 0;
     set32(30 * 4 | 0, i64 | 0);
     if ((i64 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i64 | 0);
     i64 = get32(39 * 4 | 0) | 0;
     i65 = i64 + 1 | 0;
     set32(39 * 4 | 0, i65 | 0);
     if ((i64 | 0) < (get32(49 * 4 | 0) | 0)) {
      i80 = i51;
      i68 = 124;
      break;
     }
     set32(49 * 4 | 0, i65 | 0);
     i80 = i51;
     i68 = 124;
     break;
    }
   }
   set8(i12 >> 0 | 0, 1 | 0);
   i68 = 123;
  } while (0);
  if ((i68 | 0) == 122) if (!i79) i68 = 123; else {
   i80 = i79;
   i68 = 124;
  }
  L179 : do if ((i68 | 0) == 123) set32(i14 + (i2 * 40 | 0) + 12 | 0, 0 | 0); else if ((i68 | 0) == 124) {
   _memset(i80 | 0, 0, 360) | 0;
   set32(i14 + (i2 * 40 | 0) + 12 | 0, i80 | 0);
   i51 = i14 + (i2 * 40 | 0) + 18 | 0;
   set8(i51 >> 0 | 0, getU8(i51 >> 0 | 0) | 16 | 0);
   set32(i80 | 0, get32(i1 | 0) | 0);
   set32(i80 + 4 | 0, i16 | 0);
   i51 = i80 + 20 | 0;
   set32(i51 | 0, 0 | 0);
   set32(i80 + 24 | 0, 8 | 0);
   i65 = i80 + 28 | 0;
   set32(i65 | 0, i80 + 32 | 0);
   i64 = i80 + 8 | 0;
   set32(i64 | 0, 0 | 0);
   set32(i64 + 4 | 0, 0 | 0);
   _whereSplit(i80, i17, 68);
   i64 = get32(i51 | 0) | 0;
   if ((i64 | 0) > 0) {
    i52 = i64;
    do {
     i64 = i52;
     i52 = i52 + -1 | 0;
     _exprAnalyze(i80, i52);
    } while ((i64 | 0) > 1);
   }
   if (!(get8(i12 >> 0 | 0) | 0)) {
    i52 = i1 + 8 | 0;
    i66 = ~get32(i52 | 0);
    i64 = ~get32(i52 + 4 | 0);
    i52 = get32(i51 | 0) | 0;
    if ((i52 | 0) > 0) {
     i21 = i11 + 234 | 0;
     i20 = i11 + 232 | 0;
     i60 = i11 + 248 | 0;
     i23 = i11 + 256 | 0;
     i55 = i11 + 252 | 0;
     i62 = i11 + 236 | 0;
     i39 = i11 + 244 | 0;
     i27 = i11 + 240 | 0;
     i35 = -1;
     i59 = -1;
     i58 = i66;
     i37 = i64;
     i34 = i52;
     i52 = get32(i65 | 0) | 0;
     while (1) {
      i61 = i34;
      i34 = i34 + -1 | 0;
      i57 = i52 + 16 | 0;
      i56 = get16(i57 | 0) | 0;
      L191 : do if (i56 & 255) {
       i46 = get8(i52 + 18 >> 0 | 0) | 0;
       if (!(i46 & 8)) {
        i50 = get32(i52 + 8 | 0) | 0;
        i45 = get32(i16 | 0) | 0;
        i42 = (i45 | 0) > 0;
        L269 : do if (i42) {
         i41 = 0;
         while (1) {
          if ((get32(i16 + 4 + (i41 << 2) | 0) | 0) == (i50 | 0)) {
           i81 = i41;
           break;
          }
          i41 = i41 + 1 | 0;
          if ((i41 | 0) >= (i45 | 0)) {
           i82 = 0;
           i83 = 0;
           break L269;
          }
         }
         i41 = _bitshift64Shl(1, 0, i81 | 0) | 0;
         i82 = i41;
         i83 = tempRet0;
        } else {
         i82 = 0;
         i83 = 0;
        } while (0);
        if (!(i46 & 2)) {
         i84 = i82;
         i85 = i83;
        } else {
         i50 = get32((get32(i65 | 0) | 0) + ((get32(i52 + 4 | 0) | 0) * 40 | 0) + 8 | 0) | 0;
         L277 : do if (i42) {
          i41 = 0;
          while (1) {
           if ((get32(i16 + 4 + (i41 << 2) | 0) | 0) == (i50 | 0)) {
            i86 = i41;
            break;
           }
           i41 = i41 + 1 | 0;
           if ((i41 | 0) >= (i45 | 0)) {
            i87 = 0;
            i88 = 0;
            break L277;
           }
          }
          i41 = _bitshift64Shl(1, 0, i86 | 0) | 0;
          i87 = i41;
          i88 = tempRet0;
         } else {
          i87 = 0;
          i88 = 0;
         } while (0);
         i84 = i87 | i82;
         i85 = i88 | i83;
        }
        i45 = i56 << 16 >> 16 == 2;
        i89 = i45 ? i84 & i58 : 0;
        i90 = i45 ? i85 & i37 : 0;
        i91 = i84 & i35;
        i92 = i85 & i59;
       } else {
        i89 = i58;
        i90 = i37;
        i91 = i35;
        i92 = i59;
       }
      } else {
       L193 : do if (i63) {
        if (!(get32(50 * 4 | 0) | 0)) {
         i93 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](352) | 0;
         i68 = 167;
         break;
        }
        i45 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](352) | 0;
        set32(35 * 4 | 0, 352 | 0);
        if ((get32(45 * 4 | 0) | 0) < 352) set32(45 * 4 | 0, 352 | 0);
        i50 = get32(6 * 4 | 0) | 0;
        do if (i50) {
         i42 = get32(30 * 4 | 0) | 0;
         i46 = ((i42 | 0) < 0) << 31 >> 31;
         i41 = 16;
         i33 = _i64Subtract(get32(i41 | 0) | 0, get32(i41 + 4 | 0) | 0, i45 | 0, ((i45 | 0) < 0) << 31 >> 31 | 0) | 0;
         i41 = tempRet0;
         if ((i46 | 0) < (i41 | 0) | (i46 | 0) == (i41 | 0) & i42 >>> 0 < i33 >>> 0) {
          set32(11 * 4 | 0, 0 | 0);
          break;
         } else {
          set32(11 * 4 | 0, 1 | 0);
          i33 = get32(7 * 4 | 0) | 0;
          set32(6 * 4 | 0, 0 | 0);
          FUNCTION_TABLE_viiii[i50 & 15](i33, i42, i46, i45);
          set32(6 * 4 | 0, i50 | 0);
          set32(7 * 4 | 0, i33 | 0);
          break;
         }
        } while (0);
        i50 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i45) | 0;
        if (!i50) {
         i89 = 0;
         i90 = 0;
         i91 = i35;
         i92 = i59;
         break L191;
        }
        i33 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i50) | 0;
        i46 = (get32(30 * 4 | 0) | 0) + i33 | 0;
        set32(30 * 4 | 0, i46 | 0);
        if ((i46 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i46 | 0);
        i46 = get32(39 * 4 | 0) | 0;
        i33 = i46 + 1 | 0;
        set32(39 * 4 | 0, i33 | 0);
        if ((i46 | 0) < (get32(49 * 4 | 0) | 0)) {
         i94 = i50;
         break;
        }
        set32(49 * 4 | 0, i33 | 0);
        i94 = i50;
       } else {
        if (get8(i12 >> 0 | 0) | 0) {
         i89 = 0;
         i90 = 0;
         i91 = i35;
         i92 = i59;
         break L191;
        }
        do if (get8(i21 >> 0 | 0) | 0) {
         if ((getU16(i20 | 0) | 0) < 352) {
          set32(i60 | 0, (get32(i60 | 0) | 0) + 1 | 0);
          break;
         }
         i50 = get32(i23 | 0) | 0;
         if (!i50) {
          set32(i55 | 0, (get32(i55 | 0) | 0) + 1 | 0);
          break;
         }
         set32(i23 | 0, get32(i50 | 0) | 0);
         i33 = get32(i62 | 0) | 0;
         i46 = i33 + 1 | 0;
         set32(i62 | 0, i46 | 0);
         set32(i39 | 0, (get32(i39 | 0) | 0) + 1 | 0);
         if ((i33 | 0) >= (get32(i27 | 0) | 0)) set32(i27 | 0, i46 | 0);
         i93 = i50;
         i68 = 167;
         break L193;
        } while (0);
        do if (!(get32(50 * 4 | 0) | 0)) {
         i45 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](352) | 0;
         if (i45) {
          i94 = i45;
          break L193;
         }
        } else {
         i45 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](352) | 0;
         set32(35 * 4 | 0, 352 | 0);
         if ((get32(45 * 4 | 0) | 0) < 352) set32(45 * 4 | 0, 352 | 0);
         i50 = get32(6 * 4 | 0) | 0;
         do if (i50) {
          i46 = get32(30 * 4 | 0) | 0;
          i33 = ((i46 | 0) < 0) << 31 >> 31;
          i42 = 16;
          i41 = _i64Subtract(get32(i42 | 0) | 0, get32(i42 + 4 | 0) | 0, i45 | 0, ((i45 | 0) < 0) << 31 >> 31 | 0) | 0;
          i42 = tempRet0;
          if ((i33 | 0) < (i42 | 0) | (i33 | 0) == (i42 | 0) & i46 >>> 0 < i41 >>> 0) {
           set32(11 * 4 | 0, 0 | 0);
           break;
          } else {
           set32(11 * 4 | 0, 1 | 0);
           i41 = get32(7 * 4 | 0) | 0;
           set32(6 * 4 | 0, 0 | 0);
           FUNCTION_TABLE_viiii[i50 & 15](i41, i46, i33, i45);
           set32(6 * 4 | 0, i50 | 0);
           set32(7 * 4 | 0, i41 | 0);
           break;
          }
         } while (0);
         i50 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i45) | 0;
         if (!i50) break;
         i41 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i50) | 0;
         i33 = (get32(30 * 4 | 0) | 0) + i41 | 0;
         set32(30 * 4 | 0, i33 | 0);
         if ((i33 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i33 | 0);
         i33 = get32(39 * 4 | 0) | 0;
         i41 = i33 + 1 | 0;
         set32(39 * 4 | 0, i41 | 0);
         if ((i33 | 0) < (get32(49 * 4 | 0) | 0)) {
          i94 = i50;
          break L193;
         }
         set32(49 * 4 | 0, i41 | 0);
         i94 = i50;
         break L193;
        } while (0);
        set8(i12 >> 0 | 0, 1 | 0);
        i89 = 0;
        i90 = 0;
        i91 = i35;
        i92 = i59;
        break L191;
       } while (0);
       if ((i68 | 0) == 167) {
        i68 = 0;
        if (!i93) {
         i89 = 0;
         i90 = 0;
         i91 = i35;
         i92 = i59;
         break;
        } else i94 = i93;
       }
       set32(i52 + 12 | 0, i94 | 0);
       i50 = i52 + 18 | 0;
       set8(i50 >> 0 | 0, getU8(i50 >> 0 | 0) | 32 | 0);
       set16(i57 | 0, 512 | 0);
       set32(i94 | 0, get32(i1 | 0) | 0);
       set32(i94 + 4 | 0, i16 | 0);
       i50 = i94 + 20 | 0;
       set32(i50 | 0, 0 | 0);
       set32(i94 + 24 | 0, 8 | 0);
       i41 = i94 + 28 | 0;
       set32(i41 | 0, i94 + 32 | 0);
       i33 = i94 + 8 | 0;
       set32(i33 | 0, 0 | 0);
       set32(i33 + 4 | 0, 0 | 0);
       _whereSplit(i94, get32(i52 | 0) | 0, 69);
       i33 = get32(i50 | 0) | 0;
       if ((i33 | 0) > 0) {
        i46 = i33;
        do {
         i33 = i46;
         i46 = i46 + -1 | 0;
         _exprAnalyze(i94, i46);
        } while ((i33 | 0) > 1);
       }
       if ((get8(i12 >> 0 | 0) | 0) == 0 ? (i46 = get32(i50 | 0) | 0, (i46 | 0) > 0) : 0) {
        i33 = 0;
        i42 = 0;
        i32 = 0;
        i28 = get32(i41 | 0) | 0;
        while (1) {
         i26 = (getU8(get32(i28 | 0) >> 0 | 0) | 0) + -72 | 0;
         do if (i26 >>> 0 < 9) {
          if (!(499 >>> (i26 & 511) & 1)) {
           i95 = i33;
           i96 = i42;
           break;
          }
          i25 = get32(i28 + 8 | 0) | 0;
          i24 = get32(i16 | 0) | 0;
          L259 : do if ((i24 | 0) > 0) {
           i40 = 0;
           while (1) {
            if ((get32(i16 + 4 + (i40 << 2) | 0) | 0) == (i25 | 0)) {
             i97 = i40;
             break;
            }
            i40 = i40 + 1 | 0;
            if ((i40 | 0) >= (i24 | 0)) {
             i98 = 0;
             i99 = 0;
             break L259;
            }
           }
           i40 = _bitshift64Shl(1, 0, i97 | 0) | 0;
           i98 = i40;
           i99 = tempRet0;
          } else {
           i98 = 0;
           i99 = 0;
          } while (0);
          i95 = i98 | i33;
          i96 = i99 | i42;
         } else {
          i95 = i33;
          i96 = i42;
         } while (0);
         i32 = i32 + 1 | 0;
         if ((i32 | 0) >= (i46 | 0)) {
          i100 = i95;
          i101 = i96;
          break;
         } else {
          i33 = i95;
          i42 = i96;
          i28 = i28 + 40 | 0;
         }
        }
       } else {
        i100 = 0;
        i101 = 0;
       }
       i89 = 0;
       i90 = 0;
       i91 = i100 & i35;
       i92 = i101 & i59;
      } while (0);
      if (!(((i91 | 0) != 0 | (i92 | 0) != 0) & (i61 | 0) > 1)) {
       i102 = i91;
       i103 = i92;
       i104 = i89;
       i105 = i90;
       break;
      } else {
       i35 = i91;
       i59 = i92;
       i58 = i89;
       i37 = i90;
       i52 = i52 + 40 | 0;
      }
     }
    } else {
     i102 = -1;
     i103 = -1;
     i104 = i66;
     i105 = i64;
    }
    i52 = i80 + 352 | 0;
    set32(i52 | 0, i102 | 0);
    set32(i52 + 4 | 0, i103 | 0);
    set16(i36 | 0, ((i102 | 0) == 0 & (i103 | 0) == 0 ? 0 : 256) | 0);
    if (!((i104 | 0) == 0 & (i105 | 0) == 0)) {
     i52 = get32(i51 | 0) | 0;
     i37 = (i52 | 0) > 0;
     i58 = -1;
     i59 = 0;
     while (1) {
      if (!i37) break L179;
      i35 = i52;
      i27 = get32(i65 | 0) | 0;
      while (1) {
       i39 = i35;
       i35 = i35 + -1 | 0;
       i62 = i27 + 18 | 0;
       set8(i62 >> 0 | 0, getU8(i62 >> 0 | 0) & 191 | 0);
       i62 = get32(i27 + 8 | 0) | 0;
       if ((i62 | 0) != (i58 | 0)) {
        i23 = get32(i16 | 0) | 0;
        L294 : do if ((i23 | 0) > 0) {
         i55 = 0;
         while (1) {
          if ((get32(i16 + 4 + (i55 << 2) | 0) | 0) == (i62 | 0)) {
           i106 = i55;
           break;
          }
          i55 = i55 + 1 | 0;
          if ((i55 | 0) >= (i23 | 0)) {
           i107 = 0;
           i108 = 0;
           break L294;
          }
         }
         i55 = _bitshift64Shl(1, 0, i106 | 0) | 0;
         i107 = i55;
         i108 = tempRet0;
        } else {
         i107 = 0;
         i108 = 0;
        } while (0);
        if (!((i107 & i104 | 0) == 0 & (i108 & i105 | 0) == 0)) {
         i109 = i62;
         i110 = i39;
         i111 = i35;
         i112 = i27;
         break;
        }
       }
       if ((i39 | 0) <= 1) break L179; else i27 = i27 + 40 | 0;
      }
      i27 = get32(i112 + 12 | 0) | 0;
      if ((i110 | 0) < 1) break L179; else {
       i113 = i109;
       i114 = i111;
       i115 = i112;
      }
      while (1) {
       if ((i113 | 0) == (i109 | 0)) {
        if ((get32(i115 + 12 | 0) | 0) != (i27 | 0)) {
         i116 = 1;
         break;
        }
        i35 = get32(i115 | 0) | 0;
        i61 = i35 + 12 | 0;
        L307 : while (1) {
         i23 = get32(i61 | 0) | 0;
         switch (get8(i23 >> 0 | 0) | 0) {
         case 37:
          {
           i117 = i23;
           i68 = 213;
           break L307;
           break;
          }
         case -124:
         case -104:
         case -102:
          {
           i118 = i23;
           i68 = 224;
           break L307;
           break;
          }
         case 116:
          break;
         default:
          {
           i119 = i23;
           i68 = 227;
           break L307;
          }
         }
         i61 = get32((get32(get32(i23 + 16 | 0) | 0) | 0) + 12 | 0) | 0;
        }
        L310 : do if ((i68 | 0) == 213) {
         i68 = 0;
         i61 = get32(i117 + 4 | 0) | 0;
         if ((i61 | 0) != 0 ? (i39 = get8(i61 >> 0 | 0) | 0, i39 << 24 >> 24 != 0) : 0) {
          i62 = i61;
          i61 = i39;
          i39 = 99;
          i23 = 0;
          while (1) {
           i55 = getU8(16286 + (i61 & 255) >> 0 | 0) | i23 << 8;
           i62 = i62 + 1 | 0;
           L315 : do if ((i55 | 0) < 1685026146) {
            if ((i55 | 0) < 1667785074) {
             switch (i55 | 0) {
             case 1651273570:
              break;
             default:
              {
               i68 = 222;
               break L315;
              }
             }
             switch (i39 << 24 >> 24) {
             case 101:
             case 99:
              {
               i120 = 98;
               i121 = 1651273570;
               break L315;
               break;
              }
             default:
              {
               i68 = 221;
               break L315;
              }
             }
            }
            if ((i55 | 0) < 1668050786) switch (i55 | 0) {
            case 1667785074:
             {
              i120 = 97;
              i121 = i55;
              break L315;
              break;
             }
            default:
             {
              i68 = 222;
              break L315;
             }
            } else switch (i55 | 0) {
            case 1668050786:
             {
              i120 = 97;
              i121 = i55;
              break L315;
              break;
             }
            default:
             {
              i68 = 222;
              break L315;
             }
            }
           } else {
            if ((i55 | 0) >= 1919246700) {
             if ((i55 | 0) >= 1952807028) switch (i55 | 0) {
             case 1952807028:
              {
               i120 = 97;
               i121 = i55;
               break L315;
               break;
              }
             default:
              {
               i68 = 222;
               break L315;
              }
             }
             switch (i55 | 0) {
             case 1919246700:
              break;
             default:
              {
               i68 = 222;
               break L315;
              }
             }
             if (i39 << 24 >> 24 == 99) {
              i120 = 101;
              i121 = 1919246700;
              break;
             } else {
              i68 = 221;
              break;
             }
            }
            if ((i55 | 0) < 1718382433) {
             switch (i55 | 0) {
             case 1685026146:
              break;
             default:
              {
               i68 = 222;
               break L315;
              }
             }
             if (i39 << 24 >> 24 == 99) {
              i120 = 101;
              i121 = 1685026146;
              break;
             }
            } else {
             switch (i55 | 0) {
             case 1718382433:
              break;
             default:
              {
               i68 = 222;
               break L315;
              }
             }
             if (i39 << 24 >> 24 == 99) {
              i120 = 101;
              i121 = 1718382433;
              break;
             }
            }
            i120 = i39;
            i121 = i55;
           } while (0);
           if ((i68 | 0) == 221) {
            i68 = 0;
            i120 = i39;
            i121 = i55;
           } else if ((i68 | 0) == 222) {
            i68 = 0;
            if ((i55 & 16777215 | 0) == 6909556) {
             i122 = 100;
             break L310;
            } else {
             i120 = i39;
             i121 = i55;
            }
           }
           i61 = get8(i62 >> 0 | 0) | 0;
           if (!(i61 << 24 >> 24)) {
            i122 = i120;
            break;
           } else {
            i39 = i120;
            i23 = i121;
           }
          }
         } else i122 = 99;
        } else if ((i68 | 0) == 224) {
         i68 = 0;
         i23 = get32(i118 + 40 | 0) | 0;
         if (i23) {
          i39 = get16(i118 + 28 | 0) | 0;
          if (i39 << 16 >> 16 < 0) i122 = 100; else i122 = get8((get32(i23 + 12 | 0) | 0) + ((i39 << 16 >> 16) * 24 | 0) + 22 >> 0 | 0) | 0;
         } else {
          i119 = i118;
          i68 = 227;
         }
        } while (0);
        if ((i68 | 0) == 227) {
         i68 = 0;
         i122 = get8(i119 + 1 >> 0 | 0) | 0;
        }
        i39 = i35 + 8 | 0;
        L348 : while (1) {
         i23 = get32(i39 | 0) | 0;
         switch (get8(i23 >> 0 | 0) | 0) {
         case 37:
          {
           i123 = i23;
           i68 = 231;
           break L348;
           break;
          }
         case -124:
         case -104:
         case -102:
          {
           i124 = i23;
           i68 = 242;
           break L348;
           break;
          }
         case 116:
          break;
         default:
          {
           i125 = i23;
           i68 = 245;
           break L348;
          }
         }
         i39 = get32((get32(get32(i23 + 16 | 0) | 0) | 0) + 12 | 0) | 0;
        }
        L351 : do if ((i68 | 0) == 231) {
         i68 = 0;
         i39 = get32(i123 + 4 | 0) | 0;
         if ((i39 | 0) != 0 ? (i35 = get8(i39 >> 0 | 0) | 0, i35 << 24 >> 24 != 0) : 0) {
          i23 = i39;
          i39 = i35;
          i35 = 99;
          i61 = 0;
          while (1) {
           i62 = getU8(16286 + (i39 & 255) >> 0 | 0) | i61 << 8;
           i23 = i23 + 1 | 0;
           L356 : do if ((i62 | 0) < 1685026146) {
            if ((i62 | 0) < 1667785074) {
             switch (i62 | 0) {
             case 1651273570:
              break;
             default:
              {
               i68 = 240;
               break L356;
              }
             }
             switch (i35 << 24 >> 24) {
             case 101:
             case 99:
              {
               i126 = 98;
               i127 = 1651273570;
               break L356;
               break;
              }
             default:
              {
               i68 = 239;
               break L356;
              }
             }
            }
            if ((i62 | 0) < 1668050786) switch (i62 | 0) {
            case 1667785074:
             {
              i126 = 97;
              i127 = i62;
              break L356;
              break;
             }
            default:
             {
              i68 = 240;
              break L356;
             }
            } else switch (i62 | 0) {
            case 1668050786:
             {
              i126 = 97;
              i127 = i62;
              break L356;
              break;
             }
            default:
             {
              i68 = 240;
              break L356;
             }
            }
           } else {
            if ((i62 | 0) >= 1919246700) {
             if ((i62 | 0) >= 1952807028) switch (i62 | 0) {
             case 1952807028:
              {
               i126 = 97;
               i127 = i62;
               break L356;
               break;
              }
             default:
              {
               i68 = 240;
               break L356;
              }
             }
             switch (i62 | 0) {
             case 1919246700:
              break;
             default:
              {
               i68 = 240;
               break L356;
              }
             }
             if (i35 << 24 >> 24 == 99) {
              i126 = 101;
              i127 = 1919246700;
              break;
             } else {
              i68 = 239;
              break;
             }
            }
            if ((i62 | 0) < 1718382433) {
             switch (i62 | 0) {
             case 1685026146:
              break;
             default:
              {
               i68 = 240;
               break L356;
              }
             }
             if (i35 << 24 >> 24 == 99) {
              i126 = 101;
              i127 = 1685026146;
              break;
             }
            } else {
             switch (i62 | 0) {
             case 1718382433:
              break;
             default:
              {
               i68 = 240;
               break L356;
              }
             }
             if (i35 << 24 >> 24 == 99) {
              i126 = 101;
              i127 = 1718382433;
              break;
             }
            }
            i126 = i35;
            i127 = i62;
           } while (0);
           if ((i68 | 0) == 239) {
            i68 = 0;
            i126 = i35;
            i127 = i62;
           } else if ((i68 | 0) == 240) {
            i68 = 0;
            if ((i62 & 16777215 | 0) == 6909556) {
             i128 = 100;
             break L351;
            } else {
             i126 = i35;
             i127 = i62;
            }
           }
           i39 = get8(i23 >> 0 | 0) | 0;
           if (!(i39 << 24 >> 24)) {
            i128 = i126;
            break;
           } else {
            i35 = i126;
            i61 = i127;
           }
          }
         } else i128 = 99;
        } else if ((i68 | 0) == 242) {
         i68 = 0;
         i61 = get32(i124 + 40 | 0) | 0;
         if (i61) {
          i35 = get16(i124 + 28 | 0) | 0;
          if (i35 << 16 >> 16 < 0) i128 = 100; else i128 = get8((get32(i61 + 12 | 0) | 0) + ((i35 << 16 >> 16) * 24 | 0) + 22 >> 0 | 0) | 0;
         } else {
          i125 = i124;
          i68 = 245;
         }
        } while (0);
        if ((i68 | 0) == 245) {
         i68 = 0;
         i128 = get8(i125 + 1 >> 0 | 0) | 0;
        }
        if (!(i122 << 24 >> 24 == 0 ? 1 : i122 << 24 >> 24 == i128 << 24 >> 24)) {
         i116 = 1;
         break;
        }
        i35 = i115 + 18 | 0;
        set8(i35 >> 0 | 0, getU8(i35 >> 0 | 0) | 64 | 0);
       } else {
        i35 = i115 + 18 | 0;
        set8(i35 >> 0 | 0, getU8(i35 >> 0 | 0) & 191 | 0);
       }
       if ((i114 | 0) <= 0) {
        i116 = 0;
        break;
       }
       i113 = get32(i115 + 48 | 0) | 0;
       i114 = i114 + -1 | 0;
       i115 = i115 + 40 | 0;
      }
      i27 = i59 + 1 | 0;
      if (i116 & (i27 | 0) < 2) {
       i58 = i109;
       i59 = i27;
      } else break;
     }
     if (!i116) {
      if (i37) {
       i59 = i52;
       i58 = 0;
       i51 = 0;
       i64 = get32(i65 | 0) | 0;
       while (1) {
        if (!(get8(i64 + 18 >> 0 | 0) & 64)) {
         i129 = i58;
         i130 = i51;
        } else {
         i66 = _exprDup(i11, get32((get32(i64 | 0) | 0) + 12 | 0) | 0, 0, 0) | 0;
         i27 = _sqlite3ExprListAppend(get32(get32(i1 | 0) | 0) | 0, i51, i66) | 0;
         i129 = get32((get32(i64 | 0) | 0) + 8 | 0) | 0;
         i130 = i27;
        }
        if ((i59 | 0) > 1) {
         i59 = i59 + -1 | 0;
         i58 = i129;
         i51 = i130;
         i64 = i64 + 40 | 0;
        } else {
         i131 = i129;
         i132 = i130;
         break;
        }
       }
      } else {
       i131 = 0;
       i132 = 0;
      }
      i64 = _exprDup(i11, i131, 0, 0) | 0;
      i51 = _sqlite3ExprAlloc(get32(i10 | 0) | 0, 72, 0, 1) | 0;
      if (!i51) {
       _sqlite3ExprDelete(get32(i10 | 0) | 0, i64);
       if (!i132) i133 = i14; else {
        i58 = i132 + 12 | 0;
        if ((get32(i132 | 0) | 0) > 0) {
         i59 = 0;
         i65 = get32(i58 | 0) | 0;
         while (1) {
          _sqlite3ExprDelete(i11, get32(i65 | 0) | 0);
          _sqlite3DbFree(i11, get32(i65 + 4 | 0) | 0);
          _sqlite3DbFree(i11, get32(i65 + 8 | 0) | 0);
          i59 = i59 + 1 | 0;
          if ((i59 | 0) >= (get32(i132 | 0) | 0)) break; else i65 = i65 + 20 | 0;
         }
        }
        _sqlite3DbFree(i11, get32(i58 | 0) | 0);
        _sqlite3DbFree(i11, i132);
        i133 = i14;
       }
      } else {
       i65 = i51 + 8 | 0;
       if (!i64) {
        i59 = get32(i65 | 0) | 0;
        set32(i9 | 0, 0 | 0);
        if (!i59) {
         i134 = i9;
         i135 = 0;
        } else {
         i136 = i9;
         i137 = i59;
         i68 = 263;
        }
       } else {
        set32(i65 | 0, i64 | 0);
        if (get16(i64 + 2 | 0) & 256) {
         i65 = i51 + 2 | 0;
         set16(i65 | 0, getU16(i65 | 0) | 256 | 0);
         set32(i51 + 20 | 0, get32(i64 + 20 | 0) | 0);
        }
        set32(i9 | 0, 0 | 0);
        i136 = i9;
        i137 = i64;
        i68 = 263;
       }
       if ((i68 | 0) == 263) {
        i65 = get32(i137 + 44 | 0) | 0;
        if ((i65 | 0) > 0) {
         set32(i9 | 0, i65 | 0);
         i134 = i136;
         i135 = i65;
        } else {
         i134 = i136;
         i135 = 0;
        }
       }
       i65 = get32(i51 + 12 | 0) | 0;
       if ((i65 | 0) != 0 ? (i59 = get32(i65 + 44 | 0) | 0, (i59 | 0) > (i135 | 0)) : 0) {
        set32(i9 | 0, i59 | 0);
        i138 = i59;
       } else i138 = i135;
       i59 = i51 + 2 | 0;
       i65 = i51 + 16 | 0;
       if (!(get16(i59 | 0) & 2048)) {
        i52 = get32(i65 | 0) | 0;
        if (!i52) {
         i139 = i138;
         i68 = 277;
        } else {
         i37 = get32(i52 | 0) | 0;
         if ((i37 | 0) > 0) {
          i27 = get32(i52 + 12 | 0) | 0;
          i52 = i138;
          i66 = 0;
          while (1) {
           i35 = get32(i27 + (i66 * 20 | 0) | 0) | 0;
           do if (!i35) i140 = i52; else {
            i61 = get32(i35 + 44 | 0) | 0;
            if ((i61 | 0) <= (i52 | 0)) {
             i140 = i52;
             break;
            }
            set32(i9 | 0, i61 | 0);
            i140 = i61;
           } while (0);
           i66 = i66 + 1 | 0;
           if ((i66 | 0) == (i37 | 0)) {
            i141 = i140;
            break;
           } else i52 = i140;
          }
         } else i141 = i138;
         i52 = i141 + 1 | 0;
         set32(i51 + 44 | 0, i52 | 0);
         i142 = i52;
        }
       } else {
        _heightOfSelect(get32(i65 | 0) | 0, i9);
        i139 = get32(i9 | 0) | 0;
        i68 = 277;
       }
       if ((i68 | 0) == 277) {
        i52 = i139 + 1 | 0;
        set32(i51 + 44 | 0, i52 | 0);
        i142 = i52;
       }
       i52 = get32((get32(i10 | 0) | 0) + 84 | 0) | 0;
       if ((i52 | 0) < (i142 | 0)) {
        set32(i7 | 0, i52 | 0);
        _sqlite3ErrorMsg(i10, 29585, i7);
       }
       i52 = get16(i17 + 32 | 0) | 0;
       set16(i59 | 0, getU16(i59 | 0) | getU16(i49 | 0) & 1 | 0);
       set16(i51 + 32 | 0, i52 | 0);
       set32(i51 + 16 | 0, i132 | 0);
       i52 = _whereClauseInsert(i1, i51, 3) | 0;
       _exprAnalyze(i1, i52);
       i37 = get32(i13 | 0) | 0;
       set32(i37 + (i52 * 40 | 0) + 4 | 0, i2 | 0);
       set8(i37 + (i2 * 40 | 0) + 19 >> 0 | 0, 1 | 0);
       i133 = i37;
      }
      set16(i133 + (i2 * 40 | 0) + 16 | 0, 2048 | 0);
     }
    }
   }
  } while (0);
  i67 = (get32(i13 | 0) | 0) + (i2 * 40 | 0) | 0;
 } while (0);
 L449 : do if ((get8(i1 + 16 >> 0 | 0) | 0) == 69) {
  i133 = get32(i10 | 0) | 0;
  if ((get8(i17 >> 0 | 0) | 0) == -105) {
   i132 = i17 + 16 | 0;
   i49 = get32(i132 | 0) | 0;
   if ((i49 | 0) != 0 ? (get32(i49 | 0) | 0) == 2 : 0) {
    i49 = get32(i17 + 4 | 0) | 0;
    if (!i49) i143 = 0; else {
     i7 = i49;
     while (1) if (!(get8(i7 >> 0 | 0) | 0)) {
      i144 = i7;
      break;
     } else i7 = i7 + 1 | 0;
     i143 = i144 - i49 & 1073741823;
    }
    i7 = _sqlite3FindFunction(i133, i49, i143, 2, 1, 0) | 0;
    if (((i7 | 0) != 0 ? (i142 = get8(i7 + 3 >> 0 | 0) | 0, (i142 & 1) != 0) : 0) ? (i139 = get32(i7 + 4 | 0) | 0, i7 = get8(i139 >> 0 | 0) | 0, i141 = get8(i139 + 1 >> 0 | 0) | 0, i138 = get8(i139 + 2 >> 0 | 0) | 0, i139 = (i142 & 255) >>> 1 & 1, i142 = get32((get32(i132 | 0) | 0) + 12 | 0) | 0, i140 = get32(i142 + 20 | 0) | 0, (get8(i140 >> 0 | 0) | 0) == -104) : 0) {
     i135 = get32(i140 + 40 | 0) | 0;
     if (!i135) i145 = i140 + 1 | 0; else {
      i136 = get16(i140 + 28 | 0) | 0;
      if (i136 << 16 >> 16 < 0) {
       i146 = i67;
       i68 = 480;
       break;
      }
      i145 = (get32(i135 + 12 | 0) | 0) + ((i136 << 16 >> 16) * 24 | 0) + 22 | 0;
     }
     if ((get8(i145 >> 0 | 0) | 0) == 97) {
      i136 = get32(i142 | 0) | 0;
      i142 = get8(i136 >> 0 | 0) | 0;
      if (i142 << 24 >> 24 == -124) i147 = getU8(i136 + 35 >> 0 | 0) | 0; else i147 = i142 & 255;
      i142 = (i147 | 0) == 133;
      do if (i142) {
       i135 = get32(i10 + 468 | 0) | 0;
       i140 = get16(i136 + 28 | 0) | 0;
       i134 = i140 << 16 >> 16;
       L473 : do if ((i135 | 0) != 0 ? (i137 = i134 + -1 | 0, i14 = get32(i135 + 72 | 0) | 0, i131 = i14 + (i137 * 40 | 0) | 0, i130 = i14 + (i137 * 40 | 0) + 28 | 0, (get16(i130 | 0) & 1) == 0) : 0) {
        i137 = get32(i135 | 0) | 0;
        L476 : do if (!i137) {
         if (!(get32(50 * 4 | 0) | 0)) {
          i148 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](40) | 0;
          i68 = 346;
          break;
         }
         i14 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](40) | 0;
         set32(35 * 4 | 0, 40 | 0);
         if ((get32(45 * 4 | 0) | 0) < 40) set32(45 * 4 | 0, 40 | 0);
         i129 = get32(6 * 4 | 0) | 0;
         do if (i129) {
          i116 = get32(30 * 4 | 0) | 0;
          i109 = ((i116 | 0) < 0) << 31 >> 31;
          i115 = 16;
          i114 = _i64Subtract(get32(i115 | 0) | 0, get32(i115 + 4 | 0) | 0, i14 | 0, ((i14 | 0) < 0) << 31 >> 31 | 0) | 0;
          i115 = tempRet0;
          if ((i109 | 0) < (i115 | 0) | (i109 | 0) == (i115 | 0) & i116 >>> 0 < i114 >>> 0) {
           set32(11 * 4 | 0, 0 | 0);
           break;
          } else {
           set32(11 * 4 | 0, 1 | 0);
           i114 = get32(7 * 4 | 0) | 0;
           set32(6 * 4 | 0, 0 | 0);
           FUNCTION_TABLE_viiii[i129 & 15](i114, i116, i109, i14);
           set32(6 * 4 | 0, i129 | 0);
           set32(7 * 4 | 0, i114 | 0);
           break;
          }
         } while (0);
         i129 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i14) | 0;
         if (!i129) {
          i149 = 0;
          i150 = 0;
          break L473;
         }
         i114 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i129) | 0;
         i109 = (get32(30 * 4 | 0) | 0) + i114 | 0;
         set32(30 * 4 | 0, i109 | 0);
         if ((i109 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i109 | 0);
         i109 = get32(39 * 4 | 0) | 0;
         i114 = i109 + 1 | 0;
         set32(39 * 4 | 0, i114 | 0);
         if ((i109 | 0) < (get32(49 * 4 | 0) | 0)) {
          i151 = i129;
          break;
         }
         set32(49 * 4 | 0, i114 | 0);
         i151 = i129;
        } else {
         i129 = i137 + 30 | 0;
         if (get8(i129 >> 0 | 0) | 0) {
          i149 = 0;
          i150 = 0;
          break L473;
         }
         do if (get8(i137 + 234 >> 0 | 0) | 0) {
          if ((getU16(i137 + 232 | 0) | 0) < 40) {
           i114 = i137 + 248 | 0;
           set32(i114 | 0, (get32(i114 | 0) | 0) + 1 | 0);
           break;
          }
          i114 = i137 + 256 | 0;
          i109 = get32(i114 | 0) | 0;
          if (!i109) {
           i116 = i137 + 252 | 0;
           set32(i116 | 0, (get32(i116 | 0) | 0) + 1 | 0);
           break;
          }
          set32(i114 | 0, get32(i109 | 0) | 0);
          i114 = i137 + 236 | 0;
          i116 = get32(i114 | 0) | 0;
          i115 = i116 + 1 | 0;
          set32(i114 | 0, i115 | 0);
          i114 = i137 + 244 | 0;
          set32(i114 | 0, (get32(i114 | 0) | 0) + 1 | 0);
          i114 = i137 + 240 | 0;
          if ((i116 | 0) >= (get32(i114 | 0) | 0)) set32(i114 | 0, i115 | 0);
          i148 = i109;
          i68 = 346;
          break L476;
         } while (0);
         do if (!(get32(50 * 4 | 0) | 0)) {
          i14 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](40) | 0;
          if (i14) {
           i151 = i14;
           break L476;
          }
         } else {
          i14 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](40) | 0;
          set32(35 * 4 | 0, 40 | 0);
          if ((get32(45 * 4 | 0) | 0) < 40) set32(45 * 4 | 0, 40 | 0);
          i109 = get32(6 * 4 | 0) | 0;
          do if (i109) {
           i115 = get32(30 * 4 | 0) | 0;
           i114 = ((i115 | 0) < 0) << 31 >> 31;
           i116 = 16;
           i113 = _i64Subtract(get32(i116 | 0) | 0, get32(i116 + 4 | 0) | 0, i14 | 0, ((i14 | 0) < 0) << 31 >> 31 | 0) | 0;
           i116 = tempRet0;
           if ((i114 | 0) < (i116 | 0) | (i114 | 0) == (i116 | 0) & i115 >>> 0 < i113 >>> 0) {
            set32(11 * 4 | 0, 0 | 0);
            break;
           } else {
            set32(11 * 4 | 0, 1 | 0);
            i113 = get32(7 * 4 | 0) | 0;
            set32(6 * 4 | 0, 0 | 0);
            FUNCTION_TABLE_viiii[i109 & 15](i113, i115, i114, i14);
            set32(6 * 4 | 0, i109 | 0);
            set32(7 * 4 | 0, i113 | 0);
            break;
           }
          } while (0);
          i109 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i14) | 0;
          if (!i109) break;
          i113 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i109) | 0;
          i114 = (get32(30 * 4 | 0) | 0) + i113 | 0;
          set32(30 * 4 | 0, i114 | 0);
          if ((i114 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i114 | 0);
          i114 = get32(39 * 4 | 0) | 0;
          i113 = i114 + 1 | 0;
          set32(39 * 4 | 0, i113 | 0);
          if ((i114 | 0) < (get32(49 * 4 | 0) | 0)) {
           i151 = i109;
           break L476;
          }
          set32(49 * 4 | 0, i113 | 0);
          i151 = i109;
          break L476;
         } while (0);
         set8(i129 >> 0 | 0, 1 | 0);
         i149 = 0;
         i150 = 0;
         break L473;
        } while (0);
        if ((i68 | 0) == 346) if (!i148) {
         i149 = 0;
         i150 = 0;
         break;
        } else i151 = i148;
        i109 = i151;
        i113 = i109 + 40 | 0;
        do {
         set8(i109 >> 0 | 0, 0 | 0);
         i109 = i109 + 1 | 0;
        } while ((i109 | 0) < (i113 | 0));
        i114 = i151 + 28 | 0;
        set16(i114 | 0, 1 | 0);
        i115 = i151 + 30 | 0;
        set8(i115 >> 0 | 0, 5 | 0);
        set32(i151 | 0, i137 | 0);
        if (!i151) {
         i149 = 0;
         i150 = 0;
         break;
        }
        _sqlite3VdbeMemReleaseExternal(i151);
        i109 = i151;
        i116 = i131;
        i113 = i109 + 36 | 0;
        do {
         set32(i109 | 0, get32(i116 | 0) | 0);
         i109 = i109 + 4 | 0;
         i116 = i116 + 4 | 0;
        } while ((i109 | 0) < (i113 | 0));
        i116 = getU16(i114 | 0) | 0;
        i109 = i116 & 64511;
        i113 = i109 & 65535;
        set16(i114 | 0, i113 | 0);
        do if (i116 & 18) {
         if (get16(i130 | 0) & 2048) {
          i152 = i113;
          break;
         }
         i131 = (i109 | 4096) & 65535;
         set16(i114 | 0, i131 | 0);
         do if (i131 & 16384) {
          i137 = i151 + 24 | 0;
          i128 = i151 + 16 | 0;
          i122 = (get32(i128 | 0) | 0) + (get32(i137 | 0) | 0) | 0;
          if (!(_sqlite3VdbeMemGrow(i151, (i122 | 0) < 1 ? 1 : i122, 1) | 0)) {
           _memset((get32(i151 + 4 | 0) | 0) + (get32(i137 | 0) | 0) | 0, 0, get32(i128 | 0) | 0) | 0;
           set32(i137 | 0, (get32(i137 | 0) | 0) + (get32(i128 | 0) | 0) | 0);
           i128 = getU16(i114 | 0) & 48639;
           set16(i114 | 0, i128 | 0);
           i153 = i128;
           break;
          } else {
           i153 = get16(i114 | 0) | 0;
           break;
          }
         } else i153 = i131; while (0);
         if (!(i153 & 18)) {
          i152 = i153;
          break;
         }
         i131 = i151 + 4 | 0;
         if ((get32(i131 | 0) | 0) == (get32(i151 + 36 | 0) | 0)) {
          i152 = i153;
          break;
         }
         i129 = i151 + 24 | 0;
         if (!(_sqlite3VdbeMemGrow(i151, (get32(i129 | 0) | 0) + 2 | 0, 1) | 0)) {
          set8((get32(i131 | 0) | 0) + (get32(i129 | 0) | 0) >> 0 | 0, 0 | 0);
          set8((get32(i131 | 0) | 0) + ((get32(i129 | 0) | 0) + 1) >> 0 | 0, 0 | 0);
          i129 = (getU16(i114 | 0) | 512) & 65535;
          set16(i114 | 0, i129 | 0);
          i152 = i129;
          break;
         } else {
          i152 = get16(i114 | 0) | 0;
          break;
         }
        } else i152 = i113; while (0);
        i113 = i152 & 65535;
        if (i113 & 1) {
         set8(i115 >> 0 | 0, 5 | 0);
         i149 = i151;
         i150 = 0;
         break;
        }
        if (i113 & 4) {
         set8(i115 >> 0 | 0, 1 | 0);
         i149 = i151;
         i150 = 0;
         break;
        }
        if (i113 & 8) {
         set8(i115 >> 0 | 0, 2 | 0);
         i149 = i151;
         i150 = 0;
         break;
        }
        if (!(i113 & 2)) {
         set8(i115 >> 0 | 0, 4 | 0);
         i149 = i151;
         i150 = 0;
         break;
        } else {
         set8(i115 >> 0 | 0, 3 | 0);
         i149 = i151;
         i150 = _sqlite3ValueText(i151, 1) | 0;
         break;
        }
       } else {
        i149 = 0;
        i150 = 0;
       } while (0);
       i135 = get32(i10 + 12 | 0) | 0;
       if (i140 << 16 >> 16 > 32) {
        set32(i135 + 180 | 0, -1 | 0);
        i154 = i149;
        i155 = i150;
        break;
       } else {
        i51 = i135 + 180 | 0;
        set32(i51 | 0, get32(i51 | 0) | 1 << i134 + -1 | 0);
        i154 = i149;
        i155 = i150;
        break;
       }
      } else {
       if ((i147 | 0) != 94) {
        i146 = i67;
        i68 = 480;
        break L449;
       }
       i154 = 0;
       i155 = get32(i136 + 4 | 0) | 0;
      } while (0);
      L565 : do if (i155) {
       i49 = 0;
       while (1) {
        i51 = get8(i155 + i49 >> 0 | 0) | 0;
        i135 = i51 << 24 >> 24 == i7 << 24 >> 24;
        i59 = i49 + 1 | 0;
        if (i51 << 24 >> 24 != i138 << 24 >> 24 & ((i51 << 24 >> 24 == i141 << 24 >> 24 | (i51 << 24 >> 24 == 0 | i135)) ^ 1)) i49 = i59; else {
         i156 = i135;
         i157 = i59;
         i158 = i49;
         break;
        }
       }
       if ((i158 | 0) != 0 ? (get8(i155 + (i158 + -1) >> 0 | 0) | 0) != -1 : 0) {
        if (i156) i159 = (get8(i155 + i157 >> 0 | 0) | 0) == 0; else i159 = 0;
        set32(i9 | 0, i155 | 0);
        i49 = i155;
        while (1) if (!(get8(i49 >> 0 | 0) | 0)) {
         i160 = i49;
         break;
        } else i49 = i49 + 1 | 0;
        i49 = i159 & 1;
        set32(i9 + 4 | 0, i160 - i155 & 1073741823 | 0);
        i134 = _sqlite3ExprAlloc(i133, 94, i9, 0) | 0;
        if (i134) set8((get32(i134 + 4 | 0) | 0) + i158 >> 0 | 0, 0 | 0);
        if (!i142) {
         i161 = i134;
         i162 = i49;
         i163 = i155;
         break;
        }
        i140 = get32(i10 + 12 | 0) | 0;
        i59 = get16(i136 + 28 | 0) | 0;
        if (i59 << 16 >> 16 > 32) set32(i140 + 180 | 0, -1 | 0); else {
         i135 = i140 + 180 | 0;
         set32(i135 | 0, get32(i135 | 0) | 1 << (i59 << 16 >> 16) + -1 | 0);
        }
        if (!i159) {
         i161 = i134;
         i162 = 0;
         i163 = i155;
         break;
        }
        if (!(get8((get32(i136 + 4 | 0) | 0) + 1 >> 0 | 0) | 0)) {
         i161 = i134;
         i162 = i49;
         i163 = i155;
         break;
        }
        i59 = i10 + 21 | 0;
        i135 = get8(i59 >> 0 | 0) | 0;
        if (!(i135 << 24 >> 24)) {
         i51 = i10 + 72 | 0;
         i65 = (get32(i51 | 0) | 0) + 1 | 0;
         set32(i51 | 0, i65 | 0);
         i164 = i65;
        } else {
         i65 = i135 + -1 << 24 >> 24;
         set8(i59 >> 0 | 0, i65 | 0);
         i164 = get32(i10 + 24 + ((i65 & 255) << 2) | 0) | 0;
        }
        _sqlite3ExprCodeTarget(i10, i136, i164) | 0;
        set32((get32(i140 + 4 | 0) | 0) + (((get32(i140 + 28 | 0) | 0) + -1 | 0) * 20 | 0) + 12 | 0, 0 | 0);
        if (!i164) {
         i161 = i134;
         i162 = i49;
         i163 = i155;
         break;
        }
        i140 = get8(i59 >> 0 | 0) | 0;
        if ((i140 & 255) >= 8) {
         i161 = i134;
         i162 = i49;
         i163 = i155;
         break;
        }
        do if ((get32(i10 + 112 | 0) | 0) == (i164 | 0)) i165 = i10 + 96 | 0; else {
         if ((get32(i10 + 136 | 0) | 0) == (i164 | 0)) {
          i165 = i10 + 120 | 0;
          break;
         }
         if ((get32(i10 + 160 | 0) | 0) == (i164 | 0)) {
          i165 = i10 + 144 | 0;
          break;
         }
         if ((get32(i10 + 184 | 0) | 0) == (i164 | 0)) {
          i165 = i10 + 168 | 0;
          break;
         }
         if ((get32(i10 + 208 | 0) | 0) == (i164 | 0)) {
          i165 = i10 + 192 | 0;
          break;
         }
         if ((get32(i10 + 232 | 0) | 0) == (i164 | 0)) {
          i165 = i10 + 216 | 0;
          break;
         }
         if ((get32(i10 + 256 | 0) | 0) == (i164 | 0)) {
          i165 = i10 + 240 | 0;
          break;
         }
         if ((get32(i10 + 280 | 0) | 0) == (i164 | 0)) {
          i165 = i10 + 264 | 0;
          break;
         }
         if ((get32(i10 + 304 | 0) | 0) == (i164 | 0)) {
          i165 = i10 + 288 | 0;
          break;
         }
         if ((get32(i10 + 328 | 0) | 0) == (i164 | 0)) {
          i165 = i10 + 312 | 0;
          break;
         }
         set8(i59 >> 0 | 0, i140 + 1 << 24 >> 24 | 0);
         set32(i10 + 24 + ((i140 & 255) << 2) | 0, i164 | 0);
         i161 = i134;
         i162 = i49;
         i163 = i155;
         break L565;
        } while (0);
        set8(i165 + 8 >> 0 | 0, 1 | 0);
        i161 = i134;
        i162 = i49;
        i163 = i155;
       } else {
        i161 = 0;
        i162 = 0;
        i163 = 0;
       }
      } else {
       i161 = 0;
       i162 = 0;
       i163 = 0;
      } while (0);
      if (i154) {
       _sqlite3VdbeMemReleaseExternal(i154);
       i136 = i154 + 36 | 0;
       _sqlite3DbFree(get32(i154 | 0) | 0, get32(i136 | 0) | 0);
       set32(i154 + 4 | 0, 0 | 0);
       set32(i136 | 0, 0 | 0);
       set32(i154 + 32 | 0, 0 | 0);
       _sqlite3DbFree(get32(i154 | 0) | 0, i154);
      }
      if (i163) {
       i136 = get32((get32((get32(i132 | 0) | 0) + 12 | 0) | 0) + 20 | 0) | 0;
       i142 = _exprDup(i11, i161, 0, 0) | 0;
       if (!(get8(i12 >> 0 | 0) | 0)) {
        i133 = get32(i142 + 4 | 0) | 0;
        if (!i133) i166 = 0; else {
         i141 = i133;
         while (1) if (!(get8(i141 >> 0 | 0) | 0)) {
          i167 = i141;
          break;
         } else i141 = i141 + 1 | 0;
         i166 = i167 - i133 & 1073741823;
        }
        i141 = i133 + (i166 + -1) | 0;
        i132 = get8(i141 >> 0 | 0) | 0;
        if (!(i139 << 24 >> 24)) {
         i168 = i132 << 24 >> 24 == 64 ? 0 : i162;
         i169 = get8(16286 + (i132 & 255) >> 0 | 0) | 0;
        } else {
         i168 = i162;
         i169 = i132;
        }
        set8(i141 >> 0 | 0, (i169 & 255) + 1 | 0);
        i170 = i168;
       } else i170 = i162;
       i141 = i139 << 24 >> 24 == 0 ? 32535 : 25941;
       i132 = i141;
       while (1) if (!(get8(i132 >> 0 | 0) | 0)) {
        i171 = i132;
        break;
       } else i132 = i132 + 1 | 0;
       i132 = _sqlite3HashFind(i11 + 412 | 0, i141, i171 - i141 & 1073741823) | 0;
       i139 = _exprDup(i11, i136, 0, 0) | 0;
       i133 = (i132 | 0) != 0;
       if (i133 & (i139 | 0) != 0) {
        set32(i139 + 20 | 0, i132 | 0);
        i138 = i139 + 2 | 0;
        set16(i138 | 0, getU16(i138 | 0) | 256 | 0);
       }
       i138 = _sqlite3ExprAlloc(get32(i10 | 0) | 0, 80, 0, 1) | 0;
       i7 = get32(i10 | 0) | 0;
       do if (!i138) {
        _sqlite3ExprDelete(i7, i139);
        _sqlite3ExprDelete(i7, i161);
       } else {
        do if (i161) {
         set32(i138 + 12 | 0, i161 | 0);
         if (!(get16(i161 + 2 | 0) & 256)) break;
         i140 = i138 + 2 | 0;
         set16(i140 | 0, getU16(i140 | 0) | 256 | 0);
         set32(i138 + 20 | 0, get32(i161 + 20 | 0) | 0);
        } while (0);
        i49 = i138 + 8 | 0;
        if (!i139) {
         i134 = get32(i49 | 0) | 0;
         set32(i9 | 0, 0 | 0);
         if (!i134) {
          i172 = 0;
          i173 = i9;
         } else {
          i174 = i134;
          i175 = i9;
          i68 = 430;
         }
        } else {
         set32(i49 | 0, i139 | 0);
         if (get16(i139 + 2 | 0) & 256) {
          i49 = i138 + 2 | 0;
          set16(i49 | 0, getU16(i49 | 0) | 256 | 0);
          set32(i138 + 20 | 0, get32(i139 + 20 | 0) | 0);
         }
         set32(i9 | 0, 0 | 0);
         i174 = i139;
         i175 = i9;
         i68 = 430;
        }
        do if ((i68 | 0) == 430) {
         i49 = get32(i174 + 44 | 0) | 0;
         if ((i49 | 0) <= 0) {
          i172 = 0;
          i173 = i175;
          break;
         }
         set32(i9 | 0, i49 | 0);
         i172 = i49;
         i173 = i175;
        } while (0);
        i49 = get32(i138 + 12 | 0) | 0;
        do if (!i49) i176 = i172; else {
         i134 = get32(i49 + 44 | 0) | 0;
         if ((i134 | 0) <= (i172 | 0)) {
          i176 = i172;
          break;
         }
         set32(i9 | 0, i134 | 0);
         i176 = i134;
        } while (0);
        i49 = i138 + 16 | 0;
        do if (!(get16(i138 + 2 | 0) & 2048)) {
         i134 = get32(i49 | 0) | 0;
         if (!i134) {
          i177 = i176;
          i178 = i7;
          i68 = 444;
          break;
         }
         i140 = get32(i134 | 0) | 0;
         if ((i140 | 0) > 0) {
          i59 = get32(i134 + 12 | 0) | 0;
          i134 = i176;
          i65 = 0;
          while (1) {
           i135 = get32(i59 + (i65 * 20 | 0) | 0) | 0;
           do if (!i135) i179 = i134; else {
            i51 = get32(i135 + 44 | 0) | 0;
            if ((i51 | 0) <= (i134 | 0)) {
             i179 = i134;
             break;
            }
            set32(i9 | 0, i51 | 0);
            i179 = i51;
           } while (0);
           i65 = i65 + 1 | 0;
           if ((i65 | 0) == (i140 | 0)) {
            i180 = i179;
            break;
           } else i134 = i179;
          }
         } else i180 = i176;
         i134 = i180 + 1 | 0;
         set32(i138 + 44 | 0, i134 | 0);
         i181 = i7;
         i182 = i134;
        } else {
         _heightOfSelect(get32(i49 | 0) | 0, i9);
         i177 = get32(i9 | 0) | 0;
         i178 = get32(i10 | 0) | 0;
         i68 = 444;
        } while (0);
        if ((i68 | 0) == 444) {
         i49 = i177 + 1 | 0;
         set32(i138 + 44 | 0, i49 | 0);
         i181 = i178;
         i182 = i49;
        }
        i49 = get32(i181 + 84 | 0) | 0;
        if ((i49 | 0) >= (i182 | 0)) break;
        set32(i6 | 0, i49 | 0);
        _sqlite3ErrorMsg(i10, 29585, i6);
       } while (0);
       i7 = _whereClauseInsert(i1, i138, 3) | 0;
       _exprAnalyze(i1, i7);
       i139 = _exprDup(i11, i136, 0, 0) | 0;
       if (i133 & (i139 | 0) != 0) {
        set32(i139 + 20 | 0, i132 | 0);
        i141 = i139 + 2 | 0;
        set16(i141 | 0, getU16(i141 | 0) | 256 | 0);
       }
       i141 = _sqlite3ExprAlloc(get32(i10 | 0) | 0, 79, 0, 1) | 0;
       i49 = get32(i10 | 0) | 0;
       do if (!i141) {
        _sqlite3ExprDelete(i49, i139);
        _sqlite3ExprDelete(i49, i142);
       } else {
        do if (i142) {
         set32(i141 + 12 | 0, i142 | 0);
         if (!(get16(i142 + 2 | 0) & 256)) break;
         i134 = i141 + 2 | 0;
         set16(i134 | 0, getU16(i134 | 0) | 256 | 0);
         set32(i141 + 20 | 0, get32(i142 + 20 | 0) | 0);
        } while (0);
        i134 = i141 + 8 | 0;
        if (!i139) {
         i140 = get32(i134 | 0) | 0;
         set32(i9 | 0, 0 | 0);
         if (!i140) {
          i183 = 0;
          i184 = i9;
         } else {
          i185 = i140;
          i186 = i9;
          i68 = 460;
         }
        } else {
         set32(i134 | 0, i139 | 0);
         if (get16(i139 + 2 | 0) & 256) {
          i134 = i141 + 2 | 0;
          set16(i134 | 0, getU16(i134 | 0) | 256 | 0);
          set32(i141 + 20 | 0, get32(i139 + 20 | 0) | 0);
         }
         set32(i9 | 0, 0 | 0);
         i185 = i139;
         i186 = i9;
         i68 = 460;
        }
        do if ((i68 | 0) == 460) {
         i134 = get32(i185 + 44 | 0) | 0;
         if ((i134 | 0) <= 0) {
          i183 = 0;
          i184 = i186;
          break;
         }
         set32(i9 | 0, i134 | 0);
         i183 = i134;
         i184 = i186;
        } while (0);
        i134 = get32(i141 + 12 | 0) | 0;
        do if (!i134) i187 = i183; else {
         i140 = get32(i134 + 44 | 0) | 0;
         if ((i140 | 0) <= (i183 | 0)) {
          i187 = i183;
          break;
         }
         set32(i9 | 0, i140 | 0);
         i187 = i140;
        } while (0);
        i134 = i141 + 16 | 0;
        do if (!(get16(i141 + 2 | 0) & 2048)) {
         i140 = get32(i134 | 0) | 0;
         if (!i140) {
          i188 = i187;
          i189 = i49;
          i68 = 474;
          break;
         }
         i65 = get32(i140 | 0) | 0;
         if ((i65 | 0) > 0) {
          i59 = get32(i140 + 12 | 0) | 0;
          i140 = i187;
          i115 = 0;
          while (1) {
           i135 = get32(i59 + (i115 * 20 | 0) | 0) | 0;
           do if (!i135) i190 = i140; else {
            i51 = get32(i135 + 44 | 0) | 0;
            if ((i51 | 0) <= (i140 | 0)) {
             i190 = i140;
             break;
            }
            set32(i9 | 0, i51 | 0);
            i190 = i51;
           } while (0);
           i115 = i115 + 1 | 0;
           if ((i115 | 0) == (i65 | 0)) {
            i191 = i190;
            break;
           } else i140 = i190;
          }
         } else i191 = i187;
         i140 = i191 + 1 | 0;
         set32(i141 + 44 | 0, i140 | 0);
         i192 = i49;
         i193 = i140;
        } else {
         _heightOfSelect(get32(i134 | 0) | 0, i9);
         i188 = get32(i9 | 0) | 0;
         i189 = get32(i10 | 0) | 0;
         i68 = 474;
        } while (0);
        if ((i68 | 0) == 474) {
         i134 = i188 + 1 | 0;
         set32(i141 + 44 | 0, i134 | 0);
         i192 = i189;
         i193 = i134;
        }
        i134 = get32(i192 + 84 | 0) | 0;
        if ((i134 | 0) >= (i193 | 0)) break;
        set32(i5 | 0, i134 | 0);
        _sqlite3ErrorMsg(i10, 29585, i5);
       } while (0);
       i49 = _whereClauseInsert(i1, i141, 3) | 0;
       _exprAnalyze(i1, i49);
       i139 = get32(i13 | 0) | 0;
       i142 = i139 + (i2 * 40 | 0) | 0;
       if (!i170) {
        i146 = i142;
        i68 = 480;
        break;
       }
       set32(i139 + (i7 * 40 | 0) + 4 | 0, i2 | 0);
       set32(i139 + (i49 * 40 | 0) + 4 | 0, i2 | 0);
       set8(i139 + (i2 * 40 | 0) + 19 >> 0 | 0, 2 | 0);
       i146 = i142;
       i68 = 480;
      } else {
       i146 = i67;
       i68 = 480;
      }
     } else {
      i146 = i67;
      i68 = 480;
     }
    } else {
     i146 = i67;
     i68 = 480;
    }
   } else {
    i146 = i67;
    i68 = 480;
   }
  } else i194 = i67;
 } else {
  i146 = i67;
  i68 = 480;
 } while (0);
 if ((i68 | 0) == 480) if ((get8(i17 >> 0 | 0) | 0) == -105) {
  i67 = get32(i17 + 4 | 0) | 0;
  i170 = get8(i67 >> 0 | 0) | 0;
  L712 : do if (!(i170 << 24 >> 24)) {
   i195 = 0;
   i196 = 32542;
  } else {
   i5 = i170;
   i193 = i67;
   i192 = 32542;
   while (1) {
    if ((get8(16286 + (i5 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i192 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
     i195 = i5;
     i196 = i192;
     break L712;
    }
    i193 = i193 + 1 | 0;
    i189 = i192 + 1 | 0;
    i5 = get8(i193 >> 0 | 0) | 0;
    if (!(i5 << 24 >> 24)) {
     i195 = 0;
     i196 = i189;
     break;
    } else i192 = i189;
   }
  } while (0);
  if ((((get8(16286 + (i195 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i196 >> 0 | 0) | 0) >> 0 | 0) | 0) ? (i196 = get32(i17 + 16 | 0) | 0, (get32(i196 | 0) | 0) == 2) : 0) ? (i17 = get32(i196 + 12 | 0) | 0, i196 = get32(i17 + 20 | 0) | 0, (get8(i196 >> 0 | 0) | 0) == -104) : 0) ? (i195 = get32(i17 | 0) | 0, i17 = _exprTableUsage(i16, i195) | 0, i67 = tempRet0, i170 = _exprTableUsage(i16, i196) | 0, (i170 & i17 | 0) == 0 & (tempRet0 & i67 | 0) == 0) : 0) {
   i170 = _exprDup(i11, i195, 0, 0) | 0;
   i195 = _sqlite3ExprAlloc(get32(i10 | 0) | 0, 50, 0, 1) | 0;
   if (i195) {
    if ((i170 | 0) != 0 ? (set32(i195 + 12 | 0, i170 | 0), (get16(i170 + 2 | 0) & 256) != 0) : 0) {
     i11 = i195 + 2 | 0;
     set16(i11 | 0, getU16(i11 | 0) | 256 | 0);
     set32(i195 + 20 | 0, get32(i170 + 20 | 0) | 0);
    }
    set32(i9 | 0, 0 | 0);
    i11 = get32(i195 + 8 | 0) | 0;
    if ((i11 | 0) != 0 ? (i16 = get32(i11 + 44 | 0) | 0, (i16 | 0) > 0) : 0) {
     set32(i9 | 0, i16 | 0);
     i197 = i16;
    } else i197 = 0;
    i16 = get32(i195 + 12 | 0) | 0;
    if ((i16 | 0) != 0 ? (i11 = get32(i16 + 44 | 0) | 0, (i11 | 0) > (i197 | 0)) : 0) {
     set32(i9 | 0, i11 | 0);
     i198 = i11;
    } else i198 = i197;
    i197 = i195 + 16 | 0;
    if (!(get16(i195 + 2 | 0) & 2048)) {
     i11 = get32(i197 | 0) | 0;
     if (!i11) {
      i199 = i198;
      i68 = 508;
     } else {
      i16 = get32(i11 | 0) | 0;
      if ((i16 | 0) > 0) {
       i192 = get32(i11 + 12 | 0) | 0;
       i11 = i198;
       i5 = 0;
       while (1) {
        i193 = get32(i192 + (i5 * 20 | 0) | 0) | 0;
        do if (!i193) i200 = i11; else {
         i7 = get32(i193 + 44 | 0) | 0;
         if ((i7 | 0) <= (i11 | 0)) {
          i200 = i11;
          break;
         }
         set32(i9 | 0, i7 | 0);
         i200 = i7;
        } while (0);
        i5 = i5 + 1 | 0;
        if ((i5 | 0) == (i16 | 0)) {
         i201 = i200;
         break;
        } else i11 = i200;
       }
      } else i201 = i198;
      i198 = i201 + 1 | 0;
      set32(i195 + 44 | 0, i198 | 0);
      i202 = i198;
     }
    } else {
     _heightOfSelect(get32(i197 | 0) | 0, i9);
     i199 = get32(i9 | 0) | 0;
     i68 = 508;
    }
    if ((i68 | 0) == 508) {
     i68 = i199 + 1 | 0;
     set32(i195 + 44 | 0, i68 | 0);
     i202 = i68;
    }
    i68 = get32((get32(i10 | 0) | 0) + 84 | 0) | 0;
    if ((i68 | 0) < (i202 | 0)) {
     set32(i4 | 0, i68 | 0);
     _sqlite3ErrorMsg(i10, 29585, i4);
    }
   } else _sqlite3ExprDelete(get32(i10 | 0) | 0, i170);
   i170 = _whereClauseInsert(i1, i195, 3) | 0;
   i195 = get32(i13 | 0) | 0;
   i13 = i195 + (i170 * 40 | 0) + 24 | 0;
   set32(i13 | 0, i17 | 0);
   set32(i13 + 4 | 0, i67 | 0);
   set32(i195 + (i170 * 40 | 0) + 8 | 0, get32(i196 + 24 | 0) | 0);
   set32(i195 + (i170 * 40 | 0) + 12 | 0, get16(i196 + 28 | 0) | 0);
   set16(i195 + (i170 * 40 | 0) + 16 | 0, 64 | 0);
   set32(i195 + (i170 * 40 | 0) + 4 | 0, i2 | 0);
   set8(i195 + (i2 * 40 | 0) + 19 >> 0 | 0, 1 | 0);
   i196 = i195 + (i2 * 40 | 0) + 18 | 0;
   set8(i196 >> 0 | 0, getU8(i196 >> 0 | 0) | 8 | 0);
   i196 = i195 + (i2 * 40 | 0) + 32 | 0;
   i67 = get32(i196 + 4 | 0) | 0;
   i13 = i195 + (i170 * 40 | 0) + 32 | 0;
   set32(i13 | 0, get32(i196 | 0) | 0);
   set32(i13 + 4 | 0, i67 | 0);
   i194 = i195 + (i2 * 40 | 0) | 0;
  } else i194 = i146;
 } else i194 = i146;
 i146 = i194 + 24 | 0;
 i194 = i146;
 i2 = get32(i194 + 4 | 0) | i54;
 i54 = i146;
 set32(i54 | 0, get32(i194 | 0) | i53 | 0);
 set32(i54 + 4 | 0, i2 | 0);
 STACKTOP = i3;
 return;
}

function _sqlite3CreateIndex(i1, i2, i3, i4, i5, i6, i7, i8, i9, i10) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 i7 = i7 | 0;
 i8 = i8 | 0;
 i9 = i9 | 0;
 i10 = i10 | 0;
 var i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0, i80 = 0, i81 = 0, i82 = 0, i83 = 0, i84 = 0, i85 = 0, i86 = 0, i87 = 0, i88 = 0, i89 = 0, i90 = 0, i91 = 0, i92 = 0, i93 = 0, i94 = 0, i95 = 0, i96 = 0, i97 = 0, i98 = 0, i99 = 0, i100 = 0, i101 = 0, i102 = 0, i103 = 0, i104 = 0, i105 = 0, i106 = 0, i107 = 0, i108 = 0, i109 = 0, i110 = 0, i111 = 0, i112 = 0, i113 = 0, i114 = 0, i115 = 0, i116 = 0, i117 = 0, i118 = 0, i119 = 0, i120 = 0, i121 = 0, i122 = 0, i123 = 0, i124 = 0, i125 = 0, i126 = 0, i127 = 0, i128 = 0, i129 = 0, i130 = 0, i131 = 0, i132 = 0, i133 = 0, i134 = 0, i135 = 0, i136 = 0, i137 = 0, i138 = 0, i139 = 0, i140 = 0, i141 = 0, i142 = 0, i143 = 0, i144 = 0, i145 = 0, i146 = 0, i147 = 0, i148 = 0, i149 = 0, i150 = 0, i151 = 0, i152 = 0, i153 = 0, i154 = 0, i155 = 0, i156 = 0, i157 = 0, i158 = 0, i159 = 0, i160 = 0, i161 = 0, i162 = 0, i163 = 0, i164 = 0, i165 = 0, i166 = 0, i167 = 0, i168 = 0, i169 = 0, i170 = 0, i171 = 0, i172 = 0, i173 = 0, i174 = 0, i175 = 0, i176 = 0, i177 = 0, i178 = 0, i179 = 0, i180 = 0, i181 = 0, i182 = 0, i183 = 0, i184 = 0, i185 = 0, i186 = 0, i187 = 0, i188 = 0, i189 = 0, i190 = 0, i191 = 0, i192 = 0, i193 = 0, i194 = 0, i195 = 0, i196 = 0, i197 = 0, i198 = 0, i199 = 0, i200 = 0, i201 = 0, i202 = 0, i203 = 0, i204 = 0, i205 = 0, i206 = 0, i207 = 0, i208 = 0, i209 = 0, i210 = 0, i211 = 0;
 i11 = STACKTOP;
 STACKTOP = STACKTOP + 256 | 0;
 i12 = i11 + 224 | 0;
 i13 = i11 + 200 | 0;
 i14 = i11 + 184 | 0;
 i15 = i11 + 176 | 0;
 i16 = i11 + 168 | 0;
 i17 = i11 + 160 | 0;
 i18 = i11 + 152 | 0;
 i19 = i11 + 144 | 0;
 i20 = i11 + 136 | 0;
 i21 = i11 + 128 | 0;
 i22 = i11 + 120 | 0;
 i23 = i11 + 112 | 0;
 i24 = i11 + 104 | 0;
 i25 = i11 + 96 | 0;
 i26 = i11 + 88 | 0;
 i27 = i11 + 80 | 0;
 i28 = i11 + 72 | 0;
 i29 = i11 + 64 | 0;
 i30 = i11 + 48 | 0;
 i31 = i11 + 40 | 0;
 i32 = i11 + 32 | 0;
 i33 = i11 + 16 | 0;
 i34 = i11 + 8 | 0;
 i35 = i11;
 i36 = i11 + 248 | 0;
 i37 = i11 + 232 | 0;
 i38 = get32(i1 | 0) | 0;
 i39 = i38 + 30 | 0;
 L1 : do if ((get8(i39 >> 0 | 0) | 0) == 0 ? (i40 = i1 + 528 | 0, (get8(i40 >> 0 | 0) | 0) == 0) : 0) {
  i41 = i38 + 124 | 0;
  if ((get8(i41 >> 0 | 0) | 0) == 0 ? (i42 = _sqlite3Init(i38, i1 + 8 | 0) | 0, (i42 | 0) != 0) : 0) {
   set32(i1 + 4 | 0, i42 | 0);
   i42 = i1 + 64 | 0;
   set32(i42 | 0, (get32(i42 | 0) | 0) + 1 | 0);
   i43 = i5;
   i44 = 0;
   i45 = 0;
   i46 = 559;
   break;
  }
  i42 = (i4 | 0) != 0;
  L8 : do if (!i42) {
   i47 = get32(i1 + 508 | 0) | 0;
   if (!i47) {
    i43 = i5;
    i44 = 0;
    i45 = 0;
    i46 = 559;
    break L1;
   }
   i48 = get32(i47 + 68 | 0) | 0;
   if (i48) {
    i49 = get32(i38 + 4 | 0) | 0;
    if ((i49 | 0) > 0) {
     i50 = get32(i38 + 8 | 0) | 0;
     i51 = 0;
     while (1) {
      if ((get32(i50 + (i51 << 4) + 12 | 0) | 0) == (i48 | 0)) {
       i52 = 0;
       i53 = i51;
       i54 = i47;
       break L8;
      }
      i55 = i51 + 1 | 0;
      if ((i55 | 0) < (i49 | 0)) i51 = i55; else {
       i52 = 0;
       i53 = i55;
       i54 = i47;
       break;
      }
     }
    } else {
     i52 = 0;
     i53 = 0;
     i54 = i47;
    }
   } else {
    i52 = 0;
    i53 = -1e6;
    i54 = i47;
   }
  } else {
   i51 = get32(i1 | 0) | 0;
   if ((i3 | 0) != 0 ? (get32(i3 + 4 | 0) | 0) != 0 : 0) {
    if (get8(i51 + 124 >> 0 | 0) | 0) {
     _sqlite3ErrorMsg(i1, 29318, i35);
     i49 = i1 + 64 | 0;
     set32(i49 | 0, (get32(i49 | 0) | 0) + 1 | 0);
     i43 = i5;
     i44 = 0;
     i45 = 0;
     i46 = 559;
     break L1;
    }
    i49 = _sqlite3FindDb(i51, i2) | 0;
    if ((i49 | 0) < 0) {
     set32(i34 | 0, i2 | 0);
     _sqlite3ErrorMsg(i1, 29335, i34);
     i48 = i1 + 64 | 0;
     set32(i48 | 0, (get32(i48 | 0) | 0) + 1 | 0);
     i43 = i5;
     i44 = 0;
     i45 = 0;
     i46 = 559;
     break L1;
    } else {
     i56 = i49;
     i57 = i3;
    }
   } else {
    i49 = get32(i51 + 116 | 0) | 0;
    if ((i49 | 0) < 0) {
     i43 = i5;
     i44 = 0;
     i45 = 0;
     i46 = 559;
     break L1;
    } else {
     i56 = i49;
     i57 = i2;
    }
   }
   L20 : do if (!(get8(i41 >> 0 | 0) | 0)) {
    i49 = get32(i4 + 12 | 0) | 0;
    i51 = get32(i4 + 8 | 0) | 0;
    i48 = get32(i1 | 0) | 0;
    do if (!(get8(i48 + 124 >> 0 | 0) | 0)) {
     i50 = _sqlite3Init(i48, i1 + 8 | 0) | 0;
     if (!i50) {
      i58 = get32(i1 | 0) | 0;
      i46 = 19;
      break;
     } else {
      set32(i1 + 4 | 0, i50 | 0);
      i50 = i1 + 64 | 0;
      set32(i50 | 0, (get32(i50 | 0) | 0) + 1 | 0);
      i59 = 0;
      break;
     }
    } else {
     i58 = i48;
     i46 = 19;
    } while (0);
    do if ((i46 | 0) == 19) {
     if (!i49) i60 = 0; else {
      i48 = i49;
      while (1) if (!(get8(i48 >> 0 | 0) | 0)) {
       i61 = i48;
       break;
      } else i48 = i48 + 1 | 0;
      i60 = i61 - i49 & 1073741823;
     }
     i48 = get32(i58 + 4 | 0) | 0;
     if ((i48 | 0) > 0) {
      i50 = (i51 | 0) == 0;
      i55 = get32(i58 + 8 | 0) | 0;
      i62 = 0;
      i63 = 0;
      while (1) {
       i64 = (i62 | 0) < 2 ^ i62;
       if (!i50) {
        i65 = get32(i55 + (i64 << 4) | 0) | 0;
        i66 = get8(i51 >> 0 | 0) | 0;
        L40 : do if (!(i66 << 24 >> 24)) {
         i67 = 0;
         i68 = i65;
        } else {
         i69 = i66;
         i70 = i51;
         i71 = i65;
         while (1) {
          if ((get8(16286 + (i69 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i71 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
           i67 = i69;
           i68 = i71;
           break L40;
          }
          i70 = i70 + 1 | 0;
          i72 = i71 + 1 | 0;
          i69 = get8(i70 >> 0 | 0) | 0;
          if (!(i69 << 24 >> 24)) {
           i67 = 0;
           i68 = i72;
           break;
          } else i71 = i72;
         }
        } while (0);
        if ((get8(16286 + (i67 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i68 >> 0 | 0) | 0) >> 0 | 0) | 0)) i73 = i63; else i46 = 29;
       } else i46 = 29;
       if ((i46 | 0) == 29) {
        i46 = 0;
        i65 = _sqlite3HashFind((get32(i55 + (i64 << 4) + 12 | 0) | 0) + 8 | 0, i49, i60) | 0;
        if (!i65) i73 = i65; else {
         i74 = i65;
         break;
        }
       }
       i62 = i62 + 1 | 0;
       if ((i62 | 0) >= (i48 | 0)) {
        i74 = i73;
        break;
       } else i63 = i73;
      }
      if (i74) {
       i59 = i74;
       break;
      }
     }
     if (!i51) {
      set32(i32 | 0, 25690 | 0);
      set32(i32 + 4 | 0, i49 | 0);
      _sqlite3ErrorMsg(i1, 25714, i32);
     } else {
      set32(i33 | 0, 25690 | 0);
      set32(i33 + 4 | 0, i51 | 0);
      set32(i33 + 8 | 0, i49 | 0);
      _sqlite3ErrorMsg(i1, 25704, i33);
     }
     set8(i1 + 18 >> 0 | 0, 1 | 0);
     i59 = 0;
    } while (0);
    i49 = i4 + 20 | 0;
    _sqlite3DeleteTable(get32(i1 | 0) | 0, get32(i49 | 0) | 0);
    set32(i49 | 0, i59 | 0);
    if (i59) {
     i49 = i59 + 32 | 0;
     set16(i49 | 0, (get16(i49 | 0) | 0) + 1 << 16 >> 16 | 0);
     i49 = get32(i4 + 56 | 0) | 0;
     L56 : do if (i49) {
      i51 = get32(i59 + 16 | 0) | 0;
      L58 : do if (i51) {
       i63 = i51;
       while (1) {
        i48 = get32(i63 | 0) | 0;
        i62 = get8(i48 >> 0 | 0) | 0;
        L61 : do if (!(i62 << 24 >> 24)) {
         i75 = 0;
         i76 = i49;
        } else {
         i55 = i62;
         i50 = i48;
         i65 = i49;
         while (1) {
          if ((get8(16286 + (i55 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i65 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
           i75 = i55;
           i76 = i65;
           break L61;
          }
          i50 = i50 + 1 | 0;
          i66 = i65 + 1 | 0;
          i55 = get8(i50 >> 0 | 0) | 0;
          if (!(i55 << 24 >> 24)) {
           i75 = 0;
           i76 = i66;
           break;
          } else i65 = i66;
         }
        } while (0);
        if ((get8(16286 + (i75 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i76 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
         i77 = i63;
         break;
        }
        i63 = get32(i63 + 32 | 0) | 0;
        if (!i63) break L58;
       }
       set32(i4 + 60 | 0, i77 | 0);
       break L56;
      } while (0);
      set32(i31 | 0, i49 | 0);
      set32(i31 + 4 | 0, 0 | 0);
      _sqlite3ErrorMsg(i1, 30280, i31);
      set8(i1 + 18 >> 0 | 0, 1 | 0);
      i78 = i56;
      break L20;
     } while (0);
     if (!(get32(i3 + 4 | 0) | 0)) i78 = (get32(i59 + 68 | 0) | 0) == (get32((get32(i38 + 8 | 0) | 0) + 28 | 0) | 0) ? 1 : i56; else i78 = i56;
    } else i78 = i56;
   } else i78 = i56; while (0);
   if (!((i78 | 0) < 0 | (i78 | 0) == 1)) {
    i47 = get32(i1 | 0) | 0;
    set32(i37 | 0, i1 | 0);
    set32(i37 + 4 | 0, get32((get32(i47 + 8 | 0) | 0) + (i78 << 4) | 0) | 0);
    set32(i37 + 8 | 0, 28221 | 0);
    set32(i37 + 12 | 0, i57 | 0);
    _sqlite3FixSrcList(i37, i4) | 0;
   }
   i47 = get32(i4 + 12 | 0) | 0;
   i49 = get32(i4 + 8 | 0) | 0;
   i51 = get32(i1 | 0) | 0;
   do if (!(get8(i51 + 124 >> 0 | 0) | 0)) {
    i63 = _sqlite3Init(i51, i1 + 8 | 0) | 0;
    if (!i63) {
     i79 = get32(i1 | 0) | 0;
     break;
    } else {
     set32(i1 + 4 | 0, i63 | 0);
     i63 = i1 + 64 | 0;
     set32(i63 | 0, (get32(i63 | 0) | 0) + 1 | 0);
     i43 = i5;
     i44 = 0;
     i45 = 0;
     i46 = 559;
     break L1;
    }
   } else i79 = i51; while (0);
   if (!i47) i80 = 0; else {
    i51 = i47;
    while (1) if (!(get8(i51 >> 0 | 0) | 0)) {
     i81 = i51;
     break;
    } else i51 = i51 + 1 | 0;
    i80 = i81 - i47 & 1073741823;
   }
   i51 = get32(i79 + 4 | 0) | 0;
   if ((i51 | 0) > 0) {
    i63 = (i49 | 0) == 0;
    i64 = get32(i79 + 8 | 0) | 0;
    i48 = 0;
    i62 = 0;
    while (1) {
     i65 = (i48 | 0) < 2 ^ i48;
     if (!i63) {
      i55 = get32(i64 + (i65 << 4) | 0) | 0;
      i50 = get8(i49 >> 0 | 0) | 0;
      L92 : do if (!(i50 << 24 >> 24)) {
       i82 = 0;
       i83 = i55;
      } else {
       i66 = i50;
       i71 = i49;
       i69 = i55;
       while (1) {
        if ((get8(16286 + (i66 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i69 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
         i82 = i66;
         i83 = i69;
         break L92;
        }
        i71 = i71 + 1 | 0;
        i70 = i69 + 1 | 0;
        i66 = get8(i71 >> 0 | 0) | 0;
        if (!(i66 << 24 >> 24)) {
         i82 = 0;
         i83 = i70;
         break;
        } else i69 = i70;
       }
      } while (0);
      if ((get8(16286 + (i82 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i83 >> 0 | 0) | 0) >> 0 | 0) | 0)) i84 = i62; else i46 = 64;
     } else i46 = 64;
     if ((i46 | 0) == 64) {
      i46 = 0;
      i55 = _sqlite3HashFind((get32(i64 + (i65 << 4) + 12 | 0) | 0) + 8 | 0, i47, i80) | 0;
      if (!i55) i84 = i55; else {
       i85 = i55;
       break;
      }
     }
     i48 = i48 + 1 | 0;
     if ((i48 | 0) >= (i51 | 0)) {
      i85 = i84;
      break;
     } else i62 = i84;
    }
    if (i85) if (!(get8(i39 >> 0 | 0) | 0)) {
     i52 = i57;
     i53 = i78;
     i54 = i85;
     break;
    } else {
     i43 = i5;
     i44 = 0;
     i45 = 0;
     i46 = 559;
     break L1;
    }
   }
   if (!i49) {
    set32(i29 | 0, 25690 | 0);
    set32(i29 + 4 | 0, i47 | 0);
    _sqlite3ErrorMsg(i1, 25714, i29);
   } else {
    set32(i30 | 0, 25690 | 0);
    set32(i30 + 4 | 0, i49 | 0);
    set32(i30 + 8 | 0, i47 | 0);
    _sqlite3ErrorMsg(i1, 25704, i30);
   }
   set8(i1 + 18 >> 0 | 0, 1 | 0);
   i43 = i5;
   i44 = 0;
   i45 = 0;
   i46 = 559;
   break L1;
  } while (0);
  i62 = i38 + 8 | 0;
  i51 = get32(i62 | 0) | 0;
  i48 = i51 + (i53 << 4) | 0;
  i64 = get32(i54 | 0) | 0;
  i63 = get8(i64 >> 0 | 0) | 0;
  do if (!(i63 << 24 >> 24)) {
   i86 = 29355;
   i46 = 79;
  } else {
   i55 = i63 & 255;
   i50 = 16286 + i55 | 0;
   if ((i55 & 223 | 0) == 83) {
    i55 = get8(i64 + 1 >> 0 | 0) | 0;
    if (!(i55 << 24 >> 24)) {
     i86 = 29356;
     i46 = 79;
     break;
    }
    i69 = i55 & 255;
    i55 = 16286 + i69 | 0;
    if ((i69 & 223 | 0) == 81) {
     i69 = get8(i64 + 2 >> 0 | 0) | 0;
     if (!(i69 << 24 >> 24)) {
      i86 = 29357;
      i46 = 79;
      break;
     }
     i66 = i69 & 255;
     i69 = 16286 + i66 | 0;
     if ((i66 & 223 | 0) == 76) {
      i66 = get8(i64 + 3 >> 0 | 0) | 0;
      if (!(i66 << 24 >> 24)) {
       i86 = 29358;
       i46 = 79;
       break;
      }
      i71 = i66 & 255;
      i66 = 16286 + i71 | 0;
      if ((i71 & 223 | 0) == 73) {
       i71 = get8(i64 + 4 >> 0 | 0) | 0;
       if (!(i71 << 24 >> 24)) {
        i86 = 29359;
        i46 = 79;
        break;
       }
       i70 = i71 & 255;
       i71 = 16286 + i70 | 0;
       if ((i70 & 223 | 0) == 84) {
        i70 = get8(i64 + 5 >> 0 | 0) | 0;
        if (!(i70 << 24 >> 24)) {
         i86 = 29360;
         i46 = 79;
         break;
        }
        i72 = i70 & 255;
        i70 = 16286 + i72 | 0;
        if ((i72 & 223 | 0) == 69) {
         i72 = get8(i64 + 6 >> 0 | 0) | 0;
         if (!(i72 << 24 >> 24)) {
          i86 = 29361;
          i46 = 79;
          break;
         }
         if (i72 << 24 >> 24 == 95) {
          i46 = 84;
          break;
         } else {
          i87 = 16286 + (i72 & 255) | 0;
          i88 = 95;
         }
        } else {
         i87 = i70;
         i88 = 101;
        }
       } else {
        i87 = i71;
        i88 = 116;
       }
      } else {
       i87 = i66;
       i88 = 105;
      }
     } else {
      i87 = i69;
      i88 = 108;
     }
    } else {
     i87 = i55;
     i88 = 113;
    }
   } else {
    i87 = i50;
    i88 = 115;
   }
   i89 = get8(i87 >> 0 | 0) | 0;
   i90 = i88;
   i46 = 83;
  } while (0);
  if ((i46 | 0) == 79) {
   i89 = 0;
   i90 = get8(16286 + (getU8(i86 >> 0 | 0) | 0) >> 0 | 0) | 0;
   i46 = 83;
  }
  if ((i46 | 0) == 83 ? i89 << 24 >> 24 == i90 << 24 >> 24 : 0) i46 = 84;
  if ((i46 | 0) == 84 ? (_memcmp(i64 + 7 | 0, 30931, 9) | 0) != 0 : 0) {
   set32(i28 | 0, i64 | 0);
   _sqlite3ErrorMsg(i1, 30941, i28);
   i43 = i5;
   i44 = 0;
   i45 = 0;
   i46 = 559;
   break;
  }
  if (get32(i54 + 28 | 0) | 0) {
   _sqlite3ErrorMsg(i1, 30969, i27);
   i43 = i5;
   i44 = 0;
   i45 = 0;
   i46 = 559;
   break;
  }
  if (get8(i54 + 34 >> 0 | 0) & 16) {
   _sqlite3ErrorMsg(i1, 30994, i26);
   i43 = i5;
   i44 = 0;
   i45 = 0;
   i46 = 559;
   break;
  }
  i63 = (i52 | 0) == 0;
  if (!i63) {
   i50 = get32(i52 | 0) | 0;
   i55 = get32(i52 + 4 | 0) | 0;
   if (!i50) {
    i43 = i5;
    i44 = 0;
    i45 = 0;
    i46 = 559;
    break;
   }
   i69 = i55 + 1 | 0;
   if (get8(i39 >> 0 | 0) | 0) {
    i43 = i5;
    i44 = 0;
    i45 = 0;
    i46 = 559;
    break;
   }
   do if (!(get8(i38 + 234 >> 0 | 0) | 0)) i46 = 100; else {
    if ((getU16(i38 + 232 | 0) | 0) < (i69 | 0)) {
     i66 = i38 + 248 | 0;
     set32(i66 | 0, (get32(i66 | 0) | 0) + 1 | 0);
     i46 = 100;
     break;
    }
    i66 = i38 + 256 | 0;
    i71 = get32(i66 | 0) | 0;
    if (!i71) {
     i70 = i38 + 252 | 0;
     set32(i70 | 0, (get32(i70 | 0) | 0) + 1 | 0);
     i46 = 100;
     break;
    }
    set32(i66 | 0, get32(i71 | 0) | 0);
    i66 = i38 + 236 | 0;
    i70 = get32(i66 | 0) | 0;
    i72 = i70 + 1 | 0;
    set32(i66 | 0, i72 | 0);
    i66 = i38 + 244 | 0;
    set32(i66 | 0, (get32(i66 | 0) | 0) + 1 | 0);
    i66 = i38 + 240 | 0;
    if ((i70 | 0) >= (get32(i66 | 0) | 0)) set32(i66 | 0, i72 | 0);
    i91 = i71;
   } while (0);
   L166 : do if ((i46 | 0) == 100) {
    do if (i55 >>> 0 <= 2147483390) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i71 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i69) | 0;
      if (!i71) break; else {
       i91 = i71;
       break L166;
      }
     }
     i71 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i69) | 0;
     set32(35 * 4 | 0, i69 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i69 | 0)) set32(45 * 4 | 0, i69 | 0);
     i72 = get32(6 * 4 | 0) | 0;
     do if (i72) {
      i66 = get32(30 * 4 | 0) | 0;
      i70 = ((i66 | 0) < 0) << 31 >> 31;
      i92 = 16;
      i93 = _i64Subtract(get32(i92 | 0) | 0, get32(i92 + 4 | 0) | 0, i71 | 0, ((i71 | 0) < 0) << 31 >> 31 | 0) | 0;
      i92 = tempRet0;
      if ((i70 | 0) < (i92 | 0) | (i70 | 0) == (i92 | 0) & i66 >>> 0 < i93 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i93 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i72 & 15](i93, i66, i70, i71);
       set32(6 * 4 | 0, i72 | 0);
       set32(7 * 4 | 0, i93 | 0);
       break;
      }
     } while (0);
     i72 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i71) | 0;
     if (i72) {
      i65 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i72) | 0;
      i93 = (get32(30 * 4 | 0) | 0) + i65 | 0;
      set32(30 * 4 | 0, i93 | 0);
      if ((i93 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i93 | 0);
      i93 = get32(39 * 4 | 0) | 0;
      i65 = i93 + 1 | 0;
      set32(39 * 4 | 0, i65 | 0);
      if ((i93 | 0) < (get32(49 * 4 | 0) | 0)) {
       i91 = i72;
       break L166;
      }
      set32(49 * 4 | 0, i65 | 0);
      i91 = i72;
      break L166;
     }
    } while (0);
    set8(i39 >> 0 | 0, 1 | 0);
    i43 = i5;
    i44 = 0;
    i45 = 0;
    i46 = 559;
    break L1;
   } while (0);
   _memcpy(i91 | 0, i50 | 0, i55 | 0) | 0;
   set8(i91 + i55 >> 0 | 0, 0 | 0);
   i69 = get8(i91 >> 0 | 0) | 0;
   switch (i69 << 24 >> 24 | 0) {
   case 96:
   case 34:
   case 39:
    {
     i94 = i69;
     i46 = 118;
     break;
    }
   case 91:
    {
     i94 = 93;
     i46 = 118;
     break;
    }
   default:
    {}
   }
   if ((i46 | 0) == 118) {
    i69 = get8(i91 + 1 >> 0 | 0) | 0;
    L193 : do if (!(i69 << 24 >> 24)) i95 = 0; else {
     i47 = i69;
     i49 = 1;
     i72 = 0;
     while (1) {
      if (i47 << 24 >> 24 == i94 << 24 >> 24) {
       i65 = i49 + 1 | 0;
       if ((get8(i91 + i65 >> 0 | 0) | 0) != i94 << 24 >> 24) {
        i95 = i72;
        break L193;
       }
       set8(i91 + i72 >> 0 | 0, i94 | 0);
       i96 = i65;
      } else {
       set8(i91 + i72 >> 0 | 0, i47 | 0);
       i96 = i49;
      }
      i65 = i72 + 1 | 0;
      i49 = i96 + 1 | 0;
      i47 = get8(i91 + i49 >> 0 | 0) | 0;
      if (!(i47 << 24 >> 24)) {
       i95 = i65;
       break;
      } else i72 = i65;
     }
    } while (0);
    set8(i91 + i95 >> 0 | 0, 0 | 0);
   }
   if (_sqlite3CheckObjectName(i1, i91) | 0) {
    i43 = i5;
    i44 = 0;
    i45 = i91;
    i46 = 559;
    break;
   }
   L204 : do if (!(get8(i41 >> 0 | 0) | 0)) {
    i69 = i91;
    while (1) if (!(get8(i69 >> 0 | 0) | 0)) {
     i97 = i69;
     break;
    } else i69 = i69 + 1 | 0;
    i69 = i97 - i91 & 1073741823;
    i55 = get32(i38 + 4 | 0) | 0;
    if ((i55 | 0) > 0) {
     i50 = get32(i62 | 0) | 0;
     i72 = 0;
     while (1) {
      if (_sqlite3HashFind((get32(i50 + (((i72 | 0) < 2 ^ i72) << 4) + 12 | 0) | 0) + 8 | 0, i91, i69) | 0) break;
      i72 = i72 + 1 | 0;
      if ((i72 | 0) >= (i55 | 0)) break L204;
     }
     set32(i25 | 0, i91 | 0);
     _sqlite3ErrorMsg(i1, 31028, i25);
     i43 = i5;
     i44 = 0;
     i45 = i91;
     i46 = 559;
     break L1;
    }
   } while (0);
   i55 = get32(i48 | 0) | 0;
   i72 = i91;
   while (1) if (!(get8(i72 >> 0 | 0) | 0)) {
    i98 = i72;
    break;
   } else i72 = i72 + 1 | 0;
   i72 = i98 - i91 & 1073741823;
   i69 = get32(i38 + 4 | 0) | 0;
   if ((i69 | 0) > 0) {
    i50 = get32(i62 | 0) | 0;
    i47 = (i55 | 0) == 0;
    i49 = 0;
    i65 = 0;
    while (1) {
     i93 = (i49 | 0) < 2 ^ i49;
     i70 = get32(i50 + (i93 << 4) + 12 | 0) | 0;
     if (!i47) {
      i66 = get32(i50 + (i93 << 4) | 0) | 0;
      i93 = get8(i55 >> 0 | 0) | 0;
      L222 : do if (!(i93 << 24 >> 24)) {
       i99 = 0;
       i100 = i66;
      } else {
       i92 = i93;
       i101 = i55;
       i102 = i66;
       while (1) {
        if ((get8(16286 + (i92 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i102 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
         i99 = i92;
         i100 = i102;
         break L222;
        }
        i101 = i101 + 1 | 0;
        i103 = i102 + 1 | 0;
        i92 = get8(i101 >> 0 | 0) | 0;
        if (!(i92 << 24 >> 24)) {
         i99 = 0;
         i100 = i103;
         break;
        } else i102 = i103;
       }
      } while (0);
      if ((get8(16286 + (i99 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i100 >> 0 | 0) | 0) >> 0 | 0) | 0)) i104 = i65; else i46 = 142;
     } else i46 = 142;
     if ((i46 | 0) == 142) {
      i46 = 0;
      i66 = _sqlite3HashFind(i70 + 24 | 0, i91, i72) | 0;
      if (!i66) i104 = i66; else {
       i105 = i66;
       break;
      }
     }
     i49 = i49 + 1 | 0;
     if ((i49 | 0) >= (i69 | 0)) {
      i105 = i104;
      break;
     } else i65 = i104;
    }
    if (i105) {
     if (!i10) {
      set32(i24 | 0, i91 | 0);
      _sqlite3ErrorMsg(i1, 31062, i24);
      i43 = i5;
      i44 = 0;
      i45 = i91;
      i46 = 559;
      break;
     }
     i65 = get32(i1 + 424 | 0) | 0;
     i69 = (i65 | 0) == 0 ? i1 : i65;
     i65 = i69 + 348 | 0;
     if (!(get32(i65 | 0) | 0)) {
      i49 = i69 + 12 | 0;
      i72 = get32(i49 | 0) | 0;
      do if (!i72) {
       i50 = get32(i69 | 0) | 0;
       L239 : do if (!i50) {
        if (!(get32(50 * 4 | 0) | 0)) {
         i106 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
         i46 = 186;
         break;
        }
        i47 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
        set32(35 * 4 | 0, 192 | 0);
        if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
        i66 = get32(6 * 4 | 0) | 0;
        do if (i66) {
         i93 = get32(30 * 4 | 0) | 0;
         i102 = ((i93 | 0) < 0) << 31 >> 31;
         i92 = 16;
         i101 = _i64Subtract(get32(i92 | 0) | 0, get32(i92 + 4 | 0) | 0, i47 | 0, ((i47 | 0) < 0) << 31 >> 31 | 0) | 0;
         i92 = tempRet0;
         if ((i102 | 0) < (i92 | 0) | (i102 | 0) == (i92 | 0) & i93 >>> 0 < i101 >>> 0) {
          set32(11 * 4 | 0, 0 | 0);
          break;
         } else {
          set32(11 * 4 | 0, 1 | 0);
          i101 = get32(7 * 4 | 0) | 0;
          set32(6 * 4 | 0, 0 | 0);
          FUNCTION_TABLE_viiii[i66 & 15](i101, i93, i102, i47);
          set32(6 * 4 | 0, i66 | 0);
          set32(7 * 4 | 0, i101 | 0);
          break;
         }
        } while (0);
        i66 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i47) | 0;
        if (!i66) {
         i46 = 196;
         break;
        }
        i101 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i66) | 0;
        i102 = (get32(30 * 4 | 0) | 0) + i101 | 0;
        set32(30 * 4 | 0, i102 | 0);
        if ((i102 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i102 | 0);
        i102 = get32(39 * 4 | 0) | 0;
        i101 = i102 + 1 | 0;
        set32(39 * 4 | 0, i101 | 0);
        if ((i102 | 0) < (get32(49 * 4 | 0) | 0)) {
         i107 = i66;
         break;
        }
        set32(49 * 4 | 0, i101 | 0);
        i107 = i66;
       } else {
        i66 = i50 + 30 | 0;
        if (get8(i66 >> 0 | 0) | 0) {
         i46 = 196;
         break;
        }
        do if (get8(i50 + 234 >> 0 | 0) | 0) {
         if ((getU16(i50 + 232 | 0) | 0) < 192) {
          i101 = i50 + 248 | 0;
          set32(i101 | 0, (get32(i101 | 0) | 0) + 1 | 0);
          break;
         }
         i101 = i50 + 256 | 0;
         i102 = get32(i101 | 0) | 0;
         if (!i102) {
          i93 = i50 + 252 | 0;
          set32(i93 | 0, (get32(i93 | 0) | 0) + 1 | 0);
          break;
         }
         set32(i101 | 0, get32(i102 | 0) | 0);
         i101 = i50 + 236 | 0;
         i93 = get32(i101 | 0) | 0;
         i92 = i93 + 1 | 0;
         set32(i101 | 0, i92 | 0);
         i101 = i50 + 244 | 0;
         set32(i101 | 0, (get32(i101 | 0) | 0) + 1 | 0);
         i101 = i50 + 240 | 0;
         if ((i93 | 0) >= (get32(i101 | 0) | 0)) set32(i101 | 0, i92 | 0);
         i106 = i102;
         i46 = 186;
         break L239;
        } while (0);
        do if (!(get32(50 * 4 | 0) | 0)) {
         i47 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
         if (i47) {
          i107 = i47;
          break L239;
         }
        } else {
         i47 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
         set32(35 * 4 | 0, 192 | 0);
         if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
         i102 = get32(6 * 4 | 0) | 0;
         do if (i102) {
          i92 = get32(30 * 4 | 0) | 0;
          i101 = ((i92 | 0) < 0) << 31 >> 31;
          i93 = 16;
          i71 = _i64Subtract(get32(i93 | 0) | 0, get32(i93 + 4 | 0) | 0, i47 | 0, ((i47 | 0) < 0) << 31 >> 31 | 0) | 0;
          i93 = tempRet0;
          if ((i101 | 0) < (i93 | 0) | (i101 | 0) == (i93 | 0) & i92 >>> 0 < i71 >>> 0) {
           set32(11 * 4 | 0, 0 | 0);
           break;
          } else {
           set32(11 * 4 | 0, 1 | 0);
           i71 = get32(7 * 4 | 0) | 0;
           set32(6 * 4 | 0, 0 | 0);
           FUNCTION_TABLE_viiii[i102 & 15](i71, i92, i101, i47);
           set32(6 * 4 | 0, i102 | 0);
           set32(7 * 4 | 0, i71 | 0);
           break;
          }
         } while (0);
         i102 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i47) | 0;
         if (!i102) break;
         i71 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i102) | 0;
         i101 = (get32(30 * 4 | 0) | 0) + i71 | 0;
         set32(30 * 4 | 0, i101 | 0);
         if ((i101 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i101 | 0);
         i101 = get32(39 * 4 | 0) | 0;
         i71 = i101 + 1 | 0;
         set32(39 * 4 | 0, i71 | 0);
         if ((i101 | 0) < (get32(49 * 4 | 0) | 0)) {
          i107 = i102;
          break L239;
         }
         set32(49 * 4 | 0, i71 | 0);
         i107 = i102;
         break L239;
        } while (0);
        set8(i66 >> 0 | 0, 1 | 0);
        i46 = 196;
       } while (0);
       if ((i46 | 0) == 186) if (!i106) i46 = 196; else i107 = i106;
       if ((i46 | 0) == 196) {
        set32(i49 | 0, 0 | 0);
        i43 = i5;
        i44 = 0;
        i45 = i91;
        i46 = 559;
        break L1;
       }
       _memset(i107 | 0, 0, 192) | 0;
       set32(i107 | 0, i50 | 0);
       i70 = i50 + 136 | 0;
       i102 = get32(i70 | 0) | 0;
       if (i102) set32(i102 + 60 | 0, i107 | 0);
       set32(i107 + 64 | 0, i102 | 0);
       set32(i107 + 60 | 0, 0 | 0);
       set32(i70 | 0, i107 | 0);
       set32(i107 + 52 | 0, 649915045 | 0);
       set32(i49 | 0, i107 | 0);
       i70 = i107 + 28 | 0;
       i102 = i107 + 32 | 0;
       i71 = i107 + 4 | 0;
       i101 = _sqlite3DbRealloc(i50, 0, 1020) | 0;
       if (!i101) {
        i108 = i107;
        break;
       }
       i92 = get32(i107 | 0) | 0;
       do if (!i92) i46 = 194; else {
        if ((get32(i92 + 260 | 0) | 0) >>> 0 > i101 >>> 0) {
         i46 = 194;
         break;
        }
        if ((get32(i92 + 264 | 0) | 0) >>> 0 <= i101 >>> 0) {
         i46 = 194;
         break;
        }
        i109 = getU16(i92 + 232 | 0) | 0;
       } while (0);
       if ((i46 | 0) == 194) i109 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i101) | 0;
       set32(i102 | 0, (i109 >>> 0) / 20 | 0 | 0);
       set32(i71 | 0, i101 | 0);
       set32(i70 | 0, (get32(i70 | 0) | 0) + 1 | 0);
       set8(i101 >> 0 | 0, -120 | 0);
       set8(i101 + 1 >> 0 | 0, 0 | 0);
       i110 = i101 + 3 | 0;
       i111 = i110 + 17 | 0;
       do {
        set8(i110 >> 0 | 0, 0 | 0);
        i110 = i110 + 1 | 0;
       } while ((i110 | 0) < (i111 | 0));
       i108 = i107;
      } else i108 = i72; while (0);
      i72 = i108 + 28 | 0;
      i49 = get32(i72 | 0) | 0;
      i101 = i108 + 32 | 0;
      i70 = get32(i101 | 0) | 0;
      do if ((i70 | 0) > (i49 | 0)) {
       i112 = i49;
       i113 = get32(i108 + 4 | 0) | 0;
       i46 = 206;
      } else {
       i71 = i108 + 4 | 0;
       i102 = _sqlite3DbRealloc(get32(i108 | 0) | 0, get32(i71 | 0) | 0, (i70 | 0) == 0 ? 1020 : i70 * 40 | 0) | 0;
       if (!i102) {
        i114 = 1;
        break;
       }
       i92 = get32(i108 | 0) | 0;
       do if (!i92) i46 = 204; else {
        if ((get32(i92 + 260 | 0) | 0) >>> 0 > i102 >>> 0) {
         i46 = 204;
         break;
        }
        if ((get32(i92 + 264 | 0) | 0) >>> 0 <= i102 >>> 0) {
         i46 = 204;
         break;
        }
        i115 = getU16(i92 + 232 | 0) | 0;
       } while (0);
       if ((i46 | 0) == 204) i115 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i102) | 0;
       set32(i101 | 0, (i115 >>> 0) / 20 | 0 | 0);
       set32(i71 | 0, i102 | 0);
       i112 = get32(i72 | 0) | 0;
       i113 = i102;
       i46 = 206;
      } while (0);
      if ((i46 | 0) == 206) {
       set32(i72 | 0, i112 + 1 | 0);
       set8(i113 + (i49 * 20 | 0) >> 0 | 0, 1 | 0);
       set8(i113 + (i49 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i110 = i113 + (i49 * 20 | 0) + 3 | 0;
       i111 = i110 + 17 | 0;
       do {
        set8(i110 >> 0 | 0, 0 | 0);
        i110 = i110 + 1 | 0;
       } while ((i110 | 0) < (i111 | 0));
       i114 = i49;
      }
      set32(i65 | 0, i114 + 1 | 0);
     }
     if ((i53 | 0) <= -1) {
      i43 = i5;
      i44 = 0;
      i45 = i91;
      i46 = 559;
      break;
     }
     i72 = 1 << i53;
     i101 = i69 + 340 | 0;
     i70 = get32(i101 | 0) | 0;
     if (i70 & i72) {
      i43 = i5;
      i44 = 0;
      i45 = i91;
      i46 = 559;
      break;
     }
     i92 = get32(i69 | 0) | 0;
     set32(i101 | 0, i70 | i72 | 0);
     set32(i69 + 352 + (i53 << 2) | 0, get32(get32((get32(i92 + 8 | 0) | 0) + (i53 << 4) + 12 | 0) | 0) | 0);
     if ((i53 | 0) != 1) {
      i43 = i5;
      i44 = 0;
      i45 = i91;
      i46 = 559;
      break;
     }
     i92 = get32(i69 | 0) | 0;
     i72 = i92 + 8 | 0;
     do if (!(get32((get32(i72 | 0) | 0) + 20 | 0) | 0)) {
      if (get8(i69 + 484 >> 0 | 0) | 0) break;
      i70 = _sqlite3BtreeOpen(get32(i92 | 0) | 0, 0, i92, i36, 0, 542) | 0;
      if (i70) {
       _sqlite3ErrorMsg(i69, 19482, i23);
       set32(i69 + 4 | 0, i70 | 0);
       break;
      }
      i70 = get32(i36 | 0) | 0;
      set32((get32(i72 | 0) | 0) + 20 | 0, i70 | 0);
      i101 = get32(i92 + 36 | 0) | 0;
      i50 = get32(i70 + 4 | 0) | 0;
      set32(i50 + 4 | 0, get32(i70 | 0) | 0);
      if (get8(i50 + 17 >> 0 | 0) | 0) break;
      i70 = i50 + 36 | 0;
      i93 = i50 + 40 | 0;
      i103 = (get32(i70 | 0) | 0) - (get32(i93 | 0) | 0) | 0;
      do if ((i101 + -512 | 0) >>> 0 < 65025) {
       if (i101 + -1 & i101) break;
       set32(i70 | 0, i101 | 0);
       i116 = i50 + 88 | 0;
       i117 = get32(i116 | 0) | 0;
       do if (i117) {
        if ((get32(379 * 4 | 0) | 0) >>> 0 <= i117 >>> 0 & (get32(380 * 4 | 0) | 0) >>> 0 > i117 >>> 0) {
         i118 = (get32(31 * 4 | 0) | 0) + -1 | 0;
         set32(31 * 4 | 0, i118 | 0);
         if ((i118 | 0) > (get32(41 * 4 | 0) | 0)) set32(41 * 4 | 0, i118 | 0);
         set32(i117 | 0, get32(383 * 4 | 0) | 0);
         set32(383 * 4 | 0, i117 | 0);
         i118 = (get32(382 * 4 | 0) | 0) + 1 | 0;
         set32(382 * 4 | 0, i118 | 0);
         set32(384 * 4 | 0, (i118 | 0) < (get32(378 * 4 | 0) | 0) & 1 | 0);
         break;
        }
        i118 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i117) | 0;
        i119 = (get32(32 * 4 | 0) | 0) - i118 | 0;
        set32(32 * 4 | 0, i119 | 0);
        if ((i119 | 0) > (get32(42 * 4 | 0) | 0)) set32(42 * 4 | 0, i119 | 0);
        if (!(get32(50 * 4 | 0) | 0)) {
         FUNCTION_TABLE_vi[get32(232 | 0) & 31](i117);
         break;
        }
        i119 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i117) | 0;
        i118 = (get32(30 * 4 | 0) | 0) - i119 | 0;
        set32(30 * 4 | 0, i118 | 0);
        if ((i118 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i118 | 0);
        i118 = (get32(39 * 4 | 0) | 0) + -1 | 0;
        set32(39 * 4 | 0, i118 | 0);
        if ((i118 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i118 | 0);
        FUNCTION_TABLE_vi[get32(232 | 0) & 31](i117);
       } while (0);
       set32(i116 | 0, 0 | 0);
      } while (0);
      i101 = _sqlite3PagerSetPagesize(get32(i50 | 0) | 0, i70, i103) | 0;
      set32(i93 | 0, (get32(i70 | 0) | 0) - (i103 & 65535) | 0);
      if ((i101 | 0) != 7) break;
      set8(i92 + 30 >> 0 | 0, 1 | 0);
     } while (0);
     i43 = i5;
     i44 = 0;
     i45 = i91;
     i46 = 559;
     break;
    } else {
     i120 = i55;
     i121 = i91;
    }
   } else {
    i120 = i55;
    i121 = i91;
   }
  } else {
   i92 = get32(i54 + 16 | 0) | 0;
   if (!i92) i122 = 1; else {
    i72 = 1;
    i69 = i92;
    while (1) {
     i92 = i72 + 1 | 0;
     i69 = get32(i69 + 32 | 0) | 0;
     if (!i69) {
      i122 = i92;
      break;
     } else i72 = i92;
    }
   }
   set32(i22 | 0, i64 | 0);
   set32(i22 + 4 | 0, i122 | 0);
   i72 = _sqlite3MPrintf(i38, 31086, i22) | 0;
   if (!i72) {
    i43 = i5;
    i44 = 0;
    i45 = 0;
    i46 = 559;
    break;
   }
   i120 = get32(i48 | 0) | 0;
   i121 = i72;
  }
  i72 = (i53 | 0) == 1;
  i69 = i72 ? 21655 : 21674;
  i55 = get32(i1 | 0) | 0;
  L360 : do if (!(get8(i55 + 124 >> 0 | 0) | 0)) {
   i92 = get8(i40 >> 0 | 0) | 0;
   L362 : do if (i92 << 24 >> 24 == 0 ? (i65 = get32(i55 + 268 | 0) | 0, (i65 | 0) != 0) : 0) switch (FUNCTION_TABLE_iiiiiii[i65 & 3](get32(i55 + 272 | 0) | 0, 18, i69, 0, i120, get32(i1 + 516 | 0) | 0) | 0) {
   case 2:
    {
     i43 = i5;
     i44 = 0;
     i45 = i121;
     i46 = 559;
     break L1;
     break;
    }
   case 1:
    {
     _sqlite3ErrorMsg(i1, 26149, i21);
     set32(i1 + 4 | 0, 23 | 0);
     i43 = i5;
     i44 = 0;
     i45 = i121;
     i46 = 559;
     break L1;
     break;
    }
   case 0:
    {
     i65 = get32(i1 | 0) | 0;
     if (get8(i65 + 124 >> 0 | 0) | 0) break L360;
     i123 = i72 ? 3 : 1;
     i124 = get8(i40 >> 0 | 0) | 0;
     i125 = i65;
     break L362;
     break;
    }
   default:
    {
     _sqlite3ErrorMsg(i1, 29155, i20);
     set32(i1 + 4 | 0, 1 | 0);
     i43 = i5;
     i44 = 0;
     i45 = i121;
     i46 = 559;
     break L1;
    }
   } else i46 = 246; while (0);
   if ((i46 | 0) == 246) {
    i123 = i72 ? 3 : 1;
    i124 = i92;
    i125 = i55;
   }
   i103 = get32(i54 | 0) | 0;
   if (i124 << 24 >> 24 == 0 ? (i70 = get32(i125 + 268 | 0) | 0, (i70 | 0) != 0) : 0) switch (FUNCTION_TABLE_iiiiiii[i70 & 3](get32(i125 + 272 | 0) | 0, i123, i121, i103, i120, get32(i1 + 516 | 0) | 0) | 0) {
   case 2:
    {
     i43 = i5;
     i44 = 0;
     i45 = i121;
     i46 = 559;
     break L1;
     break;
    }
   case 0:
    {
     break L360;
     break;
    }
   case 1:
    {
     _sqlite3ErrorMsg(i1, 26149, i19);
     set32(i1 + 4 | 0, 23 | 0);
     i43 = i5;
     i44 = 0;
     i45 = i121;
     i46 = 559;
     break L1;
     break;
    }
   default:
    {
     _sqlite3ErrorMsg(i1, 29155, i18);
     set32(i1 + 4 | 0, 1 | 0);
     i43 = i5;
     i44 = 0;
     i45 = i121;
     i46 = 559;
     break L1;
    }
   }
  } while (0);
  if (!i5) {
   i55 = get32((get32(i54 + 12 | 0) | 0) + (((get32(i54 + 8 | 0) | 0) + -1 | 0) * 24 | 0) | 0) | 0;
   i72 = (i55 | 0) == 0;
   if (i72) i126 = 0; else {
    i40 = i55;
    while (1) if (!(get8(i40 >> 0 | 0) | 0)) {
     i127 = i40;
     break;
    } else i40 = i40 + 1 | 0;
    i126 = i127 - i55 & 1073741823;
   }
   i40 = _sqlite3ExprListAppend(get32(i1 | 0) | 0, 0, 0) | 0;
   if (!i40) {
    i128 = 0;
    i129 = i121;
    _sqlite3SrcListDelete(i38, i4);
    _sqlite3DbFree(i38, i129);
    STACKTOP = i11;
    return i128 | 0;
   }
   i48 = (get32(i40 | 0) | 0) + -1 | 0;
   i64 = i40 + 12 | 0;
   i103 = get32(i64 | 0) | 0;
   L389 : do if (i72) i46 = 298; else {
    i70 = get32(i1 | 0) | 0;
    i93 = i126 + 1 | 0;
    L391 : do if (!i70) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i130 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i93) | 0;
      i46 = 297;
      break;
     }
     i50 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i93) | 0;
     set32(35 * 4 | 0, i93 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i93 | 0)) set32(45 * 4 | 0, i93 | 0);
     i65 = get32(6 * 4 | 0) | 0;
     do if (i65) {
      i49 = get32(30 * 4 | 0) | 0;
      i101 = ((i49 | 0) < 0) << 31 >> 31;
      i102 = 16;
      i71 = _i64Subtract(get32(i102 | 0) | 0, get32(i102 + 4 | 0) | 0, i50 | 0, ((i50 | 0) < 0) << 31 >> 31 | 0) | 0;
      i102 = tempRet0;
      if ((i101 | 0) < (i102 | 0) | (i101 | 0) == (i102 | 0) & i49 >>> 0 < i71 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i71 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i65 & 15](i71, i49, i101, i50);
       set32(6 * 4 | 0, i65 | 0);
       set32(7 * 4 | 0, i71 | 0);
       break;
      }
     } while (0);
     i65 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i50) | 0;
     if (!i65) {
      i46 = 298;
      break L389;
     }
     i116 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i65) | 0;
     i71 = (get32(30 * 4 | 0) | 0) + i116 | 0;
     set32(30 * 4 | 0, i71 | 0);
     if ((i71 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i71 | 0);
     i71 = get32(39 * 4 | 0) | 0;
     i116 = i71 + 1 | 0;
     set32(39 * 4 | 0, i116 | 0);
     if ((i71 | 0) < (get32(49 * 4 | 0) | 0)) {
      i131 = i65;
      break;
     }
     set32(49 * 4 | 0, i116 | 0);
     i131 = i65;
    } else {
     i65 = i70 + 30 | 0;
     if (get8(i65 >> 0 | 0) | 0) {
      i46 = 298;
      break L389;
     }
     do if (get8(i70 + 234 >> 0 | 0) | 0) {
      if ((getU16(i70 + 232 | 0) | 0) >>> 0 < i93 >>> 0) {
       i116 = i70 + 248 | 0;
       set32(i116 | 0, (get32(i116 | 0) | 0) + 1 | 0);
       break;
      }
      i116 = i70 + 256 | 0;
      i71 = get32(i116 | 0) | 0;
      if (!i71) {
       i101 = i70 + 252 | 0;
       set32(i101 | 0, (get32(i101 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i116 | 0, get32(i71 | 0) | 0);
      i116 = i70 + 236 | 0;
      i101 = get32(i116 | 0) | 0;
      i49 = i101 + 1 | 0;
      set32(i116 | 0, i49 | 0);
      i116 = i70 + 244 | 0;
      set32(i116 | 0, (get32(i116 | 0) | 0) + 1 | 0);
      i116 = i70 + 240 | 0;
      if ((i101 | 0) >= (get32(i116 | 0) | 0)) set32(i116 | 0, i49 | 0);
      i130 = i71;
      i46 = 297;
      break L391;
     } while (0);
     do if (!(get32(50 * 4 | 0) | 0)) {
      i50 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i93) | 0;
      if (i50) {
       i131 = i50;
       break L391;
      }
     } else {
      i50 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i93) | 0;
      set32(35 * 4 | 0, i93 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i93 | 0)) set32(45 * 4 | 0, i93 | 0);
      i71 = get32(6 * 4 | 0) | 0;
      do if (i71) {
       i49 = get32(30 * 4 | 0) | 0;
       i116 = ((i49 | 0) < 0) << 31 >> 31;
       i101 = 16;
       i102 = _i64Subtract(get32(i101 | 0) | 0, get32(i101 + 4 | 0) | 0, i50 | 0, ((i50 | 0) < 0) << 31 >> 31 | 0) | 0;
       i101 = tempRet0;
       if ((i116 | 0) < (i101 | 0) | (i116 | 0) == (i101 | 0) & i49 >>> 0 < i102 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i102 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i71 & 15](i102, i49, i116, i50);
        set32(6 * 4 | 0, i71 | 0);
        set32(7 * 4 | 0, i102 | 0);
        break;
       }
      } while (0);
      i71 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i50) | 0;
      if (!i71) break;
      i47 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i71) | 0;
      i102 = (get32(30 * 4 | 0) | 0) + i47 | 0;
      set32(30 * 4 | 0, i102 | 0);
      if ((i102 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i102 | 0);
      i102 = get32(39 * 4 | 0) | 0;
      i47 = i102 + 1 | 0;
      set32(39 * 4 | 0, i47 | 0);
      if ((i102 | 0) < (get32(49 * 4 | 0) | 0)) {
       i131 = i71;
       break L391;
      }
      set32(49 * 4 | 0, i47 | 0);
      i131 = i71;
      break L391;
     } while (0);
     set8(i65 >> 0 | 0, 1 | 0);
     i46 = 298;
     break L389;
    } while (0);
    if ((i46 | 0) == 297) if (!i130) {
     i46 = 298;
     break;
    } else i131 = i130;
    _memcpy(i131 | 0, i55 | 0, i126 | 0) | 0;
    set8(i131 + i126 >> 0 | 0, 0 | 0);
    set32(i103 + (i48 * 20 | 0) + 4 | 0, i131 | 0);
   } while (0);
   if ((i46 | 0) == 298) set32(i103 + (i48 * 20 | 0) + 4 | 0, 0 | 0);
   set8((get32(i64 | 0) | 0) + 12 >> 0 | 0, i9 | 0);
   i132 = i40;
  } else i132 = i5;
  i55 = get32(i132 | 0) | 0;
  if ((i55 | 0) > 0) {
   i72 = get32(i132 + 12 | 0) | 0;
   i93 = 0;
   i70 = 0;
   while (1) {
    i92 = get32(i72 + (i93 * 20 | 0) | 0) | 0;
    if ((i92 | 0) != 0 ? (i71 = get32(i92 + 20 | 0) | 0, (i71 | 0) != 0) : 0) {
     i92 = get32(i71 | 0) | 0;
     if (!i92) i133 = 0; else {
      i71 = i92;
      while (1) if (!(get8(i71 >> 0 | 0) | 0)) {
       i134 = i71;
       break;
      } else i71 = i71 + 1 | 0;
      i133 = i134 - i92 & 1073741823;
     }
     i135 = i70 + 1 + i133 | 0;
    } else i135 = i70;
    i93 = i93 + 1 | 0;
    if ((i93 | 0) == (i55 | 0)) {
     i136 = i135;
     break;
    } else i70 = i135;
   }
  } else i136 = 0;
  if (!i121) i137 = 0; else {
   i70 = i121;
   while (1) if (!(get8(i70 >> 0 | 0) | 0)) {
    i138 = i70;
    break;
   } else i70 = i70 + 1 | 0;
   i137 = i138 - i121 & 1073741823;
  }
  i70 = i55 + 1 | 0;
  i93 = i55 + 52 + (i55 << 3) + (i70 << 2) + i137 | 0;
  i72 = i136 + 1 + i93 | 0;
  L468 : do if (!i38) if ((i93 + i136 | 0) >>> 0 <= 2147483390) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i139 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i72) | 0;
    i46 = 352;
    break;
   }
   i40 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i72) | 0;
   set32(35 * 4 | 0, i72 | 0);
   if ((get32(45 * 4 | 0) | 0) < (i72 | 0)) set32(45 * 4 | 0, i72 | 0);
   i64 = get32(6 * 4 | 0) | 0;
   do if (i64) {
    i48 = get32(30 * 4 | 0) | 0;
    i103 = ((i48 | 0) < 0) << 31 >> 31;
    i71 = 16;
    i47 = _i64Subtract(get32(i71 | 0) | 0, get32(i71 + 4 | 0) | 0, i40 | 0, ((i40 | 0) < 0) << 31 >> 31 | 0) | 0;
    i71 = tempRet0;
    if ((i103 | 0) < (i71 | 0) | (i103 | 0) == (i71 | 0) & i48 >>> 0 < i47 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i47 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i64 & 15](i47, i48, i103, i40);
     set32(6 * 4 | 0, i64 | 0);
     set32(7 * 4 | 0, i47 | 0);
     break;
    }
   } while (0);
   i64 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i40) | 0;
   if (i64) {
    i92 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i64) | 0;
    i47 = (get32(30 * 4 | 0) | 0) + i92 | 0;
    set32(30 * 4 | 0, i47 | 0);
    if ((i47 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i47 | 0);
    i47 = get32(39 * 4 | 0) | 0;
    i92 = i47 + 1 | 0;
    set32(39 * 4 | 0, i92 | 0);
    if ((i47 | 0) < (get32(49 * 4 | 0) | 0)) {
     i140 = i64;
     i46 = 353;
     break;
    }
    set32(49 * 4 | 0, i92 | 0);
    i140 = i64;
    i46 = 353;
   } else i141 = 0;
  } else i141 = 0; else {
   if (get8(i39 >> 0 | 0) | 0) {
    i142 = i132;
    i143 = 0;
    i144 = i121;
    break L1;
   }
   do if (get8(i38 + 234 >> 0 | 0) | 0) {
    if ((getU16(i38 + 232 | 0) | 0) < (i72 | 0)) {
     i64 = i38 + 248 | 0;
     set32(i64 | 0, (get32(i64 | 0) | 0) + 1 | 0);
     break;
    }
    i64 = i38 + 256 | 0;
    i92 = get32(i64 | 0) | 0;
    if (!i92) {
     i47 = i38 + 252 | 0;
     set32(i47 | 0, (get32(i47 | 0) | 0) + 1 | 0);
     break;
    }
    set32(i64 | 0, get32(i92 | 0) | 0);
    i64 = i38 + 236 | 0;
    i47 = get32(i64 | 0) | 0;
    i103 = i47 + 1 | 0;
    set32(i64 | 0, i103 | 0);
    i64 = i38 + 244 | 0;
    set32(i64 | 0, (get32(i64 | 0) | 0) + 1 | 0);
    i64 = i38 + 240 | 0;
    if ((i47 | 0) >= (get32(i64 | 0) | 0)) set32(i64 | 0, i103 | 0);
    i139 = i92;
    i46 = 352;
    break L468;
   } while (0);
   do if ((i93 + i136 | 0) >>> 0 <= 2147483390) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i40 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i72) | 0;
     if (!i40) break; else {
      i140 = i40;
      i46 = 353;
      break L468;
     }
    }
    i40 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i72) | 0;
    set32(35 * 4 | 0, i72 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i72 | 0)) set32(45 * 4 | 0, i72 | 0);
    i92 = get32(6 * 4 | 0) | 0;
    do if (i92) {
     i103 = get32(30 * 4 | 0) | 0;
     i64 = ((i103 | 0) < 0) << 31 >> 31;
     i47 = 16;
     i48 = _i64Subtract(get32(i47 | 0) | 0, get32(i47 + 4 | 0) | 0, i40 | 0, ((i40 | 0) < 0) << 31 >> 31 | 0) | 0;
     i47 = tempRet0;
     if ((i64 | 0) < (i47 | 0) | (i64 | 0) == (i47 | 0) & i103 >>> 0 < i48 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i48 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i92 & 15](i48, i103, i64, i40);
      set32(6 * 4 | 0, i92 | 0);
      set32(7 * 4 | 0, i48 | 0);
      break;
     }
    } while (0);
    i92 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i40) | 0;
    if (!i92) break;
    i65 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i92) | 0;
    i48 = (get32(30 * 4 | 0) | 0) + i65 | 0;
    set32(30 * 4 | 0, i48 | 0);
    if ((i48 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i48 | 0);
    i48 = get32(39 * 4 | 0) | 0;
    i65 = i48 + 1 | 0;
    set32(39 * 4 | 0, i65 | 0);
    if ((i48 | 0) < (get32(49 * 4 | 0) | 0)) {
     i140 = i92;
     i46 = 353;
     break L468;
    }
    set32(49 * 4 | 0, i65 | 0);
    i140 = i92;
    i46 = 353;
    break L468;
   } while (0);
   set8(i39 >> 0 | 0, 1 | 0);
   i142 = i132;
   i143 = 0;
   i144 = i121;
   break L1;
  } while (0);
  if ((i46 | 0) == 352) if (!i139) i141 = 0; else {
   i140 = i139;
   i46 = 353;
  }
  if ((i46 | 0) == 353) {
   _memset(i140 | 0, 0, i72 | 0) | 0;
   i141 = i140;
  }
  L527 : do if (!(get8(i39 >> 0 | 0) | 0)) {
   i93 = i141 + 52 | 0;
   i92 = i141 + 44 | 0;
   set32(i92 | 0, i93 | 0);
   i65 = i141 + 8 | 0;
   set32(i65 | 0, i93 + (i55 << 2) | 0);
   i48 = i55 << 1;
   i64 = i141 + 12 | 0;
   set32(i64 | 0, i93 + (i48 << 2) | 0);
   i103 = i93 + (i48 + i70 << 2) | 0;
   i48 = i141 + 40 | 0;
   set32(i48 | 0, i103 | 0);
   i93 = i103 + i55 | 0;
   set32(i141 | 0, i93 | 0);
   i47 = i137 + 1 | 0;
   _memcpy(i93 | 0, i121 | 0, i47 | 0) | 0;
   i93 = i141 + 16 | 0;
   set32(i93 | 0, i54 | 0);
   i71 = get32(i132 | 0) | 0;
   i102 = i141 + 4 | 0;
   set32(i102 | 0, i71 | 0);
   i116 = i141 + 24 | 0;
   set8(i116 >> 0 | 0, i6 | 0);
   set8(i141 + 25 >> 0 | 0, i63 & 1 | 0);
   i49 = i141 + 36 | 0;
   set32(i49 | 0, get32((get32(i62 | 0) | 0) + (i53 << 4) + 12 | 0) | 0);
   i101 = (getU8((get32(i51 + (i53 << 4) + 12 | 0) | 0) + 76 >> 0 | 0) | 0) > 3;
   do if ((i71 | 0) > 0) {
    i117 = i54 + 12 | 0;
    i66 = i54 + 8 | 0;
    i118 = i38 + 44 | 0;
    i119 = 0;
    i145 = get32(i132 + 12 | 0) | 0;
    i146 = i103 + (i47 + i55) | 0;
    L531 : while (1) {
     i147 = get32(i145 + 4 | 0) | 0;
     i148 = get32(i66 | 0) | 0;
     L533 : do if ((i148 | 0) > 0) {
      i149 = get8(i147 >> 0 | 0) | 0;
      i150 = i149 << 24 >> 24 == 0;
      i151 = 0;
      i152 = get32(i117 | 0) | 0;
      while (1) {
       i153 = get32(i152 | 0) | 0;
       L537 : do if (i150) {
        i154 = 0;
        i155 = i153;
       } else {
        i156 = i149;
        i157 = i147;
        i158 = i153;
        while (1) {
         if ((get8(16286 + (i156 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i158 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
          i154 = i156;
          i155 = i158;
          break L537;
         }
         i157 = i157 + 1 | 0;
         i159 = i158 + 1 | 0;
         i156 = get8(i157 >> 0 | 0) | 0;
         if (!(i156 << 24 >> 24)) {
          i154 = 0;
          i155 = i159;
          break;
         } else i158 = i159;
        }
       } while (0);
       if ((get8(16286 + (i154 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i155 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
        i160 = i151;
        break L533;
       }
       i153 = i151 + 1 | 0;
       if ((i153 | 0) < (i148 | 0)) {
        i151 = i153;
        i152 = i152 + 24 | 0;
       } else {
        i160 = i153;
        break;
       }
      }
     } else i160 = 0; while (0);
     if ((i160 | 0) >= (i148 | 0)) {
      i161 = i147;
      i46 = 365;
      break;
     }
     set32((get32(i65 | 0) | 0) + (i119 << 2) | 0, i160 | 0);
     i50 = get32(i145 | 0) | 0;
     do if (!i50) i46 = 372; else {
      i152 = get32(i50 + 20 | 0) | 0;
      if (!i152) {
       i46 = 372;
       break;
      }
      i151 = get32(i152 | 0) | 0;
      if (!i151) i162 = 0; else {
       i152 = i151;
       while (1) if (!(get8(i152 >> 0 | 0) | 0)) {
        i163 = i152;
        break;
       } else i152 = i152 + 1 | 0;
       i162 = i163 - i151 & 1073741823;
      }
      i152 = i162 + 1 | 0;
      _memcpy(i146 | 0, i151 | 0, i152 | 0) | 0;
      i164 = i146;
      i165 = i146 + i152 | 0;
     } while (0);
     do if ((i46 | 0) == 372) {
      i46 = 0;
      i50 = get32((get32(i117 | 0) | 0) + (i160 * 24 | 0) + 16 | 0) | 0;
      if (i50) {
       i164 = i50;
       i165 = i146;
       break;
      }
      i164 = get32(get32(i118 | 0) | 0) | 0;
      i165 = i146;
     } while (0);
     do if (!(get8(i41 >> 0 | 0) | 0)) {
      i50 = get32(i1 | 0) | 0;
      i147 = get8((get32((get32(i50 + 8 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0) | 0;
      i148 = get8(i50 + 124 >> 0 | 0) | 0;
      i152 = _sqlite3FindCollSeq(i50, i147, i164, i148 & 255) | 0;
      i149 = (i152 | 0) == 0;
      if (i148 << 24 >> 24) if (i149) {
       i46 = 557;
       break L527;
      } else break;
      if (!i149 ? (get32(i152 + 12 | 0) | 0) != 0 : 0) break;
      if (!(_sqlite3GetCollSeq(i50, i147, i152, i164) | 0)) {
       i166 = i164;
       i46 = 379;
       break L531;
      }
     } while (0);
     set32((get32(i92 | 0) | 0) + (i119 << 2) | 0, i164 | 0);
     set8((get32(i48 | 0) | 0) + i119 >> 0 | 0, (i101 ? get8(i145 + 12 >> 0 | 0) | 0 : 0) | 0);
     i119 = i119 + 1 | 0;
     if ((i119 | 0) >= (get32(i132 | 0) | 0)) {
      i46 = 382;
      break;
     } else {
      i145 = i145 + 20 | 0;
      i146 = i165;
     }
    }
    if ((i46 | 0) == 365) {
     set32(i17 | 0, get32(i54 | 0) | 0);
     set32(i17 + 4 | 0, i161 | 0);
     _sqlite3ErrorMsg(i1, 31109, i17);
     set8(i1 + 18 >> 0 | 0, 1 | 0);
     i46 = 557;
     break L527;
    } else if ((i46 | 0) == 379) {
     set32(i16 | 0, i166 | 0);
     _sqlite3ErrorMsg(i1, 30475, i16);
     i46 = 557;
     break L527;
    } else if ((i46 | 0) == 382) {
     i167 = get32(i93 | 0) | 0;
     break;
    }
   } else i167 = i54; while (0);
   i93 = get32(i64 | 0) | 0;
   i101 = get32(i167 + 24 | 0) | 0;
   set32(i93 | 0, (i101 >>> 0 < 10 ? 10 : i101) | 0);
   i101 = get32(i102 | 0) | 0;
   if ((i101 | 0) < 1) i168 = i101; else {
    i101 = 1;
    i48 = 10;
    while (1) {
     set32(i93 + (i101 << 2) | 0, i48 | 0);
     i47 = get32(i102 | 0) | 0;
     if ((i101 | 0) < (i47 | 0)) {
      i101 = i101 + 1 | 0;
      i48 = ((i48 >>> 0 > 5) << 31 >> 31) + i48 | 0;
     } else {
      i168 = i47;
      break;
     }
    }
   }
   i48 = get8(i116 >> 0 | 0) | 0;
   if (i48 << 24 >> 24) set32(i93 + (i168 << 2) | 0, 1 | 0);
   L578 : do if ((i54 | 0) == (get32(i1 + 508 | 0) | 0)) {
    i101 = get32(i54 + 16 | 0) | 0;
    if (!i101) break;
    i64 = get32(i102 | 0) | 0;
    i47 = (i64 | 0) > 0;
    i103 = i101;
    while (1) {
     if ((get32(i103 + 4 | 0) | 0) == (i64 | 0)) {
      L585 : do if (i47) {
       i101 = get32(i103 + 8 | 0) | 0;
       i71 = get32(i65 | 0) | 0;
       i146 = i103 + 44 | 0;
       i145 = 0;
       while (1) {
        if ((get32(i101 + (i145 << 2) | 0) | 0) != (get32(i71 + (i145 << 2) | 0) | 0)) {
         i169 = i145;
         break L585;
        }
        i119 = get32((get32(i146 | 0) | 0) + (i145 << 2) | 0) | 0;
        i118 = get32((get32(i92 | 0) | 0) + (i145 << 2) | 0) | 0;
        if ((i119 | 0) != (i118 | 0)) {
         i117 = get8(i119 >> 0 | 0) | 0;
         L592 : do if (!(i117 << 24 >> 24)) {
          i170 = 0;
          i171 = i118;
         } else {
          i66 = i117;
          i40 = i119;
          i152 = i118;
          while (1) {
           if ((get8(16286 + (i66 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i152 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
            i170 = i66;
            i171 = i152;
            break L592;
           }
           i40 = i40 + 1 | 0;
           i147 = i152 + 1 | 0;
           i66 = get8(i40 >> 0 | 0) | 0;
           if (!(i66 << 24 >> 24)) {
            i170 = 0;
            i171 = i147;
            break;
           } else i152 = i147;
          }
         } while (0);
         if ((get8(16286 + (i170 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i171 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
          i169 = i145;
          break L585;
         }
        }
        i118 = i145 + 1 | 0;
        if ((i118 | 0) < (i64 | 0)) i145 = i118; else {
         i169 = i118;
         break;
        }
       }
      } else i169 = 0; while (0);
      if ((i169 | 0) == (i64 | 0)) {
       i172 = i103;
       break;
      }
     }
     i103 = get32(i103 + 32 | 0) | 0;
     if (!i103) break L578;
    }
    i103 = i172 + 24 | 0;
    i64 = get8(i103 >> 0 | 0) | 0;
    if (i64 << 24 >> 24 == i48 << 24 >> 24) break L527;
    if (i48 << 24 >> 24 == 99 | i64 << 24 >> 24 == 99) i173 = i64; else {
     set32(i15 | 0, 0 | 0);
     _sqlite3ErrorMsg(i1, 31141, i15);
     i173 = get8(i103 >> 0 | 0) | 0;
    }
    if (i173 << 24 >> 24 != 99) break L527;
    set8(i103 >> 0 | 0, get8(i116 >> 0 | 0) | 0 | 0);
    break L527;
   } while (0);
   do if (!(get8(i41 >> 0 | 0) | 0)) {
    i116 = i1 + 72 | 0;
    i48 = (get32(i116 | 0) | 0) + 1 | 0;
    set32(i116 | 0, i48 | 0);
    i92 = i1 + 12 | 0;
    i65 = get32(i92 | 0) | 0;
    do if (!i65) {
     i102 = get32(i1 | 0) | 0;
     L611 : do if (!i102) {
      if (!(get32(50 * 4 | 0) | 0)) {
       i174 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
       i46 = 453;
       break;
      }
      i93 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
      set32(35 * 4 | 0, 192 | 0);
      if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
      i103 = get32(6 * 4 | 0) | 0;
      do if (i103) {
       i64 = get32(30 * 4 | 0) | 0;
       i47 = ((i64 | 0) < 0) << 31 >> 31;
       i145 = 16;
       i146 = _i64Subtract(get32(i145 | 0) | 0, get32(i145 + 4 | 0) | 0, i93 | 0, ((i93 | 0) < 0) << 31 >> 31 | 0) | 0;
       i145 = tempRet0;
       if ((i47 | 0) < (i145 | 0) | (i47 | 0) == (i145 | 0) & i64 >>> 0 < i146 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i146 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i103 & 15](i146, i64, i47, i93);
        set32(6 * 4 | 0, i103 | 0);
        set32(7 * 4 | 0, i146 | 0);
        break;
       }
      } while (0);
      i103 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i93) | 0;
      if (!i103) {
       i46 = 463;
       break;
      }
      i146 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i103) | 0;
      i47 = (get32(30 * 4 | 0) | 0) + i146 | 0;
      set32(30 * 4 | 0, i47 | 0);
      if ((i47 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i47 | 0);
      i47 = get32(39 * 4 | 0) | 0;
      i146 = i47 + 1 | 0;
      set32(39 * 4 | 0, i146 | 0);
      if ((i47 | 0) < (get32(49 * 4 | 0) | 0)) {
       i175 = i103;
       break;
      }
      set32(49 * 4 | 0, i146 | 0);
      i175 = i103;
     } else {
      i103 = i102 + 30 | 0;
      if (get8(i103 >> 0 | 0) | 0) {
       i46 = 463;
       break;
      }
      do if (get8(i102 + 234 >> 0 | 0) | 0) {
       if ((getU16(i102 + 232 | 0) | 0) < 192) {
        i146 = i102 + 248 | 0;
        set32(i146 | 0, (get32(i146 | 0) | 0) + 1 | 0);
        break;
       }
       i146 = i102 + 256 | 0;
       i47 = get32(i146 | 0) | 0;
       if (!i47) {
        i64 = i102 + 252 | 0;
        set32(i64 | 0, (get32(i64 | 0) | 0) + 1 | 0);
        break;
       }
       set32(i146 | 0, get32(i47 | 0) | 0);
       i146 = i102 + 236 | 0;
       i64 = get32(i146 | 0) | 0;
       i145 = i64 + 1 | 0;
       set32(i146 | 0, i145 | 0);
       i146 = i102 + 244 | 0;
       set32(i146 | 0, (get32(i146 | 0) | 0) + 1 | 0);
       i146 = i102 + 240 | 0;
       if ((i64 | 0) >= (get32(i146 | 0) | 0)) set32(i146 | 0, i145 | 0);
       i174 = i47;
       i46 = 453;
       break L611;
      } while (0);
      do if (!(get32(50 * 4 | 0) | 0)) {
       i93 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
       if (i93) {
        i175 = i93;
        break L611;
       }
      } else {
       i93 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
       set32(35 * 4 | 0, 192 | 0);
       if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
       i47 = get32(6 * 4 | 0) | 0;
       do if (i47) {
        i145 = get32(30 * 4 | 0) | 0;
        i146 = ((i145 | 0) < 0) << 31 >> 31;
        i64 = 16;
        i71 = _i64Subtract(get32(i64 | 0) | 0, get32(i64 + 4 | 0) | 0, i93 | 0, ((i93 | 0) < 0) << 31 >> 31 | 0) | 0;
        i64 = tempRet0;
        if ((i146 | 0) < (i64 | 0) | (i146 | 0) == (i64 | 0) & i145 >>> 0 < i71 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i71 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i47 & 15](i71, i145, i146, i93);
         set32(6 * 4 | 0, i47 | 0);
         set32(7 * 4 | 0, i71 | 0);
         break;
        }
       } while (0);
       i47 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i93) | 0;
       if (!i47) break;
       i71 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i47) | 0;
       i146 = (get32(30 * 4 | 0) | 0) + i71 | 0;
       set32(30 * 4 | 0, i146 | 0);
       if ((i146 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i146 | 0);
       i146 = get32(39 * 4 | 0) | 0;
       i71 = i146 + 1 | 0;
       set32(39 * 4 | 0, i71 | 0);
       if ((i146 | 0) < (get32(49 * 4 | 0) | 0)) {
        i175 = i47;
        break L611;
       }
       set32(49 * 4 | 0, i71 | 0);
       i175 = i47;
       break L611;
      } while (0);
      set8(i103 >> 0 | 0, 1 | 0);
      i46 = 463;
     } while (0);
     if ((i46 | 0) == 453) if (!i174) i46 = 463; else i175 = i174;
     if ((i46 | 0) == 463) {
      set32(i92 | 0, 0 | 0);
      i46 = 557;
      break L527;
     }
     _memset(i175 | 0, 0, 192) | 0;
     set32(i175 | 0, i102 | 0);
     i47 = i102 + 136 | 0;
     i71 = get32(i47 | 0) | 0;
     if (i71) set32(i71 + 60 | 0, i175 | 0);
     set32(i175 + 64 | 0, i71 | 0);
     set32(i175 + 60 | 0, 0 | 0);
     set32(i47 | 0, i175 | 0);
     set32(i175 + 52 | 0, 649915045 | 0);
     set32(i92 | 0, i175 | 0);
     i47 = i175 + 28 | 0;
     i71 = i175 + 32 | 0;
     i146 = i175 + 4 | 0;
     i145 = _sqlite3DbRealloc(i102, 0, 1020) | 0;
     if (!i145) {
      i176 = i175;
      break;
     }
     i64 = get32(i175 | 0) | 0;
     do if (!i64) i46 = 461; else {
      if ((get32(i64 + 260 | 0) | 0) >>> 0 > i145 >>> 0) {
       i46 = 461;
       break;
      }
      if ((get32(i64 + 264 | 0) | 0) >>> 0 <= i145 >>> 0) {
       i46 = 461;
       break;
      }
      i177 = getU16(i64 + 232 | 0) | 0;
     } while (0);
     if ((i46 | 0) == 461) i177 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i145) | 0;
     set32(i71 | 0, (i177 >>> 0) / 20 | 0 | 0);
     set32(i146 | 0, i145 | 0);
     set32(i47 | 0, (get32(i47 | 0) | 0) + 1 | 0);
     set8(i145 >> 0 | 0, -120 | 0);
     set8(i145 + 1 >> 0 | 0, 0 | 0);
     i110 = i145 + 3 | 0;
     i111 = i110 + 17 | 0;
     do {
      set8(i110 >> 0 | 0, 0 | 0);
      i110 = i110 + 1 | 0;
     } while ((i110 | 0) < (i111 | 0));
     i176 = i175;
    } else i176 = i65; while (0);
    _sqlite3BeginWriteOperation(i1, 1, i53);
    i65 = i176 + 28 | 0;
    i145 = get32(i65 | 0) | 0;
    i47 = i176 + 32 | 0;
    i146 = get32(i47 | 0) | 0;
    do if ((i146 | 0) > (i145 | 0)) {
     i178 = i145;
     i179 = get32(i176 + 4 | 0) | 0;
     i46 = 473;
    } else {
     i71 = i176 + 4 | 0;
     i64 = _sqlite3DbRealloc(get32(i176 | 0) | 0, get32(i71 | 0) | 0, (i146 | 0) == 0 ? 1020 : i146 * 40 | 0) | 0;
     if (!i64) break;
     i102 = get32(i176 | 0) | 0;
     do if (!i102) i46 = 471; else {
      if ((get32(i102 + 260 | 0) | 0) >>> 0 > i64 >>> 0) {
       i46 = 471;
       break;
      }
      if ((get32(i102 + 264 | 0) | 0) >>> 0 <= i64 >>> 0) {
       i46 = 471;
       break;
      }
      i180 = getU16(i102 + 232 | 0) | 0;
     } while (0);
     if ((i46 | 0) == 471) i180 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i64) | 0;
     set32(i47 | 0, (i180 >>> 0) / 20 | 0 | 0);
     set32(i71 | 0, i64 | 0);
     i178 = get32(i65 | 0) | 0;
     i179 = i64;
     i46 = 473;
    } while (0);
    if ((i46 | 0) == 473) {
     set32(i65 | 0, i178 + 1 | 0);
     set8(i179 + (i145 * 20 | 0) >> 0 | 0, 97 | 0);
     set8(i179 + (i145 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i179 + (i145 * 20 | 0) + 4 | 0, i53 | 0);
     set32(i179 + (i145 * 20 | 0) + 8 | 0, i48 | 0);
     set32(i179 + (i145 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i179 + (i145 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i179 + (i145 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    }
    if (!i7) i181 = 0; else {
     i146 = get32(i52 | 0) | 0;
     i102 = (get32(i8 | 0) | 0) + 1 - i146 | 0;
     set32(i14 | 0, ((i6 | 0) == 0 ? 16820 : 31203) | 0);
     set32(i14 + 4 | 0, i102 | 0);
     set32(i14 + 8 | 0, i146 | 0);
     i181 = _sqlite3MPrintf(i38, 31183, i14) | 0;
    }
    i146 = get32(i141 | 0) | 0;
    i102 = get32(i54 | 0) | 0;
    set32(i13 | 0, get32((get32(i62 | 0) | 0) + (i53 << 4) | 0) | 0);
    set32(i13 + 4 | 0, i69 | 0);
    set32(i13 + 8 | 0, i146 | 0);
    set32(i13 + 12 | 0, i102 | 0);
    set32(i13 + 16 | 0, i48 | 0);
    set32(i13 + 20 | 0, i181 | 0);
    _sqlite3NestedParse(i1, 31211, i13);
    _sqlite3DbFree(i38, i181);
    if (!i42) break;
    _sqlite3RefillIndex(i1, i141, i48);
    i102 = i1 + 21 | 0;
    i146 = get8(i102 >> 0 | 0) | 0;
    if (!(i146 << 24 >> 24)) {
     i101 = (get32(i116 | 0) | 0) + 1 | 0;
     set32(i116 | 0, i101 | 0);
     i182 = i101;
    } else {
     i101 = i146 + -1 << 24 >> 24;
     set8(i102 >> 0 | 0, i101 | 0);
     i182 = get32(i1 + 24 + ((i101 & 255) << 2) | 0) | 0;
    }
    i101 = get32(i92 | 0) | 0;
    i146 = (get32(get32((get32((get32(i1 | 0) | 0) + 8 | 0) | 0) + (i53 << 4) + 12 | 0) | 0) | 0) + 1 | 0;
    i151 = i101 + 28 | 0;
    i118 = get32(i151 | 0) | 0;
    i119 = i101 + 32 | 0;
    i117 = get32(i119 | 0) | 0;
    do if ((i117 | 0) > (i118 | 0)) {
     i183 = i118;
     i184 = get32(i101 + 4 | 0) | 0;
     i185 = i117;
     i46 = 490;
    } else {
     i152 = i101 + 4 | 0;
     i66 = _sqlite3DbRealloc(get32(i101 | 0) | 0, get32(i152 | 0) | 0, (i117 | 0) == 0 ? 1020 : i117 * 40 | 0) | 0;
     if (!i66) {
      i186 = get32(i119 | 0) | 0;
      i187 = get32(i151 | 0) | 0;
      break;
     }
     i40 = get32(i101 | 0) | 0;
     do if (!i40) i46 = 488; else {
      if ((get32(i40 + 260 | 0) | 0) >>> 0 > i66 >>> 0) {
       i46 = 488;
       break;
      }
      if ((get32(i40 + 264 | 0) | 0) >>> 0 <= i66 >>> 0) {
       i46 = 488;
       break;
      }
      i188 = getU16(i40 + 232 | 0) | 0;
     } while (0);
     if ((i46 | 0) == 488) i188 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i66) | 0;
     i40 = (i188 >>> 0) / 20 | 0;
     set32(i119 | 0, i40 | 0);
     set32(i152 | 0, i66 | 0);
     i183 = get32(i151 | 0) | 0;
     i184 = i66;
     i185 = i40;
     i46 = 490;
    } while (0);
    if ((i46 | 0) == 490) {
     i117 = i183 + 1 | 0;
     set32(i151 | 0, i117 | 0);
     set8(i184 + (i118 * 20 | 0) >> 0 | 0, 7 | 0);
     set8(i184 + (i118 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i184 + (i118 * 20 | 0) + 4 | 0, i146 | 0);
     set32(i184 + (i118 * 20 | 0) + 8 | 0, i182 | 0);
     set32(i184 + (i118 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i184 + (i118 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i184 + (i118 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i186 = i185;
     i187 = i117;
    }
    do if ((i186 | 0) > (i187 | 0)) {
     i189 = i187;
     i190 = get32(i101 + 4 | 0) | 0;
     i46 = 500;
    } else {
     i117 = i101 + 4 | 0;
     i92 = _sqlite3DbRealloc(get32(i101 | 0) | 0, get32(i117 | 0) | 0, (i186 | 0) == 0 ? 1020 : i186 * 40 | 0) | 0;
     if (!i92) break;
     i116 = get32(i101 | 0) | 0;
     do if (!i116) i46 = 498; else {
      if ((get32(i116 + 260 | 0) | 0) >>> 0 > i92 >>> 0) {
       i46 = 498;
       break;
      }
      if ((get32(i116 + 264 | 0) | 0) >>> 0 <= i92 >>> 0) {
       i46 = 498;
       break;
      }
      i191 = getU16(i116 + 232 | 0) | 0;
     } while (0);
     if ((i46 | 0) == 498) i191 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i92) | 0;
     set32(i119 | 0, (i191 >>> 0) / 20 | 0 | 0);
     set32(i117 | 0, i92 | 0);
     i189 = get32(i151 | 0) | 0;
     i190 = i92;
     i46 = 500;
    } while (0);
    if ((i46 | 0) == 500) {
     set32(i151 | 0, i189 + 1 | 0);
     set8(i190 + (i187 * 20 | 0) >> 0 | 0, 36 | 0);
     set8(i190 + (i187 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i190 + (i187 * 20 | 0) + 4 | 0, i53 | 0);
     set32(i190 + (i187 * 20 | 0) + 8 | 0, 1 | 0);
     set32(i190 + (i187 * 20 | 0) + 12 | 0, i182 | 0);
     set32(i190 + (i187 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i190 + (i187 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    }
    L731 : do if (i182) {
     i119 = get8(i102 >> 0 | 0) | 0;
     if ((i119 & 255) >= 8) break;
     do if ((get32(i1 + 112 | 0) | 0) == (i182 | 0)) i192 = i1 + 96 | 0; else {
      if ((get32(i1 + 136 | 0) | 0) == (i182 | 0)) {
       i192 = i1 + 120 | 0;
       break;
      }
      if ((get32(i1 + 160 | 0) | 0) == (i182 | 0)) {
       i192 = i1 + 144 | 0;
       break;
      }
      if ((get32(i1 + 184 | 0) | 0) == (i182 | 0)) {
       i192 = i1 + 168 | 0;
       break;
      }
      if ((get32(i1 + 208 | 0) | 0) == (i182 | 0)) {
       i192 = i1 + 192 | 0;
       break;
      }
      if ((get32(i1 + 232 | 0) | 0) == (i182 | 0)) {
       i192 = i1 + 216 | 0;
       break;
      }
      if ((get32(i1 + 256 | 0) | 0) == (i182 | 0)) {
       i192 = i1 + 240 | 0;
       break;
      }
      if ((get32(i1 + 280 | 0) | 0) == (i182 | 0)) {
       i192 = i1 + 264 | 0;
       break;
      }
      if ((get32(i1 + 304 | 0) | 0) == (i182 | 0)) {
       i192 = i1 + 288 | 0;
       break;
      }
      if ((get32(i1 + 328 | 0) | 0) == (i182 | 0)) {
       i192 = i1 + 312 | 0;
       break;
      }
      set8(i102 >> 0 | 0, i119 + 1 << 24 >> 24 | 0);
      set32(i1 + 24 + ((i119 & 255) << 2) | 0, i182 | 0);
      break L731;
     } while (0);
     set8(i192 + 8 >> 0 | 0, 1 | 0);
    } while (0);
    set32(i12 | 0, get32(i141 | 0) | 0);
    i102 = _sqlite3MPrintf(i38, 31259, i12) | 0;
    i151 = get32(i65 | 0) | 0;
    i119 = get32(i47 | 0) | 0;
    do if ((i119 | 0) > (i151 | 0)) {
     i92 = i176 + 4 | 0;
     i193 = i92;
     i194 = i176;
     i195 = i151;
     i196 = get32(i92 | 0) | 0;
     i46 = 524;
    } else {
     i92 = i176 + 4 | 0;
     i117 = _sqlite3DbRealloc(get32(i176 | 0) | 0, get32(i92 | 0) | 0, (i119 | 0) == 0 ? 1020 : i119 * 40 | 0) | 0;
     if (!i117) {
      i197 = 1;
      i198 = i176;
      i199 = i92;
      break;
     }
     i101 = get32(i176 | 0) | 0;
     do if (!i101) i46 = 522; else {
      if ((get32(i101 + 260 | 0) | 0) >>> 0 > i117 >>> 0) {
       i46 = 522;
       break;
      }
      if ((get32(i101 + 264 | 0) | 0) >>> 0 <= i117 >>> 0) {
       i46 = 522;
       break;
      }
      i200 = getU16(i101 + 232 | 0) | 0;
     } while (0);
     if ((i46 | 0) == 522) i200 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i117) | 0;
     set32(i47 | 0, (i200 >>> 0) / 20 | 0 | 0);
     set32(i92 | 0, i117 | 0);
     i193 = i92;
     i194 = i176;
     i195 = get32(i65 | 0) | 0;
     i196 = i117;
     i46 = 524;
    } while (0);
    if ((i46 | 0) == 524) {
     set32(i65 | 0, i195 + 1 | 0);
     set8(i196 + (i151 * 20 | 0) >> 0 | 0, 99 | 0);
     set8(i196 + (i151 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i196 + (i151 * 20 | 0) + 4 | 0, i53 | 0);
     set32(i196 + (i151 * 20 | 0) + 8 | 0, 0 | 0);
     set32(i196 + (i151 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i196 + (i151 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i196 + (i151 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i197 = i151;
     i198 = i194;
     i199 = i193;
    }
    i119 = get32(i198 | 0) | 0;
    i101 = get32(i199 | 0) | 0;
    do if (i101) {
     if (get8(i119 + 30 >> 0 | 0) | 0) {
      i46 = 527;
      break;
     }
     if ((i197 | 0) < 0) i201 = (get32(i65 | 0) | 0) + -1 | 0; else i201 = i197;
     i118 = i101 + (i201 * 20 | 0) + 1 | 0;
     i146 = i101 + (i201 * 20 | 0) + 16 | 0;
     _freeP4(i119, get8(i118 >> 0 | 0) | 0, get32(i146 | 0) | 0);
     set32(i146 | 0, 0 | 0);
     if (!i102) {
      set32(i146 | 0, 0 | 0);
      set8(i118 >> 0 | 0, 0 | 0);
      break;
     } else {
      set32(i146 | 0, i102 | 0);
      set8(i118 >> 0 | 0, -1 | 0);
      break;
     }
    } else i46 = 527; while (0);
    do if ((i46 | 0) == 527) {
     if (!i102) break;
     _sqlite3DbFree(i119, i102);
    } while (0);
    i102 = get32(i198 | 0) | 0;
    i119 = get32(i102 + 4 | 0) | 0;
    if ((i119 | 0) > 0) {
     i101 = i176 + 112 | 0;
     i151 = get32(i101 | 0) | 0;
     i118 = 0;
     while (1) {
      i146 = 1 << i118 | i151;
      i118 = i118 + 1 | 0;
      if ((i118 | 0) == (i119 | 0)) {
       i202 = i146;
       break;
      } else i151 = i146;
     }
     set32(i101 | 0, i202 | 0);
    }
    i151 = get32(i65 | 0) | 0;
    i119 = get32(i47 | 0) | 0;
    if ((i119 | 0) > (i151 | 0)) {
     i203 = i151;
     i204 = get32(i199 | 0) | 0;
    } else {
     i118 = _sqlite3DbRealloc(i102, get32(i199 | 0) | 0, (i119 | 0) == 0 ? 1020 : i119 * 40 | 0) | 0;
     if (!i118) {
      i46 = 548;
      break;
     }
     i119 = get32(i198 | 0) | 0;
     do if (!i119) i46 = 545; else {
      if ((get32(i119 + 260 | 0) | 0) >>> 0 > i118 >>> 0) {
       i46 = 545;
       break;
      }
      if ((get32(i119 + 264 | 0) | 0) >>> 0 <= i118 >>> 0) {
       i46 = 545;
       break;
      }
      i205 = getU16(i119 + 232 | 0) | 0;
     } while (0);
     if ((i46 | 0) == 545) i205 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i118) | 0;
     set32(i47 | 0, (i205 >>> 0) / 20 | 0 | 0);
     set32(i199 | 0, i118 | 0);
     i203 = get32(i65 | 0) | 0;
     i204 = i118;
    }
    set32(i65 | 0, i203 + 1 | 0);
    set8(i204 + (i151 * 20 | 0) >> 0 | 0, 122 | 0);
    set8(i204 + (i151 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i110 = i204 + (i151 * 20 | 0) + 3 | 0;
    i111 = i110 + 17 | 0;
    do {
     set8(i110 >> 0 | 0, 0 | 0);
     i110 = i110 + 1 | 0;
    } while ((i110 | 0) < (i111 | 0));
    i46 = 548;
   } else {
    i151 = (get32(i49 | 0) | 0) + 24 | 0;
    i65 = get32(i141 | 0) | 0;
    if (!i65) i206 = 0; else {
     i118 = i65;
     while (1) if (!(get8(i118 >> 0 | 0) | 0)) {
      i207 = i118;
      break;
     } else i118 = i118 + 1 | 0;
     i206 = i207 - i65 & 1073741823;
    }
    if (_sqlite3HashInsert(i151, i65, i206, i141) | 0) {
     set8(i39 >> 0 | 0, 1 | 0);
     i46 = 557;
     break L527;
    }
    i118 = i38 + 12 | 0;
    set32(i118 | 0, get32(i118 | 0) | 512 | 0);
    if (!i42) break;
    set32(i141 + 20 | 0, get32(i38 + 120 | 0) | 0);
    i46 = 548;
   } while (0);
   if ((i46 | 0) == 548 ? !((i4 | 0) == 0 | (get8(i41 >> 0 | 0) | 0) != 0) : 0) {
    i46 = 557;
    break;
   }
   i49 = i54 + 16 | 0;
   do if ((i6 | 0) == 5) {
    i118 = get32(i49 | 0) | 0;
    i47 = i118;
    if (!i118) {
     i208 = i47;
     break;
    }
    if ((get8(i118 + 24 >> 0 | 0) | 0) == 5) {
     i208 = i47;
     break;
    } else i209 = i118;
    while (1) {
     i118 = i209 + 32 | 0;
     i47 = get32(i118 | 0) | 0;
     if (!i47) {
      i210 = i118;
      i211 = 0;
      break;
     }
     if ((get8(i47 + 24 >> 0 | 0) | 0) == 5) {
      i210 = i118;
      i211 = i47;
      break;
     } else i209 = i47;
    }
    set32(i141 + 32 | 0, i211 | 0);
    set32(i210 | 0, i141 | 0);
    i43 = i132;
    i44 = i141;
    i45 = i121;
    i46 = 559;
    break L1;
   } else i208 = get32(i49 | 0) | 0; while (0);
   set32(i141 + 32 | 0, i208 | 0);
   set32(i49 | 0, i141 | 0);
   i43 = i132;
   i44 = i141;
   i45 = i121;
   i46 = 559;
   break L1;
  } else i46 = 557; while (0);
  if ((i46 | 0) == 557 ? (i141 | 0) == 0 : 0) {
   i43 = i132;
   i44 = 0;
   i45 = i121;
   i46 = 559;
   break;
  }
  _sqlite3DbFree(i38, get32(i141 + 28 | 0) | 0);
  _sqlite3DbFree(i38, i141);
  i43 = i132;
  i44 = 0;
  i45 = i121;
  i46 = 559;
 } else {
  i43 = i5;
  i44 = 0;
  i45 = 0;
  i46 = 559;
 } while (0);
 if ((i46 | 0) == 559) if (!i43) {
  i128 = i44;
  i129 = i45;
  _sqlite3SrcListDelete(i38, i4);
  _sqlite3DbFree(i38, i129);
  STACKTOP = i11;
  return i128 | 0;
 } else {
  i142 = i43;
  i143 = i44;
  i144 = i45;
 }
 i45 = i142 + 12 | 0;
 if ((get32(i142 | 0) | 0) > 0) {
  i44 = 0;
  i43 = get32(i45 | 0) | 0;
  while (1) {
   _sqlite3ExprDelete(i38, get32(i43 | 0) | 0);
   _sqlite3DbFree(i38, get32(i43 + 4 | 0) | 0);
   _sqlite3DbFree(i38, get32(i43 + 8 | 0) | 0);
   i44 = i44 + 1 | 0;
   if ((i44 | 0) >= (get32(i142 | 0) | 0)) break; else i43 = i43 + 20 | 0;
  }
 }
 _sqlite3DbFree(i38, get32(i45 | 0) | 0);
 _sqlite3DbFree(i38, i142);
 i128 = i143;
 i129 = i144;
 _sqlite3SrcListDelete(i38, i4);
 _sqlite3DbFree(i38, i129);
 STACKTOP = i11;
 return i128 | 0;
}

function _sqlite3DropTable(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0, i80 = 0, i81 = 0, i82 = 0, i83 = 0, i84 = 0, i85 = 0, i86 = 0, i87 = 0, i88 = 0, i89 = 0, i90 = 0, i91 = 0, i92 = 0, i93 = 0, i94 = 0, i95 = 0, i96 = 0, i97 = 0, i98 = 0, i99 = 0, i100 = 0, i101 = 0, i102 = 0, i103 = 0, i104 = 0, i105 = 0, i106 = 0, i107 = 0, i108 = 0, i109 = 0, i110 = 0, i111 = 0, i112 = 0, i113 = 0, i114 = 0, i115 = 0, i116 = 0, i117 = 0, i118 = 0, i119 = 0, i120 = 0, i121 = 0, i122 = 0, i123 = 0, i124 = 0, i125 = 0, i126 = 0, i127 = 0, i128 = 0, i129 = 0, i130 = 0, i131 = 0, i132 = 0, i133 = 0, i134 = 0, i135 = 0, i136 = 0, i137 = 0, i138 = 0, i139 = 0, i140 = 0, i141 = 0, i142 = 0, i143 = 0, i144 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 144 | 0;
 i6 = i5 + 128 | 0;
 i7 = i5 + 112 | 0;
 i8 = i5 + 104 | 0;
 i9 = i5 + 96 | 0;
 i10 = i5 + 88 | 0;
 i11 = i5 + 80 | 0;
 i12 = i5 + 72 | 0;
 i13 = i5 + 64 | 0;
 i14 = i5 + 56 | 0;
 i15 = i5 + 48 | 0;
 i16 = i5 + 40 | 0;
 i17 = i5 + 32 | 0;
 i18 = i5 + 24 | 0;
 i19 = i5 + 16 | 0;
 i20 = i5;
 i21 = i5 + 136 | 0;
 i22 = get32(i1 | 0) | 0;
 if (get8(i22 + 30 >> 0 | 0) | 0) {
  _sqlite3SrcListDelete(i22, i2);
  STACKTOP = i5;
  return;
 }
 i23 = (i4 | 0) != 0;
 if (i23) {
  i4 = i22 + 33 | 0;
  set8(i4 >> 0 | 0, (get8(i4 >> 0 | 0) | 0) + 1 << 24 >> 24 | 0);
 }
 i4 = get32(i2 + 12 | 0) | 0;
 i24 = i2 + 8 | 0;
 i25 = get32(i24 | 0) | 0;
 do if (!(get8(i22 + 124 >> 0 | 0) | 0)) {
  i26 = _sqlite3Init(i22, i1 + 8 | 0) | 0;
  if (!i26) {
   i27 = get32(i1 | 0) | 0;
   i28 = 8;
   break;
  } else {
   set32(i1 + 4 | 0, i26 | 0);
   i26 = i1 + 64 | 0;
   set32(i26 | 0, (get32(i26 | 0) | 0) + 1 | 0);
   i29 = 0;
   break;
  }
 } else {
  i27 = i22;
  i28 = 8;
 } while (0);
 do if ((i28 | 0) == 8) {
  if (!i4) i30 = 0; else {
   i26 = i4;
   while (1) if (!(get8(i26 >> 0 | 0) | 0)) {
    i31 = i26;
    break;
   } else i26 = i26 + 1 | 0;
   i30 = i31 - i4 & 1073741823;
  }
  i26 = get32(i27 + 4 | 0) | 0;
  if ((i26 | 0) > 0) {
   i32 = (i25 | 0) == 0;
   i33 = get32(i27 + 8 | 0) | 0;
   i34 = 0;
   i35 = 0;
   while (1) {
    i36 = (i34 | 0) < 2 ^ i34;
    if (!i32) {
     i37 = get32(i33 + (i36 << 4) | 0) | 0;
     i38 = get8(i25 >> 0 | 0) | 0;
     L25 : do if (!(i38 << 24 >> 24)) {
      i39 = 0;
      i40 = i37;
     } else {
      i41 = i38;
      i42 = i25;
      i43 = i37;
      while (1) {
       if ((get8(16286 + (i41 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i43 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
        i39 = i41;
        i40 = i43;
        break L25;
       }
       i42 = i42 + 1 | 0;
       i44 = i43 + 1 | 0;
       i41 = get8(i42 >> 0 | 0) | 0;
       if (!(i41 << 24 >> 24)) {
        i39 = 0;
        i40 = i44;
        break;
       } else i43 = i44;
      }
     } while (0);
     if ((get8(16286 + (i39 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i40 >> 0 | 0) | 0) >> 0 | 0) | 0)) i45 = i35; else i28 = 18;
    } else i28 = 18;
    if ((i28 | 0) == 18) {
     i28 = 0;
     i37 = _sqlite3HashFind((get32(i33 + (i36 << 4) + 12 | 0) | 0) + 8 | 0, i4, i30) | 0;
     if (!i37) i45 = i37; else {
      i46 = i37;
      break;
     }
    }
    i34 = i34 + 1 | 0;
    if ((i34 | 0) >= (i26 | 0)) {
     i46 = i45;
     break;
    } else i35 = i45;
   }
   if (i46) {
    i29 = i46;
    break;
   }
  }
  i35 = (i3 | 0) != 0 ? 25677 : 25690;
  if (!i25) {
   set32(i19 | 0, i35 | 0);
   set32(i19 + 4 | 0, i4 | 0);
   _sqlite3ErrorMsg(i1, 25714, i19);
  } else {
   set32(i20 | 0, i35 | 0);
   set32(i20 + 4 | 0, i25 | 0);
   set32(i20 + 8 | 0, i4 | 0);
   _sqlite3ErrorMsg(i1, 25704, i20);
  }
  set8(i1 + 18 >> 0 | 0, 1 | 0);
  i29 = 0;
 } while (0);
 if (i23) {
  i20 = i22 + 33 | 0;
  set8(i20 >> 0 | 0, (get8(i20 >> 0 | 0) | 0) + -1 << 24 >> 24 | 0);
 }
 if (!i29) {
  if (!i23) {
   _sqlite3SrcListDelete(i22, i2);
   STACKTOP = i5;
   return;
  }
  i23 = get32(i24 | 0) | 0;
  i24 = get32(i1 | 0) | 0;
  i20 = i24 + 4 | 0;
  i4 = get32(i20 | 0) | 0;
  if ((i4 | 0) <= 0) {
   _sqlite3SrcListDelete(i22, i2);
   STACKTOP = i5;
   return;
  }
  i25 = i24 + 8 | 0;
  i24 = (i23 | 0) == 0;
  i19 = i1 + 424 | 0;
  i46 = i4;
  i4 = 0;
  while (1) {
   i45 = get32(i25 | 0) | 0;
   do if (!(get32(i45 + (i4 << 4) + 4 | 0) | 0)) i47 = i46; else {
    if (!i24) {
     i30 = get32(i45 + (i4 << 4) | 0) | 0;
     i40 = get8(i23 >> 0 | 0) | 0;
     L57 : do if (!(i40 << 24 >> 24)) {
      i48 = 0;
      i49 = i30;
     } else {
      i39 = i40;
      i27 = i23;
      i31 = i30;
      while (1) {
       if ((get8(16286 + (i39 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i31 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
        i48 = i39;
        i49 = i31;
        break L57;
       }
       i27 = i27 + 1 | 0;
       i35 = i31 + 1 | 0;
       i39 = get8(i27 >> 0 | 0) | 0;
       if (!(i39 << 24 >> 24)) {
        i48 = 0;
        i49 = i35;
        break;
       } else i31 = i35;
      }
     } while (0);
     if ((get8(16286 + (i48 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i49 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
      i47 = i46;
      break;
     }
    }
    i30 = get32(i19 | 0) | 0;
    i40 = (i30 | 0) == 0 ? i1 : i30;
    i30 = i40 + 348 | 0;
    do if (!(get32(i30 | 0) | 0)) {
     i36 = i40 + 12 | 0;
     i31 = get32(i36 | 0) | 0;
     if (!i31) {
      i39 = get32(i40 | 0) | 0;
      L67 : do if (i39) {
       i27 = i39 + 30 | 0;
       if (!(get8(i27 >> 0 | 0) | 0)) {
        do if (get8(i39 + 234 >> 0 | 0) | 0) {
         if ((getU16(i39 + 232 | 0) | 0) < 192) {
          i35 = i39 + 248 | 0;
          set32(i35 | 0, (get32(i35 | 0) | 0) + 1 | 0);
          break;
         }
         i35 = i39 + 256 | 0;
         i26 = get32(i35 | 0) | 0;
         if (!i26) {
          i34 = i39 + 252 | 0;
          set32(i34 | 0, (get32(i34 | 0) | 0) + 1 | 0);
          break;
         }
         set32(i35 | 0, get32(i26 | 0) | 0);
         i35 = i39 + 236 | 0;
         i34 = get32(i35 | 0) | 0;
         i33 = i34 + 1 | 0;
         set32(i35 | 0, i33 | 0);
         i35 = i39 + 244 | 0;
         set32(i35 | 0, (get32(i35 | 0) | 0) + 1 | 0);
         i35 = i39 + 240 | 0;
         if ((i34 | 0) >= (get32(i35 | 0) | 0)) set32(i35 | 0, i33 | 0);
         i50 = i26;
         i28 = 76;
         break L67;
        } while (0);
        do if (!(get32(50 * 4 | 0) | 0)) {
         i26 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
         if (i26) {
          i51 = i26;
          break L67;
         }
        } else {
         i26 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
         set32(35 * 4 | 0, 192 | 0);
         if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
         i33 = get32(6 * 4 | 0) | 0;
         do if (i33) {
          i35 = get32(30 * 4 | 0) | 0;
          i34 = ((i35 | 0) < 0) << 31 >> 31;
          i32 = 16;
          i37 = _i64Subtract(get32(i32 | 0) | 0, get32(i32 + 4 | 0) | 0, i26 | 0, ((i26 | 0) < 0) << 31 >> 31 | 0) | 0;
          i32 = tempRet0;
          if ((i34 | 0) < (i32 | 0) | (i34 | 0) == (i32 | 0) & i35 >>> 0 < i37 >>> 0) {
           set32(11 * 4 | 0, 0 | 0);
           break;
          } else {
           set32(11 * 4 | 0, 1 | 0);
           i37 = get32(7 * 4 | 0) | 0;
           set32(6 * 4 | 0, 0 | 0);
           FUNCTION_TABLE_viiii[i33 & 15](i37, i35, i34, i26);
           set32(6 * 4 | 0, i33 | 0);
           set32(7 * 4 | 0, i37 | 0);
           break;
          }
         } while (0);
         i33 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i26) | 0;
         if (!i33) break;
         i37 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i33) | 0;
         i34 = (get32(30 * 4 | 0) | 0) + i37 | 0;
         set32(30 * 4 | 0, i34 | 0);
         if ((i34 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i34 | 0);
         i34 = get32(39 * 4 | 0) | 0;
         i37 = i34 + 1 | 0;
         set32(39 * 4 | 0, i37 | 0);
         if ((i34 | 0) < (get32(49 * 4 | 0) | 0)) {
          i51 = i33;
          break L67;
         }
         set32(49 * 4 | 0, i37 | 0);
         i51 = i33;
         break L67;
        } while (0);
        set8(i27 >> 0 | 0, 1 | 0);
        i28 = 86;
       } else i28 = 86;
      } else {
       if (!(get32(50 * 4 | 0) | 0)) {
        i50 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
        i28 = 76;
        break;
       }
       i33 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
       set32(35 * 4 | 0, 192 | 0);
       if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
       i37 = get32(6 * 4 | 0) | 0;
       do if (i37) {
        i34 = get32(30 * 4 | 0) | 0;
        i35 = ((i34 | 0) < 0) << 31 >> 31;
        i32 = 16;
        i38 = _i64Subtract(get32(i32 | 0) | 0, get32(i32 + 4 | 0) | 0, i33 | 0, ((i33 | 0) < 0) << 31 >> 31 | 0) | 0;
        i32 = tempRet0;
        if ((i35 | 0) < (i32 | 0) | (i35 | 0) == (i32 | 0) & i34 >>> 0 < i38 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i38 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i37 & 15](i38, i34, i35, i33);
         set32(6 * 4 | 0, i37 | 0);
         set32(7 * 4 | 0, i38 | 0);
         break;
        }
       } while (0);
       i37 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i33) | 0;
       if (!i37) {
        i28 = 86;
        break;
       }
       i27 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i37) | 0;
       i38 = (get32(30 * 4 | 0) | 0) + i27 | 0;
       set32(30 * 4 | 0, i38 | 0);
       if ((i38 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i38 | 0);
       i38 = get32(39 * 4 | 0) | 0;
       i27 = i38 + 1 | 0;
       set32(39 * 4 | 0, i27 | 0);
       if ((i38 | 0) < (get32(49 * 4 | 0) | 0)) {
        i51 = i37;
        break;
       }
       set32(49 * 4 | 0, i27 | 0);
       i51 = i37;
      } while (0);
      if ((i28 | 0) == 76) {
       i28 = 0;
       if (!i50) i28 = 86; else i51 = i50;
      }
      if ((i28 | 0) == 86) {
       i28 = 0;
       set32(i36 | 0, 0 | 0);
       break;
      }
      _memset(i51 | 0, 0, 192) | 0;
      set32(i51 | 0, i39 | 0);
      i37 = i39 + 136 | 0;
      i27 = get32(i37 | 0) | 0;
      if (i27) set32(i27 + 60 | 0, i51 | 0);
      set32(i51 + 64 | 0, i27 | 0);
      set32(i51 + 60 | 0, 0 | 0);
      set32(i37 | 0, i51 | 0);
      set32(i51 + 52 | 0, 649915045 | 0);
      set32(i36 | 0, i51 | 0);
      i37 = i51 + 28 | 0;
      i27 = i51 + 32 | 0;
      i38 = i51 + 4 | 0;
      i35 = _sqlite3DbRealloc(i39, 0, 1020) | 0;
      if (!i35) i52 = i51; else {
       i34 = get32(i51 | 0) | 0;
       do if (!i34) i28 = 84; else {
        if ((get32(i34 + 260 | 0) | 0) >>> 0 > i35 >>> 0) {
         i28 = 84;
         break;
        }
        if ((get32(i34 + 264 | 0) | 0) >>> 0 <= i35 >>> 0) {
         i28 = 84;
         break;
        }
        i53 = getU16(i34 + 232 | 0) | 0;
       } while (0);
       if ((i28 | 0) == 84) {
        i28 = 0;
        i53 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i35) | 0;
       }
       set32(i27 | 0, (i53 >>> 0) / 20 | 0 | 0);
       set32(i38 | 0, i35 | 0);
       set32(i37 | 0, (get32(i37 | 0) | 0) + 1 | 0);
       set8(i35 >> 0 | 0, -120 | 0);
       set8(i35 + 1 >> 0 | 0, 0 | 0);
       i54 = i35 + 3 | 0;
       i55 = i54 + 17 | 0;
       do {
        set8(i54 >> 0 | 0, 0 | 0);
        i54 = i54 + 1 | 0;
       } while ((i54 | 0) < (i55 | 0));
       i52 = i51;
      }
     } else i52 = i31;
     i35 = i52 + 28 | 0;
     i37 = get32(i35 | 0) | 0;
     i38 = i52 + 32 | 0;
     i27 = get32(i38 | 0) | 0;
     if ((i27 | 0) <= (i37 | 0)) {
      i34 = i52 + 4 | 0;
      i39 = _sqlite3DbRealloc(get32(i52 | 0) | 0, get32(i34 | 0) | 0, (i27 | 0) == 0 ? 1020 : i27 * 40 | 0) | 0;
      if (!i39) i56 = 1; else {
       i27 = get32(i52 | 0) | 0;
       do if (!i27) i28 = 94; else {
        if ((get32(i27 + 260 | 0) | 0) >>> 0 > i39 >>> 0) {
         i28 = 94;
         break;
        }
        if ((get32(i27 + 264 | 0) | 0) >>> 0 <= i39 >>> 0) {
         i28 = 94;
         break;
        }
        i57 = getU16(i27 + 232 | 0) | 0;
       } while (0);
       if ((i28 | 0) == 94) {
        i28 = 0;
        i57 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i39) | 0;
       }
       set32(i38 | 0, (i57 >>> 0) / 20 | 0 | 0);
       set32(i34 | 0, i39 | 0);
       i58 = get32(i35 | 0) | 0;
       i59 = i39;
       i28 = 96;
      }
     } else {
      i58 = i37;
      i59 = get32(i52 + 4 | 0) | 0;
      i28 = 96;
     }
     if ((i28 | 0) == 96) {
      i28 = 0;
      set32(i35 | 0, i58 + 1 | 0);
      set8(i59 + (i37 * 20 | 0) >> 0 | 0, 1 | 0);
      set8(i59 + (i37 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i54 = i59 + (i37 * 20 | 0) + 3 | 0;
      i55 = i54 + 17 | 0;
      do {
       set8(i54 >> 0 | 0, 0 | 0);
       i54 = i54 + 1 | 0;
      } while ((i54 | 0) < (i55 | 0));
      i56 = i37;
     }
     set32(i30 | 0, i56 + 1 | 0);
     i28 = 98;
    } else i28 = 98; while (0);
    if (((i28 | 0) == 98 ? (i28 = 0, i30 = 1 << i4, i35 = i40 + 340 | 0, i39 = get32(i35 | 0) | 0, (i39 & i30 | 0) == 0) : 0) ? (i34 = get32(i40 | 0) | 0, set32(i35 | 0, i39 | i30 | 0), set32(i40 + 352 + (i4 << 2) | 0, get32(get32((get32(i34 + 8 | 0) | 0) + (i4 << 4) + 12 | 0) | 0) | 0), (i4 | 0) == 1) : 0) {
     i34 = get32(i40 | 0) | 0;
     i30 = i34 + 8 | 0;
     do if ((get32((get32(i30 | 0) | 0) + 20 | 0) | 0) == 0 ? (get8(i40 + 484 >> 0 | 0) | 0) == 0 : 0) {
      i39 = _sqlite3BtreeOpen(get32(i34 | 0) | 0, 0, i34, i21, 0, 542) | 0;
      if (i39) {
       _sqlite3ErrorMsg(i40, 19482, i18);
       set32(i40 + 4 | 0, i39 | 0);
       break;
      }
      i39 = get32(i21 | 0) | 0;
      set32((get32(i30 | 0) | 0) + 20 | 0, i39 | 0);
      i35 = get32(i34 + 36 | 0) | 0;
      i38 = get32(i39 + 4 | 0) | 0;
      set32(i38 + 4 | 0, get32(i39 | 0) | 0);
      if (get8(i38 + 17 >> 0 | 0) | 0) break;
      i39 = i38 + 36 | 0;
      i27 = i38 + 40 | 0;
      i31 = (get32(i39 | 0) | 0) - (get32(i27 | 0) | 0) | 0;
      do if ((i35 + -512 | 0) >>> 0 < 65025) {
       if (i35 + -1 & i35) break;
       set32(i39 | 0, i35 | 0);
       i36 = i38 + 88 | 0;
       i32 = get32(i36 | 0) | 0;
       do if (i32) {
        if ((get32(379 * 4 | 0) | 0) >>> 0 <= i32 >>> 0 & (get32(380 * 4 | 0) | 0) >>> 0 > i32 >>> 0) {
         i43 = (get32(31 * 4 | 0) | 0) + -1 | 0;
         set32(31 * 4 | 0, i43 | 0);
         if ((i43 | 0) > (get32(41 * 4 | 0) | 0)) set32(41 * 4 | 0, i43 | 0);
         set32(i32 | 0, get32(383 * 4 | 0) | 0);
         set32(383 * 4 | 0, i32 | 0);
         i43 = (get32(382 * 4 | 0) | 0) + 1 | 0;
         set32(382 * 4 | 0, i43 | 0);
         set32(384 * 4 | 0, (i43 | 0) < (get32(378 * 4 | 0) | 0) & 1 | 0);
         break;
        }
        i43 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i32) | 0;
        i41 = (get32(32 * 4 | 0) | 0) - i43 | 0;
        set32(32 * 4 | 0, i41 | 0);
        if ((i41 | 0) > (get32(42 * 4 | 0) | 0)) set32(42 * 4 | 0, i41 | 0);
        if (!(get32(50 * 4 | 0) | 0)) {
         FUNCTION_TABLE_vi[get32(232 | 0) & 31](i32);
         break;
        }
        i41 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i32) | 0;
        i43 = (get32(30 * 4 | 0) | 0) - i41 | 0;
        set32(30 * 4 | 0, i43 | 0);
        if ((i43 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i43 | 0);
        i43 = (get32(39 * 4 | 0) | 0) + -1 | 0;
        set32(39 * 4 | 0, i43 | 0);
        if ((i43 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i43 | 0);
        FUNCTION_TABLE_vi[get32(232 | 0) & 31](i32);
       } while (0);
       set32(i36 | 0, 0 | 0);
      } while (0);
      i35 = _sqlite3PagerSetPagesize(get32(i38 | 0) | 0, i39, i31) | 0;
      set32(i27 | 0, (get32(i39 | 0) | 0) - (i31 & 65535) | 0);
      if ((i35 | 0) != 7) break;
      set8(i34 + 30 >> 0 | 0, 1 | 0);
     } while (0);
    }
    i47 = get32(i20 | 0) | 0;
   } while (0);
   i4 = i4 + 1 | 0;
   if ((i4 | 0) >= (i47 | 0)) break; else i46 = i47;
  }
  _sqlite3SrcListDelete(i22, i2);
  STACKTOP = i5;
  return;
 }
 i47 = i29 + 68 | 0;
 i46 = get32(i47 | 0) | 0;
 L191 : do if (i46) {
  i4 = get32(i22 + 4 | 0) | 0;
  if ((i4 | 0) > 0) {
   i20 = get32(i22 + 8 | 0) | 0;
   i21 = 0;
   while (1) {
    if ((get32(i20 + (i21 << 4) + 12 | 0) | 0) == (i46 | 0)) {
     i60 = i21;
     break L191;
    }
    i18 = i21 + 1 | 0;
    if ((i18 | 0) < (i4 | 0)) i21 = i18; else {
     i60 = i18;
     break;
    }
   }
  } else i60 = 0;
 } else i60 = -1e6; while (0);
 i46 = i29 + 34 | 0;
 if ((get8(i46 >> 0 | 0) & 16) != 0 ? (_sqlite3ViewGetColumnNames(i1, i29) | 0) != 0 : 0) {
  _sqlite3SrcListDelete(i22, i2);
  STACKTOP = i5;
  return;
 }
 i21 = (i60 | 0) == 1;
 i4 = i21 ? 21655 : 21674;
 i20 = i22 + 8 | 0;
 i18 = get32((get32(i20 | 0) | 0) + (i60 << 4) | 0) | 0;
 i56 = get32(i1 | 0) | 0;
 L202 : do if (((get8(i56 + 124 >> 0 | 0) | 0) == 0 ? (get8(i1 + 528 >> 0 | 0) | 0) == 0 : 0) ? (i59 = get32(i56 + 268 | 0) | 0, (i59 | 0) != 0) : 0) switch (FUNCTION_TABLE_iiiiiii[i59 & 3](get32(i56 + 272 | 0) | 0, 9, i4, 0, i18, get32(i1 + 516 | 0) | 0) | 0) {
 case 0:
  {
   break L202;
   break;
  }
 case 1:
  {
   _sqlite3ErrorMsg(i1, 26149, i17);
   set32(i1 + 4 | 0, 23 | 0);
   _sqlite3SrcListDelete(i22, i2);
   STACKTOP = i5;
   return;
  }
 case 2:
  {
   _sqlite3SrcListDelete(i22, i2);
   STACKTOP = i5;
   return;
  }
 default:
  {
   _sqlite3ErrorMsg(i1, 29155, i16);
   set32(i1 + 4 | 0, 1 | 0);
   _sqlite3SrcListDelete(i22, i2);
   STACKTOP = i5;
   return;
  }
 } while (0);
 i16 = (i3 | 0) != 0;
 do if (i16) {
  i61 = i21 ? 15 : 17;
  i62 = 0;
 } else {
  if (!(get8(i46 >> 0 | 0) & 16)) {
   i61 = i21 ? 13 : 11;
   i62 = 0;
   break;
  }
  i3 = i29 + 52 | 0;
  while (1) {
   i17 = get32(i3 | 0) | 0;
   if ((get32(i17 | 0) | 0) == (i22 | 0)) {
    i63 = i17;
    break;
   } else i3 = i17 + 24 | 0;
  }
  i61 = 30;
  i62 = get32((get32(i63 + 4 | 0) | 0) + 4 | 0) | 0;
 } while (0);
 i63 = get32(i29 | 0) | 0;
 i21 = get32(i1 | 0) | 0;
 L223 : do if ((get8(i21 + 124 >> 0 | 0) | 0) == 0 ? (i3 = i1 + 528 | 0, (get8(i3 >> 0 | 0) | 0) == 0) : 0) {
  i17 = get32(i21 + 268 | 0) | 0;
  L226 : do if (!i17) {
   i64 = i21;
   i65 = i63;
  } else switch (FUNCTION_TABLE_iiiiiii[i17 & 3](get32(i21 + 272 | 0) | 0, i61, i63, i62, i18, get32(i1 + 516 | 0) | 0) | 0) {
  case 1:
   {
    _sqlite3ErrorMsg(i1, 26149, i15);
    set32(i1 + 4 | 0, 23 | 0);
    _sqlite3SrcListDelete(i22, i2);
    STACKTOP = i5;
    return;
   }
  case 0:
   {
    i56 = get32(i29 | 0) | 0;
    i59 = get32(i1 | 0) | 0;
    if (get8(i59 + 124 >> 0 | 0) | 0) {
     i66 = i56;
     break L223;
    }
    if (!(get8(i3 >> 0 | 0) | 0)) {
     i64 = i59;
     i65 = i56;
     break L226;
    } else {
     i66 = i56;
     break L223;
    }
    break;
   }
  case 2:
   {
    _sqlite3SrcListDelete(i22, i2);
    STACKTOP = i5;
    return;
   }
  default:
   {
    _sqlite3ErrorMsg(i1, 29155, i14);
    set32(i1 + 4 | 0, 1 | 0);
    _sqlite3SrcListDelete(i22, i2);
    STACKTOP = i5;
    return;
   }
  } while (0);
  i3 = get32(i64 + 268 | 0) | 0;
  if (!i3) i66 = i65; else switch (FUNCTION_TABLE_iiiiiii[i3 & 3](get32(i64 + 272 | 0) | 0, 9, i65, 0, i18, get32(i1 + 516 | 0) | 0) | 0) {
  case 1:
   {
    _sqlite3ErrorMsg(i1, 26149, i13);
    set32(i1 + 4 | 0, 23 | 0);
    _sqlite3SrcListDelete(i22, i2);
    STACKTOP = i5;
    return;
   }
  case 0:
   {
    i66 = get32(i29 | 0) | 0;
    break L223;
    break;
   }
  case 2:
   {
    _sqlite3SrcListDelete(i22, i2);
    STACKTOP = i5;
    return;
   }
  default:
   {
    _sqlite3ErrorMsg(i1, 29155, i12);
    set32(i1 + 4 | 0, 1 | 0);
    _sqlite3SrcListDelete(i22, i2);
    STACKTOP = i5;
    return;
   }
  }
 } else i66 = i63; while (0);
 i63 = get8(i66 >> 0 | 0) | 0;
 L246 : do if (!(i63 << 24 >> 24)) {
  i67 = 29355;
  i28 = 161;
 } else {
  i12 = i63 & 255;
  i13 = 16286 + i12 | 0;
  do if ((i12 & 223 | 0) == 83) {
   i18 = get8(i66 + 1 >> 0 | 0) | 0;
   if (!(i18 << 24 >> 24)) {
    i67 = 29356;
    i28 = 161;
    break L246;
   }
   i65 = i18 & 255;
   i18 = 16286 + i65 | 0;
   if ((i65 & 223 | 0) == 81) {
    i65 = get8(i66 + 2 >> 0 | 0) | 0;
    if (!(i65 << 24 >> 24)) {
     i67 = 29357;
     i28 = 161;
     break L246;
    }
    i64 = i65 & 255;
    i65 = 16286 + i64 | 0;
    if ((i64 & 223 | 0) == 76) {
     i64 = get8(i66 + 3 >> 0 | 0) | 0;
     if (!(i64 << 24 >> 24)) {
      i67 = 29358;
      i28 = 161;
      break L246;
     }
     i14 = i64 & 255;
     i64 = 16286 + i14 | 0;
     if ((i14 & 223 | 0) == 73) {
      i14 = get8(i66 + 4 >> 0 | 0) | 0;
      if (!(i14 << 24 >> 24)) {
       i67 = 29359;
       i28 = 161;
       break L246;
      }
      i15 = i14 & 255;
      if ((i15 & 223 | 0) != 84) {
       i68 = 16286 + i15 | 0;
       i69 = 116;
       break;
      }
      i15 = get8(i66 + 5 >> 0 | 0) | 0;
      if (!(i15 << 24 >> 24)) {
       i67 = 29360;
       i28 = 161;
       break L246;
      }
      i14 = i15 & 255;
      if ((i14 & 223 | 0) != 69) {
       i68 = 16286 + i14 | 0;
       i69 = 101;
       break;
      }
      i14 = get8(i66 + 6 >> 0 | 0) | 0;
      if (!(i14 << 24 >> 24)) {
       i67 = 29361;
       i28 = 161;
       break L246;
      }
      if (i14 << 24 >> 24 == 95) break L246; else {
       i68 = 16286 + (i14 & 255) | 0;
       i69 = 95;
      }
     } else {
      i68 = i64;
      i69 = 105;
     }
    } else {
     i68 = i65;
     i69 = 108;
    }
   } else {
    i68 = i18;
    i69 = 113;
   }
  } else {
   i68 = i13;
   i69 = 115;
  } while (0);
  i70 = get8(i68 >> 0 | 0) | 0;
  i71 = i69;
  i28 = 165;
 } while (0);
 if ((i28 | 0) == 161) {
  i70 = 0;
  i71 = get8(16286 + (getU8(i67 >> 0 | 0) | 0) >> 0 | 0) | 0;
  i28 = 165;
 }
 if ((i28 | 0) == 165 ? i70 << 24 >> 24 != i71 << 24 >> 24 : 0) {
  i71 = i29 + 28 | 0;
  i70 = (get32(i71 | 0) | 0) == 0;
  if (i16) {
   if (i70) {
    set32(i10 | 0, i66 | 0);
    _sqlite3ErrorMsg(i1, 31601, i10);
    _sqlite3SrcListDelete(i22, i2);
    STACKTOP = i5;
    return;
   }
  } else if (!i70) {
   set32(i9 | 0, i66 | 0);
   _sqlite3ErrorMsg(i1, 31635, i9);
   _sqlite3SrcListDelete(i22, i2);
   STACKTOP = i5;
   return;
  }
  i9 = i1 + 12 | 0;
  i70 = get32(i9 | 0) | 0;
  do if (!i70) {
   i10 = get32(i1 | 0) | 0;
   L277 : do if (i10) {
    i67 = i10 + 30 | 0;
    if (!(get8(i67 >> 0 | 0) | 0)) {
     do if (get8(i10 + 234 >> 0 | 0) | 0) {
      if ((getU16(i10 + 232 | 0) | 0) < 192) {
       i69 = i10 + 248 | 0;
       set32(i69 | 0, (get32(i69 | 0) | 0) + 1 | 0);
       break;
      }
      i69 = i10 + 256 | 0;
      i68 = get32(i69 | 0) | 0;
      if (!i68) {
       i63 = i10 + 252 | 0;
       set32(i63 | 0, (get32(i63 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i69 | 0, get32(i68 | 0) | 0);
      i69 = i10 + 236 | 0;
      i63 = get32(i69 | 0) | 0;
      i13 = i63 + 1 | 0;
      set32(i69 | 0, i13 | 0);
      i69 = i10 + 244 | 0;
      set32(i69 | 0, (get32(i69 | 0) | 0) + 1 | 0);
      i69 = i10 + 240 | 0;
      if ((i63 | 0) >= (get32(i69 | 0) | 0)) set32(i69 | 0, i13 | 0);
      i72 = i68;
      i28 = 210;
      break L277;
     } while (0);
     do if (!(get32(50 * 4 | 0) | 0)) {
      i68 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
      if (i68) {
       i73 = i68;
       break L277;
      }
     } else {
      i68 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
      set32(35 * 4 | 0, 192 | 0);
      if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
      i13 = get32(6 * 4 | 0) | 0;
      do if (i13) {
       i69 = get32(30 * 4 | 0) | 0;
       i63 = ((i69 | 0) < 0) << 31 >> 31;
       i12 = 16;
       i18 = _i64Subtract(get32(i12 | 0) | 0, get32(i12 + 4 | 0) | 0, i68 | 0, ((i68 | 0) < 0) << 31 >> 31 | 0) | 0;
       i12 = tempRet0;
       if ((i63 | 0) < (i12 | 0) | (i63 | 0) == (i12 | 0) & i69 >>> 0 < i18 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i18 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i13 & 15](i18, i69, i63, i68);
        set32(6 * 4 | 0, i13 | 0);
        set32(7 * 4 | 0, i18 | 0);
        break;
       }
      } while (0);
      i13 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i68) | 0;
      if (!i13) break;
      i31 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i13) | 0;
      i39 = (get32(30 * 4 | 0) | 0) + i31 | 0;
      set32(30 * 4 | 0, i39 | 0);
      if ((i39 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i39 | 0);
      i39 = get32(39 * 4 | 0) | 0;
      i31 = i39 + 1 | 0;
      set32(39 * 4 | 0, i31 | 0);
      if ((i39 | 0) < (get32(49 * 4 | 0) | 0)) {
       i73 = i13;
       break L277;
      }
      set32(49 * 4 | 0, i31 | 0);
      i73 = i13;
      break L277;
     } while (0);
     set8(i67 >> 0 | 0, 1 | 0);
     i28 = 220;
    } else i28 = 220;
   } else {
    if (!(get32(50 * 4 | 0) | 0)) {
     i72 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
     i28 = 210;
     break;
    }
    i13 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
    set32(35 * 4 | 0, 192 | 0);
    if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
    i31 = get32(6 * 4 | 0) | 0;
    do if (i31) {
     i39 = get32(30 * 4 | 0) | 0;
     i27 = ((i39 | 0) < 0) << 31 >> 31;
     i38 = 16;
     i18 = _i64Subtract(get32(i38 | 0) | 0, get32(i38 + 4 | 0) | 0, i13 | 0, ((i13 | 0) < 0) << 31 >> 31 | 0) | 0;
     i38 = tempRet0;
     if ((i27 | 0) < (i38 | 0) | (i27 | 0) == (i38 | 0) & i39 >>> 0 < i18 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i18 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i31 & 15](i18, i39, i27, i13);
      set32(6 * 4 | 0, i31 | 0);
      set32(7 * 4 | 0, i18 | 0);
      break;
     }
    } while (0);
    i31 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i13) | 0;
    if (!i31) {
     i28 = 220;
     break;
    }
    i67 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i31) | 0;
    i18 = (get32(30 * 4 | 0) | 0) + i67 | 0;
    set32(30 * 4 | 0, i18 | 0);
    if ((i18 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i18 | 0);
    i18 = get32(39 * 4 | 0) | 0;
    i67 = i18 + 1 | 0;
    set32(39 * 4 | 0, i67 | 0);
    if ((i18 | 0) < (get32(49 * 4 | 0) | 0)) {
     i73 = i31;
     break;
    }
    set32(49 * 4 | 0, i67 | 0);
    i73 = i31;
   } while (0);
   if ((i28 | 0) == 210) if (!i72) i28 = 220; else i73 = i72;
   if ((i28 | 0) == 220) {
    set32(i9 | 0, 0 | 0);
    break;
   }
   _memset(i73 | 0, 0, 192) | 0;
   set32(i73 | 0, i10 | 0);
   i31 = i10 + 136 | 0;
   i67 = get32(i31 | 0) | 0;
   if (i67) set32(i67 + 60 | 0, i73 | 0);
   set32(i73 + 64 | 0, i67 | 0);
   set32(i73 + 60 | 0, 0 | 0);
   set32(i31 | 0, i73 | 0);
   set32(i73 + 52 | 0, 649915045 | 0);
   set32(i9 | 0, i73 | 0);
   i31 = i73 + 28 | 0;
   i67 = i73 + 32 | 0;
   i18 = i73 + 4 | 0;
   i27 = _sqlite3DbRealloc(i10, 0, 1020) | 0;
   if (!i27) {
    i74 = i73;
    i28 = 221;
   } else {
    i39 = get32(i73 | 0) | 0;
    do if (!i39) i28 = 218; else {
     if ((get32(i39 + 260 | 0) | 0) >>> 0 > i27 >>> 0) {
      i28 = 218;
      break;
     }
     if ((get32(i39 + 264 | 0) | 0) >>> 0 <= i27 >>> 0) {
      i28 = 218;
      break;
     }
     i75 = getU16(i39 + 232 | 0) | 0;
    } while (0);
    if ((i28 | 0) == 218) i75 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i27) | 0;
    set32(i67 | 0, (i75 >>> 0) / 20 | 0 | 0);
    set32(i18 | 0, i27 | 0);
    set32(i31 | 0, (get32(i31 | 0) | 0) + 1 | 0);
    set8(i27 >> 0 | 0, -120 | 0);
    set8(i27 + 1 >> 0 | 0, 0 | 0);
    i54 = i27 + 3 | 0;
    i55 = i54 + 17 | 0;
    do {
     set8(i54 >> 0 | 0, 0 | 0);
     i54 = i54 + 1 | 0;
    } while ((i54 | 0) < (i55 | 0));
    i74 = i73;
    i28 = 221;
   }
  } else {
   i74 = i70;
   i28 = 221;
  } while (0);
  L344 : do if ((i28 | 0) == 221) {
   i70 = get32(i20 | 0) | 0;
   _sqlite3BeginWriteOperation(i1, 1, i60);
   do if (get8(i46 >> 0 | 0) & 16) {
    i73 = i74 + 28 | 0;
    i75 = get32(i73 | 0) | 0;
    i72 = i74 + 32 | 0;
    i27 = get32(i72 | 0) | 0;
    if ((i27 | 0) > (i75 | 0)) {
     i76 = i75;
     i77 = get32(i74 + 4 | 0) | 0;
    } else {
     i31 = i74 + 4 | 0;
     i18 = _sqlite3DbRealloc(get32(i74 | 0) | 0, get32(i31 | 0) | 0, (i27 | 0) == 0 ? 1020 : i27 * 40 | 0) | 0;
     if (!i18) break;
     i27 = get32(i74 | 0) | 0;
     do if (!i27) i28 = 229; else {
      if ((get32(i27 + 260 | 0) | 0) >>> 0 > i18 >>> 0) {
       i28 = 229;
       break;
      }
      if ((get32(i27 + 264 | 0) | 0) >>> 0 <= i18 >>> 0) {
       i28 = 229;
       break;
      }
      i78 = getU16(i27 + 232 | 0) | 0;
     } while (0);
     if ((i28 | 0) == 229) i78 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i18) | 0;
     set32(i72 | 0, (i78 >>> 0) / 20 | 0 | 0);
     set32(i31 | 0, i18 | 0);
     i76 = get32(i73 | 0) | 0;
     i77 = i18;
    }
    set32(i73 | 0, i76 + 1 | 0);
    set8(i77 + (i75 * 20 | 0) >> 0 | 0, 124 | 0);
    set8(i77 + (i75 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i54 = i77 + (i75 * 20 | 0) + 3 | 0;
    i55 = i54 + 17 | 0;
    do {
     set8(i54 >> 0 | 0, 0 | 0);
     i54 = i54 + 1 | 0;
    } while ((i54 | 0) < (i55 | 0));
   } while (0);
   i75 = get32(i1 | 0) | 0;
   L361 : do if ((get32(i75 + 12 | 0) & 67108864 | 0) != 0 ? (get8(i46 >> 0 | 0) & 16) == 0 : 0) {
    if (get32(i71 | 0) | 0) break;
    i73 = get32(i9 | 0) | 0;
    do if (!i73) {
     L367 : do if (!i75) {
      if (!(get32(50 * 4 | 0) | 0)) {
       i79 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
       i28 = 273;
       break;
      }
      i18 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
      set32(35 * 4 | 0, 192 | 0);
      if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
      i31 = get32(6 * 4 | 0) | 0;
      do if (i31) {
       i72 = get32(30 * 4 | 0) | 0;
       i27 = ((i72 | 0) < 0) << 31 >> 31;
       i13 = 16;
       i67 = _i64Subtract(get32(i13 | 0) | 0, get32(i13 + 4 | 0) | 0, i18 | 0, ((i18 | 0) < 0) << 31 >> 31 | 0) | 0;
       i13 = tempRet0;
       if ((i27 | 0) < (i13 | 0) | (i27 | 0) == (i13 | 0) & i72 >>> 0 < i67 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i67 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i31 & 15](i67, i72, i27, i18);
        set32(6 * 4 | 0, i31 | 0);
        set32(7 * 4 | 0, i67 | 0);
        break;
       }
      } while (0);
      i31 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i18) | 0;
      if (!i31) {
       i28 = 274;
       break;
      }
      i36 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i31) | 0;
      i67 = (get32(30 * 4 | 0) | 0) + i36 | 0;
      set32(30 * 4 | 0, i67 | 0);
      if ((i67 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i67 | 0);
      i67 = get32(39 * 4 | 0) | 0;
      i36 = i67 + 1 | 0;
      set32(39 * 4 | 0, i36 | 0);
      if ((i67 | 0) < (get32(49 * 4 | 0) | 0)) {
       i80 = i31;
       break;
      }
      set32(49 * 4 | 0, i36 | 0);
      i80 = i31;
     } else {
      i31 = i75 + 30 | 0;
      if (get8(i31 >> 0 | 0) | 0) {
       i28 = 274;
       break;
      }
      do if (get8(i75 + 234 >> 0 | 0) | 0) {
       if ((getU16(i75 + 232 | 0) | 0) < 192) {
        i36 = i75 + 248 | 0;
        set32(i36 | 0, (get32(i36 | 0) | 0) + 1 | 0);
        break;
       }
       i36 = i75 + 256 | 0;
       i67 = get32(i36 | 0) | 0;
       if (!i67) {
        i27 = i75 + 252 | 0;
        set32(i27 | 0, (get32(i27 | 0) | 0) + 1 | 0);
        break;
       }
       set32(i36 | 0, get32(i67 | 0) | 0);
       i36 = i75 + 236 | 0;
       i27 = get32(i36 | 0) | 0;
       i72 = i27 + 1 | 0;
       set32(i36 | 0, i72 | 0);
       i36 = i75 + 244 | 0;
       set32(i36 | 0, (get32(i36 | 0) | 0) + 1 | 0);
       i36 = i75 + 240 | 0;
       if ((i27 | 0) >= (get32(i36 | 0) | 0)) set32(i36 | 0, i72 | 0);
       i79 = i67;
       i28 = 273;
       break L367;
      } while (0);
      do if (!(get32(50 * 4 | 0) | 0)) {
       i18 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
       if (i18) {
        i80 = i18;
        break L367;
       }
      } else {
       i18 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
       set32(35 * 4 | 0, 192 | 0);
       if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
       i67 = get32(6 * 4 | 0) | 0;
       do if (i67) {
        i72 = get32(30 * 4 | 0) | 0;
        i36 = ((i72 | 0) < 0) << 31 >> 31;
        i27 = 16;
        i13 = _i64Subtract(get32(i27 | 0) | 0, get32(i27 + 4 | 0) | 0, i18 | 0, ((i18 | 0) < 0) << 31 >> 31 | 0) | 0;
        i27 = tempRet0;
        if ((i36 | 0) < (i27 | 0) | (i36 | 0) == (i27 | 0) & i72 >>> 0 < i13 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i13 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i67 & 15](i13, i72, i36, i18);
         set32(6 * 4 | 0, i67 | 0);
         set32(7 * 4 | 0, i13 | 0);
         break;
        }
       } while (0);
       i67 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i18) | 0;
       if (!i67) break;
       i26 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i67) | 0;
       i13 = (get32(30 * 4 | 0) | 0) + i26 | 0;
       set32(30 * 4 | 0, i13 | 0);
       if ((i13 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i13 | 0);
       i13 = get32(39 * 4 | 0) | 0;
       i26 = i13 + 1 | 0;
       set32(39 * 4 | 0, i26 | 0);
       if ((i13 | 0) < (get32(49 * 4 | 0) | 0)) {
        i80 = i67;
        break L367;
       }
       set32(49 * 4 | 0, i26 | 0);
       i80 = i67;
       break L367;
      } while (0);
      set8(i31 >> 0 | 0, 1 | 0);
      i28 = 274;
     } while (0);
     if ((i28 | 0) == 273) if (!i79) i28 = 274; else i80 = i79;
     if ((i28 | 0) == 274) {
      set32(i9 | 0, 0 | 0);
      i81 = 0;
      break;
     }
     _memset(i80 | 0, 0, 192) | 0;
     set32(i80 | 0, i75 | 0);
     i68 = i75 + 136 | 0;
     i67 = get32(i68 | 0) | 0;
     if (i67) set32(i67 + 60 | 0, i80 | 0);
     set32(i80 + 64 | 0, i67 | 0);
     set32(i80 + 60 | 0, 0 | 0);
     set32(i68 | 0, i80 | 0);
     set32(i80 + 52 | 0, 649915045 | 0);
     set32(i9 | 0, i80 | 0);
     i68 = i80 + 28 | 0;
     i67 = i80 + 32 | 0;
     i26 = i80 + 4 | 0;
     i13 = _sqlite3DbRealloc(i75, 0, 1020) | 0;
     if (!i13) {
      i81 = i80;
      break;
     }
     i36 = get32(i80 | 0) | 0;
     do if (!i36) i28 = 282; else {
      if ((get32(i36 + 260 | 0) | 0) >>> 0 > i13 >>> 0) {
       i28 = 282;
       break;
      }
      if ((get32(i36 + 264 | 0) | 0) >>> 0 <= i13 >>> 0) {
       i28 = 282;
       break;
      }
      i82 = getU16(i36 + 232 | 0) | 0;
     } while (0);
     if ((i28 | 0) == 282) i82 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i13) | 0;
     set32(i67 | 0, (i82 >>> 0) / 20 | 0 | 0);
     set32(i26 | 0, i13 | 0);
     set32(i68 | 0, (get32(i68 | 0) | 0) + 1 | 0);
     set8(i13 >> 0 | 0, -120 | 0);
     set8(i13 + 1 >> 0 | 0, 0 | 0);
     i54 = i13 + 3 | 0;
     i55 = i54 + 17 | 0;
     do {
      set8(i54 >> 0 | 0, 0 | 0);
      i54 = i54 + 1 | 0;
     } while ((i54 | 0) < (i55 | 0));
     i81 = i80;
    } else i81 = i73; while (0);
    i73 = get32(i29 | 0) | 0;
    if (!i73) i83 = 0; else {
     i13 = i73;
     while (1) if (!(get8(i13 >> 0 | 0) | 0)) {
      i84 = i13;
      break;
     } else i13 = i13 + 1 | 0;
     i83 = i84 - i73 & 1073741823;
    }
    do if (!(_sqlite3HashFind((get32(i47 | 0) | 0) + 56 | 0, i73, i83) | 0)) {
     i13 = get32(i29 + 36 | 0) | 0;
     if (!i13) break L361; else i85 = i13;
     while (1) {
      if (get8(i85 + 24 >> 0 | 0) | 0) break;
      i85 = get32(i85 + 4 | 0) | 0;
      if (!i85) break L361;
     }
     i13 = i81 + 36 | 0;
     i68 = get32(i13 | 0) | 0;
     set32(i13 | 0, i68 + 1 | 0);
     i13 = i81 + 40 | 0;
     i26 = get32(i13 | 0) | 0;
     if ((i68 | 0) < (i26 | 0)) i86 = i81 + 44 | 0; else {
      i67 = get32(i81 | 0) | 0;
      i36 = i81 + 44 | 0;
      i72 = get32(i36 | 0) | 0;
      i27 = _sqlite3DbRealloc(i67, i72, (i26 << 3) + 20 | 0) | 0;
      do if (!i27) {
       _sqlite3DbFree(i67, i72);
       set32(i36 | 0, 0 | 0);
       i28 = 300;
      } else {
       set32(i36 | 0, i27 | 0);
       i26 = get32(i81 | 0) | 0;
       if (!i26) {
        i28 = 300;
        break;
       }
       if ((get32(i26 + 260 | 0) | 0) >>> 0 > i27 >>> 0) {
        i28 = 300;
        break;
       }
       if ((get32(i26 + 264 | 0) | 0) >>> 0 <= i27 >>> 0) {
        i28 = 300;
        break;
       }
       i87 = getU16(i26 + 232 | 0) | 0;
      } while (0);
      if ((i28 | 0) == 300) i87 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i27) | 0;
      set32(i13 | 0, i87 >>> 2 | 0);
      i86 = i36;
     }
     i72 = get32(i86 | 0) | 0;
     if (i72) set32(i72 + (i68 << 2) | 0, -1 | 0);
     i72 = ~i68;
     i67 = i81 + 28 | 0;
     i26 = get32(i67 | 0) | 0;
     i39 = i81 + 32 | 0;
     i10 = get32(i39 | 0) | 0;
     if ((i10 | 0) > (i26 | 0)) {
      i88 = i26;
      i89 = get32(i81 + 4 | 0) | 0;
     } else {
      i38 = i81 + 4 | 0;
      i63 = _sqlite3DbRealloc(get32(i81 | 0) | 0, get32(i38 | 0) | 0, (i10 | 0) == 0 ? 1020 : i10 * 40 | 0) | 0;
      if (!i63) {
       i90 = i67;
       i91 = i39;
       i92 = i72;
       break;
      }
      i10 = get32(i81 | 0) | 0;
      do if (!i10) i28 = 311; else {
       if ((get32(i10 + 260 | 0) | 0) >>> 0 > i63 >>> 0) {
        i28 = 311;
        break;
       }
       if ((get32(i10 + 264 | 0) | 0) >>> 0 <= i63 >>> 0) {
        i28 = 311;
        break;
       }
       i93 = getU16(i10 + 232 | 0) | 0;
      } while (0);
      if ((i28 | 0) == 311) i93 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i63) | 0;
      set32(i39 | 0, (i93 >>> 0) / 20 | 0 | 0);
      set32(i38 | 0, i63 | 0);
      i88 = get32(i67 | 0) | 0;
      i89 = i63;
     }
     set32(i67 | 0, i88 + 1 | 0);
     set8(i89 + (i26 * 20 | 0) >> 0 | 0, 111 | 0);
     set8(i89 + (i26 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i89 + (i26 * 20 | 0) + 4 | 0, 1 | 0);
     set32(i89 + (i26 * 20 | 0) + 8 | 0, i72 | 0);
     set32(i89 + (i26 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i89 + (i26 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i89 + (i26 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i90 = i67;
     i91 = i39;
     i92 = i72;
    } else {
     i90 = i81 + 28 | 0;
     i91 = i81 + 32 | 0;
     i92 = 0;
    } while (0);
    i73 = i1 + 442 | 0;
    set8(i73 >> 0 | 0, 1 | 0);
    _sqlite3DeleteFrom(i1, _sqlite3SrcListDup(i75, i2, 0) | 0, 0);
    set8(i73 >> 0 | 0, 0 | 0);
    i73 = get32(i90 | 0) | 0;
    i10 = i73 + 2 | 0;
    i68 = get32(i91 | 0) | 0;
    do if ((i68 | 0) > (i73 | 0)) {
     i94 = i73;
     i95 = get32(i81 + 4 | 0) | 0;
     i28 = 323;
    } else {
     i36 = i81 + 4 | 0;
     i13 = _sqlite3DbRealloc(get32(i81 | 0) | 0, get32(i36 | 0) | 0, (i68 | 0) == 0 ? 1020 : i68 * 40 | 0) | 0;
     if (!i13) break;
     i27 = get32(i81 | 0) | 0;
     do if (!i27) i28 = 321; else {
      if ((get32(i27 + 260 | 0) | 0) >>> 0 > i13 >>> 0) {
       i28 = 321;
       break;
      }
      if ((get32(i27 + 264 | 0) | 0) >>> 0 <= i13 >>> 0) {
       i28 = 321;
       break;
      }
      i96 = getU16(i27 + 232 | 0) | 0;
     } while (0);
     if ((i28 | 0) == 321) i96 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i13) | 0;
     set32(i91 | 0, (i96 >>> 0) / 20 | 0 | 0);
     set32(i36 | 0, i13 | 0);
     i94 = get32(i90 | 0) | 0;
     i95 = i13;
     i28 = 323;
    } while (0);
    if ((i28 | 0) == 323) {
     set32(i90 | 0, i94 + 1 | 0);
     set8(i95 + (i73 * 20 | 0) >> 0 | 0, 111 | 0);
     set8(i95 + (i73 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i95 + (i73 * 20 | 0) + 4 | 0, 0 | 0);
     set32(i95 + (i73 * 20 | 0) + 8 | 0, i10 | 0);
     set32(i95 + (i73 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i95 + (i73 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i95 + (i73 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    }
    i68 = get32(i9 | 0) | 0;
    do if (!i68) {
     i27 = get32(i1 | 0) | 0;
     L492 : do if (!i27) {
      if (!(get32(50 * 4 | 0) | 0)) {
       i97 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
       i28 = 362;
       break;
      }
      i72 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
      set32(35 * 4 | 0, 192 | 0);
      if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
      i39 = get32(6 * 4 | 0) | 0;
      do if (i39) {
       i67 = get32(30 * 4 | 0) | 0;
       i26 = ((i67 | 0) < 0) << 31 >> 31;
       i63 = 16;
       i38 = _i64Subtract(get32(i63 | 0) | 0, get32(i63 + 4 | 0) | 0, i72 | 0, ((i72 | 0) < 0) << 31 >> 31 | 0) | 0;
       i63 = tempRet0;
       if ((i26 | 0) < (i63 | 0) | (i26 | 0) == (i63 | 0) & i67 >>> 0 < i38 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i38 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i39 & 15](i38, i67, i26, i72);
        set32(6 * 4 | 0, i39 | 0);
        set32(7 * 4 | 0, i38 | 0);
        break;
       }
      } while (0);
      i39 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i72) | 0;
      if (!i39) {
       i28 = 363;
       break;
      }
      i31 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i39) | 0;
      i38 = (get32(30 * 4 | 0) | 0) + i31 | 0;
      set32(30 * 4 | 0, i38 | 0);
      if ((i38 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i38 | 0);
      i38 = get32(39 * 4 | 0) | 0;
      i31 = i38 + 1 | 0;
      set32(39 * 4 | 0, i31 | 0);
      if ((i38 | 0) < (get32(49 * 4 | 0) | 0)) {
       i98 = i39;
       break;
      }
      set32(49 * 4 | 0, i31 | 0);
      i98 = i39;
     } else {
      i39 = i27 + 30 | 0;
      if (get8(i39 >> 0 | 0) | 0) {
       i28 = 363;
       break;
      }
      do if (get8(i27 + 234 >> 0 | 0) | 0) {
       if ((getU16(i27 + 232 | 0) | 0) < 192) {
        i31 = i27 + 248 | 0;
        set32(i31 | 0, (get32(i31 | 0) | 0) + 1 | 0);
        break;
       }
       i31 = i27 + 256 | 0;
       i38 = get32(i31 | 0) | 0;
       if (!i38) {
        i26 = i27 + 252 | 0;
        set32(i26 | 0, (get32(i26 | 0) | 0) + 1 | 0);
        break;
       }
       set32(i31 | 0, get32(i38 | 0) | 0);
       i31 = i27 + 236 | 0;
       i26 = get32(i31 | 0) | 0;
       i67 = i26 + 1 | 0;
       set32(i31 | 0, i67 | 0);
       i31 = i27 + 244 | 0;
       set32(i31 | 0, (get32(i31 | 0) | 0) + 1 | 0);
       i31 = i27 + 240 | 0;
       if ((i26 | 0) >= (get32(i31 | 0) | 0)) set32(i31 | 0, i67 | 0);
       i97 = i38;
       i28 = 362;
       break L492;
      } while (0);
      do if (!(get32(50 * 4 | 0) | 0)) {
       i72 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
       if (i72) {
        i98 = i72;
        break L492;
       }
      } else {
       i72 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
       set32(35 * 4 | 0, 192 | 0);
       if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
       i38 = get32(6 * 4 | 0) | 0;
       do if (i38) {
        i67 = get32(30 * 4 | 0) | 0;
        i31 = ((i67 | 0) < 0) << 31 >> 31;
        i26 = 16;
        i63 = _i64Subtract(get32(i26 | 0) | 0, get32(i26 + 4 | 0) | 0, i72 | 0, ((i72 | 0) < 0) << 31 >> 31 | 0) | 0;
        i26 = tempRet0;
        if ((i31 | 0) < (i26 | 0) | (i31 | 0) == (i26 | 0) & i67 >>> 0 < i63 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i63 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i38 & 15](i63, i67, i31, i72);
         set32(6 * 4 | 0, i38 | 0);
         set32(7 * 4 | 0, i63 | 0);
         break;
        }
       } while (0);
       i38 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i72) | 0;
       if (!i38) break;
       i18 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i38) | 0;
       i63 = (get32(30 * 4 | 0) | 0) + i18 | 0;
       set32(30 * 4 | 0, i63 | 0);
       if ((i63 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i63 | 0);
       i63 = get32(39 * 4 | 0) | 0;
       i18 = i63 + 1 | 0;
       set32(39 * 4 | 0, i18 | 0);
       if ((i63 | 0) < (get32(49 * 4 | 0) | 0)) {
        i98 = i38;
        break L492;
       }
       set32(49 * 4 | 0, i18 | 0);
       i98 = i38;
       break L492;
      } while (0);
      set8(i39 >> 0 | 0, 1 | 0);
      i28 = 363;
     } while (0);
     if ((i28 | 0) == 362) if (!i97) i28 = 363; else i98 = i97;
     if ((i28 | 0) == 363) {
      set32(i9 | 0, 0 | 0);
      i99 = 0;
      break;
     }
     _memset(i98 | 0, 0, 192) | 0;
     set32(i98 | 0, i27 | 0);
     i13 = i27 + 136 | 0;
     i36 = get32(i13 | 0) | 0;
     if (i36) set32(i36 + 60 | 0, i98 | 0);
     set32(i98 + 64 | 0, i36 | 0);
     set32(i98 + 60 | 0, 0 | 0);
     set32(i13 | 0, i98 | 0);
     set32(i98 + 52 | 0, 649915045 | 0);
     set32(i9 | 0, i98 | 0);
     i13 = i98 + 28 | 0;
     i36 = i98 + 32 | 0;
     i38 = i98 + 4 | 0;
     i18 = _sqlite3DbRealloc(i27, 0, 1020) | 0;
     if (!i18) {
      i99 = i98;
      break;
     }
     i63 = get32(i98 | 0) | 0;
     do if (!i63) i28 = 371; else {
      if ((get32(i63 + 260 | 0) | 0) >>> 0 > i18 >>> 0) {
       i28 = 371;
       break;
      }
      if ((get32(i63 + 264 | 0) | 0) >>> 0 <= i18 >>> 0) {
       i28 = 371;
       break;
      }
      i100 = getU16(i63 + 232 | 0) | 0;
     } while (0);
     if ((i28 | 0) == 371) i100 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i18) | 0;
     set32(i36 | 0, (i100 >>> 0) / 20 | 0 | 0);
     set32(i38 | 0, i18 | 0);
     set32(i13 | 0, (get32(i13 | 0) | 0) + 1 | 0);
     set8(i18 >> 0 | 0, -120 | 0);
     set8(i18 + 1 >> 0 | 0, 0 | 0);
     i54 = i18 + 3 | 0;
     i55 = i54 + 17 | 0;
     do {
      set8(i54 >> 0 | 0, 0 | 0);
      i54 = i54 + 1 | 0;
     } while ((i54 | 0) < (i55 | 0));
     i99 = i98;
    } else i99 = i68; while (0);
    i68 = get32(i1 + 424 | 0) | 0;
    set8(((i68 | 0) == 0 ? i1 : i68) + 345 >> 0 | 0, 1 | 0);
    i68 = i99 + 28 | 0;
    i73 = get32(i68 | 0) | 0;
    i10 = i99 + 32 | 0;
    i18 = get32(i10 | 0) | 0;
    do if ((i18 | 0) > (i73 | 0)) {
     i13 = i99 + 4 | 0;
     i101 = i13;
     i102 = i99;
     i103 = i73;
     i104 = get32(i13 | 0) | 0;
     i28 = 382;
    } else {
     i13 = i99 + 4 | 0;
     i38 = _sqlite3DbRealloc(get32(i99 | 0) | 0, get32(i13 | 0) | 0, (i18 | 0) == 0 ? 1020 : i18 * 40 | 0) | 0;
     if (!i38) {
      i105 = 1;
      i106 = i99;
      i107 = i13;
      break;
     }
     i36 = get32(i99 | 0) | 0;
     do if (!i36) i28 = 380; else {
      if ((get32(i36 + 260 | 0) | 0) >>> 0 > i38 >>> 0) {
       i28 = 380;
       break;
      }
      if ((get32(i36 + 264 | 0) | 0) >>> 0 <= i38 >>> 0) {
       i28 = 380;
       break;
      }
      i108 = getU16(i36 + 232 | 0) | 0;
     } while (0);
     if ((i28 | 0) == 380) i108 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i38) | 0;
     set32(i10 | 0, (i108 >>> 0) / 20 | 0 | 0);
     set32(i13 | 0, i38 | 0);
     i101 = i13;
     i102 = i99;
     i103 = get32(i68 | 0) | 0;
     i104 = i38;
     i28 = 382;
    } while (0);
    if ((i28 | 0) == 382) {
     set32(i68 | 0, i103 + 1 | 0);
     set8(i104 + (i73 * 20 | 0) >> 0 | 0, 6 | 0);
     set8(i104 + (i73 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i104 + (i73 * 20 | 0) + 4 | 0, 19 | 0);
     set32(i104 + (i73 * 20 | 0) + 8 | 0, 2 | 0);
     set32(i104 + (i73 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i104 + (i73 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i104 + (i73 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i105 = i73;
     i106 = i102;
     i107 = i101;
    }
    i10 = get32(i106 | 0) | 0;
    i18 = get32(i107 | 0) | 0;
    do if (i18) {
     if (get8(i10 + 30 >> 0 | 0) | 0) break;
     if ((i105 | 0) < 0) i109 = (get32(i68 | 0) | 0) + -1 | 0; else i109 = i105;
     i36 = i18 + (i109 * 20 | 0) + 1 | 0;
     i63 = i18 + (i109 * 20 | 0) + 16 | 0;
     _freeP4(i10, get8(i36 >> 0 | 0) | 0, get32(i63 | 0) | 0);
     set32(i63 | 0, 19759 | 0);
     set8(i36 >> 0 | 0, -2 | 0);
    } while (0);
    if (!i92) break;
    i10 = get32(i81 + 44 | 0) | 0;
    if (!i10) break;
    set32(i10 + (~i92 << 2) | 0, get32(i90 | 0) | 0);
   } while (0);
   i75 = get32((get32((get32(i1 | 0) | 0) + 8 | 0) | 0) + 28 | 0) | 0;
   do if (!(get8(i1 + 442 >> 0 | 0) | 0)) {
    i10 = get32(i47 | 0) | 0;
    do if ((i10 | 0) != (i75 | 0)) {
     i18 = get32(i75 + 48 | 0) | 0;
     if (!i18) {
      i28 = 405;
      break;
     }
     i68 = i29 + 64 | 0;
     i73 = i18;
     i18 = 0;
     while (1) {
      i36 = get32(i73 + 8 | 0) | 0;
      do if ((get32(i36 + 24 | 0) | 0) == (i10 | 0)) {
       i63 = get32(i36 + 4 | 0) | 0;
       i27 = get32(i29 | 0) | 0;
       i31 = get8(i63 >> 0 | 0) | 0;
       L593 : do if (!(i31 << 24 >> 24)) {
        i110 = 0;
        i111 = i27;
       } else {
        i67 = i31;
        i26 = i63;
        i69 = i27;
        while (1) {
         if ((get8(16286 + (i67 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i69 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
          i110 = i67;
          i111 = i69;
          break L593;
         }
         i26 = i26 + 1 | 0;
         i12 = i69 + 1 | 0;
         i67 = get8(i26 >> 0 | 0) | 0;
         if (!(i67 << 24 >> 24)) {
          i110 = 0;
          i111 = i12;
          break;
         } else i69 = i12;
        }
       } while (0);
       if ((get8(16286 + (i110 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i111 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
        i112 = i18;
        break;
       }
       if (!i18) i113 = get32(i68 | 0) | 0; else i113 = i18;
       set32(i36 + 32 | 0, i113 | 0);
       i112 = i36;
      } else i112 = i18; while (0);
      i73 = get32(i73 | 0) | 0;
      if (!i73) {
       i114 = i112;
       break;
      } else i18 = i112;
     }
     if (i114) i115 = i114; else i28 = 405;
    } else i28 = 405; while (0);
    if ((i28 | 0) == 405) {
     i10 = get32(i29 + 64 | 0) | 0;
     if (!i10) break; else i115 = i10;
    }
    do {
     _sqlite3DropTriggerPtr(i1, i115);
     i115 = get32(i115 + 32 | 0) | 0;
    } while ((i115 | 0) != 0);
   } while (0);
   i75 = i70 + (i60 << 4) | 0;
   if (get8(i46 >> 0 | 0) & 8) {
    i10 = get32(i29 | 0) | 0;
    set32(i8 | 0, get32(i75 | 0) | 0);
    set32(i8 + 4 | 0, i10 | 0);
    _sqlite3NestedParse(i1, 31667, i8);
   }
   i10 = get32(i29 | 0) | 0;
   set32(i7 | 0, get32(i75 | 0) | 0);
   set32(i7 + 4 | 0, i4 | 0);
   set32(i7 + 8 | 0, i10 | 0);
   _sqlite3NestedParse(i1, 31712, i7);
   i10 = get32(i20 | 0) | 0;
   i18 = get32(i10 + (i60 << 4) | 0) | 0;
   i73 = get32(i22 + 4 | 0) | 0;
   do if ((i73 | 0) > 0) {
    i68 = (i18 | 0) == 0;
    i38 = 0;
    i13 = 0;
    while (1) {
     i36 = (i38 | 0) < 2 ^ i38;
     if (!i68) {
      i39 = get32(i10 + (i36 << 4) | 0) | 0;
      i27 = get8(i18 >> 0 | 0) | 0;
      L618 : do if (!(i27 << 24 >> 24)) {
       i116 = 0;
       i117 = i39;
      } else {
       i63 = i27;
       i31 = i18;
       i72 = i39;
       while (1) {
        if ((get8(16286 + (i63 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i72 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
         i116 = i63;
         i117 = i72;
         break L618;
        }
        i31 = i31 + 1 | 0;
        i69 = i72 + 1 | 0;
        i63 = get8(i31 >> 0 | 0) | 0;
        if (!(i63 << 24 >> 24)) {
         i116 = 0;
         i117 = i69;
         break;
        } else i72 = i69;
       }
      } while (0);
      if ((get8(16286 + (i116 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i117 >> 0 | 0) | 0) >> 0 | 0) | 0)) i118 = i13; else i28 = 416;
     } else i28 = 416;
     if ((i28 | 0) == 416) {
      i28 = 0;
      i39 = _sqlite3HashFind((get32(i10 + (i36 << 4) + 12 | 0) | 0) + 8 | 0, 21982, 12) | 0;
      if (!i39) i118 = i39; else {
       i119 = i39;
       break;
      }
     }
     i38 = i38 + 1 | 0;
     if ((i38 | 0) >= (i73 | 0)) {
      i119 = i118;
      break;
     } else i13 = i118;
    }
    if (!i119) break;
    i13 = get32(i29 | 0) | 0;
    set32(i6 | 0, get32(i75 | 0) | 0);
    set32(i6 + 4 | 0, i13 | 0);
    _sqlite3NestedParse(i1, 31768, i6);
   } while (0);
   L629 : do if (!i16) {
    if (get8(i46 >> 0 | 0) & 16) break;
    i75 = get32(i29 + 20 | 0) | 0;
    i73 = i29 + 16 | 0;
    i10 = 0;
    while (1) {
     i18 = (i10 | 0) == 0;
     i70 = i18 | (i75 | 0) < (i10 | 0) ? i75 : 0;
     i13 = get32(i73 | 0) | 0;
     if (!i13) i120 = i70; else {
      i38 = i70;
      i70 = i13;
      while (1) {
       i13 = get32(i70 + 20 | 0) | 0;
       i68 = (i13 | 0) > (i38 | 0) & (i18 | (i13 | 0) < (i10 | 0)) ? i13 : i38;
       i70 = get32(i70 + 32 | 0) | 0;
       if (!i70) {
        i120 = i68;
        break;
       } else i38 = i68;
      }
     }
     if (!i120) break L629;
     i38 = get32(i1 | 0) | 0;
     i70 = get32(i47 | 0) | 0;
     L639 : do if (!i70) i121 = -1e6; else {
      i18 = get32(i38 + 4 | 0) | 0;
      if ((i18 | 0) <= 0) {
       i121 = 0;
       break;
      }
      i36 = get32(i38 + 8 | 0) | 0;
      i68 = 0;
      while (1) {
       if ((get32(i36 + (i68 << 4) + 12 | 0) | 0) == (i70 | 0)) {
        i121 = i68;
        break L639;
       }
       i13 = i68 + 1 | 0;
       if ((i13 | 0) < (i18 | 0)) i68 = i13; else {
        i121 = i13;
        break;
       }
      }
     } while (0);
     _destroyRootPage(i1, i120, i121);
     i10 = i120;
    }
   } while (0);
   if (!(get8(i46 >> 0 | 0) & 16)) {
    i122 = i74 + 28 | 0;
    i123 = i74 + 32 | 0;
   } else {
    i10 = get32(i29 | 0) | 0;
    i73 = i74 + 28 | 0;
    i75 = get32(i73 | 0) | 0;
    i70 = i74 + 32 | 0;
    i38 = get32(i70 | 0) | 0;
    do if ((i38 | 0) > (i75 | 0)) {
     i124 = i75;
     i125 = get32(i74 + 4 | 0) | 0;
     i28 = 443;
    } else {
     i68 = i74 + 4 | 0;
     i18 = _sqlite3DbRealloc(get32(i74 | 0) | 0, get32(i68 | 0) | 0, (i38 | 0) == 0 ? 1020 : i38 * 40 | 0) | 0;
     if (!i18) {
      i126 = 1;
      break;
     }
     i36 = get32(i74 | 0) | 0;
     do if (!i36) i28 = 441; else {
      if ((get32(i36 + 260 | 0) | 0) >>> 0 > i18 >>> 0) {
       i28 = 441;
       break;
      }
      if ((get32(i36 + 264 | 0) | 0) >>> 0 <= i18 >>> 0) {
       i28 = 441;
       break;
      }
      i127 = getU16(i36 + 232 | 0) | 0;
     } while (0);
     if ((i28 | 0) == 441) i127 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i18) | 0;
     set32(i70 | 0, (i127 >>> 0) / 20 | 0 | 0);
     set32(i68 | 0, i18 | 0);
     i124 = get32(i73 | 0) | 0;
     i125 = i18;
     i28 = 443;
    } while (0);
    if ((i28 | 0) == 443) {
     set32(i73 | 0, i124 + 1 | 0);
     set8(i125 + (i75 * 20 | 0) >> 0 | 0, 126 | 0);
     set8(i125 + (i75 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i125 + (i75 * 20 | 0) + 4 | 0, i60 | 0);
     set32(i125 + (i75 * 20 | 0) + 8 | 0, 0 | 0);
     set32(i125 + (i75 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i125 + (i75 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i125 + (i75 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i126 = i75;
    }
    _sqlite3VdbeChangeP4(i74, i126, i10, 0);
    i122 = i73;
    i123 = i70;
   }
   i38 = get32(i29 | 0) | 0;
   i36 = get32(i122 | 0) | 0;
   i13 = get32(i123 | 0) | 0;
   do if ((i13 | 0) > (i36 | 0)) {
    i128 = i36;
    i129 = get32(i74 + 4 | 0) | 0;
    i28 = 454;
   } else {
    i39 = i74 + 4 | 0;
    i27 = _sqlite3DbRealloc(get32(i74 | 0) | 0, get32(i39 | 0) | 0, (i13 | 0) == 0 ? 1020 : i13 * 40 | 0) | 0;
    if (!i27) {
     i130 = 1;
     break;
    }
    i72 = get32(i74 | 0) | 0;
    do if (!i72) i28 = 452; else {
     if ((get32(i72 + 260 | 0) | 0) >>> 0 > i27 >>> 0) {
      i28 = 452;
      break;
     }
     if ((get32(i72 + 264 | 0) | 0) >>> 0 <= i27 >>> 0) {
      i28 = 452;
      break;
     }
     i131 = getU16(i72 + 232 | 0) | 0;
    } while (0);
    if ((i28 | 0) == 452) i131 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i27) | 0;
    set32(i123 | 0, (i131 >>> 0) / 20 | 0 | 0);
    set32(i39 | 0, i27 | 0);
    i128 = get32(i122 | 0) | 0;
    i129 = i27;
    i28 = 454;
   } while (0);
   if ((i28 | 0) == 454) {
    set32(i122 | 0, i128 + 1 | 0);
    set8(i129 + (i36 * 20 | 0) >> 0 | 0, 101 | 0);
    set8(i129 + (i36 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i129 + (i36 * 20 | 0) + 4 | 0, i60 | 0);
    set32(i129 + (i36 * 20 | 0) + 8 | 0, 0 | 0);
    set32(i129 + (i36 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i129 + (i36 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i129 + (i36 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i130 = i36;
   }
   _sqlite3VdbeChangeP4(i74, i130, i38, 0);
   i13 = i1 + 21 | 0;
   i70 = get8(i13 >> 0 | 0) | 0;
   if (!(i70 << 24 >> 24)) {
    i73 = i1 + 72 | 0;
    i10 = (get32(i73 | 0) | 0) + 1 | 0;
    set32(i73 | 0, i10 | 0);
    i132 = i10;
   } else {
    i10 = i70 + -1 << 24 >> 24;
    set8(i13 >> 0 | 0, i10 | 0);
    i132 = get32(i1 + 24 + ((i10 & 255) << 2) | 0) | 0;
   }
   i10 = get32(i9 | 0) | 0;
   i70 = (get32(get32((get32((get32(i1 | 0) | 0) + 8 | 0) | 0) + (i60 << 4) + 12 | 0) | 0) | 0) + 1 | 0;
   i73 = i10 + 28 | 0;
   i75 = get32(i73 | 0) | 0;
   i72 = i10 + 32 | 0;
   i18 = get32(i72 | 0) | 0;
   do if ((i18 | 0) > (i75 | 0)) {
    i133 = i75;
    i134 = get32(i10 + 4 | 0) | 0;
    i135 = i18;
    i28 = 468;
   } else {
    i68 = i10 + 4 | 0;
    i63 = _sqlite3DbRealloc(get32(i10 | 0) | 0, get32(i68 | 0) | 0, (i18 | 0) == 0 ? 1020 : i18 * 40 | 0) | 0;
    if (!i63) {
     i136 = get32(i72 | 0) | 0;
     i137 = get32(i73 | 0) | 0;
     break;
    }
    i31 = get32(i10 | 0) | 0;
    do if (!i31) i28 = 466; else {
     if ((get32(i31 + 260 | 0) | 0) >>> 0 > i63 >>> 0) {
      i28 = 466;
      break;
     }
     if ((get32(i31 + 264 | 0) | 0) >>> 0 <= i63 >>> 0) {
      i28 = 466;
      break;
     }
     i138 = getU16(i31 + 232 | 0) | 0;
    } while (0);
    if ((i28 | 0) == 466) i138 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i63) | 0;
    i31 = (i138 >>> 0) / 20 | 0;
    set32(i72 | 0, i31 | 0);
    set32(i68 | 0, i63 | 0);
    i133 = get32(i73 | 0) | 0;
    i134 = i63;
    i135 = i31;
    i28 = 468;
   } while (0);
   if ((i28 | 0) == 468) {
    i18 = i133 + 1 | 0;
    set32(i73 | 0, i18 | 0);
    set8(i134 + (i75 * 20 | 0) >> 0 | 0, 7 | 0);
    set8(i134 + (i75 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i134 + (i75 * 20 | 0) + 4 | 0, i70 | 0);
    set32(i134 + (i75 * 20 | 0) + 8 | 0, i132 | 0);
    set32(i134 + (i75 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i134 + (i75 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i134 + (i75 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i136 = i135;
    i137 = i18;
   }
   do if ((i136 | 0) > (i137 | 0)) {
    i139 = i137;
    i140 = get32(i10 + 4 | 0) | 0;
    i28 = 478;
   } else {
    i18 = i10 + 4 | 0;
    i38 = _sqlite3DbRealloc(get32(i10 | 0) | 0, get32(i18 | 0) | 0, (i136 | 0) == 0 ? 1020 : i136 * 40 | 0) | 0;
    if (!i38) break;
    i36 = get32(i10 | 0) | 0;
    do if (!i36) i28 = 476; else {
     if ((get32(i36 + 260 | 0) | 0) >>> 0 > i38 >>> 0) {
      i28 = 476;
      break;
     }
     if ((get32(i36 + 264 | 0) | 0) >>> 0 <= i38 >>> 0) {
      i28 = 476;
      break;
     }
     i141 = getU16(i36 + 232 | 0) | 0;
    } while (0);
    if ((i28 | 0) == 476) i141 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i38) | 0;
    set32(i72 | 0, (i141 >>> 0) / 20 | 0 | 0);
    set32(i18 | 0, i38 | 0);
    i139 = get32(i73 | 0) | 0;
    i140 = i38;
    i28 = 478;
   } while (0);
   if ((i28 | 0) == 478) {
    set32(i73 | 0, i139 + 1 | 0);
    set8(i140 + (i137 * 20 | 0) >> 0 | 0, 36 | 0);
    set8(i140 + (i137 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i140 + (i137 * 20 | 0) + 4 | 0, i60 | 0);
    set32(i140 + (i137 * 20 | 0) + 8 | 0, 1 | 0);
    set32(i140 + (i137 * 20 | 0) + 12 | 0, i132 | 0);
    set32(i140 + (i137 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i140 + (i137 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   }
   if (!i132) break;
   i72 = get8(i13 >> 0 | 0) | 0;
   if ((i72 & 255) >= 8) break;
   do if ((get32(i1 + 112 | 0) | 0) == (i132 | 0)) i142 = i1 + 96 | 0; else {
    if ((get32(i1 + 136 | 0) | 0) == (i132 | 0)) {
     i142 = i1 + 120 | 0;
     break;
    }
    if ((get32(i1 + 160 | 0) | 0) == (i132 | 0)) {
     i142 = i1 + 144 | 0;
     break;
    }
    if ((get32(i1 + 184 | 0) | 0) == (i132 | 0)) {
     i142 = i1 + 168 | 0;
     break;
    }
    if ((get32(i1 + 208 | 0) | 0) == (i132 | 0)) {
     i142 = i1 + 192 | 0;
     break;
    }
    if ((get32(i1 + 232 | 0) | 0) == (i132 | 0)) {
     i142 = i1 + 216 | 0;
     break;
    }
    if ((get32(i1 + 256 | 0) | 0) == (i132 | 0)) {
     i142 = i1 + 240 | 0;
     break;
    }
    if ((get32(i1 + 280 | 0) | 0) == (i132 | 0)) {
     i142 = i1 + 264 | 0;
     break;
    }
    if ((get32(i1 + 304 | 0) | 0) == (i132 | 0)) {
     i142 = i1 + 288 | 0;
     break;
    }
    if ((get32(i1 + 328 | 0) | 0) == (i132 | 0)) {
     i142 = i1 + 312 | 0;
     break;
    }
    set8(i13 >> 0 | 0, i72 + 1 << 24 >> 24 | 0);
    set32(i1 + 24 + ((i72 & 255) << 2) | 0, i132 | 0);
    break L344;
   } while (0);
   set8(i142 + 8 >> 0 | 0, 1 | 0);
  } while (0);
  i142 = get32((get32(i20 | 0) | 0) + (i60 << 4) + 12 | 0) | 0;
  i132 = get16(i142 + 78 | 0) | 0;
  if (!(i132 & 2)) {
   _sqlite3SrcListDelete(i22, i2);
   STACKTOP = i5;
   return;
  }
  i137 = get32(i142 + 16 | 0) | 0;
  if (!i137) {
   i143 = i142;
   i144 = i132;
  } else {
   i132 = i137;
   do {
    i137 = get32(i132 + 8 | 0) | 0;
    if (get32(i137 + 28 | 0) | 0) {
     _sqliteDeleteColumnNames(i22, i137);
     set32(i137 + 12 | 0, 0 | 0);
     set32(i137 + 8 | 0, 0 | 0);
    }
    i132 = get32(i132 | 0) | 0;
   } while ((i132 | 0) != 0);
   i132 = get32((get32(i20 | 0) | 0) + (i60 << 4) + 12 | 0) | 0;
   i143 = i132;
   i144 = get16(i132 + 78 | 0) | 0;
  }
  set16(i143 + 78 | 0, i144 & 65533 | 0);
  _sqlite3SrcListDelete(i22, i2);
  STACKTOP = i5;
  return;
 }
 set32(i11 | 0, i66 | 0);
 _sqlite3ErrorMsg(i1, 31573, i11);
 _sqlite3SrcListDelete(i22, i2);
 STACKTOP = i5;
 return;
}

function _sqlite3FindInIndex(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0, i80 = 0, i81 = 0, i82 = 0, i83 = 0, i84 = 0, i85 = 0, i86 = 0, i87 = 0, i88 = 0, i89 = 0, i90 = 0, i91 = 0, i92 = 0, i93 = 0, i94 = 0, i95 = 0, i96 = 0, i97 = 0, i98 = 0, i99 = 0, i100 = 0, i101 = 0, i102 = 0, i103 = 0, i104 = 0, i105 = 0, i106 = 0, i107 = 0, i108 = 0, i109 = 0, i110 = 0, i111 = 0, i112 = 0, i113 = 0, i114 = 0, i115 = 0, i116 = 0, i117 = 0, i118 = 0, i119 = 0, i120 = 0, i121 = 0, i122 = 0, i123 = 0, i124 = 0, i125 = 0, i126 = 0, i127 = 0, i128 = 0, i129 = 0, i130 = 0, i131 = 0, i132 = 0, i133 = 0, i134 = 0, i135 = 0, i136 = 0, i137 = 0, i138 = 0, i139 = 0, i140 = 0, i141 = 0, i142 = 0, i143 = 0, i144 = 0, i145 = 0, i146 = 0, i147 = 0, i148 = 0, i149 = 0, d150 = 0.0, i151 = 0, i152 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i5 = i4 + 8 | 0;
 i6 = i4;
 i7 = i4 + 12 | 0;
 i8 = i1 + 68 | 0;
 i9 = get32(i8 | 0) | 0;
 set32(i8 | 0, i9 + 1 | 0);
 i8 = (i3 | 0) == 0;
 i10 = i2 + 2 | 0;
 L1 : do if ((((((((((((get16(i10 | 0) & 2048) != 0 ? (i11 = get32(i2 + 16 | 0) | 0, i12 = i1 + 64 | 0, !((i11 | 0) == 0 | (get32(i12 | 0) | 0) != 0)) : 0) ? (get32(i11 + 28 | 0) | 0) == 0 : 0) ? (get16(i11 + 6 | 0) & 5) == 0 : 0) ? (get32(i11 + 40 | 0) | 0) == 0 : 0) ? (get32(i11 + 12 | 0) | 0) == 0 : 0) ? (i13 = i11 + 8 | 0, i14 = get32(i13 | 0) | 0, (get16(i14 | 0) | 0) == 1) : 0) ? (get32(i14 + 24 | 0) | 0) == 0 : 0) ? (i15 = get32(i14 + 20 | 0) | 0, (i15 | 0) != 0) : 0) ? (get8(i15 + 34 >> 0 | 0) & 16) == 0 : 0) ? (i15 = get32(i11 | 0) | 0, (get32(i15 | 0) | 0) == 1) : 0) ? (i11 = get32(get32(i15 + 12 | 0) | 0) | 0, (get8(i11 >> 0 | 0) | 0) == -104) : 0) {
  i15 = get32(i1 | 0) | 0;
  i14 = get16(i11 + 28 | 0) | 0;
  i16 = i14 << 16 >> 16;
  i17 = i1 + 12 | 0;
  i18 = get32(i17 | 0) | 0;
  do if (!i18) {
   L16 : do if (i15) {
    i19 = i15 + 30 | 0;
    if (!(get8(i19 >> 0 | 0) | 0)) {
     do if (get8(i15 + 234 >> 0 | 0) | 0) {
      if ((getU16(i15 + 232 | 0) | 0) < 192) {
       i20 = i15 + 248 | 0;
       set32(i20 | 0, (get32(i20 | 0) | 0) + 1 | 0);
       break;
      }
      i20 = i15 + 256 | 0;
      i21 = get32(i20 | 0) | 0;
      if (!i21) {
       i22 = i15 + 252 | 0;
       set32(i22 | 0, (get32(i22 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i20 | 0, get32(i21 | 0) | 0);
      i20 = i15 + 236 | 0;
      i22 = get32(i20 | 0) | 0;
      i23 = i22 + 1 | 0;
      set32(i20 | 0, i23 | 0);
      i20 = i15 + 244 | 0;
      set32(i20 | 0, (get32(i20 | 0) | 0) + 1 | 0);
      i20 = i15 + 240 | 0;
      if ((i22 | 0) >= (get32(i20 | 0) | 0)) set32(i20 | 0, i23 | 0);
      i24 = i21;
      i25 = 51;
      break L16;
     } while (0);
     do if (!(get32(50 * 4 | 0) | 0)) {
      i21 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
      if (i21) {
       i26 = i21;
       break L16;
      }
     } else {
      i21 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
      set32(35 * 4 | 0, 192 | 0);
      if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
      i23 = get32(6 * 4 | 0) | 0;
      do if (i23) {
       i20 = get32(30 * 4 | 0) | 0;
       i22 = ((i20 | 0) < 0) << 31 >> 31;
       i27 = 16;
       i28 = _i64Subtract(get32(i27 | 0) | 0, get32(i27 + 4 | 0) | 0, i21 | 0, ((i21 | 0) < 0) << 31 >> 31 | 0) | 0;
       i27 = tempRet0;
       if ((i22 | 0) < (i27 | 0) | (i22 | 0) == (i27 | 0) & i20 >>> 0 < i28 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i28 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i23 & 15](i28, i20, i22, i21);
        set32(6 * 4 | 0, i23 | 0);
        set32(7 * 4 | 0, i28 | 0);
        break;
       }
      } while (0);
      i23 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i21) | 0;
      if (!i23) break;
      i28 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i23) | 0;
      i22 = (get32(30 * 4 | 0) | 0) + i28 | 0;
      set32(30 * 4 | 0, i22 | 0);
      if ((i22 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i22 | 0);
      i22 = get32(39 * 4 | 0) | 0;
      i28 = i22 + 1 | 0;
      set32(39 * 4 | 0, i28 | 0);
      if ((i22 | 0) < (get32(49 * 4 | 0) | 0)) {
       i26 = i23;
       break L16;
      }
      set32(49 * 4 | 0, i28 | 0);
      i26 = i23;
      break L16;
     } while (0);
     set8(i19 >> 0 | 0, 1 | 0);
     i25 = 52;
    } else i25 = 52;
   } else {
    if (!(get32(50 * 4 | 0) | 0)) {
     i24 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
     i25 = 51;
     break;
    }
    i23 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
    set32(35 * 4 | 0, 192 | 0);
    if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
    i28 = get32(6 * 4 | 0) | 0;
    do if (i28) {
     i22 = get32(30 * 4 | 0) | 0;
     i20 = ((i22 | 0) < 0) << 31 >> 31;
     i27 = 16;
     i29 = _i64Subtract(get32(i27 | 0) | 0, get32(i27 + 4 | 0) | 0, i23 | 0, ((i23 | 0) < 0) << 31 >> 31 | 0) | 0;
     i27 = tempRet0;
     if ((i20 | 0) < (i27 | 0) | (i20 | 0) == (i27 | 0) & i22 >>> 0 < i29 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i29 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i28 & 15](i29, i22, i20, i23);
      set32(6 * 4 | 0, i28 | 0);
      set32(7 * 4 | 0, i29 | 0);
      break;
     }
    } while (0);
    i28 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i23) | 0;
    if (!i28) {
     i25 = 52;
     break;
    }
    i19 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i28) | 0;
    i29 = (get32(30 * 4 | 0) | 0) + i19 | 0;
    set32(30 * 4 | 0, i29 | 0);
    if ((i29 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i29 | 0);
    i29 = get32(39 * 4 | 0) | 0;
    i19 = i29 + 1 | 0;
    set32(39 * 4 | 0, i19 | 0);
    if ((i29 | 0) < (get32(49 * 4 | 0) | 0)) {
     i26 = i28;
     break;
    }
    set32(49 * 4 | 0, i19 | 0);
    i26 = i28;
   } while (0);
   if ((i25 | 0) == 51) if (!i24) i25 = 52; else i26 = i24;
   if ((i25 | 0) == 52) {
    set32(i17 | 0, 0 | 0);
    i30 = 0;
    break;
   }
   _memset(i26 | 0, 0, 192) | 0;
   set32(i26 | 0, i15 | 0);
   i28 = i15 + 136 | 0;
   i19 = get32(i28 | 0) | 0;
   if (i19) set32(i19 + 60 | 0, i26 | 0);
   set32(i26 + 64 | 0, i19 | 0);
   set32(i26 + 60 | 0, 0 | 0);
   set32(i28 | 0, i26 | 0);
   set32(i26 + 52 | 0, 649915045 | 0);
   set32(i17 | 0, i26 | 0);
   i28 = i26 + 28 | 0;
   i19 = i26 + 32 | 0;
   i29 = i26 + 4 | 0;
   i20 = _sqlite3DbRealloc(i15, 0, 1020) | 0;
   if (!i20) i30 = i26; else {
    i22 = get32(i26 | 0) | 0;
    do if (!i22) i25 = 60; else {
     if ((get32(i22 + 260 | 0) | 0) >>> 0 > i20 >>> 0) {
      i25 = 60;
      break;
     }
     if ((get32(i22 + 264 | 0) | 0) >>> 0 <= i20 >>> 0) {
      i25 = 60;
      break;
     }
     i31 = getU16(i22 + 232 | 0) | 0;
    } while (0);
    if ((i25 | 0) == 60) i31 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i20) | 0;
    set32(i19 | 0, (i31 >>> 0) / 20 | 0 | 0);
    set32(i29 | 0, i20 | 0);
    set32(i28 | 0, (get32(i28 | 0) | 0) + 1 | 0);
    set8(i20 >> 0 | 0, -120 | 0);
    set8(i20 + 1 >> 0 | 0, 0 | 0);
    i32 = i20 + 3 | 0;
    i33 = i32 + 17 | 0;
    do {
     set8(i32 >> 0 | 0, 0 | 0);
     i32 = i32 + 1 | 0;
    } while ((i32 | 0) < (i33 | 0));
    i30 = i26;
   }
  } else i30 = i18; while (0);
  i18 = get32((get32(i13 | 0) | 0) + 20 | 0) | 0;
  i20 = get32(i18 + 68 | 0) | 0;
  L84 : do if (i20) {
   i28 = get32(i15 + 4 | 0) | 0;
   if ((i28 | 0) > 0) {
    i29 = get32(i15 + 8 | 0) | 0;
    i19 = 0;
    while (1) {
     if ((get32(i29 + (i19 << 4) + 12 | 0) | 0) == (i20 | 0)) {
      i34 = i19;
      break L84;
     }
     i22 = i19 + 1 | 0;
     if ((i22 | 0) < (i28 | 0)) i19 = i22; else {
      i34 = i22;
      break;
     }
    }
   } else i34 = 0;
  } else i34 = -1e6; while (0);
  i20 = i1 + 424 | 0;
  i13 = get32(i20 | 0) | 0;
  i19 = (i13 | 0) == 0 ? i1 : i13;
  i13 = i19 + 348 | 0;
  L91 : do if (!(get32(i13 | 0) | 0)) {
   i28 = i19 + 12 | 0;
   i29 = get32(i28 | 0) | 0;
   do if (!i29) {
    i22 = get32(i19 | 0) | 0;
    L95 : do if (!i22) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i35 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
      i25 = 106;
      break;
     }
     i27 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
     set32(35 * 4 | 0, 192 | 0);
     if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
     i36 = get32(6 * 4 | 0) | 0;
     do if (i36) {
      i37 = get32(30 * 4 | 0) | 0;
      i38 = ((i37 | 0) < 0) << 31 >> 31;
      i39 = 16;
      i40 = _i64Subtract(get32(i39 | 0) | 0, get32(i39 + 4 | 0) | 0, i27 | 0, ((i27 | 0) < 0) << 31 >> 31 | 0) | 0;
      i39 = tempRet0;
      if ((i38 | 0) < (i39 | 0) | (i38 | 0) == (i39 | 0) & i37 >>> 0 < i40 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i40 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i36 & 15](i40, i37, i38, i27);
       set32(6 * 4 | 0, i36 | 0);
       set32(7 * 4 | 0, i40 | 0);
       break;
      }
     } while (0);
     i36 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i27) | 0;
     if (!i36) {
      i25 = 116;
      break;
     }
     i21 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i36) | 0;
     i40 = (get32(30 * 4 | 0) | 0) + i21 | 0;
     set32(30 * 4 | 0, i40 | 0);
     if ((i40 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i40 | 0);
     i40 = get32(39 * 4 | 0) | 0;
     i21 = i40 + 1 | 0;
     set32(39 * 4 | 0, i21 | 0);
     if ((i40 | 0) < (get32(49 * 4 | 0) | 0)) {
      i41 = i36;
      break;
     }
     set32(49 * 4 | 0, i21 | 0);
     i41 = i36;
    } else {
     i36 = i22 + 30 | 0;
     if (get8(i36 >> 0 | 0) | 0) {
      i25 = 116;
      break;
     }
     do if (get8(i22 + 234 >> 0 | 0) | 0) {
      if ((getU16(i22 + 232 | 0) | 0) < 192) {
       i21 = i22 + 248 | 0;
       set32(i21 | 0, (get32(i21 | 0) | 0) + 1 | 0);
       break;
      }
      i21 = i22 + 256 | 0;
      i40 = get32(i21 | 0) | 0;
      if (!i40) {
       i38 = i22 + 252 | 0;
       set32(i38 | 0, (get32(i38 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i21 | 0, get32(i40 | 0) | 0);
      i21 = i22 + 236 | 0;
      i38 = get32(i21 | 0) | 0;
      i37 = i38 + 1 | 0;
      set32(i21 | 0, i37 | 0);
      i21 = i22 + 244 | 0;
      set32(i21 | 0, (get32(i21 | 0) | 0) + 1 | 0);
      i21 = i22 + 240 | 0;
      if ((i38 | 0) >= (get32(i21 | 0) | 0)) set32(i21 | 0, i37 | 0);
      i35 = i40;
      i25 = 106;
      break L95;
     } while (0);
     do if (!(get32(50 * 4 | 0) | 0)) {
      i27 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
      if (i27) {
       i41 = i27;
       break L95;
      }
     } else {
      i27 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
      set32(35 * 4 | 0, 192 | 0);
      if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
      i40 = get32(6 * 4 | 0) | 0;
      do if (i40) {
       i37 = get32(30 * 4 | 0) | 0;
       i21 = ((i37 | 0) < 0) << 31 >> 31;
       i38 = 16;
       i39 = _i64Subtract(get32(i38 | 0) | 0, get32(i38 + 4 | 0) | 0, i27 | 0, ((i27 | 0) < 0) << 31 >> 31 | 0) | 0;
       i38 = tempRet0;
       if ((i21 | 0) < (i38 | 0) | (i21 | 0) == (i38 | 0) & i37 >>> 0 < i39 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i39 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i40 & 15](i39, i37, i21, i27);
        set32(6 * 4 | 0, i40 | 0);
        set32(7 * 4 | 0, i39 | 0);
        break;
       }
      } while (0);
      i40 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i27) | 0;
      if (!i40) break;
      i39 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i40) | 0;
      i21 = (get32(30 * 4 | 0) | 0) + i39 | 0;
      set32(30 * 4 | 0, i21 | 0);
      if ((i21 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i21 | 0);
      i21 = get32(39 * 4 | 0) | 0;
      i39 = i21 + 1 | 0;
      set32(39 * 4 | 0, i39 | 0);
      if ((i21 | 0) < (get32(49 * 4 | 0) | 0)) {
       i41 = i40;
       break L95;
      }
      set32(49 * 4 | 0, i39 | 0);
      i41 = i40;
      break L95;
     } while (0);
     set8(i36 >> 0 | 0, 1 | 0);
     i25 = 116;
    } while (0);
    if ((i25 | 0) == 106) if (!i35) i25 = 116; else i41 = i35;
    if ((i25 | 0) == 116) {
     set32(i28 | 0, 0 | 0);
     break L91;
    }
    _memset(i41 | 0, 0, 192) | 0;
    set32(i41 | 0, i22 | 0);
    i23 = i22 + 136 | 0;
    i40 = get32(i23 | 0) | 0;
    if (i40) set32(i40 + 60 | 0, i41 | 0);
    set32(i41 + 64 | 0, i40 | 0);
    set32(i41 + 60 | 0, 0 | 0);
    set32(i23 | 0, i41 | 0);
    set32(i41 + 52 | 0, 649915045 | 0);
    set32(i28 | 0, i41 | 0);
    i23 = i41 + 28 | 0;
    i40 = i41 + 32 | 0;
    i39 = i41 + 4 | 0;
    i21 = _sqlite3DbRealloc(i22, 0, 1020) | 0;
    if (!i21) {
     i42 = i41;
     break;
    }
    i37 = get32(i41 | 0) | 0;
    do if (!i37) i25 = 114; else {
     if ((get32(i37 + 260 | 0) | 0) >>> 0 > i21 >>> 0) {
      i25 = 114;
      break;
     }
     if ((get32(i37 + 264 | 0) | 0) >>> 0 <= i21 >>> 0) {
      i25 = 114;
      break;
     }
     i43 = getU16(i37 + 232 | 0) | 0;
    } while (0);
    if ((i25 | 0) == 114) i43 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i21) | 0;
    set32(i40 | 0, (i43 >>> 0) / 20 | 0 | 0);
    set32(i39 | 0, i21 | 0);
    set32(i23 | 0, (get32(i23 | 0) | 0) + 1 | 0);
    set8(i21 >> 0 | 0, -120 | 0);
    set8(i21 + 1 >> 0 | 0, 0 | 0);
    i32 = i21 + 3 | 0;
    i33 = i32 + 17 | 0;
    do {
     set8(i32 >> 0 | 0, 0 | 0);
     i32 = i32 + 1 | 0;
    } while ((i32 | 0) < (i33 | 0));
    i42 = i41;
   } else i42 = i29; while (0);
   i29 = i42 + 28 | 0;
   i28 = get32(i29 | 0) | 0;
   i21 = i42 + 32 | 0;
   i23 = get32(i21 | 0) | 0;
   do if ((i23 | 0) > (i28 | 0)) {
    i44 = i28;
    i45 = get32(i42 + 4 | 0) | 0;
    i25 = 126;
   } else {
    i39 = i42 + 4 | 0;
    i40 = _sqlite3DbRealloc(get32(i42 | 0) | 0, get32(i39 | 0) | 0, (i23 | 0) == 0 ? 1020 : i23 * 40 | 0) | 0;
    if (!i40) {
     i46 = 1;
     break;
    }
    i37 = get32(i42 | 0) | 0;
    do if (!i37) i25 = 124; else {
     if ((get32(i37 + 260 | 0) | 0) >>> 0 > i40 >>> 0) {
      i25 = 124;
      break;
     }
     if ((get32(i37 + 264 | 0) | 0) >>> 0 <= i40 >>> 0) {
      i25 = 124;
      break;
     }
     i47 = getU16(i37 + 232 | 0) | 0;
    } while (0);
    if ((i25 | 0) == 124) i47 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i40) | 0;
    set32(i21 | 0, (i47 >>> 0) / 20 | 0 | 0);
    set32(i39 | 0, i40 | 0);
    i44 = get32(i29 | 0) | 0;
    i45 = i40;
    i25 = 126;
   } while (0);
   if ((i25 | 0) == 126) {
    set32(i29 | 0, i44 + 1 | 0);
    set8(i45 + (i28 * 20 | 0) >> 0 | 0, 1 | 0);
    set8(i45 + (i28 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i32 = i45 + (i28 * 20 | 0) + 3 | 0;
    i33 = i32 + 17 | 0;
    do {
     set8(i32 >> 0 | 0, 0 | 0);
     i32 = i32 + 1 | 0;
    } while ((i32 | 0) < (i33 | 0));
    i46 = i28;
   }
   set32(i13 | 0, i46 + 1 | 0);
   i25 = 128;
  } else i25 = 128; while (0);
  if ((((i25 | 0) == 128 ? (i34 | 0) > -1 : 0) ? (i13 = 1 << i34, i29 = i19 + 340 | 0, i21 = get32(i29 | 0) | 0, (i21 & i13 | 0) == 0) : 0) ? (i23 = get32(i19 | 0) | 0, set32(i29 | 0, i21 | i13 | 0), set32(i19 + 352 + (i34 << 2) | 0, get32(get32((get32(i23 + 8 | 0) | 0) + (i34 << 4) + 12 | 0) | 0) | 0), (i34 | 0) == 1) : 0) {
   i23 = get32(i19 | 0) | 0;
   i13 = i23 + 8 | 0;
   do if (!(get32((get32(i13 | 0) | 0) + 20 | 0) | 0)) {
    if (get8(i19 + 484 >> 0 | 0) | 0) break;
    i21 = _sqlite3BtreeOpen(get32(i23 | 0) | 0, 0, i23, i7, 0, 542) | 0;
    if (i21) {
     _sqlite3ErrorMsg(i19, 19482, i6);
     set32(i19 + 4 | 0, i21 | 0);
     break;
    }
    i21 = get32(i7 | 0) | 0;
    set32((get32(i13 | 0) | 0) + 20 | 0, i21 | 0);
    i29 = get32(i23 + 36 | 0) | 0;
    i37 = get32(i21 + 4 | 0) | 0;
    set32(i37 + 4 | 0, get32(i21 | 0) | 0);
    if (get8(i37 + 17 >> 0 | 0) | 0) break;
    i21 = i37 + 36 | 0;
    i22 = i37 + 40 | 0;
    i38 = (get32(i21 | 0) | 0) - (get32(i22 | 0) | 0) | 0;
    do if ((i29 + -512 | 0) >>> 0 < 65025) {
     if (i29 + -1 & i29) break;
     set32(i21 | 0, i29 | 0);
     i48 = i37 + 88 | 0;
     i49 = get32(i48 | 0) | 0;
     do if (i49) {
      if ((get32(379 * 4 | 0) | 0) >>> 0 <= i49 >>> 0 & (get32(380 * 4 | 0) | 0) >>> 0 > i49 >>> 0) {
       i50 = (get32(31 * 4 | 0) | 0) + -1 | 0;
       set32(31 * 4 | 0, i50 | 0);
       if ((i50 | 0) > (get32(41 * 4 | 0) | 0)) set32(41 * 4 | 0, i50 | 0);
       set32(i49 | 0, get32(383 * 4 | 0) | 0);
       set32(383 * 4 | 0, i49 | 0);
       i50 = (get32(382 * 4 | 0) | 0) + 1 | 0;
       set32(382 * 4 | 0, i50 | 0);
       set32(384 * 4 | 0, (i50 | 0) < (get32(378 * 4 | 0) | 0) & 1 | 0);
       break;
      }
      i50 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i49) | 0;
      i51 = (get32(32 * 4 | 0) | 0) - i50 | 0;
      set32(32 * 4 | 0, i51 | 0);
      if ((i51 | 0) > (get32(42 * 4 | 0) | 0)) set32(42 * 4 | 0, i51 | 0);
      if (!(get32(50 * 4 | 0) | 0)) {
       FUNCTION_TABLE_vi[get32(232 | 0) & 31](i49);
       break;
      }
      i51 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i49) | 0;
      i50 = (get32(30 * 4 | 0) | 0) - i51 | 0;
      set32(30 * 4 | 0, i50 | 0);
      if ((i50 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i50 | 0);
      i50 = (get32(39 * 4 | 0) | 0) + -1 | 0;
      set32(39 * 4 | 0, i50 | 0);
      if ((i50 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i50 | 0);
      FUNCTION_TABLE_vi[get32(232 | 0) & 31](i49);
     } while (0);
     set32(i48 | 0, 0 | 0);
    } while (0);
    i29 = _sqlite3PagerSetPagesize(get32(i37 | 0) | 0, i21, i38) | 0;
    set32(i22 | 0, (get32(i21 | 0) | 0) - (i38 & 65535) | 0);
    if ((i29 | 0) != 7) break;
    set8(i23 + 30 >> 0 | 0, 1 | 0);
   } while (0);
  }
  i23 = i18 + 20 | 0;
  i13 = get32(i23 | 0) | 0;
  i19 = get32(i18 | 0) | 0;
  i29 = get32(i20 | 0) | 0;
  i28 = (i29 | 0) == 0 ? i1 : i29;
  i29 = i28 + 400 | 0;
  i49 = get32(i29 | 0) | 0;
  i40 = i28 + 404 | 0;
  do if ((i49 | 0) > 0) {
   i39 = get32(i40 | 0) | 0;
   i50 = 0;
   while (1) {
    if ((get32(i39 + (i50 << 4) | 0) | 0) == (i34 | 0) ? (get32(i39 + (i50 << 4) + 4 | 0) | 0) == (i13 | 0) : 0) {
     i52 = i50;
     i25 = 161;
     break;
    }
    i50 = i50 + 1 | 0;
    if ((i50 | 0) >= (i49 | 0)) {
     i25 = 163;
     break;
    }
   }
   if ((i25 | 0) == 161) {
    i50 = i39 + (i52 << 4) + 8 | 0;
    set8(i50 >> 0 | 0, (get8(i50 >> 0 | 0) | 0) != 0 & 1 | 0);
    break;
   } else if ((i25 | 0) == 163) {
    i53 = i40;
    i54 = i39;
    i25 = 164;
    break;
   }
  } else {
   i53 = i40;
   i54 = get32(i40 | 0) | 0;
   i25 = 164;
  } while (0);
  do if ((i25 | 0) == 164) {
   i40 = get32(i28 | 0) | 0;
   i50 = _sqlite3DbRealloc(i40, i54, (i49 << 4) + 16 | 0) | 0;
   if (!i50) {
    _sqlite3DbFree(i40, i54);
    set32(i53 | 0, 0 | 0);
    set32(i29 | 0, 0 | 0);
    set8((get32(i28 | 0) | 0) + 30 >> 0 | 0, 1 | 0);
    break;
   } else {
    set32(i53 | 0, i50 | 0);
    i40 = get32(i29 | 0) | 0;
    set32(i29 | 0, i40 + 1 | 0);
    set32(i50 + (i40 << 4) | 0, i34 | 0);
    set32(i50 + (i40 << 4) + 4 | 0, i13 | 0);
    set8(i50 + (i40 << 4) + 8 >> 0 | 0, 0 | 0);
    set32(i50 + (i40 << 4) + 12 | 0, i19 | 0);
    break;
   }
  } while (0);
  do if (i14 << 16 >> 16 < 0) {
   i19 = i1 + 72 | 0;
   i13 = (get32(i19 | 0) | 0) + 1 | 0;
   set32(i19 | 0, i13 | 0);
   i19 = i30 + 28 | 0;
   i29 = get32(i19 | 0) | 0;
   i28 = i30 + 32 | 0;
   i49 = get32(i28 | 0) | 0;
   do if ((i49 | 0) > (i29 | 0)) {
    i55 = i49;
    i56 = i29;
    i57 = get32(i30 + 4 | 0) | 0;
    i25 = 178;
   } else {
    i40 = i30 + 4 | 0;
    i50 = _sqlite3DbRealloc(get32(i30 | 0) | 0, get32(i40 | 0) | 0, (i49 | 0) == 0 ? 1020 : i49 * 40 | 0) | 0;
    if (!i50) {
     i58 = 1;
     i59 = get32(i28 | 0) | 0;
     i60 = get32(i19 | 0) | 0;
     break;
    }
    i38 = get32(i30 | 0) | 0;
    do if (!i38) i25 = 176; else {
     if ((get32(i38 + 260 | 0) | 0) >>> 0 > i50 >>> 0) {
      i25 = 176;
      break;
     }
     if ((get32(i38 + 264 | 0) | 0) >>> 0 <= i50 >>> 0) {
      i25 = 176;
      break;
     }
     i61 = getU16(i38 + 232 | 0) | 0;
    } while (0);
    if ((i25 | 0) == 176) i61 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i50) | 0;
    i38 = (i61 >>> 0) / 20 | 0;
    set32(i28 | 0, i38 | 0);
    set32(i40 | 0, i50 | 0);
    i55 = i38;
    i56 = get32(i19 | 0) | 0;
    i57 = i50;
    i25 = 178;
   } while (0);
   if ((i25 | 0) == 178) {
    i49 = i56 + 1 | 0;
    set32(i19 | 0, i49 | 0);
    set8(i57 + (i29 * 20 | 0) >> 0 | 0, 26 | 0);
    set8(i57 + (i29 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i57 + (i29 * 20 | 0) + 4 | 0, i13 | 0);
    set32(i57 + (i29 * 20 | 0) + 8 | 0, 0 | 0);
    set32(i57 + (i29 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i57 + (i29 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i57 + (i29 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i58 = i29;
    i59 = i55;
    i60 = i49;
   }
   do if ((i59 | 0) > (i60 | 0)) {
    i62 = i60;
    i63 = get32(i30 + 4 | 0) | 0;
    i25 = 188;
   } else {
    i49 = i30 + 4 | 0;
    i39 = _sqlite3DbRealloc(get32(i30 | 0) | 0, get32(i49 | 0) | 0, (i59 | 0) == 0 ? 1020 : i59 * 40 | 0) | 0;
    if (!i39) break;
    i38 = get32(i30 | 0) | 0;
    do if (!i38) i25 = 186; else {
     if ((get32(i38 + 260 | 0) | 0) >>> 0 > i39 >>> 0) {
      i25 = 186;
      break;
     }
     if ((get32(i38 + 264 | 0) | 0) >>> 0 <= i39 >>> 0) {
      i25 = 186;
      break;
     }
     i64 = getU16(i38 + 232 | 0) | 0;
    } while (0);
    if ((i25 | 0) == 186) i64 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i39) | 0;
    set32(i28 | 0, (i64 >>> 0) / 20 | 0 | 0);
    set32(i49 | 0, i39 | 0);
    i62 = get32(i19 | 0) | 0;
    i63 = i39;
    i25 = 188;
   } while (0);
   if ((i25 | 0) == 188) {
    set32(i19 | 0, i62 + 1 | 0);
    set8(i63 + (i60 * 20 | 0) >> 0 | 0, 7 | 0);
    set8(i63 + (i60 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i63 + (i60 * 20 | 0) + 4 | 0, 1 | 0);
    set32(i63 + (i60 * 20 | 0) + 8 | 0, i13 | 0);
    set32(i63 + (i60 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i63 + (i60 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i63 + (i60 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   }
   do if (!(get8(i18 + 34 >> 0 | 0) & 16)) {
    i28 = get32(i17 | 0) | 0;
    do if (!i28) {
     i29 = get32(i1 | 0) | 0;
     L270 : do if (!i29) {
      if (!(get32(50 * 4 | 0) | 0)) {
       i65 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
       i25 = 228;
       break;
      }
      i38 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
      set32(35 * 4 | 0, 192 | 0);
      if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
      i50 = get32(6 * 4 | 0) | 0;
      do if (i50) {
       i40 = get32(30 * 4 | 0) | 0;
       i48 = ((i40 | 0) < 0) << 31 >> 31;
       i21 = 16;
       i22 = _i64Subtract(get32(i21 | 0) | 0, get32(i21 + 4 | 0) | 0, i38 | 0, ((i38 | 0) < 0) << 31 >> 31 | 0) | 0;
       i21 = tempRet0;
       if ((i48 | 0) < (i21 | 0) | (i48 | 0) == (i21 | 0) & i40 >>> 0 < i22 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i22 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i50 & 15](i22, i40, i48, i38);
        set32(6 * 4 | 0, i50 | 0);
        set32(7 * 4 | 0, i22 | 0);
        break;
       }
      } while (0);
      i50 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i38) | 0;
      if (!i50) {
       i25 = 229;
       break;
      }
      i27 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i50) | 0;
      i22 = (get32(30 * 4 | 0) | 0) + i27 | 0;
      set32(30 * 4 | 0, i22 | 0);
      if ((i22 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i22 | 0);
      i22 = get32(39 * 4 | 0) | 0;
      i27 = i22 + 1 | 0;
      set32(39 * 4 | 0, i27 | 0);
      if ((i22 | 0) < (get32(49 * 4 | 0) | 0)) {
       i66 = i50;
       break;
      }
      set32(49 * 4 | 0, i27 | 0);
      i66 = i50;
     } else {
      i50 = i29 + 30 | 0;
      if (get8(i50 >> 0 | 0) | 0) {
       i25 = 229;
       break;
      }
      do if (get8(i29 + 234 >> 0 | 0) | 0) {
       if ((getU16(i29 + 232 | 0) | 0) < 192) {
        i27 = i29 + 248 | 0;
        set32(i27 | 0, (get32(i27 | 0) | 0) + 1 | 0);
        break;
       }
       i27 = i29 + 256 | 0;
       i22 = get32(i27 | 0) | 0;
       if (!i22) {
        i48 = i29 + 252 | 0;
        set32(i48 | 0, (get32(i48 | 0) | 0) + 1 | 0);
        break;
       }
       set32(i27 | 0, get32(i22 | 0) | 0);
       i27 = i29 + 236 | 0;
       i48 = get32(i27 | 0) | 0;
       i40 = i48 + 1 | 0;
       set32(i27 | 0, i40 | 0);
       i27 = i29 + 244 | 0;
       set32(i27 | 0, (get32(i27 | 0) | 0) + 1 | 0);
       i27 = i29 + 240 | 0;
       if ((i48 | 0) >= (get32(i27 | 0) | 0)) set32(i27 | 0, i40 | 0);
       i65 = i22;
       i25 = 228;
       break L270;
      } while (0);
      do if (!(get32(50 * 4 | 0) | 0)) {
       i38 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
       if (i38) {
        i66 = i38;
        break L270;
       }
      } else {
       i38 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
       set32(35 * 4 | 0, 192 | 0);
       if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
       i22 = get32(6 * 4 | 0) | 0;
       do if (i22) {
        i40 = get32(30 * 4 | 0) | 0;
        i27 = ((i40 | 0) < 0) << 31 >> 31;
        i48 = 16;
        i21 = _i64Subtract(get32(i48 | 0) | 0, get32(i48 + 4 | 0) | 0, i38 | 0, ((i38 | 0) < 0) << 31 >> 31 | 0) | 0;
        i48 = tempRet0;
        if ((i27 | 0) < (i48 | 0) | (i27 | 0) == (i48 | 0) & i40 >>> 0 < i21 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i21 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i22 & 15](i21, i40, i27, i38);
         set32(6 * 4 | 0, i22 | 0);
         set32(7 * 4 | 0, i21 | 0);
         break;
        }
       } while (0);
       i22 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i38) | 0;
       if (!i22) break;
       i21 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i22) | 0;
       i27 = (get32(30 * 4 | 0) | 0) + i21 | 0;
       set32(30 * 4 | 0, i27 | 0);
       if ((i27 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i27 | 0);
       i27 = get32(39 * 4 | 0) | 0;
       i21 = i27 + 1 | 0;
       set32(39 * 4 | 0, i21 | 0);
       if ((i27 | 0) < (get32(49 * 4 | 0) | 0)) {
        i66 = i22;
        break L270;
       }
       set32(49 * 4 | 0, i21 | 0);
       i66 = i22;
       break L270;
      } while (0);
      set8(i50 >> 0 | 0, 1 | 0);
      i25 = 229;
     } while (0);
     if ((i25 | 0) == 228) if (!i65) i25 = 229; else i66 = i65;
     if ((i25 | 0) == 229) {
      set32(i17 | 0, 0 | 0);
      i67 = 0;
      break;
     }
     _memset(i66 | 0, 0, 192) | 0;
     set32(i66 | 0, i29 | 0);
     i36 = i29 + 136 | 0;
     i22 = get32(i36 | 0) | 0;
     if (i22) set32(i22 + 60 | 0, i66 | 0);
     set32(i66 + 64 | 0, i22 | 0);
     set32(i66 + 60 | 0, 0 | 0);
     set32(i36 | 0, i66 | 0);
     set32(i66 + 52 | 0, 649915045 | 0);
     set32(i17 | 0, i66 | 0);
     i36 = i66 + 28 | 0;
     i22 = i66 + 32 | 0;
     i21 = i66 + 4 | 0;
     i27 = _sqlite3DbRealloc(i29, 0, 1020) | 0;
     if (!i27) {
      i67 = i66;
      break;
     }
     i40 = get32(i66 | 0) | 0;
     do if (!i40) i25 = 237; else {
      if ((get32(i40 + 260 | 0) | 0) >>> 0 > i27 >>> 0) {
       i25 = 237;
       break;
      }
      if ((get32(i40 + 264 | 0) | 0) >>> 0 <= i27 >>> 0) {
       i25 = 237;
       break;
      }
      i68 = getU16(i40 + 232 | 0) | 0;
     } while (0);
     if ((i25 | 0) == 237) i68 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i27) | 0;
     set32(i22 | 0, (i68 >>> 0) / 20 | 0 | 0);
     set32(i21 | 0, i27 | 0);
     set32(i36 | 0, (get32(i36 | 0) | 0) + 1 | 0);
     set8(i27 >> 0 | 0, -120 | 0);
     set8(i27 + 1 >> 0 | 0, 0 | 0);
     i32 = i27 + 3 | 0;
     i33 = i32 + 17 | 0;
     do {
      set8(i32 >> 0 | 0, 0 | 0);
      i32 = i32 + 1 | 0;
     } while ((i32 | 0) < (i33 | 0));
     i67 = i66;
    } else i67 = i28; while (0);
    i28 = get32(i23 | 0) | 0;
    i39 = get32(i18 | 0) | 0;
    i49 = get32(i20 | 0) | 0;
    i27 = (i49 | 0) == 0 ? i1 : i49;
    i49 = i27 + 400 | 0;
    i36 = get32(i49 | 0) | 0;
    i21 = i27 + 404 | 0;
    do if ((i36 | 0) > 0) {
     i22 = get32(i21 | 0) | 0;
     i40 = 0;
     while (1) {
      if ((get32(i22 + (i40 << 4) | 0) | 0) == (i34 | 0) ? (get32(i22 + (i40 << 4) + 4 | 0) | 0) == (i28 | 0) : 0) {
       i69 = i40;
       i25 = 244;
       break;
      }
      i40 = i40 + 1 | 0;
      if ((i40 | 0) >= (i36 | 0)) {
       i25 = 246;
       break;
      }
     }
     if ((i25 | 0) == 244) {
      i40 = i22 + (i69 << 4) + 8 | 0;
      set8(i40 >> 0 | 0, (get8(i40 >> 0 | 0) | 0) != 0 & 1 | 0);
      break;
     } else if ((i25 | 0) == 246) {
      i70 = i21;
      i71 = i22;
      i25 = 247;
      break;
     }
    } else {
     i70 = i21;
     i71 = get32(i21 | 0) | 0;
     i25 = 247;
    } while (0);
    do if ((i25 | 0) == 247) {
     i21 = get32(i27 | 0) | 0;
     i40 = _sqlite3DbRealloc(i21, i71, (i36 << 4) + 16 | 0) | 0;
     if (!i40) {
      _sqlite3DbFree(i21, i71);
      set32(i70 | 0, 0 | 0);
      set32(i49 | 0, 0 | 0);
      set8((get32(i27 | 0) | 0) + 30 >> 0 | 0, 1 | 0);
      break;
     } else {
      set32(i70 | 0, i40 | 0);
      i21 = get32(i49 | 0) | 0;
      set32(i49 | 0, i21 + 1 | 0);
      set32(i40 + (i21 << 4) | 0, i34 | 0);
      set32(i40 + (i21 << 4) + 4 | 0, i28 | 0);
      set8(i40 + (i21 << 4) + 8 >> 0 | 0, 0 | 0);
      set32(i40 + (i21 << 4) + 12 | 0, i39 | 0);
      break;
     }
    } while (0);
    i39 = get32(i23 | 0) | 0;
    i28 = i67 + 28 | 0;
    i49 = get32(i28 | 0) | 0;
    i27 = i67 + 32 | 0;
    i36 = get32(i27 | 0) | 0;
    do if ((i36 | 0) > (i49 | 0)) {
     i21 = i67 + 4 | 0;
     i72 = i21;
     i73 = i49;
     i74 = get32(i21 | 0) | 0;
     i25 = 259;
    } else {
     i21 = i67 + 4 | 0;
     i40 = _sqlite3DbRealloc(get32(i67 | 0) | 0, get32(i21 | 0) | 0, (i36 | 0) == 0 ? 1020 : i36 * 40 | 0) | 0;
     if (!i40) {
      i75 = i67;
      i76 = i21;
      break;
     }
     i29 = get32(i67 | 0) | 0;
     do if (!i29) i25 = 257; else {
      if ((get32(i29 + 260 | 0) | 0) >>> 0 > i40 >>> 0) {
       i25 = 257;
       break;
      }
      if ((get32(i29 + 264 | 0) | 0) >>> 0 <= i40 >>> 0) {
       i25 = 257;
       break;
      }
      i77 = getU16(i29 + 232 | 0) | 0;
     } while (0);
     if ((i25 | 0) == 257) i77 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i40) | 0;
     set32(i27 | 0, (i77 >>> 0) / 20 | 0 | 0);
     set32(i21 | 0, i40 | 0);
     i72 = i21;
     i73 = get32(i28 | 0) | 0;
     i74 = i40;
     i25 = 259;
    } while (0);
    if ((i25 | 0) == 259) {
     set32(i28 | 0, i73 + 1 | 0);
     set8(i74 + (i49 * 20 | 0) >> 0 | 0, 38 | 0);
     set8(i74 + (i49 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i74 + (i49 * 20 | 0) + 4 | 0, i9 | 0);
     set32(i74 + (i49 * 20 | 0) + 8 | 0, i39 | 0);
     set32(i74 + (i49 * 20 | 0) + 12 | 0, i34 | 0);
     set32(i74 + (i49 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i74 + (i49 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i75 = i67;
     i76 = i72;
    }
    i27 = get32(i18 + 8 | 0) | 0;
    i36 = get32(i75 | 0) | 0;
    i29 = get32(i76 | 0) | 0;
    if (!i29) break;
    if (get8(i36 + 30 >> 0 | 0) | 0) break;
    i22 = (get32(i28 | 0) | 0) + -1 | 0;
    i48 = i29 + (i22 * 20 | 0) + 1 | 0;
    i37 = i29 + (i22 * 20 | 0) + 16 | 0;
    _freeP4(i36, get8(i48 >> 0 | 0) | 0, get32(i37 | 0) | 0);
    set32(i37 | 0, i27 | 0);
    set8(i48 >> 0 | 0, -14 | 0);
   } while (0);
   i13 = get32(i19 | 0) | 0;
   if ((i13 | 0) <= (i58 | 0)) {
    i78 = 1;
    break;
   }
   set32((get32(i30 + 4 | 0) | 0) + (i58 * 20 | 0) + 8 | 0, i13 | 0);
   i78 = 1;
  } else {
   i13 = i2 + 8 | 0;
   i48 = get32(i13 | 0) | 0;
   L374 : do if (!(get16(i48 + 2 | 0) & 256)) {
    do if (i11) {
     if (!(get16(i11 + 2 | 0) & 256)) break;
     i79 = get32(i11 + 20 | 0) | 0;
     break L374;
    } while (0);
    i28 = _sqlite3ExprCollSeq(i1, i48) | 0;
    if (i28) {
     i79 = i28;
     break;
    }
    i79 = _sqlite3ExprCollSeq(i1, i11) | 0;
   } else i79 = get32(i48 + 20 | 0) | 0; while (0);
   i48 = i13;
   L383 : while (1) {
    i19 = get32(i48 | 0) | 0;
    switch (get8(i19 >> 0 | 0) | 0) {
    case 37:
     {
      i80 = i19;
      i25 = 275;
      break L383;
      break;
     }
    case -124:
    case -104:
    case -102:
     {
      i81 = i19;
      i25 = 286;
      break L383;
      break;
     }
    case 116:
     break;
    default:
     {
      i82 = i19;
      i25 = 289;
      break L383;
     }
    }
    i48 = get32((get32(get32(i19 + 16 | 0) | 0) | 0) + 12 | 0) | 0;
   }
   L386 : do if ((i25 | 0) == 275) {
    i48 = get32(i80 + 4 | 0) | 0;
    if (!i48) {
     i83 = 99;
     break;
    }
    i13 = get8(i48 >> 0 | 0) | 0;
    if (!(i13 << 24 >> 24)) {
     i83 = 99;
     break;
    } else {
     i84 = i48;
     i85 = i13;
     i86 = 99;
     i87 = 0;
    }
    while (1) {
     i13 = getU8(16286 + (i85 & 255) >> 0 | 0) | i87 << 8;
     i84 = i84 + 1 | 0;
     L391 : do if ((i13 | 0) < 1685026146) {
      if ((i13 | 0) < 1667785074) {
       switch (i13 | 0) {
       case 1651273570:
        break;
       default:
        {
         i25 = 284;
         break L391;
        }
       }
       switch (i86 << 24 >> 24) {
       case 101:
       case 99:
        {
         i88 = 98;
         i89 = 1651273570;
         break L391;
         break;
        }
       default:
        {
         i25 = 283;
         break L391;
        }
       }
      }
      if ((i13 | 0) < 1668050786) switch (i13 | 0) {
      case 1667785074:
       {
        i88 = 97;
        i89 = i13;
        break L391;
        break;
       }
      default:
       {
        i25 = 284;
        break L391;
       }
      } else switch (i13 | 0) {
      case 1668050786:
       {
        i88 = 97;
        i89 = i13;
        break L391;
        break;
       }
      default:
       {
        i25 = 284;
        break L391;
       }
      }
     } else {
      if ((i13 | 0) >= 1919246700) {
       if ((i13 | 0) >= 1952807028) switch (i13 | 0) {
       case 1952807028:
        {
         i88 = 97;
         i89 = i13;
         break L391;
         break;
        }
       default:
        {
         i25 = 284;
         break L391;
        }
       }
       switch (i13 | 0) {
       case 1919246700:
        break;
       default:
        {
         i25 = 284;
         break L391;
        }
       }
       if (i86 << 24 >> 24 == 99) {
        i88 = 101;
        i89 = 1919246700;
        break;
       } else {
        i25 = 283;
        break;
       }
      }
      if ((i13 | 0) < 1718382433) {
       switch (i13 | 0) {
       case 1685026146:
        break;
       default:
        {
         i25 = 284;
         break L391;
        }
       }
       if (i86 << 24 >> 24 == 99) {
        i88 = 101;
        i89 = 1685026146;
        break;
       }
      } else {
       switch (i13 | 0) {
       case 1718382433:
        break;
       default:
        {
         i25 = 284;
         break L391;
        }
       }
       if (i86 << 24 >> 24 == 99) {
        i88 = 101;
        i89 = 1718382433;
        break;
       }
      }
      i88 = i86;
      i89 = i13;
     } while (0);
     if ((i25 | 0) == 283) {
      i25 = 0;
      i88 = i86;
      i89 = i13;
     } else if ((i25 | 0) == 284) {
      i25 = 0;
      if ((i13 & 16777215 | 0) == 6909556) {
       i83 = 100;
       break L386;
      } else {
       i88 = i86;
       i89 = i13;
      }
     }
     i85 = get8(i84 >> 0 | 0) | 0;
     if (!(i85 << 24 >> 24)) {
      i83 = i88;
      break;
     } else {
      i86 = i88;
      i87 = i89;
     }
    }
   } else if ((i25 | 0) == 286) {
    i40 = get32(i81 + 40 | 0) | 0;
    if (!i40) {
     i82 = i81;
     i25 = 289;
     break;
    }
    i21 = get16(i81 + 28 | 0) | 0;
    if (i21 << 16 >> 16 < 0) {
     i83 = 100;
     break;
    }
    i83 = get8((get32(i40 + 12 | 0) | 0) + ((i21 << 16 >> 16) * 24 | 0) + 22 >> 0 | 0) | 0;
   } while (0);
   if ((i25 | 0) == 289) i83 = get8(i82 + 1 >> 0 | 0) | 0;
   i21 = get32(i2 + 12 | 0) | 0;
   do if (!i21) {
    if (!(get16(i10 | 0) & 2048)) {
     i90 = i83 << 24 >> 24 == 0 ? 98 : i83;
     break;
    } else i91 = i2;
    L428 : while (1) {
     i40 = get32(get32((get32(get32(i91 + 16 | 0) | 0) | 0) + 12 | 0) | 0) | 0;
     switch (get8(i40 >> 0 | 0) | 0) {
     case 116:
      {
       i91 = i40;
       break;
      }
     case 37:
      {
       i92 = i40;
       i25 = 314;
       break L428;
       break;
      }
     case -124:
     case -104:
     case -102:
      {
       i93 = i40;
       i25 = 325;
       break L428;
       break;
      }
     default:
      {
       i94 = i40;
       i25 = 328;
       break L428;
      }
     }
    }
    L430 : do if ((i25 | 0) == 314) {
     i40 = get32(i92 + 4 | 0) | 0;
     if (!i40) {
      i95 = 99;
      break;
     }
     i48 = get8(i40 >> 0 | 0) | 0;
     if (!(i48 << 24 >> 24)) {
      i95 = 99;
      break;
     } else {
      i96 = i40;
      i97 = i48;
      i98 = 99;
      i99 = 0;
     }
     while (1) {
      i48 = getU8(16286 + (i97 & 255) >> 0 | 0) | i99 << 8;
      i96 = i96 + 1 | 0;
      L435 : do if ((i48 | 0) < 1685026146) {
       if ((i48 | 0) < 1667785074) {
        switch (i48 | 0) {
        case 1651273570:
         break;
        default:
         {
          i25 = 323;
          break L435;
         }
        }
        switch (i98 << 24 >> 24) {
        case 101:
        case 99:
         {
          i100 = 98;
          i101 = 1651273570;
          break L435;
          break;
         }
        default:
         {
          i25 = 322;
          break L435;
         }
        }
       }
       if ((i48 | 0) < 1668050786) switch (i48 | 0) {
       case 1667785074:
        {
         i100 = 97;
         i101 = i48;
         break L435;
         break;
        }
       default:
        {
         i25 = 323;
         break L435;
        }
       } else switch (i48 | 0) {
       case 1668050786:
        {
         i100 = 97;
         i101 = i48;
         break L435;
         break;
        }
       default:
        {
         i25 = 323;
         break L435;
        }
       }
      } else {
       if ((i48 | 0) >= 1919246700) {
        if ((i48 | 0) >= 1952807028) switch (i48 | 0) {
        case 1952807028:
         {
          i100 = 97;
          i101 = i48;
          break L435;
          break;
         }
        default:
         {
          i25 = 323;
          break L435;
         }
        }
        switch (i48 | 0) {
        case 1919246700:
         break;
        default:
         {
          i25 = 323;
          break L435;
         }
        }
        if (i98 << 24 >> 24 == 99) {
         i100 = 101;
         i101 = 1919246700;
         break;
        } else {
         i25 = 322;
         break;
        }
       }
       if ((i48 | 0) < 1718382433) {
        switch (i48 | 0) {
        case 1685026146:
         break;
        default:
         {
          i25 = 323;
          break L435;
         }
        }
        if (i98 << 24 >> 24 == 99) {
         i100 = 101;
         i101 = 1685026146;
         break;
        }
       } else {
        switch (i48 | 0) {
        case 1718382433:
         break;
        default:
         {
          i25 = 323;
          break L435;
         }
        }
        if (i98 << 24 >> 24 == 99) {
         i100 = 101;
         i101 = 1718382433;
         break;
        }
       }
       i100 = i98;
       i101 = i48;
      } while (0);
      if ((i25 | 0) == 322) {
       i25 = 0;
       i100 = i98;
       i101 = i48;
      } else if ((i25 | 0) == 323) {
       i25 = 0;
       if ((i48 & 16777215 | 0) == 6909556) {
        i95 = 100;
        break L430;
       } else {
        i100 = i98;
        i101 = i48;
       }
      }
      i97 = get8(i96 >> 0 | 0) | 0;
      if (!(i97 << 24 >> 24)) {
       i95 = i100;
       break;
      } else {
       i98 = i100;
       i99 = i101;
      }
     }
    } else if ((i25 | 0) == 325) {
     i13 = get32(i93 + 40 | 0) | 0;
     if (!i13) {
      i94 = i93;
      i25 = 328;
      break;
     }
     i50 = get16(i93 + 28 | 0) | 0;
     if (i50 << 16 >> 16 < 0) {
      i95 = 100;
      break;
     }
     i95 = get8((get32(i13 + 12 | 0) | 0) + ((i50 << 16 >> 16) * 24 | 0) + 22 >> 0 | 0) | 0;
    } while (0);
    if ((i25 | 0) == 328) i95 = get8(i94 + 1 >> 0 | 0) | 0;
    if (!(i83 << 24 >> 24 == 0 | i95 << 24 >> 24 == 0)) {
     i90 = i83 << 24 >> 24 > 98 | i95 << 24 >> 24 > 98 ? 99 : 98;
     break;
    }
    if (!((i95 | i83) << 24 >> 24)) {
     i90 = 98;
     break;
    }
    i90 = (i95 & 255) + (i83 & 255) & 255;
   } else {
    i50 = i21;
    L472 : while (1) {
     switch (get8(i50 >> 0 | 0) | 0) {
     case 37:
      {
       i102 = i50;
       i25 = 293;
       break L472;
       break;
      }
     case -124:
     case -104:
     case -102:
      {
       i103 = i50;
       i25 = 304;
       break L472;
       break;
      }
     case 116:
      break;
     default:
      {
       i104 = i50;
       i25 = 307;
       break L472;
      }
     }
     i50 = get32(get32((get32(get32(i50 + 16 | 0) | 0) | 0) + 12 | 0) | 0) | 0;
    }
    L475 : do if ((i25 | 0) == 293) {
     i50 = get32(i102 + 4 | 0) | 0;
     if (!i50) {
      i105 = 99;
      break;
     }
     i13 = get8(i50 >> 0 | 0) | 0;
     if (!(i13 << 24 >> 24)) {
      i105 = 99;
      break;
     } else {
      i106 = i50;
      i107 = i13;
      i108 = 99;
      i109 = 0;
     }
     while (1) {
      i13 = getU8(16286 + (i107 & 255) >> 0 | 0) | i109 << 8;
      i106 = i106 + 1 | 0;
      L480 : do if ((i13 | 0) < 1685026146) {
       if ((i13 | 0) < 1667785074) {
        switch (i13 | 0) {
        case 1651273570:
         break;
        default:
         {
          i25 = 302;
          break L480;
         }
        }
        switch (i108 << 24 >> 24) {
        case 101:
        case 99:
         {
          i110 = 98;
          i111 = 1651273570;
          break L480;
          break;
         }
        default:
         {
          i25 = 301;
          break L480;
         }
        }
       }
       if ((i13 | 0) < 1668050786) switch (i13 | 0) {
       case 1667785074:
        {
         i110 = 97;
         i111 = i13;
         break L480;
         break;
        }
       default:
        {
         i25 = 302;
         break L480;
        }
       } else switch (i13 | 0) {
       case 1668050786:
        {
         i110 = 97;
         i111 = i13;
         break L480;
         break;
        }
       default:
        {
         i25 = 302;
         break L480;
        }
       }
      } else {
       if ((i13 | 0) >= 1919246700) {
        if ((i13 | 0) >= 1952807028) switch (i13 | 0) {
        case 1952807028:
         {
          i110 = 97;
          i111 = i13;
          break L480;
          break;
         }
        default:
         {
          i25 = 302;
          break L480;
         }
        }
        switch (i13 | 0) {
        case 1919246700:
         break;
        default:
         {
          i25 = 302;
          break L480;
         }
        }
        if (i108 << 24 >> 24 == 99) {
         i110 = 101;
         i111 = 1919246700;
         break;
        } else {
         i25 = 301;
         break;
        }
       }
       if ((i13 | 0) < 1718382433) {
        switch (i13 | 0) {
        case 1685026146:
         break;
        default:
         {
          i25 = 302;
          break L480;
         }
        }
        if (i108 << 24 >> 24 == 99) {
         i110 = 101;
         i111 = 1685026146;
         break;
        }
       } else {
        switch (i13 | 0) {
        case 1718382433:
         break;
        default:
         {
          i25 = 302;
          break L480;
         }
        }
        if (i108 << 24 >> 24 == 99) {
         i110 = 101;
         i111 = 1718382433;
         break;
        }
       }
       i110 = i108;
       i111 = i13;
      } while (0);
      if ((i25 | 0) == 301) {
       i25 = 0;
       i110 = i108;
       i111 = i13;
      } else if ((i25 | 0) == 302) {
       i25 = 0;
       if ((i13 & 16777215 | 0) == 6909556) {
        i105 = 100;
        break L475;
       } else {
        i110 = i108;
        i111 = i13;
       }
      }
      i107 = get8(i106 >> 0 | 0) | 0;
      if (!(i107 << 24 >> 24)) {
       i105 = i110;
       break;
      } else {
       i108 = i110;
       i109 = i111;
      }
     }
    } else if ((i25 | 0) == 304) {
     i48 = get32(i103 + 40 | 0) | 0;
     if (!i48) {
      i104 = i103;
      i25 = 307;
      break;
     }
     i50 = get16(i103 + 28 | 0) | 0;
     if (i50 << 16 >> 16 < 0) {
      i105 = 100;
      break;
     }
     i105 = get8((get32(i48 + 12 | 0) | 0) + ((i50 << 16 >> 16) * 24 | 0) + 22 >> 0 | 0) | 0;
    } while (0);
    if ((i25 | 0) == 307) i105 = get8(i104 + 1 >> 0 | 0) | 0;
    if (!(i83 << 24 >> 24 == 0 | i105 << 24 >> 24 == 0)) {
     i90 = i83 << 24 >> 24 > 98 | i105 << 24 >> 24 > 98 ? 99 : 98;
     break;
    }
    if (!((i105 | i83) << 24 >> 24)) {
     i90 = 98;
     break;
    }
    i90 = (i105 & 255) + (i83 & 255) & 255;
   } while (0);
   i21 = i18 + 12 | 0;
   i50 = get32(i18 + 16 | 0) | 0;
   if (!((i90 << 24 >> 24 == 98 ? 1 : (get8((get32(i21 | 0) | 0) + (i16 * 24 | 0) + 22 >> 0 | 0) | 0) == i90 << 24 >> 24) & (i50 | 0) != 0)) break L1;
   i48 = i15 + 8 | 0;
   i40 = i15 + 44 | 0;
   i19 = i1 + 72 | 0;
   i28 = i30 + 28 | 0;
   i49 = i30 + 32 | 0;
   i39 = i30 + 4 | 0;
   i27 = i15 + 412 | 0;
   i37 = i50;
   L519 : while (1) {
    do if ((get32(get32(i37 + 8 | 0) | 0) | 0) == (i16 | 0)) {
     i50 = get8((get32((get32(i48 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0) | 0;
     i36 = i37 + 44 | 0;
     i22 = get32(get32(i36 | 0) | 0) | 0;
     if (!i22) i112 = get32(i40 | 0) | 0; else {
      i29 = i22;
      while (1) if (!(get8(i29 >> 0 | 0) | 0)) {
       i113 = i29;
       break;
      } else i29 = i29 + 1 | 0;
      i112 = _sqlite3HashFind(i27, i22, i113 - i22 & 1073741823) | 0;
     }
     if (!i112) i114 = 0; else i114 = i112 + (((i50 & 255) + -1 | 0) * 20 | 0) | 0;
     if ((i114 | 0) != (i79 | 0)) break;
     i29 = get32(i37 + 4 | 0) | 0;
     if (!i8) {
      i115 = i36;
      i116 = i29;
      i117 = i37;
      break L519;
     }
     if ((i29 | 0) != 1) break;
     if (get8(i37 + 24 >> 0 | 0) | 0) {
      i115 = i36;
      i116 = 1;
      i117 = i37;
      break L519;
     }
    } while (0);
    i37 = get32(i37 + 32 | 0) | 0;
    if (!i37) break L1;
   }
   i37 = (get32(i19 | 0) | 0) + 1 | 0;
   set32(i19 | 0, i37 | 0);
   i27 = i116 + 12 + (i116 << 2) | 0;
   i40 = get32(i1 | 0) | 0;
   L537 : do if (!i40) {
    if ((i27 + -1 | 0) >>> 0 > 2147483390) {
     i118 = 0;
     i119 = 0;
     break;
    }
    if (!(get32(50 * 4 | 0) | 0)) {
     i120 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i27) | 0;
     i25 = 386;
     break;
    }
    i48 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i27) | 0;
    set32(35 * 4 | 0, i27 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i27 | 0)) set32(45 * 4 | 0, i27 | 0);
    i29 = get32(6 * 4 | 0) | 0;
    do if (i29) {
     i51 = get32(30 * 4 | 0) | 0;
     i121 = ((i51 | 0) < 0) << 31 >> 31;
     i122 = 16;
     i123 = _i64Subtract(get32(i122 | 0) | 0, get32(i122 + 4 | 0) | 0, i48 | 0, ((i48 | 0) < 0) << 31 >> 31 | 0) | 0;
     i122 = tempRet0;
     if ((i121 | 0) < (i122 | 0) | (i121 | 0) == (i122 | 0) & i51 >>> 0 < i123 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i123 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i29 & 15](i123, i51, i121, i48);
      set32(6 * 4 | 0, i29 | 0);
      set32(7 * 4 | 0, i123 | 0);
      break;
     }
    } while (0);
    i29 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i48) | 0;
    if (!i29) {
     i118 = 0;
     i119 = 0;
     break;
    }
    i123 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i29) | 0;
    i121 = (get32(30 * 4 | 0) | 0) + i123 | 0;
    set32(30 * 4 | 0, i121 | 0);
    if ((i121 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i121 | 0);
    i121 = get32(39 * 4 | 0) | 0;
    i123 = i121 + 1 | 0;
    set32(39 * 4 | 0, i123 | 0);
    if ((i121 | 0) < (get32(49 * 4 | 0) | 0)) {
     i124 = i29;
     i25 = 387;
     break;
    }
    set32(49 * 4 | 0, i123 | 0);
    i124 = i29;
    i25 = 387;
   } else {
    i29 = i40 + 30 | 0;
    if (get8(i29 >> 0 | 0) | 0) {
     i118 = 0;
     i119 = 0;
     break;
    }
    do if (get8(i40 + 234 >> 0 | 0) | 0) {
     if ((getU16(i40 + 232 | 0) | 0) < (i27 | 0)) {
      i123 = i40 + 248 | 0;
      set32(i123 | 0, (get32(i123 | 0) | 0) + 1 | 0);
      break;
     }
     i123 = i40 + 256 | 0;
     i121 = get32(i123 | 0) | 0;
     if (!i121) {
      i51 = i40 + 252 | 0;
      set32(i51 | 0, (get32(i51 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i123 | 0, get32(i121 | 0) | 0);
     i123 = i40 + 236 | 0;
     i51 = get32(i123 | 0) | 0;
     i122 = i51 + 1 | 0;
     set32(i123 | 0, i122 | 0);
     i123 = i40 + 244 | 0;
     set32(i123 | 0, (get32(i123 | 0) | 0) + 1 | 0);
     i123 = i40 + 240 | 0;
     if ((i51 | 0) >= (get32(i123 | 0) | 0)) set32(i123 | 0, i122 | 0);
     i120 = i121;
     i25 = 386;
     break L537;
    } while (0);
    do if ((i27 + -1 | 0) >>> 0 <= 2147483390) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i48 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i27) | 0;
      if (!i48) break; else {
       i124 = i48;
       i25 = 387;
       break L537;
      }
     }
     i48 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i27) | 0;
     set32(35 * 4 | 0, i27 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i27 | 0)) set32(45 * 4 | 0, i27 | 0);
     i121 = get32(6 * 4 | 0) | 0;
     do if (i121) {
      i122 = get32(30 * 4 | 0) | 0;
      i123 = ((i122 | 0) < 0) << 31 >> 31;
      i51 = 16;
      i125 = _i64Subtract(get32(i51 | 0) | 0, get32(i51 + 4 | 0) | 0, i48 | 0, ((i48 | 0) < 0) << 31 >> 31 | 0) | 0;
      i51 = tempRet0;
      if ((i123 | 0) < (i51 | 0) | (i123 | 0) == (i51 | 0) & i122 >>> 0 < i125 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i125 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i121 & 15](i125, i122, i123, i48);
       set32(6 * 4 | 0, i121 | 0);
       set32(7 * 4 | 0, i125 | 0);
       break;
      }
     } while (0);
     i121 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i48) | 0;
     if (!i121) break;
     i36 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i121) | 0;
     i50 = (get32(30 * 4 | 0) | 0) + i36 | 0;
     set32(30 * 4 | 0, i50 | 0);
     if ((i50 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i50 | 0);
     i50 = get32(39 * 4 | 0) | 0;
     i36 = i50 + 1 | 0;
     set32(39 * 4 | 0, i36 | 0);
     if ((i50 | 0) < (get32(49 * 4 | 0) | 0)) {
      i124 = i121;
      i25 = 387;
      break L537;
     }
     set32(49 * 4 | 0, i36 | 0);
     i124 = i121;
     i25 = 387;
     break L537;
    } while (0);
    set8(i29 >> 0 | 0, 1 | 0);
    i118 = 0;
    i119 = 0;
   } while (0);
   if ((i25 | 0) == 386) if (!i120) {
    i118 = 0;
    i119 = 0;
   } else {
    i124 = i120;
    i25 = 387;
   }
   if ((i25 | 0) == 387) {
    _memset(i124 | 0, 0, i27 | 0) | 0;
    i121 = get32(i1 | 0) | 0;
    set32(i124 | 0, i121 | 0);
    i36 = i124 + 12 | 0;
    i50 = i124 + 8 | 0;
    set32(i50 | 0, i36 + (i116 << 2) | 0);
    L595 : do if ((i116 | 0) > 0) {
     i22 = i117 + 40 | 0;
     i125 = i121;
     i123 = 0;
     while (1) {
      i122 = get32((get32(i115 | 0) | 0) + (i123 << 2) | 0) | 0;
      i51 = get8((get32((get32(i125 + 8 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0) | 0;
      i126 = get8(i125 + 124 >> 0 | 0) | 0;
      i127 = _sqlite3FindCollSeq(i125, i51, i122, i126 & 255) | 0;
      do if (!(i126 << 24 >> 24)) {
       if ((i127 | 0) != 0 ? (get32(i127 + 12 | 0) | 0) != 0 : 0) {
        i128 = i127;
        break;
       }
       i129 = _sqlite3GetCollSeq(i125, i51, i127, i122) | 0;
       if (i129) {
        i128 = i129;
        break;
       }
       set32(i5 | 0, i122 | 0);
       _sqlite3ErrorMsg(i1, 30475, i5);
       i128 = 0;
      } else i128 = i127; while (0);
      set32(i36 + (i123 << 2) | 0, i128 | 0);
      set8((get32(i50 | 0) | 0) + i123 >> 0 | 0, get8((get32(i22 | 0) | 0) + i123 >> 0 | 0) | 0 | 0);
      i127 = i123 + 1 | 0;
      if ((i127 | 0) == (i116 | 0)) break L595;
      i125 = get32(i1 | 0) | 0;
      i123 = i127;
     }
    } while (0);
    set16(i124 + 6 | 0, i116 | 0);
    i118 = i124;
    i119 = i124;
   }
   if (!(get32(i12 | 0) | 0)) i130 = i119; else {
    _sqlite3DbFree(i40, i118);
    i130 = 0;
   }
   i50 = get32(i28 | 0) | 0;
   i36 = get32(i49 | 0) | 0;
   do if ((i36 | 0) > (i50 | 0)) {
    i131 = i50;
    i132 = get32(i39 | 0) | 0;
    i133 = i36;
    i25 = 409;
   } else {
    i121 = _sqlite3DbRealloc(get32(i30 | 0) | 0, get32(i39 | 0) | 0, (i36 | 0) == 0 ? 1020 : i36 * 40 | 0) | 0;
    if (!i121) {
     i134 = 1;
     i135 = get32(i49 | 0) | 0;
     i136 = get32(i28 | 0) | 0;
     break;
    }
    i27 = get32(i30 | 0) | 0;
    do if (!i27) i25 = 407; else {
     if ((get32(i27 + 260 | 0) | 0) >>> 0 > i121 >>> 0) {
      i25 = 407;
      break;
     }
     if ((get32(i27 + 264 | 0) | 0) >>> 0 <= i121 >>> 0) {
      i25 = 407;
      break;
     }
     i137 = getU16(i27 + 232 | 0) | 0;
    } while (0);
    if ((i25 | 0) == 407) i137 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i121) | 0;
    i27 = (i137 >>> 0) / 20 | 0;
    set32(i49 | 0, i27 | 0);
    set32(i39 | 0, i121 | 0);
    i131 = get32(i28 | 0) | 0;
    i132 = i121;
    i133 = i27;
    i25 = 409;
   } while (0);
   if ((i25 | 0) == 409) {
    i36 = i131 + 1 | 0;
    set32(i28 | 0, i36 | 0);
    set8(i132 + (i50 * 20 | 0) >> 0 | 0, 26 | 0);
    set8(i132 + (i50 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i132 + (i50 * 20 | 0) + 4 | 0, i37 | 0);
    set32(i132 + (i50 * 20 | 0) + 8 | 0, 0 | 0);
    set32(i132 + (i50 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i132 + (i50 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i132 + (i50 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i134 = i50;
    i135 = i133;
    i136 = i36;
   }
   do if ((i135 | 0) > (i136 | 0)) {
    i138 = i136;
    i139 = get32(i39 | 0) | 0;
    i140 = i135;
    i25 = 420;
   } else {
    i36 = _sqlite3DbRealloc(get32(i30 | 0) | 0, get32(i39 | 0) | 0, (i135 | 0) == 0 ? 1020 : i135 * 40 | 0) | 0;
    if (!i36) {
     i141 = get32(i49 | 0) | 0;
     i142 = get32(i28 | 0) | 0;
     break;
    }
    i40 = get32(i30 | 0) | 0;
    do if (!i40) i25 = 418; else {
     if ((get32(i40 + 260 | 0) | 0) >>> 0 > i36 >>> 0) {
      i25 = 418;
      break;
     }
     if ((get32(i40 + 264 | 0) | 0) >>> 0 <= i36 >>> 0) {
      i25 = 418;
      break;
     }
     i143 = getU16(i40 + 232 | 0) | 0;
    } while (0);
    if ((i25 | 0) == 418) i143 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i36) | 0;
    i40 = (i143 >>> 0) / 20 | 0;
    set32(i49 | 0, i40 | 0);
    set32(i39 | 0, i36 | 0);
    i138 = get32(i28 | 0) | 0;
    i139 = i36;
    i140 = i40;
    i25 = 420;
   } while (0);
   if ((i25 | 0) == 420) {
    i50 = i138 + 1 | 0;
    set32(i28 | 0, i50 | 0);
    set8(i139 + (i136 * 20 | 0) >> 0 | 0, 7 | 0);
    set8(i139 + (i136 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i139 + (i136 * 20 | 0) + 4 | 0, 1 | 0);
    set32(i139 + (i136 * 20 | 0) + 8 | 0, i37 | 0);
    set32(i139 + (i136 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i139 + (i136 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i139 + (i136 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i141 = i140;
    i142 = i50;
   }
   i50 = get32(i117 + 20 | 0) | 0;
   do if ((i141 | 0) > (i142 | 0)) {
    i144 = i142;
    i145 = get32(i39 | 0) | 0;
    i25 = 430;
   } else {
    i40 = _sqlite3DbRealloc(get32(i30 | 0) | 0, get32(i39 | 0) | 0, (i141 | 0) == 0 ? 1020 : i141 * 40 | 0) | 0;
    if (!i40) {
     i146 = 1;
     break;
    }
    i121 = get32(i30 | 0) | 0;
    do if (!i121) i25 = 428; else {
     if ((get32(i121 + 260 | 0) | 0) >>> 0 > i40 >>> 0) {
      i25 = 428;
      break;
     }
     if ((get32(i121 + 264 | 0) | 0) >>> 0 <= i40 >>> 0) {
      i25 = 428;
      break;
     }
     i147 = getU16(i121 + 232 | 0) | 0;
    } while (0);
    if ((i25 | 0) == 428) i147 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i40) | 0;
    set32(i49 | 0, (i147 >>> 0) / 20 | 0 | 0);
    set32(i39 | 0, i40 | 0);
    i144 = get32(i28 | 0) | 0;
    i145 = i40;
    i25 = 430;
   } while (0);
   if ((i25 | 0) == 430) {
    set32(i28 | 0, i144 + 1 | 0);
    set8(i145 + (i142 * 20 | 0) >> 0 | 0, 38 | 0);
    set8(i145 + (i142 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i145 + (i142 * 20 | 0) + 4 | 0, i9 | 0);
    set32(i145 + (i142 * 20 | 0) + 8 | 0, i50 | 0);
    set32(i145 + (i142 * 20 | 0) + 12 | 0, i34 | 0);
    set32(i145 + (i142 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i145 + (i142 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i146 = i142;
   }
   i49 = get32(i30 | 0) | 0;
   i37 = get32(i39 | 0) | 0;
   do if (i37) {
    if (get8(i49 + 30 >> 0 | 0) | 0) {
     i25 = 433;
     break;
    }
    if ((i146 | 0) < 0) i148 = (get32(i28 | 0) | 0) + -1 | 0; else i148 = i146;
    i121 = i37 + (i148 * 20 | 0) + 1 | 0;
    i36 = i37 + (i148 * 20 | 0) + 16 | 0;
    _freeP4(i49, get8(i121 >> 0 | 0) | 0, get32(i36 | 0) | 0);
    set32(i36 | 0, 0 | 0);
    if (!i130) {
     set32(i36 | 0, 0 | 0);
     set8(i121 >> 0 | 0, 0 | 0);
     break;
    } else {
     set32(i36 | 0, i130 | 0);
     set8(i121 >> 0 | 0, -6 | 0);
     break;
    }
   } else i25 = 433; while (0);
   do if ((i25 | 0) == 433) {
    if (!i130) break;
    _sqlite3DbFree(i49, i130);
   } while (0);
   i49 = get32(i28 | 0) | 0;
   if ((i49 | 0) > (i134 | 0)) set32((get32(i39 | 0) | 0) + (i134 * 20 | 0) + 8 | 0, i49 | 0);
   if (i8) {
    i78 = 3;
    break;
   }
   if (get8((get32(i21 | 0) | 0) + (i16 * 24 | 0) + 20 >> 0 | 0) | 0) {
    i78 = 3;
    break;
   }
   i49 = (get32(i19 | 0) | 0) + 1 | 0;
   set32(i19 | 0, i49 | 0);
   set32(i3 | 0, i49 | 0);
   i78 = 3;
  } while (0);
  set32(i2 + 24 | 0, i9 | 0);
  i149 = i78;
  STACKTOP = i4;
  return i149 | 0;
 } while (0);
 i78 = i1 + 448 | 0;
 d150 = +getF64(i78 | 0);
 if (i8) {
  setF64(i78 | 0, +(1.0));
  if ((get16((get32(i2 + 8 | 0) | 0) + 28 | 0) | 0) < 0) {
   i151 = ((get16(i10 | 0) & 2048) >>> 11) + 1 | 0;
   i152 = 0;
  } else {
   i151 = 2;
   i152 = 0;
  }
 } else {
  i10 = i1 + 72 | 0;
  i8 = (get32(i10 | 0) | 0) + 1 | 0;
  set32(i10 | 0, i8 | 0);
  set32(i3 | 0, i8 | 0);
  i151 = 2;
  i152 = i8;
 }
 _sqlite3CodeSubselect(i1, i2, i152, (i151 | 0) == 1 & 1) | 0;
 setF64(i78 | 0, +d150);
 i149 = i151;
 STACKTOP = i4;
 return i149 | 0;
}

function _fkLookupParent(i1, i2, i3, i4, i5, i6, i7, i8, i9) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 i7 = i7 | 0;
 i8 = i8 | 0;
 i9 = i9 | 0;
 var i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0, i80 = 0, i81 = 0, i82 = 0, i83 = 0, i84 = 0, i85 = 0, i86 = 0, i87 = 0, i88 = 0, i89 = 0, i90 = 0, i91 = 0, i92 = 0, i93 = 0, i94 = 0, i95 = 0, i96 = 0, i97 = 0, i98 = 0, i99 = 0, i100 = 0, i101 = 0, i102 = 0, i103 = 0, i104 = 0, i105 = 0, i106 = 0, i107 = 0, i108 = 0, i109 = 0, i110 = 0, i111 = 0, i112 = 0, i113 = 0, i114 = 0, i115 = 0, i116 = 0, i117 = 0, i118 = 0, i119 = 0, i120 = 0, i121 = 0, i122 = 0, i123 = 0, i124 = 0, i125 = 0, i126 = 0, i127 = 0, i128 = 0, i129 = 0, i130 = 0, i131 = 0, i132 = 0, i133 = 0, i134 = 0, i135 = 0, i136 = 0, i137 = 0, i138 = 0, i139 = 0, i140 = 0, i141 = 0, i142 = 0;
 i10 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i11 = i10;
 i12 = i1 + 12 | 0;
 i13 = get32(i12 | 0) | 0;
 do if (!i13) {
  i14 = get32(i1 | 0) | 0;
  L3 : do if (!i14) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i15 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
    i16 = 39;
    break;
   }
   i17 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
   set32(35 * 4 | 0, 192 | 0);
   if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
   i18 = get32(6 * 4 | 0) | 0;
   do if (i18) {
    i19 = get32(30 * 4 | 0) | 0;
    i20 = ((i19 | 0) < 0) << 31 >> 31;
    i21 = 16;
    i22 = _i64Subtract(get32(i21 | 0) | 0, get32(i21 + 4 | 0) | 0, i17 | 0, ((i17 | 0) < 0) << 31 >> 31 | 0) | 0;
    i21 = tempRet0;
    if ((i20 | 0) < (i21 | 0) | (i20 | 0) == (i21 | 0) & i19 >>> 0 < i22 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i22 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i18 & 15](i22, i19, i20, i17);
     set32(6 * 4 | 0, i18 | 0);
     set32(7 * 4 | 0, i22 | 0);
     break;
    }
   } while (0);
   i18 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i17) | 0;
   if (i18) {
    i22 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i18) | 0;
    i20 = (get32(30 * 4 | 0) | 0) + i22 | 0;
    set32(30 * 4 | 0, i20 | 0);
    if ((i20 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i20 | 0);
    i20 = get32(39 * 4 | 0) | 0;
    i22 = i20 + 1 | 0;
    set32(39 * 4 | 0, i22 | 0);
    if ((i20 | 0) < (get32(49 * 4 | 0) | 0)) i23 = i18; else {
     set32(49 * 4 | 0, i22 | 0);
     i23 = i18;
    }
   } else i16 = 40;
  } else {
   i18 = i14 + 30 | 0;
   if (!(get8(i18 >> 0 | 0) | 0)) {
    do if (get8(i14 + 234 >> 0 | 0) | 0) {
     if ((getU16(i14 + 232 | 0) | 0) < 192) {
      i22 = i14 + 248 | 0;
      set32(i22 | 0, (get32(i22 | 0) | 0) + 1 | 0);
      break;
     }
     i22 = i14 + 256 | 0;
     i20 = get32(i22 | 0) | 0;
     if (!i20) {
      i19 = i14 + 252 | 0;
      set32(i19 | 0, (get32(i19 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i22 | 0, get32(i20 | 0) | 0);
     i22 = i14 + 236 | 0;
     i19 = get32(i22 | 0) | 0;
     i21 = i19 + 1 | 0;
     set32(i22 | 0, i21 | 0);
     i22 = i14 + 244 | 0;
     set32(i22 | 0, (get32(i22 | 0) | 0) + 1 | 0);
     i22 = i14 + 240 | 0;
     if ((i19 | 0) >= (get32(i22 | 0) | 0)) set32(i22 | 0, i21 | 0);
     i15 = i20;
     i16 = 39;
     break L3;
    } while (0);
    if (!(get32(50 * 4 | 0) | 0)) {
     i17 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
     if (i17) {
      i23 = i17;
      break;
     }
    } else {
     i17 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
     set32(35 * 4 | 0, 192 | 0);
     if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
     i20 = get32(6 * 4 | 0) | 0;
     do if (i20) {
      i21 = get32(30 * 4 | 0) | 0;
      i22 = ((i21 | 0) < 0) << 31 >> 31;
      i19 = 16;
      i24 = _i64Subtract(get32(i19 | 0) | 0, get32(i19 + 4 | 0) | 0, i17 | 0, ((i17 | 0) < 0) << 31 >> 31 | 0) | 0;
      i19 = tempRet0;
      if ((i22 | 0) < (i19 | 0) | (i22 | 0) == (i19 | 0) & i21 >>> 0 < i24 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i24 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i20 & 15](i24, i21, i22, i17);
       set32(6 * 4 | 0, i20 | 0);
       set32(7 * 4 | 0, i24 | 0);
       break;
      }
     } while (0);
     i20 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i17) | 0;
     if (i20) {
      i24 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i20) | 0;
      i22 = (get32(30 * 4 | 0) | 0) + i24 | 0;
      set32(30 * 4 | 0, i22 | 0);
      if ((i22 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i22 | 0);
      i22 = get32(39 * 4 | 0) | 0;
      i24 = i22 + 1 | 0;
      set32(39 * 4 | 0, i24 | 0);
      if ((i22 | 0) < (get32(49 * 4 | 0) | 0)) {
       i23 = i20;
       break;
      }
      set32(49 * 4 | 0, i24 | 0);
      i23 = i20;
      break;
     }
    }
    set8(i18 >> 0 | 0, 1 | 0);
    i16 = 40;
   } else i16 = 40;
  } while (0);
  if ((i16 | 0) == 39) if (!i15) i16 = 40; else i23 = i15;
  if ((i16 | 0) == 40) {
   set32(i12 | 0, 0 | 0);
   i25 = 0;
   break;
  }
  _memset(i23 | 0, 0, 192) | 0;
  set32(i23 | 0, i14 | 0);
  i20 = i14 + 136 | 0;
  i24 = get32(i20 | 0) | 0;
  if (i24) set32(i24 + 60 | 0, i23 | 0);
  set32(i23 + 64 | 0, i24 | 0);
  set32(i23 + 60 | 0, 0 | 0);
  set32(i20 | 0, i23 | 0);
  set32(i23 + 52 | 0, 649915045 | 0);
  set32(i12 | 0, i23 | 0);
  i20 = i23 + 28 | 0;
  i24 = i23 + 32 | 0;
  i22 = i23 + 4 | 0;
  i21 = _sqlite3DbRealloc(i14, 0, 1020) | 0;
  if (!i21) i25 = i23; else {
   i19 = get32(i23 | 0) | 0;
   if (((i19 | 0) != 0 ? (get32(i19 + 260 | 0) | 0) >>> 0 <= i21 >>> 0 : 0) ? (get32(i19 + 264 | 0) | 0) >>> 0 > i21 >>> 0 : 0) i26 = getU16(i19 + 232 | 0) | 0; else i26 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i21) | 0;
   set32(i24 | 0, (i26 >>> 0) / 20 | 0 | 0);
   set32(i22 | 0, i21 | 0);
   set32(i20 | 0, (get32(i20 | 0) | 0) + 1 | 0);
   set8(i21 >> 0 | 0, -120 | 0);
   set8(i21 + 1 >> 0 | 0, 0 | 0);
   i27 = i21 + 3 | 0;
   i28 = i27 + 17 | 0;
   do {
    set8(i27 >> 0 | 0, 0 | 0);
    i27 = i27 + 1 | 0;
   } while ((i27 | 0) < (i28 | 0));
   i25 = i23;
  }
 } else i25 = i13; while (0);
 i13 = (get32(i1 + 68 | 0) | 0) + -1 | 0;
 i23 = i25 + 36 | 0;
 i26 = get32(i23 | 0) | 0;
 set32(i23 | 0, i26 + 1 | 0);
 i23 = i25 + 40 | 0;
 i15 = get32(i23 | 0) | 0;
 if ((i26 | 0) < (i15 | 0)) i29 = i25 + 44 | 0; else {
  i14 = get32(i25 | 0) | 0;
  i21 = i25 + 44 | 0;
  i20 = get32(i21 | 0) | 0;
  i22 = _sqlite3DbRealloc(i14, i20, (i15 << 3) + 20 | 0) | 0;
  if (i22) {
   set32(i21 | 0, i22 | 0);
   i15 = get32(i25 | 0) | 0;
   if (((i15 | 0) != 0 ? (get32(i15 + 260 | 0) | 0) >>> 0 <= i22 >>> 0 : 0) ? (get32(i15 + 264 | 0) | 0) >>> 0 > i22 >>> 0 : 0) i30 = getU16(i15 + 232 | 0) | 0; else i16 = 58;
  } else {
   _sqlite3DbFree(i14, i20);
   set32(i21 | 0, 0 | 0);
   i16 = 58;
  }
  if ((i16 | 0) == 58) i30 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i22) | 0;
  set32(i23 | 0, i30 >>> 2 | 0);
  i29 = i21;
 }
 i21 = get32(i29 | 0) | 0;
 if (i21) set32(i21 + (i26 << 2) | 0, -1 | 0);
 i21 = ~i26;
 do if ((i8 | 0) < 0) {
  i29 = getU8(i5 + 24 >> 0 | 0) | 0;
  i30 = i25 + 28 | 0;
  i23 = get32(i30 | 0) | 0;
  i22 = i25 + 32 | 0;
  i20 = get32(i22 | 0) | 0;
  if ((i20 | 0) > (i23 | 0)) {
   i31 = i23;
   i32 = get32(i25 + 4 | 0) | 0;
  } else {
   i14 = i25 + 4 | 0;
   i15 = _sqlite3DbRealloc(get32(i25 | 0) | 0, get32(i14 | 0) | 0, (i20 | 0) == 0 ? 1020 : i20 * 40 | 0) | 0;
   if (!i15) break;
   i20 = get32(i25 | 0) | 0;
   if (((i20 | 0) != 0 ? (get32(i20 + 260 | 0) | 0) >>> 0 <= i15 >>> 0 : 0) ? (get32(i20 + 264 | 0) | 0) >>> 0 > i15 >>> 0 : 0) i33 = getU16(i20 + 232 | 0) | 0; else i33 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i15) | 0;
   set32(i22 | 0, (i33 >>> 0) / 20 | 0 | 0);
   set32(i14 | 0, i15 | 0);
   i31 = get32(i30 | 0) | 0;
   i32 = i15;
  }
  set32(i30 | 0, i31 + 1 | 0);
  set8(i32 + (i23 * 20 | 0) >> 0 | 0, 111 | 0);
  set8(i32 + (i23 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i32 + (i23 * 20 | 0) + 4 | 0, i29 | 0);
  set32(i32 + (i23 * 20 | 0) + 8 | 0, i21 | 0);
  set32(i32 + (i23 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i32 + (i23 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i32 + (i23 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
 } while (0);
 i32 = i5 + 20 | 0;
 i31 = get32(i32 | 0) | 0;
 if ((i31 | 0) > 0) {
  i33 = i7 + 1 | 0;
  i23 = i25 + 28 | 0;
  i29 = i25 + 32 | 0;
  i30 = i25 + 4 | 0;
  i15 = 0;
  do {
   i14 = i33 + (get32(i6 + (i15 << 2) | 0) | 0) | 0;
   i22 = get32(i23 | 0) | 0;
   i20 = get32(i29 | 0) | 0;
   if ((i20 | 0) <= (i22 | 0)) {
    i24 = _sqlite3DbRealloc(get32(i25 | 0) | 0, get32(i30 | 0) | 0, (i20 | 0) == 0 ? 1020 : i20 * 40 | 0) | 0;
    if (i24) {
     i20 = get32(i25 | 0) | 0;
     if (((i20 | 0) != 0 ? (get32(i20 + 260 | 0) | 0) >>> 0 <= i24 >>> 0 : 0) ? (get32(i20 + 264 | 0) | 0) >>> 0 > i24 >>> 0 : 0) i34 = getU16(i20 + 232 | 0) | 0; else i34 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i24) | 0;
     set32(i29 | 0, (i34 >>> 0) / 20 | 0 | 0);
     set32(i30 | 0, i24 | 0);
     i35 = get32(i23 | 0) | 0;
     i36 = i24;
     i16 = 84;
    }
   } else {
    i35 = i22;
    i36 = get32(i30 | 0) | 0;
    i16 = 84;
   }
   if ((i16 | 0) == 84) {
    i16 = 0;
    set32(i23 | 0, i35 + 1 | 0);
    set8(i36 + (i22 * 20 | 0) >> 0 | 0, 73 | 0);
    set8(i36 + (i22 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i36 + (i22 * 20 | 0) + 4 | 0, i14 | 0);
    set32(i36 + (i22 * 20 | 0) + 8 | 0, i21 | 0);
    set32(i36 + (i22 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i36 + (i22 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i36 + (i22 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   }
   i15 = i15 + 1 | 0;
   i22 = get32(i32 | 0) | 0;
  } while ((i15 | 0) < (i22 | 0));
  i37 = i22;
 } else i37 = i31;
 L121 : do if (!i9) {
  if (!i4) {
   i31 = i1 + 21 | 0;
   i15 = get8(i31 >> 0 | 0) | 0;
   if (!(i15 << 24 >> 24)) {
    i32 = i1 + 72 | 0;
    i36 = (get32(i32 | 0) | 0) + 1 | 0;
    set32(i32 | 0, i36 | 0);
    i38 = i36;
   } else {
    i36 = i15 + -1 << 24 >> 24;
    set8(i31 >> 0 | 0, i36 | 0);
    i38 = get32(i1 + 24 + ((i36 & 255) << 2) | 0) | 0;
   }
   i36 = i7 + 1 + (get32(i6 | 0) | 0) | 0;
   i15 = i25 + 28 | 0;
   i32 = get32(i15 | 0) | 0;
   i35 = i25 + 32 | 0;
   i23 = get32(i35 | 0) | 0;
   do if ((i23 | 0) > (i32 | 0)) {
    i39 = i23;
    i40 = i32;
    i41 = get32(i25 + 4 | 0) | 0;
    i16 = 101;
   } else {
    i30 = i25 + 4 | 0;
    i34 = _sqlite3DbRealloc(get32(i25 | 0) | 0, get32(i30 | 0) | 0, (i23 | 0) == 0 ? 1020 : i23 * 40 | 0) | 0;
    if (!i34) {
     i42 = get32(i35 | 0) | 0;
     i43 = get32(i15 | 0) | 0;
     break;
    }
    i29 = get32(i25 | 0) | 0;
    if (((i29 | 0) != 0 ? (get32(i29 + 260 | 0) | 0) >>> 0 <= i34 >>> 0 : 0) ? (get32(i29 + 264 | 0) | 0) >>> 0 > i34 >>> 0 : 0) i44 = getU16(i29 + 232 | 0) | 0; else i44 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i34) | 0;
    i29 = (i44 >>> 0) / 20 | 0;
    set32(i35 | 0, i29 | 0);
    set32(i30 | 0, i34 | 0);
    i39 = i29;
    i40 = get32(i15 | 0) | 0;
    i41 = i34;
    i16 = 101;
   } while (0);
   if ((i16 | 0) == 101) {
    i23 = i40 + 1 | 0;
    set32(i15 | 0, i23 | 0);
    set8(i41 + (i32 * 20 | 0) >> 0 | 0, 15 | 0);
    set8(i41 + (i32 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i41 + (i32 * 20 | 0) + 4 | 0, i36 | 0);
    set32(i41 + (i32 * 20 | 0) + 8 | 0, i38 | 0);
    set32(i41 + (i32 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i41 + (i32 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i41 + (i32 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i42 = i39;
    i43 = i23;
   }
   if ((i42 | 0) <= (i43 | 0)) {
    i23 = i25 + 4 | 0;
    i34 = _sqlite3DbRealloc(get32(i25 | 0) | 0, get32(i23 | 0) | 0, (i42 | 0) == 0 ? 1020 : i42 * 40 | 0) | 0;
    if (!i34) i45 = 1; else {
     i29 = get32(i25 | 0) | 0;
     if (((i29 | 0) != 0 ? (get32(i29 + 260 | 0) | 0) >>> 0 <= i34 >>> 0 : 0) ? (get32(i29 + 264 | 0) | 0) >>> 0 > i34 >>> 0 : 0) i46 = getU16(i29 + 232 | 0) | 0; else i46 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i34) | 0;
     set32(i35 | 0, (i46 >>> 0) / 20 | 0 | 0);
     set32(i23 | 0, i34 | 0);
     i47 = get32(i15 | 0) | 0;
     i48 = i34;
     i16 = 111;
    }
   } else {
    i47 = i43;
    i48 = get32(i25 + 4 | 0) | 0;
    i16 = 111;
   }
   if ((i16 | 0) == 111) {
    set32(i15 | 0, i47 + 1 | 0);
    set8(i48 + (i43 * 20 | 0) >> 0 | 0, 21 | 0);
    set8(i48 + (i43 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i48 + (i43 * 20 | 0) + 4 | 0, i38 | 0);
    set32(i48 + (i43 * 20 | 0) + 8 | 0, 0 | 0);
    set32(i48 + (i43 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i48 + (i43 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i48 + (i43 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i45 = i43;
   }
   do if ((i8 | 0) == 1 ? (get32(i5 | 0) | 0) == (i3 | 0) : 0) {
    i34 = get32(i15 | 0) | 0;
    i23 = get32(i35 | 0) | 0;
    if ((i23 | 0) > (i34 | 0)) {
     i49 = i34;
     i50 = get32(i25 + 4 | 0) | 0;
    } else {
     i29 = i25 + 4 | 0;
     i30 = _sqlite3DbRealloc(get32(i25 | 0) | 0, get32(i29 | 0) | 0, (i23 | 0) == 0 ? 1020 : i23 * 40 | 0) | 0;
     if (!i30) break;
     i23 = get32(i25 | 0) | 0;
     do if ((i23 | 0) != 0 ? (get32(i23 + 260 | 0) | 0) >>> 0 <= i30 >>> 0 : 0) {
      if ((get32(i23 + 264 | 0) | 0) >>> 0 <= i30 >>> 0) {
       i16 = 120;
       break;
      }
      i51 = getU16(i23 + 232 | 0) | 0;
     } else i16 = 120; while (0);
     if ((i16 | 0) == 120) i51 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i30) | 0;
     set32(i35 | 0, (i51 >>> 0) / 20 | 0 | 0);
     set32(i29 | 0, i30 | 0);
     i49 = get32(i15 | 0) | 0;
     i50 = i30;
    }
    set32(i15 | 0, i49 + 1 | 0);
    set8(i50 + (i34 * 20 | 0) >> 0 | 0, 76 | 0);
    set8(i50 + (i34 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i50 + (i34 * 20 | 0) + 4 | 0, i7 | 0);
    set32(i50 + (i34 * 20 | 0) + 8 | 0, i21 | 0);
    set32(i50 + (i34 * 20 | 0) + 12 | 0, i38 | 0);
    set32(i50 + (i34 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i50 + (i34 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   } while (0);
   if (!(get8(i3 + 34 >> 0 | 0) & 16)) {
    i32 = get32(i12 | 0) | 0;
    do if (!i32) {
     i36 = get32(i1 | 0) | 0;
     L178 : do if (i36) {
      i23 = i36 + 30 | 0;
      if (!(get8(i23 >> 0 | 0) | 0)) {
       do if (get8(i36 + 234 >> 0 | 0) | 0) {
        if ((getU16(i36 + 232 | 0) | 0) < 192) {
         i18 = i36 + 248 | 0;
         set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
         break;
        }
        i18 = i36 + 256 | 0;
        i17 = get32(i18 | 0) | 0;
        if (!i17) {
         i33 = i36 + 252 | 0;
         set32(i33 | 0, (get32(i33 | 0) | 0) + 1 | 0);
         break;
        }
        set32(i18 | 0, get32(i17 | 0) | 0);
        i18 = i36 + 236 | 0;
        i33 = get32(i18 | 0) | 0;
        i22 = i33 + 1 | 0;
        set32(i18 | 0, i22 | 0);
        i18 = i36 + 244 | 0;
        set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
        i18 = i36 + 240 | 0;
        if ((i33 | 0) >= (get32(i18 | 0) | 0)) set32(i18 | 0, i22 | 0);
        i52 = i17;
        i16 = 162;
        break L178;
       } while (0);
       do if (!(get32(50 * 4 | 0) | 0)) {
        i17 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
        if (i17) {
         i53 = i17;
         break L178;
        }
       } else {
        i17 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
        set32(35 * 4 | 0, 192 | 0);
        if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
        i22 = get32(6 * 4 | 0) | 0;
        do if (i22) {
         i18 = get32(30 * 4 | 0) | 0;
         i33 = ((i18 | 0) < 0) << 31 >> 31;
         i14 = 16;
         i24 = _i64Subtract(get32(i14 | 0) | 0, get32(i14 + 4 | 0) | 0, i17 | 0, ((i17 | 0) < 0) << 31 >> 31 | 0) | 0;
         i14 = tempRet0;
         if ((i33 | 0) < (i14 | 0) | (i33 | 0) == (i14 | 0) & i18 >>> 0 < i24 >>> 0) {
          set32(11 * 4 | 0, 0 | 0);
          break;
         } else {
          set32(11 * 4 | 0, 1 | 0);
          i24 = get32(7 * 4 | 0) | 0;
          set32(6 * 4 | 0, 0 | 0);
          FUNCTION_TABLE_viiii[i22 & 15](i24, i18, i33, i17);
          set32(6 * 4 | 0, i22 | 0);
          set32(7 * 4 | 0, i24 | 0);
          break;
         }
        } while (0);
        i22 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i17) | 0;
        if (!i22) break;
        i24 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i22) | 0;
        i33 = (get32(30 * 4 | 0) | 0) + i24 | 0;
        set32(30 * 4 | 0, i33 | 0);
        if ((i33 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i33 | 0);
        i33 = get32(39 * 4 | 0) | 0;
        i24 = i33 + 1 | 0;
        set32(39 * 4 | 0, i24 | 0);
        if ((i33 | 0) < (get32(49 * 4 | 0) | 0)) {
         i53 = i22;
         break L178;
        }
        set32(49 * 4 | 0, i24 | 0);
        i53 = i22;
        break L178;
       } while (0);
       set8(i23 >> 0 | 0, 1 | 0);
       i16 = 163;
      } else i16 = 163;
     } else {
      if (!(get32(50 * 4 | 0) | 0)) {
       i52 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
       i16 = 162;
       break;
      }
      i22 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
      set32(35 * 4 | 0, 192 | 0);
      if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
      i24 = get32(6 * 4 | 0) | 0;
      do if (i24) {
       i33 = get32(30 * 4 | 0) | 0;
       i18 = ((i33 | 0) < 0) << 31 >> 31;
       i14 = 16;
       i20 = _i64Subtract(get32(i14 | 0) | 0, get32(i14 + 4 | 0) | 0, i22 | 0, ((i22 | 0) < 0) << 31 >> 31 | 0) | 0;
       i14 = tempRet0;
       if ((i18 | 0) < (i14 | 0) | (i18 | 0) == (i14 | 0) & i33 >>> 0 < i20 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i20 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i24 & 15](i20, i33, i18, i22);
        set32(6 * 4 | 0, i24 | 0);
        set32(7 * 4 | 0, i20 | 0);
        break;
       }
      } while (0);
      i24 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i22) | 0;
      if (!i24) {
       i16 = 163;
       break;
      }
      i23 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i24) | 0;
      i20 = (get32(30 * 4 | 0) | 0) + i23 | 0;
      set32(30 * 4 | 0, i20 | 0);
      if ((i20 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i20 | 0);
      i20 = get32(39 * 4 | 0) | 0;
      i23 = i20 + 1 | 0;
      set32(39 * 4 | 0, i23 | 0);
      if ((i20 | 0) < (get32(49 * 4 | 0) | 0)) {
       i53 = i24;
       break;
      }
      set32(49 * 4 | 0, i23 | 0);
      i53 = i24;
     } while (0);
     if ((i16 | 0) == 162) if (!i52) i16 = 163; else i53 = i52;
     if ((i16 | 0) == 163) {
      set32(i12 | 0, 0 | 0);
      i54 = 0;
      break;
     }
     _memset(i53 | 0, 0, 192) | 0;
     set32(i53 | 0, i36 | 0);
     i34 = i36 + 136 | 0;
     i30 = get32(i34 | 0) | 0;
     if (i30) set32(i30 + 60 | 0, i53 | 0);
     set32(i53 + 64 | 0, i30 | 0);
     set32(i53 + 60 | 0, 0 | 0);
     set32(i34 | 0, i53 | 0);
     set32(i53 + 52 | 0, 649915045 | 0);
     set32(i12 | 0, i53 | 0);
     i34 = i53 + 28 | 0;
     i30 = i53 + 32 | 0;
     i29 = i53 + 4 | 0;
     i24 = _sqlite3DbRealloc(i36, 0, 1020) | 0;
     if (!i24) i54 = i53; else {
      i23 = get32(i53 | 0) | 0;
      do if (!i23) i16 = 171; else {
       if ((get32(i23 + 260 | 0) | 0) >>> 0 > i24 >>> 0) {
        i16 = 171;
        break;
       }
       if ((get32(i23 + 264 | 0) | 0) >>> 0 <= i24 >>> 0) {
        i16 = 171;
        break;
       }
       i55 = getU16(i23 + 232 | 0) | 0;
      } while (0);
      if ((i16 | 0) == 171) i55 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i24) | 0;
      set32(i30 | 0, (i55 >>> 0) / 20 | 0 | 0);
      set32(i29 | 0, i24 | 0);
      set32(i34 | 0, (get32(i34 | 0) | 0) + 1 | 0);
      set8(i24 >> 0 | 0, -120 | 0);
      set8(i24 + 1 >> 0 | 0, 0 | 0);
      i27 = i24 + 3 | 0;
      i28 = i27 + 17 | 0;
      do {
       set8(i27 >> 0 | 0, 0 | 0);
       i27 = i27 + 1 | 0;
      } while ((i27 | 0) < (i28 | 0));
      i54 = i53;
     }
    } else i54 = i32; while (0);
    i32 = i3 + 20 | 0;
    i24 = get32(i32 | 0) | 0;
    i34 = get32(i3 | 0) | 0;
    i29 = get32(i1 + 424 | 0) | 0;
    i30 = (i29 | 0) == 0 ? i1 : i29;
    i29 = i30 + 400 | 0;
    i23 = get32(i29 | 0) | 0;
    i36 = i30 + 404 | 0;
    do if ((i23 | 0) > 0) {
     i20 = get32(i36 | 0) | 0;
     i18 = 0;
     while (1) {
      if ((get32(i20 + (i18 << 4) | 0) | 0) == (i2 | 0) ? (get32(i20 + (i18 << 4) + 4 | 0) | 0) == (i24 | 0) : 0) {
       i56 = i18;
       i16 = 178;
       break;
      }
      i18 = i18 + 1 | 0;
      if ((i18 | 0) >= (i23 | 0)) {
       i16 = 180;
       break;
      }
     }
     if ((i16 | 0) == 178) {
      i18 = i20 + (i56 << 4) + 8 | 0;
      set8(i18 >> 0 | 0, (get8(i18 >> 0 | 0) | 0) != 0 & 1 | 0);
      break;
     } else if ((i16 | 0) == 180) {
      i57 = i36;
      i58 = i20;
      i16 = 181;
      break;
     }
    } else {
     i57 = i36;
     i58 = get32(i36 | 0) | 0;
     i16 = 181;
    } while (0);
    do if ((i16 | 0) == 181) {
     i36 = get32(i30 | 0) | 0;
     i18 = _sqlite3DbRealloc(i36, i58, (i23 << 4) + 16 | 0) | 0;
     if (!i18) {
      _sqlite3DbFree(i36, i58);
      set32(i57 | 0, 0 | 0);
      set32(i29 | 0, 0 | 0);
      set8((get32(i30 | 0) | 0) + 30 >> 0 | 0, 1 | 0);
      break;
     } else {
      set32(i57 | 0, i18 | 0);
      i36 = get32(i29 | 0) | 0;
      set32(i29 | 0, i36 + 1 | 0);
      set32(i18 + (i36 << 4) | 0, i2 | 0);
      set32(i18 + (i36 << 4) + 4 | 0, i24 | 0);
      set8(i18 + (i36 << 4) + 8 >> 0 | 0, 0 | 0);
      set32(i18 + (i36 << 4) + 12 | 0, i34 | 0);
      break;
     }
    } while (0);
    i34 = get32(i32 | 0) | 0;
    i24 = i54 + 28 | 0;
    i29 = get32(i24 | 0) | 0;
    i30 = i54 + 32 | 0;
    i23 = get32(i30 | 0) | 0;
    if ((i23 | 0) <= (i29 | 0)) {
     i36 = i54 + 4 | 0;
     i18 = _sqlite3DbRealloc(get32(i54 | 0) | 0, get32(i36 | 0) | 0, (i23 | 0) == 0 ? 1020 : i23 * 40 | 0) | 0;
     if (!i18) {
      i59 = i54;
      i60 = i36;
     } else {
      i23 = get32(i54 | 0) | 0;
      do if (!i23) i16 = 191; else {
       if ((get32(i23 + 260 | 0) | 0) >>> 0 > i18 >>> 0) {
        i16 = 191;
        break;
       }
       if ((get32(i23 + 264 | 0) | 0) >>> 0 <= i18 >>> 0) {
        i16 = 191;
        break;
       }
       i61 = getU16(i23 + 232 | 0) | 0;
      } while (0);
      if ((i16 | 0) == 191) i61 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i18) | 0;
      set32(i30 | 0, (i61 >>> 0) / 20 | 0 | 0);
      set32(i36 | 0, i18 | 0);
      i62 = i36;
      i63 = i54;
      i64 = get32(i24 | 0) | 0;
      i65 = i18;
      i16 = 193;
     }
    } else {
     i23 = i54 + 4 | 0;
     i62 = i23;
     i63 = i54;
     i64 = i29;
     i65 = get32(i23 | 0) | 0;
     i16 = 193;
    }
    if ((i16 | 0) == 193) {
     set32(i24 | 0, i64 + 1 | 0);
     set8(i65 + (i29 * 20 | 0) >> 0 | 0, 38 | 0);
     set8(i65 + (i29 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i65 + (i29 * 20 | 0) + 4 | 0, i13 | 0);
     set32(i65 + (i29 * 20 | 0) + 8 | 0, i34 | 0);
     set32(i65 + (i29 * 20 | 0) + 12 | 0, i2 | 0);
     set32(i65 + (i29 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i65 + (i29 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i59 = i63;
     i60 = i62;
    }
    i23 = get32(i3 + 8 | 0) | 0;
    i32 = get32(i59 | 0) | 0;
    i33 = get32(i60 | 0) | 0;
    if ((i33 | 0) != 0 ? (get8(i32 + 30 >> 0 | 0) | 0) == 0 : 0) {
     i14 = (get32(i24 | 0) | 0) + -1 | 0;
     i19 = i33 + (i14 * 20 | 0) + 1 | 0;
     i66 = i33 + (i14 * 20 | 0) + 16 | 0;
     _freeP4(i32, get8(i19 >> 0 | 0) | 0, get32(i66 | 0) | 0);
     set32(i66 | 0, i23 | 0);
     set8(i19 >> 0 | 0, -14 | 0);
    }
   }
   i19 = get32(i15 | 0) | 0;
   i23 = get32(i35 | 0) | 0;
   do if ((i23 | 0) > (i19 | 0)) {
    i67 = i23;
    i68 = i19;
    i69 = get32(i25 + 4 | 0) | 0;
    i16 = 207;
   } else {
    i66 = i25 + 4 | 0;
    i32 = _sqlite3DbRealloc(get32(i25 | 0) | 0, get32(i66 | 0) | 0, (i23 | 0) == 0 ? 1020 : i23 * 40 | 0) | 0;
    if (!i32) {
     i70 = get32(i35 | 0) | 0;
     i71 = get32(i15 | 0) | 0;
     break;
    }
    i14 = get32(i25 | 0) | 0;
    do if ((i14 | 0) != 0 ? (get32(i14 + 260 | 0) | 0) >>> 0 <= i32 >>> 0 : 0) {
     if ((get32(i14 + 264 | 0) | 0) >>> 0 <= i32 >>> 0) {
      i16 = 205;
      break;
     }
     i72 = getU16(i14 + 232 | 0) | 0;
    } else i16 = 205; while (0);
    if ((i16 | 0) == 205) i72 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i32) | 0;
    i14 = (i72 >>> 0) / 20 | 0;
    set32(i35 | 0, i14 | 0);
    set32(i66 | 0, i32 | 0);
    i67 = i14;
    i68 = get32(i15 | 0) | 0;
    i69 = i32;
    i16 = 207;
   } while (0);
   if ((i16 | 0) == 207) {
    i23 = i68 + 1 | 0;
    set32(i15 | 0, i23 | 0);
    set8(i69 + (i19 * 20 | 0) >> 0 | 0, 52 | 0);
    set8(i69 + (i19 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i69 + (i19 * 20 | 0) + 4 | 0, i13 | 0);
    set32(i69 + (i19 * 20 | 0) + 8 | 0, 0 | 0);
    set32(i69 + (i19 * 20 | 0) + 12 | 0, i38 | 0);
    set32(i69 + (i19 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i69 + (i19 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i70 = i67;
    i71 = i23;
   }
   do if ((i70 | 0) > (i71 | 0)) {
    i23 = i25 + 4 | 0;
    i73 = i23;
    i74 = i71;
    i75 = get32(i23 | 0) | 0;
    i16 = 218;
   } else {
    i23 = i25 + 4 | 0;
    i24 = _sqlite3DbRealloc(get32(i25 | 0) | 0, get32(i23 | 0) | 0, (i70 | 0) == 0 ? 1020 : i70 * 40 | 0) | 0;
    if (!i24) {
     i76 = i23;
     i77 = get32(i15 | 0) | 0;
     break;
    }
    i29 = get32(i25 | 0) | 0;
    do if (!i29) i16 = 216; else {
     if ((get32(i29 + 260 | 0) | 0) >>> 0 > i24 >>> 0) {
      i16 = 216;
      break;
     }
     if ((get32(i29 + 264 | 0) | 0) >>> 0 <= i24 >>> 0) {
      i16 = 216;
      break;
     }
     i78 = getU16(i29 + 232 | 0) | 0;
    } while (0);
    if ((i16 | 0) == 216) i78 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i24) | 0;
    set32(i35 | 0, (i78 >>> 0) / 20 | 0 | 0);
    set32(i23 | 0, i24 | 0);
    i73 = i23;
    i74 = get32(i15 | 0) | 0;
    i75 = i24;
    i16 = 218;
   } while (0);
   if ((i16 | 0) == 218) {
    i35 = i74 + 1 | 0;
    set32(i15 | 0, i35 | 0);
    set8(i75 + (i71 * 20 | 0) >> 0 | 0, 1 | 0);
    set8(i75 + (i71 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i75 + (i71 * 20 | 0) + 4 | 0, 0 | 0);
    set32(i75 + (i71 * 20 | 0) + 8 | 0, i21 | 0);
    set32(i75 + (i71 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i75 + (i71 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i75 + (i71 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i76 = i73;
    i77 = i35;
   }
   i35 = get32(i76 | 0) | 0;
   set32(i35 + ((i77 + -2 | 0) * 20 | 0) + 8 | 0, i77 | 0);
   if ((i77 | 0) > (i45 | 0)) set32(i35 + (i45 * 20 | 0) + 8 | 0, i77 | 0);
   if (!i38) break;
   i35 = get8(i31 >> 0 | 0) | 0;
   if ((i35 & 255) >= 8) break;
   do if ((get32(i1 + 112 | 0) | 0) == (i38 | 0)) i79 = i1 + 96 | 0; else {
    if ((get32(i1 + 136 | 0) | 0) == (i38 | 0)) {
     i79 = i1 + 120 | 0;
     break;
    }
    if ((get32(i1 + 160 | 0) | 0) == (i38 | 0)) {
     i79 = i1 + 144 | 0;
     break;
    }
    if ((get32(i1 + 184 | 0) | 0) == (i38 | 0)) {
     i79 = i1 + 168 | 0;
     break;
    }
    if ((get32(i1 + 208 | 0) | 0) == (i38 | 0)) {
     i79 = i1 + 192 | 0;
     break;
    }
    if ((get32(i1 + 232 | 0) | 0) == (i38 | 0)) {
     i79 = i1 + 216 | 0;
     break;
    }
    if ((get32(i1 + 256 | 0) | 0) == (i38 | 0)) {
     i79 = i1 + 240 | 0;
     break;
    }
    if ((get32(i1 + 280 | 0) | 0) == (i38 | 0)) {
     i79 = i1 + 264 | 0;
     break;
    }
    if ((get32(i1 + 304 | 0) | 0) == (i38 | 0)) {
     i79 = i1 + 288 | 0;
     break;
    }
    if ((get32(i1 + 328 | 0) | 0) == (i38 | 0)) {
     i79 = i1 + 312 | 0;
     break;
    }
    set8(i31 >> 0 | 0, i35 + 1 << 24 >> 24 | 0);
    set32(i1 + 24 + ((i35 & 255) << 2) | 0, i38 | 0);
    break L121;
   } while (0);
   set8(i79 + 8 >> 0 | 0, 1 | 0);
   break;
  }
  i35 = i1 + 60 | 0;
  i31 = get32(i35 | 0) | 0;
  i15 = i1 + 56 | 0;
  i19 = get32(i15 | 0) | 0;
  if ((i19 | 0) < (i37 | 0)) {
   i29 = i1 + 72 | 0;
   i32 = get32(i29 | 0) | 0;
   set32(i29 | 0, i32 + i37 | 0);
   i80 = i32 + 1 | 0;
  } else {
   set32(i35 | 0, i31 + i37 | 0);
   set32(i15 | 0, i19 - i37 | 0);
   i80 = i31;
  }
  i31 = i1 + 21 | 0;
  i19 = get8(i31 >> 0 | 0) | 0;
  if (!(i19 << 24 >> 24)) {
   i32 = i1 + 72 | 0;
   i29 = (get32(i32 | 0) | 0) + 1 | 0;
   set32(i32 | 0, i29 | 0);
   i81 = i29;
  } else {
   i29 = i19 + -1 << 24 >> 24;
   set8(i31 >> 0 | 0, i29 | 0);
   i81 = get32(i1 + 24 + ((i29 & 255) << 2) | 0) | 0;
  }
  i29 = i4 + 4 | 0;
  i19 = get32(i29 | 0) | 0;
  i32 = i19 + 12 + (i19 << 2) | 0;
  i66 = get32(i1 | 0) | 0;
  L338 : do if (!i66) if ((i32 + -1 | 0) >>> 0 <= 2147483390) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i82 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i32) | 0;
    i16 = 280;
    break;
   }
   i34 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i32) | 0;
   set32(35 * 4 | 0, i32 | 0);
   if ((get32(45 * 4 | 0) | 0) < (i32 | 0)) set32(45 * 4 | 0, i32 | 0);
   i18 = get32(6 * 4 | 0) | 0;
   do if (i18) {
    i36 = get32(30 * 4 | 0) | 0;
    i30 = ((i36 | 0) < 0) << 31 >> 31;
    i14 = 16;
    i20 = _i64Subtract(get32(i14 | 0) | 0, get32(i14 + 4 | 0) | 0, i34 | 0, ((i34 | 0) < 0) << 31 >> 31 | 0) | 0;
    i14 = tempRet0;
    if ((i30 | 0) < (i14 | 0) | (i30 | 0) == (i14 | 0) & i36 >>> 0 < i20 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i20 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i18 & 15](i20, i36, i30, i34);
     set32(6 * 4 | 0, i18 | 0);
     set32(7 * 4 | 0, i20 | 0);
     break;
    }
   } while (0);
   i18 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i34) | 0;
   if (i18) {
    i24 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i18) | 0;
    i23 = (get32(30 * 4 | 0) | 0) + i24 | 0;
    set32(30 * 4 | 0, i23 | 0);
    if ((i23 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i23 | 0);
    i23 = get32(39 * 4 | 0) | 0;
    i24 = i23 + 1 | 0;
    set32(39 * 4 | 0, i24 | 0);
    if ((i23 | 0) < (get32(49 * 4 | 0) | 0)) {
     i83 = i18;
     i16 = 281;
    } else {
     set32(49 * 4 | 0, i24 | 0);
     i83 = i18;
     i16 = 281;
    }
   } else {
    i84 = 0;
    i85 = 0;
   }
  } else {
   i84 = 0;
   i85 = 0;
  } else {
   i18 = i66 + 30 | 0;
   if (!(get8(i18 >> 0 | 0) | 0)) {
    do if (get8(i66 + 234 >> 0 | 0) | 0) {
     if ((getU16(i66 + 232 | 0) | 0) < (i32 | 0)) {
      i24 = i66 + 248 | 0;
      set32(i24 | 0, (get32(i24 | 0) | 0) + 1 | 0);
      break;
     }
     i24 = i66 + 256 | 0;
     i23 = get32(i24 | 0) | 0;
     if (!i23) {
      i20 = i66 + 252 | 0;
      set32(i20 | 0, (get32(i20 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i24 | 0, get32(i23 | 0) | 0);
     i24 = i66 + 236 | 0;
     i20 = get32(i24 | 0) | 0;
     i30 = i20 + 1 | 0;
     set32(i24 | 0, i30 | 0);
     i24 = i66 + 244 | 0;
     set32(i24 | 0, (get32(i24 | 0) | 0) + 1 | 0);
     i24 = i66 + 240 | 0;
     if ((i20 | 0) >= (get32(i24 | 0) | 0)) set32(i24 | 0, i30 | 0);
     i82 = i23;
     i16 = 280;
     break L338;
    } while (0);
    do if ((i32 + -1 | 0) >>> 0 <= 2147483390) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i34 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i32) | 0;
      if (!i34) break; else {
       i83 = i34;
       i16 = 281;
       break L338;
      }
     }
     i34 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i32) | 0;
     set32(35 * 4 | 0, i32 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i32 | 0)) set32(45 * 4 | 0, i32 | 0);
     i23 = get32(6 * 4 | 0) | 0;
     do if (i23) {
      i30 = get32(30 * 4 | 0) | 0;
      i24 = ((i30 | 0) < 0) << 31 >> 31;
      i20 = 16;
      i36 = _i64Subtract(get32(i20 | 0) | 0, get32(i20 + 4 | 0) | 0, i34 | 0, ((i34 | 0) < 0) << 31 >> 31 | 0) | 0;
      i20 = tempRet0;
      if ((i24 | 0) < (i20 | 0) | (i24 | 0) == (i20 | 0) & i30 >>> 0 < i36 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i36 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i23 & 15](i36, i30, i24, i34);
       set32(6 * 4 | 0, i23 | 0);
       set32(7 * 4 | 0, i36 | 0);
       break;
      }
     } while (0);
     i23 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i34) | 0;
     if (i23) {
      i22 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i23) | 0;
      i36 = (get32(30 * 4 | 0) | 0) + i22 | 0;
      set32(30 * 4 | 0, i36 | 0);
      if ((i36 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i36 | 0);
      i36 = get32(39 * 4 | 0) | 0;
      i22 = i36 + 1 | 0;
      set32(39 * 4 | 0, i22 | 0);
      if ((i36 | 0) < (get32(49 * 4 | 0) | 0)) {
       i83 = i23;
       i16 = 281;
       break L338;
      }
      set32(49 * 4 | 0, i22 | 0);
      i83 = i23;
      i16 = 281;
      break L338;
     }
    } while (0);
    set8(i18 >> 0 | 0, 1 | 0);
    i84 = 0;
    i85 = 0;
   } else {
    i84 = 0;
    i85 = 0;
   }
  } while (0);
  if ((i16 | 0) == 280) if (!i82) {
   i84 = 0;
   i85 = 0;
  } else {
   i83 = i82;
   i16 = 281;
  }
  if ((i16 | 0) == 281) {
   _memset(i83 | 0, 0, i32 | 0) | 0;
   i23 = get32(i1 | 0) | 0;
   set32(i83 | 0, i23 | 0);
   i22 = i83 + 12 | 0;
   i36 = i83 + 8 | 0;
   set32(i36 | 0, i22 + (i19 << 2) | 0);
   L396 : do if ((i19 | 0) > 0) {
    i24 = i4 + 44 | 0;
    i30 = i4 + 40 | 0;
    i20 = i23;
    i14 = 0;
    while (1) {
     i33 = get32((get32(i24 | 0) | 0) + (i14 << 2) | 0) | 0;
     i86 = get8((get32((get32(i20 + 8 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0) | 0;
     i87 = get8(i20 + 124 >> 0 | 0) | 0;
     i88 = _sqlite3FindCollSeq(i20, i86, i33, i87 & 255) | 0;
     do if (!(i87 << 24 >> 24)) {
      if ((i88 | 0) != 0 ? (get32(i88 + 12 | 0) | 0) != 0 : 0) {
       i89 = i88;
       break;
      }
      i90 = _sqlite3GetCollSeq(i20, i86, i88, i33) | 0;
      if (!i90) {
       set32(i11 | 0, i33 | 0);
       _sqlite3ErrorMsg(i1, 30475, i11);
       i89 = 0;
      } else i89 = i90;
     } else i89 = i88; while (0);
     set32(i22 + (i14 << 2) | 0, i89 | 0);
     set8((get32(i36 | 0) | 0) + i14 >> 0 | 0, get8((get32(i30 | 0) | 0) + i14 >> 0 | 0) | 0 | 0);
     i88 = i14 + 1 | 0;
     if ((i88 | 0) == (i19 | 0)) break L396;
     i20 = get32(i1 | 0) | 0;
     i14 = i88;
    }
   } while (0);
   set16(i83 + 6 | 0, i19 | 0);
   i84 = i83;
   i85 = i83;
  }
  if (!(get32(i1 + 64 | 0) | 0)) i91 = i85; else {
   _sqlite3DbFree(i66, i84);
   i91 = 0;
  }
  i36 = get32(i4 + 20 | 0) | 0;
  i22 = i25 + 28 | 0;
  i23 = get32(i22 | 0) | 0;
  i32 = i25 + 32 | 0;
  i14 = get32(i32 | 0) | 0;
  if ((i14 | 0) <= (i23 | 0)) {
   i20 = i25 + 4 | 0;
   i30 = _sqlite3DbRealloc(get32(i25 | 0) | 0, get32(i20 | 0) | 0, (i14 | 0) == 0 ? 1020 : i14 * 40 | 0) | 0;
   if (!i30) {
    i92 = i25;
    i93 = i20;
   } else {
    i14 = get32(i25 | 0) | 0;
    if (((i14 | 0) != 0 ? (get32(i14 + 260 | 0) | 0) >>> 0 <= i30 >>> 0 : 0) ? (get32(i14 + 264 | 0) | 0) >>> 0 > i30 >>> 0 : 0) i94 = getU16(i14 + 232 | 0) | 0; else i94 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i30) | 0;
    set32(i32 | 0, (i94 >>> 0) / 20 | 0 | 0);
    set32(i20 | 0, i30 | 0);
    i95 = i20;
    i96 = i25;
    i97 = get32(i22 | 0) | 0;
    i98 = i30;
    i16 = 302;
   }
  } else {
   i30 = i25 + 4 | 0;
   i95 = i30;
   i96 = i25;
   i97 = i23;
   i98 = get32(i30 | 0) | 0;
   i16 = 302;
  }
  if ((i16 | 0) == 302) {
   set32(i22 | 0, i97 + 1 | 0);
   set8(i98 + (i23 * 20 | 0) >> 0 | 0, 38 | 0);
   set8(i98 + (i23 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i98 + (i23 * 20 | 0) + 4 | 0, i13 | 0);
   set32(i98 + (i23 * 20 | 0) + 8 | 0, i36 | 0);
   set32(i98 + (i23 * 20 | 0) + 12 | 0, i2 | 0);
   set32(i98 + (i23 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i98 + (i23 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i92 = i96;
   i93 = i95;
  }
  i23 = get32(i92 | 0) | 0;
  i36 = get32(i93 | 0) | 0;
  do if ((i36 | 0) != 0 ? (get8(i23 + 30 >> 0 | 0) | 0) == 0 : 0) {
   i30 = (get32(i22 | 0) | 0) + -1 | 0;
   i20 = i36 + (i30 * 20 | 0) + 1 | 0;
   i14 = i36 + (i30 * 20 | 0) + 16 | 0;
   _freeP4(i23, get8(i20 >> 0 | 0) | 0, get32(i14 | 0) | 0);
   set32(i14 | 0, 0 | 0);
   if (!i91) {
    set32(i14 | 0, 0 | 0);
    set8(i20 >> 0 | 0, 0 | 0);
    break;
   } else {
    set32(i14 | 0, i91 | 0);
    set8(i20 >> 0 | 0, -6 | 0);
    break;
   }
  } else i16 = 305; while (0);
  if ((i16 | 0) == 305 ? (i91 | 0) != 0 : 0) _sqlite3DbFree(i23, i91);
  i36 = (i37 | 0) > 0;
  if (i36) {
   i66 = i7 + 1 | 0;
   i19 = 0;
   do {
    i20 = i66 + (get32(i6 + (i19 << 2) | 0) | 0) | 0;
    i14 = i19 + i80 | 0;
    i30 = get32(i22 | 0) | 0;
    i24 = get32(i32 | 0) | 0;
    if ((i24 | 0) <= (i30 | 0)) {
     i18 = _sqlite3DbRealloc(get32(i92 | 0) | 0, get32(i93 | 0) | 0, (i24 | 0) == 0 ? 1020 : i24 * 40 | 0) | 0;
     if (i18) {
      i24 = get32(i92 | 0) | 0;
      do if (!i24) i16 = 319; else {
       if ((get32(i24 + 260 | 0) | 0) >>> 0 > i18 >>> 0) {
        i16 = 319;
        break;
       }
       if ((get32(i24 + 264 | 0) | 0) >>> 0 <= i18 >>> 0) {
        i16 = 319;
        break;
       }
       i99 = getU16(i24 + 232 | 0) | 0;
      } while (0);
      if ((i16 | 0) == 319) {
       i16 = 0;
       i99 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i18) | 0;
      }
      set32(i32 | 0, (i99 >>> 0) / 20 | 0 | 0);
      set32(i93 | 0, i18 | 0);
      i100 = get32(i22 | 0) | 0;
      i101 = i18;
      i16 = 321;
     }
    } else {
     i100 = i30;
     i101 = get32(i93 | 0) | 0;
     i16 = 321;
    }
    if ((i16 | 0) == 321) {
     i16 = 0;
     set32(i22 | 0, i100 + 1 | 0);
     set8(i101 + (i30 * 20 | 0) >> 0 | 0, 14 | 0);
     set8(i101 + (i30 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i101 + (i30 * 20 | 0) + 4 | 0, i20 | 0);
     set32(i101 + (i30 * 20 | 0) + 8 | 0, i14 | 0);
     set32(i101 + (i30 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i101 + (i30 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i101 + (i30 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    }
    i19 = i19 + 1 | 0;
   } while ((i19 | 0) != (i37 | 0));
  }
  do if ((i8 | 0) == 1 ? (get32(i5 | 0) | 0) == (i3 | 0) : 0) {
   i19 = get32(i22 | 0) | 0;
   i66 = i37 + 1 + i19 | 0;
   if (i36) {
    i23 = i7 + 1 | 0;
    i24 = i4 + 8 | 0;
    i88 = i3 + 4 | 0;
    i33 = i19;
    i86 = 0;
    while (1) {
     i87 = i23 + (get32(i6 + (i86 << 2) | 0) | 0) | 0;
     i34 = get32((get32(i24 | 0) | 0) + (i86 << 2) | 0) | 0;
     i90 = ((i34 | 0) == (get32(i88 | 0) | 0) ? 0 : i34 + 1 | 0) + i7 | 0;
     i34 = get32(i32 | 0) | 0;
     do if ((i34 | 0) > (i33 | 0)) {
      i102 = i33;
      i103 = get32(i93 | 0) | 0;
      i16 = 335;
     } else {
      i104 = _sqlite3DbRealloc(get32(i92 | 0) | 0, get32(i93 | 0) | 0, (i34 | 0) == 0 ? 1020 : i34 * 40 | 0) | 0;
      if (!i104) break;
      i105 = get32(i92 | 0) | 0;
      do if (!i105) i16 = 333; else {
       if ((get32(i105 + 260 | 0) | 0) >>> 0 > i104 >>> 0) {
        i16 = 333;
        break;
       }
       if ((get32(i105 + 264 | 0) | 0) >>> 0 <= i104 >>> 0) {
        i16 = 333;
        break;
       }
       i106 = getU16(i105 + 232 | 0) | 0;
      } while (0);
      if ((i16 | 0) == 333) {
       i16 = 0;
       i106 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i104) | 0;
      }
      set32(i32 | 0, (i106 >>> 0) / 20 | 0 | 0);
      set32(i93 | 0, i104 | 0);
      i102 = get32(i22 | 0) | 0;
      i103 = i104;
      i16 = 335;
     } while (0);
     if ((i16 | 0) == 335) {
      i16 = 0;
      set32(i22 | 0, i102 + 1 | 0);
      set8(i103 + (i33 * 20 | 0) >> 0 | 0, 75 | 0);
      set8(i103 + (i33 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i103 + (i33 * 20 | 0) + 4 | 0, i87 | 0);
      set32(i103 + (i33 * 20 | 0) + 8 | 0, i66 | 0);
      set32(i103 + (i33 * 20 | 0) + 12 | 0, i90 | 0);
      set32(i103 + (i33 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i103 + (i33 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     }
     i34 = get32(i93 | 0) | 0;
     if (i34) set8(i34 + (((get32(i22 | 0) | 0) + -1 | 0) * 20 | 0) + 3 >> 0 | 0, 8 | 0);
     i86 = i86 + 1 | 0;
     i34 = get32(i22 | 0) | 0;
     if ((i86 | 0) == (i37 | 0)) {
      i107 = i34;
      break;
     } else i33 = i34;
    }
   } else i107 = i19;
   i33 = get32(i32 | 0) | 0;
   if ((i33 | 0) > (i107 | 0)) {
    i108 = i107;
    i109 = get32(i93 | 0) | 0;
   } else {
    i86 = _sqlite3DbRealloc(get32(i92 | 0) | 0, get32(i93 | 0) | 0, (i33 | 0) == 0 ? 1020 : i33 * 40 | 0) | 0;
    if (!i86) break;
    i33 = get32(i92 | 0) | 0;
    do if (!i33) i16 = 346; else {
     if ((get32(i33 + 260 | 0) | 0) >>> 0 > i86 >>> 0) {
      i16 = 346;
      break;
     }
     if ((get32(i33 + 264 | 0) | 0) >>> 0 <= i86 >>> 0) {
      i16 = 346;
      break;
     }
     i110 = getU16(i33 + 232 | 0) | 0;
    } while (0);
    if ((i16 | 0) == 346) i110 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i86) | 0;
    set32(i32 | 0, (i110 >>> 0) / 20 | 0 | 0);
    set32(i93 | 0, i86 | 0);
    i108 = get32(i22 | 0) | 0;
    i109 = i86;
   }
   set32(i22 | 0, i108 + 1 | 0);
   set8(i109 + (i107 * 20 | 0) >> 0 | 0, 1 | 0);
   set8(i109 + (i107 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i109 + (i107 * 20 | 0) + 4 | 0, 0 | 0);
   set32(i109 + (i107 * 20 | 0) + 8 | 0, i21 | 0);
   set32(i109 + (i107 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i109 + (i107 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i109 + (i107 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  } while (0);
  i36 = get32(i22 | 0) | 0;
  i33 = get32(i32 | 0) | 0;
  if ((i33 | 0) <= (i36 | 0)) {
   i19 = _sqlite3DbRealloc(get32(i92 | 0) | 0, get32(i93 | 0) | 0, (i33 | 0) == 0 ? 1020 : i33 * 40 | 0) | 0;
   if (i19) {
    i33 = get32(i92 | 0) | 0;
    do if (!i33) i16 = 356; else {
     if ((get32(i33 + 260 | 0) | 0) >>> 0 > i19 >>> 0) {
      i16 = 356;
      break;
     }
     if ((get32(i33 + 264 | 0) | 0) >>> 0 <= i19 >>> 0) {
      i16 = 356;
      break;
     }
     i111 = getU16(i33 + 232 | 0) | 0;
    } while (0);
    if ((i16 | 0) == 356) i111 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i19) | 0;
    set32(i32 | 0, (i111 >>> 0) / 20 | 0 | 0);
    set32(i93 | 0, i19 | 0);
    i112 = get32(i22 | 0) | 0;
    i113 = i19;
    i16 = 358;
   }
  } else {
   i112 = i36;
   i113 = get32(i93 | 0) | 0;
   i16 = 358;
  }
  if ((i16 | 0) == 358) {
   set32(i22 | 0, i112 + 1 | 0);
   set8(i113 + (i36 * 20 | 0) >> 0 | 0, 30 | 0);
   set8(i113 + (i36 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i113 + (i36 * 20 | 0) + 4 | 0, i80 | 0);
   set32(i113 + (i36 * 20 | 0) + 8 | 0, i37 | 0);
   set32(i113 + (i36 * 20 | 0) + 12 | 0, i81 | 0);
   set32(i113 + (i36 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i113 + (i36 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  }
  i33 = i4 + 28 | 0;
  i66 = get32(i33 | 0) | 0;
  L507 : do if (!i66) {
   i88 = get32(i4 + 16 | 0) | 0;
   i24 = get32(i92 | 0) | 0;
   i23 = get32(i29 | 0) | 0;
   i30 = i23 + 2 | 0;
   do if ((i23 + 1 | 0) >>> 0 > 2147483390) set32(i33 | 0, 0 | 0); else {
    if (!(get32(50 * 4 | 0) | 0)) {
     i14 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i30) | 0;
     set32(i33 | 0, i14 | 0);
     if (!i14) break; else i114 = i14;
    } else {
     i14 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i30) | 0;
     set32(35 * 4 | 0, i30 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i30 | 0)) set32(45 * 4 | 0, i30 | 0);
     i20 = get32(6 * 4 | 0) | 0;
     do if (i20) {
      i18 = get32(30 * 4 | 0) | 0;
      i34 = ((i18 | 0) < 0) << 31 >> 31;
      i105 = 16;
      i17 = _i64Subtract(get32(i105 | 0) | 0, get32(i105 + 4 | 0) | 0, i14 | 0, ((i14 | 0) < 0) << 31 >> 31 | 0) | 0;
      i105 = tempRet0;
      if ((i34 | 0) < (i105 | 0) | (i34 | 0) == (i105 | 0) & i18 >>> 0 < i17 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i17 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i20 & 15](i17, i18, i34, i14);
       set32(6 * 4 | 0, i20 | 0);
       set32(7 * 4 | 0, i17 | 0);
       break;
      }
     } while (0);
     i20 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i14) | 0;
     if (!i20) {
      set32(i33 | 0, 0 | 0);
      break;
     }
     i90 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i20) | 0;
     i87 = (get32(30 * 4 | 0) | 0) + i90 | 0;
     set32(30 * 4 | 0, i87 | 0);
     if ((i87 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i87 | 0);
     i87 = get32(39 * 4 | 0) | 0;
     i90 = i87 + 1 | 0;
     set32(39 * 4 | 0, i90 | 0);
     if ((i87 | 0) >= (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i90 | 0);
     set32(i33 | 0, i20 | 0);
     i114 = i20;
    }
    if ((get32(i29 | 0) | 0) > 0) {
     i20 = i4 + 8 | 0;
     i90 = i88 + 12 | 0;
     i87 = i114;
     i17 = 0;
     while (1) {
      set8(i87 + i17 >> 0 | 0, get8((get32(i90 | 0) | 0) + ((get32((get32(i20 | 0) | 0) + (i17 << 2) | 0) | 0) * 24 | 0) + 22 >> 0 | 0) | 0 | 0);
      i34 = i17 + 1 | 0;
      i18 = get32(i33 | 0) | 0;
      if ((i34 | 0) < (get32(i29 | 0) | 0)) {
       i87 = i18;
       i17 = i34;
      } else {
       i115 = i18;
       i116 = i34;
       break;
      }
     }
    } else {
     i115 = i114;
     i116 = 0;
    }
    set8(i115 + i116 >> 0 | 0, 98 | 0);
    set8((get32(i33 | 0) | 0) + (i116 + 1) >> 0 | 0, 0 | 0);
    i117 = get32(i33 | 0) | 0;
    break L507;
   } while (0);
   set8(i24 + 30 >> 0 | 0, 1 | 0);
   i117 = 0;
  } else i117 = i66; while (0);
  _sqlite3VdbeChangeP4(i25, -1, i117, 0);
  i66 = get32(i22 | 0) | 0;
  i33 = get32(i32 | 0) | 0;
  do if ((i33 | 0) > (i66 | 0)) {
   i118 = i66;
   i119 = get32(i93 | 0) | 0;
   i16 = 391;
  } else {
   i29 = _sqlite3DbRealloc(get32(i92 | 0) | 0, get32(i93 | 0) | 0, (i33 | 0) == 0 ? 1020 : i33 * 40 | 0) | 0;
   if (!i29) {
    i120 = 1;
    break;
   }
   i36 = get32(i92 | 0) | 0;
   do if (!i36) i16 = 389; else {
    if ((get32(i36 + 260 | 0) | 0) >>> 0 > i29 >>> 0) {
     i16 = 389;
     break;
    }
    if ((get32(i36 + 264 | 0) | 0) >>> 0 <= i29 >>> 0) {
     i16 = 389;
     break;
    }
    i121 = getU16(i36 + 232 | 0) | 0;
   } while (0);
   if ((i16 | 0) == 389) i121 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i29) | 0;
   set32(i32 | 0, (i121 >>> 0) / 20 | 0 | 0);
   set32(i93 | 0, i29 | 0);
   i118 = get32(i22 | 0) | 0;
   i119 = i29;
   i16 = 391;
  } while (0);
  if ((i16 | 0) == 391) {
   set32(i22 | 0, i118 + 1 | 0);
   set8(i119 + (i66 * 20 | 0) >> 0 | 0, 50 | 0);
   set8(i119 + (i66 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i119 + (i66 * 20 | 0) + 4 | 0, i13 | 0);
   set32(i119 + (i66 * 20 | 0) + 8 | 0, i21 | 0);
   set32(i119 + (i66 * 20 | 0) + 12 | 0, i81 | 0);
   set32(i119 + (i66 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i119 + (i66 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i120 = i66;
  }
  i32 = get32(i92 | 0) | 0;
  i33 = get32(i93 | 0) | 0;
  do if (i33) {
   if (get8(i32 + 30 >> 0 | 0) | 0) break;
   if ((i120 | 0) < 0) i122 = (get32(i22 | 0) | 0) + -1 | 0; else i122 = i120;
   i36 = i33 + (i122 * 20 | 0) + 1 | 0;
   i24 = i33 + (i122 * 20 | 0) + 16 | 0;
   _freeP4(i32, get8(i36 >> 0 | 0) | 0, get32(i24 | 0) | 0);
   set32(i24 | 0, 0 | 0);
   set8(i36 >> 0 | 0, -14 | 0);
  } while (0);
  L562 : do if (i81) {
   i32 = get8(i31 >> 0 | 0) | 0;
   if ((i32 & 255) >= 8) break;
   do if ((get32(i1 + 112 | 0) | 0) == (i81 | 0)) i123 = i1 + 96 | 0; else {
    if ((get32(i1 + 136 | 0) | 0) == (i81 | 0)) {
     i123 = i1 + 120 | 0;
     break;
    }
    if ((get32(i1 + 160 | 0) | 0) == (i81 | 0)) {
     i123 = i1 + 144 | 0;
     break;
    }
    if ((get32(i1 + 184 | 0) | 0) == (i81 | 0)) {
     i123 = i1 + 168 | 0;
     break;
    }
    if ((get32(i1 + 208 | 0) | 0) == (i81 | 0)) {
     i123 = i1 + 192 | 0;
     break;
    }
    if ((get32(i1 + 232 | 0) | 0) == (i81 | 0)) {
     i123 = i1 + 216 | 0;
     break;
    }
    if ((get32(i1 + 256 | 0) | 0) == (i81 | 0)) {
     i123 = i1 + 240 | 0;
     break;
    }
    if ((get32(i1 + 280 | 0) | 0) == (i81 | 0)) {
     i123 = i1 + 264 | 0;
     break;
    }
    if ((get32(i1 + 304 | 0) | 0) == (i81 | 0)) {
     i123 = i1 + 288 | 0;
     break;
    }
    if ((get32(i1 + 328 | 0) | 0) == (i81 | 0)) {
     i123 = i1 + 312 | 0;
     break;
    }
    set8(i31 >> 0 | 0, i32 + 1 << 24 >> 24 | 0);
    set32(i1 + 24 + ((i32 & 255) << 2) | 0, i81 | 0);
    break L562;
   } while (0);
   set8(i123 + 8 >> 0 | 0, 1 | 0);
  } while (0);
  i32 = i37 + -1 + i80 | 0;
  i29 = 0;
  i33 = i1 + 96 | 0;
  while (1) {
   i22 = i33 + 16 | 0;
   i66 = get32(i22 | 0) | 0;
   if (!((i66 | 0) < (i80 | 0) | (i66 | 0) > (i32 | 0))) {
    i36 = i33 + 8 | 0;
    if (get8(i36 >> 0 | 0) | 0) {
     i24 = get8(i31 >> 0 | 0) | 0;
     if ((i24 & 255) < 8) {
      set8(i31 >> 0 | 0, i24 + 1 << 24 >> 24 | 0);
      set32(i1 + 24 + ((i24 & 255) << 2) | 0, i66 | 0);
     }
     set8(i36 >> 0 | 0, 0 | 0);
    }
    set32(i22 | 0, 0 | 0);
   }
   i29 = i29 + 1 | 0;
   if ((i29 | 0) == 10) break; else i33 = i33 + 24 | 0;
  }
  if ((get32(i15 | 0) | 0) >= (i37 | 0)) break;
  set32(i15 | 0, i37 | 0);
  set32(i35 | 0, i80 | 0);
 } while (0);
 i80 = get8(i5 + 24 >> 0 | 0) | 0;
 i5 = i80 << 24 >> 24 == 0;
 if ((i5 ? (i37 = i1 + 424 | 0, (get32(i37 | 0) | 0) == 0) : 0) ? (get8(i1 + 344 >> 0 | 0) | 0) == 0 : 0) {
  i123 = get32(i12 | 0) | 0;
  do if (!i123) {
   i81 = get32(i1 | 0) | 0;
   L598 : do if (!i81) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i124 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
     i16 = 462;
     break;
    }
    i122 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
    set32(35 * 4 | 0, 192 | 0);
    if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
    i120 = get32(6 * 4 | 0) | 0;
    do if (i120) {
     i93 = get32(30 * 4 | 0) | 0;
     i92 = ((i93 | 0) < 0) << 31 >> 31;
     i119 = 16;
     i21 = _i64Subtract(get32(i119 | 0) | 0, get32(i119 + 4 | 0) | 0, i122 | 0, ((i122 | 0) < 0) << 31 >> 31 | 0) | 0;
     i119 = tempRet0;
     if ((i92 | 0) < (i119 | 0) | (i92 | 0) == (i119 | 0) & i93 >>> 0 < i21 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i21 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i120 & 15](i21, i93, i92, i122);
      set32(6 * 4 | 0, i120 | 0);
      set32(7 * 4 | 0, i21 | 0);
      break;
     }
    } while (0);
    i120 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i122) | 0;
    if (i120) {
     i21 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i120) | 0;
     i92 = (get32(30 * 4 | 0) | 0) + i21 | 0;
     set32(30 * 4 | 0, i92 | 0);
     if ((i92 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i92 | 0);
     i92 = get32(39 * 4 | 0) | 0;
     i21 = i92 + 1 | 0;
     set32(39 * 4 | 0, i21 | 0);
     if ((i92 | 0) < (get32(49 * 4 | 0) | 0)) i125 = i120; else {
      set32(49 * 4 | 0, i21 | 0);
      i125 = i120;
     }
    } else i16 = 463;
   } else {
    i120 = i81 + 30 | 0;
    if (!(get8(i120 >> 0 | 0) | 0)) {
     do if (get8(i81 + 234 >> 0 | 0) | 0) {
      if ((getU16(i81 + 232 | 0) | 0) < 192) {
       i21 = i81 + 248 | 0;
       set32(i21 | 0, (get32(i21 | 0) | 0) + 1 | 0);
       break;
      }
      i21 = i81 + 256 | 0;
      i92 = get32(i21 | 0) | 0;
      if (!i92) {
       i93 = i81 + 252 | 0;
       set32(i93 | 0, (get32(i93 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i21 | 0, get32(i92 | 0) | 0);
      i21 = i81 + 236 | 0;
      i93 = get32(i21 | 0) | 0;
      i119 = i93 + 1 | 0;
      set32(i21 | 0, i119 | 0);
      i21 = i81 + 244 | 0;
      set32(i21 | 0, (get32(i21 | 0) | 0) + 1 | 0);
      i21 = i81 + 240 | 0;
      if ((i93 | 0) >= (get32(i21 | 0) | 0)) set32(i21 | 0, i119 | 0);
      i124 = i92;
      i16 = 462;
      break L598;
     } while (0);
     do if (!(get32(50 * 4 | 0) | 0)) {
      i122 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
      if (i122) {
       i125 = i122;
       break L598;
      }
     } else {
      i122 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
      set32(35 * 4 | 0, 192 | 0);
      if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
      i92 = get32(6 * 4 | 0) | 0;
      do if (i92) {
       i119 = get32(30 * 4 | 0) | 0;
       i21 = ((i119 | 0) < 0) << 31 >> 31;
       i93 = 16;
       i118 = _i64Subtract(get32(i93 | 0) | 0, get32(i93 + 4 | 0) | 0, i122 | 0, ((i122 | 0) < 0) << 31 >> 31 | 0) | 0;
       i93 = tempRet0;
       if ((i21 | 0) < (i93 | 0) | (i21 | 0) == (i93 | 0) & i119 >>> 0 < i118 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i118 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i92 & 15](i118, i119, i21, i122);
        set32(6 * 4 | 0, i92 | 0);
        set32(7 * 4 | 0, i118 | 0);
        break;
       }
      } while (0);
      i92 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i122) | 0;
      if (!i92) break;
      i118 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i92) | 0;
      i21 = (get32(30 * 4 | 0) | 0) + i118 | 0;
      set32(30 * 4 | 0, i21 | 0);
      if ((i21 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i21 | 0);
      i21 = get32(39 * 4 | 0) | 0;
      i118 = i21 + 1 | 0;
      set32(39 * 4 | 0, i118 | 0);
      if ((i21 | 0) < (get32(49 * 4 | 0) | 0)) {
       i125 = i92;
       break L598;
      }
      set32(49 * 4 | 0, i118 | 0);
      i125 = i92;
      break L598;
     } while (0);
     set8(i120 >> 0 | 0, 1 | 0);
     i16 = 463;
    } else i16 = 463;
   } while (0);
   if ((i16 | 0) == 462) if (!i124) i16 = 463; else i125 = i124;
   if ((i16 | 0) == 463) {
    set32(i12 | 0, 0 | 0);
    i126 = 0;
    break;
   }
   _memset(i125 | 0, 0, 192) | 0;
   set32(i125 | 0, i81 | 0);
   i35 = i81 + 136 | 0;
   i15 = get32(i35 | 0) | 0;
   if (i15) set32(i15 + 60 | 0, i125 | 0);
   set32(i125 + 64 | 0, i15 | 0);
   set32(i125 + 60 | 0, 0 | 0);
   set32(i35 | 0, i125 | 0);
   set32(i125 + 52 | 0, 649915045 | 0);
   set32(i12 | 0, i125 | 0);
   i35 = i125 + 28 | 0;
   i15 = i125 + 32 | 0;
   i92 = i125 + 4 | 0;
   i118 = _sqlite3DbRealloc(i81, 0, 1020) | 0;
   if (!i118) i126 = i125; else {
    i21 = get32(i125 | 0) | 0;
    if (((i21 | 0) != 0 ? (get32(i21 + 260 | 0) | 0) >>> 0 <= i118 >>> 0 : 0) ? (get32(i21 + 264 | 0) | 0) >>> 0 > i118 >>> 0 : 0) i127 = getU16(i21 + 232 | 0) | 0; else i127 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i118) | 0;
    set32(i15 | 0, (i127 >>> 0) / 20 | 0 | 0);
    set32(i92 | 0, i118 | 0);
    set32(i35 | 0, (get32(i35 | 0) | 0) + 1 | 0);
    set8(i118 >> 0 | 0, -120 | 0);
    set8(i118 + 1 >> 0 | 0, 0 | 0);
    i27 = i118 + 3 | 0;
    i28 = i27 + 17 | 0;
    do {
     set8(i27 >> 0 | 0, 0 | 0);
     i27 = i27 + 1 | 0;
    } while ((i27 | 0) < (i28 | 0));
    i126 = i125;
   }
  } else i126 = i123; while (0);
  i123 = get32(i37 | 0) | 0;
  set8(((i123 | 0) == 0 ? i1 : i123) + 345 >> 0 | 0, 1 | 0);
  i123 = i126 + 28 | 0;
  i37 = get32(i123 | 0) | 0;
  i125 = i126 + 32 | 0;
  i27 = get32(i125 | 0) | 0;
  if ((i27 | 0) <= (i37 | 0)) {
   i28 = i126 + 4 | 0;
   i127 = _sqlite3DbRealloc(get32(i126 | 0) | 0, get32(i28 | 0) | 0, (i27 | 0) == 0 ? 1020 : i27 * 40 | 0) | 0;
   if (!i127) {
    i128 = 1;
    i129 = i126;
    i130 = i28;
   } else {
    i27 = get32(i126 | 0) | 0;
    if (((i27 | 0) != 0 ? (get32(i27 + 260 | 0) | 0) >>> 0 <= i127 >>> 0 : 0) ? (get32(i27 + 264 | 0) | 0) >>> 0 > i127 >>> 0 : 0) i131 = getU16(i27 + 232 | 0) | 0; else i131 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i127) | 0;
    set32(i125 | 0, (i131 >>> 0) / 20 | 0 | 0);
    set32(i28 | 0, i127 | 0);
    i132 = i28;
    i133 = i126;
    i134 = get32(i123 | 0) | 0;
    i135 = i127;
    i16 = 482;
   }
  } else {
   i127 = i126 + 4 | 0;
   i132 = i127;
   i133 = i126;
   i134 = i37;
   i135 = get32(i127 | 0) | 0;
   i16 = 482;
  }
  if ((i16 | 0) == 482) {
   set32(i123 | 0, i134 + 1 | 0);
   set8(i135 + (i37 * 20 | 0) >> 0 | 0, 6 | 0);
   set8(i135 + (i37 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i135 + (i37 * 20 | 0) + 4 | 0, 19 | 0);
   set32(i135 + (i37 * 20 | 0) + 8 | 0, 2 | 0);
   set32(i135 + (i37 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i135 + (i37 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i135 + (i37 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i128 = i37;
   i129 = i133;
   i130 = i132;
  }
  i132 = get32(i129 | 0) | 0;
  i129 = get32(i130 | 0) | 0;
  if ((i129 | 0) != 0 ? (get8(i132 + 30 >> 0 | 0) | 0) == 0 : 0) {
   if ((i128 | 0) < 0) i136 = (get32(i123 | 0) | 0) + -1 | 0; else i136 = i128;
   i128 = i129 + (i136 * 20 | 0) + 1 | 0;
   i123 = i129 + (i136 * 20 | 0) + 16 | 0;
   _freeP4(i132, get8(i128 >> 0 | 0) | 0, get32(i123 | 0) | 0);
   set32(i123 | 0, 19759 | 0);
   set8(i128 >> 0 | 0, -2 | 0);
  }
 } else i16 = 488;
 do if ((i16 | 0) == 488) {
  if (!((i8 | 0) < 1 | i5 ^ 1)) {
   i128 = get32(i1 + 424 | 0) | 0;
   set8(((i128 | 0) == 0 ? i1 : i128) + 345 >> 0 | 0, 1 | 0);
  }
  i128 = i80 & 255;
  i123 = i25 + 28 | 0;
  i132 = get32(i123 | 0) | 0;
  i136 = i25 + 32 | 0;
  i129 = get32(i136 | 0) | 0;
  if ((i129 | 0) > (i132 | 0)) {
   i137 = i132;
   i138 = get32(i25 + 4 | 0) | 0;
  } else {
   i130 = i25 + 4 | 0;
   i133 = _sqlite3DbRealloc(get32(i25 | 0) | 0, get32(i130 | 0) | 0, (i129 | 0) == 0 ? 1020 : i129 * 40 | 0) | 0;
   if (!i133) break;
   i129 = get32(i25 | 0) | 0;
   if (((i129 | 0) != 0 ? (get32(i129 + 260 | 0) | 0) >>> 0 <= i133 >>> 0 : 0) ? (get32(i129 + 264 | 0) | 0) >>> 0 > i133 >>> 0 : 0) i139 = getU16(i129 + 232 | 0) | 0; else i139 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i133) | 0;
   set32(i136 | 0, (i139 >>> 0) / 20 | 0 | 0);
   set32(i130 | 0, i133 | 0);
   i137 = get32(i123 | 0) | 0;
   i138 = i133;
  }
  set32(i123 | 0, i137 + 1 | 0);
  set8(i138 + (i132 * 20 | 0) >> 0 | 0, 110 | 0);
  set8(i138 + (i132 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i138 + (i132 * 20 | 0) + 4 | 0, i128 | 0);
  set32(i138 + (i132 * 20 | 0) + 8 | 0, i8 | 0);
  set32(i138 + (i132 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i138 + (i132 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i138 + (i132 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
 } while (0);
 i138 = get32(i25 + 44 | 0) | 0;
 i8 = i25 + 28 | 0;
 if (i138) set32(i138 + (i26 << 2) | 0, get32(i8 | 0) | 0);
 i26 = get32(i8 | 0) | 0;
 i138 = i25 + 32 | 0;
 i137 = get32(i138 | 0) | 0;
 if ((i137 | 0) > (i26 | 0)) {
  i140 = i26;
  i141 = get32(i25 + 4 | 0) | 0;
 } else {
  i139 = i25 + 4 | 0;
  i80 = _sqlite3DbRealloc(get32(i25 | 0) | 0, get32(i139 | 0) | 0, (i137 | 0) == 0 ? 1020 : i137 * 40 | 0) | 0;
  if (!i80) {
   STACKTOP = i10;
   return;
  }
  i137 = get32(i25 | 0) | 0;
  if (((i137 | 0) != 0 ? (get32(i137 + 260 | 0) | 0) >>> 0 <= i80 >>> 0 : 0) ? (get32(i137 + 264 | 0) | 0) >>> 0 > i80 >>> 0 : 0) i142 = getU16(i137 + 232 | 0) | 0; else i142 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i80) | 0;
  set32(i138 | 0, (i142 >>> 0) / 20 | 0 | 0);
  set32(i139 | 0, i80 | 0);
  i140 = get32(i8 | 0) | 0;
  i141 = i80;
 }
 set32(i8 | 0, i140 + 1 | 0);
 set8(i141 + (i26 * 20 | 0) >> 0 | 0, 43 | 0);
 set8(i141 + (i26 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
 set32(i141 + (i26 * 20 | 0) + 4 | 0, i13 | 0);
 set32(i141 + (i26 * 20 | 0) + 8 | 0, 0 | 0);
 set32(i141 + (i26 * 20 | 0) + 12 | 0, 0 | 0);
 set32(i141 + (i26 * 20 | 0) + 16 | 0, 0 | 0);
 set8(i141 + (i26 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
 STACKTOP = i10;
 return;
}

function _sqlite3StartTable(i1, i2, i3, i4, i5, i6, i7) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 i7 = i7 | 0;
 var i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0, i80 = 0, i81 = 0, i82 = 0, i83 = 0, i84 = 0, i85 = 0, i86 = 0, i87 = 0, i88 = 0, i89 = 0, i90 = 0, i91 = 0, i92 = 0, i93 = 0, i94 = 0, i95 = 0, i96 = 0, i97 = 0, i98 = 0, i99 = 0, i100 = 0, i101 = 0, i102 = 0, i103 = 0, i104 = 0, i105 = 0, i106 = 0, i107 = 0, i108 = 0, i109 = 0, i110 = 0, i111 = 0, i112 = 0, i113 = 0, i114 = 0, i115 = 0, i116 = 0, i117 = 0, i118 = 0, i119 = 0, i120 = 0, i121 = 0, i122 = 0, i123 = 0, i124 = 0, i125 = 0, i126 = 0, i127 = 0, i128 = 0, i129 = 0, i130 = 0, i131 = 0, i132 = 0, i133 = 0, i134 = 0, i135 = 0, i136 = 0, i137 = 0, i138 = 0, i139 = 0, i140 = 0, i141 = 0, i142 = 0, i143 = 0, i144 = 0, i145 = 0, i146 = 0, i147 = 0, i148 = 0, i149 = 0, i150 = 0, i151 = 0, i152 = 0, i153 = 0;
 i8 = STACKTOP;
 STACKTOP = STACKTOP + 80 | 0;
 i9 = i8 + 72 | 0;
 i10 = i8 + 64 | 0;
 i11 = i8 + 56 | 0;
 i12 = i8 + 48 | 0;
 i13 = i8 + 40 | 0;
 i14 = i8 + 32 | 0;
 i15 = i8 + 24 | 0;
 i16 = i8 + 16 | 0;
 i17 = i8 + 8 | 0;
 i18 = i8;
 i19 = i8 + 76 | 0;
 i20 = get32(i1 | 0) | 0;
 if ((i3 | 0) != 0 ? (get32(i3 + 4 | 0) | 0) != 0 : 0) {
  if (get8(i20 + 124 >> 0 | 0) | 0) {
   _sqlite3ErrorMsg(i1, 29318, i18);
   i18 = i1 + 64 | 0;
   set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
   STACKTOP = i8;
   return;
  }
  i18 = _sqlite3FindDb(i20, i2) | 0;
  if ((i18 | 0) < 0) {
   set32(i17 | 0, i2 | 0);
   _sqlite3ErrorMsg(i1, 29335, i17);
   i17 = i1 + 64 | 0;
   set32(i17 | 0, (get32(i17 | 0) | 0) + 1 | 0);
   STACKTOP = i8;
   return;
  } else {
   i21 = i18;
   i22 = i3;
  }
 } else {
  i18 = get32(i20 + 116 | 0) | 0;
  if ((i18 | 0) < 0) {
   STACKTOP = i8;
   return;
  } else {
   i21 = i18;
   i22 = i2;
  }
 }
 i2 = (i4 | 0) != 0;
 if (i2 ? (i21 | 0) != 1 & (get32(i3 + 4 | 0) | 0) != 0 : 0) {
  _sqlite3ErrorMsg(i1, 29202, i16);
  STACKTOP = i8;
  return;
 }
 i16 = i2 ? 1 : i21;
 i21 = i22;
 i2 = get32(i21 + 4 | 0) | 0;
 i3 = i1 + 488 | 0;
 set32(i3 | 0, get32(i21 | 0) | 0);
 set32(i3 + 4 | 0, i2 | 0);
 if (!i22) {
  STACKTOP = i8;
  return;
 }
 i2 = get32(i22 | 0) | 0;
 i3 = get32(i22 + 4 | 0) | 0;
 if (!i2) {
  STACKTOP = i8;
  return;
 }
 i21 = i3 + 1 | 0;
 i18 = i20 + 30 | 0;
 if (get8(i18 >> 0 | 0) | 0) {
  STACKTOP = i8;
  return;
 }
 i17 = i20 + 234 | 0;
 do if (!(get8(i17 >> 0 | 0) | 0)) i23 = 21; else {
  if ((getU16(i20 + 232 | 0) | 0) < (i21 | 0)) {
   i24 = i20 + 248 | 0;
   set32(i24 | 0, (get32(i24 | 0) | 0) + 1 | 0);
   i23 = 21;
   break;
  }
  i24 = i20 + 256 | 0;
  i25 = get32(i24 | 0) | 0;
  if (!i25) {
   i26 = i20 + 252 | 0;
   set32(i26 | 0, (get32(i26 | 0) | 0) + 1 | 0);
   i23 = 21;
   break;
  }
  set32(i24 | 0, get32(i25 | 0) | 0);
  i24 = i20 + 236 | 0;
  i26 = get32(i24 | 0) | 0;
  i27 = i26 + 1 | 0;
  set32(i24 | 0, i27 | 0);
  i24 = i20 + 244 | 0;
  set32(i24 | 0, (get32(i24 | 0) | 0) + 1 | 0);
  i24 = i20 + 240 | 0;
  if ((i26 | 0) >= (get32(i24 | 0) | 0)) set32(i24 | 0, i27 | 0);
  i28 = i25;
 } while (0);
 L39 : do if ((i23 | 0) == 21) {
  do if (i3 >>> 0 <= 2147483390) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i25 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i21) | 0;
    if (!i25) break; else {
     i28 = i25;
     break L39;
    }
   }
   i25 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i21) | 0;
   set32(35 * 4 | 0, i21 | 0);
   if ((get32(45 * 4 | 0) | 0) < (i21 | 0)) set32(45 * 4 | 0, i21 | 0);
   i27 = get32(6 * 4 | 0) | 0;
   do if (i27) {
    i24 = get32(30 * 4 | 0) | 0;
    i26 = ((i24 | 0) < 0) << 31 >> 31;
    i29 = 16;
    i30 = _i64Subtract(get32(i29 | 0) | 0, get32(i29 + 4 | 0) | 0, i25 | 0, ((i25 | 0) < 0) << 31 >> 31 | 0) | 0;
    i29 = tempRet0;
    if ((i26 | 0) < (i29 | 0) | (i26 | 0) == (i29 | 0) & i24 >>> 0 < i30 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i30 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i27 & 15](i30, i24, i26, i25);
     set32(6 * 4 | 0, i27 | 0);
     set32(7 * 4 | 0, i30 | 0);
     break;
    }
   } while (0);
   i27 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i25) | 0;
   if (i27) {
    i30 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i27) | 0;
    i26 = (get32(30 * 4 | 0) | 0) + i30 | 0;
    set32(30 * 4 | 0, i26 | 0);
    if ((i26 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i26 | 0);
    i26 = get32(39 * 4 | 0) | 0;
    i30 = i26 + 1 | 0;
    set32(39 * 4 | 0, i30 | 0);
    if ((i26 | 0) < (get32(49 * 4 | 0) | 0)) {
     i28 = i27;
     break L39;
    }
    set32(49 * 4 | 0, i30 | 0);
    i28 = i27;
    break L39;
   }
  } while (0);
  set8(i18 >> 0 | 0, 1 | 0);
  STACKTOP = i8;
  return;
 } while (0);
 _memcpy(i28 | 0, i2 | 0, i3 | 0) | 0;
 set8(i28 + i3 >> 0 | 0, 0 | 0);
 i3 = get8(i28 >> 0 | 0) | 0;
 switch (i3 << 24 >> 24 | 0) {
 case 96:
 case 34:
 case 39:
  {
   i31 = i3;
   i23 = 39;
   break;
  }
 case 91:
  {
   i31 = 93;
   i23 = 39;
   break;
  }
 default:
  {}
 }
 if ((i23 | 0) == 39) {
  i3 = get8(i28 + 1 >> 0 | 0) | 0;
  L67 : do if (!(i3 << 24 >> 24)) i32 = 0; else {
   i2 = i3;
   i21 = 1;
   i27 = 0;
   while (1) {
    if (i2 << 24 >> 24 == i31 << 24 >> 24) {
     i30 = i21 + 1 | 0;
     if ((get8(i28 + i30 >> 0 | 0) | 0) != i31 << 24 >> 24) {
      i32 = i27;
      break L67;
     }
     set8(i28 + i27 >> 0 | 0, i31 | 0);
     i33 = i30;
    } else {
     set8(i28 + i27 >> 0 | 0, i2 | 0);
     i33 = i21;
    }
    i30 = i27 + 1 | 0;
    i21 = i33 + 1 | 0;
    i2 = get8(i28 + i21 >> 0 | 0) | 0;
    if (!(i2 << 24 >> 24)) {
     i32 = i30;
     break;
    } else i27 = i30;
   }
  } while (0);
  set8(i28 + i32 >> 0 | 0, 0 | 0);
 }
 L77 : do if (!(_sqlite3CheckObjectName(i1, i28) | 0)) {
  i32 = (get32(i20 + 116 | 0) | 0) == 1 ? 1 : i4;
  i33 = i20 + 8 | 0;
  i31 = get32((get32(i33 | 0) | 0) + (i16 << 4) | 0) | 0;
  i3 = (i32 | 0) == 1 ? 21655 : 21674;
  i27 = get32(i1 | 0) | 0;
  L79 : do if (((get8(i27 + 124 >> 0 | 0) | 0) == 0 ? (get8(i1 + 528 >> 0 | 0) | 0) == 0 : 0) ? (i2 = get32(i27 + 268 | 0) | 0, (i2 | 0) != 0) : 0) switch (FUNCTION_TABLE_iiiiiii[i2 & 3](get32(i27 + 272 | 0) | 0, 18, i3, 0, i31, get32(i1 + 516 | 0) | 0) | 0) {
  case 2:
   {
    break L77;
    break;
   }
  case 0:
   {
    break L79;
    break;
   }
  case 1:
   {
    _sqlite3ErrorMsg(i1, 26149, i15);
    set32(i1 + 4 | 0, 23 | 0);
    break L77;
    break;
   }
  default:
   {
    _sqlite3ErrorMsg(i1, 29155, i14);
    set32(i1 + 4 | 0, 1 | 0);
    break L77;
   }
  } while (0);
  i3 = (i32 | 0) != 0;
  i27 = (i5 | 0) == 0 ? (i3 ? 4 : 2) : i3 ? 6 : 8;
  i3 = (i6 | 0) != 0;
  L87 : do if (((!i3 ? (i2 = get32(i1 | 0) | 0, (get8(i2 + 124 >> 0 | 0) | 0) == 0) : 0) ? (get8(i1 + 528 >> 0 | 0) | 0) == 0 : 0) ? (i21 = get32(i2 + 268 | 0) | 0, (i21 | 0) != 0) : 0) switch (FUNCTION_TABLE_iiiiiii[i21 & 3](get32(i2 + 272 | 0) | 0, i27, i28, 0, i31, get32(i1 + 516 | 0) | 0) | 0) {
  case 2:
   {
    break L77;
    break;
   }
  case 0:
   {
    break L87;
    break;
   }
  case 1:
   {
    _sqlite3ErrorMsg(i1, 26149, i13);
    set32(i1 + 4 | 0, 23 | 0);
    break L77;
    break;
   }
  default:
   {
    _sqlite3ErrorMsg(i1, 29155, i12);
    set32(i1 + 4 | 0, 1 | 0);
    break L77;
   }
  } while (0);
  do if (!(get8(i1 + 528 >> 0 | 0) | 0)) {
   i31 = get32((get32(i33 | 0) | 0) + (i16 << 4) | 0) | 0;
   i27 = get32(i1 | 0) | 0;
   if ((get8(i27 + 124 >> 0 | 0) | 0) == 0 ? (i32 = _sqlite3Init(i27, i1 + 8 | 0) | 0, (i32 | 0) != 0) : 0) {
    set32(i1 + 4 | 0, i32 | 0);
    i32 = i1 + 64 | 0;
    set32(i32 | 0, (get32(i32 | 0) | 0) + 1 | 0);
    break L77;
   } else i34 = i28;
   while (1) if (!(get8(i34 >> 0 | 0) | 0)) {
    i35 = i34;
    break;
   } else i34 = i34 + 1 | 0;
   i25 = i28;
   i32 = i35 - i25 & 1073741823;
   i27 = get32(i20 + 4 | 0) | 0;
   i2 = (i27 | 0) > 0;
   if (i2) {
    i21 = (i31 | 0) == 0;
    i30 = get32(i33 | 0) | 0;
    i26 = 0;
    i24 = 0;
    while (1) {
     i29 = (i26 | 0) < 2 ^ i26;
     if (!i21) {
      i36 = get32(i30 + (i29 << 4) | 0) | 0;
      i37 = get8(i31 >> 0 | 0) | 0;
      L110 : do if (!(i37 << 24 >> 24)) {
       i38 = 0;
       i39 = i36;
      } else {
       i40 = i37;
       i41 = i31;
       i42 = i36;
       while (1) {
        if ((get8(16286 + (i40 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i42 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
         i38 = i40;
         i39 = i42;
         break L110;
        }
        i41 = i41 + 1 | 0;
        i43 = i42 + 1 | 0;
        i40 = get8(i41 >> 0 | 0) | 0;
        if (!(i40 << 24 >> 24)) {
         i38 = 0;
         i39 = i43;
         break;
        } else i42 = i43;
       }
      } while (0);
      if ((get8(16286 + (i38 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i39 >> 0 | 0) | 0) >> 0 | 0) | 0)) i44 = i24; else i23 = 72;
     } else i23 = 72;
     if ((i23 | 0) == 72) {
      i23 = 0;
      i36 = _sqlite3HashFind((get32(i30 + (i29 << 4) + 12 | 0) | 0) + 8 | 0, i28, i32) | 0;
      if (!i36) i44 = i36; else {
       i45 = i36;
       break;
      }
     }
     i26 = i26 + 1 | 0;
     if ((i26 | 0) >= (i27 | 0)) {
      i45 = i44;
      break;
     } else i24 = i44;
    }
    if (i45) {
     if (!i7) {
      set32(i11 | 0, i22 | 0);
      _sqlite3ErrorMsg(i1, 29243, i11);
      break L77;
     }
     i24 = get32(i1 + 424 | 0) | 0;
     i26 = (i24 | 0) == 0 ? i1 : i24;
     i24 = i26 + 348 | 0;
     if (!(get32(i24 | 0) | 0)) {
      i32 = i26 + 12 | 0;
      i30 = get32(i32 | 0) | 0;
      do if (!i30) {
       i21 = get32(i26 | 0) | 0;
       L127 : do if (!i21) {
        if (!(get32(50 * 4 | 0) | 0)) {
         i46 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
         i23 = 116;
         break;
        }
        i36 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
        set32(35 * 4 | 0, 192 | 0);
        if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
        i37 = get32(6 * 4 | 0) | 0;
        do if (i37) {
         i42 = get32(30 * 4 | 0) | 0;
         i40 = ((i42 | 0) < 0) << 31 >> 31;
         i41 = 16;
         i43 = _i64Subtract(get32(i41 | 0) | 0, get32(i41 + 4 | 0) | 0, i36 | 0, ((i36 | 0) < 0) << 31 >> 31 | 0) | 0;
         i41 = tempRet0;
         if ((i40 | 0) < (i41 | 0) | (i40 | 0) == (i41 | 0) & i42 >>> 0 < i43 >>> 0) {
          set32(11 * 4 | 0, 0 | 0);
          break;
         } else {
          set32(11 * 4 | 0, 1 | 0);
          i43 = get32(7 * 4 | 0) | 0;
          set32(6 * 4 | 0, 0 | 0);
          FUNCTION_TABLE_viiii[i37 & 15](i43, i42, i40, i36);
          set32(6 * 4 | 0, i37 | 0);
          set32(7 * 4 | 0, i43 | 0);
          break;
         }
        } while (0);
        i37 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i36) | 0;
        if (!i37) {
         i23 = 126;
         break;
        }
        i43 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i37) | 0;
        i40 = (get32(30 * 4 | 0) | 0) + i43 | 0;
        set32(30 * 4 | 0, i40 | 0);
        if ((i40 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i40 | 0);
        i40 = get32(39 * 4 | 0) | 0;
        i43 = i40 + 1 | 0;
        set32(39 * 4 | 0, i43 | 0);
        if ((i40 | 0) < (get32(49 * 4 | 0) | 0)) {
         i47 = i37;
         break;
        }
        set32(49 * 4 | 0, i43 | 0);
        i47 = i37;
       } else {
        i37 = i21 + 30 | 0;
        if (get8(i37 >> 0 | 0) | 0) {
         i23 = 126;
         break;
        }
        do if (get8(i21 + 234 >> 0 | 0) | 0) {
         if ((getU16(i21 + 232 | 0) | 0) < 192) {
          i43 = i21 + 248 | 0;
          set32(i43 | 0, (get32(i43 | 0) | 0) + 1 | 0);
          break;
         }
         i43 = i21 + 256 | 0;
         i40 = get32(i43 | 0) | 0;
         if (!i40) {
          i42 = i21 + 252 | 0;
          set32(i42 | 0, (get32(i42 | 0) | 0) + 1 | 0);
          break;
         }
         set32(i43 | 0, get32(i40 | 0) | 0);
         i43 = i21 + 236 | 0;
         i42 = get32(i43 | 0) | 0;
         i41 = i42 + 1 | 0;
         set32(i43 | 0, i41 | 0);
         i43 = i21 + 244 | 0;
         set32(i43 | 0, (get32(i43 | 0) | 0) + 1 | 0);
         i43 = i21 + 240 | 0;
         if ((i42 | 0) >= (get32(i43 | 0) | 0)) set32(i43 | 0, i41 | 0);
         i46 = i40;
         i23 = 116;
         break L127;
        } while (0);
        do if (!(get32(50 * 4 | 0) | 0)) {
         i36 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
         if (i36) {
          i47 = i36;
          break L127;
         }
        } else {
         i36 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
         set32(35 * 4 | 0, 192 | 0);
         if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
         i40 = get32(6 * 4 | 0) | 0;
         do if (i40) {
          i41 = get32(30 * 4 | 0) | 0;
          i43 = ((i41 | 0) < 0) << 31 >> 31;
          i42 = 16;
          i48 = _i64Subtract(get32(i42 | 0) | 0, get32(i42 + 4 | 0) | 0, i36 | 0, ((i36 | 0) < 0) << 31 >> 31 | 0) | 0;
          i42 = tempRet0;
          if ((i43 | 0) < (i42 | 0) | (i43 | 0) == (i42 | 0) & i41 >>> 0 < i48 >>> 0) {
           set32(11 * 4 | 0, 0 | 0);
           break;
          } else {
           set32(11 * 4 | 0, 1 | 0);
           i48 = get32(7 * 4 | 0) | 0;
           set32(6 * 4 | 0, 0 | 0);
           FUNCTION_TABLE_viiii[i40 & 15](i48, i41, i43, i36);
           set32(6 * 4 | 0, i40 | 0);
           set32(7 * 4 | 0, i48 | 0);
           break;
          }
         } while (0);
         i40 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i36) | 0;
         if (!i40) break;
         i48 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i40) | 0;
         i43 = (get32(30 * 4 | 0) | 0) + i48 | 0;
         set32(30 * 4 | 0, i43 | 0);
         if ((i43 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i43 | 0);
         i43 = get32(39 * 4 | 0) | 0;
         i48 = i43 + 1 | 0;
         set32(39 * 4 | 0, i48 | 0);
         if ((i43 | 0) < (get32(49 * 4 | 0) | 0)) {
          i47 = i40;
          break L127;
         }
         set32(49 * 4 | 0, i48 | 0);
         i47 = i40;
         break L127;
        } while (0);
        set8(i37 >> 0 | 0, 1 | 0);
        i23 = 126;
       } while (0);
       if ((i23 | 0) == 116) if (!i46) i23 = 126; else i47 = i46;
       if ((i23 | 0) == 126) {
        set32(i32 | 0, 0 | 0);
        break L77;
       }
       _memset(i47 | 0, 0, 192) | 0;
       set32(i47 | 0, i21 | 0);
       i29 = i21 + 136 | 0;
       i40 = get32(i29 | 0) | 0;
       if (i40) set32(i40 + 60 | 0, i47 | 0);
       set32(i47 + 64 | 0, i40 | 0);
       set32(i47 + 60 | 0, 0 | 0);
       set32(i29 | 0, i47 | 0);
       set32(i47 + 52 | 0, 649915045 | 0);
       set32(i32 | 0, i47 | 0);
       i29 = i47 + 28 | 0;
       i40 = i47 + 32 | 0;
       i48 = i47 + 4 | 0;
       i43 = _sqlite3DbRealloc(i21, 0, 1020) | 0;
       if (!i43) {
        i49 = i47;
        break;
       }
       i41 = get32(i47 | 0) | 0;
       do if (!i41) i23 = 124; else {
        if ((get32(i41 + 260 | 0) | 0) >>> 0 > i43 >>> 0) {
         i23 = 124;
         break;
        }
        if ((get32(i41 + 264 | 0) | 0) >>> 0 <= i43 >>> 0) {
         i23 = 124;
         break;
        }
        i50 = getU16(i41 + 232 | 0) | 0;
       } while (0);
       if ((i23 | 0) == 124) i50 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i43) | 0;
       set32(i40 | 0, (i50 >>> 0) / 20 | 0 | 0);
       set32(i48 | 0, i43 | 0);
       set32(i29 | 0, (get32(i29 | 0) | 0) + 1 | 0);
       set8(i43 >> 0 | 0, -120 | 0);
       set8(i43 + 1 >> 0 | 0, 0 | 0);
       i51 = i43 + 3 | 0;
       i52 = i51 + 17 | 0;
       do {
        set8(i51 >> 0 | 0, 0 | 0);
        i51 = i51 + 1 | 0;
       } while ((i51 | 0) < (i52 | 0));
       i49 = i47;
      } else i49 = i30; while (0);
      i30 = i49 + 28 | 0;
      i32 = get32(i30 | 0) | 0;
      i43 = i49 + 32 | 0;
      i29 = get32(i43 | 0) | 0;
      do if ((i29 | 0) > (i32 | 0)) {
       i53 = i32;
       i54 = get32(i49 + 4 | 0) | 0;
       i23 = 136;
      } else {
       i48 = i49 + 4 | 0;
       i40 = _sqlite3DbRealloc(get32(i49 | 0) | 0, get32(i48 | 0) | 0, (i29 | 0) == 0 ? 1020 : i29 * 40 | 0) | 0;
       if (!i40) {
        i55 = 2;
        break;
       }
       i41 = get32(i49 | 0) | 0;
       do if (!i41) i23 = 134; else {
        if ((get32(i41 + 260 | 0) | 0) >>> 0 > i40 >>> 0) {
         i23 = 134;
         break;
        }
        if ((get32(i41 + 264 | 0) | 0) >>> 0 <= i40 >>> 0) {
         i23 = 134;
         break;
        }
        i56 = getU16(i41 + 232 | 0) | 0;
       } while (0);
       if ((i23 | 0) == 134) i56 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i40) | 0;
       set32(i43 | 0, (i56 >>> 0) / 20 | 0 | 0);
       set32(i48 | 0, i40 | 0);
       i53 = get32(i30 | 0) | 0;
       i54 = i40;
       i23 = 136;
      } while (0);
      if ((i23 | 0) == 136) {
       set32(i30 | 0, i53 + 1 | 0);
       set8(i54 + (i32 * 20 | 0) >> 0 | 0, 1 | 0);
       set8(i54 + (i32 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i43 = i32 + 1 | 0;
       i51 = i54 + (i32 * 20 | 0) + 3 | 0;
       i52 = i51 + 17 | 0;
       do {
        set8(i51 >> 0 | 0, 0 | 0);
        i51 = i51 + 1 | 0;
       } while ((i51 | 0) < (i52 | 0));
       i55 = i43;
      }
      set32(i24 | 0, i55 | 0);
     }
     if ((i16 | 0) <= -1) break L77;
     i32 = 1 << i16;
     i30 = i26 + 340 | 0;
     i29 = get32(i30 | 0) | 0;
     if (i29 & i32) break L77;
     i41 = get32(i26 | 0) | 0;
     set32(i30 | 0, i29 | i32 | 0);
     set32(i26 + 352 + (i16 << 2) | 0, get32(get32((get32(i41 + 8 | 0) | 0) + (i16 << 4) + 12 | 0) | 0) | 0);
     if ((i16 | 0) != 1) break L77;
     i41 = get32(i26 | 0) | 0;
     i32 = i41 + 8 | 0;
     do if (!(get32((get32(i32 | 0) | 0) + 20 | 0) | 0)) {
      if (get8(i26 + 484 >> 0 | 0) | 0) break;
      i29 = _sqlite3BtreeOpen(get32(i41 | 0) | 0, 0, i41, i19, 0, 542) | 0;
      if (i29) {
       _sqlite3ErrorMsg(i26, 19482, i10);
       set32(i26 + 4 | 0, i29 | 0);
       break;
      }
      i29 = get32(i19 | 0) | 0;
      set32((get32(i32 | 0) | 0) + 20 | 0, i29 | 0);
      i30 = get32(i41 + 36 | 0) | 0;
      i21 = get32(i29 + 4 | 0) | 0;
      set32(i21 + 4 | 0, get32(i29 | 0) | 0);
      if (get8(i21 + 17 >> 0 | 0) | 0) break;
      i29 = i21 + 36 | 0;
      i42 = i21 + 40 | 0;
      i57 = (get32(i29 | 0) | 0) - (get32(i42 | 0) | 0) | 0;
      do if ((i30 + -512 | 0) >>> 0 < 65025) {
       if (i30 + -1 & i30) break;
       set32(i29 | 0, i30 | 0);
       i58 = i21 + 88 | 0;
       i59 = get32(i58 | 0) | 0;
       do if (i59) {
        if ((get32(379 * 4 | 0) | 0) >>> 0 <= i59 >>> 0 & (get32(380 * 4 | 0) | 0) >>> 0 > i59 >>> 0) {
         i60 = (get32(31 * 4 | 0) | 0) + -1 | 0;
         set32(31 * 4 | 0, i60 | 0);
         if ((i60 | 0) > (get32(41 * 4 | 0) | 0)) set32(41 * 4 | 0, i60 | 0);
         set32(i59 | 0, get32(383 * 4 | 0) | 0);
         set32(383 * 4 | 0, i59 | 0);
         i60 = (get32(382 * 4 | 0) | 0) + 1 | 0;
         set32(382 * 4 | 0, i60 | 0);
         set32(384 * 4 | 0, (i60 | 0) < (get32(378 * 4 | 0) | 0) & 1 | 0);
         break;
        }
        i60 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i59) | 0;
        i61 = (get32(32 * 4 | 0) | 0) - i60 | 0;
        set32(32 * 4 | 0, i61 | 0);
        if ((i61 | 0) > (get32(42 * 4 | 0) | 0)) set32(42 * 4 | 0, i61 | 0);
        if (!(get32(50 * 4 | 0) | 0)) {
         FUNCTION_TABLE_vi[get32(232 | 0) & 31](i59);
         break;
        }
        i61 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i59) | 0;
        i60 = (get32(30 * 4 | 0) | 0) - i61 | 0;
        set32(30 * 4 | 0, i60 | 0);
        if ((i60 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i60 | 0);
        i60 = (get32(39 * 4 | 0) | 0) + -1 | 0;
        set32(39 * 4 | 0, i60 | 0);
        if ((i60 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i60 | 0);
        FUNCTION_TABLE_vi[get32(232 | 0) & 31](i59);
       } while (0);
       set32(i58 | 0, 0 | 0);
      } while (0);
      i30 = _sqlite3PagerSetPagesize(get32(i21 | 0) | 0, i29, i57) | 0;
      set32(i42 | 0, (get32(i29 | 0) | 0) - (i57 & 65535) | 0);
      if ((i30 | 0) != 7) break;
      set8(i41 + 30 >> 0 | 0, 1 | 0);
     } while (0);
     break L77;
    } else i62 = i28;
   } else i62 = i28;
   while (1) if (!(get8(i62 >> 0 | 0) | 0)) {
    i63 = i62;
    break;
   } else i62 = i62 + 1 | 0;
   i41 = i63 - i25 & 1073741823;
   if (i2) {
    i32 = get32(i33 | 0) | 0;
    i26 = (i31 | 0) == 0;
    i24 = 0;
    i43 = 0;
    while (1) {
     i30 = (i24 | 0) < 2 ^ i24;
     i40 = get32(i32 + (i30 << 4) + 12 | 0) | 0;
     if (!i26) {
      i48 = get32(i32 + (i30 << 4) | 0) | 0;
      i30 = get8(i31 >> 0 | 0) | 0;
      L255 : do if (!(i30 << 24 >> 24)) {
       i64 = 0;
       i65 = i48;
      } else {
       i59 = i30;
       i37 = i31;
       i60 = i48;
       while (1) {
        if ((get8(16286 + (i59 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i60 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
         i64 = i59;
         i65 = i60;
         break L255;
        }
        i37 = i37 + 1 | 0;
        i61 = i60 + 1 | 0;
        i59 = get8(i37 >> 0 | 0) | 0;
        if (!(i59 << 24 >> 24)) {
         i64 = 0;
         i65 = i61;
         break;
        } else i60 = i61;
       }
      } while (0);
      if ((get8(16286 + (i64 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i65 >> 0 | 0) | 0) >> 0 | 0) | 0)) i66 = i43; else i23 = 174;
     } else i23 = 174;
     if ((i23 | 0) == 174) {
      i23 = 0;
      i48 = _sqlite3HashFind(i40 + 24 | 0, i28, i41) | 0;
      if (!i48) i66 = i48; else {
       i67 = i48;
       break;
      }
     }
     i24 = i24 + 1 | 0;
     if ((i24 | 0) >= (i27 | 0)) {
      i67 = i66;
      break;
     } else i43 = i66;
    }
    if (i67) {
     set32(i9 | 0, i28 | 0);
     _sqlite3ErrorMsg(i1, 29267, i9);
     break L77;
    }
    if (!i20) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i68 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](76) | 0;
      i23 = 215;
      break;
     }
     i43 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](76) | 0;
     set32(35 * 4 | 0, 76 | 0);
     if ((get32(45 * 4 | 0) | 0) < 76) set32(45 * 4 | 0, 76 | 0);
     i27 = get32(6 * 4 | 0) | 0;
     do if (i27) {
      i24 = get32(30 * 4 | 0) | 0;
      i41 = ((i24 | 0) < 0) << 31 >> 31;
      i31 = 16;
      i32 = _i64Subtract(get32(i31 | 0) | 0, get32(i31 + 4 | 0) | 0, i43 | 0, ((i43 | 0) < 0) << 31 >> 31 | 0) | 0;
      i31 = tempRet0;
      if ((i41 | 0) < (i31 | 0) | (i41 | 0) == (i31 | 0) & i24 >>> 0 < i32 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i32 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i27 & 15](i32, i24, i41, i43);
       set32(6 * 4 | 0, i27 | 0);
       set32(7 * 4 | 0, i32 | 0);
       break;
      }
     } while (0);
     i27 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i43) | 0;
     if (!i27) {
      i23 = 216;
      break;
     }
     i32 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i27) | 0;
     i41 = (get32(30 * 4 | 0) | 0) + i32 | 0;
     set32(30 * 4 | 0, i41 | 0);
     if ((i41 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i41 | 0);
     i41 = get32(39 * 4 | 0) | 0;
     i32 = i41 + 1 | 0;
     set32(39 * 4 | 0, i32 | 0);
     if ((i41 | 0) < (get32(49 * 4 | 0) | 0)) {
      i69 = i27;
      break;
     }
     set32(49 * 4 | 0, i32 | 0);
     i69 = i27;
    } else i23 = 192;
   } else i23 = 192;
  } else i23 = 192; while (0);
  L285 : do if ((i23 | 0) == 192) if (!(get8(i18 >> 0 | 0) | 0)) {
   do if (get8(i17 >> 0 | 0) | 0) {
    if ((getU16(i20 + 232 | 0) | 0) < 76) {
     i27 = i20 + 248 | 0;
     set32(i27 | 0, (get32(i27 | 0) | 0) + 1 | 0);
     break;
    }
    i27 = i20 + 256 | 0;
    i32 = get32(i27 | 0) | 0;
    if (!i32) {
     i41 = i20 + 252 | 0;
     set32(i41 | 0, (get32(i41 | 0) | 0) + 1 | 0);
     break;
    }
    set32(i27 | 0, get32(i32 | 0) | 0);
    i27 = i20 + 236 | 0;
    i41 = get32(i27 | 0) | 0;
    i24 = i41 + 1 | 0;
    set32(i27 | 0, i24 | 0);
    i27 = i20 + 244 | 0;
    set32(i27 | 0, (get32(i27 | 0) | 0) + 1 | 0);
    i27 = i20 + 240 | 0;
    if ((i41 | 0) >= (get32(i27 | 0) | 0)) set32(i27 | 0, i24 | 0);
    i68 = i32;
    i23 = 215;
    break L285;
   } while (0);
   if (!(get32(50 * 4 | 0) | 0)) {
    i43 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](76) | 0;
    if (i43) {
     i69 = i43;
     break;
    }
   } else {
    i43 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](76) | 0;
    set32(35 * 4 | 0, 76 | 0);
    if ((get32(45 * 4 | 0) | 0) < 76) set32(45 * 4 | 0, 76 | 0);
    i32 = get32(6 * 4 | 0) | 0;
    do if (i32) {
     i24 = get32(30 * 4 | 0) | 0;
     i27 = ((i24 | 0) < 0) << 31 >> 31;
     i41 = 16;
     i31 = _i64Subtract(get32(i41 | 0) | 0, get32(i41 + 4 | 0) | 0, i43 | 0, ((i43 | 0) < 0) << 31 >> 31 | 0) | 0;
     i41 = tempRet0;
     if ((i27 | 0) < (i41 | 0) | (i27 | 0) == (i41 | 0) & i24 >>> 0 < i31 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i31 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i32 & 15](i31, i24, i27, i43);
      set32(6 * 4 | 0, i32 | 0);
      set32(7 * 4 | 0, i31 | 0);
      break;
     }
    } while (0);
    i32 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i43) | 0;
    if (i32) {
     i31 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i32) | 0;
     i27 = (get32(30 * 4 | 0) | 0) + i31 | 0;
     set32(30 * 4 | 0, i27 | 0);
     if ((i27 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i27 | 0);
     i27 = get32(39 * 4 | 0) | 0;
     i31 = i27 + 1 | 0;
     set32(39 * 4 | 0, i31 | 0);
     if ((i27 | 0) < (get32(49 * 4 | 0) | 0)) {
      i69 = i32;
      break;
     }
     set32(49 * 4 | 0, i31 | 0);
     i69 = i32;
     break;
    }
   }
   set8(i18 >> 0 | 0, 1 | 0);
   i23 = 216;
  } else i23 = 216; while (0);
  if ((i23 | 0) == 215) if (!i68) i23 = 216; else i69 = i68;
  if ((i23 | 0) == 216) {
   set8(i18 >> 0 | 0, 1 | 0);
   set32(i1 + 4 | 0, 7 | 0);
   i32 = i1 + 64 | 0;
   set32(i32 | 0, (get32(i32 | 0) | 0) + 1 | 0);
   break;
  }
  i51 = i69;
  i52 = i51 + 76 | 0;
  do {
   set8(i51 >> 0 | 0, 0 | 0);
   i51 = i51 + 1 | 0;
  } while ((i51 | 0) < (i52 | 0));
  set32(i69 | 0, i28 | 0);
  set32(i69 + 4 | 0, -1 | 0);
  i32 = get32((get32(i33 | 0) | 0) + (i16 << 4) + 12 | 0) | 0;
  set32(i69 + 68 | 0, i32 | 0);
  set16(i69 + 32 | 0, 1 | 0);
  set32(i69 + 24 | 0, 1e6 | 0);
  set32(i1 + 508 | 0, i69 | 0);
  i31 = i32;
  if ((get8(i1 + 19 >> 0 | 0) | 0) == 0 ? (_strcmp(i28, 29302) | 0) == 0 : 0) set32(i31 + 72 | 0, i69 | 0);
  if (get8(i20 + 124 >> 0 | 0) | 0) {
   STACKTOP = i8;
   return;
  }
  i31 = i1 + 12 | 0;
  i32 = get32(i31 | 0) | 0;
  if (!i32) {
   i27 = get32(i1 | 0) | 0;
   L332 : do if (i27) {
    i24 = i27 + 30 | 0;
    if (!(get8(i24 >> 0 | 0) | 0)) {
     do if (get8(i27 + 234 >> 0 | 0) | 0) {
      if ((getU16(i27 + 232 | 0) | 0) < 192) {
       i41 = i27 + 248 | 0;
       set32(i41 | 0, (get32(i41 | 0) | 0) + 1 | 0);
       break;
      }
      i41 = i27 + 256 | 0;
      i26 = get32(i41 | 0) | 0;
      if (!i26) {
       i2 = i27 + 252 | 0;
       set32(i2 | 0, (get32(i2 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i41 | 0, get32(i26 | 0) | 0);
      i41 = i27 + 236 | 0;
      i2 = get32(i41 | 0) | 0;
      i25 = i2 + 1 | 0;
      set32(i41 | 0, i25 | 0);
      i41 = i27 + 244 | 0;
      set32(i41 | 0, (get32(i41 | 0) | 0) + 1 | 0);
      i41 = i27 + 240 | 0;
      if ((i2 | 0) >= (get32(i41 | 0) | 0)) set32(i41 | 0, i25 | 0);
      i70 = i26;
      i23 = 259;
      break L332;
     } while (0);
     do if (!(get32(50 * 4 | 0) | 0)) {
      i43 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
      if (i43) {
       i71 = i43;
       break L332;
      }
     } else {
      i43 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
      set32(35 * 4 | 0, 192 | 0);
      if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
      i26 = get32(6 * 4 | 0) | 0;
      do if (i26) {
       i25 = get32(30 * 4 | 0) | 0;
       i41 = ((i25 | 0) < 0) << 31 >> 31;
       i2 = 16;
       i48 = _i64Subtract(get32(i2 | 0) | 0, get32(i2 + 4 | 0) | 0, i43 | 0, ((i43 | 0) < 0) << 31 >> 31 | 0) | 0;
       i2 = tempRet0;
       if ((i41 | 0) < (i2 | 0) | (i41 | 0) == (i2 | 0) & i25 >>> 0 < i48 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i48 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i26 & 15](i48, i25, i41, i43);
        set32(6 * 4 | 0, i26 | 0);
        set32(7 * 4 | 0, i48 | 0);
        break;
       }
      } while (0);
      i26 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i43) | 0;
      if (!i26) break;
      i40 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i26) | 0;
      i48 = (get32(30 * 4 | 0) | 0) + i40 | 0;
      set32(30 * 4 | 0, i48 | 0);
      if ((i48 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i48 | 0);
      i48 = get32(39 * 4 | 0) | 0;
      i40 = i48 + 1 | 0;
      set32(39 * 4 | 0, i40 | 0);
      if ((i48 | 0) < (get32(49 * 4 | 0) | 0)) {
       i71 = i26;
       break L332;
      }
      set32(49 * 4 | 0, i40 | 0);
      i71 = i26;
      break L332;
     } while (0);
     set8(i24 >> 0 | 0, 1 | 0);
     i23 = 269;
    } else i23 = 269;
   } else {
    if (!(get32(50 * 4 | 0) | 0)) {
     i70 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
     i23 = 259;
     break;
    }
    i26 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
    set32(35 * 4 | 0, 192 | 0);
    if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
    i40 = get32(6 * 4 | 0) | 0;
    do if (i40) {
     i48 = get32(30 * 4 | 0) | 0;
     i41 = ((i48 | 0) < 0) << 31 >> 31;
     i25 = 16;
     i2 = _i64Subtract(get32(i25 | 0) | 0, get32(i25 + 4 | 0) | 0, i26 | 0, ((i26 | 0) < 0) << 31 >> 31 | 0) | 0;
     i25 = tempRet0;
     if ((i41 | 0) < (i25 | 0) | (i41 | 0) == (i25 | 0) & i48 >>> 0 < i2 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i2 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i40 & 15](i2, i48, i41, i26);
      set32(6 * 4 | 0, i40 | 0);
      set32(7 * 4 | 0, i2 | 0);
      break;
     }
    } while (0);
    i40 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i26) | 0;
    if (!i40) {
     i23 = 269;
     break;
    }
    i24 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i40) | 0;
    i2 = (get32(30 * 4 | 0) | 0) + i24 | 0;
    set32(30 * 4 | 0, i2 | 0);
    if ((i2 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i2 | 0);
    i2 = get32(39 * 4 | 0) | 0;
    i24 = i2 + 1 | 0;
    set32(39 * 4 | 0, i24 | 0);
    if ((i2 | 0) < (get32(49 * 4 | 0) | 0)) {
     i71 = i40;
     break;
    }
    set32(49 * 4 | 0, i24 | 0);
    i71 = i40;
   } while (0);
   if ((i23 | 0) == 259) if (!i70) i23 = 269; else i71 = i70;
   if ((i23 | 0) == 269) {
    set32(i31 | 0, 0 | 0);
    STACKTOP = i8;
    return;
   }
   _memset(i71 | 0, 0, 192) | 0;
   set32(i71 | 0, i27 | 0);
   i40 = i27 + 136 | 0;
   i24 = get32(i40 | 0) | 0;
   if (i24) set32(i24 + 60 | 0, i71 | 0);
   set32(i71 + 64 | 0, i24 | 0);
   set32(i71 + 60 | 0, 0 | 0);
   set32(i40 | 0, i71 | 0);
   set32(i71 + 52 | 0, 649915045 | 0);
   set32(i31 | 0, i71 | 0);
   i40 = i71 + 28 | 0;
   i24 = i71 + 32 | 0;
   i2 = i71 + 4 | 0;
   i41 = _sqlite3DbRealloc(i27, 0, 1020) | 0;
   if (!i41) i72 = i71; else {
    i48 = get32(i71 | 0) | 0;
    do if (!i48) i23 = 267; else {
     if ((get32(i48 + 260 | 0) | 0) >>> 0 > i41 >>> 0) {
      i23 = 267;
      break;
     }
     if ((get32(i48 + 264 | 0) | 0) >>> 0 <= i41 >>> 0) {
      i23 = 267;
      break;
     }
     i73 = getU16(i48 + 232 | 0) | 0;
    } while (0);
    if ((i23 | 0) == 267) i73 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i41) | 0;
    set32(i24 | 0, (i73 >>> 0) / 20 | 0 | 0);
    set32(i2 | 0, i41 | 0);
    set32(i40 | 0, (get32(i40 | 0) | 0) + 1 | 0);
    set8(i41 >> 0 | 0, -120 | 0);
    set8(i41 + 1 >> 0 | 0, 0 | 0);
    i51 = i41 + 3 | 0;
    i52 = i51 + 17 | 0;
    do {
     set8(i51 >> 0 | 0, 0 | 0);
     i51 = i51 + 1 | 0;
    } while ((i51 | 0) < (i52 | 0));
    i72 = i71;
   }
  } else i72 = i32;
  _sqlite3BeginWriteOperation(i1, 0, i16);
  i41 = i72 + 28 | 0;
  do if (i3) {
   i40 = get32(i41 | 0) | 0;
   i2 = i72 + 32 | 0;
   i24 = get32(i2 | 0) | 0;
   if ((i24 | 0) > (i40 | 0)) {
    i74 = i40;
    i75 = get32(i72 + 4 | 0) | 0;
   } else {
    i48 = i72 + 4 | 0;
    i27 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i48 | 0) | 0, (i24 | 0) == 0 ? 1020 : i24 * 40 | 0) | 0;
    if (!i27) {
     i76 = i2;
     break;
    }
    i24 = get32(i72 | 0) | 0;
    do if (!i24) i23 = 279; else {
     if ((get32(i24 + 260 | 0) | 0) >>> 0 > i27 >>> 0) {
      i23 = 279;
      break;
     }
     if ((get32(i24 + 264 | 0) | 0) >>> 0 <= i27 >>> 0) {
      i23 = 279;
      break;
     }
     i77 = getU16(i24 + 232 | 0) | 0;
    } while (0);
    if ((i23 | 0) == 279) i77 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i27) | 0;
    set32(i2 | 0, (i77 >>> 0) / 20 | 0 | 0);
    set32(i48 | 0, i27 | 0);
    i74 = get32(i41 | 0) | 0;
    i75 = i27;
   }
   set32(i41 | 0, i74 + 1 | 0);
   set8(i75 + (i40 * 20 | 0) >> 0 | 0, 124 | 0);
   set8(i75 + (i40 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i51 = i75 + (i40 * 20 | 0) + 3 | 0;
   i52 = i51 + 17 | 0;
   do {
    set8(i51 >> 0 | 0, 0 | 0);
    i51 = i51 + 1 | 0;
   } while ((i51 | 0) < (i52 | 0));
   i76 = i2;
  } else i76 = i72 + 32 | 0; while (0);
  i3 = i1 + 72 | 0;
  i32 = get32(i3 | 0) | 0;
  i40 = i32 + 1 | 0;
  set32(i1 + 408 | 0, i40 | 0);
  i27 = i32 + 2 | 0;
  set32(i1 + 412 | 0, i27 | 0);
  i48 = i32 + 3 | 0;
  set32(i3 | 0, i48 | 0);
  i3 = get32(i41 | 0) | 0;
  i32 = get32(i76 | 0) | 0;
  do if ((i32 | 0) > (i3 | 0)) {
   i78 = i32;
   i79 = i3;
   i80 = get32(i72 + 4 | 0) | 0;
   i23 = 292;
  } else {
   i24 = i72 + 4 | 0;
   i26 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i24 | 0) | 0, (i32 | 0) == 0 ? 1020 : i32 * 40 | 0) | 0;
   if (!i26) {
    i81 = get32(i76 | 0) | 0;
    i82 = get32(i41 | 0) | 0;
    break;
   }
   i25 = get32(i72 | 0) | 0;
   do if (!i25) i23 = 290; else {
    if ((get32(i25 + 260 | 0) | 0) >>> 0 > i26 >>> 0) {
     i23 = 290;
     break;
    }
    if ((get32(i25 + 264 | 0) | 0) >>> 0 <= i26 >>> 0) {
     i23 = 290;
     break;
    }
    i83 = getU16(i25 + 232 | 0) | 0;
   } while (0);
   if ((i23 | 0) == 290) i83 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i26) | 0;
   i25 = (i83 >>> 0) / 20 | 0;
   set32(i76 | 0, i25 | 0);
   set32(i24 | 0, i26 | 0);
   i78 = i25;
   i79 = get32(i41 | 0) | 0;
   i80 = i26;
   i23 = 292;
  } while (0);
  if ((i23 | 0) == 292) {
   i32 = i79 + 1 | 0;
   set32(i41 | 0, i32 | 0);
   set8(i80 + (i3 * 20 | 0) >> 0 | 0, 35 | 0);
   set8(i80 + (i3 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i80 + (i3 * 20 | 0) + 4 | 0, i16 | 0);
   set32(i80 + (i3 * 20 | 0) + 8 | 0, i48 | 0);
   set32(i80 + (i3 * 20 | 0) + 12 | 0, 2 | 0);
   set32(i80 + (i3 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i80 + (i3 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i81 = i78;
   i82 = i32;
  }
  i32 = i72 + 112 | 0;
  set32(i32 | 0, get32(i32 | 0) | 1 << i16 | 0);
  do if ((i81 | 0) > (i82 | 0)) {
   i84 = i81;
   i85 = i82;
   i86 = get32(i72 + 4 | 0) | 0;
   i23 = 303;
  } else {
   i32 = i72 + 4 | 0;
   i25 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i32 | 0) | 0, (i81 | 0) == 0 ? 1020 : i81 * 40 | 0) | 0;
   if (!i25) {
    i87 = 1;
    i88 = get32(i76 | 0) | 0;
    i89 = get32(i41 | 0) | 0;
    break;
   }
   i2 = get32(i72 | 0) | 0;
   do if (!i2) i23 = 301; else {
    if ((get32(i2 + 260 | 0) | 0) >>> 0 > i25 >>> 0) {
     i23 = 301;
     break;
    }
    if ((get32(i2 + 264 | 0) | 0) >>> 0 <= i25 >>> 0) {
     i23 = 301;
     break;
    }
    i90 = getU16(i2 + 232 | 0) | 0;
   } while (0);
   if ((i23 | 0) == 301) i90 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i25) | 0;
   i2 = (i90 >>> 0) / 20 | 0;
   set32(i76 | 0, i2 | 0);
   set32(i32 | 0, i25 | 0);
   i84 = i2;
   i85 = get32(i41 | 0) | 0;
   i86 = i25;
   i23 = 303;
  } while (0);
  if ((i23 | 0) == 303) {
   i3 = i85 + 1 | 0;
   set32(i41 | 0, i3 | 0);
   set8(i86 + (i82 * 20 | 0) >> 0 | 0, 26 | 0);
   set8(i86 + (i82 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i86 + (i82 * 20 | 0) + 4 | 0, i48 | 0);
   set32(i86 + (i82 * 20 | 0) + 8 | 0, 0 | 0);
   set32(i86 + (i82 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i86 + (i82 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i86 + (i82 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i87 = i82;
   i88 = i84;
   i89 = i3;
  }
  i3 = (get32(i20 + 12 | 0) & 1048576 | 0) != 0 ? 1 : 4;
  do if ((i88 | 0) > (i89 | 0)) {
   i91 = i88;
   i92 = i89;
   i93 = get32(i72 + 4 | 0) | 0;
   i23 = 314;
  } else {
   i2 = i72 + 4 | 0;
   i26 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i2 | 0) | 0, (i88 | 0) == 0 ? 1020 : i88 * 40 | 0) | 0;
   if (!i26) {
    i94 = get32(i76 | 0) | 0;
    i95 = get32(i41 | 0) | 0;
    break;
   }
   i24 = get32(i72 | 0) | 0;
   do if (!i24) i23 = 312; else {
    if ((get32(i24 + 260 | 0) | 0) >>> 0 > i26 >>> 0) {
     i23 = 312;
     break;
    }
    if ((get32(i24 + 264 | 0) | 0) >>> 0 <= i26 >>> 0) {
     i23 = 312;
     break;
    }
    i96 = getU16(i24 + 232 | 0) | 0;
   } while (0);
   if ((i23 | 0) == 312) i96 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i26) | 0;
   i24 = (i96 >>> 0) / 20 | 0;
   set32(i76 | 0, i24 | 0);
   set32(i2 | 0, i26 | 0);
   i91 = i24;
   i92 = get32(i41 | 0) | 0;
   i93 = i26;
   i23 = 314;
  } while (0);
  if ((i23 | 0) == 314) {
   i24 = i92 + 1 | 0;
   set32(i41 | 0, i24 | 0);
   set8(i93 + (i89 * 20 | 0) >> 0 | 0, 7 | 0);
   set8(i93 + (i89 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i93 + (i89 * 20 | 0) + 4 | 0, i3 | 0);
   set32(i93 + (i89 * 20 | 0) + 8 | 0, i48 | 0);
   set32(i93 + (i89 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i93 + (i89 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i93 + (i89 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i94 = i91;
   i95 = i24;
  }
  do if ((i94 | 0) > (i95 | 0)) {
   i97 = i95;
   i98 = get32(i72 + 4 | 0) | 0;
   i99 = i94;
   i23 = 325;
  } else {
   i24 = i72 + 4 | 0;
   i25 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i24 | 0) | 0, (i94 | 0) == 0 ? 1020 : i94 * 40 | 0) | 0;
   if (!i25) {
    i100 = get32(i76 | 0) | 0;
    i101 = get32(i41 | 0) | 0;
    break;
   }
   i32 = get32(i72 | 0) | 0;
   do if (!i32) i23 = 323; else {
    if ((get32(i32 + 260 | 0) | 0) >>> 0 > i25 >>> 0) {
     i23 = 323;
     break;
    }
    if ((get32(i32 + 264 | 0) | 0) >>> 0 <= i25 >>> 0) {
     i23 = 323;
     break;
    }
    i102 = getU16(i32 + 232 | 0) | 0;
   } while (0);
   if ((i23 | 0) == 323) i102 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i25) | 0;
   i32 = (i102 >>> 0) / 20 | 0;
   set32(i76 | 0, i32 | 0);
   set32(i24 | 0, i25 | 0);
   i97 = get32(i41 | 0) | 0;
   i98 = i25;
   i99 = i32;
   i23 = 325;
  } while (0);
  if ((i23 | 0) == 325) {
   i3 = i97 + 1 | 0;
   set32(i41 | 0, i3 | 0);
   set8(i98 + (i95 * 20 | 0) >> 0 | 0, 36 | 0);
   set8(i98 + (i95 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i98 + (i95 * 20 | 0) + 4 | 0, i16 | 0);
   set32(i98 + (i95 * 20 | 0) + 8 | 0, 2 | 0);
   set32(i98 + (i95 * 20 | 0) + 12 | 0, i48 | 0);
   set32(i98 + (i95 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i98 + (i95 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i100 = i99;
   i101 = i3;
  }
  i3 = getU8((get32((get32(i33 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0) | 0;
  do if ((i100 | 0) > (i101 | 0)) {
   i103 = i101;
   i104 = get32(i72 + 4 | 0) | 0;
   i105 = i100;
   i23 = 336;
  } else {
   i32 = i72 + 4 | 0;
   i26 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i32 | 0) | 0, (i100 | 0) == 0 ? 1020 : i100 * 40 | 0) | 0;
   if (!i26) {
    i106 = get32(i76 | 0) | 0;
    i107 = get32(i41 | 0) | 0;
    break;
   }
   i2 = get32(i72 | 0) | 0;
   do if (!i2) i23 = 334; else {
    if ((get32(i2 + 260 | 0) | 0) >>> 0 > i26 >>> 0) {
     i23 = 334;
     break;
    }
    if ((get32(i2 + 264 | 0) | 0) >>> 0 <= i26 >>> 0) {
     i23 = 334;
     break;
    }
    i108 = getU16(i2 + 232 | 0) | 0;
   } while (0);
   if ((i23 | 0) == 334) i108 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i26) | 0;
   i2 = (i108 >>> 0) / 20 | 0;
   set32(i76 | 0, i2 | 0);
   set32(i32 | 0, i26 | 0);
   i103 = get32(i41 | 0) | 0;
   i104 = i26;
   i105 = i2;
   i23 = 336;
  } while (0);
  if ((i23 | 0) == 336) {
   i33 = i103 + 1 | 0;
   set32(i41 | 0, i33 | 0);
   set8(i104 + (i101 * 20 | 0) >> 0 | 0, 7 | 0);
   set8(i104 + (i101 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i104 + (i101 * 20 | 0) + 4 | 0, i3 | 0);
   set32(i104 + (i101 * 20 | 0) + 8 | 0, i48 | 0);
   set32(i104 + (i101 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i104 + (i101 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i104 + (i101 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i106 = i105;
   i107 = i33;
  }
  do if ((i106 | 0) > (i107 | 0)) {
   i109 = i107;
   i110 = get32(i72 + 4 | 0) | 0;
   i23 = 347;
  } else {
   i33 = i72 + 4 | 0;
   i2 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i33 | 0) | 0, (i106 | 0) == 0 ? 1020 : i106 * 40 | 0) | 0;
   if (!i2) {
    i111 = get32(i41 | 0) | 0;
    break;
   }
   i25 = get32(i72 | 0) | 0;
   do if (!i25) i23 = 345; else {
    if ((get32(i25 + 260 | 0) | 0) >>> 0 > i2 >>> 0) {
     i23 = 345;
     break;
    }
    if ((get32(i25 + 264 | 0) | 0) >>> 0 <= i2 >>> 0) {
     i23 = 345;
     break;
    }
    i112 = getU16(i25 + 232 | 0) | 0;
   } while (0);
   if ((i23 | 0) == 345) i112 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i2) | 0;
   set32(i76 | 0, (i112 >>> 0) / 20 | 0 | 0);
   set32(i33 | 0, i2 | 0);
   i109 = get32(i41 | 0) | 0;
   i110 = i2;
   i23 = 347;
  } while (0);
  if ((i23 | 0) == 347) {
   i3 = i109 + 1 | 0;
   set32(i41 | 0, i3 | 0);
   set8(i110 + (i107 * 20 | 0) >> 0 | 0, 36 | 0);
   set8(i110 + (i107 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i110 + (i107 * 20 | 0) + 4 | 0, i16 | 0);
   set32(i110 + (i107 * 20 | 0) + 8 | 0, 5 | 0);
   set32(i110 + (i107 * 20 | 0) + 12 | 0, i48 | 0);
   set32(i110 + (i107 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i110 + (i107 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i111 = i3;
  }
  if ((i111 | 0) > (i87 | 0)) set32((get32(i72 + 4 | 0) | 0) + (i87 * 20 | 0) + 8 | 0, i111 | 0);
  i3 = get32(i76 | 0) | 0;
  i25 = (i3 | 0) > (i111 | 0);
  do if (!(i6 | i5)) {
   if (i25) {
    i113 = i111;
    i114 = get32(i72 + 4 | 0) | 0;
   } else {
    i26 = i72 + 4 | 0;
    i32 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i26 | 0) | 0, (i3 | 0) == 0 ? 1020 : i3 * 40 | 0) | 0;
    if (!i32) break;
    i24 = get32(i72 | 0) | 0;
    do if (!i24) i23 = 368; else {
     if ((get32(i24 + 260 | 0) | 0) >>> 0 > i32 >>> 0) {
      i23 = 368;
      break;
     }
     if ((get32(i24 + 264 | 0) | 0) >>> 0 <= i32 >>> 0) {
      i23 = 368;
      break;
     }
     i115 = getU16(i24 + 232 | 0) | 0;
    } while (0);
    if ((i23 | 0) == 368) i115 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i32) | 0;
    set32(i76 | 0, (i115 >>> 0) / 20 | 0 | 0);
    set32(i26 | 0, i32 | 0);
    i113 = get32(i41 | 0) | 0;
    i114 = i32;
   }
   set32(i41 | 0, i113 + 1 | 0);
   set8(i114 + (i111 * 20 | 0) >> 0 | 0, 98 | 0);
   set8(i114 + (i111 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i114 + (i111 * 20 | 0) + 4 | 0, i16 | 0);
   set32(i114 + (i111 * 20 | 0) + 8 | 0, i27 | 0);
   set32(i114 + (i111 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i114 + (i111 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i114 + (i111 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  } else {
   if (i25) {
    i116 = i111;
    i117 = get32(i72 + 4 | 0) | 0;
   } else {
    i24 = i72 + 4 | 0;
    i2 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i24 | 0) | 0, (i3 | 0) == 0 ? 1020 : i3 * 40 | 0) | 0;
    if (!i2) break;
    i33 = get32(i72 | 0) | 0;
    do if (!i33) i23 = 358; else {
     if ((get32(i33 + 260 | 0) | 0) >>> 0 > i2 >>> 0) {
      i23 = 358;
      break;
     }
     if ((get32(i33 + 264 | 0) | 0) >>> 0 <= i2 >>> 0) {
      i23 = 358;
      break;
     }
     i118 = getU16(i33 + 232 | 0) | 0;
    } while (0);
    if ((i23 | 0) == 358) i118 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i2) | 0;
    set32(i76 | 0, (i118 >>> 0) / 20 | 0 | 0);
    set32(i24 | 0, i2 | 0);
    i116 = get32(i41 | 0) | 0;
    i117 = i2;
   }
   set32(i41 | 0, i116 + 1 | 0);
   set8(i117 + (i111 * 20 | 0) >> 0 | 0, 7 | 0);
   set8(i117 + (i111 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i117 + (i111 * 20 | 0) + 4 | 0, 0 | 0);
   set32(i117 + (i111 * 20 | 0) + 8 | 0, i27 | 0);
   set32(i117 + (i111 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i117 + (i111 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i117 + (i111 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  } while (0);
  i27 = get32(i31 | 0) | 0;
  do if (!i27) {
   i3 = get32(i1 | 0) | 0;
   L546 : do if (!i3) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i119 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
     i23 = 409;
     break;
    }
    i25 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
    set32(35 * 4 | 0, 192 | 0);
    if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
    i33 = get32(6 * 4 | 0) | 0;
    do if (i33) {
     i32 = get32(30 * 4 | 0) | 0;
     i26 = ((i32 | 0) < 0) << 31 >> 31;
     i30 = 16;
     i57 = _i64Subtract(get32(i30 | 0) | 0, get32(i30 + 4 | 0) | 0, i25 | 0, ((i25 | 0) < 0) << 31 >> 31 | 0) | 0;
     i30 = tempRet0;
     if ((i26 | 0) < (i30 | 0) | (i26 | 0) == (i30 | 0) & i32 >>> 0 < i57 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i57 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i33 & 15](i57, i32, i26, i25);
      set32(6 * 4 | 0, i33 | 0);
      set32(7 * 4 | 0, i57 | 0);
      break;
     }
    } while (0);
    i33 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i25) | 0;
    if (!i33) {
     i23 = 410;
     break;
    }
    i43 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i33) | 0;
    i57 = (get32(30 * 4 | 0) | 0) + i43 | 0;
    set32(30 * 4 | 0, i57 | 0);
    if ((i57 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i57 | 0);
    i57 = get32(39 * 4 | 0) | 0;
    i43 = i57 + 1 | 0;
    set32(39 * 4 | 0, i43 | 0);
    if ((i57 | 0) < (get32(49 * 4 | 0) | 0)) {
     i120 = i33;
     break;
    }
    set32(49 * 4 | 0, i43 | 0);
    i120 = i33;
   } else {
    i33 = i3 + 30 | 0;
    if (get8(i33 >> 0 | 0) | 0) {
     i23 = 410;
     break;
    }
    do if (get8(i3 + 234 >> 0 | 0) | 0) {
     if ((getU16(i3 + 232 | 0) | 0) < 192) {
      i43 = i3 + 248 | 0;
      set32(i43 | 0, (get32(i43 | 0) | 0) + 1 | 0);
      break;
     }
     i43 = i3 + 256 | 0;
     i57 = get32(i43 | 0) | 0;
     if (!i57) {
      i26 = i3 + 252 | 0;
      set32(i26 | 0, (get32(i26 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i43 | 0, get32(i57 | 0) | 0);
     i43 = i3 + 236 | 0;
     i26 = get32(i43 | 0) | 0;
     i32 = i26 + 1 | 0;
     set32(i43 | 0, i32 | 0);
     i43 = i3 + 244 | 0;
     set32(i43 | 0, (get32(i43 | 0) | 0) + 1 | 0);
     i43 = i3 + 240 | 0;
     if ((i26 | 0) >= (get32(i43 | 0) | 0)) set32(i43 | 0, i32 | 0);
     i119 = i57;
     i23 = 409;
     break L546;
    } while (0);
    do if (!(get32(50 * 4 | 0) | 0)) {
     i25 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
     if (i25) {
      i120 = i25;
      break L546;
     }
    } else {
     i25 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
     set32(35 * 4 | 0, 192 | 0);
     if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
     i57 = get32(6 * 4 | 0) | 0;
     do if (i57) {
      i32 = get32(30 * 4 | 0) | 0;
      i43 = ((i32 | 0) < 0) << 31 >> 31;
      i26 = 16;
      i30 = _i64Subtract(get32(i26 | 0) | 0, get32(i26 + 4 | 0) | 0, i25 | 0, ((i25 | 0) < 0) << 31 >> 31 | 0) | 0;
      i26 = tempRet0;
      if ((i43 | 0) < (i26 | 0) | (i43 | 0) == (i26 | 0) & i32 >>> 0 < i30 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i30 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i57 & 15](i30, i32, i43, i25);
       set32(6 * 4 | 0, i57 | 0);
       set32(7 * 4 | 0, i30 | 0);
       break;
      }
     } while (0);
     i57 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i25) | 0;
     if (!i57) break;
     i30 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i57) | 0;
     i43 = (get32(30 * 4 | 0) | 0) + i30 | 0;
     set32(30 * 4 | 0, i43 | 0);
     if ((i43 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i43 | 0);
     i43 = get32(39 * 4 | 0) | 0;
     i30 = i43 + 1 | 0;
     set32(39 * 4 | 0, i30 | 0);
     if ((i43 | 0) < (get32(49 * 4 | 0) | 0)) {
      i120 = i57;
      break L546;
     }
     set32(49 * 4 | 0, i30 | 0);
     i120 = i57;
     break L546;
    } while (0);
    set8(i33 >> 0 | 0, 1 | 0);
    i23 = 410;
   } while (0);
   if ((i23 | 0) == 409) if (!i119) i23 = 410; else i120 = i119;
   if ((i23 | 0) == 410) {
    set32(i31 | 0, 0 | 0);
    i121 = 0;
    break;
   }
   _memset(i120 | 0, 0, 192) | 0;
   set32(i120 | 0, i3 | 0);
   i2 = i3 + 136 | 0;
   i24 = get32(i2 | 0) | 0;
   if (i24) set32(i24 + 60 | 0, i120 | 0);
   set32(i120 + 64 | 0, i24 | 0);
   set32(i120 + 60 | 0, 0 | 0);
   set32(i2 | 0, i120 | 0);
   set32(i120 + 52 | 0, 649915045 | 0);
   set32(i31 | 0, i120 | 0);
   i2 = i120 + 28 | 0;
   i24 = i120 + 32 | 0;
   i57 = i120 + 4 | 0;
   i30 = _sqlite3DbRealloc(i3, 0, 1020) | 0;
   if (!i30) {
    i121 = i120;
    break;
   }
   i43 = get32(i120 | 0) | 0;
   do if (!i43) i23 = 418; else {
    if ((get32(i43 + 260 | 0) | 0) >>> 0 > i30 >>> 0) {
     i23 = 418;
     break;
    }
    if ((get32(i43 + 264 | 0) | 0) >>> 0 <= i30 >>> 0) {
     i23 = 418;
     break;
    }
    i122 = getU16(i43 + 232 | 0) | 0;
   } while (0);
   if ((i23 | 0) == 418) i122 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i30) | 0;
   set32(i24 | 0, (i122 >>> 0) / 20 | 0 | 0);
   set32(i57 | 0, i30 | 0);
   set32(i2 | 0, (get32(i2 | 0) | 0) + 1 | 0);
   set8(i30 >> 0 | 0, -120 | 0);
   set8(i30 + 1 >> 0 | 0, 0 | 0);
   i51 = i30 + 3 | 0;
   i52 = i51 + 17 | 0;
   do {
    set8(i51 >> 0 | 0, 0 | 0);
    i51 = i51 + 1 | 0;
   } while ((i51 | 0) < (i52 | 0));
   i121 = i120;
  } else i121 = i27; while (0);
  i27 = (i16 | 0) == 1 ? 21655 : 21674;
  i31 = get32(i1 + 424 | 0) | 0;
  i30 = (i31 | 0) == 0 ? i1 : i31;
  i31 = i30 + 400 | 0;
  i2 = get32(i31 | 0) | 0;
  i57 = i30 + 404 | 0;
  do if ((i2 | 0) > 0) {
   i24 = get32(i57 | 0) | 0;
   i43 = 0;
   while (1) {
    if ((get32(i24 + (i43 << 4) | 0) | 0) == (i16 | 0) ? (get32(i24 + (i43 << 4) + 4 | 0) | 0) == 1 : 0) {
     i123 = i43;
     i23 = 425;
     break;
    }
    i43 = i43 + 1 | 0;
    if ((i43 | 0) >= (i2 | 0)) {
     i23 = 427;
     break;
    }
   }
   if ((i23 | 0) == 425) {
    set8(i24 + (i123 << 4) + 8 >> 0 | 0, 1 | 0);
    break;
   } else if ((i23 | 0) == 427) {
    i124 = i57;
    i125 = i24;
    i23 = 428;
    break;
   }
  } else {
   i124 = i57;
   i125 = get32(i57 | 0) | 0;
   i23 = 428;
  } while (0);
  do if ((i23 | 0) == 428) {
   i57 = get32(i30 | 0) | 0;
   i43 = _sqlite3DbRealloc(i57, i125, (i2 << 4) + 16 | 0) | 0;
   if (!i43) {
    _sqlite3DbFree(i57, i125);
    set32(i124 | 0, 0 | 0);
    set32(i31 | 0, 0 | 0);
    set8((get32(i30 | 0) | 0) + 30 >> 0 | 0, 1 | 0);
    break;
   } else {
    set32(i124 | 0, i43 | 0);
    i57 = get32(i31 | 0) | 0;
    set32(i31 | 0, i57 + 1 | 0);
    set32(i43 + (i57 << 4) | 0, i16 | 0);
    set32(i43 + (i57 << 4) + 4 | 0, 1 | 0);
    set8(i43 + (i57 << 4) + 8 >> 0 | 0, 1 | 0);
    set32(i43 + (i57 << 4) + 12 | 0, i27 | 0);
    break;
   }
  } while (0);
  i27 = i121 + 28 | 0;
  i31 = get32(i27 | 0) | 0;
  i30 = i121 + 32 | 0;
  i2 = get32(i30 | 0) | 0;
  do if ((i2 | 0) > (i31 | 0)) {
   i57 = i121 + 4 | 0;
   i126 = i57;
   i127 = i121;
   i128 = i31;
   i129 = get32(i57 | 0) | 0;
   i23 = 440;
  } else {
   i57 = i121 + 4 | 0;
   i43 = _sqlite3DbRealloc(get32(i121 | 0) | 0, get32(i57 | 0) | 0, (i2 | 0) == 0 ? 1020 : i2 * 40 | 0) | 0;
   if (!i43) {
    i130 = i121;
    i131 = i57;
    break;
   }
   i3 = get32(i121 | 0) | 0;
   do if (!i3) i23 = 438; else {
    if ((get32(i3 + 260 | 0) | 0) >>> 0 > i43 >>> 0) {
     i23 = 438;
     break;
    }
    if ((get32(i3 + 264 | 0) | 0) >>> 0 <= i43 >>> 0) {
     i23 = 438;
     break;
    }
    i132 = getU16(i3 + 232 | 0) | 0;
   } while (0);
   if ((i23 | 0) == 438) i132 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i43) | 0;
   set32(i30 | 0, (i132 >>> 0) / 20 | 0 | 0);
   set32(i57 | 0, i43 | 0);
   i126 = i57;
   i127 = i121;
   i128 = get32(i27 | 0) | 0;
   i129 = i43;
   i23 = 440;
  } while (0);
  if ((i23 | 0) == 440) {
   set32(i27 | 0, i128 + 1 | 0);
   set8(i129 + (i31 * 20 | 0) >> 0 | 0, 39 | 0);
   set8(i129 + (i31 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i129 + (i31 * 20 | 0) + 4 | 0, 0 | 0);
   set32(i129 + (i31 * 20 | 0) + 8 | 0, 1 | 0);
   set32(i129 + (i31 * 20 | 0) + 12 | 0, i16 | 0);
   set32(i129 + (i31 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i129 + (i31 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i130 = i127;
   i131 = i126;
  }
  i30 = get32(i130 | 0) | 0;
  i2 = get32(i131 | 0) | 0;
  do if (i2) {
   if (get8(i30 + 30 >> 0 | 0) | 0) break;
   i3 = (get32(i27 | 0) | 0) + -1 | 0;
   i24 = i2 + (i3 * 20 | 0) + 1 | 0;
   i32 = i2 + (i3 * 20 | 0) + 16 | 0;
   _freeP4(i30, get8(i24 >> 0 | 0) | 0, get32(i32 | 0) | 0);
   set32(i32 | 0, 5 | 0);
   set8(i24 >> 0 | 0, -14 | 0);
  } while (0);
  i30 = i1 + 68 | 0;
  if (!(get32(i30 | 0) | 0)) set32(i30 | 0, 1 | 0);
  i30 = get32(i41 | 0) | 0;
  i2 = get32(i76 | 0) | 0;
  do if ((i2 | 0) > (i30 | 0)) {
   i133 = i30;
   i134 = get32(i72 + 4 | 0) | 0;
   i135 = i2;
   i23 = 456;
  } else {
   i27 = i72 + 4 | 0;
   i31 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i27 | 0) | 0, (i2 | 0) == 0 ? 1020 : i2 * 40 | 0) | 0;
   if (!i31) {
    i136 = get32(i76 | 0) | 0;
    i137 = get32(i41 | 0) | 0;
    break;
   }
   i24 = get32(i72 | 0) | 0;
   do if (!i24) i23 = 454; else {
    if ((get32(i24 + 260 | 0) | 0) >>> 0 > i31 >>> 0) {
     i23 = 454;
     break;
    }
    if ((get32(i24 + 264 | 0) | 0) >>> 0 <= i31 >>> 0) {
     i23 = 454;
     break;
    }
    i138 = getU16(i24 + 232 | 0) | 0;
   } while (0);
   if ((i23 | 0) == 454) i138 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i31) | 0;
   i24 = (i138 >>> 0) / 20 | 0;
   set32(i76 | 0, i24 | 0);
   set32(i27 | 0, i31 | 0);
   i133 = get32(i41 | 0) | 0;
   i134 = i31;
   i135 = i24;
   i23 = 456;
  } while (0);
  if ((i23 | 0) == 456) {
   i2 = i133 + 1 | 0;
   set32(i41 | 0, i2 | 0);
   set8(i134 + (i30 * 20 | 0) >> 0 | 0, 54 | 0);
   set8(i134 + (i30 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i134 + (i30 * 20 | 0) + 4 | 0, 0 | 0);
   set32(i134 + (i30 * 20 | 0) + 8 | 0, i40 | 0);
   set32(i134 + (i30 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i134 + (i30 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i134 + (i30 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i136 = i135;
   i137 = i2;
  }
  do if ((i136 | 0) > (i137 | 0)) {
   i139 = i137;
   i140 = get32(i72 + 4 | 0) | 0;
   i141 = i136;
   i23 = 467;
  } else {
   i2 = i72 + 4 | 0;
   i24 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i2 | 0) | 0, (i136 | 0) == 0 ? 1020 : i136 * 40 | 0) | 0;
   if (!i24) {
    i142 = get32(i76 | 0) | 0;
    i143 = get32(i41 | 0) | 0;
    break;
   }
   i43 = get32(i72 | 0) | 0;
   do if (!i43) i23 = 465; else {
    if ((get32(i43 + 260 | 0) | 0) >>> 0 > i24 >>> 0) {
     i23 = 465;
     break;
    }
    if ((get32(i43 + 264 | 0) | 0) >>> 0 <= i24 >>> 0) {
     i23 = 465;
     break;
    }
    i144 = getU16(i43 + 232 | 0) | 0;
   } while (0);
   if ((i23 | 0) == 465) i144 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i24) | 0;
   i43 = (i144 >>> 0) / 20 | 0;
   set32(i76 | 0, i43 | 0);
   set32(i2 | 0, i24 | 0);
   i139 = get32(i41 | 0) | 0;
   i140 = i24;
   i141 = i43;
   i23 = 467;
  } while (0);
  if ((i23 | 0) == 467) {
   i30 = i139 + 1 | 0;
   set32(i41 | 0, i30 | 0);
   set8(i140 + (i137 * 20 | 0) >> 0 | 0, 10 | 0);
   set8(i140 + (i137 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i140 + (i137 * 20 | 0) + 4 | 0, 0 | 0);
   set32(i140 + (i137 * 20 | 0) + 8 | 0, i48 | 0);
   set32(i140 + (i137 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i140 + (i137 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i140 + (i137 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i142 = i141;
   i143 = i30;
  }
  do if ((i142 | 0) > (i143 | 0)) {
   i30 = i72 + 4 | 0;
   i145 = i30;
   i146 = i143;
   i147 = get32(i30 | 0) | 0;
   i23 = 478;
  } else {
   i30 = i72 + 4 | 0;
   i43 = _sqlite3DbRealloc(get32(i72 | 0) | 0, get32(i30 | 0) | 0, (i142 | 0) == 0 ? 1020 : i142 * 40 | 0) | 0;
   if (!i43) {
    i148 = i30;
    i149 = get32(i41 | 0) | 0;
    break;
   }
   i31 = get32(i72 | 0) | 0;
   do if (!i31) i23 = 476; else {
    if ((get32(i31 + 260 | 0) | 0) >>> 0 > i43 >>> 0) {
     i23 = 476;
     break;
    }
    if ((get32(i31 + 264 | 0) | 0) >>> 0 <= i43 >>> 0) {
     i23 = 476;
     break;
    }
    i150 = getU16(i31 + 232 | 0) | 0;
   } while (0);
   if ((i23 | 0) == 476) i150 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i43) | 0;
   set32(i76 | 0, (i150 >>> 0) / 20 | 0 | 0);
   set32(i30 | 0, i43 | 0);
   i145 = i30;
   i146 = get32(i41 | 0) | 0;
   i147 = i43;
   i23 = 478;
  } while (0);
  if ((i23 | 0) == 478) {
   i31 = i146 + 1 | 0;
   set32(i41 | 0, i31 | 0);
   set8(i147 + (i143 * 20 | 0) >> 0 | 0, 55 | 0);
   set8(i147 + (i143 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i147 + (i143 * 20 | 0) + 4 | 0, 0 | 0);
   set32(i147 + (i143 * 20 | 0) + 8 | 0, i48 | 0);
   set32(i147 + (i143 * 20 | 0) + 12 | 0, i40 | 0);
   set32(i147 + (i143 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i147 + (i143 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i148 = i145;
   i149 = i31;
  }
  i31 = get32(i148 | 0) | 0;
  if (i31) set8(i31 + ((i149 + -1 | 0) * 20 | 0) + 3 >> 0 | 0, 8 | 0);
  i24 = get32(i76 | 0) | 0;
  if ((i24 | 0) > (i149 | 0)) {
   i151 = i149;
   i152 = i31;
  } else {
   i2 = _sqlite3DbRealloc(get32(i72 | 0) | 0, i31, (i24 | 0) == 0 ? 1020 : i24 * 40 | 0) | 0;
   if (!i2) {
    STACKTOP = i8;
    return;
   }
   i24 = get32(i72 | 0) | 0;
   do if (!i24) i23 = 487; else {
    if ((get32(i24 + 260 | 0) | 0) >>> 0 > i2 >>> 0) {
     i23 = 487;
     break;
    }
    if ((get32(i24 + 264 | 0) | 0) >>> 0 <= i2 >>> 0) {
     i23 = 487;
     break;
    }
    i153 = getU16(i24 + 232 | 0) | 0;
   } while (0);
   if ((i23 | 0) == 487) i153 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i2) | 0;
   set32(i76 | 0, (i153 >>> 0) / 20 | 0 | 0);
   set32(i148 | 0, i2 | 0);
   i151 = get32(i41 | 0) | 0;
   i152 = i2;
  }
  set32(i41 | 0, i151 + 1 | 0);
  set8(i152 + (i149 * 20 | 0) >> 0 | 0, 43 | 0);
  set8(i152 + (i149 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i51 = i152 + (i149 * 20 | 0) + 3 | 0;
  i52 = i51 + 17 | 0;
  do {
   set8(i51 >> 0 | 0, 0 | 0);
   i51 = i51 + 1 | 0;
  } while ((i51 | 0) < (i52 | 0));
  STACKTOP = i8;
  return;
 } while (0);
 _sqlite3DbFree(i20, i28);
 STACKTOP = i8;
 return;
}

function _selectExpander(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0, i80 = 0, i81 = 0, i82 = 0, i83 = 0, i84 = 0, i85 = 0, i86 = 0, i87 = 0, i88 = 0, i89 = 0, i90 = 0, i91 = 0, i92 = 0, i93 = 0, i94 = 0, i95 = 0, i96 = 0, i97 = 0, i98 = 0, i99 = 0, i100 = 0, i101 = 0, i102 = 0, i103 = 0, i104 = 0, i105 = 0, i106 = 0, i107 = 0, i108 = 0, i109 = 0, i110 = 0, i111 = 0, i112 = 0, i113 = 0, i114 = 0, i115 = 0, i116 = 0, i117 = 0, i118 = 0, i119 = 0, i120 = 0, i121 = 0, i122 = 0, i123 = 0, i124 = 0, i125 = 0, i126 = 0, i127 = 0, i128 = 0, i129 = 0, i130 = 0, i131 = 0, i132 = 0, i133 = 0, i134 = 0, i135 = 0, i136 = 0, i137 = 0, i138 = 0, i139 = 0, i140 = 0, i141 = 0, i142 = 0, i143 = 0, i144 = 0, i145 = 0, i146 = 0, i147 = 0, i148 = 0, i149 = 0, i150 = 0, i151 = 0, i152 = 0, i153 = 0, i154 = 0, i155 = 0, i156 = 0, i157 = 0, i158 = 0, i159 = 0, i160 = 0, i161 = 0, i162 = 0, i163 = 0, i164 = 0, i165 = 0, i166 = 0, i167 = 0, i168 = 0, i169 = 0, i170 = 0, i171 = 0, i172 = 0, i173 = 0, i174 = 0, i175 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 128 | 0;
 i4 = i3 + 112 | 0;
 i5 = i3 + 104 | 0;
 i6 = i3 + 96 | 0;
 i7 = i3 + 88 | 0;
 i8 = i3 + 80 | 0;
 i9 = i3 + 72 | 0;
 i10 = i3 + 64 | 0;
 i11 = i3 + 56 | 0;
 i12 = i3 + 48 | 0;
 i13 = i3 + 40 | 0;
 i14 = i3 + 32 | 0;
 i15 = i3 + 24 | 0;
 i16 = i3 + 8 | 0;
 i17 = i3;
 i18 = i3 + 120 | 0;
 i19 = get32(i1 + 8 | 0) | 0;
 i20 = get32(i19 | 0) | 0;
 i21 = i20 + 30 | 0;
 if (get8(i21 >> 0 | 0) | 0) {
  i22 = 2;
  STACKTOP = i3;
  return i22 | 0;
 }
 i23 = i2 + 8 | 0;
 i24 = get32(i23 | 0) | 0;
 if (!i24) {
  i22 = 1;
  STACKTOP = i3;
  return i22 | 0;
 }
 i25 = i2 + 6 | 0;
 i26 = getU16(i25 | 0) | 0;
 if (i26 & 16) {
  i22 = 1;
  STACKTOP = i3;
  return i22 | 0;
 }
 set16(i25 | 0, i26 | 16 | 0);
 i26 = get32(i2 | 0) | 0;
 _sqlite3SrcListAssignCursors(i19, i24);
 i25 = i24 + 8 | 0;
 L10 : do if ((get16(i24 | 0) | 0) > 0) {
  i27 = (i20 | 0) == 0;
  i28 = i20 + 234 | 0;
  i29 = i20 + 232 | 0;
  i30 = i20 + 248 | 0;
  i31 = i20 + 256 | 0;
  i32 = i20 + 252 | 0;
  i33 = i20 + 236 | 0;
  i34 = i20 + 244 | 0;
  i35 = i20 + 240 | 0;
  i36 = i19 + 8 | 0;
  i37 = 0;
  i38 = i25;
  L12 : while (1) {
   i39 = i38 + 12 | 0;
   if (get32(i39 | 0) | 0) {
    i22 = 1;
    i40 = 412;
    break;
   }
   i41 = get32(i38 + 4 | 0) | 0;
   do if (!i41) {
    i42 = get32(i38 + 16 | 0) | 0;
    _sqlite3WalkSelect(i1, i42) | 0;
    L17 : do if (i27) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i43 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](76) | 0;
      i40 = 45;
      break;
     }
     i44 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](76) | 0;
     set32(35 * 4 | 0, 76 | 0);
     if ((get32(45 * 4 | 0) | 0) < 76) set32(45 * 4 | 0, 76 | 0);
     i45 = get32(6 * 4 | 0) | 0;
     do if (i45) {
      i46 = get32(30 * 4 | 0) | 0;
      i47 = ((i46 | 0) < 0) << 31 >> 31;
      i48 = 16;
      i49 = _i64Subtract(get32(i48 | 0) | 0, get32(i48 + 4 | 0) | 0, i44 | 0, ((i44 | 0) < 0) << 31 >> 31 | 0) | 0;
      i48 = tempRet0;
      if ((i47 | 0) < (i48 | 0) | (i47 | 0) == (i48 | 0) & i46 >>> 0 < i49 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i49 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i45 & 15](i49, i46, i47, i44);
       set32(6 * 4 | 0, i45 | 0);
       set32(7 * 4 | 0, i49 | 0);
       break;
      }
     } while (0);
     i45 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i44) | 0;
     if (!i45) {
      i50 = i39;
      i40 = 46;
      break L12;
     }
     i49 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i45) | 0;
     i47 = (get32(30 * 4 | 0) | 0) + i49 | 0;
     set32(30 * 4 | 0, i47 | 0);
     if ((i47 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i47 | 0);
     i47 = get32(39 * 4 | 0) | 0;
     i49 = i47 + 1 | 0;
     set32(39 * 4 | 0, i49 | 0);
     if ((i47 | 0) < (get32(49 * 4 | 0) | 0)) i51 = i45; else {
      set32(49 * 4 | 0, i49 | 0);
      i51 = i45;
     }
    } else {
     if (get8(i21 >> 0 | 0) | 0) {
      i50 = i39;
      i40 = 46;
      break L12;
     }
     do if (get8(i28 >> 0 | 0) | 0) {
      if ((getU16(i29 | 0) | 0) < 76) {
       set32(i30 | 0, (get32(i30 | 0) | 0) + 1 | 0);
       break;
      }
      i45 = get32(i31 | 0) | 0;
      if (!i45) {
       set32(i32 | 0, (get32(i32 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i31 | 0, get32(i45 | 0) | 0);
      i49 = get32(i33 | 0) | 0;
      i47 = i49 + 1 | 0;
      set32(i33 | 0, i47 | 0);
      set32(i34 | 0, (get32(i34 | 0) | 0) + 1 | 0);
      if ((i49 | 0) >= (get32(i35 | 0) | 0)) set32(i35 | 0, i47 | 0);
      i43 = i45;
      i40 = 45;
      break L17;
     } while (0);
     if (!(get32(50 * 4 | 0) | 0)) {
      i44 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](76) | 0;
      if (!i44) {
       i52 = i39;
       i40 = 44;
       break L12;
      } else {
       i51 = i44;
       break;
      }
     }
     i44 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](76) | 0;
     set32(35 * 4 | 0, 76 | 0);
     if ((get32(45 * 4 | 0) | 0) < 76) set32(45 * 4 | 0, 76 | 0);
     i45 = get32(6 * 4 | 0) | 0;
     do if (i45) {
      i47 = get32(30 * 4 | 0) | 0;
      i49 = ((i47 | 0) < 0) << 31 >> 31;
      i46 = 16;
      i48 = _i64Subtract(get32(i46 | 0) | 0, get32(i46 + 4 | 0) | 0, i44 | 0, ((i44 | 0) < 0) << 31 >> 31 | 0) | 0;
      i46 = tempRet0;
      if ((i49 | 0) < (i46 | 0) | (i49 | 0) == (i46 | 0) & i47 >>> 0 < i48 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i48 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i45 & 15](i48, i47, i49, i44);
       set32(6 * 4 | 0, i45 | 0);
       set32(7 * 4 | 0, i48 | 0);
       break;
      }
     } while (0);
     i45 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i44) | 0;
     if (!i45) {
      i52 = i39;
      i40 = 44;
      break L12;
     }
     i48 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i45) | 0;
     i49 = (get32(30 * 4 | 0) | 0) + i48 | 0;
     set32(30 * 4 | 0, i49 | 0);
     if ((i49 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i49 | 0);
     i49 = get32(39 * 4 | 0) | 0;
     i48 = i49 + 1 | 0;
     set32(39 * 4 | 0, i48 | 0);
     if ((i49 | 0) < (get32(49 * 4 | 0) | 0)) i51 = i45; else {
      set32(49 * 4 | 0, i48 | 0);
      i51 = i45;
     }
    } while (0);
    if ((i40 | 0) == 45) {
     i40 = 0;
     if (!i43) {
      i50 = i39;
      i40 = 46;
      break L12;
     } else i51 = i43;
    }
    i45 = i51;
    i48 = i45 + 76 | 0;
    do {
     set8(i45 >> 0 | 0, 0 | 0);
     i45 = i45 + 1 | 0;
    } while ((i45 | 0) < (i48 | 0));
    set32(i39 | 0, i51 | 0);
    set16(i51 + 32 | 0, 1 | 0);
    set32(i17 | 0, i51 | 0);
    set32(i51 | 0, _sqlite3MPrintf(i20, 30143, i17) | 0 | 0);
    i45 = i42;
    while (1) {
     i48 = get32(i45 + 28 | 0) | 0;
     if (!i48) {
      i53 = i45;
      break;
     } else i45 = i48;
    }
    _selectColumnsFromExprList(get32(i19 | 0) | 0, get32(i53 | 0) | 0, i51 + 8 | 0, i51 + 12 | 0);
    set32(i51 + 4 | 0, -1 | 0);
    set32(i51 + 24 | 0, 1e6 | 0);
    i45 = i51 + 34 | 0;
    set8(i45 >> 0 | 0, getU8(i45 >> 0 | 0) | 2 | 0);
   } else {
    i45 = get32(i38 | 0) | 0;
    i42 = get32(i19 | 0) | 0;
    if (!(get8(i42 + 124 >> 0 | 0) | 0)) {
     i48 = _sqlite3Init(i42, i36) | 0;
     if (i48) {
      i54 = i39;
      i55 = i48;
      i40 = 53;
      break L12;
     }
     i56 = get32(i19 | 0) | 0;
    } else i56 = i42;
    i42 = i41;
    while (1) if (!(get8(i42 >> 0 | 0) | 0)) {
     i57 = i42;
     break;
    } else i42 = i42 + 1 | 0;
    i42 = i57 - i41 & 1073741823;
    i48 = get32(i56 + 4 | 0) | 0;
    if ((i48 | 0) <= 0) {
     i58 = i39;
     i59 = i41;
     i60 = i45;
     i40 = 66;
     break L12;
    }
    i49 = (i45 | 0) == 0;
    i47 = get32(i56 + 8 | 0) | 0;
    i46 = 0;
    i61 = 0;
    while (1) {
     i62 = (i46 | 0) < 2 ^ i46;
     if (!i49) {
      i63 = get32(i47 + (i62 << 4) | 0) | 0;
      i64 = get8(i45 >> 0 | 0) | 0;
      L86 : do if (!(i64 << 24 >> 24)) {
       i65 = 0;
       i66 = i63;
      } else {
       i67 = i64;
       i68 = i45;
       i69 = i63;
       while (1) {
        if ((get8(16286 + (i67 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i69 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
         i65 = i67;
         i66 = i69;
         break L86;
        }
        i68 = i68 + 1 | 0;
        i70 = i69 + 1 | 0;
        i67 = get8(i68 >> 0 | 0) | 0;
        if (!(i67 << 24 >> 24)) {
         i65 = 0;
         i66 = i70;
         break;
        } else i69 = i70;
       }
      } while (0);
      if ((get8(16286 + (i65 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i66 >> 0 | 0) | 0) >> 0 | 0) | 0)) i71 = i61; else i40 = 63;
     } else i40 = 63;
     if ((i40 | 0) == 63) {
      i40 = 0;
      i63 = _sqlite3HashFind((get32(i47 + (i62 << 4) + 12 | 0) | 0) + 8 | 0, i41, i42) | 0;
      if (!i63) i71 = i63; else {
       i72 = i63;
       break;
      }
     }
     i46 = i46 + 1 | 0;
     if ((i46 | 0) >= (i48 | 0)) {
      i72 = i71;
      break;
     } else i61 = i71;
    }
    if (!i72) {
     i58 = i39;
     i59 = i41;
     i60 = i45;
     i40 = 66;
     break L12;
    }
    set32(i39 | 0, i72 | 0);
    i61 = i72 + 32 | 0;
    set16(i61 | 0, (get16(i61 | 0) | 0) + 1 << 16 >> 16 | 0);
    i61 = i72 + 28 | 0;
    if ((get32(i61 | 0) | 0) == 0 ? (get8(i72 + 34 >> 0 | 0) & 16) == 0 : 0) break;
    if (_sqlite3ViewGetColumnNames(i19, i72) | 0) {
     i22 = 2;
     i40 = 412;
     break L12;
    }
    i48 = _sqlite3SelectDup(i20, get32(i61 | 0) | 0, 0) | 0;
    set32(i38 + 16 | 0, i48 | 0);
    _sqlite3WalkSelect(i1, i48) | 0;
   } while (0);
   i41 = get32(i39 | 0) | 0;
   if ((i41 | 0) != 0 ? (i48 = get32(i38 + 48 | 0) | 0, (i48 | 0) != 0) : 0) {
    i61 = get32(i41 + 16 | 0) | 0;
    if (!i61) {
     i73 = i48;
     i40 = 84;
     break;
    } else i74 = i61;
    while (1) {
     i61 = get32(i74 | 0) | 0;
     i41 = get8(i61 >> 0 | 0) | 0;
     L106 : do if (!(i41 << 24 >> 24)) {
      i75 = 0;
      i76 = i48;
     } else {
      i46 = i41;
      i42 = i61;
      i47 = i48;
      while (1) {
       if ((get8(16286 + (i46 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i47 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
        i75 = i46;
        i76 = i47;
        break L106;
       }
       i42 = i42 + 1 | 0;
       i49 = i47 + 1 | 0;
       i46 = get8(i42 >> 0 | 0) | 0;
       if (!(i46 << 24 >> 24)) {
        i75 = 0;
        i76 = i49;
        break;
       } else i47 = i49;
      }
     } while (0);
     if ((get8(16286 + (i75 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i76 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
      i77 = i74;
      break;
     }
     i74 = get32(i74 + 32 | 0) | 0;
     if (!i74) {
      i73 = i48;
      i40 = 84;
      break L12;
     }
    }
    set32(i38 + 52 | 0, i77 | 0);
   }
   i37 = i37 + 1 | 0;
   if ((i37 | 0) >= (get16(i24 | 0) | 0)) break L10; else i38 = i38 + 56 | 0;
  }
  if ((i40 | 0) == 44) {
   set8(i21 >> 0 | 0, 1 | 0);
   i50 = i52;
   i40 = 46;
  } else if ((i40 | 0) == 53) {
   set32(i19 + 4 | 0, i55 | 0);
   i38 = i19 + 64 | 0;
   set32(i38 | 0, (get32(i38 | 0) | 0) + 1 | 0);
   i78 = i54;
   i40 = 70;
  } else if ((i40 | 0) == 66) {
   if (!i60) {
    set32(i15 | 0, 25690 | 0);
    set32(i15 + 4 | 0, i59 | 0);
    _sqlite3ErrorMsg(i19, 25714, i15);
   } else {
    set32(i16 | 0, 25690 | 0);
    set32(i16 + 4 | 0, i60 | 0);
    set32(i16 + 8 | 0, i59 | 0);
    _sqlite3ErrorMsg(i19, 25704, i16);
   }
   set8(i19 + 18 >> 0 | 0, 1 | 0);
   i78 = i58;
   i40 = 70;
  } else if ((i40 | 0) == 84) {
   set32(i14 | 0, i73 | 0);
   set32(i14 + 4 | 0, 0 | 0);
   _sqlite3ErrorMsg(i19, 30280, i14);
   set8(i19 + 18 >> 0 | 0, 1 | 0);
   i22 = 2;
   STACKTOP = i3;
   return i22 | 0;
  } else if ((i40 | 0) == 412) {
   STACKTOP = i3;
   return i22 | 0;
  }
  if ((i40 | 0) == 46) {
   set32(i50 | 0, 0 | 0);
   i22 = 2;
   STACKTOP = i3;
   return i22 | 0;
  } else if ((i40 | 0) == 70) {
   set32(i78 | 0, 0 | 0);
   i22 = 2;
   STACKTOP = i3;
   return i22 | 0;
  }
 } while (0);
 if (get8(i21 >> 0 | 0) | 0) {
  i22 = 2;
  STACKTOP = i3;
  return i22 | 0;
 }
 i78 = get32(i23 | 0) | 0;
 L135 : do if ((get16(i78 | 0) | 0) > 1) {
  i23 = i2 + 12 | 0;
  i50 = 0;
  i14 = i78 + 8 | 0;
  i73 = i78 + 64 | 0;
  L137 : while (1) {
   i58 = get32(i73 + 12 | 0) | 0;
   if (!((get32(i14 + 12 | 0) | 0) == 0 | (i58 | 0) == 0)) {
    i16 = getU8(i73 + 21 >> 0 | 0) | 0;
    i59 = i16 & 32;
    i60 = (i59 | 0) == 0;
    i15 = i59 >>> 5;
    i59 = i73 + 28 | 0;
    if (i16 & 4) {
     if (get32(i59 | 0) | 0) {
      i40 = 96;
      break;
     }
     i16 = i73 + 32 | 0;
     if (get32(i16 | 0) | 0) {
      i40 = 96;
      break;
     }
     i54 = i58 + 8 | 0;
     i55 = get32(i54 | 0) | 0;
     if ((i55 | 0) > 0) {
      i52 = i58 + 12 | 0;
      i77 = i50 + 1 | 0;
      i74 = (i15 | 0) == 0;
      i76 = i78 + 8 + (i77 * 56 | 0) + 12 | 0;
      i75 = i78 + 8 + (i77 * 56 | 0) + 24 | 0;
      i1 = i78 + 8 + (i77 * 56 | 0) + 40 | 0;
      i72 = i55;
      i55 = 0;
      while (1) {
       i71 = get32((get32(i52 | 0) | 0) + (i55 * 24 | 0) | 0) | 0;
       i66 = 0;
       L149 : while (1) {
        i65 = i78 + 8 + (i66 * 56 | 0) + 12 | 0;
        i56 = get32(i65 | 0) | 0;
        i57 = get32(i56 + 8 | 0) | 0;
        L151 : do if ((i57 | 0) > 0) {
         i51 = get32(i56 + 12 | 0) | 0;
         i53 = 0;
         while (1) {
          i17 = get32(i51 + (i53 * 24 | 0) | 0) | 0;
          i43 = get8(i17 >> 0 | 0) | 0;
          L155 : do if (!(i43 << 24 >> 24)) {
           i79 = 0;
           i80 = i71;
          } else {
           i38 = i43;
           i37 = i17;
           i36 = i71;
           while (1) {
            if ((get8(16286 + (i38 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i36 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
             i79 = i38;
             i80 = i36;
             break L155;
            }
            i37 = i37 + 1 | 0;
            i35 = i36 + 1 | 0;
            i38 = get8(i37 >> 0 | 0) | 0;
            if (!(i38 << 24 >> 24)) {
             i79 = 0;
             i80 = i35;
             break;
            } else i36 = i35;
           }
          } while (0);
          if ((get8(16286 + (i79 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i80 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
           i81 = i53;
           break;
          }
          i53 = i53 + 1 | 0;
          if ((i53 | 0) >= (i57 | 0)) break L151;
         }
         if ((i81 | 0) > -1) {
          i82 = i65;
          i83 = i81;
          i84 = i66;
          i40 = 107;
          break L149;
         }
        } while (0);
        i66 = i66 + 1 | 0;
        if ((i66 | 0) >= (i77 | 0)) {
         i85 = i72;
         break;
        }
       }
       if ((i40 | 0) == 107) {
        i40 = 0;
        i66 = get32(i19 | 0) | 0;
        i71 = _sqlite3ExprAlloc(i66, 152, 0, 0) | 0;
        i65 = (i71 | 0) == 0;
        if (!i65) {
         i57 = get32(i82 | 0) | 0;
         set32(i71 + 40 | 0, i57 | 0);
         set32(i71 + 24 | 0, get32(i78 + 8 + (i84 * 56 | 0) + 24 | 0) | 0);
         if ((get32(i57 + 4 | 0) | 0) == (i83 | 0)) i86 = -1; else {
          i57 = (i83 | 0) > 63;
          i56 = _bitshift64Shl(1, 0, i83 | 0) | 0;
          i53 = i78 + 8 + (i84 * 56 | 0) + 40 | 0;
          i51 = i53;
          i17 = get32(i51 + 4 | 0) | (i57 ? -2147483648 : tempRet0);
          i43 = i53;
          set32(i43 | 0, get32(i51 | 0) | (i57 ? 0 : i56) | 0);
          set32(i43 + 4 | 0, i17 | 0);
          i86 = i83 & 65535;
         }
         set16(i71 + 28 | 0, i86 | 0);
         i17 = i71 + 2 | 0;
         set16(i17 | 0, getU16(i17 | 0) | 4 | 0);
        }
        i17 = _sqlite3ExprAlloc(i66, 152, 0, 0) | 0;
        i43 = (i17 | 0) == 0;
        if (!i43) {
         i56 = get32(i76 | 0) | 0;
         set32(i17 + 40 | 0, i56 | 0);
         set32(i17 + 24 | 0, get32(i75 | 0) | 0);
         if ((get32(i56 + 4 | 0) | 0) == (i55 | 0)) i87 = -1; else {
          i56 = (i55 | 0) > 63;
          i57 = _bitshift64Shl(1, 0, i55 | 0) | 0;
          i51 = i1;
          i53 = get32(i51 + 4 | 0) | (i56 ? -2147483648 : tempRet0);
          i36 = i1;
          set32(i36 | 0, get32(i51 | 0) | (i56 ? 0 : i57) | 0);
          set32(i36 + 4 | 0, i53 | 0);
          i87 = i55 & 65535;
         }
         set16(i17 + 28 | 0, i87 | 0);
         i53 = i17 + 2 | 0;
         set16(i53 | 0, getU16(i53 | 0) | 4 | 0);
        }
        i53 = _sqlite3ExprAlloc(get32(i19 | 0) | 0, 76, 0, 1) | 0;
        i36 = get32(i19 | 0) | 0;
        do if (!i53) {
         _sqlite3ExprDelete(i36, i71);
         _sqlite3ExprDelete(i36, i17);
         i88 = get32(i23 | 0) | 0;
        } else {
         do if (!i43) {
          set32(i53 + 12 | 0, i17 | 0);
          if (!(get16(i17 + 2 | 0) & 256)) break;
          i57 = i53 + 2 | 0;
          set16(i57 | 0, getU16(i57 | 0) | 256 | 0);
          set32(i53 + 20 | 0, get32(i17 + 20 | 0) | 0);
         } while (0);
         i57 = i53 + 8 | 0;
         if (i65) {
          i56 = get32(i57 | 0) | 0;
          set32(i18 | 0, 0 | 0);
          if (!i56) i89 = 0; else {
           i90 = i56;
           i40 = 125;
          }
         } else {
          set32(i57 | 0, i71 | 0);
          if (get16(i71 + 2 | 0) & 256) {
           i57 = i53 + 2 | 0;
           set16(i57 | 0, getU16(i57 | 0) | 256 | 0);
           set32(i53 + 20 | 0, get32(i71 + 20 | 0) | 0);
          }
          set32(i18 | 0, 0 | 0);
          i90 = i71;
          i40 = 125;
         }
         do if ((i40 | 0) == 125) {
          i40 = 0;
          i57 = get32(i90 + 44 | 0) | 0;
          if ((i57 | 0) <= 0) {
           i89 = 0;
           break;
          }
          set32(i18 | 0, i57 | 0);
          i89 = i57;
         } while (0);
         i57 = get32(i53 + 12 | 0) | 0;
         do if (!i57) i91 = i89; else {
          i56 = get32(i57 + 44 | 0) | 0;
          if ((i56 | 0) <= (i89 | 0)) {
           i91 = i89;
           break;
          }
          set32(i18 | 0, i56 | 0);
          i91 = i56;
         } while (0);
         i57 = i53 + 2 | 0;
         i56 = i53 + 16 | 0;
         do if (!(get16(i57 | 0) & 2048)) {
          i51 = get32(i56 | 0) | 0;
          if (!i51) {
           i92 = i91;
           i93 = i36;
           i40 = 139;
           break;
          }
          i38 = get32(i51 | 0) | 0;
          if ((i38 | 0) > 0) {
           i37 = get32(i51 + 12 | 0) | 0;
           i51 = i91;
           i35 = 0;
           while (1) {
            i34 = get32(i37 + (i35 * 20 | 0) | 0) | 0;
            do if (!i34) i94 = i51; else {
             i33 = get32(i34 + 44 | 0) | 0;
             if ((i33 | 0) <= (i51 | 0)) {
              i94 = i51;
              break;
             }
             set32(i18 | 0, i33 | 0);
             i94 = i33;
            } while (0);
            i35 = i35 + 1 | 0;
            if ((i35 | 0) == (i38 | 0)) {
             i95 = i94;
             break;
            } else i51 = i94;
           }
          } else i95 = i91;
          i51 = i95 + 1 | 0;
          set32(i53 + 44 | 0, i51 | 0);
          i96 = i36;
          i97 = i51;
         } else {
          _heightOfSelect(get32(i56 | 0) | 0, i18);
          i92 = get32(i18 | 0) | 0;
          i93 = get32(i19 | 0) | 0;
          i40 = 139;
         } while (0);
         if ((i40 | 0) == 139) {
          i40 = 0;
          i56 = i92 + 1 | 0;
          set32(i53 + 44 | 0, i56 | 0);
          i96 = i93;
          i97 = i56;
         }
         i56 = get32(i96 + 84 | 0) | 0;
         if ((i56 | 0) < (i97 | 0)) {
          set32(i12 | 0, i56 | 0);
          _sqlite3ErrorMsg(i19, 29585, i12);
         }
         if (!i74) {
          set16(i57 | 0, getU16(i57 | 0) | 1 | 0);
          set16(i53 + 32 | 0, get32(i17 + 24 | 0) | 0);
         }
         i56 = get32(i23 | 0) | 0;
         i51 = (i56 | 0) == 0;
         if (i51) {
          i88 = i51 ? i53 : i56;
          break;
         }
         i51 = _sqlite3ExprAlloc(i66, 69, 0, 0) | 0;
         if (!i51) {
          _sqlite3ExprDelete(i66, i56);
          _sqlite3ExprDelete(i66, i53);
          i88 = 0;
          break;
         }
         set32(i51 + 12 | 0, i53 | 0);
         if (get16(i57 | 0) & 256) {
          i38 = i51 + 2 | 0;
          set16(i38 | 0, getU16(i38 | 0) | 256 | 0);
          set32(i51 + 20 | 0, get32(i53 + 20 | 0) | 0);
         }
         set32(i51 + 8 | 0, i56 | 0);
         i38 = i51 + 2 | 0;
         i35 = get16(i38 | 0) | 0;
         if (!(get16(i56 + 2 | 0) & 256)) i98 = i35; else {
          i37 = (i35 & 65535 | 256) & 65535;
          set16(i38 | 0, i37 | 0);
          set32(i51 + 20 | 0, get32(i56 + 20 | 0) | 0);
          i98 = i37;
         }
         i37 = get32(i56 + 44 | 0) | 0;
         i56 = (i37 | 0) > 0 ? i37 : 0;
         i37 = get32(i53 + 44 | 0) | 0;
         i38 = (i37 | 0) > (i56 | 0) ? i37 : i56;
         set32(i18 | 0, i38 | 0);
         i56 = i51 + 16 | 0;
         do if (!(i98 & 2048)) {
          i37 = get32(i56 | 0) | 0;
          if (!i37) {
           i99 = i38;
           break;
          }
          i35 = get32(i37 | 0) | 0;
          if ((i35 | 0) <= 0) {
           i99 = i38;
           break;
          }
          i34 = get32(i37 + 12 | 0) | 0;
          i37 = i38;
          i33 = 0;
          while (1) {
           i31 = get32(i34 + (i33 * 20 | 0) | 0) | 0;
           do if (!i31) i100 = i37; else {
            i32 = get32(i31 + 44 | 0) | 0;
            if ((i32 | 0) <= (i37 | 0)) {
             i100 = i37;
             break;
            }
            set32(i18 | 0, i32 | 0);
            i100 = i32;
           } while (0);
           i33 = i33 + 1 | 0;
           if ((i33 | 0) == (i35 | 0)) {
            i99 = i100;
            break;
           } else i37 = i100;
          }
         } else {
          _heightOfSelect(get32(i56 | 0) | 0, i18);
          i99 = get32(i18 | 0) | 0;
         } while (0);
         set32(i51 + 44 | 0, i99 + 1 | 0);
         i88 = i51;
        } while (0);
        set32(i23 | 0, i88 | 0);
        i85 = get32(i54 | 0) | 0;
       }
       i55 = i55 + 1 | 0;
       if ((i55 | 0) >= (i85 | 0)) {
        i101 = i16;
        break;
       } else i72 = i85;
      }
     } else i101 = i16;
    } else i101 = i73 + 32 | 0;
    i72 = get32(i59 | 0) | 0;
    if (i72) {
     if (get32(i101 | 0) | 0) {
      i40 = 166;
      break;
     }
     if (i60) i102 = i72; else {
      _setJoinExpr(i72, get32(i73 + 24 | 0) | 0);
      i102 = get32(i59 | 0) | 0;
     }
     i72 = get32(i19 | 0) | 0;
     i55 = get32(i23 | 0) | 0;
     do if (i55) if (!i102) i103 = i55; else {
      i54 = _sqlite3ExprAlloc(i72, 69, 0, 0) | 0;
      if (!i54) {
       _sqlite3ExprDelete(i72, i55);
       _sqlite3ExprDelete(i72, i102);
       i103 = 0;
       break;
      }
      set32(i54 + 12 | 0, i102 | 0);
      if (get16(i102 + 2 | 0) & 256) {
       i74 = i54 + 2 | 0;
       set16(i74 | 0, getU16(i74 | 0) | 256 | 0);
       set32(i54 + 20 | 0, get32(i102 + 20 | 0) | 0);
      }
      set32(i54 + 8 | 0, i55 | 0);
      i74 = i54 + 2 | 0;
      i1 = get16(i74 | 0) | 0;
      if (!(get16(i55 + 2 | 0) & 256)) i104 = i1; else {
       i75 = (i1 & 65535 | 256) & 65535;
       set16(i74 | 0, i75 | 0);
       set32(i54 + 20 | 0, get32(i55 + 20 | 0) | 0);
       i104 = i75;
      }
      i75 = get32(i55 + 44 | 0) | 0;
      i74 = (i75 | 0) > 0 ? i75 : 0;
      i75 = get32(i102 + 44 | 0) | 0;
      i1 = (i75 | 0) > (i74 | 0) ? i75 : i74;
      set32(i18 | 0, i1 | 0);
      i74 = i54 + 16 | 0;
      do if (!(i104 & 2048)) {
       i75 = get32(i74 | 0) | 0;
       if (!i75) {
        i105 = i1;
        break;
       }
       i76 = get32(i75 | 0) | 0;
       if ((i76 | 0) <= 0) {
        i105 = i1;
        break;
       }
       i77 = get32(i75 + 12 | 0) | 0;
       i75 = i1;
       i52 = 0;
       while (1) {
        i53 = get32(i77 + (i52 * 20 | 0) | 0) | 0;
        do if (!i53) i106 = i75; else {
         i66 = get32(i53 + 44 | 0) | 0;
         if ((i66 | 0) <= (i75 | 0)) {
          i106 = i75;
          break;
         }
         set32(i18 | 0, i66 | 0);
         i106 = i66;
        } while (0);
        i52 = i52 + 1 | 0;
        if ((i52 | 0) == (i76 | 0)) {
         i105 = i106;
         break;
        } else i75 = i106;
       }
      } else {
       _heightOfSelect(get32(i74 | 0) | 0, i18);
       i105 = get32(i18 | 0) | 0;
      } while (0);
      set32(i54 + 44 | 0, i105 + 1 | 0);
      i103 = i54;
     } else i103 = i102; while (0);
     set32(i23 | 0, i103 | 0);
     set32(i59 | 0, 0 | 0);
    }
    i55 = get32(i101 | 0) | 0;
    if ((i55 | 0) != 0 ? (i72 = i55 + 4 | 0, (get32(i72 | 0) | 0) > 0) : 0) {
     i60 = i58 + 8 | 0;
     i16 = i58 + 12 | 0;
     i74 = i50 + 1 | 0;
     i1 = (i15 | 0) == 0;
     i75 = i78 + 8 + (i74 * 56 | 0) + 12 | 0;
     i76 = i78 + 8 + (i74 * 56 | 0) + 24 | 0;
     i52 = i78 + 8 + (i74 * 56 | 0) + 40 | 0;
     i77 = 0;
     do {
      i51 = get32((get32(i55 | 0) | 0) + (i77 << 3) | 0) | 0;
      i53 = get32(i60 | 0) | 0;
      if ((i53 | 0) <= 0) {
       i107 = i51;
       i40 = 208;
       break L137;
      }
      i66 = get32(i16 | 0) | 0;
      i17 = 0;
      while (1) {
       i36 = get32(i66 + (i17 * 24 | 0) | 0) | 0;
       i71 = get8(i36 >> 0 | 0) | 0;
       L284 : do if (!(i71 << 24 >> 24)) {
        i108 = 0;
        i109 = i51;
       } else {
        i65 = i71;
        i43 = i36;
        i56 = i51;
        while (1) {
         if ((get8(16286 + (i65 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i56 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
          i108 = i65;
          i109 = i56;
          break L284;
         }
         i43 = i43 + 1 | 0;
         i38 = i56 + 1 | 0;
         i65 = get8(i43 >> 0 | 0) | 0;
         if (!(i65 << 24 >> 24)) {
          i108 = 0;
          i109 = i38;
          break;
         } else i56 = i38;
        }
       } while (0);
       if ((get8(16286 + (i108 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i109 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
        i110 = i17;
        break;
       }
       i17 = i17 + 1 | 0;
       if ((i17 | 0) >= (i53 | 0)) {
        i107 = i51;
        i40 = 208;
        break L137;
       }
      }
      if ((i110 | 0) < 0) {
       i107 = i51;
       i40 = 208;
       break L137;
      } else i111 = 0;
      L291 : while (1) {
       i53 = i78 + 8 + (i111 * 56 | 0) + 12 | 0;
       i17 = get32(i53 | 0) | 0;
       i66 = get32(i17 + 8 | 0) | 0;
       L293 : do if ((i66 | 0) > 0) {
        i54 = get32(i17 + 12 | 0) | 0;
        i36 = 0;
        while (1) {
         i71 = get32(i54 + (i36 * 24 | 0) | 0) | 0;
         i56 = get8(i71 >> 0 | 0) | 0;
         L297 : do if (!(i56 << 24 >> 24)) {
          i112 = 0;
          i113 = i51;
         } else {
          i65 = i56;
          i43 = i71;
          i38 = i51;
          while (1) {
           if ((get8(16286 + (i65 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i38 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
            i112 = i65;
            i113 = i38;
            break L297;
           }
           i43 = i43 + 1 | 0;
           i57 = i38 + 1 | 0;
           i65 = get8(i43 >> 0 | 0) | 0;
           if (!(i65 << 24 >> 24)) {
            i112 = 0;
            i113 = i57;
            break;
           } else i38 = i57;
          }
         } while (0);
         if ((get8(16286 + (i112 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i113 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
          i114 = i36;
          break;
         }
         i36 = i36 + 1 | 0;
         if ((i36 | 0) >= (i66 | 0)) break L293;
        }
        if ((i114 | 0) > -1) {
         i115 = i53;
         i116 = i114;
         i117 = i111;
         break L291;
        }
       } while (0);
       i111 = i111 + 1 | 0;
       if ((i111 | 0) >= (i74 | 0)) {
        i107 = i51;
        i40 = 208;
        break L137;
       }
      }
      i51 = get32(i19 | 0) | 0;
      i53 = _sqlite3ExprAlloc(i51, 152, 0, 0) | 0;
      i66 = (i53 | 0) == 0;
      if (!i66) {
       i17 = get32(i115 | 0) | 0;
       set32(i53 + 40 | 0, i17 | 0);
       set32(i53 + 24 | 0, get32(i78 + 8 + (i117 * 56 | 0) + 24 | 0) | 0);
       if ((get32(i17 + 4 | 0) | 0) == (i116 | 0)) i118 = -1; else {
        i17 = (i116 | 0) > 63;
        i36 = _bitshift64Shl(1, 0, i116 | 0) | 0;
        i54 = i78 + 8 + (i117 * 56 | 0) + 40 | 0;
        i71 = i54;
        i56 = get32(i71 + 4 | 0) | (i17 ? -2147483648 : tempRet0);
        i38 = i54;
        set32(i38 | 0, get32(i71 | 0) | (i17 ? 0 : i36) | 0);
        set32(i38 + 4 | 0, i56 | 0);
        i118 = i116 & 65535;
       }
       set16(i53 + 28 | 0, i118 | 0);
       i56 = i53 + 2 | 0;
       set16(i56 | 0, getU16(i56 | 0) | 4 | 0);
      }
      i56 = _sqlite3ExprAlloc(i51, 152, 0, 0) | 0;
      i38 = (i56 | 0) == 0;
      if (!i38) {
       i36 = get32(i75 | 0) | 0;
       set32(i56 + 40 | 0, i36 | 0);
       set32(i56 + 24 | 0, get32(i76 | 0) | 0);
       if ((get32(i36 + 4 | 0) | 0) == (i110 | 0)) i119 = -1; else {
        i36 = (i110 | 0) > 63;
        i17 = _bitshift64Shl(1, 0, i110 | 0) | 0;
        i71 = i52;
        i54 = get32(i71 + 4 | 0) | (i36 ? -2147483648 : tempRet0);
        i65 = i52;
        set32(i65 | 0, get32(i71 | 0) | (i36 ? 0 : i17) | 0);
        set32(i65 + 4 | 0, i54 | 0);
        i119 = i110 & 65535;
       }
       set16(i56 + 28 | 0, i119 | 0);
       i54 = i56 + 2 | 0;
       set16(i54 | 0, getU16(i54 | 0) | 4 | 0);
      }
      i54 = _sqlite3ExprAlloc(get32(i19 | 0) | 0, 76, 0, 1) | 0;
      i65 = get32(i19 | 0) | 0;
      do if (!i54) {
       _sqlite3ExprDelete(i65, i53);
       _sqlite3ExprDelete(i65, i56);
       i120 = get32(i23 | 0) | 0;
      } else {
       do if (!i38) {
        set32(i54 + 12 | 0, i56 | 0);
        if (!(get16(i56 + 2 | 0) & 256)) break;
        i17 = i54 + 2 | 0;
        set16(i17 | 0, getU16(i17 | 0) | 256 | 0);
        set32(i54 + 20 | 0, get32(i56 + 20 | 0) | 0);
       } while (0);
       i17 = i54 + 8 | 0;
       if (i66) {
        i36 = get32(i17 | 0) | 0;
        set32(i18 | 0, 0 | 0);
        if (!i36) i121 = 0; else {
         i122 = i36;
         i40 = 227;
        }
       } else {
        set32(i17 | 0, i53 | 0);
        if (get16(i53 + 2 | 0) & 256) {
         i17 = i54 + 2 | 0;
         set16(i17 | 0, getU16(i17 | 0) | 256 | 0);
         set32(i54 + 20 | 0, get32(i53 + 20 | 0) | 0);
        }
        set32(i18 | 0, 0 | 0);
        i122 = i53;
        i40 = 227;
       }
       do if ((i40 | 0) == 227) {
        i40 = 0;
        i17 = get32(i122 + 44 | 0) | 0;
        if ((i17 | 0) <= 0) {
         i121 = 0;
         break;
        }
        set32(i18 | 0, i17 | 0);
        i121 = i17;
       } while (0);
       i17 = get32(i54 + 12 | 0) | 0;
       do if (!i17) i123 = i121; else {
        i36 = get32(i17 + 44 | 0) | 0;
        if ((i36 | 0) <= (i121 | 0)) {
         i123 = i121;
         break;
        }
        set32(i18 | 0, i36 | 0);
        i123 = i36;
       } while (0);
       i17 = i54 + 2 | 0;
       i36 = i54 + 16 | 0;
       do if (!(get16(i17 | 0) & 2048)) {
        i71 = get32(i36 | 0) | 0;
        if (!i71) {
         i124 = i123;
         i125 = i65;
         i40 = 241;
         break;
        }
        i43 = get32(i71 | 0) | 0;
        if ((i43 | 0) > 0) {
         i57 = get32(i71 + 12 | 0) | 0;
         i71 = i123;
         i37 = 0;
         while (1) {
          i35 = get32(i57 + (i37 * 20 | 0) | 0) | 0;
          do if (!i35) i126 = i71; else {
           i33 = get32(i35 + 44 | 0) | 0;
           if ((i33 | 0) <= (i71 | 0)) {
            i126 = i71;
            break;
           }
           set32(i18 | 0, i33 | 0);
           i126 = i33;
          } while (0);
          i37 = i37 + 1 | 0;
          if ((i37 | 0) == (i43 | 0)) {
           i127 = i126;
           break;
          } else i71 = i126;
         }
        } else i127 = i123;
        i71 = i127 + 1 | 0;
        set32(i54 + 44 | 0, i71 | 0);
        i128 = i65;
        i129 = i71;
       } else {
        _heightOfSelect(get32(i36 | 0) | 0, i18);
        i124 = get32(i18 | 0) | 0;
        i125 = get32(i19 | 0) | 0;
        i40 = 241;
       } while (0);
       if ((i40 | 0) == 241) {
        i40 = 0;
        i36 = i124 + 1 | 0;
        set32(i54 + 44 | 0, i36 | 0);
        i128 = i125;
        i129 = i36;
       }
       i36 = get32(i128 + 84 | 0) | 0;
       if ((i36 | 0) < (i129 | 0)) {
        set32(i9 | 0, i36 | 0);
        _sqlite3ErrorMsg(i19, 29585, i9);
       }
       if (!i1) {
        set16(i17 | 0, getU16(i17 | 0) | 1 | 0);
        set16(i54 + 32 | 0, get32(i56 + 24 | 0) | 0);
       }
       i36 = get32(i23 | 0) | 0;
       i71 = (i36 | 0) == 0;
       if (i71) {
        i120 = i71 ? i54 : i36;
        break;
       }
       i71 = _sqlite3ExprAlloc(i51, 69, 0, 0) | 0;
       if (!i71) {
        _sqlite3ExprDelete(i51, i36);
        _sqlite3ExprDelete(i51, i54);
        i120 = 0;
        break;
       }
       set32(i71 + 12 | 0, i54 | 0);
       if (get16(i17 | 0) & 256) {
        i43 = i71 + 2 | 0;
        set16(i43 | 0, getU16(i43 | 0) | 256 | 0);
        set32(i71 + 20 | 0, get32(i54 + 20 | 0) | 0);
       }
       set32(i71 + 8 | 0, i36 | 0);
       i43 = i71 + 2 | 0;
       i37 = get16(i43 | 0) | 0;
       if (!(get16(i36 + 2 | 0) & 256)) i130 = i37; else {
        i57 = (i37 & 65535 | 256) & 65535;
        set16(i43 | 0, i57 | 0);
        set32(i71 + 20 | 0, get32(i36 + 20 | 0) | 0);
        i130 = i57;
       }
       i57 = get32(i36 + 44 | 0) | 0;
       i36 = (i57 | 0) > 0 ? i57 : 0;
       i57 = get32(i54 + 44 | 0) | 0;
       i43 = (i57 | 0) > (i36 | 0) ? i57 : i36;
       set32(i18 | 0, i43 | 0);
       i36 = i71 + 16 | 0;
       do if (!(i130 & 2048)) {
        i57 = get32(i36 | 0) | 0;
        if (!i57) {
         i131 = i43;
         break;
        }
        i37 = get32(i57 | 0) | 0;
        if ((i37 | 0) <= 0) {
         i131 = i43;
         break;
        }
        i35 = get32(i57 + 12 | 0) | 0;
        i57 = i43;
        i33 = 0;
        while (1) {
         i34 = get32(i35 + (i33 * 20 | 0) | 0) | 0;
         do if (!i34) i132 = i57; else {
          i31 = get32(i34 + 44 | 0) | 0;
          if ((i31 | 0) <= (i57 | 0)) {
           i132 = i57;
           break;
          }
          set32(i18 | 0, i31 | 0);
          i132 = i31;
         } while (0);
         i33 = i33 + 1 | 0;
         if ((i33 | 0) == (i37 | 0)) {
          i131 = i132;
          break;
         } else i57 = i132;
        }
       } else {
        _heightOfSelect(get32(i36 | 0) | 0, i18);
        i131 = get32(i18 | 0) | 0;
       } while (0);
       set32(i71 + 44 | 0, i131 + 1 | 0);
       i120 = i71;
      } while (0);
      set32(i23 | 0, i120 | 0);
      i77 = i77 + 1 | 0;
     } while ((i77 | 0) < (get32(i72 | 0) | 0));
    }
   }
   i50 = i50 + 1 | 0;
   if ((i50 | 0) >= ((get16(i78 | 0) | 0) + -1 | 0)) break L135; else {
    i14 = i14 + 56 | 0;
    i73 = i73 + 56 | 0;
   }
  }
  if ((i40 | 0) == 96) {
   set32(i13 | 0, 0 | 0);
   _sqlite3ErrorMsg(i19, 30298, i13);
   i22 = 2;
   STACKTOP = i3;
   return i22 | 0;
  } else if ((i40 | 0) == 166) {
   _sqlite3ErrorMsg(i19, 30348, i11);
   i22 = 2;
   STACKTOP = i3;
   return i22 | 0;
  } else if ((i40 | 0) == 208) {
   set32(i10 | 0, i107 | 0);
   _sqlite3ErrorMsg(i19, 30403, i10);
   i22 = 2;
   STACKTOP = i3;
   return i22 | 0;
  }
 } while (0);
 i10 = get32(i26 | 0) | 0;
 i107 = (i10 | 0) > 0;
 L393 : do if (i107) {
  i11 = get32(i26 + 12 | 0) | 0;
  i13 = 0;
  while (1) {
   i78 = get32(i11 + (i13 * 20 | 0) | 0) | 0;
   switch (get8(i78 >> 0 | 0) | 0) {
   case 113:
    {
     i133 = i13;
     break L393;
     break;
    }
   case 118:
    {
     if ((get8(get32(i78 + 12 | 0) >> 0 | 0) | 0) == 113) {
      i133 = i13;
      break L393;
     }
     break;
    }
   default:
    {}
   }
   i78 = i13 + 1 | 0;
   if ((i78 | 0) < (i10 | 0)) i13 = i78; else {
    i133 = i78;
    break L393;
   }
  }
 } else i133 = 0; while (0);
 if ((i133 | 0) < (i10 | 0)) {
  i10 = i26 + 12 | 0;
  i133 = get32(i10 | 0) | 0;
  i13 = (get32((get32(i19 | 0) | 0) + 12 | 0) & 3072 | 0) == 1024;
  if (i107) {
   i107 = i18 + 4 | 0;
   i11 = i18 + 4 | 0;
   i78 = 0;
   i120 = 0;
   while (1) {
    i131 = i133 + (i78 * 20 | 0) | 0;
    i132 = get32(i131 | 0) | 0;
    switch (get8(i132 >> 0 | 0) | 0) {
    case 113:
     {
      i134 = 0;
      i40 = 280;
      break;
     }
    case 118:
     {
      if ((get8(get32(i132 + 12 | 0) >> 0 | 0) | 0) == 113) {
       i134 = get32((get32(i132 + 8 | 0) | 0) + 4 | 0) | 0;
       i40 = 280;
      } else i40 = 276;
      break;
     }
    default:
     i40 = 276;
    }
    do if ((i40 | 0) == 276) {
     i40 = 0;
     i130 = _sqlite3ExprListAppend(get32(i19 | 0) | 0, i120, i132) | 0;
     if (i130) {
      i9 = i133 + (i78 * 20 | 0) + 4 | 0;
      i129 = (get32(i130 | 0) | 0) + -1 | 0;
      i128 = get32(i130 + 12 | 0) | 0;
      set32(i128 + (i129 * 20 | 0) + 4 | 0, get32(i9 | 0) | 0);
      i125 = i133 + (i78 * 20 | 0) + 8 | 0;
      set32(i128 + (i129 * 20 | 0) + 8 | 0, get32(i125 | 0) | 0);
      set32(i9 | 0, 0 | 0);
      set32(i125 | 0, 0 | 0);
     }
     set32(i131 | 0, 0 | 0);
     i135 = i130;
    } else if ((i40 | 0) == 280) {
     i40 = 0;
     if ((get16(i24 | 0) | 0) > 0) {
      i130 = (i134 | 0) == 0;
      i125 = 0;
      i9 = i25;
      i129 = i120;
      i128 = 0;
      while (1) {
       i124 = get32(i9 + 12 | 0) | 0;
       i127 = get32(i9 + 8 | 0) | 0;
       if (!i127) i136 = get32(i124 | 0) | 0; else i136 = i127;
       if (get8(i21 >> 0 | 0) | 0) {
        i137 = i129;
        i138 = i128;
        break;
       }
       if (!i130) {
        i127 = get8(i134 >> 0 | 0) | 0;
        L426 : do if (!(i127 << 24 >> 24)) {
         i139 = 0;
         i140 = i136;
        } else {
         i123 = i127;
         i126 = i134;
         i121 = i136;
         while (1) {
          if ((get8(16286 + (i123 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i121 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
           i139 = i123;
           i140 = i121;
           break L426;
          }
          i126 = i126 + 1 | 0;
          i122 = i121 + 1 | 0;
          i123 = get8(i126 >> 0 | 0) | 0;
          if (!(i123 << 24 >> 24)) {
           i139 = 0;
           i140 = i122;
           break;
          } else i121 = i122;
         }
        } while (0);
        if ((get8(16286 + (i139 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i140 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
         i141 = i129;
         i142 = i128;
        } else i40 = 290;
       } else i40 = 290;
       do if ((i40 | 0) == 290) {
        i40 = 0;
        i127 = i124 + 8 | 0;
        i121 = get32(i127 | 0) | 0;
        if ((i121 | 0) <= 0) {
         i141 = i129;
         i142 = 1;
         break;
        }
        i123 = i124 + 12 | 0;
        i126 = (i125 | 0) > 0;
        i71 = i130 & i126;
        i122 = i9 + 21 | 0;
        i119 = i126 ^ 1;
        i126 = i9 + 32 | 0;
        i110 = (i136 | 0) == 0;
        i118 = i136;
        i116 = i121;
        i121 = 0;
        i117 = i129;
        while (1) {
         i115 = get32(i123 | 0) | 0;
         i111 = get32(i115 + (i121 * 24 | 0) | 0) | 0;
         L436 : do if (!(get8(i115 + (i121 * 24 | 0) + 23 >> 0 | 0) | 0)) {
          L438 : do if (i71) {
           if (!((get8(i122 >> 0 | 0) & 4) == 0 | i119)) {
            i114 = 0;
            do {
             i113 = get32(i24 + 8 + (i114 * 56 | 0) + 12 | 0) | 0;
             i112 = get32(i113 + 8 | 0) | 0;
             L443 : do if ((i112 | 0) > 0) {
              i109 = get32(i113 + 12 | 0) | 0;
              i108 = 0;
              while (1) {
               i101 = get32(i109 + (i108 * 24 | 0) | 0) | 0;
               i103 = get8(i101 >> 0 | 0) | 0;
               L447 : do if (!(i103 << 24 >> 24)) {
                i143 = 0;
                i144 = i111;
               } else {
                i102 = i103;
                i105 = i101;
                i106 = i111;
                while (1) {
                 if ((get8(16286 + (i102 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i106 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
                  i143 = i102;
                  i144 = i106;
                  break L447;
                 }
                 i105 = i105 + 1 | 0;
                 i104 = i106 + 1 | 0;
                 i102 = get8(i105 >> 0 | 0) | 0;
                 if (!(i102 << 24 >> 24)) {
                  i143 = 0;
                  i144 = i104;
                  break;
                 } else i106 = i104;
                }
               } while (0);
               if ((get8(16286 + (i143 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i144 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
                i145 = i108;
                break;
               }
               i108 = i108 + 1 | 0;
               if ((i108 | 0) >= (i112 | 0)) break L443;
              }
              if ((i145 | 0) > -1) {
               i146 = i116;
               i147 = i117;
               break L436;
              }
             } while (0);
             i114 = i114 + 1 | 0;
            } while ((i114 | 0) < (i125 | 0));
           }
           i114 = get32(i126 | 0) | 0;
           if (!i114) break;
           i112 = get32(i114 + 4 | 0) | 0;
           if ((i112 | 0) <= 0) break;
           i113 = get32(i114 | 0) | 0;
           i114 = 0;
           while (1) {
            i108 = get32(i113 + (i114 << 3) | 0) | 0;
            i109 = get8(i108 >> 0 | 0) | 0;
            L460 : do if (!(i109 << 24 >> 24)) {
             i148 = 0;
             i149 = i111;
            } else {
             i101 = i109;
             i103 = i108;
             i106 = i111;
             while (1) {
              if ((get8(16286 + (i101 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i106 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
               i148 = i101;
               i149 = i106;
               break L460;
              }
              i103 = i103 + 1 | 0;
              i102 = i106 + 1 | 0;
              i101 = get8(i103 >> 0 | 0) | 0;
              if (!(i101 << 24 >> 24)) {
               i148 = 0;
               i149 = i102;
               break;
              } else i106 = i102;
             }
            } while (0);
            if ((get8(16286 + (i148 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i149 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
             i150 = i114;
             break;
            }
            i114 = i114 + 1 | 0;
            if ((i114 | 0) >= (i112 | 0)) break L438;
           }
           if ((i150 | 0) > -1) {
            i146 = i116;
            i147 = i117;
            break L436;
           }
          } while (0);
          set32(i18 | 0, i111 | 0);
          if (!i111) i151 = 0; else {
           i112 = i111;
           while (1) if (!(get8(i112 >> 0 | 0) | 0)) {
            i152 = i112;
            break;
           } else i112 = i112 + 1 | 0;
           i151 = i152 - i111 & 1073741823;
          }
          set32(i107 | 0, i151 | 0);
          i112 = _sqlite3ExprAlloc(i20, 26, i18, 0) | 0;
          if (!i13 ? (get16(i24 | 0) | 0) <= 1 : 0) {
           i153 = i112;
           i154 = i111;
           i155 = 0;
          } else i40 = 318;
          do if ((i40 | 0) == 318) {
           i40 = 0;
           set32(i18 | 0, i136 | 0);
           if (i110) i156 = 0; else {
            i114 = i136;
            while (1) if (!(get8(i114 >> 0 | 0) | 0)) {
             i157 = i114;
             break;
            } else i114 = i114 + 1 | 0;
            i156 = i157 - i118 & 1073741823;
           }
           set32(i11 | 0, i156 | 0);
           i114 = _sqlite3ExprAlloc(i20, 26, i18, 0) | 0;
           i113 = _sqlite3ExprAlloc(get32(i19 | 0) | 0, 118, 0, 1) | 0;
           i108 = get32(i19 | 0) | 0;
           do if (!i113) {
            _sqlite3ExprDelete(i108, i114);
            _sqlite3ExprDelete(i108, i112);
           } else {
            do if (i112) {
             set32(i113 + 12 | 0, i112 | 0);
             if (!(get16(i112 + 2 | 0) & 256)) break;
             i109 = i113 + 2 | 0;
             set16(i109 | 0, getU16(i109 | 0) | 256 | 0);
             set32(i113 + 20 | 0, get32(i112 + 20 | 0) | 0);
            } while (0);
            i109 = i113 + 8 | 0;
            if (!i114) {
             i106 = get32(i109 | 0) | 0;
             set32(i18 | 0, 0 | 0);
             if (!i106) i158 = 0; else {
              i159 = i106;
              i40 = 331;
             }
            } else {
             set32(i109 | 0, i114 | 0);
             if (get16(i114 + 2 | 0) & 256) {
              i109 = i113 + 2 | 0;
              set16(i109 | 0, getU16(i109 | 0) | 256 | 0);
              set32(i113 + 20 | 0, get32(i114 + 20 | 0) | 0);
             }
             set32(i18 | 0, 0 | 0);
             i159 = i114;
             i40 = 331;
            }
            do if ((i40 | 0) == 331) {
             i40 = 0;
             i109 = get32(i159 + 44 | 0) | 0;
             if ((i109 | 0) <= 0) {
              i158 = 0;
              break;
             }
             set32(i18 | 0, i109 | 0);
             i158 = i109;
            } while (0);
            i109 = get32(i113 + 12 | 0) | 0;
            do if (!i109) i160 = i158; else {
             i106 = get32(i109 + 44 | 0) | 0;
             if ((i106 | 0) <= (i158 | 0)) {
              i160 = i158;
              break;
             }
             set32(i18 | 0, i106 | 0);
             i160 = i106;
            } while (0);
            i109 = i113 + 16 | 0;
            do if (!(get16(i113 + 2 | 0) & 2048)) {
             i106 = get32(i109 | 0) | 0;
             if (!i106) {
              i161 = i160;
              i162 = i108;
              i40 = 345;
              break;
             }
             i101 = get32(i106 | 0) | 0;
             if ((i101 | 0) > 0) {
              i103 = get32(i106 + 12 | 0) | 0;
              i106 = i160;
              i102 = 0;
              while (1) {
               i105 = get32(i103 + (i102 * 20 | 0) | 0) | 0;
               do if (!i105) i163 = i106; else {
                i104 = get32(i105 + 44 | 0) | 0;
                if ((i104 | 0) <= (i106 | 0)) {
                 i163 = i106;
                 break;
                }
                set32(i18 | 0, i104 | 0);
                i163 = i104;
               } while (0);
               i102 = i102 + 1 | 0;
               if ((i102 | 0) == (i101 | 0)) {
                i164 = i163;
                break;
               } else i106 = i163;
              }
             } else i164 = i160;
             i106 = i164 + 1 | 0;
             set32(i113 + 44 | 0, i106 | 0);
             i165 = i108;
             i166 = i106;
            } else {
             _heightOfSelect(get32(i109 | 0) | 0, i18);
             i161 = get32(i18 | 0) | 0;
             i162 = get32(i19 | 0) | 0;
             i40 = 345;
            } while (0);
            if ((i40 | 0) == 345) {
             i40 = 0;
             i109 = i161 + 1 | 0;
             set32(i113 + 44 | 0, i109 | 0);
             i165 = i162;
             i166 = i109;
            }
            i109 = get32(i165 + 84 | 0) | 0;
            if ((i109 | 0) >= (i166 | 0)) break;
            set32(i8 | 0, i109 | 0);
            _sqlite3ErrorMsg(i19, 29585, i8);
           } while (0);
           if (!i13) {
            i153 = i113;
            i154 = i111;
            i155 = 0;
            break;
           }
           set32(i7 | 0, i136 | 0);
           set32(i7 + 4 | 0, i111 | 0);
           i108 = _sqlite3MPrintf(i20, 30163, i7) | 0;
           i153 = i113;
           i154 = i108;
           i155 = i108;
          } while (0);
          i112 = _sqlite3ExprListAppend(get32(i19 | 0) | 0, i117, i153) | 0;
          i108 = (i154 | 0) == 0;
          if (i108) i167 = 0; else {
           i114 = i154;
           while (1) if (!(get8(i114 >> 0 | 0) | 0)) {
            i168 = i114;
            break;
           } else i114 = i114 + 1 | 0;
           i167 = i168 - i154 & 1073741823;
          }
          L528 : do if (i112) {
           i114 = (get32(i112 | 0) | 0) + -1 | 0;
           i109 = get32(i112 + 12 | 0) | 0;
           L530 : do if (!i108) {
            i106 = get32(i19 | 0) | 0;
            i101 = i167 + 1 | 0;
            L532 : do if (!i106) {
             if (!(get32(50 * 4 | 0) | 0)) {
              i169 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i101) | 0;
              i40 = 393;
              break;
             }
             i102 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i101) | 0;
             set32(35 * 4 | 0, i101 | 0);
             if ((get32(45 * 4 | 0) | 0) < (i101 | 0)) set32(45 * 4 | 0, i101 | 0);
             i103 = get32(6 * 4 | 0) | 0;
             do if (i103) {
              i105 = get32(30 * 4 | 0) | 0;
              i104 = ((i105 | 0) < 0) << 31 >> 31;
              i85 = 16;
              i88 = _i64Subtract(get32(i85 | 0) | 0, get32(i85 + 4 | 0) | 0, i102 | 0, ((i102 | 0) < 0) << 31 >> 31 | 0) | 0;
              i85 = tempRet0;
              if ((i104 | 0) < (i85 | 0) | (i104 | 0) == (i85 | 0) & i105 >>> 0 < i88 >>> 0) {
               set32(11 * 4 | 0, 0 | 0);
               break;
              } else {
               set32(11 * 4 | 0, 1 | 0);
               i88 = get32(7 * 4 | 0) | 0;
               set32(6 * 4 | 0, 0 | 0);
               FUNCTION_TABLE_viiii[i103 & 15](i88, i105, i104, i102);
               set32(6 * 4 | 0, i103 | 0);
               set32(7 * 4 | 0, i88 | 0);
               break;
              }
             } while (0);
             i103 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i102) | 0;
             if (!i103) break L530;
             i88 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i103) | 0;
             i104 = (get32(30 * 4 | 0) | 0) + i88 | 0;
             set32(30 * 4 | 0, i104 | 0);
             if ((i104 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i104 | 0);
             i104 = get32(39 * 4 | 0) | 0;
             i88 = i104 + 1 | 0;
             set32(39 * 4 | 0, i88 | 0);
             if ((i104 | 0) < (get32(49 * 4 | 0) | 0)) {
              i170 = i103;
              break;
             }
             set32(49 * 4 | 0, i88 | 0);
             i170 = i103;
            } else {
             i103 = i106 + 30 | 0;
             if (get8(i103 >> 0 | 0) | 0) break L530;
             do if (get8(i106 + 234 >> 0 | 0) | 0) {
              if ((getU16(i106 + 232 | 0) | 0) >>> 0 < i101 >>> 0) {
               i88 = i106 + 248 | 0;
               set32(i88 | 0, (get32(i88 | 0) | 0) + 1 | 0);
               break;
              }
              i88 = i106 + 256 | 0;
              i104 = get32(i88 | 0) | 0;
              if (!i104) {
               i105 = i106 + 252 | 0;
               set32(i105 | 0, (get32(i105 | 0) | 0) + 1 | 0);
               break;
              }
              set32(i88 | 0, get32(i104 | 0) | 0);
              i88 = i106 + 236 | 0;
              i105 = get32(i88 | 0) | 0;
              i85 = i105 + 1 | 0;
              set32(i88 | 0, i85 | 0);
              i88 = i106 + 244 | 0;
              set32(i88 | 0, (get32(i88 | 0) | 0) + 1 | 0);
              i88 = i106 + 240 | 0;
              if ((i105 | 0) >= (get32(i88 | 0) | 0)) set32(i88 | 0, i85 | 0);
              i169 = i104;
              i40 = 393;
              break L532;
             } while (0);
             do if (!(get32(50 * 4 | 0) | 0)) {
              i102 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i101) | 0;
              if (i102) {
               i170 = i102;
               break L532;
              }
             } else {
              i102 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i101) | 0;
              set32(35 * 4 | 0, i101 | 0);
              if ((get32(45 * 4 | 0) | 0) < (i101 | 0)) set32(45 * 4 | 0, i101 | 0);
              i104 = get32(6 * 4 | 0) | 0;
              do if (i104) {
               i85 = get32(30 * 4 | 0) | 0;
               i88 = ((i85 | 0) < 0) << 31 >> 31;
               i105 = 16;
               i99 = _i64Subtract(get32(i105 | 0) | 0, get32(i105 + 4 | 0) | 0, i102 | 0, ((i102 | 0) < 0) << 31 >> 31 | 0) | 0;
               i105 = tempRet0;
               if ((i88 | 0) < (i105 | 0) | (i88 | 0) == (i105 | 0) & i85 >>> 0 < i99 >>> 0) {
                set32(11 * 4 | 0, 0 | 0);
                break;
               } else {
                set32(11 * 4 | 0, 1 | 0);
                i99 = get32(7 * 4 | 0) | 0;
                set32(6 * 4 | 0, 0 | 0);
                FUNCTION_TABLE_viiii[i104 & 15](i99, i85, i88, i102);
                set32(6 * 4 | 0, i104 | 0);
                set32(7 * 4 | 0, i99 | 0);
                break;
               }
              } while (0);
              i104 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i102) | 0;
              if (!i104) break;
              i99 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i104) | 0;
              i88 = (get32(30 * 4 | 0) | 0) + i99 | 0;
              set32(30 * 4 | 0, i88 | 0);
              if ((i88 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i88 | 0);
              i88 = get32(39 * 4 | 0) | 0;
              i99 = i88 + 1 | 0;
              set32(39 * 4 | 0, i99 | 0);
              if ((i88 | 0) < (get32(49 * 4 | 0) | 0)) {
               i170 = i104;
               break L532;
              }
              set32(49 * 4 | 0, i99 | 0);
              i170 = i104;
              break L532;
             } while (0);
             set8(i103 >> 0 | 0, 1 | 0);
             break L530;
            } while (0);
            if ((i40 | 0) == 393) {
             i40 = 0;
             if (!i169) break; else i170 = i169;
            }
            _memcpy(i170 | 0, i154 | 0, i167 | 0) | 0;
            set8(i170 + i167 >> 0 | 0, 0 | 0);
            set32(i109 + (i114 * 20 | 0) + 4 | 0, i170 | 0);
            break L528;
           } while (0);
           set32(i109 + (i114 * 20 | 0) + 4 | 0, 0 | 0);
          } while (0);
          _sqlite3DbFree(i20, i155);
          i146 = get32(i127 | 0) | 0;
          i147 = i112;
         } else {
          i146 = i116;
          i147 = i117;
         } while (0);
         i121 = i121 + 1 | 0;
         if ((i121 | 0) >= (i146 | 0)) {
          i141 = i147;
          i142 = 1;
          break;
         } else {
          i116 = i146;
          i117 = i147;
         }
        }
       } while (0);
       i125 = i125 + 1 | 0;
       if ((i125 | 0) >= (get16(i24 | 0) | 0)) {
        i137 = i141;
        i138 = i142;
        break;
       } else {
        i9 = i9 + 56 | 0;
        i129 = i141;
        i128 = i142;
       }
      }
      if (!i138) i171 = i137; else {
       i135 = i137;
       break;
      }
     } else i171 = i120;
     if (!i134) {
      _sqlite3ErrorMsg(i19, 30187, i5);
      i135 = i171;
      break;
     } else {
      set32(i6 | 0, i134 | 0);
      _sqlite3ErrorMsg(i19, 30169, i6);
      i135 = i171;
      break;
     }
    } while (0);
    i78 = i78 + 1 | 0;
    i131 = get32(i26 | 0) | 0;
    if ((i78 | 0) >= (i131 | 0)) {
     i172 = i131;
     i173 = i135;
     break;
    } else i120 = i135;
   }
   if ((i172 | 0) > 0) {
    i172 = 0;
    i135 = get32(i10 | 0) | 0;
    while (1) {
     _sqlite3ExprDelete(i20, get32(i135 | 0) | 0);
     _sqlite3DbFree(i20, get32(i135 + 4 | 0) | 0);
     _sqlite3DbFree(i20, get32(i135 + 8 | 0) | 0);
     i172 = i172 + 1 | 0;
     if ((i172 | 0) >= (get32(i26 | 0) | 0)) {
      i174 = i173;
      break;
     } else i135 = i135 + 20 | 0;
    }
   } else i174 = i173;
  } else i174 = 0;
  _sqlite3DbFree(i20, get32(i10 | 0) | 0);
  _sqlite3DbFree(i20, i26);
  set32(i2 | 0, i174 | 0);
  i175 = i174;
 } else i175 = get32(i2 | 0) | 0;
 if (!i175) {
  i22 = 0;
  STACKTOP = i3;
  return i22 | 0;
 }
 if ((get32(i175 | 0) | 0) <= (get32(i20 + 80 | 0) | 0)) {
  i22 = 0;
  STACKTOP = i3;
  return i22 | 0;
 }
 _sqlite3ErrorMsg(i19, 30207, i4);
 i22 = 0;
 STACKTOP = i3;
 return i22 | 0;
}

function _sqlite3RefillIndex(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0, i80 = 0, i81 = 0, i82 = 0, i83 = 0, i84 = 0, i85 = 0, i86 = 0, i87 = 0, i88 = 0, i89 = 0, i90 = 0, i91 = 0, i92 = 0, i93 = 0, i94 = 0, i95 = 0, i96 = 0, i97 = 0, i98 = 0, i99 = 0, i100 = 0, i101 = 0, i102 = 0, i103 = 0, i104 = 0, i105 = 0, i106 = 0, i107 = 0, i108 = 0, i109 = 0, i110 = 0, i111 = 0, i112 = 0, i113 = 0, i114 = 0, i115 = 0, i116 = 0, i117 = 0, i118 = 0, i119 = 0, i120 = 0, i121 = 0, i122 = 0, i123 = 0, i124 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i5 = i4 + 24 | 0;
 i6 = i4 + 16 | 0;
 i7 = i4 + 8 | 0;
 i8 = i4;
 i9 = get32(i2 + 16 | 0) | 0;
 i10 = i1 + 68 | 0;
 i11 = get32(i10 | 0) | 0;
 i12 = i11 + 1 | 0;
 set32(i10 | 0, i11 + 2 | 0);
 i10 = get32(i1 | 0) | 0;
 i13 = get32(i2 + 36 | 0) | 0;
 L1 : do if (i13) {
  i14 = get32(i10 + 4 | 0) | 0;
  if ((i14 | 0) > 0) {
   i15 = get32(i10 + 8 | 0) | 0;
   i16 = 0;
   while (1) {
    if ((get32(i15 + (i16 << 4) + 12 | 0) | 0) == (i13 | 0)) {
     i17 = i16;
     break L1;
    }
    i18 = i16 + 1 | 0;
    if ((i18 | 0) < (i14 | 0)) i16 = i18; else {
     i17 = i18;
     break;
    }
   }
  } else i17 = 0;
 } else i17 = -1e6; while (0);
 i13 = get32(i2 | 0) | 0;
 i16 = get32((get32(i10 + 8 | 0) | 0) + (i17 << 4) | 0) | 0;
 L8 : do if (((get8(i10 + 124 >> 0 | 0) | 0) == 0 ? (get8(i1 + 528 >> 0 | 0) | 0) == 0 : 0) ? (i14 = get32(i10 + 268 | 0) | 0, (i14 | 0) != 0) : 0) switch (FUNCTION_TABLE_iiiiiii[i14 & 3](get32(i10 + 272 | 0) | 0, 27, i13, 0, i16, get32(i1 + 516 | 0) | 0) | 0) {
 case 0:
  {
   break L8;
   break;
  }
 case 1:
  {
   _sqlite3ErrorMsg(i1, 26149, i8);
   set32(i1 + 4 | 0, 23 | 0);
   STACKTOP = i4;
   return;
  }
 case 2:
  {
   STACKTOP = i4;
   return;
  }
 default:
  {
   _sqlite3ErrorMsg(i1, 29155, i7);
   set32(i1 + 4 | 0, 1 | 0);
   STACKTOP = i4;
   return;
  }
 } while (0);
 i7 = i9 + 20 | 0;
 i8 = get32(i7 | 0) | 0;
 i16 = get32(i9 | 0) | 0;
 i13 = i1 + 424 | 0;
 i10 = get32(i13 | 0) | 0;
 i14 = (i10 | 0) == 0 ? i1 : i10;
 i10 = i14 + 400 | 0;
 i15 = get32(i10 | 0) | 0;
 i18 = i14 + 404 | 0;
 do if ((i15 | 0) > 0) {
  i19 = get32(i18 | 0) | 0;
  i20 = 0;
  while (1) {
   if ((get32(i19 + (i20 << 4) | 0) | 0) == (i17 | 0) ? (get32(i19 + (i20 << 4) + 4 | 0) | 0) == (i8 | 0) : 0) {
    i21 = i20;
    i22 = 17;
    break;
   }
   i20 = i20 + 1 | 0;
   if ((i20 | 0) >= (i15 | 0)) {
    i22 = 19;
    break;
   }
  }
  if ((i22 | 0) == 17) {
   set8(i19 + (i21 << 4) + 8 >> 0 | 0, 1 | 0);
   break;
  } else if ((i22 | 0) == 19) {
   i23 = i18;
   i24 = i19;
   i22 = 20;
   break;
  }
 } else {
  i23 = i18;
  i24 = get32(i18 | 0) | 0;
  i22 = 20;
 } while (0);
 do if ((i22 | 0) == 20) {
  i18 = get32(i14 | 0) | 0;
  i21 = _sqlite3DbRealloc(i18, i24, (i15 << 4) + 16 | 0) | 0;
  if (!i21) {
   _sqlite3DbFree(i18, i24);
   set32(i23 | 0, 0 | 0);
   set32(i10 | 0, 0 | 0);
   set8((get32(i14 | 0) | 0) + 30 >> 0 | 0, 1 | 0);
   break;
  } else {
   set32(i23 | 0, i21 | 0);
   i18 = get32(i10 | 0) | 0;
   set32(i10 | 0, i18 + 1 | 0);
   set32(i21 + (i18 << 4) | 0, i17 | 0);
   set32(i21 + (i18 << 4) + 4 | 0, i8 | 0);
   set8(i21 + (i18 << 4) + 8 >> 0 | 0, 1 | 0);
   set32(i21 + (i18 << 4) + 12 | 0, i16 | 0);
   break;
  }
 } while (0);
 i16 = i1 + 12 | 0;
 i8 = get32(i16 | 0) | 0;
 if (!i8) {
  i10 = get32(i1 | 0) | 0;
  L38 : do if (!i10) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i25 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
    i22 = 61;
    break;
   }
   i23 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
   set32(35 * 4 | 0, 192 | 0);
   if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
   i14 = get32(6 * 4 | 0) | 0;
   do if (i14) {
    i24 = get32(30 * 4 | 0) | 0;
    i15 = ((i24 | 0) < 0) << 31 >> 31;
    i18 = 16;
    i21 = _i64Subtract(get32(i18 | 0) | 0, get32(i18 + 4 | 0) | 0, i23 | 0, ((i23 | 0) < 0) << 31 >> 31 | 0) | 0;
    i18 = tempRet0;
    if ((i15 | 0) < (i18 | 0) | (i15 | 0) == (i18 | 0) & i24 >>> 0 < i21 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i21 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i14 & 15](i21, i24, i15, i23);
     set32(6 * 4 | 0, i14 | 0);
     set32(7 * 4 | 0, i21 | 0);
     break;
    }
   } while (0);
   i14 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i23) | 0;
   if (i14) {
    i19 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i14) | 0;
    i21 = (get32(30 * 4 | 0) | 0) + i19 | 0;
    set32(30 * 4 | 0, i21 | 0);
    if ((i21 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i21 | 0);
    i21 = get32(39 * 4 | 0) | 0;
    i19 = i21 + 1 | 0;
    set32(39 * 4 | 0, i19 | 0);
    if ((i21 | 0) < (get32(49 * 4 | 0) | 0)) i26 = i14; else {
     set32(49 * 4 | 0, i19 | 0);
     i26 = i14;
    }
   } else i22 = 71;
  } else {
   i14 = i10 + 30 | 0;
   if (!(get8(i14 >> 0 | 0) | 0)) {
    do if (get8(i10 + 234 >> 0 | 0) | 0) {
     if ((getU16(i10 + 232 | 0) | 0) < 192) {
      i19 = i10 + 248 | 0;
      set32(i19 | 0, (get32(i19 | 0) | 0) + 1 | 0);
      break;
     }
     i19 = i10 + 256 | 0;
     i21 = get32(i19 | 0) | 0;
     if (!i21) {
      i15 = i10 + 252 | 0;
      set32(i15 | 0, (get32(i15 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i19 | 0, get32(i21 | 0) | 0);
     i19 = i10 + 236 | 0;
     i15 = get32(i19 | 0) | 0;
     i24 = i15 + 1 | 0;
     set32(i19 | 0, i24 | 0);
     i19 = i10 + 244 | 0;
     set32(i19 | 0, (get32(i19 | 0) | 0) + 1 | 0);
     i19 = i10 + 240 | 0;
     if ((i15 | 0) >= (get32(i19 | 0) | 0)) set32(i19 | 0, i24 | 0);
     i25 = i21;
     i22 = 61;
     break L38;
    } while (0);
    if (!(get32(50 * 4 | 0) | 0)) {
     i23 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
     if (i23) {
      i26 = i23;
      break;
     }
    } else {
     i23 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
     set32(35 * 4 | 0, 192 | 0);
     if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
     i21 = get32(6 * 4 | 0) | 0;
     do if (i21) {
      i24 = get32(30 * 4 | 0) | 0;
      i19 = ((i24 | 0) < 0) << 31 >> 31;
      i15 = 16;
      i18 = _i64Subtract(get32(i15 | 0) | 0, get32(i15 + 4 | 0) | 0, i23 | 0, ((i23 | 0) < 0) << 31 >> 31 | 0) | 0;
      i15 = tempRet0;
      if ((i19 | 0) < (i15 | 0) | (i19 | 0) == (i15 | 0) & i24 >>> 0 < i18 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i18 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i21 & 15](i18, i24, i19, i23);
       set32(6 * 4 | 0, i21 | 0);
       set32(7 * 4 | 0, i18 | 0);
       break;
      }
     } while (0);
     i21 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i23) | 0;
     if (i21) {
      i18 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i21) | 0;
      i19 = (get32(30 * 4 | 0) | 0) + i18 | 0;
      set32(30 * 4 | 0, i19 | 0);
      if ((i19 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i19 | 0);
      i19 = get32(39 * 4 | 0) | 0;
      i18 = i19 + 1 | 0;
      set32(39 * 4 | 0, i18 | 0);
      if ((i19 | 0) < (get32(49 * 4 | 0) | 0)) {
       i26 = i21;
       break;
      }
      set32(49 * 4 | 0, i18 | 0);
      i26 = i21;
      break;
     }
    }
    set8(i14 >> 0 | 0, 1 | 0);
    i22 = 71;
   } else i22 = 71;
  } while (0);
  if ((i22 | 0) == 61) if (!i25) i22 = 71; else i26 = i25;
  if ((i22 | 0) == 71) {
   set32(i16 | 0, 0 | 0);
   STACKTOP = i4;
   return;
  }
  _memset(i26 | 0, 0, 192) | 0;
  set32(i26 | 0, i10 | 0);
  i25 = i10 + 136 | 0;
  i21 = get32(i25 | 0) | 0;
  if (i21) set32(i21 + 60 | 0, i26 | 0);
  set32(i26 + 64 | 0, i21 | 0);
  set32(i26 + 60 | 0, 0 | 0);
  set32(i25 | 0, i26 | 0);
  set32(i26 + 52 | 0, 649915045 | 0);
  set32(i16 | 0, i26 | 0);
  i25 = i26 + 28 | 0;
  i21 = i26 + 32 | 0;
  i18 = i26 + 4 | 0;
  i19 = _sqlite3DbRealloc(i10, 0, 1020) | 0;
  if (!i19) i27 = i26; else {
   i10 = get32(i26 | 0) | 0;
   if (((i10 | 0) != 0 ? (get32(i10 + 260 | 0) | 0) >>> 0 <= i19 >>> 0 : 0) ? (get32(i10 + 264 | 0) | 0) >>> 0 > i19 >>> 0 : 0) i28 = getU16(i10 + 232 | 0) | 0; else i28 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i19) | 0;
   set32(i21 | 0, (i28 >>> 0) / 20 | 0 | 0);
   set32(i18 | 0, i19 | 0);
   set32(i25 | 0, (get32(i25 | 0) | 0) + 1 | 0);
   set8(i19 >> 0 | 0, -120 | 0);
   set8(i19 + 1 >> 0 | 0, 0 | 0);
   i29 = i19 + 3 | 0;
   i30 = i29 + 17 | 0;
   do {
    set8(i29 >> 0 | 0, 0 | 0);
    i29 = i29 + 1 | 0;
   } while ((i29 | 0) < (i30 | 0));
   i27 = i26;
  }
 } else i27 = i8;
 do if ((i3 | 0) > -1) {
  i8 = get32(i2 + 4 | 0) | 0;
  i26 = i8 + 12 + (i8 << 2) | 0;
  i19 = get32(i1 | 0) | 0;
  L109 : do if (!i19) if ((i26 + -1 | 0) >>> 0 <= 2147483390) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i31 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i26) | 0;
    i22 = 193;
    break;
   }
   i25 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i26) | 0;
   set32(35 * 4 | 0, i26 | 0);
   if ((get32(45 * 4 | 0) | 0) < (i26 | 0)) set32(45 * 4 | 0, i26 | 0);
   i18 = get32(6 * 4 | 0) | 0;
   do if (i18) {
    i28 = get32(30 * 4 | 0) | 0;
    i21 = ((i28 | 0) < 0) << 31 >> 31;
    i10 = 16;
    i24 = _i64Subtract(get32(i10 | 0) | 0, get32(i10 + 4 | 0) | 0, i25 | 0, ((i25 | 0) < 0) << 31 >> 31 | 0) | 0;
    i10 = tempRet0;
    if ((i21 | 0) < (i10 | 0) | (i21 | 0) == (i10 | 0) & i28 >>> 0 < i24 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i24 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i18 & 15](i24, i28, i21, i25);
     set32(6 * 4 | 0, i18 | 0);
     set32(7 * 4 | 0, i24 | 0);
     break;
    }
   } while (0);
   i18 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i25) | 0;
   if (i18) {
    i24 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i18) | 0;
    i21 = (get32(30 * 4 | 0) | 0) + i24 | 0;
    set32(30 * 4 | 0, i21 | 0);
    if ((i21 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i21 | 0);
    i21 = get32(39 * 4 | 0) | 0;
    i24 = i21 + 1 | 0;
    set32(39 * 4 | 0, i24 | 0);
    if ((i21 | 0) < (get32(49 * 4 | 0) | 0)) {
     i32 = i18;
     i22 = 194;
    } else {
     set32(49 * 4 | 0, i24 | 0);
     i32 = i18;
     i22 = 194;
    }
   } else {
    i33 = 0;
    i34 = 0;
   }
  } else {
   i33 = 0;
   i34 = 0;
  } else {
   i18 = i19 + 30 | 0;
   if (!(get8(i18 >> 0 | 0) | 0)) {
    do if (get8(i19 + 234 >> 0 | 0) | 0) {
     if ((getU16(i19 + 232 | 0) | 0) < (i26 | 0)) {
      i24 = i19 + 248 | 0;
      set32(i24 | 0, (get32(i24 | 0) | 0) + 1 | 0);
      break;
     }
     i24 = i19 + 256 | 0;
     i21 = get32(i24 | 0) | 0;
     if (!i21) {
      i28 = i19 + 252 | 0;
      set32(i28 | 0, (get32(i28 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i24 | 0, get32(i21 | 0) | 0);
     i24 = i19 + 236 | 0;
     i28 = get32(i24 | 0) | 0;
     i10 = i28 + 1 | 0;
     set32(i24 | 0, i10 | 0);
     i24 = i19 + 244 | 0;
     set32(i24 | 0, (get32(i24 | 0) | 0) + 1 | 0);
     i24 = i19 + 240 | 0;
     if ((i28 | 0) >= (get32(i24 | 0) | 0)) set32(i24 | 0, i10 | 0);
     i31 = i21;
     i22 = 193;
     break L109;
    } while (0);
    do if ((i26 + -1 | 0) >>> 0 <= 2147483390) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i25 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i26) | 0;
      if (!i25) break; else {
       i32 = i25;
       i22 = 194;
       break L109;
      }
     }
     i25 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i26) | 0;
     set32(35 * 4 | 0, i26 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i26 | 0)) set32(45 * 4 | 0, i26 | 0);
     i21 = get32(6 * 4 | 0) | 0;
     do if (i21) {
      i10 = get32(30 * 4 | 0) | 0;
      i24 = ((i10 | 0) < 0) << 31 >> 31;
      i28 = 16;
      i15 = _i64Subtract(get32(i28 | 0) | 0, get32(i28 + 4 | 0) | 0, i25 | 0, ((i25 | 0) < 0) << 31 >> 31 | 0) | 0;
      i28 = tempRet0;
      if ((i24 | 0) < (i28 | 0) | (i24 | 0) == (i28 | 0) & i10 >>> 0 < i15 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i15 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i21 & 15](i15, i10, i24, i25);
       set32(6 * 4 | 0, i21 | 0);
       set32(7 * 4 | 0, i15 | 0);
       break;
      }
     } while (0);
     i21 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i25) | 0;
     if (i21) {
      i15 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i21) | 0;
      i24 = (get32(30 * 4 | 0) | 0) + i15 | 0;
      set32(30 * 4 | 0, i24 | 0);
      if ((i24 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i24 | 0);
      i24 = get32(39 * 4 | 0) | 0;
      i15 = i24 + 1 | 0;
      set32(39 * 4 | 0, i15 | 0);
      if ((i24 | 0) < (get32(49 * 4 | 0) | 0)) {
       i32 = i21;
       i22 = 194;
       break L109;
      }
      set32(49 * 4 | 0, i15 | 0);
      i32 = i21;
      i22 = 194;
      break L109;
     }
    } while (0);
    set8(i18 >> 0 | 0, 1 | 0);
    i33 = 0;
    i34 = 0;
   } else {
    i33 = 0;
    i34 = 0;
   }
  } while (0);
  if ((i22 | 0) == 193) if (!i31) {
   i33 = 0;
   i34 = 0;
  } else {
   i32 = i31;
   i22 = 194;
  }
  if ((i22 | 0) == 194) {
   _memset(i32 | 0, 0, i26 | 0) | 0;
   i14 = get32(i1 | 0) | 0;
   set32(i32 | 0, i14 | 0);
   i23 = i32 + 12 | 0;
   i21 = i32 + 8 | 0;
   set32(i21 | 0, i23 + (i8 << 2) | 0);
   L167 : do if ((i8 | 0) > 0) {
    i15 = i2 + 44 | 0;
    i24 = i2 + 40 | 0;
    i10 = i14;
    i28 = 0;
    while (1) {
     i20 = get32((get32(i15 | 0) | 0) + (i28 << 2) | 0) | 0;
     i35 = get8((get32((get32(i10 + 8 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0) | 0;
     i36 = get8(i10 + 124 >> 0 | 0) | 0;
     i37 = _sqlite3FindCollSeq(i10, i35, i20, i36 & 255) | 0;
     do if (!(i36 << 24 >> 24)) {
      if ((i37 | 0) != 0 ? (get32(i37 + 12 | 0) | 0) != 0 : 0) {
       i38 = i37;
       break;
      }
      i39 = _sqlite3GetCollSeq(i10, i35, i37, i20) | 0;
      if (!i39) {
       set32(i5 | 0, i20 | 0);
       _sqlite3ErrorMsg(i1, 30475, i5);
       i38 = 0;
      } else i38 = i39;
     } else i38 = i37; while (0);
     set32(i23 + (i28 << 2) | 0, i38 | 0);
     set8((get32(i21 | 0) | 0) + i28 >> 0 | 0, get8((get32(i24 | 0) | 0) + i28 >> 0 | 0) | 0 | 0);
     i37 = i28 + 1 | 0;
     if ((i37 | 0) == (i8 | 0)) break L167;
     i10 = get32(i1 | 0) | 0;
     i28 = i37;
    }
   } while (0);
   set16(i32 + 6 | 0, i8 | 0);
   i33 = i32;
   i34 = i32;
  }
  if (!(get32(i1 + 64 | 0) | 0)) i40 = i34; else {
   _sqlite3DbFree(i19, i33);
   i40 = 0;
  }
  i21 = i27 + 28 | 0;
  i23 = get32(i21 | 0) | 0;
  i14 = i27 + 32 | 0;
  i26 = get32(i14 | 0) | 0;
  if ((i26 | 0) <= (i23 | 0)) {
   i28 = i27 + 4 | 0;
   i10 = _sqlite3DbRealloc(get32(i27 | 0) | 0, get32(i28 | 0) | 0, (i26 | 0) == 0 ? 1020 : i26 * 40 | 0) | 0;
   if (!i10) {
    i41 = 1;
    i42 = i27;
    i43 = i28;
   } else {
    i26 = get32(i27 | 0) | 0;
    if (((i26 | 0) != 0 ? (get32(i26 + 260 | 0) | 0) >>> 0 <= i10 >>> 0 : 0) ? (get32(i26 + 264 | 0) | 0) >>> 0 > i10 >>> 0 : 0) i44 = getU16(i26 + 232 | 0) | 0; else i44 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i10) | 0;
    set32(i14 | 0, (i44 >>> 0) / 20 | 0 | 0);
    set32(i28 | 0, i10 | 0);
    i45 = i28;
    i46 = get32(i21 | 0) | 0;
    i47 = i10;
    i22 = 215;
   }
  } else {
   i10 = i27 + 4 | 0;
   i45 = i10;
   i46 = i23;
   i47 = get32(i10 | 0) | 0;
   i22 = 215;
  }
  if ((i22 | 0) == 215) {
   set32(i21 | 0, i46 + 1 | 0);
   set8(i47 + (i23 * 20 | 0) >> 0 | 0, 39 | 0);
   set8(i47 + (i23 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i47 + (i23 * 20 | 0) + 4 | 0, i12 | 0);
   set32(i47 + (i23 * 20 | 0) + 8 | 0, i3 | 0);
   set32(i47 + (i23 * 20 | 0) + 12 | 0, i17 | 0);
   set32(i47 + (i23 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i47 + (i23 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i41 = i23;
   i42 = i27;
   i43 = i45;
  }
  i23 = get32(i42 | 0) | 0;
  i10 = get32(i43 | 0) | 0;
  do if ((i10 | 0) != 0 ? (get8(i23 + 30 >> 0 | 0) | 0) == 0 : 0) {
   if ((i41 | 0) < 0) i48 = (get32(i21 | 0) | 0) + -1 | 0; else i48 = i41;
   i28 = i10 + (i48 * 20 | 0) + 1 | 0;
   i14 = i10 + (i48 * 20 | 0) + 16 | 0;
   _freeP4(i23, get8(i28 >> 0 | 0) | 0, get32(i14 | 0) | 0);
   set32(i14 | 0, 0 | 0);
   if (!i40) {
    set32(i14 | 0, 0 | 0);
    set8(i28 >> 0 | 0, 0 | 0);
    break;
   } else {
    set32(i14 | 0, i40 | 0);
    set8(i28 >> 0 | 0, -6 | 0);
    break;
   }
  } else i22 = 218; while (0);
  if ((i22 | 0) == 218 ? (i40 | 0) != 0 : 0) _sqlite3DbFree(i23, i40);
  i10 = get32(i43 | 0) | 0;
  if (i10) set8(i10 + (((get32(i21 | 0) | 0) + -1 | 0) * 20 | 0) + 3 >> 0 | 0, 1 | 0);
 } else {
  i10 = get32(i2 + 20 | 0) | 0;
  i19 = i27 + 28 | 0;
  i8 = get32(i19 | 0) | 0;
  i28 = i27 + 32 | 0;
  i14 = get32(i28 | 0) | 0;
  if ((i14 | 0) <= (i8 | 0)) {
   i26 = i27 + 4 | 0;
   i24 = _sqlite3DbRealloc(get32(i27 | 0) | 0, get32(i26 | 0) | 0, (i14 | 0) == 0 ? 1020 : i14 * 40 | 0) | 0;
   if (i24) {
    i14 = get32(i27 | 0) | 0;
    if (((i14 | 0) != 0 ? (get32(i14 + 260 | 0) | 0) >>> 0 <= i24 >>> 0 : 0) ? (get32(i14 + 264 | 0) | 0) >>> 0 > i24 >>> 0 : 0) i49 = getU16(i14 + 232 | 0) | 0; else i49 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i24) | 0;
    set32(i28 | 0, (i49 >>> 0) / 20 | 0 | 0);
    set32(i26 | 0, i24 | 0);
    i50 = get32(i19 | 0) | 0;
    i51 = i24;
    i22 = 82;
   }
  } else {
   i50 = i8;
   i51 = get32(i27 + 4 | 0) | 0;
   i22 = 82;
  }
  if ((i22 | 0) == 82) {
   set32(i19 | 0, i50 + 1 | 0);
   set8(i51 + (i8 * 20 | 0) >> 0 | 0, 96 | 0);
   set8(i51 + (i8 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i51 + (i8 * 20 | 0) + 4 | 0, i10 | 0);
   set32(i51 + (i8 * 20 | 0) + 8 | 0, i17 | 0);
   set32(i51 + (i8 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i51 + (i8 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i51 + (i8 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  }
  i8 = get32(i2 + 4 | 0) | 0;
  i24 = i8 + 12 + (i8 << 2) | 0;
  i26 = get32(i1 | 0) | 0;
  L227 : do if (!i26) if ((i24 + -1 | 0) >>> 0 <= 2147483390) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i52 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i24) | 0;
    i22 = 122;
    break;
   }
   i14 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i24) | 0;
   set32(35 * 4 | 0, i24 | 0);
   if ((get32(45 * 4 | 0) | 0) < (i24 | 0)) set32(45 * 4 | 0, i24 | 0);
   i15 = get32(6 * 4 | 0) | 0;
   do if (i15) {
    i18 = get32(30 * 4 | 0) | 0;
    i37 = ((i18 | 0) < 0) << 31 >> 31;
    i20 = 16;
    i35 = _i64Subtract(get32(i20 | 0) | 0, get32(i20 + 4 | 0) | 0, i14 | 0, ((i14 | 0) < 0) << 31 >> 31 | 0) | 0;
    i20 = tempRet0;
    if ((i37 | 0) < (i20 | 0) | (i37 | 0) == (i20 | 0) & i18 >>> 0 < i35 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i35 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i15 & 15](i35, i18, i37, i14);
     set32(6 * 4 | 0, i15 | 0);
     set32(7 * 4 | 0, i35 | 0);
     break;
    }
   } while (0);
   i15 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i14) | 0;
   if (i15) {
    i35 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i15) | 0;
    i37 = (get32(30 * 4 | 0) | 0) + i35 | 0;
    set32(30 * 4 | 0, i37 | 0);
    if ((i37 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i37 | 0);
    i37 = get32(39 * 4 | 0) | 0;
    i35 = i37 + 1 | 0;
    set32(39 * 4 | 0, i35 | 0);
    if ((i37 | 0) < (get32(49 * 4 | 0) | 0)) {
     i53 = i15;
     i22 = 123;
    } else {
     set32(49 * 4 | 0, i35 | 0);
     i53 = i15;
     i22 = 123;
    }
   } else {
    i54 = 0;
    i55 = 0;
   }
  } else {
   i54 = 0;
   i55 = 0;
  } else {
   i15 = i26 + 30 | 0;
   if (!(get8(i15 >> 0 | 0) | 0)) {
    do if (get8(i26 + 234 >> 0 | 0) | 0) {
     if ((getU16(i26 + 232 | 0) | 0) < (i24 | 0)) {
      i35 = i26 + 248 | 0;
      set32(i35 | 0, (get32(i35 | 0) | 0) + 1 | 0);
      break;
     }
     i35 = i26 + 256 | 0;
     i37 = get32(i35 | 0) | 0;
     if (!i37) {
      i18 = i26 + 252 | 0;
      set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i35 | 0, get32(i37 | 0) | 0);
     i35 = i26 + 236 | 0;
     i18 = get32(i35 | 0) | 0;
     i20 = i18 + 1 | 0;
     set32(i35 | 0, i20 | 0);
     i35 = i26 + 244 | 0;
     set32(i35 | 0, (get32(i35 | 0) | 0) + 1 | 0);
     i35 = i26 + 240 | 0;
     if ((i18 | 0) >= (get32(i35 | 0) | 0)) set32(i35 | 0, i20 | 0);
     i52 = i37;
     i22 = 122;
     break L227;
    } while (0);
    do if ((i24 + -1 | 0) >>> 0 <= 2147483390) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i14 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i24) | 0;
      if (!i14) break; else {
       i53 = i14;
       i22 = 123;
       break L227;
      }
     }
     i14 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i24) | 0;
     set32(35 * 4 | 0, i24 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i24 | 0)) set32(45 * 4 | 0, i24 | 0);
     i37 = get32(6 * 4 | 0) | 0;
     do if (i37) {
      i20 = get32(30 * 4 | 0) | 0;
      i35 = ((i20 | 0) < 0) << 31 >> 31;
      i18 = 16;
      i36 = _i64Subtract(get32(i18 | 0) | 0, get32(i18 + 4 | 0) | 0, i14 | 0, ((i14 | 0) < 0) << 31 >> 31 | 0) | 0;
      i18 = tempRet0;
      if ((i35 | 0) < (i18 | 0) | (i35 | 0) == (i18 | 0) & i20 >>> 0 < i36 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i36 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i37 & 15](i36, i20, i35, i14);
       set32(6 * 4 | 0, i37 | 0);
       set32(7 * 4 | 0, i36 | 0);
       break;
      }
     } while (0);
     i37 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i14) | 0;
     if (i37) {
      i36 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i37) | 0;
      i35 = (get32(30 * 4 | 0) | 0) + i36 | 0;
      set32(30 * 4 | 0, i35 | 0);
      if ((i35 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i35 | 0);
      i35 = get32(39 * 4 | 0) | 0;
      i36 = i35 + 1 | 0;
      set32(39 * 4 | 0, i36 | 0);
      if ((i35 | 0) < (get32(49 * 4 | 0) | 0)) {
       i53 = i37;
       i22 = 123;
       break L227;
      }
      set32(49 * 4 | 0, i36 | 0);
      i53 = i37;
      i22 = 123;
      break L227;
     }
    } while (0);
    set8(i15 >> 0 | 0, 1 | 0);
    i54 = 0;
    i55 = 0;
   } else {
    i54 = 0;
    i55 = 0;
   }
  } while (0);
  if ((i22 | 0) == 122) if (!i52) {
   i54 = 0;
   i55 = 0;
  } else {
   i53 = i52;
   i22 = 123;
  }
  if ((i22 | 0) == 123) {
   _memset(i53 | 0, 0, i24 | 0) | 0;
   i21 = get32(i1 | 0) | 0;
   set32(i53 | 0, i21 | 0);
   i23 = i53 + 12 | 0;
   i37 = i53 + 8 | 0;
   set32(i37 | 0, i23 + (i8 << 2) | 0);
   L285 : do if ((i8 | 0) > 0) {
    i36 = i2 + 44 | 0;
    i35 = i2 + 40 | 0;
    i20 = i21;
    i18 = 0;
    while (1) {
     i25 = get32((get32(i36 | 0) | 0) + (i18 << 2) | 0) | 0;
     i39 = get8((get32((get32(i20 + 8 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0) | 0;
     i56 = get8(i20 + 124 >> 0 | 0) | 0;
     i57 = _sqlite3FindCollSeq(i20, i39, i25, i56 & 255) | 0;
     do if (!(i56 << 24 >> 24)) {
      if ((i57 | 0) != 0 ? (get32(i57 + 12 | 0) | 0) != 0 : 0) {
       i58 = i57;
       break;
      }
      i59 = _sqlite3GetCollSeq(i20, i39, i57, i25) | 0;
      if (!i59) {
       set32(i6 | 0, i25 | 0);
       _sqlite3ErrorMsg(i1, 30475, i6);
       i58 = 0;
      } else i58 = i59;
     } else i58 = i57; while (0);
     set32(i23 + (i18 << 2) | 0, i58 | 0);
     set8((get32(i37 | 0) | 0) + i18 >> 0 | 0, get8((get32(i35 | 0) | 0) + i18 >> 0 | 0) | 0 | 0);
     i57 = i18 + 1 | 0;
     if ((i57 | 0) == (i8 | 0)) break L285;
     i20 = get32(i1 | 0) | 0;
     i18 = i57;
    }
   } while (0);
   set16(i53 + 6 | 0, i8 | 0);
   i54 = i53;
   i55 = i53;
  }
  if (!(get32(i1 + 64 | 0) | 0)) i60 = i55; else {
   _sqlite3DbFree(i26, i54);
   i60 = 0;
  }
  i37 = get32(i19 | 0) | 0;
  i23 = get32(i28 | 0) | 0;
  if ((i23 | 0) <= (i37 | 0)) {
   i21 = i27 + 4 | 0;
   i24 = _sqlite3DbRealloc(get32(i27 | 0) | 0, get32(i21 | 0) | 0, (i23 | 0) == 0 ? 1020 : i23 * 40 | 0) | 0;
   if (!i24) {
    i61 = 1;
    i62 = i27;
    i63 = i21;
   } else {
    i23 = get32(i27 | 0) | 0;
    if (((i23 | 0) != 0 ? (get32(i23 + 260 | 0) | 0) >>> 0 <= i24 >>> 0 : 0) ? (get32(i23 + 264 | 0) | 0) >>> 0 > i24 >>> 0 : 0) i64 = getU16(i23 + 232 | 0) | 0; else i64 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i24) | 0;
    set32(i28 | 0, (i64 >>> 0) / 20 | 0 | 0);
    set32(i21 | 0, i24 | 0);
    i65 = i21;
    i66 = get32(i19 | 0) | 0;
    i67 = i24;
    i22 = 144;
   }
  } else {
   i24 = i27 + 4 | 0;
   i65 = i24;
   i66 = i37;
   i67 = get32(i24 | 0) | 0;
   i22 = 144;
  }
  if ((i22 | 0) == 144) {
   set32(i19 | 0, i66 + 1 | 0);
   set8(i67 + (i37 * 20 | 0) >> 0 | 0, 39 | 0);
   set8(i67 + (i37 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i67 + (i37 * 20 | 0) + 4 | 0, i12 | 0);
   set32(i67 + (i37 * 20 | 0) + 8 | 0, i10 | 0);
   set32(i67 + (i37 * 20 | 0) + 12 | 0, i17 | 0);
   set32(i67 + (i37 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i67 + (i37 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i61 = i37;
   i62 = i27;
   i63 = i65;
  }
  i37 = get32(i62 | 0) | 0;
  i24 = get32(i63 | 0) | 0;
  if ((i24 | 0) != 0 ? (get8(i37 + 30 >> 0 | 0) | 0) == 0 : 0) {
   if ((i61 | 0) < 0) i68 = (get32(i19 | 0) | 0) + -1 | 0; else i68 = i61;
   i21 = i24 + (i68 * 20 | 0) + 1 | 0;
   i23 = i24 + (i68 * 20 | 0) + 16 | 0;
   _freeP4(i37, get8(i21 >> 0 | 0) | 0, get32(i23 | 0) | 0);
   set32(i23 | 0, 0 | 0);
   if (!i60) {
    set32(i23 | 0, 0 | 0);
    set8(i21 >> 0 | 0, 0 | 0);
    break;
   } else {
    set32(i23 | 0, i60 | 0);
    set8(i21 >> 0 | 0, -6 | 0);
    break;
   }
  }
  if (i60) _sqlite3DbFree(i37, i60);
 } while (0);
 if (!(get8(i9 + 34 >> 0 | 0) & 16)) {
  i60 = get32(i16 | 0) | 0;
  do if (!i60) {
   i68 = get32(i1 | 0) | 0;
   L332 : do if (!i68) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i69 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
     i22 = 266;
     break;
    }
    i61 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
    set32(35 * 4 | 0, 192 | 0);
    if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
    i63 = get32(6 * 4 | 0) | 0;
    do if (i63) {
     i62 = get32(30 * 4 | 0) | 0;
     i65 = ((i62 | 0) < 0) << 31 >> 31;
     i67 = 16;
     i66 = _i64Subtract(get32(i67 | 0) | 0, get32(i67 + 4 | 0) | 0, i61 | 0, ((i61 | 0) < 0) << 31 >> 31 | 0) | 0;
     i67 = tempRet0;
     if ((i65 | 0) < (i67 | 0) | (i65 | 0) == (i67 | 0) & i62 >>> 0 < i66 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i66 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i63 & 15](i66, i62, i65, i61);
      set32(6 * 4 | 0, i63 | 0);
      set32(7 * 4 | 0, i66 | 0);
      break;
     }
    } while (0);
    i63 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i61) | 0;
    if (i63) {
     i66 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i63) | 0;
     i65 = (get32(30 * 4 | 0) | 0) + i66 | 0;
     set32(30 * 4 | 0, i65 | 0);
     if ((i65 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i65 | 0);
     i65 = get32(39 * 4 | 0) | 0;
     i66 = i65 + 1 | 0;
     set32(39 * 4 | 0, i66 | 0);
     if ((i65 | 0) < (get32(49 * 4 | 0) | 0)) i70 = i63; else {
      set32(49 * 4 | 0, i66 | 0);
      i70 = i63;
     }
    } else i22 = 267;
   } else {
    i63 = i68 + 30 | 0;
    if (!(get8(i63 >> 0 | 0) | 0)) {
     do if (get8(i68 + 234 >> 0 | 0) | 0) {
      if ((getU16(i68 + 232 | 0) | 0) < 192) {
       i66 = i68 + 248 | 0;
       set32(i66 | 0, (get32(i66 | 0) | 0) + 1 | 0);
       break;
      }
      i66 = i68 + 256 | 0;
      i65 = get32(i66 | 0) | 0;
      if (!i65) {
       i62 = i68 + 252 | 0;
       set32(i62 | 0, (get32(i62 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i66 | 0, get32(i65 | 0) | 0);
      i66 = i68 + 236 | 0;
      i62 = get32(i66 | 0) | 0;
      i67 = i62 + 1 | 0;
      set32(i66 | 0, i67 | 0);
      i66 = i68 + 244 | 0;
      set32(i66 | 0, (get32(i66 | 0) | 0) + 1 | 0);
      i66 = i68 + 240 | 0;
      if ((i62 | 0) >= (get32(i66 | 0) | 0)) set32(i66 | 0, i67 | 0);
      i69 = i65;
      i22 = 266;
      break L332;
     } while (0);
     if (!(get32(50 * 4 | 0) | 0)) {
      i61 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
      if (i61) {
       i70 = i61;
       break;
      }
     } else {
      i61 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
      set32(35 * 4 | 0, 192 | 0);
      if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
      i65 = get32(6 * 4 | 0) | 0;
      do if (i65) {
       i67 = get32(30 * 4 | 0) | 0;
       i66 = ((i67 | 0) < 0) << 31 >> 31;
       i62 = 16;
       i64 = _i64Subtract(get32(i62 | 0) | 0, get32(i62 + 4 | 0) | 0, i61 | 0, ((i61 | 0) < 0) << 31 >> 31 | 0) | 0;
       i62 = tempRet0;
       if ((i66 | 0) < (i62 | 0) | (i66 | 0) == (i62 | 0) & i67 >>> 0 < i64 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i64 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i65 & 15](i64, i67, i66, i61);
        set32(6 * 4 | 0, i65 | 0);
        set32(7 * 4 | 0, i64 | 0);
        break;
       }
      } while (0);
      i65 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i61) | 0;
      if (i65) {
       i64 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i65) | 0;
       i66 = (get32(30 * 4 | 0) | 0) + i64 | 0;
       set32(30 * 4 | 0, i66 | 0);
       if ((i66 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i66 | 0);
       i66 = get32(39 * 4 | 0) | 0;
       i64 = i66 + 1 | 0;
       set32(39 * 4 | 0, i64 | 0);
       if ((i66 | 0) < (get32(49 * 4 | 0) | 0)) {
        i70 = i65;
        break;
       }
       set32(49 * 4 | 0, i64 | 0);
       i70 = i65;
       break;
      }
     }
     set8(i63 >> 0 | 0, 1 | 0);
     i22 = 267;
    } else i22 = 267;
   } while (0);
   if ((i22 | 0) == 266) if (!i69) i22 = 267; else i70 = i69;
   if ((i22 | 0) == 267) {
    set32(i16 | 0, 0 | 0);
    i71 = 0;
    break;
   }
   _memset(i70 | 0, 0, 192) | 0;
   set32(i70 | 0, i68 | 0);
   i19 = i68 + 136 | 0;
   i10 = get32(i19 | 0) | 0;
   if (i10) set32(i10 + 60 | 0, i70 | 0);
   set32(i70 + 64 | 0, i10 | 0);
   set32(i70 + 60 | 0, 0 | 0);
   set32(i19 | 0, i70 | 0);
   set32(i70 + 52 | 0, 649915045 | 0);
   set32(i16 | 0, i70 | 0);
   i19 = i70 + 28 | 0;
   i10 = i70 + 32 | 0;
   i28 = i70 + 4 | 0;
   i26 = _sqlite3DbRealloc(i68, 0, 1020) | 0;
   if (!i26) i71 = i70; else {
    i8 = get32(i70 | 0) | 0;
    if (((i8 | 0) != 0 ? (get32(i8 + 260 | 0) | 0) >>> 0 <= i26 >>> 0 : 0) ? (get32(i8 + 264 | 0) | 0) >>> 0 > i26 >>> 0 : 0) i72 = getU16(i8 + 232 | 0) | 0; else i72 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i26) | 0;
    set32(i10 | 0, (i72 >>> 0) / 20 | 0 | 0);
    set32(i28 | 0, i26 | 0);
    set32(i19 | 0, (get32(i19 | 0) | 0) + 1 | 0);
    set8(i26 >> 0 | 0, -120 | 0);
    set8(i26 + 1 >> 0 | 0, 0 | 0);
    i29 = i26 + 3 | 0;
    i30 = i29 + 17 | 0;
    do {
     set8(i29 >> 0 | 0, 0 | 0);
     i29 = i29 + 1 | 0;
    } while ((i29 | 0) < (i30 | 0));
    i71 = i70;
   }
  } else i71 = i60; while (0);
  i60 = get32(i7 | 0) | 0;
  i70 = get32(i9 | 0) | 0;
  i72 = get32(i13 | 0) | 0;
  i69 = (i72 | 0) == 0 ? i1 : i72;
  i72 = i69 + 400 | 0;
  i68 = get32(i72 | 0) | 0;
  i26 = i69 + 404 | 0;
  do if ((i68 | 0) > 0) {
   i19 = get32(i26 | 0) | 0;
   i28 = 0;
   while (1) {
    if ((get32(i19 + (i28 << 4) | 0) | 0) == (i17 | 0) ? (get32(i19 + (i28 << 4) + 4 | 0) | 0) == (i60 | 0) : 0) {
     i73 = i28;
     i22 = 282;
     break;
    }
    i28 = i28 + 1 | 0;
    if ((i28 | 0) >= (i68 | 0)) {
     i22 = 284;
     break;
    }
   }
   if ((i22 | 0) == 282) {
    i28 = i19 + (i73 << 4) + 8 | 0;
    set8(i28 >> 0 | 0, (get8(i28 >> 0 | 0) | 0) != 0 & 1 | 0);
    break;
   } else if ((i22 | 0) == 284) {
    i74 = i26;
    i75 = i19;
    i22 = 285;
    break;
   }
  } else {
   i74 = i26;
   i75 = get32(i26 | 0) | 0;
   i22 = 285;
  } while (0);
  do if ((i22 | 0) == 285) {
   i26 = get32(i69 | 0) | 0;
   i73 = _sqlite3DbRealloc(i26, i75, (i68 << 4) + 16 | 0) | 0;
   if (!i73) {
    _sqlite3DbFree(i26, i75);
    set32(i74 | 0, 0 | 0);
    set32(i72 | 0, 0 | 0);
    set8((get32(i69 | 0) | 0) + 30 >> 0 | 0, 1 | 0);
    break;
   } else {
    set32(i74 | 0, i73 | 0);
    i26 = get32(i72 | 0) | 0;
    set32(i72 | 0, i26 + 1 | 0);
    set32(i73 + (i26 << 4) | 0, i17 | 0);
    set32(i73 + (i26 << 4) + 4 | 0, i60 | 0);
    set8(i73 + (i26 << 4) + 8 >> 0 | 0, 0 | 0);
    set32(i73 + (i26 << 4) + 12 | 0, i70 | 0);
    break;
   }
  } while (0);
  i70 = get32(i7 | 0) | 0;
  i7 = i71 + 28 | 0;
  i60 = get32(i7 | 0) | 0;
  i72 = i71 + 32 | 0;
  i74 = get32(i72 | 0) | 0;
  if ((i74 | 0) <= (i60 | 0)) {
   i69 = i71 + 4 | 0;
   i75 = _sqlite3DbRealloc(get32(i71 | 0) | 0, get32(i69 | 0) | 0, (i74 | 0) == 0 ? 1020 : i74 * 40 | 0) | 0;
   if (!i75) {
    i76 = i71;
    i77 = i69;
   } else {
    i74 = get32(i71 | 0) | 0;
    if (((i74 | 0) != 0 ? (get32(i74 + 260 | 0) | 0) >>> 0 <= i75 >>> 0 : 0) ? (get32(i74 + 264 | 0) | 0) >>> 0 > i75 >>> 0 : 0) i78 = getU16(i74 + 232 | 0) | 0; else i78 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i75) | 0;
    set32(i72 | 0, (i78 >>> 0) / 20 | 0 | 0);
    set32(i69 | 0, i75 | 0);
    i79 = i69;
    i80 = get32(i7 | 0) | 0;
    i81 = i75;
    i22 = 297;
   }
  } else {
   i75 = i71 + 4 | 0;
   i79 = i75;
   i80 = i60;
   i81 = get32(i75 | 0) | 0;
   i22 = 297;
  }
  if ((i22 | 0) == 297) {
   set32(i7 | 0, i80 + 1 | 0);
   set8(i81 + (i60 * 20 | 0) >> 0 | 0, 38 | 0);
   set8(i81 + (i60 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i81 + (i60 * 20 | 0) + 4 | 0, i11 | 0);
   set32(i81 + (i60 * 20 | 0) + 8 | 0, i70 | 0);
   set32(i81 + (i60 * 20 | 0) + 12 | 0, i17 | 0);
   set32(i81 + (i60 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i81 + (i60 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i76 = i71;
   i77 = i79;
  }
  i79 = get32(i9 + 8 | 0) | 0;
  i9 = get32(i76 | 0) | 0;
  i76 = get32(i77 | 0) | 0;
  if ((i76 | 0) != 0 ? (get8(i9 + 30 >> 0 | 0) | 0) == 0 : 0) {
   i77 = (get32(i7 | 0) | 0) + -1 | 0;
   i7 = i76 + (i77 * 20 | 0) + 1 | 0;
   i71 = i76 + (i77 * 20 | 0) + 16 | 0;
   _freeP4(i9, get8(i7 >> 0 | 0) | 0, get32(i71 | 0) | 0);
   set32(i71 | 0, i79 | 0);
   set8(i7 >> 0 | 0, -14 | 0);
  }
 }
 i7 = i27 + 28 | 0;
 i79 = get32(i7 | 0) | 0;
 i71 = i27 + 32 | 0;
 i9 = get32(i71 | 0) | 0;
 if ((i9 | 0) <= (i79 | 0)) {
  i77 = i27 + 4 | 0;
  i76 = _sqlite3DbRealloc(get32(i27 | 0) | 0, get32(i77 | 0) | 0, (i9 | 0) == 0 ? 1020 : i9 * 40 | 0) | 0;
  if (!i76) i82 = 1; else {
   i9 = get32(i27 | 0) | 0;
   if (((i9 | 0) != 0 ? (get32(i9 + 260 | 0) | 0) >>> 0 <= i76 >>> 0 : 0) ? (get32(i9 + 264 | 0) | 0) >>> 0 > i76 >>> 0 : 0) i83 = getU16(i9 + 232 | 0) | 0; else i83 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i76) | 0;
   set32(i71 | 0, (i83 >>> 0) / 20 | 0 | 0);
   set32(i77 | 0, i76 | 0);
   i84 = get32(i7 | 0) | 0;
   i85 = i76;
   i22 = 310;
  }
 } else {
  i84 = i79;
  i85 = get32(i27 + 4 | 0) | 0;
  i22 = 310;
 }
 if ((i22 | 0) == 310) {
  set32(i7 | 0, i84 + 1 | 0);
  set8(i85 + (i79 * 20 | 0) >> 0 | 0, 65 | 0);
  set8(i85 + (i79 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i85 + (i79 * 20 | 0) + 4 | 0, i11 | 0);
  set32(i85 + (i79 * 20 | 0) + 8 | 0, 0 | 0);
  set32(i85 + (i79 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i85 + (i79 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i85 + (i79 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i82 = i79;
 }
 i79 = i1 + 21 | 0;
 i85 = get8(i79 >> 0 | 0) | 0;
 if (!(i85 << 24 >> 24)) {
  i84 = i1 + 72 | 0;
  i76 = (get32(i84 | 0) | 0) + 1 | 0;
  set32(i84 | 0, i76 | 0);
  i86 = i76;
 } else {
  i76 = i85 + -1 << 24 >> 24;
  set8(i79 >> 0 | 0, i76 | 0);
  i86 = get32(i1 + 24 + ((i76 & 255) << 2) | 0) | 0;
 }
 i76 = _sqlite3GenerateIndexKey(i1, i2, i11, i86, 1) | 0;
 if (get8(i2 + 24 >> 0 | 0) | 0) {
  i85 = (get32(i2 + 4 | 0) | 0) + i76 | 0;
  i2 = get32(i7 | 0) | 0;
  i84 = i2 + 2 | 0;
  i77 = get32(i71 | 0) | 0;
  if ((i77 | 0) <= (i2 | 0)) {
   i83 = i27 + 4 | 0;
   i9 = _sqlite3DbRealloc(get32(i27 | 0) | 0, get32(i83 | 0) | 0, (i77 | 0) == 0 ? 1020 : i77 * 40 | 0) | 0;
   if (!i9) {
    i87 = 1;
    i88 = i27;
    i89 = i83;
   } else {
    i77 = get32(i27 | 0) | 0;
    if (((i77 | 0) != 0 ? (get32(i77 + 260 | 0) | 0) >>> 0 <= i9 >>> 0 : 0) ? (get32(i77 + 264 | 0) | 0) >>> 0 > i9 >>> 0 : 0) i90 = getU16(i77 + 232 | 0) | 0; else i90 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i9) | 0;
    set32(i71 | 0, (i90 >>> 0) / 20 | 0 | 0);
    set32(i83 | 0, i9 | 0);
    i91 = i83;
    i92 = get32(i7 | 0) | 0;
    i93 = i9;
    i22 = 324;
   }
  } else {
   i9 = i27 + 4 | 0;
   i91 = i9;
   i92 = i2;
   i93 = get32(i9 | 0) | 0;
   i22 = 324;
  }
  if ((i22 | 0) == 324) {
   set32(i7 | 0, i92 + 1 | 0);
   set8(i93 + (i2 * 20 | 0) >> 0 | 0, 51 | 0);
   set8(i93 + (i2 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i93 + (i2 * 20 | 0) + 4 | 0, i12 | 0);
   set32(i93 + (i2 * 20 | 0) + 8 | 0, i84 | 0);
   set32(i93 + (i2 * 20 | 0) + 12 | 0, i85 | 0);
   set32(i93 + (i2 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i93 + (i2 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i87 = i2;
   i88 = i27;
   i89 = i91;
  }
  i91 = get32(i88 | 0) | 0;
  i88 = get32(i89 | 0) | 0;
  if ((i88 | 0) != 0 ? (get8(i91 + 30 >> 0 | 0) | 0) == 0 : 0) {
   if ((i87 | 0) < 0) i94 = (get32(i7 | 0) | 0) + -1 | 0; else i94 = i87;
   i87 = i88 + (i94 * 20 | 0) + 1 | 0;
   i89 = i88 + (i94 * 20 | 0) + 16 | 0;
   _freeP4(i91, get8(i87 >> 0 | 0) | 0, get32(i89 | 0) | 0);
   set32(i89 | 0, i76 | 0);
   set8(i87 >> 0 | 0, -14 | 0);
  }
  i87 = get32(i16 | 0) | 0;
  do if (!i87) {
   i76 = get32(i1 | 0) | 0;
   L477 : do if (!i76) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i95 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
     i22 = 368;
     break;
    }
    i89 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
    set32(35 * 4 | 0, 192 | 0);
    if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
    i91 = get32(6 * 4 | 0) | 0;
    do if (i91) {
     i94 = get32(30 * 4 | 0) | 0;
     i88 = ((i94 | 0) < 0) << 31 >> 31;
     i2 = 16;
     i93 = _i64Subtract(get32(i2 | 0) | 0, get32(i2 + 4 | 0) | 0, i89 | 0, ((i89 | 0) < 0) << 31 >> 31 | 0) | 0;
     i2 = tempRet0;
     if ((i88 | 0) < (i2 | 0) | (i88 | 0) == (i2 | 0) & i94 >>> 0 < i93 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i93 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i91 & 15](i93, i94, i88, i89);
      set32(6 * 4 | 0, i91 | 0);
      set32(7 * 4 | 0, i93 | 0);
      break;
     }
    } while (0);
    i91 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i89) | 0;
    if (!i91) i22 = 369; else {
     i63 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i91) | 0;
     i61 = (get32(30 * 4 | 0) | 0) + i63 | 0;
     set32(30 * 4 | 0, i61 | 0);
     if ((i61 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i61 | 0);
     i61 = get32(39 * 4 | 0) | 0;
     i63 = i61 + 1 | 0;
     set32(39 * 4 | 0, i63 | 0);
     if ((i61 | 0) < (get32(49 * 4 | 0) | 0)) {
      i96 = i91;
      break;
     }
     set32(49 * 4 | 0, i63 | 0);
     i96 = i91;
    }
   } else {
    i91 = i76 + 30 | 0;
    if (!(get8(i91 >> 0 | 0) | 0)) {
     do if (get8(i76 + 234 >> 0 | 0) | 0) {
      if ((getU16(i76 + 232 | 0) | 0) < 192) {
       i63 = i76 + 248 | 0;
       set32(i63 | 0, (get32(i63 | 0) | 0) + 1 | 0);
       break;
      }
      i63 = i76 + 256 | 0;
      i61 = get32(i63 | 0) | 0;
      if (!i61) {
       i93 = i76 + 252 | 0;
       set32(i93 | 0, (get32(i93 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i63 | 0, get32(i61 | 0) | 0);
      i63 = i76 + 236 | 0;
      i93 = get32(i63 | 0) | 0;
      i88 = i93 + 1 | 0;
      set32(i63 | 0, i88 | 0);
      i63 = i76 + 244 | 0;
      set32(i63 | 0, (get32(i63 | 0) | 0) + 1 | 0);
      i63 = i76 + 240 | 0;
      if ((i93 | 0) >= (get32(i63 | 0) | 0)) set32(i63 | 0, i88 | 0);
      i95 = i61;
      i22 = 368;
      break L477;
     } while (0);
     do if (!(get32(50 * 4 | 0) | 0)) {
      i89 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
      if (i89) {
       i96 = i89;
       break L477;
      }
     } else {
      i89 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
      set32(35 * 4 | 0, 192 | 0);
      if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
      i61 = get32(6 * 4 | 0) | 0;
      do if (i61) {
       i88 = get32(30 * 4 | 0) | 0;
       i63 = ((i88 | 0) < 0) << 31 >> 31;
       i93 = 16;
       i94 = _i64Subtract(get32(i93 | 0) | 0, get32(i93 + 4 | 0) | 0, i89 | 0, ((i89 | 0) < 0) << 31 >> 31 | 0) | 0;
       i93 = tempRet0;
       if ((i63 | 0) < (i93 | 0) | (i63 | 0) == (i93 | 0) & i88 >>> 0 < i94 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i94 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i61 & 15](i94, i88, i63, i89);
        set32(6 * 4 | 0, i61 | 0);
        set32(7 * 4 | 0, i94 | 0);
        break;
       }
      } while (0);
      i61 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i89) | 0;
      if (!i61) break;
      i94 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i61) | 0;
      i63 = (get32(30 * 4 | 0) | 0) + i94 | 0;
      set32(30 * 4 | 0, i63 | 0);
      if ((i63 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i63 | 0);
      i63 = get32(39 * 4 | 0) | 0;
      i94 = i63 + 1 | 0;
      set32(39 * 4 | 0, i94 | 0);
      if ((i63 | 0) < (get32(49 * 4 | 0) | 0)) {
       i96 = i61;
       break L477;
      }
      set32(49 * 4 | 0, i94 | 0);
      i96 = i61;
      break L477;
     } while (0);
     set8(i91 >> 0 | 0, 1 | 0);
     i22 = 369;
    } else i22 = 369;
   } while (0);
   if ((i22 | 0) == 368) if (!i95) i22 = 369; else i96 = i95;
   if ((i22 | 0) == 369) {
    set32(i16 | 0, 0 | 0);
    i97 = 0;
    break;
   }
   _memset(i96 | 0, 0, 192) | 0;
   set32(i96 | 0, i76 | 0);
   i19 = i76 + 136 | 0;
   i61 = get32(i19 | 0) | 0;
   if (i61) set32(i61 + 60 | 0, i96 | 0);
   set32(i96 + 64 | 0, i61 | 0);
   set32(i96 + 60 | 0, 0 | 0);
   set32(i19 | 0, i96 | 0);
   set32(i96 + 52 | 0, 649915045 | 0);
   set32(i16 | 0, i96 | 0);
   i19 = i96 + 28 | 0;
   i61 = i96 + 32 | 0;
   i94 = i96 + 4 | 0;
   i63 = _sqlite3DbRealloc(i76, 0, 1020) | 0;
   if (!i63) i97 = i96; else {
    i88 = get32(i96 | 0) | 0;
    do if ((i88 | 0) != 0 ? (get32(i88 + 260 | 0) | 0) >>> 0 <= i63 >>> 0 : 0) {
     if ((get32(i88 + 264 | 0) | 0) >>> 0 <= i63 >>> 0) {
      i22 = 377;
      break;
     }
     i98 = getU16(i88 + 232 | 0) | 0;
    } else i22 = 377; while (0);
    if ((i22 | 0) == 377) i98 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i63) | 0;
    set32(i61 | 0, (i98 >>> 0) / 20 | 0 | 0);
    set32(i94 | 0, i63 | 0);
    set32(i19 | 0, (get32(i19 | 0) | 0) + 1 | 0);
    set8(i63 >> 0 | 0, -120 | 0);
    set8(i63 + 1 >> 0 | 0, 0 | 0);
    i29 = i63 + 3 | 0;
    i30 = i29 + 17 | 0;
    do {
     set8(i29 >> 0 | 0, 0 | 0);
     i29 = i29 + 1 | 0;
    } while ((i29 | 0) < (i30 | 0));
    i97 = i96;
   }
  } else i97 = i87; while (0);
  i87 = get32(i13 | 0) | 0;
  set8(((i87 | 0) == 0 ? i1 : i87) + 345 >> 0 | 0, 1 | 0);
  i87 = i97 + 28 | 0;
  i13 = get32(i87 | 0) | 0;
  i96 = i97 + 32 | 0;
  i29 = get32(i96 | 0) | 0;
  if ((i29 | 0) <= (i13 | 0)) {
   i30 = i97 + 4 | 0;
   i98 = _sqlite3DbRealloc(get32(i97 | 0) | 0, get32(i30 | 0) | 0, (i29 | 0) == 0 ? 1020 : i29 * 40 | 0) | 0;
   if (!i98) {
    i99 = 1;
    i100 = i97;
    i101 = i30;
   } else {
    i29 = get32(i97 | 0) | 0;
    if (((i29 | 0) != 0 ? (get32(i29 + 260 | 0) | 0) >>> 0 <= i98 >>> 0 : 0) ? (get32(i29 + 264 | 0) | 0) >>> 0 > i98 >>> 0 : 0) i102 = getU16(i29 + 232 | 0) | 0; else i102 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i98) | 0;
    set32(i96 | 0, (i102 >>> 0) / 20 | 0 | 0);
    set32(i30 | 0, i98 | 0);
    i103 = i30;
    i104 = get32(i87 | 0) | 0;
    i105 = i98;
    i22 = 388;
   }
  } else {
   i98 = i97 + 4 | 0;
   i103 = i98;
   i104 = i13;
   i105 = get32(i98 | 0) | 0;
   i22 = 388;
  }
  if ((i22 | 0) == 388) {
   set32(i87 | 0, i104 + 1 | 0);
   set8(i105 + (i13 * 20 | 0) >> 0 | 0, 6 | 0);
   set8(i105 + (i13 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i105 + (i13 * 20 | 0) + 4 | 0, 19 | 0);
   set32(i105 + (i13 * 20 | 0) + 8 | 0, 2 | 0);
   set32(i105 + (i13 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i105 + (i13 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i105 + (i13 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i99 = i13;
   i100 = i97;
   i101 = i103;
  }
  i103 = get32(i100 | 0) | 0;
  i100 = get32(i101 | 0) | 0;
  if ((i100 | 0) != 0 ? (get8(i103 + 30 >> 0 | 0) | 0) == 0 : 0) {
   if ((i99 | 0) < 0) i106 = (get32(i87 | 0) | 0) + -1 | 0; else i106 = i99;
   i99 = i100 + (i106 * 20 | 0) + 1 | 0;
   i87 = i100 + (i106 * 20 | 0) + 16 | 0;
   _freeP4(i103, get8(i99 >> 0 | 0) | 0, get32(i87 | 0) | 0);
   set32(i87 | 0, 31332 | 0);
   set8(i99 >> 0 | 0, -2 | 0);
  }
 }
 i99 = get32(i7 | 0) | 0;
 i87 = get32(i71 | 0) | 0;
 if ((i87 | 0) <= (i99 | 0)) {
  i103 = i27 + 4 | 0;
  i106 = _sqlite3DbRealloc(get32(i27 | 0) | 0, get32(i103 | 0) | 0, (i87 | 0) == 0 ? 1020 : i87 * 40 | 0) | 0;
  if (!i106) i107 = i103; else {
   i87 = get32(i27 | 0) | 0;
   if (((i87 | 0) != 0 ? (get32(i87 + 260 | 0) | 0) >>> 0 <= i106 >>> 0 : 0) ? (get32(i87 + 264 | 0) | 0) >>> 0 > i106 >>> 0 : 0) i108 = getU16(i87 + 232 | 0) | 0; else i108 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i106) | 0;
   set32(i71 | 0, (i108 >>> 0) / 20 | 0 | 0);
   set32(i103 | 0, i106 | 0);
   i109 = get32(i7 | 0) | 0;
   i110 = i106;
   i22 = 403;
  }
 } else {
  i109 = i99;
  i110 = get32(i27 + 4 | 0) | 0;
  i22 = 403;
 }
 if ((i22 | 0) == 403) {
  set32(i7 | 0, i109 + 1 | 0);
  set8(i110 + (i99 * 20 | 0) >> 0 | 0, 70 | 0);
  set8(i110 + (i99 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i110 + (i99 * 20 | 0) + 4 | 0, i12 | 0);
  set32(i110 + (i99 * 20 | 0) + 8 | 0, i86 | 0);
  set32(i110 + (i99 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i110 + (i99 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i110 + (i99 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i107 = i27 + 4 | 0;
 }
 i99 = get32(i107 | 0) | 0;
 if (i99) set8(i99 + (((get32(i7 | 0) | 0) + -1 | 0) * 20 | 0) + 3 >> 0 | 0, 16 | 0);
 L582 : do if ((i86 | 0) != 0 ? (i110 = get8(i79 >> 0 | 0) | 0, (i110 & 255) < 8) : 0) {
  do if ((get32(i1 + 112 | 0) | 0) != (i86 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i86 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i86 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i86 | 0)) if ((get32(i1 + 208 | 0) | 0) == (i86 | 0)) i111 = i1 + 192 | 0; else {
   if ((get32(i1 + 232 | 0) | 0) == (i86 | 0)) {
    i111 = i1 + 216 | 0;
    break;
   }
   if ((get32(i1 + 256 | 0) | 0) == (i86 | 0)) {
    i111 = i1 + 240 | 0;
    break;
   }
   if ((get32(i1 + 280 | 0) | 0) == (i86 | 0)) {
    i111 = i1 + 264 | 0;
    break;
   }
   if ((get32(i1 + 304 | 0) | 0) == (i86 | 0)) {
    i111 = i1 + 288 | 0;
    break;
   }
   if ((get32(i1 + 328 | 0) | 0) == (i86 | 0)) {
    i111 = i1 + 312 | 0;
    break;
   }
   set8(i79 >> 0 | 0, i110 + 1 << 24 >> 24 | 0);
   set32(i1 + 24 + ((i110 & 255) << 2) | 0, i86 | 0);
   break L582;
  } else i111 = i1 + 168 | 0; else i111 = i1 + 144 | 0; else i111 = i1 + 120 | 0; else i111 = i1 + 96 | 0; while (0);
  set8(i111 + 8 >> 0 | 0, 1 | 0);
 } while (0);
 i111 = i82 + 1 | 0;
 i1 = get32(i7 | 0) | 0;
 i86 = get32(i71 | 0) | 0;
 do if ((i86 | 0) > (i1 | 0)) {
  i112 = i1;
  i113 = i99;
  i22 = 429;
 } else {
  i79 = _sqlite3DbRealloc(get32(i27 | 0) | 0, i99, (i86 | 0) == 0 ? 1020 : i86 * 40 | 0) | 0;
  if (!i79) {
   i114 = get32(i7 | 0) | 0;
   break;
  }
  i110 = get32(i27 | 0) | 0;
  if (((i110 | 0) != 0 ? (get32(i110 + 260 | 0) | 0) >>> 0 <= i79 >>> 0 : 0) ? (get32(i110 + 264 | 0) | 0) >>> 0 > i79 >>> 0 : 0) i115 = getU16(i110 + 232 | 0) | 0; else i115 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i79) | 0;
  set32(i71 | 0, (i115 >>> 0) / 20 | 0 | 0);
  set32(i107 | 0, i79 | 0);
  i112 = get32(i7 | 0) | 0;
  i113 = i79;
  i22 = 429;
 } while (0);
 if ((i22 | 0) == 429) {
  i115 = i112 + 1 | 0;
  set32(i7 | 0, i115 | 0);
  set8(i113 + (i1 * 20 | 0) >> 0 | 0, 67 | 0);
  set8(i113 + (i1 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i113 + (i1 * 20 | 0) + 4 | 0, i11 | 0);
  set32(i113 + (i1 * 20 | 0) + 8 | 0, i111 | 0);
  set32(i113 + (i1 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i113 + (i1 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i113 + (i1 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i114 = i115;
 }
 if ((i114 | 0) > (i82 | 0)) set32((get32(i107 | 0) | 0) + (i82 * 20 | 0) + 8 | 0, i114 | 0);
 i82 = get32(i71 | 0) | 0;
 do if ((i82 | 0) > (i114 | 0)) {
  i116 = i114;
  i117 = get32(i107 | 0) | 0;
  i118 = i82;
  i22 = 442;
 } else {
  i115 = _sqlite3DbRealloc(get32(i27 | 0) | 0, get32(i107 | 0) | 0, (i82 | 0) == 0 ? 1020 : i82 * 40 | 0) | 0;
  if (!i115) {
   i119 = get32(i71 | 0) | 0;
   i120 = get32(i7 | 0) | 0;
   break;
  }
  i1 = get32(i27 | 0) | 0;
  do if ((i1 | 0) != 0 ? (get32(i1 + 260 | 0) | 0) >>> 0 <= i115 >>> 0 : 0) {
   if ((get32(i1 + 264 | 0) | 0) >>> 0 <= i115 >>> 0) {
    i22 = 440;
    break;
   }
   i121 = getU16(i1 + 232 | 0) | 0;
  } else i22 = 440; while (0);
  if ((i22 | 0) == 440) i121 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i115) | 0;
  i1 = (i121 >>> 0) / 20 | 0;
  set32(i71 | 0, i1 | 0);
  set32(i107 | 0, i115 | 0);
  i116 = get32(i7 | 0) | 0;
  i117 = i115;
  i118 = i1;
  i22 = 442;
 } while (0);
 if ((i22 | 0) == 442) {
  i121 = i116 + 1 | 0;
  set32(i7 | 0, i121 | 0);
  set8(i117 + (i114 * 20 | 0) >> 0 | 0, 43 | 0);
  set8(i117 + (i114 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i117 + (i114 * 20 | 0) + 4 | 0, i11 | 0);
  set32(i117 + (i114 * 20 | 0) + 8 | 0, 0 | 0);
  set32(i117 + (i114 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i117 + (i114 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i117 + (i114 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i119 = i118;
  i120 = i121;
 }
 if ((i119 | 0) > (i120 | 0)) {
  i122 = i120;
  i123 = get32(i107 | 0) | 0;
 } else {
  i121 = _sqlite3DbRealloc(get32(i27 | 0) | 0, get32(i107 | 0) | 0, (i119 | 0) == 0 ? 1020 : i119 * 40 | 0) | 0;
  if (!i121) {
   STACKTOP = i4;
   return;
  }
  i119 = get32(i27 | 0) | 0;
  do if (!i119) i22 = 450; else {
   if ((get32(i119 + 260 | 0) | 0) >>> 0 > i121 >>> 0) {
    i22 = 450;
    break;
   }
   if ((get32(i119 + 264 | 0) | 0) >>> 0 <= i121 >>> 0) {
    i22 = 450;
    break;
   }
   i124 = getU16(i119 + 232 | 0) | 0;
  } while (0);
  if ((i22 | 0) == 450) i124 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i121) | 0;
  set32(i71 | 0, (i124 >>> 0) / 20 | 0 | 0);
  set32(i107 | 0, i121 | 0);
  i122 = get32(i7 | 0) | 0;
  i123 = i121;
 }
 set32(i7 | 0, i122 + 1 | 0);
 set8(i123 + (i120 * 20 | 0) >> 0 | 0, 43 | 0);
 set8(i123 + (i120 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
 set32(i123 + (i120 * 20 | 0) + 4 | 0, i12 | 0);
 set32(i123 + (i120 * 20 | 0) + 8 | 0, 0 | 0);
 set32(i123 + (i120 * 20 | 0) + 12 | 0, 0 | 0);
 set32(i123 + (i120 * 20 | 0) + 16 | 0, 0 | 0);
 set8(i123 + (i120 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
 STACKTOP = i4;
 return;
}

function _codeRowTrigger(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 64 | 0;
 i6 = i5;
 i7 = i5 + 16 | 0;
 i8 = get32(i1 + 424 | 0) | 0;
 i9 = (i8 | 0) == 0 ? i1 : i8;
 i8 = get32(i1 | 0) | 0;
 i10 = (i8 | 0) == 0;
 L1 : do if (i10) {
  if (!(get32(50 * 4 | 0) | 0)) {
   i11 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](24) | 0;
   i12 = 38;
   break;
  }
  i13 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](24) | 0;
  set32(35 * 4 | 0, 24 | 0);
  if ((get32(45 * 4 | 0) | 0) < 24) set32(45 * 4 | 0, 24 | 0);
  i14 = get32(6 * 4 | 0) | 0;
  do if (i14) {
   i15 = get32(30 * 4 | 0) | 0;
   i16 = ((i15 | 0) < 0) << 31 >> 31;
   i17 = 16;
   i18 = _i64Subtract(get32(i17 | 0) | 0, get32(i17 + 4 | 0) | 0, i13 | 0, ((i13 | 0) < 0) << 31 >> 31 | 0) | 0;
   i17 = tempRet0;
   if ((i16 | 0) < (i17 | 0) | (i16 | 0) == (i17 | 0) & i15 >>> 0 < i18 >>> 0) {
    set32(11 * 4 | 0, 0 | 0);
    break;
   } else {
    set32(11 * 4 | 0, 1 | 0);
    i18 = get32(7 * 4 | 0) | 0;
    set32(6 * 4 | 0, 0 | 0);
    FUNCTION_TABLE_viiii[i14 & 15](i18, i15, i16, i13);
    set32(6 * 4 | 0, i14 | 0);
    set32(7 * 4 | 0, i18 | 0);
    break;
   }
  } while (0);
  i14 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i13) | 0;
  if (!i14) {
   i19 = 0;
   STACKTOP = i5;
   return i19 | 0;
  }
  i18 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i14) | 0;
  i16 = (get32(30 * 4 | 0) | 0) + i18 | 0;
  set32(30 * 4 | 0, i16 | 0);
  if ((i16 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i16 | 0);
  i16 = get32(39 * 4 | 0) | 0;
  i18 = i16 + 1 | 0;
  set32(39 * 4 | 0, i18 | 0);
  if ((i16 | 0) < (get32(49 * 4 | 0) | 0)) i20 = i14; else {
   set32(49 * 4 | 0, i18 | 0);
   i20 = i14;
  }
 } else {
  i14 = i8 + 30 | 0;
  if (get8(i14 >> 0 | 0) | 0) {
   i19 = 0;
   STACKTOP = i5;
   return i19 | 0;
  }
  do if (get8(i8 + 234 >> 0 | 0) | 0) {
   if ((getU16(i8 + 232 | 0) | 0) < 24) {
    i18 = i8 + 248 | 0;
    set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
    break;
   }
   i18 = i8 + 256 | 0;
   i16 = get32(i18 | 0) | 0;
   if (!i16) {
    i15 = i8 + 252 | 0;
    set32(i15 | 0, (get32(i15 | 0) | 0) + 1 | 0);
    break;
   }
   set32(i18 | 0, get32(i16 | 0) | 0);
   i18 = i8 + 236 | 0;
   i15 = get32(i18 | 0) | 0;
   i17 = i15 + 1 | 0;
   set32(i18 | 0, i17 | 0);
   i18 = i8 + 244 | 0;
   set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
   i18 = i8 + 240 | 0;
   if ((i15 | 0) >= (get32(i18 | 0) | 0)) set32(i18 | 0, i17 | 0);
   i11 = i16;
   i12 = 38;
   break L1;
  } while (0);
  if (!(get32(50 * 4 | 0) | 0)) {
   i13 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](24) | 0;
   if (i13) {
    i20 = i13;
    break;
   }
  } else {
   i13 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](24) | 0;
   set32(35 * 4 | 0, 24 | 0);
   if ((get32(45 * 4 | 0) | 0) < 24) set32(45 * 4 | 0, 24 | 0);
   i16 = get32(6 * 4 | 0) | 0;
   do if (i16) {
    i17 = get32(30 * 4 | 0) | 0;
    i18 = ((i17 | 0) < 0) << 31 >> 31;
    i15 = 16;
    i21 = _i64Subtract(get32(i15 | 0) | 0, get32(i15 + 4 | 0) | 0, i13 | 0, ((i13 | 0) < 0) << 31 >> 31 | 0) | 0;
    i15 = tempRet0;
    if ((i18 | 0) < (i15 | 0) | (i18 | 0) == (i15 | 0) & i17 >>> 0 < i21 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i21 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i16 & 15](i21, i17, i18, i13);
     set32(6 * 4 | 0, i16 | 0);
     set32(7 * 4 | 0, i21 | 0);
     break;
    }
   } while (0);
   i16 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i13) | 0;
   if (i16) {
    i21 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i16) | 0;
    i18 = (get32(30 * 4 | 0) | 0) + i21 | 0;
    set32(30 * 4 | 0, i18 | 0);
    if ((i18 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i18 | 0);
    i18 = get32(39 * 4 | 0) | 0;
    i21 = i18 + 1 | 0;
    set32(39 * 4 | 0, i21 | 0);
    if ((i18 | 0) < (get32(49 * 4 | 0) | 0)) {
     i20 = i16;
     break;
    }
    set32(49 * 4 | 0, i21 | 0);
    i20 = i16;
    break;
   }
  }
  set8(i14 >> 0 | 0, 1 | 0);
  i19 = 0;
  STACKTOP = i5;
  return i19 | 0;
 } while (0);
 if ((i12 | 0) == 38) if (!i11) {
  i19 = 0;
  STACKTOP = i5;
  return i19 | 0;
 } else i20 = i11;
 i11 = i20;
 i16 = i11 + 20 | 0;
 do {
  set8(i11 >> 0 | 0, 0 | 0);
  i11 = i11 + 1 | 0;
 } while ((i11 | 0) < (i16 | 0));
 i21 = i9 + 548 | 0;
 set32(i20 + 20 | 0, get32(i21 | 0) | 0);
 set32(i21 | 0, i20 | 0);
 L61 : do if (i10) {
  if (!(get32(50 * 4 | 0) | 0)) {
   i22 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](24) | 0;
   i12 = 76;
   break;
  }
  i21 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](24) | 0;
  set32(35 * 4 | 0, 24 | 0);
  if ((get32(45 * 4 | 0) | 0) < 24) set32(45 * 4 | 0, 24 | 0);
  i18 = get32(6 * 4 | 0) | 0;
  do if (i18) {
   i17 = get32(30 * 4 | 0) | 0;
   i15 = ((i17 | 0) < 0) << 31 >> 31;
   i23 = 16;
   i24 = _i64Subtract(get32(i23 | 0) | 0, get32(i23 + 4 | 0) | 0, i21 | 0, ((i21 | 0) < 0) << 31 >> 31 | 0) | 0;
   i23 = tempRet0;
   if ((i15 | 0) < (i23 | 0) | (i15 | 0) == (i23 | 0) & i17 >>> 0 < i24 >>> 0) {
    set32(11 * 4 | 0, 0 | 0);
    break;
   } else {
    set32(11 * 4 | 0, 1 | 0);
    i24 = get32(7 * 4 | 0) | 0;
    set32(6 * 4 | 0, 0 | 0);
    FUNCTION_TABLE_viiii[i18 & 15](i24, i17, i15, i21);
    set32(6 * 4 | 0, i18 | 0);
    set32(7 * 4 | 0, i24 | 0);
    break;
   }
  } while (0);
  i18 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i21) | 0;
  if (i18) {
   i14 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i18) | 0;
   i13 = (get32(30 * 4 | 0) | 0) + i14 | 0;
   set32(30 * 4 | 0, i13 | 0);
   if ((i13 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i13 | 0);
   i13 = get32(39 * 4 | 0) | 0;
   i14 = i13 + 1 | 0;
   set32(39 * 4 | 0, i14 | 0);
   if ((i13 | 0) < (get32(49 * 4 | 0) | 0)) i25 = i18; else {
    set32(49 * 4 | 0, i14 | 0);
    i25 = i18;
   }
  } else i12 = 77;
 } else {
  i18 = i8 + 30 | 0;
  if (!(get8(i18 >> 0 | 0) | 0)) {
   do if (get8(i8 + 234 >> 0 | 0) | 0) {
    if ((getU16(i8 + 232 | 0) | 0) < 24) {
     i14 = i8 + 248 | 0;
     set32(i14 | 0, (get32(i14 | 0) | 0) + 1 | 0);
     break;
    }
    i14 = i8 + 256 | 0;
    i13 = get32(i14 | 0) | 0;
    if (!i13) {
     i24 = i8 + 252 | 0;
     set32(i24 | 0, (get32(i24 | 0) | 0) + 1 | 0);
     break;
    }
    set32(i14 | 0, get32(i13 | 0) | 0);
    i14 = i8 + 236 | 0;
    i24 = get32(i14 | 0) | 0;
    i15 = i24 + 1 | 0;
    set32(i14 | 0, i15 | 0);
    i14 = i8 + 244 | 0;
    set32(i14 | 0, (get32(i14 | 0) | 0) + 1 | 0);
    i14 = i8 + 240 | 0;
    if ((i24 | 0) >= (get32(i14 | 0) | 0)) set32(i14 | 0, i15 | 0);
    i22 = i13;
    i12 = 76;
    break L61;
   } while (0);
   if (!(get32(50 * 4 | 0) | 0)) {
    i21 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](24) | 0;
    if (i21) {
     i25 = i21;
     break;
    }
   } else {
    i21 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](24) | 0;
    set32(35 * 4 | 0, 24 | 0);
    if ((get32(45 * 4 | 0) | 0) < 24) set32(45 * 4 | 0, 24 | 0);
    i13 = get32(6 * 4 | 0) | 0;
    do if (i13) {
     i15 = get32(30 * 4 | 0) | 0;
     i14 = ((i15 | 0) < 0) << 31 >> 31;
     i24 = 16;
     i17 = _i64Subtract(get32(i24 | 0) | 0, get32(i24 + 4 | 0) | 0, i21 | 0, ((i21 | 0) < 0) << 31 >> 31 | 0) | 0;
     i24 = tempRet0;
     if ((i14 | 0) < (i24 | 0) | (i14 | 0) == (i24 | 0) & i15 >>> 0 < i17 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i17 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i13 & 15](i17, i15, i14, i21);
      set32(6 * 4 | 0, i13 | 0);
      set32(7 * 4 | 0, i17 | 0);
      break;
     }
    } while (0);
    i13 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i21) | 0;
    if (i13) {
     i17 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i13) | 0;
     i14 = (get32(30 * 4 | 0) | 0) + i17 | 0;
     set32(30 * 4 | 0, i14 | 0);
     if ((i14 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i14 | 0);
     i14 = get32(39 * 4 | 0) | 0;
     i17 = i14 + 1 | 0;
     set32(39 * 4 | 0, i17 | 0);
     if ((i14 | 0) < (get32(49 * 4 | 0) | 0)) {
      i25 = i13;
      break;
     }
     set32(49 * 4 | 0, i17 | 0);
     i25 = i13;
     break;
    }
   }
   set8(i18 >> 0 | 0, 1 | 0);
   i12 = 77;
  } else i12 = 77;
 } while (0);
 if ((i12 | 0) == 76) if (!i22) i12 = 77; else i25 = i22;
 if ((i12 | 0) == 77) {
  set32(i20 + 8 | 0, 0 | 0);
  i19 = 0;
  STACKTOP = i5;
  return i19 | 0;
 }
 i11 = i25;
 i16 = i11 + 20 | 0;
 do {
  set8(i11 >> 0 | 0, 0 | 0);
  i11 = i11 + 1 | 0;
 } while ((i11 | 0) < (i16 | 0));
 set32(i20 + 8 | 0, i25 | 0);
 i22 = (get32(i9 + 12 | 0) | 0) + 184 | 0;
 set32(i25 + 20 | 0, get32(i22 | 0) | 0);
 set32(i22 | 0, i25 | 0);
 set32(i20 | 0, i2 | 0);
 set32(i20 + 4 | 0, i4 | 0);
 i22 = i20 + 12 | 0;
 set32(i22 | 0, -1 | 0);
 i13 = i20 + 16 | 0;
 set32(i13 | 0, -1 | 0);
 L118 : do if (i10) {
  if (!(get32(50 * 4 | 0) | 0)) {
   i26 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](560) | 0;
   i12 = 115;
   break;
  }
  i17 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](560) | 0;
  set32(35 * 4 | 0, 560 | 0);
  if ((get32(45 * 4 | 0) | 0) < 560) set32(45 * 4 | 0, 560 | 0);
  i14 = get32(6 * 4 | 0) | 0;
  do if (i14) {
   i15 = get32(30 * 4 | 0) | 0;
   i24 = ((i15 | 0) < 0) << 31 >> 31;
   i23 = 16;
   i27 = _i64Subtract(get32(i23 | 0) | 0, get32(i23 + 4 | 0) | 0, i17 | 0, ((i17 | 0) < 0) << 31 >> 31 | 0) | 0;
   i23 = tempRet0;
   if ((i24 | 0) < (i23 | 0) | (i24 | 0) == (i23 | 0) & i15 >>> 0 < i27 >>> 0) {
    set32(11 * 4 | 0, 0 | 0);
    break;
   } else {
    set32(11 * 4 | 0, 1 | 0);
    i27 = get32(7 * 4 | 0) | 0;
    set32(6 * 4 | 0, 0 | 0);
    FUNCTION_TABLE_viiii[i14 & 15](i27, i15, i24, i17);
    set32(6 * 4 | 0, i14 | 0);
    set32(7 * 4 | 0, i27 | 0);
    break;
   }
  } while (0);
  i14 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i17) | 0;
  if (!i14) {
   i19 = 0;
   STACKTOP = i5;
   return i19 | 0;
  }
  i18 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i14) | 0;
  i21 = (get32(30 * 4 | 0) | 0) + i18 | 0;
  set32(30 * 4 | 0, i21 | 0);
  if ((i21 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i21 | 0);
  i21 = get32(39 * 4 | 0) | 0;
  i18 = i21 + 1 | 0;
  set32(39 * 4 | 0, i18 | 0);
  if ((i21 | 0) < (get32(49 * 4 | 0) | 0)) i28 = i14; else {
   set32(49 * 4 | 0, i18 | 0);
   i28 = i14;
  }
 } else {
  i14 = i8 + 30 | 0;
  if (get8(i14 >> 0 | 0) | 0) {
   i19 = 0;
   STACKTOP = i5;
   return i19 | 0;
  }
  do if (get8(i8 + 234 >> 0 | 0) | 0) {
   if ((getU16(i8 + 232 | 0) | 0) < 560) {
    i18 = i8 + 248 | 0;
    set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
    break;
   }
   i18 = i8 + 256 | 0;
   i21 = get32(i18 | 0) | 0;
   if (!i21) {
    i27 = i8 + 252 | 0;
    set32(i27 | 0, (get32(i27 | 0) | 0) + 1 | 0);
    break;
   }
   set32(i18 | 0, get32(i21 | 0) | 0);
   i18 = i8 + 236 | 0;
   i27 = get32(i18 | 0) | 0;
   i24 = i27 + 1 | 0;
   set32(i18 | 0, i24 | 0);
   i18 = i8 + 244 | 0;
   set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
   i18 = i8 + 240 | 0;
   if ((i27 | 0) >= (get32(i18 | 0) | 0)) set32(i18 | 0, i24 | 0);
   i26 = i21;
   i12 = 115;
   break L118;
  } while (0);
  if (!(get32(50 * 4 | 0) | 0)) {
   i17 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](560) | 0;
   if (i17) {
    i28 = i17;
    break;
   }
  } else {
   i17 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](560) | 0;
   set32(35 * 4 | 0, 560 | 0);
   if ((get32(45 * 4 | 0) | 0) < 560) set32(45 * 4 | 0, 560 | 0);
   i21 = get32(6 * 4 | 0) | 0;
   do if (i21) {
    i24 = get32(30 * 4 | 0) | 0;
    i18 = ((i24 | 0) < 0) << 31 >> 31;
    i27 = 16;
    i15 = _i64Subtract(get32(i27 | 0) | 0, get32(i27 + 4 | 0) | 0, i17 | 0, ((i17 | 0) < 0) << 31 >> 31 | 0) | 0;
    i27 = tempRet0;
    if ((i18 | 0) < (i27 | 0) | (i18 | 0) == (i27 | 0) & i24 >>> 0 < i15 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i15 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i21 & 15](i15, i24, i18, i17);
     set32(6 * 4 | 0, i21 | 0);
     set32(7 * 4 | 0, i15 | 0);
     break;
    }
   } while (0);
   i21 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i17) | 0;
   if (i21) {
    i15 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i21) | 0;
    i18 = (get32(30 * 4 | 0) | 0) + i15 | 0;
    set32(30 * 4 | 0, i18 | 0);
    if ((i18 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i18 | 0);
    i18 = get32(39 * 4 | 0) | 0;
    i15 = i18 + 1 | 0;
    set32(39 * 4 | 0, i15 | 0);
    if ((i18 | 0) < (get32(49 * 4 | 0) | 0)) {
     i28 = i21;
     break;
    }
    set32(49 * 4 | 0, i15 | 0);
    i28 = i21;
    break;
   }
  }
  set8(i14 >> 0 | 0, 1 | 0);
  i19 = 0;
  STACKTOP = i5;
  return i19 | 0;
 } while (0);
 if ((i12 | 0) == 115) if (!i26) {
  i19 = 0;
  STACKTOP = i5;
  return i19 | 0;
 } else i28 = i26;
 _memset(i28 | 0, 0, 560) | 0;
 i11 = i7;
 i16 = i11 + 36 | 0;
 do {
  set32(i11 | 0, 0 | 0);
  i11 = i11 + 4 | 0;
 } while ((i11 | 0) < (i16 | 0));
 set32(i7 | 0, i28 | 0);
 set32(i28 | 0, i8 | 0);
 set32(i28 + 428 | 0, i3 | 0);
 set32(i28 + 424 | 0, i9 | 0);
 set32(i28 + 516 | 0, get32(i2 | 0) | 0);
 set8(i28 + 440 >> 0 | 0, get8(i2 + 8 >> 0 | 0) | 0 | 0);
 setF64(i28 + 448 | 0, +(+getF64(i1 + 448 | 0)));
 i3 = i28 + 12 | 0;
 i26 = get32(i3 | 0) | 0;
 do if (!i26) {
  L180 : do if (i10) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i29 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
    i12 = 154;
    break;
   }
   i21 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
   set32(35 * 4 | 0, 192 | 0);
   if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
   i15 = get32(6 * 4 | 0) | 0;
   do if (i15) {
    i18 = get32(30 * 4 | 0) | 0;
    i24 = ((i18 | 0) < 0) << 31 >> 31;
    i27 = 16;
    i23 = _i64Subtract(get32(i27 | 0) | 0, get32(i27 + 4 | 0) | 0, i21 | 0, ((i21 | 0) < 0) << 31 >> 31 | 0) | 0;
    i27 = tempRet0;
    if ((i24 | 0) < (i27 | 0) | (i24 | 0) == (i27 | 0) & i18 >>> 0 < i23 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i23 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i15 & 15](i23, i18, i24, i21);
     set32(6 * 4 | 0, i15 | 0);
     set32(7 * 4 | 0, i23 | 0);
     break;
    }
   } while (0);
   i15 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i21) | 0;
   if (i15) {
    i23 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i15) | 0;
    i24 = (get32(30 * 4 | 0) | 0) + i23 | 0;
    set32(30 * 4 | 0, i24 | 0);
    if ((i24 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i24 | 0);
    i24 = get32(39 * 4 | 0) | 0;
    i23 = i24 + 1 | 0;
    set32(39 * 4 | 0, i23 | 0);
    if ((i24 | 0) < (get32(49 * 4 | 0) | 0)) i30 = i15; else {
     set32(49 * 4 | 0, i23 | 0);
     i30 = i15;
    }
   } else i12 = 164;
  } else {
   i15 = i8 + 30 | 0;
   if (!(get8(i15 >> 0 | 0) | 0)) {
    do if (get8(i8 + 234 >> 0 | 0) | 0) {
     if ((getU16(i8 + 232 | 0) | 0) < 192) {
      i23 = i8 + 248 | 0;
      set32(i23 | 0, (get32(i23 | 0) | 0) + 1 | 0);
      break;
     }
     i23 = i8 + 256 | 0;
     i24 = get32(i23 | 0) | 0;
     if (!i24) {
      i18 = i8 + 252 | 0;
      set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i23 | 0, get32(i24 | 0) | 0);
     i23 = i8 + 236 | 0;
     i18 = get32(i23 | 0) | 0;
     i27 = i18 + 1 | 0;
     set32(i23 | 0, i27 | 0);
     i23 = i8 + 244 | 0;
     set32(i23 | 0, (get32(i23 | 0) | 0) + 1 | 0);
     i23 = i8 + 240 | 0;
     if ((i18 | 0) >= (get32(i23 | 0) | 0)) set32(i23 | 0, i27 | 0);
     i29 = i24;
     i12 = 154;
     break L180;
    } while (0);
    if (!(get32(50 * 4 | 0) | 0)) {
     i21 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
     if (i21) {
      i30 = i21;
      break;
     }
    } else {
     i21 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
     set32(35 * 4 | 0, 192 | 0);
     if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
     i24 = get32(6 * 4 | 0) | 0;
     do if (i24) {
      i27 = get32(30 * 4 | 0) | 0;
      i23 = ((i27 | 0) < 0) << 31 >> 31;
      i18 = 16;
      i31 = _i64Subtract(get32(i18 | 0) | 0, get32(i18 + 4 | 0) | 0, i21 | 0, ((i21 | 0) < 0) << 31 >> 31 | 0) | 0;
      i18 = tempRet0;
      if ((i23 | 0) < (i18 | 0) | (i23 | 0) == (i18 | 0) & i27 >>> 0 < i31 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i31 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i24 & 15](i31, i27, i23, i21);
       set32(6 * 4 | 0, i24 | 0);
       set32(7 * 4 | 0, i31 | 0);
       break;
      }
     } while (0);
     i24 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i21) | 0;
     if (i24) {
      i31 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i24) | 0;
      i23 = (get32(30 * 4 | 0) | 0) + i31 | 0;
      set32(30 * 4 | 0, i23 | 0);
      if ((i23 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i23 | 0);
      i23 = get32(39 * 4 | 0) | 0;
      i31 = i23 + 1 | 0;
      set32(39 * 4 | 0, i31 | 0);
      if ((i23 | 0) < (get32(49 * 4 | 0) | 0)) {
       i30 = i24;
       break;
      }
      set32(49 * 4 | 0, i31 | 0);
      i30 = i24;
      break;
     }
    }
    set8(i15 >> 0 | 0, 1 | 0);
    i12 = 164;
   } else i12 = 164;
  } while (0);
  if ((i12 | 0) == 154) if (!i29) i12 = 164; else i30 = i29;
  if ((i12 | 0) == 164) {
   set32(i3 | 0, 0 | 0);
   break;
  }
  _memset(i30 | 0, 0, 192) | 0;
  set32(i30 | 0, i8 | 0);
  i14 = i8 + 136 | 0;
  i17 = get32(i14 | 0) | 0;
  if (i17) set32(i17 + 60 | 0, i30 | 0);
  set32(i30 + 64 | 0, i17 | 0);
  set32(i30 + 60 | 0, 0 | 0);
  set32(i14 | 0, i30 | 0);
  set32(i30 + 52 | 0, 649915045 | 0);
  set32(i3 | 0, i30 | 0);
  i14 = i30 + 28 | 0;
  i17 = i30 + 32 | 0;
  i24 = i30 + 4 | 0;
  i31 = _sqlite3DbRealloc(i8, 0, 1020) | 0;
  if (!i31) {
   i32 = i30;
   i12 = 165;
  } else {
   i23 = get32(i30 | 0) | 0;
   if (((i23 | 0) != 0 ? (get32(i23 + 260 | 0) | 0) >>> 0 <= i31 >>> 0 : 0) ? (get32(i23 + 264 | 0) | 0) >>> 0 > i31 >>> 0 : 0) i33 = getU16(i23 + 232 | 0) | 0; else i33 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i31) | 0;
   set32(i17 | 0, (i33 >>> 0) / 20 | 0 | 0);
   set32(i24 | 0, i31 | 0);
   set32(i14 | 0, (get32(i14 | 0) | 0) + 1 | 0);
   set8(i31 >> 0 | 0, -120 | 0);
   set8(i31 + 1 >> 0 | 0, 0 | 0);
   i11 = i31 + 3 | 0;
   i16 = i11 + 17 | 0;
   do {
    set8(i11 >> 0 | 0, 0 | 0);
    i11 = i11 + 1 | 0;
   } while ((i11 | 0) < (i16 | 0));
   i32 = i30;
   i12 = 165;
  }
 } else {
  i32 = i26;
  i12 = 165;
 } while (0);
 if ((i12 | 0) == 165) {
  set32(i6 | 0, get32(i2 | 0) | 0);
  i26 = _sqlite3MPrintf(i8, 33285, i6) | 0;
  i30 = get32(i32 | 0) | 0;
  i33 = i32 + 4 | 0;
  i29 = get32(i33 | 0) | 0;
  do if ((i29 | 0) != 0 ? (get8(i30 + 30 >> 0 | 0) | 0) == 0 : 0) {
   i10 = (get32(i32 + 28 | 0) | 0) + -1 | 0;
   i31 = i29 + (i10 * 20 | 0) + 1 | 0;
   i14 = i29 + (i10 * 20 | 0) + 16 | 0;
   _freeP4(i30, get8(i31 >> 0 | 0) | 0, get32(i14 | 0) | 0);
   set32(i14 | 0, 0 | 0);
   if (!i26) {
    set32(i14 | 0, 0 | 0);
    set8(i31 >> 0 | 0, 0 | 0);
    break;
   } else {
    set32(i14 | 0, i26 | 0);
    set8(i31 >> 0 | 0, -1 | 0);
    break;
   }
  } else i12 = 167; while (0);
  if ((i12 | 0) == 167 ? (i26 | 0) != 0 : 0) _sqlite3DbFree(i30, i26);
  i26 = get32(i2 + 12 | 0) | 0;
  if (!i26) i34 = 0; else {
   i30 = _exprDup(i8, i26, 0, 0) | 0;
   if ((_sqlite3ResolveExprNames(i7, i30) | 0) == 0 ? (get8(i8 + 30 >> 0 | 0) | 0) == 0 : 0) {
    i7 = i32 + 36 | 0;
    i26 = get32(i7 | 0) | 0;
    set32(i7 | 0, i26 + 1 | 0);
    i7 = i32 + 40 | 0;
    i29 = get32(i7 | 0) | 0;
    if ((i26 | 0) < (i29 | 0)) i35 = i32 + 44 | 0; else {
     i31 = get32(i32 | 0) | 0;
     i14 = i32 + 44 | 0;
     i10 = get32(i14 | 0) | 0;
     i24 = _sqlite3DbRealloc(i31, i10, (i29 << 3) + 20 | 0) | 0;
     if (i24) {
      set32(i14 | 0, i24 | 0);
      i29 = get32(i32 | 0) | 0;
      if (((i29 | 0) != 0 ? (get32(i29 + 260 | 0) | 0) >>> 0 <= i24 >>> 0 : 0) ? (get32(i29 + 264 | 0) | 0) >>> 0 > i24 >>> 0 : 0) i36 = getU16(i29 + 232 | 0) | 0; else i12 = 183;
     } else {
      _sqlite3DbFree(i31, i10);
      set32(i14 | 0, 0 | 0);
      i12 = 183;
     }
     if ((i12 | 0) == 183) i36 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i24) | 0;
     set32(i7 | 0, i36 >>> 2 | 0);
     i35 = i14;
    }
    i14 = get32(i35 | 0) | 0;
    if (i14) set32(i14 + (i26 << 2) | 0, -1 | 0);
    i14 = ~i26;
    _sqlite3ExprIfFalse(i28, i30, i14, 8);
    i37 = i14;
   } else i37 = 0;
   _sqlite3ExprDelete(i8, i30);
   i34 = i37;
  }
  i37 = get32(i2 + 28 | 0) | 0;
  i30 = get32(i3 | 0) | 0;
  i3 = get32(i28 | 0) | 0;
  L282 : do if (i37) {
   i14 = (i4 | 0) == 99;
   i26 = i28 + 441 | 0;
   i35 = i6 + 4 | 0;
   i36 = i6 + 1 | 0;
   i7 = i6 + 8 | 0;
   i24 = i6 + 12 | 0;
   i10 = i30 + 28 | 0;
   i31 = i30 + 32 | 0;
   i29 = i30 + 4 | 0;
   i17 = i4 & 255;
   i23 = i37;
   while (1) {
    if (i14) i38 = get8(i23 + 1 >> 0 | 0) | 0; else i38 = i17;
    set8(i26 >> 0 | 0, i38 | 0);
    switch (getU8(i23 >> 0 | 0) | 0) {
    case 107:
     {
      i27 = _sqlite3SrcListAppend(get32(i28 | 0) | 0, 0, i23 + 12 | 0, 0) | 0;
      do if (i27) {
       i18 = get32(i28 | 0) | 0;
       i39 = get32((get32(i23 + 4 | 0) | 0) + 20 | 0) | 0;
       L349 : do if (i39) {
        i40 = get32(i18 + 4 | 0) | 0;
        if ((i40 | 0) > 0) {
         i41 = get32(i18 + 8 | 0) | 0;
         i42 = 0;
         while (1) {
          if ((get32(i41 + (i42 << 4) + 12 | 0) | 0) == (i39 | 0)) {
           i43 = i42;
           i12 = 200;
           break L349;
          }
          i44 = i42 + 1 | 0;
          if ((i44 | 0) < (i40 | 0)) i42 = i44; else {
           i43 = i44;
           i12 = 200;
           break;
          }
         }
        } else i45 = 0;
       } else {
        i43 = -1e6;
        i12 = 200;
       } while (0);
       if ((i12 | 0) == 200) {
        i12 = 0;
        if ((i43 | 0) == 0 | (i43 | 0) > 1) i45 = i43; else break;
       }
       i39 = get32((get32(i18 + 8 | 0) | 0) + (i45 << 4) | 0) | 0;
       L358 : do if (!i39) i46 = 0; else {
        i42 = i39;
        while (1) if (!(get8(i42 >> 0 | 0) | 0)) {
         i47 = i42;
         break;
        } else i42 = i42 + 1 | 0;
        i42 = (i47 - i39 & 1073741823) + 1 | 0;
        L362 : do if (!i18) {
         if (!(get32(50 * 4 | 0) | 0)) {
          i48 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i42) | 0;
          i12 = 240;
          break;
         }
         i40 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i42) | 0;
         set32(35 * 4 | 0, i42 | 0);
         if ((get32(45 * 4 | 0) | 0) < (i42 | 0)) set32(45 * 4 | 0, i42 | 0);
         i41 = get32(6 * 4 | 0) | 0;
         do if (i41) {
          i44 = get32(30 * 4 | 0) | 0;
          i49 = ((i44 | 0) < 0) << 31 >> 31;
          i50 = 16;
          i51 = _i64Subtract(get32(i50 | 0) | 0, get32(i50 + 4 | 0) | 0, i40 | 0, ((i40 | 0) < 0) << 31 >> 31 | 0) | 0;
          i50 = tempRet0;
          if ((i49 | 0) < (i50 | 0) | (i49 | 0) == (i50 | 0) & i44 >>> 0 < i51 >>> 0) {
           set32(11 * 4 | 0, 0 | 0);
           break;
          } else {
           set32(11 * 4 | 0, 1 | 0);
           i51 = get32(7 * 4 | 0) | 0;
           set32(6 * 4 | 0, 0 | 0);
           FUNCTION_TABLE_viiii[i41 & 15](i51, i44, i49, i40);
           set32(6 * 4 | 0, i41 | 0);
           set32(7 * 4 | 0, i51 | 0);
           break;
          }
         } while (0);
         i41 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i40) | 0;
         if (!i41) {
          i46 = 0;
          break L358;
         }
         i51 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i41) | 0;
         i49 = (get32(30 * 4 | 0) | 0) + i51 | 0;
         set32(30 * 4 | 0, i49 | 0);
         if ((i49 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i49 | 0);
         i49 = get32(39 * 4 | 0) | 0;
         i51 = i49 + 1 | 0;
         set32(39 * 4 | 0, i51 | 0);
         if ((i49 | 0) < (get32(49 * 4 | 0) | 0)) {
          i52 = i41;
          break;
         }
         set32(49 * 4 | 0, i51 | 0);
         i52 = i41;
        } else {
         i41 = i18 + 30 | 0;
         if (get8(i41 >> 0 | 0) | 0) {
          i46 = 0;
          break L358;
         }
         do if (get8(i18 + 234 >> 0 | 0) | 0) {
          if ((getU16(i18 + 232 | 0) | 0) >>> 0 < i42 >>> 0) {
           i51 = i18 + 248 | 0;
           set32(i51 | 0, (get32(i51 | 0) | 0) + 1 | 0);
           break;
          }
          i51 = i18 + 256 | 0;
          i49 = get32(i51 | 0) | 0;
          if (!i49) {
           i44 = i18 + 252 | 0;
           set32(i44 | 0, (get32(i44 | 0) | 0) + 1 | 0);
           break;
          }
          set32(i51 | 0, get32(i49 | 0) | 0);
          i51 = i18 + 236 | 0;
          i44 = get32(i51 | 0) | 0;
          i50 = i44 + 1 | 0;
          set32(i51 | 0, i50 | 0);
          i51 = i18 + 244 | 0;
          set32(i51 | 0, (get32(i51 | 0) | 0) + 1 | 0);
          i51 = i18 + 240 | 0;
          if ((i44 | 0) >= (get32(i51 | 0) | 0)) set32(i51 | 0, i50 | 0);
          i48 = i49;
          i12 = 240;
          break L362;
         } while (0);
         do if (!(get32(50 * 4 | 0) | 0)) {
          i40 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i42) | 0;
          if (i40) {
           i52 = i40;
           break L362;
          }
         } else {
          i40 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i42) | 0;
          set32(35 * 4 | 0, i42 | 0);
          if ((get32(45 * 4 | 0) | 0) < (i42 | 0)) set32(45 * 4 | 0, i42 | 0);
          i49 = get32(6 * 4 | 0) | 0;
          do if (i49) {
           i50 = get32(30 * 4 | 0) | 0;
           i51 = ((i50 | 0) < 0) << 31 >> 31;
           i44 = 16;
           i53 = _i64Subtract(get32(i44 | 0) | 0, get32(i44 + 4 | 0) | 0, i40 | 0, ((i40 | 0) < 0) << 31 >> 31 | 0) | 0;
           i44 = tempRet0;
           if ((i51 | 0) < (i44 | 0) | (i51 | 0) == (i44 | 0) & i50 >>> 0 < i53 >>> 0) {
            set32(11 * 4 | 0, 0 | 0);
            break;
           } else {
            set32(11 * 4 | 0, 1 | 0);
            i53 = get32(7 * 4 | 0) | 0;
            set32(6 * 4 | 0, 0 | 0);
            FUNCTION_TABLE_viiii[i49 & 15](i53, i50, i51, i40);
            set32(6 * 4 | 0, i49 | 0);
            set32(7 * 4 | 0, i53 | 0);
            break;
           }
          } while (0);
          i49 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i40) | 0;
          if (!i49) break;
          i53 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i49) | 0;
          i51 = (get32(30 * 4 | 0) | 0) + i53 | 0;
          set32(30 * 4 | 0, i51 | 0);
          if ((i51 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i51 | 0);
          i51 = get32(39 * 4 | 0) | 0;
          i53 = i51 + 1 | 0;
          set32(39 * 4 | 0, i53 | 0);
          if ((i51 | 0) < (get32(49 * 4 | 0) | 0)) {
           i52 = i49;
           break L362;
          }
          set32(49 * 4 | 0, i53 | 0);
          i52 = i49;
          break L362;
         } while (0);
         set8(i41 >> 0 | 0, 1 | 0);
         i46 = 0;
         break L358;
        } while (0);
        if ((i12 | 0) == 240) {
         i12 = 0;
         if (!i48) {
          i46 = 0;
          break;
         } else i52 = i48;
        }
        _memcpy(i52 | 0, i39 | 0, i42 | 0) | 0;
        i46 = i52;
       } while (0);
       set32(i27 + 8 + (((get16(i27 | 0) | 0) + -1 | 0) * 56 | 0) | 0, i46 | 0);
      } while (0);
      i15 = _sqlite3ExprListDup(i3, get32(i23 + 24 | 0) | 0, 0) | 0;
      _sqlite3Update(i28, i27, i15, _exprDup(i3, get32(i23 + 20 | 0) | 0, 0, 0) | 0, getU8(i26 >> 0 | 0) | 0);
      break;
     }
    case 105:
     {
      i15 = _sqlite3SrcListAppend(get32(i28 | 0) | 0, 0, i23 + 12 | 0, 0) | 0;
      do if (i15) {
       i21 = get32(i28 | 0) | 0;
       i39 = get32((get32(i23 + 4 | 0) | 0) + 20 | 0) | 0;
       L421 : do if (i39) {
        i18 = get32(i21 + 4 | 0) | 0;
        if ((i18 | 0) > 0) {
         i49 = get32(i21 + 8 | 0) | 0;
         i53 = 0;
         while (1) {
          if ((get32(i49 + (i53 << 4) + 12 | 0) | 0) == (i39 | 0)) {
           i54 = i53;
           i12 = 250;
           break L421;
          }
          i51 = i53 + 1 | 0;
          if ((i51 | 0) < (i18 | 0)) i53 = i51; else {
           i54 = i51;
           i12 = 250;
           break;
          }
         }
        } else i55 = 0;
       } else {
        i54 = -1e6;
        i12 = 250;
       } while (0);
       if ((i12 | 0) == 250) {
        i12 = 0;
        if ((i54 | 0) == 0 | (i54 | 0) > 1) i55 = i54; else break;
       }
       i39 = get32((get32(i21 + 8 | 0) | 0) + (i55 << 4) | 0) | 0;
       L430 : do if (!i39) i56 = 0; else {
        i53 = i39;
        while (1) if (!(get8(i53 >> 0 | 0) | 0)) {
         i57 = i53;
         break;
        } else i53 = i53 + 1 | 0;
        i53 = (i57 - i39 & 1073741823) + 1 | 0;
        L434 : do if (!i21) {
         if (!(get32(50 * 4 | 0) | 0)) {
          i58 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i53) | 0;
          i12 = 290;
          break;
         }
         i18 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i53) | 0;
         set32(35 * 4 | 0, i53 | 0);
         if ((get32(45 * 4 | 0) | 0) < (i53 | 0)) set32(45 * 4 | 0, i53 | 0);
         i49 = get32(6 * 4 | 0) | 0;
         do if (i49) {
          i42 = get32(30 * 4 | 0) | 0;
          i51 = ((i42 | 0) < 0) << 31 >> 31;
          i50 = 16;
          i44 = _i64Subtract(get32(i50 | 0) | 0, get32(i50 + 4 | 0) | 0, i18 | 0, ((i18 | 0) < 0) << 31 >> 31 | 0) | 0;
          i50 = tempRet0;
          if ((i51 | 0) < (i50 | 0) | (i51 | 0) == (i50 | 0) & i42 >>> 0 < i44 >>> 0) {
           set32(11 * 4 | 0, 0 | 0);
           break;
          } else {
           set32(11 * 4 | 0, 1 | 0);
           i44 = get32(7 * 4 | 0) | 0;
           set32(6 * 4 | 0, 0 | 0);
           FUNCTION_TABLE_viiii[i49 & 15](i44, i42, i51, i18);
           set32(6 * 4 | 0, i49 | 0);
           set32(7 * 4 | 0, i44 | 0);
           break;
          }
         } while (0);
         i49 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i18) | 0;
         if (!i49) {
          i56 = 0;
          break L430;
         }
         i41 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i49) | 0;
         i44 = (get32(30 * 4 | 0) | 0) + i41 | 0;
         set32(30 * 4 | 0, i44 | 0);
         if ((i44 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i44 | 0);
         i44 = get32(39 * 4 | 0) | 0;
         i41 = i44 + 1 | 0;
         set32(39 * 4 | 0, i41 | 0);
         if ((i44 | 0) < (get32(49 * 4 | 0) | 0)) {
          i59 = i49;
          break;
         }
         set32(49 * 4 | 0, i41 | 0);
         i59 = i49;
        } else {
         i49 = i21 + 30 | 0;
         if (get8(i49 >> 0 | 0) | 0) {
          i56 = 0;
          break L430;
         }
         do if (get8(i21 + 234 >> 0 | 0) | 0) {
          if ((getU16(i21 + 232 | 0) | 0) >>> 0 < i53 >>> 0) {
           i41 = i21 + 248 | 0;
           set32(i41 | 0, (get32(i41 | 0) | 0) + 1 | 0);
           break;
          }
          i41 = i21 + 256 | 0;
          i44 = get32(i41 | 0) | 0;
          if (!i44) {
           i51 = i21 + 252 | 0;
           set32(i51 | 0, (get32(i51 | 0) | 0) + 1 | 0);
           break;
          }
          set32(i41 | 0, get32(i44 | 0) | 0);
          i41 = i21 + 236 | 0;
          i51 = get32(i41 | 0) | 0;
          i42 = i51 + 1 | 0;
          set32(i41 | 0, i42 | 0);
          i41 = i21 + 244 | 0;
          set32(i41 | 0, (get32(i41 | 0) | 0) + 1 | 0);
          i41 = i21 + 240 | 0;
          if ((i51 | 0) >= (get32(i41 | 0) | 0)) set32(i41 | 0, i42 | 0);
          i58 = i44;
          i12 = 290;
          break L434;
         } while (0);
         do if (!(get32(50 * 4 | 0) | 0)) {
          i18 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i53) | 0;
          if (i18) {
           i59 = i18;
           break L434;
          }
         } else {
          i18 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i53) | 0;
          set32(35 * 4 | 0, i53 | 0);
          if ((get32(45 * 4 | 0) | 0) < (i53 | 0)) set32(45 * 4 | 0, i53 | 0);
          i44 = get32(6 * 4 | 0) | 0;
          do if (i44) {
           i42 = get32(30 * 4 | 0) | 0;
           i41 = ((i42 | 0) < 0) << 31 >> 31;
           i51 = 16;
           i50 = _i64Subtract(get32(i51 | 0) | 0, get32(i51 + 4 | 0) | 0, i18 | 0, ((i18 | 0) < 0) << 31 >> 31 | 0) | 0;
           i51 = tempRet0;
           if ((i41 | 0) < (i51 | 0) | (i41 | 0) == (i51 | 0) & i42 >>> 0 < i50 >>> 0) {
            set32(11 * 4 | 0, 0 | 0);
            break;
           } else {
            set32(11 * 4 | 0, 1 | 0);
            i50 = get32(7 * 4 | 0) | 0;
            set32(6 * 4 | 0, 0 | 0);
            FUNCTION_TABLE_viiii[i44 & 15](i50, i42, i41, i18);
            set32(6 * 4 | 0, i44 | 0);
            set32(7 * 4 | 0, i50 | 0);
            break;
           }
          } while (0);
          i44 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i18) | 0;
          if (!i44) break;
          i40 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i44) | 0;
          i50 = (get32(30 * 4 | 0) | 0) + i40 | 0;
          set32(30 * 4 | 0, i50 | 0);
          if ((i50 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i50 | 0);
          i50 = get32(39 * 4 | 0) | 0;
          i40 = i50 + 1 | 0;
          set32(39 * 4 | 0, i40 | 0);
          if ((i50 | 0) < (get32(49 * 4 | 0) | 0)) {
           i59 = i44;
           break L434;
          }
          set32(49 * 4 | 0, i40 | 0);
          i59 = i44;
          break L434;
         } while (0);
         set8(i49 >> 0 | 0, 1 | 0);
         i56 = 0;
         break L430;
        } while (0);
        if ((i12 | 0) == 290) {
         i12 = 0;
         if (!i58) {
          i56 = 0;
          break;
         } else i59 = i58;
        }
        _memcpy(i59 | 0, i39 | 0, i53 | 0) | 0;
        i56 = i59;
       } while (0);
       set32(i15 + 8 + (((get16(i15 | 0) | 0) + -1 | 0) * 56 | 0) | 0, i56 | 0);
      } while (0);
      i27 = _sqlite3ExprListDup(i3, get32(i23 + 24 | 0) | 0, 0) | 0;
      i39 = _sqlite3SelectDup(i3, get32(i23 + 8 | 0) | 0, 0) | 0;
      _sqlite3Insert(i28, i15, i27, i39, _sqlite3IdListDup(i3, get32(i23 + 28 | 0) | 0) | 0, getU8(i26 >> 0 | 0) | 0);
      break;
     }
    case 106:
     {
      i39 = _sqlite3SrcListAppend(get32(i28 | 0) | 0, 0, i23 + 12 | 0, 0) | 0;
      do if (i39) {
       i27 = get32(i28 | 0) | 0;
       i21 = get32((get32(i23 + 4 | 0) | 0) + 20 | 0) | 0;
       L493 : do if (i21) {
        i44 = get32(i27 + 4 | 0) | 0;
        if ((i44 | 0) > 0) {
         i40 = get32(i27 + 8 | 0) | 0;
         i50 = 0;
         while (1) {
          if ((get32(i40 + (i50 << 4) + 12 | 0) | 0) == (i21 | 0)) {
           i60 = i50;
           i12 = 300;
           break L493;
          }
          i41 = i50 + 1 | 0;
          if ((i41 | 0) < (i44 | 0)) i50 = i41; else {
           i60 = i41;
           i12 = 300;
           break;
          }
         }
        } else i61 = 0;
       } else {
        i60 = -1e6;
        i12 = 300;
       } while (0);
       if ((i12 | 0) == 300) {
        i12 = 0;
        if ((i60 | 0) == 0 | (i60 | 0) > 1) i61 = i60; else break;
       }
       i21 = get32((get32(i27 + 8 | 0) | 0) + (i61 << 4) | 0) | 0;
       L502 : do if (!i21) i62 = 0; else {
        i50 = i21;
        while (1) if (!(get8(i50 >> 0 | 0) | 0)) {
         i63 = i50;
         break;
        } else i50 = i50 + 1 | 0;
        i50 = (i63 - i21 & 1073741823) + 1 | 0;
        L506 : do if (!i27) {
         if (!(get32(50 * 4 | 0) | 0)) {
          i64 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i50) | 0;
          i12 = 340;
          break;
         }
         i44 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i50) | 0;
         set32(35 * 4 | 0, i50 | 0);
         if ((get32(45 * 4 | 0) | 0) < (i50 | 0)) set32(45 * 4 | 0, i50 | 0);
         i40 = get32(6 * 4 | 0) | 0;
         do if (i40) {
          i53 = get32(30 * 4 | 0) | 0;
          i41 = ((i53 | 0) < 0) << 31 >> 31;
          i42 = 16;
          i51 = _i64Subtract(get32(i42 | 0) | 0, get32(i42 + 4 | 0) | 0, i44 | 0, ((i44 | 0) < 0) << 31 >> 31 | 0) | 0;
          i42 = tempRet0;
          if ((i41 | 0) < (i42 | 0) | (i41 | 0) == (i42 | 0) & i53 >>> 0 < i51 >>> 0) {
           set32(11 * 4 | 0, 0 | 0);
           break;
          } else {
           set32(11 * 4 | 0, 1 | 0);
           i51 = get32(7 * 4 | 0) | 0;
           set32(6 * 4 | 0, 0 | 0);
           FUNCTION_TABLE_viiii[i40 & 15](i51, i53, i41, i44);
           set32(6 * 4 | 0, i40 | 0);
           set32(7 * 4 | 0, i51 | 0);
           break;
          }
         } while (0);
         i40 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i44) | 0;
         if (!i40) {
          i62 = 0;
          break L502;
         }
         i49 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i40) | 0;
         i51 = (get32(30 * 4 | 0) | 0) + i49 | 0;
         set32(30 * 4 | 0, i51 | 0);
         if ((i51 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i51 | 0);
         i51 = get32(39 * 4 | 0) | 0;
         i49 = i51 + 1 | 0;
         set32(39 * 4 | 0, i49 | 0);
         if ((i51 | 0) < (get32(49 * 4 | 0) | 0)) {
          i65 = i40;
          break;
         }
         set32(49 * 4 | 0, i49 | 0);
         i65 = i40;
        } else {
         i40 = i27 + 30 | 0;
         if (get8(i40 >> 0 | 0) | 0) {
          i62 = 0;
          break L502;
         }
         do if (get8(i27 + 234 >> 0 | 0) | 0) {
          if ((getU16(i27 + 232 | 0) | 0) >>> 0 < i50 >>> 0) {
           i49 = i27 + 248 | 0;
           set32(i49 | 0, (get32(i49 | 0) | 0) + 1 | 0);
           break;
          }
          i49 = i27 + 256 | 0;
          i51 = get32(i49 | 0) | 0;
          if (!i51) {
           i41 = i27 + 252 | 0;
           set32(i41 | 0, (get32(i41 | 0) | 0) + 1 | 0);
           break;
          }
          set32(i49 | 0, get32(i51 | 0) | 0);
          i49 = i27 + 236 | 0;
          i41 = get32(i49 | 0) | 0;
          i53 = i41 + 1 | 0;
          set32(i49 | 0, i53 | 0);
          i49 = i27 + 244 | 0;
          set32(i49 | 0, (get32(i49 | 0) | 0) + 1 | 0);
          i49 = i27 + 240 | 0;
          if ((i41 | 0) >= (get32(i49 | 0) | 0)) set32(i49 | 0, i53 | 0);
          i64 = i51;
          i12 = 340;
          break L506;
         } while (0);
         do if (!(get32(50 * 4 | 0) | 0)) {
          i44 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i50) | 0;
          if (i44) {
           i65 = i44;
           break L506;
          }
         } else {
          i44 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i50) | 0;
          set32(35 * 4 | 0, i50 | 0);
          if ((get32(45 * 4 | 0) | 0) < (i50 | 0)) set32(45 * 4 | 0, i50 | 0);
          i51 = get32(6 * 4 | 0) | 0;
          do if (i51) {
           i53 = get32(30 * 4 | 0) | 0;
           i49 = ((i53 | 0) < 0) << 31 >> 31;
           i41 = 16;
           i42 = _i64Subtract(get32(i41 | 0) | 0, get32(i41 + 4 | 0) | 0, i44 | 0, ((i44 | 0) < 0) << 31 >> 31 | 0) | 0;
           i41 = tempRet0;
           if ((i49 | 0) < (i41 | 0) | (i49 | 0) == (i41 | 0) & i53 >>> 0 < i42 >>> 0) {
            set32(11 * 4 | 0, 0 | 0);
            break;
           } else {
            set32(11 * 4 | 0, 1 | 0);
            i42 = get32(7 * 4 | 0) | 0;
            set32(6 * 4 | 0, 0 | 0);
            FUNCTION_TABLE_viiii[i51 & 15](i42, i53, i49, i44);
            set32(6 * 4 | 0, i51 | 0);
            set32(7 * 4 | 0, i42 | 0);
            break;
           }
          } while (0);
          i51 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i44) | 0;
          if (!i51) break;
          i18 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i51) | 0;
          i42 = (get32(30 * 4 | 0) | 0) + i18 | 0;
          set32(30 * 4 | 0, i42 | 0);
          if ((i42 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i42 | 0);
          i42 = get32(39 * 4 | 0) | 0;
          i18 = i42 + 1 | 0;
          set32(39 * 4 | 0, i18 | 0);
          if ((i42 | 0) < (get32(49 * 4 | 0) | 0)) {
           i65 = i51;
           break L506;
          }
          set32(49 * 4 | 0, i18 | 0);
          i65 = i51;
          break L506;
         } while (0);
         set8(i40 >> 0 | 0, 1 | 0);
         i62 = 0;
         break L502;
        } while (0);
        if ((i12 | 0) == 340) {
         i12 = 0;
         if (!i64) {
          i62 = 0;
          break;
         } else i65 = i64;
        }
        _memcpy(i65 | 0, i21 | 0, i50 | 0) | 0;
        i62 = i65;
       } while (0);
       set32(i39 + 8 + (((get16(i39 | 0) | 0) + -1 | 0) * 56 | 0) | 0, i62 | 0);
      } while (0);
      _sqlite3DeleteFrom(i28, i39, _exprDup(i3, get32(i23 + 20 | 0) | 0, 0, 0) | 0);
      break;
     }
    default:
     {
      i15 = _sqlite3SelectDup(i3, get32(i23 + 8 | 0) | 0, 0) | 0;
      set8(i6 >> 0 | 0, 4 | 0);
      set32(i35 | 0, 0 | 0);
      set8(i36 >> 0 | 0, 0 | 0);
      set32(i7 | 0, 0 | 0);
      set32(i24 | 0, 0 | 0);
      _sqlite3Select(i28, i15, i6) | 0;
      if (i15) {
       i21 = get32(i15 | 0) | 0;
       if (i21) {
        i27 = i21 + 12 | 0;
        if ((get32(i21 | 0) | 0) > 0) {
         i51 = 0;
         i18 = get32(i27 | 0) | 0;
         while (1) {
          _sqlite3ExprDelete(i3, get32(i18 | 0) | 0);
          _sqlite3DbFree(i3, get32(i18 + 4 | 0) | 0);
          _sqlite3DbFree(i3, get32(i18 + 8 | 0) | 0);
          i51 = i51 + 1 | 0;
          if ((i51 | 0) >= (get32(i21 | 0) | 0)) break; else i18 = i18 + 20 | 0;
         }
        }
        _sqlite3DbFree(i3, get32(i27 | 0) | 0);
        _sqlite3DbFree(i3, i21);
       }
       _sqlite3SrcListDelete(i3, get32(i15 + 8 | 0) | 0);
       _sqlite3ExprDelete(i3, get32(i15 + 12 | 0) | 0);
       i18 = get32(i15 + 16 | 0) | 0;
       if (i18) {
        i51 = i18 + 12 | 0;
        if ((get32(i18 | 0) | 0) > 0) {
         i39 = 0;
         i42 = get32(i51 | 0) | 0;
         while (1) {
          _sqlite3ExprDelete(i3, get32(i42 | 0) | 0);
          _sqlite3DbFree(i3, get32(i42 + 4 | 0) | 0);
          _sqlite3DbFree(i3, get32(i42 + 8 | 0) | 0);
          i39 = i39 + 1 | 0;
          if ((i39 | 0) >= (get32(i18 | 0) | 0)) break; else i42 = i42 + 20 | 0;
         }
        }
        _sqlite3DbFree(i3, get32(i51 | 0) | 0);
        _sqlite3DbFree(i3, i18);
       }
       _sqlite3ExprDelete(i3, get32(i15 + 20 | 0) | 0);
       i42 = get32(i15 + 24 | 0) | 0;
       if (i42) {
        i39 = i42 + 12 | 0;
        if ((get32(i42 | 0) | 0) > 0) {
         i21 = 0;
         i27 = get32(i39 | 0) | 0;
         while (1) {
          _sqlite3ExprDelete(i3, get32(i27 | 0) | 0);
          _sqlite3DbFree(i3, get32(i27 + 4 | 0) | 0);
          _sqlite3DbFree(i3, get32(i27 + 8 | 0) | 0);
          i21 = i21 + 1 | 0;
          if ((i21 | 0) >= (get32(i42 | 0) | 0)) break; else i27 = i27 + 20 | 0;
         }
        }
        _sqlite3DbFree(i3, get32(i39 | 0) | 0);
        _sqlite3DbFree(i3, i42);
       }
       i27 = get32(i15 + 28 | 0) | 0;
       if (i27) {
        i21 = get32(i27 | 0) | 0;
        if (i21) {
         i18 = i21 + 12 | 0;
         if ((get32(i21 | 0) | 0) > 0) {
          i51 = 0;
          i49 = get32(i18 | 0) | 0;
          while (1) {
           _sqlite3ExprDelete(i3, get32(i49 | 0) | 0);
           _sqlite3DbFree(i3, get32(i49 + 4 | 0) | 0);
           _sqlite3DbFree(i3, get32(i49 + 8 | 0) | 0);
           i51 = i51 + 1 | 0;
           if ((i51 | 0) >= (get32(i21 | 0) | 0)) break; else i49 = i49 + 20 | 0;
          }
         }
         _sqlite3DbFree(i3, get32(i18 | 0) | 0);
         _sqlite3DbFree(i3, i21);
        }
        _sqlite3SrcListDelete(i3, get32(i27 + 8 | 0) | 0);
        _sqlite3ExprDelete(i3, get32(i27 + 12 | 0) | 0);
        i49 = get32(i27 + 16 | 0) | 0;
        if (i49) {
         i51 = i49 + 12 | 0;
         if ((get32(i49 | 0) | 0) > 0) {
          i42 = 0;
          i39 = get32(i51 | 0) | 0;
          while (1) {
           _sqlite3ExprDelete(i3, get32(i39 | 0) | 0);
           _sqlite3DbFree(i3, get32(i39 + 4 | 0) | 0);
           _sqlite3DbFree(i3, get32(i39 + 8 | 0) | 0);
           i42 = i42 + 1 | 0;
           if ((i42 | 0) >= (get32(i49 | 0) | 0)) break; else i39 = i39 + 20 | 0;
          }
         }
         _sqlite3DbFree(i3, get32(i51 | 0) | 0);
         _sqlite3DbFree(i3, i49);
        }
        _sqlite3ExprDelete(i3, get32(i27 + 20 | 0) | 0);
        i39 = get32(i27 + 24 | 0) | 0;
        if (i39) {
         i42 = i39 + 12 | 0;
         if ((get32(i39 | 0) | 0) > 0) {
          i21 = 0;
          i18 = get32(i42 | 0) | 0;
          while (1) {
           _sqlite3ExprDelete(i3, get32(i18 | 0) | 0);
           _sqlite3DbFree(i3, get32(i18 + 4 | 0) | 0);
           _sqlite3DbFree(i3, get32(i18 + 8 | 0) | 0);
           i21 = i21 + 1 | 0;
           if ((i21 | 0) >= (get32(i39 | 0) | 0)) break; else i18 = i18 + 20 | 0;
          }
         }
         _sqlite3DbFree(i3, get32(i42 | 0) | 0);
         _sqlite3DbFree(i3, i39);
        }
        i18 = get32(i27 + 28 | 0) | 0;
        if (i18) {
         _clearSelect(i3, i18);
         _sqlite3DbFree(i3, i18);
        }
        _sqlite3ExprDelete(i3, get32(i27 + 40 | 0) | 0);
        _sqlite3ExprDelete(i3, get32(i27 + 44 | 0) | 0);
        _sqlite3DbFree(i3, i27);
       }
       _sqlite3ExprDelete(i3, get32(i15 + 40 | 0) | 0);
       _sqlite3ExprDelete(i3, get32(i15 + 44 | 0) | 0);
       _sqlite3DbFree(i3, i15);
      }
     }
    }
    do if ((get8(i23 >> 0 | 0) | 0) != 116) {
     i18 = get32(i10 | 0) | 0;
     i21 = get32(i31 | 0) | 0;
     if ((i21 | 0) > (i18 | 0)) {
      i66 = i18;
      i67 = get32(i29 | 0) | 0;
     } else {
      i49 = _sqlite3DbRealloc(get32(i30 | 0) | 0, get32(i29 | 0) | 0, (i21 | 0) == 0 ? 1020 : i21 * 40 | 0) | 0;
      if (!i49) break;
      i21 = get32(i30 | 0) | 0;
      if (((i21 | 0) != 0 ? (get32(i21 + 260 | 0) | 0) >>> 0 <= i49 >>> 0 : 0) ? (get32(i21 + 264 | 0) | 0) >>> 0 > i49 >>> 0 : 0) i68 = getU16(i21 + 232 | 0) | 0; else i68 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i49) | 0;
      set32(i31 | 0, (i68 >>> 0) / 20 | 0 | 0);
      set32(i29 | 0, i49 | 0);
      i66 = get32(i10 | 0) | 0;
      i67 = i49;
     }
     set32(i10 | 0, i66 + 1 | 0);
     set8(i67 + (i18 * 20 | 0) >> 0 | 0, 58 | 0);
     set8(i67 + (i18 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i11 = i67 + (i18 * 20 | 0) + 3 | 0;
     i16 = i11 + 17 | 0;
     do {
      set8(i11 >> 0 | 0, 0 | 0);
      i11 = i11 + 1 | 0;
     } while ((i11 | 0) < (i16 | 0));
    } while (0);
    i23 = get32(i23 + 32 | 0) | 0;
    if (!i23) break L282;
   }
  } while (0);
  if ((i34 | 0) != 0 ? (i67 = get32(i32 + 44 | 0) | 0, (i67 | 0) != 0) : 0) set32(i67 + (~i34 << 2) | 0, get32(i32 + 28 | 0) | 0);
  i34 = i32 + 28 | 0;
  i67 = get32(i34 | 0) | 0;
  i66 = i32 + 32 | 0;
  i68 = get32(i66 | 0) | 0;
  if ((i68 | 0) <= (i67 | 0)) {
   i30 = _sqlite3DbRealloc(get32(i32 | 0) | 0, get32(i33 | 0) | 0, (i68 | 0) == 0 ? 1020 : i68 * 40 | 0) | 0;
   if (i30) {
    i68 = get32(i32 | 0) | 0;
    if (((i68 | 0) != 0 ? (get32(i68 + 260 | 0) | 0) >>> 0 <= i30 >>> 0 : 0) ? (get32(i68 + 264 | 0) | 0) >>> 0 > i30 >>> 0 : 0) i69 = getU16(i68 + 232 | 0) | 0; else i69 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i30) | 0;
    set32(i66 | 0, (i69 >>> 0) / 20 | 0 | 0);
    set32(i33 | 0, i30 | 0);
    i70 = get32(i34 | 0) | 0;
    i71 = i30;
    i12 = 404;
   }
  } else {
   i70 = i67;
   i71 = get32(i33 | 0) | 0;
   i12 = 404;
  }
  if ((i12 | 0) == 404) {
   set32(i34 | 0, i70 + 1 | 0);
   set8(i71 + (i67 * 20 | 0) >> 0 | 0, 6 | 0);
   set8(i71 + (i67 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i11 = i71 + (i67 * 20 | 0) + 3 | 0;
   i16 = i11 + 17 | 0;
   do {
    set8(i11 >> 0 | 0, 0 | 0);
    i11 = i11 + 1 | 0;
   } while ((i11 | 0) < (i16 | 0));
  }
  i11 = i1 + 64 | 0;
  if (!(get32(i11 | 0) | 0)) {
   set32(i1 + 8 | 0, get32(i28 + 8 | 0) | 0);
   set32(i11 | 0, get32(i28 + 64 | 0) | 0);
  } else _sqlite3DbFree(get32(i28 | 0) | 0, get32(i28 + 8 | 0) | 0);
  if (!(get8(i8 + 30 >> 0 | 0) | 0)) {
   i11 = i25 + 4 | 0;
   i1 = i9 + 420 | 0;
   i9 = get32(i33 | 0) | 0;
   i16 = get32(i1 | 0) | 0;
   i67 = i32 + 44 | 0;
   i71 = get32(i67 | 0) | 0;
   i70 = i32 + 104 | 0;
   set8(i70 >> 0 | 0, 1 | 0);
   i30 = get32(i34 | 0) | 0;
   L603 : do if ((i30 | 0) > 0) {
    i69 = i30;
    i66 = i16;
    i68 = i9;
    while (1) {
     i3 = i69;
     i69 = i69 + -1 | 0;
     i6 = get8(i68 >> 0 | 0) | 0;
     i62 = get8(25464 + (i6 & 255) >> 0 | 0) | 0;
     set8(i68 + 2 >> 0 | 0, i62 | 0);
     switch (i6 << 24 >> 24) {
     case 116:
     case 18:
      {
       i6 = getU8(i68 + 3 >> 0 | 0) | 0;
       i72 = (i6 | 0) > (i66 | 0) ? i6 : i66;
       break;
      }
     case 34:
      {
       if (!(get32(i68 + 8 | 0) | 0)) i72 = i66; else i12 = 413;
       break;
      }
     case 120:
      {
       i12 = 413;
       break;
      }
     case -123:
      {
       i6 = get32(i68 + 8 | 0) | 0;
       i72 = (i6 | 0) > (i66 | 0) ? i6 : i66;
       break;
      }
     case -128:
      {
       i6 = get32(i68 + -16 | 0) | 0;
       i72 = (i6 | 0) > (i66 | 0) ? i6 : i66;
       break;
      }
     default:
      i72 = i66;
     }
     if ((i12 | 0) == 413) {
      i12 = 0;
      set8(i70 >> 0 | 0, 0 | 0);
      i72 = i66;
     }
     if ((i62 & 1) != 0 ? (i62 = i68 + 8 | 0, i6 = get32(i62 | 0) | 0, (i6 | 0) < 0) : 0) set32(i62 | 0, get32(i71 + (~i6 << 2) | 0) | 0);
     if ((i3 | 0) <= 1) {
      i73 = i72;
      break L603;
     } else {
      i66 = i72;
      i68 = i68 + 20 | 0;
     }
    }
   } else i73 = i16; while (0);
   _sqlite3DbFree(get32(i32 | 0) | 0, i71);
   set32(i67 | 0, 0 | 0);
   set32(i1 | 0, i73 | 0);
   set32(i11 | 0, get32(i34 | 0) | 0);
   set32(i33 | 0, 0 | 0);
   set32(i25 | 0, i9 | 0);
  }
  set32(i25 + 8 | 0, get32(i28 + 72 | 0) | 0);
  set32(i25 + 12 | 0, get32(i28 + 68 | 0) | 0);
  set32(i25 + 16 | 0, i2 | 0);
  set32(i22 | 0, get32(i28 + 432 | 0) | 0);
  set32(i13 | 0, get32(i28 + 436 | 0) | 0);
  i13 = get32(i32 | 0) | 0;
  i22 = get32(i32 + 60 | 0) | 0;
  i2 = i32 + 64 | 0;
  i25 = get32(i2 | 0) | 0;
  if (!i22) {
   set32(i13 + 136 | 0, i25 | 0);
   i74 = i25;
  } else {
   set32(i22 + 64 | 0, i25 | 0);
   i74 = get32(i2 | 0) | 0;
  }
  if (i74) set32(i74 + 60 | 0, i22 | 0);
  set32(i32 + 52 | 0, -1241070648 | 0);
  set32(i32 | 0, 0 | 0);
  _sqlite3VdbeDeleteObject(i13, i32);
 }
 _sqlite3DbFree(i8, i28);
 i19 = i20;
 STACKTOP = i5;
 return i19 | 0;
}

function _selectInnerLoop(i1, i2, i3, i4, i5, i6, i7, i8, i9, i10) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 i7 = i7 | 0;
 i8 = i8 | 0;
 i9 = i9 | 0;
 i10 = i10 | 0;
 var i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0, i80 = 0, i81 = 0, i82 = 0, i83 = 0, i84 = 0, i85 = 0, i86 = 0, i87 = 0, i88 = 0, i89 = 0, i90 = 0, i91 = 0, i92 = 0, i93 = 0, i94 = 0, i95 = 0, i96 = 0, i97 = 0, i98 = 0, i99 = 0, i100 = 0, i101 = 0, i102 = 0, i103 = 0, i104 = 0, i105 = 0, i106 = 0, i107 = 0, i108 = 0, i109 = 0, i110 = 0, i111 = 0, i112 = 0, i113 = 0, i114 = 0, i115 = 0, i116 = 0, i117 = 0, i118 = 0, i119 = 0, i120 = 0, i121 = 0, i122 = 0, i123 = 0, i124 = 0, i125 = 0, i126 = 0, i127 = 0, i128 = 0, i129 = 0, i130 = 0, i131 = 0, i132 = 0, i133 = 0, i134 = 0, i135 = 0, i136 = 0, i137 = 0, i138 = 0, i139 = 0, i140 = 0, i141 = 0, i142 = 0, i143 = 0, i144 = 0, i145 = 0, i146 = 0, i147 = 0, i148 = 0, i149 = 0, i150 = 0, i151 = 0, i152 = 0, i153 = 0, i154 = 0;
 i11 = i1 + 12 | 0;
 i12 = get32(i11 | 0) | 0;
 i13 = get8(i8 >> 0 | 0) | 0;
 i14 = i13 & 255;
 i15 = i8 + 4 | 0;
 i16 = get32(i15 | 0) | 0;
 if (!i12) return;
 i17 = (i7 | 0) > -1;
 i18 = (i6 | 0) != 0;
 if (!(i18 | i17) ? (i19 = i2 + 52 | 0, i20 = get32(i19 | 0) | 0, (i9 | 0) != 0 & (i20 | 0) != 0) : 0) {
  i21 = i12 + 28 | 0;
  i22 = get32(i21 | 0) | 0;
  i23 = i12 + 32 | 0;
  i24 = get32(i23 | 0) | 0;
  do if ((i24 | 0) > (i22 | 0)) {
   i25 = i24;
   i26 = i22;
   i27 = get32(i12 + 4 | 0) | 0;
   i28 = 14;
  } else {
   i29 = i12 + 4 | 0;
   i30 = _sqlite3DbRealloc(get32(i12 | 0) | 0, get32(i29 | 0) | 0, (i24 | 0) == 0 ? 1020 : i24 * 40 | 0) | 0;
   if (!i30) {
    i31 = get32(i23 | 0) | 0;
    i32 = get32(i21 | 0) | 0;
    break;
   }
   i33 = get32(i12 | 0) | 0;
   if (((i33 | 0) != 0 ? (get32(i33 + 260 | 0) | 0) >>> 0 <= i30 >>> 0 : 0) ? (get32(i33 + 264 | 0) | 0) >>> 0 > i30 >>> 0 : 0) i34 = getU16(i33 + 232 | 0) | 0; else i34 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i30) | 0;
   i33 = (i34 >>> 0) / 20 | 0;
   set32(i23 | 0, i33 | 0);
   set32(i29 | 0, i30 | 0);
   i25 = i33;
   i26 = get32(i21 | 0) | 0;
   i27 = i30;
   i28 = 14;
  } while (0);
  if ((i28 | 0) == 14) {
   i34 = i26 + 1 | 0;
   set32(i21 | 0, i34 | 0);
   set8(i27 + (i22 * 20 | 0) >> 0 | 0, 20 | 0);
   set8(i27 + (i22 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i27 + (i22 * 20 | 0) + 4 | 0, i20 | 0);
   set32(i27 + (i22 * 20 | 0) + 8 | 0, -1 | 0);
   set32(i27 + (i22 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i27 + (i22 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i27 + (i22 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i31 = i25;
   i32 = i34;
  }
  i34 = get32(i19 | 0) | 0;
  do if ((i31 | 0) > (i32 | 0)) {
   i35 = i31;
   i36 = i32;
   i37 = get32(i12 + 4 | 0) | 0;
   i28 = 25;
  } else {
   i19 = i12 + 4 | 0;
   i25 = _sqlite3DbRealloc(get32(i12 | 0) | 0, get32(i19 | 0) | 0, (i31 | 0) == 0 ? 1020 : i31 * 40 | 0) | 0;
   if (!i25) {
    i38 = 1;
    i39 = get32(i23 | 0) | 0;
    i40 = get32(i21 | 0) | 0;
    break;
   }
   i22 = get32(i12 | 0) | 0;
   if (((i22 | 0) != 0 ? (get32(i22 + 260 | 0) | 0) >>> 0 <= i25 >>> 0 : 0) ? (get32(i22 + 264 | 0) | 0) >>> 0 > i25 >>> 0 : 0) i41 = getU16(i22 + 232 | 0) | 0; else i41 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i25) | 0;
   i22 = (i41 >>> 0) / 20 | 0;
   set32(i23 | 0, i22 | 0);
   set32(i19 | 0, i25 | 0);
   i35 = i22;
   i36 = get32(i21 | 0) | 0;
   i37 = i25;
   i28 = 25;
  } while (0);
  if ((i28 | 0) == 25) {
   i41 = i36 + 1 | 0;
   set32(i21 | 0, i41 | 0);
   set8(i37 + (i32 * 20 | 0) >> 0 | 0, 114 | 0);
   set8(i37 + (i32 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i37 + (i32 * 20 | 0) + 4 | 0, i34 | 0);
   set32(i37 + (i32 * 20 | 0) + 8 | 0, 0 | 0);
   set32(i37 + (i32 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i37 + (i32 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i37 + (i32 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i38 = i32;
   i39 = i35;
   i40 = i41;
  }
  do if ((i39 | 0) > (i40 | 0)) {
   i42 = i40;
   i43 = get32(i12 + 4 | 0) | 0;
   i28 = 36;
  } else {
   i41 = i12 + 4 | 0;
   i35 = _sqlite3DbRealloc(get32(i12 | 0) | 0, get32(i41 | 0) | 0, (i39 | 0) == 0 ? 1020 : i39 * 40 | 0) | 0;
   if (!i35) {
    i44 = get32(i21 | 0) | 0;
    break;
   }
   i32 = get32(i12 | 0) | 0;
   if (((i32 | 0) != 0 ? (get32(i32 + 260 | 0) | 0) >>> 0 <= i35 >>> 0 : 0) ? (get32(i32 + 264 | 0) | 0) >>> 0 > i35 >>> 0 : 0) i45 = getU16(i32 + 232 | 0) | 0; else i45 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i35) | 0;
   set32(i23 | 0, (i45 >>> 0) / 20 | 0 | 0);
   set32(i41 | 0, i35 | 0);
   i42 = get32(i21 | 0) | 0;
   i43 = i35;
   i28 = 36;
  } while (0);
  if ((i28 | 0) == 36) {
   i45 = i42 + 1 | 0;
   set32(i21 | 0, i45 | 0);
   set8(i43 + (i40 * 20 | 0) >> 0 | 0, 1 | 0);
   set8(i43 + (i40 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i43 + (i40 * 20 | 0) + 4 | 0, 0 | 0);
   set32(i43 + (i40 * 20 | 0) + 8 | 0, i9 | 0);
   set32(i43 + (i40 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i43 + (i40 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i43 + (i40 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i44 = i45;
  }
  if ((i44 | 0) > (i38 | 0)) set32((get32(i12 + 4 | 0) | 0) + (i38 * 20 | 0) + 8 | 0, i44 | 0);
 }
 i44 = (i5 | 0) > 0;
 if (i44) i46 = i5; else i46 = get32(i3 | 0) | 0;
 i38 = i8 + 8 | 0;
 i45 = get32(i38 | 0) | 0;
 if (!i45) {
  i40 = i1 + 72 | 0;
  i43 = get32(i40 | 0) | 0;
  i21 = i43 + 1 | 0;
  set32(i38 | 0, i21 | 0);
  set32(i8 + 12 | 0, i46 | 0);
  set32(i40 | 0, i43 + i46 | 0);
  i47 = i21;
 } else i47 = i45;
 if (!i44) {
  if (i13 << 24 >> 24 != 3) {
   i44 = i1 + 21 | 0;
   i45 = 0;
   i21 = i1 + 96 | 0;
   while (1) {
    i43 = i21 + 16 | 0;
    i40 = get32(i43 | 0) | 0;
    if (i40) {
     i38 = i21 + 8 | 0;
     if (get8(i38 >> 0 | 0) | 0) {
      i42 = get8(i44 >> 0 | 0) | 0;
      if ((i42 & 255) < 8) {
       set8(i44 >> 0 | 0, i42 + 1 << 24 >> 24 | 0);
       set32(i1 + 24 + ((i42 & 255) << 2) | 0, i40 | 0);
      }
      set8(i38 >> 0 | 0, 0 | 0);
     }
     set32(i43 | 0, 0 | 0);
    }
    i45 = i45 + 1 | 0;
    if ((i45 | 0) == 10) break; else i21 = i21 + 24 | 0;
   }
   i21 = get32(i3 | 0) | 0;
   if ((i21 | 0) > 0) {
    i45 = i13 << 24 >> 24 == 5 ? 14 : 15;
    i44 = 0;
    i43 = get32(i3 + 12 | 0) | 0;
    while (1) {
     i38 = i44 + i47 | 0;
     i40 = _sqlite3ExprCodeTarget(i1, get32(i43 | 0) | 0, i38) | 0;
     do if ((i40 | 0) != (i38 | 0)) {
      i42 = get32(i11 | 0) | 0;
      i23 = i42 + 28 | 0;
      i39 = get32(i23 | 0) | 0;
      i35 = i42 + 32 | 0;
      i41 = get32(i35 | 0) | 0;
      if ((i41 | 0) > (i39 | 0)) {
       i48 = i39;
       i49 = get32(i42 + 4 | 0) | 0;
      } else {
       i32 = i42 + 4 | 0;
       i37 = _sqlite3DbRealloc(get32(i42 | 0) | 0, get32(i32 | 0) | 0, (i41 | 0) == 0 ? 1020 : i41 * 40 | 0) | 0;
       if (!i37) break;
       i41 = get32(i42 | 0) | 0;
       if (((i41 | 0) != 0 ? (get32(i41 + 260 | 0) | 0) >>> 0 <= i37 >>> 0 : 0) ? (get32(i41 + 264 | 0) | 0) >>> 0 > i37 >>> 0 : 0) i50 = getU16(i41 + 232 | 0) | 0; else i50 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i37) | 0;
       set32(i35 | 0, (i50 >>> 0) / 20 | 0 | 0);
       set32(i32 | 0, i37 | 0);
       i48 = get32(i23 | 0) | 0;
       i49 = i37;
      }
      set32(i23 | 0, i48 + 1 | 0);
      set8(i49 + (i39 * 20 | 0) >> 0 | 0, i45 | 0);
      set8(i49 + (i39 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i49 + (i39 * 20 | 0) + 4 | 0, i40 | 0);
      set32(i49 + (i39 * 20 | 0) + 8 | 0, i38 | 0);
      set32(i49 + (i39 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i49 + (i39 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i49 + (i39 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     } while (0);
     i44 = i44 + 1 | 0;
     if ((i44 | 0) == (i21 | 0)) break; else i43 = i43 + 20 | 0;
    }
   }
  }
 } else {
  i43 = i12 + 28 | 0;
  i21 = i12 + 32 | 0;
  i44 = i12 + 4 | 0;
  i49 = 0;
  do {
   i45 = i49 + i47 | 0;
   i48 = get32(i43 | 0) | 0;
   i50 = get32(i21 | 0) | 0;
   if ((i50 | 0) <= (i48 | 0)) {
    i38 = _sqlite3DbRealloc(get32(i12 | 0) | 0, get32(i44 | 0) | 0, (i50 | 0) == 0 ? 1020 : i50 * 40 | 0) | 0;
    if (i38) {
     i50 = get32(i12 | 0) | 0;
     if (((i50 | 0) != 0 ? (get32(i50 + 260 | 0) | 0) >>> 0 <= i38 >>> 0 : 0) ? (get32(i50 + 264 | 0) | 0) >>> 0 > i38 >>> 0 : 0) i51 = getU16(i50 + 232 | 0) | 0; else i51 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i38) | 0;
     set32(i21 | 0, (i51 >>> 0) / 20 | 0 | 0);
     set32(i44 | 0, i38 | 0);
     i52 = get32(i43 | 0) | 0;
     i53 = i38;
     i28 = 54;
    }
   } else {
    i52 = i48;
    i53 = get32(i44 | 0) | 0;
    i28 = 54;
   }
   if ((i28 | 0) == 54) {
    i28 = 0;
    set32(i43 | 0, i52 + 1 | 0);
    set8(i53 + (i48 * 20 | 0) >> 0 | 0, 28 | 0);
    set8(i53 + (i48 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i53 + (i48 * 20 | 0) + 4 | 0, i4 | 0);
    set32(i53 + (i48 * 20 | 0) + 8 | 0, i49 | 0);
    set32(i53 + (i48 * 20 | 0) + 12 | 0, i45 | 0);
    set32(i53 + (i48 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i53 + (i48 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   }
   i49 = i49 + 1 | 0;
  } while ((i49 | 0) != (i5 | 0));
 }
 if (i17) {
  i17 = get32(i11 | 0) | 0;
  i11 = i1 + 21 | 0;
  i5 = get8(i11 >> 0 | 0) | 0;
  if (!(i5 << 24 >> 24)) {
   i49 = i1 + 72 | 0;
   i53 = (get32(i49 | 0) | 0) + 1 | 0;
   set32(i49 | 0, i53 | 0);
   i54 = i53;
  } else {
   i53 = i5 + -1 << 24 >> 24;
   set8(i11 >> 0 | 0, i53 | 0);
   i54 = get32(i1 + 24 + ((i53 & 255) << 2) | 0) | 0;
  }
  i53 = i17 + 28 | 0;
  i5 = get32(i53 | 0) | 0;
  i49 = i17 + 32 | 0;
  i4 = get32(i49 | 0) | 0;
  if ((i4 | 0) <= (i5 | 0)) {
   i52 = i17 + 4 | 0;
   i43 = _sqlite3DbRealloc(get32(i17 | 0) | 0, get32(i52 | 0) | 0, (i4 | 0) == 0 ? 1020 : i4 * 40 | 0) | 0;
   if (!i43) {
    i55 = 1;
    i56 = i17;
    i57 = i52;
   } else {
    i4 = get32(i17 | 0) | 0;
    if (((i4 | 0) != 0 ? (get32(i4 + 260 | 0) | 0) >>> 0 <= i43 >>> 0 : 0) ? (get32(i4 + 264 | 0) | 0) >>> 0 > i43 >>> 0 : 0) i58 = getU16(i4 + 232 | 0) | 0; else i58 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i43) | 0;
    set32(i49 | 0, (i58 >>> 0) / 20 | 0 | 0);
    set32(i52 | 0, i43 | 0);
    i59 = i52;
    i60 = get32(i53 | 0) | 0;
    i61 = i43;
    i28 = 92;
   }
  } else {
   i43 = i17 + 4 | 0;
   i59 = i43;
   i60 = i5;
   i61 = get32(i43 | 0) | 0;
   i28 = 92;
  }
  if ((i28 | 0) == 92) {
   set32(i53 | 0, i60 + 1 | 0);
   set8(i61 + (i5 * 20 | 0) >> 0 | 0, 50 | 0);
   set8(i61 + (i5 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i61 + (i5 * 20 | 0) + 4 | 0, i7 | 0);
   set32(i61 + (i5 * 20 | 0) + 8 | 0, i9 | 0);
   set32(i61 + (i5 * 20 | 0) + 12 | 0, i47 | 0);
   set32(i61 + (i5 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i61 + (i5 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i55 = i5;
   i56 = i17;
   i57 = i59;
  }
  i59 = get32(i56 | 0) | 0;
  i17 = get32(i57 | 0) | 0;
  if ((i17 | 0) != 0 ? (get8(i59 + 30 >> 0 | 0) | 0) == 0 : 0) {
   if ((i55 | 0) < 0) i62 = (get32(i53 | 0) | 0) + -1 | 0; else i62 = i55;
   i55 = i17 + (i62 * 20 | 0) + 1 | 0;
   i5 = i17 + (i62 * 20 | 0) + 16 | 0;
   _freeP4(i59, get8(i55 >> 0 | 0) | 0, get32(i5 | 0) | 0);
   set32(i5 | 0, i46 | 0);
   set8(i55 >> 0 | 0, -14 | 0);
  }
  i55 = get32(i53 | 0) | 0;
  i5 = get32(i49 | 0) | 0;
  do if ((i5 | 0) > (i55 | 0)) {
   i63 = i5;
   i64 = i55;
   i65 = get32(i57 | 0) | 0;
   i28 = 108;
  } else {
   i59 = _sqlite3DbRealloc(get32(i56 | 0) | 0, get32(i57 | 0) | 0, (i5 | 0) == 0 ? 1020 : i5 * 40 | 0) | 0;
   if (!i59) {
    i66 = get32(i49 | 0) | 0;
    i67 = get32(i53 | 0) | 0;
    break;
   }
   i62 = get32(i56 | 0) | 0;
   if (((i62 | 0) != 0 ? (get32(i62 + 260 | 0) | 0) >>> 0 <= i59 >>> 0 : 0) ? (get32(i62 + 264 | 0) | 0) >>> 0 > i59 >>> 0 : 0) i68 = getU16(i62 + 232 | 0) | 0; else i68 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i59) | 0;
   i62 = (i68 >>> 0) / 20 | 0;
   set32(i49 | 0, i62 | 0);
   set32(i57 | 0, i59 | 0);
   i63 = i62;
   i64 = get32(i53 | 0) | 0;
   i65 = i59;
   i28 = 108;
  } while (0);
  if ((i28 | 0) == 108) {
   i68 = i64 + 1 | 0;
   set32(i53 | 0, i68 | 0);
   set8(i65 + (i55 * 20 | 0) >> 0 | 0, 30 | 0);
   set8(i65 + (i55 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i65 + (i55 * 20 | 0) + 4 | 0, i47 | 0);
   set32(i65 + (i55 * 20 | 0) + 8 | 0, i46 | 0);
   set32(i65 + (i55 * 20 | 0) + 12 | 0, i54 | 0);
   set32(i65 + (i55 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i65 + (i55 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i66 = i63;
   i67 = i68;
  }
  if ((i66 | 0) <= (i67 | 0)) {
   i68 = _sqlite3DbRealloc(get32(i56 | 0) | 0, get32(i57 | 0) | 0, (i66 | 0) == 0 ? 1020 : i66 * 40 | 0) | 0;
   if (i68) {
    i66 = get32(i56 | 0) | 0;
    if (((i66 | 0) != 0 ? (get32(i66 + 260 | 0) | 0) >>> 0 <= i68 >>> 0 : 0) ? (get32(i66 + 264 | 0) | 0) >>> 0 > i68 >>> 0 : 0) i69 = getU16(i66 + 232 | 0) | 0; else i69 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i68) | 0;
    set32(i49 | 0, (i69 >>> 0) / 20 | 0 | 0);
    set32(i57 | 0, i68 | 0);
    i70 = get32(i53 | 0) | 0;
    i71 = i68;
    i28 = 118;
   }
  } else {
   i70 = i67;
   i71 = get32(i57 | 0) | 0;
   i28 = 118;
  }
  if ((i28 | 0) == 118) {
   set32(i53 | 0, i70 + 1 | 0);
   set8(i71 + (i67 * 20 | 0) >> 0 | 0, 70 | 0);
   set8(i71 + (i67 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i71 + (i67 * 20 | 0) + 4 | 0, i7 | 0);
   set32(i71 + (i67 * 20 | 0) + 8 | 0, i54 | 0);
   set32(i71 + (i67 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i71 + (i67 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i71 + (i67 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  }
  L171 : do if ((i54 | 0) != 0 ? (i67 = get8(i11 >> 0 | 0) | 0, (i67 & 255) < 8) : 0) {
   do if ((get32(i1 + 112 | 0) | 0) != (i54 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i54 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i54 | 0)) if ((get32(i1 + 184 | 0) | 0) == (i54 | 0)) i72 = i1 + 168 | 0; else {
    if ((get32(i1 + 208 | 0) | 0) == (i54 | 0)) {
     i72 = i1 + 192 | 0;
     break;
    }
    if ((get32(i1 + 232 | 0) | 0) == (i54 | 0)) {
     i72 = i1 + 216 | 0;
     break;
    }
    if ((get32(i1 + 256 | 0) | 0) == (i54 | 0)) {
     i72 = i1 + 240 | 0;
     break;
    }
    if ((get32(i1 + 280 | 0) | 0) == (i54 | 0)) {
     i72 = i1 + 264 | 0;
     break;
    }
    if ((get32(i1 + 304 | 0) | 0) == (i54 | 0)) {
     i72 = i1 + 288 | 0;
     break;
    }
    if ((get32(i1 + 328 | 0) | 0) == (i54 | 0)) {
     i72 = i1 + 312 | 0;
     break;
    }
    set8(i11 >> 0 | 0, i67 + 1 << 24 >> 24 | 0);
    set32(i1 + 24 + ((i67 & 255) << 2) | 0, i54 | 0);
    break L171;
   } else i72 = i1 + 144 | 0; else i72 = i1 + 120 | 0; else i72 = i1 + 96 | 0; while (0);
   set8(i72 + 8 >> 0 | 0, 1 | 0);
  } while (0);
  if ((i6 | 0) == 0 ? (i72 = i2 + 52 | 0, i54 = get32(i72 | 0) | 0, (i9 | 0) != 0 & (i54 | 0) != 0) : 0) {
   i11 = i12 + 28 | 0;
   i67 = get32(i11 | 0) | 0;
   i71 = i12 + 32 | 0;
   i7 = get32(i71 | 0) | 0;
   do if ((i7 | 0) > (i67 | 0)) {
    i73 = i7;
    i74 = i67;
    i75 = get32(i12 + 4 | 0) | 0;
    i28 = 145;
   } else {
    i70 = i12 + 4 | 0;
    i53 = _sqlite3DbRealloc(get32(i12 | 0) | 0, get32(i70 | 0) | 0, (i7 | 0) == 0 ? 1020 : i7 * 40 | 0) | 0;
    if (!i53) {
     i76 = get32(i71 | 0) | 0;
     i77 = get32(i11 | 0) | 0;
     break;
    }
    i57 = get32(i12 | 0) | 0;
    do if (!i57) i28 = 143; else {
     if ((get32(i57 + 260 | 0) | 0) >>> 0 > i53 >>> 0) {
      i28 = 143;
      break;
     }
     if ((get32(i57 + 264 | 0) | 0) >>> 0 <= i53 >>> 0) {
      i28 = 143;
      break;
     }
     i78 = getU16(i57 + 232 | 0) | 0;
    } while (0);
    if ((i28 | 0) == 143) i78 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i53) | 0;
    i57 = (i78 >>> 0) / 20 | 0;
    set32(i71 | 0, i57 | 0);
    set32(i70 | 0, i53 | 0);
    i73 = i57;
    i74 = get32(i11 | 0) | 0;
    i75 = i53;
    i28 = 145;
   } while (0);
   if ((i28 | 0) == 145) {
    i78 = i74 + 1 | 0;
    set32(i11 | 0, i78 | 0);
    set8(i75 + (i67 * 20 | 0) >> 0 | 0, 20 | 0);
    set8(i75 + (i67 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i75 + (i67 * 20 | 0) + 4 | 0, i54 | 0);
    set32(i75 + (i67 * 20 | 0) + 8 | 0, -1 | 0);
    set32(i75 + (i67 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i75 + (i67 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i75 + (i67 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i76 = i73;
    i77 = i78;
   }
   i78 = get32(i72 | 0) | 0;
   do if ((i76 | 0) > (i77 | 0)) {
    i79 = i76;
    i80 = i77;
    i81 = get32(i12 + 4 | 0) | 0;
    i28 = 156;
   } else {
    i72 = i12 + 4 | 0;
    i73 = _sqlite3DbRealloc(get32(i12 | 0) | 0, get32(i72 | 0) | 0, (i76 | 0) == 0 ? 1020 : i76 * 40 | 0) | 0;
    if (!i73) {
     i82 = 1;
     i83 = get32(i71 | 0) | 0;
     i84 = get32(i11 | 0) | 0;
     break;
    }
    i67 = get32(i12 | 0) | 0;
    do if (!i67) i28 = 154; else {
     if ((get32(i67 + 260 | 0) | 0) >>> 0 > i73 >>> 0) {
      i28 = 154;
      break;
     }
     if ((get32(i67 + 264 | 0) | 0) >>> 0 <= i73 >>> 0) {
      i28 = 154;
      break;
     }
     i85 = getU16(i67 + 232 | 0) | 0;
    } while (0);
    if ((i28 | 0) == 154) i85 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i73) | 0;
    i67 = (i85 >>> 0) / 20 | 0;
    set32(i71 | 0, i67 | 0);
    set32(i72 | 0, i73 | 0);
    i79 = i67;
    i80 = get32(i11 | 0) | 0;
    i81 = i73;
    i28 = 156;
   } while (0);
   if ((i28 | 0) == 156) {
    i85 = i80 + 1 | 0;
    set32(i11 | 0, i85 | 0);
    set8(i81 + (i77 * 20 | 0) >> 0 | 0, 114 | 0);
    set8(i81 + (i77 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i81 + (i77 * 20 | 0) + 4 | 0, i78 | 0);
    set32(i81 + (i77 * 20 | 0) + 8 | 0, 0 | 0);
    set32(i81 + (i77 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i81 + (i77 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i81 + (i77 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i82 = i77;
    i83 = i79;
    i84 = i85;
   }
   do if ((i83 | 0) > (i84 | 0)) {
    i86 = i84;
    i87 = get32(i12 + 4 | 0) | 0;
    i28 = 167;
   } else {
    i85 = i12 + 4 | 0;
    i79 = _sqlite3DbRealloc(get32(i12 | 0) | 0, get32(i85 | 0) | 0, (i83 | 0) == 0 ? 1020 : i83 * 40 | 0) | 0;
    if (!i79) {
     i88 = get32(i11 | 0) | 0;
     break;
    }
    i77 = get32(i12 | 0) | 0;
    do if (!i77) i28 = 165; else {
     if ((get32(i77 + 260 | 0) | 0) >>> 0 > i79 >>> 0) {
      i28 = 165;
      break;
     }
     if ((get32(i77 + 264 | 0) | 0) >>> 0 <= i79 >>> 0) {
      i28 = 165;
      break;
     }
     i89 = getU16(i77 + 232 | 0) | 0;
    } while (0);
    if ((i28 | 0) == 165) i89 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i79) | 0;
    set32(i71 | 0, (i89 >>> 0) / 20 | 0 | 0);
    set32(i85 | 0, i79 | 0);
    i86 = get32(i11 | 0) | 0;
    i87 = i79;
    i28 = 167;
   } while (0);
   if ((i28 | 0) == 167) {
    i89 = i86 + 1 | 0;
    set32(i11 | 0, i89 | 0);
    set8(i87 + (i84 * 20 | 0) >> 0 | 0, 1 | 0);
    set8(i87 + (i84 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i87 + (i84 * 20 | 0) + 4 | 0, 0 | 0);
    set32(i87 + (i84 * 20 | 0) + 8 | 0, i9 | 0);
    set32(i87 + (i84 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i87 + (i84 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i87 + (i84 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i88 = i89;
   }
   if ((i88 | 0) > (i82 | 0)) set32((get32(i12 + 4 | 0) | 0) + (i82 * 20 | 0) + 8 | 0, i88 | 0);
  }
 }
 L239 : do switch (i14 | 0) {
 case 1:
  {
   i88 = i1 + 21 | 0;
   i82 = get8(i88 >> 0 | 0) | 0;
   if (!(i82 << 24 >> 24)) {
    i89 = i1 + 72 | 0;
    i84 = (get32(i89 | 0) | 0) + 1 | 0;
    set32(i89 | 0, i84 | 0);
    i90 = i84;
   } else {
    i84 = i82 + -1 << 24 >> 24;
    set8(i88 >> 0 | 0, i84 | 0);
    i90 = get32(i1 + 24 + ((i84 & 255) << 2) | 0) | 0;
   }
   i84 = i12 + 28 | 0;
   i82 = get32(i84 | 0) | 0;
   i89 = i12 + 32 | 0;
   i87 = get32(i89 | 0) | 0;
   do if ((i87 | 0) > (i82 | 0)) {
    i91 = i87;
    i92 = i82;
    i93 = get32(i12 + 4 | 0) | 0;
    i28 = 184;
   } else {
    i9 = i12 + 4 | 0;
    i11 = _sqlite3DbRealloc(get32(i12 | 0) | 0, get32(i9 | 0) | 0, (i87 | 0) == 0 ? 1020 : i87 * 40 | 0) | 0;
    if (!i11) {
     i94 = get32(i89 | 0) | 0;
     i95 = get32(i84 | 0) | 0;
     break;
    }
    i86 = get32(i12 | 0) | 0;
    if (((i86 | 0) != 0 ? (get32(i86 + 260 | 0) | 0) >>> 0 <= i11 >>> 0 : 0) ? (get32(i86 + 264 | 0) | 0) >>> 0 > i11 >>> 0 : 0) i96 = getU16(i86 + 232 | 0) | 0; else i96 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i11) | 0;
    i86 = (i96 >>> 0) / 20 | 0;
    set32(i89 | 0, i86 | 0);
    set32(i9 | 0, i11 | 0);
    i91 = i86;
    i92 = get32(i84 | 0) | 0;
    i93 = i11;
    i28 = 184;
   } while (0);
   if ((i28 | 0) == 184) {
    i87 = i92 + 1 | 0;
    set32(i84 | 0, i87 | 0);
    set8(i93 + (i82 * 20 | 0) >> 0 | 0, 30 | 0);
    set8(i93 + (i82 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i93 + (i82 * 20 | 0) + 4 | 0, i47 | 0);
    set32(i93 + (i82 * 20 | 0) + 8 | 0, i46 | 0);
    set32(i93 + (i82 * 20 | 0) + 12 | 0, i90 | 0);
    set32(i93 + (i82 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i93 + (i82 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i94 = i91;
    i95 = i87;
   }
   if ((i94 | 0) <= (i95 | 0)) {
    i87 = i12 + 4 | 0;
    i79 = _sqlite3DbRealloc(get32(i12 | 0) | 0, get32(i87 | 0) | 0, (i94 | 0) == 0 ? 1020 : i94 * 40 | 0) | 0;
    if (i79) {
     i85 = get32(i12 | 0) | 0;
     if (((i85 | 0) != 0 ? (get32(i85 + 260 | 0) | 0) >>> 0 <= i79 >>> 0 : 0) ? (get32(i85 + 264 | 0) | 0) >>> 0 > i79 >>> 0 : 0) i97 = getU16(i85 + 232 | 0) | 0; else i97 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i79) | 0;
     set32(i89 | 0, (i97 >>> 0) / 20 | 0 | 0);
     set32(i87 | 0, i79 | 0);
     i98 = get32(i84 | 0) | 0;
     i99 = i79;
     i28 = 194;
    }
   } else {
    i98 = i95;
    i99 = get32(i12 + 4 | 0) | 0;
    i28 = 194;
   }
   if ((i28 | 0) == 194) {
    set32(i84 | 0, i98 + 1 | 0);
    set8(i99 + (i95 * 20 | 0) >> 0 | 0, 70 | 0);
    set8(i99 + (i95 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i99 + (i95 * 20 | 0) + 4 | 0, i16 | 0);
    set32(i99 + (i95 * 20 | 0) + 8 | 0, i90 | 0);
    set32(i99 + (i95 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i99 + (i95 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i99 + (i95 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   }
   if ((i90 | 0) != 0 ? (i79 = get8(i88 >> 0 | 0) | 0, (i79 & 255) < 8) : 0) {
    do if ((get32(i1 + 112 | 0) | 0) != (i90 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i90 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i90 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i90 | 0)) if ((get32(i1 + 208 | 0) | 0) != (i90 | 0)) if ((get32(i1 + 232 | 0) | 0) != (i90 | 0)) if ((get32(i1 + 256 | 0) | 0) == (i90 | 0)) i100 = i1 + 240 | 0; else {
     if ((get32(i1 + 280 | 0) | 0) == (i90 | 0)) {
      i100 = i1 + 264 | 0;
      break;
     }
     if ((get32(i1 + 304 | 0) | 0) == (i90 | 0)) {
      i100 = i1 + 288 | 0;
      break;
     }
     if ((get32(i1 + 328 | 0) | 0) == (i90 | 0)) {
      i100 = i1 + 312 | 0;
      break;
     }
     set8(i88 >> 0 | 0, i79 + 1 << 24 >> 24 | 0);
     set32(i1 + 24 + ((i79 & 255) << 2) | 0, i90 | 0);
     i28 = 427;
     break L239;
    } else i100 = i1 + 216 | 0; else i100 = i1 + 192 | 0; else i100 = i1 + 168 | 0; else i100 = i1 + 144 | 0; else i100 = i1 + 120 | 0; else i100 = i1 + 96 | 0; while (0);
    set8(i100 + 8 >> 0 | 0, 1 | 0);
    i28 = 427;
   } else i28 = 427;
   break;
  }
 case 2:
  {
   i79 = i12 + 28 | 0;
   i88 = get32(i79 | 0) | 0;
   i84 = i12 + 32 | 0;
   i89 = get32(i84 | 0) | 0;
   if ((i89 | 0) > (i88 | 0)) {
    i101 = i88;
    i102 = get32(i12 + 4 | 0) | 0;
   } else {
    i82 = i12 + 4 | 0;
    i87 = _sqlite3DbRealloc(get32(i12 | 0) | 0, get32(i82 | 0) | 0, (i89 | 0) == 0 ? 1020 : i89 * 40 | 0) | 0;
    if (!i87) {
     i28 = 427;
     break L239;
    }
    i89 = get32(i12 | 0) | 0;
    if (((i89 | 0) != 0 ? (get32(i89 + 260 | 0) | 0) >>> 0 <= i87 >>> 0 : 0) ? (get32(i89 + 264 | 0) | 0) >>> 0 > i87 >>> 0 : 0) i103 = getU16(i89 + 232 | 0) | 0; else i103 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i87) | 0;
    set32(i84 | 0, (i103 >>> 0) / 20 | 0 | 0);
    set32(i82 | 0, i87 | 0);
    i101 = get32(i79 | 0) | 0;
    i102 = i87;
   }
   set32(i79 | 0, i101 + 1 | 0);
   set8(i102 + (i88 * 20 | 0) >> 0 | 0, 71 | 0);
   set8(i102 + (i88 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i102 + (i88 * 20 | 0) + 4 | 0, i16 | 0);
   set32(i102 + (i88 * 20 | 0) + 8 | 0, i47 | 0);
   set32(i102 + (i88 * 20 | 0) + 12 | 0, i46 | 0);
   set32(i102 + (i88 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i102 + (i88 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i28 = 427;
   break;
  }
 case 9:
 case 8:
  {
   i88 = i1 + 21 | 0;
   i79 = get8(i88 >> 0 | 0) | 0;
   if (!(i79 << 24 >> 24)) {
    i87 = i1 + 72 | 0;
    i82 = (get32(i87 | 0) | 0) + 1 | 0;
    set32(i87 | 0, i82 | 0);
    i104 = i82;
   } else {
    i82 = i79 + -1 << 24 >> 24;
    set8(i88 >> 0 | 0, i82 | 0);
    i104 = get32(i1 + 24 + ((i82 & 255) << 2) | 0) | 0;
   }
   i82 = i12 + 28 | 0;
   i79 = get32(i82 | 0) | 0;
   i87 = i12 + 32 | 0;
   i84 = get32(i87 | 0) | 0;
   if ((i84 | 0) <= (i79 | 0)) {
    i89 = i12 + 4 | 0;
    i85 = _sqlite3DbRealloc(get32(i12 | 0) | 0, get32(i89 | 0) | 0, (i84 | 0) == 0 ? 1020 : i84 * 40 | 0) | 0;
    if (i85) {
     i84 = get32(i12 | 0) | 0;
     if (((i84 | 0) != 0 ? (get32(i84 + 260 | 0) | 0) >>> 0 <= i85 >>> 0 : 0) ? (get32(i84 + 264 | 0) | 0) >>> 0 > i85 >>> 0 : 0) i105 = getU16(i84 + 232 | 0) | 0; else i105 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i85) | 0;
     set32(i87 | 0, (i105 >>> 0) / 20 | 0 | 0);
     set32(i89 | 0, i85 | 0);
     i106 = get32(i82 | 0) | 0;
     i107 = i85;
     i28 = 231;
    }
   } else {
    i106 = i79;
    i107 = get32(i12 + 4 | 0) | 0;
    i28 = 231;
   }
   if ((i28 | 0) == 231) {
    set32(i82 | 0, i106 + 1 | 0);
    set8(i107 + (i79 * 20 | 0) >> 0 | 0, 30 | 0);
    set8(i107 + (i79 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i107 + (i79 * 20 | 0) + 4 | 0, i47 | 0);
    set32(i107 + (i79 * 20 | 0) + 8 | 0, i46 | 0);
    set32(i107 + (i79 * 20 | 0) + 12 | 0, i104 | 0);
    set32(i107 + (i79 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i107 + (i79 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   }
   L321 : do if (!i18) {
    i79 = get8(i88 >> 0 | 0) | 0;
    if (!(i79 << 24 >> 24)) {
     i85 = i1 + 72 | 0;
     i89 = (get32(i85 | 0) | 0) + 1 | 0;
     set32(i85 | 0, i89 | 0);
     i108 = i89;
    } else {
     i89 = i79 + -1 << 24 >> 24;
     set8(i88 >> 0 | 0, i89 | 0);
     i108 = get32(i1 + 24 + ((i89 & 255) << 2) | 0) | 0;
    }
    i89 = get32(i82 | 0) | 0;
    i79 = get32(i87 | 0) | 0;
    do if ((i79 | 0) > (i89 | 0)) {
     i109 = i79;
     i110 = i89;
     i111 = get32(i12 + 4 | 0) | 0;
     i28 = 247;
    } else {
     i85 = i12 + 4 | 0;
     i84 = _sqlite3DbRealloc(get32(i12 | 0) | 0, get32(i85 | 0) | 0, (i79 | 0) == 0 ? 1020 : i79 * 40 | 0) | 0;
     if (!i84) {
      i112 = get32(i87 | 0) | 0;
      i113 = get32(i82 | 0) | 0;
      break;
     }
     i11 = get32(i12 | 0) | 0;
     if (((i11 | 0) != 0 ? (get32(i11 + 260 | 0) | 0) >>> 0 <= i84 >>> 0 : 0) ? (get32(i11 + 264 | 0) | 0) >>> 0 > i84 >>> 0 : 0) i114 = getU16(i11 + 232 | 0) | 0; else i114 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i84) | 0;
     i11 = (i114 >>> 0) / 20 | 0;
     set32(i87 | 0, i11 | 0);
     set32(i85 | 0, i84 | 0);
     i109 = i11;
     i110 = get32(i82 | 0) | 0;
     i111 = i84;
     i28 = 247;
    } while (0);
    if ((i28 | 0) == 247) {
     i79 = i110 + 1 | 0;
     set32(i82 | 0, i79 | 0);
     set8(i111 + (i89 * 20 | 0) >> 0 | 0, 54 | 0);
     set8(i111 + (i89 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i111 + (i89 * 20 | 0) + 4 | 0, i16 | 0);
     set32(i111 + (i89 * 20 | 0) + 8 | 0, i108 | 0);
     set32(i111 + (i89 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i111 + (i89 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i111 + (i89 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i112 = i109;
     i113 = i79;
    }
    if ((i112 | 0) <= (i113 | 0)) {
     i79 = i12 + 4 | 0;
     i84 = _sqlite3DbRealloc(get32(i12 | 0) | 0, get32(i79 | 0) | 0, (i112 | 0) == 0 ? 1020 : i112 * 40 | 0) | 0;
     if (!i84) i115 = i79; else {
      i11 = get32(i12 | 0) | 0;
      if (((i11 | 0) != 0 ? (get32(i11 + 260 | 0) | 0) >>> 0 <= i84 >>> 0 : 0) ? (get32(i11 + 264 | 0) | 0) >>> 0 > i84 >>> 0 : 0) i116 = getU16(i11 + 232 | 0) | 0; else i116 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i84) | 0;
      set32(i87 | 0, (i116 >>> 0) / 20 | 0 | 0);
      set32(i79 | 0, i84 | 0);
      i117 = i79;
      i118 = get32(i82 | 0) | 0;
      i119 = i84;
      i28 = 257;
     }
    } else {
     i84 = i12 + 4 | 0;
     i117 = i84;
     i118 = i113;
     i119 = get32(i84 | 0) | 0;
     i28 = 257;
    }
    if ((i28 | 0) == 257) {
     set32(i82 | 0, i118 + 1 | 0);
     set8(i119 + (i113 * 20 | 0) >> 0 | 0, 55 | 0);
     set8(i119 + (i113 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i119 + (i113 * 20 | 0) + 4 | 0, i16 | 0);
     set32(i119 + (i113 * 20 | 0) + 8 | 0, i104 | 0);
     set32(i119 + (i113 * 20 | 0) + 12 | 0, i108 | 0);
     set32(i119 + (i113 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i119 + (i113 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i115 = i117;
    }
    i84 = get32(i115 | 0) | 0;
    if (i84) set8(i84 + (((get32(i82 | 0) | 0) + -1 | 0) * 20 | 0) + 3 >> 0 | 0, 8 | 0);
    if ((i108 | 0) != 0 ? (i84 = get8(i88 >> 0 | 0) | 0, (i84 & 255) < 8) : 0) {
     do if ((get32(i1 + 112 | 0) | 0) != (i108 | 0)) if ((get32(i1 + 136 | 0) | 0) == (i108 | 0)) i120 = i1 + 120 | 0; else {
      if ((get32(i1 + 160 | 0) | 0) == (i108 | 0)) {
       i120 = i1 + 144 | 0;
       break;
      }
      if ((get32(i1 + 184 | 0) | 0) == (i108 | 0)) {
       i120 = i1 + 168 | 0;
       break;
      }
      if ((get32(i1 + 208 | 0) | 0) == (i108 | 0)) {
       i120 = i1 + 192 | 0;
       break;
      }
      if ((get32(i1 + 232 | 0) | 0) == (i108 | 0)) {
       i120 = i1 + 216 | 0;
       break;
      }
      if ((get32(i1 + 256 | 0) | 0) == (i108 | 0)) {
       i120 = i1 + 240 | 0;
       break;
      }
      if ((get32(i1 + 280 | 0) | 0) == (i108 | 0)) {
       i120 = i1 + 264 | 0;
       break;
      }
      if ((get32(i1 + 304 | 0) | 0) == (i108 | 0)) {
       i120 = i1 + 288 | 0;
       break;
      }
      if ((get32(i1 + 328 | 0) | 0) == (i108 | 0)) {
       i120 = i1 + 312 | 0;
       break;
      }
      set8(i88 >> 0 | 0, i84 + 1 << 24 >> 24 | 0);
      set32(i1 + 24 + ((i84 & 255) << 2) | 0, i108 | 0);
      break L321;
     } else i120 = i1 + 96 | 0; while (0);
     set8(i120 + 8 >> 0 | 0, 1 | 0);
    }
   } else _pushOntoSorter(i1, i6, i2, i104); while (0);
   if ((i104 | 0) != 0 ? (i82 = get8(i88 >> 0 | 0) | 0, (i82 & 255) < 8) : 0) {
    do if ((get32(i1 + 112 | 0) | 0) != (i104 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i104 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i104 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i104 | 0)) if ((get32(i1 + 208 | 0) | 0) != (i104 | 0)) if ((get32(i1 + 232 | 0) | 0) != (i104 | 0)) if ((get32(i1 + 256 | 0) | 0) == (i104 | 0)) i121 = i1 + 240 | 0; else {
     if ((get32(i1 + 280 | 0) | 0) == (i104 | 0)) {
      i121 = i1 + 264 | 0;
      break;
     }
     if ((get32(i1 + 304 | 0) | 0) == (i104 | 0)) {
      i121 = i1 + 288 | 0;
      break;
     }
     if ((get32(i1 + 328 | 0) | 0) == (i104 | 0)) {
      i121 = i1 + 312 | 0;
      break;
     }
     set8(i88 >> 0 | 0, i82 + 1 << 24 >> 24 | 0);
     set32(i1 + 24 + ((i82 & 255) << 2) | 0, i104 | 0);
     i28 = 427;
     break L239;
    } else i121 = i1 + 216 | 0; else i121 = i1 + 192 | 0; else i121 = i1 + 168 | 0; else i121 = i1 + 144 | 0; else i121 = i1 + 120 | 0; else i121 = i1 + 96 | 0; while (0);
    set8(i121 + 8 >> 0 | 0, 1 | 0);
    i28 = 427;
   } else i28 = 427;
   break;
  }
 case 7:
  {
   i82 = get8(i8 + 1 >> 0 | 0) | 0;
   i88 = i3;
   L391 : while (1) {
    i87 = get32(get32(i88 + 12 | 0) | 0) | 0;
    switch (get8(i87 >> 0 | 0) | 0) {
    case 37:
     {
      i122 = i87;
      i28 = 291;
      break L391;
      break;
     }
    case -124:
    case -104:
    case -102:
     {
      i123 = i87;
      i28 = 302;
      break L391;
      break;
     }
    case 116:
     break;
    default:
     {
      i124 = i87;
      i28 = 305;
      break L391;
     }
    }
    i88 = get32(get32(i87 + 16 | 0) | 0) | 0;
   }
   L394 : do if ((i28 | 0) == 291) {
    i88 = get32(i122 + 4 | 0) | 0;
    if ((i88 | 0) != 0 ? (i87 = get8(i88 >> 0 | 0) | 0, i87 << 24 >> 24 != 0) : 0) {
     i84 = i88;
     i88 = i87;
     i87 = 99;
     i89 = 0;
     while (1) {
      i79 = getU8(16286 + (i88 & 255) >> 0 | 0) | i89 << 8;
      i84 = i84 + 1 | 0;
      L399 : do if ((i79 | 0) < 1685026146) {
       if ((i79 | 0) < 1667785074) {
        switch (i79 | 0) {
        case 1651273570:
         break;
        default:
         {
          i28 = 300;
          break L399;
         }
        }
        switch (i87 << 24 >> 24) {
        case 101:
        case 99:
         {
          i125 = 98;
          i126 = 1651273570;
          break L399;
          break;
         }
        default:
         {
          i28 = 299;
          break L399;
         }
        }
       }
       if ((i79 | 0) < 1668050786) switch (i79 | 0) {
       case 1667785074:
        {
         i125 = 97;
         i126 = i79;
         break L399;
         break;
        }
       default:
        {
         i28 = 300;
         break L399;
        }
       } else switch (i79 | 0) {
       case 1668050786:
        {
         i125 = 97;
         i126 = i79;
         break L399;
         break;
        }
       default:
        {
         i28 = 300;
         break L399;
        }
       }
      } else {
       if ((i79 | 0) >= 1919246700) {
        if ((i79 | 0) >= 1952807028) switch (i79 | 0) {
        case 1952807028:
         {
          i125 = 97;
          i126 = i79;
          break L399;
          break;
         }
        default:
         {
          i28 = 300;
          break L399;
         }
        }
        switch (i79 | 0) {
        case 1919246700:
         break;
        default:
         {
          i28 = 300;
          break L399;
         }
        }
        if (i87 << 24 >> 24 == 99) {
         i125 = 101;
         i126 = 1919246700;
         break;
        } else {
         i28 = 299;
         break;
        }
       }
       if ((i79 | 0) < 1718382433) {
        switch (i79 | 0) {
        case 1685026146:
         break;
        default:
         {
          i28 = 300;
          break L399;
         }
        }
        if (i87 << 24 >> 24 == 99) {
         i125 = 101;
         i126 = 1685026146;
         break;
        }
       } else {
        switch (i79 | 0) {
        case 1718382433:
         break;
        default:
         {
          i28 = 300;
          break L399;
         }
        }
        if (i87 << 24 >> 24 == 99) {
         i125 = 101;
         i126 = 1718382433;
         break;
        }
       }
       i125 = i87;
       i126 = i79;
      } while (0);
      if ((i28 | 0) == 299) {
       i28 = 0;
       i125 = i87;
       i126 = i79;
      } else if ((i28 | 0) == 300) {
       i28 = 0;
       if ((i79 & 16777215 | 0) == 6909556) {
        i127 = 100;
        break L394;
       } else {
        i125 = i87;
        i126 = i79;
       }
      }
      i88 = get8(i84 >> 0 | 0) | 0;
      if (!(i88 << 24 >> 24)) {
       i127 = i125;
       break;
      } else {
       i87 = i125;
       i89 = i126;
      }
     }
    } else i127 = 99;
   } else if ((i28 | 0) == 302) {
    i89 = get32(i123 + 40 | 0) | 0;
    if (i89) {
     i87 = get16(i123 + 28 | 0) | 0;
     if (i87 << 16 >> 16 < 0) i127 = 100; else i127 = get8((get32(i89 + 12 | 0) | 0) + ((i87 << 16 >> 16) * 24 | 0) + 22 >> 0 | 0) | 0;
    } else {
     i124 = i123;
     i28 = 305;
    }
   } while (0);
   if ((i28 | 0) == 305) i127 = get8(i124 + 1 >> 0 | 0) | 0;
   i87 = i127 & 255;
   if (i82 << 24 >> 24 == 0 | i127 << 24 >> 24 == 0) if (!((i127 | i82) << 24 >> 24)) i128 = 98; else i128 = i87 + (i82 & 255) & 255; else i128 = i82 << 24 >> 24 > 98 | i127 << 24 >> 24 > 98 ? 99 : 98;
   i87 = i2 + 5 | 0;
   set8(i87 >> 0 | 0, i128 | 0);
   if (i18) {
    _pushOntoSorter(i1, i6, i2, i47);
    return;
   }
   i89 = i1 + 21 | 0;
   i88 = get8(i89 >> 0 | 0) | 0;
   if (!(i88 << 24 >> 24)) {
    i84 = i1 + 72 | 0;
    i11 = (get32(i84 | 0) | 0) + 1 | 0;
    set32(i84 | 0, i11 | 0);
    i129 = i11;
   } else {
    i11 = i88 + -1 << 24 >> 24;
    set8(i89 >> 0 | 0, i11 | 0);
    i129 = get32(i1 + 24 + ((i11 & 255) << 2) | 0) | 0;
   }
   i11 = i12 + 28 | 0;
   i88 = get32(i11 | 0) | 0;
   i84 = i12 + 32 | 0;
   i85 = get32(i84 | 0) | 0;
   if ((i85 | 0) <= (i88 | 0)) {
    i86 = i12 + 4 | 0;
    i9 = _sqlite3DbRealloc(get32(i12 | 0) | 0, get32(i86 | 0) | 0, (i85 | 0) == 0 ? 1020 : i85 * 40 | 0) | 0;
    if (!i9) i130 = 1; else {
     i85 = get32(i12 | 0) | 0;
     if (((i85 | 0) != 0 ? (get32(i85 + 260 | 0) | 0) >>> 0 <= i9 >>> 0 : 0) ? (get32(i85 + 264 | 0) | 0) >>> 0 > i9 >>> 0 : 0) i131 = getU16(i85 + 232 | 0) | 0; else i131 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i9) | 0;
     set32(i84 | 0, (i131 >>> 0) / 20 | 0 | 0);
     set32(i86 | 0, i9 | 0);
     i132 = get32(i11 | 0) | 0;
     i133 = i9;
     i28 = 324;
    }
   } else {
    i132 = i88;
    i133 = get32(i12 + 4 | 0) | 0;
    i28 = 324;
   }
   if ((i28 | 0) == 324) {
    set32(i11 | 0, i132 + 1 | 0);
    set8(i133 + (i88 * 20 | 0) >> 0 | 0, 30 | 0);
    set8(i133 + (i88 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i133 + (i88 * 20 | 0) + 4 | 0, i47 | 0);
    set32(i133 + (i88 * 20 | 0) + 8 | 0, 1 | 0);
    set32(i133 + (i88 * 20 | 0) + 12 | 0, i129 | 0);
    set32(i133 + (i88 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i133 + (i88 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i130 = i88;
   }
   _sqlite3VdbeChangeP4(i12, i130, i87, 1);
   i87 = i1 + 96 | 0;
   i88 = 0;
   i9 = i87;
   while (1) {
    i86 = i9 + 16 | 0;
    if ((get32(i86 | 0) | 0) == (i47 | 0)) {
     i85 = i9 + 8 | 0;
     if (get8(i85 >> 0 | 0) | 0) {
      i71 = get8(i89 >> 0 | 0) | 0;
      if ((i71 & 255) < 8) {
       set8(i89 >> 0 | 0, i71 + 1 << 24 >> 24 | 0);
       set32(i1 + 24 + ((i71 & 255) << 2) | 0, i47 | 0);
      }
      set8(i85 >> 0 | 0, 0 | 0);
     }
     set32(i86 | 0, 0 | 0);
    }
    i88 = i88 + 1 | 0;
    if ((i88 | 0) == 10) break; else i9 = i9 + 24 | 0;
   }
   i9 = get32(i11 | 0) | 0;
   i88 = get32(i84 | 0) | 0;
   if ((i88 | 0) <= (i9 | 0)) {
    i82 = i12 + 4 | 0;
    i86 = _sqlite3DbRealloc(get32(i12 | 0) | 0, get32(i82 | 0) | 0, (i88 | 0) == 0 ? 1020 : i88 * 40 | 0) | 0;
    if (i86) {
     i88 = get32(i12 | 0) | 0;
     if (((i88 | 0) != 0 ? (get32(i88 + 260 | 0) | 0) >>> 0 <= i86 >>> 0 : 0) ? (get32(i88 + 264 | 0) | 0) >>> 0 > i86 >>> 0 : 0) i134 = getU16(i88 + 232 | 0) | 0; else i134 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i86) | 0;
     set32(i84 | 0, (i134 >>> 0) / 20 | 0 | 0);
     set32(i82 | 0, i86 | 0);
     i135 = get32(i11 | 0) | 0;
     i136 = i86;
     i28 = 342;
    }
   } else {
    i135 = i9;
    i136 = get32(i12 + 4 | 0) | 0;
    i28 = 342;
   }
   if ((i28 | 0) == 342) {
    set32(i11 | 0, i135 + 1 | 0);
    set8(i136 + (i9 * 20 | 0) >> 0 | 0, 70 | 0);
    set8(i136 + (i9 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i136 + (i9 * 20 | 0) + 4 | 0, i16 | 0);
    set32(i136 + (i9 * 20 | 0) + 8 | 0, i129 | 0);
    set32(i136 + (i9 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i136 + (i9 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i136 + (i9 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   }
   if ((i129 | 0) != 0 ? (i9 = get8(i89 >> 0 | 0) | 0, (i9 & 255) < 8) : 0) {
    do if ((get32(i1 + 112 | 0) | 0) != (i129 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i129 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i129 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i129 | 0)) if ((get32(i1 + 208 | 0) | 0) == (i129 | 0)) i137 = i1 + 192 | 0; else {
     if ((get32(i1 + 232 | 0) | 0) == (i129 | 0)) {
      i137 = i1 + 216 | 0;
      break;
     }
     if ((get32(i1 + 256 | 0) | 0) == (i129 | 0)) {
      i137 = i1 + 240 | 0;
      break;
     }
     if ((get32(i1 + 280 | 0) | 0) == (i129 | 0)) {
      i137 = i1 + 264 | 0;
      break;
     }
     if ((get32(i1 + 304 | 0) | 0) == (i129 | 0)) {
      i137 = i1 + 288 | 0;
      break;
     }
     if ((get32(i1 + 328 | 0) | 0) == (i129 | 0)) {
      i137 = i1 + 312 | 0;
      break;
     }
     set8(i89 >> 0 | 0, i9 + 1 << 24 >> 24 | 0);
     set32(i1 + 24 + ((i9 & 255) << 2) | 0, i129 | 0);
     i28 = 427;
     break L239;
    } else i137 = i1 + 168 | 0; else i137 = i1 + 144 | 0; else i137 = i1 + 120 | 0; else i137 = i87; while (0);
    set8(i137 + 8 >> 0 | 0, 1 | 0);
    i28 = 427;
   } else i28 = 427;
   break;
  }
 case 3:
  {
   i87 = i12 + 28 | 0;
   i9 = get32(i87 | 0) | 0;
   i89 = i12 + 32 | 0;
   i11 = get32(i89 | 0) | 0;
   if ((i11 | 0) > (i9 | 0)) {
    i138 = i9;
    i139 = get32(i12 + 4 | 0) | 0;
   } else {
    i84 = i12 + 4 | 0;
    i86 = _sqlite3DbRealloc(get32(i12 | 0) | 0, get32(i84 | 0) | 0, (i11 | 0) == 0 ? 1020 : i11 * 40 | 0) | 0;
    if (!i86) {
     i28 = 427;
     break L239;
    }
    i11 = get32(i12 | 0) | 0;
    if (((i11 | 0) != 0 ? (get32(i11 + 260 | 0) | 0) >>> 0 <= i86 >>> 0 : 0) ? (get32(i11 + 264 | 0) | 0) >>> 0 > i86 >>> 0 : 0) i140 = getU16(i11 + 232 | 0) | 0; else i140 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i86) | 0;
    set32(i89 | 0, (i140 >>> 0) / 20 | 0 | 0);
    set32(i84 | 0, i86 | 0);
    i138 = get32(i87 | 0) | 0;
    i139 = i86;
   }
   set32(i87 | 0, i138 + 1 | 0);
   set8(i139 + (i9 * 20 | 0) >> 0 | 0, 7 | 0);
   set8(i139 + (i9 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i139 + (i9 * 20 | 0) + 4 | 0, 1 | 0);
   set32(i139 + (i9 * 20 | 0) + 8 | 0, i16 | 0);
   set32(i139 + (i9 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i139 + (i9 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i139 + (i9 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i28 = 427;
   break;
  }
 case 6:
  {
   if (!i18) {
    _sqlite3ExprCodeMove(i1, i47, i16, 1);
    break L239;
   }
   _pushOntoSorter(i1, i6, i2, i47);
   return;
  }
 case 5:
 case 10:
  {
   if (!i18) {
    if (i13 << 24 >> 24 == 10) {
     i9 = get32(i15 | 0) | 0;
     i87 = i12 + 28 | 0;
     i86 = get32(i87 | 0) | 0;
     i84 = i12 + 32 | 0;
     i89 = get32(i84 | 0) | 0;
     if ((i89 | 0) > (i86 | 0)) {
      i141 = i86;
      i142 = get32(i12 + 4 | 0) | 0;
     } else {
      i11 = i12 + 4 | 0;
      i82 = _sqlite3DbRealloc(get32(i12 | 0) | 0, get32(i11 | 0) | 0, (i89 | 0) == 0 ? 1020 : i89 * 40 | 0) | 0;
      if (!i82) break L239;
      i89 = get32(i12 | 0) | 0;
      if (((i89 | 0) != 0 ? (get32(i89 + 260 | 0) | 0) >>> 0 <= i82 >>> 0 : 0) ? (get32(i89 + 264 | 0) | 0) >>> 0 > i82 >>> 0 : 0) i143 = getU16(i89 + 232 | 0) | 0; else i143 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i82) | 0;
      set32(i84 | 0, (i143 >>> 0) / 20 | 0 | 0);
      set32(i11 | 0, i82 | 0);
      i141 = get32(i87 | 0) | 0;
      i142 = i82;
     }
     set32(i87 | 0, i141 + 1 | 0);
     set8(i142 + (i86 * 20 | 0) >> 0 | 0, 4 | 0);
     set8(i142 + (i86 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i142 + (i86 * 20 | 0) + 4 | 0, i9 | 0);
     set32(i142 + (i86 * 20 | 0) + 8 | 0, 0 | 0);
     set32(i142 + (i86 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i142 + (i86 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i142 + (i86 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     break L239;
    }
    i86 = i12 + 28 | 0;
    i9 = get32(i86 | 0) | 0;
    i87 = i12 + 32 | 0;
    i82 = get32(i87 | 0) | 0;
    if ((i82 | 0) <= (i9 | 0)) {
     i11 = i12 + 4 | 0;
     i84 = _sqlite3DbRealloc(get32(i12 | 0) | 0, get32(i11 | 0) | 0, (i82 | 0) == 0 ? 1020 : i82 * 40 | 0) | 0;
     if (i84) {
      i82 = get32(i12 | 0) | 0;
      if (((i82 | 0) != 0 ? (get32(i82 + 260 | 0) | 0) >>> 0 <= i84 >>> 0 : 0) ? (get32(i82 + 264 | 0) | 0) >>> 0 > i84 >>> 0 : 0) i144 = getU16(i82 + 232 | 0) | 0; else i144 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i84) | 0;
      set32(i87 | 0, (i144 >>> 0) / 20 | 0 | 0);
      set32(i11 | 0, i84 | 0);
      i145 = get32(i86 | 0) | 0;
      i146 = i84;
      i28 = 418;
     }
    } else {
     i145 = i9;
     i146 = get32(i12 + 4 | 0) | 0;
     i28 = 418;
    }
    if ((i28 | 0) == 418) {
     set32(i86 | 0, i145 + 1 | 0);
     set8(i146 + (i9 * 20 | 0) >> 0 | 0, 16 | 0);
     set8(i146 + (i9 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i146 + (i9 * 20 | 0) + 4 | 0, i47 | 0);
     set32(i146 + (i9 * 20 | 0) + 8 | 0, i46 | 0);
     set32(i146 + (i9 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i146 + (i9 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i146 + (i9 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    }
    i9 = i46 + -1 + i47 | 0;
    i86 = i1 + 21 | 0;
    i84 = 0;
    i11 = i1 + 96 | 0;
    while (1) {
     i87 = i11 + 16 | 0;
     i82 = get32(i87 | 0) | 0;
     if (!((i82 | 0) < (i47 | 0) | (i82 | 0) > (i9 | 0))) {
      i89 = i11 + 8 | 0;
      if (get8(i89 >> 0 | 0) | 0) {
       i88 = get8(i86 >> 0 | 0) | 0;
       if ((i88 & 255) < 8) {
        set8(i86 >> 0 | 0, i88 + 1 << 24 >> 24 | 0);
        set32(i1 + 24 + ((i88 & 255) << 2) | 0, i82 | 0);
       }
       set8(i89 >> 0 | 0, 0 | 0);
      }
      set32(i87 | 0, 0 | 0);
     }
     i84 = i84 + 1 | 0;
     if ((i84 | 0) == 10) {
      i28 = 427;
      break L239;
     } else i11 = i11 + 24 | 0;
    }
   }
   i11 = i1 + 21 | 0;
   i84 = get8(i11 >> 0 | 0) | 0;
   if (!(i84 << 24 >> 24)) {
    i86 = i1 + 72 | 0;
    i9 = (get32(i86 | 0) | 0) + 1 | 0;
    set32(i86 | 0, i9 | 0);
    i147 = i9;
   } else {
    i9 = i84 + -1 << 24 >> 24;
    set8(i11 >> 0 | 0, i9 | 0);
    i147 = get32(i1 + 24 + ((i9 & 255) << 2) | 0) | 0;
   }
   i9 = i12 + 28 | 0;
   i84 = get32(i9 | 0) | 0;
   i86 = i12 + 32 | 0;
   i87 = get32(i86 | 0) | 0;
   if ((i87 | 0) <= (i84 | 0)) {
    i89 = i12 + 4 | 0;
    i82 = _sqlite3DbRealloc(get32(i12 | 0) | 0, get32(i89 | 0) | 0, (i87 | 0) == 0 ? 1020 : i87 * 40 | 0) | 0;
    if (i82) {
     i87 = get32(i12 | 0) | 0;
     if (((i87 | 0) != 0 ? (get32(i87 + 260 | 0) | 0) >>> 0 <= i82 >>> 0 : 0) ? (get32(i87 + 264 | 0) | 0) >>> 0 > i82 >>> 0 : 0) i148 = getU16(i87 + 232 | 0) | 0; else i148 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i82) | 0;
     set32(i86 | 0, (i148 >>> 0) / 20 | 0 | 0);
     set32(i89 | 0, i82 | 0);
     i149 = get32(i9 | 0) | 0;
     i150 = i82;
     i28 = 383;
    }
   } else {
    i149 = i84;
    i150 = get32(i12 + 4 | 0) | 0;
    i28 = 383;
   }
   if ((i28 | 0) == 383) {
    set32(i9 | 0, i149 + 1 | 0);
    set8(i150 + (i84 * 20 | 0) >> 0 | 0, 30 | 0);
    set8(i150 + (i84 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i150 + (i84 * 20 | 0) + 4 | 0, i47 | 0);
    set32(i150 + (i84 * 20 | 0) + 8 | 0, i46 | 0);
    set32(i150 + (i84 * 20 | 0) + 12 | 0, i147 | 0);
    set32(i150 + (i84 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i150 + (i84 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   }
   _pushOntoSorter(i1, i6, i2, i147);
   if (!i147) return;
   i84 = get8(i11 >> 0 | 0) | 0;
   if ((i84 & 255) >= 8) return;
   do if ((get32(i1 + 112 | 0) | 0) != (i147 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i147 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i147 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i147 | 0)) if ((get32(i1 + 208 | 0) | 0) != (i147 | 0)) if ((get32(i1 + 232 | 0) | 0) != (i147 | 0)) if ((get32(i1 + 256 | 0) | 0) == (i147 | 0)) i151 = i1 + 240 | 0; else {
    if ((get32(i1 + 280 | 0) | 0) == (i147 | 0)) {
     i151 = i1 + 264 | 0;
     break;
    }
    if ((get32(i1 + 304 | 0) | 0) == (i147 | 0)) {
     i151 = i1 + 288 | 0;
     break;
    }
    if ((get32(i1 + 328 | 0) | 0) == (i147 | 0)) {
     i151 = i1 + 312 | 0;
     break;
    }
    set8(i11 >> 0 | 0, i84 + 1 << 24 >> 24 | 0);
    set32(i1 + 24 + ((i84 & 255) << 2) | 0, i147 | 0);
    return;
   } else i151 = i1 + 216 | 0; else i151 = i1 + 192 | 0; else i151 = i1 + 168 | 0; else i151 = i1 + 144 | 0; else i151 = i1 + 120 | 0; else i151 = i1 + 96 | 0; while (0);
   set8(i151 + 8 >> 0 | 0, 1 | 0);
   return;
  }
 default:
  i28 = 427;
 } while (0);
 if ((i28 | 0) == 427 ? (i6 | 0) != 0 : 0) return;
 i6 = get32(i2 + 48 | 0) | 0;
 if (!i6) return;
 i2 = i12 + 28 | 0;
 i28 = get32(i2 | 0) | 0;
 i151 = i12 + 32 | 0;
 i1 = get32(i151 | 0) | 0;
 if ((i1 | 0) > (i28 | 0)) {
  i152 = i28;
  i153 = get32(i12 + 4 | 0) | 0;
 } else {
  i147 = i12 + 4 | 0;
  i150 = _sqlite3DbRealloc(get32(i12 | 0) | 0, get32(i147 | 0) | 0, (i1 | 0) == 0 ? 1020 : i1 * 40 | 0) | 0;
  if (!i150) return;
  i1 = get32(i12 | 0) | 0;
  if (((i1 | 0) != 0 ? (get32(i1 + 260 | 0) | 0) >>> 0 <= i150 >>> 0 : 0) ? (get32(i1 + 264 | 0) | 0) >>> 0 > i150 >>> 0 : 0) i154 = getU16(i1 + 232 | 0) | 0; else i154 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i150) | 0;
  set32(i151 | 0, (i154 >>> 0) / 20 | 0 | 0);
  set32(i147 | 0, i150 | 0);
  i152 = get32(i2 | 0) | 0;
  i153 = i150;
 }
 set32(i2 | 0, i152 + 1 | 0);
 set8(i153 + (i28 * 20 | 0) >> 0 | 0, 115 | 0);
 set8(i153 + (i28 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
 set32(i153 + (i28 * 20 | 0) + 4 | 0, i6 | 0);
 set32(i153 + (i28 * 20 | 0) + 8 | 0, i10 | 0);
 set32(i153 + (i28 * 20 | 0) + 12 | 0, -1 | 0);
 set32(i153 + (i28 * 20 | 0) + 16 | 0, 0 | 0);
 set8(i153 + (i28 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
 return;
}

function _balance(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0, i80 = 0, i81 = 0, i82 = 0, i83 = 0, i84 = 0, i85 = 0, i86 = 0, i87 = 0, i88 = 0, i89 = 0, i90 = 0, i91 = 0, i92 = 0, i93 = 0, i94 = 0, i95 = 0, i96 = 0, i97 = 0, i98 = 0, i99 = 0, i100 = 0, i101 = 0, i102 = 0, i103 = 0, i104 = 0, i105 = 0, i106 = 0, i107 = 0, i108 = 0, i109 = 0, i110 = 0, i111 = 0, i112 = 0, i113 = 0, i114 = 0, i115 = 0, i116 = 0, i117 = 0, i118 = 0, i119 = 0, i120 = 0, i121 = 0, i122 = 0, i123 = 0, i124 = 0, i125 = 0, i126 = 0, i127 = 0, i128 = 0, i129 = 0, i130 = 0, i131 = 0, i132 = 0, i133 = 0, i134 = 0, i135 = 0, i136 = 0, i137 = 0, i138 = 0, i139 = 0, i140 = 0, i141 = 0, i142 = 0, i143 = 0, i144 = 0, i145 = 0, i146 = 0, i147 = 0, i148 = 0, i149 = 0, i150 = 0, i151 = 0, i152 = 0, i153 = 0, i154 = 0, i155 = 0, i156 = 0, i157 = 0, i158 = 0, i159 = 0, i160 = 0, i161 = 0, i162 = 0, i163 = 0, i164 = 0, i165 = 0, i166 = 0, i167 = 0, i168 = 0, i169 = 0, i170 = 0, i171 = 0, i172 = 0, i173 = 0, i174 = 0, i175 = 0, i176 = 0, i177 = 0, i178 = 0, i179 = 0, i180 = 0, i181 = 0, i182 = 0, i183 = 0, i184 = 0, i185 = 0, i186 = 0, i187 = 0, i188 = 0, i189 = 0, i190 = 0, i191 = 0, i192 = 0, i193 = 0, i194 = 0, i195 = 0, i196 = 0, i197 = 0, i198 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 224 | 0;
 i3 = i2 + 96 | 0;
 i4 = i2 + 88 | 0;
 i5 = i2 + 80 | 0;
 i6 = i2 + 72 | 0;
 i7 = i2 + 64 | 0;
 i8 = i2 + 32 | 0;
 i9 = i2 + 204 | 0;
 i10 = i2 + 192 | 0;
 i11 = i2 + 180 | 0;
 i12 = i2 + 160 | 0;
 i13 = i2 + 152 | 0;
 i14 = i2 + 132 | 0;
 i15 = i2 + 112 | 0;
 i16 = i2 + 108 | 0;
 i17 = i2 + 104 | 0;
 i18 = i2;
 i19 = i2 + 208 | 0;
 i20 = i1 + 4 | 0;
 i21 = (get32((get32(i20 | 0) | 0) + 40 | 0) << 1 >>> 0) / 3 | 0;
 i22 = i1 + 90 | 0;
 i23 = i8 + 24 | 0;
 i24 = i19 + 4 | 0;
 i25 = i19;
 i26 = i8 + 24 | 0;
 i27 = i1 + 136 | 0;
 i28 = i1 + 92 | 0;
 i29 = i1 + 94 | 0;
 i30 = get16(i22 | 0) | 0;
 i31 = 0;
 while (1) {
  i32 = i30 << 16 >> 16;
  i33 = get32(i1 + 132 + (i32 << 2) | 0) | 0;
  i34 = i33 + 1 | 0;
  i35 = (get8(i34 >> 0 | 0) | 0) == 0;
  if (!(i30 << 16 >> 16)) {
   if (i35) {
    i36 = i31;
    i37 = 0;
    break;
   }
   set32(i9 | 0, 0 | 0);
   set32(i10 | 0, 0 | 0);
   i38 = i33 + 60 | 0;
   i39 = get32(i38 | 0) | 0;
   i40 = _sqlite3PagerWrite(get32(i33 + 68 | 0) | 0) | 0;
   set32(i8 | 0, i40 | 0);
   do if (!i40) {
    i41 = i33 + 72 | 0;
    i42 = _allocateBtreePage(i39, i9, i10, get32(i41 | 0) | 0, 0) | 0;
    set32(i8 | 0, i42 | 0);
    i43 = get32(i9 | 0) | 0;
    i44 = i43;
    do if (!i42) {
     i45 = get32(i38 | 0) | 0;
     i46 = get32(i33 + 64 | 0) | 0;
     i47 = get32(i43 + 64 | 0) | 0;
     i48 = getU8(i33 + 5 >> 0 | 0) | 0;
     i49 = (get32(i43 + 72 | 0) | 0) == 1 ? 100 : 0;
     i50 = getU8(i46 + (i48 + 5) >> 0 | 0) << 8 | getU8(i46 + (i48 + 6) >> 0 | 0);
     _memcpy(i47 + i50 | 0, i46 + i50 | 0, (get32(i45 + 40 | 0) | 0) - i50 | 0) | 0;
     _memcpy(i47 + i49 | 0, i46 + i48 | 0, (getU16(i33 + 16 | 0) << 1) + (getU16(i33 + 12 | 0) | 0) | 0) | 0;
     set8(i43 >> 0 | 0, 0 | 0);
     i48 = _btreeInitPage(i43) | 0;
     if (i48) {
      set32(i8 | 0, i48 | 0);
      i51 = i48;
      break;
     }
     if (!(get8(i45 + 21 >> 0 | 0) | 0)) i51 = 0; else {
      i45 = _setChildPtrmaps(i43) | 0;
      set32(i8 | 0, i45 | 0);
      i51 = i45;
     }
    } else i51 = i42; while (0);
    if (!(get8(i39 + 21 >> 0 | 0) | 0)) i52 = i51; else {
     _ptrmapPut(i39, get32(i10 | 0) | 0, 5, get32(i41 | 0) | 0, i8);
     i52 = get32(i8 | 0) | 0;
    }
    if (!i52) {
     _memcpy(i43 + 20 | 0, i33 + 20 | 0, getU8(i34 >> 0 | 0) << 3 | 0) | 0;
     set8(i43 + 1 >> 0 | 0, get8(i34 >> 0 | 0) | 0 | 0);
     _zeroPage(i33, getU8(get32(i43 + 64 | 0) >> 0 | 0) & 247);
     i42 = getU8(i33 + 5 >> 0 | 0) | 0;
     i45 = get32(i33 + 64 | 0) | 0;
     i48 = get32(i10 | 0) | 0;
     set8(i45 + (i42 + 8) >> 0 | 0, i48 >>> 24 | 0);
     set8(i45 + (i42 + 9) >> 0 | 0, i48 >>> 16 | 0);
     set8(i45 + (i42 + 10) >> 0 | 0, i48 >>> 8 | 0);
     set8(i45 + (i42 + 11) >> 0 | 0, i48 | 0);
     set32(i27 | 0, i44 | 0);
     i53 = 0;
     break;
    }
    set32(i27 | 0, 0 | 0);
    if (!i43) i53 = i52; else {
     _sqlite3PagerUnref(get32(i43 + 68 | 0) | 0);
     i53 = i52;
    }
   } else {
    set32(i27 | 0, 0 | 0);
    i53 = i40;
   } while (0);
   if (i53) {
    i36 = i31;
    i37 = i53;
    break;
   }
   set16(i22 | 0, 1 | 0);
   set16(i28 | 0, 0 | 0);
   set16(i29 | 0, 0 | 0);
   i40 = get32(i27 | 0) | 0;
   i39 = i40 + 1 | 0;
   if (!(get8(i39 >> 0 | 0) | 0)) {
    i54 = 1;
    i55 = 1;
    i56 = i40;
    i57 = i39;
    i58 = 20;
   } else {
    i59 = 1;
    i60 = 1;
    i61 = i40;
    i62 = i39;
   }
  } else if (i35) {
   i54 = i30;
   i55 = i32;
   i56 = i33;
   i57 = i34;
   i58 = 20;
  } else {
   i59 = i30;
   i60 = i32;
   i61 = i33;
   i62 = i34;
  }
  if ((i58 | 0) == 20) {
   i58 = 0;
   if ((getU16(i56 + 14 | 0) | 0) >>> 0 > i21 >>> 0) {
    i59 = i54;
    i60 = i55;
    i61 = i56;
    i62 = i57;
   } else {
    i36 = i31;
    i37 = 0;
    break;
   }
  }
  i39 = i60 + -1 | 0;
  i40 = get32(i1 + 132 + (i39 << 2) | 0) | 0;
  i38 = get16(i1 + 92 + (i39 << 1) | 0) | 0;
  i39 = i38 & 65535;
  i48 = _sqlite3PagerWrite(get32(i40 + 68 | 0) | 0) | 0;
  do if (!i48) {
   if (((((get8(i61 + 4 >> 0 | 0) | 0) != 0 ? (get8(i62 >> 0 | 0) | 0) == 1 : 0) ? (i42 = get16(i61 + 24 | 0) | 0, i45 = i61 + 16 | 0, i42 << 16 >> 16 == (get16(i45 | 0) | 0)) : 0) ? (i46 = i40 + 72 | 0, (get32(i46 | 0) | 0) != 1) : 0) ? (i49 = i40 + 16 | 0, (get16(i49 | 0) | 0) == i38 << 16 >> 16) : 0) {
    i47 = get32(i61 + 60 | 0) | 0;
    if (!(i42 << 16 >> 16)) {
     set32(i7 | 0, 53147 | 0);
     set32(i7 + 4 | 0, 17203 | 0);
     _sqlite3_log(11, 19615, i7);
     i63 = 11;
    } else {
     i42 = _allocateBtreePage(i47, i9, i11, 0, 0) | 0;
     set32(i10 | 0, i42 | 0);
     if (!i42) {
      i42 = get32(i61 + 20 | 0) | 0;
      i50 = _cellSizePtr(i61, i42) | 0;
      i64 = get32(i9 | 0) | 0;
      i65 = i64 + 64 | 0;
      i66 = get32(i65 | 0) | 0;
      i67 = i64 + 60 | 0;
      i68 = get32(i67 | 0) | 0;
      i69 = i64 + 5 | 0;
      i70 = get8(i69 >> 0 | 0) | 0;
      i71 = i70 & 255;
      i72 = i66 + i71 | 0;
      i73 = i68 + 40 | 0;
      if (get8(i68 + 18 >> 0 | 0) | 0) _memset(i72 | 0, 0, (get32(i73 | 0) | 0) - i71 | 0) | 0;
      set8(i72 >> 0 | 0, 13 | 0);
      i72 = i71 + 8 | 0;
      i74 = i66 + (i71 + 1) | 0;
      set8(i74 >> 0 | 0, 0 | 0);
      set8(i74 + 1 >> 0 | 0, 0 | 0);
      set8(i74 + 2 >> 0 | 0, 0 | 0);
      set8(i74 + 3 >> 0 | 0, 0 | 0);
      set8(i66 + (i71 + 7) >> 0 | 0, 0 | 0);
      i74 = i71 + 5 | 0;
      set8(i66 + i74 >> 0 | 0, (get32(i73 | 0) | 0) >>> 8 | 0);
      i75 = i71 + 6 | 0;
      set8(i66 + i75 >> 0 | 0, get32(i73 | 0) | 0);
      i66 = i64 + 14 | 0;
      set16(i66 | 0, (get32(i73 | 0) | 0) - i72 | 0);
      set8(i64 + 3 >> 0 | 0, 1 | 0);
      set8(i64 + 6 >> 0 | 0, 0 | 0);
      i73 = get32(i67 | 0) | 0;
      set8(i64 + 2 >> 0 | 0, 1 | 0);
      set8(i64 + 4 >> 0 | 0, 1 | 0);
      set16(i64 + 8 | 0, get16(i73 + 30 | 0) | 0 | 0);
      i76 = i64 + 10 | 0;
      set16(i76 | 0, get16(i73 + 32 | 0) | 0 | 0);
      set8(i69 >> 0 | 0, i70 | 0);
      set16(i64 + 12 | 0, i72 | 0);
      set8(i64 + 1 >> 0 | 0, 0 | 0);
      set16(i64 + 18 | 0, (get32(i68 + 36 | 0) | 0) + 65535 | 0);
      i68 = i64 + 16 | 0;
      set16(i68 | 0, 0 | 0);
      set8(i64 >> 0 | 0, 1 | 0);
      i70 = get32(i65 | 0) | 0;
      i65 = get32(i73 + 40 | 0) | 0;
      i73 = i50 & 65535;
      i69 = i65 - i73 | 0;
      i77 = i69 >>> 8 & 255;
      set8(i70 + i72 >> 0 | 0, i77 | 0);
      i72 = i69 & 255;
      set8(i70 + (i71 + 9) >> 0 | 0, i72 | 0);
      _memcpy(i70 + i69 | 0, i42 | 0, i73 | 0) | 0;
      set8(i70 + (i71 + 3) >> 0 | 0, 0 | 0);
      set8(i70 + (i71 + 4) >> 0 | 0, 1 | 0);
      set8(i70 + i74 >> 0 | 0, i77 | 0);
      set8(i70 + i75 >> 0 | 0, i72 | 0);
      set16(i66 | 0, -2 - i65 + i69 + (getU16(i66 | 0) | 0) | 0);
      set16(i68 | 0, 1 | 0);
      if ((get8(i47 + 21 >> 0 | 0) | 0) != 0 ? (_ptrmapPut(i47, get32(i11 | 0) | 0, 5, get32(i46 | 0) | 0, i10), (i50 & 65535) > (getU16(i76 | 0) | 0)) : 0) do if (!(get32(i10 | 0) | 0)) {
       _btreeParseCellPtr(i64, i42, i8);
       i76 = get16(i26 | 0) | 0;
       if (!(i76 << 16 >> 16)) break;
       i50 = i76 & 65535;
       _ptrmapPut(get32(i67 | 0) | 0, getU8(i42 + (i50 + 1) >> 0 | 0) << 16 | getU8(i42 + i50 >> 0 | 0) << 24 | getU8(i42 + (i50 + 2) >> 0 | 0) << 8 | getU8(i42 + (i50 + 3) >> 0 | 0), 3, get32(i64 + 72 | 0) | 0, i10);
      } while (0);
      i64 = get32(i61 + 64 | 0) | 0;
      i42 = (getU16(i61 + 12 | 0) | 0) + -2 + (getU16(i45 | 0) << 1) | 0;
      i67 = (getU8(i64 + i42 >> 0 | 0) << 8 | getU8(i64 + (i42 + 1) >> 0 | 0)) & getU16(i61 + 18 | 0);
      i42 = i64 + (i67 + 9) | 0;
      i43 = i64 + i67 | 0;
      while (1) {
       i67 = i43 + 1 | 0;
       if ((get8(i43 >> 0 | 0) | 0) < 0 & i67 >>> 0 < i42 >>> 0) i43 = i67; else {
        i78 = i43;
        i79 = i67;
        break;
       }
      }
      i43 = i78 + 10 | 0;
      i42 = i79;
      i45 = i24;
      while (1) {
       i67 = get8(i42 >> 0 | 0) | 0;
       i42 = i42 + 1 | 0;
       i64 = i45 + 1 | 0;
       set8(i45 >> 0 | 0, i67 | 0);
       if (!(i42 >>> 0 < i43 >>> 0 & i67 << 24 >> 24 < 0)) {
        i80 = i64;
        break;
       } else i45 = i64;
      }
      _insertCell(i40, getU16(i49 | 0) | 0, i19, i80 - i25 | 0, 0, get32(i61 + 72 | 0) | 0, i10);
      i45 = getU8(i40 + 5 >> 0 | 0) | 0;
      i43 = get32(i40 + 64 | 0) | 0;
      i42 = get32(i11 | 0) | 0;
      set8(i43 + (i45 + 8) >> 0 | 0, i42 >>> 24 | 0);
      set8(i43 + (i45 + 9) >> 0 | 0, i42 >>> 16 | 0);
      set8(i43 + (i45 + 10) >> 0 | 0, i42 >>> 8 | 0);
      set8(i43 + (i45 + 11) >> 0 | 0, i42 | 0);
      i42 = get32(i9 | 0) | 0;
      if (i42) _sqlite3PagerUnref(get32(i42 + 68 | 0) | 0);
     }
     i63 = get32(i10 | 0) | 0;
    }
    set8(i62 >> 0 | 0, 0 | 0);
    i81 = i31;
    i82 = i63;
    i58 = 252;
    break;
   }
   i42 = get32((get32(i20 | 0) | 0) + 36 | 0) | 0;
   set32(37 * 4 | 0, i42 | 0);
   if ((get32(47 * 4 | 0) | 0) < (i42 | 0)) set32(47 * 4 | 0, i42 | 0);
   if ((get32(376 * 4 | 0) | 0) >= (i42 | 0) ? (i45 = get32(383 * 4 | 0) | 0, (i45 | 0) != 0) : 0) {
    set32(383 * 4 | 0, get32(i45 | 0) | 0);
    i43 = get32(382 * 4 | 0) | 0;
    set32(382 * 4 | 0, i43 + -1 | 0);
    set32(384 * 4 | 0, (i43 | 0) <= (get32(378 * 4 | 0) | 0) & 1 | 0);
    i43 = get32(31 * 4 | 0) | 0;
    i64 = i43 + 1 | 0;
    set32(31 * 4 | 0, i64 | 0);
    if ((i43 | 0) < (get32(41 * 4 | 0) | 0)) i83 = i45; else {
     set32(41 * 4 | 0, i64 | 0);
     i83 = i45;
    }
   } else i58 = 52;
   do if ((i58 | 0) == 52) {
    i58 = 0;
    if ((i42 + -1 | 0) >>> 0 <= 2147483390) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i45 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i42) | 0;
      if (!i45) {
       i83 = 0;
       break;
      } else i84 = i45;
     } else {
      i45 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i42) | 0;
      set32(35 * 4 | 0, i42 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i42 | 0)) set32(45 * 4 | 0, i42 | 0);
      i64 = get32(6 * 4 | 0) | 0;
      do if (i64) {
       i43 = get32(30 * 4 | 0) | 0;
       i67 = ((i43 | 0) < 0) << 31 >> 31;
       i44 = 16;
       i41 = _i64Subtract(get32(i44 | 0) | 0, get32(i44 + 4 | 0) | 0, i45 | 0, ((i45 | 0) < 0) << 31 >> 31 | 0) | 0;
       i44 = tempRet0;
       if ((i67 | 0) < (i44 | 0) | (i67 | 0) == (i44 | 0) & i43 >>> 0 < i41 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i41 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i64 & 15](i41, i43, i67, i45);
        set32(6 * 4 | 0, i64 | 0);
        set32(7 * 4 | 0, i41 | 0);
        break;
       }
      } while (0);
      i64 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i45) | 0;
      if (!i64) {
       i83 = 0;
       break;
      }
      i41 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i64) | 0;
      i67 = (get32(30 * 4 | 0) | 0) + i41 | 0;
      set32(30 * 4 | 0, i67 | 0);
      if ((i67 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i67 | 0);
      i67 = get32(39 * 4 | 0) | 0;
      i41 = i67 + 1 | 0;
      set32(39 * 4 | 0, i41 | 0);
      if ((i67 | 0) < (get32(49 * 4 | 0) | 0)) i84 = i64; else {
       set32(49 * 4 | 0, i41 | 0);
       i84 = i64;
      }
     }
     i64 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i84) | 0;
     i41 = (get32(32 * 4 | 0) | 0) + i64 | 0;
     set32(32 * 4 | 0, i41 | 0);
     if ((i41 | 0) > (get32(42 * 4 | 0) | 0)) {
      set32(42 * 4 | 0, i41 | 0);
      i83 = i84;
     } else i83 = i84;
    } else i83 = 0;
   } while (0);
   i42 = i59 << 16 >> 16 == 1;
   set32(i9 | 0, 0 | 0);
   i49 = get32(i40 + 60 | 0) | 0;
   if (!i83) i85 = 7; else {
    i41 = i40 + 1 | 0;
    i64 = getU8(i41 >> 0 | 0) | 0;
    i67 = i40 + 16 | 0;
    i43 = getU16(i67 | 0) | 0;
    i44 = i43 + i64 | 0;
    do if ((i44 | 0) >= 2) if (i38 << 16 >> 16) if ((i44 | 0) == (i39 | 0)) {
     i86 = 2;
     i87 = 3;
     i88 = i39 + -2 | 0;
     break;
    } else {
     i86 = 2;
     i87 = 3;
     i88 = i39 + -1 | 0;
     break;
    } else {
     i86 = 2;
     i87 = 3;
     i88 = 0;
    } else {
     i86 = i44;
     i87 = i44 + 1 | 0;
     i88 = 0;
    } while (0);
    i44 = i88 - i64 + i86 | 0;
    i50 = i40 + 64 | 0;
    i76 = get32(i50 | 0) | 0;
    if ((i44 | 0) == (i43 | 0)) i89 = (getU8(i40 + 5 >> 0 | 0) | 0) + 8 | 0; else {
     i46 = (getU16(i40 + 12 | 0) | 0) + (i44 << 1) | 0;
     i89 = (getU8(i76 + i46 >> 0 | 0) << 8 | getU8(i76 + (i46 + 1) >> 0 | 0)) & getU16(i40 + 18 | 0);
    }
    i46 = i76 + i89 | 0;
    i44 = i76 + (i89 + 1) | 0;
    i47 = i76 + (i89 + 2) | 0;
    i68 = i76 + (i89 + 3) | 0;
    i76 = getU8(i44 >> 0 | 0) << 16 | getU8(i46 >> 0 | 0) << 24 | getU8(i47 >> 0 | 0) << 8 | getU8(i68 >> 0 | 0);
    set32(i16 | 0, i76 | 0);
    i66 = i49 + 48 | 0;
    L107 : do if ((get32(i66 | 0) | 0) >>> 0 >= i76 >>> 0) {
     i69 = i40 + 24 | 0;
     i65 = i40 + 20 | 0;
     i72 = i40 + 18 | 0;
     i75 = i40 + 12 | 0;
     i70 = i49 + 18 | 0;
     i77 = i49 + 40 | 0;
     i74 = i76;
     i71 = i86;
     i73 = 0;
     while (1) {
      i90 = _sqlite3PagerAcquire(get32(i49 | 0) | 0, i74, i8, 0) | 0;
      if (i90) {
       i91 = i90;
       i92 = i71;
       i58 = 82;
       break;
      }
      i90 = get32(i8 | 0) | 0;
      i93 = get32(i90 + 4 | 0) | 0;
      set32(i93 + 64 | 0, get32(i90 | 0) | 0);
      i94 = i93 + 68 | 0;
      set32(i94 | 0, i90 | 0);
      set32(i93 + 60 | 0, i49 | 0);
      set32(i93 + 72 | 0, i74 | 0);
      set8(i93 + 5 >> 0 | 0, ((i74 | 0) == 1 ? 100 : 0) | 0);
      set32(i10 + (i71 << 2) | 0, i93 | 0);
      i90 = _btreeInitPage(i93) | 0;
      if (i90) {
       i95 = i94;
       i96 = i90;
       i97 = i71;
       i98 = i93;
       i58 = 84;
       break;
      }
      set32(i9 | 0, 0 | 0);
      i73 = i73 + 1 + (getU16(i93 + 16 | 0) | 0) + (getU8(i93 + 1 >> 0 | 0) | 0) | 0;
      i93 = i71 + -1 | 0;
      if (!i71) {
       i99 = i73;
       i58 = 97;
       break;
      }
      i90 = i93 + i88 | 0;
      i94 = get8(i41 >> 0 | 0) | 0;
      if ((i90 | 0) == (getU16(i69 | 0) | 0)) if (!(i94 << 24 >> 24)) {
       i100 = 0;
       i58 = 91;
      } else {
       i101 = get32(i65 | 0) | 0;
       set32(i13 + (i93 << 2) | 0, i101 | 0);
       i102 = getU8(i101 + 1 >> 0 | 0) << 16 | getU8(i101 >> 0 | 0) << 24 | getU8(i101 + 2 >> 0 | 0) << 8 | getU8(i101 + 3 >> 0 | 0);
       set32(i16 | 0, i102 | 0);
       set32(i15 + (i93 << 2) | 0, (_cellSizePtr(i40, i101) | 0) & 65535 | 0);
       set8(i41 >> 0 | 0, 0 | 0);
       i103 = i102;
      } else {
       i100 = i94;
       i58 = 91;
      }
      if ((i58 | 0) == 91) {
       i58 = 0;
       i94 = get32(i50 | 0) | 0;
       i102 = (getU16(i75 | 0) | 0) + (i90 - (i100 & 255) << 1) | 0;
       i101 = (getU8(i94 + i102 >> 0 | 0) << 8 | getU8(i94 + (i102 + 1) >> 0 | 0)) & getU16(i72 | 0);
       i102 = i94 + i101 | 0;
       i104 = i13 + (i93 << 2) | 0;
       set32(i104 | 0, i102 | 0);
       i105 = getU8(i94 + (i101 + 1) >> 0 | 0) << 16 | getU8(i102 >> 0 | 0) << 24 | getU8(i94 + (i101 + 2) >> 0 | 0) << 8 | getU8(i94 + (i101 + 3) >> 0 | 0);
       set32(i16 | 0, i105 | 0);
       i101 = (_cellSizePtr(i40, i102) | 0) & 65535;
       set32(i15 + (i93 << 2) | 0, i101 | 0);
       if (get8(i70 >> 0 | 0) | 0) {
        i94 = i102;
        i106 = i94 - (get32(i50 | 0) | 0) | 0;
        if ((i106 + i101 | 0) > (get32(i77 | 0) | 0)) {
         i107 = i71;
         i58 = 93;
         break;
        }
        _memcpy(i83 + i106 | 0, i102 | 0, i101 | 0) | 0;
        set32(i104 | 0, i83 + (i94 - (get32(i50 | 0) | 0)) | 0);
       }
       _dropCell(i40, i90 - (getU8(i41 >> 0 | 0) | 0) | 0, i101, i9);
       i103 = i105;
      }
      if ((get32(i66 | 0) | 0) >>> 0 < i103 >>> 0) {
       i108 = i93;
       i58 = 80;
       break L107;
      } else {
       i74 = i103;
       i71 = i93;
      }
     }
     if ((i58 | 0) == 82) {
      i58 = 0;
      i109 = i92;
      i110 = i91;
      i58 = 86;
      break;
     } else if ((i58 | 0) == 84) {
      i58 = 0;
      if (!i98) {
       i109 = i97;
       i110 = i96;
       i58 = 86;
       break;
      }
      _sqlite3PagerUnref(get32(i95 | 0) | 0);
      i109 = i97;
      i110 = i96;
      i58 = 86;
      break;
     } else if ((i58 | 0) == 93) {
      i58 = 0;
      set32(i5 | 0, 53477 | 0);
      set32(i5 + 4 | 0, 17203 | 0);
      _sqlite3_log(11, 19615, i5);
      set32(i9 | 0, 11 | 0);
      _memset(i10 | 0, 0, i107 << 2 | 0) | 0;
      i111 = 0;
      break;
     } else if ((i58 | 0) == 97) {
      i58 = 0;
      i71 = i99 + 3 & -4;
      i74 = i49 + 36 | 0;
      i70 = get32(i74 | 0) | 0;
      i72 = i70 + 80 | 0;
      i75 = _sqlite3ScratchMalloc(i70 + (i71 * 6 | 0) + (Math_imul(i72, i87) | 0) | 0) | 0;
      if (!i75) {
       set32(i9 | 0, 7 | 0);
       i111 = 0;
       break;
      }
      i70 = i75 + (i71 << 2) | 0;
      i65 = i70 + (i71 << 1) | 0;
      i71 = get32(i10 | 0) | 0;
      i69 = getU8(i71 + 3 >> 0 | 0) << 2;
      i73 = get8(i71 + 4 >> 0 | 0) | 0;
      i45 = i87 + -1 | 0;
      i93 = i73 << 24 >> 24 != 0;
      i105 = 0;
      i101 = 0;
      i90 = 0;
      while (1) {
       i94 = (get32(i74 | 0) | 0) + (Math_imul(i105, i72) | 0) | 0;
       i104 = i65 + i94 | 0;
       set32(i11 + (i105 << 2) | 0, i104 | 0);
       i102 = get32(i10 + (i105 << 2) | 0) | 0;
       i106 = i104;
       i112 = i102;
       i113 = i106 + 76 | 0;
       do {
        set32(i106 | 0, get32(i112 | 0) | 0);
        i106 = i106 + 4 | 0;
        i112 = i112 + 4 | 0;
       } while ((i106 | 0) < (i113 | 0));
       i112 = i65 + (i94 + 76) | 0;
       i106 = i65 + (i94 + 64) | 0;
       set32(i106 | 0, i112 | 0);
       _memcpy(i112 | 0, get32(i102 + 64 | 0) | 0, get32(i74 | 0) | 0) | 0;
       i112 = getU16(i65 + (i94 + 16) | 0) | 0;
       i113 = i65 + (i94 + 1) | 0;
       i114 = get8(i113 >> 0 | 0) | 0;
       i115 = i114 & 255;
       i116 = i115 + i112 | 0;
       if (!(i114 << 24 >> 24)) {
        i117 = get32(i106 | 0) | 0;
        if ((i116 | 0) > 0) {
         i118 = getU16(i65 + (i94 + 18) | 0) | 0;
         i119 = getU16(i65 + (i94 + 12) | 0) | 0;
         i120 = 0;
         i121 = i90;
         while (1) {
          i122 = (i120 << 1) + i119 | 0;
          i123 = i117 + ((getU8(i117 + i122 >> 0 | 0) << 8 | getU8(i117 + (i122 + 1) >> 0 | 0)) & i118) | 0;
          set32(i75 + (i121 << 2) | 0, i123 | 0);
          set16(i70 + (i121 << 1) | 0, _cellSizePtr(i104, i123) | 0 | 0);
          i120 = i120 + 1 | 0;
          if ((i120 | 0) == (i112 | 0)) break; else i121 = i121 + 1 | 0;
         }
         i124 = i112 + i90 | 0;
        } else i124 = i90;
       } else if ((i116 | 0) > 0) {
        i121 = i65 + (i94 + 18) | 0;
        i120 = i65 + (i94 + 12) | 0;
        i118 = i114;
        i117 = 0;
        i119 = i90;
        while (1) {
         i102 = i117;
         i123 = i118 & 255;
         L143 : while (1) {
          i122 = i123;
          while (1) {
           i125 = i122 + -1 | 0;
           if ((i122 | 0) <= 0) {
            i126 = i102;
            i58 = 110;
            break L143;
           }
           i127 = getU16(i104 + 20 + (i125 << 3) + 4 | 0) | 0;
           if ((i127 | 0) > (i102 | 0)) i122 = i125; else {
            i128 = i127;
            i129 = i125;
            break;
           }
          }
          if ((i128 | 0) == (i102 | 0)) {
           i130 = i129;
           i58 = 108;
           break;
          }
          i102 = i102 + -1 | 0;
          i123 = i129;
         }
         if ((i58 | 0) == 108) {
          i58 = 0;
          i131 = get32(i104 + 20 + (i130 << 3) | 0) | 0;
         } else if ((i58 | 0) == 110) {
          i58 = 0;
          i123 = get32(i106 | 0) | 0;
          i102 = (getU16(i120 | 0) | 0) + (i126 << 1) | 0;
          i131 = i123 + ((getU8(i123 + i102 >> 0 | 0) << 8 | getU8(i123 + (i102 + 1) >> 0 | 0)) & getU16(i121 | 0)) | 0;
         }
         set32(i75 + (i119 << 2) | 0, i131 | 0);
         set16(i70 + (i119 << 1) | 0, _cellSizePtr(i104, i131) | 0 | 0);
         i102 = i117 + 1 | 0;
         if ((i102 | 0) == (i116 | 0)) break;
         i118 = get8(i113 >> 0 | 0) | 0;
         i117 = i102;
         i119 = i119 + 1 | 0;
        }
        i124 = i112 + i90 + i115 | 0;
       } else i124 = i90;
       if (i93 | (i105 | 0) >= (i45 | 0)) {
        i132 = i101;
        i133 = i124;
       } else {
        i119 = get32(i15 + (i105 << 2) | 0) | 0;
        i117 = i70 + (i124 << 1) | 0;
        set16(i117 | 0, i119 | 0);
        i113 = i119 & 65535;
        i119 = i113 + i101 | 0;
        _memcpy(i65 + i101 | 0, get32(i13 + (i105 << 2) | 0) | 0, i113 | 0) | 0;
        i113 = i75 + (i124 << 2) | 0;
        set32(i113 | 0, i65 + (i101 + i69) | 0);
        i118 = (getU16(i117 | 0) | 0) - i69 | 0;
        set16(i117 | 0, i118 | 0);
        do if (!(get8(i65 + (i94 + 3) >> 0 | 0) | 0)) {
         i116 = get32(i113 | 0) | 0;
         i104 = (get32(i106 | 0) | 0) + 8 | 0;
         i121 = getU8(i104 >> 0 | 0) | getU8(i104 + 1 >> 0 | 0) << 8 | getU8(i104 + 2 >> 0 | 0) << 16 | getU8(i104 + 3 >> 0 | 0) << 24;
         set8(i116 >> 0 | 0, i121 | 0);
         set8(i116 + 1 >> 0 | 0, i121 >> 8 | 0);
         set8(i116 + 2 >> 0 | 0, i121 >> 16 | 0);
         set8(i116 + 3 >> 0 | 0, i121 >> 24 | 0);
        } else {
         if ((i118 & 65532) >>> 0 >= 4) break;
         set16(i117 | 0, 4 | 0);
        } while (0);
        i132 = i119;
        i133 = i124 + 1 | 0;
       }
       i105 = i105 + 1 | 0;
       if ((i105 | 0) >= (i87 | 0)) {
        i134 = i133;
        break;
       } else {
        i101 = i132;
        i90 = i133;
       }
      }
      i90 = i69 & 65535;
      i101 = i73 & 255;
      i105 = i69 + -12 + (get32(i77 | 0) | 0) | 0;
      i65 = (i134 | 0) > 0;
      do if (i65) {
       i74 = i93 << 31 >> 31;
       i72 = 0;
       i117 = 0;
       i118 = 0;
       while (1) {
        i106 = i118 + 2 | 0;
        i113 = (getU16(i70 + (i72 << 1) | 0) | 0) + i106 | 0;
        if ((i113 | 0) > (i105 | 0)) {
         set32(i15 + (i117 << 2) | 0, i106 | 0);
         set32(i14 + (i117 << 2) | 0, i72 | 0);
         if ((i117 | 0) > 3) {
          i58 = 130;
          break;
         } else {
          i135 = i72 + i74 | 0;
          i136 = i117 + 1 | 0;
          i137 = 0;
         }
        } else {
         i135 = i72;
         i136 = i117;
         i137 = i113;
        }
        i72 = i135 + 1 | 0;
        if ((i72 | 0) >= (i134 | 0)) {
         i138 = i136;
         i139 = i137;
         break;
        } else {
         i117 = i136;
         i118 = i137;
        }
       }
       if ((i58 | 0) == 130) {
        i58 = 0;
        set32(i4 | 0, 53616 | 0);
        set32(i4 + 4 | 0, 17203 | 0);
        _sqlite3_log(11, 19615, i4);
        set32(i9 | 0, 11 | 0);
        i140 = 0;
        break;
       }
       set32(i15 + (i138 << 2) | 0, i139 | 0);
       set32(i14 + (i138 << 2) | 0, i134 | 0);
       i118 = i138 + 1 | 0;
       if ((i138 | 0) > 0) {
        i117 = i139;
        i72 = i138;
        while (1) {
         i74 = i72 + -1 | 0;
         i119 = i15 + (i74 << 2) | 0;
         i113 = i14 + (i74 << 2) | 0;
         i106 = get32(i113 | 0) | 0;
         i94 = get32(i119 | 0) | 0;
         i115 = i117;
         while (1) {
          i112 = i106 + -1 | 0;
          i121 = get16(i70 + (i106 - i101 << 1) | 0) | 0;
          if (i115) {
           i116 = i121 & 65535;
           i104 = i115 + 2 | 0;
           i120 = get16(i70 + (i112 << 1) | 0) | 0;
           i114 = i94 + -2 | 0;
           if ((i116 + i104 | 0) > (i114 - (i120 & 65535) | 0)) {
            i141 = i94;
            i142 = i115;
            break;
           } else {
            i143 = i114;
            i144 = i104;
            i145 = i116;
            i146 = i120;
           }
          } else {
           i143 = i94 + -2 | 0;
           i144 = 2;
           i145 = i121 & 65535;
           i146 = get16(i70 + (i112 << 1) | 0) | 0;
          }
          set32(i113 | 0, i112 | 0);
          i106 = i112;
          i94 = i143 - (i146 & 65535) | 0;
          i115 = i144 + i145 | 0;
         }
         set32(i15 + (i72 << 2) | 0, i142 | 0);
         set32(i119 | 0, i141 | 0);
         if ((i72 | 0) > 1) {
          i117 = i141;
          i72 = i74;
         } else {
          i147 = 1;
          i148 = i118;
          i149 = i138;
          i58 = 139;
          break;
         }
        }
       } else {
        i147 = 0;
        i148 = i118;
        i149 = i138;
        i58 = 139;
       }
      } else {
       set32(i15 | 0, 0 | 0);
       set32(i14 | 0, i134 | 0);
       i147 = 0;
       i148 = 1;
       i149 = 0;
       i58 = 139;
      } while (0);
      L186 : do if ((i58 | 0) == 139) {
       i58 = 0;
       if ((get32(i71 + 72 | 0) | 0) >>> 0 < 2) {
        set32(i3 | 0, 53670 | 0);
        set32(i3 + 4 | 0, 17203 | 0);
        _sqlite3_log(11, 19615, i3);
        set32(i9 | 0, 11 | 0);
        i140 = 0;
        break;
       }
       i101 = getU8(get32(i71 + 64 | 0) >> 0 | 0) | 0;
       if ((i149 | 0) > -1) {
        i105 = i49 + 21 | 0;
        i93 = i40 + 72 | 0;
        i77 = 0;
        i72 = 0;
        while (1) {
         do if ((i77 | 0) < (i87 | 0)) {
          i117 = i10 + (i77 << 2) | 0;
          i115 = get32(i117 | 0) | 0;
          set32(i12 + (i77 << 2) | 0, i115 | 0);
          set32(i17 | 0, i115 | 0);
          set32(i117 | 0, 0 | 0);
          i117 = _sqlite3PagerWrite(get32(i115 + 68 | 0) | 0) | 0;
          set32(i9 | 0, i117 | 0);
          i115 = i72 + 1 | 0;
          if (!i117) i150 = i115; else {
           i140 = i115;
           break L186;
          }
         } else {
          i115 = _allocateBtreePage(i49, i17, i16, get32(i16 | 0) | 0, 0) | 0;
          set32(i9 | 0, i115 | 0);
          if (i115) {
           i140 = i72;
           break L186;
          }
          i115 = get32(i17 | 0) | 0;
          set32(i12 + (i77 << 2) | 0, i115 | 0);
          i117 = i72 + 1 | 0;
          if (!(get8(i105 >> 0 | 0) | 0)) {
           i150 = i117;
           break;
          }
          _ptrmapPut(i49, get32(i115 + 72 | 0) | 0, 5, get32(i93 | 0) | 0, i9);
          if (!(get32(i9 | 0) | 0)) i150 = i117; else {
           i140 = i117;
           break L186;
          }
         } while (0);
         i74 = i77 + 1 | 0;
         if ((i74 | 0) < (i148 | 0)) {
          i77 = i74;
          i72 = i150;
         } else {
          i151 = i74;
          i152 = i150;
          break;
         }
        }
        if ((i151 | 0) < (i87 | 0)) {
         i153 = 0;
         i154 = i151;
         i155 = i152;
         i58 = 145;
        } else i156 = i152;
       } else {
        i153 = get32(i9 | 0) | 0;
        i154 = 0;
        i155 = 0;
        i58 = 145;
       }
       if ((i58 | 0) == 145) {
        i58 = 0;
        i72 = i153;
        i77 = i154;
        while (1) {
         i93 = i10 + (i77 << 2) | 0;
         i105 = get32(i93 | 0) | 0;
         if (i72) {
          i140 = i155;
          break L186;
         }
         i118 = _freePage2(get32(i105 + 60 | 0) | 0, i105, get32(i105 + 72 | 0) | 0) | 0;
         set32(i9 | 0, i118 | 0);
         if (i118) {
          i140 = i155;
          break L186;
         }
         _sqlite3PagerUnref(get32(i105 + 68 | 0) | 0);
         set32(i93 | 0, 0 | 0);
         i77 = i77 + 1 | 0;
         if ((i77 | 0) >= (i87 | 0)) {
          i156 = i155;
          break;
         } else i72 = 0;
        }
       }
       if (i147) {
        i72 = 0;
        do {
         i77 = i12 + (i72 << 2) | 0;
         i93 = i72;
         i72 = i72 + 1 | 0;
         do if ((i72 | 0) < (i148 | 0)) {
          i105 = get32(i77 | 0) | 0;
          i118 = i105;
          i74 = i72;
          i119 = i93;
          i117 = get32(i105 + 72 | 0) | 0;
          while (1) {
           i105 = get32((get32(i12 + (i74 << 2) | 0) | 0) + 72 | 0) | 0;
           i115 = i105 >>> 0 < i117 >>> 0;
           i94 = i115 ? i74 : i119;
           i74 = i74 + 1 | 0;
           if ((i74 | 0) == (i148 | 0)) {
            i157 = i94;
            break;
           } else {
            i119 = i94;
            i117 = i115 ? i105 : i117;
           }
          }
          if ((i157 | 0) <= (i93 | 0)) break;
          i117 = i12 + (i157 << 2) | 0;
          set32(i77 | 0, get32(i117 | 0) | 0);
          set32(i117 | 0, i118 | 0);
         } while (0);
        } while ((i72 | 0) != (i149 | 0));
       }
       i72 = i12 + (i156 + -1 << 2) | 0;
       i77 = get32((get32(i72 | 0) | 0) + 72 | 0) | 0;
       set8(i46 >> 0 | 0, i77 >>> 24 | 0);
       set8(i44 >> 0 | 0, i77 >>> 16 | 0);
       set8(i47 >> 0 | 0, i77 >>> 8 | 0);
       set8(i68 >> 0 | 0, i77 | 0);
       i77 = (i156 | 0) > 0;
       if (i77) {
        i93 = i73 << 24 >> 24 == 0;
        i117 = 0;
        i119 = 0;
        i74 = 0;
        i105 = i88;
        while (1) {
         i115 = get32(i12 + (i117 << 2) | 0) | 0;
         _zeroPage(i115, i101);
         i94 = i14 + (i117 << 2) | 0;
         i106 = get32(i94 | 0) | 0;
         i113 = i106 - i74 | 0;
         i112 = i115 + 64 | 0;
         i121 = get32(i112 | 0) | 0;
         i120 = getU8(i115 + 5 >> 0 | 0) | 0;
         i116 = get32((get32(i115 + 60 | 0) | 0) + 40 | 0) | 0;
         i104 = i113 << 1;
         if ((i113 | 0) > 0) {
          i114 = i116;
          i102 = i113;
          i123 = i121 + ((getU16(i115 + 12 | 0) | 0) + i104) | 0;
          while (1) {
           i122 = i102;
           i102 = i102 + -1 | 0;
           i125 = i102 + i74 | 0;
           i127 = i123;
           i123 = i123 + -2 | 0;
           i158 = getU16(i70 + (i125 << 1) | 0) | 0;
           i159 = i114 - i158 | 0;
           set8(i123 >> 0 | 0, i159 >>> 8 | 0);
           set8(i127 + -1 >> 0 | 0, i159 | 0);
           _memcpy(i121 + i159 | 0, get32(i75 + (i125 << 2) | 0) | 0, i158 | 0) | 0;
           if ((i122 | 0) <= 1) {
            i160 = i159;
            break;
           } else i114 = i159;
          }
          i161 = get32(i94 | 0) | 0;
          i162 = i160;
         } else {
          i161 = i106;
          i162 = i116;
         }
         set8(i121 + (i120 + 3) >> 0 | 0, i113 >>> 8 | 0);
         set8(i121 + (i120 + 4) >> 0 | 0, i113 | 0);
         set8(i121 + (i120 + 5) >> 0 | 0, i162 >>> 8 | 0);
         set8(i121 + (i120 + 6) >> 0 | 0, i162 | 0);
         i114 = i115 + 14 | 0;
         set16(i114 | 0, i162 - (i116 + i104) + (getU16(i114 | 0) | 0) | 0);
         set16(i115 + 16 | 0, i113 | 0);
         if ((i161 | 0) < (i134 | 0)) {
          i114 = get32(i75 + (i161 << 2) | 0) | 0;
          i123 = get16(i70 + (i161 << 1) | 0) | 0;
          i102 = (i123 & 65535) + i69 | 0;
          i159 = i83 + i119 | 0;
          do if (!(get8(i115 + 3 >> 0 | 0) | 0)) {
           i122 = (get32(i112 | 0) | 0) + 8 | 0;
           i158 = getU8(i114 >> 0 | 0) | getU8(i114 + 1 >> 0 | 0) << 8 | getU8(i114 + 2 >> 0 | 0) << 16 | getU8(i114 + 3 >> 0 | 0) << 24;
           set8(i122 >> 0 | 0, i158 | 0);
           set8(i122 + 1 >> 0 | 0, i158 >> 8 | 0);
           set8(i122 + 2 >> 0 | 0, i158 >> 16 | 0);
           set8(i122 + 3 >> 0 | 0, i158 >> 24 | 0);
           i163 = i161;
           i164 = i114;
           i165 = i159;
           i166 = i102;
          } else {
           if (!i93) {
            i158 = i161 + -1 | 0;
            _btreeParseCellPtr(i115, get32(i75 + (i158 << 2) | 0) | 0, i18);
            i122 = i18;
            i163 = i158;
            i164 = i159;
            i165 = 0;
            i166 = (_sqlite3PutVarint(i83 + (i119 + 4) | 0, get32(i122 | 0) | 0, get32(i122 + 4 | 0) | 0) | 0) + 4 | 0;
            break;
           }
           i122 = i114 + -4 | 0;
           if (i123 << 16 >> 16 != 4) {
            i163 = i161;
            i164 = i122;
            i165 = i159;
            i166 = i102;
            break;
           }
           i163 = i161;
           i164 = i122;
           i165 = i159;
           i166 = (_cellSizePtr(i40, i122) | 0) & 65535;
          } while (0);
          _insertCell(i40, i105, i164, i166, i165, get32(i115 + 72 | 0) | 0, i9);
          if (get32(i9 | 0) | 0) {
           i140 = i156;
           break L186;
          }
          i167 = i166 + i119 | 0;
          i168 = i163 + 1 | 0;
          i169 = i105 + 1 | 0;
         } else {
          i167 = i119;
          i168 = i161;
          i169 = i105;
         }
         i117 = i117 + 1 | 0;
         if ((i117 | 0) >= (i156 | 0)) break; else {
          i119 = i167;
          i74 = i168;
          i105 = i169;
         }
        }
       }
       if (!(i101 & 8)) {
        i105 = (get32((get32(i11 + (i45 << 2) | 0) | 0) + 64 | 0) | 0) + 8 | 0;
        i74 = (get32((get32(i72 | 0) | 0) + 64 | 0) | 0) + 8 | 0;
        i119 = getU8(i105 >> 0 | 0) | getU8(i105 + 1 >> 0 | 0) << 8 | getU8(i105 + 2 >> 0 | 0) << 16 | getU8(i105 + 3 >> 0 | 0) << 24;
        set8(i74 >> 0 | 0, i119 | 0);
        set8(i74 + 1 >> 0 | 0, i119 >> 8 | 0);
        set8(i74 + 2 >> 0 | 0, i119 >> 16 | 0);
        set8(i74 + 3 >> 0 | 0, i119 >> 24 | 0);
       }
       do if (i42) {
        if (get16(i67 | 0) | 0) break;
        i119 = get32(i12 | 0) | 0;
        if ((getU8(i40 + 5 >> 0 | 0) | 0) >>> 0 > (getU16(i119 + 14 | 0) | 0) >>> 0) break;
        if (get32(i9 | 0) | 0) {
         i140 = i156;
         break L186;
        }
        i74 = i119 + 60 | 0;
        i105 = get32(i74 | 0) | 0;
        i117 = get32(i119 + 64 | 0) | 0;
        i93 = get32(i50 | 0) | 0;
        i159 = getU8(i119 + 5 >> 0 | 0) | 0;
        i102 = (get32(i40 + 72 | 0) | 0) == 1 ? 100 : 0;
        i123 = getU8(i117 + (i159 + 5) >> 0 | 0) << 8 | getU8(i117 + (i159 + 6) >> 0 | 0);
        _memcpy(i93 + i123 | 0, i117 + i123 | 0, (get32(i105 + 40 | 0) | 0) - i123 | 0) | 0;
        _memcpy(i93 + i102 | 0, i117 + i159 | 0, (getU16(i119 + 16 | 0) << 1) + (getU16(i119 + 12 | 0) | 0) | 0) | 0;
        set8(i40 >> 0 | 0, 0 | 0);
        i159 = _btreeInitPage(i40) | 0;
        if (i159) {
         set32(i9 | 0, i159 | 0);
         i140 = i156;
         break L186;
        }
        if ((get8(i105 + 21 >> 0 | 0) | 0) != 0 ? (i105 = _setChildPtrmaps(i40) | 0, set32(i9 | 0, i105 | 0), (i105 | 0) != 0) : 0) {
         i140 = i156;
         break L186;
        }
        set32(i9 | 0, _freePage2(get32(i74 | 0) | 0, i119, get32(i119 + 72 | 0) | 0) | 0 | 0);
        i140 = i156;
        break L186;
       } while (0);
       if (!(get8(i49 + 21 >> 0 | 0) | 0)) {
        i140 = i156;
        break;
       }
       i72 = get32(i12 | 0) | 0;
       i101 = get32(i11 | 0) | 0;
       i119 = get8(i101 + 1 >> 0 | 0) | 0;
       i74 = i119 & 255;
       if (!(i119 << 24 >> 24)) i170 = -1; else i170 = getU16(i101 + 24 | 0) | 0;
       if (i65) {
        i119 = i73 << 24 >> 24 == 0;
        i105 = i119 & 1;
        i159 = i90 << 16 >> 16 == 0;
        i117 = 0;
        i102 = (getU16(i101 + 16 | 0) | 0) + i74 | 0;
        i93 = i170;
        i123 = 0;
        i114 = 0;
        i112 = i74;
        i74 = i72;
        i113 = i101;
        while (1) {
         i101 = i117 + i105 | 0;
         i104 = i102;
         i116 = i93;
         i120 = 0;
         i121 = i123;
         i106 = i112;
         i94 = i113;
         L267 : while (1) {
          i122 = i104;
          i158 = i120;
          i125 = i121;
          i127 = i94;
          while (1) {
           if ((i117 | 0) != (i122 | 0)) {
            i171 = i122;
            i172 = i116;
            i173 = i158;
            i174 = i125;
            i175 = i106;
            i176 = i127;
            break L267;
           }
           i177 = i125 + 1 | 0;
           i178 = get32(i11 + (i177 << 2) | 0) | 0;
           i179 = get8(i178 + 1 >> 0 | 0) | 0;
           i180 = i179 & 255;
           i181 = (getU16(i178 + 16 | 0) | 0) + i101 + i180 | 0;
           if (!(i179 << 24 >> 24)) {
            i122 = i181;
            i158 = i105;
            i125 = i177;
            i127 = i178;
           } else {
            i182 = i177;
            i183 = i178;
            i184 = i180;
            i185 = i181;
            break;
           }
          }
          i104 = i185;
          i116 = (getU16(i183 + 24 | 0) | 0) + i101 | 0;
          i120 = i105;
          i121 = i182;
          i106 = i184;
          i94 = i183;
         }
         if ((i117 | 0) == (i172 | 0)) {
          i186 = ((i175 | 0) > 1 & 1) + i117 | 0;
          i187 = 1;
          i188 = i175 + -1 | 0;
         } else {
          i186 = i172;
          i187 = i173;
          i188 = i175;
         }
         if ((i117 | 0) == (get32(i14 + (i114 << 2) | 0) | 0)) {
          i94 = i114 + 1 | 0;
          i106 = get32(i12 + (i94 << 2) | 0) | 0;
          if (i119) {
           i189 = i94;
           i190 = i106;
          } else {
           i191 = i94;
           i192 = i106;
           i58 = 203;
          }
         } else {
          i191 = i114;
          i192 = i74;
          i58 = 203;
         }
         do if ((i58 | 0) == 203) {
          i58 = 0;
          if ((i187 | 0) == 0 ? (get32(i176 + 72 | 0) | 0) == (get32(i192 + 72 | 0) | 0) : 0) {
           i189 = i191;
           i190 = i192;
           break;
          }
          if (i159) {
           i106 = get32(i75 + (i117 << 2) | 0) | 0;
           _ptrmapPut(i49, getU8(i106 + 1 >> 0 | 0) << 16 | getU8(i106 >> 0 | 0) << 24 | getU8(i106 + 2 >> 0 | 0) << 8 | getU8(i106 + 3 >> 0 | 0), 5, get32(i192 + 72 | 0) | 0, i9);
          }
          if ((getU16(i70 + (i117 << 1) | 0) | 0) <= (getU16(i192 + 10 | 0) | 0)) {
           i189 = i191;
           i190 = i192;
           break;
          }
          i106 = get32(i75 + (i117 << 2) | 0) | 0;
          do if (!(get32(i9 | 0) | 0)) {
           _btreeParseCellPtr(i192, i106, i8);
           i94 = get16(i23 | 0) | 0;
           if (!(i94 << 16 >> 16)) break;
           i121 = i94 & 65535;
           _ptrmapPut(get32(i192 + 60 | 0) | 0, getU8(i106 + (i121 + 1) >> 0 | 0) << 16 | getU8(i106 + i121 >> 0 | 0) << 24 | getU8(i106 + (i121 + 2) >> 0 | 0) << 8 | getU8(i106 + (i121 + 3) >> 0 | 0), 3, get32(i192 + 72 | 0) | 0, i9);
          } while (0);
          i189 = i191;
          i190 = i192;
         } while (0);
         i106 = i117 + 1 | 0;
         if ((i106 | 0) == (i134 | 0)) break; else {
          i117 = i106;
          i102 = i171;
          i93 = i186;
          i123 = i174;
          i114 = i189;
          i112 = i188;
          i74 = i190;
          i113 = i176;
         }
        }
       }
       if (i90 << 16 >> 16 != 0 | i77 ^ 1) {
        i140 = i156;
        break;
       } else {
        i193 = i72;
        i194 = 0;
       }
       while (1) {
        i113 = get32(i193 + 64 | 0) | 0;
        _ptrmapPut(i49, getU8(i113 + 9 >> 0 | 0) << 16 | getU8(i113 + 8 >> 0 | 0) << 24 | getU8(i113 + 10 >> 0 | 0) << 8 | getU8(i113 + 11 >> 0 | 0), 5, get32(i193 + 72 | 0) | 0, i9);
        i113 = i194 + 1 | 0;
        if ((i113 | 0) == (i156 | 0)) {
         i140 = i156;
         break L186;
        }
        i193 = get32(i12 + (i113 << 2) | 0) | 0;
        i194 = i113;
       }
      } while (0);
      if ((get32(89 * 4 | 0) | 0) >>> 0 <= i75 >>> 0 & (get32(8 * 4 | 0) | 0) >>> 0 > i75 >>> 0) {
       set32(i75 | 0, get32(9 * 4 | 0) | 0);
       set32(9 * 4 | 0, i75 | 0);
       set32(10 * 4 | 0, (get32(10 * 4 | 0) | 0) + 1 | 0);
       i90 = (get32(33 * 4 | 0) | 0) + -1 | 0;
       set32(33 * 4 | 0, i90 | 0);
       if ((i90 | 0) <= (get32(43 * 4 | 0) | 0)) {
        i111 = i140;
        break;
       }
       set32(43 * 4 | 0, i90 | 0);
       i111 = i140;
       break;
      }
      if (!(get32(50 * 4 | 0) | 0)) {
       FUNCTION_TABLE_vi[get32(232 | 0) & 31](i75);
       i111 = i140;
       break;
      }
      i90 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i75) | 0;
      i70 = (get32(34 * 4 | 0) | 0) - i90 | 0;
      set32(34 * 4 | 0, i70 | 0);
      if ((i70 | 0) > (get32(44 * 4 | 0) | 0)) set32(44 * 4 | 0, i70 | 0);
      i70 = (get32(30 * 4 | 0) | 0) - i90 | 0;
      set32(30 * 4 | 0, i70 | 0);
      if ((i70 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i70 | 0);
      i70 = (get32(39 * 4 | 0) | 0) + -1 | 0;
      set32(39 * 4 | 0, i70 | 0);
      if ((i70 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i70 | 0);
      FUNCTION_TABLE_vi[get32(232 | 0) & 31](i75);
      i111 = i140;
      break;
     }
    } else {
     i108 = i86;
     i58 = 80;
    } while (0);
    if ((i58 | 0) == 80) {
     i58 = 0;
     set32(i6 | 0, 49122 | 0);
     set32(i6 + 4 | 0, 17203 | 0);
     _sqlite3_log(11, 19615, i6);
     i109 = i108;
     i110 = 11;
     i58 = 86;
    }
    if ((i58 | 0) == 86) {
     i58 = 0;
     set32(i9 | 0, i110 | 0);
     _memset(i10 | 0, 0, (i109 << 2) + 4 | 0) | 0;
     i111 = 0;
    }
    i49 = 0;
    do {
     i50 = get32(i10 + (i49 << 2) | 0) | 0;
     if (i50) _sqlite3PagerUnref(get32(i50 + 68 | 0) | 0);
     i49 = i49 + 1 | 0;
    } while ((i49 | 0) < (i87 | 0));
    if ((i111 | 0) > 0) {
     i49 = 0;
     do {
      i50 = get32(i12 + (i49 << 2) | 0) | 0;
      if (i50) _sqlite3PagerUnref(get32(i50 + 68 | 0) | 0);
      i49 = i49 + 1 | 0;
     } while ((i49 | 0) != (i111 | 0));
    }
    i85 = get32(i9 | 0) | 0;
   }
   if (!i31) {
    i195 = i83;
    i196 = i85;
    i58 = 251;
   } else {
    if ((get32(379 * 4 | 0) | 0) >>> 0 <= i31 >>> 0 & (get32(380 * 4 | 0) | 0) >>> 0 > i31 >>> 0) {
     i49 = (get32(31 * 4 | 0) | 0) + -1 | 0;
     set32(31 * 4 | 0, i49 | 0);
     if ((i49 | 0) > (get32(41 * 4 | 0) | 0)) set32(41 * 4 | 0, i49 | 0);
     set32(i31 | 0, get32(383 * 4 | 0) | 0);
     set32(383 * 4 | 0, i31 | 0);
     i49 = (get32(382 * 4 | 0) | 0) + 1 | 0;
     set32(382 * 4 | 0, i49 | 0);
     set32(384 * 4 | 0, (i49 | 0) < (get32(378 * 4 | 0) | 0) & 1 | 0);
     i195 = i83;
     i196 = i85;
     i58 = 251;
     break;
    }
    i49 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i31) | 0;
    i50 = (get32(32 * 4 | 0) | 0) - i49 | 0;
    set32(32 * 4 | 0, i50 | 0);
    if ((i50 | 0) > (get32(42 * 4 | 0) | 0)) set32(42 * 4 | 0, i50 | 0);
    if (!(get32(50 * 4 | 0) | 0)) {
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i31);
     i195 = i83;
     i196 = i85;
     i58 = 251;
     break;
    }
    i50 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i31) | 0;
    i49 = (get32(30 * 4 | 0) | 0) - i50 | 0;
    set32(30 * 4 | 0, i49 | 0);
    if ((i49 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i49 | 0);
    i49 = (get32(39 * 4 | 0) | 0) + -1 | 0;
    set32(39 * 4 | 0, i49 | 0);
    if ((i49 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i49 | 0);
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i31);
    i195 = i83;
    i196 = i85;
    i58 = 251;
   }
  } else {
   i195 = i31;
   i196 = i48;
   i58 = 251;
  } while (0);
  if ((i58 | 0) == 251) {
   i58 = 0;
   set8(i62 >> 0 | 0, 0 | 0);
   if (!i61) {
    i197 = i195;
    i198 = i196;
   } else {
    i81 = i195;
    i82 = i196;
    i58 = 252;
   }
  }
  if ((i58 | 0) == 252) {
   i58 = 0;
   _sqlite3PagerUnref(get32(i61 + 68 | 0) | 0);
   i197 = i81;
   i198 = i82;
  }
  i30 = (get16(i22 | 0) | 0) + -1 << 16 >> 16;
  set16(i22 | 0, i30 | 0);
  if (i198) {
   i36 = i197;
   i37 = i198;
   break;
  } else i31 = i197;
 }
 if (!i36) {
  STACKTOP = i2;
  return i37 | 0;
 }
 if ((get32(379 * 4 | 0) | 0) >>> 0 <= i36 >>> 0 & (get32(380 * 4 | 0) | 0) >>> 0 > i36 >>> 0) {
  i197 = (get32(31 * 4 | 0) | 0) + -1 | 0;
  set32(31 * 4 | 0, i197 | 0);
  if ((i197 | 0) > (get32(41 * 4 | 0) | 0)) set32(41 * 4 | 0, i197 | 0);
  set32(i36 | 0, get32(383 * 4 | 0) | 0);
  set32(383 * 4 | 0, i36 | 0);
  i197 = (get32(382 * 4 | 0) | 0) + 1 | 0;
  set32(382 * 4 | 0, i197 | 0);
  set32(384 * 4 | 0, (i197 | 0) < (get32(378 * 4 | 0) | 0) & 1 | 0);
  STACKTOP = i2;
  return i37 | 0;
 }
 i197 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i36) | 0;
 i31 = (get32(32 * 4 | 0) | 0) - i197 | 0;
 set32(32 * 4 | 0, i31 | 0);
 if ((i31 | 0) > (get32(42 * 4 | 0) | 0)) set32(42 * 4 | 0, i31 | 0);
 if (!(get32(50 * 4 | 0) | 0)) {
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i36);
  STACKTOP = i2;
  return i37 | 0;
 }
 i31 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i36) | 0;
 i197 = (get32(30 * 4 | 0) | 0) - i31 | 0;
 set32(30 * 4 | 0, i197 | 0);
 if ((i197 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i197 | 0);
 i197 = (get32(39 * 4 | 0) | 0) + -1 | 0;
 set32(39 * 4 | 0, i197 | 0);
 if ((i197 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i197 | 0);
 FUNCTION_TABLE_vi[get32(232 | 0) & 31](i36);
 STACKTOP = i2;
 return i37 | 0;
}

function _sqlite3VdbeHalt(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0, i80 = 0, i81 = 0, i82 = 0, i83 = 0, i84 = 0, i85 = 0, i86 = 0, i87 = 0, i88 = 0, i89 = 0, i90 = 0, i91 = 0, i92 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i3 = i2 + 16 | 0;
 i4 = i2 + 8 | 0;
 i5 = i2;
 i6 = i2 + 28 | 0;
 i7 = i2 + 24 | 0;
 i8 = get32(i1 | 0) | 0;
 i9 = i8 + 30 | 0;
 if (get8(i9 >> 0 | 0) | 0) set32(i1 + 92 | 0, 7 | 0);
 i10 = i1 + 168 | 0;
 i11 = get32(i10 | 0) | 0;
 if (i11) {
  i12 = i11;
  while (1) {
   i11 = get32(i12 + 60 | 0) | 0;
   if (!i11) {
    i13 = i12;
    break;
   } else i12 = i11;
  }
  i12 = get32(i13 | 0) | 0;
  set32(i12 + 4 | 0, get32(i13 + 8 | 0) | 0);
  set32(i12 + 28 | 0, get32(i13 + 12 | 0) | 0);
  set32(i12 + 8 | 0, get32(i13 + 16 | 0) | 0);
  set32(i12 + 24 | 0, get32(i13 + 20 | 0) | 0);
  set32(i12 + 68 | 0, get32(i13 + 24 | 0) | 0);
  set16(i12 + 50 | 0, get16(i13 + 28 | 0) | 0 | 0);
  i11 = i13 + 48 | 0;
  i14 = get32(i11 + 4 | 0) | 0;
  i15 = (get32(i12 | 0) | 0) + 48 | 0;
  set32(i15 | 0, get32(i11 | 0) | 0);
  set32(i15 + 4 | 0, i14 | 0);
  set32(i12 + 108 | 0, get32(i13 + 56 | 0) | 0);
 }
 set32(i10 | 0, 0 | 0);
 set32(i1 + 176 | 0, 0 | 0);
 i10 = i1 + 68 | 0;
 i13 = get32(i10 | 0) | 0;
 L9 : do if ((i13 | 0) != 0 ? (i12 = i1 + 50 | 0, i14 = get16(i12 | 0) | 0, i14 << 16 >> 16 != 0) : 0) {
  i15 = i1 + 102 | 0;
  i11 = i14;
  i14 = i13;
  i16 = 0;
  while (1) {
   i17 = get32(i14 + (i16 << 2) | 0) | 0;
   if (!i17) i18 = i11; else {
    i19 = get32(i17 + 4 | 0) | 0;
    if (!i19) {
     i20 = get32(i17 | 0) | 0;
     if (i20) _sqlite3BtreeCloseCursor(i20);
    } else _sqlite3BtreeClose(i19);
    i19 = get32(i17 + 36 | 0) | 0;
    if (i19) {
     i20 = get32(i17 + 40 | 0) | 0;
     set8(i15 >> 0 | 0, 1 | 0);
     FUNCTION_TABLE_ii[get32(i20 + 28 | 0) & 127](i19) | 0;
     set8(i15 >> 0 | 0, 0 | 0);
    }
    set32((get32(i10 | 0) | 0) + (i16 << 2) | 0, 0 | 0);
    i18 = get16(i12 | 0) | 0;
   }
   i19 = i16 + 1 | 0;
   if ((i19 | 0) >= (i18 & 65535 | 0)) break L9;
   i11 = i18;
   i14 = get32(i10 | 0) | 0;
   i16 = i19;
  }
 } while (0);
 i10 = get32(i1 + 8 | 0) | 0;
 L27 : do if ((i10 | 0) != 0 ? (i18 = i10 + 40 | 0, i13 = get32(i1 + 24 | 0) | 0, (i13 | 0) != 0) : 0) {
  i16 = get32(i18 | 0) | 0;
  i14 = i16 + 30 | 0;
  i11 = get8(i14 >> 0 | 0) | 0;
  i12 = i10 + ((i13 + 1 | 0) * 40 | 0) | 0;
  i15 = (i13 | 0) > 0;
  if (get32(i16 + 504 | 0) | 0) {
   if (i15) {
    i21 = i18;
    i22 = i10;
   } else break;
   while (1) {
    _sqlite3DbFree(i16, get32(i22 + 76 | 0) | 0);
    i13 = i21 + 40 | 0;
    if (i13 >>> 0 < i12 >>> 0) {
     i19 = i21;
     i21 = i13;
     i22 = i19;
    } else break L27;
   }
  }
  if (i15) {
   i19 = i18;
   i13 = i10;
   while (1) {
    i20 = i13 + 68 | 0;
    if (!(get16(i20 | 0) & 9312)) {
     i17 = i13 + 76 | 0;
     i23 = get32(i17 | 0) | 0;
     if (i23) {
      _sqlite3DbFree(i16, i23);
      set32(i17 | 0, 0 | 0);
     }
    } else {
     _sqlite3VdbeMemReleaseExternal(i19);
     i17 = i13 + 76 | 0;
     _sqlite3DbFree(get32(i13 + 40 | 0) | 0, get32(i17 | 0) | 0);
     set32(i13 + 44 | 0, 0 | 0);
     set32(i17 | 0, 0 | 0);
     set32(i13 + 72 | 0, 0 | 0);
    }
    set16(i20 | 0, 1 | 0);
    i20 = i19 + 40 | 0;
    if (i20 >>> 0 < i12 >>> 0) {
     i17 = i19;
     i19 = i20;
     i13 = i17;
    } else break;
   }
  }
  set8(i14 >> 0 | 0, i11 | 0);
 } while (0);
 i10 = i1 + 172 | 0;
 i22 = get32(i10 | 0) | 0;
 if (i22) {
  i21 = i22;
  do {
   set32(i10 | 0, get32(i21 + 60 | 0) | 0);
   i22 = i21 + 64 | 0;
   i13 = i21 + 36 | 0;
   i19 = get32(i13 | 0) | 0;
   i12 = i22 + (i19 * 40 | 0) | 0;
   i16 = i21 + 40 | 0;
   if ((get32(i16 | 0) | 0) > 0) {
    i18 = 0;
    do {
     i15 = get32(i21 | 0) | 0;
     i17 = get32(i12 + (i18 << 2) | 0) | 0;
     if (i17) {
      i20 = get32(i17 + 4 | 0) | 0;
      if (!i20) {
       i23 = get32(i17 | 0) | 0;
       if (i23) _sqlite3BtreeCloseCursor(i23);
      } else _sqlite3BtreeClose(i20);
      i20 = get32(i17 + 36 | 0) | 0;
      if (i20) {
       i23 = get32(i17 + 40 | 0) | 0;
       i17 = i15 + 102 | 0;
       set8(i17 >> 0 | 0, 1 | 0);
       FUNCTION_TABLE_ii[get32(i23 + 28 | 0) & 127](i20) | 0;
       set8(i17 >> 0 | 0, 0 | 0);
      }
     }
     i18 = i18 + 1 | 0;
    } while ((i18 | 0) < (get32(i16 | 0) | 0));
    i24 = get32(i13 | 0) | 0;
   } else i24 = i19;
   L64 : do if (i24) {
    i16 = get32(i22 | 0) | 0;
    i18 = i16 + 30 | 0;
    i12 = get8(i18 >> 0 | 0) | 0;
    i11 = i22 + (i24 * 40 | 0) | 0;
    i14 = (i24 | 0) > 0;
    if (get32(i16 + 504 | 0) | 0) {
     if (i14) i25 = i22; else break;
     while (1) {
      _sqlite3DbFree(i16, get32(i25 + 36 | 0) | 0);
      i25 = i25 + 40 | 0;
      if (i25 >>> 0 >= i11 >>> 0) break L64;
     }
    }
    if (i14) {
     i17 = i22;
     do {
      i20 = i17 + 28 | 0;
      if (!(get16(i20 | 0) & 9312)) {
       i23 = i17 + 36 | 0;
       i15 = get32(i23 | 0) | 0;
       if (i15) {
        _sqlite3DbFree(i16, i15);
        set32(i23 | 0, 0 | 0);
       }
      } else {
       _sqlite3VdbeMemReleaseExternal(i17);
       i23 = i17 + 36 | 0;
       _sqlite3DbFree(get32(i17 | 0) | 0, get32(i23 | 0) | 0);
       set32(i17 + 4 | 0, 0 | 0);
       set32(i23 | 0, 0 | 0);
       set32(i17 + 32 | 0, 0 | 0);
      }
      set16(i20 | 0, 1 | 0);
      i17 = i17 + 40 | 0;
     } while (i17 >>> 0 < i11 >>> 0);
    }
    set8(i18 >> 0 | 0, i12 | 0);
   } while (0);
   _sqlite3DbFree(get32(get32(i21 | 0) | 0) | 0, i21);
   i21 = get32(i10 | 0) | 0;
  } while ((i21 | 0) != 0);
 }
 i21 = i1 + 52 | 0;
 if ((get32(i21 | 0) | 0) != -1108210269) {
  i26 = 0;
  STACKTOP = i2;
  return i26 | 0;
 }
 i10 = i1 + 88 | 0;
 if ((get32(i10 | 0) | 0) > -1) {
  i25 = i1 + 92 | 0;
  i24 = get32(i25 | 0) | 0;
  i22 = i24 & 255;
  i19 = i22 + -7 | 0;
  L87 : do if (i19 >>> 0 < 7 ? (i13 = (77 >>> (i19 & 127) & 1) != 0, i13) : 0) if ((i22 | 0) != 9 | (get8(i1 + 104 >> 0 | 0) | 0) == 0) {
   switch (i22 | 0) {
   case 7:
   case 13:
    {
     if (get8(i1 + 103 >> 0 | 0) | 0) {
      i27 = i24;
      i28 = i13;
      i29 = 2;
      break L87;
     }
     break;
    }
   default:
    {}
   }
   i11 = i8 + 4 | 0;
   i17 = get32(i11 | 0) | 0;
   if ((i17 | 0) > 0) {
    i16 = i8 + 8 | 0;
    i14 = i17;
    i17 = 0;
    while (1) {
     i20 = get32((get32(i16 | 0) | 0) + (i17 << 4) + 4 | 0) | 0;
     if (((i20 | 0) != 0 ? (get8(i20 + 8 >> 0 | 0) | 0) == 2 : 0) ? (i23 = get32(i20 + 4 | 0) | 0, set32(i23 + 4 | 0, get32(i20 | 0) | 0), i20 = get32(i23 + 8 | 0) | 0, (i20 | 0) != 0) : 0) {
      i23 = i20;
      do {
       i20 = i23 + 72 | 0;
       i15 = get32(i20 | 0) | 0;
       do if (i15) {
        if (!(get32(50 * 4 | 0) | 0)) {
         FUNCTION_TABLE_vi[get32(232 | 0) & 31](i15);
         break;
        }
        i30 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i15) | 0;
        i31 = (get32(30 * 4 | 0) | 0) - i30 | 0;
        set32(30 * 4 | 0, i31 | 0);
        if ((i31 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i31 | 0);
        i31 = (get32(39 * 4 | 0) | 0) + -1 | 0;
        set32(39 * 4 | 0, i31 | 0);
        if ((i31 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i31 | 0);
        FUNCTION_TABLE_vi[get32(232 | 0) & 31](i15);
       } while (0);
       set32(i20 | 0, 0 | 0);
       set8(i23 + 83 >> 0 | 0, 3 | 0);
       set32(i23 + 76 | 0, 4 | 0);
       i15 = i23 + 90 | 0;
       if ((get16(i15 | 0) | 0) >= 0) {
        i31 = 0;
        while (1) {
         i30 = i23 + 132 + (i31 << 2) | 0;
         i32 = get32(i30 | 0) | 0;
         if (i32) _sqlite3PagerUnref(get32(i32 + 68 | 0) | 0);
         set32(i30 | 0, 0 | 0);
         if ((i31 | 0) < (get16(i15 | 0) | 0)) i31 = i31 + 1 | 0; else break;
        }
       }
       i23 = get32(i23 + 8 | 0) | 0;
      } while ((i23 | 0) != 0);
      i33 = get32(i11 | 0) | 0;
     } else i33 = i14;
     i17 = i17 + 1 | 0;
     if ((i17 | 0) >= (i33 | 0)) break; else i14 = i33;
    }
   }
   _sqlite3RollbackAll(i8);
   i14 = i8 + 476 | 0;
   i17 = get32(i14 | 0) | 0;
   if (i17) {
    i11 = i17;
    do {
     set32(i14 | 0, get32(i11 + 16 | 0) | 0);
     _sqlite3DbFree(i8, i11);
     i11 = get32(i14 | 0) | 0;
    } while ((i11 | 0) != 0);
   }
   set32(i8 + 480 | 0, 0 | 0);
   set32(i8 + 484 | 0, 0 | 0);
   set8(i8 + 488 >> 0 | 0, 0 | 0);
   set8(i8 + 28 >> 0 | 0, 1 | 0);
   i27 = get32(i25 | 0) | 0;
   i28 = i13;
   i29 = 0;
  } else {
   i27 = i24;
   i28 = 1;
   i29 = 0;
  } else {
   i27 = i24;
   i28 = 0;
   i29 = 0;
  } while (0);
  if ((i27 | 0) == 0 ? (i27 = i1 + 144 | 0, i24 = get32(i27 + 4 | 0) | 0, (i24 | 0) > 0 | (i24 | 0) == 0 & (get32(i27 | 0) | 0) >>> 0 > 0) : 0) {
   i27 = get32(i1 | 0) | 0;
   set32(i25 | 0, 19 | 0);
   set8(i1 + 96 >> 0 | 0, 2 | 0);
   _sqlite3SetString(i1 + 56 | 0, i27, 19759, i5);
  }
  i5 = i8 + 312 | 0;
  i27 = get32(i5 | 0) | 0;
  i24 = (i27 | 0) > 0;
  if (i24 ? (get32(i8 + 308 | 0) | 0) == 0 : 0) i34 = 310; else if ((get8(i8 + 28 >> 0 | 0) | 0) != 0 ? (i33 = i1 + 104 | 0, (get32(i8 + 144 | 0) | 0) == ((get8(i33 >> 0 | 0) | 0) == 0 | 0)) : 0) {
   if ((get32(i25 | 0) | 0) != 0 ? i28 | (get8(i1 + 96 >> 0 | 0) | 0) != 3 : 0) _sqlite3RollbackAll(i8); else i34 = 96;
   L144 : do if ((i34 | 0) == 96) {
    i28 = get32(i1 | 0) | 0;
    i22 = i28 + 496 | 0;
    i19 = get32(i22 + 4 | 0) | 0;
    L146 : do if ((i19 | 0) > 0 | (i19 | 0) == 0 & (get32(i22 | 0) | 0) >>> 0 > 0) {
     set32(i25 | 0, 19 | 0);
     set8(i1 + 96 >> 0 | 0, 2 | 0);
     _sqlite3SetString(i1 + 56 | 0, i28, 19759, i4);
     if (!(get8(i33 >> 0 | 0) | 0)) i35 = 19; else {
      i26 = 1;
      STACKTOP = i2;
      return i26 | 0;
     }
    } else {
     i11 = i1 + 56 | 0;
     i14 = i8 + 308 | 0;
     i17 = get32(i14 | 0) | 0;
     set32(i14 | 0, 0 | 0);
     i16 = i8 + 234 | 0;
     i23 = i8 + 232 | 0;
     i12 = i8 + 248 | 0;
     i18 = i8 + 256 | 0;
     i31 = i8 + 252 | 0;
     i15 = i8 + 236 | 0;
     i20 = i8 + 244 | 0;
     i30 = i8 + 240 | 0;
     L150 : do if (i24) {
      i32 = i27;
      i36 = 0;
      L151 : while (1) {
       i37 = get32((get32(i17 + (i36 << 2) | 0) | 0) + 8 | 0) | 0;
       do if (!i37) i38 = i32; else {
        i39 = get32((get32(i37 | 0) | 0) + 60 | 0) | 0;
        if (!i39) {
         i38 = i32;
         break;
        }
        i40 = FUNCTION_TABLE_ii[i39 & 127](i37) | 0;
        _sqlite3DbFree(i8, get32(i11 | 0) | 0);
        i39 = i37 + 8 | 0;
        i41 = get32(i39 | 0) | 0;
        L156 : do if (!i41) i42 = 0; else {
         i43 = i41;
         while (1) if (!(get8(i43 >> 0 | 0) | 0)) {
          i44 = i43;
          break;
         } else i43 = i43 + 1 | 0;
         i43 = (i44 - i41 & 1073741823) + 1 | 0;
         if (get8(i9 >> 0 | 0) | 0) {
          i42 = 0;
          break;
         }
         do if (!(get8(i16 >> 0 | 0) | 0)) i34 = 112; else {
          if ((getU16(i23 | 0) | 0) >>> 0 < i43 >>> 0) {
           set32(i12 | 0, (get32(i12 | 0) | 0) + 1 | 0);
           i34 = 112;
           break;
          }
          i45 = get32(i18 | 0) | 0;
          if (!i45) {
           set32(i31 | 0, (get32(i31 | 0) | 0) + 1 | 0);
           i34 = 112;
           break;
          }
          set32(i18 | 0, get32(i45 | 0) | 0);
          i46 = get32(i15 | 0) | 0;
          i47 = i46 + 1 | 0;
          set32(i15 | 0, i47 | 0);
          set32(i20 | 0, (get32(i20 | 0) | 0) + 1 | 0);
          if ((i46 | 0) >= (get32(i30 | 0) | 0)) set32(i30 | 0, i47 | 0);
          i48 = i45;
         } while (0);
         L172 : do if ((i34 | 0) == 112) {
          i34 = 0;
          do if (!(get32(50 * 4 | 0) | 0)) {
           i45 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i43) | 0;
           if (i45) {
            i48 = i45;
            break L172;
           }
          } else {
           i45 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i43) | 0;
           set32(35 * 4 | 0, i43 | 0);
           if ((get32(45 * 4 | 0) | 0) < (i43 | 0)) set32(45 * 4 | 0, i43 | 0);
           i47 = get32(6 * 4 | 0) | 0;
           do if (i47) {
            i46 = get32(30 * 4 | 0) | 0;
            i49 = ((i46 | 0) < 0) << 31 >> 31;
            i50 = 16;
            i51 = _i64Subtract(get32(i50 | 0) | 0, get32(i50 + 4 | 0) | 0, i45 | 0, ((i45 | 0) < 0) << 31 >> 31 | 0) | 0;
            i50 = tempRet0;
            if ((i49 | 0) < (i50 | 0) | (i49 | 0) == (i50 | 0) & i46 >>> 0 < i51 >>> 0) {
             set32(11 * 4 | 0, 0 | 0);
             break;
            } else {
             set32(11 * 4 | 0, 1 | 0);
             i51 = get32(7 * 4 | 0) | 0;
             set32(6 * 4 | 0, 0 | 0);
             FUNCTION_TABLE_viiii[i47 & 15](i51, i46, i49, i45);
             set32(6 * 4 | 0, i47 | 0);
             set32(7 * 4 | 0, i51 | 0);
             break;
            }
           } while (0);
           i47 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i45) | 0;
           if (!i47) break;
           i51 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i47) | 0;
           i49 = (get32(30 * 4 | 0) | 0) + i51 | 0;
           set32(30 * 4 | 0, i49 | 0);
           if ((i49 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i49 | 0);
           i49 = get32(39 * 4 | 0) | 0;
           i51 = i49 + 1 | 0;
           set32(39 * 4 | 0, i51 | 0);
           if ((i49 | 0) < (get32(49 * 4 | 0) | 0)) {
            i48 = i47;
            break L172;
           }
           set32(49 * 4 | 0, i51 | 0);
           i48 = i47;
           break L172;
          } while (0);
          set8(i9 >> 0 | 0, 1 | 0);
          i42 = 0;
          break L156;
         } while (0);
         _memcpy(i48 | 0, i41 | 0, i43 | 0) | 0;
         i42 = i48;
        } while (0);
        set32(i11 | 0, i42 | 0);
        i41 = get32(i39 | 0) | 0;
        do if (i41) {
         if (!(get32(50 * 4 | 0) | 0)) {
          FUNCTION_TABLE_vi[get32(232 | 0) & 31](i41);
          break;
         }
         i47 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i41) | 0;
         i51 = (get32(30 * 4 | 0) | 0) - i47 | 0;
         set32(30 * 4 | 0, i51 | 0);
         if ((i51 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i51 | 0);
         i51 = (get32(39 * 4 | 0) | 0) + -1 | 0;
         set32(39 * 4 | 0, i51 | 0);
         if ((i51 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i51 | 0);
         FUNCTION_TABLE_vi[get32(232 | 0) & 31](i41);
        } while (0);
        if (i40) {
         i52 = i40;
         break L151;
        }
        i38 = get32(i5 | 0) | 0;
       } while (0);
       i36 = i36 + 1 | 0;
       if ((i36 | 0) >= (i38 | 0)) {
        i34 = 139;
        break L150;
       } else i32 = i38;
      }
      set32(i14 | 0, i17 | 0);
      i53 = i52;
      i34 = 304;
     } else i34 = 139; while (0);
     L209 : do if ((i34 | 0) == 139) {
      set32(i14 | 0, i17 | 0);
      i11 = i8 + 4 | 0;
      i30 = i8 + 8 | 0;
      do if ((get32(i11 | 0) | 0) > 0) {
       i20 = 0;
       i15 = 0;
       i18 = 0;
       L212 : while (1) {
        i31 = get32((get32(i30 | 0) | 0) + (i20 << 4) + 4 | 0) | 0;
        L214 : do if (!i31) {
         i54 = i15;
         i55 = i18;
        } else {
         if ((get8(i31 + 8 >> 0 | 0) | 0) != 2) {
          i54 = i15;
          i55 = i18;
          break;
         }
         i12 = ((i20 | 0) != 1 & 1) + i15 | 0;
         i23 = get32(get32(i31 + 4 | 0) | 0) | 0;
         if (get32(i23 + 172 | 0) | 0) {
          i54 = i12;
          i55 = 1;
          break;
         }
         i16 = i23 + 16 | 0;
         i32 = i23 + 60 | 0;
         i36 = i23 + 152 | 0;
         i37 = i23 + 156 | 0;
         L218 : while (1) {
          switch (get8(i16 >> 0 | 0) | 0) {
          case 0:
          case 1:
          case 2:
          case 3:
          case 5:
           break;
          default:
           {
            i54 = i12;
            i55 = 1;
            break L214;
           }
          }
          i23 = get32(i32 | 0) | 0;
          i41 = FUNCTION_TABLE_iii[get32((get32(i23 | 0) | 0) + 28 | 0) & 127](i23, 4) | 0;
          switch (i41 | 0) {
          case 0:
           {
            break L218;
            break;
           }
          case 5:
           break;
          default:
           {
            i53 = i41;
            i34 = 304;
            break L209;
           }
          }
          if (!(FUNCTION_TABLE_ii[get32(i36 | 0) & 127](get32(i37 | 0) | 0) | 0)) {
           i34 = 148;
           break L212;
          }
         }
         set8(i16 >> 0 | 0, 4 | 0);
         i54 = i12;
         i55 = 1;
        } while (0);
        i20 = i20 + 1 | 0;
        if ((i20 | 0) >= (get32(i11 | 0) | 0)) {
         i56 = i54;
         i57 = i55;
         break;
        } else {
         i15 = i54;
         i18 = i55;
        }
       }
       if ((i34 | 0) == 148) break L209;
       if (!i57) {
        i58 = i56;
        i34 = 153;
        break;
       }
       i18 = get32(i8 + 172 | 0) | 0;
       if (!i18) {
        i58 = i56;
        i34 = 153;
        break;
       }
       if (!(FUNCTION_TABLE_ii[i18 & 127](get32(i8 + 168 | 0) | 0) | 0)) {
        i58 = i56;
        i34 = 153;
       } else i59 = 19;
      } else {
       i58 = 0;
       i34 = 153;
      } while (0);
      L229 : do if ((i34 | 0) == 153) {
       i18 = get32((get32(i30 | 0) | 0) + 4 | 0) | 0;
       i15 = get32((get32(get32(i18 + 4 | 0) | 0) | 0) + 144 | 0) | 0;
       L231 : do if (!i15) i34 = 156; else {
        i20 = i15;
        while (1) if (!(get8(i20 >> 0 | 0) | 0)) {
         i60 = i20;
         break;
        } else i20 = i20 + 1 | 0;
        if ((i58 | 0) < 2 | (i60 - i15 & 1073741823 | 0) == 0) {
         i34 = 156;
         break;
        }
        i20 = get32(i8 | 0) | 0;
        i31 = i20 + 32 | 0;
        i40 = 0;
        do {
         _sqlite3DbFree(i8, i40);
         _sqlite3_randomness(4, i7);
         i37 = get32(i7 | 0) & 2147483647;
         set32(i3 | 0, i15 | 0);
         set32(i3 + 4 | 0, i37 | 0);
         i40 = _sqlite3MPrintf(i8, 19789, i3) | 0;
         if (!i40) {
          i59 = 7;
          break L229;
         }
         i61 = FUNCTION_TABLE_iiiii[get32(i31 | 0) & 31](i20, i40, 0, i6) | 0;
         i62 = (i61 | 0) == 0;
        } while (i62 & (get32(i6 | 0) | 0) != 0);
        L240 : do if (i62) {
         i31 = get32(i20 + 4 | 0) | 0;
         if ((i31 + -1 | 0) >>> 0 > 2147483390) {
          i63 = 7;
          break;
         }
         do if (!(get32(50 * 4 | 0) | 0)) {
          i37 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i31) | 0;
          if (!i37) {
           i63 = 7;
           break L240;
          } else i64 = i37;
         } else {
          i37 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i31) | 0;
          set32(35 * 4 | 0, i31 | 0);
          if ((get32(45 * 4 | 0) | 0) < (i31 | 0)) set32(45 * 4 | 0, i31 | 0);
          i36 = get32(6 * 4 | 0) | 0;
          do if (i36) {
           i32 = get32(30 * 4 | 0) | 0;
           i43 = ((i32 | 0) < 0) << 31 >> 31;
           i41 = 16;
           i23 = _i64Subtract(get32(i41 | 0) | 0, get32(i41 + 4 | 0) | 0, i37 | 0, ((i37 | 0) < 0) << 31 >> 31 | 0) | 0;
           i41 = tempRet0;
           if ((i43 | 0) < (i41 | 0) | (i43 | 0) == (i41 | 0) & i32 >>> 0 < i23 >>> 0) {
            set32(11 * 4 | 0, 0 | 0);
            break;
           } else {
            set32(11 * 4 | 0, 1 | 0);
            i23 = get32(7 * 4 | 0) | 0;
            set32(6 * 4 | 0, 0 | 0);
            FUNCTION_TABLE_viiii[i36 & 15](i23, i32, i43, i37);
            set32(6 * 4 | 0, i36 | 0);
            set32(7 * 4 | 0, i23 | 0);
            break;
           }
          } while (0);
          i36 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i37) | 0;
          if (!i36) {
           i63 = 7;
           break L240;
          }
          i23 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i36) | 0;
          i43 = (get32(30 * 4 | 0) | 0) + i23 | 0;
          set32(30 * 4 | 0, i43 | 0);
          if ((i43 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i43 | 0);
          i43 = get32(39 * 4 | 0) | 0;
          i23 = i43 + 1 | 0;
          set32(39 * 4 | 0, i23 | 0);
          if ((i43 | 0) < (get32(49 * 4 | 0) | 0)) {
           i64 = i36;
           break;
          }
          set32(49 * 4 | 0, i23 | 0);
          i64 = i36;
         } while (0);
         i31 = FUNCTION_TABLE_iiiiii[get32(i20 + 24 | 0) & 31](i20, i40, i64, 16406, 0) | 0;
         if (i31) {
          if (!(get32(50 * 4 | 0) | 0)) {
           FUNCTION_TABLE_vi[get32(232 | 0) & 31](i64);
           i63 = i31;
           break;
          }
          i12 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i64) | 0;
          i16 = (get32(30 * 4 | 0) | 0) - i12 | 0;
          set32(30 * 4 | 0, i16 | 0);
          if ((i16 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i16 | 0);
          i16 = (get32(39 * 4 | 0) | 0) + -1 | 0;
          set32(39 * 4 | 0, i16 | 0);
          if ((i16 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i16 | 0);
          FUNCTION_TABLE_vi[get32(232 | 0) & 31](i64);
          i63 = i31;
          break;
         }
         i31 = get32(i11 | 0) | 0;
         L273 : do if ((i31 | 0) > 0) {
          i16 = i31;
          i12 = 0;
          i36 = 0;
          i23 = 0;
          i43 = 0;
          L275 : while (1) {
           i32 = get32((get32(i30 | 0) | 0) + (i23 << 4) + 4 | 0) | 0;
           do if (!i32) {
            i65 = i12;
            i66 = i36;
            i67 = i16;
            i68 = i43;
           } else {
            if ((get8(i32 + 8 >> 0 | 0) | 0) != 2) {
             i65 = i12;
             i66 = i36;
             i67 = i16;
             i68 = i43;
             break;
            }
            i41 = get32(i32 + 4 | 0) | 0;
            i39 = get32(i41 | 0) | 0;
            i51 = get32(i39 + 148 | 0) | 0;
            if (!i51) {
             i65 = i12;
             i66 = i36;
             i67 = i16;
             i68 = i43;
             break;
            }
            if (!i43) {
             set32(i41 + 4 | 0, get32(i32 | 0) | 0);
             i69 = (get8(i39 + 8 >> 0 | 0) | 0) == 0 & 1;
            } else i69 = i43;
            i39 = i51;
            while (1) if (!(get8(i39 >> 0 | 0) | 0)) {
             i70 = i39;
             break;
            } else i39 = i39 + 1 | 0;
            i39 = i51;
            i41 = FUNCTION_TABLE_iiiiii[get32((get32(i64 | 0) | 0) + 12 | 0) & 31](i64, i51, (i70 - i39 & 1073741823) + 1 | 0, i12, i36) | 0;
            i47 = i51;
            while (1) if (!(get8(i47 >> 0 | 0) | 0)) {
             i71 = i47;
             break;
            } else i47 = i47 + 1 | 0;
            if (i41) {
             i72 = i41;
             i34 = 230;
             break L275;
            }
            i47 = _i64Add((i71 - i39 & 1073741823) + 1 | 0, 0, i12 | 0, i36 | 0) | 0;
            i65 = i47;
            i66 = tempRet0;
            i67 = get32(i11 | 0) | 0;
            i68 = i69;
           } while (0);
           i23 = i23 + 1 | 0;
           if ((i23 | 0) >= (i67 | 0)) {
            i73 = i68;
            break;
           } else {
            i16 = i67;
            i12 = i65;
            i36 = i66;
            i43 = i68;
           }
          }
          if ((i34 | 0) == 230) {
           i43 = get32(i64 | 0) | 0;
           if (i43) {
            FUNCTION_TABLE_ii[get32(i43 + 4 | 0) & 127](i64) | 0;
            set32(i64 | 0, 0 | 0);
           }
           if (!(get32(50 * 4 | 0) | 0)) FUNCTION_TABLE_vi[get32(232 | 0) & 31](i64); else {
            i43 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i64) | 0;
            i36 = (get32(30 * 4 | 0) | 0) - i43 | 0;
            set32(30 * 4 | 0, i36 | 0);
            if ((i36 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i36 | 0);
            i36 = (get32(39 * 4 | 0) | 0) + -1 | 0;
            set32(39 * 4 | 0, i36 | 0);
            if ((i36 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i36 | 0);
            FUNCTION_TABLE_vi[get32(232 | 0) & 31](i64);
           }
           FUNCTION_TABLE_iiii[get32(i20 + 28 | 0) & 63](i20, i40, 0) | 0;
           _sqlite3DbFree(i8, i40);
           i53 = i72;
           i34 = 304;
           break L209;
          }
          do if (i73) {
           if ((FUNCTION_TABLE_ii[get32((get32(i64 | 0) | 0) + 48 | 0) & 127](i64) | 0) & 1024) break;
           i36 = FUNCTION_TABLE_iii[get32((get32(i64 | 0) | 0) + 20 | 0) & 127](i64, 2) | 0;
           if (!i36) break;
           i43 = get32(i64 | 0) | 0;
           if (i43) {
            FUNCTION_TABLE_ii[get32(i43 + 4 | 0) & 127](i64) | 0;
            set32(i64 | 0, 0 | 0);
           }
           if (!(get32(50 * 4 | 0) | 0)) FUNCTION_TABLE_vi[get32(232 | 0) & 31](i64); else {
            i43 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i64) | 0;
            i12 = (get32(30 * 4 | 0) | 0) - i43 | 0;
            set32(30 * 4 | 0, i12 | 0);
            if ((i12 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i12 | 0);
            i12 = (get32(39 * 4 | 0) | 0) + -1 | 0;
            set32(39 * 4 | 0, i12 | 0);
            if ((i12 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i12 | 0);
            FUNCTION_TABLE_vi[get32(232 | 0) & 31](i64);
           }
           FUNCTION_TABLE_iiii[get32(i20 + 28 | 0) & 63](i20, i40, 0) | 0;
           _sqlite3DbFree(i8, i40);
           i53 = i36;
           i34 = 304;
           break L209;
          } while (0);
          i36 = get32(i11 | 0) | 0;
          if ((i36 | 0) > 0) {
           i74 = i36;
           i75 = 0;
          } else {
           i76 = 1;
           i77 = 0;
           break;
          }
          while (1) {
           i36 = get32((get32(i30 | 0) | 0) + (i75 << 4) + 4 | 0) | 0;
           if (!i36) i78 = i74; else {
            i12 = _sqlite3BtreeCommitPhaseOne(i36, i40) | 0;
            if (i12) {
             i76 = 0;
             i77 = i12;
             break L273;
            }
            i78 = get32(i11 | 0) | 0;
           }
           i75 = i75 + 1 | 0;
           if ((i75 | 0) >= (i78 | 0)) {
            i76 = 1;
            i77 = 0;
            break;
           } else i74 = i78;
          }
         } else {
          i76 = 1;
          i77 = 0;
         } while (0);
         i31 = get32(i64 | 0) | 0;
         if (i31) {
          FUNCTION_TABLE_ii[get32(i31 + 4 | 0) & 127](i64) | 0;
          set32(i64 | 0, 0 | 0);
         }
         if (!(get32(50 * 4 | 0) | 0)) FUNCTION_TABLE_vi[get32(232 | 0) & 31](i64); else {
          i31 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i64) | 0;
          i12 = (get32(30 * 4 | 0) | 0) - i31 | 0;
          set32(30 * 4 | 0, i12 | 0);
          if ((i12 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i12 | 0);
          i12 = (get32(39 * 4 | 0) | 0) + -1 | 0;
          set32(39 * 4 | 0, i12 | 0);
          if ((i12 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i12 | 0);
          FUNCTION_TABLE_vi[get32(232 | 0) & 31](i64);
         }
         if (!i76) {
          _sqlite3DbFree(i8, i40);
          i53 = i77;
          i34 = 304;
          break L209;
         }
         i12 = FUNCTION_TABLE_iiii[get32(i20 + 28 | 0) & 63](i20, i40, 1) | 0;
         _sqlite3DbFree(i8, i40);
         if (i12) {
          i53 = i12;
          i34 = 304;
          break L209;
         }
         i12 = get32(366 * 4 | 0) | 0;
         if (i12) FUNCTION_TABLE_v[i12 & 1]();
         i12 = get32(i11 | 0) | 0;
         if ((i12 | 0) > 0) {
          i31 = i12;
          i12 = 0;
          while (1) {
           i36 = get32((get32(i30 | 0) | 0) + (i12 << 4) + 4 | 0) | 0;
           do if (!i36) i79 = i31; else {
            i43 = get8(i36 + 8 >> 0 | 0) | 0;
            if (!(i43 << 24 >> 24)) {
             i79 = i31;
             break;
            }
            i16 = get32(i36 + 4 | 0) | 0;
            set32(i16 + 4 | 0, get32(i36 | 0) | 0);
            if (i43 << 24 >> 24 == 2) {
             i43 = get32(i16 | 0) | 0;
             i23 = i43 + 40 | 0;
             L361 : do if (!(get32(i23 | 0) | 0)) {
              i37 = i43 + 15 | 0;
              do if ((get8(i37 >> 0 | 0) | 0) == 2) {
               if (!(get8(i43 + 4 >> 0 | 0) | 0)) break;
               if ((get8(i43 + 5 >> 0 | 0) | 0) != 1) break;
               set8(i37 >> 0 | 0, 1 | 0);
               break L361;
              } while (0);
              i39 = _pager_end_transaction(i43, getU8(i43 + 18 >> 0 | 0) | 0) | 0;
              switch (i39 & 255 | 0) {
              case 10:
              case 13:
               break;
              default:
               break L361;
              }
              set32(i23 | 0, i39 | 0);
              set8(i37 >> 0 | 0, 6 | 0);
             } while (0);
             set8(i16 + 23 >> 0 | 0, 1 | 0);
            }
            _btreeEndTransaction(i36);
            i79 = get32(i11 | 0) | 0;
           } while (0);
           i12 = i12 + 1 | 0;
           if ((i12 | 0) >= (i79 | 0)) break; else i31 = i79;
          }
         }
         i31 = get32(367 * 4 | 0) | 0;
         if (i31) FUNCTION_TABLE_v[i31 & 1]();
         i31 = get32(i14 | 0) | 0;
         if (!i31) break L231;
         if ((get32(i5 | 0) | 0) > 0) {
          i12 = i31;
          i36 = 0;
          while (1) {
           i23 = get32(i12 + (i36 << 2) | 0) | 0;
           i43 = i23 + 8 | 0;
           i39 = get32(i43 | 0) | 0;
           do if (i39) {
            i41 = get32((get32(i39 | 0) | 0) + 64 | 0) | 0;
            if (!i41) break;
            FUNCTION_TABLE_ii[i41 & 127](i39) | 0;
           } while (0);
           set32(i23 + 20 | 0, 0 | 0);
           i39 = get32(i23 | 0) | 0;
           i41 = i23 + 12 | 0;
           i32 = (get32(i41 | 0) | 0) + -1 | 0;
           set32(i41 | 0, i32 | 0);
           if (!i32) {
            i32 = get32(i43 | 0) | 0;
            if (i32) FUNCTION_TABLE_ii[get32((get32(i32 | 0) | 0) + 16 | 0) & 127](i32) | 0;
            _sqlite3DbFree(i39, i23);
           }
           i39 = i36 + 1 | 0;
           if ((i39 | 0) >= (get32(i5 | 0) | 0)) break;
           i12 = get32(i14 | 0) | 0;
           i36 = i39;
          }
          i80 = get32(i14 | 0) | 0;
         } else i80 = i31;
         _sqlite3DbFree(i8, i80);
         set32(i5 | 0, 0 | 0);
         set32(i14 | 0, 0 | 0);
         break L231;
        } else i63 = i61; while (0);
        _sqlite3DbFree(i8, i40);
        i53 = i63;
        i34 = 304;
        break L209;
       } while (0);
       do if ((i34 | 0) == 156) {
        i15 = get32(i11 | 0) | 0;
        do if ((i15 | 0) > 0) {
         i20 = i15;
         i36 = i18;
         i12 = 0;
         while (1) {
          if (!i36) i81 = i20; else {
           i39 = _sqlite3BtreeCommitPhaseOne(i36, 0) | 0;
           if (i39) {
            i53 = i39;
            i34 = 304;
            break L209;
           }
           i81 = get32(i11 | 0) | 0;
          }
          i39 = i12 + 1 | 0;
          if ((i39 | 0) >= (i81 | 0)) {
           i82 = i81;
           break;
          }
          i20 = i81;
          i36 = get32((get32(i30 | 0) | 0) + (i39 << 4) + 4 | 0) | 0;
          i12 = i39;
         }
         if ((i82 | 0) > 0) {
          i83 = i82;
          i84 = 0;
         } else break;
         while (1) {
          i12 = get32((get32(i30 | 0) | 0) + (i84 << 4) + 4 | 0) | 0;
          do if (!i12) i85 = i83; else {
           i36 = get8(i12 + 8 >> 0 | 0) | 0;
           if (!(i36 << 24 >> 24)) {
            i85 = i83;
            break;
           }
           i20 = get32(i12 + 4 | 0) | 0;
           set32(i20 + 4 | 0, get32(i12 | 0) | 0);
           if (i36 << 24 >> 24 == 2) {
            i36 = get32(i20 | 0) | 0;
            i31 = i36 + 40 | 0;
            i39 = get32(i31 | 0) | 0;
            if (i39) {
             i53 = i39;
             i34 = 304;
             break L209;
            }
            i39 = i36 + 15 | 0;
            do if ((get8(i39 >> 0 | 0) | 0) == 2) {
             if (!(get8(i36 + 4 >> 0 | 0) | 0)) {
              i34 = 171;
              break;
             }
             if ((get8(i36 + 5 >> 0 | 0) | 0) != 1) {
              i34 = 171;
              break;
             }
             set8(i39 >> 0 | 0, 1 | 0);
            } else i34 = 171; while (0);
            if ((i34 | 0) == 171) {
             i34 = 0;
             i16 = _pager_end_transaction(i36, getU8(i36 + 18 >> 0 | 0) | 0) | 0;
             switch (i16 & 255 | 0) {
             case 10:
             case 13:
              {
               set32(i31 | 0, i16 | 0);
               set8(i39 >> 0 | 0, 6 | 0);
               break;
              }
             default:
              {}
             }
             if (i16) {
              i53 = i16;
              i34 = 304;
              break L209;
             }
            }
            set8(i20 + 23 >> 0 | 0, 1 | 0);
           }
           _btreeEndTransaction(i12);
           i85 = get32(i11 | 0) | 0;
          } while (0);
          i84 = i84 + 1 | 0;
          if ((i84 | 0) >= (i85 | 0)) break; else i83 = i85;
         }
        } while (0);
        i15 = get32(i14 | 0) | 0;
        if (!i15) break;
        if ((get32(i5 | 0) | 0) > 0) {
         i40 = i15;
         i12 = 0;
         while (1) {
          i23 = get32(i40 + (i12 << 2) | 0) | 0;
          i43 = i23 + 8 | 0;
          i16 = get32(i43 | 0) | 0;
          do if (i16) {
           i32 = get32((get32(i16 | 0) | 0) + 64 | 0) | 0;
           if (!i32) break;
           FUNCTION_TABLE_ii[i32 & 127](i16) | 0;
          } while (0);
          set32(i23 + 20 | 0, 0 | 0);
          i16 = get32(i23 | 0) | 0;
          i32 = i23 + 12 | 0;
          i41 = (get32(i32 | 0) | 0) + -1 | 0;
          set32(i32 | 0, i41 | 0);
          if (!i41) {
           i41 = get32(i43 | 0) | 0;
           if (i41) FUNCTION_TABLE_ii[get32((get32(i41 | 0) | 0) + 16 | 0) & 127](i41) | 0;
           _sqlite3DbFree(i16, i23);
          }
          i16 = i12 + 1 | 0;
          if ((i16 | 0) >= (get32(i5 | 0) | 0)) break;
          i40 = get32(i14 | 0) | 0;
          i12 = i16;
         }
         i86 = get32(i14 | 0) | 0;
        } else i86 = i15;
        _sqlite3DbFree(i8, i86);
        set32(i5 | 0, 0 | 0);
        set32(i14 | 0, 0 | 0);
       } while (0);
       i34 = 307;
       break L209;
      } while (0);
      i35 = i59;
      break L146;
     } while (0);
     if ((i34 | 0) == 304) switch (i53 | 0) {
     case 5:
      break;
     case 0:
      {
       i34 = 307;
       break;
      }
     default:
      {
       i35 = i53;
       break L146;
      }
     }
     if ((i34 | 0) == 307) {
      i14 = i8 + 496 | 0;
      set32(i14 | 0, 0 | 0);
      set32(i14 + 4 | 0, 0 | 0);
      i14 = i8 + 12 | 0;
      set32(i14 | 0, get32(i14 | 0) & -513 | 0);
      break L144;
     }
     if (!(get8(i33 >> 0 | 0) | 0)) i35 = 5; else {
      i26 = 5;
      STACKTOP = i2;
      return i26 | 0;
     }
    } while (0);
    set32(i25 | 0, i35 | 0);
    _sqlite3RollbackAll(i8);
   } while (0);
   set32(i8 + 484 | 0, 0 | 0);
   i34 = 338;
  } else i34 = 310;
  L453 : do if ((i34 | 0) == 310) if (!i29) if (!(get32(i25 | 0) | 0)) {
   i87 = 1;
   i34 = 339;
  } else {
   switch (get8(i1 + 96 >> 0 | 0) | 0) {
   case 3:
    {
     i87 = 1;
     i34 = 339;
     break L453;
     break;
    }
   case 2:
    {
     i87 = 2;
     i34 = 339;
     break L453;
     break;
    }
   default:
    {}
   }
   i35 = i8 + 4 | 0;
   i33 = get32(i35 | 0) | 0;
   if ((i33 | 0) > 0) {
    i53 = i8 + 8 | 0;
    i59 = i33;
    i33 = 0;
    while (1) {
     i5 = get32((get32(i53 | 0) | 0) + (i33 << 4) + 4 | 0) | 0;
     do if ((i5 | 0) != 0 ? (get8(i5 + 8 >> 0 | 0) | 0) == 2 : 0) {
      i86 = get32(i5 + 4 | 0) | 0;
      set32(i86 + 4 | 0, get32(i5 | 0) | 0);
      i85 = get32(i86 + 8 | 0) | 0;
      if (!i85) {
       i88 = i59;
       break;
      } else i89 = i85;
      do {
       i85 = i89 + 72 | 0;
       i86 = get32(i85 | 0) | 0;
       do if (i86) {
        if (!(get32(50 * 4 | 0) | 0)) {
         FUNCTION_TABLE_vi[get32(232 | 0) & 31](i86);
         break;
        }
        i83 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i86) | 0;
        i84 = (get32(30 * 4 | 0) | 0) - i83 | 0;
        set32(30 * 4 | 0, i84 | 0);
        if ((i84 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i84 | 0);
        i84 = (get32(39 * 4 | 0) | 0) + -1 | 0;
        set32(39 * 4 | 0, i84 | 0);
        if ((i84 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i84 | 0);
        FUNCTION_TABLE_vi[get32(232 | 0) & 31](i86);
       } while (0);
       set32(i85 | 0, 0 | 0);
       set8(i89 + 83 >> 0 | 0, 3 | 0);
       set32(i89 + 76 | 0, 4 | 0);
       i86 = i89 + 90 | 0;
       if ((get16(i86 | 0) | 0) >= 0) {
        i84 = 0;
        while (1) {
         i83 = i89 + 132 + (i84 << 2) | 0;
         i82 = get32(i83 | 0) | 0;
         if (i82) _sqlite3PagerUnref(get32(i82 + 68 | 0) | 0);
         set32(i83 | 0, 0 | 0);
         if ((i84 | 0) < (get16(i86 | 0) | 0)) i84 = i84 + 1 | 0; else break;
        }
       }
       i89 = get32(i89 + 8 | 0) | 0;
      } while ((i89 | 0) != 0);
      i88 = get32(i35 | 0) | 0;
     } else i88 = i59; while (0);
     i33 = i33 + 1 | 0;
     if ((i33 | 0) >= (i88 | 0)) break; else i59 = i88;
    }
   }
   _sqlite3RollbackAll(i8);
   i59 = i8 + 476 | 0;
   i33 = get32(i59 | 0) | 0;
   if (i33) {
    i35 = i33;
    do {
     set32(i59 | 0, get32(i35 + 16 | 0) | 0);
     _sqlite3DbFree(i8, i35);
     i35 = get32(i59 | 0) | 0;
    } while ((i35 | 0) != 0);
   }
   set32(i8 + 480 | 0, 0 | 0);
   set32(i8 + 484 | 0, 0 | 0);
   set8(i8 + 488 >> 0 | 0, 0 | 0);
   set8(i8 + 28 >> 0 | 0, 1 | 0);
   i34 = 338;
  } else {
   i87 = i29;
   i34 = 339;
  } while (0);
  if ((i34 | 0) == 338) if (!i29) i90 = 0; else {
   i87 = i29;
   i34 = 339;
  }
  if ((i34 | 0) == 339) {
   i34 = _sqlite3VdbeCloseStatement(i1, i87) | 0;
   if (!i34) i90 = i87; else {
    switch (get32(i25 | 0) | 0) {
    case 19:
    case 0:
     {
      set32(i25 | 0, i34 | 0);
      i34 = i1 + 56 | 0;
      _sqlite3DbFree(i8, get32(i34 | 0) | 0);
      set32(i34 | 0, 0 | 0);
      break;
     }
    default:
     {}
    }
    i34 = i8 + 4 | 0;
    i29 = get32(i34 | 0) | 0;
    if ((i29 | 0) > 0) {
     i88 = i8 + 8 | 0;
     i89 = i29;
     i29 = 0;
     while (1) {
      i35 = get32((get32(i88 | 0) | 0) + (i29 << 4) + 4 | 0) | 0;
      if (((i35 | 0) != 0 ? (get8(i35 + 8 >> 0 | 0) | 0) == 2 : 0) ? (i59 = get32(i35 + 4 | 0) | 0, set32(i59 + 4 | 0, get32(i35 | 0) | 0), i35 = get32(i59 + 8 | 0) | 0, (i35 | 0) != 0) : 0) {
       i59 = i35;
       do {
        i35 = i59 + 72 | 0;
        i33 = get32(i35 | 0) | 0;
        do if (i33) {
         if (!(get32(50 * 4 | 0) | 0)) {
          FUNCTION_TABLE_vi[get32(232 | 0) & 31](i33);
          break;
         }
         i53 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i33) | 0;
         i5 = (get32(30 * 4 | 0) | 0) - i53 | 0;
         set32(30 * 4 | 0, i5 | 0);
         if ((i5 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i5 | 0);
         i5 = (get32(39 * 4 | 0) | 0) + -1 | 0;
         set32(39 * 4 | 0, i5 | 0);
         if ((i5 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i5 | 0);
         FUNCTION_TABLE_vi[get32(232 | 0) & 31](i33);
        } while (0);
        set32(i35 | 0, 0 | 0);
        set8(i59 + 83 >> 0 | 0, 3 | 0);
        set32(i59 + 76 | 0, 4 | 0);
        i33 = i59 + 90 | 0;
        if ((get16(i33 | 0) | 0) >= 0) {
         i5 = 0;
         while (1) {
          i53 = i59 + 132 + (i5 << 2) | 0;
          i84 = get32(i53 | 0) | 0;
          if (i84) _sqlite3PagerUnref(get32(i84 + 68 | 0) | 0);
          set32(i53 | 0, 0 | 0);
          if ((i5 | 0) < (get16(i33 | 0) | 0)) i5 = i5 + 1 | 0; else break;
         }
        }
        i59 = get32(i59 + 8 | 0) | 0;
       } while ((i59 | 0) != 0);
       i91 = get32(i34 | 0) | 0;
      } else i91 = i89;
      i29 = i29 + 1 | 0;
      if ((i29 | 0) >= (i91 | 0)) break; else i89 = i91;
     }
    }
    _sqlite3RollbackAll(i8);
    i91 = i8 + 476 | 0;
    i89 = get32(i91 | 0) | 0;
    if (i89) {
     i29 = i89;
     do {
      set32(i91 | 0, get32(i29 + 16 | 0) | 0);
      _sqlite3DbFree(i8, i29);
      i29 = get32(i91 | 0) | 0;
     } while ((i29 | 0) != 0);
    }
    set32(i8 + 480 | 0, 0 | 0);
    set32(i8 + 484 | 0, 0 | 0);
    set8(i8 + 488 >> 0 | 0, 0 | 0);
    set8(i8 + 28 >> 0 | 0, 1 | 0);
    i90 = i87;
   }
  }
  if (get8(i1 + 98 >> 0 | 0) | 0) {
   i87 = i1 + 108 | 0;
   if ((i90 | 0) == 2) i92 = 0; else {
    i90 = get32(i87 | 0) | 0;
    i29 = i8 + 64 | 0;
    set32(i29 | 0, (get32(i29 | 0) | 0) + i90 | 0);
    i92 = i90;
   }
   set32(i8 + 60 | 0, i92 | 0);
   set32(i87 | 0, 0 | 0);
  }
  if ((get32(i25 | 0) | 0) != 0 ? (i25 = i8 + 12 | 0, (get32(i25 | 0) & 512 | 0) != 0) : 0) {
   _sqlite3ResetInternalSchema(i8, -1);
   set32(i25 | 0, get32(i25 | 0) | 512 | 0);
  }
  if ((get32(i10 | 0) | 0) > -1 ? (i10 = i8 + 140 | 0, set32(i10 | 0, (get32(i10 | 0) | 0) + -1 | 0), (get8(i1 + 104 >> 0 | 0) | 0) == 0) : 0) {
   i10 = i8 + 144 | 0;
   set32(i10 | 0, (get32(i10 | 0) | 0) + -1 | 0);
  }
 }
 set32(i21 | 0, 1369188723 | 0);
 i21 = i1 + 92 | 0;
 if (!(get8((get32(i1 | 0) | 0) + 30 >> 0 | 0) | 0)) {
  i26 = (get32(i21 | 0) | 0) == 5 ? 5 : 0;
  STACKTOP = i2;
  return i26 | 0;
 } else {
  set32(i21 | 0, 7 | 0);
  i26 = 0;
  STACKTOP = i2;
  return i26 | 0;
 }
 return 0;
}
function _sqlite3DeleteFrom(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0, i80 = 0, i81 = 0, i82 = 0, i83 = 0, i84 = 0, i85 = 0, i86 = 0, i87 = 0, i88 = 0, i89 = 0, i90 = 0, i91 = 0, i92 = 0, i93 = 0, i94 = 0, i95 = 0, i96 = 0, i97 = 0, i98 = 0, i99 = 0, i100 = 0, i101 = 0, i102 = 0, i103 = 0, i104 = 0, i105 = 0, i106 = 0, i107 = 0, i108 = 0, i109 = 0, i110 = 0, i111 = 0, i112 = 0, i113 = 0, i114 = 0, i115 = 0, i116 = 0, i117 = 0, i118 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 96 | 0;
 i5 = i4 + 56 | 0;
 i6 = i4 + 48 | 0;
 i7 = i4 + 40 | 0;
 i8 = i4 + 32 | 0;
 i9 = i4 + 24 | 0;
 i10 = i4 + 16 | 0;
 i11 = i4;
 i12 = i4 + 60 | 0;
 i13 = get32(i1 | 0) | 0;
 i14 = i1 + 64 | 0;
 if (get32(i14 | 0) | 0) {
  _sqlite3SrcListDelete(i13, i2);
  _sqlite3ExprDelete(i13, i3);
  STACKTOP = i4;
  return;
 }
 if (get8(i13 + 30 >> 0 | 0) | 0) {
  _sqlite3SrcListDelete(i13, i2);
  _sqlite3ExprDelete(i13, i3);
  STACKTOP = i4;
  return;
 }
 i15 = get32(i2 + 12 | 0) | 0;
 i16 = get32(i2 + 8 | 0) | 0;
 do if (!(get8(i13 + 124 >> 0 | 0) | 0)) {
  i17 = _sqlite3Init(i13, i1 + 8 | 0) | 0;
  if (!i17) {
   i18 = get32(i1 | 0) | 0;
   i19 = 7;
   break;
  } else {
   set32(i1 + 4 | 0, i17 | 0);
   set32(i14 | 0, (get32(i14 | 0) | 0) + 1 | 0);
   i20 = 0;
   break;
  }
 } else {
  i18 = i13;
  i19 = 7;
 } while (0);
 do if ((i19 | 0) == 7) {
  if (!i15) i21 = 0; else {
   i14 = i15;
   while (1) if (!(get8(i14 >> 0 | 0) | 0)) {
    i22 = i14;
    break;
   } else i14 = i14 + 1 | 0;
   i21 = i22 - i15 & 1073741823;
  }
  i14 = get32(i18 + 4 | 0) | 0;
  if ((i14 | 0) > 0) {
   i17 = (i16 | 0) == 0;
   i23 = get32(i18 + 8 | 0) | 0;
   i24 = 0;
   i25 = 0;
   while (1) {
    i26 = (i24 | 0) < 2 ^ i24;
    if (!i17) {
     i27 = get32(i23 + (i26 << 4) | 0) | 0;
     i28 = get8(i16 >> 0 | 0) | 0;
     L25 : do if (!(i28 << 24 >> 24)) {
      i29 = 0;
      i30 = i27;
     } else {
      i31 = i28;
      i32 = i16;
      i33 = i27;
      while (1) {
       if ((get8(16286 + (i31 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i33 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
        i29 = i31;
        i30 = i33;
        break L25;
       }
       i32 = i32 + 1 | 0;
       i34 = i33 + 1 | 0;
       i31 = get8(i32 >> 0 | 0) | 0;
       if (!(i31 << 24 >> 24)) {
        i29 = 0;
        i30 = i34;
        break;
       } else i33 = i34;
      }
     } while (0);
     if ((get8(16286 + (i29 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i30 >> 0 | 0) | 0) >> 0 | 0) | 0)) i35 = i25; else i19 = 17;
    } else i19 = 17;
    if ((i19 | 0) == 17) {
     i19 = 0;
     i27 = _sqlite3HashFind((get32(i23 + (i26 << 4) + 12 | 0) | 0) + 8 | 0, i15, i21) | 0;
     if (!i27) i35 = i27; else {
      i36 = i27;
      break;
     }
    }
    i24 = i24 + 1 | 0;
    if ((i24 | 0) >= (i14 | 0)) {
     i36 = i35;
     break;
    } else i25 = i35;
   }
   if (i36) {
    i20 = i36;
    break;
   }
  }
  if (!i16) {
   set32(i10 | 0, 25690 | 0);
   set32(i10 + 4 | 0, i15 | 0);
   _sqlite3ErrorMsg(i1, 25714, i10);
  } else {
   set32(i11 | 0, 25690 | 0);
   set32(i11 + 4 | 0, i16 | 0);
   set32(i11 + 8 | 0, i15 | 0);
   _sqlite3ErrorMsg(i1, 25704, i11);
  }
  set8(i1 + 18 >> 0 | 0, 1 | 0);
  i20 = 0;
 } while (0);
 i11 = i2 + 20 | 0;
 _sqlite3DeleteTable(get32(i1 | 0) | 0, get32(i11 | 0) | 0);
 set32(i11 | 0, i20 | 0);
 if (!i20) {
  _sqlite3SrcListDelete(i13, i2);
  _sqlite3ExprDelete(i13, i3);
  STACKTOP = i4;
  return;
 }
 i11 = i20 + 32 | 0;
 set16(i11 | 0, (get16(i11 | 0) | 0) + 1 << 16 >> 16 | 0);
 i11 = get32(i2 + 56 | 0) | 0;
 L43 : do if (i11) {
  i15 = get32(i20 + 16 | 0) | 0;
  L45 : do if (i15) {
   i16 = i15;
   while (1) {
    i10 = get32(i16 | 0) | 0;
    i36 = get8(i10 >> 0 | 0) | 0;
    L48 : do if (!(i36 << 24 >> 24)) {
     i37 = 0;
     i38 = i11;
    } else {
     i35 = i36;
     i21 = i10;
     i30 = i11;
     while (1) {
      if ((get8(16286 + (i35 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i30 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
       i37 = i35;
       i38 = i30;
       break L48;
      }
      i21 = i21 + 1 | 0;
      i29 = i30 + 1 | 0;
      i35 = get8(i21 >> 0 | 0) | 0;
      if (!(i35 << 24 >> 24)) {
       i37 = 0;
       i38 = i29;
       break;
      } else i30 = i29;
     }
    } while (0);
    if ((get8(16286 + (i37 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i38 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
     i39 = i16;
     break;
    }
    i16 = get32(i16 + 32 | 0) | 0;
    if (!i16) break L45;
   }
   set32(i2 + 60 | 0, i39 | 0);
   break L43;
  } while (0);
  set32(i9 | 0, i11 | 0);
  set32(i9 + 4 | 0, 0 | 0);
  _sqlite3ErrorMsg(i1, 30280, i9);
  set8(i1 + 18 >> 0 | 0, 1 | 0);
  _sqlite3SrcListDelete(i13, i2);
  _sqlite3ExprDelete(i13, i3);
  STACKTOP = i4;
  return;
 } while (0);
 i9 = get32(i1 | 0) | 0;
 do if ((get32(i9 + 12 | 0) & 1073741824 | 0) != 0 ? (i11 = get32((get32(i9 + 8 | 0) | 0) + 28 | 0) | 0, (get8(i1 + 442 >> 0 | 0) | 0) == 0) : 0) {
  i39 = get32(i20 + 68 | 0) | 0;
  if ((i39 | 0) != (i11 | 0) ? (i38 = get32(i11 + 48 | 0) | 0, (i38 | 0) != 0) : 0) {
   i11 = i20 + 64 | 0;
   i37 = i38;
   i38 = 0;
   while (1) {
    i15 = get32(i37 + 8 | 0) | 0;
    if ((get32(i15 + 24 | 0) | 0) == (i39 | 0)) {
     i16 = get32(i15 + 4 | 0) | 0;
     i26 = get32(i20 | 0) | 0;
     i10 = get8(i16 >> 0 | 0) | 0;
     L68 : do if (!(i10 << 24 >> 24)) {
      i40 = 0;
      i41 = i26;
     } else {
      i36 = i10;
      i30 = i16;
      i35 = i26;
      while (1) {
       if ((get8(16286 + (i36 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i35 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
        i40 = i36;
        i41 = i35;
        break L68;
       }
       i30 = i30 + 1 | 0;
       i21 = i35 + 1 | 0;
       i36 = get8(i30 >> 0 | 0) | 0;
       if (!(i36 << 24 >> 24)) {
        i40 = 0;
        i41 = i21;
        break;
       } else i35 = i21;
      }
     } while (0);
     if ((get8(16286 + (i40 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i41 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
      if (!i38) i42 = get32(i11 | 0) | 0; else i42 = i38;
      set32(i15 + 32 | 0, i42 | 0);
      i43 = i15;
     } else i43 = i38;
    } else i43 = i38;
    i37 = get32(i37 | 0) | 0;
    if (!i37) {
     i44 = i43;
     break;
    } else i38 = i43;
   }
   if (i44) i45 = i44; else i19 = 49;
  } else i19 = 49;
  if ((i19 | 0) == 49) {
   i38 = get32(i20 + 64 | 0) | 0;
   if (!i38) {
    i46 = 0;
    i47 = 0;
    break;
   } else i45 = i38;
  }
  i38 = 0;
  i37 = i45;
  while (1) {
   if ((get8(i37 + 8 >> 0 | 0) | 0) == 106) i48 = getU8(i37 + 9 >> 0 | 0) | i38; else i48 = i38;
   i37 = get32(i37 + 32 | 0) | 0;
   if (!i37) {
    i46 = i48;
    i47 = i45;
    break;
   } else i38 = i48;
  }
 } else {
  i46 = 0;
  i47 = 0;
 } while (0);
 i48 = (i46 | 0) != 0 ? i47 : 0;
 i47 = i20 + 28 | 0;
 i46 = (get32(i47 | 0) | 0) != 0;
 if (_sqlite3ViewGetColumnNames(i1, i20) | 0) {
  _sqlite3SrcListDelete(i13, i2);
  _sqlite3ExprDelete(i13, i3);
  STACKTOP = i4;
  return;
 }
 i45 = (i48 | 0) != 0;
 i44 = i20 + 34 | 0;
 i43 = get8(i44 >> 0 | 0) | 0;
 if (i43 & 16) {
  i42 = get32(i1 | 0) | 0;
  i41 = i20 + 52 | 0;
  while (1) {
   i40 = get32(i41 | 0) | 0;
   if ((get32(i40 | 0) | 0) == (i42 | 0)) {
    i49 = i40;
    break;
   } else i41 = i40 + 24 | 0;
  }
  if (get32((get32(get32(i49 + 4 | 0) | 0) | 0) + 52 | 0) | 0) i19 = 59;
 } else i19 = 59;
 do if ((i19 | 0) == 59) {
  if (((i43 & 1) != 0 ? (get32((get32(i1 | 0) | 0) + 12 | 0) & 65536 | 0) == 0 : 0) ? (get8(i1 + 19 >> 0 | 0) | 0) == 0 : 0) break;
  if (!i45 ? (get32(i47 | 0) | 0) != 0 : 0) {
   set32(i7 | 0, get32(i20 | 0) | 0);
   _sqlite3ErrorMsg(i1, 33247, i7);
   _sqlite3SrcListDelete(i13, i2);
   _sqlite3ExprDelete(i13, i3);
   STACKTOP = i4;
   return;
  }
  i49 = i20 + 68 | 0;
  i41 = get32(i49 | 0) | 0;
  L107 : do if (i41) {
   i42 = get32(i13 + 4 | 0) | 0;
   if ((i42 | 0) > 0) {
    i40 = get32(i13 + 8 | 0) | 0;
    i9 = 0;
    while (1) {
     if ((get32(i40 + (i9 << 4) + 12 | 0) | 0) == (i41 | 0)) {
      i50 = i9;
      break L107;
     }
     i38 = i9 + 1 | 0;
     if ((i38 | 0) < (i42 | 0)) i9 = i38; else {
      i50 = i38;
      break;
     }
    }
   } else i50 = 0;
  } else i50 = -1e6; while (0);
  i41 = get32((get32(i13 + 8 | 0) | 0) + (i50 << 4) | 0) | 0;
  i9 = get32(i20 | 0) | 0;
  i42 = get32(i1 | 0) | 0;
  L114 : do if (((get8(i42 + 124 >> 0 | 0) | 0) == 0 ? (get8(i1 + 528 >> 0 | 0) | 0) == 0 : 0) ? (i40 = get32(i42 + 268 | 0) | 0, (i40 | 0) != 0) : 0) {
   i15 = FUNCTION_TABLE_iiiiiii[i40 & 3](get32(i42 + 272 | 0) | 0, 9, i9, 0, i41, get32(i1 + 516 | 0) | 0) | 0;
   switch (i15 | 0) {
   case 2:
   case 0:
    {
     i51 = i15;
     break L114;
     break;
    }
   case 1:
    {
     _sqlite3ErrorMsg(i1, 26149, i6);
     set32(i1 + 4 | 0, 23 | 0);
     _sqlite3SrcListDelete(i13, i2);
     _sqlite3ExprDelete(i13, i3);
     STACKTOP = i4;
     return;
    }
   default:
    {
     _sqlite3ErrorMsg(i1, 29155, i5);
     set32(i1 + 4 | 0, 1 | 0);
     _sqlite3SrcListDelete(i13, i2);
     _sqlite3ExprDelete(i13, i3);
     STACKTOP = i4;
     return;
    }
   }
  } else i51 = 0; while (0);
  i41 = i1 + 68 | 0;
  i9 = get32(i41 | 0) | 0;
  i42 = i9 + 1 | 0;
  set32(i41 | 0, i42 | 0);
  set32(i2 + 32 | 0, i9 | 0);
  i15 = i20 + 16 | 0;
  i40 = get32(i15 | 0) | 0;
  if (i40) {
   i38 = i42;
   i42 = i40;
   do {
    i38 = i38 + 1 | 0;
    set32(i41 | 0, i38 | 0);
    i42 = get32(i42 + 32 | 0) | 0;
   } while ((i42 | 0) != 0);
  }
  if (i46) {
   i42 = i1 + 516 | 0;
   i38 = get32(i42 | 0) | 0;
   set32(i42 | 0, get32(i20 | 0) | 0);
   i52 = i1;
   i53 = i38;
  } else {
   i52 = 0;
   i53 = 0;
  }
  i38 = i1 + 12 | 0;
  i42 = get32(i38 | 0) | 0;
  do if (!i42) {
   i41 = get32(i1 | 0) | 0;
   L133 : do if (i41) {
    i40 = i41 + 30 | 0;
    if (!(get8(i40 >> 0 | 0) | 0)) {
     do if (get8(i41 + 234 >> 0 | 0) | 0) {
      if ((getU16(i41 + 232 | 0) | 0) < 192) {
       i37 = i41 + 248 | 0;
       set32(i37 | 0, (get32(i37 | 0) | 0) + 1 | 0);
       break;
      }
      i37 = i41 + 256 | 0;
      i11 = get32(i37 | 0) | 0;
      if (!i11) {
       i39 = i41 + 252 | 0;
       set32(i39 | 0, (get32(i39 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i37 | 0, get32(i11 | 0) | 0);
      i37 = i41 + 236 | 0;
      i39 = get32(i37 | 0) | 0;
      i26 = i39 + 1 | 0;
      set32(i37 | 0, i26 | 0);
      i37 = i41 + 244 | 0;
      set32(i37 | 0, (get32(i37 | 0) | 0) + 1 | 0);
      i37 = i41 + 240 | 0;
      if ((i39 | 0) >= (get32(i37 | 0) | 0)) set32(i37 | 0, i26 | 0);
      i54 = i11;
      i19 = 119;
      break L133;
     } while (0);
     do if (!(get32(50 * 4 | 0) | 0)) {
      i11 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
      if (i11) {
       i55 = i11;
       break L133;
      }
     } else {
      i11 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
      set32(35 * 4 | 0, 192 | 0);
      if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
      i26 = get32(6 * 4 | 0) | 0;
      do if (i26) {
       i37 = get32(30 * 4 | 0) | 0;
       i39 = ((i37 | 0) < 0) << 31 >> 31;
       i16 = 16;
       i10 = _i64Subtract(get32(i16 | 0) | 0, get32(i16 + 4 | 0) | 0, i11 | 0, ((i11 | 0) < 0) << 31 >> 31 | 0) | 0;
       i16 = tempRet0;
       if ((i39 | 0) < (i16 | 0) | (i39 | 0) == (i16 | 0) & i37 >>> 0 < i10 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i10 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i26 & 15](i10, i37, i39, i11);
        set32(6 * 4 | 0, i26 | 0);
        set32(7 * 4 | 0, i10 | 0);
        break;
       }
      } while (0);
      i26 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i11) | 0;
      if (!i26) break;
      i10 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i26) | 0;
      i39 = (get32(30 * 4 | 0) | 0) + i10 | 0;
      set32(30 * 4 | 0, i39 | 0);
      if ((i39 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i39 | 0);
      i39 = get32(39 * 4 | 0) | 0;
      i10 = i39 + 1 | 0;
      set32(39 * 4 | 0, i10 | 0);
      if ((i39 | 0) < (get32(49 * 4 | 0) | 0)) {
       i55 = i26;
       break L133;
      }
      set32(49 * 4 | 0, i10 | 0);
      i55 = i26;
      break L133;
     } while (0);
     set8(i40 >> 0 | 0, 1 | 0);
     i19 = 129;
    } else i19 = 129;
   } else {
    if (!(get32(50 * 4 | 0) | 0)) {
     i54 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
     i19 = 119;
     break;
    }
    i26 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
    set32(35 * 4 | 0, 192 | 0);
    if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
    i10 = get32(6 * 4 | 0) | 0;
    do if (i10) {
     i39 = get32(30 * 4 | 0) | 0;
     i37 = ((i39 | 0) < 0) << 31 >> 31;
     i16 = 16;
     i35 = _i64Subtract(get32(i16 | 0) | 0, get32(i16 + 4 | 0) | 0, i26 | 0, ((i26 | 0) < 0) << 31 >> 31 | 0) | 0;
     i16 = tempRet0;
     if ((i37 | 0) < (i16 | 0) | (i37 | 0) == (i16 | 0) & i39 >>> 0 < i35 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i35 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i10 & 15](i35, i39, i37, i26);
      set32(6 * 4 | 0, i10 | 0);
      set32(7 * 4 | 0, i35 | 0);
      break;
     }
    } while (0);
    i10 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i26) | 0;
    if (!i10) {
     i19 = 129;
     break;
    }
    i40 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i10) | 0;
    i35 = (get32(30 * 4 | 0) | 0) + i40 | 0;
    set32(30 * 4 | 0, i35 | 0);
    if ((i35 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i35 | 0);
    i35 = get32(39 * 4 | 0) | 0;
    i40 = i35 + 1 | 0;
    set32(39 * 4 | 0, i40 | 0);
    if ((i35 | 0) < (get32(49 * 4 | 0) | 0)) {
     i55 = i10;
     break;
    }
    set32(49 * 4 | 0, i40 | 0);
    i55 = i10;
   } while (0);
   if ((i19 | 0) == 119) if (!i54) i19 = 129; else i55 = i54;
   if ((i19 | 0) == 129) {
    set32(i38 | 0, 0 | 0);
    break;
   }
   _memset(i55 | 0, 0, 192) | 0;
   set32(i55 | 0, i41 | 0);
   i10 = i41 + 136 | 0;
   i40 = get32(i10 | 0) | 0;
   if (i40) set32(i40 + 60 | 0, i55 | 0);
   set32(i55 + 64 | 0, i40 | 0);
   set32(i55 + 60 | 0, 0 | 0);
   set32(i10 | 0, i55 | 0);
   set32(i55 + 52 | 0, 649915045 | 0);
   set32(i38 | 0, i55 | 0);
   i10 = i55 + 28 | 0;
   i40 = i55 + 32 | 0;
   i35 = i55 + 4 | 0;
   i37 = _sqlite3DbRealloc(i41, 0, 1020) | 0;
   if (!i37) {
    i56 = i55;
    i19 = 130;
   } else {
    i39 = get32(i55 | 0) | 0;
    do if (!i39) i19 = 127; else {
     if ((get32(i39 + 260 | 0) | 0) >>> 0 > i37 >>> 0) {
      i19 = 127;
      break;
     }
     if ((get32(i39 + 264 | 0) | 0) >>> 0 <= i37 >>> 0) {
      i19 = 127;
      break;
     }
     i57 = getU16(i39 + 232 | 0) | 0;
    } while (0);
    if ((i19 | 0) == 127) i57 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i37) | 0;
    set32(i40 | 0, (i57 >>> 0) / 20 | 0 | 0);
    set32(i35 | 0, i37 | 0);
    set32(i10 | 0, (get32(i10 | 0) | 0) + 1 | 0);
    set8(i37 >> 0 | 0, -120 | 0);
    set8(i37 + 1 >> 0 | 0, 0 | 0);
    i58 = i37 + 3 | 0;
    i59 = i58 + 17 | 0;
    do {
     set8(i58 >> 0 | 0, 0 | 0);
     i58 = i58 + 1 | 0;
    } while ((i58 | 0) < (i59 | 0));
    i56 = i55;
    i19 = 130;
   }
  } else {
   i56 = i42;
   i19 = 130;
  } while (0);
  L200 : do if ((i19 | 0) == 130) {
   i42 = i1 + 19 | 0;
   if (!(get8(i42 >> 0 | 0) | 0)) set8(i56 + 98 >> 0 | 0, 1 | 0);
   _sqlite3BeginWriteOperation(i1, 1, i50);
   if (i46) _sqlite3MaterializeView(i1, i20, i3, i9);
   i58 = i12;
   i59 = i58 + 36 | 0;
   do {
    set32(i58 | 0, 0 | 0);
    i58 = i58 + 4 | 0;
   } while ((i58 | 0) < (i59 | 0));
   set32(i12 | 0, i1 | 0);
   set32(i12 + 4 | 0, i2 | 0);
   if (!(_sqlite3ResolveExprNames(i12, i3) | 0)) {
    i38 = i13 + 12 | 0;
    do if (!(get32(i38 | 0) & 4096)) i60 = -1; else {
     i37 = i1 + 72 | 0;
     i10 = (get32(i37 | 0) | 0) + 1 | 0;
     set32(i37 | 0, i10 | 0);
     i37 = i56 + 28 | 0;
     i35 = get32(i37 | 0) | 0;
     i40 = i56 + 32 | 0;
     i39 = get32(i40 | 0) | 0;
     if ((i39 | 0) > (i35 | 0)) {
      i61 = i35;
      i62 = get32(i56 + 4 | 0) | 0;
     } else {
      i41 = i56 + 4 | 0;
      i16 = _sqlite3DbRealloc(get32(i56 | 0) | 0, get32(i41 | 0) | 0, (i39 | 0) == 0 ? 1020 : i39 * 40 | 0) | 0;
      if (!i16) {
       i60 = i10;
       break;
      }
      i39 = get32(i56 | 0) | 0;
      do if (!i39) i19 = 143; else {
       if ((get32(i39 + 260 | 0) | 0) >>> 0 > i16 >>> 0) {
        i19 = 143;
        break;
       }
       if ((get32(i39 + 264 | 0) | 0) >>> 0 <= i16 >>> 0) {
        i19 = 143;
        break;
       }
       i63 = getU16(i39 + 232 | 0) | 0;
      } while (0);
      if ((i19 | 0) == 143) i63 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i16) | 0;
      set32(i40 | 0, (i63 >>> 0) / 20 | 0 | 0);
      set32(i41 | 0, i16 | 0);
      i61 = get32(i37 | 0) | 0;
      i62 = i16;
     }
     set32(i37 | 0, i61 + 1 | 0);
     set8(i62 + (i35 * 20 | 0) >> 0 | 0, 7 | 0);
     set8(i62 + (i35 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i62 + (i35 * 20 | 0) + 4 | 0, 0 | 0);
     set32(i62 + (i35 * 20 | 0) + 8 | 0, i10 | 0);
     set32(i62 + (i35 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i62 + (i35 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i62 + (i35 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i60 = i10;
    } while (0);
    do if (i45 | ((i3 | 0) != 0 | (i51 | 0) != 0)) i19 = 184; else {
     if (get8(i44 >> 0 | 0) & 16) {
      i19 = 184;
      break;
     }
     i39 = get32(i20 | 0) | 0;
     if (get32((get32(i1 | 0) | 0) + 12 | 0) & 67108864) {
      if (!i39) i64 = 0; else {
       i26 = i39;
       while (1) if (!(get8(i26 >> 0 | 0) | 0)) {
        i65 = i26;
        break;
       } else i26 = i26 + 1 | 0;
       i64 = i65 - i39 & 1073741823;
      }
      if (_sqlite3HashFind((get32(i49 | 0) | 0) + 56 | 0, i39, i64) | 0) {
       i19 = 184;
       break;
      }
      if (get32(i20 + 36 | 0) | 0) {
       i19 = 184;
       break;
      }
     }
     i26 = get32(i20 + 20 | 0) | 0;
     i10 = i56 + 28 | 0;
     i35 = get32(i10 | 0) | 0;
     i37 = i56 + 32 | 0;
     i16 = get32(i37 | 0) | 0;
     do if ((i16 | 0) > (i35 | 0)) {
      i41 = i56 + 4 | 0;
      i66 = i41;
      i67 = i56;
      i68 = i35;
      i69 = get32(i41 | 0) | 0;
      i19 = 163;
     } else {
      i41 = i56 + 4 | 0;
      i40 = _sqlite3DbRealloc(get32(i56 | 0) | 0, get32(i41 | 0) | 0, (i16 | 0) == 0 ? 1020 : i16 * 40 | 0) | 0;
      if (!i40) {
       i70 = 1;
       i71 = i56;
       i72 = i41;
       break;
      }
      i36 = get32(i56 | 0) | 0;
      do if (!i36) i19 = 161; else {
       if ((get32(i36 + 260 | 0) | 0) >>> 0 > i40 >>> 0) {
        i19 = 161;
        break;
       }
       if ((get32(i36 + 264 | 0) | 0) >>> 0 <= i40 >>> 0) {
        i19 = 161;
        break;
       }
       i73 = getU16(i36 + 232 | 0) | 0;
      } while (0);
      if ((i19 | 0) == 161) i73 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i40) | 0;
      set32(i37 | 0, (i73 >>> 0) / 20 | 0 | 0);
      set32(i41 | 0, i40 | 0);
      i66 = i41;
      i67 = i56;
      i68 = get32(i10 | 0) | 0;
      i69 = i40;
      i19 = 163;
     } while (0);
     if ((i19 | 0) == 163) {
      set32(i10 | 0, i68 + 1 | 0);
      set8(i69 + (i35 * 20 | 0) >> 0 | 0, 96 | 0);
      set8(i69 + (i35 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i69 + (i35 * 20 | 0) + 4 | 0, i26 | 0);
      set32(i69 + (i35 * 20 | 0) + 8 | 0, i50 | 0);
      set32(i69 + (i35 * 20 | 0) + 12 | 0, i60 | 0);
      set32(i69 + (i35 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i69 + (i35 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i70 = i35;
      i71 = i67;
      i72 = i66;
     }
     i16 = get32(i71 | 0) | 0;
     i36 = get32(i72 | 0) | 0;
     do if (i36) {
      if (get8(i16 + 30 >> 0 | 0) | 0) break;
      if ((i70 | 0) < 0) i74 = (get32(i10 | 0) | 0) + -1 | 0; else i74 = i70;
      i11 = i36 + (i74 * 20 | 0) + 1 | 0;
      i30 = i36 + (i74 * 20 | 0) + 16 | 0;
      _freeP4(i16, get8(i11 >> 0 | 0) | 0, get32(i30 | 0) | 0);
      set32(i30 | 0, 0 | 0);
      if (!i39) {
       set32(i30 | 0, 0 | 0);
       set8(i11 >> 0 | 0, 0 | 0);
       break;
      } else {
       set32(i30 | 0, i39 | 0);
       set8(i11 >> 0 | 0, -2 | 0);
       break;
      }
     } while (0);
     i39 = get32(i15 | 0) | 0;
     if (!i39) break;
     i16 = i39;
     do {
      i39 = get32(i16 + 20 | 0) | 0;
      i36 = get32(i10 | 0) | 0;
      i35 = get32(i37 | 0) | 0;
      do if ((i35 | 0) > (i36 | 0)) {
       i75 = i36;
       i76 = get32(i72 | 0) | 0;
       i19 = 182;
      } else {
       i26 = _sqlite3DbRealloc(get32(i71 | 0) | 0, get32(i72 | 0) | 0, (i35 | 0) == 0 ? 1020 : i35 * 40 | 0) | 0;
       if (!i26) break;
       i11 = get32(i71 | 0) | 0;
       do if (!i11) i19 = 180; else {
        if ((get32(i11 + 260 | 0) | 0) >>> 0 > i26 >>> 0) {
         i19 = 180;
         break;
        }
        if ((get32(i11 + 264 | 0) | 0) >>> 0 <= i26 >>> 0) {
         i19 = 180;
         break;
        }
        i77 = getU16(i11 + 232 | 0) | 0;
       } while (0);
       if ((i19 | 0) == 180) {
        i19 = 0;
        i77 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i26) | 0;
       }
       set32(i37 | 0, (i77 >>> 0) / 20 | 0 | 0);
       set32(i72 | 0, i26 | 0);
       i75 = get32(i10 | 0) | 0;
       i76 = i26;
       i19 = 182;
      } while (0);
      if ((i19 | 0) == 182) {
       i19 = 0;
       set32(i10 | 0, i75 + 1 | 0);
       set8(i76 + (i36 * 20 | 0) >> 0 | 0, 96 | 0);
       set8(i76 + (i36 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i76 + (i36 * 20 | 0) + 4 | 0, i39 | 0);
       set32(i76 + (i36 * 20 | 0) + 8 | 0, i50 | 0);
       set32(i76 + (i36 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i76 + (i36 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i76 + (i36 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      }
      i16 = get32(i16 + 32 | 0) | 0;
     } while ((i16 | 0) != 0);
    } while (0);
    do if ((i19 | 0) == 184) {
     i16 = i1 + 72 | 0;
     i10 = get32(i16 | 0) | 0;
     i37 = i10 + 1 | 0;
     i35 = i10 + 2 | 0;
     set32(i16 | 0, i35 | 0);
     i16 = i56 + 28 | 0;
     i10 = get32(i16 | 0) | 0;
     i40 = i56 + 32 | 0;
     i41 = get32(i40 | 0) | 0;
     do if ((i41 | 0) > (i10 | 0)) {
      i78 = i10;
      i79 = get32(i56 + 4 | 0) | 0;
      i19 = 193;
     } else {
      i11 = i56 + 4 | 0;
      i30 = _sqlite3DbRealloc(get32(i56 | 0) | 0, get32(i11 | 0) | 0, (i41 | 0) == 0 ? 1020 : i41 * 40 | 0) | 0;
      if (!i30) break;
      i21 = get32(i56 | 0) | 0;
      do if (!i21) i19 = 191; else {
       if ((get32(i21 + 260 | 0) | 0) >>> 0 > i30 >>> 0) {
        i19 = 191;
        break;
       }
       if ((get32(i21 + 264 | 0) | 0) >>> 0 <= i30 >>> 0) {
        i19 = 191;
        break;
       }
       i80 = getU16(i21 + 232 | 0) | 0;
      } while (0);
      if ((i19 | 0) == 191) i80 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i30) | 0;
      set32(i40 | 0, (i80 >>> 0) / 20 | 0 | 0);
      set32(i11 | 0, i30 | 0);
      i78 = get32(i16 | 0) | 0;
      i79 = i30;
      i19 = 193;
     } while (0);
     if ((i19 | 0) == 193) {
      set32(i16 | 0, i78 + 1 | 0);
      set8(i79 + (i10 * 20 | 0) >> 0 | 0, 10 | 0);
      set8(i79 + (i10 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i79 + (i10 * 20 | 0) + 4 | 0, 0 | 0);
      set32(i79 + (i10 * 20 | 0) + 8 | 0, i37 | 0);
      set32(i79 + (i10 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i79 + (i10 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i79 + (i10 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     }
     i41 = _sqlite3WhereBegin(i1, i2, i3, 0, 8) | 0;
     if (!i41) break L200;
     i21 = _sqlite3ExprCodeGetColumn(i1, i20, -1, i9, i35) | 0;
     i36 = get32(i16 | 0) | 0;
     i39 = get32(i40 | 0) | 0;
     do if ((i39 | 0) > (i36 | 0)) {
      i81 = i36;
      i82 = get32(i56 + 4 | 0) | 0;
      i19 = 204;
     } else {
      i29 = i56 + 4 | 0;
      i18 = _sqlite3DbRealloc(get32(i56 | 0) | 0, get32(i29 | 0) | 0, (i39 | 0) == 0 ? 1020 : i39 * 40 | 0) | 0;
      if (!i18) break;
      i22 = get32(i56 | 0) | 0;
      do if (!i22) i19 = 202; else {
       if ((get32(i22 + 260 | 0) | 0) >>> 0 > i18 >>> 0) {
        i19 = 202;
        break;
       }
       if ((get32(i22 + 264 | 0) | 0) >>> 0 <= i18 >>> 0) {
        i19 = 202;
        break;
       }
       i83 = getU16(i22 + 232 | 0) | 0;
      } while (0);
      if ((i19 | 0) == 202) i83 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i18) | 0;
      set32(i40 | 0, (i83 >>> 0) / 20 | 0 | 0);
      set32(i29 | 0, i18 | 0);
      i81 = get32(i16 | 0) | 0;
      i82 = i18;
      i19 = 204;
     } while (0);
     if ((i19 | 0) == 204) {
      set32(i16 | 0, i81 + 1 | 0);
      set8(i82 + (i36 * 20 | 0) >> 0 | 0, 105 | 0);
      set8(i82 + (i36 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i82 + (i36 * 20 | 0) + 4 | 0, i37 | 0);
      set32(i82 + (i36 * 20 | 0) + 8 | 0, i21 | 0);
      set32(i82 + (i36 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i82 + (i36 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i82 + (i36 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     }
     do if (get32(i38 | 0) & 4096) {
      i39 = get32(i16 | 0) | 0;
      i10 = get32(i40 | 0) | 0;
      if ((i10 | 0) > (i39 | 0)) {
       i84 = i39;
       i85 = get32(i56 + 4 | 0) | 0;
      } else {
       i22 = i56 + 4 | 0;
       i30 = _sqlite3DbRealloc(get32(i56 | 0) | 0, get32(i22 | 0) | 0, (i10 | 0) == 0 ? 1020 : i10 * 40 | 0) | 0;
       if (!i30) break;
       i10 = get32(i56 | 0) | 0;
       do if (!i10) i19 = 213; else {
        if ((get32(i10 + 260 | 0) | 0) >>> 0 > i30 >>> 0) {
         i19 = 213;
         break;
        }
        if ((get32(i10 + 264 | 0) | 0) >>> 0 <= i30 >>> 0) {
         i19 = 213;
         break;
        }
        i86 = getU16(i10 + 232 | 0) | 0;
       } while (0);
       if ((i19 | 0) == 213) i86 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i30) | 0;
       set32(i40 | 0, (i86 >>> 0) / 20 | 0 | 0);
       set32(i22 | 0, i30 | 0);
       i84 = get32(i16 | 0) | 0;
       i85 = i30;
      }
      set32(i16 | 0, i84 + 1 | 0);
      set8(i85 + (i39 * 20 | 0) >> 0 | 0, 20 | 0);
      set8(i85 + (i39 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i85 + (i39 * 20 | 0) + 4 | 0, i60 | 0);
      set32(i85 + (i39 * 20 | 0) + 8 | 0, 1 | 0);
      set32(i85 + (i39 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i85 + (i39 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i85 + (i39 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     } while (0);
     _sqlite3WhereEnd(i41);
     i36 = i56 + 36 | 0;
     i21 = get32(i36 | 0) | 0;
     set32(i36 | 0, i21 + 1 | 0);
     i36 = i56 + 40 | 0;
     i10 = get32(i36 | 0) | 0;
     if ((i21 | 0) < (i10 | 0)) i87 = i56 + 44 | 0; else {
      i18 = get32(i56 | 0) | 0;
      i29 = i56 + 44 | 0;
      i11 = get32(i29 | 0) | 0;
      i25 = _sqlite3DbRealloc(i18, i11, (i10 << 3) + 20 | 0) | 0;
      do if (!i25) {
       _sqlite3DbFree(i18, i11);
       set32(i29 | 0, 0 | 0);
       i19 = 224;
      } else {
       set32(i29 | 0, i25 | 0);
       i10 = get32(i56 | 0) | 0;
       if (!i10) {
        i19 = 224;
        break;
       }
       if ((get32(i10 + 260 | 0) | 0) >>> 0 > i25 >>> 0) {
        i19 = 224;
        break;
       }
       if ((get32(i10 + 264 | 0) | 0) >>> 0 <= i25 >>> 0) {
        i19 = 224;
        break;
       }
       i88 = getU16(i10 + 232 | 0) | 0;
      } while (0);
      if ((i19 | 0) == 224) i88 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i25) | 0;
      set32(i36 | 0, i88 >>> 2 | 0);
      i87 = i29;
     }
     i11 = get32(i87 | 0) | 0;
     if (i11) set32(i11 + (i21 << 2) | 0, -1 | 0);
     i11 = ~i21;
     if (!i46) _sqlite3OpenTableAndIndices(i1, i20, i9, 39) | 0;
     i18 = get32(i16 | 0) | 0;
     i41 = get32(i40 | 0) | 0;
     do if ((i41 | 0) > (i18 | 0)) {
      i89 = i18;
      i90 = get32(i56 + 4 | 0) | 0;
      i19 = 239;
     } else {
      i10 = i56 + 4 | 0;
      i14 = _sqlite3DbRealloc(get32(i56 | 0) | 0, get32(i10 | 0) | 0, (i41 | 0) == 0 ? 1020 : i41 * 40 | 0) | 0;
      if (!i14) {
       i91 = 1;
       break;
      }
      i24 = get32(i56 | 0) | 0;
      do if (!i24) i19 = 237; else {
       if ((get32(i24 + 260 | 0) | 0) >>> 0 > i14 >>> 0) {
        i19 = 237;
        break;
       }
       if ((get32(i24 + 264 | 0) | 0) >>> 0 <= i14 >>> 0) {
        i19 = 237;
        break;
       }
       i92 = getU16(i24 + 232 | 0) | 0;
      } while (0);
      if ((i19 | 0) == 237) i92 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i14) | 0;
      set32(i40 | 0, (i92 >>> 0) / 20 | 0 | 0);
      set32(i10 | 0, i14 | 0);
      i89 = get32(i16 | 0) | 0;
      i90 = i14;
      i19 = 239;
     } while (0);
     if ((i19 | 0) == 239) {
      set32(i16 | 0, i89 + 1 | 0);
      set8(i90 + (i18 * 20 | 0) >> 0 | 0, 106 | 0);
      set8(i90 + (i18 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i90 + (i18 * 20 | 0) + 4 | 0, i37 | 0);
      set32(i90 + (i18 * 20 | 0) + 8 | 0, i11 | 0);
      set32(i90 + (i18 * 20 | 0) + 12 | 0, i35 | 0);
      set32(i90 + (i18 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i90 + (i18 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i91 = i18;
     }
     if (!(get8(i44 >> 0 | 0) & 16)) _sqlite3GenerateRowDelete(i1, i20, i9, i35, (get8(i42 >> 0 | 0) | 0) == 0 & 1, i48, 99); else {
      i41 = get32(i20 + 52 | 0) | 0;
      L359 : do if (!i41) i93 = 0; else {
       i29 = i41;
       while (1) {
        if ((get32(i29 | 0) | 0) == (i13 | 0)) {
         i93 = i29;
         break L359;
        }
        i29 = get32(i29 + 24 | 0) | 0;
        if (!i29) {
         i93 = 0;
         break;
        }
       }
      } while (0);
      i41 = i1 + 424 | 0;
      i18 = get32(i41 | 0) | 0;
      i11 = (i18 | 0) == 0 ? i1 : i18;
      i18 = i11 + 532 | 0;
      i37 = get32(i18 | 0) | 0;
      i29 = i11 + 536 | 0;
      L364 : do if ((i37 | 0) > 0) {
       i14 = get32(i29 | 0) | 0;
       i10 = 0;
       do {
        if ((get32(i14 + (i10 << 2) | 0) | 0) == (i20 | 0)) break L364;
        i10 = i10 + 1 | 0;
       } while ((i10 | 0) < (i37 | 0));
       i94 = i29;
       i95 = i14;
       i19 = 250;
      } else {
       i94 = i29;
       i95 = get32(i29 | 0) | 0;
       i19 = 250;
      } while (0);
      L371 : do if ((i19 | 0) == 250) {
       do if (!(_sqlite3_initialize() | 0)) {
        i29 = _sqlite3Realloc(i95, (i37 << 2) + 4 | 0) | 0;
        if (!i29) break;
        set32(i94 | 0, i29 | 0);
        i10 = get32(i18 | 0) | 0;
        set32(i18 | 0, i10 + 1 | 0);
        set32(i29 + (i10 << 2) | 0, i20 | 0);
        break L371;
       } while (0);
       set8((get32(i11 | 0) | 0) + 30 >> 0 | 0, 1 | 0);
      } while (0);
      i11 = get32(i16 | 0) | 0;
      i18 = get32(i40 | 0) | 0;
      do if ((i18 | 0) > (i11 | 0)) {
       i37 = i56 + 4 | 0;
       i96 = i37;
       i97 = i56;
       i98 = i11;
       i99 = get32(i37 | 0) | 0;
       i19 = 263;
      } else {
       i37 = i56 + 4 | 0;
       i14 = _sqlite3DbRealloc(get32(i56 | 0) | 0, get32(i37 | 0) | 0, (i18 | 0) == 0 ? 1020 : i18 * 40 | 0) | 0;
       if (!i14) {
        i100 = 1;
        i101 = i56;
        i102 = i37;
        break;
       }
       i10 = get32(i56 | 0) | 0;
       do if (!i10) i19 = 261; else {
        if ((get32(i10 + 260 | 0) | 0) >>> 0 > i14 >>> 0) {
         i19 = 261;
         break;
        }
        if ((get32(i10 + 264 | 0) | 0) >>> 0 <= i14 >>> 0) {
         i19 = 261;
         break;
        }
        i103 = getU16(i10 + 232 | 0) | 0;
       } while (0);
       if ((i19 | 0) == 261) i103 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i14) | 0;
       set32(i40 | 0, (i103 >>> 0) / 20 | 0 | 0);
       set32(i37 | 0, i14 | 0);
       i96 = i37;
       i97 = i56;
       i98 = get32(i16 | 0) | 0;
       i99 = i14;
       i19 = 263;
      } while (0);
      if ((i19 | 0) == 263) {
       set32(i16 | 0, i98 + 1 | 0);
       set8(i99 + (i11 * 20 | 0) >> 0 | 0, -123 | 0);
       set8(i99 + (i11 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i99 + (i11 * 20 | 0) + 4 | 0, 0 | 0);
       set32(i99 + (i11 * 20 | 0) + 8 | 0, 1 | 0);
       set32(i99 + (i11 * 20 | 0) + 12 | 0, i35 | 0);
       set32(i99 + (i11 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i99 + (i11 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i100 = i11;
       i101 = i97;
       i102 = i96;
      }
      i18 = get32(i101 | 0) | 0;
      i10 = get32(i102 | 0) | 0;
      do if (i10) {
       do if (!(get8(i18 + 30 >> 0 | 0) | 0)) {
        if ((i100 | 0) < 0) i104 = (get32(i16 | 0) | 0) + -1 | 0; else i104 = i100;
        i29 = i10 + (i104 * 20 | 0) + 1 | 0;
        i36 = i10 + (i104 * 20 | 0) + 16 | 0;
        _freeP4(i18, get8(i29 >> 0 | 0) | 0, get32(i36 | 0) | 0);
        set32(i36 | 0, 0 | 0);
        if (!i93) {
         set32(i36 | 0, 0 | 0);
         set8(i29 >> 0 | 0, 0 | 0);
         break;
        } else {
         set32(i36 | 0, i93 | 0);
         set8(i29 >> 0 | 0, -10 | 0);
         i29 = i93 + 12 | 0;
         set32(i29 | 0, (get32(i29 | 0) | 0) + 1 | 0);
         break;
        }
       } while (0);
       i14 = get32(i102 | 0) | 0;
       if (!i14) break;
       set8(i14 + (((get32(i16 | 0) | 0) + -1 | 0) * 20 | 0) + 3 >> 0 | 0, 2 | 0);
      } while (0);
      i18 = get32(i41 | 0) | 0;
      set8(((i18 | 0) == 0 ? i1 : i18) + 345 >> 0 | 0, 1 | 0);
     }
     i18 = get32(i16 | 0) | 0;
     i10 = get32(i40 | 0) | 0;
     do if ((i10 | 0) > (i18 | 0)) {
      i105 = i18;
      i106 = get32(i56 + 4 | 0) | 0;
      i19 = 284;
     } else {
      i11 = i56 + 4 | 0;
      i35 = _sqlite3DbRealloc(get32(i56 | 0) | 0, get32(i11 | 0) | 0, (i10 | 0) == 0 ? 1020 : i10 * 40 | 0) | 0;
      if (!i35) break;
      i14 = get32(i56 | 0) | 0;
      do if (!i14) i19 = 282; else {
       if ((get32(i14 + 260 | 0) | 0) >>> 0 > i35 >>> 0) {
        i19 = 282;
        break;
       }
       if ((get32(i14 + 264 | 0) | 0) >>> 0 <= i35 >>> 0) {
        i19 = 282;
        break;
       }
       i107 = getU16(i14 + 232 | 0) | 0;
      } while (0);
      if ((i19 | 0) == 282) i107 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i35) | 0;
      set32(i40 | 0, (i107 >>> 0) / 20 | 0 | 0);
      set32(i11 | 0, i35 | 0);
      i105 = get32(i16 | 0) | 0;
      i106 = i35;
      i19 = 284;
     } while (0);
     if ((i19 | 0) == 284) {
      set32(i16 | 0, i105 + 1 | 0);
      set8(i106 + (i18 * 20 | 0) >> 0 | 0, 1 | 0);
      set8(i106 + (i18 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i106 + (i18 * 20 | 0) + 4 | 0, 0 | 0);
      set32(i106 + (i18 * 20 | 0) + 8 | 0, i91 | 0);
      set32(i106 + (i18 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i106 + (i18 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i106 + (i18 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     }
     i10 = get32(i56 + 44 | 0) | 0;
     if (i10) set32(i10 + (i21 << 2) | 0, get32(i16 | 0) | 0);
     if (i46) break;
     if (get8(i44 >> 0 | 0) & 16) break;
     i10 = get32(i15 | 0) | 0;
     if (i10) {
      i41 = i56 + 4 | 0;
      i14 = 1;
      i37 = i10;
      while (1) {
       i10 = i14 + i9 | 0;
       i29 = get32(i37 + 20 | 0) | 0;
       i36 = get32(i16 | 0) | 0;
       i25 = get32(i40 | 0) | 0;
       do if ((i25 | 0) > (i36 | 0)) {
        i108 = i36;
        i109 = get32(i41 | 0) | 0;
        i19 = 300;
       } else {
        i24 = _sqlite3DbRealloc(get32(i56 | 0) | 0, get32(i41 | 0) | 0, (i25 | 0) == 0 ? 1020 : i25 * 40 | 0) | 0;
        if (!i24) break;
        i39 = get32(i56 | 0) | 0;
        do if (!i39) i19 = 298; else {
         if ((get32(i39 + 260 | 0) | 0) >>> 0 > i24 >>> 0) {
          i19 = 298;
          break;
         }
         if ((get32(i39 + 264 | 0) | 0) >>> 0 <= i24 >>> 0) {
          i19 = 298;
          break;
         }
         i110 = getU16(i39 + 232 | 0) | 0;
        } while (0);
        if ((i19 | 0) == 298) {
         i19 = 0;
         i110 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i24) | 0;
        }
        set32(i40 | 0, (i110 >>> 0) / 20 | 0 | 0);
        set32(i41 | 0, i24 | 0);
        i108 = get32(i16 | 0) | 0;
        i109 = i24;
        i19 = 300;
       } while (0);
       if ((i19 | 0) == 300) {
        i19 = 0;
        set32(i16 | 0, i108 + 1 | 0);
        set8(i109 + (i36 * 20 | 0) >> 0 | 0, 43 | 0);
        set8(i109 + (i36 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i109 + (i36 * 20 | 0) + 4 | 0, i10 | 0);
        set32(i109 + (i36 * 20 | 0) + 8 | 0, i29 | 0);
        set32(i109 + (i36 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i109 + (i36 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i109 + (i36 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       }
       i37 = get32(i37 + 32 | 0) | 0;
       if (!i37) break; else i14 = i14 + 1 | 0;
      }
     }
     i14 = get32(i16 | 0) | 0;
     i37 = get32(i40 | 0) | 0;
     if ((i37 | 0) > (i14 | 0)) {
      i111 = i14;
      i112 = get32(i56 + 4 | 0) | 0;
     } else {
      i41 = i56 + 4 | 0;
      i21 = _sqlite3DbRealloc(get32(i56 | 0) | 0, get32(i41 | 0) | 0, (i37 | 0) == 0 ? 1020 : i37 * 40 | 0) | 0;
      if (!i21) break;
      i37 = get32(i56 | 0) | 0;
      do if (!i37) i19 = 309; else {
       if ((get32(i37 + 260 | 0) | 0) >>> 0 > i21 >>> 0) {
        i19 = 309;
        break;
       }
       if ((get32(i37 + 264 | 0) | 0) >>> 0 <= i21 >>> 0) {
        i19 = 309;
        break;
       }
       i113 = getU16(i37 + 232 | 0) | 0;
      } while (0);
      if ((i19 | 0) == 309) i113 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i21) | 0;
      set32(i40 | 0, (i113 >>> 0) / 20 | 0 | 0);
      set32(i41 | 0, i21 | 0);
      i111 = get32(i16 | 0) | 0;
      i112 = i21;
     }
     set32(i16 | 0, i111 + 1 | 0);
     set8(i112 + (i14 * 20 | 0) >> 0 | 0, 43 | 0);
     set8(i112 + (i14 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i112 + (i14 * 20 | 0) + 4 | 0, i9 | 0);
     set32(i112 + (i14 * 20 | 0) + 8 | 0, 0 | 0);
     set32(i112 + (i14 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i112 + (i14 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i112 + (i14 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    } while (0);
    do if (!(get8(i42 >> 0 | 0) | 0)) {
     if (get32(i1 + 428 | 0) | 0) break;
     _sqlite3AutoincrementEnd(i1);
    } while (0);
    if (!(get32(i38 | 0) & 4096)) break;
    if (get8(i42 >> 0 | 0) | 0) break;
    if (get32(i1 + 428 | 0) | 0) break;
    i37 = i56 + 28 | 0;
    i18 = get32(i37 | 0) | 0;
    i25 = i56 + 32 | 0;
    i35 = get32(i25 | 0) | 0;
    do if ((i35 | 0) > (i18 | 0)) {
     i114 = i56;
     i115 = i18;
     i116 = get32(i56 + 4 | 0) | 0;
     i19 = 327;
    } else {
     i11 = i56 + 4 | 0;
     i39 = _sqlite3DbRealloc(get32(i56 | 0) | 0, get32(i11 | 0) | 0, (i35 | 0) == 0 ? 1020 : i35 * 40 | 0) | 0;
     if (!i39) {
      i117 = i56;
      break;
     }
     i26 = get32(i56 | 0) | 0;
     do if (!i26) i19 = 325; else {
      if ((get32(i26 + 260 | 0) | 0) >>> 0 > i39 >>> 0) {
       i19 = 325;
       break;
      }
      if ((get32(i26 + 264 | 0) | 0) >>> 0 <= i39 >>> 0) {
       i19 = 325;
       break;
      }
      i118 = getU16(i26 + 232 | 0) | 0;
     } while (0);
     if ((i19 | 0) == 325) i118 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i39) | 0;
     set32(i25 | 0, (i118 >>> 0) / 20 | 0 | 0);
     set32(i11 | 0, i39 | 0);
     i114 = i56;
     i115 = get32(i37 | 0) | 0;
     i116 = i39;
     i19 = 327;
    } while (0);
    if ((i19 | 0) == 327) {
     set32(i37 | 0, i115 + 1 | 0);
     set8(i116 + (i18 * 20 | 0) >> 0 | 0, 16 | 0);
     set8(i116 + (i18 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i116 + (i18 * 20 | 0) + 4 | 0, i60 | 0);
     set32(i116 + (i18 * 20 | 0) + 8 | 0, 1 | 0);
     set32(i116 + (i18 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i116 + (i18 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i116 + (i18 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i117 = i114;
    }
    _sqlite3VdbeSetNumCols(i56, 1);
    if (get8((get32(i117 | 0) | 0) + 30 >> 0 | 0) | 0) break;
    _sqlite3VdbeMemSetStr(get32(i56 + 16 | 0) | 0, 33205, -1, 1, 0) | 0;
   }
  } while (0);
  if (!i52) {
   _sqlite3SrcListDelete(i13, i2);
   _sqlite3ExprDelete(i13, i3);
   STACKTOP = i4;
   return;
  }
  set32(i52 + 516 | 0, i53 | 0);
  _sqlite3SrcListDelete(i13, i2);
  _sqlite3ExprDelete(i13, i3);
  STACKTOP = i4;
  return;
 } while (0);
 set32(i8 | 0, get32(i20 | 0) | 0);
 _sqlite3ErrorMsg(i1, 33218, i8);
 _sqlite3SrcListDelete(i13, i2);
 _sqlite3ExprDelete(i13, i3);
 STACKTOP = i4;
 return;
}

function _sqlite3CodeSubselect(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0, i80 = 0, i81 = 0, i82 = 0, i83 = 0, i84 = 0, i85 = 0, i86 = 0, i87 = 0, i88 = 0, i89 = 0, i90 = 0, i91 = 0, i92 = 0, i93 = 0, i94 = 0, i95 = 0, i96 = 0, i97 = 0, i98 = 0, i99 = 0, i100 = 0, i101 = 0, i102 = 0, i103 = 0, i104 = 0, i105 = 0, i106 = 0, i107 = 0, i108 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 112 | 0;
 i6 = i5 + 16 | 0;
 i7 = i5;
 i8 = i5 + 80 | 0;
 i9 = i5 + 96 | 0;
 i10 = i5 + 64 | 0;
 i11 = i5 + 48 | 0;
 i12 = i5 + 40 | 0;
 i13 = i5 + 24 | 0;
 i14 = i1 + 12 | 0;
 i15 = get32(i14 | 0) | 0;
 if (!i15) {
  i16 = get32(i1 | 0) | 0;
  L3 : do if (!i16) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i17 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
    i18 = 39;
    break;
   }
   i19 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
   set32(35 * 4 | 0, 192 | 0);
   if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
   i20 = get32(6 * 4 | 0) | 0;
   do if (i20) {
    i21 = get32(30 * 4 | 0) | 0;
    i22 = ((i21 | 0) < 0) << 31 >> 31;
    i23 = 16;
    i24 = _i64Subtract(get32(i23 | 0) | 0, get32(i23 + 4 | 0) | 0, i19 | 0, ((i19 | 0) < 0) << 31 >> 31 | 0) | 0;
    i23 = tempRet0;
    if ((i22 | 0) < (i23 | 0) | (i22 | 0) == (i23 | 0) & i21 >>> 0 < i24 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i24 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i20 & 15](i24, i21, i22, i19);
     set32(6 * 4 | 0, i20 | 0);
     set32(7 * 4 | 0, i24 | 0);
     break;
    }
   } while (0);
   i20 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i19) | 0;
   if (i20) {
    i24 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i20) | 0;
    i22 = (get32(30 * 4 | 0) | 0) + i24 | 0;
    set32(30 * 4 | 0, i22 | 0);
    if ((i22 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i22 | 0);
    i22 = get32(39 * 4 | 0) | 0;
    i24 = i22 + 1 | 0;
    set32(39 * 4 | 0, i24 | 0);
    if ((i22 | 0) < (get32(49 * 4 | 0) | 0)) i25 = i20; else {
     set32(49 * 4 | 0, i24 | 0);
     i25 = i20;
    }
   } else i18 = 49;
  } else {
   i20 = i16 + 30 | 0;
   if (!(get8(i20 >> 0 | 0) | 0)) {
    do if (get8(i16 + 234 >> 0 | 0) | 0) {
     if ((getU16(i16 + 232 | 0) | 0) < 192) {
      i24 = i16 + 248 | 0;
      set32(i24 | 0, (get32(i24 | 0) | 0) + 1 | 0);
      break;
     }
     i24 = i16 + 256 | 0;
     i22 = get32(i24 | 0) | 0;
     if (!i22) {
      i21 = i16 + 252 | 0;
      set32(i21 | 0, (get32(i21 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i24 | 0, get32(i22 | 0) | 0);
     i24 = i16 + 236 | 0;
     i21 = get32(i24 | 0) | 0;
     i23 = i21 + 1 | 0;
     set32(i24 | 0, i23 | 0);
     i24 = i16 + 244 | 0;
     set32(i24 | 0, (get32(i24 | 0) | 0) + 1 | 0);
     i24 = i16 + 240 | 0;
     if ((i21 | 0) >= (get32(i24 | 0) | 0)) set32(i24 | 0, i23 | 0);
     i17 = i22;
     i18 = 39;
     break L3;
    } while (0);
    if (!(get32(50 * 4 | 0) | 0)) {
     i19 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
     if (i19) {
      i25 = i19;
      break;
     }
    } else {
     i19 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
     set32(35 * 4 | 0, 192 | 0);
     if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
     i22 = get32(6 * 4 | 0) | 0;
     do if (i22) {
      i23 = get32(30 * 4 | 0) | 0;
      i24 = ((i23 | 0) < 0) << 31 >> 31;
      i21 = 16;
      i26 = _i64Subtract(get32(i21 | 0) | 0, get32(i21 + 4 | 0) | 0, i19 | 0, ((i19 | 0) < 0) << 31 >> 31 | 0) | 0;
      i21 = tempRet0;
      if ((i24 | 0) < (i21 | 0) | (i24 | 0) == (i21 | 0) & i23 >>> 0 < i26 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i26 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i22 & 15](i26, i23, i24, i19);
       set32(6 * 4 | 0, i22 | 0);
       set32(7 * 4 | 0, i26 | 0);
       break;
      }
     } while (0);
     i22 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i19) | 0;
     if (i22) {
      i26 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i22) | 0;
      i24 = (get32(30 * 4 | 0) | 0) + i26 | 0;
      set32(30 * 4 | 0, i24 | 0);
      if ((i24 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i24 | 0);
      i24 = get32(39 * 4 | 0) | 0;
      i26 = i24 + 1 | 0;
      set32(39 * 4 | 0, i26 | 0);
      if ((i24 | 0) < (get32(49 * 4 | 0) | 0)) {
       i25 = i22;
       break;
      }
      set32(49 * 4 | 0, i26 | 0);
      i25 = i22;
      break;
     }
    }
    set8(i20 >> 0 | 0, 1 | 0);
    i18 = 49;
   } else i18 = 49;
  } while (0);
  if ((i18 | 0) == 39) if (!i17) i18 = 49; else i25 = i17;
  if ((i18 | 0) == 49) {
   set32(i14 | 0, 0 | 0);
   i27 = 0;
   STACKTOP = i5;
   return i27 | 0;
  }
  _memset(i25 | 0, 0, 192) | 0;
  set32(i25 | 0, i16 | 0);
  i17 = i16 + 136 | 0;
  i22 = get32(i17 | 0) | 0;
  if (i22) set32(i22 + 60 | 0, i25 | 0);
  set32(i25 + 64 | 0, i22 | 0);
  set32(i25 + 60 | 0, 0 | 0);
  set32(i17 | 0, i25 | 0);
  set32(i25 + 52 | 0, 649915045 | 0);
  set32(i14 | 0, i25 | 0);
  i14 = i25 + 28 | 0;
  i17 = i25 + 32 | 0;
  i22 = i25 + 4 | 0;
  i26 = _sqlite3DbRealloc(i16, 0, 1020) | 0;
  if (!i26) i28 = i25; else {
   i16 = get32(i25 | 0) | 0;
   if (((i16 | 0) != 0 ? (get32(i16 + 260 | 0) | 0) >>> 0 <= i26 >>> 0 : 0) ? (get32(i16 + 264 | 0) | 0) >>> 0 > i26 >>> 0 : 0) i29 = getU16(i16 + 232 | 0) | 0; else i29 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i26) | 0;
   set32(i17 | 0, (i29 >>> 0) / 20 | 0 | 0);
   set32(i22 | 0, i26 | 0);
   set32(i14 | 0, (get32(i14 | 0) | 0) + 1 | 0);
   set8(i26 >> 0 | 0, -120 | 0);
   set8(i26 + 1 >> 0 | 0, 0 | 0);
   i14 = i26 + 3 | 0;
   i26 = i14 + 17 | 0;
   do {
    set8(i14 >> 0 | 0, 0 | 0);
    i14 = i14 + 1 | 0;
   } while ((i14 | 0) < (i26 | 0));
   i28 = i25;
  }
 } else i28 = i15;
 i15 = i1 + 84 | 0;
 set32(i15 | 0, (get32(i15 | 0) | 0) + 1 | 0);
 i25 = i2 + 2 | 0;
 do if ((get16(i25 | 0) & 32) == 0 ? (get32(i1 + 428 | 0) | 0) == 0 : 0) {
  i14 = i1 + 72 | 0;
  i26 = (get32(i14 | 0) | 0) + 1 | 0;
  set32(i14 | 0, i26 | 0);
  i14 = i28 + 28 | 0;
  i22 = get32(i14 | 0) | 0;
  i29 = i28 + 32 | 0;
  i17 = get32(i29 | 0) | 0;
  do if ((i17 | 0) > (i22 | 0)) {
   i30 = i22;
   i31 = get32(i28 + 4 | 0) | 0;
   i32 = i17;
   i18 = 62;
  } else {
   i16 = i28 + 4 | 0;
   i24 = _sqlite3DbRealloc(get32(i28 | 0) | 0, get32(i16 | 0) | 0, (i17 | 0) == 0 ? 1020 : i17 * 40 | 0) | 0;
   if (!i24) {
    i33 = get32(i29 | 0) | 0;
    i34 = get32(i14 | 0) | 0;
    break;
   }
   i23 = get32(i28 | 0) | 0;
   if (((i23 | 0) != 0 ? (get32(i23 + 260 | 0) | 0) >>> 0 <= i24 >>> 0 : 0) ? (get32(i23 + 264 | 0) | 0) >>> 0 > i24 >>> 0 : 0) i35 = getU16(i23 + 232 | 0) | 0; else i35 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i24) | 0;
   i23 = (i35 >>> 0) / 20 | 0;
   set32(i29 | 0, i23 | 0);
   set32(i16 | 0, i24 | 0);
   i30 = get32(i14 | 0) | 0;
   i31 = i24;
   i32 = i23;
   i18 = 62;
  } while (0);
  if ((i18 | 0) == 62) {
   i17 = i30 + 1 | 0;
   set32(i14 | 0, i17 | 0);
   set8(i31 + (i22 * 20 | 0) >> 0 | 0, 26 | 0);
   set8(i31 + (i22 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i31 + (i22 * 20 | 0) + 4 | 0, i26 | 0);
   set32(i31 + (i22 * 20 | 0) + 8 | 0, 0 | 0);
   set32(i31 + (i22 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i31 + (i22 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i31 + (i22 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i33 = i32;
   i34 = i17;
  }
  if ((i33 | 0) > (i34 | 0)) {
   i36 = i34;
   i37 = get32(i28 + 4 | 0) | 0;
  } else {
   i17 = i28 + 4 | 0;
   i20 = _sqlite3DbRealloc(get32(i28 | 0) | 0, get32(i17 | 0) | 0, (i33 | 0) == 0 ? 1020 : i33 * 40 | 0) | 0;
   if (!i20) {
    i38 = 1;
    break;
   }
   i19 = get32(i28 | 0) | 0;
   if (((i19 | 0) != 0 ? (get32(i19 + 260 | 0) | 0) >>> 0 <= i20 >>> 0 : 0) ? (get32(i19 + 264 | 0) | 0) >>> 0 > i20 >>> 0 : 0) i39 = getU16(i19 + 232 | 0) | 0; else i39 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i20) | 0;
   set32(i29 | 0, (i39 >>> 0) / 20 | 0 | 0);
   set32(i17 | 0, i20 | 0);
   i36 = get32(i14 | 0) | 0;
   i37 = i20;
  }
  set32(i14 | 0, i36 + 1 | 0);
  set8(i37 + (i34 * 20 | 0) >> 0 | 0, 7 | 0);
  set8(i37 + (i34 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i37 + (i34 * 20 | 0) + 4 | 0, 1 | 0);
  set32(i37 + (i34 * 20 | 0) + 8 | 0, i26 | 0);
  set32(i37 + (i34 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i37 + (i34 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i37 + (i34 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i38 = i34;
 } else i38 = 0; while (0);
 do if ((get8(i1 + 484 >> 0 | 0) | 0) == 2) {
  i34 = get32(i1 | 0) | 0;
  i37 = (get8(i2 >> 0 | 0) | 0) == 72 ? 32521 : 32526;
  i36 = get32(i1 + 556 | 0) | 0;
  set32(i7 | 0, ((i38 | 0) != 0 ? 16820 : 32509) | 0);
  set32(i7 + 4 | 0, i37 | 0);
  set32(i7 + 8 | 0, i36 | 0);
  i36 = _sqlite3MPrintf(i34, 32484, i7) | 0;
  i34 = get32(i1 + 552 | 0) | 0;
  i37 = i28 + 28 | 0;
  i39 = get32(i37 | 0) | 0;
  i33 = i28 + 32 | 0;
  i32 = get32(i33 | 0) | 0;
  if ((i32 | 0) <= (i39 | 0)) {
   i31 = i28 + 4 | 0;
   i30 = _sqlite3DbRealloc(get32(i28 | 0) | 0, get32(i31 | 0) | 0, (i32 | 0) == 0 ? 1020 : i32 * 40 | 0) | 0;
   if (!i30) {
    i40 = 1;
    i41 = i28;
    i42 = i31;
   } else {
    i32 = get32(i28 | 0) | 0;
    if (((i32 | 0) != 0 ? (get32(i32 + 260 | 0) | 0) >>> 0 <= i30 >>> 0 : 0) ? (get32(i32 + 264 | 0) | 0) >>> 0 > i30 >>> 0 : 0) i43 = getU16(i32 + 232 | 0) | 0; else i43 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i30) | 0;
    set32(i33 | 0, (i43 >>> 0) / 20 | 0 | 0);
    set32(i31 | 0, i30 | 0);
    i44 = i31;
    i45 = i28;
    i46 = get32(i37 | 0) | 0;
    i47 = i30;
    i18 = 84;
   }
  } else {
   i30 = i28 + 4 | 0;
   i44 = i30;
   i45 = i28;
   i46 = i39;
   i47 = get32(i30 | 0) | 0;
   i18 = 84;
  }
  if ((i18 | 0) == 84) {
   set32(i37 | 0, i46 + 1 | 0);
   set8(i47 + (i39 * 20 | 0) >> 0 | 0, -118 | 0);
   set8(i47 + (i39 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i47 + (i39 * 20 | 0) + 4 | 0, i34 | 0);
   set32(i47 + (i39 * 20 | 0) + 8 | 0, 0 | 0);
   set32(i47 + (i39 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i47 + (i39 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i47 + (i39 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i40 = i39;
   i41 = i45;
   i42 = i44;
  }
  i39 = get32(i41 | 0) | 0;
  i34 = get32(i42 | 0) | 0;
  if ((i34 | 0) != 0 ? (get8(i39 + 30 >> 0 | 0) | 0) == 0 : 0) {
   if ((i40 | 0) < 0) i48 = (get32(i37 | 0) | 0) + -1 | 0; else i48 = i40;
   i37 = i34 + (i48 * 20 | 0) + 1 | 0;
   i30 = i34 + (i48 * 20 | 0) + 16 | 0;
   _freeP4(i39, get8(i37 >> 0 | 0) | 0, get32(i30 | 0) | 0);
   set32(i30 | 0, 0 | 0);
   if (!i36) {
    set32(i30 | 0, 0 | 0);
    set8(i37 >> 0 | 0, 0 | 0);
    i49 = i2;
    break;
   } else {
    set32(i30 | 0, i36 | 0);
    set8(i37 >> 0 | 0, -1 | 0);
    i49 = i2;
    break;
   }
  }
  if (i36) {
   _sqlite3DbFree(i39, i36);
   i49 = i2;
  } else i49 = i2;
 } else i49 = i2; while (0);
 i48 = get8(i49 >> 0 | 0) | 0;
 do if (i48 << 24 >> 24 == 72) {
  i49 = i2 + 8 | 0;
  i40 = get32(i49 | 0) | 0;
  i42 = (i3 | 0) == 0;
  do if (i42) i50 = i40; else {
   i41 = i28 + 28 | 0;
   i44 = get32(i41 | 0) | 0;
   i45 = i28 + 32 | 0;
   i47 = get32(i45 | 0) | 0;
   if ((i47 | 0) > (i44 | 0)) {
    i51 = i44;
    i52 = get32(i28 + 4 | 0) | 0;
   } else {
    i46 = i28 + 4 | 0;
    i43 = _sqlite3DbRealloc(get32(i28 | 0) | 0, get32(i46 | 0) | 0, (i47 | 0) == 0 ? 1020 : i47 * 40 | 0) | 0;
    if (!i43) {
     i50 = i40;
     break;
    }
    i47 = get32(i28 | 0) | 0;
    if (((i47 | 0) != 0 ? (get32(i47 + 260 | 0) | 0) >>> 0 <= i43 >>> 0 : 0) ? (get32(i47 + 264 | 0) | 0) >>> 0 > i43 >>> 0 : 0) i53 = getU16(i47 + 232 | 0) | 0; else i53 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i43) | 0;
    set32(i45 | 0, (i53 >>> 0) / 20 | 0 | 0);
    set32(i46 | 0, i43 | 0);
    i51 = get32(i41 | 0) | 0;
    i52 = i43;
   }
   set32(i41 | 0, i51 + 1 | 0);
   set8(i52 + (i44 * 20 | 0) >> 0 | 0, 10 | 0);
   set8(i52 + (i44 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i52 + (i44 * 20 | 0) + 4 | 0, 0 | 0);
   set32(i52 + (i44 * 20 | 0) + 8 | 0, i3 | 0);
   set32(i52 + (i44 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i52 + (i44 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i52 + (i44 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i50 = i40;
  } while (0);
  L149 : while (1) {
   switch (get8(i50 >> 0 | 0) | 0) {
   case 37:
    {
     i54 = i50;
     i18 = 108;
     break L149;
     break;
    }
   case -124:
   case -104:
   case -102:
    {
     i55 = i50;
     i18 = 119;
     break L149;
     break;
    }
   case 116:
    break;
   default:
    {
     i56 = i50;
     i18 = 122;
     break L149;
    }
   }
   i50 = get32(get32((get32(get32(i50 + 16 | 0) | 0) | 0) + 12 | 0) | 0) | 0;
  }
  L152 : do if ((i18 | 0) == 108) {
   i40 = get32(i54 + 4 | 0) | 0;
   if ((i40 | 0) != 0 ? (i26 = get8(i40 >> 0 | 0) | 0, i26 << 24 >> 24 != 0) : 0) {
    i14 = i40;
    i40 = i26;
    i26 = 99;
    i29 = 0;
    while (1) {
     i22 = getU8(16286 + (i40 & 255) >> 0 | 0) | i29 << 8;
     i14 = i14 + 1 | 0;
     L157 : do if ((i22 | 0) < 1685026146) {
      if ((i22 | 0) < 1667785074) {
       switch (i22 | 0) {
       case 1651273570:
        break;
       default:
        {
         i18 = 117;
         break L157;
        }
       }
       switch (i26 << 24 >> 24) {
       case 101:
       case 99:
        {
         i57 = 98;
         i58 = 1651273570;
         break L157;
         break;
        }
       default:
        {
         i18 = 116;
         break L157;
        }
       }
      }
      if ((i22 | 0) < 1668050786) switch (i22 | 0) {
      case 1667785074:
       {
        i57 = 97;
        i58 = i22;
        break L157;
        break;
       }
      default:
       {
        i18 = 117;
        break L157;
       }
      } else switch (i22 | 0) {
      case 1668050786:
       {
        i57 = 97;
        i58 = i22;
        break L157;
        break;
       }
      default:
       {
        i18 = 117;
        break L157;
       }
      }
     } else {
      if ((i22 | 0) >= 1919246700) {
       if ((i22 | 0) >= 1952807028) switch (i22 | 0) {
       case 1952807028:
        {
         i57 = 97;
         i58 = i22;
         break L157;
         break;
        }
       default:
        {
         i18 = 117;
         break L157;
        }
       }
       switch (i22 | 0) {
       case 1919246700:
        break;
       default:
        {
         i18 = 117;
         break L157;
        }
       }
       if (i26 << 24 >> 24 == 99) {
        i57 = 101;
        i58 = 1919246700;
        break;
       } else {
        i18 = 116;
        break;
       }
      }
      if ((i22 | 0) < 1718382433) {
       switch (i22 | 0) {
       case 1685026146:
        break;
       default:
        {
         i18 = 117;
         break L157;
        }
       }
       if (i26 << 24 >> 24 == 99) {
        i57 = 101;
        i58 = 1685026146;
        break;
       }
      } else {
       switch (i22 | 0) {
       case 1718382433:
        break;
       default:
        {
         i18 = 117;
         break L157;
        }
       }
       if (i26 << 24 >> 24 == 99) {
        i57 = 101;
        i58 = 1718382433;
        break;
       }
      }
      i57 = i26;
      i58 = i22;
     } while (0);
     if ((i18 | 0) == 116) {
      i18 = 0;
      i57 = i26;
      i58 = i22;
     } else if ((i18 | 0) == 117) {
      i18 = 0;
      if ((i22 & 16777215 | 0) == 6909556) {
       i59 = 100;
       break L152;
      } else {
       i57 = i26;
       i58 = i22;
      }
     }
     i40 = get8(i14 >> 0 | 0) | 0;
     if (!(i40 << 24 >> 24)) {
      i59 = i57;
      break;
     } else {
      i26 = i57;
      i29 = i58;
     }
    }
   } else i59 = 99;
  } else if ((i18 | 0) == 119) {
   i29 = get32(i55 + 40 | 0) | 0;
   if (i29) {
    i26 = get16(i55 + 28 | 0) | 0;
    if (i26 << 16 >> 16 < 0) i59 = 100; else i59 = get8((get32(i29 + 12 | 0) | 0) + ((i26 << 16 >> 16) * 24 | 0) + 22 >> 0 | 0) | 0;
   } else {
    i56 = i55;
    i18 = 122;
   }
  } while (0);
  if ((i18 | 0) == 122) i59 = get8(i56 + 1 >> 0 | 0) | 0;
  set8(i9 >> 0 | 0, i59 | 0);
  i26 = i1 + 68 | 0;
  i29 = get32(i26 | 0) | 0;
  set32(i26 | 0, i29 + 1 | 0);
  i26 = i2 + 24 | 0;
  set32(i26 | 0, i29 | 0);
  i40 = (i4 | 0) != 0;
  i14 = i40 & 1 ^ 1;
  i44 = i28 + 28 | 0;
  i41 = get32(i44 | 0) | 0;
  i43 = i28 + 32 | 0;
  i46 = get32(i43 | 0) | 0;
  if ((i46 | 0) <= (i41 | 0)) {
   i45 = i28 + 4 | 0;
   i47 = _sqlite3DbRealloc(get32(i28 | 0) | 0, get32(i45 | 0) | 0, (i46 | 0) == 0 ? 1020 : i46 * 40 | 0) | 0;
   if (!i47) i60 = 1; else {
    i46 = get32(i28 | 0) | 0;
    if (((i46 | 0) != 0 ? (get32(i46 + 260 | 0) | 0) >>> 0 <= i47 >>> 0 : 0) ? (get32(i46 + 264 | 0) | 0) >>> 0 > i47 >>> 0 : 0) i61 = getU16(i46 + 232 | 0) | 0; else i61 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i47) | 0;
    set32(i43 | 0, (i61 >>> 0) / 20 | 0 | 0);
    set32(i45 | 0, i47 | 0);
    i62 = get32(i44 | 0) | 0;
    i63 = i47;
    i18 = 132;
   }
  } else {
   i62 = i41;
   i63 = get32(i28 + 4 | 0) | 0;
   i18 = 132;
  }
  if ((i18 | 0) == 132) {
   set32(i44 | 0, i62 + 1 | 0);
   set8(i63 + (i41 * 20 | 0) >> 0 | 0, 41 | 0);
   set8(i63 + (i41 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i63 + (i41 * 20 | 0) + 4 | 0, i29 | 0);
   set32(i63 + (i41 * 20 | 0) + 8 | 0, i14 | 0);
   set32(i63 + (i41 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i63 + (i41 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i63 + (i41 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i60 = i41;
  }
  if (i42 ? (i41 = get32(i28 + 4 | 0) | 0, (i41 | 0) != 0) : 0) set8(i41 + (((get32(i44 | 0) | 0) + -1 | 0) * 20 | 0) + 3 >> 0 | 0, 16 | 0);
  set32(i10 | 0, 0 | 0);
  set32(i10 + 4 | 0, 0 | 0);
  set32(i10 + 8 | 0, 0 | 0);
  set32(i10 + 12 | 0, 0 | 0);
  set16(i10 + 6 | 0, 1 | 0);
  L208 : do if (!(get16(i25 | 0) & 2048)) {
   i41 = get32(i2 + 16 | 0) | 0;
   if (i41) {
    if (!(get8(i9 >> 0 | 0) | 0)) set8(i9 >> 0 | 0, 98 | 0);
    set32(i10 + 12 | 0, _sqlite3ExprCollSeq(i1, get32(i49 | 0) | 0) | 0 | 0);
    i14 = i1 + 21 | 0;
    i29 = get8(i14 >> 0 | 0) | 0;
    if (i29 << 24 >> 24) {
     i47 = i29 + -1 << 24 >> 24;
     set8(i14 >> 0 | 0, i47 | 0);
     i45 = get32(i1 + 24 + ((i47 & 255) << 2) | 0) | 0;
     if (!(i47 << 24 >> 24)) {
      i64 = i45;
      i18 = 154;
     } else {
      i47 = i29 + -2 << 24 >> 24;
      set8(i14 >> 0 | 0, i47 | 0);
      i65 = i45;
      i66 = get32(i1 + 24 + ((i47 & 255) << 2) | 0) | 0;
     }
    } else {
     i47 = i1 + 72 | 0;
     i45 = (get32(i47 | 0) | 0) + 1 | 0;
     set32(i47 | 0, i45 | 0);
     i64 = i45;
     i18 = 154;
    }
    if ((i18 | 0) == 154) {
     i45 = i1 + 72 | 0;
     i47 = (get32(i45 | 0) | 0) + 1 | 0;
     set32(i45 | 0, i47 | 0);
     i65 = i64;
     i66 = i47;
    }
    i47 = get32(i44 | 0) | 0;
    i45 = get32(i43 | 0) | 0;
    if ((i45 | 0) <= (i47 | 0)) {
     i29 = i28 + 4 | 0;
     i46 = _sqlite3DbRealloc(get32(i28 | 0) | 0, get32(i29 | 0) | 0, (i45 | 0) == 0 ? 1020 : i45 * 40 | 0) | 0;
     if (i46) {
      i45 = get32(i28 | 0) | 0;
      if (((i45 | 0) != 0 ? (get32(i45 + 260 | 0) | 0) >>> 0 <= i46 >>> 0 : 0) ? (get32(i45 + 264 | 0) | 0) >>> 0 > i46 >>> 0 : 0) i67 = getU16(i45 + 232 | 0) | 0; else i67 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i46) | 0;
      set32(i43 | 0, (i67 >>> 0) / 20 | 0 | 0);
      set32(i29 | 0, i46 | 0);
      i68 = get32(i44 | 0) | 0;
      i69 = i46;
      i18 = 165;
     }
    } else {
     i68 = i47;
     i69 = get32(i28 + 4 | 0) | 0;
     i18 = 165;
    }
    if ((i18 | 0) == 165) {
     set32(i44 | 0, i68 + 1 | 0);
     set8(i69 + (i47 * 20 | 0) >> 0 | 0, 10 | 0);
     set8(i69 + (i47 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i69 + (i47 * 20 | 0) + 4 | 0, 0 | 0);
     set32(i69 + (i47 * 20 | 0) + 8 | 0, i66 | 0);
     set32(i69 + (i47 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i69 + (i47 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i69 + (i47 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    }
    i47 = get32(i41 | 0) | 0;
    if ((i47 | 0) > 0) {
     i46 = i28 + 4 | 0;
     i29 = i1 + 96 | 0;
     i45 = i8 + 12 | 0;
     i7 = i8 + 4 | 0;
     i36 = i47;
     i47 = get32(i41 + 12 | 0) | 0;
     i41 = i38;
     while (1) {
      i39 = get32(i47 | 0) | 0;
      do if (i41) {
       set32(i45 | 0, 1 | 0);
       set32(i8 | 0, 67 | 0);
       set32(i7 | 0, 68 | 0);
       _sqlite3WalkExpr(i8, i39) | 0;
       if (!(get32(i45 | 0) | 0)) {
        i37 = get32(i46 | 0) | 0;
        if (!i37) {
         i70 = 0;
         break;
        }
        i30 = i41 + -1 | 0;
        i34 = get32(i28 | 0) | 0;
        _freeP4(i34, get8(i37 + (i30 * 20 | 0) + 1 >> 0 | 0) | 0, get32(i37 + (i30 * 20 | 0) + 16 | 0) | 0);
        i31 = i37 + (i30 * 20 | 0) | 0;
        set32(i31 | 0, 0 | 0);
        set32(i31 + 4 | 0, 0 | 0);
        set32(i31 + 8 | 0, 0 | 0);
        set32(i31 + 12 | 0, 0 | 0);
        set32(i31 + 16 | 0, 0 | 0);
        set8(i31 >> 0 | 0, -119 | 0);
        _freeP4(i34, get8(i37 + (i41 * 20 | 0) + 1 >> 0 | 0) | 0, get32(i37 + (i41 * 20 | 0) + 16 | 0) | 0);
        i34 = i37 + (i41 * 20 | 0) | 0;
        set32(i34 | 0, 0 | 0);
        set32(i34 + 4 | 0, 0 | 0);
        set32(i34 + 8 | 0, 0 | 0);
        set32(i34 + 12 | 0, 0 | 0);
        set32(i34 + 16 | 0, 0 | 0);
        set8(i34 >> 0 | 0, -119 | 0);
        i70 = 0;
       } else i70 = i41;
      } else i70 = 0; while (0);
      do if (i40) {
       if (_sqlite3ExprIsInteger(i39, i12) | 0) {
        i22 = get32(i26 | 0) | 0;
        i34 = get32(i12 | 0) | 0;
        i37 = get32(i44 | 0) | 0;
        i31 = get32(i43 | 0) | 0;
        if ((i31 | 0) > (i37 | 0)) {
         i71 = i37;
         i72 = get32(i46 | 0) | 0;
        } else {
         i30 = _sqlite3DbRealloc(get32(i28 | 0) | 0, get32(i46 | 0) | 0, (i31 | 0) == 0 ? 1020 : i31 * 40 | 0) | 0;
         if (!i30) break;
         i31 = get32(i28 | 0) | 0;
         do if (!i31) i18 = 181; else {
          if ((get32(i31 + 260 | 0) | 0) >>> 0 > i30 >>> 0) {
           i18 = 181;
           break;
          }
          if ((get32(i31 + 264 | 0) | 0) >>> 0 <= i30 >>> 0) {
           i18 = 181;
           break;
          }
          i73 = getU16(i31 + 232 | 0) | 0;
         } while (0);
         if ((i18 | 0) == 181) {
          i18 = 0;
          i73 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i30) | 0;
         }
         set32(i43 | 0, (i73 >>> 0) / 20 | 0 | 0);
         set32(i46 | 0, i30 | 0);
         i71 = get32(i44 | 0) | 0;
         i72 = i30;
        }
        set32(i44 | 0, i71 + 1 | 0);
        set8(i72 + (i37 * 20 | 0) >> 0 | 0, 56 | 0);
        set8(i72 + (i37 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i72 + (i37 * 20 | 0) + 4 | 0, i22 | 0);
        set32(i72 + (i37 * 20 | 0) + 8 | 0, i66 | 0);
        set32(i72 + (i37 * 20 | 0) + 12 | 0, i34 | 0);
        set32(i72 + (i37 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i72 + (i37 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        break;
       }
       i31 = _sqlite3ExprCodeTarget(i1, i39, i65) | 0;
       i33 = get32(i44 | 0) | 0;
       i32 = i33 + 2 | 0;
       i35 = get32(i43 | 0) | 0;
       do if ((i35 | 0) > (i33 | 0)) {
        i74 = i33;
        i75 = get32(i46 | 0) | 0;
        i76 = i35;
        i18 = 194;
       } else {
        i20 = _sqlite3DbRealloc(get32(i28 | 0) | 0, get32(i46 | 0) | 0, (i35 | 0) == 0 ? 1020 : i35 * 40 | 0) | 0;
        if (!i20) {
         i77 = get32(i43 | 0) | 0;
         i78 = get32(i44 | 0) | 0;
         break;
        }
        i17 = get32(i28 | 0) | 0;
        do if (!i17) i18 = 192; else {
         if ((get32(i17 + 260 | 0) | 0) >>> 0 > i20 >>> 0) {
          i18 = 192;
          break;
         }
         if ((get32(i17 + 264 | 0) | 0) >>> 0 <= i20 >>> 0) {
          i18 = 192;
          break;
         }
         i79 = getU16(i17 + 232 | 0) | 0;
        } while (0);
        if ((i18 | 0) == 192) {
         i18 = 0;
         i79 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i20) | 0;
        }
        i17 = (i79 >>> 0) / 20 | 0;
        set32(i43 | 0, i17 | 0);
        set32(i46 | 0, i20 | 0);
        i74 = get32(i44 | 0) | 0;
        i75 = i20;
        i76 = i17;
        i18 = 194;
       } while (0);
       if ((i18 | 0) == 194) {
        i18 = 0;
        i35 = i74 + 1 | 0;
        set32(i44 | 0, i35 | 0);
        set8(i75 + (i33 * 20 | 0) >> 0 | 0, 21 | 0);
        set8(i75 + (i33 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i75 + (i33 * 20 | 0) + 4 | 0, i31 | 0);
        set32(i75 + (i33 * 20 | 0) + 8 | 0, i32 | 0);
        set32(i75 + (i33 * 20 | 0) + 12 | 0, 0 | 0);
        set32(i75 + (i33 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i75 + (i33 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i77 = i76;
        i78 = i35;
       }
       i35 = get32(i26 | 0) | 0;
       if ((i77 | 0) > (i78 | 0)) {
        i80 = i78;
        i81 = get32(i46 | 0) | 0;
       } else {
        i37 = _sqlite3DbRealloc(get32(i28 | 0) | 0, get32(i46 | 0) | 0, (i77 | 0) == 0 ? 1020 : i77 * 40 | 0) | 0;
        if (!i37) break;
        i34 = get32(i28 | 0) | 0;
        do if (!i34) i18 = 202; else {
         if ((get32(i34 + 260 | 0) | 0) >>> 0 > i37 >>> 0) {
          i18 = 202;
          break;
         }
         if ((get32(i34 + 264 | 0) | 0) >>> 0 <= i37 >>> 0) {
          i18 = 202;
          break;
         }
         i82 = getU16(i34 + 232 | 0) | 0;
        } while (0);
        if ((i18 | 0) == 202) {
         i18 = 0;
         i82 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i37) | 0;
        }
        set32(i43 | 0, (i82 >>> 0) / 20 | 0 | 0);
        set32(i46 | 0, i37 | 0);
        i80 = get32(i44 | 0) | 0;
        i81 = i37;
       }
       set32(i44 | 0, i80 + 1 | 0);
       set8(i81 + (i78 * 20 | 0) >> 0 | 0, 55 | 0);
       set8(i81 + (i78 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i81 + (i78 * 20 | 0) + 4 | 0, i35 | 0);
       set32(i81 + (i78 * 20 | 0) + 8 | 0, i66 | 0);
       set32(i81 + (i78 * 20 | 0) + 12 | 0, i31 | 0);
       set32(i81 + (i78 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i81 + (i78 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      } else {
       i34 = _sqlite3ExprCodeTarget(i1, i39, i65) | 0;
       i33 = get32(i44 | 0) | 0;
       i32 = get32(i43 | 0) | 0;
       do if ((i32 | 0) > (i33 | 0)) {
        i83 = i33;
        i84 = get32(i46 | 0) | 0;
        i18 = 214;
       } else {
        i22 = _sqlite3DbRealloc(get32(i28 | 0) | 0, get32(i46 | 0) | 0, (i32 | 0) == 0 ? 1020 : i32 * 40 | 0) | 0;
        if (!i22) {
         i85 = 1;
         break;
        }
        i30 = get32(i28 | 0) | 0;
        do if (!i30) i18 = 212; else {
         if ((get32(i30 + 260 | 0) | 0) >>> 0 > i22 >>> 0) {
          i18 = 212;
          break;
         }
         if ((get32(i30 + 264 | 0) | 0) >>> 0 <= i22 >>> 0) {
          i18 = 212;
          break;
         }
         i86 = getU16(i30 + 232 | 0) | 0;
        } while (0);
        if ((i18 | 0) == 212) {
         i18 = 0;
         i86 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i22) | 0;
        }
        set32(i43 | 0, (i86 >>> 0) / 20 | 0 | 0);
        set32(i46 | 0, i22 | 0);
        i83 = get32(i44 | 0) | 0;
        i84 = i22;
        i18 = 214;
       } while (0);
       if ((i18 | 0) == 214) {
        i18 = 0;
        set32(i44 | 0, i83 + 1 | 0);
        set8(i84 + (i33 * 20 | 0) >> 0 | 0, 30 | 0);
        set8(i84 + (i33 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
        set32(i84 + (i33 * 20 | 0) + 4 | 0, i34 | 0);
        set32(i84 + (i33 * 20 | 0) + 8 | 0, 1 | 0);
        set32(i84 + (i33 * 20 | 0) + 12 | 0, i66 | 0);
        set32(i84 + (i33 * 20 | 0) + 16 | 0, 0 | 0);
        set8(i84 + (i33 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
        i85 = i33;
       }
       _sqlite3VdbeChangeP4(i28, i85, i9, 1);
       i32 = 0;
       i31 = i29;
       while (1) {
        i35 = i31 + 16 | 0;
        if ((get32(i35 | 0) | 0) == (i34 | 0)) {
         i37 = i31 + 8 | 0;
         if (get8(i37 >> 0 | 0) | 0) {
          i30 = get8(i14 >> 0 | 0) | 0;
          if ((i30 & 255) < 8) {
           set8(i14 >> 0 | 0, i30 + 1 << 24 >> 24 | 0);
           set32(i1 + 24 + ((i30 & 255) << 2) | 0, i34 | 0);
          }
          set8(i37 >> 0 | 0, 0 | 0);
         }
         set32(i35 | 0, 0 | 0);
        }
        i32 = i32 + 1 | 0;
        if ((i32 | 0) == 10) break; else i31 = i31 + 24 | 0;
       }
       i31 = get32(i26 | 0) | 0;
       i32 = get32(i44 | 0) | 0;
       i34 = get32(i43 | 0) | 0;
       if ((i34 | 0) > (i32 | 0)) {
        i87 = i32;
        i88 = get32(i46 | 0) | 0;
       } else {
        i33 = _sqlite3DbRealloc(get32(i28 | 0) | 0, get32(i46 | 0) | 0, (i34 | 0) == 0 ? 1020 : i34 * 40 | 0) | 0;
        if (!i33) break;
        i34 = get32(i28 | 0) | 0;
        do if (!i34) i18 = 230; else {
         if ((get32(i34 + 260 | 0) | 0) >>> 0 > i33 >>> 0) {
          i18 = 230;
          break;
         }
         if ((get32(i34 + 264 | 0) | 0) >>> 0 <= i33 >>> 0) {
          i18 = 230;
          break;
         }
         i89 = getU16(i34 + 232 | 0) | 0;
        } while (0);
        if ((i18 | 0) == 230) {
         i18 = 0;
         i89 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i33) | 0;
        }
        set32(i43 | 0, (i89 >>> 0) / 20 | 0 | 0);
        set32(i46 | 0, i33 | 0);
        i87 = get32(i44 | 0) | 0;
        i88 = i33;
       }
       set32(i44 | 0, i87 + 1 | 0);
       set8(i88 + (i32 * 20 | 0) >> 0 | 0, 70 | 0);
       set8(i88 + (i32 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i88 + (i32 * 20 | 0) + 4 | 0, i31 | 0);
       set32(i88 + (i32 * 20 | 0) + 8 | 0, i66 | 0);
       set32(i88 + (i32 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i88 + (i32 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i88 + (i32 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      } while (0);
      if ((i36 | 0) > 1) {
       i36 = i36 + -1 | 0;
       i47 = i47 + 20 | 0;
       i41 = i70;
      } else {
       i90 = i70;
       break;
      }
     }
    } else i90 = i38;
    L330 : do if ((i65 | 0) != 0 ? (i41 = get8(i14 >> 0 | 0) | 0, (i41 & 255) < 8) : 0) {
     do if ((get32(i1 + 112 | 0) | 0) == (i65 | 0)) i91 = i1 + 96 | 0; else {
      if ((get32(i1 + 136 | 0) | 0) == (i65 | 0)) {
       i91 = i1 + 120 | 0;
       break;
      }
      if ((get32(i1 + 160 | 0) | 0) == (i65 | 0)) {
       i91 = i1 + 144 | 0;
       break;
      }
      if ((get32(i1 + 184 | 0) | 0) == (i65 | 0)) {
       i91 = i1 + 168 | 0;
       break;
      }
      if ((get32(i1 + 208 | 0) | 0) == (i65 | 0)) {
       i91 = i1 + 192 | 0;
       break;
      }
      if ((get32(i1 + 232 | 0) | 0) == (i65 | 0)) {
       i91 = i1 + 216 | 0;
       break;
      }
      if ((get32(i1 + 256 | 0) | 0) == (i65 | 0)) {
       i91 = i1 + 240 | 0;
       break;
      }
      if ((get32(i1 + 280 | 0) | 0) == (i65 | 0)) {
       i91 = i1 + 264 | 0;
       break;
      }
      if ((get32(i1 + 304 | 0) | 0) == (i65 | 0)) {
       i91 = i1 + 288 | 0;
       break;
      }
      if ((get32(i1 + 328 | 0) | 0) == (i65 | 0)) {
       i91 = i1 + 312 | 0;
       break;
      }
      set8(i14 >> 0 | 0, i41 + 1 << 24 >> 24 | 0);
      set32(i1 + 24 + ((i41 & 255) << 2) | 0, i65 | 0);
      break L330;
     } while (0);
     set8(i91 + 8 >> 0 | 0, 1 | 0);
    } while (0);
    if ((i66 | 0) != 0 ? (i41 = get8(i14 >> 0 | 0) | 0, (i41 & 255) < 8) : 0) {
     do if ((get32(i1 + 112 | 0) | 0) == (i66 | 0)) i92 = i1 + 96 | 0; else {
      if ((get32(i1 + 136 | 0) | 0) == (i66 | 0)) {
       i92 = i1 + 120 | 0;
       break;
      }
      if ((get32(i1 + 160 | 0) | 0) == (i66 | 0)) {
       i92 = i1 + 144 | 0;
       break;
      }
      if ((get32(i1 + 184 | 0) | 0) == (i66 | 0)) {
       i92 = i1 + 168 | 0;
       break;
      }
      if ((get32(i1 + 208 | 0) | 0) == (i66 | 0)) {
       i92 = i1 + 192 | 0;
       break;
      }
      if ((get32(i1 + 232 | 0) | 0) == (i66 | 0)) {
       i92 = i1 + 216 | 0;
       break;
      }
      if ((get32(i1 + 256 | 0) | 0) == (i66 | 0)) {
       i92 = i1 + 240 | 0;
       break;
      }
      if ((get32(i1 + 280 | 0) | 0) == (i66 | 0)) {
       i92 = i1 + 264 | 0;
       break;
      }
      if ((get32(i1 + 304 | 0) | 0) == (i66 | 0)) {
       i92 = i1 + 288 | 0;
       break;
      }
      if ((get32(i1 + 328 | 0) | 0) == (i66 | 0)) {
       i92 = i1 + 312 | 0;
       break;
      }
      set8(i14 >> 0 | 0, i41 + 1 << 24 >> 24 | 0);
      set32(i1 + 24 + ((i41 & 255) << 2) | 0, i66 | 0);
      i93 = i90;
      break L208;
     } while (0);
     set8(i92 + 8 >> 0 | 0, 1 | 0);
     i93 = i90;
    } else i93 = i90;
   } else i93 = i38;
  } else {
   i41 = get32(i26 | 0) | 0;
   set8(i11 >> 0 | 0, 7 | 0);
   set32(i11 + 4 | 0, i41 | 0);
   set32(i11 + 8 | 0, 0 | 0);
   set32(i11 + 12 | 0, 0 | 0);
   set8(i11 + 1 >> 0 | 0, get8(i9 >> 0 | 0) | 0 | 0);
   i41 = i2 + 16 | 0;
   i14 = get32(i41 | 0) | 0;
   set32(i14 + 48 | 0, 0 | 0);
   if (_sqlite3Select(i1, i14, i11) | 0) {
    i27 = 0;
    STACKTOP = i5;
    return i27 | 0;
   }
   i14 = get32(get32(i41 | 0) | 0) | 0;
   if ((i14 | 0) != 0 ? (get32(i14 | 0) | 0) > 0 : 0) {
    i41 = get32(i49 | 0) | 0;
    i47 = get32(get32(i14 + 12 | 0) | 0) | 0;
    do if (!(get16(i41 + 2 | 0) & 256)) {
     if ((i47 | 0) != 0 ? (get16(i47 + 2 | 0) & 256) != 0 : 0) {
      i94 = get32(i47 + 20 | 0) | 0;
      break;
     }
     i14 = _sqlite3ExprCollSeq(i1, i41) | 0;
     if (!i14) i94 = _sqlite3ExprCollSeq(i1, i47) | 0; else i94 = i14;
    } else i94 = get32(i41 + 20 | 0) | 0; while (0);
    set32(i10 + 12 | 0, i94 | 0);
    i93 = i38;
   } else i93 = i38;
  } while (0);
  if (i40) {
   i95 = 0;
   i96 = i93;
  } else {
   _sqlite3VdbeChangeP4(i28, i60, i10, -6);
   i95 = 0;
   i96 = i93;
  }
 } else {
  i49 = get32(i2 + 16 | 0) | 0;
  i26 = i1 + 72 | 0;
  i44 = (get32(i26 | 0) | 0) + 1 | 0;
  set32(i26 | 0, i44 | 0);
  set8(i13 >> 0 | 0, 0 | 0);
  i26 = i13 + 4 | 0;
  set32(i26 | 0, i44 | 0);
  set8(i13 + 1 >> 0 | 0, 0 | 0);
  set32(i13 + 8 | 0, 0 | 0);
  set32(i13 + 12 | 0, 0 | 0);
  do if (i48 << 24 >> 24 == 116) {
   set8(i13 >> 0 | 0, 6 | 0);
   i43 = i28 + 28 | 0;
   i42 = get32(i43 | 0) | 0;
   i41 = i28 + 32 | 0;
   i47 = get32(i41 | 0) | 0;
   if ((i47 | 0) > (i42 | 0)) {
    i97 = i42;
    i98 = get32(i28 + 4 | 0) | 0;
   } else {
    i14 = i28 + 4 | 0;
    i36 = _sqlite3DbRealloc(get32(i28 | 0) | 0, get32(i14 | 0) | 0, (i47 | 0) == 0 ? 1020 : i47 * 40 | 0) | 0;
    if (!i36) break;
    i47 = get32(i28 | 0) | 0;
    if (((i47 | 0) != 0 ? (get32(i47 + 260 | 0) | 0) >>> 0 <= i36 >>> 0 : 0) ? (get32(i47 + 264 | 0) | 0) >>> 0 > i36 >>> 0 : 0) i99 = getU16(i47 + 232 | 0) | 0; else i99 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i36) | 0;
    set32(i41 | 0, (i99 >>> 0) / 20 | 0 | 0);
    set32(i14 | 0, i36 | 0);
    i97 = get32(i43 | 0) | 0;
    i98 = i36;
   }
   set32(i43 | 0, i97 + 1 | 0);
   set8(i98 + (i42 * 20 | 0) >> 0 | 0, 10 | 0);
   set8(i98 + (i42 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i98 + (i42 * 20 | 0) + 4 | 0, 0 | 0);
   set32(i98 + (i42 * 20 | 0) + 8 | 0, i44 | 0);
   set32(i98 + (i42 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i98 + (i42 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i98 + (i42 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  } else {
   set8(i13 >> 0 | 0, 3 | 0);
   i42 = i28 + 28 | 0;
   i43 = get32(i42 | 0) | 0;
   i36 = i28 + 32 | 0;
   i14 = get32(i36 | 0) | 0;
   if ((i14 | 0) > (i43 | 0)) {
    i100 = i43;
    i101 = get32(i28 + 4 | 0) | 0;
   } else {
    i41 = i28 + 4 | 0;
    i47 = _sqlite3DbRealloc(get32(i28 | 0) | 0, get32(i41 | 0) | 0, (i14 | 0) == 0 ? 1020 : i14 * 40 | 0) | 0;
    if (!i47) break;
    i14 = get32(i28 | 0) | 0;
    if (((i14 | 0) != 0 ? (get32(i14 + 260 | 0) | 0) >>> 0 <= i47 >>> 0 : 0) ? (get32(i14 + 264 | 0) | 0) >>> 0 > i47 >>> 0 : 0) i102 = getU16(i14 + 232 | 0) | 0; else i102 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i47) | 0;
    set32(i36 | 0, (i102 >>> 0) / 20 | 0 | 0);
    set32(i41 | 0, i47 | 0);
    i100 = get32(i42 | 0) | 0;
    i101 = i47;
   }
   set32(i42 | 0, i100 + 1 | 0);
   set8(i101 + (i43 * 20 | 0) >> 0 | 0, 7 | 0);
   set8(i101 + (i43 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i101 + (i43 * 20 | 0) + 4 | 0, 0 | 0);
   set32(i101 + (i43 * 20 | 0) + 8 | 0, i44 | 0);
   set32(i101 + (i43 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i101 + (i43 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i101 + (i43 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  } while (0);
  i44 = i49 + 40 | 0;
  _sqlite3ExprDelete(get32(i1 | 0) | 0, get32(i44 | 0) | 0);
  i40 = _sqlite3ExprAlloc(get32(i1 | 0) | 0, 129, 2924, 1) | 0;
  if (i40) {
   set32(i8 | 0, 0 | 0);
   i43 = get32(i40 + 8 | 0) | 0;
   if ((i43 | 0) != 0 ? (i42 = get32(i43 + 44 | 0) | 0, (i42 | 0) > 0) : 0) {
    set32(i8 | 0, i42 | 0);
    i103 = i42;
   } else i103 = 0;
   i42 = get32(i40 + 12 | 0) | 0;
   if ((i42 | 0) != 0 ? (i43 = get32(i42 + 44 | 0) | 0, (i43 | 0) > (i103 | 0)) : 0) {
    set32(i8 | 0, i43 | 0);
    i104 = i43;
   } else i104 = i103;
   i43 = i40 + 16 | 0;
   if (!(get16(i40 + 2 | 0) & 2048)) {
    i42 = get32(i43 | 0) | 0;
    if (!i42) {
     i105 = i104;
     i18 = 301;
    } else {
     i47 = get32(i42 | 0) | 0;
     if ((i47 | 0) > 0) {
      i41 = get32(i42 + 12 | 0) | 0;
      i42 = i104;
      i36 = 0;
      while (1) {
       i14 = get32(i41 + (i36 * 20 | 0) | 0) | 0;
       if ((i14 | 0) != 0 ? (i46 = get32(i14 + 44 | 0) | 0, (i46 | 0) > (i42 | 0)) : 0) {
        set32(i8 | 0, i46 | 0);
        i106 = i46;
       } else i106 = i42;
       i36 = i36 + 1 | 0;
       if ((i36 | 0) == (i47 | 0)) {
        i107 = i106;
        break;
       } else i42 = i106;
      }
     } else i107 = i104;
     i42 = i107 + 1 | 0;
     set32(i40 + 44 | 0, i42 | 0);
     i108 = i42;
    }
   } else {
    _heightOfSelect(get32(i43 | 0) | 0, i8);
    i105 = get32(i8 | 0) | 0;
    i18 = 301;
   }
   if ((i18 | 0) == 301) {
    i42 = i105 + 1 | 0;
    set32(i40 + 44 | 0, i42 | 0);
    i108 = i42;
   }
   i42 = get32((get32(i1 | 0) | 0) + 84 | 0) | 0;
   if ((i42 | 0) < (i108 | 0)) {
    set32(i6 | 0, i42 | 0);
    _sqlite3ErrorMsg(i1, 29585, i6);
   }
  }
  set32(i44 | 0, i40 | 0);
  set32(i49 + 48 | 0, 0 | 0);
  if (!(_sqlite3Select(i1, i49, i13) | 0)) {
   i95 = get32(i26 | 0) | 0;
   i96 = i38;
   break;
  } else {
   i27 = 0;
   STACKTOP = i5;
   return i27 | 0;
  }
 } while (0);
 if ((i96 | 0) != 0 ? (i38 = i96 + -1 | 0, i96 = get32(i28 + 28 | 0) | 0, (i96 | 0) > (i38 | 0)) : 0) set32((get32(i28 + 4 | 0) | 0) + (i38 * 20 | 0) + 8 | 0, i96 | 0);
 set32(i15 | 0, (get32(i15 | 0) | 0) + -1 | 0);
 i96 = i1 + 21 | 0;
 i38 = 0;
 i28 = i1 + 96 | 0;
 while (1) {
  i13 = i28 + 16 | 0;
  i6 = get32(i13 | 0) | 0;
  if ((i6 | 0) != 0 ? (get32(i28 + 12 | 0) | 0) > (get32(i15 | 0) | 0) : 0) {
   i108 = i28 + 8 | 0;
   if (get8(i108 >> 0 | 0) | 0) {
    i105 = get8(i96 >> 0 | 0) | 0;
    if ((i105 & 255) < 8) {
     set8(i96 >> 0 | 0, i105 + 1 << 24 >> 24 | 0);
     set32(i1 + 24 + ((i105 & 255) << 2) | 0, i6 | 0);
    }
    set8(i108 >> 0 | 0, 0 | 0);
   }
   set32(i13 | 0, 0 | 0);
  }
  i38 = i38 + 1 | 0;
  if ((i38 | 0) == 10) {
   i27 = i95;
   break;
  } else i28 = i28 + 24 | 0;
 }
 STACKTOP = i5;
 return i27 | 0;
}

function _sqlite3ExprCodeIN(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0, i80 = 0, i81 = 0, i82 = 0, i83 = 0, i84 = 0, i85 = 0, i86 = 0, i87 = 0, i88 = 0, i89 = 0, i90 = 0, i91 = 0, i92 = 0, i93 = 0, i94 = 0, i95 = 0, i96 = 0, i97 = 0, i98 = 0, i99 = 0, i100 = 0, i101 = 0, i102 = 0, i103 = 0, i104 = 0, i105 = 0, i106 = 0, i107 = 0, i108 = 0, i109 = 0, i110 = 0, i111 = 0, i112 = 0, i113 = 0, i114 = 0, i115 = 0, i116 = 0, i117 = 0, i118 = 0, i119 = 0, i120 = 0, i121 = 0, i122 = 0, i123 = 0, i124 = 0, i125 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i6 = i5;
 i7 = i5 + 4 | 0;
 set32(i6 | 0, 0 | 0);
 i8 = i1 + 12 | 0;
 i9 = get32(i8 | 0) | 0;
 i10 = _sqlite3FindInIndex(i1, i2, i6) | 0;
 i11 = i2 + 8 | 0;
 i12 = i11;
 L1 : while (1) {
  i13 = get32(i12 | 0) | 0;
  switch (get8(i13 >> 0 | 0) | 0) {
  case 37:
   {
    i14 = i13;
    i15 = 4;
    break L1;
    break;
   }
  case -124:
  case -104:
  case -102:
   {
    i16 = i13;
    i15 = 15;
    break L1;
    break;
   }
  case 116:
   break;
  default:
   {
    i17 = i13;
    i15 = 18;
    break L1;
   }
  }
  i12 = get32((get32(get32(i13 + 16 | 0) | 0) | 0) + 12 | 0) | 0;
 }
 L4 : do if ((i15 | 0) == 4) {
  i12 = get32(i14 + 4 | 0) | 0;
  if ((i12 | 0) != 0 ? (i13 = get8(i12 >> 0 | 0) | 0, i13 << 24 >> 24 != 0) : 0) {
   i18 = i12;
   i12 = i13;
   i13 = 99;
   i19 = 0;
   while (1) {
    i20 = getU8(16286 + (i12 & 255) >> 0 | 0) | i19 << 8;
    i18 = i18 + 1 | 0;
    L9 : do if ((i20 | 0) < 1685026146) {
     if ((i20 | 0) < 1667785074) {
      switch (i20 | 0) {
      case 1651273570:
       break;
      default:
       {
        i15 = 13;
        break L9;
       }
      }
      switch (i13 << 24 >> 24) {
      case 101:
      case 99:
       {
        i21 = 98;
        i22 = 1651273570;
        break L9;
        break;
       }
      default:
       {
        i15 = 12;
        break L9;
       }
      }
     }
     if ((i20 | 0) < 1668050786) switch (i20 | 0) {
     case 1667785074:
      {
       i21 = 97;
       i22 = i20;
       break L9;
       break;
      }
     default:
      {
       i15 = 13;
       break L9;
      }
     } else switch (i20 | 0) {
     case 1668050786:
      {
       i21 = 97;
       i22 = i20;
       break L9;
       break;
      }
     default:
      {
       i15 = 13;
       break L9;
      }
     }
    } else {
     if ((i20 | 0) >= 1919246700) {
      if ((i20 | 0) >= 1952807028) switch (i20 | 0) {
      case 1952807028:
       {
        i21 = 97;
        i22 = i20;
        break L9;
        break;
       }
      default:
       {
        i15 = 13;
        break L9;
       }
      }
      switch (i20 | 0) {
      case 1919246700:
       break;
      default:
       {
        i15 = 13;
        break L9;
       }
      }
      if (i13 << 24 >> 24 == 99) {
       i21 = 101;
       i22 = 1919246700;
       break;
      } else {
       i15 = 12;
       break;
      }
     }
     if ((i20 | 0) < 1718382433) {
      switch (i20 | 0) {
      case 1685026146:
       break;
      default:
       {
        i15 = 13;
        break L9;
       }
      }
      if (i13 << 24 >> 24 == 99) {
       i21 = 101;
       i22 = 1685026146;
       break;
      }
     } else {
      switch (i20 | 0) {
      case 1718382433:
       break;
      default:
       {
        i15 = 13;
        break L9;
       }
      }
      if (i13 << 24 >> 24 == 99) {
       i21 = 101;
       i22 = 1718382433;
       break;
      }
     }
     i21 = i13;
     i22 = i20;
    } while (0);
    if ((i15 | 0) == 12) {
     i15 = 0;
     i21 = i13;
     i22 = i20;
    } else if ((i15 | 0) == 13) {
     i15 = 0;
     if ((i20 & 16777215 | 0) == 6909556) {
      i23 = 100;
      break L4;
     } else {
      i21 = i13;
      i22 = i20;
     }
    }
    i12 = get8(i18 >> 0 | 0) | 0;
    if (!(i12 << 24 >> 24)) {
     i23 = i21;
     break;
    } else {
     i13 = i21;
     i19 = i22;
    }
   }
  } else i23 = 99;
 } else if ((i15 | 0) == 15) {
  i19 = get32(i16 + 40 | 0) | 0;
  if (i19) {
   i13 = get16(i16 + 28 | 0) | 0;
   if (i13 << 16 >> 16 < 0) i23 = 100; else i23 = get8((get32(i19 + 12 | 0) | 0) + ((i13 << 16 >> 16) * 24 | 0) + 22 >> 0 | 0) | 0;
  } else {
   i17 = i16;
   i15 = 18;
  }
 } while (0);
 if ((i15 | 0) == 18) i23 = get8(i17 + 1 >> 0 | 0) | 0;
 i17 = get32(i2 + 12 | 0) | 0;
 do if (!i17) {
  if (!(get16(i2 + 2 | 0) & 2048)) {
   i24 = i23 << 24 >> 24 == 0 ? 98 : i23;
   break;
  } else i25 = i2;
  L46 : while (1) {
   i16 = get32(get32((get32(get32(i25 + 16 | 0) | 0) | 0) + 12 | 0) | 0) | 0;
   switch (get8(i16 >> 0 | 0) | 0) {
   case 116:
    {
     i25 = i16;
     break;
    }
   case 37:
    {
     i26 = i16;
     i15 = 43;
     break L46;
     break;
    }
   case -124:
   case -104:
   case -102:
    {
     i27 = i16;
     i15 = 54;
     break L46;
     break;
    }
   default:
    {
     i28 = i16;
     i15 = 57;
     break L46;
    }
   }
  }
  L48 : do if ((i15 | 0) == 43) {
   i16 = get32(i26 + 4 | 0) | 0;
   if ((i16 | 0) != 0 ? (i22 = get8(i16 >> 0 | 0) | 0, i22 << 24 >> 24 != 0) : 0) {
    i21 = i16;
    i16 = i22;
    i22 = 99;
    i14 = 0;
    while (1) {
     i13 = getU8(16286 + (i16 & 255) >> 0 | 0) | i14 << 8;
     i21 = i21 + 1 | 0;
     L53 : do if ((i13 | 0) < 1685026146) {
      if ((i13 | 0) < 1667785074) {
       switch (i13 | 0) {
       case 1651273570:
        break;
       default:
        {
         i15 = 52;
         break L53;
        }
       }
       switch (i22 << 24 >> 24) {
       case 101:
       case 99:
        {
         i29 = 98;
         i30 = 1651273570;
         break L53;
         break;
        }
       default:
        {
         i15 = 51;
         break L53;
        }
       }
      }
      if ((i13 | 0) < 1668050786) switch (i13 | 0) {
      case 1667785074:
       {
        i29 = 97;
        i30 = i13;
        break L53;
        break;
       }
      default:
       {
        i15 = 52;
        break L53;
       }
      } else switch (i13 | 0) {
      case 1668050786:
       {
        i29 = 97;
        i30 = i13;
        break L53;
        break;
       }
      default:
       {
        i15 = 52;
        break L53;
       }
      }
     } else {
      if ((i13 | 0) >= 1919246700) {
       if ((i13 | 0) >= 1952807028) switch (i13 | 0) {
       case 1952807028:
        {
         i29 = 97;
         i30 = i13;
         break L53;
         break;
        }
       default:
        {
         i15 = 52;
         break L53;
        }
       }
       switch (i13 | 0) {
       case 1919246700:
        break;
       default:
        {
         i15 = 52;
         break L53;
        }
       }
       if (i22 << 24 >> 24 == 99) {
        i29 = 101;
        i30 = 1919246700;
        break;
       } else {
        i15 = 51;
        break;
       }
      }
      if ((i13 | 0) < 1718382433) {
       switch (i13 | 0) {
       case 1685026146:
        break;
       default:
        {
         i15 = 52;
         break L53;
        }
       }
       if (i22 << 24 >> 24 == 99) {
        i29 = 101;
        i30 = 1685026146;
        break;
       }
      } else {
       switch (i13 | 0) {
       case 1718382433:
        break;
       default:
        {
         i15 = 52;
         break L53;
        }
       }
       if (i22 << 24 >> 24 == 99) {
        i29 = 101;
        i30 = 1718382433;
        break;
       }
      }
      i29 = i22;
      i30 = i13;
     } while (0);
     if ((i15 | 0) == 51) {
      i15 = 0;
      i29 = i22;
      i30 = i13;
     } else if ((i15 | 0) == 52) {
      i15 = 0;
      if ((i13 & 16777215 | 0) == 6909556) {
       i31 = 100;
       break L48;
      } else {
       i29 = i22;
       i30 = i13;
      }
     }
     i16 = get8(i21 >> 0 | 0) | 0;
     if (!(i16 << 24 >> 24)) {
      i31 = i29;
      break;
     } else {
      i22 = i29;
      i14 = i30;
     }
    }
   } else i31 = 99;
  } else if ((i15 | 0) == 54) {
   i14 = get32(i27 + 40 | 0) | 0;
   if (i14) {
    i22 = get16(i27 + 28 | 0) | 0;
    if (i22 << 16 >> 16 < 0) i31 = 100; else i31 = get8((get32(i14 + 12 | 0) | 0) + ((i22 << 16 >> 16) * 24 | 0) + 22 >> 0 | 0) | 0;
   } else {
    i28 = i27;
    i15 = 57;
   }
  } while (0);
  if ((i15 | 0) == 57) i31 = get8(i28 + 1 >> 0 | 0) | 0;
  if (!(i23 << 24 >> 24 == 0 | i31 << 24 >> 24 == 0)) {
   i24 = i23 << 24 >> 24 > 98 | i31 << 24 >> 24 > 98 ? 99 : 98;
   break;
  }
  if (!((i31 | i23) << 24 >> 24)) i24 = 98; else i24 = (i23 & 255) + (i31 & 255) & 255;
 } else {
  i22 = i17;
  L90 : while (1) {
   switch (get8(i22 >> 0 | 0) | 0) {
   case 37:
    {
     i32 = i22;
     i15 = 22;
     break L90;
     break;
    }
   case -124:
   case -104:
   case -102:
    {
     i33 = i22;
     i15 = 33;
     break L90;
     break;
    }
   case 116:
    break;
   default:
    {
     i34 = i22;
     i15 = 36;
     break L90;
    }
   }
   i22 = get32(get32((get32(get32(i22 + 16 | 0) | 0) | 0) + 12 | 0) | 0) | 0;
  }
  L93 : do if ((i15 | 0) == 22) {
   i22 = get32(i32 + 4 | 0) | 0;
   if ((i22 | 0) != 0 ? (i14 = get8(i22 >> 0 | 0) | 0, i14 << 24 >> 24 != 0) : 0) {
    i16 = i22;
    i22 = i14;
    i14 = 99;
    i21 = 0;
    while (1) {
     i20 = getU8(16286 + (i22 & 255) >> 0 | 0) | i21 << 8;
     i16 = i16 + 1 | 0;
     L98 : do if ((i20 | 0) < 1685026146) {
      if ((i20 | 0) < 1667785074) {
       switch (i20 | 0) {
       case 1651273570:
        break;
       default:
        {
         i15 = 31;
         break L98;
        }
       }
       switch (i14 << 24 >> 24) {
       case 101:
       case 99:
        {
         i35 = 98;
         i36 = 1651273570;
         break L98;
         break;
        }
       default:
        {
         i15 = 30;
         break L98;
        }
       }
      }
      if ((i20 | 0) < 1668050786) switch (i20 | 0) {
      case 1667785074:
       {
        i35 = 97;
        i36 = i20;
        break L98;
        break;
       }
      default:
       {
        i15 = 31;
        break L98;
       }
      } else switch (i20 | 0) {
      case 1668050786:
       {
        i35 = 97;
        i36 = i20;
        break L98;
        break;
       }
      default:
       {
        i15 = 31;
        break L98;
       }
      }
     } else {
      if ((i20 | 0) >= 1919246700) {
       if ((i20 | 0) >= 1952807028) switch (i20 | 0) {
       case 1952807028:
        {
         i35 = 97;
         i36 = i20;
         break L98;
         break;
        }
       default:
        {
         i15 = 31;
         break L98;
        }
       }
       switch (i20 | 0) {
       case 1919246700:
        break;
       default:
        {
         i15 = 31;
         break L98;
        }
       }
       if (i14 << 24 >> 24 == 99) {
        i35 = 101;
        i36 = 1919246700;
        break;
       } else {
        i15 = 30;
        break;
       }
      }
      if ((i20 | 0) < 1718382433) {
       switch (i20 | 0) {
       case 1685026146:
        break;
       default:
        {
         i15 = 31;
         break L98;
        }
       }
       if (i14 << 24 >> 24 == 99) {
        i35 = 101;
        i36 = 1685026146;
        break;
       }
      } else {
       switch (i20 | 0) {
       case 1718382433:
        break;
       default:
        {
         i15 = 31;
         break L98;
        }
       }
       if (i14 << 24 >> 24 == 99) {
        i35 = 101;
        i36 = 1718382433;
        break;
       }
      }
      i35 = i14;
      i36 = i20;
     } while (0);
     if ((i15 | 0) == 30) {
      i15 = 0;
      i35 = i14;
      i36 = i20;
     } else if ((i15 | 0) == 31) {
      i15 = 0;
      if ((i20 & 16777215 | 0) == 6909556) {
       i37 = 100;
       break L93;
      } else {
       i35 = i14;
       i36 = i20;
      }
     }
     i22 = get8(i16 >> 0 | 0) | 0;
     if (!(i22 << 24 >> 24)) {
      i37 = i35;
      break;
     } else {
      i14 = i35;
      i21 = i36;
     }
    }
   } else i37 = 99;
  } else if ((i15 | 0) == 33) {
   i21 = get32(i33 + 40 | 0) | 0;
   if (i21) {
    i14 = get16(i33 + 28 | 0) | 0;
    if (i14 << 16 >> 16 < 0) i37 = 100; else i37 = get8((get32(i21 + 12 | 0) | 0) + ((i14 << 16 >> 16) * 24 | 0) + 22 >> 0 | 0) | 0;
   } else {
    i34 = i33;
    i15 = 36;
   }
  } while (0);
  if ((i15 | 0) == 36) i37 = get8(i34 + 1 >> 0 | 0) | 0;
  if (!(i23 << 24 >> 24 == 0 | i37 << 24 >> 24 == 0)) {
   i24 = i23 << 24 >> 24 > 98 | i37 << 24 >> 24 > 98 ? 99 : 98;
   break;
  }
  if (!((i37 | i23) << 24 >> 24)) i24 = 98; else i24 = (i23 & 255) + (i37 & 255) & 255;
 } while (0);
 set8(i7 >> 0 | 0, i24 | 0);
 i24 = i1 + 84 | 0;
 set32(i24 | 0, (get32(i24 | 0) | 0) + 1 | 0);
 i37 = i1 + 21 | 0;
 i23 = get8(i37 >> 0 | 0) | 0;
 if (!(i23 << 24 >> 24)) {
  i34 = i1 + 72 | 0;
  i33 = (get32(i34 | 0) | 0) + 1 | 0;
  set32(i34 | 0, i33 | 0);
  i38 = i33;
 } else {
  i33 = i23 + -1 << 24 >> 24;
  set8(i37 >> 0 | 0, i33 | 0);
  i38 = get32(i1 + 24 + ((i33 & 255) << 2) | 0) | 0;
 }
 i33 = get32(i11 | 0) | 0;
 do if ((i33 | 0) != 0 ? (get8(i33 >> 0 | 0) | 0) == -124 : 0) {
  i11 = get32(i8 | 0) | 0;
  i23 = get32(i33 + 24 | 0) | 0;
  i34 = i11 + 28 | 0;
  i36 = get32(i34 | 0) | 0;
  i35 = i11 + 32 | 0;
  i32 = get32(i35 | 0) | 0;
  if ((i32 | 0) > (i36 | 0)) {
   i39 = i36;
   i40 = get32(i11 + 4 | 0) | 0;
  } else {
   i17 = i11 + 4 | 0;
   i31 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i17 | 0) | 0, (i32 | 0) == 0 ? 1020 : i32 * 40 | 0) | 0;
   if (!i31) break;
   i32 = get32(i11 | 0) | 0;
   if (((i32 | 0) != 0 ? (get32(i32 + 260 | 0) | 0) >>> 0 <= i31 >>> 0 : 0) ? (get32(i32 + 264 | 0) | 0) >>> 0 > i31 >>> 0 : 0) i41 = getU16(i32 + 232 | 0) | 0; else i41 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i31) | 0;
   set32(i35 | 0, (i41 >>> 0) / 20 | 0 | 0);
   set32(i17 | 0, i31 | 0);
   i39 = get32(i34 | 0) | 0;
   i40 = i31;
  }
  set32(i34 | 0, i39 + 1 | 0);
  set8(i40 + (i36 * 20 | 0) >> 0 | 0, 14 | 0);
  set8(i40 + (i36 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i40 + (i36 * 20 | 0) + 4 | 0, i23 | 0);
  set32(i40 + (i36 * 20 | 0) + 8 | 0, i38 | 0);
  set32(i40 + (i36 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i40 + (i36 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i40 + (i36 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
 } else i15 = 78; while (0);
 do if (((i15 | 0) == 78 ? (i40 = _sqlite3ExprCodeTarget(i1, i33, i38) | 0, (i40 | 0) != (i38 | 0)) : 0) ? (i39 = get32(i8 | 0) | 0, (i39 | 0) != 0) : 0) {
  i41 = i39 + 28 | 0;
  i36 = get32(i41 | 0) | 0;
  i23 = i39 + 32 | 0;
  i34 = get32(i23 | 0) | 0;
  if ((i34 | 0) > (i36 | 0)) {
   i42 = i36;
   i43 = get32(i39 + 4 | 0) | 0;
  } else {
   i31 = i39 + 4 | 0;
   i17 = _sqlite3DbRealloc(get32(i39 | 0) | 0, get32(i31 | 0) | 0, (i34 | 0) == 0 ? 1020 : i34 * 40 | 0) | 0;
   if (!i17) break;
   i34 = get32(i39 | 0) | 0;
   if (((i34 | 0) != 0 ? (get32(i34 + 260 | 0) | 0) >>> 0 <= i17 >>> 0 : 0) ? (get32(i34 + 264 | 0) | 0) >>> 0 > i17 >>> 0 : 0) i44 = getU16(i34 + 232 | 0) | 0; else i44 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i17) | 0;
   set32(i23 | 0, (i44 >>> 0) / 20 | 0 | 0);
   set32(i31 | 0, i17 | 0);
   i42 = get32(i41 | 0) | 0;
   i43 = i17;
  }
  set32(i41 | 0, i42 + 1 | 0);
  set8(i43 + (i36 * 20 | 0) >> 0 | 0, 15 | 0);
  set8(i43 + (i36 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i43 + (i36 * 20 | 0) + 4 | 0, i40 | 0);
  set32(i43 + (i36 * 20 | 0) + 8 | 0, i38 | 0);
  set32(i43 + (i36 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i43 + (i36 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i43 + (i36 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
 } while (0);
 i43 = (i4 | 0) == (i3 | 0);
 i42 = i9 + 28 | 0;
 i44 = get32(i42 | 0) | 0;
 i8 = i9 + 32 | 0;
 i33 = get32(i8 | 0) | 0;
 i36 = (i33 | 0) > (i44 | 0);
 do if (!i43) {
  do if (i36) {
   i45 = i44;
   i46 = get32(i9 + 4 | 0) | 0;
   i47 = i33;
   i15 = 112;
  } else {
   i40 = i9 + 4 | 0;
   i41 = _sqlite3DbRealloc(get32(i9 | 0) | 0, get32(i40 | 0) | 0, (i33 | 0) == 0 ? 1020 : i33 * 40 | 0) | 0;
   if (!i41) {
    i48 = 1;
    i49 = get32(i8 | 0) | 0;
    i50 = get32(i42 | 0) | 0;
    break;
   }
   i17 = get32(i9 | 0) | 0;
   if (((i17 | 0) != 0 ? (get32(i17 + 260 | 0) | 0) >>> 0 <= i41 >>> 0 : 0) ? (get32(i17 + 264 | 0) | 0) >>> 0 > i41 >>> 0 : 0) i51 = getU16(i17 + 232 | 0) | 0; else i51 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i41) | 0;
   i17 = (i51 >>> 0) / 20 | 0;
   set32(i8 | 0, i17 | 0);
   set32(i40 | 0, i41 | 0);
   i45 = get32(i42 | 0) | 0;
   i46 = i41;
   i47 = i17;
   i15 = 112;
  } while (0);
  if ((i15 | 0) == 112) {
   i17 = i45 + 1 | 0;
   set32(i42 | 0, i17 | 0);
   set8(i46 + (i44 * 20 | 0) >> 0 | 0, 74 | 0);
   set8(i46 + (i44 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i46 + (i44 * 20 | 0) + 4 | 0, i38 | 0);
   set32(i46 + (i44 * 20 | 0) + 8 | 0, 0 | 0);
   set32(i46 + (i44 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i46 + (i44 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i46 + (i44 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i48 = i44;
   i49 = i47;
   i50 = i17;
  }
  i17 = get32(i2 + 24 | 0) | 0;
  do if ((i49 | 0) > (i50 | 0)) {
   i52 = i50;
   i53 = get32(i9 + 4 | 0) | 0;
   i54 = i49;
   i15 = 123;
  } else {
   i41 = i9 + 4 | 0;
   i40 = _sqlite3DbRealloc(get32(i9 | 0) | 0, get32(i41 | 0) | 0, (i49 | 0) == 0 ? 1020 : i49 * 40 | 0) | 0;
   if (!i40) {
    i55 = get32(i8 | 0) | 0;
    i56 = get32(i42 | 0) | 0;
    break;
   }
   i31 = get32(i9 | 0) | 0;
   if (((i31 | 0) != 0 ? (get32(i31 + 260 | 0) | 0) >>> 0 <= i40 >>> 0 : 0) ? (get32(i31 + 264 | 0) | 0) >>> 0 > i40 >>> 0 : 0) i57 = getU16(i31 + 232 | 0) | 0; else i57 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i40) | 0;
   i31 = (i57 >>> 0) / 20 | 0;
   set32(i8 | 0, i31 | 0);
   set32(i41 | 0, i40 | 0);
   i52 = get32(i42 | 0) | 0;
   i53 = i40;
   i54 = i31;
   i15 = 123;
  } while (0);
  if ((i15 | 0) == 123) {
   i31 = i52 + 1 | 0;
   set32(i42 | 0, i31 | 0);
   set8(i53 + (i50 * 20 | 0) >> 0 | 0, 65 | 0);
   set8(i53 + (i50 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i53 + (i50 * 20 | 0) + 4 | 0, i17 | 0);
   set32(i53 + (i50 * 20 | 0) + 8 | 0, i3 | 0);
   set32(i53 + (i50 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i53 + (i50 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i53 + (i50 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i55 = i54;
   i56 = i31;
  }
  do if ((i55 | 0) > (i56 | 0)) {
   i58 = i56;
   i59 = get32(i9 + 4 | 0) | 0;
   i15 = 134;
  } else {
   i31 = i9 + 4 | 0;
   i40 = _sqlite3DbRealloc(get32(i9 | 0) | 0, get32(i31 | 0) | 0, (i55 | 0) == 0 ? 1020 : i55 * 40 | 0) | 0;
   if (!i40) {
    i60 = get32(i42 | 0) | 0;
    break;
   }
   i41 = get32(i9 | 0) | 0;
   if (((i41 | 0) != 0 ? (get32(i41 + 260 | 0) | 0) >>> 0 <= i40 >>> 0 : 0) ? (get32(i41 + 264 | 0) | 0) >>> 0 > i40 >>> 0 : 0) i61 = getU16(i41 + 232 | 0) | 0; else i61 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i40) | 0;
   set32(i8 | 0, (i61 >>> 0) / 20 | 0 | 0);
   set32(i31 | 0, i40 | 0);
   i58 = get32(i42 | 0) | 0;
   i59 = i40;
   i15 = 134;
  } while (0);
  if ((i15 | 0) == 134) {
   i17 = i58 + 1 | 0;
   set32(i42 | 0, i17 | 0);
   set8(i59 + (i56 * 20 | 0) >> 0 | 0, 1 | 0);
   set8(i59 + (i56 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i59 + (i56 * 20 | 0) + 4 | 0, 0 | 0);
   set32(i59 + (i56 * 20 | 0) + 8 | 0, i4 | 0);
   set32(i59 + (i56 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i59 + (i56 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i59 + (i56 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i60 = i17;
  }
  if ((i60 | 0) > (i48 | 0)) {
   set32((get32(i9 + 4 | 0) | 0) + (i48 * 20 | 0) + 8 | 0, i60 | 0);
   i62 = i60;
  } else i62 = i60;
 } else {
  if (i36) {
   i63 = i44;
   i64 = get32(i9 + 4 | 0) | 0;
  } else {
   i17 = i9 + 4 | 0;
   i40 = _sqlite3DbRealloc(get32(i9 | 0) | 0, get32(i17 | 0) | 0, (i33 | 0) == 0 ? 1020 : i33 * 40 | 0) | 0;
   if (!i40) {
    i62 = get32(i42 | 0) | 0;
    break;
   }
   i31 = get32(i9 | 0) | 0;
   if (((i31 | 0) != 0 ? (get32(i31 + 260 | 0) | 0) >>> 0 <= i40 >>> 0 : 0) ? (get32(i31 + 264 | 0) | 0) >>> 0 > i40 >>> 0 : 0) i65 = getU16(i31 + 232 | 0) | 0; else i65 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i40) | 0;
   set32(i8 | 0, (i65 >>> 0) / 20 | 0 | 0);
   set32(i17 | 0, i40 | 0);
   i63 = get32(i42 | 0) | 0;
   i64 = i40;
  }
  i40 = i63 + 1 | 0;
  set32(i42 | 0, i40 | 0);
  set8(i64 + (i44 * 20 | 0) >> 0 | 0, 73 | 0);
  set8(i64 + (i44 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i64 + (i44 * 20 | 0) + 4 | 0, i38 | 0);
  set32(i64 + (i44 * 20 | 0) + 8 | 0, i4 | 0);
  set32(i64 + (i44 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i64 + (i44 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i64 + (i44 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i62 = i40;
 } while (0);
 i44 = get32(i8 | 0) | 0;
 i64 = (i44 | 0) > (i62 | 0);
 do if ((i10 | 0) != 1) {
  if (!i64) {
   i63 = i9 + 4 | 0;
   i65 = _sqlite3DbRealloc(get32(i9 | 0) | 0, get32(i63 | 0) | 0, (i44 | 0) == 0 ? 1020 : i44 * 40 | 0) | 0;
   if (!i65) i66 = 1; else {
    i33 = get32(i9 | 0) | 0;
    if (((i33 | 0) != 0 ? (get32(i33 + 260 | 0) | 0) >>> 0 <= i65 >>> 0 : 0) ? (get32(i33 + 264 | 0) | 0) >>> 0 > i65 >>> 0 : 0) i67 = getU16(i33 + 232 | 0) | 0; else i67 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i65) | 0;
    set32(i8 | 0, (i67 >>> 0) / 20 | 0 | 0);
    set32(i63 | 0, i65 | 0);
    i68 = get32(i42 | 0) | 0;
    i69 = i65;
    i15 = 168;
   }
  } else {
   i68 = i62;
   i69 = get32(i9 + 4 | 0) | 0;
   i15 = 168;
  }
  if ((i15 | 0) == 168) {
   set32(i42 | 0, i68 + 1 | 0);
   set8(i69 + (i62 * 20 | 0) >> 0 | 0, 29 | 0);
   set8(i69 + (i62 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i69 + (i62 * 20 | 0) + 4 | 0, i38 | 0);
   set32(i69 + (i62 * 20 | 0) + 8 | 0, 1 | 0);
   set32(i69 + (i62 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i69 + (i62 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i69 + (i62 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i66 = i62;
  }
  _sqlite3VdbeChangeP4(i9, i66, i7, 1);
  i65 = i2 + 24 | 0;
  i63 = get32(i65 | 0) | 0;
  i33 = get32(i42 | 0) | 0;
  i36 = get32(i8 | 0) | 0;
  i60 = (i36 | 0) > (i33 | 0);
  if (i43 | (get32(i6 | 0) | 0) == 0) {
   if (!i60) {
    i48 = i9 + 4 | 0;
    i56 = _sqlite3DbRealloc(get32(i9 | 0) | 0, get32(i48 | 0) | 0, (i36 | 0) == 0 ? 1020 : i36 * 40 | 0) | 0;
    if (!i56) {
     i70 = 1;
     i71 = i9;
     i72 = i48;
    } else {
     i59 = get32(i9 | 0) | 0;
     if (((i59 | 0) != 0 ? (get32(i59 + 260 | 0) | 0) >>> 0 <= i56 >>> 0 : 0) ? (get32(i59 + 264 | 0) | 0) >>> 0 > i56 >>> 0 : 0) i73 = getU16(i59 + 232 | 0) | 0; else i73 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i56) | 0;
     set32(i8 | 0, (i73 >>> 0) / 20 | 0 | 0);
     set32(i48 | 0, i56 | 0);
     i74 = i48;
     i75 = get32(i42 | 0) | 0;
     i76 = i56;
     i15 = 179;
    }
   } else {
    i56 = i9 + 4 | 0;
    i74 = i56;
    i75 = i33;
    i76 = get32(i56 | 0) | 0;
    i15 = 179;
   }
   if ((i15 | 0) == 179) {
    set32(i42 | 0, i75 + 1 | 0);
    set8(i76 + (i33 * 20 | 0) >> 0 | 0, 49 | 0);
    set8(i76 + (i33 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i76 + (i33 * 20 | 0) + 4 | 0, i63 | 0);
    set32(i76 + (i33 * 20 | 0) + 8 | 0, i3 | 0);
    set32(i76 + (i33 * 20 | 0) + 12 | 0, i38 | 0);
    set32(i76 + (i33 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i76 + (i33 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i70 = i33;
    i71 = i9;
    i72 = i74;
   }
   i56 = get32(i71 | 0) | 0;
   i48 = get32(i72 | 0) | 0;
   if (!i48) break;
   if (get8(i56 + 30 >> 0 | 0) | 0) break;
   if ((i70 | 0) < 0) i77 = (get32(i42 | 0) | 0) + -1 | 0; else i77 = i70;
   i59 = i48 + (i77 * 20 | 0) + 1 | 0;
   i58 = i48 + (i77 * 20 | 0) + 16 | 0;
   _freeP4(i56, get8(i59 >> 0 | 0) | 0, get32(i58 | 0) | 0);
   set32(i58 | 0, 1 | 0);
   set8(i59 >> 0 | 0, -14 | 0);
   break;
  }
  if (!i60) {
   i60 = i9 + 4 | 0;
   i59 = _sqlite3DbRealloc(get32(i9 | 0) | 0, get32(i60 | 0) | 0, (i36 | 0) == 0 ? 1020 : i36 * 40 | 0) | 0;
   if (!i59) {
    i78 = 1;
    i79 = i9;
    i80 = i60;
   } else {
    i36 = get32(i9 | 0) | 0;
    if (((i36 | 0) != 0 ? (get32(i36 + 260 | 0) | 0) >>> 0 <= i59 >>> 0 : 0) ? (get32(i36 + 264 | 0) | 0) >>> 0 > i59 >>> 0 : 0) i81 = getU16(i36 + 232 | 0) | 0; else i81 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i59) | 0;
    set32(i8 | 0, (i81 >>> 0) / 20 | 0 | 0);
    set32(i60 | 0, i59 | 0);
    i82 = i60;
    i83 = get32(i42 | 0) | 0;
    i84 = i59;
    i15 = 194;
   }
  } else {
   i59 = i9 + 4 | 0;
   i82 = i59;
   i83 = i33;
   i84 = get32(i59 | 0) | 0;
   i15 = 194;
  }
  if ((i15 | 0) == 194) {
   set32(i42 | 0, i83 + 1 | 0);
   set8(i84 + (i33 * 20 | 0) >> 0 | 0, 50 | 0);
   set8(i84 + (i33 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i84 + (i33 * 20 | 0) + 4 | 0, i63 | 0);
   set32(i84 + (i33 * 20 | 0) + 8 | 0, 0 | 0);
   set32(i84 + (i33 * 20 | 0) + 12 | 0, i38 | 0);
   set32(i84 + (i33 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i84 + (i33 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i78 = i33;
   i79 = i9;
   i80 = i82;
  }
  i33 = get32(i79 | 0) | 0;
  i63 = get32(i80 | 0) | 0;
  if ((i63 | 0) != 0 ? (get8(i33 + 30 >> 0 | 0) | 0) == 0 : 0) {
   if ((i78 | 0) < 0) i85 = (get32(i42 | 0) | 0) + -1 | 0; else i85 = i78;
   i59 = i63 + (i85 * 20 | 0) + 1 | 0;
   i60 = i63 + (i85 * 20 | 0) + 16 | 0;
   _freeP4(i33, get8(i59 >> 0 | 0) | 0, get32(i60 | 0) | 0);
   set32(i60 | 0, 1 | 0);
   set8(i59 >> 0 | 0, -14 | 0);
  }
  i59 = get32(i6 | 0) | 0;
  i60 = get32(i42 | 0) | 0;
  i33 = get32(i8 | 0) | 0;
  do if ((i33 | 0) > (i60 | 0)) {
   i86 = i60;
   i87 = get32(i80 | 0) | 0;
   i88 = i33;
   i15 = 210;
  } else {
   i63 = _sqlite3DbRealloc(get32(i79 | 0) | 0, get32(i80 | 0) | 0, (i33 | 0) == 0 ? 1020 : i33 * 40 | 0) | 0;
   if (!i63) {
    i89 = 1;
    i90 = get32(i8 | 0) | 0;
    i91 = get32(i42 | 0) | 0;
    break;
   }
   i36 = get32(i79 | 0) | 0;
   if (((i36 | 0) != 0 ? (get32(i36 + 260 | 0) | 0) >>> 0 <= i63 >>> 0 : 0) ? (get32(i36 + 264 | 0) | 0) >>> 0 > i63 >>> 0 : 0) i92 = getU16(i36 + 232 | 0) | 0; else i92 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i63) | 0;
   i36 = (i92 >>> 0) / 20 | 0;
   set32(i8 | 0, i36 | 0);
   set32(i80 | 0, i63 | 0);
   i86 = get32(i42 | 0) | 0;
   i87 = i63;
   i88 = i36;
   i15 = 210;
  } while (0);
  if ((i15 | 0) == 210) {
   i33 = i86 + 1 | 0;
   set32(i42 | 0, i33 | 0);
   set8(i87 + (i60 * 20 | 0) >> 0 | 0, 74 | 0);
   set8(i87 + (i60 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i87 + (i60 * 20 | 0) + 4 | 0, i59 | 0);
   set32(i87 + (i60 * 20 | 0) + 8 | 0, 0 | 0);
   set32(i87 + (i60 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i87 + (i60 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i87 + (i60 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i89 = i60;
   i90 = i88;
   i91 = i33;
  }
  i33 = get32(i65 | 0) | 0;
  i36 = get32(i6 | 0) | 0;
  if ((i90 | 0) <= (i91 | 0)) {
   i63 = _sqlite3DbRealloc(get32(i79 | 0) | 0, get32(i80 | 0) | 0, (i90 | 0) == 0 ? 1020 : i90 * 40 | 0) | 0;
   if (!i63) i93 = 1; else {
    i58 = get32(i79 | 0) | 0;
    if (((i58 | 0) != 0 ? (get32(i58 + 260 | 0) | 0) >>> 0 <= i63 >>> 0 : 0) ? (get32(i58 + 264 | 0) | 0) >>> 0 > i63 >>> 0 : 0) i94 = getU16(i58 + 232 | 0) | 0; else i94 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i63) | 0;
    set32(i8 | 0, (i94 >>> 0) / 20 | 0 | 0);
    set32(i80 | 0, i63 | 0);
    i95 = get32(i42 | 0) | 0;
    i96 = i63;
    i15 = 220;
   }
  } else {
   i95 = i91;
   i96 = get32(i80 | 0) | 0;
   i15 = 220;
  }
  if ((i15 | 0) == 220) {
   set32(i42 | 0, i95 + 1 | 0);
   set8(i96 + (i91 * 20 | 0) >> 0 | 0, 50 | 0);
   set8(i96 + (i91 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i96 + (i91 * 20 | 0) + 4 | 0, i33 | 0);
   set32(i96 + (i91 * 20 | 0) + 8 | 0, 0 | 0);
   set32(i96 + (i91 * 20 | 0) + 12 | 0, i36 | 0);
   set32(i96 + (i91 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i96 + (i91 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i93 = i91;
  }
  i36 = get32(i79 | 0) | 0;
  i33 = get32(i80 | 0) | 0;
  if ((i33 | 0) != 0 ? (get8(i36 + 30 >> 0 | 0) | 0) == 0 : 0) {
   if ((i93 | 0) < 0) i97 = (get32(i42 | 0) | 0) + -1 | 0; else i97 = i93;
   i63 = i33 + (i97 * 20 | 0) + 1 | 0;
   i58 = i33 + (i97 * 20 | 0) + 16 | 0;
   _freeP4(i36, get8(i63 >> 0 | 0) | 0, get32(i58 | 0) | 0);
   set32(i58 | 0, 1 | 0);
   set8(i63 >> 0 | 0, -14 | 0);
  }
  i63 = get32(i6 | 0) | 0;
  i58 = get32(i42 | 0) | 0;
  i36 = get32(i8 | 0) | 0;
  do if ((i36 | 0) > (i58 | 0)) {
   i98 = i58;
   i99 = get32(i80 | 0) | 0;
   i15 = 236;
  } else {
   i33 = _sqlite3DbRealloc(get32(i79 | 0) | 0, get32(i80 | 0) | 0, (i36 | 0) == 0 ? 1020 : i36 * 40 | 0) | 0;
   if (!i33) {
    i100 = get32(i42 | 0) | 0;
    break;
   }
   i56 = get32(i79 | 0) | 0;
   if (((i56 | 0) != 0 ? (get32(i56 + 260 | 0) | 0) >>> 0 <= i33 >>> 0 : 0) ? (get32(i56 + 264 | 0) | 0) >>> 0 > i33 >>> 0 : 0) i101 = getU16(i56 + 232 | 0) | 0; else i101 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i33) | 0;
   set32(i8 | 0, (i101 >>> 0) / 20 | 0 | 0);
   set32(i80 | 0, i33 | 0);
   i98 = get32(i42 | 0) | 0;
   i99 = i33;
   i15 = 236;
  } while (0);
  if ((i15 | 0) == 236) {
   i36 = i98 + 1 | 0;
   set32(i42 | 0, i36 | 0);
   set8(i99 + (i58 * 20 | 0) >> 0 | 0, 7 | 0);
   set8(i99 + (i58 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i99 + (i58 * 20 | 0) + 4 | 0, -1 | 0);
   set32(i99 + (i58 * 20 | 0) + 8 | 0, i63 | 0);
   set32(i99 + (i58 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i99 + (i58 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i99 + (i58 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i100 = i36;
  }
  if ((i100 | 0) > (i93 | 0)) set32((get32(i80 | 0) | 0) + (i93 * 20 | 0) + 8 | 0, i100 | 0);
  i36 = get32(i6 | 0) | 0;
  i65 = get32(i8 | 0) | 0;
  do if ((i65 | 0) > (i100 | 0)) {
   i102 = i100;
   i103 = get32(i80 | 0) | 0;
   i15 = 249;
  } else {
   i60 = _sqlite3DbRealloc(get32(i79 | 0) | 0, get32(i80 | 0) | 0, (i65 | 0) == 0 ? 1020 : i65 * 40 | 0) | 0;
   if (!i60) {
    i104 = get32(i42 | 0) | 0;
    break;
   }
   i59 = get32(i79 | 0) | 0;
   do if (!i59) i15 = 247; else {
    if ((get32(i59 + 260 | 0) | 0) >>> 0 > i60 >>> 0) {
     i15 = 247;
     break;
    }
    if ((get32(i59 + 264 | 0) | 0) >>> 0 <= i60 >>> 0) {
     i15 = 247;
     break;
    }
    i105 = getU16(i59 + 232 | 0) | 0;
   } while (0);
   if ((i15 | 0) == 247) i105 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i60) | 0;
   set32(i8 | 0, (i105 >>> 0) / 20 | 0 | 0);
   set32(i80 | 0, i60 | 0);
   i102 = get32(i42 | 0) | 0;
   i103 = i60;
   i15 = 249;
  } while (0);
  if ((i15 | 0) == 249) {
   i65 = i102 + 1 | 0;
   set32(i42 | 0, i65 | 0);
   set8(i103 + (i100 * 20 | 0) >> 0 | 0, 20 | 0);
   set8(i103 + (i100 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i103 + (i100 * 20 | 0) + 4 | 0, i36 | 0);
   set32(i103 + (i100 * 20 | 0) + 8 | 0, 1 | 0);
   set32(i103 + (i100 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i103 + (i100 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i103 + (i100 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i104 = i65;
  }
  if ((i104 | 0) > (i89 | 0)) set32((get32(i80 | 0) | 0) + (i89 * 20 | 0) + 8 | 0, i104 | 0);
  i65 = get32(i6 | 0) | 0;
  i58 = get32(i8 | 0) | 0;
  do if ((i58 | 0) > (i104 | 0)) {
   i106 = i104;
   i107 = get32(i80 | 0) | 0;
   i108 = i58;
   i15 = 262;
  } else {
   i63 = _sqlite3DbRealloc(get32(i79 | 0) | 0, get32(i80 | 0) | 0, (i58 | 0) == 0 ? 1020 : i58 * 40 | 0) | 0;
   if (!i63) {
    i109 = get32(i8 | 0) | 0;
    i110 = get32(i42 | 0) | 0;
    break;
   }
   i59 = get32(i79 | 0) | 0;
   do if (!i59) i15 = 260; else {
    if ((get32(i59 + 260 | 0) | 0) >>> 0 > i63 >>> 0) {
     i15 = 260;
     break;
    }
    if ((get32(i59 + 264 | 0) | 0) >>> 0 <= i63 >>> 0) {
     i15 = 260;
     break;
    }
    i111 = getU16(i59 + 232 | 0) | 0;
   } while (0);
   if ((i15 | 0) == 260) i111 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i63) | 0;
   i59 = (i111 >>> 0) / 20 | 0;
   set32(i8 | 0, i59 | 0);
   set32(i80 | 0, i63 | 0);
   i106 = get32(i42 | 0) | 0;
   i107 = i63;
   i108 = i59;
   i15 = 262;
  } while (0);
  if ((i15 | 0) == 262) {
   i58 = i106 + 1 | 0;
   set32(i42 | 0, i58 | 0);
   set8(i107 + (i104 * 20 | 0) >> 0 | 0, 26 | 0);
   set8(i107 + (i104 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i107 + (i104 * 20 | 0) + 4 | 0, i65 | 0);
   set32(i107 + (i104 * 20 | 0) + 8 | 0, i4 | 0);
   set32(i107 + (i104 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i107 + (i104 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i107 + (i104 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i109 = i108;
   i110 = i58;
  }
  do if ((i109 | 0) > (i110 | 0)) {
   i112 = i110;
   i113 = get32(i80 | 0) | 0;
   i15 = 273;
  } else {
   i58 = _sqlite3DbRealloc(get32(i79 | 0) | 0, get32(i80 | 0) | 0, (i109 | 0) == 0 ? 1020 : i109 * 40 | 0) | 0;
   if (!i58) {
    i114 = get32(i42 | 0) | 0;
    break;
   }
   i36 = get32(i79 | 0) | 0;
   do if (!i36) i15 = 271; else {
    if ((get32(i36 + 260 | 0) | 0) >>> 0 > i58 >>> 0) {
     i15 = 271;
     break;
    }
    if ((get32(i36 + 264 | 0) | 0) >>> 0 <= i58 >>> 0) {
     i15 = 271;
     break;
    }
    i115 = getU16(i36 + 232 | 0) | 0;
   } while (0);
   if ((i15 | 0) == 271) i115 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i58) | 0;
   set32(i8 | 0, (i115 >>> 0) / 20 | 0 | 0);
   set32(i80 | 0, i58 | 0);
   i112 = get32(i42 | 0) | 0;
   i113 = i58;
   i15 = 273;
  } while (0);
  if ((i15 | 0) == 273) {
   i65 = i112 + 1 | 0;
   set32(i42 | 0, i65 | 0);
   set8(i113 + (i110 * 20 | 0) >> 0 | 0, 1 | 0);
   set8(i113 + (i110 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i113 + (i110 * 20 | 0) + 4 | 0, 0 | 0);
   set32(i113 + (i110 * 20 | 0) + 8 | 0, i3 | 0);
   set32(i113 + (i110 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i113 + (i110 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i113 + (i110 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i114 = i65;
  }
  if ((i114 | 0) > (i78 | 0)) set32((get32(i80 | 0) | 0) + (i78 * 20 | 0) + 8 | 0, i114 | 0);
 } else {
  do if (i64) {
   i116 = i62;
   i117 = get32(i9 + 4 | 0) | 0;
   i118 = i44;
   i15 = 148;
  } else {
   i65 = i9 + 4 | 0;
   i36 = _sqlite3DbRealloc(get32(i9 | 0) | 0, get32(i65 | 0) | 0, (i44 | 0) == 0 ? 1020 : i44 * 40 | 0) | 0;
   if (!i36) {
    i119 = get32(i8 | 0) | 0;
    i120 = get32(i42 | 0) | 0;
    break;
   }
   i63 = get32(i9 | 0) | 0;
   if (((i63 | 0) != 0 ? (get32(i63 + 260 | 0) | 0) >>> 0 <= i36 >>> 0 : 0) ? (get32(i63 + 264 | 0) | 0) >>> 0 > i36 >>> 0 : 0) i121 = getU16(i63 + 232 | 0) | 0; else i121 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i36) | 0;
   i63 = (i121 >>> 0) / 20 | 0;
   set32(i8 | 0, i63 | 0);
   set32(i65 | 0, i36 | 0);
   i116 = get32(i42 | 0) | 0;
   i117 = i36;
   i118 = i63;
   i15 = 148;
  } while (0);
  if ((i15 | 0) == 148) {
   i63 = i116 + 1 | 0;
   set32(i42 | 0, i63 | 0);
   set8(i117 + (i62 * 20 | 0) >> 0 | 0, 21 | 0);
   set8(i117 + (i62 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i117 + (i62 * 20 | 0) + 4 | 0, i38 | 0);
   set32(i117 + (i62 * 20 | 0) + 8 | 0, i3 | 0);
   set32(i117 + (i62 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i117 + (i62 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i117 + (i62 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i119 = i118;
   i120 = i63;
  }
  i63 = get32(i2 + 24 | 0) | 0;
  if ((i119 | 0) > (i120 | 0)) {
   i122 = i120;
   i123 = get32(i9 + 4 | 0) | 0;
  } else {
   i36 = i9 + 4 | 0;
   i65 = _sqlite3DbRealloc(get32(i9 | 0) | 0, get32(i36 | 0) | 0, (i119 | 0) == 0 ? 1020 : i119 * 40 | 0) | 0;
   if (!i65) break;
   i59 = get32(i9 | 0) | 0;
   if (((i59 | 0) != 0 ? (get32(i59 + 260 | 0) | 0) >>> 0 <= i65 >>> 0 : 0) ? (get32(i59 + 264 | 0) | 0) >>> 0 > i65 >>> 0 : 0) i124 = getU16(i59 + 232 | 0) | 0; else i124 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i65) | 0;
   set32(i8 | 0, (i124 >>> 0) / 20 | 0 | 0);
   set32(i36 | 0, i65 | 0);
   i122 = get32(i42 | 0) | 0;
   i123 = i65;
  }
  set32(i42 | 0, i122 + 1 | 0);
  set8(i123 + (i120 * 20 | 0) >> 0 | 0, 52 | 0);
  set8(i123 + (i120 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i123 + (i120 * 20 | 0) + 4 | 0, i63 | 0);
  set32(i123 + (i120 * 20 | 0) + 8 | 0, i3 | 0);
  set32(i123 + (i120 * 20 | 0) + 12 | 0, i38 | 0);
  set32(i123 + (i120 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i123 + (i120 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
 } while (0);
 do if ((i38 | 0) != 0 ? (i120 = get8(i37 >> 0 | 0) | 0, (i120 & 255) < 8) : 0) {
  if ((get32(i1 + 112 | 0) | 0) != (i38 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i38 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i38 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i38 | 0)) if ((get32(i1 + 208 | 0) | 0) != (i38 | 0)) if ((get32(i1 + 232 | 0) | 0) != (i38 | 0)) if ((get32(i1 + 256 | 0) | 0) != (i38 | 0)) if ((get32(i1 + 280 | 0) | 0) != (i38 | 0)) if ((get32(i1 + 304 | 0) | 0) != (i38 | 0)) if ((get32(i1 + 328 | 0) | 0) == (i38 | 0)) i125 = i1 + 312 | 0; else {
   set8(i37 >> 0 | 0, i120 + 1 << 24 >> 24 | 0);
   set32(i1 + 24 + ((i120 & 255) << 2) | 0, i38 | 0);
   break;
  } else i125 = i1 + 288 | 0; else i125 = i1 + 264 | 0; else i125 = i1 + 240 | 0; else i125 = i1 + 216 | 0; else i125 = i1 + 192 | 0; else i125 = i1 + 168 | 0; else i125 = i1 + 144 | 0; else i125 = i1 + 120 | 0; else i125 = i1 + 96 | 0;
  set8(i125 + 8 >> 0 | 0, 1 | 0);
 } while (0);
 set32(i24 | 0, (get32(i24 | 0) | 0) + -1 | 0);
 i125 = 0;
 i38 = i1 + 96 | 0;
 while (1) {
  i120 = i38 + 16 | 0;
  i123 = get32(i120 | 0) | 0;
  if ((i123 | 0) != 0 ? (get32(i38 + 12 | 0) | 0) > (get32(i24 | 0) | 0) : 0) {
   i3 = i38 + 8 | 0;
   if (get8(i3 >> 0 | 0) | 0) {
    i122 = get8(i37 >> 0 | 0) | 0;
    if ((i122 & 255) < 8) {
     set8(i37 >> 0 | 0, i122 + 1 << 24 >> 24 | 0);
     set32(i1 + 24 + ((i122 & 255) << 2) | 0, i123 | 0);
    }
    set8(i3 >> 0 | 0, 0 | 0);
   }
   set32(i120 | 0, 0 | 0);
  }
  i125 = i125 + 1 | 0;
  if ((i125 | 0) == 10) break; else i38 = i38 + 24 | 0;
 }
 STACKTOP = i5;
 return;
}

function _generateOutputSubroutine(i1, i2, i3, i4, i5, i6, i7, i8, i9) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 i7 = i7 | 0;
 i8 = i8 | 0;
 i9 = i9 | 0;
 var i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0, i80 = 0, i81 = 0, i82 = 0, i83 = 0, i84 = 0, i85 = 0, i86 = 0, i87 = 0, i88 = 0, i89 = 0, i90 = 0, i91 = 0, i92 = 0, i93 = 0, i94 = 0, i95 = 0, i96 = 0, i97 = 0, i98 = 0, i99 = 0, i100 = 0, i101 = 0, i102 = 0, i103 = 0, i104 = 0, i105 = 0, i106 = 0, i107 = 0, i108 = 0, i109 = 0, i110 = 0, i111 = 0, i112 = 0, i113 = 0, i114 = 0, i115 = 0, i116 = 0, i117 = 0, i118 = 0, i119 = 0, i120 = 0, i121 = 0, i122 = 0, i123 = 0, i124 = 0, i125 = 0, i126 = 0, i127 = 0;
 i10 = i1 + 12 | 0;
 i11 = get32(i10 | 0) | 0;
 i12 = i11 + 28 | 0;
 i13 = get32(i12 | 0) | 0;
 i14 = i11 + 36 | 0;
 i15 = get32(i14 | 0) | 0;
 set32(i14 | 0, i15 + 1 | 0);
 i14 = i11 + 40 | 0;
 i16 = get32(i14 | 0) | 0;
 if ((i15 | 0) < (i16 | 0)) i17 = i11 + 44 | 0; else {
  i18 = get32(i11 | 0) | 0;
  i19 = i11 + 44 | 0;
  i20 = get32(i19 | 0) | 0;
  i21 = _sqlite3DbRealloc(i18, i20, (i16 << 3) + 20 | 0) | 0;
  if (i21) {
   set32(i19 | 0, i21 | 0);
   i16 = get32(i11 | 0) | 0;
   if (((i16 | 0) != 0 ? (get32(i16 + 260 | 0) | 0) >>> 0 <= i21 >>> 0 : 0) ? (get32(i16 + 264 | 0) | 0) >>> 0 > i21 >>> 0 : 0) i22 = getU16(i16 + 232 | 0) | 0; else i23 = 9;
  } else {
   _sqlite3DbFree(i18, i20);
   set32(i19 | 0, 0 | 0);
   i23 = 9;
  }
  if ((i23 | 0) == 9) i22 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i21) | 0;
  set32(i14 | 0, i22 >>> 2 | 0);
  i17 = i19;
 }
 i19 = get32(i17 | 0) | 0;
 if (i19) set32(i19 + (i15 << 2) | 0, -1 | 0);
 i19 = ~i15;
 do if (i6) {
  i17 = get32(i12 | 0) | 0;
  i22 = i11 + 32 | 0;
  i14 = get32(i22 | 0) | 0;
  do if ((i14 | 0) > (i17 | 0)) {
   i24 = i17;
   i25 = get32(i11 + 4 | 0) | 0;
   i26 = i14;
   i23 = 24;
  } else {
   i21 = i11 + 4 | 0;
   i20 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i21 | 0) | 0, (i14 | 0) == 0 ? 1020 : i14 * 40 | 0) | 0;
   if (!i20) {
    i27 = 1;
    i28 = get32(i22 | 0) | 0;
    i29 = get32(i12 | 0) | 0;
    break;
   }
   i18 = get32(i11 | 0) | 0;
   if (((i18 | 0) != 0 ? (get32(i18 + 260 | 0) | 0) >>> 0 <= i20 >>> 0 : 0) ? (get32(i18 + 264 | 0) | 0) >>> 0 > i20 >>> 0 : 0) i30 = getU16(i18 + 232 | 0) | 0; else i30 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i20) | 0;
   i18 = (i30 >>> 0) / 20 | 0;
   set32(i22 | 0, i18 | 0);
   set32(i21 | 0, i20 | 0);
   i24 = get32(i12 | 0) | 0;
   i25 = i20;
   i26 = i18;
   i23 = 24;
  } while (0);
  if ((i23 | 0) == 24) {
   i14 = i24 + 1 | 0;
   set32(i12 | 0, i14 | 0);
   set8(i25 + (i17 * 20 | 0) >> 0 | 0, 27 | 0);
   set8(i25 + (i17 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i25 + (i17 * 20 | 0) + 4 | 0, i6 | 0);
   set32(i25 + (i17 * 20 | 0) + 8 | 0, 0 | 0);
   set32(i25 + (i17 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i25 + (i17 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i25 + (i17 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i27 = i17;
   i28 = i26;
   i29 = i14;
  }
  i14 = i3 + 8 | 0;
  i18 = get32(i14 | 0) | 0;
  i20 = i6 + 1 | 0;
  i21 = i3 + 12 | 0;
  i16 = get32(i21 | 0) | 0;
  if ((i28 | 0) <= (i29 | 0)) {
   i31 = i11 + 4 | 0;
   i32 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i31 | 0) | 0, (i28 | 0) == 0 ? 1020 : i28 * 40 | 0) | 0;
   if (!i32) i33 = 1; else {
    i34 = get32(i11 | 0) | 0;
    if (((i34 | 0) != 0 ? (get32(i34 + 260 | 0) | 0) >>> 0 <= i32 >>> 0 : 0) ? (get32(i34 + 264 | 0) | 0) >>> 0 > i32 >>> 0 : 0) i35 = getU16(i34 + 232 | 0) | 0; else i35 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i32) | 0;
    set32(i22 | 0, (i35 >>> 0) / 20 | 0 | 0);
    set32(i31 | 0, i32 | 0);
    i36 = get32(i12 | 0) | 0;
    i37 = i32;
    i23 = 34;
   }
  } else {
   i36 = i29;
   i37 = get32(i11 + 4 | 0) | 0;
   i23 = 34;
  }
  if ((i23 | 0) == 34) {
   set32(i12 | 0, i36 + 1 | 0);
   set8(i37 + (i29 * 20 | 0) >> 0 | 0, 24 | 0);
   set8(i37 + (i29 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i37 + (i29 * 20 | 0) + 4 | 0, i18 | 0);
   set32(i37 + (i29 * 20 | 0) + 8 | 0, i20 | 0);
   set32(i37 + (i29 * 20 | 0) + 12 | 0, i16 | 0);
   set32(i37 + (i29 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i37 + (i29 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i33 = i29;
  }
  _sqlite3VdbeChangeP4(i11, i33, i7, i8);
  i16 = i33 + 2 | 0;
  i18 = get32(i12 | 0) | 0;
  i32 = get32(i22 | 0) | 0;
  do if ((i32 | 0) > (i18 | 0)) {
   i38 = i18;
   i39 = get32(i11 + 4 | 0) | 0;
   i23 = 45;
  } else {
   i31 = i11 + 4 | 0;
   i34 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i31 | 0) | 0, (i32 | 0) == 0 ? 1020 : i32 * 40 | 0) | 0;
   if (!i34) {
    i40 = get32(i12 | 0) | 0;
    break;
   }
   i41 = get32(i11 | 0) | 0;
   if (((i41 | 0) != 0 ? (get32(i41 + 260 | 0) | 0) >>> 0 <= i34 >>> 0 : 0) ? (get32(i41 + 264 | 0) | 0) >>> 0 > i34 >>> 0 : 0) i42 = getU16(i41 + 232 | 0) | 0; else i42 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i34) | 0;
   set32(i22 | 0, (i42 >>> 0) / 20 | 0 | 0);
   set32(i31 | 0, i34 | 0);
   i38 = get32(i12 | 0) | 0;
   i39 = i34;
   i23 = 45;
  } while (0);
  if ((i23 | 0) == 45) {
   i32 = i38 + 1 | 0;
   set32(i12 | 0, i32 | 0);
   set8(i39 + (i18 * 20 | 0) >> 0 | 0, 25 | 0);
   set8(i39 + (i18 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i39 + (i18 * 20 | 0) + 4 | 0, i16 | 0);
   set32(i39 + (i18 * 20 | 0) + 8 | 0, i19 | 0);
   set32(i39 + (i18 * 20 | 0) + 12 | 0, i16 | 0);
   set32(i39 + (i18 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i39 + (i18 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i40 = i32;
  }
  if ((i40 | 0) > (i27 | 0)) set32((get32(i11 + 4 | 0) | 0) + (i27 * 20 | 0) + 8 | 0, i40 | 0);
  i32 = get32(i14 | 0) | 0;
  i17 = get32(i21 | 0) | 0;
  if ((i32 | 0) != (i20 | 0) & (i17 | 0) > 0) {
   i34 = 0;
   do {
    i31 = get32(i10 | 0) | 0;
    i41 = i34 + i32 | 0;
    i43 = i34 + i20 | 0;
    i44 = i31 + 28 | 0;
    i45 = get32(i44 | 0) | 0;
    i46 = i31 + 32 | 0;
    i47 = get32(i46 | 0) | 0;
    if ((i47 | 0) <= (i45 | 0)) {
     i48 = i31 + 4 | 0;
     i49 = _sqlite3DbRealloc(get32(i31 | 0) | 0, get32(i48 | 0) | 0, (i47 | 0) == 0 ? 1020 : i47 * 40 | 0) | 0;
     if (i49) {
      i47 = get32(i31 | 0) | 0;
      if (((i47 | 0) != 0 ? (get32(i47 + 260 | 0) | 0) >>> 0 <= i49 >>> 0 : 0) ? (get32(i47 + 264 | 0) | 0) >>> 0 > i49 >>> 0 : 0) i50 = getU16(i47 + 232 | 0) | 0; else i50 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i49) | 0;
      set32(i46 | 0, (i50 >>> 0) / 20 | 0 | 0);
      set32(i48 | 0, i49 | 0);
      i51 = get32(i44 | 0) | 0;
      i52 = i49;
      i23 = 58;
     }
    } else {
     i51 = i45;
     i52 = get32(i31 + 4 | 0) | 0;
     i23 = 58;
    }
    if ((i23 | 0) == 58) {
     i23 = 0;
     set32(i44 | 0, i51 + 1 | 0);
     set8(i52 + (i45 * 20 | 0) >> 0 | 0, 14 | 0);
     set8(i52 + (i45 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i52 + (i45 * 20 | 0) + 4 | 0, i41 | 0);
     set32(i52 + (i45 * 20 | 0) + 8 | 0, i43 | 0);
     set32(i52 + (i45 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i52 + (i45 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i52 + (i45 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    }
    i34 = i34 + 1 | 0;
   } while ((i34 | 0) != (i17 | 0));
   i53 = get32(i12 | 0) | 0;
  } else i53 = i40;
  i17 = get32(i22 | 0) | 0;
  if ((i17 | 0) > (i53 | 0)) {
   i54 = i53;
   i55 = get32(i11 + 4 | 0) | 0;
  } else {
   i34 = i11 + 4 | 0;
   i20 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i34 | 0) | 0, (i17 | 0) == 0 ? 1020 : i17 * 40 | 0) | 0;
   if (!i20) break;
   i17 = get32(i11 | 0) | 0;
   if (((i17 | 0) != 0 ? (get32(i17 + 260 | 0) | 0) >>> 0 <= i20 >>> 0 : 0) ? (get32(i17 + 264 | 0) | 0) >>> 0 > i20 >>> 0 : 0) i56 = getU16(i17 + 232 | 0) | 0; else i56 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i20) | 0;
   set32(i22 | 0, (i56 >>> 0) / 20 | 0 | 0);
   set32(i34 | 0, i20 | 0);
   i54 = get32(i12 | 0) | 0;
   i55 = i20;
  }
  set32(i12 | 0, i54 + 1 | 0);
  set8(i55 + (i53 * 20 | 0) >> 0 | 0, 7 | 0);
  set8(i55 + (i53 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i55 + (i53 * 20 | 0) + 4 | 0, 1 | 0);
  set32(i55 + (i53 * 20 | 0) + 8 | 0, i6 | 0);
  set32(i55 + (i53 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i55 + (i53 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i55 + (i53 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
 } while (0);
 if (get8((get32(i1 | 0) | 0) + 30 >> 0 | 0) | 0) {
  i57 = 0;
  return i57 | 0;
 }
 i53 = i2 + 52 | 0;
 i55 = get32(i53 | 0) | 0;
 if ((i15 | 0) != -1 & (i55 | 0) != 0) {
  i6 = get32(i12 | 0) | 0;
  i54 = i11 + 32 | 0;
  i56 = get32(i54 | 0) | 0;
  do if ((i56 | 0) > (i6 | 0)) {
   i58 = i6;
   i59 = get32(i11 + 4 | 0) | 0;
   i60 = i56;
   i23 = 83;
  } else {
   i40 = i11 + 4 | 0;
   i52 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i40 | 0) | 0, (i56 | 0) == 0 ? 1020 : i56 * 40 | 0) | 0;
   if (!i52) {
    i61 = get32(i54 | 0) | 0;
    i62 = get32(i12 | 0) | 0;
    break;
   }
   i51 = get32(i11 | 0) | 0;
   if (((i51 | 0) != 0 ? (get32(i51 + 260 | 0) | 0) >>> 0 <= i52 >>> 0 : 0) ? (get32(i51 + 264 | 0) | 0) >>> 0 > i52 >>> 0 : 0) i63 = getU16(i51 + 232 | 0) | 0; else i63 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i52) | 0;
   i51 = (i63 >>> 0) / 20 | 0;
   set32(i54 | 0, i51 | 0);
   set32(i40 | 0, i52 | 0);
   i58 = get32(i12 | 0) | 0;
   i59 = i52;
   i60 = i51;
   i23 = 83;
  } while (0);
  if ((i23 | 0) == 83) {
   i63 = i58 + 1 | 0;
   set32(i12 | 0, i63 | 0);
   set8(i59 + (i6 * 20 | 0) >> 0 | 0, 20 | 0);
   set8(i59 + (i6 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i59 + (i6 * 20 | 0) + 4 | 0, i55 | 0);
   set32(i59 + (i6 * 20 | 0) + 8 | 0, -1 | 0);
   set32(i59 + (i6 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i59 + (i6 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i59 + (i6 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i61 = i60;
   i62 = i63;
  }
  i63 = get32(i53 | 0) | 0;
  do if ((i61 | 0) > (i62 | 0)) {
   i64 = i62;
   i65 = get32(i11 + 4 | 0) | 0;
   i66 = i61;
   i23 = 94;
  } else {
   i53 = i11 + 4 | 0;
   i60 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i53 | 0) | 0, (i61 | 0) == 0 ? 1020 : i61 * 40 | 0) | 0;
   if (!i60) {
    i67 = 1;
    i68 = get32(i54 | 0) | 0;
    i69 = get32(i12 | 0) | 0;
    break;
   }
   i6 = get32(i11 | 0) | 0;
   if (((i6 | 0) != 0 ? (get32(i6 + 260 | 0) | 0) >>> 0 <= i60 >>> 0 : 0) ? (get32(i6 + 264 | 0) | 0) >>> 0 > i60 >>> 0 : 0) i70 = getU16(i6 + 232 | 0) | 0; else i70 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i60) | 0;
   i6 = (i70 >>> 0) / 20 | 0;
   set32(i54 | 0, i6 | 0);
   set32(i53 | 0, i60 | 0);
   i64 = get32(i12 | 0) | 0;
   i65 = i60;
   i66 = i6;
   i23 = 94;
  } while (0);
  if ((i23 | 0) == 94) {
   i70 = i64 + 1 | 0;
   set32(i12 | 0, i70 | 0);
   set8(i65 + (i62 * 20 | 0) >> 0 | 0, 114 | 0);
   set8(i65 + (i62 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i65 + (i62 * 20 | 0) + 4 | 0, i63 | 0);
   set32(i65 + (i62 * 20 | 0) + 8 | 0, 0 | 0);
   set32(i65 + (i62 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i65 + (i62 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i65 + (i62 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i67 = i62;
   i68 = i66;
   i69 = i70;
  }
  do if ((i68 | 0) > (i69 | 0)) {
   i71 = i69;
   i72 = get32(i11 + 4 | 0) | 0;
   i23 = 105;
  } else {
   i70 = i11 + 4 | 0;
   i66 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i70 | 0) | 0, (i68 | 0) == 0 ? 1020 : i68 * 40 | 0) | 0;
   if (!i66) {
    i73 = get32(i12 | 0) | 0;
    break;
   }
   i62 = get32(i11 | 0) | 0;
   if (((i62 | 0) != 0 ? (get32(i62 + 260 | 0) | 0) >>> 0 <= i66 >>> 0 : 0) ? (get32(i62 + 264 | 0) | 0) >>> 0 > i66 >>> 0 : 0) i74 = getU16(i62 + 232 | 0) | 0; else i74 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i66) | 0;
   set32(i54 | 0, (i74 >>> 0) / 20 | 0 | 0);
   set32(i70 | 0, i66 | 0);
   i71 = get32(i12 | 0) | 0;
   i72 = i66;
   i23 = 105;
  } while (0);
  if ((i23 | 0) == 105) {
   i74 = i71 + 1 | 0;
   set32(i12 | 0, i74 | 0);
   set8(i72 + (i69 * 20 | 0) >> 0 | 0, 1 | 0);
   set8(i72 + (i69 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i72 + (i69 * 20 | 0) + 4 | 0, 0 | 0);
   set32(i72 + (i69 * 20 | 0) + 8 | 0, i19 | 0);
   set32(i72 + (i69 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i72 + (i69 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i72 + (i69 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i73 = i74;
  }
  if ((i73 | 0) > (i67 | 0)) set32((get32(i11 + 4 | 0) | 0) + (i67 * 20 | 0) + 8 | 0, i73 | 0);
 }
 L155 : do switch (getU8(i4 >> 0 | 0) | 0) {
 case 9:
 case 8:
  {
   i73 = i1 + 21 | 0;
   i67 = get8(i73 >> 0 | 0) | 0;
   if (i67 << 24 >> 24) {
    i74 = i67 + -1 << 24 >> 24;
    set8(i73 >> 0 | 0, i74 | 0);
    i69 = get32(i1 + 24 + ((i74 & 255) << 2) | 0) | 0;
    if (!(i74 << 24 >> 24)) {
     i75 = i69;
     i23 = 112;
    } else {
     i74 = i67 + -2 << 24 >> 24;
     set8(i73 >> 0 | 0, i74 | 0);
     i76 = i69;
     i77 = get32(i1 + 24 + ((i74 & 255) << 2) | 0) | 0;
    }
   } else {
    i74 = i1 + 72 | 0;
    i69 = (get32(i74 | 0) | 0) + 1 | 0;
    set32(i74 | 0, i69 | 0);
    i75 = i69;
    i23 = 112;
   }
   if ((i23 | 0) == 112) {
    i69 = i1 + 72 | 0;
    i74 = (get32(i69 | 0) | 0) + 1 | 0;
    set32(i69 | 0, i74 | 0);
    i76 = i75;
    i77 = i74;
   }
   i74 = get32(i3 + 8 | 0) | 0;
   i69 = get32(i3 + 12 | 0) | 0;
   i67 = get32(i12 | 0) | 0;
   i72 = i11 + 32 | 0;
   i19 = get32(i72 | 0) | 0;
   do if ((i19 | 0) > (i67 | 0)) {
    i78 = i67;
    i79 = get32(i11 + 4 | 0) | 0;
    i80 = i19;
    i23 = 124;
   } else {
    i71 = i11 + 4 | 0;
    i54 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i71 | 0) | 0, (i19 | 0) == 0 ? 1020 : i19 * 40 | 0) | 0;
    if (!i54) {
     i81 = get32(i72 | 0) | 0;
     i82 = get32(i12 | 0) | 0;
     break;
    }
    i68 = get32(i11 | 0) | 0;
    if (((i68 | 0) != 0 ? (get32(i68 + 260 | 0) | 0) >>> 0 <= i54 >>> 0 : 0) ? (get32(i68 + 264 | 0) | 0) >>> 0 > i54 >>> 0 : 0) i83 = getU16(i68 + 232 | 0) | 0; else i83 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i54) | 0;
    i68 = (i83 >>> 0) / 20 | 0;
    set32(i72 | 0, i68 | 0);
    set32(i71 | 0, i54 | 0);
    i78 = get32(i12 | 0) | 0;
    i79 = i54;
    i80 = i68;
    i23 = 124;
   } while (0);
   if ((i23 | 0) == 124) {
    i19 = i78 + 1 | 0;
    set32(i12 | 0, i19 | 0);
    set8(i79 + (i67 * 20 | 0) >> 0 | 0, 30 | 0);
    set8(i79 + (i67 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i79 + (i67 * 20 | 0) + 4 | 0, i74 | 0);
    set32(i79 + (i67 * 20 | 0) + 8 | 0, i69 | 0);
    set32(i79 + (i67 * 20 | 0) + 12 | 0, i76 | 0);
    set32(i79 + (i67 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i79 + (i67 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i81 = i80;
    i82 = i19;
   }
   i19 = i4 + 4 | 0;
   i22 = get32(i19 | 0) | 0;
   do if ((i81 | 0) > (i82 | 0)) {
    i84 = i82;
    i85 = get32(i11 + 4 | 0) | 0;
    i86 = i81;
    i23 = 135;
   } else {
    i68 = i11 + 4 | 0;
    i54 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i68 | 0) | 0, (i81 | 0) == 0 ? 1020 : i81 * 40 | 0) | 0;
    if (!i54) {
     i87 = get32(i72 | 0) | 0;
     i88 = get32(i12 | 0) | 0;
     break;
    }
    i71 = get32(i11 | 0) | 0;
    if (((i71 | 0) != 0 ? (get32(i71 + 260 | 0) | 0) >>> 0 <= i54 >>> 0 : 0) ? (get32(i71 + 264 | 0) | 0) >>> 0 > i54 >>> 0 : 0) i89 = getU16(i71 + 232 | 0) | 0; else i89 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i54) | 0;
    i71 = (i89 >>> 0) / 20 | 0;
    set32(i72 | 0, i71 | 0);
    set32(i68 | 0, i54 | 0);
    i84 = get32(i12 | 0) | 0;
    i85 = i54;
    i86 = i71;
    i23 = 135;
   } while (0);
   if ((i23 | 0) == 135) {
    i67 = i84 + 1 | 0;
    set32(i12 | 0, i67 | 0);
    set8(i85 + (i82 * 20 | 0) >> 0 | 0, 54 | 0);
    set8(i85 + (i82 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i85 + (i82 * 20 | 0) + 4 | 0, i22 | 0);
    set32(i85 + (i82 * 20 | 0) + 8 | 0, i77 | 0);
    set32(i85 + (i82 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i85 + (i82 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i85 + (i82 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i87 = i86;
    i88 = i67;
   }
   i67 = get32(i19 | 0) | 0;
   if ((i87 | 0) <= (i88 | 0)) {
    i69 = i11 + 4 | 0;
    i74 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i69 | 0) | 0, (i87 | 0) == 0 ? 1020 : i87 * 40 | 0) | 0;
    if (!i74) i90 = i69; else {
     i71 = get32(i11 | 0) | 0;
     if (((i71 | 0) != 0 ? (get32(i71 + 260 | 0) | 0) >>> 0 <= i74 >>> 0 : 0) ? (get32(i71 + 264 | 0) | 0) >>> 0 > i74 >>> 0 : 0) i91 = getU16(i71 + 232 | 0) | 0; else i91 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i74) | 0;
     set32(i72 | 0, (i91 >>> 0) / 20 | 0 | 0);
     set32(i69 | 0, i74 | 0);
     i92 = i69;
     i93 = get32(i12 | 0) | 0;
     i94 = i74;
     i23 = 145;
    }
   } else {
    i74 = i11 + 4 | 0;
    i92 = i74;
    i93 = i88;
    i94 = get32(i74 | 0) | 0;
    i23 = 145;
   }
   if ((i23 | 0) == 145) {
    set32(i12 | 0, i93 + 1 | 0);
    set8(i94 + (i88 * 20 | 0) >> 0 | 0, 55 | 0);
    set8(i94 + (i88 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i94 + (i88 * 20 | 0) + 4 | 0, i67 | 0);
    set32(i94 + (i88 * 20 | 0) + 8 | 0, i76 | 0);
    set32(i94 + (i88 * 20 | 0) + 12 | 0, i77 | 0);
    set32(i94 + (i88 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i94 + (i88 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i90 = i92;
   }
   i67 = get32(i90 | 0) | 0;
   if (i67) set8(i67 + (((get32(i12 | 0) | 0) + -1 | 0) * 20 | 0) + 3 >> 0 | 0, 8 | 0);
   L239 : do if ((i77 | 0) != 0 ? (i67 = get8(i73 >> 0 | 0) | 0, (i67 & 255) < 8) : 0) {
    do if ((get32(i1 + 112 | 0) | 0) != (i77 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i77 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i77 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i77 | 0)) if ((get32(i1 + 208 | 0) | 0) == (i77 | 0)) i95 = i1 + 192 | 0; else {
     if ((get32(i1 + 232 | 0) | 0) == (i77 | 0)) {
      i95 = i1 + 216 | 0;
      break;
     }
     if ((get32(i1 + 256 | 0) | 0) == (i77 | 0)) {
      i95 = i1 + 240 | 0;
      break;
     }
     if ((get32(i1 + 280 | 0) | 0) == (i77 | 0)) {
      i95 = i1 + 264 | 0;
      break;
     }
     if ((get32(i1 + 304 | 0) | 0) == (i77 | 0)) {
      i95 = i1 + 288 | 0;
      break;
     }
     if ((get32(i1 + 328 | 0) | 0) == (i77 | 0)) {
      i95 = i1 + 312 | 0;
      break;
     }
     set8(i73 >> 0 | 0, i67 + 1 << 24 >> 24 | 0);
     set32(i1 + 24 + ((i67 & 255) << 2) | 0, i77 | 0);
     break L239;
    } else i95 = i1 + 168 | 0; else i95 = i1 + 144 | 0; else i95 = i1 + 120 | 0; else i95 = i1 + 96 | 0; while (0);
    set8(i95 + 8 >> 0 | 0, 1 | 0);
   } while (0);
   if ((i76 | 0) != 0 ? (i72 = get8(i73 >> 0 | 0) | 0, (i72 & 255) < 8) : 0) {
    do if ((get32(i1 + 112 | 0) | 0) != (i76 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i76 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i76 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i76 | 0)) if ((get32(i1 + 208 | 0) | 0) == (i76 | 0)) i96 = i1 + 192 | 0; else {
     if ((get32(i1 + 232 | 0) | 0) == (i76 | 0)) {
      i96 = i1 + 216 | 0;
      break;
     }
     if ((get32(i1 + 256 | 0) | 0) == (i76 | 0)) {
      i96 = i1 + 240 | 0;
      break;
     }
     if ((get32(i1 + 280 | 0) | 0) == (i76 | 0)) {
      i96 = i1 + 264 | 0;
      break;
     }
     if ((get32(i1 + 304 | 0) | 0) == (i76 | 0)) {
      i96 = i1 + 288 | 0;
      break;
     }
     if ((get32(i1 + 328 | 0) | 0) == (i76 | 0)) {
      i96 = i1 + 312 | 0;
      break;
     }
     set8(i73 >> 0 | 0, i72 + 1 << 24 >> 24 | 0);
     set32(i1 + 24 + ((i72 & 255) << 2) | 0, i76 | 0);
     break L155;
    } else i96 = i1 + 168 | 0; else i96 = i1 + 144 | 0; else i96 = i1 + 120 | 0; else i96 = i1 + 96 | 0; while (0);
    set8(i96 + 8 >> 0 | 0, 1 | 0);
   }
   break;
  }
 case 7:
  {
   i72 = get8(i4 + 1 >> 0 | 0) | 0;
   i73 = i2;
   L270 : while (1) {
    i19 = get32(get32((get32(i73 | 0) | 0) + 12 | 0) | 0) | 0;
    switch (get8(i19 >> 0 | 0) | 0) {
    case 37:
     {
      i97 = i19;
      i23 = 179;
      break L270;
      break;
     }
    case -124:
    case -104:
    case -102:
     {
      i98 = i19;
      i23 = 190;
      break L270;
      break;
     }
    case 116:
     break;
    default:
     {
      i99 = i19;
      i23 = 193;
      break L270;
     }
    }
    i73 = get32(i19 + 16 | 0) | 0;
   }
   L273 : do if ((i23 | 0) == 179) {
    i73 = get32(i97 + 4 | 0) | 0;
    if ((i73 | 0) != 0 ? (i19 = get8(i73 >> 0 | 0) | 0, i19 << 24 >> 24 != 0) : 0) {
     i22 = i73;
     i73 = i19;
     i19 = 99;
     i67 = 0;
     while (1) {
      i74 = getU8(16286 + (i73 & 255) >> 0 | 0) | i67 << 8;
      i22 = i22 + 1 | 0;
      L278 : do if ((i74 | 0) < 1685026146) {
       if ((i74 | 0) < 1667785074) {
        switch (i74 | 0) {
        case 1651273570:
         break;
        default:
         {
          i23 = 188;
          break L278;
         }
        }
        switch (i19 << 24 >> 24) {
        case 101:
        case 99:
         {
          i100 = 98;
          i101 = 1651273570;
          break L278;
          break;
         }
        default:
         {
          i23 = 187;
          break L278;
         }
        }
       }
       if ((i74 | 0) < 1668050786) switch (i74 | 0) {
       case 1667785074:
        {
         i100 = 97;
         i101 = i74;
         break L278;
         break;
        }
       default:
        {
         i23 = 188;
         break L278;
        }
       } else switch (i74 | 0) {
       case 1668050786:
        {
         i100 = 97;
         i101 = i74;
         break L278;
         break;
        }
       default:
        {
         i23 = 188;
         break L278;
        }
       }
      } else {
       if ((i74 | 0) >= 1919246700) {
        if ((i74 | 0) >= 1952807028) switch (i74 | 0) {
        case 1952807028:
         {
          i100 = 97;
          i101 = i74;
          break L278;
          break;
         }
        default:
         {
          i23 = 188;
          break L278;
         }
        }
        switch (i74 | 0) {
        case 1919246700:
         break;
        default:
         {
          i23 = 188;
          break L278;
         }
        }
        if (i19 << 24 >> 24 == 99) {
         i100 = 101;
         i101 = 1919246700;
         break;
        } else {
         i23 = 187;
         break;
        }
       }
       if ((i74 | 0) < 1718382433) {
        switch (i74 | 0) {
        case 1685026146:
         break;
        default:
         {
          i23 = 188;
          break L278;
         }
        }
        if (i19 << 24 >> 24 == 99) {
         i100 = 101;
         i101 = 1685026146;
         break;
        }
       } else {
        switch (i74 | 0) {
        case 1718382433:
         break;
        default:
         {
          i23 = 188;
          break L278;
         }
        }
        if (i19 << 24 >> 24 == 99) {
         i100 = 101;
         i101 = 1718382433;
         break;
        }
       }
       i100 = i19;
       i101 = i74;
      } while (0);
      if ((i23 | 0) == 187) {
       i23 = 0;
       i100 = i19;
       i101 = i74;
      } else if ((i23 | 0) == 188) {
       i23 = 0;
       if ((i74 & 16777215 | 0) == 6909556) {
        i102 = 100;
        break L273;
       } else {
        i100 = i19;
        i101 = i74;
       }
      }
      i73 = get8(i22 >> 0 | 0) | 0;
      if (!(i73 << 24 >> 24)) {
       i102 = i100;
       break;
      } else {
       i19 = i100;
       i67 = i101;
      }
     }
    } else i102 = 99;
   } else if ((i23 | 0) == 190) {
    i67 = get32(i98 + 40 | 0) | 0;
    if (i67) {
     i19 = get16(i98 + 28 | 0) | 0;
     if (i19 << 16 >> 16 < 0) i102 = 100; else i102 = get8((get32(i67 + 12 | 0) | 0) + ((i19 << 16 >> 16) * 24 | 0) + 22 >> 0 | 0) | 0;
    } else {
     i99 = i98;
     i23 = 193;
    }
   } while (0);
   if ((i23 | 0) == 193) i102 = get8(i99 + 1 >> 0 | 0) | 0;
   i19 = i102 & 255;
   if (i72 << 24 >> 24 == 0 | i102 << 24 >> 24 == 0) if (!((i102 | i72) << 24 >> 24)) i103 = 98; else i103 = i19 + (i72 & 255) & 255; else i103 = i72 << 24 >> 24 > 98 | i102 << 24 >> 24 > 98 ? 99 : 98;
   i19 = i2 + 5 | 0;
   set8(i19 >> 0 | 0, i103 | 0);
   i67 = i1 + 21 | 0;
   i73 = get8(i67 >> 0 | 0) | 0;
   if (!(i73 << 24 >> 24)) {
    i22 = i1 + 72 | 0;
    i69 = (get32(i22 | 0) | 0) + 1 | 0;
    set32(i22 | 0, i69 | 0);
    i104 = i69;
   } else {
    i69 = i73 + -1 << 24 >> 24;
    set8(i67 >> 0 | 0, i69 | 0);
    i104 = get32(i1 + 24 + ((i69 & 255) << 2) | 0) | 0;
   }
   i69 = i3 + 8 | 0;
   i73 = get32(i69 | 0) | 0;
   i22 = get32(i12 | 0) | 0;
   i71 = i11 + 32 | 0;
   i54 = get32(i71 | 0) | 0;
   if ((i54 | 0) <= (i22 | 0)) {
    i68 = i11 + 4 | 0;
    i66 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i68 | 0) | 0, (i54 | 0) == 0 ? 1020 : i54 * 40 | 0) | 0;
    if (!i66) i105 = 1; else {
     i54 = get32(i11 | 0) | 0;
     if (((i54 | 0) != 0 ? (get32(i54 + 260 | 0) | 0) >>> 0 <= i66 >>> 0 : 0) ? (get32(i54 + 264 | 0) | 0) >>> 0 > i66 >>> 0 : 0) i106 = getU16(i54 + 232 | 0) | 0; else i106 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i66) | 0;
     set32(i71 | 0, (i106 >>> 0) / 20 | 0 | 0);
     set32(i68 | 0, i66 | 0);
     i107 = get32(i12 | 0) | 0;
     i108 = i66;
     i23 = 210;
    }
   } else {
    i107 = i22;
    i108 = get32(i11 + 4 | 0) | 0;
    i23 = 210;
   }
   if ((i23 | 0) == 210) {
    set32(i12 | 0, i107 + 1 | 0);
    set8(i108 + (i22 * 20 | 0) >> 0 | 0, 30 | 0);
    set8(i108 + (i22 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i108 + (i22 * 20 | 0) + 4 | 0, i73 | 0);
    set32(i108 + (i22 * 20 | 0) + 8 | 0, 1 | 0);
    set32(i108 + (i22 * 20 | 0) + 12 | 0, i104 | 0);
    set32(i108 + (i22 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i108 + (i22 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i105 = i22;
   }
   _sqlite3VdbeChangeP4(i11, i105, i19, 1);
   i19 = get32(i69 | 0) | 0;
   i69 = i1 + 96 | 0;
   i22 = 0;
   i73 = i69;
   while (1) {
    i66 = i73 + 16 | 0;
    if ((get32(i66 | 0) | 0) == (i19 | 0)) {
     i68 = i73 + 8 | 0;
     if (get8(i68 >> 0 | 0) | 0) {
      i54 = get8(i67 >> 0 | 0) | 0;
      if ((i54 & 255) < 8) {
       set8(i67 >> 0 | 0, i54 + 1 << 24 >> 24 | 0);
       set32(i1 + 24 + ((i54 & 255) << 2) | 0, i19 | 0);
      }
      set8(i68 >> 0 | 0, 0 | 0);
     }
     set32(i66 | 0, 0 | 0);
    }
    i22 = i22 + 1 | 0;
    if ((i22 | 0) == 10) break; else i73 = i73 + 24 | 0;
   }
   i73 = get32(i4 + 4 | 0) | 0;
   i22 = get32(i12 | 0) | 0;
   i19 = get32(i71 | 0) | 0;
   if ((i19 | 0) <= (i22 | 0)) {
    i72 = i11 + 4 | 0;
    i66 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i72 | 0) | 0, (i19 | 0) == 0 ? 1020 : i19 * 40 | 0) | 0;
    if (i66) {
     i19 = get32(i11 | 0) | 0;
     if (((i19 | 0) != 0 ? (get32(i19 + 260 | 0) | 0) >>> 0 <= i66 >>> 0 : 0) ? (get32(i19 + 264 | 0) | 0) >>> 0 > i66 >>> 0 : 0) i109 = getU16(i19 + 232 | 0) | 0; else i109 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i66) | 0;
     set32(i71 | 0, (i109 >>> 0) / 20 | 0 | 0);
     set32(i72 | 0, i66 | 0);
     i110 = get32(i12 | 0) | 0;
     i111 = i66;
     i23 = 228;
    }
   } else {
    i110 = i22;
    i111 = get32(i11 + 4 | 0) | 0;
    i23 = 228;
   }
   if ((i23 | 0) == 228) {
    set32(i12 | 0, i110 + 1 | 0);
    set8(i111 + (i22 * 20 | 0) >> 0 | 0, 70 | 0);
    set8(i111 + (i22 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i111 + (i22 * 20 | 0) + 4 | 0, i73 | 0);
    set32(i111 + (i22 * 20 | 0) + 8 | 0, i104 | 0);
    set32(i111 + (i22 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i111 + (i22 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i111 + (i22 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   }
   if ((i104 | 0) != 0 ? (i22 = get8(i67 >> 0 | 0) | 0, (i22 & 255) < 8) : 0) {
    do if ((get32(i1 + 112 | 0) | 0) != (i104 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i104 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i104 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i104 | 0)) if ((get32(i1 + 208 | 0) | 0) != (i104 | 0)) if ((get32(i1 + 232 | 0) | 0) != (i104 | 0)) if ((get32(i1 + 256 | 0) | 0) == (i104 | 0)) i112 = i1 + 240 | 0; else {
     if ((get32(i1 + 280 | 0) | 0) == (i104 | 0)) {
      i112 = i1 + 264 | 0;
      break;
     }
     if ((get32(i1 + 304 | 0) | 0) == (i104 | 0)) {
      i112 = i1 + 288 | 0;
      break;
     }
     if ((get32(i1 + 328 | 0) | 0) == (i104 | 0)) {
      i112 = i1 + 312 | 0;
      break;
     }
     set8(i67 >> 0 | 0, i22 + 1 << 24 >> 24 | 0);
     set32(i1 + 24 + ((i22 & 255) << 2) | 0, i104 | 0);
     break L155;
    } else i112 = i1 + 216 | 0; else i112 = i1 + 192 | 0; else i112 = i1 + 168 | 0; else i112 = i1 + 144 | 0; else i112 = i1 + 120 | 0; else i112 = i69; while (0);
    set8(i112 + 8 >> 0 | 0, 1 | 0);
   }
   break;
  }
 case 6:
  {
   _sqlite3ExprCodeMove(i1, get32(i3 + 8 | 0) | 0, get32(i4 + 4 | 0) | 0, 1);
   break;
  }
 case 10:
  {
   i69 = i4 + 8 | 0;
   i22 = get32(i69 | 0) | 0;
   if (!i22) {
    i67 = get32(i3 + 12 | 0) | 0;
    i71 = i1 + 60 | 0;
    i73 = get32(i71 | 0) | 0;
    i66 = i1 + 56 | 0;
    i72 = get32(i66 | 0) | 0;
    if ((i72 | 0) < (i67 | 0)) {
     i19 = i1 + 72 | 0;
     i68 = get32(i19 | 0) | 0;
     set32(i19 | 0, i68 + i67 | 0);
     i113 = i68 + 1 | 0;
    } else {
     set32(i71 | 0, i73 + i67 | 0);
     set32(i66 | 0, i72 - i67 | 0);
     i113 = i73;
    }
    set32(i69 | 0, i113 | 0);
    set32(i4 + 12 | 0, i67 | 0);
    i114 = i113;
    i115 = i67;
   } else {
    i114 = i22;
    i115 = get32(i4 + 12 | 0) | 0;
   }
   _sqlite3ExprCodeMove(i1, get32(i3 + 8 | 0) | 0, i114, i115);
   i22 = get32(i4 + 4 | 0) | 0;
   i67 = get32(i12 | 0) | 0;
   i69 = i11 + 32 | 0;
   i73 = get32(i69 | 0) | 0;
   if ((i73 | 0) > (i67 | 0)) {
    i116 = i67;
    i117 = get32(i11 + 4 | 0) | 0;
   } else {
    i72 = i11 + 4 | 0;
    i66 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i72 | 0) | 0, (i73 | 0) == 0 ? 1020 : i73 * 40 | 0) | 0;
    if (!i66) break L155;
    i73 = get32(i11 | 0) | 0;
    if (((i73 | 0) != 0 ? (get32(i73 + 260 | 0) | 0) >>> 0 <= i66 >>> 0 : 0) ? (get32(i73 + 264 | 0) | 0) >>> 0 > i66 >>> 0 : 0) i118 = getU16(i73 + 232 | 0) | 0; else i118 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i66) | 0;
    set32(i69 | 0, (i118 >>> 0) / 20 | 0 | 0);
    set32(i72 | 0, i66 | 0);
    i116 = get32(i12 | 0) | 0;
    i117 = i66;
   }
   set32(i12 | 0, i116 + 1 | 0);
   set8(i117 + (i67 * 20 | 0) >> 0 | 0, 4 | 0);
   set8(i117 + (i67 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i117 + (i67 * 20 | 0) + 4 | 0, i22 | 0);
   set32(i117 + (i67 * 20 | 0) + 8 | 0, 0 | 0);
   set32(i117 + (i67 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i117 + (i67 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i117 + (i67 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   break;
  }
 default:
  {
   i67 = i3 + 8 | 0;
   i22 = get32(i67 | 0) | 0;
   i66 = i3 + 12 | 0;
   i72 = get32(i66 | 0) | 0;
   i69 = get32(i12 | 0) | 0;
   i73 = i11 + 32 | 0;
   i71 = get32(i73 | 0) | 0;
   if ((i71 | 0) <= (i69 | 0)) {
    i68 = i11 + 4 | 0;
    i19 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i68 | 0) | 0, (i71 | 0) == 0 ? 1020 : i71 * 40 | 0) | 0;
    if (i19) {
     i71 = get32(i11 | 0) | 0;
     if (((i71 | 0) != 0 ? (get32(i71 + 260 | 0) | 0) >>> 0 <= i19 >>> 0 : 0) ? (get32(i71 + 264 | 0) | 0) >>> 0 > i19 >>> 0 : 0) i119 = getU16(i71 + 232 | 0) | 0; else i119 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i19) | 0;
     set32(i73 | 0, (i119 >>> 0) / 20 | 0 | 0);
     set32(i68 | 0, i19 | 0);
     i120 = get32(i12 | 0) | 0;
     i121 = i19;
     i23 = 269;
    }
   } else {
    i120 = i69;
    i121 = get32(i11 + 4 | 0) | 0;
    i23 = 269;
   }
   if ((i23 | 0) == 269) {
    set32(i12 | 0, i120 + 1 | 0);
    set8(i121 + (i69 * 20 | 0) >> 0 | 0, 16 | 0);
    set8(i121 + (i69 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i121 + (i69 * 20 | 0) + 4 | 0, i22 | 0);
    set32(i121 + (i69 * 20 | 0) + 8 | 0, i72 | 0);
    set32(i121 + (i69 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i121 + (i69 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i121 + (i69 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   }
   i69 = get32(i67 | 0) | 0;
   i67 = i69 + -1 + (get32(i66 | 0) | 0) | 0;
   i66 = i1 + 21 | 0;
   i72 = 0;
   i22 = i1 + 96 | 0;
   while (1) {
    i19 = i22 + 16 | 0;
    i68 = get32(i19 | 0) | 0;
    if (!((i68 | 0) < (i69 | 0) | (i68 | 0) > (i67 | 0))) {
     i73 = i22 + 8 | 0;
     if (get8(i73 >> 0 | 0) | 0) {
      i71 = get8(i66 >> 0 | 0) | 0;
      if ((i71 & 255) < 8) {
       set8(i66 >> 0 | 0, i71 + 1 << 24 >> 24 | 0);
       set32(i1 + 24 + ((i71 & 255) << 2) | 0, i68 | 0);
      }
      set8(i73 >> 0 | 0, 0 | 0);
     }
     set32(i19 | 0, 0 | 0);
    }
    i72 = i72 + 1 | 0;
    if ((i72 | 0) == 10) break; else i22 = i22 + 24 | 0;
   }
  }
 } while (0);
 i1 = get32(i2 + 48 | 0) | 0;
 do if (i1) {
  i2 = get32(i12 | 0) | 0;
  i121 = i11 + 32 | 0;
  i120 = get32(i121 | 0) | 0;
  if ((i120 | 0) > (i2 | 0)) {
   i122 = i2;
   i123 = get32(i11 + 4 | 0) | 0;
  } else {
   i23 = i11 + 4 | 0;
   i119 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i23 | 0) | 0, (i120 | 0) == 0 ? 1020 : i120 * 40 | 0) | 0;
   if (!i119) break;
   i120 = get32(i11 | 0) | 0;
   if (((i120 | 0) != 0 ? (get32(i120 + 260 | 0) | 0) >>> 0 <= i119 >>> 0 : 0) ? (get32(i120 + 264 | 0) | 0) >>> 0 > i119 >>> 0 : 0) i124 = getU16(i120 + 232 | 0) | 0; else i124 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i119) | 0;
   set32(i121 | 0, (i124 >>> 0) / 20 | 0 | 0);
   set32(i23 | 0, i119 | 0);
   i122 = get32(i12 | 0) | 0;
   i123 = i119;
  }
  set32(i12 | 0, i122 + 1 | 0);
  set8(i123 + (i2 * 20 | 0) >> 0 | 0, 115 | 0);
  set8(i123 + (i2 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i123 + (i2 * 20 | 0) + 4 | 0, i1 | 0);
  set32(i123 + (i2 * 20 | 0) + 8 | 0, i9 | 0);
  set32(i123 + (i2 * 20 | 0) + 12 | 0, -1 | 0);
  set32(i123 + (i2 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i123 + (i2 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
 } while (0);
 i123 = get32(i11 + 44 | 0) | 0;
 if (i123) set32(i123 + (i15 << 2) | 0, get32(i12 | 0) | 0);
 i15 = get32(i12 | 0) | 0;
 i123 = i11 + 32 | 0;
 i9 = get32(i123 | 0) | 0;
 if ((i9 | 0) > (i15 | 0)) {
  i125 = i15;
  i126 = get32(i11 + 4 | 0) | 0;
 } else {
  i1 = i11 + 4 | 0;
  i122 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i1 | 0) | 0, (i9 | 0) == 0 ? 1020 : i9 * 40 | 0) | 0;
  if (!i122) {
   i57 = i13;
   return i57 | 0;
  }
  i9 = get32(i11 | 0) | 0;
  if (((i9 | 0) != 0 ? (get32(i9 + 260 | 0) | 0) >>> 0 <= i122 >>> 0 : 0) ? (get32(i9 + 264 | 0) | 0) >>> 0 > i122 >>> 0 : 0) i127 = getU16(i9 + 232 | 0) | 0; else i127 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i122) | 0;
  set32(i123 | 0, (i127 >>> 0) / 20 | 0 | 0);
  set32(i1 | 0, i122 | 0);
  i125 = get32(i12 | 0) | 0;
  i126 = i122;
 }
 set32(i12 | 0, i125 + 1 | 0);
 set8(i126 + (i15 * 20 | 0) >> 0 | 0, 3 | 0);
 set8(i126 + (i15 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
 set32(i126 + (i15 * 20 | 0) + 4 | 0, i5 | 0);
 set32(i126 + (i15 * 20 | 0) + 8 | 0, 0 | 0);
 set32(i126 + (i15 * 20 | 0) + 12 | 0, 0 | 0);
 set32(i126 + (i15 * 20 | 0) + 16 | 0, 0 | 0);
 set8(i126 + (i15 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
 i57 = i13;
 return i57 | 0;
}

function _printf_core(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0, i80 = 0, i81 = 0, i82 = 0, i83 = 0, i84 = 0, i85 = 0, i86 = 0, i87 = 0, i88 = 0, i89 = 0, i90 = 0, i91 = 0, i92 = 0, i93 = 0, i94 = 0, i95 = 0, i96 = 0, i97 = 0, i98 = 0, i99 = 0, d100 = 0.0, d101 = 0.0, i102 = 0, i103 = 0, i104 = 0, i105 = 0, i106 = 0, d107 = 0.0, d108 = 0.0, d109 = 0.0, d110 = 0.0, i111 = 0, i112 = 0, i113 = 0, i114 = 0, i115 = 0, i116 = 0, i117 = 0, i118 = 0, d119 = 0.0, i120 = 0, i121 = 0, i122 = 0, i123 = 0, i124 = 0, i125 = 0, i126 = 0, i127 = 0, i128 = 0, i129 = 0, i130 = 0, i131 = 0, i132 = 0, i133 = 0, i134 = 0, i135 = 0, i136 = 0, i137 = 0, i138 = 0, i139 = 0, i140 = 0, i141 = 0, i142 = 0, i143 = 0, i144 = 0, i145 = 0, i146 = 0, d147 = 0.0, d148 = 0.0, d149 = 0.0, i150 = 0, i151 = 0, i152 = 0, i153 = 0, i154 = 0, i155 = 0, i156 = 0, i157 = 0, i158 = 0, i159 = 0, i160 = 0, i161 = 0, i162 = 0, i163 = 0, i164 = 0, i165 = 0, i166 = 0, i167 = 0, i168 = 0, i169 = 0, i170 = 0, i171 = 0, i172 = 0, i173 = 0, i174 = 0, i175 = 0, i176 = 0, i177 = 0, i178 = 0, i179 = 0, i180 = 0, i181 = 0, i182 = 0, i183 = 0, i184 = 0;
 i6 = STACKTOP;
 STACKTOP = STACKTOP + 624 | 0;
 i7 = i6 + 24 | 0;
 i8 = i6 + 16 | 0;
 i9 = i6 + 588 | 0;
 i10 = i6 + 576 | 0;
 i11 = i6;
 i12 = i6 + 536 | 0;
 i13 = i6 + 8 | 0;
 i14 = i6 + 528 | 0;
 i15 = (i1 | 0) != 0;
 i16 = i12 + 40 | 0;
 i17 = i16;
 i18 = i12 + 39 | 0;
 i12 = i13 + 4 | 0;
 i19 = i10 + 12 | 0;
 i20 = i10 + 11 | 0;
 i10 = i9;
 i21 = i19;
 i22 = i21 - i10 | 0;
 i23 = -2 - i10 | 0;
 i24 = i21 + 2 | 0;
 i25 = i7 + 288 | 0;
 i26 = i9 + 9 | 0;
 i27 = i26;
 i28 = i9 + 8 | 0;
 i29 = i2;
 i2 = 0;
 i30 = 0;
 i31 = 0;
 L1 : while (1) {
  do if ((i2 | 0) > -1) if ((i30 | 0) > (2147483647 - i2 | 0)) {
   set32(___errno_location() | 0 | 0, 75 | 0);
   i32 = -1;
   break;
  } else {
   i32 = i30 + i2 | 0;
   break;
  } else i32 = i2; while (0);
  i33 = get8(i29 >> 0 | 0) | 0;
  if (!(i33 << 24 >> 24)) {
   i34 = i32;
   i35 = i31;
   i36 = 245;
   break;
  } else {
   i37 = i33;
   i38 = i29;
  }
  L9 : while (1) {
   switch (i37 << 24 >> 24) {
   case 37:
    {
     i39 = i38;
     i40 = i38;
     i36 = 9;
     break L9;
     break;
    }
   case 0:
    {
     i41 = i38;
     i42 = i38;
     break L9;
     break;
    }
   default:
    {}
   }
   i33 = i38 + 1 | 0;
   i37 = get8(i33 >> 0 | 0) | 0;
   i38 = i33;
  }
  L12 : do if ((i36 | 0) == 9) while (1) {
   i36 = 0;
   if ((get8(i39 + 1 >> 0 | 0) | 0) != 37) {
    i41 = i39;
    i42 = i40;
    break L12;
   }
   i33 = i40 + 1 | 0;
   i43 = i39 + 2 | 0;
   if ((get8(i43 >> 0 | 0) | 0) == 37) {
    i39 = i43;
    i40 = i33;
    i36 = 9;
   } else {
    i41 = i43;
    i42 = i33;
    break;
   }
  } while (0);
  i33 = i42 - i29 | 0;
  if (i15 ? (get32(i1 | 0) & 32 | 0) == 0 : 0) ___fwritex(i29, i33, i1) | 0;
  if ((i42 | 0) != (i29 | 0)) {
   i29 = i41;
   i2 = i32;
   i30 = i33;
   continue;
  }
  i43 = i41 + 1 | 0;
  i44 = get8(i43 >> 0 | 0) | 0;
  i45 = (i44 << 24 >> 24) + -48 | 0;
  if (i45 >>> 0 < 10) {
   i46 = (get8(i41 + 2 >> 0 | 0) | 0) == 36;
   i47 = i46 ? i41 + 3 | 0 : i43;
   i48 = get8(i47 >> 0 | 0) | 0;
   i49 = i46 ? i45 : -1;
   i50 = i46 ? 1 : i31;
   i51 = i47;
  } else {
   i48 = i44;
   i49 = -1;
   i50 = i31;
   i51 = i43;
  }
  i43 = i48 << 24 >> 24;
  L25 : do if ((i43 & -32 | 0) == 32) {
   i44 = i43;
   i47 = i48;
   i46 = 0;
   i45 = i51;
   while (1) {
    if (!(1 << i44 + -32 & 75913)) {
     i52 = i47;
     i53 = i46;
     i54 = i45;
     break L25;
    }
    i55 = 1 << (i47 << 24 >> 24) + -32 | i46;
    i56 = i45 + 1 | 0;
    i57 = get8(i56 >> 0 | 0) | 0;
    i44 = i57 << 24 >> 24;
    if ((i44 & -32 | 0) != 32) {
     i52 = i57;
     i53 = i55;
     i54 = i56;
     break;
    } else {
     i47 = i57;
     i46 = i55;
     i45 = i56;
    }
   }
  } else {
   i52 = i48;
   i53 = 0;
   i54 = i51;
  } while (0);
  do if (i52 << 24 >> 24 == 42) {
   i43 = i54 + 1 | 0;
   i45 = (get8(i43 >> 0 | 0) | 0) + -48 | 0;
   if (i45 >>> 0 < 10 ? (get8(i54 + 2 >> 0 | 0) | 0) == 36 : 0) {
    set32(i5 + (i45 << 2) | 0, 10 | 0);
    i58 = 1;
    i59 = i54 + 3 | 0;
    i60 = get32(i4 + ((get8(i43 >> 0 | 0) | 0) + -48 << 3) | 0) | 0;
   } else {
    if (i50) {
     i61 = -1;
     break L1;
    }
    if (!i15) {
     i62 = i43;
     i63 = i53;
     i64 = 0;
     i65 = 0;
     break;
    }
    i45 = (get32(i3 | 0) | 0) + (4 - 1) & ~(4 - 1);
    i46 = get32(i45 | 0) | 0;
    set32(i3 | 0, i45 + 4 | 0);
    i58 = 0;
    i59 = i43;
    i60 = i46;
   }
   if ((i60 | 0) < 0) {
    i62 = i59;
    i63 = i53 | 8192;
    i64 = i58;
    i65 = 0 - i60 | 0;
   } else {
    i62 = i59;
    i63 = i53;
    i64 = i58;
    i65 = i60;
   }
  } else {
   i46 = (i52 << 24 >> 24) + -48 | 0;
   if (i46 >>> 0 < 10) {
    i43 = i54;
    i45 = 0;
    i47 = i46;
    while (1) {
     i46 = (i45 * 10 | 0) + i47 | 0;
     i44 = i43 + 1 | 0;
     i47 = (get8(i44 >> 0 | 0) | 0) + -48 | 0;
     if (i47 >>> 0 >= 10) {
      i66 = i46;
      i67 = i44;
      break;
     } else {
      i43 = i44;
      i45 = i46;
     }
    }
    if ((i66 | 0) < 0) {
     i61 = -1;
     break L1;
    } else {
     i62 = i67;
     i63 = i53;
     i64 = i50;
     i65 = i66;
    }
   } else {
    i62 = i54;
    i63 = i53;
    i64 = i50;
    i65 = 0;
   }
  } while (0);
  L46 : do if ((get8(i62 >> 0 | 0) | 0) == 46) {
   i45 = i62 + 1 | 0;
   i43 = get8(i45 >> 0 | 0) | 0;
   if (i43 << 24 >> 24 != 42) {
    i47 = (i43 << 24 >> 24) + -48 | 0;
    if (i47 >>> 0 < 10) {
     i68 = i45;
     i69 = 0;
     i70 = i47;
    } else {
     i71 = i45;
     i72 = 0;
     break;
    }
    while (1) {
     i45 = (i69 * 10 | 0) + i70 | 0;
     i47 = i68 + 1 | 0;
     i70 = (get8(i47 >> 0 | 0) | 0) + -48 | 0;
     if (i70 >>> 0 >= 10) {
      i71 = i47;
      i72 = i45;
      break L46;
     } else {
      i68 = i47;
      i69 = i45;
     }
    }
   }
   i45 = i62 + 2 | 0;
   i47 = (get8(i45 >> 0 | 0) | 0) + -48 | 0;
   if (i47 >>> 0 < 10 ? (get8(i62 + 3 >> 0 | 0) | 0) == 36 : 0) {
    set32(i5 + (i47 << 2) | 0, 10 | 0);
    i71 = i62 + 4 | 0;
    i72 = get32(i4 + ((get8(i45 >> 0 | 0) | 0) + -48 << 3) | 0) | 0;
    break;
   }
   if (i64) {
    i61 = -1;
    break L1;
   }
   if (i15) {
    i47 = (get32(i3 | 0) | 0) + (4 - 1) & ~(4 - 1);
    i43 = get32(i47 | 0) | 0;
    set32(i3 | 0, i47 + 4 | 0);
    i71 = i45;
    i72 = i43;
   } else {
    i71 = i45;
    i72 = 0;
   }
  } else {
   i71 = i62;
   i72 = -1;
  } while (0);
  i45 = i71;
  i43 = 0;
  while (1) {
   i47 = (get8(i45 >> 0 | 0) | 0) + -65 | 0;
   if (i47 >>> 0 > 57) {
    i61 = -1;
    break L1;
   }
   i46 = i45 + 1 | 0;
   i44 = get8(42470 + (i43 * 58 | 0) + i47 >> 0 | 0) | 0;
   i47 = i44 & 255;
   if ((i47 + -1 | 0) >>> 0 < 8) {
    i45 = i46;
    i43 = i47;
   } else {
    i73 = i45;
    i74 = i46;
    i75 = i44;
    i76 = i47;
    i77 = i43;
    break;
   }
  }
  if (!(i75 << 24 >> 24)) {
   i61 = -1;
   break;
  }
  i43 = (i49 | 0) > -1;
  do if (i75 << 24 >> 24 == 19) if (i43) {
   i61 = -1;
   break L1;
  } else i36 = 52; else {
   if (i43) {
    set32(i5 + (i49 << 2) | 0, i76 | 0);
    i45 = i4 + (i49 << 3) | 0;
    i47 = get32(i45 + 4 | 0) | 0;
    i44 = i11;
    set32(i44 | 0, get32(i45 | 0) | 0);
    set32(i44 + 4 | 0, i47 | 0);
    i36 = 52;
    break;
   }
   if (!i15) {
    i61 = 0;
    break L1;
   }
   _pop_arg339(i11, i76, i3);
  } while (0);
  if ((i36 | 0) == 52 ? (i36 = 0, !i15) : 0) {
   i29 = i74;
   i2 = i32;
   i30 = i33;
   i31 = i64;
   continue;
  }
  i43 = get8(i73 >> 0 | 0) | 0;
  i47 = (i77 | 0) != 0 & (i43 & 15 | 0) == 3 ? i43 & -33 : i43;
  i43 = i63 & -65537;
  i44 = (i63 & 8192 | 0) == 0 ? i63 : i43;
  L75 : do switch (i47 | 0) {
  case 110:
   {
    switch (i77 | 0) {
    case 0:
     {
      set32(get32(i11 | 0) | 0, i32 | 0);
      i29 = i74;
      i2 = i32;
      i30 = i33;
      i31 = i64;
      continue L1;
      break;
     }
    case 1:
     {
      set32(get32(i11 | 0) | 0, i32 | 0);
      i29 = i74;
      i2 = i32;
      i30 = i33;
      i31 = i64;
      continue L1;
      break;
     }
    case 2:
     {
      i45 = get32(i11 | 0) | 0;
      set32(i45 | 0, i32 | 0);
      set32(i45 + 4 | 0, ((i32 | 0) < 0) << 31 >> 31 | 0);
      i29 = i74;
      i2 = i32;
      i30 = i33;
      i31 = i64;
      continue L1;
      break;
     }
    case 3:
     {
      set16(get32(i11 | 0) | 0, i32 | 0);
      i29 = i74;
      i2 = i32;
      i30 = i33;
      i31 = i64;
      continue L1;
      break;
     }
    case 4:
     {
      set8(get32(i11 | 0) >> 0 | 0, i32 | 0);
      i29 = i74;
      i2 = i32;
      i30 = i33;
      i31 = i64;
      continue L1;
      break;
     }
    case 6:
     {
      set32(get32(i11 | 0) | 0, i32 | 0);
      i29 = i74;
      i2 = i32;
      i30 = i33;
      i31 = i64;
      continue L1;
      break;
     }
    case 7:
     {
      i45 = get32(i11 | 0) | 0;
      set32(i45 | 0, i32 | 0);
      set32(i45 + 4 | 0, ((i32 | 0) < 0) << 31 >> 31 | 0);
      i29 = i74;
      i2 = i32;
      i30 = i33;
      i31 = i64;
      continue L1;
      break;
     }
    default:
     {
      i29 = i74;
      i2 = i32;
      i30 = i33;
      i31 = i64;
      continue L1;
     }
    }
    break;
   }
  case 112:
   {
    i78 = i44 | 8;
    i79 = i72 >>> 0 > 8 ? i72 : 8;
    i80 = 120;
    i36 = 64;
    break;
   }
  case 88:
  case 120:
   {
    i78 = i44;
    i79 = i72;
    i80 = i47;
    i36 = 64;
    break;
   }
  case 111:
   {
    i45 = i11;
    i46 = get32(i45 | 0) | 0;
    i56 = get32(i45 + 4 | 0) | 0;
    if ((i46 | 0) == 0 & (i56 | 0) == 0) i81 = i16; else {
     i45 = i16;
     i55 = i46;
     i46 = i56;
     while (1) {
      i56 = i45 + -1 | 0;
      set8(i56 >> 0 | 0, i55 & 7 | 48 | 0);
      i55 = _bitshift64Lshr(i55 | 0, i46 | 0, 3) | 0;
      i46 = tempRet0;
      if ((i55 | 0) == 0 & (i46 | 0) == 0) {
       i81 = i56;
       break;
      } else i45 = i56;
     }
    }
    if (!(i44 & 8)) {
     i82 = i81;
     i83 = i44;
     i84 = i72;
     i85 = 0;
     i86 = 42950;
     i36 = 77;
    } else {
     i45 = i17 - i81 + 1 | 0;
     i82 = i81;
     i83 = i44;
     i84 = (i72 | 0) < (i45 | 0) ? i45 : i72;
     i85 = 0;
     i86 = 42950;
     i36 = 77;
    }
    break;
   }
  case 105:
  case 100:
   {
    i45 = i11;
    i46 = get32(i45 | 0) | 0;
    i55 = get32(i45 + 4 | 0) | 0;
    if ((i55 | 0) < 0) {
     i45 = _i64Subtract(0, 0, i46 | 0, i55 | 0) | 0;
     i56 = tempRet0;
     i57 = i11;
     set32(i57 | 0, i45 | 0);
     set32(i57 + 4 | 0, i56 | 0);
     i87 = i45;
     i88 = i56;
     i89 = 1;
     i90 = 42950;
     i36 = 76;
     break L75;
    }
    if (!(i44 & 2048)) {
     i56 = i44 & 1;
     i87 = i46;
     i88 = i55;
     i89 = i56;
     i90 = (i56 | 0) == 0 ? 42950 : 42952;
     i36 = 76;
    } else {
     i87 = i46;
     i88 = i55;
     i89 = 1;
     i90 = 42951;
     i36 = 76;
    }
    break;
   }
  case 117:
   {
    i55 = i11;
    i87 = get32(i55 | 0) | 0;
    i88 = get32(i55 + 4 | 0) | 0;
    i89 = 0;
    i90 = 42950;
    i36 = 76;
    break;
   }
  case 99:
   {
    set8(i18 >> 0 | 0, get32(i11 | 0) | 0);
    i91 = i18;
    i92 = i43;
    i93 = 1;
    i94 = 0;
    i95 = 42950;
    i96 = i16;
    break;
   }
  case 109:
   {
    i97 = _strerror(get32(___errno_location() | 0 | 0) | 0) | 0;
    i36 = 82;
    break;
   }
  case 115:
   {
    i55 = get32(i11 | 0) | 0;
    i97 = (i55 | 0) != 0 ? i55 : 42960;
    i36 = 82;
    break;
   }
  case 67:
   {
    set32(i13 | 0, get32(i11 | 0) | 0);
    set32(i12 | 0, 0 | 0);
    set32(i11 | 0, i13 | 0);
    i98 = -1;
    i36 = 86;
    break;
   }
  case 83:
   {
    if (!i72) {
     _pad(i1, 32, i65, 0, i44);
     i99 = 0;
     i36 = 98;
    } else {
     i98 = i72;
     i36 = 86;
    }
    break;
   }
  case 65:
  case 71:
  case 70:
  case 69:
  case 97:
  case 103:
  case 102:
  case 101:
   {
    d100 = +getF64(i11 | 0);
    set32(i8 | 0, 0 | 0);
    setF64(tempDoublePtr | 0, +d100);
    if ((get32(tempDoublePtr + 4 | 0) | 0) >= 0) if (!(i44 & 2048)) {
     i55 = i44 & 1;
     d101 = d100;
     i102 = i55;
     i103 = (i55 | 0) == 0 ? 42968 : 42973;
    } else {
     d101 = d100;
     i102 = 1;
     i103 = 42970;
    } else {
     d101 = -d100;
     i102 = 1;
     i103 = 42967;
    }
    setF64(tempDoublePtr | 0, +d101);
    i55 = get32(tempDoublePtr + 4 | 0) & 2146435072;
    do if (i55 >>> 0 < 2146435072 | (i55 | 0) == 2146435072 & 0 < 0) {
     d100 = +_frexpl(d101, i8) * 2.0;
     i46 = d100 != 0.0;
     if (i46) set32(i8 | 0, (get32(i8 | 0) | 0) + -1 | 0);
     i56 = i47 | 32;
     if ((i56 | 0) == 97) {
      i45 = i47 & 32;
      i57 = (i45 | 0) == 0 ? i103 : i103 + 9 | 0;
      i104 = i102 | 2;
      i105 = 12 - i72 | 0;
      do if (!(i72 >>> 0 > 11 | (i105 | 0) == 0)) {
       i106 = i105;
       d107 = 8.0;
       while (1) {
        i106 = i106 + -1 | 0;
        d108 = d107 * 16.0;
        if (!i106) {
         d109 = d108;
         break;
        } else d107 = d108;
       }
       if ((get8(i57 >> 0 | 0) | 0) == 45) {
        d110 = -(d109 + (-d100 - d109));
        break;
       } else {
        d110 = d100 + d109 - d109;
        break;
       }
      } else d110 = d100; while (0);
      i105 = get32(i8 | 0) | 0;
      i106 = (i105 | 0) < 0 ? 0 - i105 | 0 : i105;
      i111 = _fmt_u(i106, ((i106 | 0) < 0) << 31 >> 31, i19) | 0;
      if ((i111 | 0) == (i19 | 0)) {
       set8(i20 >> 0 | 0, 48 | 0);
       i112 = i20;
      } else i112 = i111;
      set8(i112 + -1 >> 0 | 0, (i105 >> 31 & 2) + 43 | 0);
      i105 = i112 + -2 | 0;
      set8(i105 >> 0 | 0, i47 + 15 | 0);
      i111 = (i72 | 0) < 1;
      i106 = (i44 & 8 | 0) == 0;
      d107 = d110;
      i113 = i9;
      while (1) {
       i114 = ~~d107;
       i115 = i113 + 1 | 0;
       set8(i113 >> 0 | 0, getU8(42934 + i114 >> 0 | 0) | i45 | 0);
       d107 = (d107 - +(i114 | 0)) * 16.0;
       do if ((i115 - i10 | 0) == 1) {
        if (i106 & (i111 & d107 == 0.0)) {
         i116 = i115;
         break;
        }
        set8(i115 >> 0 | 0, 46 | 0);
        i116 = i113 + 2 | 0;
       } else i116 = i115; while (0);
       if (!(d107 != 0.0)) {
        i117 = i116;
        break;
       } else i113 = i116;
      }
      i113 = i117;
      i111 = (i72 | 0) != 0 & (i23 + i113 | 0) < (i72 | 0) ? i24 + i72 - i105 | 0 : i22 - i105 + i113 | 0;
      i106 = i111 + i104 | 0;
      _pad(i1, 32, i65, i106, i44);
      if (!(get32(i1 | 0) & 32)) ___fwritex(i57, i104, i1) | 0;
      _pad(i1, 48, i65, i106, i44 ^ 65536);
      i45 = i113 - i10 | 0;
      if (!(get32(i1 | 0) & 32)) ___fwritex(i9, i45, i1) | 0;
      i113 = i21 - i105 | 0;
      _pad(i1, 48, i111 - (i45 + i113) | 0, 0, 0);
      if (!(get32(i1 | 0) & 32)) ___fwritex(i105, i113, i1) | 0;
      _pad(i1, 32, i65, i106, i44 ^ 8192);
      i118 = (i106 | 0) < (i65 | 0) ? i65 : i106;
      break;
     }
     i106 = (i72 | 0) < 0 ? 6 : i72;
     if (i46) {
      i113 = (get32(i8 | 0) | 0) + -28 | 0;
      set32(i8 | 0, i113 | 0);
      d119 = d100 * 268435456.0;
      i120 = i113;
     } else {
      d119 = d100;
      i120 = get32(i8 | 0) | 0;
     }
     i113 = (i120 | 0) < 0 ? i7 : i25;
     i45 = i113;
     d107 = d119;
     i111 = i113;
     while (1) {
      i115 = ~~d107 >>> 0;
      set32(i111 | 0, i115 | 0);
      i114 = i111 + 4 | 0;
      d107 = (d107 - +(i115 >>> 0)) * 1.0e9;
      if (!(d107 != 0.0)) {
       i121 = i114;
       break;
      } else i111 = i114;
     }
     i111 = get32(i8 | 0) | 0;
     if ((i111 | 0) > 0) {
      i46 = i111;
      i105 = i113;
      i104 = i121;
      while (1) {
       i57 = (i46 | 0) > 29 ? 29 : i46;
       i114 = i104 + -4 | 0;
       do if (i114 >>> 0 < i105 >>> 0) i122 = i105; else {
        i115 = 0;
        i123 = i114;
        while (1) {
         i124 = _bitshift64Shl(get32(i123 | 0) | 0, 0, i57 | 0) | 0;
         i125 = _i64Add(i124 | 0, tempRet0 | 0, i115 | 0, 0) | 0;
         i124 = tempRet0;
         i126 = ___uremdi3(i125 | 0, i124 | 0, 1e9, 0) | 0;
         set32(i123 | 0, i126 | 0);
         i126 = ___udivdi3(i125 | 0, i124 | 0, 1e9, 0) | 0;
         i123 = i123 + -4 | 0;
         if (i123 >>> 0 < i105 >>> 0) {
          i127 = i126;
          break;
         } else i115 = i126;
        }
        if (!i127) {
         i122 = i105;
         break;
        }
        i115 = i105 + -4 | 0;
        set32(i115 | 0, i127 | 0);
        i122 = i115;
       } while (0);
       i114 = i104;
       while (1) {
        if (i114 >>> 0 <= i122 >>> 0) {
         i128 = i114;
         break;
        }
        i115 = i114 + -4 | 0;
        if (!(get32(i115 | 0) | 0)) i114 = i115; else {
         i128 = i114;
         break;
        }
       }
       i114 = (get32(i8 | 0) | 0) - i57 | 0;
       set32(i8 | 0, i114 | 0);
       if ((i114 | 0) > 0) {
        i46 = i114;
        i105 = i122;
        i104 = i128;
       } else {
        i129 = i114;
        i130 = i122;
        i131 = i128;
        break;
       }
      }
     } else {
      i129 = i111;
      i130 = i113;
      i131 = i121;
     }
     if ((i129 | 0) < 0) {
      i104 = ((i106 + 25 | 0) / 9 | 0) + 1 | 0;
      i105 = (i56 | 0) == 102;
      i46 = i129;
      i114 = i130;
      i115 = i131;
      while (1) {
       i123 = 0 - i46 | 0;
       i126 = (i123 | 0) > 9 ? 9 : i123;
       do if (i114 >>> 0 < i115 >>> 0) {
        i123 = (1 << i126) + -1 | 0;
        i124 = 1e9 >>> i126;
        i125 = 0;
        i132 = i114;
        while (1) {
         i133 = get32(i132 | 0) | 0;
         set32(i132 | 0, (i133 >>> i126) + i125 | 0);
         i134 = Math_imul(i133 & i123, i124) | 0;
         i132 = i132 + 4 | 0;
         if (i132 >>> 0 >= i115 >>> 0) {
          i135 = i134;
          break;
         } else i125 = i134;
        }
        i125 = (get32(i114 | 0) | 0) == 0 ? i114 + 4 | 0 : i114;
        if (!i135) {
         i136 = i125;
         i137 = i115;
         break;
        }
        set32(i115 | 0, i135 | 0);
        i136 = i125;
        i137 = i115 + 4 | 0;
       } else {
        i136 = (get32(i114 | 0) | 0) == 0 ? i114 + 4 | 0 : i114;
        i137 = i115;
       } while (0);
       i57 = i105 ? i113 : i136;
       i125 = (i137 - i57 >> 2 | 0) > (i104 | 0) ? i57 + (i104 << 2) | 0 : i137;
       i46 = (get32(i8 | 0) | 0) + i126 | 0;
       set32(i8 | 0, i46 | 0);
       if ((i46 | 0) >= 0) {
        i138 = i136;
        i139 = i125;
        break;
       } else {
        i114 = i136;
        i115 = i125;
       }
      }
     } else {
      i138 = i130;
      i139 = i131;
     }
     do if (i138 >>> 0 < i139 >>> 0) {
      i115 = (i45 - i138 >> 2) * 9 | 0;
      i114 = get32(i138 | 0) | 0;
      if (i114 >>> 0 < 10) {
       i140 = i115;
       break;
      } else {
       i141 = i115;
       i142 = 10;
      }
      while (1) {
       i142 = i142 * 10 | 0;
       i115 = i141 + 1 | 0;
       if (i114 >>> 0 < i142 >>> 0) {
        i140 = i115;
        break;
       } else i141 = i115;
      }
     } else i140 = 0; while (0);
     i114 = (i56 | 0) == 103;
     i126 = (i106 | 0) != 0;
     i115 = i106 - ((i56 | 0) != 102 ? i140 : 0) + ((i126 & i114) << 31 >> 31) | 0;
     if ((i115 | 0) < (((i139 - i45 >> 2) * 9 | 0) + -9 | 0)) {
      i46 = i115 + 9216 | 0;
      i115 = (i46 | 0) / 9 | 0;
      i104 = i113 + (i115 + -1023 << 2) | 0;
      i105 = ((i46 | 0) % 9 | 0) + 1 | 0;
      if ((i105 | 0) < 9) {
       i46 = 10;
       i111 = i105;
       while (1) {
        i105 = i46 * 10 | 0;
        i111 = i111 + 1 | 0;
        if ((i111 | 0) == 9) {
         i143 = i105;
         break;
        } else i46 = i105;
       }
      } else i143 = 10;
      i46 = get32(i104 | 0) | 0;
      i111 = (i46 >>> 0) % (i143 >>> 0) | 0;
      if ((i111 | 0) == 0 ? (i113 + (i115 + -1022 << 2) | 0) == (i139 | 0) : 0) {
       i144 = i138;
       i145 = i104;
       i146 = i140;
      } else i36 = 163;
      do if ((i36 | 0) == 163) {
       i36 = 0;
       d107 = (((i46 >>> 0) / (i143 >>> 0) | 0) & 1 | 0) == 0 ? 9007199254740992.0 : 9007199254740994.0;
       i56 = (i143 | 0) / 2 | 0;
       do if (i111 >>> 0 < i56 >>> 0) d147 = .5; else {
        if ((i111 | 0) == (i56 | 0) ? (i113 + (i115 + -1022 << 2) | 0) == (i139 | 0) : 0) {
         d147 = 1.0;
         break;
        }
        d147 = 1.5;
       } while (0);
       do if (!i102) {
        d148 = d107;
        d149 = d147;
       } else {
        if ((get8(i103 >> 0 | 0) | 0) != 45) {
         d148 = d107;
         d149 = d147;
         break;
        }
        d148 = -d107;
        d149 = -d147;
       } while (0);
       i56 = i46 - i111 | 0;
       set32(i104 | 0, i56 | 0);
       if (!(d148 + d149 != d148)) {
        i144 = i138;
        i145 = i104;
        i146 = i140;
        break;
       }
       i105 = i56 + i143 | 0;
       set32(i104 | 0, i105 | 0);
       if (i105 >>> 0 > 999999999) {
        i105 = i138;
        i56 = i104;
        while (1) {
         i125 = i56 + -4 | 0;
         set32(i56 | 0, 0 | 0);
         if (i125 >>> 0 < i105 >>> 0) {
          i57 = i105 + -4 | 0;
          set32(i57 | 0, 0 | 0);
          i150 = i57;
         } else i150 = i105;
         i57 = (get32(i125 | 0) | 0) + 1 | 0;
         set32(i125 | 0, i57 | 0);
         if (i57 >>> 0 > 999999999) {
          i105 = i150;
          i56 = i125;
         } else {
          i151 = i150;
          i152 = i125;
          break;
         }
        }
       } else {
        i151 = i138;
        i152 = i104;
       }
       i56 = (i45 - i151 >> 2) * 9 | 0;
       i105 = get32(i151 | 0) | 0;
       if (i105 >>> 0 < 10) {
        i144 = i151;
        i145 = i152;
        i146 = i56;
        break;
       } else {
        i153 = i56;
        i154 = 10;
       }
       while (1) {
        i154 = i154 * 10 | 0;
        i56 = i153 + 1 | 0;
        if (i105 >>> 0 < i154 >>> 0) {
         i144 = i151;
         i145 = i152;
         i146 = i56;
         break;
        } else i153 = i56;
       }
      } while (0);
      i104 = i145 + 4 | 0;
      i155 = i144;
      i156 = i146;
      i157 = i139 >>> 0 > i104 >>> 0 ? i104 : i139;
     } else {
      i155 = i138;
      i156 = i140;
      i157 = i139;
     }
     i104 = 0 - i156 | 0;
     i111 = i157;
     while (1) {
      if (i111 >>> 0 <= i155 >>> 0) {
       i158 = 0;
       i159 = i111;
       break;
      }
      i46 = i111 + -4 | 0;
      if (!(get32(i46 | 0) | 0)) i111 = i46; else {
       i158 = 1;
       i159 = i111;
       break;
      }
     }
     do if (i114) {
      i111 = (i126 & 1 ^ 1) + i106 | 0;
      if ((i111 | 0) > (i156 | 0) & (i156 | 0) > -5) {
       i160 = i47 + -1 | 0;
       i161 = i111 + -1 - i156 | 0;
      } else {
       i160 = i47 + -2 | 0;
       i161 = i111 + -1 | 0;
      }
      i111 = i44 & 8;
      if (i111) {
       i162 = i160;
       i163 = i161;
       i164 = i111;
       break;
      }
      do if (i158) {
       i111 = get32(i159 + -4 | 0) | 0;
       if (!i111) {
        i165 = 9;
        break;
       }
       if (!((i111 >>> 0) % 10 | 0)) {
        i166 = 10;
        i167 = 0;
       } else {
        i165 = 0;
        break;
       }
       while (1) {
        i166 = i166 * 10 | 0;
        i46 = i167 + 1 | 0;
        if ((i111 >>> 0) % (i166 >>> 0) | 0) {
         i165 = i46;
         break;
        } else i167 = i46;
       }
      } else i165 = 9; while (0);
      i111 = ((i159 - i45 >> 2) * 9 | 0) + -9 | 0;
      if ((i160 | 32 | 0) == 102) {
       i46 = i111 - i165 | 0;
       i115 = (i46 | 0) < 0 ? 0 : i46;
       i162 = i160;
       i163 = (i161 | 0) < (i115 | 0) ? i161 : i115;
       i164 = 0;
       break;
      } else {
       i115 = i111 + i156 - i165 | 0;
       i111 = (i115 | 0) < 0 ? 0 : i115;
       i162 = i160;
       i163 = (i161 | 0) < (i111 | 0) ? i161 : i111;
       i164 = 0;
       break;
      }
     } else {
      i162 = i47;
      i163 = i106;
      i164 = i44 & 8;
     } while (0);
     i106 = i163 | i164;
     i45 = (i106 | 0) != 0 & 1;
     i126 = (i162 | 32 | 0) == 102;
     if (i126) {
      i168 = (i156 | 0) > 0 ? i156 : 0;
      i169 = 0;
     } else {
      i114 = (i156 | 0) < 0 ? i104 : i156;
      i111 = _fmt_u(i114, ((i114 | 0) < 0) << 31 >> 31, i19) | 0;
      if ((i21 - i111 | 0) < 2) {
       i114 = i111;
       while (1) {
        i115 = i114 + -1 | 0;
        set8(i115 >> 0 | 0, 48 | 0);
        if ((i21 - i115 | 0) < 2) i114 = i115; else {
         i170 = i115;
         break;
        }
       }
      } else i170 = i111;
      set8(i170 + -1 >> 0 | 0, (i156 >> 31 & 2) + 43 | 0);
      i114 = i170 + -2 | 0;
      set8(i114 >> 0 | 0, i162 | 0);
      i168 = i21 - i114 | 0;
      i169 = i114;
     }
     i114 = i102 + 1 + i163 + i45 + i168 | 0;
     _pad(i1, 32, i65, i114, i44);
     if (!(get32(i1 | 0) & 32)) ___fwritex(i103, i102, i1) | 0;
     _pad(i1, 48, i65, i114, i44 ^ 65536);
     do if (i126) {
      i104 = i155 >>> 0 > i113 >>> 0 ? i113 : i155;
      i115 = i104;
      while (1) {
       i46 = _fmt_u(get32(i115 | 0) | 0, 0, i26) | 0;
       do if ((i115 | 0) == (i104 | 0)) {
        if ((i46 | 0) != (i26 | 0)) {
         i171 = i46;
         break;
        }
        set8(i28 >> 0 | 0, 48 | 0);
        i171 = i28;
       } else {
        if (i46 >>> 0 > i9 >>> 0) i172 = i46; else {
         i171 = i46;
         break;
        }
        while (1) {
         i105 = i172 + -1 | 0;
         set8(i105 >> 0 | 0, 48 | 0);
         if (i105 >>> 0 > i9 >>> 0) i172 = i105; else {
          i171 = i105;
          break;
         }
        }
       } while (0);
       if (!(get32(i1 | 0) & 32)) ___fwritex(i171, i27 - i171 | 0, i1) | 0;
       i46 = i115 + 4 | 0;
       if (i46 >>> 0 > i113 >>> 0) {
        i173 = i46;
        break;
       } else i115 = i46;
      }
      do if (i106) {
       if (get32(i1 | 0) & 32) break;
       ___fwritex(43002, 1, i1) | 0;
      } while (0);
      if ((i163 | 0) > 0 & i173 >>> 0 < i159 >>> 0) {
       i115 = i163;
       i104 = i173;
       while (1) {
        i46 = _fmt_u(get32(i104 | 0) | 0, 0, i26) | 0;
        if (i46 >>> 0 > i9 >>> 0) {
         i105 = i46;
         while (1) {
          i56 = i105 + -1 | 0;
          set8(i56 >> 0 | 0, 48 | 0);
          if (i56 >>> 0 > i9 >>> 0) i105 = i56; else {
           i174 = i56;
           break;
          }
         }
        } else i174 = i46;
        if (!(get32(i1 | 0) & 32)) ___fwritex(i174, (i115 | 0) > 9 ? 9 : i115, i1) | 0;
        i104 = i104 + 4 | 0;
        i105 = i115 + -9 | 0;
        if (!((i115 | 0) > 9 & i104 >>> 0 < i159 >>> 0)) {
         i175 = i105;
         break;
        } else i115 = i105;
       }
      } else i175 = i163;
      _pad(i1, 48, i175 + 9 | 0, 9, 0);
     } else {
      i115 = i158 ? i159 : i155 + 4 | 0;
      if ((i163 | 0) > -1) {
       i104 = (i164 | 0) == 0;
       i105 = i163;
       i56 = i155;
       while (1) {
        i125 = _fmt_u(get32(i56 | 0) | 0, 0, i26) | 0;
        if ((i125 | 0) == (i26 | 0)) {
         set8(i28 >> 0 | 0, 48 | 0);
         i176 = i28;
        } else i176 = i125;
        do if ((i56 | 0) == (i155 | 0)) {
         i125 = i176 + 1 | 0;
         if (!(get32(i1 | 0) & 32)) ___fwritex(i176, 1, i1) | 0;
         if (i104 & (i105 | 0) < 1) {
          i177 = i125;
          break;
         }
         if (get32(i1 | 0) & 32) {
          i177 = i125;
          break;
         }
         ___fwritex(43002, 1, i1) | 0;
         i177 = i125;
        } else {
         if (i176 >>> 0 > i9 >>> 0) i178 = i176; else {
          i177 = i176;
          break;
         }
         while (1) {
          i125 = i178 + -1 | 0;
          set8(i125 >> 0 | 0, 48 | 0);
          if (i125 >>> 0 > i9 >>> 0) i178 = i125; else {
           i177 = i125;
           break;
          }
         }
        } while (0);
        i46 = i27 - i177 | 0;
        if (!(get32(i1 | 0) & 32)) ___fwritex(i177, (i105 | 0) > (i46 | 0) ? i46 : i105, i1) | 0;
        i125 = i105 - i46 | 0;
        i56 = i56 + 4 | 0;
        if (!(i56 >>> 0 < i115 >>> 0 & (i125 | 0) > -1)) {
         i179 = i125;
         break;
        } else i105 = i125;
       }
      } else i179 = i163;
      _pad(i1, 48, i179 + 18 | 0, 18, 0);
      if (get32(i1 | 0) & 32) break;
      ___fwritex(i169, i21 - i169 | 0, i1) | 0;
     } while (0);
     _pad(i1, 32, i65, i114, i44 ^ 8192);
     i118 = (i114 | 0) < (i65 | 0) ? i65 : i114;
    } else {
     i106 = (i47 & 32 | 0) != 0;
     i113 = d101 != d101 | 0.0 != 0.0;
     i126 = i113 ? 0 : i102;
     i45 = i126 + 3 | 0;
     _pad(i1, 32, i65, i45, i43);
     i111 = get32(i1 | 0) | 0;
     if (!(i111 & 32)) {
      ___fwritex(i103, i126, i1) | 0;
      i180 = get32(i1 | 0) | 0;
     } else i180 = i111;
     if (!(i180 & 32)) ___fwritex(i113 ? (i106 ? 42994 : 42998) : i106 ? 42986 : 42990, 3, i1) | 0;
     _pad(i1, 32, i65, i45, i44 ^ 8192);
     i118 = (i45 | 0) < (i65 | 0) ? i65 : i45;
    } while (0);
    i29 = i74;
    i2 = i32;
    i30 = i118;
    i31 = i64;
    continue L1;
    break;
   }
  default:
   {
    i91 = i29;
    i92 = i44;
    i93 = i72;
    i94 = 0;
    i95 = 42950;
    i96 = i16;
   }
  } while (0);
  L313 : do if ((i36 | 0) == 64) {
   i36 = 0;
   i47 = i11;
   i33 = get32(i47 | 0) | 0;
   i55 = get32(i47 + 4 | 0) | 0;
   i47 = i80 & 32;
   if (!((i33 | 0) == 0 & (i55 | 0) == 0)) {
    i45 = i16;
    i106 = i33;
    i33 = i55;
    while (1) {
     i55 = i45 + -1 | 0;
     set8(i55 >> 0 | 0, getU8(42934 + (i106 & 15) >> 0 | 0) | i47 | 0);
     i106 = _bitshift64Lshr(i106 | 0, i33 | 0, 4) | 0;
     i33 = tempRet0;
     if ((i106 | 0) == 0 & (i33 | 0) == 0) {
      i181 = i55;
      break;
     } else i45 = i55;
    }
    i45 = i11;
    if ((i78 & 8 | 0) == 0 | (get32(i45 | 0) | 0) == 0 & (get32(i45 + 4 | 0) | 0) == 0) {
     i82 = i181;
     i83 = i78;
     i84 = i79;
     i85 = 0;
     i86 = 42950;
     i36 = 77;
    } else {
     i82 = i181;
     i83 = i78;
     i84 = i79;
     i85 = 2;
     i86 = 42950 + (i80 >> 4) | 0;
     i36 = 77;
    }
   } else {
    i82 = i16;
    i83 = i78;
    i84 = i79;
    i85 = 0;
    i86 = 42950;
    i36 = 77;
   }
  } else if ((i36 | 0) == 76) {
   i36 = 0;
   i82 = _fmt_u(i87, i88, i16) | 0;
   i83 = i44;
   i84 = i72;
   i85 = i89;
   i86 = i90;
   i36 = 77;
  } else if ((i36 | 0) == 82) {
   i36 = 0;
   i45 = _memchr(i97, 0, i72) | 0;
   i33 = (i45 | 0) == 0;
   i91 = i97;
   i92 = i43;
   i93 = i33 ? i72 : i45 - i97 | 0;
   i94 = 0;
   i95 = 42950;
   i96 = i33 ? i97 + i72 | 0 : i45;
  } else if ((i36 | 0) == 86) {
   i36 = 0;
   i45 = 0;
   i33 = 0;
   i106 = get32(i11 | 0) | 0;
   while (1) {
    i47 = get32(i106 | 0) | 0;
    if (!i47) {
     i182 = i45;
     i183 = i33;
     break;
    }
    i55 = _wctomb(i14, i47) | 0;
    if ((i55 | 0) < 0 | i55 >>> 0 > (i98 - i45 | 0) >>> 0) {
     i182 = i45;
     i183 = i55;
     break;
    }
    i47 = i55 + i45 | 0;
    if (i98 >>> 0 > i47 >>> 0) {
     i45 = i47;
     i33 = i55;
     i106 = i106 + 4 | 0;
    } else {
     i182 = i47;
     i183 = i55;
     break;
    }
   }
   if ((i183 | 0) < 0) {
    i61 = -1;
    break L1;
   }
   _pad(i1, 32, i65, i182, i44);
   if (!i182) {
    i99 = 0;
    i36 = 98;
   } else {
    i106 = 0;
    i33 = get32(i11 | 0) | 0;
    while (1) {
     i45 = get32(i33 | 0) | 0;
     if (!i45) {
      i99 = i182;
      i36 = 98;
      break L313;
     }
     i55 = _wctomb(i14, i45) | 0;
     i106 = i55 + i106 | 0;
     if ((i106 | 0) > (i182 | 0)) {
      i99 = i182;
      i36 = 98;
      break L313;
     }
     if (!(get32(i1 | 0) & 32)) ___fwritex(i14, i55, i1) | 0;
     if (i106 >>> 0 >= i182 >>> 0) {
      i99 = i182;
      i36 = 98;
      break;
     } else i33 = i33 + 4 | 0;
    }
   }
  } while (0);
  if ((i36 | 0) == 98) {
   i36 = 0;
   _pad(i1, 32, i65, i99, i44 ^ 8192);
   i29 = i74;
   i2 = i32;
   i30 = (i65 | 0) > (i99 | 0) ? i65 : i99;
   i31 = i64;
   continue;
  }
  if ((i36 | 0) == 77) {
   i36 = 0;
   i43 = (i84 | 0) > -1 ? i83 & -65537 : i83;
   i33 = i11;
   i106 = (get32(i33 | 0) | 0) != 0 | (get32(i33 + 4 | 0) | 0) != 0;
   if ((i84 | 0) != 0 | i106) {
    i33 = (i106 & 1 ^ 1) + (i17 - i82) | 0;
    i91 = i82;
    i92 = i43;
    i93 = (i84 | 0) > (i33 | 0) ? i84 : i33;
    i94 = i85;
    i95 = i86;
    i96 = i16;
   } else {
    i91 = i16;
    i92 = i43;
    i93 = 0;
    i94 = i85;
    i95 = i86;
    i96 = i16;
   }
  }
  i43 = i96 - i91 | 0;
  i33 = (i93 | 0) < (i43 | 0) ? i43 : i93;
  i106 = i94 + i33 | 0;
  i55 = (i65 | 0) < (i106 | 0) ? i106 : i65;
  _pad(i1, 32, i55, i106, i92);
  if (!(get32(i1 | 0) & 32)) ___fwritex(i95, i94, i1) | 0;
  _pad(i1, 48, i55, i106, i92 ^ 65536);
  _pad(i1, 48, i33, i43, 0);
  if (!(get32(i1 | 0) & 32)) ___fwritex(i91, i43, i1) | 0;
  _pad(i1, 32, i55, i106, i92 ^ 8192);
  i29 = i74;
  i2 = i32;
  i30 = i55;
  i31 = i64;
 }
 L348 : do if ((i36 | 0) == 245) if (!i1) if (i35) {
  i64 = 1;
  while (1) {
   i31 = get32(i5 + (i64 << 2) | 0) | 0;
   if (!i31) {
    i184 = i64;
    break;
   }
   _pop_arg339(i4 + (i64 << 3) | 0, i31, i3);
   i64 = i64 + 1 | 0;
   if ((i64 | 0) >= 10) {
    i61 = 1;
    break L348;
   }
  }
  if ((i184 | 0) < 10) {
   i64 = i184;
   while (1) {
    if (get32(i5 + (i64 << 2) | 0) | 0) {
     i61 = -1;
     break L348;
    }
    i64 = i64 + 1 | 0;
    if ((i64 | 0) >= 10) {
     i61 = 1;
     break;
    }
   }
  } else i61 = 1;
 } else i61 = 0; else i61 = i34; while (0);
 STACKTOP = i6;
 return i61 | 0;
}

function _bestBtreeIndex(i1, i2, i3, i4, i5, i6, i7, i8, i9) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 i7 = i7 | 0;
 i8 = i8 | 0;
 i9 = i9 | 0;
 var i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0, i80 = 0, i81 = 0, i82 = 0, i83 = 0, i84 = 0, i85 = 0, i86 = 0, i87 = 0, i88 = 0, i89 = 0, i90 = 0, i91 = 0, i92 = 0, i93 = 0, i94 = 0, i95 = 0, i96 = 0, i97 = 0, i98 = 0, i99 = 0, i100 = 0, i101 = 0, i102 = 0, i103 = 0, i104 = 0, i105 = 0, i106 = 0, i107 = 0, i108 = 0, i109 = 0, i110 = 0, i111 = 0, i112 = 0, i113 = 0, i114 = 0, d115 = 0.0, d116 = 0.0, i117 = 0, i118 = 0, d119 = 0.0, d120 = 0.0, d121 = 0.0, d122 = 0.0, d123 = 0.0, d124 = 0.0, d125 = 0.0, d126 = 0.0, i127 = 0, i128 = 0, i129 = 0, d130 = 0.0, d131 = 0.0, i132 = 0, i133 = 0, d134 = 0.0, i135 = 0, i136 = 0, i137 = 0, d138 = 0.0, i139 = 0, i140 = 0, i141 = 0, i142 = 0, i143 = 0, i144 = 0, i145 = 0, i146 = 0, i147 = 0, i148 = 0, i149 = 0, i150 = 0, i151 = 0, i152 = 0, i153 = 0, i154 = 0, i155 = 0, i156 = 0, i157 = 0, i158 = 0, i159 = 0, i160 = 0;
 i10 = STACKTOP;
 STACKTOP = STACKTOP + 80 | 0;
 i11 = i10 + 16 | 0;
 i12 = i10 + 8 | 0;
 i13 = i10;
 i14 = i3 + 24 | 0;
 i15 = get32(i14 | 0) | 0;
 set32(i13 | 0, -1 | 0);
 i16 = i9;
 i17 = i16 + 40 | 0;
 do {
  set32(i16 | 0, 0 | 0);
  i16 = i16 + 4 | 0;
 } while ((i16 | 0) < (i17 | 0));
 i18 = i9 + 24 | 0;
 setF64(i18 | 0, +(1.e+99));
 i19 = (get8(i3 + 21 >> 0 | 0) & 8) << 4 ^ 131;
 i20 = i3 + 52 | 0;
 i21 = get32(i20 | 0) | 0;
 if (!i21) {
  i16 = i11;
  i17 = i16 + 52 | 0;
  do {
   set32(i16 | 0, 0 | 0);
   i16 = i16 + 4 | 0;
  } while ((i16 | 0) < (i17 | 0));
  set32(i11 + 4 | 0, 1 | 0);
  set32(i11 + 8 | 0, i13 | 0);
  set32(i11 + 12 | 0, i12 | 0);
  set8(i11 + 24 >> 0 | 0, 5 | 0);
  i13 = get32(i3 + 12 | 0) | 0;
  set32(i11 + 16 | 0, i13 | 0);
  i16 = i13;
  set32(i12 | 0, get32(i16 + 24 | 0) | 0);
  set32(i12 + 4 | 0, 1 | 0);
  if (!(get8(i3 + 22 >> 0 | 0) | 0)) {
   set32(i11 + 32 | 0, get32(i16 + 16 | 0) | 0);
   i22 = 3;
   i23 = 0;
   i24 = i11;
   i25 = -983041;
  } else {
   i22 = 3;
   i23 = 0;
   i24 = i11;
   i25 = -983041;
  }
 } else {
  i22 = i19;
  i23 = i21;
  i24 = i21;
  i25 = -12289;
 }
 i21 = (i8 | 0) == 0;
 i11 = i3 + 40 | 0;
 i16 = i2 + 4 | 0;
 i12 = i2 + 28 | 0;
 i13 = i2 + 20 | 0;
 i17 = i9 + 32 | 0;
 i26 = i9 + 8 | 0;
 i27 = i9 + 4 | 0;
 i28 = i9 + 16 | 0;
 i29 = i8 + 12 | 0;
 i30 = i22;
 i22 = i23;
 i23 = i24;
 i24 = i25;
 while (1) {
  i25 = get32(i23 + 12 | 0) | 0;
  i31 = i23 + 8 | 0;
  i32 = i23 + 4 | 0;
  i33 = get32(i32 | 0) | 0;
  L7 : do if ((i33 | 0) > 0) {
   i34 = 0;
   i35 = 0;
   i36 = 0;
   i37 = 0;
   i38 = 1;
   i39 = 0;
   while (1) {
    i40 = _findTerm(i2, i15, get32((get32(i31 | 0) | 0) + (i37 << 2) | 0) | 0, i4, i5, i30, i22) | 0;
    if (!i40) {
     i41 = i34;
     i42 = i35;
     i43 = i36;
     i44 = i37;
     i45 = i38;
     i46 = i39;
     break;
    }
    i47 = getU16(i40 + 16 | 0) | 0;
    do if (i47 & 1) {
     i48 = get32(i40 | 0) | 0;
     i49 = i39 | 331776;
     if (get16(i48 + 2 | 0) & 2048) {
      i50 = 1;
      i51 = i38 * 25 | 0;
      i52 = i49;
      break;
     }
     i53 = get32(i48 + 16 | 0) | 0;
     if (!i53) {
      i50 = i36;
      i51 = i38;
      i52 = i49;
     } else {
      i48 = get32(i53 | 0) | 0;
      i50 = i36;
      i51 = Math_imul((i48 | 0) == 0 ? 1 : i48, i38) | 0;
      i52 = i49;
     }
    } else {
     i50 = i36;
     i51 = i38;
     i52 = i39 | i47 << 12 & 524288 | 69632;
    } while (0);
    i47 = i40 + 24 | 0;
    i49 = get32(i47 | 0) | i34;
    i48 = get32(i47 + 4 | 0) | i35;
    i47 = i37 + 1 | 0;
    i53 = get32(i32 | 0) | 0;
    if ((i47 | 0) < (i53 | 0)) {
     i34 = i49;
     i35 = i48;
     i36 = i50;
     i37 = i47;
     i38 = i51;
     i39 = i52;
    } else {
     i54 = i49;
     i55 = i48;
     i56 = i53;
     i57 = i50;
     i58 = i47;
     i59 = i51;
     i60 = i52;
     break L7;
    }
   }
   i54 = i41;
   i55 = i42;
   i56 = get32(i32 | 0) | 0;
   i57 = i43;
   i58 = i44;
   i59 = i45;
   i60 = i46;
  } else {
   i54 = 0;
   i55 = 0;
   i56 = i33;
   i57 = 0;
   i58 = 0;
   i59 = 1;
   i60 = 0;
  } while (0);
  if ((i58 | 0) < (i56 | 0) ? (get8(i23 + 26 >> 0 | 0) | 0) == 0 : 0) {
   i33 = get32((get32(i31 | 0) | 0) + (i58 << 2) | 0) | 0;
   if (!(_findTerm(i2, i15, i33, i4, i5, 60, i22) | 0)) {
    i61 = 100;
    i62 = i54;
    i63 = i55;
    i64 = 0;
    i65 = i60;
   } else {
    i39 = _findTerm(i2, i15, i33, i4, i5, 24, i22) | 0;
    i38 = _findTerm(i2, i15, i33, i4, i5, 36, i22) | 0;
    i33 = (i38 | 0) == 0;
    i37 = i33 ? 100 : 25;
    i36 = (i39 | 0) == 0;
    if (i36) {
     i66 = i54;
     i67 = i55;
     i68 = 0;
     i69 = i60;
    } else {
     i35 = i39 + 24 | 0;
     i66 = get32(i35 | 0) | i54;
     i67 = get32(i35 + 4 | 0) | i55;
     i68 = 1;
     i69 = i60 | 1048576;
    }
    if (i33) {
     i70 = i66;
     i71 = i67;
     i72 = i68;
     i73 = i69;
    } else {
     i33 = i38 + 24 | 0;
     i70 = get32(i33 | 0) | i66;
     i71 = get32(i33 + 4 | 0) | i67;
     i72 = i68 + 1 | 0;
     i73 = i69 | 2097152;
    }
    i61 = i36 ? i37 : i37 >>> 2;
    i62 = i70;
    i63 = i71;
    i64 = i72;
    i65 = i73 | 139264;
   }
  } else {
   i61 = 100;
   i62 = i54;
   i63 = i55;
   i64 = 0;
   i65 = (i60 & 786432 | 0) == 0 & (get8(i23 + 24 >> 0 | 0) | 0) != 0 ? i60 | 67108864 : i60;
  }
  L34 : do if (!i21) if ((i65 & 262144 | 0) == 0 ? (get8(i23 + 26 >> 0 | 0) | 0) == 0 : 0) {
   i37 = get32(i16 | 0) | 0;
   i36 = get32(i8 | 0) | 0;
   L38 : do if ((i36 | 0) > 0) {
    i33 = (get32(i1 | 0) | 0) + 44 | 0;
    i38 = i23 + 16 | 0;
    i35 = i23 + 40 | 0;
    i39 = i23 + 44 | 0;
    i34 = 0;
    i47 = 0;
    i53 = get32(i29 | 0) | 0;
    i48 = 0;
    while (1) {
     i49 = get32(i32 | 0) | 0;
     if ((i34 | 0) > (i49 | 0)) {
      i74 = i49;
      i75 = i34;
      i76 = i47;
      i77 = i48;
      break;
     }
     i78 = get32(i53 | 0) | 0;
     if ((get8(i78 >> 0 | 0) | 0) != -104) {
      i74 = i49;
      i75 = i34;
      i76 = i47;
      i77 = i48;
      break;
     }
     if ((get32(i78 + 24 | 0) | 0) != (i15 | 0)) {
      i74 = i49;
      i75 = i34;
      i76 = i47;
      i77 = i48;
      break;
     }
     i49 = _sqlite3ExprCollSeq(i1, i78) | 0;
     if (!i49) i79 = get32(i33 | 0) | 0; else i79 = i49;
     if ((get32(i23 | 0) | 0) != 0 ? (i34 | 0) < (get32(i32 | 0) | 0) : 0) {
      i49 = get32((get32(i31 | 0) | 0) + (i34 << 2) | 0) | 0;
      i80 = (i49 | 0) == (get32((get32(i38 | 0) | 0) + 4 | 0) | 0) ? -1 : i49;
      i81 = getU8((get32(i35 | 0) | 0) + i34 >> 0 | 0) | 0;
      i82 = (get32(i39 | 0) | 0) + (i34 << 2) | 0;
     } else {
      i80 = -1;
      i81 = 0;
      i82 = i79;
     }
     do if ((get16(i78 + 28 | 0) | 0) == (i80 | 0)) {
      i49 = get32(i82 | 0) | 0;
      i83 = get32(i79 | 0) | 0;
      i84 = get8(i83 >> 0 | 0) | 0;
      L56 : do if (!(i84 << 24 >> 24)) {
       i85 = 0;
       i86 = i49;
      } else {
       i87 = i84;
       i88 = i83;
       i89 = i49;
       while (1) {
        if ((get8(16286 + (i87 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i89 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
         i85 = i87;
         i86 = i89;
         break L56;
        }
        i88 = i88 + 1 | 0;
        i90 = i89 + 1 | 0;
        i87 = get8(i88 >> 0 | 0) | 0;
        if (!(i87 << 24 >> 24)) {
         i85 = 0;
         i86 = i90;
         break;
        } else i89 = i90;
       }
      } while (0);
      if ((get8(16286 + (i85 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i86 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
       i49 = getU8(i53 + 12 >> 0 | 0) ^ i81;
       if ((i34 | 0) > (i58 | 0)) if ((i49 | 0) == (i48 | 0)) i91 = i48; else {
        i92 = 1;
        i93 = i65;
        break L34;
       } else i91 = i49;
       i49 = i47 + 1 | 0;
       i83 = i53 + 20 | 0;
       if ((i80 | 0) >= 0) {
        i94 = i49;
        i95 = i83;
        i96 = i91;
        break;
       }
       i84 = get32(i37 | 0) | 0;
       L66 : do if ((i84 | 0) > 0) {
        i89 = 0;
        while (1) {
         if ((get32(i37 + 4 + (i89 << 2) | 0) | 0) == (i15 | 0)) {
          i97 = i89;
          break;
         }
         i89 = i89 + 1 | 0;
         if ((i89 | 0) >= (i84 | 0)) {
          i98 = -1;
          i99 = -1;
          break L66;
         }
        }
        i89 = _bitshift64Shl(1, 0, i97 | 0) | 0;
        i98 = ~i89;
        i99 = ~tempRet0;
       } else {
        i98 = -1;
        i99 = -1;
       } while (0);
       i84 = get32(i8 | 0) | 0;
       i89 = i49;
       while (1) {
        if ((i89 | 0) >= (i84 | 0)) {
         i100 = i91;
         i101 = 29;
         break L38;
        }
        i87 = _exprTableUsage(i37, get32((get32(i29 | 0) | 0) + (i89 * 20 | 0) | 0) | 0) | 0;
        if ((i87 & i98 | 0) == 0 & (tempRet0 & i99 | 0) == 0) i89 = i89 + 1 | 0; else {
         i94 = i49;
         i95 = i83;
         i96 = i91;
         break;
        }
       }
      } else i101 = 44;
     } else i101 = 44; while (0);
     if ((i101 | 0) == 44) {
      i101 = 0;
      if ((i34 | 0) < (i58 | 0)) {
       i94 = i47;
       i95 = i53;
       i96 = i48;
      } else {
       i102 = i34;
       i103 = i47;
       i104 = i48;
       i101 = 45;
       break;
      }
     }
     if ((i94 | 0) < (i36 | 0)) {
      i34 = i34 + 1 | 0;
      i47 = i94;
      i53 = i95;
      i48 = i96;
     } else {
      i100 = i96;
      i101 = 29;
      break L38;
     }
    }
    if ((i101 | 0) == 45) {
     i101 = 0;
     if ((i102 | 0) == (get32(i32 | 0) | 0)) {
      i74 = i102;
      i75 = i102;
      i76 = i103;
      i77 = i104;
     } else {
      i92 = 1;
      i93 = i65;
      break L34;
     }
    }
    i48 = (i77 | 0) != 0 & 1;
    if (!(get8(i23 + 24 >> 0 | 0) | 0)) {
     i92 = 1;
     i93 = i65;
     break L34;
    }
    if (!((i65 & 524288 | 0) == 0 & (i75 | 0) == (i74 | 0))) {
     i92 = 1;
     i93 = i65;
     break L34;
    }
    i53 = get32(i37 | 0) | 0;
    L83 : do if ((i53 | 0) > 0) {
     i47 = 0;
     while (1) {
      if ((get32(i37 + 4 + (i47 << 2) | 0) | 0) == (i15 | 0)) {
       i105 = i47;
       break;
      }
      i47 = i47 + 1 | 0;
      if ((i47 | 0) >= (i53 | 0)) {
       i106 = -1;
       i107 = -1;
       break L83;
      }
     }
     i47 = _bitshift64Shl(1, 0, i105 | 0) | 0;
     i106 = ~i47;
     i107 = ~tempRet0;
    } else {
     i106 = -1;
     i107 = -1;
    } while (0);
    i53 = get32(i8 | 0) | 0;
    i47 = i76;
    while (1) {
     if ((i47 | 0) >= (i53 | 0)) {
      i108 = i48;
      break L38;
     }
     i34 = _exprTableUsage(i37, get32((get32(i29 | 0) | 0) + (i47 * 20 | 0) | 0) | 0) | 0;
     if ((i34 & i106 | 0) == 0 & (tempRet0 & i107 | 0) == 0) i47 = i47 + 1 | 0; else {
      i92 = 1;
      i93 = i65;
      break L34;
     }
    }
   } else {
    i100 = 0;
    i101 = 29;
   } while (0);
   if ((i101 | 0) == 29) {
    i101 = 0;
    i108 = (i100 | 0) != 0 & 1;
   }
   i92 = 0;
   i93 = i65 | ((i108 | 0) != 0 ? 33554432 : 0) | 16916480;
  } else {
   i92 = 1;
   i93 = i65;
  } else {
   i92 = 0;
   i93 = i65;
  } while (0);
  i32 = (i22 | 0) != 0;
  if (i32 & (i93 | 0) != 0) {
   i31 = i11;
   i37 = get32(i31 | 0) | 0;
   i36 = get32(i31 + 4 | 0) | 0;
   i31 = get32(i22 + 4 | 0) | 0;
   if ((i31 | 0) > 0) {
    i47 = get32(i22 + 8 | 0) | 0;
    i48 = i37;
    i53 = i36;
    i34 = 0;
    while (1) {
     i39 = get32(i47 + (i34 << 2) | 0) | 0;
     if ((i39 | 0) < 63) {
      i35 = _bitshift64Shl(1, 0, i39 | 0) | 0;
      i109 = i48 & ~i35;
      i110 = i53 & ~tempRet0;
     } else {
      i109 = i48;
      i110 = i53;
     }
     i34 = i34 + 1 | 0;
     if ((i34 | 0) >= (i31 | 0)) {
      i111 = i109;
      i112 = i110;
      break;
     } else {
      i48 = i109;
      i53 = i110;
     }
    }
   } else {
    i111 = i37;
    i112 = i36;
   }
   i53 = (i111 | 0) == 0 & (i112 | 0) == 0;
   i113 = i53 & 1 ^ 1;
   i114 = i53 ? i93 | 8388608 : i93;
  } else {
   i113 = 0;
   i114 = i93;
  }
  i53 = get32(i25 + (i58 << 2) | 0) | 0;
  d115 = +((Math_imul(i53, i59) | 0) >>> 0);
  if (i57) {
   i48 = get32(i25 | 0) | 0;
   if (d115 * 2.0 > +(i48 >>> 0)) {
    d116 = +(i48 >>> 1 >>> 0);
    i117 = i48;
    i118 = ~~(d116 / +(i53 >>> 0));
    d119 = d116;
   } else {
    i117 = i48;
    i118 = i59;
    d119 = d115;
   }
  } else {
   i117 = get32(i25 | 0) | 0;
   i118 = i59;
   d119 = d115;
  }
  d115 = +(i61 | 0) * d119 / 100.0;
  d116 = d115 < 1.0 ? 1.0 : d115;
  do if (i114 & 269430784) {
   d115 = +(i117 >>> 0);
   if (i117 >>> 0 > 10) {
    d120 = 1.0;
    d121 = 10.0;
    while (1) {
     d122 = d120 + 1.0;
     d121 = d121 * 10.0;
     if (!(d121 < d115)) {
      d123 = d122;
      break;
     } else d120 = d122;
    }
   } else d123 = 1.0;
   if (!i32) {
    d124 = d116 + +(i118 | 0) * d123;
    break;
   }
   d120 = +(i118 | 0);
   if (!i113) {
    d124 = d116 + d120 * d123;
    break;
   } else {
    d124 = d116 + (d120 + d116) * d123;
    break;
   }
  } else d124 = +(i117 << 2 >>> 0); while (0);
  if (!i92) d125 = d124; else {
   if (d116 > 10.0) {
    d120 = 1.0;
    d115 = 10.0;
    while (1) {
     d121 = d120 + 1.0;
     d115 = d115 * 10.0;
     if (!(d115 < d116)) {
      d126 = d121;
      break;
     } else d120 = d121;
    }
   } else d126 = 1.0;
   d125 = d124 + d116 * d126 * 3.0;
  }
  if (d116 > 2.0 ? d125 <= +getF64(i18 | 0) : 0) {
   i32 = get32(i16 | 0) | 0;
   i25 = get32(i32 | 0) | 0;
   L136 : do if ((i25 | 0) > 0) {
    i36 = 0;
    while (1) {
     if ((get32(i32 + 4 + (i36 << 2) | 0) | 0) == (i15 | 0)) {
      i127 = i36;
      break;
     }
     i36 = i36 + 1 | 0;
     if ((i36 | 0) >= (i25 | 0)) {
      i128 = 0;
      i129 = 0;
      break L136;
     }
    }
    i36 = _bitshift64Shl(1, 0, i127 | 0) | 0;
    i128 = i36;
    i129 = tempRet0;
   } else {
    i128 = 0;
    i129 = 0;
   } while (0);
   i25 = get32(i13 | 0) | 0;
   if (!i25) d130 = d116; else {
    i32 = i25;
    d120 = d116;
    i25 = i58;
    i36 = i64;
    i37 = get32(i12 | 0) | 0;
    while (1) {
     do if ((get8(i37 + 18 >> 0 | 0) & 2) == 0 ? (i48 = i37 + 32 | 0, (get32(i48 | 0) & i6 | 0) == (i128 | 0) ? (get32(i48 + 4 | 0) & i7 | 0) == (i129 | 0) : 0) : 0) {
      i48 = get16(i37 + 16 | 0) | 0;
      i53 = i48 & 65535;
      if (i53 & 131) if (!i25) {
       d131 = d120 / 10.0;
       i132 = 0;
       i133 = i36;
       break;
      } else {
       d131 = d120;
       i132 = i25 + -1 | 0;
       i133 = i36;
       break;
      }
      if (!(i53 & 60)) {
       d131 = i48 << 16 >> 16 == 2048 ? d120 : d120 * .5;
       i132 = i25;
       i133 = i36;
       break;
      }
      if (!i36) {
       d131 = d120 / 3.0;
       i132 = i25;
       i133 = 0;
       break;
      } else {
       d131 = d120;
       i132 = i25;
       i133 = i36 + -1 | 0;
       break;
      }
     } else {
      d131 = d120;
      i132 = i25;
      i133 = i36;
     } while (0);
     i32 = i32 + -1 | 0;
     if (!(d131 > 2.0 & (i32 | 0) != 0)) {
      d130 = d131;
      break;
     } else {
      d120 = d131;
      i25 = i132;
      i36 = i133;
      i37 = i37 + 40 | 0;
     }
    }
   }
   if (d130 < 2.0) d134 = 2.0; else d134 = d130;
  } else d134 = d116;
  do if ((i22 | 0) == 0 | (i114 | 0) != 0) {
   d120 = +getF64(i18 | 0);
   if (!(d125 < d120)) {
    if (!(d125 <= d120)) break;
    if (!(d134 < +getF64(i26 | 0))) break;
   }
   setF64(i18 | 0, +d125);
   i37 = i17;
   set32(i37 | 0, i62 | 0);
   set32(i37 + 4 | 0, i63 | 0);
   setF64(i26 | 0, +d134);
   set32(i9 | 0, i114 & i24 | 0);
   set32(i27 | 0, i58 | 0);
   set32(i28 | 0, i22 | 0);
  } while (0);
  if (get32(i20 | 0) | 0) {
   i135 = i30;
   break;
  }
  i37 = get32(i23 + 32 | 0) | 0;
  if (!i37) {
   i135 = i19;
   break;
  } else {
   i30 = i19;
   i22 = i37;
   i23 = i37;
   i24 = -12289;
  }
 }
 if ((i8 | 0) == 0 ? (get32((get32(i1 | 0) | 0) + 12 | 0) & 16777216 | 0) != 0 : 0) set32(i9 | 0, get32(i9 | 0) | 33554432 | 0);
 _bestOrClauseIndex(i1, i2, i3, i4, i5, i6, i7, i8, i9);
 i8 = get32(i9 | 0) | 0;
 if (!((i8 & 269430784 | 0) == 0 ? (get32((get32(i1 | 0) | 0) + 12 | 0) & 134217728 | 0) != 0 : 0)) {
  i136 = i8;
  i137 = i136 | i135;
  set32(i9 | 0, i137 | 0);
  STACKTOP = i10;
  return;
 }
 if (get8(i3 + 22 >> 0 | 0) | 0) {
  i136 = i8;
  i137 = i136 | i135;
  set32(i9 | 0, i137 | 0);
  STACKTOP = i10;
  return;
 }
 i7 = get32(i3 + 12 | 0) | 0;
 i3 = get32(i7 + 24 | 0) | 0;
 d134 = +(i3 >>> 0);
 if (i3 >>> 0 > 10) {
  d125 = 1.0;
  d130 = 10.0;
  while (1) {
   d131 = d125 + 1.0;
   d130 = d130 * 10.0;
   if (!(d130 < d134)) {
    d138 = d131;
    break;
   } else d125 = d131;
  }
 } else d138 = 1.0;
 d125 = d138 * 2.0 * (d134 / +getF64(i1 + 448 | 0) + 1.0);
 if (d125 >= +getF64(i18 | 0)) {
  i136 = i8;
  i137 = i136 | i135;
  set32(i9 | 0, i137 | 0);
  STACKTOP = i10;
  return;
 }
 i1 = get32(i2 + 20 | 0) | 0;
 i3 = get32(i2 + 28 | 0) | 0;
 i2 = i3 + (i1 * 40 | 0) | 0;
 if ((i1 | 0) <= 0) {
  i136 = i8;
  i137 = i136 | i135;
  set32(i9 | 0, i137 | 0);
  STACKTOP = i10;
  return;
 }
 i1 = get32(i14 | 0) | 0;
 i14 = i7 + 12 | 0;
 i7 = i3;
 L194 : while (1) {
  L196 : do if (((get32(i7 + 8 | 0) | 0) == (i1 | 0) ? (get16(i7 + 16 | 0) | 0) == 2 : 0) ? (i3 = i7 + 24 | 0, i6 = get32(i3 | 0) | 0, i24 = get32(i3 + 4 | 0) | 0, (i6 & i4 | 0) == 0 & (i24 & i5 | 0) == 0) : 0) {
   i3 = get8((get32(i14 | 0) | 0) + ((get32(i7 + 12 | 0) | 0) * 24 | 0) + 22 >> 0 | 0) | 0;
   i23 = get32(i7 | 0) | 0;
   i22 = i23 + 8 | 0;
   L200 : while (1) {
    i19 = get32(i22 | 0) | 0;
    switch (get8(i19 >> 0 | 0) | 0) {
    case 37:
     {
      i139 = i19;
      i101 = 136;
      break L200;
      break;
     }
    case -124:
    case -104:
    case -102:
     {
      i140 = i19;
      i101 = 147;
      break L200;
      break;
     }
    case 116:
     break;
    default:
     {
      i141 = i19;
      i101 = 150;
      break L200;
     }
    }
    i22 = get32((get32(get32(i19 + 16 | 0) | 0) | 0) + 12 | 0) | 0;
   }
   L203 : do if ((i101 | 0) == 136) {
    i101 = 0;
    i22 = get32(i139 + 4 | 0) | 0;
    if ((i22 | 0) != 0 ? (i19 = get8(i22 >> 0 | 0) | 0, i19 << 24 >> 24 != 0) : 0) {
     i30 = i22;
     i22 = i19;
     i19 = 99;
     i20 = 0;
     while (1) {
      i28 = getU8(16286 + (i22 & 255) >> 0 | 0) | i20 << 8;
      i30 = i30 + 1 | 0;
      L208 : do if ((i28 | 0) < 1685026146) {
       if ((i28 | 0) < 1667785074) {
        switch (i28 | 0) {
        case 1651273570:
         break;
        default:
         {
          i101 = 145;
          break L208;
         }
        }
        switch (i19 << 24 >> 24) {
        case 101:
        case 99:
         {
          i142 = 98;
          i143 = 1651273570;
          break L208;
          break;
         }
        default:
         {
          i101 = 144;
          break L208;
         }
        }
       }
       if ((i28 | 0) < 1668050786) switch (i28 | 0) {
       case 1667785074:
        {
         i142 = 97;
         i143 = i28;
         break L208;
         break;
        }
       default:
        {
         i101 = 145;
         break L208;
        }
       } else switch (i28 | 0) {
       case 1668050786:
        {
         i142 = 97;
         i143 = i28;
         break L208;
         break;
        }
       default:
        {
         i101 = 145;
         break L208;
        }
       }
      } else {
       if ((i28 | 0) >= 1919246700) {
        if ((i28 | 0) >= 1952807028) switch (i28 | 0) {
        case 1952807028:
         {
          i142 = 97;
          i143 = i28;
          break L208;
          break;
         }
        default:
         {
          i101 = 145;
          break L208;
         }
        }
        switch (i28 | 0) {
        case 1919246700:
         break;
        default:
         {
          i101 = 145;
          break L208;
         }
        }
        if (i19 << 24 >> 24 == 99) {
         i142 = 101;
         i143 = 1919246700;
         break;
        } else {
         i101 = 144;
         break;
        }
       }
       if ((i28 | 0) < 1718382433) {
        switch (i28 | 0) {
        case 1685026146:
         break;
        default:
         {
          i101 = 145;
          break L208;
         }
        }
        if (i19 << 24 >> 24 == 99) {
         i142 = 101;
         i143 = 1685026146;
         break;
        }
       } else {
        switch (i28 | 0) {
        case 1718382433:
         break;
        default:
         {
          i101 = 145;
          break L208;
         }
        }
        if (i19 << 24 >> 24 == 99) {
         i142 = 101;
         i143 = 1718382433;
         break;
        }
       }
       i142 = i19;
       i143 = i28;
      } while (0);
      if ((i101 | 0) == 144) {
       i101 = 0;
       i142 = i19;
       i143 = i28;
      } else if ((i101 | 0) == 145) {
       i101 = 0;
       if ((i28 & 16777215 | 0) == 6909556) {
        i144 = 100;
        break L203;
       } else {
        i142 = i19;
        i143 = i28;
       }
      }
      i22 = get8(i30 >> 0 | 0) | 0;
      if (!(i22 << 24 >> 24)) {
       i144 = i142;
       break;
      } else {
       i19 = i142;
       i20 = i143;
      }
     }
    } else i144 = 99;
   } else if ((i101 | 0) == 147) {
    i101 = 0;
    i20 = get32(i140 + 40 | 0) | 0;
    if (i20) {
     i19 = get16(i140 + 28 | 0) | 0;
     if (i19 << 16 >> 16 < 0) i144 = 100; else i144 = get8((get32(i20 + 12 | 0) | 0) + ((i19 << 16 >> 16) * 24 | 0) + 22 >> 0 | 0) | 0;
    } else {
     i141 = i140;
     i101 = 150;
    }
   } while (0);
   if ((i101 | 0) == 150) {
    i101 = 0;
    i144 = get8(i141 + 1 >> 0 | 0) | 0;
   }
   i19 = get32(i23 + 12 | 0) | 0;
   do if (!i19) {
    if (!(get16(i23 + 2 | 0) & 2048)) {
     i145 = i144 << 24 >> 24 == 0 ? 98 : i144;
     break;
    } else i146 = i23;
    L245 : while (1) {
     i20 = get32(get32((get32(get32(i146 + 16 | 0) | 0) | 0) + 12 | 0) | 0) | 0;
     switch (get8(i20 >> 0 | 0) | 0) {
     case 116:
      {
       i146 = i20;
       break;
      }
     case 37:
      {
       i147 = i20;
       i101 = 175;
       break L245;
       break;
      }
     case -124:
     case -104:
     case -102:
      {
       i148 = i20;
       i101 = 186;
       break L245;
       break;
      }
     default:
      {
       i149 = i20;
       i101 = 189;
       break L245;
      }
     }
    }
    L247 : do if ((i101 | 0) == 175) {
     i101 = 0;
     i20 = get32(i147 + 4 | 0) | 0;
     if ((i20 | 0) != 0 ? (i22 = get8(i20 >> 0 | 0) | 0, i22 << 24 >> 24 != 0) : 0) {
      i30 = i20;
      i20 = i22;
      i22 = 99;
      i58 = 0;
      while (1) {
       i27 = getU8(16286 + (i20 & 255) >> 0 | 0) | i58 << 8;
       i30 = i30 + 1 | 0;
       L252 : do if ((i27 | 0) < 1685026146) {
        if ((i27 | 0) < 1667785074) {
         switch (i27 | 0) {
         case 1651273570:
          break;
         default:
          {
           i101 = 184;
           break L252;
          }
         }
         switch (i22 << 24 >> 24) {
         case 101:
         case 99:
          {
           i150 = 98;
           i151 = 1651273570;
           break L252;
           break;
          }
         default:
          {
           i101 = 183;
           break L252;
          }
         }
        }
        if ((i27 | 0) < 1668050786) switch (i27 | 0) {
        case 1667785074:
         {
          i150 = 97;
          i151 = i27;
          break L252;
          break;
         }
        default:
         {
          i101 = 184;
          break L252;
         }
        } else switch (i27 | 0) {
        case 1668050786:
         {
          i150 = 97;
          i151 = i27;
          break L252;
          break;
         }
        default:
         {
          i101 = 184;
          break L252;
         }
        }
       } else {
        if ((i27 | 0) >= 1919246700) {
         if ((i27 | 0) >= 1952807028) switch (i27 | 0) {
         case 1952807028:
          {
           i150 = 97;
           i151 = i27;
           break L252;
           break;
          }
         default:
          {
           i101 = 184;
           break L252;
          }
         }
         switch (i27 | 0) {
         case 1919246700:
          break;
         default:
          {
           i101 = 184;
           break L252;
          }
         }
         if (i22 << 24 >> 24 == 99) {
          i150 = 101;
          i151 = 1919246700;
          break;
         } else {
          i101 = 183;
          break;
         }
        }
        if ((i27 | 0) < 1718382433) {
         switch (i27 | 0) {
         case 1685026146:
          break;
         default:
          {
           i101 = 184;
           break L252;
          }
         }
         if (i22 << 24 >> 24 == 99) {
          i150 = 101;
          i151 = 1685026146;
          break;
         }
        } else {
         switch (i27 | 0) {
         case 1718382433:
          break;
         default:
          {
           i101 = 184;
           break L252;
          }
         }
         if (i22 << 24 >> 24 == 99) {
          i150 = 101;
          i151 = 1718382433;
          break;
         }
        }
        i150 = i22;
        i151 = i27;
       } while (0);
       if ((i101 | 0) == 183) {
        i101 = 0;
        i150 = i22;
        i151 = i27;
       } else if ((i101 | 0) == 184) {
        i101 = 0;
        if ((i27 & 16777215 | 0) == 6909556) {
         i152 = 100;
         break L247;
        } else {
         i150 = i22;
         i151 = i27;
        }
       }
       i20 = get8(i30 >> 0 | 0) | 0;
       if (!(i20 << 24 >> 24)) {
        i152 = i150;
        break;
       } else {
        i22 = i150;
        i58 = i151;
       }
      }
     } else i152 = 99;
    } else if ((i101 | 0) == 186) {
     i101 = 0;
     i58 = get32(i148 + 40 | 0) | 0;
     if (i58) {
      i22 = get16(i148 + 28 | 0) | 0;
      if (i22 << 16 >> 16 < 0) i152 = 100; else i152 = get8((get32(i58 + 12 | 0) | 0) + ((i22 << 16 >> 16) * 24 | 0) + 22 >> 0 | 0) | 0;
     } else {
      i149 = i148;
      i101 = 189;
     }
    } while (0);
    if ((i101 | 0) == 189) {
     i101 = 0;
     i152 = get8(i149 + 1 >> 0 | 0) | 0;
    }
    if (!(i144 << 24 >> 24 == 0 | i152 << 24 >> 24 == 0)) {
     i145 = i144 << 24 >> 24 > 98 | i152 << 24 >> 24 > 98 ? 99 : 98;
     break;
    }
    if (!((i152 | i144) << 24 >> 24)) i145 = 98; else i145 = (i144 & 255) + (i152 & 255) & 255;
   } else {
    i22 = i19;
    L289 : while (1) {
     switch (get8(i22 >> 0 | 0) | 0) {
     case 37:
      {
       i153 = i22;
       i101 = 154;
       break L289;
       break;
      }
     case -124:
     case -104:
     case -102:
      {
       i154 = i22;
       i101 = 165;
       break L289;
       break;
      }
     case 116:
      break;
     default:
      {
       i155 = i22;
       i101 = 168;
       break L289;
      }
     }
     i22 = get32(get32((get32(get32(i22 + 16 | 0) | 0) | 0) + 12 | 0) | 0) | 0;
    }
    L292 : do if ((i101 | 0) == 154) {
     i101 = 0;
     i22 = get32(i153 + 4 | 0) | 0;
     if ((i22 | 0) != 0 ? (i58 = get8(i22 >> 0 | 0) | 0, i58 << 24 >> 24 != 0) : 0) {
      i20 = i22;
      i22 = i58;
      i58 = 99;
      i30 = 0;
      while (1) {
       i28 = getU8(16286 + (i22 & 255) >> 0 | 0) | i30 << 8;
       i20 = i20 + 1 | 0;
       L297 : do if ((i28 | 0) < 1685026146) {
        if ((i28 | 0) < 1667785074) {
         switch (i28 | 0) {
         case 1651273570:
          break;
         default:
          {
           i101 = 163;
           break L297;
          }
         }
         switch (i58 << 24 >> 24) {
         case 101:
         case 99:
          {
           i156 = 98;
           i157 = 1651273570;
           break L297;
           break;
          }
         default:
          {
           i101 = 162;
           break L297;
          }
         }
        }
        if ((i28 | 0) < 1668050786) switch (i28 | 0) {
        case 1667785074:
         {
          i156 = 97;
          i157 = i28;
          break L297;
          break;
         }
        default:
         {
          i101 = 163;
          break L297;
         }
        } else switch (i28 | 0) {
        case 1668050786:
         {
          i156 = 97;
          i157 = i28;
          break L297;
          break;
         }
        default:
         {
          i101 = 163;
          break L297;
         }
        }
       } else {
        if ((i28 | 0) >= 1919246700) {
         if ((i28 | 0) >= 1952807028) switch (i28 | 0) {
         case 1952807028:
          {
           i156 = 97;
           i157 = i28;
           break L297;
           break;
          }
         default:
          {
           i101 = 163;
           break L297;
          }
         }
         switch (i28 | 0) {
         case 1919246700:
          break;
         default:
          {
           i101 = 163;
           break L297;
          }
         }
         if (i58 << 24 >> 24 == 99) {
          i156 = 101;
          i157 = 1919246700;
          break;
         } else {
          i101 = 162;
          break;
         }
        }
        if ((i28 | 0) < 1718382433) {
         switch (i28 | 0) {
         case 1685026146:
          break;
         default:
          {
           i101 = 163;
           break L297;
          }
         }
         if (i58 << 24 >> 24 == 99) {
          i156 = 101;
          i157 = 1685026146;
          break;
         }
        } else {
         switch (i28 | 0) {
         case 1718382433:
          break;
         default:
          {
           i101 = 163;
           break L297;
          }
         }
         if (i58 << 24 >> 24 == 99) {
          i156 = 101;
          i157 = 1718382433;
          break;
         }
        }
        i156 = i58;
        i157 = i28;
       } while (0);
       if ((i101 | 0) == 162) {
        i101 = 0;
        i156 = i58;
        i157 = i28;
       } else if ((i101 | 0) == 163) {
        i101 = 0;
        if ((i28 & 16777215 | 0) == 6909556) {
         i158 = 100;
         break L292;
        } else {
         i156 = i58;
         i157 = i28;
        }
       }
       i22 = get8(i20 >> 0 | 0) | 0;
       if (!(i22 << 24 >> 24)) {
        i158 = i156;
        break;
       } else {
        i58 = i156;
        i30 = i157;
       }
      }
     } else i158 = 99;
    } else if ((i101 | 0) == 165) {
     i101 = 0;
     i30 = get32(i154 + 40 | 0) | 0;
     if (i30) {
      i58 = get16(i154 + 28 | 0) | 0;
      if (i58 << 16 >> 16 < 0) i158 = 100; else i158 = get8((get32(i30 + 12 | 0) | 0) + ((i58 << 16 >> 16) * 24 | 0) + 22 >> 0 | 0) | 0;
     } else {
      i155 = i154;
      i101 = 168;
     }
    } while (0);
    if ((i101 | 0) == 168) {
     i101 = 0;
     i158 = get8(i155 + 1 >> 0 | 0) | 0;
    }
    if (!(i144 << 24 >> 24 == 0 | i158 << 24 >> 24 == 0)) {
     i145 = i144 << 24 >> 24 > 98 | i158 << 24 >> 24 > 98 ? 99 : 98;
     break;
    }
    if (!((i158 | i144) << 24 >> 24)) i145 = 98; else i145 = (i144 & 255) + (i158 & 255) & 255;
   } while (0);
   switch (i145 << 24 >> 24 | 0) {
   case 98:
    {
     i159 = i6;
     i160 = i24;
     break L194;
     break;
    }
   case 97:
    {
     if (i3 << 24 >> 24 == 97) {
      i159 = i6;
      i160 = i24;
      break L194;
     } else break L196;
     break;
    }
   default:
    if (i3 << 24 >> 24 > 98) {
     i159 = i6;
     i160 = i24;
     break L194;
    } else break L196;
   }
  } while (0);
  i7 = i7 + 40 | 0;
  if (i7 >>> 0 >= i2 >>> 0) {
   i136 = i8;
   i101 = 200;
   break;
  }
 }
 if ((i101 | 0) == 200) {
  i137 = i136 | i135;
  set32(i9 | 0, i137 | 0);
  STACKTOP = i10;
  return;
 }
 setF64(i18 | 0, +d125);
 setF64(i9 + 8 | 0, +(d138 + 1.0));
 set32(i9 | 0, 536870912 | 0);
 i18 = i9 + 32 | 0;
 set32(i18 | 0, i159 | 0);
 set32(i18 + 4 | 0, i160 | 0);
 i136 = 536870912;
 i137 = i136 | i135;
 set32(i9 | 0, i137 | 0);
 STACKTOP = i10;
 return;
}

function _sqlite3ValueFromExpr(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, d32 = 0.0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, d55 = 0.0, i56 = 0, i57 = 0, d58 = 0.0, i59 = 0, i60 = 0, i61 = 0, i62 = 0;
 i6 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i7 = i6 + 16 | 0;
 i8 = i6 + 8 | 0;
 i9 = i6;
 i10 = i6 + 24 | 0;
 set32(i10 | 0, 0 | 0);
 if (!i2) {
  set32(i5 | 0, 0 | 0);
  i11 = 0;
  STACKTOP = i6;
  return i11 | 0;
 }
 i12 = get8(i2 >> 0 | 0) | 0;
 if (i12 << 24 >> 24 == -124) i13 = getU8(i2 + 35 >> 0 | 0) | 0; else i13 = i12 & 255;
 if ((i13 | 0) == 156) {
  i12 = get32(i2 + 8 | 0) | 0;
  i14 = get8(i12 >> 0 | 0) | 0;
  if ((i14 + 127 & 255) < 2) {
   i15 = i12;
   i16 = -1;
   i17 = -1;
   i18 = i14 & 255;
   i19 = 31363;
   i20 = 8;
  } else {
   i21 = i12;
   i20 = 82;
  }
 } else {
  i15 = i2;
  i16 = 1;
  i17 = 0;
  i18 = i13;
  i19 = 16820;
  i20 = 8;
 }
 L11 : do if ((i20 | 0) == 8) {
  i13 = (i18 | 0) == 130;
  L13 : do switch (i18 | 0) {
  case 94:
  case 129:
  case 130:
   {
    L15 : do if (!i1) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i22 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](40) | 0;
      i20 = 47;
      break;
     }
     i2 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](40) | 0;
     set32(35 * 4 | 0, 40 | 0);
     if ((get32(45 * 4 | 0) | 0) < 40) set32(45 * 4 | 0, 40 | 0);
     i12 = get32(6 * 4 | 0) | 0;
     do if (i12) {
      i14 = get32(30 * 4 | 0) | 0;
      i23 = ((i14 | 0) < 0) << 31 >> 31;
      i24 = 16;
      i25 = _i64Subtract(get32(i24 | 0) | 0, get32(i24 + 4 | 0) | 0, i2 | 0, ((i2 | 0) < 0) << 31 >> 31 | 0) | 0;
      i24 = tempRet0;
      if ((i23 | 0) < (i24 | 0) | (i23 | 0) == (i24 | 0) & i14 >>> 0 < i25 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i25 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i12 & 15](i25, i14, i23, i2);
       set32(6 * 4 | 0, i12 | 0);
       set32(7 * 4 | 0, i25 | 0);
       break;
      }
     } while (0);
     i12 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i2) | 0;
     if (i12) {
      i25 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i12) | 0;
      i23 = (get32(30 * 4 | 0) | 0) + i25 | 0;
      set32(30 * 4 | 0, i23 | 0);
      if ((i23 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i23 | 0);
      i23 = get32(39 * 4 | 0) | 0;
      i25 = i23 + 1 | 0;
      set32(39 * 4 | 0, i25 | 0);
      if ((i23 | 0) < (get32(49 * 4 | 0) | 0)) i26 = i12; else {
       set32(49 * 4 | 0, i25 | 0);
       i26 = i12;
      }
     } else i20 = 48;
    } else {
     i12 = i1 + 30 | 0;
     if (!(get8(i12 >> 0 | 0) | 0)) {
      do if (get8(i1 + 234 >> 0 | 0) | 0) {
       if ((getU16(i1 + 232 | 0) | 0) < 40) {
        i25 = i1 + 248 | 0;
        set32(i25 | 0, (get32(i25 | 0) | 0) + 1 | 0);
        break;
       }
       i25 = i1 + 256 | 0;
       i23 = get32(i25 | 0) | 0;
       if (!i23) {
        i14 = i1 + 252 | 0;
        set32(i14 | 0, (get32(i14 | 0) | 0) + 1 | 0);
        break;
       }
       set32(i25 | 0, get32(i23 | 0) | 0);
       i25 = i1 + 236 | 0;
       i14 = get32(i25 | 0) | 0;
       i24 = i14 + 1 | 0;
       set32(i25 | 0, i24 | 0);
       i25 = i1 + 244 | 0;
       set32(i25 | 0, (get32(i25 | 0) | 0) + 1 | 0);
       i25 = i1 + 240 | 0;
       if ((i14 | 0) >= (get32(i25 | 0) | 0)) set32(i25 | 0, i24 | 0);
       i22 = i23;
       i20 = 47;
       break L15;
      } while (0);
      if (!(get32(50 * 4 | 0) | 0)) {
       i2 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](40) | 0;
       if (i2) {
        i26 = i2;
        break;
       }
      } else {
       i2 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](40) | 0;
       set32(35 * 4 | 0, 40 | 0);
       if ((get32(45 * 4 | 0) | 0) < 40) set32(45 * 4 | 0, 40 | 0);
       i23 = get32(6 * 4 | 0) | 0;
       do if (i23) {
        i24 = get32(30 * 4 | 0) | 0;
        i25 = ((i24 | 0) < 0) << 31 >> 31;
        i14 = 16;
        i27 = _i64Subtract(get32(i14 | 0) | 0, get32(i14 + 4 | 0) | 0, i2 | 0, ((i2 | 0) < 0) << 31 >> 31 | 0) | 0;
        i14 = tempRet0;
        if ((i25 | 0) < (i14 | 0) | (i25 | 0) == (i14 | 0) & i24 >>> 0 < i27 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i27 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i23 & 15](i27, i24, i25, i2);
         set32(6 * 4 | 0, i23 | 0);
         set32(7 * 4 | 0, i27 | 0);
         break;
        }
       } while (0);
       i23 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i2) | 0;
       if (i23) {
        i27 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i23) | 0;
        i25 = (get32(30 * 4 | 0) | 0) + i27 | 0;
        set32(30 * 4 | 0, i25 | 0);
        if ((i25 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i25 | 0);
        i25 = get32(39 * 4 | 0) | 0;
        i27 = i25 + 1 | 0;
        set32(39 * 4 | 0, i27 | 0);
        if ((i25 | 0) < (get32(49 * 4 | 0) | 0)) {
         i26 = i23;
         break;
        }
        set32(49 * 4 | 0, i27 | 0);
        i26 = i23;
        break;
       }
      }
      set8(i12 >> 0 | 0, 1 | 0);
      i20 = 48;
     } else i20 = 48;
    } while (0);
    if ((i20 | 0) == 47) if (!i22) i20 = 48; else i26 = i22;
    if ((i20 | 0) == 48) {
     set32(i10 | 0, 0 | 0);
     i28 = 0;
     break L13;
    }
    i29 = i26;
    i30 = i29 + 40 | 0;
    do {
     set8(i29 >> 0 | 0, 0 | 0);
     i29 = i29 + 1 | 0;
    } while ((i29 | 0) < (i30 | 0));
    i23 = i26 + 28 | 0;
    set16(i23 | 0, 1 | 0);
    i27 = i26 + 30 | 0;
    set8(i27 >> 0 | 0, 5 | 0);
    set32(i26 | 0, i1 | 0);
    set32(i10 | 0, i26 | 0);
    if (!i26) i28 = i26; else {
     if (!(get16(i15 + 2 | 0) & 1024)) {
      i25 = get32(i15 + 4 | 0) | 0;
      set32(i7 | 0, i19 | 0);
      set32(i7 + 4 | 0, i25 | 0);
      i25 = _sqlite3MPrintf(i1, 31365, i7) | 0;
      if (!i25) {
       i28 = i26;
       break L13;
      }
      _sqlite3VdbeMemSetStr(i26, i25, -1, 1, 9) | 0;
      if (i13) {
       set8(i26 + 30 >> 0 | 0, 2 | 0);
       i31 = i26;
      } else i31 = i26;
     } else {
      i25 = get32(i15 + 4 | 0) | 0;
      i24 = ___muldi3(i25 | 0, ((i25 | 0) < 0) << 31 >> 31 | 0, i16 | 0, i17 | 0) | 0;
      i25 = tempRet0;
      _sqlite3VdbeMemReleaseExternal(i26);
      i14 = i26 + 36 | 0;
      _sqlite3DbFree(get32(i26 | 0) | 0, get32(i14 | 0) | 0);
      set32(i26 + 4 | 0, 0 | 0);
      set32(i14 | 0, 0 | 0);
      set32(i26 + 32 | 0, 0 | 0);
      i14 = i26 + 16 | 0;
      set32(i14 | 0, i24 | 0);
      set32(i14 + 4 | 0, i25 | 0);
      set16(i23 | 0, 4 | 0);
      set8(i27 >> 0 | 0, 1 | 0);
      i31 = get32(i10 | 0) | 0;
     }
     L78 : do if (i4 << 24 >> 24 == 98 & (i18 + -129 | 0) >>> 0 < 2) {
      i27 = i31 + 28 | 0;
      i23 = getU16(i27 | 0) | 0;
      do if (((i23 & 12 | 0) == 0 ? (i25 = get8(i31 + 31 >> 0 | 0) | 0, (i23 & 2 | 0) != 0) : 0) ? (i14 = i31 + 4 | 0, i24 = i31 + 24 | 0, (_sqlite3AtoF(get32(i14 | 0) | 0, i8, get32(i24 | 0) | 0, i25) | 0) != 0) : 0) if (!(_sqlite3Atoi64(get32(i14 | 0) | 0, i9, get32(i24 | 0) | 0, i25) | 0)) {
       i25 = i9;
       i24 = get32(i25 + 4 | 0) | 0;
       i14 = i31 + 16 | 0;
       set32(i14 | 0, get32(i25 | 0) | 0);
       set32(i14 + 4 | 0, i24 | 0);
       set16(i27 | 0, getU16(i27 | 0) | 4 | 0);
       break;
      } else {
       setF64(i31 + 8 | 0, +(+getF64(i8 | 0)));
       set16(i27 | 0, getU16(i27 | 0) | 8 | 0);
       break;
      } while (0);
      i23 = get16(i27 | 0) | 0;
      if ((i23 & 8) != 0 ? (d32 = +getF64(i31 + 8 | 0), i12 = d32 < -9223372036854775808.0 | d32 > 9223372036854775808.0, i2 = +Math_abs(d32) >= 1.0 ? (d32 > 0.0 ? ~~+Math_min(+Math_floor(d32 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d32 - +(~~d32 >>> 0)) / 4294967296.0) >>> 0) : 0, i24 = i12 ? 0 : ~~d32 >>> 0, i14 = i12 ? -2147483648 : i2, i2 = i31 + 16 | 0, set32(i2 | 0, i24 | 0), set32(i2 + 4 | 0, i14 | 0), i2 = _i64Add(i24 | 0, i14 | 0, 1, -2147483648) | 0, i12 = tempRet0, !(d32 != +(i24 >>> 0) + 4294967296.0 * +(i14 | 0) | (i12 >>> 0 < 0 | (i12 | 0) == 0 & i2 >>> 0 < 2))) : 0) set16(i27 | 0, i23 & 65535 | 4 | 0);
     } else {
      switch (i4 << 24 >> 24) {
      case 98:
       {
        break L78;
        break;
       }
      case 97:
       {
        i23 = i31 + 28 | 0;
        i2 = get16(i23 | 0) | 0;
        i12 = i2 & 65535;
        if ((i12 & 2 | 0) != 0 | (i12 & 12 | 0) == 0) i33 = i2; else {
         _sqlite3VdbeMemStringify(i31, 1) | 0;
         i33 = get16(i23 | 0) | 0;
        }
        set16(i23 | 0, i33 & 65523 | 0);
        break L78;
        break;
       }
      default:
       {}
      }
      i23 = i31 + 28 | 0;
      i2 = getU16(i23 | 0) | 0;
      do if (((i2 & 12 | 0) == 0 ? (i12 = get8(i31 + 31 >> 0 | 0) | 0, (i2 & 2 | 0) != 0) : 0) ? (i14 = i31 + 4 | 0, i24 = i31 + 24 | 0, (_sqlite3AtoF(get32(i14 | 0) | 0, i8, get32(i24 | 0) | 0, i12) | 0) != 0) : 0) if (!(_sqlite3Atoi64(get32(i14 | 0) | 0, i9, get32(i24 | 0) | 0, i12) | 0)) {
       i12 = i9;
       i24 = get32(i12 + 4 | 0) | 0;
       i14 = i31 + 16 | 0;
       set32(i14 | 0, get32(i12 | 0) | 0);
       set32(i14 + 4 | 0, i24 | 0);
       set16(i23 | 0, getU16(i23 | 0) | 4 | 0);
       break;
      } else {
       setF64(i31 + 8 | 0, +(+getF64(i8 | 0)));
       set16(i23 | 0, getU16(i23 | 0) | 8 | 0);
       break;
      } while (0);
      i2 = get16(i23 | 0) | 0;
      if ((i2 & 8) != 0 ? (d32 = +getF64(i31 + 8 | 0), i27 = d32 < -9223372036854775808.0 | d32 > 9223372036854775808.0, i24 = +Math_abs(d32) >= 1.0 ? (d32 > 0.0 ? ~~+Math_min(+Math_floor(d32 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d32 - +(~~d32 >>> 0)) / 4294967296.0) >>> 0) : 0, i14 = i27 ? 0 : ~~d32 >>> 0, i12 = i27 ? -2147483648 : i24, i24 = i31 + 16 | 0, set32(i24 | 0, i14 | 0), set32(i24 + 4 | 0, i12 | 0), i24 = _i64Add(i14 | 0, i12 | 0, 1, -2147483648) | 0, i27 = tempRet0, !(d32 != +(i14 >>> 0) + 4294967296.0 * +(i12 | 0) | (i27 >>> 0 < 0 | (i27 | 0) == 0 & i24 >>> 0 < 2))) : 0) set16(i23 | 0, i2 & 65535 | 4 | 0);
     } while (0);
     i2 = i31 + 28 | 0;
     i24 = getU16(i2 | 0) | 0;
     if (i24 & 12) set16(i2 | 0, i24 & 65533 | 0);
     if (i3 << 24 >> 24 == 1) {
      i20 = 240;
      break L11;
     }
     _sqlite3VdbeChangeEncoding(i31, i3 & 255) | 0;
     i20 = 240;
     break L11;
    }
    break;
   }
  case 156:
   {
    i21 = get32(i15 + 8 | 0) | 0;
    i20 = 82;
    break L11;
    break;
   }
  case 98:
   {
    L114 : do if (!i1) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i34 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](40) | 0;
      i20 = 150;
      break;
     }
     i24 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](40) | 0;
     set32(35 * 4 | 0, 40 | 0);
     if ((get32(45 * 4 | 0) | 0) < 40) set32(45 * 4 | 0, 40 | 0);
     i2 = get32(6 * 4 | 0) | 0;
     do if (i2) {
      i27 = get32(30 * 4 | 0) | 0;
      i12 = ((i27 | 0) < 0) << 31 >> 31;
      i14 = 16;
      i25 = _i64Subtract(get32(i14 | 0) | 0, get32(i14 + 4 | 0) | 0, i24 | 0, ((i24 | 0) < 0) << 31 >> 31 | 0) | 0;
      i14 = tempRet0;
      if ((i12 | 0) < (i14 | 0) | (i12 | 0) == (i14 | 0) & i27 >>> 0 < i25 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i25 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i2 & 15](i25, i27, i12, i24);
       set32(6 * 4 | 0, i2 | 0);
       set32(7 * 4 | 0, i25 | 0);
       break;
      }
     } while (0);
     i2 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i24) | 0;
     if (i2) {
      i23 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i2) | 0;
      i25 = (get32(30 * 4 | 0) | 0) + i23 | 0;
      set32(30 * 4 | 0, i25 | 0);
      if ((i25 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i25 | 0);
      i25 = get32(39 * 4 | 0) | 0;
      i23 = i25 + 1 | 0;
      set32(39 * 4 | 0, i23 | 0);
      if ((i25 | 0) < (get32(49 * 4 | 0) | 0)) {
       i35 = i2;
       i20 = 152;
      } else {
       set32(49 * 4 | 0, i23 | 0);
       i35 = i2;
       i20 = 152;
      }
     } else i20 = 151;
    } else {
     i2 = i1 + 30 | 0;
     if (!(get8(i2 >> 0 | 0) | 0)) {
      do if (get8(i1 + 234 >> 0 | 0) | 0) {
       if ((getU16(i1 + 232 | 0) | 0) < 40) {
        i23 = i1 + 248 | 0;
        set32(i23 | 0, (get32(i23 | 0) | 0) + 1 | 0);
        break;
       }
       i23 = i1 + 256 | 0;
       i25 = get32(i23 | 0) | 0;
       if (!i25) {
        i12 = i1 + 252 | 0;
        set32(i12 | 0, (get32(i12 | 0) | 0) + 1 | 0);
        break;
       }
       set32(i23 | 0, get32(i25 | 0) | 0);
       i23 = i1 + 236 | 0;
       i12 = get32(i23 | 0) | 0;
       i27 = i12 + 1 | 0;
       set32(i23 | 0, i27 | 0);
       i23 = i1 + 244 | 0;
       set32(i23 | 0, (get32(i23 | 0) | 0) + 1 | 0);
       i23 = i1 + 240 | 0;
       if ((i12 | 0) >= (get32(i23 | 0) | 0)) set32(i23 | 0, i27 | 0);
       i34 = i25;
       i20 = 150;
       break L114;
      } while (0);
      if (!(get32(50 * 4 | 0) | 0)) {
       i24 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](40) | 0;
       if (i24) {
        i35 = i24;
        i20 = 152;
        break;
       }
      } else {
       i24 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](40) | 0;
       set32(35 * 4 | 0, 40 | 0);
       if ((get32(45 * 4 | 0) | 0) < 40) set32(45 * 4 | 0, 40 | 0);
       i25 = get32(6 * 4 | 0) | 0;
       do if (i25) {
        i27 = get32(30 * 4 | 0) | 0;
        i23 = ((i27 | 0) < 0) << 31 >> 31;
        i12 = 16;
        i14 = _i64Subtract(get32(i12 | 0) | 0, get32(i12 + 4 | 0) | 0, i24 | 0, ((i24 | 0) < 0) << 31 >> 31 | 0) | 0;
        i12 = tempRet0;
        if ((i23 | 0) < (i12 | 0) | (i23 | 0) == (i12 | 0) & i27 >>> 0 < i14 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i14 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i25 & 15](i14, i27, i23, i24);
         set32(6 * 4 | 0, i25 | 0);
         set32(7 * 4 | 0, i14 | 0);
         break;
        }
       } while (0);
       i25 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i24) | 0;
       if (i25) {
        i14 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i25) | 0;
        i23 = (get32(30 * 4 | 0) | 0) + i14 | 0;
        set32(30 * 4 | 0, i23 | 0);
        if ((i23 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i23 | 0);
        i23 = get32(39 * 4 | 0) | 0;
        i14 = i23 + 1 | 0;
        set32(39 * 4 | 0, i14 | 0);
        if ((i23 | 0) < (get32(49 * 4 | 0) | 0)) {
         i35 = i25;
         i20 = 152;
         break;
        }
        set32(49 * 4 | 0, i14 | 0);
        i35 = i25;
        i20 = 152;
        break;
       }
      }
      set8(i2 >> 0 | 0, 1 | 0);
      i20 = 151;
     } else i20 = 151;
    } while (0);
    if ((i20 | 0) == 150) if (!i34) i20 = 151; else {
     i35 = i34;
     i20 = 152;
    }
    if ((i20 | 0) == 151) {
     set32(i10 | 0, 0 | 0);
     i28 = 0;
     break L13;
    } else if ((i20 | 0) == 152) {
     i29 = i35;
     i30 = i29 + 40 | 0;
     do {
      set8(i29 >> 0 | 0, 0 | 0);
      i29 = i29 + 1 | 0;
     } while ((i29 | 0) < (i30 | 0));
     set16(i35 + 28 | 0, 1 | 0);
     set8(i35 + 30 >> 0 | 0, 5 | 0);
     set32(i35 | 0, i1 | 0);
     set32(i10 | 0, i35 | 0);
     if (!i35) {
      i28 = i35;
      break L13;
     } else {
      i36 = i35;
      i37 = i35;
      i20 = 241;
      break L11;
     }
    }
    break;
   }
  case 131:
   {
    i25 = (i1 | 0) == 0;
    L171 : do if (i25) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i38 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](40) | 0;
      i20 = 190;
      break;
     }
     i14 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](40) | 0;
     set32(35 * 4 | 0, 40 | 0);
     if ((get32(45 * 4 | 0) | 0) < 40) set32(45 * 4 | 0, 40 | 0);
     i23 = get32(6 * 4 | 0) | 0;
     do if (i23) {
      i27 = get32(30 * 4 | 0) | 0;
      i12 = ((i27 | 0) < 0) << 31 >> 31;
      i39 = 16;
      i40 = _i64Subtract(get32(i39 | 0) | 0, get32(i39 + 4 | 0) | 0, i14 | 0, ((i14 | 0) < 0) << 31 >> 31 | 0) | 0;
      i39 = tempRet0;
      if ((i12 | 0) < (i39 | 0) | (i12 | 0) == (i39 | 0) & i27 >>> 0 < i40 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i40 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i23 & 15](i40, i27, i12, i14);
       set32(6 * 4 | 0, i23 | 0);
       set32(7 * 4 | 0, i40 | 0);
       break;
      }
     } while (0);
     i23 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i14) | 0;
     if (i23) {
      i2 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i23) | 0;
      i24 = (get32(30 * 4 | 0) | 0) + i2 | 0;
      set32(30 * 4 | 0, i24 | 0);
      if ((i24 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i24 | 0);
      i24 = get32(39 * 4 | 0) | 0;
      i2 = i24 + 1 | 0;
      set32(39 * 4 | 0, i2 | 0);
      if ((i24 | 0) < (get32(49 * 4 | 0) | 0)) i41 = i23; else {
       set32(49 * 4 | 0, i2 | 0);
       i41 = i23;
      }
     } else i20 = 191;
    } else {
     i23 = i1 + 30 | 0;
     if (!(get8(i23 >> 0 | 0) | 0)) {
      do if (get8(i1 + 234 >> 0 | 0) | 0) {
       if ((getU16(i1 + 232 | 0) | 0) < 40) {
        i2 = i1 + 248 | 0;
        set32(i2 | 0, (get32(i2 | 0) | 0) + 1 | 0);
        break;
       }
       i2 = i1 + 256 | 0;
       i24 = get32(i2 | 0) | 0;
       if (!i24) {
        i40 = i1 + 252 | 0;
        set32(i40 | 0, (get32(i40 | 0) | 0) + 1 | 0);
        break;
       }
       set32(i2 | 0, get32(i24 | 0) | 0);
       i2 = i1 + 236 | 0;
       i40 = get32(i2 | 0) | 0;
       i12 = i40 + 1 | 0;
       set32(i2 | 0, i12 | 0);
       i2 = i1 + 244 | 0;
       set32(i2 | 0, (get32(i2 | 0) | 0) + 1 | 0);
       i2 = i1 + 240 | 0;
       if ((i40 | 0) >= (get32(i2 | 0) | 0)) set32(i2 | 0, i12 | 0);
       i38 = i24;
       i20 = 190;
       break L171;
      } while (0);
      if (!(get32(50 * 4 | 0) | 0)) {
       i14 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](40) | 0;
       if (i14) {
        i41 = i14;
        break;
       }
      } else {
       i14 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](40) | 0;
       set32(35 * 4 | 0, 40 | 0);
       if ((get32(45 * 4 | 0) | 0) < 40) set32(45 * 4 | 0, 40 | 0);
       i24 = get32(6 * 4 | 0) | 0;
       do if (i24) {
        i12 = get32(30 * 4 | 0) | 0;
        i2 = ((i12 | 0) < 0) << 31 >> 31;
        i40 = 16;
        i27 = _i64Subtract(get32(i40 | 0) | 0, get32(i40 + 4 | 0) | 0, i14 | 0, ((i14 | 0) < 0) << 31 >> 31 | 0) | 0;
        i40 = tempRet0;
        if ((i2 | 0) < (i40 | 0) | (i2 | 0) == (i40 | 0) & i12 >>> 0 < i27 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i27 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i24 & 15](i27, i12, i2, i14);
         set32(6 * 4 | 0, i24 | 0);
         set32(7 * 4 | 0, i27 | 0);
         break;
        }
       } while (0);
       i24 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i14) | 0;
       if (i24) {
        i27 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i24) | 0;
        i2 = (get32(30 * 4 | 0) | 0) + i27 | 0;
        set32(30 * 4 | 0, i2 | 0);
        if ((i2 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i2 | 0);
        i2 = get32(39 * 4 | 0) | 0;
        i27 = i2 + 1 | 0;
        set32(39 * 4 | 0, i27 | 0);
        if ((i2 | 0) < (get32(49 * 4 | 0) | 0)) {
         i41 = i24;
         break;
        }
        set32(49 * 4 | 0, i27 | 0);
        i41 = i24;
        break;
       }
      }
      set8(i23 >> 0 | 0, 1 | 0);
      i20 = 191;
     } else i20 = 191;
    } while (0);
    if ((i20 | 0) == 190) if (!i38) i20 = 191; else i41 = i38;
    if ((i20 | 0) == 191) {
     set32(i10 | 0, 0 | 0);
     i28 = 0;
     break L13;
    }
    i29 = i41;
    i30 = i29 + 40 | 0;
    do {
     set8(i29 >> 0 | 0, 0 | 0);
     i29 = i29 + 1 | 0;
    } while ((i29 | 0) < (i30 | 0));
    set16(i41 + 28 | 0, 1 | 0);
    set8(i41 + 30 >> 0 | 0, 5 | 0);
    set32(i41 | 0, i1 | 0);
    set32(i10 | 0, i41 | 0);
    if (!i41) i28 = i41; else {
     i24 = get32(i15 + 4 | 0) | 0;
     i27 = i24 + 2 | 0;
     i2 = i27;
     while (1) if (!(get8(i2 >> 0 | 0) | 0)) {
      i42 = i2;
      break;
     } else i2 = i2 + 1 | 0;
     i2 = i42 - i27 & 1073741823;
     i12 = i2 + -1 | 0;
     i40 = (i12 | 0) / 2 | 0;
     i39 = i40 + 1 | 0;
     L231 : do if (i25) if (i40 >>> 0 <= 2147483390) {
      if (!(get32(50 * 4 | 0) | 0)) {
       i43 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i39) | 0;
       i20 = 234;
       break;
      }
      i44 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i39) | 0;
      set32(35 * 4 | 0, i39 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i39 | 0)) set32(45 * 4 | 0, i39 | 0);
      i45 = get32(6 * 4 | 0) | 0;
      do if (i45) {
       i46 = get32(30 * 4 | 0) | 0;
       i47 = ((i46 | 0) < 0) << 31 >> 31;
       i48 = 16;
       i49 = _i64Subtract(get32(i48 | 0) | 0, get32(i48 + 4 | 0) | 0, i44 | 0, ((i44 | 0) < 0) << 31 >> 31 | 0) | 0;
       i48 = tempRet0;
       if ((i47 | 0) < (i48 | 0) | (i47 | 0) == (i48 | 0) & i46 >>> 0 < i49 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i49 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i45 & 15](i49, i46, i47, i44);
        set32(6 * 4 | 0, i45 | 0);
        set32(7 * 4 | 0, i49 | 0);
        break;
       }
      } while (0);
      i45 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i44) | 0;
      if (i45) {
       i23 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i45) | 0;
       i14 = (get32(30 * 4 | 0) | 0) + i23 | 0;
       set32(30 * 4 | 0, i14 | 0);
       if ((i14 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i14 | 0);
       i14 = get32(39 * 4 | 0) | 0;
       i23 = i14 + 1 | 0;
       set32(39 * 4 | 0, i23 | 0);
       if ((i14 | 0) < (get32(49 * 4 | 0) | 0)) {
        i50 = i45;
        i20 = 235;
       } else {
        set32(49 * 4 | 0, i23 | 0);
        i50 = i45;
        i20 = 235;
       }
      } else i51 = 0;
     } else i51 = 0; else {
      i45 = i1 + 30 | 0;
      if (!(get8(i45 >> 0 | 0) | 0)) {
       do if (get8(i1 + 234 >> 0 | 0) | 0) {
        if ((getU16(i1 + 232 | 0) | 0) < (i39 | 0)) {
         i23 = i1 + 248 | 0;
         set32(i23 | 0, (get32(i23 | 0) | 0) + 1 | 0);
         break;
        }
        i23 = i1 + 256 | 0;
        i14 = get32(i23 | 0) | 0;
        if (!i14) {
         i49 = i1 + 252 | 0;
         set32(i49 | 0, (get32(i49 | 0) | 0) + 1 | 0);
         break;
        }
        set32(i23 | 0, get32(i14 | 0) | 0);
        i23 = i1 + 236 | 0;
        i49 = get32(i23 | 0) | 0;
        i47 = i49 + 1 | 0;
        set32(i23 | 0, i47 | 0);
        i23 = i1 + 244 | 0;
        set32(i23 | 0, (get32(i23 | 0) | 0) + 1 | 0);
        i23 = i1 + 240 | 0;
        if ((i49 | 0) >= (get32(i23 | 0) | 0)) set32(i23 | 0, i47 | 0);
        i43 = i14;
        i20 = 234;
        break L231;
       } while (0);
       do if (i40 >>> 0 <= 2147483390) {
        if (!(get32(50 * 4 | 0) | 0)) {
         i44 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i39) | 0;
         if (!i44) break; else {
          i50 = i44;
          i20 = 235;
          break L231;
         }
        }
        i44 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i39) | 0;
        set32(35 * 4 | 0, i39 | 0);
        if ((get32(45 * 4 | 0) | 0) < (i39 | 0)) set32(45 * 4 | 0, i39 | 0);
        i14 = get32(6 * 4 | 0) | 0;
        do if (i14) {
         i47 = get32(30 * 4 | 0) | 0;
         i23 = ((i47 | 0) < 0) << 31 >> 31;
         i49 = 16;
         i46 = _i64Subtract(get32(i49 | 0) | 0, get32(i49 + 4 | 0) | 0, i44 | 0, ((i44 | 0) < 0) << 31 >> 31 | 0) | 0;
         i49 = tempRet0;
         if ((i23 | 0) < (i49 | 0) | (i23 | 0) == (i49 | 0) & i47 >>> 0 < i46 >>> 0) {
          set32(11 * 4 | 0, 0 | 0);
          break;
         } else {
          set32(11 * 4 | 0, 1 | 0);
          i46 = get32(7 * 4 | 0) | 0;
          set32(6 * 4 | 0, 0 | 0);
          FUNCTION_TABLE_viiii[i14 & 15](i46, i47, i23, i44);
          set32(6 * 4 | 0, i14 | 0);
          set32(7 * 4 | 0, i46 | 0);
          break;
         }
        } while (0);
        i14 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i44) | 0;
        if (i14) {
         i46 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i14) | 0;
         i23 = (get32(30 * 4 | 0) | 0) + i46 | 0;
         set32(30 * 4 | 0, i23 | 0);
         if ((i23 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i23 | 0);
         i23 = get32(39 * 4 | 0) | 0;
         i46 = i23 + 1 | 0;
         set32(39 * 4 | 0, i46 | 0);
         if ((i23 | 0) < (get32(49 * 4 | 0) | 0)) {
          i50 = i14;
          i20 = 235;
          break L231;
         }
         set32(49 * 4 | 0, i46 | 0);
         i50 = i14;
         i20 = 235;
         break L231;
        }
       } while (0);
       set8(i45 >> 0 | 0, 1 | 0);
       i51 = 0;
      } else i51 = 0;
     } while (0);
     if ((i20 | 0) == 234) if (!i43) i51 = 0; else {
      i50 = i43;
      i20 = 235;
     }
     if ((i20 | 0) == 235) {
      i39 = i2 + -2 | 0;
      if ((i12 | 0) > 1) {
       i25 = 0;
       do {
        i27 = i25;
        i25 = i25 + 2 | 0;
        i14 = get8(i24 + i25 >> 0 | 0) | 0;
        i46 = get8(i24 + ((i27 | 1) + 2) >> 0 | 0) | 0;
        set8(i50 + ((i27 | 0) / 2 | 0) >> 0 | 0, (0 - (i46 >>> 6 & 1) & 9) + i46 & 15 | (0 - (i14 >>> 6 & 1) & 9) + i14 << 4 | 0);
       } while ((i25 | 0) < (i39 | 0));
       i52 = (i12 & -2 | 0) / 2 | 0;
      } else i52 = 0;
      set8(i50 + i52 >> 0 | 0, 0 | 0);
      i51 = i50;
     }
     _sqlite3VdbeMemSetStr(i41, i51, i40, 0, 9) | 0;
     i20 = 240;
     break L11;
    }
    break;
   }
  default:
   {
    i20 = 240;
    break L11;
   }
  } while (0);
  set8(i1 + 30 >> 0 | 0, 1 | 0);
  _sqlite3DbFree(i1, 0);
  if (i28) {
   _sqlite3VdbeMemReleaseExternal(i28);
   i13 = i28 + 36 | 0;
   _sqlite3DbFree(get32(i28 | 0) | 0, get32(i13 | 0) | 0);
   set32(i28 + 4 | 0, 0 | 0);
   set32(i13 | 0, 0 | 0);
   set32(i28 + 32 | 0, 0 | 0);
   _sqlite3DbFree(get32(i28 | 0) | 0, i28);
  }
  set32(i5 | 0, 0 | 0);
  i11 = 7;
  STACKTOP = i6;
  return i11 | 0;
 } while (0);
 L300 : do if ((i20 | 0) == 82) if (!(_sqlite3ValueFromExpr(i1, i21, i3, i4, i10) | 0)) {
  i28 = get32(i10 | 0) | 0;
  i51 = i28 + 28 | 0;
  i41 = get16(i51 | 0) | 0;
  do if (!(i41 & 13)) {
   i50 = i28 + 4 | 0;
   i52 = i28 + 16 | 0;
   i43 = i28 + 24 | 0;
   i42 = i28 + 31 | 0;
   if (!(_sqlite3Atoi64(get32(i50 | 0) | 0, i52, get32(i43 | 0) | 0, get8(i42 >> 0 | 0) | 0) | 0)) {
    i15 = (getU16(i51 | 0) & 48896 | 4) & 65535;
    set16(i51 | 0, i15 | 0);
    i53 = i52;
    i54 = i15;
    break;
   }
   i15 = get16(i51 | 0) | 0;
   i29 = i15 & 65535;
   do if (!(i29 & 8)) {
    if (i29 & 4) {
     i30 = i52;
     d55 = +((get32(i30 | 0) | 0) >>> 0) + 4294967296.0 * +(get32(i30 + 4 | 0) | 0);
     i56 = i15;
     break;
    }
    if (!(i29 & 18)) {
     d55 = 0.0;
     i56 = i15;
    } else {
     setF64(i8 | 0, +(0.0));
     _sqlite3AtoF(get32(i50 | 0) | 0, i8, get32(i43 | 0) | 0, get8(i42 >> 0 | 0) | 0) | 0;
     d55 = +getF64(i8 | 0);
     i56 = get16(i51 | 0) | 0;
    }
   } else {
    d55 = +getF64(i28 + 8 | 0);
    i56 = i15;
   } while (0);
   setF64(i28 + 8 | 0, +d55);
   i15 = i56 & 48896;
   i42 = (i15 | 8) & 65535;
   set16(i51 | 0, i42 | 0);
   i43 = d55 < -9223372036854775808.0 | d55 > 9223372036854775808.0;
   i50 = +Math_abs(d55) >= 1.0 ? (d55 > 0.0 ? ~~+Math_min(+Math_floor(d55 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d55 - +(~~d55 >>> 0)) / 4294967296.0) >>> 0) : 0;
   i29 = i43 ? 0 : ~~d55 >>> 0;
   i40 = i43 ? -2147483648 : i50;
   i50 = i52;
   set32(i50 | 0, i29 | 0);
   set32(i50 + 4 | 0, i40 | 0);
   i50 = _i64Add(i29 | 0, i40 | 0, 1, -2147483648) | 0;
   i43 = tempRet0;
   if (d55 != +(i29 >>> 0) + 4294967296.0 * +(i40 | 0) | (i43 >>> 0 < 0 | (i43 | 0) == 0 & i50 >>> 0 < 2)) {
    i53 = i52;
    i54 = i42;
   } else {
    i42 = (i15 | 12) & 65535;
    set16(i51 | 0, i42 | 0);
    i53 = i52;
    i54 = i42;
   }
  } else {
   i53 = i28 + 16 | 0;
   i54 = i41;
  } while (0);
  i41 = i54 & 65535;
  i42 = i41 & 65517;
  set16(i51 | 0, i42 | 0);
  i15 = i53;
  i50 = get32(i15 | 0) | 0;
  i43 = get32(i15 + 4 | 0) | 0;
  if ((i50 | 0) == 0 & (i43 | 0) == -2147483648) {
   i15 = (i41 & 4 | 8) & 65535;
   set16(i51 | 0, i15 | 0);
   i41 = i28 + 8 | 0;
   setF64(i41 | 0, +(9223372036854775808.0));
   i57 = i41;
   d58 = 9223372036854775808.0;
   i59 = i15;
  } else {
   i15 = _i64Subtract(0, 0, i50 | 0, i43 | 0) | 0;
   i43 = i53;
   set32(i43 | 0, i15 | 0);
   set32(i43 + 4 | 0, tempRet0 | 0);
   i43 = i28 + 8 | 0;
   i57 = i43;
   d58 = +getF64(i43 | 0);
   i59 = i42;
  }
  setF64(i57 | 0, +-d58);
  switch (i4 << 24 >> 24) {
  case 97:
   {
    i42 = i59 & 65535;
    if ((i42 & 2 | 0) != 0 | (i42 & 12 | 0) == 0) i60 = i59; else {
     _sqlite3VdbeMemStringify(i28, i3 & 255) | 0;
     i60 = get16(i51 | 0) | 0;
    }
    set16(i51 | 0, i60 & 65523 | 0);
    i20 = 240;
    break L300;
    break;
   }
  case 98:
   {
    i36 = i28;
    i37 = i28;
    i20 = 241;
    break L300;
    break;
   }
  default:
   {
    i42 = i59 & 65535;
    do if ((i42 & 12 | 0) == 0 ? (i43 = get8(i28 + 31 >> 0 | 0) | 0, (i42 & 2 | 0) != 0) : 0) {
     i15 = i28 + 4 | 0;
     i50 = i28 + 24 | 0;
     if (!(_sqlite3AtoF(get32(i15 | 0) | 0, i8, get32(i50 | 0) | 0, i43) | 0)) {
      i61 = get16(i51 | 0) | 0;
      break;
     }
     if (!(_sqlite3Atoi64(get32(i15 | 0) | 0, i9, get32(i50 | 0) | 0, i43) | 0)) {
      i43 = i9;
      i50 = get32(i43 + 4 | 0) | 0;
      i15 = i53;
      set32(i15 | 0, get32(i43 | 0) | 0);
      set32(i15 + 4 | 0, i50 | 0);
      i50 = (getU16(i51 | 0) | 4) & 65535;
      set16(i51 | 0, i50 | 0);
      i61 = i50;
      break;
     } else {
      setF64(i57 | 0, +(+getF64(i8 | 0)));
      i50 = (getU16(i51 | 0) | 8) & 65535;
      set16(i51 | 0, i50 | 0);
      i61 = i50;
      break;
     }
    } else i61 = i59; while (0);
    if (!(i61 & 8)) {
     i20 = 240;
     break L300;
    }
    d32 = +getF64(i57 | 0);
    i28 = d32 < -9223372036854775808.0 | d32 > 9223372036854775808.0;
    i42 = +Math_abs(d32) >= 1.0 ? (d32 > 0.0 ? ~~+Math_min(+Math_floor(d32 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d32 - +(~~d32 >>> 0)) / 4294967296.0) >>> 0) : 0;
    i50 = i28 ? 0 : ~~d32 >>> 0;
    i15 = i28 ? -2147483648 : i42;
    i42 = i53;
    set32(i42 | 0, i50 | 0);
    set32(i42 + 4 | 0, i15 | 0);
    i42 = _i64Add(i50 | 0, i15 | 0, 1, -2147483648) | 0;
    i28 = tempRet0;
    if (d32 != +(i50 >>> 0) + 4294967296.0 * +(i15 | 0) | (i28 >>> 0 < 0 | (i28 | 0) == 0 & i42 >>> 0 < 2)) {
     i20 = 240;
     break L300;
    }
    set16(i51 | 0, i61 & 65535 | 4 | 0);
    i20 = 240;
    break L300;
   }
  }
 } else i20 = 240; while (0);
 if ((i20 | 0) == 240) {
  i61 = get32(i10 | 0) | 0;
  i10 = i61;
  if (!i61) i62 = i10; else {
   i36 = i61;
   i37 = i10;
   i20 = 241;
  }
 }
 do if ((i20 | 0) == 241) {
  i10 = getU16(i36 + 28 | 0) | 0;
  if (i10 & 1) {
   set8(i36 + 30 >> 0 | 0, 5 | 0);
   i62 = i37;
   break;
  }
  if (i10 & 4) {
   set8(i36 + 30 >> 0 | 0, 1 | 0);
   i62 = i37;
   break;
  }
  if (i10 & 8) {
   set8(i36 + 30 >> 0 | 0, 2 | 0);
   i62 = i37;
   break;
  }
  i61 = i36 + 30 | 0;
  if (!(i10 & 2)) {
   set8(i61 >> 0 | 0, 4 | 0);
   i62 = i37;
   break;
  } else {
   set8(i61 >> 0 | 0, 3 | 0);
   i62 = i37;
   break;
  }
 } while (0);
 set32(i5 | 0, i62 | 0);
 i11 = 0;
 STACKTOP = i6;
 return i11 | 0;
}

function _sqlite3_blob_open(i1, i2, i3, i4, i5, i6, i7, i8) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 i7 = i7 | 0;
 i8 = i8 | 0;
 var i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0, i80 = 0, i81 = 0, i82 = 0, i83 = 0, i84 = 0, i85 = 0, i86 = 0, i87 = 0, i88 = 0, i89 = 0, i90 = 0, i91 = 0, i92 = 0, i93 = 0, i94 = 0, i95 = 0, i96 = 0, i97 = 0, i98 = 0, i99 = 0, i100 = 0, i101 = 0, i102 = 0, i103 = 0, i104 = 0, i105 = 0, i106 = 0, i107 = 0, i108 = 0, i109 = 0, i110 = 0, i111 = 0, i112 = 0, i113 = 0, i114 = 0;
 i9 = STACKTOP;
 STACKTOP = STACKTOP + 80 | 0;
 i10 = i9 + 64 | 0;
 i11 = i9 + 56 | 0;
 i12 = i9 + 48 | 0;
 i13 = i9 + 40 | 0;
 i14 = i9 + 32 | 0;
 i15 = i9 + 24 | 0;
 i16 = i9 + 16 | 0;
 i17 = i9;
 i18 = i9 + 68 | 0;
 set32(i18 | 0, 0 | 0);
 i19 = (i7 | 0) != 0;
 i7 = i19 & 1;
 set32(i8 | 0, 0 | 0);
 i20 = (i1 | 0) == 0;
 L1 : do if (i20) {
  if (!(get32(50 * 4 | 0) | 0)) {
   i21 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](28) | 0;
   i22 = 39;
   break;
  }
  i23 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](28) | 0;
  set32(35 * 4 | 0, 28 | 0);
  if ((get32(45 * 4 | 0) | 0) < 28) set32(45 * 4 | 0, 28 | 0);
  i24 = get32(6 * 4 | 0) | 0;
  do if (i24) {
   i25 = get32(30 * 4 | 0) | 0;
   i26 = ((i25 | 0) < 0) << 31 >> 31;
   i27 = 16;
   i28 = _i64Subtract(get32(i27 | 0) | 0, get32(i27 + 4 | 0) | 0, i23 | 0, ((i23 | 0) < 0) << 31 >> 31 | 0) | 0;
   i27 = tempRet0;
   if ((i26 | 0) < (i27 | 0) | (i26 | 0) == (i27 | 0) & i25 >>> 0 < i28 >>> 0) {
    set32(11 * 4 | 0, 0 | 0);
    break;
   } else {
    set32(11 * 4 | 0, 1 | 0);
    i28 = get32(7 * 4 | 0) | 0;
    set32(6 * 4 | 0, 0 | 0);
    FUNCTION_TABLE_viiii[i24 & 15](i28, i25, i26, i23);
    set32(6 * 4 | 0, i24 | 0);
    set32(7 * 4 | 0, i28 | 0);
    break;
   }
  } while (0);
  i24 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i23) | 0;
  if (!i24) {
   i29 = 0;
   i30 = 0;
   i31 = 0;
   i22 = 222;
  } else {
   i28 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i24) | 0;
   i26 = (get32(30 * 4 | 0) | 0) + i28 | 0;
   set32(30 * 4 | 0, i26 | 0);
   if ((i26 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i26 | 0);
   i26 = get32(39 * 4 | 0) | 0;
   i28 = i26 + 1 | 0;
   set32(39 * 4 | 0, i28 | 0);
   if ((i26 | 0) >= (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i28 | 0);
   i32 = i24;
   i33 = i32 + 28 | 0;
   do {
    set8(i32 >> 0 | 0, 0 | 0);
    i32 = i32 + 1 | 0;
   } while ((i32 | 0) < (i33 | 0));
   i34 = i24;
   i35 = i24;
   i22 = 43;
  }
 } else {
  i23 = i1 + 30 | 0;
  if (!(get8(i23 >> 0 | 0) | 0)) {
   do if (get8(i1 + 234 >> 0 | 0) | 0) {
    if ((getU16(i1 + 232 | 0) | 0) < 28) {
     i28 = i1 + 248 | 0;
     set32(i28 | 0, (get32(i28 | 0) | 0) + 1 | 0);
     break;
    }
    i28 = i1 + 256 | 0;
    i26 = get32(i28 | 0) | 0;
    if (!i26) {
     i25 = i1 + 252 | 0;
     set32(i25 | 0, (get32(i25 | 0) | 0) + 1 | 0);
     break;
    }
    set32(i28 | 0, get32(i26 | 0) | 0);
    i28 = i1 + 236 | 0;
    i25 = get32(i28 | 0) | 0;
    i27 = i25 + 1 | 0;
    set32(i28 | 0, i27 | 0);
    i28 = i1 + 244 | 0;
    set32(i28 | 0, (get32(i28 | 0) | 0) + 1 | 0);
    i28 = i1 + 240 | 0;
    if ((i25 | 0) >= (get32(i28 | 0) | 0)) set32(i28 | 0, i27 | 0);
    i21 = i26;
    i22 = 39;
    break L1;
   } while (0);
   if (!(get32(50 * 4 | 0) | 0)) {
    i24 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](28) | 0;
    if (!i24) i22 = 37; else {
     i36 = i24;
     i22 = 40;
    }
   } else {
    i24 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](28) | 0;
    set32(35 * 4 | 0, 28 | 0);
    if ((get32(45 * 4 | 0) | 0) < 28) set32(45 * 4 | 0, 28 | 0);
    i26 = get32(6 * 4 | 0) | 0;
    do if (i26) {
     i27 = get32(30 * 4 | 0) | 0;
     i28 = ((i27 | 0) < 0) << 31 >> 31;
     i25 = 16;
     i37 = _i64Subtract(get32(i25 | 0) | 0, get32(i25 + 4 | 0) | 0, i24 | 0, ((i24 | 0) < 0) << 31 >> 31 | 0) | 0;
     i25 = tempRet0;
     if ((i28 | 0) < (i25 | 0) | (i28 | 0) == (i25 | 0) & i27 >>> 0 < i37 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i37 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i26 & 15](i37, i27, i28, i24);
      set32(6 * 4 | 0, i26 | 0);
      set32(7 * 4 | 0, i37 | 0);
      break;
     }
    } while (0);
    i26 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i24) | 0;
    if (i26) {
     i37 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i26) | 0;
     i28 = (get32(30 * 4 | 0) | 0) + i37 | 0;
     set32(30 * 4 | 0, i28 | 0);
     if ((i28 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i28 | 0);
     i28 = get32(39 * 4 | 0) | 0;
     i37 = i28 + 1 | 0;
     set32(39 * 4 | 0, i37 | 0);
     if ((i28 | 0) < (get32(49 * 4 | 0) | 0)) {
      i36 = i26;
      i22 = 40;
     } else {
      set32(49 * 4 | 0, i37 | 0);
      i36 = i26;
      i22 = 40;
     }
    } else i22 = 37;
   }
   if ((i22 | 0) == 37) {
    set8(i23 >> 0 | 0, 1 | 0);
    i29 = 0;
    i30 = 0;
    i31 = 0;
    i22 = 222;
    break;
   } else if ((i22 | 0) == 40) {
    i32 = i36;
    i33 = i32 + 28 | 0;
    do {
     set8(i32 >> 0 | 0, 0 | 0);
     i32 = i32 + 1 | 0;
    } while ((i32 | 0) < (i33 | 0));
    i38 = i36;
    i39 = i23;
    i40 = (i36 | 0) != 0;
    i41 = i36;
    i22 = 56;
    break;
   }
  } else {
   i29 = 0;
   i30 = 0;
   i31 = 0;
   i22 = 222;
  }
 } while (0);
 if ((i22 | 0) == 39) if (i21) {
  i32 = i21;
  i33 = i32 + 28 | 0;
  do {
   set8(i32 >> 0 | 0, 0 | 0);
   i32 = i32 + 1 | 0;
  } while ((i32 | 0) < (i33 | 0));
  if (i20) {
   i34 = i21;
   i35 = i21;
   i22 = 43;
  } else {
   i38 = i21;
   i39 = i1 + 30 | 0;
   i40 = 1;
   i41 = i21;
   i22 = 56;
  }
 } else {
  i29 = 0;
  i30 = 0;
  i31 = 0;
  i22 = 222;
 }
 L60 : do if ((i22 | 0) == 43) {
  if (!(get32(50 * 4 | 0) | 0)) {
   i42 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](560) | 0;
   i43 = i34;
   i44 = 1;
   i45 = i35;
   i22 = 80;
   break;
  }
  i21 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](560) | 0;
  set32(35 * 4 | 0, 560 | 0);
  if ((get32(45 * 4 | 0) | 0) < 560) set32(45 * 4 | 0, 560 | 0);
  i32 = get32(6 * 4 | 0) | 0;
  do if (i32) {
   i33 = get32(30 * 4 | 0) | 0;
   i36 = ((i33 | 0) < 0) << 31 >> 31;
   i24 = 16;
   i26 = _i64Subtract(get32(i24 | 0) | 0, get32(i24 + 4 | 0) | 0, i21 | 0, ((i21 | 0) < 0) << 31 >> 31 | 0) | 0;
   i24 = tempRet0;
   if ((i36 | 0) < (i24 | 0) | (i36 | 0) == (i24 | 0) & i33 >>> 0 < i26 >>> 0) {
    set32(11 * 4 | 0, 0 | 0);
    break;
   } else {
    set32(11 * 4 | 0, 1 | 0);
    i26 = get32(7 * 4 | 0) | 0;
    set32(6 * 4 | 0, 0 | 0);
    FUNCTION_TABLE_viiii[i32 & 15](i26, i33, i36, i21);
    set32(6 * 4 | 0, i32 | 0);
    set32(7 * 4 | 0, i26 | 0);
    break;
   }
  } while (0);
  i32 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i21) | 0;
  if (i32) {
   i23 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i32) | 0;
   i26 = (get32(30 * 4 | 0) | 0) + i23 | 0;
   set32(30 * 4 | 0, i26 | 0);
   if ((i26 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i26 | 0);
   i26 = get32(39 * 4 | 0) | 0;
   i23 = i26 + 1 | 0;
   set32(39 * 4 | 0, i23 | 0);
   if ((i26 | 0) < (get32(49 * 4 | 0) | 0)) {
    i46 = i32;
    i47 = i34;
    i48 = 1;
    i49 = i35;
    i22 = 79;
   } else {
    set32(49 * 4 | 0, i23 | 0);
    i46 = i32;
    i47 = i34;
    i48 = 1;
    i49 = i35;
    i22 = 79;
   }
  } else {
   i29 = i34;
   i30 = 1;
   i31 = 0;
   i22 = 222;
  }
 } else if ((i22 | 0) == 56) if (!(get8(i39 >> 0 | 0) | 0)) {
  do if (get8(i1 + 234 >> 0 | 0) | 0) {
   if ((getU16(i1 + 232 | 0) | 0) < 560) {
    i32 = i1 + 248 | 0;
    set32(i32 | 0, (get32(i32 | 0) | 0) + 1 | 0);
    break;
   }
   i32 = i1 + 256 | 0;
   i23 = get32(i32 | 0) | 0;
   if (!i23) {
    i26 = i1 + 252 | 0;
    set32(i26 | 0, (get32(i26 | 0) | 0) + 1 | 0);
    break;
   }
   set32(i32 | 0, get32(i23 | 0) | 0);
   i32 = i1 + 236 | 0;
   i26 = get32(i32 | 0) | 0;
   i36 = i26 + 1 | 0;
   set32(i32 | 0, i36 | 0);
   i32 = i1 + 244 | 0;
   set32(i32 | 0, (get32(i32 | 0) | 0) + 1 | 0);
   i32 = i1 + 240 | 0;
   if ((i26 | 0) >= (get32(i32 | 0) | 0)) set32(i32 | 0, i36 | 0);
   i42 = i23;
   i43 = i38;
   i44 = i40;
   i45 = i41;
   i22 = 80;
   break L60;
  } while (0);
  if (!(get32(50 * 4 | 0) | 0)) {
   i21 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](560) | 0;
   if (i21) {
    i46 = i21;
    i47 = i38;
    i48 = i40;
    i49 = i41;
    i22 = 79;
    break;
   }
  } else {
   i21 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](560) | 0;
   set32(35 * 4 | 0, 560 | 0);
   if ((get32(45 * 4 | 0) | 0) < 560) set32(45 * 4 | 0, 560 | 0);
   i23 = get32(6 * 4 | 0) | 0;
   do if (i23) {
    i36 = get32(30 * 4 | 0) | 0;
    i32 = ((i36 | 0) < 0) << 31 >> 31;
    i26 = 16;
    i33 = _i64Subtract(get32(i26 | 0) | 0, get32(i26 + 4 | 0) | 0, i21 | 0, ((i21 | 0) < 0) << 31 >> 31 | 0) | 0;
    i26 = tempRet0;
    if ((i32 | 0) < (i26 | 0) | (i32 | 0) == (i26 | 0) & i36 >>> 0 < i33 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i33 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i23 & 15](i33, i36, i32, i21);
     set32(6 * 4 | 0, i23 | 0);
     set32(7 * 4 | 0, i33 | 0);
     break;
    }
   } while (0);
   i23 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i21) | 0;
   if (i23) {
    i33 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i23) | 0;
    i32 = (get32(30 * 4 | 0) | 0) + i33 | 0;
    set32(30 * 4 | 0, i32 | 0);
    if ((i32 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i32 | 0);
    i32 = get32(39 * 4 | 0) | 0;
    i33 = i32 + 1 | 0;
    set32(39 * 4 | 0, i33 | 0);
    if ((i32 | 0) < (get32(49 * 4 | 0) | 0)) {
     i46 = i23;
     i47 = i38;
     i48 = i40;
     i49 = i41;
     i22 = 79;
     break;
    }
    set32(49 * 4 | 0, i33 | 0);
    i46 = i23;
    i47 = i38;
    i48 = i40;
    i49 = i41;
    i22 = 79;
    break;
   }
  }
  set8(i39 >> 0 | 0, 1 | 0);
  i29 = i38;
  i30 = i40;
  i31 = 0;
  i22 = 222;
 } else {
  i29 = i38;
  i30 = i40;
  i31 = 0;
  i22 = 222;
 } while (0);
 if ((i22 | 0) == 79) {
  i50 = i47;
  i51 = i46;
  i52 = i46;
  i53 = i49;
  i54 = i48;
  i22 = 81;
 } else if ((i22 | 0) == 80) if (!i42) {
  i29 = i43;
  i30 = i44;
  i31 = i42;
  i22 = 222;
 } else {
  i50 = i43;
  i51 = i42;
  i52 = i42;
  i53 = i45;
  i54 = i44;
  i22 = 81;
 }
 do if ((i22 | 0) == 81) {
  i44 = i1 + 4 | 0;
  i45 = i1 + 8 | 0;
  i42 = i52 + 8 | 0;
  i43 = (i3 | 0) == 0;
  i48 = (i2 | 0) == 0;
  i49 = i1 + 12 | 0;
  i46 = i50 + 20 | 0;
  i47 = i50 + 12 | 0;
  i40 = i50 + 24 | 0;
  i38 = i1 + 30 | 0;
  i39 = i1 + 136 | 0;
  i41 = i19 ? 4 : 3;
  i34 = i51 + 456 | 0;
  i35 = i51 + 72 | 0;
  i23 = i51 + 68 | 0;
  i33 = 4 - i7 | 0;
  i32 = i1 + 234 | 0;
  i36 = i1 + 232 | 0;
  i26 = i1 + 248 | 0;
  i24 = i1 + 256 | 0;
  i37 = i1 + 252 | 0;
  i28 = i1 + 236 | 0;
  i27 = i1 + 244 | 0;
  i25 = i1 + 240 | 0;
  i55 = i3;
  i56 = 0;
  i57 = 0;
  while (1) {
   _memset(i51 | 0, 0, 560) | 0;
   set32(i51 | 0, i1 | 0);
   _sqlite3DbFree(i1, get32(i18 | 0) | 0);
   set32(i18 | 0, 0 | 0);
   i58 = get32(i44 | 0) | 0;
   if ((i58 | 0) > 0) {
    i59 = get32(i45 | 0) | 0;
    i60 = 0;
    do {
     i61 = get32(i59 + (i60 << 4) + 4 | 0) | 0;
     if (i61) set32((get32(i61 + 4 | 0) | 0) + 4 | 0, get32(i61 | 0) | 0);
     i60 = i60 + 1 | 0;
    } while ((i60 | 0) != (i58 | 0));
   }
   i58 = get32(i52 | 0) | 0;
   if (!(get8(i58 + 124 >> 0 | 0) | 0)) {
    i60 = _sqlite3Init(i58, i42) | 0;
    if (i60) {
     i62 = i60;
     i22 = 90;
     break;
    }
    i63 = get32(i52 | 0) | 0;
   } else i63 = i58;
   if (i43) i64 = 0; else {
    i58 = i3;
    while (1) if (!(get8(i58 >> 0 | 0) | 0)) {
     i65 = i58;
     break;
    } else i58 = i58 + 1 | 0;
    i64 = i65 - i55 & 1073741823;
   }
   i58 = get32(i63 + 4 | 0) | 0;
   if ((i58 | 0) <= 0) {
    i22 = 104;
    break;
   }
   i60 = get32(i63 + 8 | 0) | 0;
   i59 = 0;
   i61 = 0;
   while (1) {
    i66 = (i59 | 0) < 2 ^ i59;
    if (!i48) {
     i67 = get32(i60 + (i66 << 4) | 0) | 0;
     i68 = get8(i2 >> 0 | 0) | 0;
     L140 : do if (!(i68 << 24 >> 24)) {
      i69 = 0;
      i70 = i67;
     } else {
      i71 = i68;
      i72 = i2;
      i73 = i67;
      while (1) {
       if ((get8(16286 + (i71 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i73 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
        i69 = i71;
        i70 = i73;
        break L140;
       }
       i72 = i72 + 1 | 0;
       i74 = i73 + 1 | 0;
       i71 = get8(i72 >> 0 | 0) | 0;
       if (!(i71 << 24 >> 24)) {
        i69 = 0;
        i70 = i74;
        break;
       } else i73 = i74;
      }
     } while (0);
     if ((get8(16286 + (i69 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i70 >> 0 | 0) | 0) >> 0 | 0) | 0)) i75 = i61; else i22 = 101;
    } else i22 = 101;
    if ((i22 | 0) == 101) {
     i22 = 0;
     i67 = _sqlite3HashFind((get32(i60 + (i66 << 4) + 12 | 0) | 0) + 8 | 0, i3, i64) | 0;
     if (!i67) i75 = i67; else {
      i76 = i67;
      break;
     }
    }
    i59 = i59 + 1 | 0;
    if ((i59 | 0) >= (i58 | 0)) {
     i76 = i75;
     break;
    } else i61 = i75;
   }
   if (!i76) {
    i22 = 104;
    break;
   }
   if (get8(i76 + 34 >> 0 | 0) & 16) {
    i22 = 109;
    break;
   }
   if (get32(i76 + 28 | 0) | 0) {
    i22 = 113;
    break;
   }
   i61 = i76 + 8 | 0;
   i58 = get32(i61 | 0) | 0;
   L152 : do if ((i58 | 0) > 0) {
    i59 = get32(i76 + 12 | 0) | 0;
    i60 = 0;
    while (1) {
     i67 = get32(i59 + (i60 * 24 | 0) | 0) | 0;
     i68 = get8(i67 >> 0 | 0) | 0;
     L156 : do if (!(i68 << 24 >> 24)) {
      i77 = 0;
      i78 = i4;
     } else {
      i73 = i68;
      i71 = i67;
      i72 = i4;
      while (1) {
       if ((get8(16286 + (i73 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i72 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
        i77 = i73;
        i78 = i72;
        break L156;
       }
       i71 = i71 + 1 | 0;
       i74 = i72 + 1 | 0;
       i73 = get8(i71 >> 0 | 0) | 0;
       if (!(i73 << 24 >> 24)) {
        i77 = 0;
        i78 = i74;
        break;
       } else i72 = i74;
      }
     } while (0);
     if ((get8(16286 + (i77 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i78 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
      i79 = i60;
      break L152;
     }
     i67 = i60 + 1 | 0;
     if ((i67 | 0) < (i58 | 0)) i60 = i67; else {
      i79 = i67;
      break;
     }
    }
   } else i79 = 0; while (0);
   if ((i79 | 0) == (i58 | 0)) {
    i22 = 122;
    break;
   }
   if (i19) {
    if ((get32(i49 | 0) & 67108864 | 0) != 0 ? (i60 = get32(i76 + 36 | 0) | 0, (i60 | 0) != 0) : 0) {
     i59 = i60;
     i60 = 0;
     while (1) {
      i66 = get32(i59 + 20 | 0) | 0;
      if ((i66 | 0) > 0) {
       i67 = 0;
       i68 = i60;
       while (1) {
        i72 = (get32(i59 + 36 + (i67 << 3) | 0) | 0) == (i79 | 0) ? 16763 : i68;
        i67 = i67 + 1 | 0;
        if ((i67 | 0) >= (i66 | 0)) {
         i80 = i72;
         break;
        } else i68 = i72;
       }
      } else i80 = i60;
      i59 = get32(i59 + 4 | 0) | 0;
      if (!i59) {
       i81 = i80;
       break;
      } else i60 = i80;
     }
    } else i81 = 0;
    i60 = get32(i76 + 16 | 0) | 0;
    if (!i60) i82 = i81; else {
     i59 = i60;
     i60 = i81;
     while (1) {
      i58 = get32(i59 + 4 | 0) | 0;
      if ((i58 | 0) > 0) {
       i68 = get32(i59 + 8 | 0) | 0;
       i66 = 0;
       i67 = i60;
       while (1) {
        i72 = (get32(i68 + (i66 << 2) | 0) | 0) == (i79 | 0) ? 16775 : i67;
        i66 = i66 + 1 | 0;
        if ((i66 | 0) >= (i58 | 0)) {
         i83 = i72;
         break;
        } else i67 = i72;
       }
      } else i83 = i60;
      i59 = get32(i59 + 32 | 0) | 0;
      if (!i59) {
       i82 = i83;
       break;
      } else i60 = i83;
     }
    }
    if (i82) {
     i84 = i82;
     i22 = 135;
     break;
    }
   }
   L185 : do if (i20) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i85 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
     i22 = 173;
     break;
    }
    i60 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
    set32(35 * 4 | 0, 192 | 0);
    if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
    i59 = get32(6 * 4 | 0) | 0;
    do if (i59) {
     i67 = get32(30 * 4 | 0) | 0;
     i58 = ((i67 | 0) < 0) << 31 >> 31;
     i66 = 16;
     i68 = _i64Subtract(get32(i66 | 0) | 0, get32(i66 + 4 | 0) | 0, i60 | 0, ((i60 | 0) < 0) << 31 >> 31 | 0) | 0;
     i66 = tempRet0;
     if ((i58 | 0) < (i66 | 0) | (i58 | 0) == (i66 | 0) & i67 >>> 0 < i68 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i68 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i59 & 15](i68, i67, i58, i60);
      set32(6 * 4 | 0, i59 | 0);
      set32(7 * 4 | 0, i68 | 0);
      break;
     }
    } while (0);
    i59 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i60) | 0;
    if (!i59) i22 = 174; else {
     i68 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i59) | 0;
     i58 = (get32(30 * 4 | 0) | 0) + i68 | 0;
     set32(30 * 4 | 0, i58 | 0);
     if ((i58 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i58 | 0);
     i58 = get32(39 * 4 | 0) | 0;
     i68 = i58 + 1 | 0;
     set32(39 * 4 | 0, i68 | 0);
     if ((i58 | 0) < (get32(49 * 4 | 0) | 0)) {
      i86 = i59;
      i22 = 175;
      break;
     }
     set32(49 * 4 | 0, i68 | 0);
     i86 = i59;
     i22 = 175;
    }
   } else if (!(get8(i38 >> 0 | 0) | 0)) {
    do if (get8(i32 >> 0 | 0) | 0) {
     if ((getU16(i36 | 0) | 0) < 192) {
      set32(i26 | 0, (get32(i26 | 0) | 0) + 1 | 0);
      break;
     }
     i59 = get32(i24 | 0) | 0;
     if (!i59) {
      set32(i37 | 0, (get32(i37 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i24 | 0, get32(i59 | 0) | 0);
     i68 = get32(i28 | 0) | 0;
     i58 = i68 + 1 | 0;
     set32(i28 | 0, i58 | 0);
     set32(i27 | 0, (get32(i27 | 0) | 0) + 1 | 0);
     if ((i68 | 0) >= (get32(i25 | 0) | 0)) set32(i25 | 0, i58 | 0);
     i85 = i59;
     i22 = 173;
     break L185;
    } while (0);
    do if (!(get32(50 * 4 | 0) | 0)) {
     i60 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
     if (i60) {
      i86 = i60;
      i22 = 175;
      break L185;
     }
    } else {
     i60 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
     set32(35 * 4 | 0, 192 | 0);
     if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
     i59 = get32(6 * 4 | 0) | 0;
     do if (i59) {
      i58 = get32(30 * 4 | 0) | 0;
      i68 = ((i58 | 0) < 0) << 31 >> 31;
      i67 = 16;
      i66 = _i64Subtract(get32(i67 | 0) | 0, get32(i67 + 4 | 0) | 0, i60 | 0, ((i60 | 0) < 0) << 31 >> 31 | 0) | 0;
      i67 = tempRet0;
      if ((i68 | 0) < (i67 | 0) | (i68 | 0) == (i67 | 0) & i58 >>> 0 < i66 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i66 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i59 & 15](i66, i58, i68, i60);
       set32(6 * 4 | 0, i59 | 0);
       set32(7 * 4 | 0, i66 | 0);
       break;
      }
     } while (0);
     i59 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i60) | 0;
     if (!i59) break;
     i66 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i59) | 0;
     i68 = (get32(30 * 4 | 0) | 0) + i66 | 0;
     set32(30 * 4 | 0, i68 | 0);
     if ((i68 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i68 | 0);
     i68 = get32(39 * 4 | 0) | 0;
     i66 = i68 + 1 | 0;
     set32(39 * 4 | 0, i66 | 0);
     if ((i68 | 0) < (get32(49 * 4 | 0) | 0)) {
      i86 = i59;
      i22 = 175;
      break L185;
     }
     set32(49 * 4 | 0, i66 | 0);
     i86 = i59;
     i22 = 175;
     break L185;
    } while (0);
    set8(i38 >> 0 | 0, 1 | 0);
    i22 = 174;
   } else i22 = 174; while (0);
   if ((i22 | 0) == 173) {
    i22 = 0;
    if (!i85) i22 = 174; else {
     i86 = i85;
     i22 = 175;
    }
   }
   do if ((i22 | 0) == 174) {
    i22 = 0;
    set32(i46 | 0, 0 | 0);
   } else if ((i22 | 0) == 175) {
    i22 = 0;
    _memset(i86 | 0, 0, 192) | 0;
    set32(i86 | 0, i1 | 0);
    i59 = get32(i39 | 0) | 0;
    if (i59) set32(i59 + 60 | 0, i86 | 0);
    set32(i86 + 64 | 0, i59 | 0);
    set32(i86 + 60 | 0, 0 | 0);
    set32(i39 | 0, i86 | 0);
    set32(i86 + 52 | 0, 649915045 | 0);
    set32(i46 | 0, i86 | 0);
    if (i86) {
     i59 = i76 + 68 | 0;
     i66 = get32(i59 | 0) | 0;
     L245 : do if (i66) {
      i68 = get32(i44 | 0) | 0;
      if ((i68 | 0) > 0) {
       i58 = get32(i45 | 0) | 0;
       i67 = 0;
       while (1) {
        if ((get32(i58 + (i67 << 4) + 12 | 0) | 0) == (i66 | 0)) {
         i87 = i67;
         break L245;
        }
        i72 = i67 + 1 | 0;
        if ((i72 | 0) < (i68 | 0)) i67 = i72; else {
         i87 = i72;
         break;
        }
       }
      } else i87 = 0;
     } else i87 = -1e6; while (0);
     i66 = i86 + 28 | 0;
     i67 = i86 + 32 | 0;
     i68 = i86 + 4 | 0;
     i58 = _sqlite3DbRealloc(i1, 0, 1020) | 0;
     if (!i58) i88 = get32(i66 | 0) | 0; else {
      i60 = get32(i86 | 0) | 0;
      do if (!i60) i22 = 188; else {
       if ((get32(i60 + 260 | 0) | 0) >>> 0 > i58 >>> 0) {
        i22 = 188;
        break;
       }
       if ((get32(i60 + 264 | 0) | 0) >>> 0 <= i58 >>> 0) {
        i22 = 188;
        break;
       }
       i89 = getU16(i60 + 232 | 0) | 0;
      } while (0);
      if ((i22 | 0) == 188) {
       i22 = 0;
       i89 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i58) | 0;
      }
      set32(i67 | 0, (i89 >>> 0) / 20 | 0 | 0);
      set32(i68 | 0, i58 | 0);
      i60 = get32(i66 | 0) | 0;
      i72 = i58;
      i73 = 0;
      i71 = 16643;
      while (1) {
       i74 = get8(i71 + 2 >> 0 | 0) | 0;
       i90 = i74 << 24 >> 24;
       i91 = i73 + i60 | 0;
       i92 = get8(i71 >> 0 | 0) | 0;
       set8(i72 + (i91 * 20 | 0) >> 0 | 0, i92 | 0);
       set32(i72 + (i91 * 20 | 0) + 4 | 0, get8(i71 + 1 >> 0 | 0) | 0);
       do if (i74 << 24 >> 24 < 0) {
        if (!(get8(25464 + (i92 & 255) >> 0 | 0) & 1)) {
         i22 = 194;
         break;
        }
        set32(i72 + (i91 * 20 | 0) + 8 | 0, i60 + ~i90 | 0);
       } else i22 = 194; while (0);
       if ((i22 | 0) == 194) {
        i22 = 0;
        set32(i72 + (i91 * 20 | 0) + 8 | 0, i90 | 0);
       }
       set32(i72 + (i91 * 20 | 0) + 12 | 0, get8(i71 + 3 >> 0 | 0) | 0);
       set8(i72 + (i91 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       set32(i72 + (i91 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i72 + (i91 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       i92 = i73 + 1 | 0;
       if ((i92 | 0) == 12) break;
       i72 = get32(i68 | 0) | 0;
       i73 = i92;
       i71 = i71 + 4 | 0;
      }
      i71 = i60 + 12 | 0;
      set32(i66 | 0, i71 | 0);
      i88 = i71;
     }
     do if ((i88 | 0) > 0) {
      set32((get32(i86 + 4 | 0) | 0) + 4 | 0, i87 | 0);
      i71 = get32(i86 + 4 | 0) | 0;
      set32(i71 + 8 | 0, i7 | 0);
      if ((i88 | 0) <= 1) {
       i22 = 201;
       break;
      }
      set32(i71 + 24 | 0, i87 | 0);
      i73 = get32(i59 | 0) | 0;
      set32(i71 + 28 | 0, get32(i73 | 0) | 0);
      set32(i71 + 32 | 0, get32(i73 + 4 | 0) | 0);
      i73 = i86 + 112 | 0;
      set32(i73 | 0, get32(i73 | 0) | 1 << i87 | 0);
      if ((i88 | 0) <= 2) {
       i22 = 202;
       break;
      }
      i73 = get32(i86 + 4 | 0) | 0;
      set32(i73 + 44 | 0, i87 | 0);
      i71 = i76 + 20 | 0;
      set32(i73 + 48 | 0, get32(i71 | 0) | 0);
      i73 = i86 + 4 | 0;
      set32((get32(i73 | 0) | 0) + 52 | 0, i7 | 0);
      i93 = i71;
      i94 = i73;
     } else i22 = 201; while (0);
     if ((i22 | 0) == 201) {
      i22 = 0;
      i59 = i86 + 112 | 0;
      set32(i59 | 0, get32(i59 | 0) | 1 << i87 | 0);
      i22 = 202;
     }
     if ((i22 | 0) == 202) {
      i22 = 0;
      i93 = i76 + 20 | 0;
      i94 = i86 + 4 | 0;
     }
     _sqlite3VdbeChangeP4(i86, 2, get32(i76 | 0) | 0, 0);
     i59 = get32(i94 | 0) | 0;
     if (i59) {
      _freeP4(get32(i86 | 0) | 0, get8(i59 + (i33 * 20 | 0) + 1 >> 0 | 0) | 0, get32(i59 + (i33 * 20 | 0) + 16 | 0) | 0);
      i60 = i59 + (i33 * 20 | 0) | 0;
      set32(i60 | 0, 0 | 0);
      set32(i60 + 4 | 0, 0 | 0);
      set32(i60 + 8 | 0, 0 | 0);
      set32(i60 + 12 | 0, 0 | 0);
      set32(i60 + 16 | 0, 0 | 0);
      set8(i60 >> 0 | 0, -119 | 0);
     }
     i60 = get32(i66 | 0) | 0;
     if ((i60 | 0) > (i41 | 0)) {
      set32((get32(i94 | 0) | 0) + (i41 * 20 | 0) + 8 | 0, get32(i93 | 0) | 0);
      i59 = get32(i94 | 0) | 0;
      set32(i59 + (i41 * 20 | 0) + 12 | 0, i87 | 0);
      i95 = i59;
     } else i95 = get32(i94 | 0) | 0;
     i59 = (get32(i61 | 0) | 0) + 1 | 0;
     i73 = get32(i86 | 0) | 0;
     do if (!i95) i96 = i60; else {
      if (get8(i73 + 30 >> 0 | 0) | 0) {
       i96 = i60;
       break;
      }
      i71 = i95 + (i41 * 20 | 0) + 1 | 0;
      i68 = i95 + (i41 * 20 | 0) + 16 | 0;
      _freeP4(i73, get8(i71 >> 0 | 0) | 0, get32(i68 | 0) | 0);
      set32(i68 | 0, i59 | 0);
      set8(i71 >> 0 | 0, -14 | 0);
      i96 = get32(i66 | 0) | 0;
     } while (0);
     if ((i96 | 0) > 7) set32((get32(i94 | 0) | 0) + 148 | 0, get32(i61 | 0) | 0);
     if (get8(i38 >> 0 | 0) | 0) break;
     set32(i34 | 0, 1 | 0);
     set32(i35 | 0, 1 | 0);
     set32(i23 | 0, 1 | 0);
     _sqlite3VdbeMakeReady(i86, i52);
    }
   } while (0);
   set32(i50 | 0, i7 | 0);
   set32(i47 | 0, i79 | 0);
   set32(i40 | 0, i1 | 0);
   if (get8(i38 >> 0 | 0) | 0) {
    i97 = i57;
    i22 = 221;
    break;
   }
   i61 = get32(i46 | 0) | 0;
   if (!(_vdbeUnbind(i61, 1) | 0)) {
    i66 = get32(i61 + 72 | 0) | 0;
    _sqlite3VdbeMemReleaseExternal(i66);
    i61 = i66 + 36 | 0;
    _sqlite3DbFree(get32(i66 | 0) | 0, get32(i61 | 0) | 0);
    set32(i66 + 4 | 0, 0 | 0);
    set32(i61 | 0, 0 | 0);
    set32(i66 + 32 | 0, 0 | 0);
    i61 = i66 + 16 | 0;
    set32(i61 | 0, i5 | 0);
    set32(i61 + 4 | 0, i6 | 0);
    set16(i66 + 28 | 0, 4 | 0);
    set8(i66 + 30 >> 0 | 0, 1 | 0);
   }
   i66 = _blobSeekToRow(i53, i5, i6, i18) | 0;
   i56 = i56 + 1 | 0;
   if (!((i56 | 0) < 5 & (i66 | 0) == 17)) {
    i97 = i66;
    i22 = 221;
    break;
   } else i57 = 17;
  }
  if ((i22 | 0) == 90) {
   set32(i52 + 4 | 0, i62 | 0);
   i57 = i52 + 64 | 0;
   set32(i57 | 0, (get32(i57 | 0) | 0) + 1 | 0);
   i22 = 114;
  } else if ((i22 | 0) == 104) {
   if (i48) {
    set32(i16 | 0, 25690 | 0);
    set32(i16 + 4 | 0, i3 | 0);
    _sqlite3ErrorMsg(i52, 25714, i16);
   } else {
    set32(i17 | 0, 25690 | 0);
    set32(i17 + 4 | 0, i2 | 0);
    set32(i17 + 8 | 0, i3 | 0);
    _sqlite3ErrorMsg(i52, 25704, i17);
   }
   set8(i52 + 18 >> 0 | 0, 1 | 0);
   i22 = 114;
  } else if ((i22 | 0) == 109) {
   set32(i15 | 0, i3 | 0);
   _sqlite3ErrorMsg(i52, 16691, i15);
   i22 = 114;
  } else if ((i22 | 0) == 113) {
   set32(i14 | 0, i3 | 0);
   _sqlite3ErrorMsg(i52, 16721, i14);
   i22 = 114;
  } else if ((i22 | 0) == 122) {
   _sqlite3DbFree(i1, 0);
   set32(i13 | 0, i4 | 0);
   set32(i18 | 0, _sqlite3MPrintf(i1, 16742, i13) | 0 | 0);
  } else if ((i22 | 0) == 135) {
   _sqlite3DbFree(i1, 0);
   set32(i12 | 0, i84 | 0);
   set32(i18 | 0, _sqlite3MPrintf(i1, 16783, i12) | 0 | 0);
  } else if ((i22 | 0) == 221) if (!i97) {
   i29 = i50;
   i30 = i54;
   i31 = i52;
   i22 = 222;
   break;
  } else {
   i98 = i50;
   i99 = i54;
   i100 = i52;
   i101 = i97;
   i22 = 224;
   break;
  }
  if ((i22 | 0) == 114 ? (i57 = i51 + 8 | 0, (get32(i57 | 0) | 0) != 0) : 0) {
   _sqlite3DbFree(i1, 0);
   set32(i18 | 0, get32(i57 | 0) | 0);
   set32(i57 | 0, 0 | 0);
  }
  if (i54) {
   i102 = i50;
   i103 = i52;
   i104 = 1;
   i22 = 225;
  } else {
   i105 = i50;
   i106 = i52;
   i107 = 1;
   i22 = 234;
  }
 } while (0);
 if ((i22 | 0) == 222) if (!(get8(i1 + 30 >> 0 | 0) | 0)) {
  set32(i8 | 0, i29 | 0);
  i108 = i31;
  i109 = 0;
 } else {
  i98 = i29;
  i99 = i30;
  i100 = i31;
  i101 = 0;
  i22 = 224;
 }
 if ((i22 | 0) == 224) if (i99) {
  i102 = i98;
  i103 = i100;
  i104 = i101;
  i22 = 225;
 } else {
  i105 = i98;
  i106 = i100;
  i107 = i101;
  i22 = 234;
 }
 if ((i22 | 0) == 225) {
  i101 = get32(i102 + 20 | 0) | 0;
  if (!i101) {
   i105 = i102;
   i106 = i103;
   i107 = i104;
   i22 = 234;
  } else {
   i100 = i101 + 52 | 0;
   i98 = get32(i100 | 0) | 0;
   if ((i98 | 0) < 1369188723) switch (i98 | 0) {
   case -1108210269:
    {
     i22 = 227;
     break;
    }
   default:
    {}
   } else switch (i98 | 0) {
   case 1369188723:
    {
     i22 = 227;
     break;
    }
   default:
    {}
   }
   if ((i22 | 0) == 227) _sqlite3VdbeReset(i101) | 0;
   i98 = get32(i101 | 0) | 0;
   i99 = get32(i101 + 60 | 0) | 0;
   i31 = i101 + 64 | 0;
   i30 = get32(i31 | 0) | 0;
   if (!i99) {
    set32(i98 + 136 | 0, i30 | 0);
    i110 = i30;
   } else {
    set32(i99 + 64 | 0, i30 | 0);
    i110 = get32(i31 | 0) | 0;
   }
   if (i110) set32(i110 + 60 | 0, i99 | 0);
   set32(i100 | 0, -1241070648 | 0);
   set32(i101 | 0, 0 | 0);
   _sqlite3VdbeDeleteObject(i98, i101);
   i105 = i102;
   i106 = i103;
   i107 = i104;
   i22 = 234;
  }
 }
 if ((i22 | 0) == 234) {
  _sqlite3DbFree(i1, i105);
  i108 = i106;
  i109 = i107;
 }
 i107 = get32(i18 | 0) | 0;
 set32(i11 | 0, i107 | 0);
 _sqlite3Error(i1, i109, (i107 | 0) != 0 ? 16817 : 0, i11);
 _sqlite3DbFree(i1, i107);
 _sqlite3DbFree(i1, i108);
 if (i20) {
  i111 = i109;
  i112 = 255;
  i113 = i112 & i111;
  STACKTOP = i9;
  return i113 | 0;
 }
 i20 = i1 + 30 | 0;
 if ((i109 | 0) == 3082 | (get8(i20 >> 0 | 0) | 0) != 0) {
  _sqlite3Error(i1, 7, 0, i10);
  set8(i20 >> 0 | 0, 0 | 0);
  i114 = 7;
 } else i114 = i109;
 i111 = i114;
 i112 = get32(i1 + 24 | 0) | 0;
 i113 = i112 & i111;
 STACKTOP = i9;
 return i113 | 0;
}

function _sqlite3_step(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, d61 = 0.0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0, i80 = 0, i81 = 0, i82 = 0, i83 = 0, i84 = 0, i85 = 0, i86 = 0, i87 = 0, i88 = 0, i89 = 0, i90 = 0, i91 = 0, i92 = 0, i93 = 0, i94 = 0, i95 = 0, i96 = 0, i97 = 0, i98 = 0, i99 = 0, i100 = 0, i101 = 0, i102 = 0, i103 = 0, i104 = 0, i105 = 0, i106 = 0, i107 = 0, i108 = 0, i109 = 0, i110 = 0, i111 = 0, i112 = 0, i113 = 0, i114 = 0, i115 = 0, i116 = 0, i117 = 0, i118 = 0, i119 = 0, i120 = 0, i121 = 0, i122 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 400 | 0;
 i3 = i2 + 384 | 0;
 i4 = i2 + 376 | 0;
 i5 = i2 + 368 | 0;
 i6 = i2 + 360 | 0;
 i7 = i2 + 352 | 0;
 i8 = i2 + 344 | 0;
 i9 = i2 + 336 | 0;
 i10 = i2 + 328 | 0;
 i11 = i2 + 320 | 0;
 i12 = i2 + 312 | 0;
 i13 = i2 + 304 | 0;
 i14 = i2 + 296 | 0;
 i15 = i2 + 288 | 0;
 i16 = i2 + 280 | 0;
 i17 = i2 + 272 | 0;
 i18 = i2 + 264 | 0;
 i19 = i2 + 256 | 0;
 i20 = i2 + 248 | 0;
 i21 = i2 + 240 | 0;
 i22 = i2 + 232 | 0;
 i23 = i2 + 224 | 0;
 i24 = i2 + 216 | 0;
 i25 = i2 + 208 | 0;
 i26 = i2 + 8 | 0;
 i27 = i2;
 do if (!i1) _sqlite3_log(21, 19894, i2 + 200 | 0); else {
  i28 = get32(i1 | 0) | 0;
  if (!i28) {
   _sqlite3_log(21, 19714, i25);
   break;
  }
  i29 = i1 + 52 | 0;
  i30 = i1 + 88 | 0;
  i31 = i1 + 99 | 0;
  i32 = i1 + 104 | 0;
  i33 = i1 + 136 | 0;
  i34 = i1 + 92 | 0;
  i35 = i1 + 97 | 0;
  i36 = i1 + 160 | 0;
  i37 = i1 + 8 | 0;
  i38 = i1 + 20 | 0;
  i39 = i1 + 28 | 0;
  i40 = i1 + 4 | 0;
  i41 = i1 + 48 | 0;
  i42 = i1 + 56 | 0;
  i43 = i1 + 105 | 0;
  i44 = i1 + 64 | 0;
  i45 = i1 + 60 | 0;
  i46 = i1 + 72 | 0;
  i47 = i1 + 96 | 0;
  i48 = i1 + 108 | 0;
  i49 = i1 + 84 | 0;
  i50 = i1 + 101 | 0;
  i51 = i1 + 120 | 0;
  i52 = i1 + 144 | 0;
  i53 = 0;
  L7 : while (1) {
   if (((get32(i29 | 0) | 0) != -1108210269 ? (i54 = _sqlite3VdbeReset(i1) | 0, set32(i30 | 0, -1 | 0), set32(i34 | 0, 0 | 0), set8(i47 >> 0 | 0, 2 | 0), set32(i29 | 0, -1108210269 | 0), set32(i48 | 0, 0 | 0), set32(i49 | 0, 1 | 0), set8(i50 >> 0 | 0, -1 | 0), set32(i51 | 0, 0 | 0), i55 = i52, set32(i55 | 0, 0 | 0), set32(i55 + 4 | 0, 0 | 0), i55 = get32(i1 | 0) | 0, (i55 | 0) != 0) : 0) ? (i56 = i55 + 30 | 0, (i54 | 0) == 3082 | (get8(i56 >> 0 | 0) | 0) != 0) : 0) {
    _sqlite3Error(i55, 7, 0, i23);
    set8(i56 >> 0 | 0, 0 | 0);
   }
   i56 = get32(i1 | 0) | 0;
   if (get8(i56 + 30 >> 0 | 0) | 0) {
    i57 = 12;
    break;
   }
   i55 = get32(i30 | 0) | 0;
   do if ((i55 | 0) < 1) {
    if (get8(i31 >> 0 | 0) | 0) {
     set32(i34 | 0, 17 | 0);
     i58 = 1;
     break;
    }
    if ((i55 | 0) < 0) {
     i54 = i56 + 140 | 0;
     if (!(get32(i54 | 0) | 0)) set32(i56 + 224 | 0, 0 | 0);
     if ((get32(i56 + 160 | 0) | 0) != 0 ? (get8(i56 + 124 >> 0 | 0) | 0) == 0 : 0) {
      i59 = get32(i56 | 0) | 0;
      if ((get32(i59 | 0) | 0) > 1 ? (i60 = get32(i59 + 72 | 0) | 0, (i60 | 0) != 0) : 0) FUNCTION_TABLE_iii[i60 & 127](i59, i33) | 0; else {
       FUNCTION_TABLE_iii[get32(i59 + 64 | 0) & 127](i59, i26) | 0;
       d61 = +getF64(i26 | 0) * 864.0e5;
       i59 = +Math_abs(d61) >= 1.0 ? (d61 > 0.0 ? ~~+Math_min(+Math_floor(d61 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d61 - +(~~d61 >>> 0)) / 4294967296.0) >>> 0) : 0;
       i60 = i33;
       set32(i60 | 0, ~~d61 >>> 0 | 0);
       set32(i60 + 4 | 0, i59 | 0);
      }
     }
     set32(i54 | 0, (get32(i54 | 0) | 0) + 1 | 0);
     if (!(get8(i32 >> 0 | 0) | 0)) {
      i54 = i56 + 144 | 0;
      set32(i54 | 0, (get32(i54 | 0) | 0) + 1 | 0);
     }
     set32(i30 | 0, 0 | 0);
     i57 = 29;
    } else i57 = 29;
   } else i57 = 29; while (0);
   if ((i57 | 0) == 29) {
    i57 = 0;
    do if (!(get8(i35 >> 0 | 0) | 0)) {
     i55 = i56 + 148 | 0;
     set32(i55 | 0, (get32(i55 | 0) | 0) + 1 | 0);
     i54 = _sqlite3VdbeExec(i1) | 0;
     set32(i55 | 0, (get32(i55 | 0) | 0) + -1 | 0);
     if ((i54 | 0) == 100) i62 = 100; else {
      i63 = i54;
      i57 = 115;
     }
    } else {
     i54 = get32(i1 | 0) | 0;
     i55 = get32(i37 | 0) | 0;
     i59 = i55 + 40 | 0;
     set32(i38 | 0, i59 | 0);
     i60 = get32(i59 | 0) | 0;
     i64 = i60 + 30 | 0;
     i65 = get8(i64 >> 0 | 0) | 0;
     i66 = i55 + 360 | 0;
     if (!(get32(i60 + 504 | 0) | 0)) {
      i67 = i59;
      i59 = i55;
      while (1) {
       i68 = i59 + 68 | 0;
       if (!(get16(i68 | 0) & 9312)) {
        i69 = i59 + 76 | 0;
        i70 = get32(i69 | 0) | 0;
        if (i70) {
         _sqlite3DbFree(i60, i70);
         set32(i69 | 0, 0 | 0);
        }
       } else {
        _sqlite3VdbeMemReleaseExternal(i67);
        i69 = i59 + 76 | 0;
        _sqlite3DbFree(get32(i59 + 40 | 0) | 0, get32(i69 | 0) | 0);
        set32(i59 + 44 | 0, 0 | 0);
        set32(i69 | 0, 0 | 0);
        set32(i59 + 72 | 0, 0 | 0);
       }
       set16(i68 | 0, 1 | 0);
       i68 = i67 + 40 | 0;
       if (i68 >>> 0 < i66 >>> 0) {
        i69 = i67;
        i67 = i68;
        i59 = i69;
       } else break;
      }
      set8(i64 >> 0 | 0, i65 | 0);
     } else {
      _sqlite3DbFree(i60, get32(i55 + 76 | 0) | 0);
      _sqlite3DbFree(i60, get32(i55 + 116 | 0) | 0);
      _sqlite3DbFree(i60, get32(i55 + 156 | 0) | 0);
      _sqlite3DbFree(i60, get32(i55 + 196 | 0) | 0);
      _sqlite3DbFree(i60, get32(i55 + 236 | 0) | 0);
      _sqlite3DbFree(i60, get32(i55 + 276 | 0) | 0);
      _sqlite3DbFree(i60, get32(i55 + 316 | 0) | 0);
      _sqlite3DbFree(i60, get32(i55 + 356 | 0) | 0);
     }
     if ((get32(i34 | 0) | 0) == 7) {
      set8(i54 + 30 >> 0 | 0, 1 | 0);
      i63 = 1;
      i57 = 115;
      break;
     }
     i59 = get32(i39 | 0) | 0;
     i67 = get8(i35 >> 0 | 0) | 0;
     i66 = i67 << 24 >> 24 == 1;
     if (i66) {
      i69 = get32(i37 | 0) | 0;
      i68 = i69 + 360 | 0;
      if (get16(i69 + 388 | 0) & 16) {
       i70 = (get32(i69 + 384 | 0) | 0) >>> 2;
       i71 = get32(i69 + 364 | 0) | 0;
       if (!i70) {
        i72 = i71;
        i73 = i59;
        i74 = 0;
        i75 = i68;
       } else {
        i69 = 0;
        i76 = i59;
        while (1) {
         i77 = (get32((get32(i71 + (i69 << 2) | 0) | 0) + 4 | 0) | 0) + i76 | 0;
         i69 = i69 + 1 | 0;
         if ((i69 | 0) == (i70 | 0)) {
          i72 = i71;
          i73 = i77;
          i74 = i70;
          i75 = i68;
          break;
         } else i76 = i77;
        }
       }
      } else {
       i72 = 0;
       i73 = i59;
       i74 = 0;
       i75 = i68;
      }
     } else {
      i72 = 0;
      i73 = i59;
      i74 = 0;
      i75 = 0;
     }
     i76 = get32(i30 | 0) | 0;
     i70 = i67;
     while (1) {
      i71 = i76 + 1 | 0;
      if ((i76 | 0) >= (i73 | 0)) {
       i78 = i71;
       i57 = 48;
       break;
      }
      if (i70 << 24 >> 24 != 2) {
       i79 = i76;
       i80 = i71;
       break;
      }
      if ((get8((get32(i40 | 0) | 0) + (i76 * 20 | 0) >> 0 | 0) | 0) == -118) {
       i79 = i76;
       i80 = i71;
       break;
      } else {
       i76 = i71;
       i70 = 2;
      }
     }
     if ((i57 | 0) == 48) {
      i57 = 0;
      set32(i30 | 0, i78 | 0);
      set32(i34 | 0, 0 | 0);
      i63 = 101;
      i57 = 115;
      break;
     }
     set32(i30 | 0, i80 | 0);
     if (get32(i54 + 224 | 0) | 0) {
      set32(i34 | 0, 9 | 0);
      set32(i22 | 0, 38570 | 0);
      _sqlite3SetString(i42, i54, 16817, i22);
      i63 = 1;
      i57 = 115;
      break;
     }
     if ((i79 | 0) < (i59 | 0)) {
      i81 = i79;
      i82 = (get32(i40 | 0) | 0) + (i79 * 20 | 0) | 0;
     } else {
      i70 = i79 - i59 | 0;
      i76 = get32(i72 | 0) | 0;
      i67 = get32(i76 + 4 | 0) | 0;
      if ((i70 | 0) < (i67 | 0)) {
       i83 = i76;
       i84 = i70;
      } else {
       i76 = i67;
       i67 = i70;
       i70 = 0;
       while (1) {
        i68 = i67 - i76 | 0;
        i70 = i70 + 1 | 0;
        i71 = get32(i72 + (i70 << 2) | 0) | 0;
        i76 = get32(i71 + 4 | 0) | 0;
        if ((i68 | 0) < (i76 | 0)) {
         i83 = i71;
         i84 = i68;
         break;
        } else i67 = i68;
       }
      }
      i81 = i84;
      i82 = (get32(i83 | 0) | 0) + (i84 * 20 | 0) | 0;
     }
     do if (i66) {
      set16(i55 + 68 | 0, 4 | 0);
      set8(i55 + 70 >> 0 | 0, 1 | 0);
      i67 = i55 + 56 | 0;
      set32(i67 | 0, i81 | 0);
      set32(i67 + 4 | 0, ((i81 | 0) < 0) << 31 >> 31 | 0);
      set16(i55 + 108 | 0, 2562 | 0);
      i67 = get32(1540 + (getU8(i82 >> 0 | 0) << 2) | 0) | 0;
      set32(i55 + 84 | 0, i67 | 0);
      i76 = i67;
      while (1) if (!(get8(i76 >> 0 | 0) | 0)) {
       i85 = i76;
       break;
      } else i76 = i76 + 1 | 0;
      i76 = i55 + 80 | 0;
      set32(i55 + 104 | 0, i85 - i67 & 1073741823 | 0);
      set8(i55 + 110 >> 0 | 0, 3 | 0);
      set8(i55 + 111 >> 0 | 0, 1 | 0);
      if ((get8(i82 + 1 >> 0 | 0) | 0) == -18) {
       i70 = (i74 << 2) + 4 | 0;
       L86 : do if (!i74) i86 = 0; else {
        i59 = get32(i82 + 16 | 0) | 0;
        i54 = 0;
        while (1) {
         if ((get32(i72 + (i54 << 2) | 0) | 0) == (i59 | 0)) {
          i86 = i54;
          break L86;
         }
         i68 = i54 + 1 | 0;
         if ((i68 | 0) < (i74 | 0)) i54 = i68; else {
          i86 = i68;
          break;
         }
        }
       } while (0);
       if ((i86 | 0) == (i74 | 0)) {
        if (_sqlite3VdbeMemGrow(i75, i70, 1) | 0) {
         i87 = i76;
         break;
        }
        set32((get32(i75 + 4 | 0) | 0) + (i74 << 2) | 0, get32(i82 + 16 | 0) | 0);
        i67 = i75 + 28 | 0;
        set16(i67 | 0, getU16(i67 | 0) | 16 | 0);
        set32(i75 + 24 | 0, i70 | 0);
        i87 = i76;
       } else i87 = i76;
      } else i87 = i76;
     } else i87 = i55; while (0);
     set16(i87 + 68 | 0, 4 | 0);
     i55 = get32(i82 + 4 | 0) | 0;
     i66 = i87 + 56 | 0;
     set32(i66 | 0, i55 | 0);
     set32(i66 + 4 | 0, ((i55 | 0) < 0) << 31 >> 31 | 0);
     set8(i87 + 70 >> 0 | 0, 1 | 0);
     set16(i87 + 108 | 0, 4 | 0);
     i55 = get32(i82 + 8 | 0) | 0;
     i66 = i87 + 96 | 0;
     set32(i66 | 0, i55 | 0);
     set32(i66 + 4 | 0, ((i55 | 0) < 0) << 31 >> 31 | 0);
     set8(i87 + 110 >> 0 | 0, 1 | 0);
     set16(i87 + 148 | 0, 4 | 0);
     i55 = get32(i82 + 12 | 0) | 0;
     i66 = i87 + 136 | 0;
     set32(i66 | 0, i55 | 0);
     set32(i66 + 4 | 0, ((i55 | 0) < 0) << 31 >> 31 | 0);
     set8(i87 + 150 >> 0 | 0, 1 | 0);
     i55 = i87 + 160 | 0;
     if (!(_sqlite3VdbeMemGrow(i55, 32, 0) | 0)) {
      set16(i87 + 188 | 0, 1538 | 0);
      i66 = i87 + 164 | 0;
      i67 = get32(i66 | 0) | 0;
      L96 : do switch (get8(i82 + 1 >> 0 | 0) | 0) {
      case -6:
      case -17:
       {
        i54 = get32(i82 + 16 | 0) | 0;
        i59 = i54 + 6 | 0;
        set32(i21 | 0, getU16(i59 | 0) | 0);
        _sqlite3_snprintf(32, i67, 21093, i21) | 0;
        if (!i67) i88 = 0; else {
         i68 = i67;
         while (1) if (!(get8(i68 >> 0 | 0) | 0)) {
          i89 = i68;
          break;
         } else i68 = i68 + 1 | 0;
         i88 = i89 - i67 & 1073741823;
        }
        L105 : do if (!(get16(i59 | 0) | 0)) i90 = i88; else {
         i68 = i54 + 8 | 0;
         i76 = i88;
         i70 = 0;
         L107 : while (1) {
          i71 = get32(i54 + 12 + (i70 << 2) | 0) | 0;
          do if (!i71) {
           i69 = i76 + 4 | 0;
           if ((i69 | 0) >= 26) {
            i91 = i76;
            break;
           }
           i60 = i67 + i76 | 0;
           set8(i60 >> 0 | 0, 44 | 0);
           set8(i60 + 1 >> 0 | 0, 110 | 0);
           set8(i60 + 2 >> 0 | 0, 105 | 0);
           set8(i60 + 3 >> 0 | 0, 108 | 0);
           i91 = i69;
          } else {
           i69 = get32(i71 | 0) | 0;
           if (!i69) i92 = 0; else {
            i60 = i69;
            while (1) if (!(get8(i60 >> 0 | 0) | 0)) {
             i93 = i60;
             break;
            } else i60 = i60 + 1 | 0;
            i92 = i93 - i69 & 1073741823;
           }
           if ((i92 + i76 | 0) > 26) {
            i94 = i76;
            break L107;
           }
           i60 = i76 + 1 | 0;
           set8(i67 + i76 >> 0 | 0, 44 | 0);
           i65 = get32(i68 | 0) | 0;
           do if (!i65) i95 = i60; else {
            if (!(get8(i65 + i70 >> 0 | 0) | 0)) {
             i95 = i60;
             break;
            }
            set8(i67 + i60 >> 0 | 0, 45 | 0);
            i95 = i76 + 2 | 0;
           } while (0);
           _memcpy(i67 + i95 | 0, get32(i71 | 0) | 0, i92 + 1 | 0) | 0;
           i91 = i95 + i92 | 0;
          } while (0);
          i70 = i70 + 1 | 0;
          if ((i70 | 0) >= (getU16(i59 | 0) | 0)) {
           i90 = i91;
           break L105;
          } else i76 = i91;
         }
         i76 = i67 + i94 | 0;
         set8(i76 >> 0 | 0, 44 | 0);
         set8(i76 + 1 >> 0 | 0, 46 | 0);
         set8(i76 + 2 >> 0 | 0, 46 | 0);
         set8(i76 + 3 >> 0 | 0, 46 | 0);
         i90 = i94;
        } while (0);
        set8(i67 + i90 >> 0 | 0, 41 | 0);
        set8(i67 + (i90 + 1) >> 0 | 0, 0 | 0);
        i96 = i67;
        break;
       }
      case -4:
       {
        set32(i20 | 0, get32(get32(i82 + 16 | 0) | 0) | 0);
        _sqlite3_snprintf(32, i67, 21104, i20) | 0;
        i96 = i67;
        break;
       }
      case -5:
       {
        i59 = get32(i82 + 16 | 0) | 0;
        i54 = get16(i59 | 0) | 0;
        set32(i19 | 0, get32(i59 + 24 | 0) | 0);
        set32(i19 + 4 | 0, i54 | 0);
        _sqlite3_snprintf(32, i67, 21119, i19) | 0;
        i96 = i67;
        break;
       }
      case -13:
       {
        i54 = get32(i82 + 16 | 0) | 0;
        i59 = get32(i54 + 4 | 0) | 0;
        i76 = i18;
        set32(i76 | 0, get32(i54 | 0) | 0);
        set32(i76 + 4 | 0, i59 | 0);
        _sqlite3_snprintf(32, i67, 19882, i18) | 0;
        i96 = i67;
        break;
       }
      case -14:
       {
        set32(i17 | 0, get32(i82 + 16 | 0) | 0);
        _sqlite3_snprintf(32, i67, 21126, i17) | 0;
        i96 = i67;
        break;
       }
      case -12:
       {
        setF64(i16 | 0, +(+getF64(get32(i82 + 16 | 0) | 0)));
        _sqlite3_snprintf(32, i67, 21129, i16) | 0;
        i96 = i67;
        break;
       }
      case -8:
       {
        i59 = get32(i82 + 16 | 0) | 0;
        i76 = getU16(i59 + 28 | 0) | 0;
        if (i76 & 2) {
         i96 = get32(i59 + 4 | 0) | 0;
         break L96;
        }
        if (i76 & 4) {
         i54 = i59 + 16 | 0;
         i70 = get32(i54 + 4 | 0) | 0;
         i68 = i15;
         set32(i68 | 0, get32(i54 | 0) | 0);
         set32(i68 + 4 | 0, i70 | 0);
         _sqlite3_snprintf(32, i67, 19882, i15) | 0;
         i96 = i67;
         break L96;
        }
        if (!(i76 & 8)) {
         i96 = 21135;
         break L96;
        }
        setF64(i14 | 0, +(+getF64(i59 + 8 | 0)));
        _sqlite3_snprintf(32, i67, 21129, i14) | 0;
        i96 = i67;
        break;
       }
      case -10:
       {
        i59 = get32((get32(i82 + 16 | 0) | 0) + 8 | 0) | 0;
        i76 = get32(i59 | 0) | 0;
        set32(i13 | 0, i59 | 0);
        set32(i13 + 4 | 0, i76 | 0);
        _sqlite3_snprintf(32, i67, 21142, i13) | 0;
        i96 = i67;
        break;
       }
      case -15:
       {
        _sqlite3_snprintf(32, i67, 21153, i12) | 0;
        i96 = i67;
        break;
       }
      case -18:
       {
        _sqlite3_snprintf(32, i67, 21162, i11) | 0;
        i96 = i67;
        break;
       }
      default:
       {
        i76 = get32(i82 + 16 | 0) | 0;
        if (!i76) {
         set8(i67 >> 0 | 0, 0 | 0);
         i96 = i67;
        } else i96 = i76;
       }
      } while (0);
      if ((i96 | 0) == (get32(i66 | 0) | 0)) {
       if (!i96) i97 = 0; else {
        i67 = i96;
        while (1) if (!(get8(i67 >> 0 | 0) | 0)) {
         i98 = i67;
         break;
        } else i67 = i67 + 1 | 0;
        i97 = i98 - i96 & 1073741823;
       }
       set32(i87 + 184 | 0, i97 | 0);
       set8(i87 + 191 >> 0 | 0, 1 | 0);
      } else _sqlite3VdbeMemSetStr(i55, i96, -1, 1, 0) | 0;
      set8(i87 + 190 >> 0 | 0, 3 | 0);
      i67 = get8(i35 >> 0 | 0) | 0;
      if (i67 << 24 >> 24 == 1) {
       if (_sqlite3VdbeMemGrow(i87 + 200 | 0, 4, 0) | 0) {
        i63 = 1;
        i57 = 115;
        break;
       }
       set16(i87 + 228 | 0, 1538 | 0);
       set32(i87 + 224 | 0, 2 | 0);
       i66 = get32(i87 + 204 | 0) | 0;
       set32(i10 | 0, getU8(i82 + 3 >> 0 | 0) | 0);
       _sqlite3_snprintf(3, i66, 19934, i10) | 0;
       set8(i87 + 230 >> 0 | 0, 3 | 0);
       set8(i87 + 231 >> 0 | 0, 1 | 0);
       set16(i87 + 268 | 0, 1 | 0);
       set8(i87 + 270 >> 0 | 0, 5 | 0);
       i99 = get8(i35 >> 0 | 0) | 0;
      } else i99 = i67;
      set16(i41 | 0, 12 - ((i99 & 255) << 2) | 0);
      set32(i34 | 0, 0 | 0);
      i62 = 100;
     } else {
      i63 = 1;
      i57 = 115;
     }
    } while (0);
    if ((i57 | 0) == 115) {
     i57 = 0;
     i67 = i56 + 160 | 0;
     if (((get32(i67 | 0) | 0) != 0 ? (get8(i56 + 124 >> 0 | 0) | 0) == 0 : 0) ? (get32(i36 | 0) | 0) != 0 : 0) {
      i66 = get32(i56 | 0) | 0;
      if ((get32(i66 | 0) | 0) > 1 ? (i76 = get32(i66 + 72 | 0) | 0, (i76 | 0) != 0) : 0) {
       FUNCTION_TABLE_iii[i76 & 127](i66, i27) | 0;
       i76 = i27;
       i100 = get32(i76 | 0) | 0;
       i101 = get32(i76 + 4 | 0) | 0;
      } else {
       FUNCTION_TABLE_iii[get32(i66 + 64 | 0) & 127](i66, i26) | 0;
       d61 = +getF64(i26 | 0) * 864.0e5;
       i66 = ~~d61 >>> 0;
       i76 = +Math_abs(d61) >= 1.0 ? (d61 > 0.0 ? ~~+Math_min(+Math_floor(d61 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d61 - +(~~d61 >>> 0)) / 4294967296.0) >>> 0) : 0;
       i59 = i27;
       set32(i59 | 0, i66 | 0);
       set32(i59 + 4 | 0, i76 | 0);
       i100 = i66;
       i101 = i76;
      }
      i76 = get32(i67 | 0) | 0;
      i67 = get32(i56 + 164 | 0) | 0;
      i66 = get32(i36 | 0) | 0;
      i59 = i33;
      i70 = _i64Subtract(i100 | 0, i101 | 0, get32(i59 | 0) | 0, get32(i59 + 4 | 0) | 0) | 0;
      i59 = ___muldi3(i70 | 0, tempRet0 | 0, 1e6, 0) | 0;
      FUNCTION_TABLE_viiii[i76 & 15](i67, i66, i59, tempRet0);
     }
     if ((i63 | 0) == 101) {
      i59 = i56 + 4 | 0;
      i66 = get32(i59 | 0) | 0;
      if ((i66 | 0) > 0) {
       i67 = i56 + 8 | 0;
       i76 = i56 + 192 | 0;
       i70 = i56 + 196 | 0;
       i68 = i66;
       i66 = 0;
       i54 = 0;
       while (1) {
        i71 = get32(i67 | 0) | 0;
        i60 = get32(i71 + (i66 << 4) + 4 | 0) | 0;
        if (((i60 | 0) != 0 ? (i65 = get32((get32(get32(i60 + 4 | 0) | 0) | 0) + 172 | 0) | 0, (i65 | 0) != 0) : 0) ? (i60 = i65 + 12 | 0, i65 = get32(i60 | 0) | 0, set32(i60 | 0, 0 | 0), i60 = get32(i76 | 0) | 0, (i54 | 0) == 0 & ((i65 | 0) > 0 & (i60 | 0) != 0)) : 0) {
         i69 = FUNCTION_TABLE_iiiii[i60 & 31](get32(i70 | 0) | 0, i56, get32(i71 + (i66 << 4) | 0) | 0, i65) | 0;
         i102 = get32(i59 | 0) | 0;
         i103 = i69;
        } else {
         i102 = i68;
         i103 = i54;
        }
        i66 = i66 + 1 | 0;
        if ((i66 | 0) >= (i102 | 0)) {
         i104 = i103;
         break;
        } else {
         i68 = i102;
         i54 = i103;
        }
       }
      } else i104 = 0;
      set32(i34 | 0, i104 | 0);
      i62 = (i104 | 0) == 0 ? 101 : 1;
     } else i62 = i63;
    }
    set32(i56 + 20 | 0, i62 | 0);
    i54 = get32(i1 | 0) | 0;
    i68 = get32(i34 | 0) | 0;
    if (!i54) {
     i105 = i68;
     i106 = 255;
    } else {
     i66 = i54 + 30 | 0;
     if ((i68 | 0) == 3082 | (get8(i66 >> 0 | 0) | 0) != 0) {
      _sqlite3Error(i54, 7, 0, i9);
      set8(i66 >> 0 | 0, 0 | 0);
      i107 = 7;
     } else i107 = i68;
     i105 = i107;
     i106 = get32(i54 + 24 | 0) | 0;
    }
    if ((i106 & i105 | 0) == 7) {
     set32(i34 | 0, 7 | 0);
     i58 = i62;
    } else i58 = i62;
   }
   i54 = get8(i43 >> 0 | 0) | 0;
   if ((i58 & -2 | 0) != 100 & i54 << 24 >> 24 != 0) {
    i68 = get32(i34 | 0) | 0;
    set32(i56 + 20 | 0, i68 | 0);
    i108 = i68;
   } else i108 = i58;
   i68 = get32(i56 + 24 | 0) & i108;
   if ((i68 | 0) != 17) {
    i109 = i68;
    break;
   }
   i68 = i53 + 1 | 0;
   if ((i53 | 0) >= 5) {
    i109 = 17;
    break;
   }
   if (!(i54 << 24 >> 24)) i110 = 0; else i110 = get32(i36 | 0) | 0;
   i54 = get32(i1 | 0) | 0;
   set32(i27 | 0, 0 | 0);
   if (!i54) {
    i57 = 145;
    break;
   }
   i111 = get32(i54 + 56 | 0) | 0;
   if ((i111 | 0) >= -264537850) {
    i57 = 210;
    break;
   }
   switch (i111 | 0) {
   case -1607883113:
    break;
   default:
    {
     i57 = 147;
     break L7;
    }
   }
   i66 = get32(i54 + 4 | 0) | 0;
   if ((i66 | 0) > 0) {
    i59 = get32(i54 + 8 | 0) | 0;
    i70 = 0;
    do {
     i76 = get32(i59 + (i70 << 4) + 4 | 0) | 0;
     if (i76) set32((get32(i76 + 4 | 0) | 0) + 4 | 0, get32(i76 | 0) | 0);
     i70 = i70 + 1 | 0;
    } while ((i70 | 0) != (i66 | 0));
   }
   i66 = _sqlite3Prepare(i54, i110, -1, 0, i1, i27, 0) | 0;
   if ((i66 | 0) == 17) {
    _sqlite3_finalize(get32(i27 | 0) | 0) | 0;
    i112 = _sqlite3Prepare(i54, i110, -1, 0, i1, i27, 0) | 0;
   } else i112 = i66;
   switch (i112 | 0) {
   case 7:
    {
     i113 = i54;
     i57 = 158;
     break L7;
     break;
    }
   case 0:
    break;
   default:
    {
     i114 = i112;
     i57 = 174;
     break L7;
    }
   }
   i66 = get32(i27 | 0) | 0;
   _memcpy(i26 | 0, i66 | 0, 192) | 0;
   _memcpy(i66 | 0, i1 | 0, 192) | 0;
   _memcpy(i1 | 0, i26 | 0, 192) | 0;
   i70 = i66 + 64 | 0;
   i59 = get32(i70 | 0) | 0;
   set32(i70 | 0, get32(i44 | 0) | 0);
   set32(i44 | 0, i59 | 0);
   i59 = i66 + 60 | 0;
   i56 = get32(i59 | 0) | 0;
   set32(i59 | 0, get32(i45 | 0) | 0);
   set32(i45 | 0, i56 | 0);
   i56 = i66 + 160 | 0;
   i76 = get32(i56 | 0) | 0;
   set32(i56 | 0, get32(i36 | 0) | 0);
   set32(i36 | 0, i76 | 0);
   set8(i43 >> 0 | 0, get8(i66 + 105 >> 0 | 0) | 0 | 0);
   i76 = i66 + 80 | 0;
   if ((get16(i76 | 0) | 0) > 0) {
    i56 = i66 + 72 | 0;
    i67 = 0;
    do {
     i69 = get32(i46 | 0) | 0;
     i65 = i69 + (i67 * 40 | 0) | 0;
     i71 = get32(i56 | 0) | 0;
     _sqlite3VdbeMemReleaseExternal(i65);
     i60 = i69 + (i67 * 40 | 0) + 36 | 0;
     _sqlite3DbFree(get32(i65 | 0) | 0, get32(i60 | 0) | 0);
     set32(i69 + (i67 * 40 | 0) + 4 | 0, 0 | 0);
     set32(i60 | 0, 0 | 0);
     set32(i69 + (i67 * 40 | 0) + 32 | 0, 0 | 0);
     i69 = i65;
     i65 = i71 + (i67 * 40 | 0) | 0;
     i60 = i69 + 40 | 0;
     do {
      set32(i69 | 0, get32(i65 | 0) | 0);
      i69 = i69 + 4 | 0;
      i65 = i65 + 4 | 0;
     } while ((i69 | 0) < (i60 | 0));
     set16(i71 + (i67 * 40 | 0) + 28 | 0, 1 | 0);
     set32(i71 + (i67 * 40 | 0) + 32 | 0, 0 | 0);
     set32(i71 + (i67 * 40 | 0) + 36 | 0, 0 | 0);
     i67 = i67 + 1 | 0;
    } while ((i67 | 0) < (get16(i76 | 0) | 0));
   }
   set32(i66 + 92 | 0, 0 | 0);
   i76 = i66 + 52 | 0;
   i67 = get32(i76 | 0) | 0;
   if ((i67 | 0) < 1369188723) switch (i67 | 0) {
   case -1108210269:
    {
     i57 = 163;
     break;
    }
   default:
    {}
   } else switch (i67 | 0) {
   case 1369188723:
    {
     i57 = 163;
     break;
    }
   default:
    {}
   }
   if ((i57 | 0) == 163) {
    i57 = 0;
    _sqlite3VdbeReset(i66) | 0;
   }
   i67 = get32(i66 | 0) | 0;
   i56 = get32(i59 | 0) | 0;
   i54 = get32(i70 | 0) | 0;
   if (!i56) {
    set32(i67 + 136 | 0, i54 | 0);
    i115 = i54;
   } else {
    set32(i56 + 64 | 0, i54 | 0);
    i115 = get32(i70 | 0) | 0;
   }
   if (i115) set32(i115 + 60 | 0, i56 | 0);
   set32(i76 | 0, -1241070648 | 0);
   set32(i66 | 0, 0 | 0);
   _sqlite3VdbeDeleteObject(i67, i66);
   i67 = _sqlite3VdbeReset(i1) | 0;
   set32(i30 | 0, -1 | 0);
   set32(i34 | 0, 0 | 0);
   set8(i47 >> 0 | 0, 2 | 0);
   set32(i29 | 0, -1108210269 | 0);
   set32(i48 | 0, 0 | 0);
   set32(i49 | 0, 1 | 0);
   set8(i50 >> 0 | 0, -1 | 0);
   set32(i51 | 0, 0 | 0);
   i76 = i52;
   set32(i76 | 0, 0 | 0);
   set32(i76 + 4 | 0, 0 | 0);
   i76 = get32(i1 | 0) | 0;
   do if (i76) {
    i56 = i76 + 30 | 0;
    if (!((i67 | 0) == 3082 | (get8(i56 >> 0 | 0) | 0) != 0)) break;
    _sqlite3Error(i76, 7, 0, i4);
    set8(i56 >> 0 | 0, 0 | 0);
   } while (0);
   set8(i31 >> 0 | 0, 0 | 0);
   i53 = i68;
  }
  L234 : do if ((i57 | 0) == 12) {
   set32(i34 | 0, 7 | 0);
   i109 = 7;
  } else if ((i57 | 0) == 145) {
   set32(i8 | 0, 18774 | 0);
   _sqlite3_log(21, 26104, i8);
   i57 = 149;
  } else if ((i57 | 0) == 158) {
   set8(i113 + 30 >> 0 | 0, 1 | 0);
   i116 = 7;
   i57 = 170;
  } else if ((i57 | 0) == 174) {
   i117 = i114;
   i57 = 175;
  } else if ((i57 | 0) == 210) {
   if ((i111 | 0) < 1266094736) switch (i111 | 0) {
   case -264537850:
    break;
   default:
    {
     i57 = 147;
     break L234;
    }
   } else switch (i111 | 0) {
   case 1266094736:
    break;
   default:
    {
     i57 = 147;
     break L234;
    }
   }
   set32(i6 | 0, 26095 | 0);
   _sqlite3_log(21, 26104, i6);
   i57 = 149;
  } while (0);
  if ((i57 | 0) == 147) {
   set32(i7 | 0, 38376 | 0);
   _sqlite3_log(21, 26104, i7);
   i57 = 149;
  }
  if ((i57 | 0) == 149) {
   set32(i5 | 0, 90305 | 0);
   set32(i5 + 4 | 0, 17203 | 0);
   _sqlite3_log(21, 39226, i5);
   i116 = 21;
   i57 = 170;
  }
  if ((i57 | 0) == 170) {
   i117 = i116;
   i57 = 175;
  }
  do if ((i57 | 0) == 175) if ((get8(i43 >> 0 | 0) | 0) != 0 ? (i53 = get32(i28 + 212 | 0) | 0, (i53 | 0) != 0) : 0) {
   i31 = _sqlite3ValueText(i53, 1) | 0;
   _sqlite3DbFree(i28, get32(i42 | 0) | 0);
   i53 = i28 + 30 | 0;
   if (get8(i53 >> 0 | 0) | 0) {
    set32(i42 | 0, 0 | 0);
    set32(i34 | 0, 7 | 0);
    i109 = 7;
    break;
   }
   L257 : do if (!i31) i118 = 0; else {
    i52 = i31;
    while (1) if (!(get8(i52 >> 0 | 0) | 0)) {
     i119 = i52;
     break;
    } else i52 = i52 + 1 | 0;
    i52 = (i119 - i31 & 1073741823) + 1 | 0;
    do if (!(get8(i28 + 234 >> 0 | 0) | 0)) i57 = 187; else {
     if ((getU16(i28 + 232 | 0) | 0) >>> 0 < i52 >>> 0) {
      i71 = i28 + 248 | 0;
      set32(i71 | 0, (get32(i71 | 0) | 0) + 1 | 0);
      i57 = 187;
      break;
     }
     i71 = i28 + 256 | 0;
     i51 = get32(i71 | 0) | 0;
     if (!i51) {
      i50 = i28 + 252 | 0;
      set32(i50 | 0, (get32(i50 | 0) | 0) + 1 | 0);
      i57 = 187;
      break;
     }
     set32(i71 | 0, get32(i51 | 0) | 0);
     i71 = i28 + 236 | 0;
     i50 = get32(i71 | 0) | 0;
     i49 = i50 + 1 | 0;
     set32(i71 | 0, i49 | 0);
     i71 = i28 + 244 | 0;
     set32(i71 | 0, (get32(i71 | 0) | 0) + 1 | 0);
     i71 = i28 + 240 | 0;
     if ((i50 | 0) >= (get32(i71 | 0) | 0)) set32(i71 | 0, i49 | 0);
     i120 = i51;
    } while (0);
    do if ((i57 | 0) == 187) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i51 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i52) | 0;
      if (i51) {
       i120 = i51;
       break;
      }
     } else {
      i51 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i52) | 0;
      set32(35 * 4 | 0, i52 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i52 | 0)) set32(45 * 4 | 0, i52 | 0);
      i49 = get32(6 * 4 | 0) | 0;
      do if (i49) {
       i71 = get32(30 * 4 | 0) | 0;
       i50 = ((i71 | 0) < 0) << 31 >> 31;
       i48 = 16;
       i29 = _i64Subtract(get32(i48 | 0) | 0, get32(i48 + 4 | 0) | 0, i51 | 0, ((i51 | 0) < 0) << 31 >> 31 | 0) | 0;
       i48 = tempRet0;
       if ((i50 | 0) < (i48 | 0) | (i50 | 0) == (i48 | 0) & i71 >>> 0 < i29 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i29 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i49 & 15](i29, i71, i50, i51);
        set32(6 * 4 | 0, i49 | 0);
        set32(7 * 4 | 0, i29 | 0);
        break;
       }
      } while (0);
      i49 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i51) | 0;
      if (i49) {
       i29 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i49) | 0;
       i50 = (get32(30 * 4 | 0) | 0) + i29 | 0;
       set32(30 * 4 | 0, i50 | 0);
       if ((i50 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i50 | 0);
       i50 = get32(39 * 4 | 0) | 0;
       i29 = i50 + 1 | 0;
       set32(39 * 4 | 0, i29 | 0);
       if ((i50 | 0) < (get32(49 * 4 | 0) | 0)) {
        i120 = i49;
        break;
       }
       set32(49 * 4 | 0, i29 | 0);
       i120 = i49;
       break;
      }
     }
     set8(i53 >> 0 | 0, 1 | 0);
     i118 = 0;
     break L257;
    } while (0);
    _memcpy(i120 | 0, i31 | 0, i52 | 0) | 0;
    i118 = i120;
   } while (0);
   set32(i42 | 0, i118 | 0);
   set32(i34 | 0, i117 | 0);
   i109 = i117;
  } else i109 = i117; while (0);
  i34 = i28 + 30 | 0;
  if ((i109 | 0) == 3082 | (get8(i34 >> 0 | 0) | 0) != 0) {
   _sqlite3Error(i28, 7, 0, i3);
   set8(i34 >> 0 | 0, 0 | 0);
   i121 = 7;
  } else i121 = i109;
  i122 = get32(i28 + 24 | 0) & i121;
  STACKTOP = i2;
  return i122 | 0;
 } while (0);
 set32(i24 | 0, 61278 | 0);
 set32(i24 + 4 | 0, 17203 | 0);
 _sqlite3_log(21, 39226, i24);
 i122 = 21;
 STACKTOP = i2;
 return i122 | 0;
}

function _sqlite3VXPrintf(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, d70 = 0.0, d71 = 0.0, i72 = 0, d73 = 0.0, d74 = 0.0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, d79 = 0.0, i80 = 0, d81 = 0.0, d82 = 0.0, i83 = 0, d84 = 0.0, i85 = 0, d86 = 0.0, i87 = 0, d88 = 0.0, i89 = 0, i90 = 0, d91 = 0.0, i92 = 0, d93 = 0.0, i94 = 0, i95 = 0, i96 = 0, i97 = 0, i98 = 0, i99 = 0, i100 = 0, i101 = 0, d102 = 0.0, i103 = 0, i104 = 0, i105 = 0, i106 = 0, i107 = 0, d108 = 0.0, i109 = 0, d110 = 0.0, i111 = 0, i112 = 0, i113 = 0, i114 = 0, i115 = 0, d116 = 0.0, i117 = 0, i118 = 0, i119 = 0, i120 = 0, i121 = 0, i122 = 0, i123 = 0, i124 = 0, i125 = 0, i126 = 0, i127 = 0, i128 = 0, i129 = 0, i130 = 0, i131 = 0, i132 = 0, i133 = 0, i134 = 0, i135 = 0, i136 = 0, i137 = 0, i138 = 0, i139 = 0, i140 = 0, i141 = 0, i142 = 0, i143 = 0, i144 = 0, i145 = 0, i146 = 0, i147 = 0, i148 = 0, i149 = 0, i150 = 0, i151 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 368 | 0;
 i6 = i5 + 8 | 0;
 i7 = i5;
 i8 = i5 + 16 | 0;
 i9 = (i2 | 0) == 0;
 i2 = i8 + 349 | 0;
 i10 = i8 + 347 | 0;
 i11 = i8 + 348 | 0;
 i12 = i2;
 i13 = i8;
 i14 = i8 + 1 | 0;
 i15 = i1 + 12 | 0;
 i16 = i13 + -1 | 0;
 i17 = i12 + -1 | 0;
 i18 = i12 + -2 | 0;
 i19 = i12 + -3 | 0;
 i20 = i3;
 i3 = 0;
 L1 : while (1) {
  switch (get8(i20 >> 0 | 0) | 0) {
  case 0:
   {
    i21 = 203;
    break L1;
    break;
   }
  case 37:
   {
    i22 = i20;
    i23 = i3;
    break;
   }
  default:
   {
    i24 = i20;
    i25 = 1;
    L4 : while (1) {
     i26 = i24 + 1 | 0;
     i27 = get8(i26 >> 0 | 0) | 0;
     switch (i27 << 24 >> 24) {
     case 0:
     case 37:
      {
       i28 = i26;
       i29 = i27;
       i30 = i25;
       break L4;
       break;
      }
     default:
      {}
     }
     i24 = i26;
     i25 = i25 + 1 | 0;
    }
    _sqlite3StrAccumAppend(i1, i20, i30);
    if (!(i29 << 24 >> 24)) {
     i21 = 203;
     break L1;
    } else {
     i22 = i28;
     i23 = i20;
    }
   }
  }
  i25 = i22 + 1 | 0;
  i24 = get8(i25 >> 0 | 0) | 0;
  if (!(i24 << 24 >> 24)) {
   i21 = 7;
   break;
  }
  i26 = i25;
  i25 = i24 << 24 >> 24;
  i24 = 0;
  i27 = 0;
  i31 = 0;
  i32 = 0;
  i33 = 0;
  i34 = 0;
  L10 : while (1) {
   switch (i25 | 0) {
   case 45:
    {
     i35 = i24;
     i36 = i27;
     i37 = i31;
     i38 = 1;
     i39 = i33;
     i40 = i34;
     break;
    }
   case 43:
    {
     i35 = i24;
     i36 = i27;
     i37 = i31;
     i38 = i32;
     i39 = 1;
     i40 = i34;
     break;
    }
   case 32:
    {
     i35 = i24;
     i36 = i27;
     i37 = 1;
     i38 = i32;
     i39 = i33;
     i40 = i34;
     break;
    }
   case 35:
    {
     i35 = 1;
     i36 = i27;
     i37 = i31;
     i38 = i32;
     i39 = i33;
     i40 = i34;
     break;
    }
   case 33:
    {
     i35 = i24;
     i36 = 1;
     i37 = i31;
     i38 = i32;
     i39 = i33;
     i40 = i34;
     break;
    }
   case 48:
    {
     i35 = i24;
     i36 = i27;
     i37 = i31;
     i38 = i32;
     i39 = i33;
     i40 = 1;
     break;
    }
   default:
    {
     i41 = i26;
     i42 = i25;
     i43 = i24;
     i44 = i27;
     i45 = i31;
     i46 = i32;
     i47 = i33;
     i48 = i34;
     break L10;
    }
   }
   i49 = i26 + 1 | 0;
   i50 = get8(i49 >> 0 | 0) | 0;
   i51 = i50 << 24 >> 24;
   if (!(i50 << 24 >> 24)) {
    i41 = i49;
    i42 = i51;
    i43 = i35;
    i44 = i36;
    i45 = i37;
    i46 = i38;
    i47 = i39;
    i48 = i40;
    break;
   } else {
    i26 = i49;
    i25 = i51;
    i24 = i35;
    i27 = i36;
    i31 = i37;
    i32 = i38;
    i33 = i39;
    i34 = i40;
   }
  }
  if ((i42 | 0) != 42) if ((i42 + -48 | 0) >>> 0 < 10) {
   i34 = i41;
   i33 = i42;
   i32 = 0;
   while (1) {
    i31 = i33 + -48 + (i32 * 10 | 0) | 0;
    i27 = i34 + 1 | 0;
    i24 = get8(i27 >> 0 | 0) | 0;
    if ((i24 + -48 | 0) >>> 0 < 10) {
     i34 = i27;
     i33 = i24;
     i32 = i31;
    } else {
     i52 = i27;
     i53 = i24;
     i54 = i46;
     i55 = i31;
     break;
    }
   }
  } else {
   i52 = i41;
   i53 = i42;
   i54 = i46;
   i55 = 0;
  } else {
   i32 = (get32(i4 | 0) | 0) + (4 - 1) & ~(4 - 1);
   i33 = get32(i32 | 0) | 0;
   set32(i4 | 0, i32 + 4 | 0);
   i32 = (i33 | 0) < 0;
   i34 = i41 + 1 | 0;
   i52 = i34;
   i53 = get8(i34 >> 0 | 0) | 0;
   i54 = i32 ? 1 : i46;
   i55 = i32 ? 0 - i33 | 0 : i33;
  }
  i33 = (i55 | 0) > 340 ? 340 : i55;
  do if ((i53 | 0) == 46) {
   i32 = i52 + 1 | 0;
   i34 = get8(i32 >> 0 | 0) | 0;
   i31 = i34 << 24 >> 24;
   if (i34 << 24 >> 24 == 42) {
    i34 = (get32(i4 | 0) | 0) + (4 - 1) & ~(4 - 1);
    i24 = get32(i34 | 0) | 0;
    set32(i4 | 0, i34 + 4 | 0);
    i34 = i52 + 2 | 0;
    i56 = i34;
    i57 = get8(i34 >> 0 | 0) | 0;
    i58 = (i24 | 0) < 0 ? 0 - i24 | 0 : i24;
    break;
   }
   if ((i31 + -48 | 0) >>> 0 < 10) {
    i24 = i32;
    i34 = i31;
    i27 = 0;
    while (1) {
     i25 = i34 + -48 + (i27 * 10 | 0) | 0;
     i26 = i24 + 1 | 0;
     i51 = get8(i26 >> 0 | 0) | 0;
     if ((i51 + -48 | 0) >>> 0 < 10) {
      i24 = i26;
      i34 = i51;
      i27 = i25;
     } else {
      i56 = i26;
      i57 = i51;
      i58 = i25;
      break;
     }
    }
   } else {
    i56 = i32;
    i57 = i31;
    i58 = 0;
   }
  } else {
   i56 = i52;
   i57 = i53;
   i58 = -1;
  } while (0);
  do if ((i57 | 0) == 108) {
   i27 = i56 + 1 | 0;
   i34 = get8(i27 >> 0 | 0) | 0;
   if (i34 << 24 >> 24 == 108) {
    i24 = i56 + 2 | 0;
    i59 = i24;
    i60 = get8(i24 >> 0 | 0) | 0;
    i61 = 1;
    break;
   } else {
    i59 = i27;
    i60 = i34 << 24 >> 24;
    i61 = 0;
    break;
   }
  } else {
   i59 = i56;
   i60 = i57;
   i61 = 0;
  } while (0);
  L40 : do if ((i60 | 0) != 100) if ((i60 | 0) != 115) if ((i60 | 0) != 103) if ((i60 | 0) != 122) if ((i60 | 0) != 113) if ((i60 | 0) != 81) if ((i60 | 0) != 119) if ((i60 | 0) != 99) if ((i60 | 0) != 111) if ((i60 | 0) != 117) if ((i60 | 0) != 120) if ((i60 | 0) != 88) if ((i60 | 0) != 102) if ((i60 | 0) != 101) {
   if ((i60 | 0) == 69) {
    i62 = 18653;
    i63 = 14;
    i21 = 31;
    break;
   }
   if ((i60 | 0) == 71) {
    i62 = 18659;
    i63 = 15;
    i21 = 31;
    break;
   }
   if ((i60 | 0) == 105) {
    i62 = 18665;
    i63 = 16;
    i21 = 31;
    break;
   }
   if ((i60 | 0) == 110) {
    i62 = 18671;
    i63 = 17;
    i21 = 31;
    break;
   }
   if ((i60 | 0) == 37) {
    i62 = 18677;
    i63 = 18;
    i21 = 31;
    break;
   }
   L60 : do switch (i60 | 0) {
   case 112:
    {
     i62 = 18683;
     i63 = 19;
     i21 = 31;
     break L40;
     break;
    }
   case 84:
    {
     i64 = 18689;
     i65 = 20;
     break;
    }
   default:
    {
     if ((i60 | 0) == 83) {
      i64 = 18695;
      i65 = 21;
      break L60;
     }
     if ((i60 | 0) == 114) {
      i64 = 18701;
      i65 = 22;
     } else {
      i66 = 18569;
      i67 = 0;
      break L40;
     }
    }
   } while (0);
   if (i9) {
    i21 = 203;
    break L1;
   } else {
    i62 = i64;
    i63 = i65;
    i21 = 31;
   }
  } else {
   i62 = 18647;
   i63 = 13;
   i21 = 31;
  } else {
   i62 = 18641;
   i63 = 12;
   i21 = 31;
  } else {
   i62 = 18635;
   i63 = 11;
   i21 = 31;
  } else {
   i62 = 18629;
   i63 = 10;
   i21 = 31;
  } else {
   i62 = 18623;
   i63 = 9;
   i21 = 31;
  } else {
   i62 = 18617;
   i63 = 8;
   i21 = 31;
  } else {
   i62 = 18611;
   i63 = 7;
   i21 = 31;
  } else {
   i62 = 18605;
   i63 = 6;
   i21 = 31;
  } else {
   i62 = 18599;
   i63 = 5;
   i21 = 31;
  } else {
   i62 = 18593;
   i63 = 4;
   i21 = 31;
  } else {
   i62 = 18587;
   i63 = 3;
   i21 = 31;
  } else {
   i62 = 18581;
   i63 = 2;
   i21 = 31;
  } else {
   i62 = 18575;
   i63 = 1;
   i21 = 31;
  } else {
   i62 = 18569;
   i63 = 0;
   i21 = 31;
  } while (0);
  if ((i21 | 0) == 31) {
   i21 = 0;
   i66 = i62;
   i67 = get8(18569 + (i63 * 6 | 0) + 3 >> 0 | 0) | 0;
  }
  if ((i58 | 0) > 310) i68 = (get8(i66 + 2 >> 0 | 0) & 4) == 0 ? 310 : i58; else i68 = i58;
  L70 : do switch (i67 & 255 | 0) {
  case 14:
   {
    i69 = 0;
    i21 = 37;
    break;
   }
  case 1:
  case 16:
   {
    i69 = i61;
    i21 = 37;
    break;
   }
  case 4:
  case 3:
  case 2:
   {
    i31 = (get32(i4 | 0) | 0) + (8 - 1) & ~(8 - 1);
    d70 = +getF64(i31 | 0);
    set32(i4 | 0, i31 + 8 | 0);
    i31 = (i68 | 0) < 0 ? 6 : i68;
    i32 = (i31 | 0) > 165 ? 165 : i31;
    if (!(d70 < 0.0)) if (!(i47 << 24 >> 24)) {
     d71 = d70;
     i72 = i45 << 24 >> 24 == 0 ? 0 : 32;
    } else {
     d71 = d70;
     i72 = 43;
    } else {
     d71 = -d70;
     i72 = 45;
    }
    i31 = i67 << 24 >> 24 == 4;
    i34 = ((i31 & (i32 | 0) > 0) << 31 >> 31) + i32 | 0;
    if ((i34 | 0) > 0) {
     i32 = i34;
     d70 = .5;
     while (1) {
      d73 = d70 * .1;
      if ((i32 | 0) > 1) {
       i32 = i32 + -1 | 0;
       d70 = d73;
      } else {
       d74 = d73;
       break;
      }
     }
    } else d74 = .5;
    i32 = i67 << 24 >> 24 == 2;
    d70 = i32 ? d71 + d74 : d71;
    setF64(i6 | 0, +d70);
    setF64(i7 | 0, +(+getF64(i6 | 0)));
    if (+getF64(i6 | 0) != +getF64(i7 | 0)) {
     i75 = 18756;
     i76 = 3;
     i77 = i33;
     i78 = 0;
    } else {
     if (d70 > 0.0) {
      if (!(d70 >= 1.e+32)) {
       d79 = d70;
       i80 = 0;
      } else {
       d73 = d70;
       i27 = 0;
       while (1) {
        d81 = d73 * 1.0e-32;
        i24 = i27 + 32 | 0;
        if (d81 >= 1.e+32 & (i24 | 0) < 351) {
         d73 = d81;
         i27 = i24;
        } else {
         d79 = d81;
         i80 = i24;
         break;
        }
       }
      }
      if (d79 >= 1.0e8 & (i80 | 0) < 351) {
       d73 = d79;
       i27 = i80;
       while (1) {
        d81 = d73 * 1.0e-08;
        i24 = i27 + 8 | 0;
        if (d81 >= 1.0e8 & (i24 | 0) < 351) {
         d73 = d81;
         i27 = i24;
        } else {
         d82 = d81;
         i83 = i24;
         break;
        }
       }
      } else {
       d82 = d79;
       i83 = i80;
      }
      if (d82 >= 10.0 & (i83 | 0) < 351) {
       d73 = d82;
       i27 = i83;
       while (1) {
        d81 = d73 * .1;
        i24 = i27 + 1 | 0;
        if (d81 >= 10.0 & (i24 | 0) < 351) {
         d73 = d81;
         i27 = i24;
        } else {
         d84 = d81;
         i85 = i24;
         break;
        }
       }
      } else {
       d84 = d82;
       i85 = i83;
      }
      if (d84 < 1.0e-08) {
       d73 = d84;
       i27 = i85;
       while (1) {
        d81 = d73 * 1.0e8;
        i24 = i27 + -8 | 0;
        if (d81 < 1.0e-08) {
         d73 = d81;
         i27 = i24;
        } else {
         d86 = d81;
         i87 = i24;
         break;
        }
       }
      } else {
       d86 = d84;
       i87 = i85;
      }
      if (d86 < 1.0) {
       d73 = d86;
       i27 = i87;
       while (1) {
        d81 = d73 * 10.0;
        i24 = i27 + -1 | 0;
        if (d81 < 1.0) {
         d73 = d81;
         i27 = i24;
        } else {
         d88 = d81;
         i89 = i24;
         break;
        }
       }
      } else {
       d88 = d86;
       i89 = i87;
      }
      if ((i89 | 0) > 350) {
       i27 = i72 << 24 >> 24 == 45 ? 18760 : i72 << 24 >> 24 == 43 ? 18765 : 18770;
       i24 = i27;
       while (1) if (!(get8(i24 >> 0 | 0) | 0)) {
        i90 = i24;
        break;
       } else i24 = i24 + 1 | 0;
       i75 = i27;
       i76 = i90 - i27 & 1073741823;
       i77 = i33;
       i78 = 0;
       break L70;
      } else {
       d91 = d88;
       i92 = i89;
      }
     } else {
      d91 = d70;
      i92 = 0;
     }
     i24 = i67 << 24 >> 24 == 3;
     if (!i32) {
      d73 = d74 + d91;
      if (!(d73 >= 10.0)) {
       d93 = d73;
       i94 = i92;
      } else {
       d93 = d73 * .1;
       i94 = i92 + 1 | 0;
      }
     } else {
      d93 = d91;
      i94 = i92;
     }
     if (i31) {
      i25 = (i94 | 0) < -4 | (i34 | 0) < (i94 | 0);
      i95 = i43 << 24 >> 24 == 0 & 1;
      i96 = i34 - (i25 ? 0 : i94) | 0;
      i97 = i25 ? 3 : 2;
     } else {
      i95 = 0;
      i96 = i34;
      i97 = i67;
     }
     i25 = i97 << 24 >> 24 == 3;
     i51 = i25 ? 0 : i94;
     i26 = (i44 | i43) & 255 | (i96 | 0) > 0;
     if (!(i72 << 24 >> 24)) {
      i98 = 2;
      i99 = 1;
      i100 = i8;
     } else {
      set8(i8 >> 0 | 0, i72 | 0);
      i98 = 3;
      i99 = 2;
      i100 = i14;
     }
     if ((i51 | 0) < 0) {
      set8(i100 >> 0 | 0, 48 | 0);
      i101 = i99;
      d102 = d93;
      i103 = 0;
      i104 = i51;
     } else {
      i49 = i51 + -1 | 0;
      i50 = 0;
      d73 = d93;
      i105 = i100;
      i106 = i51;
      while (1) {
       if ((i50 | 0) > 15) {
        i107 = 48;
        d108 = d73;
       } else {
        i109 = ~~d73;
        i107 = i109 + 48 & 255;
        d108 = (d73 - +(i109 | 0)) * 10.0;
       }
       set8(i105 >> 0 | 0, i107 | 0);
       if ((i106 | 0) > 0) {
        i50 = i50 + 1 | 0;
        d73 = d108;
        i105 = i105 + 1 | 0;
        i106 = i106 + -1 | 0;
       } else {
        d110 = d108;
        break;
       }
      }
      i101 = i98 + i49 | 0;
      d102 = d110;
      i103 = i51 + 1 | 0;
      i104 = -1;
     }
     i106 = i8 + i101 | 0;
     i105 = (i26 | 0) == 0;
     if (i105) {
      i111 = i101;
      i112 = i106;
     } else {
      i50 = i101 + 1 | 0;
      set8(i106 >> 0 | 0, 46 | 0);
      i111 = i50;
      i112 = i8 + i50 | 0;
     }
     if ((i104 | 0) < -1) {
      _memset(i112 | 0, 48, ~i104 | 0) | 0;
      i113 = i8 + (i111 + ~i104) | 0;
      i114 = i96 + 1 + i104 | 0;
     } else {
      i113 = i112;
      i114 = i96;
     }
     if ((i114 | 0) > 0) {
      i50 = i103;
      d73 = d102;
      i106 = i113;
      i34 = i114;
      while (1) {
       if ((i50 | 0) > 15) {
        i115 = 48;
        d116 = d73;
       } else {
        i31 = ~~d73;
        i115 = i31 + 48 & 255;
        d116 = (d73 - +(i31 | 0)) * 10.0;
       }
       set8(i106 >> 0 | 0, i115 | 0);
       if ((i34 | 0) > 1) {
        i50 = i50 + 1 | 0;
        d73 = d116;
        i106 = i106 + 1 | 0;
        i34 = i34 + -1 | 0;
       } else break;
      }
      i117 = i113 + i114 | 0;
     } else i117 = i113;
     L144 : do if (!((i95 | 0) == 0 | i105)) {
      i34 = i117;
      L145 : while (1) {
       i106 = i34 + -1 | 0;
       switch (get8(i106 >> 0 | 0) | 0) {
       case 46:
        {
         i118 = i106;
         i119 = i34;
         break L145;
         break;
        }
       case 48:
        break;
       default:
        {
         i120 = i34;
         break L144;
        }
       }
       set8(i106 >> 0 | 0, 0 | 0);
       i34 = i106;
      }
      if (!(i44 << 24 >> 24)) {
       set8(i118 >> 0 | 0, 0 | 0);
       i120 = i118;
       break;
      } else {
       set8(i119 >> 0 | 0, 48 | 0);
       i120 = i119 + 1 | 0;
       break;
      }
     } else i120 = i117; while (0);
     if (i24 | i25) {
      i105 = i120 + 1 | 0;
      set8(i120 >> 0 | 0, get8(18716 + (getU8(i66 + 4 >> 0 | 0) | 0) >> 0 | 0) | 0 | 0);
      i34 = i120 + 2 | 0;
      if ((i94 | 0) < 0) {
       set8(i105 >> 0 | 0, 45 | 0);
       i121 = 0 - i94 | 0;
      } else {
       set8(i105 >> 0 | 0, 43 | 0);
       i121 = i94;
      }
      if ((i121 | 0) > 99) {
       set8(i34 >> 0 | 0, ((i121 | 0) / 100 | 0) + 48 | 0);
       i122 = 4;
       i123 = 5;
       i124 = i120 + 3 | 0;
       i125 = (i121 | 0) % 100 | 0;
      } else {
       i122 = 3;
       i123 = 4;
       i124 = i34;
       i125 = i121;
      }
      set8(i124 >> 0 | 0, ((i125 | 0) / 10 | 0) + 48 | 0);
      set8(i120 + i122 >> 0 | 0, ((i125 | 0) % 10 | 0) + 48 | 0);
      i126 = i120 + i123 | 0;
     } else i126 = i120;
     set8(i126 >> 0 | 0, 0 | 0);
     i34 = i126;
     i105 = i34 - i13 | 0;
     if (!(i48 << 24 >> 24 != 0 & i54 << 24 >> 24 == 0 & (i33 | 0) > (i105 | 0))) {
      i75 = i8;
      i76 = i105;
      i77 = i33;
      i78 = 0;
      break L70;
     }
     i106 = i33 - i105 | 0;
     if ((i105 | 0) >= 0) {
      i50 = i33;
      while (1) {
       set8(i8 + i50 >> 0 | 0, get8(i8 + (i50 - i106) >> 0 | 0) | 0 | 0);
       if ((i50 | 0) > (i106 | 0)) i50 = i50 + -1 | 0; else break;
      }
     }
     if ((i33 | 0) == (i105 | 0)) {
      i75 = i8;
      i76 = i33;
      i77 = i33;
      i78 = 0;
      break L70;
     }
     _memset(i8 + (i72 << 24 >> 24 != 0 & 1) | 0, 48, i16 - i34 - ((i55 | 0) < 340 ? ~i55 : -341) | 0) | 0;
     i75 = i8;
     i76 = i33;
     i77 = i33;
     i78 = 0;
    }
    break;
   }
  case 5:
   {
    i50 = get32(i15 | 0) | 0;
    i106 = (get32(i4 | 0) | 0) + (4 - 1) & ~(4 - 1);
    i25 = get32(i106 | 0) | 0;
    set32(i4 | 0, i106 + 4 | 0);
    set32(i25 | 0, i50 | 0);
    i75 = i23;
    i76 = 0;
    i77 = 0;
    i78 = 0;
    break;
   }
  case 8:
   {
    set8(i8 >> 0 | 0, 37 | 0);
    i75 = i8;
    i76 = 1;
    i77 = i33;
    i78 = 0;
    break;
   }
  case 9:
   {
    i50 = (get32(i4 | 0) | 0) + (4 - 1) & ~(4 - 1);
    i25 = get32(i50 | 0) | 0;
    set32(i4 | 0, i50 + 4 | 0);
    i50 = i25 & 255;
    set8(i8 >> 0 | 0, i50 | 0);
    if ((i68 | 0) > -1) if ((i68 | 0) > 1) {
     _memset(i14 | 0, i50 | 0, i68 + -1 | 0) | 0;
     i75 = i8;
     i76 = i68;
     i77 = i33;
     i78 = 0;
    } else {
     i75 = i8;
     i76 = i68;
     i77 = i33;
     i78 = 0;
    } else {
     i75 = i8;
     i76 = 1;
     i77 = i33;
     i78 = 0;
    }
    break;
   }
  case 7:
  case 6:
   {
    i50 = (get32(i4 | 0) | 0) + (4 - 1) & ~(4 - 1);
    i25 = get32(i50 | 0) | 0;
    set32(i4 | 0, i50 + 4 | 0);
    i50 = (i25 | 0) == 0;
    i106 = i50 ? 0 : i67 << 24 >> 24 == 7 ? i25 : 0;
    i24 = i50 ? 16820 : i25;
    if ((i68 | 0) <= -1) {
     i25 = i24;
     while (1) if (!(get8(i25 >> 0 | 0) | 0)) {
      i127 = i25;
      break;
     } else i25 = i25 + 1 | 0;
     i75 = i24;
     i76 = i127 - i24 & 1073741823;
     i77 = i33;
     i78 = i106;
     break L70;
    }
    if ((i68 | 0) > 0) {
     i25 = 0;
     while (1) {
      if (!(get8(i24 + i25 >> 0 | 0) | 0)) {
       i75 = i24;
       i76 = i25;
       i77 = i33;
       i78 = i106;
       break L70;
      }
      i34 = i25 + 1 | 0;
      if ((i34 | 0) < (i68 | 0)) i25 = i34; else {
       i75 = i24;
       i76 = i34;
       i77 = i33;
       i78 = i106;
       break;
      }
     }
    } else {
     i75 = i24;
     i76 = 0;
     i77 = i33;
     i78 = i106;
    }
    break;
   }
  case 15:
  case 11:
  case 10:
   {
    i25 = i67 << 24 >> 24 == 15 ? 34 : 39;
    i34 = (get32(i4 | 0) | 0) + (4 - 1) & ~(4 - 1);
    i105 = get32(i34 | 0) | 0;
    set32(i4 | 0, i34 + 4 | 0);
    i34 = (i105 | 0) == 0;
    i50 = i67 << 24 >> 24 == 11;
    i26 = i34 ? (i50 ? 18774 : 18779) : i105;
    L184 : do if (!i68) {
     i128 = 0;
     i129 = 0;
    } else {
     i105 = i25 & 255;
     i51 = 0;
     i49 = i68;
     i31 = 0;
     while (1) {
      i32 = get8(i26 + i51 >> 0 | 0) | 0;
      if (!(i32 << 24 >> 24)) {
       i128 = i51;
       i129 = i31;
       break L184;
      }
      i27 = ((i32 << 24 >> 24 | 0) == (i105 | 0) & 1) + i31 | 0;
      i32 = i51 + 1 | 0;
      i49 = i49 + -1 | 0;
      if (!i49) {
       i128 = i32;
       i129 = i27;
       break;
      } else {
       i51 = i32;
       i31 = i27;
      }
     }
    } while (0);
    i106 = i50 & (i34 ^ 1);
    i24 = ((i106 & 1) << 1 | 1) + i128 + i129 | 0;
    do if ((i24 | 0) > 350) {
     if ((i24 + -1 | 0) >>> 0 > 2147483390) {
      i21 = 162;
      break L1;
     }
     if (!(get32(50 * 4 | 0) | 0)) {
      i31 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i24) | 0;
      if (!i31) {
       i21 = 162;
       break L1;
      } else {
       i130 = i31;
       i131 = i31;
       break;
      }
     }
     i31 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i24) | 0;
     set32(35 * 4 | 0, i24 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i24 | 0)) set32(45 * 4 | 0, i24 | 0);
     i51 = get32(6 * 4 | 0) | 0;
     do if (i51) {
      i49 = get32(30 * 4 | 0) | 0;
      i105 = ((i49 | 0) < 0) << 31 >> 31;
      i27 = 16;
      i32 = _i64Subtract(get32(i27 | 0) | 0, get32(i27 + 4 | 0) | 0, i31 | 0, ((i31 | 0) < 0) << 31 >> 31 | 0) | 0;
      i27 = tempRet0;
      if ((i105 | 0) < (i27 | 0) | (i105 | 0) == (i27 | 0) & i49 >>> 0 < i32 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i32 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i51 & 15](i32, i49, i105, i31);
       set32(6 * 4 | 0, i51 | 0);
       set32(7 * 4 | 0, i32 | 0);
       break;
      }
     } while (0);
     i51 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i31) | 0;
     if (!i51) {
      i21 = 162;
      break L1;
     }
     i32 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i51) | 0;
     i105 = (get32(30 * 4 | 0) | 0) + i32 | 0;
     set32(30 * 4 | 0, i105 | 0);
     if ((i105 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i105 | 0);
     i105 = get32(39 * 4 | 0) | 0;
     i32 = i105 + 1 | 0;
     set32(39 * 4 | 0, i32 | 0);
     if ((i105 | 0) < (get32(49 * 4 | 0) | 0)) {
      i130 = i51;
      i131 = i51;
     } else {
      set32(49 * 4 | 0, i32 | 0);
      i130 = i51;
      i131 = i51;
     }
    } else {
     i130 = i8;
     i131 = 0;
    } while (0);
    if (i106) {
     set8(i130 >> 0 | 0, i25 | 0);
     i132 = 1;
    } else i132 = 0;
    if ((i128 | 0) > 0) {
     i24 = i25 & 255;
     i34 = 0;
     i50 = i132;
     while (1) {
      i51 = get8(i26 + i34 >> 0 | 0) | 0;
      i32 = i50 + 1 | 0;
      set8(i130 + i50 >> 0 | 0, i51 | 0);
      if ((i51 << 24 >> 24 | 0) == (i24 | 0)) {
       set8(i130 + i32 >> 0 | 0, i51 | 0);
       i133 = i50 + 2 | 0;
      } else i133 = i32;
      i34 = i34 + 1 | 0;
      if ((i34 | 0) == (i128 | 0)) {
       i134 = i133;
       break;
      } else i50 = i133;
     }
    } else i134 = i132;
    if (i106) {
     set8(i130 + i134 >> 0 | 0, i25 | 0);
     i135 = i134 + 1 | 0;
    } else i135 = i134;
    set8(i130 + i135 >> 0 | 0, 0 | 0);
    i75 = i130;
    i76 = i135;
    i77 = i33;
    i78 = i131;
    break;
   }
  case 12:
   {
    i50 = (get32(i4 | 0) | 0) + (4 - 1) & ~(4 - 1);
    i34 = get32(i50 | 0) | 0;
    set32(i4 | 0, i50 + 4 | 0);
    if (!i34) {
     i75 = i23;
     i76 = 0;
     i77 = 0;
     i78 = 0;
    } else {
     _sqlite3StrAccumAppend(i1, get32(i34 | 0) | 0, get32(i34 + 4 | 0) | 0);
     i75 = i23;
     i76 = 0;
     i77 = 0;
     i78 = 0;
    }
    break;
   }
  case 13:
   {
    i34 = (get32(i4 | 0) | 0) + (4 - 1) & ~(4 - 1);
    i50 = get32(i34 | 0) | 0;
    set32(i4 | 0, i34 + 4 | 0);
    i34 = (get32(i4 | 0) | 0) + (4 - 1) & ~(4 - 1);
    i24 = get32(i34 | 0) | 0;
    set32(i4 | 0, i34 + 4 | 0);
    i34 = get32(i50 + 8 + (i24 * 56 | 0) | 0) | 0;
    if (i34) {
     _sqlite3StrAccumAppend(i1, i34, -1);
     _sqlite3StrAccumAppend(i1, 43002, 1);
    }
    _sqlite3StrAccumAppend(i1, get32(i50 + 8 + (i24 * 56 | 0) + 4 | 0) | 0, -1);
    i75 = i23;
    i76 = 0;
    i77 = 0;
    i78 = 0;
    break;
   }
  default:
   {
    i21 = 203;
    break L1;
   }
  } while (0);
  if ((i21 | 0) == 37) {
   i21 = 0;
   i24 = i69 << 24 >> 24 != 0;
   do if (!(get8(i66 + 2 >> 0 | 0) & 1)) if (i24) {
    i50 = (get32(i4 | 0) | 0) + (8 - 1) & ~(8 - 1);
    i34 = i50;
    i26 = get32(i34 | 0) | 0;
    i32 = get32(i34 + 4 | 0) | 0;
    set32(i4 | 0, i50 + 8 | 0);
    i136 = i26;
    i137 = i32;
    i138 = 0;
    break;
   } else {
    i32 = (get32(i4 | 0) | 0) + (4 - 1) & ~(4 - 1);
    i26 = get32(i32 | 0) | 0;
    set32(i4 | 0, i32 + 4 | 0);
    i136 = i26;
    i137 = 0;
    i138 = 0;
    break;
   } else {
    if (i24) {
     i26 = (get32(i4 | 0) | 0) + (8 - 1) & ~(8 - 1);
     i32 = i26;
     i50 = get32(i32 | 0) | 0;
     i34 = get32(i32 + 4 | 0) | 0;
     set32(i4 | 0, i26 + 8 | 0);
     i139 = i34;
     i140 = i50;
    } else {
     i50 = (get32(i4 | 0) | 0) + (4 - 1) & ~(4 - 1);
     i34 = get32(i50 | 0) | 0;
     set32(i4 | 0, i50 + 4 | 0);
     i139 = ((i34 | 0) < 0) << 31 >> 31;
     i140 = i34;
    }
    if ((i139 | 0) < 0) {
     i34 = _i64Subtract(0, 0, i140 | 0, i139 | 0) | 0;
     i136 = i34;
     i137 = tempRet0;
     i138 = 45;
     break;
    }
    if (!(i47 << 24 >> 24)) {
     i136 = i140;
     i137 = i139;
     i138 = i45 << 24 >> 24 == 0 ? 0 : 32;
    } else {
     i136 = i140;
     i137 = i139;
     i138 = 43;
    }
   } while (0);
   i24 = (i136 | 0) == 0 & (i137 | 0) == 0;
   if (!(i48 << 24 >> 24)) i141 = i68; else {
    i34 = i33 - (i138 << 24 >> 24 != 0 & 1) | 0;
    i141 = (i68 | 0) < (i34 | 0) ? i34 : i68;
   }
   if (i67 << 24 >> 24 == 16) {
    i34 = ___uremdi3(i136 | 0, i137 | 0, 10, 0) | 0;
    if (i34 >>> 0 <= 3 ? (i50 = ___udivdi3(i136 | 0, i137 | 0, 10, 0) | 0, i26 = ___uremdi3(i50 | 0, tempRet0 | 0, 10, 0) | 0, !((i26 | 0) == 1 & (tempRet0 | 0) == 0)) : 0) i142 = i34; else i142 = 0;
    i34 = i142 << 1;
    set8(i10 >> 0 | 0, get8(18707 + i34 >> 0 | 0) | 0 | 0);
    set8(i11 >> 0 | 0, get8(18707 + (i34 | 1) >> 0 | 0) | 0 | 0);
    i143 = i10;
   } else i143 = i2;
   i34 = getU8(i66 + 4 >> 0 | 0) | 0;
   i26 = getU8(i66 + 1 >> 0 | 0) | 0;
   i50 = i136;
   i32 = i137;
   i51 = i143;
   while (1) {
    i105 = ___uremdi3(i50 | 0, i32 | 0, i26 | 0, 0) | 0;
    i49 = i51 + -1 | 0;
    set8(i49 >> 0 | 0, get8(18716 + (i105 + i34) >> 0 | 0) | 0 | 0);
    i50 = ___udivdi3(i50 | 0, i32 | 0, i26 | 0, 0) | 0;
    i32 = tempRet0;
    if ((i50 | 0) == 0 & (i32 | 0) == 0) {
     i144 = i49;
     i145 = i51;
     break;
    } else i51 = i49;
   }
   i51 = i144;
   i32 = i141 - i12 + i51 | 0;
   if ((i32 | 0) > 0) {
    i50 = i17 - i141 - i51 | 0;
    i26 = 0 - i141 - i51 - ((i50 | 0) > -2 ? i50 : -2) | 0;
    i50 = i144;
    i51 = i32;
    while (1) {
     i50 = i50 + -1 | 0;
     set8(i50 >> 0 | 0, 48 | 0);
     if ((i51 | 0) <= 1) break; else i51 = i51 + -1 | 0;
    }
    i146 = i145 + (i18 + i26) | 0;
    i147 = i145 + (i19 + i26) | 0;
   } else {
    i146 = i145;
    i147 = i144;
   }
   if (!(i138 << 24 >> 24)) i148 = i147; else {
    i51 = i146 + -2 | 0;
    set8(i51 >> 0 | 0, i138 | 0);
    i148 = i51;
   }
   L271 : do if (!(i43 << 24 >> 24 == 0 | i24) ? (i51 = get8(i66 + 5 >> 0 | 0) | 0, i51 << 24 >> 24 != 0) : 0) {
    i50 = 18749 + (i51 & 255) | 0;
    switch (i51 << 24 >> 24) {
    case 3:
    case 6:
     {
      i149 = i148;
      break L271;
      break;
     }
    default:
     {}
    }
    i51 = get8(i50 >> 0 | 0) | 0;
    i32 = i148;
    i34 = i50;
    while (1) {
     i50 = i32 + -1 | 0;
     set8(i50 >> 0 | 0, i51 | 0);
     i34 = i34 + 1 | 0;
     i51 = get8(i34 >> 0 | 0) | 0;
     if (!(i51 << 24 >> 24)) {
      i149 = i50;
      break;
     } else i32 = i50;
    }
   } else i149 = i148; while (0);
   i75 = i149;
   i76 = i12 - i149 | 0;
   i77 = i33;
   i78 = 0;
  }
  i24 = i54 << 24 >> 24 != 0;
  do if (!i24 ? (i26 = i77 - i76 | 0, (i26 | 0) > 0) : 0) {
   if ((i26 | 0) > 28) {
    i32 = ((i77 + -29 - i76 | 0) >>> 0) % 29 | 0;
    i51 = i26;
    do {
     _sqlite3StrAccumAppend(i1, 18786, 29);
     i51 = i51 + -29 | 0;
    } while ((i51 | 0) > 28);
    if (!i32) break; else i150 = i32;
   } else i150 = i26;
   _sqlite3StrAccumAppend(i1, 18786, i150);
  } while (0);
  if ((i76 | 0) > 0) _sqlite3StrAccumAppend(i1, i75, i76);
  do if (i24 ? (i33 = i77 - i76 | 0, (i33 | 0) > 0) : 0) {
   if ((i33 | 0) > 28) {
    i51 = ((i77 + -29 - i76 | 0) >>> 0) % 29 | 0;
    i34 = i33;
    do {
     _sqlite3StrAccumAppend(i1, 18786, 29);
     i34 = i34 + -29 | 0;
    } while ((i34 | 0) > 28);
    if (!i51) break; else i151 = i51;
   } else i151 = i33;
   _sqlite3StrAccumAppend(i1, 18786, i151);
  } while (0);
  do if (i78) {
   if (!(get32(50 * 4 | 0) | 0)) {
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i78);
    break;
   }
   i24 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i78) | 0;
   i34 = (get32(30 * 4 | 0) | 0) - i24 | 0;
   set32(30 * 4 | 0, i34 | 0);
   if ((i34 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i34 | 0);
   i34 = (get32(39 * 4 | 0) | 0) + -1 | 0;
   set32(39 * 4 | 0, i34 | 0);
   if ((i34 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i34 | 0);
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i78);
  } while (0);
  i20 = i59 + 1 | 0;
  i3 = i75;
 }
 if ((i21 | 0) == 7) {
  _sqlite3StrAccumAppend(i1, 18567, 1);
  STACKTOP = i5;
  return;
 } else if ((i21 | 0) == 162) {
  set8(i1 + 24 >> 0 | 0, 1 | 0);
  STACKTOP = i5;
  return;
 } else if ((i21 | 0) == 203) {
  STACKTOP = i5;
  return;
 }
}

function _sqlite3BtreeOpen(i1, i2, i3, i4, i5, i6) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 var i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0;
 i7 = STACKTOP;
 STACKTOP = STACKTOP + 128 | 0;
 i8 = i7;
 i9 = i7 + 12 | 0;
 i10 = i7 + 8 | 0;
 i11 = i7 + 16 | 0;
 i12 = (i2 | 0) == 0;
 if (!i12) {
  i13 = (get8(i2 >> 0 | 0) | 0) == 0;
  i14 = (_strcmp(i2, 17643) | 0) == 0;
  if (i14 | i13 ^ 1) {
   i15 = i14;
   i16 = i13;
  } else {
   i17 = i13;
   i18 = 3;
  }
 } else {
  i17 = 1;
  i18 = 3;
 }
 if ((i18 | 0) == 3) {
  i15 = (get8(i3 + 29 >> 0 | 0) | 0) == 2;
  i16 = i17;
 }
 i17 = (get32(i3 + 12 | 0) | 0) >>> 16 & 2 | i5;
 i5 = i15 ? i17 | 4 : i17;
 i17 = i16 | i15;
 i16 = (i6 & 256 | 0) != 0 & i17 ? i6 & -769 | 512 : i6;
 if (!(get32(50 * 4 | 0) | 0)) {
  i6 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](44) | 0;
  if (!i6) {
   i19 = 7;
   STACKTOP = i7;
   return i19 | 0;
  } else i20 = i6;
 } else {
  i6 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](44) | 0;
  set32(35 * 4 | 0, 44 | 0);
  if ((get32(45 * 4 | 0) | 0) < 44) set32(45 * 4 | 0, 44 | 0);
  i13 = get32(6 * 4 | 0) | 0;
  do if (i13) {
   i14 = get32(30 * 4 | 0) | 0;
   i21 = ((i14 | 0) < 0) << 31 >> 31;
   i22 = 16;
   i23 = _i64Subtract(get32(i22 | 0) | 0, get32(i22 + 4 | 0) | 0, i6 | 0, ((i6 | 0) < 0) << 31 >> 31 | 0) | 0;
   i22 = tempRet0;
   if ((i21 | 0) < (i22 | 0) | (i21 | 0) == (i22 | 0) & i14 >>> 0 < i23 >>> 0) {
    set32(11 * 4 | 0, 0 | 0);
    break;
   } else {
    set32(11 * 4 | 0, 1 | 0);
    i23 = get32(7 * 4 | 0) | 0;
    set32(6 * 4 | 0, 0 | 0);
    FUNCTION_TABLE_viiii[i13 & 15](i23, i14, i21, i6);
    set32(6 * 4 | 0, i13 | 0);
    set32(7 * 4 | 0, i23 | 0);
    break;
   }
  } while (0);
  i13 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i6) | 0;
  if (!i13) {
   i19 = 7;
   STACKTOP = i7;
   return i19 | 0;
  }
  i6 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i13) | 0;
  i23 = (get32(30 * 4 | 0) | 0) + i6 | 0;
  set32(30 * 4 | 0, i23 | 0);
  if ((i23 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i23 | 0);
  i23 = get32(39 * 4 | 0) | 0;
  i6 = i23 + 1 | 0;
  set32(39 * 4 | 0, i6 | 0);
  if ((i23 | 0) < (get32(49 * 4 | 0) | 0)) i20 = i13; else {
   set32(49 * 4 | 0, i6 | 0);
   i20 = i13;
  }
 }
 i13 = (i20 | 0) == 0;
 i6 = i20;
 i23 = i6 + 44 | 0;
 do {
  set8(i6 >> 0 | 0, 0 | 0);
  i6 = i6 + 1 | 0;
 } while ((i6 | 0) < (i23 | 0));
 set32(i20 | 0, i3 | 0);
 set32(i20 + 28 | 0, i20 | 0);
 set32(i20 + 32 | 0, 1 | 0);
 L27 : do if (i17 | (i16 & 131072 | 0) == 0) i18 = 74; else {
  i21 = get32(i1 + 8 | 0) | 0;
  i14 = i21 + 1 | 0;
  do if (i21 >>> 0 <= 2147483390) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i22 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i14) | 0;
    set8(i20 + 9 >> 0 | 0, 1 | 0);
    if (!i22) break; else i24 = i22;
   } else {
    i22 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i14) | 0;
    set32(35 * 4 | 0, i14 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i14 | 0)) set32(45 * 4 | 0, i14 | 0);
    i25 = get32(6 * 4 | 0) | 0;
    do if (i25) {
     i26 = get32(30 * 4 | 0) | 0;
     i27 = ((i26 | 0) < 0) << 31 >> 31;
     i28 = 16;
     i29 = _i64Subtract(get32(i28 | 0) | 0, get32(i28 + 4 | 0) | 0, i22 | 0, ((i22 | 0) < 0) << 31 >> 31 | 0) | 0;
     i28 = tempRet0;
     if ((i27 | 0) < (i28 | 0) | (i27 | 0) == (i28 | 0) & i26 >>> 0 < i29 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i29 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i25 & 15](i29, i26, i27, i22);
      set32(6 * 4 | 0, i25 | 0);
      set32(7 * 4 | 0, i29 | 0);
      break;
     }
    } while (0);
    i25 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i22) | 0;
    if (!i25) {
     i18 = 31;
     break;
    }
    i29 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i25) | 0;
    i27 = (get32(30 * 4 | 0) | 0) + i29 | 0;
    set32(30 * 4 | 0, i27 | 0);
    if ((i27 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i27 | 0);
    i27 = get32(39 * 4 | 0) | 0;
    i29 = i27 + 1 | 0;
    set32(39 * 4 | 0, i29 | 0);
    if ((i27 | 0) >= (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i29 | 0);
    set8(i20 + 9 >> 0 | 0, 1 | 0);
    i24 = i25;
   }
   set8(i24 >> 0 | 0, 0 | 0);
   FUNCTION_TABLE_iiiii[get32(i1 + 36 | 0) & 31](i1, i2, i14, i24) | 0;
   i25 = get32(348 * 4 | 0) | 0;
   L51 : do if (!i25) i30 = 0; else {
    i29 = i25;
    while (1) {
     i27 = get32(i29 | 0) | 0;
     if ((_strcmp(i24, get32(i27 + 144 | 0) | 0) | 0) == 0 ? (get32(i27 | 0) | 0) == (i1 | 0) : 0) {
      i31 = i29;
      break;
     }
     i29 = get32(i29 + 72 | 0) | 0;
     if (!i29) {
      i30 = 0;
      break L51;
     }
    }
    i29 = get32(i3 + 4 | 0) | 0;
    L58 : do if ((i29 | 0) > 0) {
     i27 = get32(i3 + 8 | 0) | 0;
     i26 = i29;
     while (1) {
      i28 = i26;
      i26 = i26 + -1 | 0;
      i32 = get32(i27 + (i26 << 4) + 4 | 0) | 0;
      if ((i32 | 0) != 0 ? (get32(i32 + 4 | 0) | 0) == (i31 | 0) : 0) break;
      if ((i28 | 0) <= 1) break L58;
     }
     if (!(get32(50 * 4 | 0) | 0)) FUNCTION_TABLE_vi[get32(232 | 0) & 31](i24); else {
      i26 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i24) | 0;
      i27 = (get32(30 * 4 | 0) | 0) - i26 | 0;
      set32(30 * 4 | 0, i27 | 0);
      if ((i27 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i27 | 0);
      i27 = (get32(39 * 4 | 0) | 0) + -1 | 0;
      set32(39 * 4 | 0, i27 | 0);
      if ((i27 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i27 | 0);
      FUNCTION_TABLE_vi[get32(232 | 0) & 31](i24);
     }
     if (i13) {
      i19 = 19;
      STACKTOP = i7;
      return i19 | 0;
     }
     if (!(get32(50 * 4 | 0) | 0)) {
      FUNCTION_TABLE_vi[get32(232 | 0) & 31](i20);
      i19 = 19;
      STACKTOP = i7;
      return i19 | 0;
     }
     i27 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i20) | 0;
     i26 = (get32(30 * 4 | 0) | 0) - i27 | 0;
     set32(30 * 4 | 0, i26 | 0);
     if ((i26 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i26 | 0);
     i26 = (get32(39 * 4 | 0) | 0) + -1 | 0;
     set32(39 * 4 | 0, i26 | 0);
     if ((i26 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i26 | 0);
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i20);
     i19 = 19;
     STACKTOP = i7;
     return i19 | 0;
    } while (0);
    set32(i20 + 4 | 0, i31 | 0);
    i29 = i31 + 68 | 0;
    set32(i29 | 0, (get32(i29 | 0) | 0) + 1 | 0);
    i30 = i31;
   } while (0);
   if (!(get32(50 * 4 | 0) | 0)) FUNCTION_TABLE_vi[get32(232 | 0) & 31](i24); else {
    i25 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i24) | 0;
    i22 = (get32(30 * 4 | 0) | 0) - i25 | 0;
    set32(30 * 4 | 0, i22 | 0);
    if ((i22 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i22 | 0);
    i22 = (get32(39 * 4 | 0) | 0) + -1 | 0;
    set32(39 * 4 | 0, i22 | 0);
    if ((i22 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i22 | 0);
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i24);
   }
   if (!i30) {
    i18 = 74;
    break L27;
   }
   if (!(get8(i20 + 9 >> 0 | 0) | 0)) break L27; else {
    i18 = 206;
    break L27;
   }
  } else i18 = 31; while (0);
  if ((i18 | 0) == 31) set8(i20 + 9 >> 0 | 0, 1 | 0);
  if (!(get32(50 * 4 | 0) | 0)) {
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i20);
   i19 = 7;
   STACKTOP = i7;
   return i19 | 0;
  }
  i14 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i20) | 0;
  i21 = (get32(30 * 4 | 0) | 0) - i14 | 0;
  set32(30 * 4 | 0, i21 | 0);
  if ((i21 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i21 | 0);
  i21 = (get32(39 * 4 | 0) | 0) + -1 | 0;
  set32(39 * 4 | 0, i21 | 0);
  if ((i21 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i21 | 0);
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i20);
  i19 = 7;
  STACKTOP = i7;
  return i19 | 0;
 } while (0);
 L117 : do if ((i18 | 0) == 74) {
  if (!(get32(50 * 4 | 0) | 0)) {
   i30 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](92) | 0;
   if (!i30) i33 = 7; else {
    i34 = i30;
    i18 = 87;
   }
  } else {
   i30 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](92) | 0;
   set32(35 * 4 | 0, 92 | 0);
   if ((get32(45 * 4 | 0) | 0) < 92) set32(45 * 4 | 0, 92 | 0);
   i24 = get32(6 * 4 | 0) | 0;
   do if (i24) {
    i31 = get32(30 * 4 | 0) | 0;
    i17 = ((i31 | 0) < 0) << 31 >> 31;
    i21 = 16;
    i14 = _i64Subtract(get32(i21 | 0) | 0, get32(i21 + 4 | 0) | 0, i30 | 0, ((i30 | 0) < 0) << 31 >> 31 | 0) | 0;
    i21 = tempRet0;
    if ((i17 | 0) < (i21 | 0) | (i17 | 0) == (i21 | 0) & i31 >>> 0 < i14 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i14 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i24 & 15](i14, i31, i17, i30);
     set32(6 * 4 | 0, i24 | 0);
     set32(7 * 4 | 0, i14 | 0);
     break;
    }
   } while (0);
   i24 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i30) | 0;
   if (i24) {
    i14 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i24) | 0;
    i17 = (get32(30 * 4 | 0) | 0) + i14 | 0;
    set32(30 * 4 | 0, i17 | 0);
    if ((i17 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i17 | 0);
    i17 = get32(39 * 4 | 0) | 0;
    i14 = i17 + 1 | 0;
    set32(39 * 4 | 0, i14 | 0);
    if ((i17 | 0) < (get32(49 * 4 | 0) | 0)) {
     i34 = i24;
     i18 = 87;
    } else {
     set32(49 * 4 | 0, i14 | 0);
     i34 = i24;
     i18 = 87;
    }
   } else i33 = 7;
  }
  do if ((i18 | 0) == 87) {
   i6 = i34;
   i23 = i6 + 92 | 0;
   do {
    set8(i6 >> 0 | 0, 0 | 0);
    i6 = i6 + 1 | 0;
   } while ((i6 | 0) < (i23 | 0));
   i24 = i5 & 1;
   i14 = (i24 | 0) == 0;
   i17 = (i5 & 2 | 0) != 0;
   set32(i9 | 0, 1024 | 0);
   i31 = i1 + 4 | 0;
   i21 = get32(i31 | 0) | 0;
   i22 = (i21 | 0) > 40 ? i21 + 7 & -8 : 40;
   set32(i34 | 0, 0 | 0);
   i25 = i5 & 4;
   i29 = i25 >>> 2;
   i26 = (i25 | 0) == 0 ? i2 : 0;
   i25 = (i26 | 0) != 0;
   L138 : do if (i25 ? (get8(i26 >> 0 | 0) | 0) != 0 : 0) {
    i27 = i1 + 8 | 0;
    i28 = (get32(i27 | 0) | 0) + 1 | 0;
    i32 = i28 << 1;
    if ((i32 + -1 | 0) >>> 0 > 2147483390) {
     i35 = 7;
     i18 = 219;
    } else {
     if (!(get32(50 * 4 | 0) | 0)) {
      i36 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i32) | 0;
      if (!i36) {
       i35 = 7;
       i18 = 219;
       break;
      } else i37 = i36;
     } else {
      i36 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i32) | 0;
      set32(35 * 4 | 0, i32 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i32 | 0)) set32(45 * 4 | 0, i32 | 0);
      i32 = get32(6 * 4 | 0) | 0;
      do if (i32) {
       i38 = get32(30 * 4 | 0) | 0;
       i39 = ((i38 | 0) < 0) << 31 >> 31;
       i40 = 16;
       i41 = _i64Subtract(get32(i40 | 0) | 0, get32(i40 + 4 | 0) | 0, i36 | 0, ((i36 | 0) < 0) << 31 >> 31 | 0) | 0;
       i40 = tempRet0;
       if ((i39 | 0) < (i40 | 0) | (i39 | 0) == (i40 | 0) & i38 >>> 0 < i41 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i41 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i32 & 15](i41, i38, i39, i36);
        set32(6 * 4 | 0, i32 | 0);
        set32(7 * 4 | 0, i41 | 0);
        break;
       }
      } while (0);
      i32 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i36) | 0;
      if (!i32) {
       i35 = 7;
       i18 = 219;
       break;
      }
      i41 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i32) | 0;
      i39 = (get32(30 * 4 | 0) | 0) + i41 | 0;
      set32(30 * 4 | 0, i39 | 0);
      if ((i39 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i39 | 0);
      i39 = get32(39 * 4 | 0) | 0;
      i41 = i39 + 1 | 0;
      set32(39 * 4 | 0, i41 | 0);
      if ((i39 | 0) < (get32(49 * 4 | 0) | 0)) i37 = i32; else {
       set32(49 * 4 | 0, i41 | 0);
       i37 = i32;
      }
     }
     set8(i37 >> 0 | 0, 0 | 0);
     i32 = FUNCTION_TABLE_iiiii[get32(i1 + 36 | 0) & 31](i1, i26, i28, i37) | 0;
     i41 = i37;
     while (1) if (!(get8(i41 >> 0 | 0) | 0)) {
      i42 = i41;
      break;
     } else i41 = i41 + 1 | 0;
     i41 = i42 - i37 | 0;
     i28 = i2;
     while (1) if (!(get8(i28 >> 0 | 0) | 0)) {
      i43 = i28;
      break;
     } else i28 = i28 + 1 | 0;
     i28 = i41 & 1073741823;
     i36 = i26 + ((i43 - i26 & 1073741823) + 1) | 0;
     i39 = get8(i36 >> 0 | 0) | 0;
     if (!(i39 << 24 >> 24)) i44 = i36; else {
      i38 = i39;
      i39 = i36;
      while (1) {
       if (!(i38 << 24 >> 24)) i45 = i39; else {
        i40 = i39;
        while (1) {
         i46 = i40 + 1 | 0;
         if (!(get8(i46 >> 0 | 0) | 0)) {
          i45 = i46;
          break;
         } else i40 = i46;
        }
       }
       i40 = i45 - i39 & 1073741823;
       i46 = i39 + (i40 + 1) | 0;
       i47 = i46;
       while (1) if (!(get8(i47 >> 0 | 0) | 0)) {
        i48 = i47;
        break;
       } else i47 = i47 + 1 | 0;
       i47 = i39 + (i40 + 2 + (i48 - i46 & 1073741823)) | 0;
       i38 = get8(i47 >> 0 | 0) | 0;
       if (!(i38 << 24 >> 24)) {
        i44 = i47;
        break;
       } else i39 = i47;
      }
     }
     do if (!i32) if ((i28 + 8 | 0) > (get32(i27 | 0) | 0)) {
      set32(i8 | 0, 41152 | 0);
      set32(i8 + 4 | 0, 17203 | 0);
      _sqlite3_log(14, 19280, i8);
      i49 = 14;
      break;
     } else {
      i50 = get32(i31 | 0) | 0;
      i51 = i28;
      i52 = i44 + 1 - i36 | 0;
      i53 = i37;
      i54 = i36;
      i18 = 124;
      break L138;
     } else i49 = i32; while (0);
     if (!(get32(50 * 4 | 0) | 0)) {
      FUNCTION_TABLE_vi[get32(232 | 0) & 31](i37);
      i35 = i49;
      i18 = 219;
      break;
     }
     i32 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i37) | 0;
     i36 = (get32(30 * 4 | 0) | 0) - i32 | 0;
     set32(30 * 4 | 0, i36 | 0);
     if ((i36 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i36 | 0);
     i36 = (get32(39 * 4 | 0) | 0) + -1 | 0;
     set32(39 * 4 | 0, i36 | 0);
     if ((i36 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i36 | 0);
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i37);
     i35 = i49;
     i18 = 219;
    }
   } else {
    i50 = i21;
    i51 = 0;
    i52 = 0;
    i53 = 0;
    i54 = 0;
    i18 = 124;
   } while (0);
   L192 : do if ((i18 | 0) == 124) {
    i21 = (i50 + 239 & -8) + (i22 << 1 | 10) + (i51 * 3 | 0) + i52 | 0;
    i36 = i21 + 5 | 0;
    do if ((i21 + 4 | 0) >>> 0 <= 2147483390) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i32 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i36) | 0;
      if (!i32) break; else i55 = i32;
     } else {
      i32 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i36) | 0;
      set32(35 * 4 | 0, i36 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i36 | 0)) set32(45 * 4 | 0, i36 | 0);
      i28 = get32(6 * 4 | 0) | 0;
      do if (i28) {
       i27 = get32(30 * 4 | 0) | 0;
       i39 = ((i27 | 0) < 0) << 31 >> 31;
       i38 = 16;
       i41 = _i64Subtract(get32(i38 | 0) | 0, get32(i38 + 4 | 0) | 0, i32 | 0, ((i32 | 0) < 0) << 31 >> 31 | 0) | 0;
       i38 = tempRet0;
       if ((i39 | 0) < (i38 | 0) | (i39 | 0) == (i38 | 0) & i27 >>> 0 < i41 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i41 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i28 & 15](i41, i27, i39, i32);
        set32(6 * 4 | 0, i28 | 0);
        set32(7 * 4 | 0, i41 | 0);
        break;
       }
      } while (0);
      i28 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i32) | 0;
      if (!i28) break;
      i46 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i28) | 0;
      i40 = (get32(30 * 4 | 0) | 0) + i46 | 0;
      set32(30 * 4 | 0, i40 | 0);
      if ((i40 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i40 | 0);
      i40 = get32(39 * 4 | 0) | 0;
      i46 = i40 + 1 | 0;
      set32(39 * 4 | 0, i46 | 0);
      if ((i40 | 0) < (get32(49 * 4 | 0) | 0)) i55 = i28; else {
       set32(49 * 4 | 0, i46 | 0);
       i55 = i28;
      }
     }
     _memset(i55 | 0, 0, i36 | 0) | 0;
     i28 = i55 + 168 | 0;
     set32(i28 | 0, i55 + 184 | 0);
     i46 = i55 + 60 | 0;
     set32(i46 | 0, i55 + 232 | 0);
     i40 = (get32(i31 | 0) | 0) + 239 & -8;
     set32(i55 + 68 | 0, i55 + i40 | 0);
     i41 = i40 + i22 | 0;
     set32(i55 + 64 | 0, i55 + i41 | 0);
     i40 = i41 + i22 | 0;
     i41 = i55 + i40 | 0;
     i39 = i55 + 144 | 0;
     set32(i39 | 0, i41 | 0);
     do if (i53) {
      i27 = i51 + 1 | 0;
      i38 = i55 + 148 | 0;
      set32(i38 | 0, i55 + (i52 + i27 + i40) | 0);
      _memcpy(i41 | 0, i53 | 0, i51 | 0) | 0;
      _memcpy((get32(i39 | 0) | 0) + i27 | 0, i54 | 0, i52 | 0) | 0;
      _memcpy(get32(i38 | 0) | 0, i53 | 0, i51 | 0) | 0;
      i27 = (get32(i38 | 0) | 0) + i51 | 0;
      i47 = i27;
      set8(i47 >> 0 | 0, 45 | 0);
      set8(i47 + 1 >> 0 | 0, 106 | 0);
      set8(i47 + 2 >> 0 | 0, 111 | 0);
      set8(i47 + 3 >> 0 | 0, 117 | 0);
      i47 = i27 + 4 | 0;
      set8(i47 >> 0 | 0, 114 | 0);
      set8(i47 + 1 >> 0 | 0, 110 | 0);
      set8(i47 + 2 >> 0 | 0, 97 | 0);
      set8(i47 + 3 >> 0 | 0, 108 | 0);
      i47 = (get32(i38 | 0) | 0) + (i51 + 9) | 0;
      i38 = i55 + 176 | 0;
      set32(i38 | 0, i47 | 0);
      _memcpy(i47 | 0, i53 | 0, i51 | 0) | 0;
      i47 = (get32(i38 | 0) | 0) + i51 | 0;
      set8(i47 >> 0 | 0, 45 | 0);
      set8(i47 + 1 >> 0 | 0, 119 | 0);
      set8(i47 + 2 >> 0 | 0, 97 | 0);
      set8(i47 + 3 >> 0 | 0, 108 | 0);
      if (!(get32(50 * 4 | 0) | 0)) {
       FUNCTION_TABLE_vi[get32(232 | 0) & 31](i53);
       break;
      }
      i47 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i53) | 0;
      i38 = (get32(30 * 4 | 0) | 0) - i47 | 0;
      set32(30 * 4 | 0, i38 | 0);
      if ((i38 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i38 | 0);
      i38 = (get32(39 * 4 | 0) | 0) + -1 | 0;
      set32(39 * 4 | 0, i38 | 0);
      if ((i38 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i38 | 0);
      FUNCTION_TABLE_vi[get32(232 | 0) & 31](i53);
     } while (0);
     set32(i55 | 0, i1 | 0);
     set32(i55 + 120 | 0, i16 | 0);
     if (i25 ? (get8(i26 >> 0 | 0) | 0) != 0 : 0) {
      set32(i10 | 0, 0 | 0);
      i41 = FUNCTION_TABLE_iiiiii[get32(i1 + 24 | 0) & 31](i1, get32(i39 | 0) | 0, get32(i46 | 0) | 0, i16 & 556863, i10) | 0;
      i40 = get32(i10 | 0) & 1;
      do if (!(i40 | i41)) {
       if (!(get8(i55 + 12 >> 0 | 0) | 0)) {
        i32 = get32(i46 | 0) | 0;
        i38 = get32((get32(i32 | 0) | 0) + 44 | 0) | 0;
        if (!i38) i56 = 512; else i56 = FUNCTION_TABLE_ii[i38 & 127](i32) | 0;
        i32 = i55 + 124 | 0;
        set32(i32 | 0, i56 | 0);
        i57 = i32;
        i58 = i56;
       } else {
        i32 = i55 + 124 | 0;
        i57 = i32;
        i58 = get32(i32 | 0) | 0;
       }
       do if (i58 >>> 0 < 32) set32(i57 | 0, 512 | 0); else {
        if (i58 >>> 0 <= 65536) break;
        set32(i57 | 0, 65536 | 0);
       } while (0);
       i32 = get32(i55 + 124 | 0) | 0;
       if (i32 >>> 0 > 1024) if (i32 >>> 0 > 8192) {
        set32(i9 | 0, 8192 | 0);
        break;
       } else {
        set32(i9 | 0, i32 | 0);
        break;
       }
      } while (0);
      if (!i41) {
       i59 = i40;
       i60 = 0;
       i18 = 172;
      } else i61 = i41;
     } else {
      set8(i55 + 15 >> 0 | 0, 1 | 0);
      set8(i55 + 16 >> 0 | 0, 4 | 0);
      i59 = i16 & 1;
      i60 = 1;
      i18 = 172;
     }
     if ((i18 | 0) == 172) {
      i39 = _sqlite3PagerSetPagesize(i55, i9, -1) | 0;
      if (!i39) {
       i32 = get32(i9 | 0) | 0;
       i38 = (i29 | 0) != 0;
       i47 = i29 ^ 1;
       i27 = i38 ? 0 : 66;
       i62 = get32(i28 | 0) | 0;
       i6 = i62;
       i23 = i6 + 48 | 0;
       do {
        set32(i6 | 0, 0 | 0);
        i6 = i6 + 4 | 0;
       } while ((i6 | 0) < (i23 | 0));
       set32(i62 + 20 | 0, i32 | 0);
       set32(i62 + 24 | 0, 80 | 0);
       set32(i62 + 28 | 0, i47 | 0);
       set32(i62 + 32 | 0, i27 | 0);
       set32(i62 + 36 | 0, i55 | 0);
       set32(i62 + 16 | 0, 100 | 0);
       set8(i55 + 6 >> 0 | 0, i24 ^ 1 | 0);
       set8(i55 + 7 >> 0 | 0, i17 & (i59 | 0) != 0 & 1 | 0);
       set32(i55 + 132 | 0, 1073741823 | 0);
       set8(i55 + 12 >> 0 | 0, i60 | 0);
       set8(i55 + 4 >> 0 | 0, i60 | 0);
       set8(i55 + 17 >> 0 | 0, i60 | 0);
       set8(i55 + 14 >> 0 | 0, i29 | 0);
       set8(i55 + 13 >> 0 | 0, i59 | 0);
       set8(i55 + 8 >> 0 | 0, i60 | 0);
       set8(i55 + 9 >> 0 | 0, i60 ^ 1 | 0);
       i28 = i60 << 24 >> 24 != 0 ? 0 : 2;
       set8(i55 + 11 >> 0 | 0, i28 | 0);
       set8(i55 + 10 >> 0 | 0, i28 | 0);
       set16(i55 + 116 | 0, 80 | 0);
       i28 = i55 + 136 | 0;
       set32(i28 | 0, -1 | 0);
       set32(i28 + 4 | 0, -1 | 0);
       if (!(i60 << 24 >> 24)) {
        i28 = get32(i46 | 0) | 0;
        i41 = get32((get32(i28 | 0) | 0) + 44 | 0) | 0;
        if (!i41) i63 = 512; else i63 = FUNCTION_TABLE_ii[i41 & 127](i28) | 0;
        i28 = i55 + 124 | 0;
        set32(i28 | 0, i63 | 0);
        i64 = i28;
        i65 = i63;
       } else {
        i28 = i55 + 124 | 0;
        i64 = i28;
        i65 = get32(i28 | 0) | 0;
       }
       if (i65 >>> 0 >= 32) {
        if (i65 >>> 0 > 65536) set32(i64 | 0, 65536 | 0);
       } else set32(i64 | 0, 512 | 0);
       if (i14) {
        if (i38) set8(i55 + 5 >> 0 | 0, 4 | 0);
       } else set8(i55 + 5 >> 0 | 0, 2 | 0);
       set32(i55 + 160 | 0, 19 | 0);
       set32(i34 | 0, i55 | 0);
       i28 = get32(i34 | 0) | 0;
       i6 = i11;
       i23 = i6 + 100 | 0;
       do {
        set8(i6 >> 0 | 0, 0 | 0);
        i6 = i6 + 1 | 0;
       } while ((i6 | 0) < (i23 | 0));
       i38 = get32(i28 + 60 | 0) | 0;
       i62 = get32(i38 | 0) | 0;
       if (i62) {
        i27 = FUNCTION_TABLE_iiiiii[get32(i62 + 8 | 0) & 31](i38, i11, 100, 0, 0) | 0;
        switch (i27 | 0) {
        case 0:
        case 522:
         break;
        default:
         {
          i66 = i27;
          break L192;
         }
        }
       }
       set8(i34 + 20 >> 0 | 0, i5 | 0);
       set32(i34 + 4 | 0, i3 | 0);
       i27 = get32(i34 | 0) | 0;
       set32(i27 + 152 | 0, 65 | 0);
       set32(i27 + 156 | 0, i34 | 0);
       set32(i20 + 4 | 0, i34 | 0);
       set32(i34 + 8 | 0, 0 | 0);
       set32(i34 + 12 | 0, 0 | 0);
       set8(i34 + 16 >> 0 | 0, get8(i27 + 13 >> 0 | 0) | 0 | 0);
       i38 = getU8(i11 + 17 >> 0 | 0) << 16 | getU8(i11 + 16 >> 0 | 0) << 8;
       i62 = i34 + 36 | 0;
       set32(i62 | 0, i38 | 0);
       do if ((i38 + -512 | 0) >>> 0 > 65024) i18 = 199; else {
        if (i38 + 16777215 & i38) {
         i18 = 199;
         break;
        }
        i47 = get8(i11 + 20 >> 0 | 0) | 0;
        set8(i34 + 17 >> 0 | 0, 1 | 0);
        set8(i34 + 21 >> 0 | 0, (getU8(i11 + 53 >> 0 | 0) << 16 | getU8(i11 + 52 >> 0 | 0) << 24 | getU8(i11 + 54 >> 0 | 0) << 8 | getU8(i11 + 55 >> 0 | 0) | 0) != 0 & 1 | 0);
        set8(i34 + 22 >> 0 | 0, (getU8(i11 + 65 >> 0 | 0) << 16 | getU8(i11 + 64 >> 0 | 0) << 24 | getU8(i11 + 66 >> 0 | 0) << 8 | getU8(i11 + 67 >> 0 | 0) | 0) != 0 & 1 | 0);
        i67 = i47;
       } while (0);
       do if ((i18 | 0) == 199) {
        set32(i62 | 0, 0 | 0);
        if (i12 | i15) {
         i67 = 0;
         break;
        }
        set8(i34 + 21 >> 0 | 0, 0 | 0);
        set8(i34 + 22 >> 0 | 0, 0 | 0);
        i67 = 0;
       } while (0);
       i38 = i67 & 255;
       i28 = _sqlite3PagerSetPagesize(i27, i62, i38) | 0;
       if (i28) {
        i66 = i28;
        break L192;
       }
       set32(i34 + 40 | 0, (get32(i62 | 0) | 0) - i38 | 0);
       if (!(get8(i20 + 9 >> 0 | 0) | 0)) break L117;
       set32(i34 + 68 | 0, 1 | 0);
       set32(i34 + 72 | 0, get32(348 * 4 | 0) | 0);
       set32(348 * 4 | 0, i34 | 0);
       i18 = 206;
       break L117;
      } else i61 = i39;
     }
     i38 = get32(i46 | 0) | 0;
     i28 = get32(i38 | 0) | 0;
     if (i28) {
      FUNCTION_TABLE_ii[get32(i28 + 4 | 0) & 127](i38) | 0;
      set32(i38 | 0, 0 | 0);
     }
     if (!(get32(50 * 4 | 0) | 0)) {
      FUNCTION_TABLE_vi[get32(232 | 0) & 31](i55);
      i35 = i61;
      i18 = 219;
      break L192;
     }
     i38 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i55) | 0;
     i28 = (get32(30 * 4 | 0) | 0) - i38 | 0;
     set32(30 * 4 | 0, i28 | 0);
     if ((i28 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i28 | 0);
     i28 = (get32(39 * 4 | 0) | 0) + -1 | 0;
     set32(39 * 4 | 0, i28 | 0);
     if ((i28 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i28 | 0);
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i55);
     i35 = i61;
     i18 = 219;
     break L192;
    } while (0);
    if (!i53) {
     i35 = 7;
     i18 = 219;
    } else {
     if (!(get32(50 * 4 | 0) | 0)) {
      FUNCTION_TABLE_vi[get32(232 | 0) & 31](i53);
      i35 = 7;
      i18 = 219;
      break;
     }
     i36 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i53) | 0;
     i21 = (get32(30 * 4 | 0) | 0) - i36 | 0;
     set32(30 * 4 | 0, i21 | 0);
     if ((i21 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i21 | 0);
     i21 = (get32(39 * 4 | 0) | 0) + -1 | 0;
     set32(39 * 4 | 0, i21 | 0);
     if ((i21 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i21 | 0);
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i53);
     i35 = 7;
     i18 = 219;
    }
   } while (0);
   if ((i18 | 0) == 219) if (!i34) {
    i33 = i35;
    break;
   } else i66 = i35;
   i14 = get32(i34 | 0) | 0;
   if (i14) _sqlite3PagerClose(i14);
   if (!(get32(50 * 4 | 0) | 0)) {
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i34);
    i33 = i66;
    break;
   }
   i14 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i34) | 0;
   i29 = (get32(30 * 4 | 0) | 0) - i14 | 0;
   set32(30 * 4 | 0, i29 | 0);
   if ((i29 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i29 | 0);
   i29 = (get32(39 * 4 | 0) | 0) + -1 | 0;
   set32(39 * 4 | 0, i29 | 0);
   if ((i29 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i29 | 0);
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i34);
   i33 = i66;
  } while (0);
  do if (!i13) {
   if (!(get32(50 * 4 | 0) | 0)) {
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i20);
    break;
   }
   i30 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i20) | 0;
   i29 = (get32(30 * 4 | 0) | 0) - i30 | 0;
   set32(30 * 4 | 0, i29 | 0);
   if ((i29 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i29 | 0);
   i29 = (get32(39 * 4 | 0) | 0) + -1 | 0;
   set32(39 * 4 | 0, i29 | 0);
   if ((i29 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i29 | 0);
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i20);
  } while (0);
  set32(i4 | 0, 0 | 0);
  i19 = i33;
  STACKTOP = i7;
  return i19 | 0;
 } while (0);
 L335 : do if ((i18 | 0) == 206 ? (i33 = get32(i3 + 4 | 0) | 0, (i33 | 0) > 0) : 0) {
  i13 = get32(i3 + 8 | 0) | 0;
  i66 = 0;
  while (1) {
   i34 = get32(i13 + (i66 << 4) + 4 | 0) | 0;
   if ((i34 | 0) != 0 ? (get8(i34 + 9 >> 0 | 0) | 0) != 0 : 0) {
    i68 = i34;
    break;
   }
   i66 = i66 + 1 | 0;
   if ((i66 | 0) >= (i33 | 0)) break L335;
  }
  while (1) {
   i33 = i68 + 24 | 0;
   i66 = get32(i33 | 0) | 0;
   if (!i66) {
    i69 = i33;
    i70 = i68;
    break;
   } else i68 = i66;
  }
  i66 = get32(i20 + 4 | 0) | 0;
  if (i66 >>> 0 < (get32(i70 + 4 | 0) | 0) >>> 0) {
   set32(i20 + 20 | 0, i70 | 0);
   set32(i20 + 24 | 0, 0 | 0);
   set32(i69 | 0, i20 | 0);
   break;
  } else i71 = i70;
  while (1) {
   i33 = i71 + 20 | 0;
   i13 = get32(i33 | 0) | 0;
   if (!i13) {
    i72 = i33;
    i73 = i13;
    i74 = i71;
    i18 = 214;
    break;
   }
   if ((get32(i13 + 4 | 0) | 0) >>> 0 < i66 >>> 0) i71 = i13; else {
    i75 = i33;
    i76 = i13;
    i77 = i71;
    i18 = 216;
    break;
   }
  }
  if ((i18 | 0) == 214) {
   set32(i20 + 20 | 0, i73 | 0);
   set32(i20 + 24 | 0, i74 | 0);
   i78 = i72;
  } else if ((i18 | 0) == 216) {
   set32(i20 + 20 | 0, i76 | 0);
   set32(i20 + 24 | 0, i77 | 0);
   set32(i76 + 24 | 0, i20 | 0);
   i78 = i75;
  }
  set32(i78 | 0, i20 | 0);
 } while (0);
 set32(i4 | 0, i20 | 0);
 i4 = get32(i20 + 4 | 0) | 0;
 set32(i4 + 4 | 0, get32(i20 | 0) | 0);
 if (get32(i4 + 52 | 0) | 0) {
  i19 = 0;
  STACKTOP = i7;
  return i19 | 0;
 }
 i20 = get32((get32(i4 | 0) | 0) + 168 | 0) | 0;
 set32(i20 + 16 | 0, 2e3 | 0);
 i4 = get32(i20 + 40 | 0) | 0;
 if (!i4) {
  i19 = 0;
  STACKTOP = i7;
  return i19 | 0;
 }
 FUNCTION_TABLE_vii[get32(312 | 0) & 15](i4, 2e3);
 i19 = 0;
 STACKTOP = i7;
 return i19 | 0;
}

function _sqlite3EndTable(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0, i80 = 0, i81 = 0, i82 = 0, i83 = 0, i84 = 0, i85 = 0, i86 = 0, i87 = 0, i88 = 0, i89 = 0, i90 = 0, i91 = 0, i92 = 0, i93 = 0, i94 = 0, i95 = 0, i96 = 0, i97 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 208 | 0;
 i6 = i5 + 152 | 0;
 i7 = i5 + 144 | 0;
 i8 = i5 + 112 | 0;
 i9 = i5 + 96 | 0;
 i10 = i5 + 88 | 0;
 i11 = i5 + 80 | 0;
 i12 = i5 + 72 | 0;
 i13 = i5 + 64 | 0;
 i14 = i5;
 i15 = i5 + 156 | 0;
 i16 = i5 + 192 | 0;
 i17 = get32(i1 | 0) | 0;
 i18 = (i4 | 0) == 0;
 if ((i3 | 0) == 0 & i18) {
  STACKTOP = i5;
  return;
 }
 i19 = i17 + 30 | 0;
 if (get8(i19 >> 0 | 0) | 0) {
  STACKTOP = i5;
  return;
 }
 i20 = i1 + 508 | 0;
 i21 = get32(i20 | 0) | 0;
 if (!i21) {
  STACKTOP = i5;
  return;
 }
 i22 = i21 + 68 | 0;
 i23 = get32(i22 | 0) | 0;
 L10 : do if (i23) {
  i24 = get32(i17 + 4 | 0) | 0;
  if ((i24 | 0) > 0) {
   i25 = get32(i17 + 8 | 0) | 0;
   i26 = 0;
   while (1) {
    if ((get32(i25 + (i26 << 4) + 12 | 0) | 0) == (i23 | 0)) {
     i27 = i26;
     break L10;
    }
    i28 = i26 + 1 | 0;
    if ((i28 | 0) < (i24 | 0)) i26 = i28; else {
     i27 = i28;
     break;
    }
   }
  } else i27 = 0;
 } else i27 = -1e6; while (0);
 i23 = i21 + 44 | 0;
 if (get32(i23 | 0) | 0) {
  i29 = i15;
  i30 = i29 + 36 | 0;
  do {
   set32(i29 | 0, 0 | 0);
   i29 = i29 + 4 | 0;
  } while ((i29 | 0) < (i30 | 0));
  i29 = i14;
  i30 = i29 + 64 | 0;
  do {
   set32(i29 | 0, 0 | 0);
   i29 = i29 + 4 | 0;
  } while ((i29 | 0) < (i30 | 0));
  set16(i14 | 0, 1 | 0);
  set32(i14 + 12 | 0, get32(i21 | 0) | 0);
  set32(i14 + 20 | 0, i21 | 0);
  set32(i14 + 32 | 0, -1 | 0);
  set32(i15 | 0, i1 | 0);
  set32(i15 + 4 | 0, i14 | 0);
  set8(i15 + 22 >> 0 | 0, 1 | 0);
  if (_sqlite3ResolveExprNames(i15, get32(i23 | 0) | 0) | 0) {
   STACKTOP = i5;
   return;
  }
 }
 i23 = i17 + 124 | 0;
 if (!(get8(i23 >> 0 | 0) | 0)) {
  i15 = i1 + 12 | 0;
  i26 = get32(i15 | 0) | 0;
  if (!i26) {
   i24 = get32(i1 | 0) | 0;
   L25 : do if (!i24) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i31 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
     i32 = 51;
     break;
    }
    i25 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
    set32(35 * 4 | 0, 192 | 0);
    if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
    i28 = get32(6 * 4 | 0) | 0;
    do if (i28) {
     i33 = get32(30 * 4 | 0) | 0;
     i34 = ((i33 | 0) < 0) << 31 >> 31;
     i35 = 16;
     i36 = _i64Subtract(get32(i35 | 0) | 0, get32(i35 + 4 | 0) | 0, i25 | 0, ((i25 | 0) < 0) << 31 >> 31 | 0) | 0;
     i35 = tempRet0;
     if ((i34 | 0) < (i35 | 0) | (i34 | 0) == (i35 | 0) & i33 >>> 0 < i36 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i36 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i28 & 15](i36, i33, i34, i25);
      set32(6 * 4 | 0, i28 | 0);
      set32(7 * 4 | 0, i36 | 0);
      break;
     }
    } while (0);
    i28 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i25) | 0;
    if (i28) {
     i36 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i28) | 0;
     i34 = (get32(30 * 4 | 0) | 0) + i36 | 0;
     set32(30 * 4 | 0, i34 | 0);
     if ((i34 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i34 | 0);
     i34 = get32(39 * 4 | 0) | 0;
     i36 = i34 + 1 | 0;
     set32(39 * 4 | 0, i36 | 0);
     if ((i34 | 0) < (get32(49 * 4 | 0) | 0)) i37 = i28; else {
      set32(49 * 4 | 0, i36 | 0);
      i37 = i28;
     }
    } else i32 = 61;
   } else {
    i28 = i24 + 30 | 0;
    if (!(get8(i28 >> 0 | 0) | 0)) {
     do if (get8(i24 + 234 >> 0 | 0) | 0) {
      if ((getU16(i24 + 232 | 0) | 0) < 192) {
       i36 = i24 + 248 | 0;
       set32(i36 | 0, (get32(i36 | 0) | 0) + 1 | 0);
       break;
      }
      i36 = i24 + 256 | 0;
      i34 = get32(i36 | 0) | 0;
      if (!i34) {
       i33 = i24 + 252 | 0;
       set32(i33 | 0, (get32(i33 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i36 | 0, get32(i34 | 0) | 0);
      i36 = i24 + 236 | 0;
      i33 = get32(i36 | 0) | 0;
      i35 = i33 + 1 | 0;
      set32(i36 | 0, i35 | 0);
      i36 = i24 + 244 | 0;
      set32(i36 | 0, (get32(i36 | 0) | 0) + 1 | 0);
      i36 = i24 + 240 | 0;
      if ((i33 | 0) >= (get32(i36 | 0) | 0)) set32(i36 | 0, i35 | 0);
      i31 = i34;
      i32 = 51;
      break L25;
     } while (0);
     if (!(get32(50 * 4 | 0) | 0)) {
      i25 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
      if (i25) {
       i37 = i25;
       break;
      }
     } else {
      i25 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
      set32(35 * 4 | 0, 192 | 0);
      if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
      i34 = get32(6 * 4 | 0) | 0;
      do if (i34) {
       i35 = get32(30 * 4 | 0) | 0;
       i36 = ((i35 | 0) < 0) << 31 >> 31;
       i33 = 16;
       i38 = _i64Subtract(get32(i33 | 0) | 0, get32(i33 + 4 | 0) | 0, i25 | 0, ((i25 | 0) < 0) << 31 >> 31 | 0) | 0;
       i33 = tempRet0;
       if ((i36 | 0) < (i33 | 0) | (i36 | 0) == (i33 | 0) & i35 >>> 0 < i38 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i38 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i34 & 15](i38, i35, i36, i25);
        set32(6 * 4 | 0, i34 | 0);
        set32(7 * 4 | 0, i38 | 0);
        break;
       }
      } while (0);
      i34 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i25) | 0;
      if (i34) {
       i38 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i34) | 0;
       i36 = (get32(30 * 4 | 0) | 0) + i38 | 0;
       set32(30 * 4 | 0, i36 | 0);
       if ((i36 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i36 | 0);
       i36 = get32(39 * 4 | 0) | 0;
       i38 = i36 + 1 | 0;
       set32(39 * 4 | 0, i38 | 0);
       if ((i36 | 0) < (get32(49 * 4 | 0) | 0)) {
        i37 = i34;
        break;
       }
       set32(49 * 4 | 0, i38 | 0);
       i37 = i34;
       break;
      }
     }
     set8(i28 >> 0 | 0, 1 | 0);
     i32 = 61;
    } else i32 = 61;
   } while (0);
   if ((i32 | 0) == 51) if (!i31) i32 = 61; else i37 = i31;
   if ((i32 | 0) == 61) {
    set32(i15 | 0, 0 | 0);
    STACKTOP = i5;
    return;
   }
   _memset(i37 | 0, 0, 192) | 0;
   set32(i37 | 0, i24 | 0);
   i31 = i24 + 136 | 0;
   i34 = get32(i31 | 0) | 0;
   if (i34) set32(i34 + 60 | 0, i37 | 0);
   set32(i37 + 64 | 0, i34 | 0);
   set32(i37 + 60 | 0, 0 | 0);
   set32(i31 | 0, i37 | 0);
   set32(i37 + 52 | 0, 649915045 | 0);
   set32(i15 | 0, i37 | 0);
   i31 = i37 + 28 | 0;
   i34 = i37 + 32 | 0;
   i38 = i37 + 4 | 0;
   i36 = _sqlite3DbRealloc(i24, 0, 1020) | 0;
   if (!i36) i39 = i37; else {
    i24 = get32(i37 | 0) | 0;
    if (((i24 | 0) != 0 ? (get32(i24 + 260 | 0) | 0) >>> 0 <= i36 >>> 0 : 0) ? (get32(i24 + 264 | 0) | 0) >>> 0 > i36 >>> 0 : 0) i40 = getU16(i24 + 232 | 0) | 0; else i40 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i36) | 0;
    set32(i34 | 0, (i40 >>> 0) / 20 | 0 | 0);
    set32(i38 | 0, i36 | 0);
    set32(i31 | 0, (get32(i31 | 0) | 0) + 1 | 0);
    set8(i36 >> 0 | 0, -120 | 0);
    set8(i36 + 1 >> 0 | 0, 0 | 0);
    i29 = i36 + 3 | 0;
    i30 = i29 + 17 | 0;
    do {
     set8(i29 >> 0 | 0, 0 | 0);
     i29 = i29 + 1 | 0;
    } while ((i29 | 0) < (i30 | 0));
    i39 = i37;
   }
  } else i39 = i26;
  i26 = i39 + 28 | 0;
  i37 = get32(i26 | 0) | 0;
  i36 = i39 + 32 | 0;
  i31 = get32(i36 | 0) | 0;
  if ((i31 | 0) <= (i37 | 0)) {
   i38 = i39 + 4 | 0;
   i40 = _sqlite3DbRealloc(get32(i39 | 0) | 0, get32(i38 | 0) | 0, (i31 | 0) == 0 ? 1020 : i31 * 40 | 0) | 0;
   if (i40) {
    i31 = get32(i39 | 0) | 0;
    if (((i31 | 0) != 0 ? (get32(i31 + 260 | 0) | 0) >>> 0 <= i40 >>> 0 : 0) ? (get32(i31 + 264 | 0) | 0) >>> 0 > i40 >>> 0 : 0) i41 = getU16(i31 + 232 | 0) | 0; else i41 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i40) | 0;
    set32(i36 | 0, (i41 >>> 0) / 20 | 0 | 0);
    set32(i38 | 0, i40 | 0);
    i42 = get32(i26 | 0) | 0;
    i43 = i40;
    i32 = 71;
   }
  } else {
   i42 = i37;
   i43 = get32(i39 + 4 | 0) | 0;
   i32 = 71;
  }
  if ((i32 | 0) == 71) {
   set32(i26 | 0, i42 + 1 | 0);
   set8(i43 + (i37 * 20 | 0) >> 0 | 0, 43 | 0);
   set8(i43 + (i37 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i29 = i43 + (i37 * 20 | 0) + 3 | 0;
   i30 = i29 + 17 | 0;
   do {
    set8(i29 >> 0 | 0, 0 | 0);
    i29 = i29 + 1 | 0;
   } while ((i29 | 0) < (i30 | 0));
  }
  i29 = (get32(i21 + 28 | 0) | 0) == 0;
  i30 = i29 ? 29405 : 29417;
  i37 = i1 + 412 | 0;
  if (i18) {
   i18 = get32(i1 + 488 | 0) | 0;
   i43 = (get32(i3 | 0) | 0) + 1 - i18 | 0;
   set32(i9 | 0, (i29 ? 29411 : 29422) | 0);
   set32(i9 + 4 | 0, i43 | 0);
   set32(i9 + 8 | 0, i18 | 0);
   i44 = i21;
   i45 = _sqlite3MPrintf(i17, 29427, i9) | 0;
  } else {
   i9 = get32(i37 | 0) | 0;
   i18 = get32(i26 | 0) | 0;
   i43 = get32(i36 | 0) | 0;
   if ((i43 | 0) <= (i18 | 0)) {
    i29 = i39 + 4 | 0;
    i42 = _sqlite3DbRealloc(get32(i39 | 0) | 0, get32(i29 | 0) | 0, (i43 | 0) == 0 ? 1020 : i43 * 40 | 0) | 0;
    if (!i42) i46 = i29; else {
     i43 = get32(i39 | 0) | 0;
     if (((i43 | 0) != 0 ? (get32(i43 + 260 | 0) | 0) >>> 0 <= i42 >>> 0 : 0) ? (get32(i43 + 264 | 0) | 0) >>> 0 > i42 >>> 0 : 0) i47 = getU16(i43 + 232 | 0) | 0; else i47 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i42) | 0;
     set32(i36 | 0, (i47 >>> 0) / 20 | 0 | 0);
     set32(i29 | 0, i42 | 0);
     i48 = i29;
     i49 = get32(i26 | 0) | 0;
     i50 = i42;
     i32 = 82;
    }
   } else {
    i42 = i39 + 4 | 0;
    i48 = i42;
    i49 = i18;
    i50 = get32(i42 | 0) | 0;
    i32 = 82;
   }
   if ((i32 | 0) == 82) {
    set32(i26 | 0, i49 + 1 | 0);
    set8(i50 + (i18 * 20 | 0) >> 0 | 0, 39 | 0);
    set8(i50 + (i18 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i50 + (i18 * 20 | 0) + 4 | 0, 1 | 0);
    set32(i50 + (i18 * 20 | 0) + 8 | 0, i9 | 0);
    set32(i50 + (i18 * 20 | 0) + 12 | 0, i27 | 0);
    set32(i50 + (i18 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i50 + (i18 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i46 = i48;
   }
   i48 = get32(i46 | 0) | 0;
   if (i48) set8(i48 + (((get32(i26 | 0) | 0) + -1 | 0) * 20 | 0) + 3 >> 0 | 0, 1 | 0);
   set32(i1 + 68 | 0, 2 | 0);
   set8(i16 >> 0 | 0, 8 | 0);
   set32(i16 + 4 | 0, 1 | 0);
   set8(i16 + 1 >> 0 | 0, 0 | 0);
   set32(i16 + 8 | 0, 0 | 0);
   set32(i16 + 12 | 0, 0 | 0);
   _sqlite3Select(i1, i4, i16) | 0;
   i16 = get32(i26 | 0) | 0;
   i48 = get32(i36 | 0) | 0;
   if ((i48 | 0) <= (i16 | 0)) {
    i18 = _sqlite3DbRealloc(get32(i39 | 0) | 0, get32(i46 | 0) | 0, (i48 | 0) == 0 ? 1020 : i48 * 40 | 0) | 0;
    if (i18) {
     i48 = get32(i39 | 0) | 0;
     if (((i48 | 0) != 0 ? (get32(i48 + 260 | 0) | 0) >>> 0 <= i18 >>> 0 : 0) ? (get32(i48 + 264 | 0) | 0) >>> 0 > i18 >>> 0 : 0) i51 = getU16(i48 + 232 | 0) | 0; else i51 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i18) | 0;
     set32(i36 | 0, (i51 >>> 0) / 20 | 0 | 0);
     set32(i46 | 0, i18 | 0);
     i52 = get32(i26 | 0) | 0;
     i53 = i18;
     i32 = 94;
    }
   } else {
    i52 = i16;
    i53 = get32(i46 | 0) | 0;
    i32 = 94;
   }
   if ((i32 | 0) == 94) {
    set32(i26 | 0, i52 + 1 | 0);
    set8(i53 + (i16 * 20 | 0) >> 0 | 0, 43 | 0);
    set8(i53 + (i16 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i53 + (i16 * 20 | 0) + 4 | 0, 1 | 0);
    set32(i53 + (i16 * 20 | 0) + 8 | 0, 0 | 0);
    set32(i53 + (i16 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i53 + (i16 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i53 + (i16 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   }
   do if (!(get32(i1 + 64 | 0) | 0)) {
    i16 = _sqlite3ResultSetOfSelect(i1, i4) | 0;
    if (!i16) {
     STACKTOP = i5;
     return;
    } else {
     i53 = i16 + 8 | 0;
     i52 = i21 + 8 | 0;
     set32(i52 | 0, get32(i53 | 0) | 0);
     i46 = i16 + 12 | 0;
     i18 = i21 + 12 | 0;
     set32(i18 | 0, get32(i46 | 0) | 0);
     set32(i53 | 0, 0 | 0);
     set32(i46 | 0, 0 | 0);
     _sqlite3DeleteTable(i17, i16);
     i54 = i52;
     i55 = i18;
     break;
    }
   } else {
    i54 = i21 + 8 | 0;
    i55 = i21 + 12 | 0;
   } while (0);
   i4 = get32(i54 | 0) | 0;
   if ((i4 | 0) > 0) {
    i18 = 0;
    i52 = 0;
    i16 = get32(i55 | 0) | 0;
    while (1) {
     i46 = get32(i16 | 0) | 0;
     i53 = 0;
     L153 : while (1) {
      switch (get8(i46 >> 0 | 0) | 0) {
      case 0:
       {
        i56 = i53;
        break L153;
        break;
       }
      case 34:
       {
        i57 = i53 + 1 | 0;
        break;
       }
      default:
       i57 = i53;
      }
      i46 = i46 + 1 | 0;
      i53 = i57 + 1 | 0;
     }
     i53 = i52 + 7 + i56 | 0;
     i18 = i18 + 1 | 0;
     if ((i18 | 0) == (i4 | 0)) {
      i58 = i53;
      break;
     } else {
      i52 = i53;
      i16 = i16 + 24 | 0;
     }
    }
    i59 = i58 + 2 | 0;
   } else i59 = 2;
   i58 = get32(i21 | 0) | 0;
   i16 = 0;
   L161 : while (1) {
    switch (get8(i58 >> 0 | 0) | 0) {
    case 0:
     {
      i60 = i16;
      break L161;
      break;
     }
    case 34:
     {
      i61 = i16 + 1 | 0;
      break;
     }
    default:
     i61 = i16;
    }
    i58 = i58 + 1 | 0;
    i16 = i61 + 1 | 0;
   }
   i61 = i60 + i59 | 0;
   i59 = (i61 | 0) < 50;
   i60 = i59 ? 16820 : 30692;
   i16 = i59 ? 30688 : 30696;
   i58 = i59 ? 30690 : 30701;
   i59 = (i4 * 6 | 0) + 35 + i61 | 0;
   do if ((i59 + -1 | 0) >>> 0 > 2147483390) i32 = 126; else {
    if (!(get32(50 * 4 | 0) | 0)) {
     i61 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i59) | 0;
     if (!i61) {
      i32 = 126;
      break;
     }
     _sqlite3_snprintf(i59, i61, 30704, i13) | 0;
     i62 = i61;
    } else {
     i61 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i59) | 0;
     set32(35 * 4 | 0, i59 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i59 | 0)) set32(45 * 4 | 0, i59 | 0);
     i4 = get32(6 * 4 | 0) | 0;
     do if (i4) {
      i52 = get32(30 * 4 | 0) | 0;
      i18 = ((i52 | 0) < 0) << 31 >> 31;
      i56 = 16;
      i57 = _i64Subtract(get32(i56 | 0) | 0, get32(i56 + 4 | 0) | 0, i61 | 0, ((i61 | 0) < 0) << 31 >> 31 | 0) | 0;
      i56 = tempRet0;
      if ((i18 | 0) < (i56 | 0) | (i18 | 0) == (i56 | 0) & i52 >>> 0 < i57 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i57 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i4 & 15](i57, i52, i18, i61);
       set32(6 * 4 | 0, i4 | 0);
       set32(7 * 4 | 0, i57 | 0);
       break;
      }
     } while (0);
     i4 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i61) | 0;
     if (!i4) {
      i32 = 126;
      break;
     }
     i57 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i4) | 0;
     i18 = (get32(30 * 4 | 0) | 0) + i57 | 0;
     set32(30 * 4 | 0, i18 | 0);
     if ((i18 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i18 | 0);
     i18 = get32(39 * 4 | 0) | 0;
     i57 = i18 + 1 | 0;
     set32(39 * 4 | 0, i57 | 0);
     if ((i18 | 0) >= (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i57 | 0);
     _sqlite3_snprintf(i59, i4, 30704, i12) | 0;
     i62 = i4;
    }
    i4 = i62;
    while (1) if (!(get8(i4 >> 0 | 0) | 0)) {
     i63 = i4;
     break;
    } else i4 = i4 + 1 | 0;
    set32(i14 | 0, i63 - i62 & 1073741823 | 0);
    _identPut(i62, i14, get32(i21 | 0) | 0);
    i4 = get32(i14 | 0) | 0;
    i61 = i4 + 1 | 0;
    set32(i14 | 0, i61 | 0);
    set8(i62 + i4 >> 0 | 0, 40 | 0);
    i4 = i59 - i61 | 0;
    i57 = i62 + i61 | 0;
    if ((get32(i54 | 0) | 0) > 0) {
     i18 = i4;
     i52 = i57;
     i56 = i61;
     i61 = 0;
     i53 = get32(i55 | 0) | 0;
     i46 = i60;
     while (1) {
      _sqlite3_snprintf(i18, i52, i46, i11) | 0;
      i28 = i62 + i56 | 0;
      if (!i28) i64 = 0; else {
       i25 = i28;
       while (1) if (!(get8(i25 >> 0 | 0) | 0)) {
        i65 = i25;
        break;
       } else i25 = i25 + 1 | 0;
       i64 = i65 - i28 & 1073741823;
      }
      set32(i14 | 0, i64 + i56 | 0);
      _identPut(i62, i14, get32(i53 | 0) | 0);
      i25 = get32(2944 + ((get8(i53 + 22 >> 0 | 0) | 0) + -97 << 2) | 0) | 0;
      i51 = i25;
      while (1) if (!(get8(i51 >> 0 | 0) | 0)) {
       i66 = i51;
       break;
      } else i51 = i51 + 1 | 0;
      i51 = i66 - i25 & 1073741823;
      i28 = get32(i14 | 0) | 0;
      _memcpy(i62 + i28 | 0, i25 | 0, i51 | 0) | 0;
      i48 = i28 + i51 | 0;
      set32(i14 | 0, i48 | 0);
      i51 = i61 + 1 | 0;
      i28 = i59 - i48 | 0;
      i50 = i62 + i48 | 0;
      if ((i51 | 0) < (get32(i54 | 0) | 0)) {
       i18 = i28;
       i52 = i50;
       i56 = i48;
       i61 = i51;
       i53 = i53 + 24 | 0;
       i46 = i16;
      } else {
       i67 = i28;
       i68 = i50;
       break;
      }
     }
    } else {
     i67 = i4;
     i68 = i57;
    }
    set32(i10 | 0, i58 | 0);
    _sqlite3_snprintf(i67, i68, 16817, i10) | 0;
    i69 = i62;
   } while (0);
   if ((i32 | 0) == 126) {
    set8(i19 >> 0 | 0, 1 | 0);
    i69 = 0;
   }
   i44 = i21;
   i45 = i69;
  }
  i69 = i17 + 8 | 0;
  i62 = get32(i44 | 0) | 0;
  i10 = get32(i37 | 0) | 0;
  i37 = get32(i1 + 408 | 0) | 0;
  set32(i8 | 0, get32((get32(i69 | 0) | 0) + (i27 << 4) | 0) | 0);
  set32(i8 + 4 | 0, ((i27 | 0) == 1 ? 21655 : 21674) | 0);
  set32(i8 + 8 | 0, i30 | 0);
  set32(i8 + 12 | 0, i62 | 0);
  set32(i8 + 16 | 0, i62 | 0);
  set32(i8 + 20 | 0, i10 | 0);
  set32(i8 + 24 | 0, i45 | 0);
  set32(i8 + 28 | 0, i37 | 0);
  _sqlite3NestedParse(i1, 29442, i8);
  _sqlite3DbFree(i17, i45);
  i45 = i1 + 21 | 0;
  i8 = get8(i45 >> 0 | 0) | 0;
  if (!(i8 << 24 >> 24)) {
   i37 = i1 + 72 | 0;
   i10 = (get32(i37 | 0) | 0) + 1 | 0;
   set32(i37 | 0, i10 | 0);
   i70 = i10;
  } else {
   i10 = i8 + -1 << 24 >> 24;
   set8(i45 >> 0 | 0, i10 | 0);
   i70 = get32(i1 + 24 + ((i10 & 255) << 2) | 0) | 0;
  }
  i10 = get32(i15 | 0) | 0;
  i15 = (get32(get32((get32((get32(i1 | 0) | 0) + 8 | 0) | 0) + (i27 << 4) + 12 | 0) | 0) | 0) + 1 | 0;
  i8 = i10 + 28 | 0;
  i37 = get32(i8 | 0) | 0;
  i62 = i10 + 32 | 0;
  i30 = get32(i62 | 0) | 0;
  do if ((i30 | 0) > (i37 | 0)) {
   i71 = i37;
   i72 = get32(i10 + 4 | 0) | 0;
   i73 = i30;
   i32 = 154;
  } else {
   i68 = i10 + 4 | 0;
   i67 = _sqlite3DbRealloc(get32(i10 | 0) | 0, get32(i68 | 0) | 0, (i30 | 0) == 0 ? 1020 : i30 * 40 | 0) | 0;
   if (!i67) {
    i74 = get32(i62 | 0) | 0;
    i75 = get32(i8 | 0) | 0;
    break;
   }
   i58 = get32(i10 | 0) | 0;
   if (((i58 | 0) != 0 ? (get32(i58 + 260 | 0) | 0) >>> 0 <= i67 >>> 0 : 0) ? (get32(i58 + 264 | 0) | 0) >>> 0 > i67 >>> 0 : 0) i76 = getU16(i58 + 232 | 0) | 0; else i76 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i67) | 0;
   i58 = (i76 >>> 0) / 20 | 0;
   set32(i62 | 0, i58 | 0);
   set32(i68 | 0, i67 | 0);
   i71 = get32(i8 | 0) | 0;
   i72 = i67;
   i73 = i58;
   i32 = 154;
  } while (0);
  if ((i32 | 0) == 154) {
   i76 = i71 + 1 | 0;
   set32(i8 | 0, i76 | 0);
   set8(i72 + (i37 * 20 | 0) >> 0 | 0, 7 | 0);
   set8(i72 + (i37 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i72 + (i37 * 20 | 0) + 4 | 0, i15 | 0);
   set32(i72 + (i37 * 20 | 0) + 8 | 0, i70 | 0);
   set32(i72 + (i37 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i72 + (i37 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i72 + (i37 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i74 = i73;
   i75 = i76;
  }
  if ((i74 | 0) <= (i75 | 0)) {
   i76 = i10 + 4 | 0;
   i73 = _sqlite3DbRealloc(get32(i10 | 0) | 0, get32(i76 | 0) | 0, (i74 | 0) == 0 ? 1020 : i74 * 40 | 0) | 0;
   if (i73) {
    i74 = get32(i10 | 0) | 0;
    if (((i74 | 0) != 0 ? (get32(i74 + 260 | 0) | 0) >>> 0 <= i73 >>> 0 : 0) ? (get32(i74 + 264 | 0) | 0) >>> 0 > i73 >>> 0 : 0) i77 = getU16(i74 + 232 | 0) | 0; else i77 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i73) | 0;
    set32(i62 | 0, (i77 >>> 0) / 20 | 0 | 0);
    set32(i76 | 0, i73 | 0);
    i78 = get32(i8 | 0) | 0;
    i79 = i73;
    i32 = 164;
   }
  } else {
   i78 = i75;
   i79 = get32(i10 + 4 | 0) | 0;
   i32 = 164;
  }
  if ((i32 | 0) == 164) {
   set32(i8 | 0, i78 + 1 | 0);
   set8(i79 + (i75 * 20 | 0) >> 0 | 0, 36 | 0);
   set8(i79 + (i75 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i79 + (i75 * 20 | 0) + 4 | 0, i27 | 0);
   set32(i79 + (i75 * 20 | 0) + 8 | 0, 1 | 0);
   set32(i79 + (i75 * 20 | 0) + 12 | 0, i70 | 0);
   set32(i79 + (i75 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i79 + (i75 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  }
  L244 : do if ((i70 | 0) != 0 ? (i75 = get8(i45 >> 0 | 0) | 0, (i75 & 255) < 8) : 0) {
   do if ((get32(i1 + 112 | 0) | 0) != (i70 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i70 | 0)) if ((get32(i1 + 160 | 0) | 0) == (i70 | 0)) i80 = i1 + 144 | 0; else {
    if ((get32(i1 + 184 | 0) | 0) == (i70 | 0)) {
     i80 = i1 + 168 | 0;
     break;
    }
    if ((get32(i1 + 208 | 0) | 0) == (i70 | 0)) {
     i80 = i1 + 192 | 0;
     break;
    }
    if ((get32(i1 + 232 | 0) | 0) == (i70 | 0)) {
     i80 = i1 + 216 | 0;
     break;
    }
    if ((get32(i1 + 256 | 0) | 0) == (i70 | 0)) {
     i80 = i1 + 240 | 0;
     break;
    }
    if ((get32(i1 + 280 | 0) | 0) == (i70 | 0)) {
     i80 = i1 + 264 | 0;
     break;
    }
    if ((get32(i1 + 304 | 0) | 0) == (i70 | 0)) {
     i80 = i1 + 288 | 0;
     break;
    }
    if ((get32(i1 + 328 | 0) | 0) == (i70 | 0)) {
     i80 = i1 + 312 | 0;
     break;
    }
    set8(i45 >> 0 | 0, i75 + 1 << 24 >> 24 | 0);
    set32(i1 + 24 + ((i75 & 255) << 2) | 0, i70 | 0);
    break L244;
   } else i80 = i1 + 120 | 0; else i80 = i1 + 96 | 0; while (0);
   set8(i80 + 8 >> 0 | 0, 1 | 0);
  } while (0);
  if ((get8(i21 + 34 >> 0 | 0) & 8) != 0 ? (i80 = get32(i69 | 0) | 0, (get32((get32(i80 + (i27 << 4) + 12 | 0) | 0) + 72 | 0) | 0) == 0) : 0) {
   set32(i7 | 0, get32(i80 + (i27 << 4) | 0) | 0);
   _sqlite3NestedParse(i1, 29529, i7);
  }
  set32(i6 | 0, get32(i44 | 0) | 0);
  i7 = _sqlite3MPrintf(i17, 29571, i6) | 0;
  i6 = get32(i26 | 0) | 0;
  i80 = get32(i36 | 0) | 0;
  if ((i80 | 0) <= (i6 | 0)) {
   i69 = i39 + 4 | 0;
   i70 = _sqlite3DbRealloc(get32(i39 | 0) | 0, get32(i69 | 0) | 0, (i80 | 0) == 0 ? 1020 : i80 * 40 | 0) | 0;
   if (!i70) {
    i81 = 1;
    i82 = i39;
    i83 = i69;
   } else {
    i80 = get32(i39 | 0) | 0;
    do if (!i80) i32 = 189; else {
     if ((get32(i80 + 260 | 0) | 0) >>> 0 > i70 >>> 0) {
      i32 = 189;
      break;
     }
     if ((get32(i80 + 264 | 0) | 0) >>> 0 <= i70 >>> 0) {
      i32 = 189;
      break;
     }
     i84 = getU16(i80 + 232 | 0) | 0;
    } while (0);
    if ((i32 | 0) == 189) i84 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i70) | 0;
    set32(i36 | 0, (i84 >>> 0) / 20 | 0 | 0);
    set32(i69 | 0, i70 | 0);
    i85 = i69;
    i86 = i39;
    i87 = get32(i26 | 0) | 0;
    i88 = i70;
    i32 = 191;
   }
  } else {
   i70 = i39 + 4 | 0;
   i85 = i70;
   i86 = i39;
   i87 = i6;
   i88 = get32(i70 | 0) | 0;
   i32 = 191;
  }
  if ((i32 | 0) == 191) {
   set32(i26 | 0, i87 + 1 | 0);
   set8(i88 + (i6 * 20 | 0) >> 0 | 0, 99 | 0);
   set8(i88 + (i6 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i88 + (i6 * 20 | 0) + 4 | 0, i27 | 0);
   set32(i88 + (i6 * 20 | 0) + 8 | 0, 0 | 0);
   set32(i88 + (i6 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i88 + (i6 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i88 + (i6 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i81 = i6;
   i82 = i86;
   i83 = i85;
  }
  i85 = get32(i82 | 0) | 0;
  i86 = get32(i83 | 0) | 0;
  do if ((i86 | 0) != 0 ? (get8(i85 + 30 >> 0 | 0) | 0) == 0 : 0) {
   if ((i81 | 0) < 0) i89 = (get32(i26 | 0) | 0) + -1 | 0; else i89 = i81;
   i83 = i86 + (i89 * 20 | 0) + 1 | 0;
   i6 = i86 + (i89 * 20 | 0) + 16 | 0;
   _freeP4(i85, get8(i83 >> 0 | 0) | 0, get32(i6 | 0) | 0);
   set32(i6 | 0, 0 | 0);
   if (!i7) {
    set32(i6 | 0, 0 | 0);
    set8(i83 >> 0 | 0, 0 | 0);
    break;
   } else {
    set32(i6 | 0, i7 | 0);
    set8(i83 >> 0 | 0, -1 | 0);
    break;
   }
  } else i32 = 194; while (0);
  if ((i32 | 0) == 194 ? (i7 | 0) != 0 : 0) _sqlite3DbFree(i85, i7);
  i7 = get32((get32(i82 | 0) | 0) + 4 | 0) | 0;
  if ((i7 | 0) > 0) {
   i82 = i39 + 112 | 0;
   i39 = get32(i82 | 0) | 0;
   i85 = 0;
   while (1) {
    i32 = 1 << i85 | i39;
    i85 = i85 + 1 | 0;
    if ((i85 | 0) == (i7 | 0)) {
     i90 = i32;
     break;
    } else i39 = i32;
   }
   set32(i82 | 0, i90 | 0);
  }
  if (!(get8(i23 >> 0 | 0) | 0)) {
   STACKTOP = i5;
   return;
  } else i91 = i44;
 } else {
  set32(i21 + 20 | 0, get32(i17 + 120 | 0) | 0);
  i91 = i21;
 }
 i44 = (get32(i22 | 0) | 0) + 8 | 0;
 i22 = get32(i91 | 0) | 0;
 if (!i22) i92 = 0; else {
  i91 = i22;
  while (1) if (!(get8(i91 >> 0 | 0) | 0)) {
   i93 = i91;
   break;
  } else i91 = i91 + 1 | 0;
  i92 = i93 - i22 & 1073741823;
 }
 if (_sqlite3HashInsert(i44, i22, i92, i21) | 0) {
  set8(i19 >> 0 | 0, 1 | 0);
  STACKTOP = i5;
  return;
 }
 set32(i20 | 0, 0 | 0);
 i20 = i17 + 40 | 0;
 set32(i20 | 0, (get32(i20 | 0) | 0) + 1 | 0);
 i20 = i17 + 12 | 0;
 set32(i20 | 0, get32(i20 | 0) | 512 | 0);
 if (get32(i21 + 28 | 0) | 0) {
  STACKTOP = i5;
  return;
 }
 i20 = get32(i1 + 488 | 0) | 0;
 i1 = get32(((get32(i2 | 0) | 0) == 0 ? i3 : i2) | 0) | 0;
 i2 = (i1 - i20 | 0) > -1 ? i1 : -1;
 i1 = get8(i20 >> 0 | 0) | 0;
 if (i1 << 24 >> 24 != 0 & i2 >>> 0 > i20 >>> 0) {
  i3 = i1;
  i1 = 0;
  i17 = i20;
  while (1) {
   i20 = i17 + 1 | 0;
   if ((i3 & 255) > 191) {
    i19 = i20;
    while (1) {
     i92 = get8(i19 >> 0 | 0) | 0;
     if ((i92 & -64) << 24 >> 24 == -128) i19 = i19 + 1 | 0; else {
      i94 = i92;
      i95 = i19;
      break;
     }
    }
   } else {
    i94 = get8(i20 >> 0 | 0) | 0;
    i95 = i20;
   }
   if (i94 << 24 >> 24 != 0 & i95 >>> 0 < i2 >>> 0) {
    i3 = i94;
    i1 = i1 + 1 | 0;
    i17 = i95;
   } else {
    i96 = i1;
    break;
   }
  }
  i97 = i96 + 14 | 0;
 } else i97 = 13;
 set32(i21 + 48 | 0, i97 | 0);
 STACKTOP = i5;
 return;
}

function _isDate(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, d15 = 0.0, i16 = 0, i17 = 0, d18 = 0.0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, d73 = 0.0, i74 = 0, i75 = 0, i76 = 0, d77 = 0.0, i78 = 0, i79 = 0, i80 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 160 | 0;
 i6 = i5 + 64 | 0;
 i7 = i5 + 56 | 0;
 i8 = i5 + 48 | 0;
 i9 = i5 + 124 | 0;
 i10 = i5;
 i11 = i4;
 i12 = i11 + 48 | 0;
 do {
  set32(i11 | 0, 0 | 0);
  i11 = i11 + 4 | 0;
 } while ((i11 | 0) < (i12 | 0));
 if (!i2) {
  i13 = get32(get32(i1 + 8 | 0) | 0) | 0;
  if ((get32(i13 | 0) | 0) > 1 ? (i14 = get32(i13 + 72 | 0) | 0, (i14 | 0) != 0) : 0) FUNCTION_TABLE_iii[i14 & 127](i13, i4) | 0; else {
   FUNCTION_TABLE_iii[get32(i13 + 64 | 0) & 127](i13, i7) | 0;
   d15 = +getF64(i7 | 0) * 864.0e5;
   i13 = +Math_abs(d15) >= 1.0 ? (d15 > 0.0 ? ~~+Math_min(+Math_floor(d15 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d15 - +(~~d15 >>> 0)) / 4294967296.0) >>> 0) : 0;
   i14 = i4;
   set32(i14 | 0, ~~d15 >>> 0 | 0);
   set32(i14 + 4 | 0, i13 | 0);
  }
  set8(i4 + 42 >> 0 | 0, 1 | 0);
  i16 = 0;
  STACKTOP = i5;
  return i16 | 0;
 }
 i13 = get32(i3 | 0) | 0;
 if (((getU8(i13 + 30 >> 0 | 0) | 0) + -1 | 0) >>> 0 < 2) {
  i14 = getU16(i13 + 28 | 0) | 0;
  do if (!(i14 & 8)) {
   if (i14 & 4) {
    i17 = i13 + 16 | 0;
    d18 = +((get32(i17 | 0) | 0) >>> 0) + 4294967296.0 * +(get32(i17 + 4 | 0) | 0);
    break;
   }
   if (!(i14 & 18)) d18 = 0.0; else {
    setF64(i7 | 0, +(0.0));
    _sqlite3AtoF(get32(i13 + 4 | 0) | 0, i7, get32(i13 + 24 | 0) | 0, get8(i13 + 31 >> 0 | 0) | 0) | 0;
    d18 = +getF64(i7 | 0);
   }
  } else d18 = +getF64(i13 + 8 | 0); while (0);
  d15 = d18 * 864.0e5 + .5;
  i14 = +Math_abs(d15) >= 1.0 ? (d15 > 0.0 ? ~~+Math_min(+Math_floor(d15 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d15 - +(~~d15 >>> 0)) / 4294967296.0) >>> 0) : 0;
  i17 = i4;
  set32(i17 | 0, ~~d15 >>> 0 | 0);
  set32(i17 + 4 | 0, i14 | 0);
  set8(i4 + 42 >> 0 | 0, 1 | 0);
 } else {
  i14 = _sqlite3ValueText(i13, 1) | 0;
  if (!i14) {
   i16 = 1;
   STACKTOP = i5;
   return i16 | 0;
  }
  i13 = (get8(i14 >> 0 | 0) | 0) == 45;
  i17 = i13 ? i14 + 1 | 0 : i14;
  set32(i6 | 0, 4 | 0);
  set32(i6 + 4 | 0, 0 | 0);
  set32(i6 + 8 | 0, 9999 | 0);
  set32(i6 + 12 | 0, 45 | 0);
  set32(i6 + 16 | 0, i7 | 0);
  set32(i6 + 20 | 0, 2 | 0);
  set32(i6 + 24 | 0, 1 | 0);
  set32(i6 + 28 | 0, 12 | 0);
  set32(i6 + 32 | 0, 45 | 0);
  set32(i6 + 36 | 0, i8 | 0);
  set32(i6 + 40 | 0, 2 | 0);
  set32(i6 + 44 | 0, 1 | 0);
  set32(i6 + 48 | 0, 31 | 0);
  set32(i6 + 52 | 0, 0 | 0);
  set32(i6 + 56 | 0, i9 | 0);
  L25 : do if ((_getDigits(i17, i6) | 0) == 3) {
   i19 = i17 + 10 | 0;
   while (1) {
    i20 = get8(i19 >> 0 | 0) | 0;
    if (i20 << 24 >> 24 == 84 ? 1 : (get8(16821 + (i20 & 255) >> 0 | 0) & 1) != 0) i19 = i19 + 1 | 0; else {
     i21 = i19;
     break;
    }
   }
   do if (_parseHhMmSs(i21, i4) | 0) if (!(get8(i21 >> 0 | 0) | 0)) {
    set8(i4 + 41 >> 0 | 0, 0 | 0);
    break;
   } else {
    i22 = 27;
    break L25;
   } while (0);
   set8(i4 + 42 >> 0 | 0, 0 | 0);
   set8(i4 + 40 >> 0 | 0, 1 | 0);
   i19 = get32(i7 | 0) | 0;
   set32(i4 + 8 | 0, (i13 ? 0 - i19 | 0 : i19) | 0);
   set32(i4 + 12 | 0, get32(i8 | 0) | 0);
   set32(i4 + 16 | 0, get32(i9 | 0) | 0);
   if (get8(i4 + 43 >> 0 | 0) | 0) _computeJD(i4);
  } else i22 = 27; while (0);
  do if ((i22 | 0) == 27 ? (_parseHhMmSs(i14, i4) | 0) != 0 : 0) {
   i13 = get8(i14 >> 0 | 0) | 0;
   i21 = i13 << 24 >> 24 == 0;
   L43 : do if (i21) {
    i23 = 0;
    i24 = 38031;
   } else {
    i17 = i13;
    i19 = i14;
    i20 = 38031;
    while (1) {
     if ((get8(16286 + (i17 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i20 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
      i23 = i17;
      i24 = i20;
      break L43;
     }
     i19 = i19 + 1 | 0;
     i25 = i20 + 1 | 0;
     i17 = get8(i19 >> 0 | 0) | 0;
     if (!(i17 << 24 >> 24)) {
      i23 = 0;
      i24 = i25;
      break;
     } else i20 = i25;
    }
   } while (0);
   if ((get8(16286 + (i23 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i24 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
    i13 = get32(get32(i1 + 8 | 0) | 0) | 0;
    if ((get32(i13 | 0) | 0) > 1 ? (i20 = get32(i13 + 72 | 0) | 0, (i20 | 0) != 0) : 0) FUNCTION_TABLE_iii[i20 & 127](i13, i4) | 0; else {
     FUNCTION_TABLE_iii[get32(i13 + 64 | 0) & 127](i13, i6) | 0;
     d15 = +getF64(i6 | 0) * 864.0e5;
     i13 = +Math_abs(d15) >= 1.0 ? (d15 > 0.0 ? ~~+Math_min(+Math_floor(d15 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d15 - +(~~d15 >>> 0)) / 4294967296.0) >>> 0) : 0;
     i20 = i4;
     set32(i20 | 0, ~~d15 >>> 0 | 0);
     set32(i20 + 4 | 0, i13 | 0);
    }
    set8(i4 + 42 >> 0 | 0, 1 | 0);
    break;
   }
   if (i21) i26 = i14; else {
    i13 = i14;
    while (1) {
     i20 = i13 + 1 | 0;
     if (!(get8(i20 >> 0 | 0) | 0)) {
      i26 = i20;
      break;
     } else i13 = i20;
    }
   }
   if (_sqlite3AtoF(i14, i10, i26 - i14 & 1073741823, 1) | 0) {
    d15 = +getF64(i10 | 0) * 864.0e5 + .5;
    i13 = +Math_abs(d15) >= 1.0 ? (d15 > 0.0 ? ~~+Math_min(+Math_floor(d15 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d15 - +(~~d15 >>> 0)) / 4294967296.0) >>> 0) : 0;
    i21 = i4;
    set32(i21 | 0, ~~d15 >>> 0 | 0);
    set32(i21 + 4 | 0, i13 | 0);
    set8(i4 + 42 >> 0 | 0, 1 | 0);
    break;
   }
   i16 = 1;
   STACKTOP = i5;
   return i16 | 0;
  } while (0);
 }
 if ((i2 | 0) <= 1) {
  i16 = 0;
  STACKTOP = i5;
  return i16 | 0;
 }
 i14 = i4 + 40 | 0;
 i26 = i4 + 41 | 0;
 i6 = i4 + 43 | 0;
 i24 = i4 + 42 | 0;
 i23 = i9 + 8 | 0;
 i13 = i23;
 i21 = i4 + 16 | 0;
 i20 = i4 + 12 | 0;
 i17 = i4 + 8 | 0;
 i19 = i4 + 32 | 0;
 i25 = i4 + 20 | 0;
 i27 = i4 + 24 | 0;
 i28 = i9 + 9 | 0;
 i29 = i9 + 1 | 0;
 i30 = i10 + 42 | 0;
 i31 = i10 + 40 | 0;
 i32 = i10 + 41 | 0;
 i33 = i10 + 20 | 0;
 i34 = i10 + 24 | 0;
 i35 = i10 + 32 | 0;
 i36 = i10 + 43 | 0;
 i37 = i10 + 28 | 0;
 i38 = i10 + 8 | 0;
 i39 = i10 + 12 | 0;
 i40 = i10 + 16 | 0;
 i41 = 1;
 while (1) {
  i42 = _sqlite3ValueText(get32(i3 + (i41 << 2) | 0) | 0, 1) | 0;
  if (!i42) {
   i16 = 1;
   i22 = 138;
   break;
  }
  set32(i7 | 0, 1 | 0);
  i43 = 0;
  while (1) {
   i44 = get8(i42 + i43 >> 0 | 0) | 0;
   if (!(i44 << 24 >> 24)) {
    i45 = i43;
    break;
   }
   set8(i9 + i43 >> 0 | 0, get8(16286 + (i44 & 255) >> 0 | 0) | 0 | 0);
   i44 = i43 + 1 | 0;
   if ((i44 | 0) < 29) i43 = i44; else {
    i45 = i44;
    break;
   }
  }
  set8(i9 + i45 >> 0 | 0, 0 | 0);
  L77 : do switch (get8(i9 >> 0 | 0) | 0) {
  case 108:
   {
    if (!(_strcmp(i9, 38035) | 0)) {
     _computeJD(i4);
     i43 = _localtimeOffset(i4, i1, i7) | 0;
     i42 = i4;
     i44 = _i64Add(get32(i42 | 0) | 0, get32(i42 + 4 | 0) | 0, i43 | 0, tempRet0 | 0) | 0;
     i43 = i4;
     set32(i43 | 0, i44 | 0);
     set32(i43 + 4 | 0, tempRet0 | 0);
     set8(i14 >> 0 | 0, 0 | 0);
     set8(i26 >> 0 | 0, 0 | 0);
     set8(i6 >> 0 | 0, 0 | 0);
     i22 = 136;
    } else i22 = 136;
    break;
   }
  case 117:
   {
    if ((_strcmp(i9, 38045) | 0) == 0 ? (get8(i24 >> 0 | 0) | 0) != 0 : 0) {
     i43 = i4;
     i44 = _i64Add(get32(i43 | 0) | 0, get32(i43 + 4 | 0) | 0, 43200, 0) | 0;
     i43 = ___divdi3(i44 | 0, tempRet0 | 0, 86400, 0) | 0;
     i44 = _i64Add(i43 | 0, tempRet0 | 0, 1045635584, 49096) | 0;
     i43 = i4;
     set32(i43 | 0, i44 | 0);
     set32(i43 + 4 | 0, tempRet0 | 0);
     set8(i14 >> 0 | 0, 0 | 0);
     set8(i26 >> 0 | 0, 0 | 0);
     set8(i6 >> 0 | 0, 0 | 0);
     set32(i7 | 0, 0 | 0);
     i46 = 0;
     break L77;
    }
    if (!(_strcmp(i9, 38055) | 0)) {
     _computeJD(i4);
     i43 = _localtimeOffset(i4, i1, i7) | 0;
     i44 = tempRet0;
     i42 = get32(i7 | 0) | 0;
     if (!i42) {
      i47 = i4;
      i48 = _i64Subtract(get32(i47 | 0) | 0, get32(i47 + 4 | 0) | 0, i43 | 0, i44 | 0) | 0;
      i47 = i4;
      set32(i47 | 0, i48 | 0);
      set32(i47 + 4 | 0, tempRet0 | 0);
      set8(i14 >> 0 | 0, 0 | 0);
      set8(i26 >> 0 | 0, 0 | 0);
      set8(i6 >> 0 | 0, 0 | 0);
      i47 = _localtimeOffset(i4, i1, i7) | 0;
      i48 = _i64Subtract(i43 | 0, i44 | 0, i47 | 0, tempRet0 | 0) | 0;
      i47 = i4;
      i44 = _i64Add(i48 | 0, tempRet0 | 0, get32(i47 | 0) | 0, get32(i47 + 4 | 0) | 0) | 0;
      i47 = i4;
      set32(i47 | 0, i44 | 0);
      set32(i47 + 4 | 0, tempRet0 | 0);
      i22 = 136;
     } else i46 = i42;
    } else i22 = 136;
    break;
   }
  case 119:
   {
    if (!(_strncmp(i9, 38059, 8) | 0)) {
     i42 = i23;
     while (1) if (!(get8(i42 >> 0 | 0) | 0)) {
      i49 = i42;
      break;
     } else i42 = i42 + 1 | 0;
     if ((_sqlite3AtoF(i23, i8, i49 - i13 & 1073741823, 1) | 0) != 0 ? (d15 = +getF64(i8 | 0), i42 = ~~d15, d15 < 7.0 & ((i42 | 0) > -1 & +(i42 | 0) == d15)) : 0) {
      if (!(get8(i14 >> 0 | 0) | 0)) {
       if (!(get8(i24 >> 0 | 0) | 0)) {
        i50 = 2e3;
        i51 = 1;
        i52 = 1;
       } else {
        i47 = i4;
        i44 = _i64Add(get32(i47 | 0) | 0, get32(i47 + 4 | 0) | 0, 432e5, 0) | 0;
        i47 = ___divdi3(i44 | 0, tempRet0 | 0, 864e5, 0) | 0;
        i44 = ~~((+(i47 | 0) + -1867216.25) / 36524.25);
        i48 = i47 + 1525 + i44 + ((i44 | 0) / -4 | 0) | 0;
        i44 = ~~((+(i48 | 0) + -122.1) / 365.25);
        i47 = i48 - ((i44 * 36525 | 0) / 100 | 0) | 0;
        i48 = ~~(+(i47 | 0) / 30.6001);
        i43 = ((i48 | 0) < 14 ? -1 : -13) + i48 | 0;
        i50 = ((i43 | 0) > 2 ? -4716 : -4715) + i44 | 0;
        i51 = i43;
        i52 = i47 - ~~(+(i48 | 0) * 30.6001) | 0;
       }
       set32(i21 | 0, i52 | 0);
       set32(i20 | 0, i51 | 0);
       set32(i17 | 0, i50 | 0);
       set8(i14 >> 0 | 0, 1 | 0);
      }
      if (!(get8(i26 >> 0 | 0) | 0)) {
       _computeJD(i4);
       i48 = i4;
       i47 = _i64Add(get32(i48 | 0) | 0, get32(i48 + 4 | 0) | 0, 432e5, 0) | 0;
       i48 = ___remdi3(i47 | 0, tempRet0 | 0, 864e5, 0) | 0;
       d15 = +(i48 | 0) / 1.0e3;
       i48 = ~~d15;
       i47 = (i48 | 0) / 3600 | 0;
       set32(i25 | 0, i47 | 0);
       i43 = i48 + (Math_imul(i47, -3600) | 0) | 0;
       i47 = (i43 | 0) / 60 | 0;
       set32(i27 | 0, i47 | 0);
       setF64(i19 | 0, +(d15 - +(i48 | 0) + +(i43 + (Math_imul(i47, -60) | 0) | 0)));
       set8(i26 >> 0 | 0, 1 | 0);
      }
      set8(i6 >> 0 | 0, 0 | 0);
      set8(i24 >> 0 | 0, 0 | 0);
      _computeJD(i4);
      i47 = i4;
      i43 = get32(i47 | 0) | 0;
      i48 = get32(i47 + 4 | 0) | 0;
      i47 = _i64Add(i43 | 0, i48 | 0, 1296e5, 0) | 0;
      i44 = ___divdi3(i47 | 0, tempRet0 | 0, 864e5, 0) | 0;
      i47 = ___remdi3(i44 | 0, tempRet0 | 0, 7, 0) | 0;
      i44 = tempRet0;
      i53 = ((i42 | 0) < 0) << 31 >> 31;
      i54 = (i44 | 0) > (i53 | 0) | (i44 | 0) == (i53 | 0) & i47 >>> 0 > i42 >>> 0;
      i55 = _i64Add(i47 | 0, i44 | 0, -7, -1) | 0;
      i56 = _i64Subtract(i42 | 0, i53 | 0, (i54 ? i55 : i47) | 0, (i54 ? tempRet0 : i44) | 0) | 0;
      i44 = ___muldi3(i56 | 0, tempRet0 | 0, 864e5, 0) | 0;
      i56 = _i64Add(i44 | 0, tempRet0 | 0, i43 | 0, i48 | 0) | 0;
      i48 = i4;
      set32(i48 | 0, i56 | 0);
      set32(i48 + 4 | 0, tempRet0 | 0);
      set8(i14 >> 0 | 0, 0 | 0);
      set8(i26 >> 0 | 0, 0 | 0);
      set8(i6 >> 0 | 0, 0 | 0);
      set32(i7 | 0, 0 | 0);
      i46 = 0;
     } else i22 = 136;
    } else i22 = 136;
    break;
   }
  case 115:
   {
    if (!(_strncmp(i9, 38068, 9) | 0)) {
     if (!(get8(i14 >> 0 | 0) | 0)) {
      if (!(get8(i24 >> 0 | 0) | 0)) {
       i57 = 2e3;
       i58 = 1;
       i59 = 1;
      } else {
       i48 = i4;
       i56 = _i64Add(get32(i48 | 0) | 0, get32(i48 + 4 | 0) | 0, 432e5, 0) | 0;
       i48 = ___divdi3(i56 | 0, tempRet0 | 0, 864e5, 0) | 0;
       i56 = ~~((+(i48 | 0) + -1867216.25) / 36524.25);
       i43 = i48 + 1525 + i56 + ((i56 | 0) / -4 | 0) | 0;
       i56 = ~~((+(i43 | 0) + -122.1) / 365.25);
       i48 = i43 - ((i56 * 36525 | 0) / 100 | 0) | 0;
       i43 = ~~(+(i48 | 0) / 30.6001);
       i44 = ((i43 | 0) < 14 ? -1 : -13) + i43 | 0;
       i57 = ((i44 | 0) > 2 ? -4716 : -4715) + i56 | 0;
       i58 = i44;
       i59 = i48 - ~~(+(i43 | 0) * 30.6001) | 0;
      }
      set32(i21 | 0, i59 | 0);
      set32(i20 | 0, i58 | 0);
      set32(i17 | 0, i57 | 0);
      set8(i14 >> 0 | 0, 1 | 0);
     }
     set8(i26 >> 0 | 0, 1 | 0);
     set32(i27 | 0, 0 | 0);
     set32(i25 | 0, 0 | 0);
     setF64(i19 | 0, +(0.0));
     set8(i6 >> 0 | 0, 0 | 0);
     set8(i24 >> 0 | 0, 0 | 0);
     if (!(_strcmp(i28, 38078) | 0)) {
      set32(i21 | 0, 1 | 0);
      set32(i7 | 0, 0 | 0);
      i46 = 0;
      break L77;
     }
     if (!(_strcmp(i28, 38084) | 0)) {
      set32(i20 | 0, 1 | 0);
      set32(i21 | 0, 1 | 0);
      set32(i7 | 0, 0 | 0);
      i46 = 0;
      break L77;
     }
     if (!(_strcmp(i28, 38089) | 0)) {
      set32(i7 | 0, 0 | 0);
      i46 = 0;
     } else i22 = 136;
    } else i22 = 136;
    break;
   }
  case 57:
  case 56:
  case 55:
  case 54:
  case 53:
  case 52:
  case 51:
  case 50:
  case 49:
  case 48:
  case 45:
  case 43:
   {
    i43 = 1;
    L117 : while (1) {
     i48 = i9 + i43 | 0;
     i44 = get8(i48 >> 0 | 0) | 0;
     switch (i44 << 24 >> 24) {
     case 58:
     case 0:
      {
       i60 = i48;
       i61 = i43;
       break L117;
       break;
      }
     default:
      {}
     }
     if (get8(16821 + (i44 & 255) >> 0 | 0) & 1) {
      i60 = i48;
      i61 = i43;
      break;
     }
     i43 = i43 + 1 | 0;
    }
    if (!(_sqlite3AtoF(i9, i8, i61, 1) | 0)) {
     set32(i7 | 0, 1 | 0);
     i46 = 1;
     break L77;
    }
    i43 = get8(i60 >> 0 | 0) | 0;
    if (i43 << 24 >> 24 == 58) {
     i48 = ((getU8(i9 >> 0 | 0) | 0) + -48 | 0) >>> 0 < 10 ? i9 : i29;
     i11 = i10;
     i12 = i11 + 48 | 0;
     do {
      set32(i11 | 0, 0 | 0);
      i11 = i11 + 4 | 0;
     } while ((i11 | 0) < (i12 | 0));
     if (!(_parseHhMmSs(i48, i10) | 0)) {
      if (!(get8(i30 >> 0 | 0) | 0)) {
       i44 = get32(i31 | 0) | 0;
       if (!((i44 & 255) << 24 >> 24)) {
        i62 = 3;
        i63 = 1;
        i64 = 2e3;
       } else {
        i62 = (get32(i40 | 0) | 0) + 2 | 0;
        i63 = get32(i39 | 0) | 0;
        i64 = get32(i38 | 0) | 0;
       }
       i56 = (i63 | 0) < 3;
       i54 = (i56 << 31 >> 31) + i64 | 0;
       d15 = (+(((i54 | 0) / -100 | 0) + i62 + ((i54 | 0) / 400 | 0) + (((i54 * 36525 | 0) + 172251900 | 0) / 100 | 0) + ((((i56 ? i63 + 12 | 0 : i63) * 306001 | 0) + 306001 | 0) / 1e4 | 0) | 0) + -1524.5) * 864.0e5;
       i56 = ~~d15 >>> 0;
       i54 = +Math_abs(d15) >= 1.0 ? (d15 > 0.0 ? ~~+Math_min(+Math_floor(d15 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d15 - +(~~d15 >>> 0)) / 4294967296.0) >>> 0) : 0;
       i47 = i10;
       set32(i47 | 0, i56 | 0);
       set32(i47 + 4 | 0, i54 | 0);
       set8(i30 >> 0 | 0, 1 | 0);
       if (i44 & 65280) {
        i47 = Math_imul(get32(i33 | 0) | 0, 36e5) | 0;
        i55 = ((get32(i34 | 0) | 0) * 6e4 | 0) + i47 | 0;
        d15 = +getF64(i35 | 0) * 1.0e3;
        i47 = _i64Add(~~d15 >>> 0 | 0, (+Math_abs(d15) >= 1.0 ? (d15 > 0.0 ? ~~+Math_min(+Math_floor(d15 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d15 - +(~~d15 >>> 0)) / 4294967296.0) >>> 0) : 0) | 0, i56 | 0, i54 | 0) | 0;
        i53 = _i64Add(i47 | 0, tempRet0 | 0, i55 | 0, ((i55 | 0) < 0) << 31 >> 31 | 0) | 0;
        i55 = tempRet0;
        i47 = i10;
        set32(i47 | 0, i53 | 0);
        set32(i47 + 4 | 0, i55 | 0);
        if (i44 >>> 0 < 16777216) {
         i65 = i53;
         i66 = i55;
        } else {
         i44 = (get32(i37 | 0) | 0) * 6e4 | 0;
         i47 = _i64Subtract(i53 | 0, i55 | 0, i44 | 0, ((i44 | 0) < 0) << 31 >> 31 | 0) | 0;
         i44 = tempRet0;
         i55 = i10;
         set32(i55 | 0, i47 | 0);
         set32(i55 + 4 | 0, i44 | 0);
         set8(i31 >> 0 | 0, 0 | 0);
         set8(i32 >> 0 | 0, 0 | 0);
         set8(i36 >> 0 | 0, 0 | 0);
         i65 = i47;
         i66 = i44;
        }
       } else {
        i65 = i56;
        i66 = i54;
       }
      } else {
       i54 = i10;
       i65 = get32(i54 | 0) | 0;
       i66 = get32(i54 + 4 | 0) | 0;
      }
      i54 = _i64Add(i65 | 0, i66 | 0, -432e5, -1) | 0;
      i56 = ___remdi3(i54 | 0, tempRet0 | 0, 864e5, 0) | 0;
      i54 = tempRet0;
      i44 = i10;
      set32(i44 | 0, i56 | 0);
      set32(i44 + 4 | 0, i54 | 0);
      if ((get8(i9 >> 0 | 0) | 0) == 45) {
       i44 = _i64Subtract(0, 0, i56 | 0, i54 | 0) | 0;
       i47 = tempRet0;
       i55 = i10;
       set32(i55 | 0, i44 | 0);
       set32(i55 + 4 | 0, i47 | 0);
       i67 = i44;
       i68 = i47;
      } else {
       i67 = i56;
       i68 = i54;
      }
      _computeJD(i4);
      set8(i14 >> 0 | 0, 0 | 0);
      set8(i26 >> 0 | 0, 0 | 0);
      set8(i6 >> 0 | 0, 0 | 0);
      i54 = i4;
      i56 = _i64Add(get32(i54 | 0) | 0, get32(i54 + 4 | 0) | 0, i67 | 0, i68 | 0) | 0;
      i54 = i4;
      set32(i54 | 0, i56 | 0);
      set32(i54 + 4 | 0, tempRet0 | 0);
      set32(i7 | 0, 0 | 0);
     }
     i22 = 136;
     break L77;
    }
    if (!(get8(16821 + (i43 & 255) >> 0 | 0) & 1)) {
     i69 = i43;
     i70 = i60;
    } else {
     i54 = i9 + (i61 + 1) | 0;
     while (1) {
      i56 = get8(i54 >> 0 | 0) | 0;
      if (!(get8(16821 + (i56 & 255) >> 0 | 0) & 1)) {
       i69 = i56;
       i70 = i54;
       break;
      } else i54 = i54 + 1 | 0;
     }
    }
    if (!(i69 << 24 >> 24)) i71 = i70; else {
     i54 = i70;
     while (1) {
      i43 = i54 + 1 | 0;
      if (!(get8(i43 >> 0 | 0) | 0)) {
       i71 = i43;
       break;
      } else i54 = i43;
     }
    }
    i54 = i71 - i70 & 1073741823;
    if ((i54 + -3 | 0) >>> 0 > 7) i22 = 136; else {
     i43 = i54 + -1 | 0;
     i48 = i70 + i43 | 0;
     if ((get8(i48 >> 0 | 0) | 0) == 115) {
      set8(i48 >> 0 | 0, 0 | 0);
      i72 = i43;
     } else i72 = i54;
     _computeJD(i4);
     set32(i7 | 0, 0 | 0);
     d15 = +getF64(i8 | 0);
     d18 = d15 < 0.0 ? -.5 : .5;
     L156 : do switch (i72 | 0) {
     case 3:
      {
       if (!(_strcmp(i70, 38089) | 0)) {
        d73 = d15 * 864.0e5 + d18;
        i54 = +Math_abs(d73) >= 1.0 ? (d73 > 0.0 ? ~~+Math_min(+Math_floor(d73 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d73 - +(~~d73 >>> 0)) / 4294967296.0) >>> 0) : 0;
        i43 = i4;
        i48 = _i64Add(get32(i43 | 0) | 0, get32(i43 + 4 | 0) | 0, ~~d73 >>> 0 | 0, i54 | 0) | 0;
        i54 = i4;
        set32(i54 | 0, i48 | 0);
        set32(i54 + 4 | 0, tempRet0 | 0);
       } else i22 = 134;
       break;
      }
     case 4:
      {
       if (!(_strcmp(i70, 38093) | 0)) {
        d73 = d15 * 36.0e5 + d18;
        i54 = +Math_abs(d73) >= 1.0 ? (d73 > 0.0 ? ~~+Math_min(+Math_floor(d73 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d73 - +(~~d73 >>> 0)) / 4294967296.0) >>> 0) : 0;
        i48 = i4;
        i43 = _i64Add(get32(i48 | 0) | 0, get32(i48 + 4 | 0) | 0, ~~d73 >>> 0 | 0, i54 | 0) | 0;
        i54 = i4;
        set32(i54 | 0, i43 | 0);
        set32(i54 + 4 | 0, tempRet0 | 0);
        break L156;
       }
       if (!(_strcmp(i70, 38084) | 0)) {
        i54 = ~~d15;
        if (!(get8(i14 >> 0 | 0) | 0)) {
         if (!(get8(i24 >> 0 | 0) | 0)) {
          i74 = 2e3;
          i75 = 1;
          i76 = 1;
         } else {
          i43 = i4;
          i48 = _i64Add(get32(i43 | 0) | 0, get32(i43 + 4 | 0) | 0, 432e5, 0) | 0;
          i43 = ___divdi3(i48 | 0, tempRet0 | 0, 864e5, 0) | 0;
          i48 = ~~((+(i43 | 0) + -1867216.25) / 36524.25);
          i56 = i43 + 1525 + i48 + ((i48 | 0) / -4 | 0) | 0;
          i48 = ~~((+(i56 | 0) + -122.1) / 365.25);
          i43 = i56 - ((i48 * 36525 | 0) / 100 | 0) | 0;
          i56 = ~~(+(i43 | 0) / 30.6001);
          i47 = ((i56 | 0) < 14 ? -1 : -13) + i56 | 0;
          i74 = ((i47 | 0) > 2 ? -4716 : -4715) + i48 | 0;
          i75 = i47;
          i76 = i43 - ~~(+(i56 | 0) * 30.6001) | 0;
         }
         set32(i21 | 0, i76 | 0);
         set32(i20 | 0, i75 | 0);
         set32(i17 | 0, i74 | 0);
         set8(i14 >> 0 | 0, 1 | 0);
        }
        if (!(get8(i26 >> 0 | 0) | 0)) {
         _computeJD(i4);
         i56 = i4;
         i43 = _i64Add(get32(i56 | 0) | 0, get32(i56 + 4 | 0) | 0, 432e5, 0) | 0;
         i56 = ___remdi3(i43 | 0, tempRet0 | 0, 864e5, 0) | 0;
         d73 = +(i56 | 0) / 1.0e3;
         i56 = ~~d73;
         i43 = (i56 | 0) / 3600 | 0;
         set32(i25 | 0, i43 | 0);
         i47 = i56 + (Math_imul(i43, -3600) | 0) | 0;
         i43 = (i47 | 0) / 60 | 0;
         set32(i27 | 0, i43 | 0);
         setF64(i19 | 0, +(d73 - +(i56 | 0) + +(i47 + (Math_imul(i43, -60) | 0) | 0)));
         set8(i26 >> 0 | 0, 1 | 0);
        }
        set32(i17 | 0, (get32(i17 | 0) | 0) + i54 | 0);
        set8(i24 >> 0 | 0, 0 | 0);
        _computeJD(i4);
        d73 = +(i54 | 0);
        if (d73 != d15) {
         d77 = d18 + (d15 - d73) * 365.0 * 864.0e5;
         i54 = +Math_abs(d77) >= 1.0 ? (d77 > 0.0 ? ~~+Math_min(+Math_floor(d77 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d77 - +(~~d77 >>> 0)) / 4294967296.0) >>> 0) : 0;
         i43 = i4;
         i47 = _i64Add(get32(i43 | 0) | 0, get32(i43 + 4 | 0) | 0, ~~d77 >>> 0 | 0, i54 | 0) | 0;
         i54 = i4;
         set32(i54 | 0, i47 | 0);
         set32(i54 + 4 | 0, tempRet0 | 0);
        }
       } else i22 = 134;
       break;
      }
     case 6:
      {
       if (!(_strcmp(i70, 38098) | 0)) {
        d77 = d15 * 6.0e4 + d18;
        i54 = +Math_abs(d77) >= 1.0 ? (d77 > 0.0 ? ~~+Math_min(+Math_floor(d77 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d77 - +(~~d77 >>> 0)) / 4294967296.0) >>> 0) : 0;
        i47 = i4;
        i43 = _i64Add(get32(i47 | 0) | 0, get32(i47 + 4 | 0) | 0, ~~d77 >>> 0 | 0, i54 | 0) | 0;
        i54 = i4;
        set32(i54 | 0, i43 | 0);
        set32(i54 + 4 | 0, tempRet0 | 0);
        break L156;
       }
       if (!(_strcmp(i70, 38105) | 0)) {
        d77 = d15 * 1.0e3 + d18;
        i54 = +Math_abs(d77) >= 1.0 ? (d77 > 0.0 ? ~~+Math_min(+Math_floor(d77 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d77 - +(~~d77 >>> 0)) / 4294967296.0) >>> 0) : 0;
        i43 = i4;
        i47 = _i64Add(get32(i43 | 0) | 0, get32(i43 + 4 | 0) | 0, ~~d77 >>> 0 | 0, i54 | 0) | 0;
        i54 = i4;
        set32(i54 | 0, i47 | 0);
        set32(i54 + 4 | 0, tempRet0 | 0);
       } else i22 = 134;
       break;
      }
     case 5:
      {
       if (!(_strcmp(i70, 38078) | 0)) {
        if (!(get8(i14 >> 0 | 0) | 0)) {
         if (!(get8(i24 >> 0 | 0) | 0)) {
          i78 = 2e3;
          i79 = 1;
          i80 = 1;
         } else {
          i54 = i4;
          i47 = _i64Add(get32(i54 | 0) | 0, get32(i54 + 4 | 0) | 0, 432e5, 0) | 0;
          i54 = ___divdi3(i47 | 0, tempRet0 | 0, 864e5, 0) | 0;
          i47 = ~~((+(i54 | 0) + -1867216.25) / 36524.25);
          i43 = i54 + 1525 + i47 + ((i47 | 0) / -4 | 0) | 0;
          i47 = ~~((+(i43 | 0) + -122.1) / 365.25);
          i54 = i43 - ((i47 * 36525 | 0) / 100 | 0) | 0;
          i43 = ~~(+(i54 | 0) / 30.6001);
          i56 = ((i43 | 0) < 14 ? -1 : -13) + i43 | 0;
          i78 = ((i56 | 0) > 2 ? -4716 : -4715) + i47 | 0;
          i79 = i56;
          i80 = i54 - ~~(+(i43 | 0) * 30.6001) | 0;
         }
         set32(i21 | 0, i80 | 0);
         set32(i20 | 0, i79 | 0);
         set32(i17 | 0, i78 | 0);
         set8(i14 >> 0 | 0, 1 | 0);
        }
        if (!(get8(i26 >> 0 | 0) | 0)) {
         _computeJD(i4);
         i43 = i4;
         i54 = _i64Add(get32(i43 | 0) | 0, get32(i43 + 4 | 0) | 0, 432e5, 0) | 0;
         i43 = ___remdi3(i54 | 0, tempRet0 | 0, 864e5, 0) | 0;
         d77 = +(i43 | 0) / 1.0e3;
         i43 = ~~d77;
         i54 = (i43 | 0) / 3600 | 0;
         set32(i25 | 0, i54 | 0);
         i56 = i43 + (Math_imul(i54, -3600) | 0) | 0;
         i54 = (i56 | 0) / 60 | 0;
         set32(i27 | 0, i54 | 0);
         setF64(i19 | 0, +(d77 - +(i43 | 0) + +(i56 + (Math_imul(i54, -60) | 0) | 0)));
         set8(i26 >> 0 | 0, 1 | 0);
        }
        i54 = ~~d15;
        i56 = (get32(i20 | 0) | 0) + i54 | 0;
        i43 = (((i56 | 0) > 0 ? -1 : -12) + i56 | 0) / 12 | 0;
        set32(i17 | 0, (get32(i17 | 0) | 0) + i43 | 0);
        set32(i20 | 0, i56 + (Math_imul(i43, -12) | 0) | 0);
        set8(i24 >> 0 | 0, 0 | 0);
        _computeJD(i4);
        d77 = +(i54 | 0);
        if (d77 != d15) {
         d73 = d18 + (d15 - d77) * 30.0 * 864.0e5;
         i54 = +Math_abs(d73) >= 1.0 ? (d73 > 0.0 ? ~~+Math_min(+Math_floor(d73 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d73 - +(~~d73 >>> 0)) / 4294967296.0) >>> 0) : 0;
         i43 = i4;
         i56 = _i64Add(get32(i43 | 0) | 0, get32(i43 + 4 | 0) | 0, ~~d73 >>> 0 | 0, i54 | 0) | 0;
         i54 = i4;
         set32(i54 | 0, i56 | 0);
         set32(i54 + 4 | 0, tempRet0 | 0);
        }
       } else i22 = 134;
       break;
      }
     default:
      i22 = 134;
     } while (0);
     if ((i22 | 0) == 134) {
      i22 = 0;
      set32(i7 | 0, 1 | 0);
     }
     set8(i14 >> 0 | 0, 0 | 0);
     set8(i26 >> 0 | 0, 0 | 0);
     set8(i6 >> 0 | 0, 0 | 0);
     i22 = 136;
    }
    break;
   }
  default:
   i22 = 136;
  } while (0);
  if ((i22 | 0) == 136) {
   i22 = 0;
   i46 = get32(i7 | 0) | 0;
  }
  i41 = i41 + 1 | 0;
  if (i46) {
   i16 = 1;
   i22 = 138;
   break;
  }
  if ((i41 | 0) >= (i2 | 0)) {
   i16 = 0;
   i22 = 138;
   break;
  }
 }
 if ((i22 | 0) == 138) {
  STACKTOP = i5;
  return i16 | 0;
 }
 return 0;
}
function _sqlite3AutoincrementEnd(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0, i80 = 0, i81 = 0, i82 = 0, i83 = 0, i84 = 0, i85 = 0, i86 = 0, i87 = 0, i88 = 0, i89 = 0, i90 = 0, i91 = 0, i92 = 0, i93 = 0, i94 = 0, i95 = 0, i96 = 0, i97 = 0, i98 = 0, i99 = 0, i100 = 0, i101 = 0, i102 = 0, i103 = 0, i104 = 0, i105 = 0, i106 = 0, i107 = 0, i108 = 0, i109 = 0, i110 = 0, i111 = 0, i112 = 0, i113 = 0, i114 = 0, i115 = 0, i116 = 0, i117 = 0, i118 = 0;
 i2 = i1 + 12 | 0;
 i3 = get32(i2 | 0) | 0;
 i4 = get32(i1 + 416 | 0) | 0;
 if (!i4) return;
 i5 = (get32(i1 | 0) | 0) + 8 | 0;
 i6 = i1 + 21 | 0;
 i7 = i1 + 72 | 0;
 i8 = i1 + 424 | 0;
 i9 = i3 + 28 | 0;
 i10 = i3 + 32 | 0;
 i11 = i3 + 4 | 0;
 i12 = i1 + 96 | 0;
 i13 = i1 + 112 | 0;
 i14 = i1 + 120 | 0;
 i15 = i1 + 136 | 0;
 i16 = i1 + 144 | 0;
 i17 = i1 + 160 | 0;
 i18 = i1 + 168 | 0;
 i19 = i1 + 184 | 0;
 i20 = i1 + 192 | 0;
 i21 = i1 + 208 | 0;
 i22 = i1 + 216 | 0;
 i23 = i1 + 232 | 0;
 i24 = i1 + 240 | 0;
 i25 = i1 + 256 | 0;
 i26 = i1 + 264 | 0;
 i27 = i1 + 280 | 0;
 i28 = i1 + 288 | 0;
 i29 = i1 + 304 | 0;
 i30 = i1 + 312 | 0;
 i31 = i1 + 328 | 0;
 i32 = i4;
 do {
  i4 = get32(i32 + 8 | 0) | 0;
  i33 = get32(i5 | 0) | 0;
  i34 = get32(i32 + 12 | 0) | 0;
  i35 = get8(i6 >> 0 | 0) | 0;
  if (!(i35 << 24 >> 24)) {
   i36 = (get32(i7 | 0) | 0) + 1 | 0;
   set32(i7 | 0, i36 | 0);
   i37 = i36;
  } else {
   i36 = i35 + -1 << 24 >> 24;
   set8(i6 >> 0 | 0, i36 | 0);
   i37 = get32(i1 + 24 + ((i36 & 255) << 2) | 0) | 0;
  }
  i36 = get32((get32(i33 + (i4 << 4) + 12 | 0) | 0) + 72 | 0) | 0;
  if (!(get8(i36 + 34 >> 0 | 0) & 16)) {
   i33 = get32(i2 | 0) | 0;
   do if (!i33) {
    i35 = get32(i1 | 0) | 0;
    L14 : do if (!i35) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i38 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
      i39 = 45;
      break;
     }
     i40 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
     set32(35 * 4 | 0, 192 | 0);
     if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
     i41 = get32(6 * 4 | 0) | 0;
     do if (i41) {
      i42 = get32(30 * 4 | 0) | 0;
      i43 = ((i42 | 0) < 0) << 31 >> 31;
      i44 = 16;
      i45 = _i64Subtract(get32(i44 | 0) | 0, get32(i44 + 4 | 0) | 0, i40 | 0, ((i40 | 0) < 0) << 31 >> 31 | 0) | 0;
      i44 = tempRet0;
      if ((i43 | 0) < (i44 | 0) | (i43 | 0) == (i44 | 0) & i42 >>> 0 < i45 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i45 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i41 & 15](i45, i42, i43, i40);
       set32(6 * 4 | 0, i41 | 0);
       set32(7 * 4 | 0, i45 | 0);
       break;
      }
     } while (0);
     i41 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i40) | 0;
     if (i41) {
      i45 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i41) | 0;
      i43 = (get32(30 * 4 | 0) | 0) + i45 | 0;
      set32(30 * 4 | 0, i43 | 0);
      if ((i43 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i43 | 0);
      i43 = get32(39 * 4 | 0) | 0;
      i45 = i43 + 1 | 0;
      set32(39 * 4 | 0, i45 | 0);
      if ((i43 | 0) < (get32(49 * 4 | 0) | 0)) i46 = i41; else {
       set32(49 * 4 | 0, i45 | 0);
       i46 = i41;
      }
     } else i39 = 46;
    } else {
     i41 = i35 + 30 | 0;
     if (!(get8(i41 >> 0 | 0) | 0)) {
      do if (get8(i35 + 234 >> 0 | 0) | 0) {
       if ((getU16(i35 + 232 | 0) | 0) < 192) {
        i45 = i35 + 248 | 0;
        set32(i45 | 0, (get32(i45 | 0) | 0) + 1 | 0);
        break;
       }
       i45 = i35 + 256 | 0;
       i43 = get32(i45 | 0) | 0;
       if (!i43) {
        i42 = i35 + 252 | 0;
        set32(i42 | 0, (get32(i42 | 0) | 0) + 1 | 0);
        break;
       }
       set32(i45 | 0, get32(i43 | 0) | 0);
       i45 = i35 + 236 | 0;
       i42 = get32(i45 | 0) | 0;
       i44 = i42 + 1 | 0;
       set32(i45 | 0, i44 | 0);
       i45 = i35 + 244 | 0;
       set32(i45 | 0, (get32(i45 | 0) | 0) + 1 | 0);
       i45 = i35 + 240 | 0;
       if ((i42 | 0) >= (get32(i45 | 0) | 0)) set32(i45 | 0, i44 | 0);
       i38 = i43;
       i39 = 45;
       break L14;
      } while (0);
      if (!(get32(50 * 4 | 0) | 0)) {
       i40 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
       if (i40) {
        i46 = i40;
        break;
       }
      } else {
       i40 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
       set32(35 * 4 | 0, 192 | 0);
       if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
       i43 = get32(6 * 4 | 0) | 0;
       do if (i43) {
        i44 = get32(30 * 4 | 0) | 0;
        i45 = ((i44 | 0) < 0) << 31 >> 31;
        i42 = 16;
        i47 = _i64Subtract(get32(i42 | 0) | 0, get32(i42 + 4 | 0) | 0, i40 | 0, ((i40 | 0) < 0) << 31 >> 31 | 0) | 0;
        i42 = tempRet0;
        if ((i45 | 0) < (i42 | 0) | (i45 | 0) == (i42 | 0) & i44 >>> 0 < i47 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i47 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i43 & 15](i47, i44, i45, i40);
         set32(6 * 4 | 0, i43 | 0);
         set32(7 * 4 | 0, i47 | 0);
         break;
        }
       } while (0);
       i43 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i40) | 0;
       if (i43) {
        i47 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i43) | 0;
        i45 = (get32(30 * 4 | 0) | 0) + i47 | 0;
        set32(30 * 4 | 0, i45 | 0);
        if ((i45 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i45 | 0);
        i45 = get32(39 * 4 | 0) | 0;
        i47 = i45 + 1 | 0;
        set32(39 * 4 | 0, i47 | 0);
        if ((i45 | 0) < (get32(49 * 4 | 0) | 0)) {
         i46 = i43;
         break;
        }
        set32(49 * 4 | 0, i47 | 0);
        i46 = i43;
        break;
       }
      }
      set8(i41 >> 0 | 0, 1 | 0);
      i39 = 46;
     } else i39 = 46;
    } while (0);
    if ((i39 | 0) == 45) {
     i39 = 0;
     if (!i38) i39 = 46; else i46 = i38;
    }
    if ((i39 | 0) == 46) {
     i39 = 0;
     set32(i2 | 0, 0 | 0);
     i48 = 0;
     break;
    }
    _memset(i46 | 0, 0, 192) | 0;
    set32(i46 | 0, i35 | 0);
    i43 = i35 + 136 | 0;
    i47 = get32(i43 | 0) | 0;
    if (i47) set32(i47 + 60 | 0, i46 | 0);
    set32(i46 + 64 | 0, i47 | 0);
    set32(i46 + 60 | 0, 0 | 0);
    set32(i43 | 0, i46 | 0);
    set32(i46 + 52 | 0, 649915045 | 0);
    set32(i2 | 0, i46 | 0);
    i43 = i46 + 28 | 0;
    i47 = i46 + 32 | 0;
    i45 = i46 + 4 | 0;
    i44 = _sqlite3DbRealloc(i35, 0, 1020) | 0;
    if (!i44) i48 = i46; else {
     i42 = get32(i46 | 0) | 0;
     if (((i42 | 0) != 0 ? (get32(i42 + 260 | 0) | 0) >>> 0 <= i44 >>> 0 : 0) ? (get32(i42 + 264 | 0) | 0) >>> 0 > i44 >>> 0 : 0) i49 = getU16(i42 + 232 | 0) | 0; else i49 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i44) | 0;
     set32(i47 | 0, (i49 >>> 0) / 20 | 0 | 0);
     set32(i45 | 0, i44 | 0);
     set32(i43 | 0, (get32(i43 | 0) | 0) + 1 | 0);
     set8(i44 >> 0 | 0, -120 | 0);
     set8(i44 + 1 >> 0 | 0, 0 | 0);
     i50 = i44 + 3 | 0;
     i51 = i50 + 17 | 0;
     do {
      set8(i50 >> 0 | 0, 0 | 0);
      i50 = i50 + 1 | 0;
     } while ((i50 | 0) < (i51 | 0));
     i48 = i46;
    }
   } else i48 = i33; while (0);
   i33 = i36 + 20 | 0;
   i35 = get32(i33 | 0) | 0;
   i44 = get32(i36 | 0) | 0;
   i43 = get32(i8 | 0) | 0;
   i45 = (i43 | 0) == 0 ? i1 : i43;
   i43 = i45 + 400 | 0;
   i47 = get32(i43 | 0) | 0;
   i42 = i45 + 404 | 0;
   do if ((i47 | 0) > 0) {
    i52 = get32(i42 | 0) | 0;
    i53 = 0;
    while (1) {
     if ((get32(i52 + (i53 << 4) | 0) | 0) == (i4 | 0) ? (get32(i52 + (i53 << 4) + 4 | 0) | 0) == (i35 | 0) : 0) {
      i54 = i53;
      i39 = 61;
      break;
     }
     i53 = i53 + 1 | 0;
     if ((i53 | 0) >= (i47 | 0)) {
      i39 = 63;
      break;
     }
    }
    if ((i39 | 0) == 61) {
     i39 = 0;
     set8(i52 + (i54 << 4) + 8 >> 0 | 0, 1 | 0);
     break;
    } else if ((i39 | 0) == 63) {
     i39 = 0;
     i55 = i42;
     i56 = i52;
     i39 = 64;
     break;
    }
   } else {
    i55 = i42;
    i56 = get32(i42 | 0) | 0;
    i39 = 64;
   } while (0);
   do if ((i39 | 0) == 64) {
    i39 = 0;
    i42 = get32(i45 | 0) | 0;
    i53 = _sqlite3DbRealloc(i42, i56, (i47 << 4) + 16 | 0) | 0;
    if (!i53) {
     _sqlite3DbFree(i42, i56);
     set32(i55 | 0, 0 | 0);
     set32(i43 | 0, 0 | 0);
     set8((get32(i45 | 0) | 0) + 30 >> 0 | 0, 1 | 0);
     break;
    } else {
     set32(i55 | 0, i53 | 0);
     i42 = get32(i43 | 0) | 0;
     set32(i43 | 0, i42 + 1 | 0);
     set32(i53 + (i42 << 4) | 0, i4 | 0);
     set32(i53 + (i42 << 4) + 4 | 0, i35 | 0);
     set8(i53 + (i42 << 4) + 8 >> 0 | 0, 1 | 0);
     set32(i53 + (i42 << 4) + 12 | 0, i44 | 0);
     break;
    }
   } while (0);
   i44 = get32(i33 | 0) | 0;
   i35 = i48 + 28 | 0;
   i43 = get32(i35 | 0) | 0;
   i45 = i48 + 32 | 0;
   i47 = get32(i45 | 0) | 0;
   if ((i47 | 0) <= (i43 | 0)) {
    i42 = i48 + 4 | 0;
    i53 = _sqlite3DbRealloc(get32(i48 | 0) | 0, get32(i42 | 0) | 0, (i47 | 0) == 0 ? 1020 : i47 * 40 | 0) | 0;
    if (!i53) {
     i57 = i48;
     i58 = i42;
    } else {
     i47 = get32(i48 | 0) | 0;
     if (((i47 | 0) != 0 ? (get32(i47 + 260 | 0) | 0) >>> 0 <= i53 >>> 0 : 0) ? (get32(i47 + 264 | 0) | 0) >>> 0 > i53 >>> 0 : 0) i59 = getU16(i47 + 232 | 0) | 0; else i59 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i53) | 0;
     set32(i45 | 0, (i59 >>> 0) / 20 | 0 | 0);
     set32(i42 | 0, i53 | 0);
     i60 = i42;
     i61 = get32(i35 | 0) | 0;
     i62 = i53;
     i39 = 76;
    }
   } else {
    i53 = i48 + 4 | 0;
    i60 = i53;
    i61 = i43;
    i62 = get32(i53 | 0) | 0;
    i39 = 76;
   }
   if ((i39 | 0) == 76) {
    i39 = 0;
    set32(i35 | 0, i61 + 1 | 0);
    set8(i62 + (i43 * 20 | 0) >> 0 | 0, 39 | 0);
    set8(i62 + (i43 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i62 + (i43 * 20 | 0) + 4 | 0, 0 | 0);
    set32(i62 + (i43 * 20 | 0) + 8 | 0, i44 | 0);
    set32(i62 + (i43 * 20 | 0) + 12 | 0, i4 | 0);
    set32(i62 + (i43 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i62 + (i43 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i57 = i48;
    i58 = i60;
   }
   i43 = get32(i36 + 8 | 0) | 0;
   i44 = get32(i57 | 0) | 0;
   i53 = get32(i58 | 0) | 0;
   if ((i53 | 0) != 0 ? (get8(i44 + 30 >> 0 | 0) | 0) == 0 : 0) {
    i42 = (get32(i35 | 0) | 0) + -1 | 0;
    i35 = i53 + (i42 * 20 | 0) + 1 | 0;
    i45 = i53 + (i42 * 20 | 0) + 16 | 0;
    _freeP4(i44, get8(i35 >> 0 | 0) | 0, get32(i45 | 0) | 0);
    set32(i45 | 0, i43 | 0);
    set8(i35 >> 0 | 0, -14 | 0);
   }
  }
  i35 = i34 + 1 | 0;
  i43 = get32(i9 | 0) | 0;
  i45 = get32(i10 | 0) | 0;
  do if ((i45 | 0) > (i43 | 0)) {
   i63 = i43;
   i64 = get32(i11 | 0) | 0;
   i65 = i45;
   i39 = 90;
  } else {
   i44 = _sqlite3DbRealloc(get32(i3 | 0) | 0, get32(i11 | 0) | 0, (i45 | 0) == 0 ? 1020 : i45 * 40 | 0) | 0;
   if (!i44) {
    i66 = 1;
    i67 = get32(i10 | 0) | 0;
    i68 = get32(i9 | 0) | 0;
    break;
   }
   i42 = get32(i3 | 0) | 0;
   if (((i42 | 0) != 0 ? (get32(i42 + 260 | 0) | 0) >>> 0 <= i44 >>> 0 : 0) ? (get32(i42 + 264 | 0) | 0) >>> 0 > i44 >>> 0 : 0) i69 = getU16(i42 + 232 | 0) | 0; else i69 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i44) | 0;
   i42 = (i69 >>> 0) / 20 | 0;
   set32(i10 | 0, i42 | 0);
   set32(i11 | 0, i44 | 0);
   i63 = get32(i9 | 0) | 0;
   i64 = i44;
   i65 = i42;
   i39 = 90;
  } while (0);
  if ((i39 | 0) == 90) {
   i39 = 0;
   i45 = i63 + 1 | 0;
   set32(i9 | 0, i45 | 0);
   set8(i64 + (i43 * 20 | 0) >> 0 | 0, 74 | 0);
   set8(i64 + (i43 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i64 + (i43 * 20 | 0) + 4 | 0, i35 | 0);
   set32(i64 + (i43 * 20 | 0) + 8 | 0, 0 | 0);
   set32(i64 + (i43 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i64 + (i43 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i64 + (i43 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i66 = i43;
   i67 = i65;
   i68 = i45;
  }
  if ((i67 | 0) <= (i68 | 0)) {
   i45 = _sqlite3DbRealloc(get32(i3 | 0) | 0, get32(i11 | 0) | 0, (i67 | 0) == 0 ? 1020 : i67 * 40 | 0) | 0;
   if (!i45) i70 = 1; else {
    i36 = get32(i3 | 0) | 0;
    if (((i36 | 0) != 0 ? (get32(i36 + 260 | 0) | 0) >>> 0 <= i45 >>> 0 : 0) ? (get32(i36 + 264 | 0) | 0) >>> 0 > i45 >>> 0 : 0) i71 = getU16(i36 + 232 | 0) | 0; else i71 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i45) | 0;
    set32(i10 | 0, (i71 >>> 0) / 20 | 0 | 0);
    set32(i11 | 0, i45 | 0);
    i72 = get32(i9 | 0) | 0;
    i73 = i45;
    i39 = 100;
   }
  } else {
   i72 = i68;
   i73 = get32(i11 | 0) | 0;
   i39 = 100;
  }
  if ((i39 | 0) == 100) {
   i39 = 0;
   set32(i9 | 0, i72 + 1 | 0);
   set8(i73 + (i68 * 20 | 0) >> 0 | 0, 65 | 0);
   set8(i73 + (i68 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i50 = i73 + (i68 * 20 | 0) + 3 | 0;
   i51 = i50 + 17 | 0;
   do {
    set8(i50 >> 0 | 0, 0 | 0);
    i50 = i50 + 1 | 0;
   } while ((i50 | 0) < (i51 | 0));
   i70 = i68;
  }
  i43 = get32(i9 | 0) | 0;
  i45 = get32(i10 | 0) | 0;
  do if ((i45 | 0) > (i43 | 0)) {
   i74 = i43;
   i75 = get32(i11 | 0) | 0;
   i76 = i45;
   i39 = 111;
  } else {
   i36 = _sqlite3DbRealloc(get32(i3 | 0) | 0, get32(i11 | 0) | 0, (i45 | 0) == 0 ? 1020 : i45 * 40 | 0) | 0;
   if (!i36) {
    i77 = 1;
    i78 = get32(i10 | 0) | 0;
    i79 = get32(i9 | 0) | 0;
    break;
   }
   i4 = get32(i3 | 0) | 0;
   if (((i4 | 0) != 0 ? (get32(i4 + 260 | 0) | 0) >>> 0 <= i36 >>> 0 : 0) ? (get32(i4 + 264 | 0) | 0) >>> 0 > i36 >>> 0 : 0) i80 = getU16(i4 + 232 | 0) | 0; else i80 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i36) | 0;
   i4 = (i80 >>> 0) / 20 | 0;
   set32(i10 | 0, i4 | 0);
   set32(i11 | 0, i36 | 0);
   i74 = get32(i9 | 0) | 0;
   i75 = i36;
   i76 = i4;
   i39 = 111;
  } while (0);
  if ((i39 | 0) == 111) {
   i39 = 0;
   i45 = i74 + 1 | 0;
   set32(i9 | 0, i45 | 0);
   set8(i75 + (i43 * 20 | 0) >> 0 | 0, 28 | 0);
   set8(i75 + (i43 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i75 + (i43 * 20 | 0) + 4 | 0, 0 | 0);
   set32(i75 + (i43 * 20 | 0) + 8 | 0, 0 | 0);
   set32(i75 + (i43 * 20 | 0) + 12 | 0, i37 | 0);
   set32(i75 + (i43 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i75 + (i43 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i77 = i43;
   i78 = i76;
   i79 = i45;
  }
  i45 = i34 + -1 | 0;
  do if ((i78 | 0) > (i79 | 0)) {
   i81 = i79;
   i82 = get32(i11 | 0) | 0;
   i83 = i78;
   i39 = 122;
  } else {
   i4 = _sqlite3DbRealloc(get32(i3 | 0) | 0, get32(i11 | 0) | 0, (i78 | 0) == 0 ? 1020 : i78 * 40 | 0) | 0;
   if (!i4) {
    i84 = 1;
    i85 = get32(i10 | 0) | 0;
    i86 = get32(i9 | 0) | 0;
    break;
   }
   i36 = get32(i3 | 0) | 0;
   if (((i36 | 0) != 0 ? (get32(i36 + 260 | 0) | 0) >>> 0 <= i4 >>> 0 : 0) ? (get32(i36 + 264 | 0) | 0) >>> 0 > i4 >>> 0 : 0) i87 = getU16(i36 + 232 | 0) | 0; else i87 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i4) | 0;
   i36 = (i87 >>> 0) / 20 | 0;
   set32(i10 | 0, i36 | 0);
   set32(i11 | 0, i4 | 0);
   i81 = get32(i9 | 0) | 0;
   i82 = i4;
   i83 = i36;
   i39 = 122;
  } while (0);
  if ((i39 | 0) == 122) {
   i39 = 0;
   i34 = i81 + 1 | 0;
   set32(i9 | 0, i34 | 0);
   set8(i82 + (i79 * 20 | 0) >> 0 | 0, 76 | 0);
   set8(i82 + (i79 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i82 + (i79 * 20 | 0) + 4 | 0, i45 | 0);
   set32(i82 + (i79 * 20 | 0) + 8 | 0, 0 | 0);
   set32(i82 + (i79 * 20 | 0) + 12 | 0, i37 | 0);
   set32(i82 + (i79 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i82 + (i79 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i84 = i79;
   i85 = i83;
   i86 = i34;
  }
  do if ((i85 | 0) > (i86 | 0)) {
   i88 = i86;
   i89 = get32(i11 | 0) | 0;
   i39 = 133;
  } else {
   i34 = _sqlite3DbRealloc(get32(i3 | 0) | 0, get32(i11 | 0) | 0, (i85 | 0) == 0 ? 1020 : i85 * 40 | 0) | 0;
   if (!i34) {
    i90 = get32(i9 | 0) | 0;
    break;
   }
   i43 = get32(i3 | 0) | 0;
   if (((i43 | 0) != 0 ? (get32(i43 + 260 | 0) | 0) >>> 0 <= i34 >>> 0 : 0) ? (get32(i43 + 264 | 0) | 0) >>> 0 > i34 >>> 0 : 0) i91 = getU16(i43 + 232 | 0) | 0; else i91 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i34) | 0;
   set32(i10 | 0, (i91 >>> 0) / 20 | 0 | 0);
   set32(i11 | 0, i34 | 0);
   i88 = get32(i9 | 0) | 0;
   i89 = i34;
   i39 = 133;
  } while (0);
  if ((i39 | 0) == 133) {
   i39 = 0;
   i34 = i88 + 1 | 0;
   set32(i9 | 0, i34 | 0);
   set8(i89 + (i86 * 20 | 0) >> 0 | 0, 67 | 0);
   set8(i89 + (i86 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i89 + (i86 * 20 | 0) + 4 | 0, 0 | 0);
   set32(i89 + (i86 * 20 | 0) + 8 | 0, i77 | 0);
   set32(i89 + (i86 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i89 + (i86 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i89 + (i86 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i90 = i34;
  }
  if ((i90 | 0) > (i70 | 0)) set32((get32(i11 | 0) | 0) + (i70 * 20 | 0) + 8 | 0, i90 | 0);
  i34 = get32(i10 | 0) | 0;
  do if ((i34 | 0) > (i90 | 0)) {
   i92 = i90;
   i93 = get32(i11 | 0) | 0;
   i94 = i34;
   i39 = 146;
  } else {
   i43 = _sqlite3DbRealloc(get32(i3 | 0) | 0, get32(i11 | 0) | 0, (i34 | 0) == 0 ? 1020 : i34 * 40 | 0) | 0;
   if (!i43) {
    i95 = get32(i10 | 0) | 0;
    i96 = get32(i9 | 0) | 0;
    break;
   }
   i36 = get32(i3 | 0) | 0;
   if (((i36 | 0) != 0 ? (get32(i36 + 260 | 0) | 0) >>> 0 <= i43 >>> 0 : 0) ? (get32(i36 + 264 | 0) | 0) >>> 0 > i43 >>> 0 : 0) i97 = getU16(i36 + 232 | 0) | 0; else i97 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i43) | 0;
   i36 = (i97 >>> 0) / 20 | 0;
   set32(i10 | 0, i36 | 0);
   set32(i11 | 0, i43 | 0);
   i92 = get32(i9 | 0) | 0;
   i93 = i43;
   i94 = i36;
   i39 = 146;
  } while (0);
  if ((i39 | 0) == 146) {
   i39 = 0;
   i34 = i92 + 1 | 0;
   set32(i9 | 0, i34 | 0);
   set8(i93 + (i90 * 20 | 0) >> 0 | 0, 54 | 0);
   set8(i93 + (i90 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i93 + (i90 * 20 | 0) + 4 | 0, 0 | 0);
   set32(i93 + (i90 * 20 | 0) + 8 | 0, i35 | 0);
   set32(i93 + (i90 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i93 + (i90 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i93 + (i90 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i95 = i94;
   i96 = i34;
  }
  if ((i95 | 0) <= (i96 | 0)) {
   i34 = _sqlite3DbRealloc(get32(i3 | 0) | 0, get32(i11 | 0) | 0, (i95 | 0) == 0 ? 1020 : i95 * 40 | 0) | 0;
   if (!i34) i98 = 1; else {
    i36 = get32(i3 | 0) | 0;
    if (((i36 | 0) != 0 ? (get32(i36 + 260 | 0) | 0) >>> 0 <= i34 >>> 0 : 0) ? (get32(i36 + 264 | 0) | 0) >>> 0 > i34 >>> 0 : 0) i99 = getU16(i36 + 232 | 0) | 0; else i99 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i34) | 0;
    set32(i10 | 0, (i99 >>> 0) / 20 | 0 | 0);
    set32(i11 | 0, i34 | 0);
    i100 = get32(i9 | 0) | 0;
    i101 = i34;
    i39 = 156;
   }
  } else {
   i100 = i96;
   i101 = get32(i11 | 0) | 0;
   i39 = 156;
  }
  if ((i39 | 0) == 156) {
   i39 = 0;
   set32(i9 | 0, i100 + 1 | 0);
   set8(i101 + (i96 * 20 | 0) >> 0 | 0, 1 | 0);
   set8(i101 + (i96 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i50 = i101 + (i96 * 20 | 0) + 3 | 0;
   i51 = i50 + 17 | 0;
   do {
    set8(i50 >> 0 | 0, 0 | 0);
    i50 = i50 + 1 | 0;
   } while ((i50 | 0) < (i51 | 0));
   i98 = i96;
  }
  i34 = get32(i9 | 0) | 0;
  if ((i34 | 0) > (i84 | 0)) set32((get32(i11 | 0) | 0) + (i84 * 20 | 0) + 8 | 0, i34 | 0);
  i36 = get32(i10 | 0) | 0;
  do if ((i36 | 0) > (i34 | 0)) {
   i102 = i34;
   i103 = get32(i11 | 0) | 0;
   i39 = 169;
  } else {
   i43 = _sqlite3DbRealloc(get32(i3 | 0) | 0, get32(i11 | 0) | 0, (i36 | 0) == 0 ? 1020 : i36 * 40 | 0) | 0;
   if (!i43) {
    i104 = get32(i9 | 0) | 0;
    break;
   }
   i4 = get32(i3 | 0) | 0;
   if (((i4 | 0) != 0 ? (get32(i4 + 260 | 0) | 0) >>> 0 <= i43 >>> 0 : 0) ? (get32(i4 + 264 | 0) | 0) >>> 0 > i43 >>> 0 : 0) i105 = getU16(i4 + 232 | 0) | 0; else i105 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i43) | 0;
   set32(i10 | 0, (i105 >>> 0) / 20 | 0 | 0);
   set32(i11 | 0, i43 | 0);
   i102 = get32(i9 | 0) | 0;
   i103 = i43;
   i39 = 169;
  } while (0);
  if ((i39 | 0) == 169) {
   i39 = 0;
   i36 = i102 + 1 | 0;
   set32(i9 | 0, i36 | 0);
   set8(i103 + (i34 * 20 | 0) >> 0 | 0, 61 | 0);
   set8(i103 + (i34 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i103 + (i34 * 20 | 0) + 4 | 0, 0 | 0);
   set32(i103 + (i34 * 20 | 0) + 8 | 0, i35 | 0);
   set32(i103 + (i34 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i103 + (i34 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i103 + (i34 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i104 = i36;
  }
  if ((i104 | 0) > (i66 | 0)) set32((get32(i11 | 0) | 0) + (i66 * 20 | 0) + 8 | 0, i104 | 0);
  if ((i104 | 0) > (i98 | 0)) set32((get32(i11 | 0) | 0) + (i98 * 20 | 0) + 8 | 0, i104 | 0);
  i36 = get32(i10 | 0) | 0;
  do if ((i36 | 0) > (i104 | 0)) {
   i106 = i104;
   i107 = get32(i11 | 0) | 0;
   i108 = i36;
   i39 = 184;
  } else {
   i43 = _sqlite3DbRealloc(get32(i3 | 0) | 0, get32(i11 | 0) | 0, (i36 | 0) == 0 ? 1020 : i36 * 40 | 0) | 0;
   if (!i43) {
    i109 = get32(i10 | 0) | 0;
    i110 = get32(i9 | 0) | 0;
    break;
   }
   i4 = get32(i3 | 0) | 0;
   do if (!i4) i39 = 182; else {
    if ((get32(i4 + 260 | 0) | 0) >>> 0 > i43 >>> 0) {
     i39 = 182;
     break;
    }
    if ((get32(i4 + 264 | 0) | 0) >>> 0 <= i43 >>> 0) {
     i39 = 182;
     break;
    }
    i111 = getU16(i4 + 232 | 0) | 0;
   } while (0);
   if ((i39 | 0) == 182) {
    i39 = 0;
    i111 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i43) | 0;
   }
   i4 = (i111 >>> 0) / 20 | 0;
   set32(i10 | 0, i4 | 0);
   set32(i11 | 0, i43 | 0);
   i106 = get32(i9 | 0) | 0;
   i107 = i43;
   i108 = i4;
   i39 = 184;
  } while (0);
  if ((i39 | 0) == 184) {
   i39 = 0;
   i36 = i106 + 1 | 0;
   set32(i9 | 0, i36 | 0);
   set8(i107 + (i104 * 20 | 0) >> 0 | 0, 30 | 0);
   set8(i107 + (i104 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i107 + (i104 * 20 | 0) + 4 | 0, i45 | 0);
   set32(i107 + (i104 * 20 | 0) + 8 | 0, 2 | 0);
   set32(i107 + (i104 * 20 | 0) + 12 | 0, i37 | 0);
   set32(i107 + (i104 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i107 + (i104 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i109 = i108;
   i110 = i36;
  }
  if ((i109 | 0) <= (i110 | 0)) {
   i36 = _sqlite3DbRealloc(get32(i3 | 0) | 0, get32(i11 | 0) | 0, (i109 | 0) == 0 ? 1020 : i109 * 40 | 0) | 0;
   if (i36) {
    i34 = get32(i3 | 0) | 0;
    do if (!i34) i39 = 192; else {
     if ((get32(i34 + 260 | 0) | 0) >>> 0 > i36 >>> 0) {
      i39 = 192;
      break;
     }
     if ((get32(i34 + 264 | 0) | 0) >>> 0 <= i36 >>> 0) {
      i39 = 192;
      break;
     }
     i112 = getU16(i34 + 232 | 0) | 0;
    } while (0);
    if ((i39 | 0) == 192) {
     i39 = 0;
     i112 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i36) | 0;
    }
    set32(i10 | 0, (i112 >>> 0) / 20 | 0 | 0);
    set32(i11 | 0, i36 | 0);
    i113 = get32(i9 | 0) | 0;
    i114 = i36;
    i39 = 194;
   }
  } else {
   i113 = i110;
   i114 = get32(i11 | 0) | 0;
   i39 = 194;
  }
  if ((i39 | 0) == 194) {
   i39 = 0;
   set32(i9 | 0, i113 + 1 | 0);
   set8(i114 + (i110 * 20 | 0) >> 0 | 0, 55 | 0);
   set8(i114 + (i110 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i114 + (i110 * 20 | 0) + 4 | 0, 0 | 0);
   set32(i114 + (i110 * 20 | 0) + 8 | 0, i37 | 0);
   set32(i114 + (i110 * 20 | 0) + 12 | 0, i35 | 0);
   set32(i114 + (i110 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i114 + (i110 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  }
  i34 = get32(i11 | 0) | 0;
  i45 = get32(i9 | 0) | 0;
  if (i34) set8(i34 + ((i45 + -1 | 0) * 20 | 0) + 3 >> 0 | 0, 8 | 0);
  i4 = get32(i10 | 0) | 0;
  do if ((i4 | 0) > (i45 | 0)) {
   i115 = i45;
   i116 = i34;
   i39 = 205;
  } else {
   i52 = _sqlite3DbRealloc(get32(i3 | 0) | 0, i34, (i4 | 0) == 0 ? 1020 : i4 * 40 | 0) | 0;
   if (!i52) break;
   i33 = get32(i3 | 0) | 0;
   do if (!i33) i39 = 203; else {
    if ((get32(i33 + 260 | 0) | 0) >>> 0 > i52 >>> 0) {
     i39 = 203;
     break;
    }
    if ((get32(i33 + 264 | 0) | 0) >>> 0 <= i52 >>> 0) {
     i39 = 203;
     break;
    }
    i117 = getU16(i33 + 232 | 0) | 0;
   } while (0);
   if ((i39 | 0) == 203) {
    i39 = 0;
    i117 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i52) | 0;
   }
   set32(i10 | 0, (i117 >>> 0) / 20 | 0 | 0);
   set32(i11 | 0, i52 | 0);
   i115 = get32(i9 | 0) | 0;
   i116 = i52;
   i39 = 205;
  } while (0);
  if ((i39 | 0) == 205) {
   i39 = 0;
   set32(i9 | 0, i115 + 1 | 0);
   set8(i116 + (i45 * 20 | 0) >> 0 | 0, 43 | 0);
   set8(i116 + (i45 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i50 = i116 + (i45 * 20 | 0) + 3 | 0;
   i51 = i50 + 17 | 0;
   do {
    set8(i50 >> 0 | 0, 0 | 0);
    i50 = i50 + 1 | 0;
   } while ((i50 | 0) < (i51 | 0));
  }
  L298 : do if (i37) {
   i45 = get8(i6 >> 0 | 0) | 0;
   if ((i45 & 255) >= 8) break;
   do if ((get32(i13 | 0) | 0) == (i37 | 0)) i118 = i12; else {
    if ((get32(i15 | 0) | 0) == (i37 | 0)) {
     i118 = i14;
     break;
    }
    if ((get32(i17 | 0) | 0) == (i37 | 0)) {
     i118 = i16;
     break;
    }
    if ((get32(i19 | 0) | 0) == (i37 | 0)) {
     i118 = i18;
     break;
    }
    if ((get32(i21 | 0) | 0) == (i37 | 0)) {
     i118 = i20;
     break;
    }
    if ((get32(i23 | 0) | 0) == (i37 | 0)) {
     i118 = i22;
     break;
    }
    if ((get32(i25 | 0) | 0) == (i37 | 0)) {
     i118 = i24;
     break;
    }
    if ((get32(i27 | 0) | 0) == (i37 | 0)) {
     i118 = i26;
     break;
    }
    if ((get32(i29 | 0) | 0) == (i37 | 0)) {
     i118 = i28;
     break;
    }
    if ((get32(i31 | 0) | 0) == (i37 | 0)) {
     i118 = i30;
     break;
    }
    set8(i6 >> 0 | 0, i45 + 1 << 24 >> 24 | 0);
    set32(i1 + 24 + ((i45 & 255) << 2) | 0, i37 | 0);
    break L298;
   } while (0);
   set8(i118 + 8 >> 0 | 0, 1 | 0);
  } while (0);
  i32 = get32(i32 | 0) | 0;
 } while ((i32 | 0) != 0);
 return;
}

function _lookupName(i1, i2, i3, i4, i5, i6) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 var i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0, i80 = 0, i81 = 0, i82 = 0, i83 = 0, i84 = 0, i85 = 0, i86 = 0, i87 = 0, i88 = 0, i89 = 0, i90 = 0, i91 = 0, i92 = 0, i93 = 0, i94 = 0, i95 = 0, i96 = 0, i97 = 0, i98 = 0, i99 = 0, i100 = 0, i101 = 0, i102 = 0, i103 = 0, i104 = 0, i105 = 0, i106 = 0, i107 = 0, i108 = 0, i109 = 0, i110 = 0, i111 = 0, i112 = 0, i113 = 0, i114 = 0, i115 = 0, i116 = 0, i117 = 0, i118 = 0, i119 = 0, i120 = 0, i121 = 0, i122 = 0, i123 = 0, i124 = 0, i125 = 0, i126 = 0, i127 = 0, i128 = 0, i129 = 0, i130 = 0, i131 = 0, i132 = 0, i133 = 0, i134 = 0, i135 = 0, i136 = 0, i137 = 0, i138 = 0, i139 = 0, i140 = 0, i141 = 0, i142 = 0, i143 = 0, i144 = 0, i145 = 0, i146 = 0, i147 = 0, i148 = 0, i149 = 0, i150 = 0, i151 = 0, i152 = 0, i153 = 0, i154 = 0;
 i7 = STACKTOP;
 STACKTOP = STACKTOP + 80 | 0;
 i8 = i7 + 72 | 0;
 i9 = i7 + 64 | 0;
 i10 = i7 + 48 | 0;
 i11 = i7 + 40 | 0;
 i12 = i7 + 24 | 0;
 i13 = i7 + 8 | 0;
 i14 = i7;
 i15 = get32(i1 | 0) | 0;
 i16 = i6 + 24 | 0;
 set32(i16 | 0, -1 | 0);
 i17 = i6 + 40 | 0;
 set32(i17 | 0, 0 | 0);
 L1 : do if (i5) {
  i18 = (i2 | 0) == 0;
  i19 = i18 & (i3 | 0) != 0;
  i20 = i1 + 428 | 0;
  i21 = i1 + 440 | 0;
  i22 = i6 + 1 | 0;
  i23 = i6 + 28 | 0;
  i24 = i1 + 432 | 0;
  i25 = i1 + 436 | 0;
  i26 = (i3 | 0) == 0;
  i27 = i15 + 8 | 0;
  i28 = i15 + 4 | 0;
  i29 = i3 + 1 | 0;
  i30 = i3 + 2 | 0;
  i31 = i3 + 3 | 0;
  i32 = i3 + 1 | 0;
  i33 = i3 + 2 | 0;
  i34 = i3 + 3 | 0;
  i35 = i5;
  i36 = 0;
  i37 = 0;
  i38 = 0;
  L3 : while (1) {
   i39 = i35 + 8 | 0;
   i40 = get32(i35 + 4 | 0) | 0;
   i41 = i40 + 8 | 0;
   if ((i40 | 0) != 0 ? (i42 = get16(i40 | 0) | 0, i42 << 16 >> 16 > 0) : 0) {
    i40 = (i42 << 16 >> 16) + -1 | 0;
    i43 = i42 << 16 >> 16;
    i42 = 0;
    i44 = i36;
    i45 = 0;
    i46 = i41;
    i41 = i37;
    i47 = i38;
    while (1) {
     i48 = get32(i46 + 12 | 0) | 0;
     i49 = get32(i48 + 68 | 0) | 0;
     L10 : do if (i49) {
      i50 = get32(i28 | 0) | 0;
      if ((i50 | 0) > 0) {
       i51 = get32(i27 | 0) | 0;
       i52 = 0;
       while (1) {
        if ((get32(i51 + (i52 << 4) + 12 | 0) | 0) == (i49 | 0)) {
         i53 = i52;
         break L10;
        }
        i54 = i52 + 1 | 0;
        if ((i54 | 0) < (i50 | 0)) i52 = i54; else {
         i53 = i54;
         break;
        }
       }
      } else i53 = 0;
     } else i53 = -1e6; while (0);
     do if (!i26) {
      i52 = get32(i46 + 8 | 0) | 0;
      if (i52) {
       i50 = get8(i52 >> 0 | 0) | 0;
       L21 : do if (!(i50 << 24 >> 24)) {
        i55 = 0;
        i56 = i3;
       } else {
        i51 = i50;
        i54 = i52;
        i57 = i3;
        while (1) {
         if ((get8(16286 + (i51 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i57 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
          i55 = i51;
          i56 = i57;
          break L21;
         }
         i54 = i54 + 1 | 0;
         i58 = i57 + 1 | 0;
         i51 = get8(i54 >> 0 | 0) | 0;
         if (!(i51 << 24 >> 24)) {
          i55 = 0;
          i56 = i58;
          break;
         } else i57 = i58;
        }
       } while (0);
       if ((get8(16286 + (i55 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i56 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
        i59 = 27;
        break;
       } else {
        i60 = i42;
        i61 = i44;
        i62 = i45;
        i63 = i46;
        i64 = i41;
        i65 = i47;
        break;
       }
      }
      i52 = get32(i48 | 0) | 0;
      if (i52) {
       i50 = get8(i52 >> 0 | 0) | 0;
       L28 : do if (!(i50 << 24 >> 24)) {
        i66 = 0;
        i67 = i3;
       } else {
        i57 = i50;
        i51 = i52;
        i54 = i3;
        while (1) {
         if ((get8(16286 + (i57 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i54 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
          i66 = i57;
          i67 = i54;
          break L28;
         }
         i51 = i51 + 1 | 0;
         i58 = i54 + 1 | 0;
         i57 = get8(i51 >> 0 | 0) | 0;
         if (!(i57 << 24 >> 24)) {
          i66 = 0;
          i67 = i58;
          break;
         } else i54 = i58;
        }
       } while (0);
       if ((get8(16286 + (i66 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i67 >> 0 | 0) | 0) >> 0 | 0) | 0)) if (!i18) {
        i52 = get32((get32(i27 | 0) | 0) + (i53 << 4) | 0) | 0;
        i50 = get8(i52 >> 0 | 0) | 0;
        L35 : do if (!(i50 << 24 >> 24)) {
         i68 = 0;
         i69 = i2;
        } else {
         i54 = i50;
         i57 = i52;
         i51 = i2;
         while (1) {
          if ((get8(16286 + (i54 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i51 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
           i68 = i54;
           i69 = i51;
           break L35;
          }
          i57 = i57 + 1 | 0;
          i58 = i51 + 1 | 0;
          i54 = get8(i57 >> 0 | 0) | 0;
          if (!(i54 << 24 >> 24)) {
           i68 = 0;
           i69 = i58;
           break;
          } else i51 = i58;
         }
        } while (0);
        if ((get8(16286 + (i68 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i69 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
         i60 = i42;
         i61 = i44;
         i62 = i45;
         i63 = i46;
         i64 = i41;
         i65 = i47;
        } else i59 = 27;
       } else i59 = 27; else {
        i60 = i42;
        i61 = i44;
        i62 = i45;
        i63 = i46;
        i64 = i41;
        i65 = i47;
       }
      } else {
       i60 = i42;
       i61 = i44;
       i62 = i45;
       i63 = i46;
       i64 = i41;
       i65 = i47;
      }
     } else i59 = 27; while (0);
     L40 : do if ((i59 | 0) == 27) {
      i59 = 0;
      i52 = i44 + 1 | 0;
      if (!i44) {
       set32(i16 | 0, get32(i46 + 24 | 0) | 0);
       set32(i17 | 0, i48 | 0);
       i70 = i46;
       i71 = i49;
      } else {
       i70 = i41;
       i71 = i47;
      }
      i50 = get32(i48 + 8 | 0) | 0;
      if ((i50 | 0) > 0) {
       i51 = 0;
       i54 = get32(i48 + 12 | 0) | 0;
       while (1) {
        i57 = get32(i54 | 0) | 0;
        i58 = get8(i57 >> 0 | 0) | 0;
        L48 : do if (!(i58 << 24 >> 24)) {
         i72 = 0;
         i73 = i4;
        } else {
         i74 = i58;
         i75 = i57;
         i76 = i4;
         while (1) {
          if ((get8(16286 + (i74 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i76 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
           i72 = i74;
           i73 = i76;
           break L48;
          }
          i75 = i75 + 1 | 0;
          i77 = i76 + 1 | 0;
          i74 = get8(i75 >> 0 | 0) | 0;
          if (!(i74 << 24 >> 24)) {
           i72 = 0;
           i73 = i77;
           break;
          } else i76 = i77;
         }
        } while (0);
        if ((get8(16286 + (i72 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i73 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
         i78 = i51;
         break;
        }
        i51 = i51 + 1 | 0;
        if ((i51 | 0) >= (i50 | 0)) {
         i60 = i42;
         i61 = i52;
         i62 = i45;
         i63 = i46;
         i64 = i70;
         i65 = i71;
         break L40;
        } else i54 = i54 + 24 | 0;
       }
       i54 = i42 + 1 | 0;
       set32(i16 | 0, get32(i46 + 24 | 0) | 0);
       set32(i17 | 0, i48 | 0);
       set16(i23 | 0, ((i78 | 0) == (get32(i48 + 4 | 0) | 0) ? -1 : i78 & 65535) | 0);
       if ((i45 | 0) < (i40 | 0)) {
        i50 = i46 + 56 | 0;
        if (get8(i46 + 77 >> 0 | 0) & 4) {
         i60 = i54;
         i61 = i52;
         i62 = i45 + 1 | 0;
         i63 = i50;
         i64 = i46;
         i65 = i49;
         break;
        }
        i51 = get32(i46 + 88 | 0) | 0;
        if ((i51 | 0) != 0 ? (i57 = get32(i51 + 4 | 0) | 0, (i57 | 0) > 0) : 0) {
         i58 = get32(i51 | 0) | 0;
         i51 = 0;
         while (1) {
          i76 = get32(i58 + (i51 << 3) | 0) | 0;
          i74 = get8(i76 >> 0 | 0) | 0;
          L63 : do if (!(i74 << 24 >> 24)) {
           i79 = 0;
           i80 = i4;
          } else {
           i75 = i74;
           i77 = i76;
           i81 = i4;
           while (1) {
            if ((get8(16286 + (i75 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i81 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
             i79 = i75;
             i80 = i81;
             break L63;
            }
            i77 = i77 + 1 | 0;
            i82 = i81 + 1 | 0;
            i75 = get8(i77 >> 0 | 0) | 0;
            if (!(i75 << 24 >> 24)) {
             i79 = 0;
             i80 = i82;
             break;
            } else i81 = i82;
           }
          } while (0);
          i51 = i51 + 1 | 0;
          if ((get8(16286 + (i79 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i80 >> 0 | 0) | 0) >> 0 | 0) | 0)) break;
          if ((i51 | 0) >= (i57 | 0)) {
           i60 = i54;
           i61 = i52;
           i62 = i45;
           i63 = i46;
           i64 = i46;
           i65 = i49;
           break L40;
          }
         }
         i60 = i54;
         i61 = i52;
         i62 = i45 + 1 | 0;
         i63 = i50;
         i64 = i46;
         i65 = i49;
        } else {
         i60 = i54;
         i61 = i52;
         i62 = i45;
         i63 = i46;
         i64 = i46;
         i65 = i49;
        }
       } else {
        i60 = i54;
        i61 = i52;
        i62 = i45;
        i63 = i46;
        i64 = i46;
        i65 = i49;
       }
      } else {
       i60 = i42;
       i61 = i52;
       i62 = i45;
       i63 = i46;
       i64 = i70;
       i65 = i71;
      }
     } while (0);
     i45 = i62 + 1 | 0;
     if ((i45 | 0) >= (i43 | 0)) {
      i83 = i60;
      i84 = i61;
      i85 = i64;
      i86 = i65;
      break;
     } else {
      i42 = i60;
      i44 = i61;
      i46 = i63 + 56 | 0;
      i41 = i64;
      i47 = i65;
     }
    }
   } else {
    i83 = 0;
    i84 = i36;
    i85 = i37;
    i86 = i38;
   }
   do if (i19 & (i83 | 0) == 0) if (get32(i20 | 0) | 0) {
    i47 = get8(i21 >> 0 | 0) | 0;
    i41 = getU8(i3 >> 0 | 0) | 0;
    i46 = get8(16286 + i41 >> 0 | 0) | 0;
    if (i47 << 24 >> 24 != 106) {
     if ((i41 & 223 | 0) == 78) {
      i44 = getU8(i32 >> 0 | 0) | 0;
      i42 = get8(16286 + i44 >> 0 | 0) | 0;
      if ((i44 & 223 | 0) == 69) {
       i44 = getU8(i33 >> 0 | 0) | 0;
       if ((i44 & 223 | 0) == 87) {
        i87 = 0;
        i88 = get8(16286 + (getU8(i34 >> 0 | 0) | 0) >> 0 | 0) | 0;
       } else {
        i87 = 119;
        i88 = get8(16286 + i44 >> 0 | 0) | 0;
       }
      } else {
       i87 = 101;
       i88 = i42;
      }
     } else {
      i87 = 110;
      i88 = i46;
     }
     if ((get8(16286 + i87 >> 0 | 0) | 0) != i88 << 24 >> 24) if (i47 << 24 >> 24 == 105) {
      i89 = 0;
      i90 = i84;
      i91 = i86;
      break;
     } else i59 = 56; else i92 = 1;
    } else i59 = 56;
    if ((i59 | 0) == 56) {
     i59 = 0;
     if ((i41 & 223 | 0) == 79) {
      i41 = getU8(i29 >> 0 | 0) | 0;
      i47 = get8(16286 + i41 >> 0 | 0) | 0;
      if ((i41 & 223 | 0) == 76) {
       i41 = getU8(i30 >> 0 | 0) | 0;
       if ((i41 & 223 | 0) == 68) {
        i93 = 0;
        i94 = get8(16286 + (getU8(i31 >> 0 | 0) | 0) >> 0 | 0) | 0;
       } else {
        i93 = 100;
        i94 = get8(16286 + i41 >> 0 | 0) | 0;
       }
      } else {
       i93 = 108;
       i94 = i47;
      }
     } else {
      i93 = 111;
      i94 = i46;
     }
     if ((get8(16286 + i93 >> 0 | 0) | 0) == i94 << 24 >> 24) i92 = 0; else {
      i89 = 0;
      i90 = i84;
      i91 = i86;
      break;
     }
    }
    set32(i16 | 0, i92 | 0);
    i46 = get32(i20 | 0) | 0;
    if (i46) {
     i47 = get32(i46 + 68 | 0) | 0;
     i41 = i84 + 1 | 0;
     i42 = get32(i46 + 8 | 0) | 0;
     L92 : do if ((i42 | 0) > 0) {
      i44 = get32(i46 + 12 | 0) | 0;
      i43 = 0;
      while (1) {
       i45 = get32(i44 + (i43 * 24 | 0) | 0) | 0;
       i40 = get8(i45 >> 0 | 0) | 0;
       L96 : do if (!(i40 << 24 >> 24)) {
        i95 = 0;
        i96 = i4;
       } else {
        i49 = i40;
        i48 = i45;
        i57 = i4;
        while (1) {
         if ((get8(16286 + (i49 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i57 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
          i95 = i49;
          i96 = i57;
          break L96;
         }
         i48 = i48 + 1 | 0;
         i51 = i57 + 1 | 0;
         i49 = get8(i48 >> 0 | 0) | 0;
         if (!(i49 << 24 >> 24)) {
          i95 = 0;
          i96 = i51;
          break;
         } else i57 = i51;
        }
       } while (0);
       if ((get8(16286 + (i95 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i96 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
        i97 = i43;
        break;
       }
       i45 = i43 + 1 | 0;
       if ((i45 | 0) < (i42 | 0)) i43 = i45; else {
        i98 = i45;
        break L92;
       }
      }
      i98 = (i97 | 0) == (get32(i46 + 4 | 0) | 0) ? -1 : i97;
     } else i98 = 0; while (0);
     if ((i98 | 0) < (i42 | 0)) i99 = i98; else {
      i43 = get8(i4 >> 0 | 0) | 0;
      i44 = i43 << 24 >> 24 == 0;
      L106 : do if (i44) {
       i100 = 0;
       i101 = 29947;
      } else {
       i52 = i43;
       i54 = i4;
       i50 = 29947;
       while (1) {
        if ((get8(16286 + (i52 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i50 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
         i100 = i52;
         i101 = i50;
         break L106;
        }
        i54 = i54 + 1 | 0;
        i45 = i50 + 1 | 0;
        i52 = get8(i54 >> 0 | 0) | 0;
        if (!(i52 << 24 >> 24)) {
         i100 = 0;
         i101 = i45;
         break;
        } else i50 = i45;
       }
      } while (0);
      if ((get8(16286 + (i100 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i101 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
       L113 : do if (i44) {
        i102 = 0;
        i103 = 29955;
       } else {
        i50 = i43;
        i52 = i4;
        i54 = 29955;
        while (1) {
         if ((get8(16286 + (i50 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i54 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
          i102 = i50;
          i103 = i54;
          break L113;
         }
         i52 = i52 + 1 | 0;
         i45 = i54 + 1 | 0;
         i50 = get8(i52 >> 0 | 0) | 0;
         if (!(i50 << 24 >> 24)) {
          i102 = 0;
          i103 = i45;
          break;
         } else i54 = i45;
        }
       } while (0);
       if ((get8(16286 + (i102 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i103 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
        L119 : do if (i44) {
         i104 = 0;
         i105 = 29961;
        } else {
         i54 = i43;
         i50 = i4;
         i52 = 29961;
         while (1) {
          if ((get8(16286 + (i54 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i52 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
           i104 = i54;
           i105 = i52;
           break L119;
          }
          i50 = i50 + 1 | 0;
          i45 = i52 + 1 | 0;
          i54 = get8(i50 >> 0 | 0) | 0;
          if (!(i54 << 24 >> 24)) {
           i104 = 0;
           i105 = i45;
           break;
          } else i52 = i45;
         }
        } while (0);
        i106 = (get8(16286 + (i104 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i105 >> 0 | 0) | 0) >> 0 | 0) | 0) & 1;
       } else i106 = 1;
      } else i106 = 1;
      i99 = (i106 | 0) == 0 ? i98 : -1;
     }
     if ((i99 | 0) < (i42 | 0)) {
      i107 = i35;
      i108 = i92;
      i109 = i47;
      i110 = i99;
      i111 = i85;
      i112 = i46;
      i59 = 83;
      break L3;
     } else {
      i89 = 0;
      i90 = i41;
      i91 = i47;
     }
    } else {
     i89 = 0;
     i90 = i84;
     i91 = i86;
    }
   } else {
    i89 = 0;
    i90 = i84;
    i91 = i86;
   } else {
    i89 = i83;
    i90 = i84;
    i91 = i86;
   } while (0);
   i43 = (i89 | 0) == 0;
   if ((i90 | 0) == 1 & i43) {
    i44 = get8(i4 >> 0 | 0) | 0;
    i52 = i44 << 24 >> 24 == 0;
    L129 : do if (i52) {
     i113 = 0;
     i114 = 29947;
    } else {
     i54 = i44;
     i50 = i4;
     i45 = 29947;
     while (1) {
      if ((get8(16286 + (i54 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i45 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
       i113 = i54;
       i114 = i45;
       break L129;
      }
      i50 = i50 + 1 | 0;
      i40 = i45 + 1 | 0;
      i54 = get8(i50 >> 0 | 0) | 0;
      if (!(i54 << 24 >> 24)) {
       i113 = 0;
       i114 = i40;
       break;
      } else i45 = i40;
     }
    } while (0);
    if ((get8(16286 + (i113 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i114 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
     i115 = i35;
     i116 = i85;
     i117 = i91;
     i59 = 102;
     break;
    }
    L135 : do if (i52) {
     i118 = 0;
     i119 = 29955;
    } else {
     i45 = i44;
     i54 = i4;
     i50 = 29955;
     while (1) {
      if ((get8(16286 + (i45 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i50 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
       i118 = i45;
       i119 = i50;
       break L135;
      }
      i54 = i54 + 1 | 0;
      i47 = i50 + 1 | 0;
      i45 = get8(i54 >> 0 | 0) | 0;
      if (!(i45 << 24 >> 24)) {
       i118 = 0;
       i119 = i47;
       break;
      } else i50 = i47;
     }
    } while (0);
    if ((get8(16286 + (i118 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i119 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
     i115 = i35;
     i116 = i85;
     i117 = i91;
     i59 = 102;
     break;
    }
    L141 : do if (i52) {
     i120 = 0;
     i121 = 29961;
    } else {
     i50 = i44;
     i45 = i4;
     i54 = 29961;
     while (1) {
      if ((get8(16286 + (i50 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i54 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
       i120 = i50;
       i121 = i54;
       break L141;
      }
      i45 = i45 + 1 | 0;
      i47 = i54 + 1 | 0;
      i50 = get8(i45 >> 0 | 0) | 0;
      if (!(i50 << 24 >> 24)) {
       i120 = 0;
       i121 = i47;
       break;
      } else i54 = i47;
     }
    } while (0);
    if ((get8(16286 + (i120 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i121 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
     i115 = i35;
     i116 = i85;
     i117 = i91;
     i59 = 102;
     break;
    }
   }
   if (!i43) {
    i122 = i35;
    i123 = i89;
    i124 = i85;
    i125 = i91;
    i59 = 121;
    break;
   }
   i44 = get32(i39 | 0) | 0;
   if (i26 & (i44 | 0) != 0 ? (i52 = get32(i44 | 0) | 0, (i52 | 0) > 0) : 0) {
    i54 = get32(i44 + 12 | 0) | 0;
    i50 = 0;
    do {
     i45 = get32(i54 + (i50 * 20 | 0) + 4 | 0) | 0;
     if (i45) {
      i47 = get8(i45 >> 0 | 0) | 0;
      L155 : do if (!(i47 << 24 >> 24)) {
       i126 = 0;
       i127 = i4;
      } else {
       i41 = i47;
       i46 = i45;
       i42 = i4;
       while (1) {
        if ((get8(16286 + (i41 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i42 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
         i126 = i41;
         i127 = i42;
         break L155;
        }
        i46 = i46 + 1 | 0;
        i40 = i42 + 1 | 0;
        i41 = get8(i46 >> 0 | 0) | 0;
        if (!(i41 << 24 >> 24)) {
         i126 = 0;
         i127 = i40;
         break;
        } else i42 = i40;
       }
      } while (0);
      if ((get8(16286 + (i126 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i127 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
       i128 = i35;
       i129 = i45;
       i130 = i44;
       i131 = i54;
       i132 = i50;
       i133 = i91;
       i59 = 112;
       break L3;
      }
     }
     i50 = i50 + 1 | 0;
    } while ((i50 | 0) < (i52 | 0));
   }
   i35 = get32(i35 + 32 | 0) | 0;
   if (!i35) {
    i134 = i85;
    i135 = i91;
    i59 = 118;
    break L1;
   } else {
    i36 = i90;
    i37 = i85;
    i38 = i91;
   }
  }
  if ((i59 | 0) == 83) {
   do if ((i110 | 0) >= 0) {
    i38 = (i110 | 0) > 31 ? -1 : 1 << i110;
    if (!i108) {
     set32(i24 | 0, get32(i24 | 0) | i38 | 0);
     break;
    } else {
     set32(i25 | 0, get32(i25 | 0) | i38 | 0);
     break;
    }
   } else set8(i22 >> 0 | 0, 100 | 0); while (0);
   set16(i23 | 0, i110 | 0);
   set32(i17 | 0, i112 | 0);
   i136 = i107;
   i137 = 1;
   i138 = 1;
   i139 = i111;
   i140 = i109;
   i59 = 128;
   break;
  } else if ((i59 | 0) == 102) {
   set16(i23 | 0, -1 | 0);
   set8(i22 >> 0 | 0, 100 | 0);
   i136 = i115;
   i137 = 1;
   i138 = 0;
   i139 = i116;
   i140 = i117;
   i59 = 128;
   break;
  } else if ((i59 | 0) == 112) {
   if ((get8(i128 + 20 >> 0 | 0) | 0) == 0 ? (get16((get32(i131 + (i132 * 20 | 0) | 0) | 0) + 2 | 0) & 2) != 0 : 0) {
    set32(i14 | 0, i129 | 0);
    _sqlite3ErrorMsg(i1, 29866, i14);
    i141 = 2;
    STACKTOP = i7;
    return i141 | 0;
   }
   _resolveAlias(i1, i130, i132, i6, 16820);
   i142 = i128;
   i143 = i133;
   break;
  } else if ((i59 | 0) == 121) if ((i123 | 0) == 1) {
   i136 = i122;
   i137 = 1;
   i138 = 0;
   i139 = i124;
   i140 = i125;
   i59 = 128;
   break;
  } else {
   i144 = i122;
   i145 = 29912;
   i146 = (i3 | 0) == 0;
   i147 = i124;
   i148 = i125;
   i59 = 122;
   break;
  }
 } else {
  i134 = 0;
  i135 = 0;
  i59 = 118;
 } while (0);
 if ((i59 | 0) == 118) {
  i125 = (i3 | 0) == 0;
  if (i125 ? (get16(i6 + 2 | 0) & 64) != 0 : 0) {
   set8(i6 >> 0 | 0, 94 | 0);
   set32(i17 | 0, 0 | 0);
   i141 = 1;
   STACKTOP = i7;
   return i141 | 0;
  } else {
   i144 = 0;
   i145 = 29897;
   i146 = i125;
   i147 = i134;
   i148 = i135;
   i59 = 122;
  }
 }
 if ((i59 | 0) == 122) {
  do if (!i2) if (i146) {
   set32(i11 | 0, i145 | 0);
   set32(i11 + 4 | 0, i4 | 0);
   _sqlite3ErrorMsg(i1, 25714, i11);
   break;
  } else {
   set32(i12 | 0, i145 | 0);
   set32(i12 + 4 | 0, i3 | 0);
   set32(i12 + 8 | 0, i4 | 0);
   _sqlite3ErrorMsg(i1, 25704, i12);
   break;
  } else {
   set32(i13 | 0, i145 | 0);
   set32(i13 + 4 | 0, i2 | 0);
   set32(i13 + 8 | 0, i3 | 0);
   set32(i13 + 12 | 0, i4 | 0);
   _sqlite3ErrorMsg(i1, 29934, i13);
  } while (0);
  set8(i1 + 18 >> 0 | 0, 1 | 0);
  i13 = i5 + 16 | 0;
  set32(i13 | 0, (get32(i13 | 0) | 0) + 1 | 0);
  i136 = i144;
  i137 = 0;
  i138 = 0;
  i139 = i147;
  i140 = i148;
  i59 = 128;
 }
 if ((i59 | 0) == 128) {
  i59 = get16(i6 + 28 | 0) | 0;
  if ((i139 | 0) != 0 & i59 << 16 >> 16 > -1) {
   i148 = i59 << 16 >> 16 > 63;
   i147 = _bitshift64Shl(1, 0, i59 << 16 >> 16 | 0) | 0;
   i59 = i139 + 40 | 0;
   i139 = i59;
   i144 = get32(i139 + 4 | 0) | (i148 ? -2147483648 : tempRet0);
   i13 = i59;
   set32(i13 | 0, get32(i139 | 0) | (i148 ? 0 : i147) | 0);
   set32(i13 + 4 | 0, i144 | 0);
  }
  i144 = i6 + 8 | 0;
  _sqlite3ExprDelete(i15, get32(i144 | 0) | 0);
  set32(i144 | 0, 0 | 0);
  i144 = i6 + 12 | 0;
  _sqlite3ExprDelete(i15, get32(i144 | 0) | 0);
  set32(i144 | 0, 0 | 0);
  set8(i6 >> 0 | 0, ((i138 | 0) != 0 ? 60 : -104) | 0);
  if (i137) {
   i142 = i136;
   i143 = i140;
  } else {
   i141 = 2;
   STACKTOP = i7;
   return i141 | 0;
  }
 }
 i140 = get32(i142 + 4 | 0) | 0;
 i136 = get32(i1 | 0) | 0;
 i137 = get32(i136 + 268 | 0) | 0;
 L200 : do if (!((i143 | 0) == 0 | (i137 | 0) == 0)) {
  i138 = i136 + 4 | 0;
  i144 = get32(i138 | 0) | 0;
  if ((i144 | 0) > 0) {
   i15 = get32(i136 + 8 | 0) | 0;
   i13 = 0;
   while (1) {
    if ((get32(i15 + (i13 << 4) + 12 | 0) | 0) == (i143 | 0)) {
     i149 = i13;
     break;
    }
    i147 = i13 + 1 | 0;
    if ((i147 | 0) < (i144 | 0)) i13 = i147; else {
     i149 = i147;
     break;
    }
   }
   if ((i149 | 0) < 0) break; else i150 = i149;
  } else i150 = 0;
  if ((get8(i6 >> 0 | 0) | 0) == 60) i151 = i1 + 428 | 0; else {
   i13 = get16(i140 | 0) | 0;
   if (i13 << 16 >> 16 <= 0) break;
   i144 = get32(i16 | 0) | 0;
   i15 = i13 << 16 >> 16;
   i13 = 0;
   while (1) {
    if ((i144 | 0) == (get32(i140 + 8 + (i13 * 56 | 0) + 24 | 0) | 0)) {
     i152 = i13;
     break;
    }
    i13 = i13 + 1 | 0;
    if ((i13 | 0) >= (i15 | 0)) break L200;
   }
   i151 = i140 + 8 + (i152 * 56 | 0) + 12 | 0;
  }
  i15 = get32(i151 | 0) | 0;
  i13 = get16(i6 + 28 | 0) | 0;
  i144 = i13 << 16 >> 16;
  if (i15) {
   if (i13 << 16 >> 16 <= -1) {
    i13 = get32(i15 + 4 | 0) | 0;
    if ((i13 | 0) > -1) i153 = get32((get32(i15 + 12 | 0) | 0) + (i13 * 24 | 0) | 0) | 0; else i153 = 29955;
   } else i153 = get32((get32(i15 + 12 | 0) | 0) + (i144 * 24 | 0) | 0) | 0;
   i144 = get32(i15 | 0) | 0;
   i15 = get32((get32(i136 + 8 | 0) | 0) + (i150 << 4) | 0) | 0;
   switch (FUNCTION_TABLE_iiiiiii[i137 & 3](get32(i136 + 272 | 0) | 0, 20, i144, i153, i15, get32(i1 + 516 | 0) | 0) | 0) {
   case 0:
    {
     break L200;
     break;
    }
   case 1:
    {
     if ((i150 | 0) != 0 | (get32(i138 | 0) | 0) > 2) {
      set32(i10 | 0, i15 | 0);
      set32(i10 + 4 | 0, i144 | 0);
      set32(i10 + 8 | 0, i153 | 0);
      _sqlite3ErrorMsg(i1, 29965, i10);
     } else {
      set32(i9 | 0, i144 | 0);
      set32(i9 + 4 | 0, i153 | 0);
      _sqlite3ErrorMsg(i1, 29998, i9);
     }
     set32(i1 + 4 | 0, 23 | 0);
     break L200;
     break;
    }
   case 2:
    {
     set8(i6 >> 0 | 0, 98 | 0);
     break L200;
     break;
    }
   default:
    {
     _sqlite3ErrorMsg(i1, 29155, i8);
     set32(i1 + 4 | 0, 1 | 0);
     break L200;
    }
   }
  }
 } while (0);
 i1 = i5 + 12 | 0;
 set32(i1 | 0, (get32(i1 | 0) | 0) + 1 | 0);
 if ((i142 | 0) == (i5 | 0)) {
  i141 = 1;
  STACKTOP = i7;
  return i141 | 0;
 } else i154 = i5;
 do {
  i154 = get32(i154 + 32 | 0) | 0;
  i5 = i154 + 12 | 0;
  set32(i5 | 0, (get32(i5 | 0) | 0) + 1 | 0);
 } while ((i154 | 0) != (i142 | 0));
 i141 = 1;
 STACKTOP = i7;
 return i141 | 0;
}

function _sqlite3SchemaClear(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0;
 i2 = i1 + 8 | 0;
 i3 = get32(i1 + 16 | 0) | 0;
 i4 = get32(i1 + 20 | 0) | 0;
 i5 = i1 + 40 | 0;
 i6 = get32(i1 + 48 | 0) | 0;
 i7 = get32(i1 + 52 | 0) | 0;
 set32(i5 | 0, 0 | 0);
 set32(i5 + 4 | 0, 0 | 0);
 set32(i5 + 8 | 0, 0 | 0);
 set32(i5 + 12 | 0, 0 | 0);
 i5 = i1 + 24 | 0;
 i8 = i1 + 32 | 0;
 i9 = get32(i8 | 0) | 0;
 set32(i8 | 0, 0 | 0);
 i8 = i1 + 36 | 0;
 i10 = get32(i8 | 0) | 0;
 do if (i10) {
  if (!(get32(50 * 4 | 0) | 0)) {
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i10);
   break;
  }
  i11 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i10) | 0;
  i12 = (get32(30 * 4 | 0) | 0) - i11 | 0;
  set32(30 * 4 | 0, i12 | 0);
  if ((i12 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i12 | 0);
  i12 = (get32(39 * 4 | 0) | 0) + -1 | 0;
  set32(39 * 4 | 0, i12 | 0);
  if ((i12 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i12 | 0);
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i10);
 } while (0);
 set32(i8 | 0, 0 | 0);
 set32(i5 | 0, 0 | 0);
 if (i9) {
  i5 = i9;
  do {
   i9 = i5;
   i5 = get32(i5 | 0) | 0;
   do if (i9) {
    if (!(get32(50 * 4 | 0) | 0)) {
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i9);
     break;
    }
    i8 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i9) | 0;
    i10 = (get32(30 * 4 | 0) | 0) - i8 | 0;
    set32(30 * 4 | 0, i10 | 0);
    if ((i10 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i10 | 0);
    i10 = (get32(39 * 4 | 0) | 0) + -1 | 0;
    set32(39 * 4 | 0, i10 | 0);
    if ((i10 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i10 | 0);
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i9);
   } while (0);
  } while ((i5 | 0) != 0);
 }
 set32(i1 + 28 | 0, 0 | 0);
 i5 = (i6 | 0) == 0;
 if (!i5) {
  i9 = i6;
  do {
   i10 = get32(i9 + 8 | 0) | 0;
   do if (i10) {
    i8 = get32(i10 + 28 | 0) | 0;
    if (i8) {
     i12 = i8;
     do {
      i8 = i12;
      i12 = get32(i12 + 32 | 0) | 0;
      _sqlite3ExprDelete(0, get32(i8 + 20 | 0) | 0);
      i11 = get32(i8 + 24 | 0) | 0;
      do if (i11) {
       i13 = i11 + 12 | 0;
       if ((get32(i11 | 0) | 0) > 0) {
        i14 = 0;
        i15 = get32(i13 | 0) | 0;
        while (1) {
         _sqlite3ExprDelete(0, get32(i15 | 0) | 0);
         i16 = get32(i15 + 4 | 0) | 0;
         do if (i16) {
          if (!(get32(50 * 4 | 0) | 0)) {
           FUNCTION_TABLE_vi[get32(232 | 0) & 31](i16);
           break;
          }
          i17 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i16) | 0;
          i18 = (get32(30 * 4 | 0) | 0) - i17 | 0;
          set32(30 * 4 | 0, i18 | 0);
          if ((i18 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i18 | 0);
          i18 = (get32(39 * 4 | 0) | 0) + -1 | 0;
          set32(39 * 4 | 0, i18 | 0);
          if ((i18 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i18 | 0);
          FUNCTION_TABLE_vi[get32(232 | 0) & 31](i16);
         } while (0);
         i16 = get32(i15 + 8 | 0) | 0;
         do if (i16) {
          if (!(get32(50 * 4 | 0) | 0)) {
           FUNCTION_TABLE_vi[get32(232 | 0) & 31](i16);
           break;
          }
          i18 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i16) | 0;
          i17 = (get32(30 * 4 | 0) | 0) - i18 | 0;
          set32(30 * 4 | 0, i17 | 0);
          if ((i17 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i17 | 0);
          i17 = (get32(39 * 4 | 0) | 0) + -1 | 0;
          set32(39 * 4 | 0, i17 | 0);
          if ((i17 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i17 | 0);
          FUNCTION_TABLE_vi[get32(232 | 0) & 31](i16);
         } while (0);
         i14 = i14 + 1 | 0;
         if ((i14 | 0) >= (get32(i11 | 0) | 0)) break; else i15 = i15 + 20 | 0;
        }
       }
       i15 = get32(i13 | 0) | 0;
       do if (i15) {
        if (!(get32(50 * 4 | 0) | 0)) {
         FUNCTION_TABLE_vi[get32(232 | 0) & 31](i15);
         break;
        }
        i14 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i15) | 0;
        i16 = (get32(30 * 4 | 0) | 0) - i14 | 0;
        set32(30 * 4 | 0, i16 | 0);
        if ((i16 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i16 | 0);
        i16 = (get32(39 * 4 | 0) | 0) + -1 | 0;
        set32(39 * 4 | 0, i16 | 0);
        if ((i16 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i16 | 0);
        FUNCTION_TABLE_vi[get32(232 | 0) & 31](i15);
       } while (0);
       if (!(get32(50 * 4 | 0) | 0)) {
        FUNCTION_TABLE_vi[get32(232 | 0) & 31](i11);
        break;
       }
       i15 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i11) | 0;
       i13 = (get32(30 * 4 | 0) | 0) - i15 | 0;
       set32(30 * 4 | 0, i13 | 0);
       if ((i13 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i13 | 0);
       i13 = (get32(39 * 4 | 0) | 0) + -1 | 0;
       set32(39 * 4 | 0, i13 | 0);
       if ((i13 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i13 | 0);
       FUNCTION_TABLE_vi[get32(232 | 0) & 31](i11);
      } while (0);
      i11 = get32(i8 + 8 | 0) | 0;
      do if (i11) {
       i13 = get32(i11 | 0) | 0;
       do if (i13) {
        i15 = i13 + 12 | 0;
        if ((get32(i13 | 0) | 0) > 0) {
         i16 = 0;
         i14 = get32(i15 | 0) | 0;
         while (1) {
          _sqlite3ExprDelete(0, get32(i14 | 0) | 0);
          i17 = get32(i14 + 4 | 0) | 0;
          do if (i17) {
           if (!(get32(50 * 4 | 0) | 0)) {
            FUNCTION_TABLE_vi[get32(232 | 0) & 31](i17);
            break;
           }
           i18 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i17) | 0;
           i19 = (get32(30 * 4 | 0) | 0) - i18 | 0;
           set32(30 * 4 | 0, i19 | 0);
           if ((i19 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i19 | 0);
           i19 = (get32(39 * 4 | 0) | 0) + -1 | 0;
           set32(39 * 4 | 0, i19 | 0);
           if ((i19 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i19 | 0);
           FUNCTION_TABLE_vi[get32(232 | 0) & 31](i17);
          } while (0);
          i17 = get32(i14 + 8 | 0) | 0;
          do if (i17) {
           if (!(get32(50 * 4 | 0) | 0)) {
            FUNCTION_TABLE_vi[get32(232 | 0) & 31](i17);
            break;
           }
           i19 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i17) | 0;
           i18 = (get32(30 * 4 | 0) | 0) - i19 | 0;
           set32(30 * 4 | 0, i18 | 0);
           if ((i18 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i18 | 0);
           i18 = (get32(39 * 4 | 0) | 0) + -1 | 0;
           set32(39 * 4 | 0, i18 | 0);
           if ((i18 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i18 | 0);
           FUNCTION_TABLE_vi[get32(232 | 0) & 31](i17);
          } while (0);
          i16 = i16 + 1 | 0;
          if ((i16 | 0) >= (get32(i13 | 0) | 0)) break; else i14 = i14 + 20 | 0;
         }
        }
        i14 = get32(i15 | 0) | 0;
        do if (i14) {
         if (!(get32(50 * 4 | 0) | 0)) {
          FUNCTION_TABLE_vi[get32(232 | 0) & 31](i14);
          break;
         }
         i16 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i14) | 0;
         i17 = (get32(30 * 4 | 0) | 0) - i16 | 0;
         set32(30 * 4 | 0, i17 | 0);
         if ((i17 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i17 | 0);
         i17 = (get32(39 * 4 | 0) | 0) + -1 | 0;
         set32(39 * 4 | 0, i17 | 0);
         if ((i17 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i17 | 0);
         FUNCTION_TABLE_vi[get32(232 | 0) & 31](i14);
        } while (0);
        if (!(get32(50 * 4 | 0) | 0)) {
         FUNCTION_TABLE_vi[get32(232 | 0) & 31](i13);
         break;
        }
        i14 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i13) | 0;
        i15 = (get32(30 * 4 | 0) | 0) - i14 | 0;
        set32(30 * 4 | 0, i15 | 0);
        if ((i15 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i15 | 0);
        i15 = (get32(39 * 4 | 0) | 0) + -1 | 0;
        set32(39 * 4 | 0, i15 | 0);
        if ((i15 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i15 | 0);
        FUNCTION_TABLE_vi[get32(232 | 0) & 31](i13);
       } while (0);
       _sqlite3SrcListDelete(0, get32(i11 + 8 | 0) | 0);
       _sqlite3ExprDelete(0, get32(i11 + 12 | 0) | 0);
       i13 = get32(i11 + 16 | 0) | 0;
       do if (i13) {
        i15 = i13 + 12 | 0;
        if ((get32(i13 | 0) | 0) > 0) {
         i14 = 0;
         i17 = get32(i15 | 0) | 0;
         while (1) {
          _sqlite3ExprDelete(0, get32(i17 | 0) | 0);
          i16 = get32(i17 + 4 | 0) | 0;
          do if (i16) {
           if (!(get32(50 * 4 | 0) | 0)) {
            FUNCTION_TABLE_vi[get32(232 | 0) & 31](i16);
            break;
           }
           i18 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i16) | 0;
           i19 = (get32(30 * 4 | 0) | 0) - i18 | 0;
           set32(30 * 4 | 0, i19 | 0);
           if ((i19 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i19 | 0);
           i19 = (get32(39 * 4 | 0) | 0) + -1 | 0;
           set32(39 * 4 | 0, i19 | 0);
           if ((i19 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i19 | 0);
           FUNCTION_TABLE_vi[get32(232 | 0) & 31](i16);
          } while (0);
          i16 = get32(i17 + 8 | 0) | 0;
          do if (i16) {
           if (!(get32(50 * 4 | 0) | 0)) {
            FUNCTION_TABLE_vi[get32(232 | 0) & 31](i16);
            break;
           }
           i19 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i16) | 0;
           i18 = (get32(30 * 4 | 0) | 0) - i19 | 0;
           set32(30 * 4 | 0, i18 | 0);
           if ((i18 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i18 | 0);
           i18 = (get32(39 * 4 | 0) | 0) + -1 | 0;
           set32(39 * 4 | 0, i18 | 0);
           if ((i18 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i18 | 0);
           FUNCTION_TABLE_vi[get32(232 | 0) & 31](i16);
          } while (0);
          i14 = i14 + 1 | 0;
          if ((i14 | 0) >= (get32(i13 | 0) | 0)) break; else i17 = i17 + 20 | 0;
         }
        }
        i17 = get32(i15 | 0) | 0;
        do if (i17) {
         if (!(get32(50 * 4 | 0) | 0)) {
          FUNCTION_TABLE_vi[get32(232 | 0) & 31](i17);
          break;
         }
         i14 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i17) | 0;
         i16 = (get32(30 * 4 | 0) | 0) - i14 | 0;
         set32(30 * 4 | 0, i16 | 0);
         if ((i16 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i16 | 0);
         i16 = (get32(39 * 4 | 0) | 0) + -1 | 0;
         set32(39 * 4 | 0, i16 | 0);
         if ((i16 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i16 | 0);
         FUNCTION_TABLE_vi[get32(232 | 0) & 31](i17);
        } while (0);
        if (!(get32(50 * 4 | 0) | 0)) {
         FUNCTION_TABLE_vi[get32(232 | 0) & 31](i13);
         break;
        }
        i17 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i13) | 0;
        i15 = (get32(30 * 4 | 0) | 0) - i17 | 0;
        set32(30 * 4 | 0, i15 | 0);
        if ((i15 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i15 | 0);
        i15 = (get32(39 * 4 | 0) | 0) + -1 | 0;
        set32(39 * 4 | 0, i15 | 0);
        if ((i15 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i15 | 0);
        FUNCTION_TABLE_vi[get32(232 | 0) & 31](i13);
       } while (0);
       _sqlite3ExprDelete(0, get32(i11 + 20 | 0) | 0);
       i13 = get32(i11 + 24 | 0) | 0;
       do if (i13) {
        i15 = i13 + 12 | 0;
        if ((get32(i13 | 0) | 0) > 0) {
         i17 = 0;
         i16 = get32(i15 | 0) | 0;
         while (1) {
          _sqlite3ExprDelete(0, get32(i16 | 0) | 0);
          i14 = get32(i16 + 4 | 0) | 0;
          do if (i14) {
           if (!(get32(50 * 4 | 0) | 0)) {
            FUNCTION_TABLE_vi[get32(232 | 0) & 31](i14);
            break;
           }
           i18 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i14) | 0;
           i19 = (get32(30 * 4 | 0) | 0) - i18 | 0;
           set32(30 * 4 | 0, i19 | 0);
           if ((i19 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i19 | 0);
           i19 = (get32(39 * 4 | 0) | 0) + -1 | 0;
           set32(39 * 4 | 0, i19 | 0);
           if ((i19 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i19 | 0);
           FUNCTION_TABLE_vi[get32(232 | 0) & 31](i14);
          } while (0);
          i14 = get32(i16 + 8 | 0) | 0;
          do if (i14) {
           if (!(get32(50 * 4 | 0) | 0)) {
            FUNCTION_TABLE_vi[get32(232 | 0) & 31](i14);
            break;
           }
           i19 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i14) | 0;
           i18 = (get32(30 * 4 | 0) | 0) - i19 | 0;
           set32(30 * 4 | 0, i18 | 0);
           if ((i18 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i18 | 0);
           i18 = (get32(39 * 4 | 0) | 0) + -1 | 0;
           set32(39 * 4 | 0, i18 | 0);
           if ((i18 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i18 | 0);
           FUNCTION_TABLE_vi[get32(232 | 0) & 31](i14);
          } while (0);
          i17 = i17 + 1 | 0;
          if ((i17 | 0) >= (get32(i13 | 0) | 0)) break; else i16 = i16 + 20 | 0;
         }
        }
        i16 = get32(i15 | 0) | 0;
        do if (i16) {
         if (!(get32(50 * 4 | 0) | 0)) {
          FUNCTION_TABLE_vi[get32(232 | 0) & 31](i16);
          break;
         }
         i17 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i16) | 0;
         i14 = (get32(30 * 4 | 0) | 0) - i17 | 0;
         set32(30 * 4 | 0, i14 | 0);
         if ((i14 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i14 | 0);
         i14 = (get32(39 * 4 | 0) | 0) + -1 | 0;
         set32(39 * 4 | 0, i14 | 0);
         if ((i14 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i14 | 0);
         FUNCTION_TABLE_vi[get32(232 | 0) & 31](i16);
        } while (0);
        if (!(get32(50 * 4 | 0) | 0)) {
         FUNCTION_TABLE_vi[get32(232 | 0) & 31](i13);
         break;
        }
        i16 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i13) | 0;
        i15 = (get32(30 * 4 | 0) | 0) - i16 | 0;
        set32(30 * 4 | 0, i15 | 0);
        if ((i15 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i15 | 0);
        i15 = (get32(39 * 4 | 0) | 0) + -1 | 0;
        set32(39 * 4 | 0, i15 | 0);
        if ((i15 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i15 | 0);
        FUNCTION_TABLE_vi[get32(232 | 0) & 31](i13);
       } while (0);
       _sqlite3SelectDelete(0, get32(i11 + 28 | 0) | 0);
       _sqlite3ExprDelete(0, get32(i11 + 40 | 0) | 0);
       _sqlite3ExprDelete(0, get32(i11 + 44 | 0) | 0);
       if (!(get32(50 * 4 | 0) | 0)) {
        FUNCTION_TABLE_vi[get32(232 | 0) & 31](i11);
        break;
       }
       i13 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i11) | 0;
       i15 = (get32(30 * 4 | 0) | 0) - i13 | 0;
       set32(30 * 4 | 0, i15 | 0);
       if ((i15 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i15 | 0);
       i15 = (get32(39 * 4 | 0) | 0) + -1 | 0;
       set32(39 * 4 | 0, i15 | 0);
       if ((i15 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i15 | 0);
       FUNCTION_TABLE_vi[get32(232 | 0) & 31](i11);
      } while (0);
      i11 = get32(i8 + 28 | 0) | 0;
      if (i11) {
       i15 = i11 + 4 | 0;
       if ((get32(i15 | 0) | 0) > 0) {
        i13 = 0;
        do {
         i16 = get32((get32(i11 | 0) | 0) + (i13 << 3) | 0) | 0;
         do if (i16) {
          if (!(get32(50 * 4 | 0) | 0)) {
           FUNCTION_TABLE_vi[get32(232 | 0) & 31](i16);
           break;
          }
          i14 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i16) | 0;
          i17 = (get32(30 * 4 | 0) | 0) - i14 | 0;
          set32(30 * 4 | 0, i17 | 0);
          if ((i17 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i17 | 0);
          i17 = (get32(39 * 4 | 0) | 0) + -1 | 0;
          set32(39 * 4 | 0, i17 | 0);
          if ((i17 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i17 | 0);
          FUNCTION_TABLE_vi[get32(232 | 0) & 31](i16);
         } while (0);
         i13 = i13 + 1 | 0;
        } while ((i13 | 0) < (get32(i15 | 0) | 0));
       }
       i15 = get32(i11 | 0) | 0;
       do if (i15) {
        if (!(get32(50 * 4 | 0) | 0)) {
         FUNCTION_TABLE_vi[get32(232 | 0) & 31](i15);
         break;
        }
        i13 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i15) | 0;
        i16 = (get32(30 * 4 | 0) | 0) - i13 | 0;
        set32(30 * 4 | 0, i16 | 0);
        if ((i16 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i16 | 0);
        i16 = (get32(39 * 4 | 0) | 0) + -1 | 0;
        set32(39 * 4 | 0, i16 | 0);
        if ((i16 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i16 | 0);
        FUNCTION_TABLE_vi[get32(232 | 0) & 31](i15);
       } while (0);
       if (!(get32(50 * 4 | 0) | 0)) FUNCTION_TABLE_vi[get32(232 | 0) & 31](i11); else {
        i15 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i11) | 0;
        i16 = (get32(30 * 4 | 0) | 0) - i15 | 0;
        set32(30 * 4 | 0, i16 | 0);
        if ((i16 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i16 | 0);
        i16 = (get32(39 * 4 | 0) | 0) + -1 | 0;
        set32(39 * 4 | 0, i16 | 0);
        if ((i16 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i16 | 0);
        FUNCTION_TABLE_vi[get32(232 | 0) & 31](i11);
       }
       if (i8) i20 = 198;
      } else i20 = 198;
      do if ((i20 | 0) == 198) {
       i20 = 0;
       if (!(get32(50 * 4 | 0) | 0)) {
        FUNCTION_TABLE_vi[get32(232 | 0) & 31](i8);
        break;
       }
       i16 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i8) | 0;
       i15 = (get32(30 * 4 | 0) | 0) - i16 | 0;
       set32(30 * 4 | 0, i15 | 0);
       if ((i15 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i15 | 0);
       i15 = (get32(39 * 4 | 0) | 0) + -1 | 0;
       set32(39 * 4 | 0, i15 | 0);
       if ((i15 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i15 | 0);
       FUNCTION_TABLE_vi[get32(232 | 0) & 31](i8);
      } while (0);
     } while ((i12 | 0) != 0);
    }
    i12 = get32(i10 | 0) | 0;
    do if (i12) {
     if (!(get32(50 * 4 | 0) | 0)) {
      FUNCTION_TABLE_vi[get32(232 | 0) & 31](i12);
      break;
     }
     i8 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i12) | 0;
     i11 = (get32(30 * 4 | 0) | 0) - i8 | 0;
     set32(30 * 4 | 0, i11 | 0);
     if ((i11 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i11 | 0);
     i11 = (get32(39 * 4 | 0) | 0) + -1 | 0;
     set32(39 * 4 | 0, i11 | 0);
     if ((i11 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i11 | 0);
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i12);
    } while (0);
    i12 = get32(i10 + 4 | 0) | 0;
    do if (i12) {
     if (!(get32(50 * 4 | 0) | 0)) {
      FUNCTION_TABLE_vi[get32(232 | 0) & 31](i12);
      break;
     }
     i11 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i12) | 0;
     i8 = (get32(30 * 4 | 0) | 0) - i11 | 0;
     set32(30 * 4 | 0, i8 | 0);
     if ((i8 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i8 | 0);
     i8 = (get32(39 * 4 | 0) | 0) + -1 | 0;
     set32(39 * 4 | 0, i8 | 0);
     if ((i8 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i8 | 0);
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i12);
    } while (0);
    _sqlite3ExprDelete(0, get32(i10 + 12 | 0) | 0);
    i12 = get32(i10 + 16 | 0) | 0;
    do if (i12) {
     i8 = i12 + 4 | 0;
     if ((get32(i8 | 0) | 0) > 0) {
      i11 = 0;
      do {
       i15 = get32((get32(i12 | 0) | 0) + (i11 << 3) | 0) | 0;
       do if (i15) {
        if (!(get32(50 * 4 | 0) | 0)) {
         FUNCTION_TABLE_vi[get32(232 | 0) & 31](i15);
         break;
        }
        i16 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i15) | 0;
        i13 = (get32(30 * 4 | 0) | 0) - i16 | 0;
        set32(30 * 4 | 0, i13 | 0);
        if ((i13 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i13 | 0);
        i13 = (get32(39 * 4 | 0) | 0) + -1 | 0;
        set32(39 * 4 | 0, i13 | 0);
        if ((i13 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i13 | 0);
        FUNCTION_TABLE_vi[get32(232 | 0) & 31](i15);
       } while (0);
       i11 = i11 + 1 | 0;
      } while ((i11 | 0) < (get32(i8 | 0) | 0));
     }
     i8 = get32(i12 | 0) | 0;
     do if (i8) {
      if (!(get32(50 * 4 | 0) | 0)) {
       FUNCTION_TABLE_vi[get32(232 | 0) & 31](i8);
       break;
      }
      i11 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i8) | 0;
      i15 = (get32(30 * 4 | 0) | 0) - i11 | 0;
      set32(30 * 4 | 0, i15 | 0);
      if ((i15 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i15 | 0);
      i15 = (get32(39 * 4 | 0) | 0) + -1 | 0;
      set32(39 * 4 | 0, i15 | 0);
      if ((i15 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i15 | 0);
      FUNCTION_TABLE_vi[get32(232 | 0) & 31](i8);
     } while (0);
     if (!(get32(50 * 4 | 0) | 0)) {
      FUNCTION_TABLE_vi[get32(232 | 0) & 31](i12);
      break;
     }
     i8 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i12) | 0;
     i15 = (get32(30 * 4 | 0) | 0) - i8 | 0;
     set32(30 * 4 | 0, i15 | 0);
     if ((i15 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i15 | 0);
     i15 = (get32(39 * 4 | 0) | 0) + -1 | 0;
     set32(39 * 4 | 0, i15 | 0);
     if ((i15 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i15 | 0);
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i12);
    } while (0);
    if (!(get32(50 * 4 | 0) | 0)) {
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i10);
     break;
    }
    i12 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i10) | 0;
    i15 = (get32(30 * 4 | 0) | 0) - i12 | 0;
    set32(30 * 4 | 0, i15 | 0);
    if ((i15 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i15 | 0);
    i15 = (get32(39 * 4 | 0) | 0) + -1 | 0;
    set32(39 * 4 | 0, i15 | 0);
    if ((i15 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i15 | 0);
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i10);
   } while (0);
   i9 = get32(i9 | 0) | 0;
  } while ((i9 | 0) != 0);
 }
 do if (i7) {
  if (!(get32(50 * 4 | 0) | 0)) {
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i7);
   break;
  }
  i9 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i7) | 0;
  i20 = (get32(30 * 4 | 0) | 0) - i9 | 0;
  set32(30 * 4 | 0, i20 | 0);
  if ((i20 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i20 | 0);
  i20 = (get32(39 * 4 | 0) | 0) + -1 | 0;
  set32(39 * 4 | 0, i20 | 0);
  if ((i20 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i20 | 0);
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i7);
 } while (0);
 if (!i5) {
  i5 = i6;
  do {
   i6 = i5;
   i5 = get32(i5 | 0) | 0;
   do if (i6) {
    if (!(get32(50 * 4 | 0) | 0)) {
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i6);
     break;
    }
    i7 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i6) | 0;
    i20 = (get32(30 * 4 | 0) | 0) - i7 | 0;
    set32(30 * 4 | 0, i20 | 0);
    if ((i20 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i20 | 0);
    i20 = (get32(39 * 4 | 0) | 0) + -1 | 0;
    set32(39 * 4 | 0, i20 | 0);
    if ((i20 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i20 | 0);
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i6);
   } while (0);
  } while ((i5 | 0) != 0);
 };
 set32(i2 | 0, 0 | 0);
 set32(i2 + 4 | 0, 0 | 0);
 set32(i2 + 8 | 0, 0 | 0);
 set32(i2 + 12 | 0, 0 | 0);
 i2 = (i3 | 0) == 0;
 if (!i2) {
  i5 = i3;
  do {
   _sqlite3DeleteTable(0, get32(i5 + 8 | 0) | 0);
   i5 = get32(i5 | 0) | 0;
  } while ((i5 | 0) != 0);
 }
 do if (i4) {
  if (!(get32(50 * 4 | 0) | 0)) {
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i4);
   break;
  }
  i5 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i4) | 0;
  i6 = (get32(30 * 4 | 0) | 0) - i5 | 0;
  set32(30 * 4 | 0, i6 | 0);
  if ((i6 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i6 | 0);
  i6 = (get32(39 * 4 | 0) | 0) + -1 | 0;
  set32(39 * 4 | 0, i6 | 0);
  if ((i6 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i6 | 0);
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i4);
 } while (0);
 if (!i2) {
  i2 = i3;
  do {
   i3 = i2;
   i2 = get32(i2 | 0) | 0;
   do if (i3) {
    if (!(get32(50 * 4 | 0) | 0)) {
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i3);
     break;
    }
    i4 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i3) | 0;
    i6 = (get32(30 * 4 | 0) | 0) - i4 | 0;
    set32(30 * 4 | 0, i6 | 0);
    if ((i6 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i6 | 0);
    i6 = (get32(39 * 4 | 0) | 0) + -1 | 0;
    set32(39 * 4 | 0, i6 | 0);
    if ((i6 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i6 | 0);
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i3);
   } while (0);
  } while ((i2 | 0) != 0);
 }
 i2 = i1 + 56 | 0;
 i3 = i1 + 64 | 0;
 i6 = get32(i3 | 0) | 0;
 set32(i3 | 0, 0 | 0);
 i3 = i1 + 68 | 0;
 i4 = get32(i3 | 0) | 0;
 do if (i4) {
  if (!(get32(50 * 4 | 0) | 0)) {
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i4);
   break;
  }
  i5 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i4) | 0;
  i20 = (get32(30 * 4 | 0) | 0) - i5 | 0;
  set32(30 * 4 | 0, i20 | 0);
  if ((i20 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i20 | 0);
  i20 = (get32(39 * 4 | 0) | 0) + -1 | 0;
  set32(39 * 4 | 0, i20 | 0);
  if ((i20 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i20 | 0);
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i4);
 } while (0);
 set32(i3 | 0, 0 | 0);
 set32(i2 | 0, 0 | 0);
 if (i6) {
  i2 = i6;
  do {
   i6 = i2;
   i2 = get32(i2 | 0) | 0;
   do if (i6) {
    if (!(get32(50 * 4 | 0) | 0)) {
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i6);
     break;
    }
    i3 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i6) | 0;
    i4 = (get32(30 * 4 | 0) | 0) - i3 | 0;
    set32(30 * 4 | 0, i4 | 0);
    if ((i4 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i4 | 0);
    i4 = (get32(39 * 4 | 0) | 0) + -1 | 0;
    set32(39 * 4 | 0, i4 | 0);
    if ((i4 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i4 | 0);
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i6);
   } while (0);
  } while ((i2 | 0) != 0);
 }
 set32(i1 + 60 | 0, 0 | 0);
 set32(i1 + 72 | 0, 0 | 0);
 i2 = i1 + 78 | 0;
 i6 = get16(i2 | 0) | 0;
 if (!(i6 & 1)) return;
 i4 = i1 + 4 | 0;
 set32(i4 | 0, (get32(i4 | 0) | 0) + 1 | 0);
 set16(i2 | 0, i6 & 65534 | 0);
 return;
}

function _sqlite3DropTriggerPtr(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i4 = i3 + 24 | 0;
 i5 = i3 + 16 | 0;
 i6 = i3 + 8 | 0;
 i7 = i3;
 i8 = get32(i1 | 0) | 0;
 i9 = get32(i2 + 20 | 0) | 0;
 L1 : do if (i9) {
  i10 = get32(i8 + 4 | 0) | 0;
  if ((i10 | 0) > 0) {
   i11 = get32(i8 + 8 | 0) | 0;
   i12 = 0;
   while (1) {
    if ((get32(i11 + (i12 << 4) + 12 | 0) | 0) == (i9 | 0)) {
     i13 = i12;
     break L1;
    }
    i14 = i12 + 1 | 0;
    if ((i14 | 0) < (i10 | 0)) i12 = i14; else {
     i13 = i14;
     break;
    }
   }
  } else i13 = 0;
 } else i13 = -1e6; while (0);
 i9 = get32(i2 + 4 | 0) | 0;
 if (!i9) i15 = 0; else {
  i12 = i9;
  while (1) if (!(get8(i12 >> 0 | 0) | 0)) {
   i16 = i12;
   break;
  } else i12 = i12 + 1 | 0;
  i15 = i16 - i9 & 1073741823;
 }
 i16 = _sqlite3HashFind((get32(i2 + 24 | 0) | 0) + 8 | 0, i9, i15) | 0;
 i15 = get32((get32(i8 + 8 | 0) | 0) + (i13 << 4) | 0) | 0;
 i9 = (i13 | 0) == 1;
 i12 = i9 ? 21655 : 21674;
 i10 = i9 ? 14 : 16;
 i9 = get32(i2 | 0) | 0;
 i11 = get32(i16 | 0) | 0;
 L13 : do if (!(get8(i8 + 124 >> 0 | 0) | 0)) {
  L15 : do if ((get8(i1 + 528 >> 0 | 0) | 0) == 0 ? (i16 = get32(i8 + 268 | 0) | 0, (i16 | 0) != 0) : 0) switch (FUNCTION_TABLE_iiiiiii[i16 & 3](get32(i8 + 272 | 0) | 0, i10, i9, i11, i15, get32(i1 + 516 | 0) | 0) | 0) {
  case 1:
   {
    _sqlite3ErrorMsg(i1, 26149, i7);
    set32(i1 + 4 | 0, 23 | 0);
    STACKTOP = i3;
    return;
   }
  case 0:
   {
    i16 = get32(i1 | 0) | 0;
    if (!(get8(i16 + 124 >> 0 | 0) | 0)) {
     i17 = i16;
     break L15;
    } else break L13;
    break;
   }
  case 2:
   {
    STACKTOP = i3;
    return;
   }
  default:
   {
    _sqlite3ErrorMsg(i1, 29155, i6);
    set32(i1 + 4 | 0, 1 | 0);
    STACKTOP = i3;
    return;
   }
  } else i17 = i8; while (0);
  if ((get8(i1 + 528 >> 0 | 0) | 0) == 0 ? (i16 = get32(i17 + 268 | 0) | 0, (i16 | 0) != 0) : 0) switch (FUNCTION_TABLE_iiiiiii[i16 & 3](get32(i17 + 272 | 0) | 0, 9, i12, 0, i15, get32(i1 + 516 | 0) | 0) | 0) {
  case 0:
   {
    break L13;
    break;
   }
  case 1:
   {
    _sqlite3ErrorMsg(i1, 26149, i5);
    set32(i1 + 4 | 0, 23 | 0);
    STACKTOP = i3;
    return;
   }
  case 2:
   {
    STACKTOP = i3;
    return;
   }
  default:
   {
    _sqlite3ErrorMsg(i1, 29155, i4);
    set32(i1 + 4 | 0, 1 | 0);
    STACKTOP = i3;
    return;
   }
  }
 } while (0);
 i4 = i1 + 12 | 0;
 i5 = get32(i4 | 0) | 0;
 if (!i5) {
  i15 = get32(i1 | 0) | 0;
  L37 : do if (!i15) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i18 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
    i19 = 59;
    break;
   }
   i17 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
   set32(35 * 4 | 0, 192 | 0);
   if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
   i8 = get32(6 * 4 | 0) | 0;
   do if (i8) {
    i6 = get32(30 * 4 | 0) | 0;
    i7 = ((i6 | 0) < 0) << 31 >> 31;
    i11 = 16;
    i9 = _i64Subtract(get32(i11 | 0) | 0, get32(i11 + 4 | 0) | 0, i17 | 0, ((i17 | 0) < 0) << 31 >> 31 | 0) | 0;
    i11 = tempRet0;
    if ((i7 | 0) < (i11 | 0) | (i7 | 0) == (i11 | 0) & i6 >>> 0 < i9 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i9 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i8 & 15](i9, i6, i7, i17);
     set32(6 * 4 | 0, i8 | 0);
     set32(7 * 4 | 0, i9 | 0);
     break;
    }
   } while (0);
   i8 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i17) | 0;
   if (i8) {
    i9 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i8) | 0;
    i7 = (get32(30 * 4 | 0) | 0) + i9 | 0;
    set32(30 * 4 | 0, i7 | 0);
    if ((i7 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i7 | 0);
    i7 = get32(39 * 4 | 0) | 0;
    i9 = i7 + 1 | 0;
    set32(39 * 4 | 0, i9 | 0);
    if ((i7 | 0) < (get32(49 * 4 | 0) | 0)) i20 = i8; else {
     set32(49 * 4 | 0, i9 | 0);
     i20 = i8;
    }
   } else i19 = 69;
  } else {
   i8 = i15 + 30 | 0;
   if (!(get8(i8 >> 0 | 0) | 0)) {
    do if (get8(i15 + 234 >> 0 | 0) | 0) {
     if ((getU16(i15 + 232 | 0) | 0) < 192) {
      i9 = i15 + 248 | 0;
      set32(i9 | 0, (get32(i9 | 0) | 0) + 1 | 0);
      break;
     }
     i9 = i15 + 256 | 0;
     i7 = get32(i9 | 0) | 0;
     if (!i7) {
      i6 = i15 + 252 | 0;
      set32(i6 | 0, (get32(i6 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i9 | 0, get32(i7 | 0) | 0);
     i9 = i15 + 236 | 0;
     i6 = get32(i9 | 0) | 0;
     i11 = i6 + 1 | 0;
     set32(i9 | 0, i11 | 0);
     i9 = i15 + 244 | 0;
     set32(i9 | 0, (get32(i9 | 0) | 0) + 1 | 0);
     i9 = i15 + 240 | 0;
     if ((i6 | 0) >= (get32(i9 | 0) | 0)) set32(i9 | 0, i11 | 0);
     i18 = i7;
     i19 = 59;
     break L37;
    } while (0);
    if (!(get32(50 * 4 | 0) | 0)) {
     i17 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
     if (i17) {
      i20 = i17;
      break;
     }
    } else {
     i17 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
     set32(35 * 4 | 0, 192 | 0);
     if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
     i7 = get32(6 * 4 | 0) | 0;
     do if (i7) {
      i11 = get32(30 * 4 | 0) | 0;
      i9 = ((i11 | 0) < 0) << 31 >> 31;
      i6 = 16;
      i10 = _i64Subtract(get32(i6 | 0) | 0, get32(i6 + 4 | 0) | 0, i17 | 0, ((i17 | 0) < 0) << 31 >> 31 | 0) | 0;
      i6 = tempRet0;
      if ((i9 | 0) < (i6 | 0) | (i9 | 0) == (i6 | 0) & i11 >>> 0 < i10 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i10 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i7 & 15](i10, i11, i9, i17);
       set32(6 * 4 | 0, i7 | 0);
       set32(7 * 4 | 0, i10 | 0);
       break;
      }
     } while (0);
     i7 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i17) | 0;
     if (i7) {
      i10 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i7) | 0;
      i9 = (get32(30 * 4 | 0) | 0) + i10 | 0;
      set32(30 * 4 | 0, i9 | 0);
      if ((i9 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i9 | 0);
      i9 = get32(39 * 4 | 0) | 0;
      i10 = i9 + 1 | 0;
      set32(39 * 4 | 0, i10 | 0);
      if ((i9 | 0) < (get32(49 * 4 | 0) | 0)) {
       i20 = i7;
       break;
      }
      set32(49 * 4 | 0, i10 | 0);
      i20 = i7;
      break;
     }
    }
    set8(i8 >> 0 | 0, 1 | 0);
    i19 = 69;
   } else i19 = 69;
  } while (0);
  if ((i19 | 0) == 59) if (!i18) i19 = 69; else i20 = i18;
  if ((i19 | 0) == 69) {
   set32(i4 | 0, 0 | 0);
   STACKTOP = i3;
   return;
  }
  _memset(i20 | 0, 0, 192) | 0;
  set32(i20 | 0, i15 | 0);
  i18 = i15 + 136 | 0;
  i7 = get32(i18 | 0) | 0;
  if (i7) set32(i7 + 60 | 0, i20 | 0);
  set32(i20 + 64 | 0, i7 | 0);
  set32(i20 + 60 | 0, 0 | 0);
  set32(i18 | 0, i20 | 0);
  set32(i20 + 52 | 0, 649915045 | 0);
  set32(i4 | 0, i20 | 0);
  i18 = i20 + 28 | 0;
  i7 = i20 + 32 | 0;
  i10 = i20 + 4 | 0;
  i9 = _sqlite3DbRealloc(i15, 0, 1020) | 0;
  if (!i9) i21 = i20; else {
   i15 = get32(i20 | 0) | 0;
   if (((i15 | 0) != 0 ? (get32(i15 + 260 | 0) | 0) >>> 0 <= i9 >>> 0 : 0) ? (get32(i15 + 264 | 0) | 0) >>> 0 > i9 >>> 0 : 0) i22 = getU16(i15 + 232 | 0) | 0; else i22 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i9) | 0;
   set32(i7 | 0, (i22 >>> 0) / 20 | 0 | 0);
   set32(i10 | 0, i9 | 0);
   set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
   set8(i9 >> 0 | 0, -120 | 0);
   set8(i9 + 1 >> 0 | 0, 0 | 0);
   i23 = i9 + 3 | 0;
   i24 = i23 + 17 | 0;
   do {
    set8(i23 >> 0 | 0, 0 | 0);
    i23 = i23 + 1 | 0;
   } while ((i23 | 0) < (i24 | 0));
   i21 = i20;
  }
 } else i21 = i5;
 _sqlite3BeginWriteOperation(i1, 0, i13);
 i5 = get32(i4 | 0) | 0;
 do if (!i5) {
  i20 = get32(i1 | 0) | 0;
  L108 : do if (!i20) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i25 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
    i19 = 108;
    break;
   }
   i9 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
   set32(35 * 4 | 0, 192 | 0);
   if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
   i18 = get32(6 * 4 | 0) | 0;
   do if (i18) {
    i10 = get32(30 * 4 | 0) | 0;
    i22 = ((i10 | 0) < 0) << 31 >> 31;
    i7 = 16;
    i15 = _i64Subtract(get32(i7 | 0) | 0, get32(i7 + 4 | 0) | 0, i9 | 0, ((i9 | 0) < 0) << 31 >> 31 | 0) | 0;
    i7 = tempRet0;
    if ((i22 | 0) < (i7 | 0) | (i22 | 0) == (i7 | 0) & i10 >>> 0 < i15 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i15 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i18 & 15](i15, i10, i22, i9);
     set32(6 * 4 | 0, i18 | 0);
     set32(7 * 4 | 0, i15 | 0);
     break;
    }
   } while (0);
   i18 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i9) | 0;
   if (i18) {
    i15 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i18) | 0;
    i22 = (get32(30 * 4 | 0) | 0) + i15 | 0;
    set32(30 * 4 | 0, i22 | 0);
    if ((i22 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i22 | 0);
    i22 = get32(39 * 4 | 0) | 0;
    i15 = i22 + 1 | 0;
    set32(39 * 4 | 0, i15 | 0);
    if ((i22 | 0) < (get32(49 * 4 | 0) | 0)) i26 = i18; else {
     set32(49 * 4 | 0, i15 | 0);
     i26 = i18;
    }
   } else i19 = 109;
  } else {
   i18 = i20 + 30 | 0;
   if (!(get8(i18 >> 0 | 0) | 0)) {
    do if (get8(i20 + 234 >> 0 | 0) | 0) {
     if ((getU16(i20 + 232 | 0) | 0) < 192) {
      i15 = i20 + 248 | 0;
      set32(i15 | 0, (get32(i15 | 0) | 0) + 1 | 0);
      break;
     }
     i15 = i20 + 256 | 0;
     i22 = get32(i15 | 0) | 0;
     if (!i22) {
      i10 = i20 + 252 | 0;
      set32(i10 | 0, (get32(i10 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i15 | 0, get32(i22 | 0) | 0);
     i15 = i20 + 236 | 0;
     i10 = get32(i15 | 0) | 0;
     i7 = i10 + 1 | 0;
     set32(i15 | 0, i7 | 0);
     i15 = i20 + 244 | 0;
     set32(i15 | 0, (get32(i15 | 0) | 0) + 1 | 0);
     i15 = i20 + 240 | 0;
     if ((i10 | 0) >= (get32(i15 | 0) | 0)) set32(i15 | 0, i7 | 0);
     i25 = i22;
     i19 = 108;
     break L108;
    } while (0);
    if (!(get32(50 * 4 | 0) | 0)) {
     i9 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
     if (i9) {
      i26 = i9;
      break;
     }
    } else {
     i9 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
     set32(35 * 4 | 0, 192 | 0);
     if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
     i22 = get32(6 * 4 | 0) | 0;
     do if (i22) {
      i7 = get32(30 * 4 | 0) | 0;
      i15 = ((i7 | 0) < 0) << 31 >> 31;
      i10 = 16;
      i11 = _i64Subtract(get32(i10 | 0) | 0, get32(i10 + 4 | 0) | 0, i9 | 0, ((i9 | 0) < 0) << 31 >> 31 | 0) | 0;
      i10 = tempRet0;
      if ((i15 | 0) < (i10 | 0) | (i15 | 0) == (i10 | 0) & i7 >>> 0 < i11 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i11 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i22 & 15](i11, i7, i15, i9);
       set32(6 * 4 | 0, i22 | 0);
       set32(7 * 4 | 0, i11 | 0);
       break;
      }
     } while (0);
     i22 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i9) | 0;
     if (i22) {
      i11 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i22) | 0;
      i15 = (get32(30 * 4 | 0) | 0) + i11 | 0;
      set32(30 * 4 | 0, i15 | 0);
      if ((i15 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i15 | 0);
      i15 = get32(39 * 4 | 0) | 0;
      i11 = i15 + 1 | 0;
      set32(39 * 4 | 0, i11 | 0);
      if ((i15 | 0) < (get32(49 * 4 | 0) | 0)) {
       i26 = i22;
       break;
      }
      set32(49 * 4 | 0, i11 | 0);
      i26 = i22;
      break;
     }
    }
    set8(i18 >> 0 | 0, 1 | 0);
    i19 = 109;
   } else i19 = 109;
  } while (0);
  if ((i19 | 0) == 108) if (!i25) i19 = 109; else i26 = i25;
  if ((i19 | 0) == 109) {
   set32(i4 | 0, 0 | 0);
   i27 = 0;
   break;
  }
  _memset(i26 | 0, 0, 192) | 0;
  set32(i26 | 0, i20 | 0);
  i8 = i20 + 136 | 0;
  i17 = get32(i8 | 0) | 0;
  if (i17) set32(i17 + 60 | 0, i26 | 0);
  set32(i26 + 64 | 0, i17 | 0);
  set32(i26 + 60 | 0, 0 | 0);
  set32(i8 | 0, i26 | 0);
  set32(i26 + 52 | 0, 649915045 | 0);
  set32(i4 | 0, i26 | 0);
  i8 = i26 + 28 | 0;
  i17 = i26 + 32 | 0;
  i22 = i26 + 4 | 0;
  i11 = _sqlite3DbRealloc(i20, 0, 1020) | 0;
  if (!i11) i27 = i26; else {
   i15 = get32(i26 | 0) | 0;
   if (((i15 | 0) != 0 ? (get32(i15 + 260 | 0) | 0) >>> 0 <= i11 >>> 0 : 0) ? (get32(i15 + 264 | 0) | 0) >>> 0 > i11 >>> 0 : 0) i28 = getU16(i15 + 232 | 0) | 0; else i28 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i11) | 0;
   set32(i17 | 0, (i28 >>> 0) / 20 | 0 | 0);
   set32(i22 | 0, i11 | 0);
   set32(i8 | 0, (get32(i8 | 0) | 0) + 1 | 0);
   set8(i11 >> 0 | 0, -120 | 0);
   set8(i11 + 1 >> 0 | 0, 0 | 0);
   i23 = i11 + 3 | 0;
   i24 = i23 + 17 | 0;
   do {
    set8(i23 >> 0 | 0, 0 | 0);
    i23 = i23 + 1 | 0;
   } while ((i23 | 0) < (i24 | 0));
   i27 = i26;
  }
 } else i27 = i5; while (0);
 i5 = get32(i1 + 424 | 0) | 0;
 i26 = (i5 | 0) == 0 ? i1 : i5;
 i5 = i26 + 400 | 0;
 i28 = get32(i5 | 0) | 0;
 i25 = i26 + 404 | 0;
 do if ((i28 | 0) > 0) {
  i20 = get32(i25 | 0) | 0;
  i11 = 0;
  while (1) {
   if ((get32(i20 + (i11 << 4) | 0) | 0) == (i13 | 0) ? (get32(i20 + (i11 << 4) + 4 | 0) | 0) == 1 : 0) {
    i29 = i11;
    i19 = 124;
    break;
   }
   i11 = i11 + 1 | 0;
   if ((i11 | 0) >= (i28 | 0)) {
    i19 = 126;
    break;
   }
  }
  if ((i19 | 0) == 124) {
   set8(i20 + (i29 << 4) + 8 >> 0 | 0, 1 | 0);
   break;
  } else if ((i19 | 0) == 126) {
   i30 = i25;
   i31 = i20;
   i19 = 127;
   break;
  }
 } else {
  i30 = i25;
  i31 = get32(i25 | 0) | 0;
  i19 = 127;
 } while (0);
 do if ((i19 | 0) == 127) {
  i25 = get32(i26 | 0) | 0;
  i29 = _sqlite3DbRealloc(i25, i31, (i28 << 4) + 16 | 0) | 0;
  if (!i29) {
   _sqlite3DbFree(i25, i31);
   set32(i30 | 0, 0 | 0);
   set32(i5 | 0, 0 | 0);
   set8((get32(i26 | 0) | 0) + 30 >> 0 | 0, 1 | 0);
   break;
  } else {
   set32(i30 | 0, i29 | 0);
   i25 = get32(i5 | 0) | 0;
   set32(i5 | 0, i25 + 1 | 0);
   set32(i29 + (i25 << 4) | 0, i13 | 0);
   set32(i29 + (i25 << 4) + 4 | 0, 1 | 0);
   set8(i29 + (i25 << 4) + 8 >> 0 | 0, 1 | 0);
   set32(i29 + (i25 << 4) + 12 | 0, i12 | 0);
   break;
  }
 } while (0);
 i12 = i27 + 28 | 0;
 i5 = get32(i12 | 0) | 0;
 i30 = i27 + 32 | 0;
 i26 = get32(i30 | 0) | 0;
 if ((i26 | 0) <= (i5 | 0)) {
  i31 = i27 + 4 | 0;
  i28 = _sqlite3DbRealloc(get32(i27 | 0) | 0, get32(i31 | 0) | 0, (i26 | 0) == 0 ? 1020 : i26 * 40 | 0) | 0;
  if (!i28) {
   i32 = i27;
   i33 = i31;
  } else {
   i26 = get32(i27 | 0) | 0;
   if (((i26 | 0) != 0 ? (get32(i26 + 260 | 0) | 0) >>> 0 <= i28 >>> 0 : 0) ? (get32(i26 + 264 | 0) | 0) >>> 0 > i28 >>> 0 : 0) i34 = getU16(i26 + 232 | 0) | 0; else i34 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i28) | 0;
   set32(i30 | 0, (i34 >>> 0) / 20 | 0 | 0);
   set32(i31 | 0, i28 | 0);
   i35 = i31;
   i36 = i27;
   i37 = get32(i12 | 0) | 0;
   i38 = i28;
   i19 = 139;
  }
 } else {
  i28 = i27 + 4 | 0;
  i35 = i28;
  i36 = i27;
  i37 = i5;
  i38 = get32(i28 | 0) | 0;
  i19 = 139;
 }
 if ((i19 | 0) == 139) {
  set32(i12 | 0, i37 + 1 | 0);
  set8(i38 + (i5 * 20 | 0) >> 0 | 0, 39 | 0);
  set8(i38 + (i5 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i38 + (i5 * 20 | 0) + 4 | 0, 0 | 0);
  set32(i38 + (i5 * 20 | 0) + 8 | 0, 1 | 0);
  set32(i38 + (i5 * 20 | 0) + 12 | 0, i13 | 0);
  set32(i38 + (i5 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i38 + (i5 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i32 = i36;
  i33 = i35;
 }
 i35 = get32(i32 | 0) | 0;
 i32 = get32(i33 | 0) | 0;
 if ((i32 | 0) != 0 ? (get8(i35 + 30 >> 0 | 0) | 0) == 0 : 0) {
  i33 = (get32(i12 | 0) | 0) + -1 | 0;
  i12 = i32 + (i33 * 20 | 0) + 1 | 0;
  i36 = i32 + (i33 * 20 | 0) + 16 | 0;
  _freeP4(i35, get8(i12 >> 0 | 0) | 0, get32(i36 | 0) | 0);
  set32(i36 | 0, 5 | 0);
  set8(i12 >> 0 | 0, -14 | 0);
 }
 i12 = i1 + 68 | 0;
 if (!(get32(i12 | 0) | 0)) set32(i12 | 0, 1 | 0);
 i12 = i21 + 28 | 0;
 i36 = get32(i12 | 0) | 0;
 i35 = i21 + 32 | 0;
 i33 = get32(i35 | 0) | 0;
 if ((i36 + 9 | 0) > (i33 | 0)) {
  i32 = i21 + 4 | 0;
  i5 = _sqlite3DbRealloc(get32(i21 | 0) | 0, get32(i32 | 0) | 0, (i33 | 0) == 0 ? 1020 : i33 * 40 | 0) | 0;
  if (!i5) {
   i39 = 0;
   i40 = i21;
   i41 = i32;
  } else {
   i33 = get32(i21 | 0) | 0;
   if (((i33 | 0) != 0 ? (get32(i33 + 260 | 0) | 0) >>> 0 <= i5 >>> 0 : 0) ? (get32(i33 + 264 | 0) | 0) >>> 0 > i5 >>> 0 : 0) i42 = getU16(i33 + 232 | 0) | 0; else i42 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i5) | 0;
   set32(i35 | 0, (i42 >>> 0) / 20 | 0 | 0);
   set32(i32 | 0, i5 | 0);
   i43 = i32;
   i44 = get32(i12 | 0) | 0;
   i19 = 154;
  }
 } else {
  i43 = i21 + 4 | 0;
  i44 = i36;
  i19 = 154;
 }
 if ((i19 | 0) == 154) {
  i36 = 0;
  i32 = 31809;
  while (1) {
   i5 = get8(i32 + 2 >> 0 | 0) | 0;
   i42 = i5 << 24 >> 24;
   i33 = i36 + i44 | 0;
   i38 = get32(i43 | 0) | 0;
   i37 = get8(i32 >> 0 | 0) | 0;
   set8(i38 + (i33 * 20 | 0) >> 0 | 0, i37 | 0);
   set32(i38 + (i33 * 20 | 0) + 4 | 0, get8(i32 + 1 >> 0 | 0) | 0);
   if (i5 << 24 >> 24 < 0 ? (get8(25464 + (i37 & 255) >> 0 | 0) & 1) != 0 : 0) set32(i38 + (i33 * 20 | 0) + 8 | 0, i44 + ~i42 | 0); else set32(i38 + (i33 * 20 | 0) + 8 | 0, i42 | 0);
   set32(i38 + (i33 * 20 | 0) + 12 | 0, get8(i32 + 3 >> 0 | 0) | 0);
   set8(i38 + (i33 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   set32(i38 + (i33 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i38 + (i33 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   i36 = i36 + 1 | 0;
   if ((i36 | 0) == 9) break; else i32 = i32 + 4 | 0;
  }
  set32(i12 | 0, i44 + 9 | 0);
  i39 = i44;
  i40 = i21;
  i41 = i43;
 }
 _sqlite3VdbeChangeP4(i21, i39 + 1 | 0, get32(i2 | 0) | 0, 0);
 i43 = i39 + 4 | 0;
 i44 = get32(i40 | 0) | 0;
 i32 = get32(i41 | 0) | 0;
 if ((i32 | 0) != 0 ? (get8(i44 + 30 >> 0 | 0) | 0) == 0 : 0) {
  if ((i39 | 0) < -4) i45 = (get32(i12 | 0) | 0) + -1 | 0; else i45 = i43;
  i43 = i32 + (i45 * 20 | 0) + 1 | 0;
  i39 = i32 + (i45 * 20 | 0) + 16 | 0;
  _freeP4(i44, get8(i43 >> 0 | 0) | 0, get32(i39 | 0) | 0);
  set32(i39 | 0, 17148 | 0);
  set8(i43 >> 0 | 0, -2 | 0);
 }
 i43 = i1 + 21 | 0;
 i39 = get8(i43 >> 0 | 0) | 0;
 if (!(i39 << 24 >> 24)) {
  i44 = i1 + 72 | 0;
  i45 = (get32(i44 | 0) | 0) + 1 | 0;
  set32(i44 | 0, i45 | 0);
  i46 = i45;
 } else {
  i45 = i39 + -1 << 24 >> 24;
  set8(i43 >> 0 | 0, i45 | 0);
  i46 = get32(i1 + 24 + ((i45 & 255) << 2) | 0) | 0;
 }
 i45 = get32(i4 | 0) | 0;
 i4 = (get32(get32((get32((get32(i1 | 0) | 0) + 8 | 0) | 0) + (i13 << 4) + 12 | 0) | 0) | 0) + 1 | 0;
 i39 = i45 + 28 | 0;
 i44 = get32(i39 | 0) | 0;
 i32 = i45 + 32 | 0;
 i36 = get32(i32 | 0) | 0;
 do if ((i36 | 0) > (i44 | 0)) {
  i47 = i44;
  i48 = get32(i45 + 4 | 0) | 0;
  i49 = i36;
  i19 = 179;
 } else {
  i33 = i45 + 4 | 0;
  i38 = _sqlite3DbRealloc(get32(i45 | 0) | 0, get32(i33 | 0) | 0, (i36 | 0) == 0 ? 1020 : i36 * 40 | 0) | 0;
  if (!i38) {
   i50 = get32(i32 | 0) | 0;
   i51 = get32(i39 | 0) | 0;
   break;
  }
  i42 = get32(i45 | 0) | 0;
  if (((i42 | 0) != 0 ? (get32(i42 + 260 | 0) | 0) >>> 0 <= i38 >>> 0 : 0) ? (get32(i42 + 264 | 0) | 0) >>> 0 > i38 >>> 0 : 0) i52 = getU16(i42 + 232 | 0) | 0; else i52 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i38) | 0;
  i42 = (i52 >>> 0) / 20 | 0;
  set32(i32 | 0, i42 | 0);
  set32(i33 | 0, i38 | 0);
  i47 = get32(i39 | 0) | 0;
  i48 = i38;
  i49 = i42;
  i19 = 179;
 } while (0);
 if ((i19 | 0) == 179) {
  i52 = i47 + 1 | 0;
  set32(i39 | 0, i52 | 0);
  set8(i48 + (i44 * 20 | 0) >> 0 | 0, 7 | 0);
  set8(i48 + (i44 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i48 + (i44 * 20 | 0) + 4 | 0, i4 | 0);
  set32(i48 + (i44 * 20 | 0) + 8 | 0, i46 | 0);
  set32(i48 + (i44 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i48 + (i44 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i48 + (i44 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i50 = i49;
  i51 = i52;
 }
 if ((i50 | 0) <= (i51 | 0)) {
  i52 = i45 + 4 | 0;
  i49 = _sqlite3DbRealloc(get32(i45 | 0) | 0, get32(i52 | 0) | 0, (i50 | 0) == 0 ? 1020 : i50 * 40 | 0) | 0;
  if (i49) {
   i50 = get32(i45 | 0) | 0;
   if (((i50 | 0) != 0 ? (get32(i50 + 260 | 0) | 0) >>> 0 <= i49 >>> 0 : 0) ? (get32(i50 + 264 | 0) | 0) >>> 0 > i49 >>> 0 : 0) i53 = getU16(i50 + 232 | 0) | 0; else i53 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i49) | 0;
   set32(i32 | 0, (i53 >>> 0) / 20 | 0 | 0);
   set32(i52 | 0, i49 | 0);
   i54 = get32(i39 | 0) | 0;
   i55 = i49;
   i19 = 189;
  }
 } else {
  i54 = i51;
  i55 = get32(i45 + 4 | 0) | 0;
  i19 = 189;
 }
 if ((i19 | 0) == 189) {
  set32(i39 | 0, i54 + 1 | 0);
  set8(i55 + (i51 * 20 | 0) >> 0 | 0, 36 | 0);
  set8(i55 + (i51 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i55 + (i51 * 20 | 0) + 4 | 0, i13 | 0);
  set32(i55 + (i51 * 20 | 0) + 8 | 0, 1 | 0);
  set32(i55 + (i51 * 20 | 0) + 12 | 0, i46 | 0);
  set32(i55 + (i51 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i55 + (i51 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
 }
 L278 : do if ((i46 | 0) != 0 ? (i51 = get8(i43 >> 0 | 0) | 0, (i51 & 255) < 8) : 0) {
  do if ((get32(i1 + 112 | 0) | 0) != (i46 | 0)) if ((get32(i1 + 136 | 0) | 0) == (i46 | 0)) i56 = i1 + 120 | 0; else {
   if ((get32(i1 + 160 | 0) | 0) == (i46 | 0)) {
    i56 = i1 + 144 | 0;
    break;
   }
   if ((get32(i1 + 184 | 0) | 0) == (i46 | 0)) {
    i56 = i1 + 168 | 0;
    break;
   }
   if ((get32(i1 + 208 | 0) | 0) == (i46 | 0)) {
    i56 = i1 + 192 | 0;
    break;
   }
   if ((get32(i1 + 232 | 0) | 0) == (i46 | 0)) {
    i56 = i1 + 216 | 0;
    break;
   }
   if ((get32(i1 + 256 | 0) | 0) == (i46 | 0)) {
    i56 = i1 + 240 | 0;
    break;
   }
   if ((get32(i1 + 280 | 0) | 0) == (i46 | 0)) {
    i56 = i1 + 264 | 0;
    break;
   }
   if ((get32(i1 + 304 | 0) | 0) == (i46 | 0)) {
    i56 = i1 + 288 | 0;
    break;
   }
   if ((get32(i1 + 328 | 0) | 0) == (i46 | 0)) {
    i56 = i1 + 312 | 0;
    break;
   }
   set8(i43 >> 0 | 0, i51 + 1 << 24 >> 24 | 0);
   set32(i1 + 24 + ((i51 & 255) << 2) | 0, i46 | 0);
   break L278;
  } else i56 = i1 + 96 | 0; while (0);
  set8(i56 + 8 >> 0 | 0, 1 | 0);
 } while (0);
 i56 = get32(i12 | 0) | 0;
 i46 = get32(i35 | 0) | 0;
 do if ((i46 | 0) > (i56 | 0)) {
  i57 = i56;
  i58 = get32(i41 | 0) | 0;
  i59 = i46;
  i19 = 214;
 } else {
  i43 = _sqlite3DbRealloc(get32(i40 | 0) | 0, get32(i41 | 0) | 0, (i46 | 0) == 0 ? 1020 : i46 * 40 | 0) | 0;
  if (!i43) {
   i60 = get32(i35 | 0) | 0;
   i61 = get32(i12 | 0) | 0;
   break;
  }
  i51 = get32(i40 | 0) | 0;
  do if (!i51) i19 = 212; else {
   if ((get32(i51 + 260 | 0) | 0) >>> 0 > i43 >>> 0) {
    i19 = 212;
    break;
   }
   if ((get32(i51 + 264 | 0) | 0) >>> 0 <= i43 >>> 0) {
    i19 = 212;
    break;
   }
   i62 = getU16(i51 + 232 | 0) | 0;
  } while (0);
  if ((i19 | 0) == 212) i62 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i43) | 0;
  i51 = (i62 >>> 0) / 20 | 0;
  set32(i35 | 0, i51 | 0);
  set32(i41 | 0, i43 | 0);
  i57 = get32(i12 | 0) | 0;
  i58 = i43;
  i59 = i51;
  i19 = 214;
 } while (0);
 if ((i19 | 0) == 214) {
  i62 = i57 + 1 | 0;
  set32(i12 | 0, i62 | 0);
  set8(i58 + (i56 * 20 | 0) >> 0 | 0, 43 | 0);
  set8(i58 + (i56 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i23 = i58 + (i56 * 20 | 0) + 3 | 0;
  i24 = i23 + 17 | 0;
  do {
   set8(i23 >> 0 | 0, 0 | 0);
   i23 = i23 + 1 | 0;
  } while ((i23 | 0) < (i24 | 0));
  i60 = i59;
  i61 = i62;
 }
 i62 = get32(i2 | 0) | 0;
 if ((i60 | 0) <= (i61 | 0)) {
  i2 = _sqlite3DbRealloc(get32(i40 | 0) | 0, get32(i41 | 0) | 0, (i60 | 0) == 0 ? 1020 : i60 * 40 | 0) | 0;
  if (!i2) i63 = 1; else {
   i60 = get32(i40 | 0) | 0;
   do if (!i60) i19 = 222; else {
    if ((get32(i60 + 260 | 0) | 0) >>> 0 > i2 >>> 0) {
     i19 = 222;
     break;
    }
    if ((get32(i60 + 264 | 0) | 0) >>> 0 <= i2 >>> 0) {
     i19 = 222;
     break;
    }
    i64 = getU16(i60 + 232 | 0) | 0;
   } while (0);
   if ((i19 | 0) == 222) i64 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i2) | 0;
   set32(i35 | 0, (i64 >>> 0) / 20 | 0 | 0);
   set32(i41 | 0, i2 | 0);
   i65 = get32(i12 | 0) | 0;
   i66 = i2;
   i19 = 224;
  }
 } else {
  i65 = i61;
  i66 = get32(i41 | 0) | 0;
  i19 = 224;
 }
 if ((i19 | 0) == 224) {
  set32(i12 | 0, i65 + 1 | 0);
  set8(i66 + (i61 * 20 | 0) >> 0 | 0, 103 | 0);
  set8(i66 + (i61 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i66 + (i61 * 20 | 0) + 4 | 0, i13 | 0);
  set32(i66 + (i61 * 20 | 0) + 8 | 0, 0 | 0);
  set32(i66 + (i61 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i66 + (i61 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i66 + (i61 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i63 = i61;
 }
 _sqlite3VdbeChangeP4(i21, i63, i62, 0);
 i62 = i1 + 72 | 0;
 if ((get32(i62 | 0) | 0) >= 3) {
  STACKTOP = i3;
  return;
 }
 set32(i62 | 0, 3 | 0);
 STACKTOP = i3;
 return;
}

function _computeLimitRegisters(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, d43 = 0.0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0, i80 = 0, i81 = 0, i82 = 0, i83 = 0, i84 = 0, i85 = 0, i86 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i5 = i4;
 i6 = i2 + 48 | 0;
 if (get32(i6 | 0) | 0) {
  STACKTOP = i4;
  return;
 }
 i7 = i1 + 21 | 0;
 i8 = 0;
 i9 = i1 + 96 | 0;
 while (1) {
  i10 = i9 + 16 | 0;
  i11 = get32(i10 | 0) | 0;
  if (i11) {
   i12 = i9 + 8 | 0;
   if (get8(i12 >> 0 | 0) | 0) {
    i13 = get8(i7 >> 0 | 0) | 0;
    if ((i13 & 255) < 8) {
     set8(i7 >> 0 | 0, i13 + 1 << 24 >> 24 | 0);
     set32(i1 + 24 + ((i13 & 255) << 2) | 0, i11 | 0);
    }
    set8(i12 >> 0 | 0, 0 | 0);
   }
   set32(i10 | 0, 0 | 0);
  }
  i8 = i8 + 1 | 0;
  if ((i8 | 0) == 10) break; else i9 = i9 + 24 | 0;
 }
 i9 = i2 + 40 | 0;
 if (!(get32(i9 | 0) | 0)) {
  STACKTOP = i4;
  return;
 }
 i8 = i1 + 72 | 0;
 i7 = (get32(i8 | 0) | 0) + 1 | 0;
 set32(i8 | 0, i7 | 0);
 set32(i6 | 0, i7 | 0);
 i6 = i1 + 12 | 0;
 i10 = get32(i6 | 0) | 0;
 if (!i10) {
  i12 = get32(i1 | 0) | 0;
  L21 : do if (!i12) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i14 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
    i15 = 49;
    break;
   }
   i11 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
   set32(35 * 4 | 0, 192 | 0);
   if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
   i13 = get32(6 * 4 | 0) | 0;
   do if (i13) {
    i16 = get32(30 * 4 | 0) | 0;
    i17 = ((i16 | 0) < 0) << 31 >> 31;
    i18 = 16;
    i19 = _i64Subtract(get32(i18 | 0) | 0, get32(i18 + 4 | 0) | 0, i11 | 0, ((i11 | 0) < 0) << 31 >> 31 | 0) | 0;
    i18 = tempRet0;
    if ((i17 | 0) < (i18 | 0) | (i17 | 0) == (i18 | 0) & i16 >>> 0 < i19 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i19 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i13 & 15](i19, i16, i17, i11);
     set32(6 * 4 | 0, i13 | 0);
     set32(7 * 4 | 0, i19 | 0);
     break;
    }
   } while (0);
   i13 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i11) | 0;
   if (i13) {
    i19 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i13) | 0;
    i17 = (get32(30 * 4 | 0) | 0) + i19 | 0;
    set32(30 * 4 | 0, i17 | 0);
    if ((i17 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i17 | 0);
    i17 = get32(39 * 4 | 0) | 0;
    i19 = i17 + 1 | 0;
    set32(39 * 4 | 0, i19 | 0);
    if ((i17 | 0) < (get32(49 * 4 | 0) | 0)) i20 = i13; else {
     set32(49 * 4 | 0, i19 | 0);
     i20 = i13;
    }
   } else i15 = 59;
  } else {
   i13 = i12 + 30 | 0;
   if (!(get8(i13 >> 0 | 0) | 0)) {
    do if (get8(i12 + 234 >> 0 | 0) | 0) {
     if ((getU16(i12 + 232 | 0) | 0) < 192) {
      i19 = i12 + 248 | 0;
      set32(i19 | 0, (get32(i19 | 0) | 0) + 1 | 0);
      break;
     }
     i19 = i12 + 256 | 0;
     i17 = get32(i19 | 0) | 0;
     if (!i17) {
      i16 = i12 + 252 | 0;
      set32(i16 | 0, (get32(i16 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i19 | 0, get32(i17 | 0) | 0);
     i19 = i12 + 236 | 0;
     i16 = get32(i19 | 0) | 0;
     i18 = i16 + 1 | 0;
     set32(i19 | 0, i18 | 0);
     i19 = i12 + 244 | 0;
     set32(i19 | 0, (get32(i19 | 0) | 0) + 1 | 0);
     i19 = i12 + 240 | 0;
     if ((i16 | 0) >= (get32(i19 | 0) | 0)) set32(i19 | 0, i18 | 0);
     i14 = i17;
     i15 = 49;
     break L21;
    } while (0);
    if (!(get32(50 * 4 | 0) | 0)) {
     i11 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
     if (i11) {
      i20 = i11;
      break;
     }
    } else {
     i11 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
     set32(35 * 4 | 0, 192 | 0);
     if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
     i17 = get32(6 * 4 | 0) | 0;
     do if (i17) {
      i18 = get32(30 * 4 | 0) | 0;
      i19 = ((i18 | 0) < 0) << 31 >> 31;
      i16 = 16;
      i21 = _i64Subtract(get32(i16 | 0) | 0, get32(i16 + 4 | 0) | 0, i11 | 0, ((i11 | 0) < 0) << 31 >> 31 | 0) | 0;
      i16 = tempRet0;
      if ((i19 | 0) < (i16 | 0) | (i19 | 0) == (i16 | 0) & i18 >>> 0 < i21 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i21 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i17 & 15](i21, i18, i19, i11);
       set32(6 * 4 | 0, i17 | 0);
       set32(7 * 4 | 0, i21 | 0);
       break;
      }
     } while (0);
     i17 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i11) | 0;
     if (i17) {
      i21 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i17) | 0;
      i19 = (get32(30 * 4 | 0) | 0) + i21 | 0;
      set32(30 * 4 | 0, i19 | 0);
      if ((i19 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i19 | 0);
      i19 = get32(39 * 4 | 0) | 0;
      i21 = i19 + 1 | 0;
      set32(39 * 4 | 0, i21 | 0);
      if ((i19 | 0) < (get32(49 * 4 | 0) | 0)) {
       i20 = i17;
       break;
      }
      set32(49 * 4 | 0, i21 | 0);
      i20 = i17;
      break;
     }
    }
    set8(i13 >> 0 | 0, 1 | 0);
    i15 = 59;
   } else i15 = 59;
  } while (0);
  if ((i15 | 0) == 49) if (!i14) i15 = 59; else i20 = i14;
  if ((i15 | 0) == 59) {
   set32(i6 | 0, 0 | 0);
   STACKTOP = i4;
   return;
  }
  _memset(i20 | 0, 0, 192) | 0;
  set32(i20 | 0, i12 | 0);
  i14 = i12 + 136 | 0;
  i17 = get32(i14 | 0) | 0;
  if (i17) set32(i17 + 60 | 0, i20 | 0);
  set32(i20 + 64 | 0, i17 | 0);
  set32(i20 + 60 | 0, 0 | 0);
  set32(i14 | 0, i20 | 0);
  set32(i20 + 52 | 0, 649915045 | 0);
  set32(i6 | 0, i20 | 0);
  i14 = i20 + 28 | 0;
  i17 = i20 + 32 | 0;
  i21 = i20 + 4 | 0;
  i19 = _sqlite3DbRealloc(i12, 0, 1020) | 0;
  if (!i19) i22 = i20; else {
   i12 = get32(i20 | 0) | 0;
   if (((i12 | 0) != 0 ? (get32(i12 + 260 | 0) | 0) >>> 0 <= i19 >>> 0 : 0) ? (get32(i12 + 264 | 0) | 0) >>> 0 > i19 >>> 0 : 0) i23 = getU16(i12 + 232 | 0) | 0; else i23 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i19) | 0;
   set32(i17 | 0, (i23 >>> 0) / 20 | 0 | 0);
   set32(i21 | 0, i19 | 0);
   set32(i14 | 0, (get32(i14 | 0) | 0) + 1 | 0);
   set8(i19 >> 0 | 0, -120 | 0);
   set8(i19 + 1 >> 0 | 0, 0 | 0);
   i14 = i19 + 3 | 0;
   i19 = i14 + 17 | 0;
   do {
    set8(i14 >> 0 | 0, 0 | 0);
    i14 = i14 + 1 | 0;
   } while ((i14 | 0) < (i19 | 0));
   i22 = i20;
  }
 } else i22 = i10;
 do if (!(_sqlite3ExprIsInteger(get32(i9 | 0) | 0, i5) | 0)) {
  i10 = get32(i9 | 0) | 0;
  do if ((i10 | 0) != 0 ? (get8(i10 >> 0 | 0) | 0) == -124 : 0) {
   i20 = get32(i6 | 0) | 0;
   i14 = get32(i10 + 24 | 0) | 0;
   i19 = i20 + 28 | 0;
   i21 = get32(i19 | 0) | 0;
   i23 = i20 + 32 | 0;
   i17 = get32(i23 | 0) | 0;
   if ((i17 | 0) > (i21 | 0)) {
    i24 = i21;
    i25 = get32(i20 + 4 | 0) | 0;
   } else {
    i12 = i20 + 4 | 0;
    i18 = _sqlite3DbRealloc(get32(i20 | 0) | 0, get32(i12 | 0) | 0, (i17 | 0) == 0 ? 1020 : i17 * 40 | 0) | 0;
    if (!i18) break;
    i17 = get32(i20 | 0) | 0;
    if (((i17 | 0) != 0 ? (get32(i17 + 260 | 0) | 0) >>> 0 <= i18 >>> 0 : 0) ? (get32(i17 + 264 | 0) | 0) >>> 0 > i18 >>> 0 : 0) i26 = getU16(i17 + 232 | 0) | 0; else i26 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i18) | 0;
    set32(i23 | 0, (i26 >>> 0) / 20 | 0 | 0);
    set32(i12 | 0, i18 | 0);
    i24 = get32(i19 | 0) | 0;
    i25 = i18;
   }
   set32(i19 | 0, i24 + 1 | 0);
   set8(i25 + (i21 * 20 | 0) >> 0 | 0, 14 | 0);
   set8(i25 + (i21 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i25 + (i21 * 20 | 0) + 4 | 0, i14 | 0);
   set32(i25 + (i21 * 20 | 0) + 8 | 0, i7 | 0);
   set32(i25 + (i21 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i25 + (i21 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i25 + (i21 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  } else i15 = 96; while (0);
  do if (((i15 | 0) == 96 ? (i13 = _sqlite3ExprCodeTarget(i1, i10, i7) | 0, (i13 | 0) != (i7 | 0)) : 0) ? (i11 = get32(i6 | 0) | 0, (i11 | 0) != 0) : 0) {
   i21 = i11 + 28 | 0;
   i14 = get32(i21 | 0) | 0;
   i19 = i11 + 32 | 0;
   i18 = get32(i19 | 0) | 0;
   if ((i18 | 0) > (i14 | 0)) {
    i27 = i14;
    i28 = get32(i11 + 4 | 0) | 0;
   } else {
    i12 = i11 + 4 | 0;
    i23 = _sqlite3DbRealloc(get32(i11 | 0) | 0, get32(i12 | 0) | 0, (i18 | 0) == 0 ? 1020 : i18 * 40 | 0) | 0;
    if (!i23) break;
    i18 = get32(i11 | 0) | 0;
    if (((i18 | 0) != 0 ? (get32(i18 + 260 | 0) | 0) >>> 0 <= i23 >>> 0 : 0) ? (get32(i18 + 264 | 0) | 0) >>> 0 > i23 >>> 0 : 0) i29 = getU16(i18 + 232 | 0) | 0; else i29 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i23) | 0;
    set32(i19 | 0, (i29 >>> 0) / 20 | 0 | 0);
    set32(i12 | 0, i23 | 0);
    i27 = get32(i21 | 0) | 0;
    i28 = i23;
   }
   set32(i21 | 0, i27 + 1 | 0);
   set8(i28 + (i14 * 20 | 0) >> 0 | 0, 15 | 0);
   set8(i28 + (i14 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i28 + (i14 * 20 | 0) + 4 | 0, i13 | 0);
   set32(i28 + (i14 * 20 | 0) + 8 | 0, i7 | 0);
   set32(i28 + (i14 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i28 + (i14 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i28 + (i14 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  } while (0);
  i10 = i22 + 28 | 0;
  i14 = get32(i10 | 0) | 0;
  i13 = i22 + 32 | 0;
  i21 = get32(i13 | 0) | 0;
  do if ((i21 | 0) > (i14 | 0)) {
   i30 = i14;
   i31 = get32(i22 + 4 | 0) | 0;
   i32 = i21;
   i15 = 118;
  } else {
   i23 = i22 + 4 | 0;
   i12 = _sqlite3DbRealloc(get32(i22 | 0) | 0, get32(i23 | 0) | 0, (i21 | 0) == 0 ? 1020 : i21 * 40 | 0) | 0;
   if (!i12) {
    i33 = get32(i13 | 0) | 0;
    i34 = get32(i10 | 0) | 0;
    break;
   }
   i19 = get32(i22 | 0) | 0;
   if (((i19 | 0) != 0 ? (get32(i19 + 260 | 0) | 0) >>> 0 <= i12 >>> 0 : 0) ? (get32(i19 + 264 | 0) | 0) >>> 0 > i12 >>> 0 : 0) i35 = getU16(i19 + 232 | 0) | 0; else i35 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i12) | 0;
   i19 = (i35 >>> 0) / 20 | 0;
   set32(i13 | 0, i19 | 0);
   set32(i23 | 0, i12 | 0);
   i30 = get32(i10 | 0) | 0;
   i31 = i12;
   i32 = i19;
   i15 = 118;
  } while (0);
  if ((i15 | 0) == 118) {
   i21 = i30 + 1 | 0;
   set32(i10 | 0, i21 | 0);
   set8(i31 + (i14 * 20 | 0) >> 0 | 0, 21 | 0);
   set8(i31 + (i14 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i31 + (i14 * 20 | 0) + 4 | 0, i7 | 0);
   set32(i31 + (i14 * 20 | 0) + 8 | 0, 0 | 0);
   set32(i31 + (i14 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i31 + (i14 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i31 + (i14 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i33 = i32;
   i34 = i21;
  }
  if ((i33 | 0) > (i34 | 0)) {
   i36 = i34;
   i37 = get32(i22 + 4 | 0) | 0;
  } else {
   i21 = i22 + 4 | 0;
   i19 = _sqlite3DbRealloc(get32(i22 | 0) | 0, get32(i21 | 0) | 0, (i33 | 0) == 0 ? 1020 : i33 * 40 | 0) | 0;
   if (!i19) break;
   i12 = get32(i22 | 0) | 0;
   if (((i12 | 0) != 0 ? (get32(i12 + 260 | 0) | 0) >>> 0 <= i19 >>> 0 : 0) ? (get32(i12 + 264 | 0) | 0) >>> 0 > i19 >>> 0 : 0) i38 = getU16(i12 + 232 | 0) | 0; else i38 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i19) | 0;
   set32(i13 | 0, (i38 >>> 0) / 20 | 0 | 0);
   set32(i21 | 0, i19 | 0);
   i36 = get32(i10 | 0) | 0;
   i37 = i19;
  }
  set32(i10 | 0, i36 + 1 | 0);
  set8(i37 + (i34 * 20 | 0) >> 0 | 0, 115 | 0);
  set8(i37 + (i34 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i37 + (i34 * 20 | 0) + 4 | 0, i7 | 0);
  set32(i37 + (i34 * 20 | 0) + 8 | 0, i3 | 0);
  set32(i37 + (i34 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i37 + (i34 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i37 + (i34 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
 } else {
  i19 = get32(i5 | 0) | 0;
  i21 = i22 + 28 | 0;
  i12 = get32(i21 | 0) | 0;
  i23 = i22 + 32 | 0;
  i18 = get32(i23 | 0) | 0;
  if ((i18 | 0) <= (i12 | 0)) {
   i11 = i22 + 4 | 0;
   i17 = _sqlite3DbRealloc(get32(i22 | 0) | 0, get32(i11 | 0) | 0, (i18 | 0) == 0 ? 1020 : i18 * 40 | 0) | 0;
   if (!i17) i39 = i19; else {
    i18 = get32(i22 | 0) | 0;
    if (((i18 | 0) != 0 ? (get32(i18 + 260 | 0) | 0) >>> 0 <= i17 >>> 0 : 0) ? (get32(i18 + 264 | 0) | 0) >>> 0 > i17 >>> 0 : 0) i40 = getU16(i18 + 232 | 0) | 0; else i40 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i17) | 0;
    set32(i23 | 0, (i40 >>> 0) / 20 | 0 | 0);
    set32(i11 | 0, i17 | 0);
    i41 = get32(i21 | 0) | 0;
    i42 = i17;
    i15 = 70;
   }
  } else {
   i41 = i12;
   i42 = get32(i22 + 4 | 0) | 0;
   i15 = 70;
  }
  if ((i15 | 0) == 70) {
   set32(i21 | 0, i41 + 1 | 0);
   set8(i42 + (i12 * 20 | 0) >> 0 | 0, 7 | 0);
   set8(i42 + (i12 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i42 + (i12 * 20 | 0) + 4 | 0, i19 | 0);
   set32(i42 + (i12 * 20 | 0) + 8 | 0, i7 | 0);
   set32(i42 + (i12 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i42 + (i12 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i42 + (i12 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i39 = get32(i5 | 0) | 0;
  }
  if (i39) {
   i12 = i2 + 72 | 0;
   d43 = +(i39 | 0);
   if (!(+getF64(i12 | 0) > d43)) break;
   setF64(i12 | 0, +d43);
   break;
  }
  i12 = get32(i21 | 0) | 0;
  i19 = get32(i23 | 0) | 0;
  if ((i19 | 0) > (i12 | 0)) {
   i44 = i12;
   i45 = get32(i22 + 4 | 0) | 0;
  } else {
   i17 = i22 + 4 | 0;
   i11 = _sqlite3DbRealloc(get32(i22 | 0) | 0, get32(i17 | 0) | 0, (i19 | 0) == 0 ? 1020 : i19 * 40 | 0) | 0;
   if (!i11) break;
   i19 = get32(i22 | 0) | 0;
   if (((i19 | 0) != 0 ? (get32(i19 + 260 | 0) | 0) >>> 0 <= i11 >>> 0 : 0) ? (get32(i19 + 264 | 0) | 0) >>> 0 > i11 >>> 0 : 0) i46 = getU16(i19 + 232 | 0) | 0; else i46 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i11) | 0;
   set32(i23 | 0, (i46 >>> 0) / 20 | 0 | 0);
   set32(i17 | 0, i11 | 0);
   i44 = get32(i21 | 0) | 0;
   i45 = i11;
  }
  set32(i21 | 0, i44 + 1 | 0);
  set8(i45 + (i12 * 20 | 0) >> 0 | 0, 1 | 0);
  set8(i45 + (i12 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i45 + (i12 * 20 | 0) + 4 | 0, 0 | 0);
  set32(i45 + (i12 * 20 | 0) + 8 | 0, i3 | 0);
  set32(i45 + (i12 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i45 + (i12 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i45 + (i12 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
 } while (0);
 i45 = get32(i2 + 44 | 0) | 0;
 if (!i45) {
  STACKTOP = i4;
  return;
 }
 i3 = get32(i8 | 0) | 0;
 i44 = i3 + 1 | 0;
 set32(i2 + 52 | 0, i44 | 0);
 set32(i8 | 0, i3 + 2 | 0);
 do if ((get8(i45 >> 0 | 0) | 0) != -124) {
  i8 = _sqlite3ExprCodeTarget(i1, i45, i44) | 0;
  if ((i8 | 0) != (i44 | 0) ? (i2 = get32(i6 | 0) | 0, (i2 | 0) != 0) : 0) {
   i46 = i2 + 28 | 0;
   i39 = get32(i46 | 0) | 0;
   i5 = i2 + 32 | 0;
   i42 = get32(i5 | 0) | 0;
   if ((i42 | 0) > (i39 | 0)) {
    i47 = i39;
    i48 = get32(i2 + 4 | 0) | 0;
   } else {
    i41 = i2 + 4 | 0;
    i40 = _sqlite3DbRealloc(get32(i2 | 0) | 0, get32(i41 | 0) | 0, (i42 | 0) == 0 ? 1020 : i42 * 40 | 0) | 0;
    if (!i40) break;
    i42 = get32(i2 | 0) | 0;
    if (((i42 | 0) != 0 ? (get32(i42 + 260 | 0) | 0) >>> 0 <= i40 >>> 0 : 0) ? (get32(i42 + 264 | 0) | 0) >>> 0 > i40 >>> 0 : 0) i49 = getU16(i42 + 232 | 0) | 0; else i49 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i40) | 0;
    set32(i5 | 0, (i49 >>> 0) / 20 | 0 | 0);
    set32(i41 | 0, i40 | 0);
    i47 = get32(i46 | 0) | 0;
    i48 = i40;
   }
   set32(i46 | 0, i47 + 1 | 0);
   set8(i48 + (i39 * 20 | 0) >> 0 | 0, 15 | 0);
   set8(i48 + (i39 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i48 + (i39 * 20 | 0) + 4 | 0, i8 | 0);
   set32(i48 + (i39 * 20 | 0) + 8 | 0, i44 | 0);
   set32(i48 + (i39 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i48 + (i39 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i48 + (i39 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  }
 } else {
  i39 = get32(i6 | 0) | 0;
  i8 = get32(i45 + 24 | 0) | 0;
  i46 = i39 + 28 | 0;
  i40 = get32(i46 | 0) | 0;
  i41 = i39 + 32 | 0;
  i5 = get32(i41 | 0) | 0;
  if ((i5 | 0) > (i40 | 0)) {
   i50 = i40;
   i51 = get32(i39 + 4 | 0) | 0;
  } else {
   i42 = i39 + 4 | 0;
   i2 = _sqlite3DbRealloc(get32(i39 | 0) | 0, get32(i42 | 0) | 0, (i5 | 0) == 0 ? 1020 : i5 * 40 | 0) | 0;
   if (!i2) break;
   i5 = get32(i39 | 0) | 0;
   if (((i5 | 0) != 0 ? (get32(i5 + 260 | 0) | 0) >>> 0 <= i2 >>> 0 : 0) ? (get32(i5 + 264 | 0) | 0) >>> 0 > i2 >>> 0 : 0) i52 = getU16(i5 + 232 | 0) | 0; else i52 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i2) | 0;
   set32(i41 | 0, (i52 >>> 0) / 20 | 0 | 0);
   set32(i42 | 0, i2 | 0);
   i50 = get32(i46 | 0) | 0;
   i51 = i2;
  }
  set32(i46 | 0, i50 + 1 | 0);
  set8(i51 + (i40 * 20 | 0) >> 0 | 0, 14 | 0);
  set8(i51 + (i40 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i51 + (i40 * 20 | 0) + 4 | 0, i8 | 0);
  set32(i51 + (i40 * 20 | 0) + 8 | 0, i44 | 0);
  set32(i51 + (i40 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i51 + (i40 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i51 + (i40 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
 } while (0);
 i51 = i22 + 28 | 0;
 i50 = get32(i51 | 0) | 0;
 i52 = i22 + 32 | 0;
 i45 = get32(i52 | 0) | 0;
 do if ((i45 | 0) > (i50 | 0)) {
  i53 = i50;
  i54 = get32(i22 + 4 | 0) | 0;
  i55 = i45;
  i15 = 163;
 } else {
  i6 = i22 + 4 | 0;
  i48 = _sqlite3DbRealloc(get32(i22 | 0) | 0, get32(i6 | 0) | 0, (i45 | 0) == 0 ? 1020 : i45 * 40 | 0) | 0;
  if (!i48) {
   i56 = get32(i52 | 0) | 0;
   i57 = get32(i51 | 0) | 0;
   break;
  }
  i47 = get32(i22 | 0) | 0;
  if (((i47 | 0) != 0 ? (get32(i47 + 260 | 0) | 0) >>> 0 <= i48 >>> 0 : 0) ? (get32(i47 + 264 | 0) | 0) >>> 0 > i48 >>> 0 : 0) i58 = getU16(i47 + 232 | 0) | 0; else i58 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i48) | 0;
  i47 = (i58 >>> 0) / 20 | 0;
  set32(i52 | 0, i47 | 0);
  set32(i6 | 0, i48 | 0);
  i53 = get32(i51 | 0) | 0;
  i54 = i48;
  i55 = i47;
  i15 = 163;
 } while (0);
 if ((i15 | 0) == 163) {
  i58 = i53 + 1 | 0;
  set32(i51 | 0, i58 | 0);
  set8(i54 + (i50 * 20 | 0) >> 0 | 0, 21 | 0);
  set8(i54 + (i50 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i54 + (i50 * 20 | 0) + 4 | 0, i44 | 0);
  set32(i54 + (i50 * 20 | 0) + 8 | 0, 0 | 0);
  set32(i54 + (i50 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i54 + (i50 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i54 + (i50 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i56 = i55;
  i57 = i58;
 }
 do if ((i56 | 0) > (i57 | 0)) {
  i59 = i57;
  i60 = get32(i22 + 4 | 0) | 0;
  i61 = i56;
  i15 = 174;
 } else {
  i58 = i22 + 4 | 0;
  i55 = _sqlite3DbRealloc(get32(i22 | 0) | 0, get32(i58 | 0) | 0, (i56 | 0) == 0 ? 1020 : i56 * 40 | 0) | 0;
  if (!i55) {
   i62 = 1;
   i63 = get32(i52 | 0) | 0;
   i64 = get32(i51 | 0) | 0;
   break;
  }
  i50 = get32(i22 | 0) | 0;
  if (((i50 | 0) != 0 ? (get32(i50 + 260 | 0) | 0) >>> 0 <= i55 >>> 0 : 0) ? (get32(i50 + 264 | 0) | 0) >>> 0 > i55 >>> 0 : 0) i65 = getU16(i50 + 232 | 0) | 0; else i65 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i55) | 0;
  i50 = (i65 >>> 0) / 20 | 0;
  set32(i52 | 0, i50 | 0);
  set32(i58 | 0, i55 | 0);
  i59 = get32(i51 | 0) | 0;
  i60 = i55;
  i61 = i50;
  i15 = 174;
 } while (0);
 if ((i15 | 0) == 174) {
  i65 = i59 + 1 | 0;
  set32(i51 | 0, i65 | 0);
  set8(i60 + (i57 * 20 | 0) >> 0 | 0, 113 | 0);
  set8(i60 + (i57 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i60 + (i57 * 20 | 0) + 4 | 0, i44 | 0);
  set32(i60 + (i57 * 20 | 0) + 8 | 0, 0 | 0);
  set32(i60 + (i57 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i60 + (i57 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i60 + (i57 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i62 = i57;
  i63 = i61;
  i64 = i65;
 }
 do if ((i63 | 0) > (i64 | 0)) {
  i66 = i64;
  i67 = get32(i22 + 4 | 0) | 0;
  i15 = 185;
 } else {
  i65 = i22 + 4 | 0;
  i61 = _sqlite3DbRealloc(get32(i22 | 0) | 0, get32(i65 | 0) | 0, (i63 | 0) == 0 ? 1020 : i63 * 40 | 0) | 0;
  if (!i61) {
   i68 = get32(i51 | 0) | 0;
   break;
  }
  i57 = get32(i22 | 0) | 0;
  if (((i57 | 0) != 0 ? (get32(i57 + 260 | 0) | 0) >>> 0 <= i61 >>> 0 : 0) ? (get32(i57 + 264 | 0) | 0) >>> 0 > i61 >>> 0 : 0) i69 = getU16(i57 + 232 | 0) | 0; else i69 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i61) | 0;
  set32(i52 | 0, (i69 >>> 0) / 20 | 0 | 0);
  set32(i65 | 0, i61 | 0);
  i66 = get32(i51 | 0) | 0;
  i67 = i61;
  i15 = 185;
 } while (0);
 if ((i15 | 0) == 185) {
  i69 = i66 + 1 | 0;
  set32(i51 | 0, i69 | 0);
  set8(i67 + (i64 * 20 | 0) >> 0 | 0, 7 | 0);
  set8(i67 + (i64 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i67 + (i64 * 20 | 0) + 4 | 0, 0 | 0);
  set32(i67 + (i64 * 20 | 0) + 8 | 0, i44 | 0);
  set32(i67 + (i64 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i67 + (i64 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i67 + (i64 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i68 = i69;
 }
 if ((i68 | 0) > (i62 | 0)) set32((get32(i22 + 4 | 0) | 0) + (i62 * 20 | 0) + 8 | 0, i68 | 0);
 i62 = i3 + 2 | 0;
 i3 = get32(i52 | 0) | 0;
 do if ((i3 | 0) > (i68 | 0)) {
  i70 = i68;
  i71 = get32(i22 + 4 | 0) | 0;
  i72 = i3;
  i15 = 198;
 } else {
  i69 = i22 + 4 | 0;
  i64 = _sqlite3DbRealloc(get32(i22 | 0) | 0, get32(i69 | 0) | 0, (i3 | 0) == 0 ? 1020 : i3 * 40 | 0) | 0;
  if (!i64) {
   i73 = get32(i52 | 0) | 0;
   i74 = get32(i51 | 0) | 0;
   break;
  }
  i67 = get32(i22 | 0) | 0;
  if (((i67 | 0) != 0 ? (get32(i67 + 260 | 0) | 0) >>> 0 <= i64 >>> 0 : 0) ? (get32(i67 + 264 | 0) | 0) >>> 0 > i64 >>> 0 : 0) i75 = getU16(i67 + 232 | 0) | 0; else i75 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i64) | 0;
  i67 = (i75 >>> 0) / 20 | 0;
  set32(i52 | 0, i67 | 0);
  set32(i69 | 0, i64 | 0);
  i70 = get32(i51 | 0) | 0;
  i71 = i64;
  i72 = i67;
  i15 = 198;
 } while (0);
 if ((i15 | 0) == 198) {
  i75 = i70 + 1 | 0;
  set32(i51 | 0, i75 | 0);
  set8(i71 + (i68 * 20 | 0) >> 0 | 0, 86 | 0);
  set8(i71 + (i68 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i71 + (i68 * 20 | 0) + 4 | 0, i7 | 0);
  set32(i71 + (i68 * 20 | 0) + 8 | 0, i44 | 0);
  set32(i71 + (i68 * 20 | 0) + 12 | 0, i62 | 0);
  set32(i71 + (i68 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i71 + (i68 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i73 = i72;
  i74 = i75;
 }
 do if ((i73 | 0) > (i74 | 0)) {
  i76 = i74;
  i77 = get32(i22 + 4 | 0) | 0;
  i78 = i73;
  i15 = 209;
 } else {
  i75 = i22 + 4 | 0;
  i72 = _sqlite3DbRealloc(get32(i22 | 0) | 0, get32(i75 | 0) | 0, (i73 | 0) == 0 ? 1020 : i73 * 40 | 0) | 0;
  if (!i72) {
   i79 = 1;
   i80 = get32(i52 | 0) | 0;
   i81 = get32(i51 | 0) | 0;
   break;
  }
  i68 = get32(i22 | 0) | 0;
  if (((i68 | 0) != 0 ? (get32(i68 + 260 | 0) | 0) >>> 0 <= i72 >>> 0 : 0) ? (get32(i68 + 264 | 0) | 0) >>> 0 > i72 >>> 0 : 0) i82 = getU16(i68 + 232 | 0) | 0; else i82 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i72) | 0;
  i68 = (i82 >>> 0) / 20 | 0;
  set32(i52 | 0, i68 | 0);
  set32(i75 | 0, i72 | 0);
  i76 = get32(i51 | 0) | 0;
  i77 = i72;
  i78 = i68;
  i15 = 209;
 } while (0);
 if ((i15 | 0) == 209) {
  i82 = i76 + 1 | 0;
  set32(i51 | 0, i82 | 0);
  set8(i77 + (i74 * 20 | 0) >> 0 | 0, 113 | 0);
  set8(i77 + (i74 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i77 + (i74 * 20 | 0) + 4 | 0, i7 | 0);
  set32(i77 + (i74 * 20 | 0) + 8 | 0, 0 | 0);
  set32(i77 + (i74 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i77 + (i74 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i77 + (i74 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i79 = i74;
  i80 = i78;
  i81 = i82;
 }
 do if ((i80 | 0) > (i81 | 0)) {
  i83 = i81;
  i84 = get32(i22 + 4 | 0) | 0;
  i15 = 220;
 } else {
  i82 = i22 + 4 | 0;
  i78 = _sqlite3DbRealloc(get32(i22 | 0) | 0, get32(i82 | 0) | 0, (i80 | 0) == 0 ? 1020 : i80 * 40 | 0) | 0;
  if (!i78) {
   i85 = get32(i51 | 0) | 0;
   break;
  }
  i74 = get32(i22 | 0) | 0;
  if (((i74 | 0) != 0 ? (get32(i74 + 260 | 0) | 0) >>> 0 <= i78 >>> 0 : 0) ? (get32(i74 + 264 | 0) | 0) >>> 0 > i78 >>> 0 : 0) i86 = getU16(i74 + 232 | 0) | 0; else i86 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i78) | 0;
  set32(i52 | 0, (i86 >>> 0) / 20 | 0 | 0);
  set32(i82 | 0, i78 | 0);
  i83 = get32(i51 | 0) | 0;
  i84 = i78;
  i15 = 220;
 } while (0);
 if ((i15 | 0) == 220) {
  i15 = i83 + 1 | 0;
  set32(i51 | 0, i15 | 0);
  set8(i84 + (i81 * 20 | 0) >> 0 | 0, 7 | 0);
  set8(i84 + (i81 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i84 + (i81 * 20 | 0) + 4 | 0, -1 | 0);
  set32(i84 + (i81 * 20 | 0) + 8 | 0, i62 | 0);
  set32(i84 + (i81 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i84 + (i81 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i84 + (i81 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i85 = i15;
 }
 if ((i85 | 0) <= (i79 | 0)) {
  STACKTOP = i4;
  return;
 }
 set32((get32(i22 + 4 | 0) | 0) + (i79 * 20 | 0) + 8 | 0, i85 | 0);
 STACKTOP = i4;
 return;
}

function _sqlite3SrcListDup(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0;
 if (!i2) {
  i4 = 0;
  return i4 | 0;
 }
 i5 = get16(i2 | 0) | 0;
 if (i5 << 16 >> 16 > 0) i6 = ((i5 << 16 >> 16) * 56 | 0) + 8 | 0; else i6 = 64;
 i5 = (i1 | 0) == 0;
 L7 : do if (i5) {
  if ((i6 + -1 | 0) >>> 0 > 2147483390) {
   i4 = 0;
   return i4 | 0;
  }
  if (!(get32(50 * 4 | 0) | 0)) {
   i7 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i6) | 0;
   i8 = 43;
   break;
  }
  i9 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i6) | 0;
  set32(35 * 4 | 0, i6 | 0);
  if ((get32(45 * 4 | 0) | 0) < (i6 | 0)) set32(45 * 4 | 0, i6 | 0);
  i10 = get32(6 * 4 | 0) | 0;
  do if (i10) {
   i11 = get32(30 * 4 | 0) | 0;
   i12 = ((i11 | 0) < 0) << 31 >> 31;
   i13 = 16;
   i14 = _i64Subtract(get32(i13 | 0) | 0, get32(i13 + 4 | 0) | 0, i9 | 0, ((i9 | 0) < 0) << 31 >> 31 | 0) | 0;
   i13 = tempRet0;
   if ((i12 | 0) < (i13 | 0) | (i12 | 0) == (i13 | 0) & i11 >>> 0 < i14 >>> 0) {
    set32(11 * 4 | 0, 0 | 0);
    break;
   } else {
    set32(11 * 4 | 0, 1 | 0);
    i14 = get32(7 * 4 | 0) | 0;
    set32(6 * 4 | 0, 0 | 0);
    FUNCTION_TABLE_viiii[i10 & 15](i14, i11, i12, i9);
    set32(6 * 4 | 0, i10 | 0);
    set32(7 * 4 | 0, i14 | 0);
    break;
   }
  } while (0);
  i10 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i9) | 0;
  if (!i10) {
   i4 = 0;
   return i4 | 0;
  }
  i14 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i10) | 0;
  i12 = (get32(30 * 4 | 0) | 0) + i14 | 0;
  set32(30 * 4 | 0, i12 | 0);
  if ((i12 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i12 | 0);
  i12 = get32(39 * 4 | 0) | 0;
  i14 = i12 + 1 | 0;
  set32(39 * 4 | 0, i14 | 0);
  if ((i12 | 0) < (get32(49 * 4 | 0) | 0)) i15 = i10; else {
   set32(49 * 4 | 0, i14 | 0);
   i15 = i10;
  }
 } else {
  i10 = i1 + 30 | 0;
  if (get8(i10 >> 0 | 0) | 0) {
   i4 = 0;
   return i4 | 0;
  }
  do if (get8(i1 + 234 >> 0 | 0) | 0) {
   if ((getU16(i1 + 232 | 0) | 0) < (i6 | 0)) {
    i14 = i1 + 248 | 0;
    set32(i14 | 0, (get32(i14 | 0) | 0) + 1 | 0);
    break;
   }
   i14 = i1 + 256 | 0;
   i12 = get32(i14 | 0) | 0;
   if (!i12) {
    i11 = i1 + 252 | 0;
    set32(i11 | 0, (get32(i11 | 0) | 0) + 1 | 0);
    break;
   }
   set32(i14 | 0, get32(i12 | 0) | 0);
   i14 = i1 + 236 | 0;
   i11 = get32(i14 | 0) | 0;
   i13 = i11 + 1 | 0;
   set32(i14 | 0, i13 | 0);
   i14 = i1 + 244 | 0;
   set32(i14 | 0, (get32(i14 | 0) | 0) + 1 | 0);
   i14 = i1 + 240 | 0;
   if ((i11 | 0) >= (get32(i14 | 0) | 0)) set32(i14 | 0, i13 | 0);
   i7 = i12;
   i8 = 43;
   break L7;
  } while (0);
  do if ((i6 + -1 | 0) >>> 0 <= 2147483390) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i9 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i6) | 0;
    if (!i9) break; else {
     i15 = i9;
     break L7;
    }
   }
   i9 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i6) | 0;
   set32(35 * 4 | 0, i6 | 0);
   if ((get32(45 * 4 | 0) | 0) < (i6 | 0)) set32(45 * 4 | 0, i6 | 0);
   i12 = get32(6 * 4 | 0) | 0;
   do if (i12) {
    i13 = get32(30 * 4 | 0) | 0;
    i14 = ((i13 | 0) < 0) << 31 >> 31;
    i11 = 16;
    i16 = _i64Subtract(get32(i11 | 0) | 0, get32(i11 + 4 | 0) | 0, i9 | 0, ((i9 | 0) < 0) << 31 >> 31 | 0) | 0;
    i11 = tempRet0;
    if ((i14 | 0) < (i11 | 0) | (i14 | 0) == (i11 | 0) & i13 >>> 0 < i16 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i16 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i12 & 15](i16, i13, i14, i9);
     set32(6 * 4 | 0, i12 | 0);
     set32(7 * 4 | 0, i16 | 0);
     break;
    }
   } while (0);
   i12 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i9) | 0;
   if (i12) {
    i16 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i12) | 0;
    i14 = (get32(30 * 4 | 0) | 0) + i16 | 0;
    set32(30 * 4 | 0, i14 | 0);
    if ((i14 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i14 | 0);
    i14 = get32(39 * 4 | 0) | 0;
    i16 = i14 + 1 | 0;
    set32(39 * 4 | 0, i16 | 0);
    if ((i14 | 0) < (get32(49 * 4 | 0) | 0)) {
     i15 = i12;
     break L7;
    }
    set32(49 * 4 | 0, i16 | 0);
    i15 = i12;
    break L7;
   }
  } while (0);
  set8(i10 >> 0 | 0, 1 | 0);
  i4 = 0;
  return i4 | 0;
 } while (0);
 if ((i8 | 0) == 43) if (!i7) {
  i4 = 0;
  return i4 | 0;
 } else i15 = i7;
 i7 = get16(i2 | 0) | 0;
 set16(i15 + 2 | 0, i7 | 0);
 set16(i15 | 0, i7 | 0);
 if ((get16(i2 | 0) | 0) <= 0) {
  i4 = i15;
  return i4 | 0;
 }
 i7 = i15 + 8 | 0;
 i6 = i1 + 30 | 0;
 i12 = i1 + 234 | 0;
 i16 = i1 + 232 | 0;
 i14 = i1 + 248 | 0;
 i13 = i1 + 256 | 0;
 i11 = i1 + 252 | 0;
 i17 = i1 + 236 | 0;
 i18 = i1 + 244 | 0;
 i19 = i1 + 240 | 0;
 i20 = 0;
 while (1) {
  i21 = get32(i2 + 8 + (i20 * 56 | 0) | 0) | 0;
  L77 : do if (!i21) i22 = 0; else {
   i23 = i21;
   while (1) if (!(get8(i23 >> 0 | 0) | 0)) {
    i24 = i23;
    break;
   } else i23 = i23 + 1 | 0;
   i23 = (i24 - i21 & 1073741823) + 1 | 0;
   L81 : do if (i5) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i25 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i23) | 0;
     i8 = 85;
     break;
    }
    i9 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i23) | 0;
    set32(35 * 4 | 0, i23 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i23 | 0)) set32(45 * 4 | 0, i23 | 0);
    i26 = get32(6 * 4 | 0) | 0;
    do if (i26) {
     i27 = get32(30 * 4 | 0) | 0;
     i28 = ((i27 | 0) < 0) << 31 >> 31;
     i29 = 16;
     i30 = _i64Subtract(get32(i29 | 0) | 0, get32(i29 + 4 | 0) | 0, i9 | 0, ((i9 | 0) < 0) << 31 >> 31 | 0) | 0;
     i29 = tempRet0;
     if ((i28 | 0) < (i29 | 0) | (i28 | 0) == (i29 | 0) & i27 >>> 0 < i30 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i30 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i26 & 15](i30, i27, i28, i9);
      set32(6 * 4 | 0, i26 | 0);
      set32(7 * 4 | 0, i30 | 0);
      break;
     }
    } while (0);
    i26 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i9) | 0;
    if (!i26) {
     i22 = 0;
     break L77;
    }
    i30 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i26) | 0;
    i28 = (get32(30 * 4 | 0) | 0) + i30 | 0;
    set32(30 * 4 | 0, i28 | 0);
    if ((i28 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i28 | 0);
    i28 = get32(39 * 4 | 0) | 0;
    i30 = i28 + 1 | 0;
    set32(39 * 4 | 0, i30 | 0);
    if ((i28 | 0) < (get32(49 * 4 | 0) | 0)) i31 = i26; else {
     set32(49 * 4 | 0, i30 | 0);
     i31 = i26;
    }
   } else {
    if (get8(i6 >> 0 | 0) | 0) {
     i22 = 0;
     break L77;
    }
    do if (get8(i12 >> 0 | 0) | 0) {
     if ((getU16(i16 | 0) | 0) >>> 0 < i23 >>> 0) {
      set32(i14 | 0, (get32(i14 | 0) | 0) + 1 | 0);
      break;
     }
     i26 = get32(i13 | 0) | 0;
     if (!i26) {
      set32(i11 | 0, (get32(i11 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i13 | 0, get32(i26 | 0) | 0);
     i30 = get32(i17 | 0) | 0;
     i28 = i30 + 1 | 0;
     set32(i17 | 0, i28 | 0);
     set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
     if ((i30 | 0) >= (get32(i19 | 0) | 0)) set32(i19 | 0, i28 | 0);
     i25 = i26;
     i8 = 85;
     break L81;
    } while (0);
    if (!(get32(50 * 4 | 0) | 0)) {
     i9 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i23) | 0;
     if (i9) {
      i31 = i9;
      break;
     }
    } else {
     i9 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i23) | 0;
     set32(35 * 4 | 0, i23 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i23 | 0)) set32(45 * 4 | 0, i23 | 0);
     i26 = get32(6 * 4 | 0) | 0;
     do if (i26) {
      i28 = get32(30 * 4 | 0) | 0;
      i30 = ((i28 | 0) < 0) << 31 >> 31;
      i27 = 16;
      i29 = _i64Subtract(get32(i27 | 0) | 0, get32(i27 + 4 | 0) | 0, i9 | 0, ((i9 | 0) < 0) << 31 >> 31 | 0) | 0;
      i27 = tempRet0;
      if ((i30 | 0) < (i27 | 0) | (i30 | 0) == (i27 | 0) & i28 >>> 0 < i29 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i29 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i26 & 15](i29, i28, i30, i9);
       set32(6 * 4 | 0, i26 | 0);
       set32(7 * 4 | 0, i29 | 0);
       break;
      }
     } while (0);
     i26 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i9) | 0;
     if (i26) {
      i29 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i26) | 0;
      i30 = (get32(30 * 4 | 0) | 0) + i29 | 0;
      set32(30 * 4 | 0, i30 | 0);
      if ((i30 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i30 | 0);
      i30 = get32(39 * 4 | 0) | 0;
      i29 = i30 + 1 | 0;
      set32(39 * 4 | 0, i29 | 0);
      if ((i30 | 0) < (get32(49 * 4 | 0) | 0)) {
       i31 = i26;
       break;
      }
      set32(49 * 4 | 0, i29 | 0);
      i31 = i26;
      break;
     }
    }
    set8(i6 >> 0 | 0, 1 | 0);
    i22 = 0;
    break L77;
   } while (0);
   if ((i8 | 0) == 85) {
    i8 = 0;
    if (!i25) {
     i22 = 0;
     break;
    } else i31 = i25;
   }
   _memcpy(i31 | 0, i21 | 0, i23 | 0) | 0;
   i22 = i31;
  } while (0);
  set32(i7 + (i20 * 56 | 0) | 0, i22 | 0);
  i21 = get32(i2 + 8 + (i20 * 56 | 0) + 4 | 0) | 0;
  L136 : do if (!i21) i32 = 0; else {
   i10 = i21;
   while (1) if (!(get8(i10 >> 0 | 0) | 0)) {
    i33 = i10;
    break;
   } else i10 = i10 + 1 | 0;
   i10 = (i33 - i21 & 1073741823) + 1 | 0;
   L140 : do if (i5) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i34 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i10) | 0;
     i8 = 126;
     break;
    }
    i23 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i10) | 0;
    set32(35 * 4 | 0, i10 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i10 | 0)) set32(45 * 4 | 0, i10 | 0);
    i26 = get32(6 * 4 | 0) | 0;
    do if (i26) {
     i29 = get32(30 * 4 | 0) | 0;
     i30 = ((i29 | 0) < 0) << 31 >> 31;
     i28 = 16;
     i27 = _i64Subtract(get32(i28 | 0) | 0, get32(i28 + 4 | 0) | 0, i23 | 0, ((i23 | 0) < 0) << 31 >> 31 | 0) | 0;
     i28 = tempRet0;
     if ((i30 | 0) < (i28 | 0) | (i30 | 0) == (i28 | 0) & i29 >>> 0 < i27 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i27 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i26 & 15](i27, i29, i30, i23);
      set32(6 * 4 | 0, i26 | 0);
      set32(7 * 4 | 0, i27 | 0);
      break;
     }
    } while (0);
    i26 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i23) | 0;
    if (!i26) {
     i32 = 0;
     break L136;
    }
    i9 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i26) | 0;
    i27 = (get32(30 * 4 | 0) | 0) + i9 | 0;
    set32(30 * 4 | 0, i27 | 0);
    if ((i27 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i27 | 0);
    i27 = get32(39 * 4 | 0) | 0;
    i9 = i27 + 1 | 0;
    set32(39 * 4 | 0, i9 | 0);
    if ((i27 | 0) < (get32(49 * 4 | 0) | 0)) i35 = i26; else {
     set32(49 * 4 | 0, i9 | 0);
     i35 = i26;
    }
   } else {
    if (get8(i6 >> 0 | 0) | 0) {
     i32 = 0;
     break L136;
    }
    do if (get8(i12 >> 0 | 0) | 0) {
     if ((getU16(i16 | 0) | 0) >>> 0 < i10 >>> 0) {
      set32(i14 | 0, (get32(i14 | 0) | 0) + 1 | 0);
      break;
     }
     i26 = get32(i13 | 0) | 0;
     if (!i26) {
      set32(i11 | 0, (get32(i11 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i13 | 0, get32(i26 | 0) | 0);
     i9 = get32(i17 | 0) | 0;
     i27 = i9 + 1 | 0;
     set32(i17 | 0, i27 | 0);
     set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
     if ((i9 | 0) >= (get32(i19 | 0) | 0)) set32(i19 | 0, i27 | 0);
     i34 = i26;
     i8 = 126;
     break L140;
    } while (0);
    if (!(get32(50 * 4 | 0) | 0)) {
     i23 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i10) | 0;
     if (i23) {
      i35 = i23;
      break;
     }
    } else {
     i23 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i10) | 0;
     set32(35 * 4 | 0, i10 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i10 | 0)) set32(45 * 4 | 0, i10 | 0);
     i26 = get32(6 * 4 | 0) | 0;
     do if (i26) {
      i27 = get32(30 * 4 | 0) | 0;
      i9 = ((i27 | 0) < 0) << 31 >> 31;
      i30 = 16;
      i29 = _i64Subtract(get32(i30 | 0) | 0, get32(i30 + 4 | 0) | 0, i23 | 0, ((i23 | 0) < 0) << 31 >> 31 | 0) | 0;
      i30 = tempRet0;
      if ((i9 | 0) < (i30 | 0) | (i9 | 0) == (i30 | 0) & i27 >>> 0 < i29 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i29 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i26 & 15](i29, i27, i9, i23);
       set32(6 * 4 | 0, i26 | 0);
       set32(7 * 4 | 0, i29 | 0);
       break;
      }
     } while (0);
     i26 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i23) | 0;
     if (i26) {
      i29 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i26) | 0;
      i9 = (get32(30 * 4 | 0) | 0) + i29 | 0;
      set32(30 * 4 | 0, i9 | 0);
      if ((i9 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i9 | 0);
      i9 = get32(39 * 4 | 0) | 0;
      i29 = i9 + 1 | 0;
      set32(39 * 4 | 0, i29 | 0);
      if ((i9 | 0) < (get32(49 * 4 | 0) | 0)) {
       i35 = i26;
       break;
      }
      set32(49 * 4 | 0, i29 | 0);
      i35 = i26;
      break;
     }
    }
    set8(i6 >> 0 | 0, 1 | 0);
    i32 = 0;
    break L136;
   } while (0);
   if ((i8 | 0) == 126) {
    i8 = 0;
    if (!i34) {
     i32 = 0;
     break;
    } else i35 = i34;
   }
   _memcpy(i35 | 0, i21 | 0, i10 | 0) | 0;
   i32 = i35;
  } while (0);
  set32(i7 + (i20 * 56 | 0) + 4 | 0, i32 | 0);
  i21 = get32(i2 + 8 + (i20 * 56 | 0) + 8 | 0) | 0;
  L195 : do if (!i21) i36 = 0; else {
   i26 = i21;
   while (1) if (!(get8(i26 >> 0 | 0) | 0)) {
    i37 = i26;
    break;
   } else i26 = i26 + 1 | 0;
   i26 = (i37 - i21 & 1073741823) + 1 | 0;
   L199 : do if (i5) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i38 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i26) | 0;
     i8 = 167;
     break;
    }
    i10 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i26) | 0;
    set32(35 * 4 | 0, i26 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i26 | 0)) set32(45 * 4 | 0, i26 | 0);
    i29 = get32(6 * 4 | 0) | 0;
    do if (i29) {
     i9 = get32(30 * 4 | 0) | 0;
     i27 = ((i9 | 0) < 0) << 31 >> 31;
     i30 = 16;
     i28 = _i64Subtract(get32(i30 | 0) | 0, get32(i30 + 4 | 0) | 0, i10 | 0, ((i10 | 0) < 0) << 31 >> 31 | 0) | 0;
     i30 = tempRet0;
     if ((i27 | 0) < (i30 | 0) | (i27 | 0) == (i30 | 0) & i9 >>> 0 < i28 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i28 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i29 & 15](i28, i9, i27, i10);
      set32(6 * 4 | 0, i29 | 0);
      set32(7 * 4 | 0, i28 | 0);
      break;
     }
    } while (0);
    i29 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i10) | 0;
    if (!i29) {
     i36 = 0;
     break L195;
    }
    i23 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i29) | 0;
    i28 = (get32(30 * 4 | 0) | 0) + i23 | 0;
    set32(30 * 4 | 0, i28 | 0);
    if ((i28 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i28 | 0);
    i28 = get32(39 * 4 | 0) | 0;
    i23 = i28 + 1 | 0;
    set32(39 * 4 | 0, i23 | 0);
    if ((i28 | 0) < (get32(49 * 4 | 0) | 0)) i39 = i29; else {
     set32(49 * 4 | 0, i23 | 0);
     i39 = i29;
    }
   } else {
    if (get8(i6 >> 0 | 0) | 0) {
     i36 = 0;
     break L195;
    }
    do if (get8(i12 >> 0 | 0) | 0) {
     if ((getU16(i16 | 0) | 0) >>> 0 < i26 >>> 0) {
      set32(i14 | 0, (get32(i14 | 0) | 0) + 1 | 0);
      break;
     }
     i29 = get32(i13 | 0) | 0;
     if (!i29) {
      set32(i11 | 0, (get32(i11 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i13 | 0, get32(i29 | 0) | 0);
     i23 = get32(i17 | 0) | 0;
     i28 = i23 + 1 | 0;
     set32(i17 | 0, i28 | 0);
     set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
     if ((i23 | 0) >= (get32(i19 | 0) | 0)) set32(i19 | 0, i28 | 0);
     i38 = i29;
     i8 = 167;
     break L199;
    } while (0);
    if (!(get32(50 * 4 | 0) | 0)) {
     i10 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i26) | 0;
     if (i10) {
      i39 = i10;
      break;
     }
    } else {
     i10 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i26) | 0;
     set32(35 * 4 | 0, i26 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i26 | 0)) set32(45 * 4 | 0, i26 | 0);
     i29 = get32(6 * 4 | 0) | 0;
     do if (i29) {
      i28 = get32(30 * 4 | 0) | 0;
      i23 = ((i28 | 0) < 0) << 31 >> 31;
      i27 = 16;
      i9 = _i64Subtract(get32(i27 | 0) | 0, get32(i27 + 4 | 0) | 0, i10 | 0, ((i10 | 0) < 0) << 31 >> 31 | 0) | 0;
      i27 = tempRet0;
      if ((i23 | 0) < (i27 | 0) | (i23 | 0) == (i27 | 0) & i28 >>> 0 < i9 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i9 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i29 & 15](i9, i28, i23, i10);
       set32(6 * 4 | 0, i29 | 0);
       set32(7 * 4 | 0, i9 | 0);
       break;
      }
     } while (0);
     i29 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i10) | 0;
     if (i29) {
      i9 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i29) | 0;
      i23 = (get32(30 * 4 | 0) | 0) + i9 | 0;
      set32(30 * 4 | 0, i23 | 0);
      if ((i23 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i23 | 0);
      i23 = get32(39 * 4 | 0) | 0;
      i9 = i23 + 1 | 0;
      set32(39 * 4 | 0, i9 | 0);
      if ((i23 | 0) < (get32(49 * 4 | 0) | 0)) {
       i39 = i29;
       break;
      }
      set32(49 * 4 | 0, i9 | 0);
      i39 = i29;
      break;
     }
    }
    set8(i6 >> 0 | 0, 1 | 0);
    i36 = 0;
    break L195;
   } while (0);
   if ((i8 | 0) == 167) {
    i8 = 0;
    if (!i38) {
     i36 = 0;
     break;
    } else i39 = i38;
   }
   _memcpy(i39 | 0, i21 | 0, i26 | 0) | 0;
   i36 = i39;
  } while (0);
  set32(i7 + (i20 * 56 | 0) + 8 | 0, i36 | 0);
  set8(i7 + (i20 * 56 | 0) + 21 >> 0 | 0, get8(i2 + 8 + (i20 * 56 | 0) + 21 >> 0 | 0) | 0 | 0);
  set32(i7 + (i20 * 56 | 0) + 24 | 0, get32(i2 + 8 + (i20 * 56 | 0) + 24 | 0) | 0);
  set8(i7 + (i20 * 56 | 0) + 20 >> 0 | 0, get8(i2 + 8 + (i20 * 56 | 0) + 20 >> 0 | 0) | 0 | 0);
  i21 = get32(i2 + 8 + (i20 * 56 | 0) + 48 | 0) | 0;
  L254 : do if (!i21) i40 = 0; else {
   i29 = i21;
   while (1) if (!(get8(i29 >> 0 | 0) | 0)) {
    i41 = i29;
    break;
   } else i29 = i29 + 1 | 0;
   i29 = (i41 - i21 & 1073741823) + 1 | 0;
   L258 : do if (i5) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i42 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i29) | 0;
     i8 = 208;
     break;
    }
    i26 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i29) | 0;
    set32(35 * 4 | 0, i29 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i29 | 0)) set32(45 * 4 | 0, i29 | 0);
    i9 = get32(6 * 4 | 0) | 0;
    do if (i9) {
     i23 = get32(30 * 4 | 0) | 0;
     i28 = ((i23 | 0) < 0) << 31 >> 31;
     i27 = 16;
     i30 = _i64Subtract(get32(i27 | 0) | 0, get32(i27 + 4 | 0) | 0, i26 | 0, ((i26 | 0) < 0) << 31 >> 31 | 0) | 0;
     i27 = tempRet0;
     if ((i28 | 0) < (i27 | 0) | (i28 | 0) == (i27 | 0) & i23 >>> 0 < i30 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i30 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i9 & 15](i30, i23, i28, i26);
      set32(6 * 4 | 0, i9 | 0);
      set32(7 * 4 | 0, i30 | 0);
      break;
     }
    } while (0);
    i9 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i26) | 0;
    if (!i9) {
     i40 = 0;
     break L254;
    }
    i10 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i9) | 0;
    i30 = (get32(30 * 4 | 0) | 0) + i10 | 0;
    set32(30 * 4 | 0, i30 | 0);
    if ((i30 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i30 | 0);
    i30 = get32(39 * 4 | 0) | 0;
    i10 = i30 + 1 | 0;
    set32(39 * 4 | 0, i10 | 0);
    if ((i30 | 0) < (get32(49 * 4 | 0) | 0)) i43 = i9; else {
     set32(49 * 4 | 0, i10 | 0);
     i43 = i9;
    }
   } else {
    if (get8(i6 >> 0 | 0) | 0) {
     i40 = 0;
     break L254;
    }
    do if (get8(i12 >> 0 | 0) | 0) {
     if ((getU16(i16 | 0) | 0) >>> 0 < i29 >>> 0) {
      set32(i14 | 0, (get32(i14 | 0) | 0) + 1 | 0);
      break;
     }
     i9 = get32(i13 | 0) | 0;
     if (!i9) {
      set32(i11 | 0, (get32(i11 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i13 | 0, get32(i9 | 0) | 0);
     i10 = get32(i17 | 0) | 0;
     i30 = i10 + 1 | 0;
     set32(i17 | 0, i30 | 0);
     set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
     if ((i10 | 0) >= (get32(i19 | 0) | 0)) set32(i19 | 0, i30 | 0);
     i42 = i9;
     i8 = 208;
     break L258;
    } while (0);
    if (!(get32(50 * 4 | 0) | 0)) {
     i26 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i29) | 0;
     if (i26) {
      i43 = i26;
      break;
     }
    } else {
     i26 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i29) | 0;
     set32(35 * 4 | 0, i29 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i29 | 0)) set32(45 * 4 | 0, i29 | 0);
     i9 = get32(6 * 4 | 0) | 0;
     do if (i9) {
      i30 = get32(30 * 4 | 0) | 0;
      i10 = ((i30 | 0) < 0) << 31 >> 31;
      i28 = 16;
      i23 = _i64Subtract(get32(i28 | 0) | 0, get32(i28 + 4 | 0) | 0, i26 | 0, ((i26 | 0) < 0) << 31 >> 31 | 0) | 0;
      i28 = tempRet0;
      if ((i10 | 0) < (i28 | 0) | (i10 | 0) == (i28 | 0) & i30 >>> 0 < i23 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i23 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i9 & 15](i23, i30, i10, i26);
       set32(6 * 4 | 0, i9 | 0);
       set32(7 * 4 | 0, i23 | 0);
       break;
      }
     } while (0);
     i9 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i26) | 0;
     if (i9) {
      i23 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i9) | 0;
      i10 = (get32(30 * 4 | 0) | 0) + i23 | 0;
      set32(30 * 4 | 0, i10 | 0);
      if ((i10 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i10 | 0);
      i10 = get32(39 * 4 | 0) | 0;
      i23 = i10 + 1 | 0;
      set32(39 * 4 | 0, i23 | 0);
      if ((i10 | 0) < (get32(49 * 4 | 0) | 0)) {
       i43 = i9;
       break;
      }
      set32(49 * 4 | 0, i23 | 0);
      i43 = i9;
      break;
     }
    }
    set8(i6 >> 0 | 0, 1 | 0);
    i40 = 0;
    break L254;
   } while (0);
   if ((i8 | 0) == 208) {
    i8 = 0;
    if (!i42) {
     i40 = 0;
     break;
    } else i43 = i42;
   }
   _memcpy(i43 | 0, i21 | 0, i29 | 0) | 0;
   i40 = i43;
  } while (0);
  set32(i7 + (i20 * 56 | 0) + 48 | 0, i40 | 0);
  set8(i7 + (i20 * 56 | 0) + 22 >> 0 | 0, get8(i2 + 8 + (i20 * 56 | 0) + 22 >> 0 | 0) | 0 | 0);
  set32(i7 + (i20 * 56 | 0) + 52 | 0, get32(i2 + 8 + (i20 * 56 | 0) + 52 | 0) | 0);
  i21 = get32(i2 + 8 + (i20 * 56 | 0) + 12 | 0) | 0;
  set32(i7 + (i20 * 56 | 0) + 12 | 0, i21 | 0);
  if (i21) {
   i9 = i21 + 32 | 0;
   set16(i9 | 0, (get16(i9 | 0) | 0) + 1 << 16 >> 16 | 0);
  }
  set32(i7 + (i20 * 56 | 0) + 16 | 0, _sqlite3SelectDup(i1, get32(i2 + 8 + (i20 * 56 | 0) + 16 | 0) | 0, i3) | 0 | 0);
  set32(i7 + (i20 * 56 | 0) + 28 | 0, _exprDup(i1, get32(i2 + 8 + (i20 * 56 | 0) + 28 | 0) | 0, i3, 0) | 0 | 0);
  set32(i7 + (i20 * 56 | 0) + 32 | 0, _sqlite3IdListDup(i1, get32(i2 + 8 + (i20 * 56 | 0) + 32 | 0) | 0) | 0 | 0);
  i9 = i2 + 8 + (i20 * 56 | 0) + 40 | 0;
  i21 = get32(i9 + 4 | 0) | 0;
  i23 = i7 + (i20 * 56 | 0) + 40 | 0;
  set32(i23 | 0, get32(i9 | 0) | 0);
  set32(i23 + 4 | 0, i21 | 0);
  i20 = i20 + 1 | 0;
  if ((i20 | 0) >= (get16(i2 | 0) | 0)) {
   i4 = i15;
   break;
  }
 }
 return i4 | 0;
}

function _sqlite3OpenTableAndIndices(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i6 = i5;
 i7 = i2 + 34 | 0;
 if (get8(i7 >> 0 | 0) & 16) {
  i8 = 0;
  STACKTOP = i5;
  return i8 | 0;
 }
 i9 = get32(i1 | 0) | 0;
 i10 = get32(i2 + 68 | 0) | 0;
 L4 : do if (i10) {
  i11 = get32(i9 + 4 | 0) | 0;
  if ((i11 | 0) > 0) {
   i12 = get32(i9 + 8 | 0) | 0;
   i13 = 0;
   while (1) {
    if ((get32(i12 + (i13 << 4) + 12 | 0) | 0) == (i10 | 0)) {
     i14 = i13;
     break L4;
    }
    i15 = i13 + 1 | 0;
    if ((i15 | 0) < (i11 | 0)) i13 = i15; else {
     i14 = i15;
     break;
    }
   }
  } else i14 = 0;
 } else i14 = -1e6; while (0);
 i10 = i1 + 12 | 0;
 i13 = get32(i10 | 0) | 0;
 do if (!i13) {
  L13 : do if (!i9) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i16 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
    i17 = 45;
    break;
   }
   i11 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
   set32(35 * 4 | 0, 192 | 0);
   if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
   i12 = get32(6 * 4 | 0) | 0;
   do if (i12) {
    i15 = get32(30 * 4 | 0) | 0;
    i18 = ((i15 | 0) < 0) << 31 >> 31;
    i19 = 16;
    i20 = _i64Subtract(get32(i19 | 0) | 0, get32(i19 + 4 | 0) | 0, i11 | 0, ((i11 | 0) < 0) << 31 >> 31 | 0) | 0;
    i19 = tempRet0;
    if ((i18 | 0) < (i19 | 0) | (i18 | 0) == (i19 | 0) & i15 >>> 0 < i20 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i20 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i12 & 15](i20, i15, i18, i11);
     set32(6 * 4 | 0, i12 | 0);
     set32(7 * 4 | 0, i20 | 0);
     break;
    }
   } while (0);
   i12 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i11) | 0;
   if (i12) {
    i20 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i12) | 0;
    i18 = (get32(30 * 4 | 0) | 0) + i20 | 0;
    set32(30 * 4 | 0, i18 | 0);
    if ((i18 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i18 | 0);
    i18 = get32(39 * 4 | 0) | 0;
    i20 = i18 + 1 | 0;
    set32(39 * 4 | 0, i20 | 0);
    if ((i18 | 0) < (get32(49 * 4 | 0) | 0)) i21 = i12; else {
     set32(49 * 4 | 0, i20 | 0);
     i21 = i12;
    }
   } else i17 = 46;
  } else {
   i12 = i9 + 30 | 0;
   if (!(get8(i12 >> 0 | 0) | 0)) {
    do if (get8(i9 + 234 >> 0 | 0) | 0) {
     if ((getU16(i9 + 232 | 0) | 0) < 192) {
      i20 = i9 + 248 | 0;
      set32(i20 | 0, (get32(i20 | 0) | 0) + 1 | 0);
      break;
     }
     i20 = i9 + 256 | 0;
     i18 = get32(i20 | 0) | 0;
     if (!i18) {
      i15 = i9 + 252 | 0;
      set32(i15 | 0, (get32(i15 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i20 | 0, get32(i18 | 0) | 0);
     i20 = i9 + 236 | 0;
     i15 = get32(i20 | 0) | 0;
     i19 = i15 + 1 | 0;
     set32(i20 | 0, i19 | 0);
     i20 = i9 + 244 | 0;
     set32(i20 | 0, (get32(i20 | 0) | 0) + 1 | 0);
     i20 = i9 + 240 | 0;
     if ((i15 | 0) >= (get32(i20 | 0) | 0)) set32(i20 | 0, i19 | 0);
     i16 = i18;
     i17 = 45;
     break L13;
    } while (0);
    if (!(get32(50 * 4 | 0) | 0)) {
     i11 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
     if (i11) {
      i21 = i11;
      break;
     }
    } else {
     i11 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
     set32(35 * 4 | 0, 192 | 0);
     if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
     i18 = get32(6 * 4 | 0) | 0;
     do if (i18) {
      i19 = get32(30 * 4 | 0) | 0;
      i20 = ((i19 | 0) < 0) << 31 >> 31;
      i15 = 16;
      i22 = _i64Subtract(get32(i15 | 0) | 0, get32(i15 + 4 | 0) | 0, i11 | 0, ((i11 | 0) < 0) << 31 >> 31 | 0) | 0;
      i15 = tempRet0;
      if ((i20 | 0) < (i15 | 0) | (i20 | 0) == (i15 | 0) & i19 >>> 0 < i22 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i22 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i18 & 15](i22, i19, i20, i11);
       set32(6 * 4 | 0, i18 | 0);
       set32(7 * 4 | 0, i22 | 0);
       break;
      }
     } while (0);
     i18 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i11) | 0;
     if (i18) {
      i22 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i18) | 0;
      i20 = (get32(30 * 4 | 0) | 0) + i22 | 0;
      set32(30 * 4 | 0, i20 | 0);
      if ((i20 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i20 | 0);
      i20 = get32(39 * 4 | 0) | 0;
      i22 = i20 + 1 | 0;
      set32(39 * 4 | 0, i22 | 0);
      if ((i20 | 0) < (get32(49 * 4 | 0) | 0)) {
       i21 = i18;
       break;
      }
      set32(49 * 4 | 0, i22 | 0);
      i21 = i18;
      break;
     }
    }
    set8(i12 >> 0 | 0, 1 | 0);
    i17 = 46;
   } else i17 = 46;
  } while (0);
  if ((i17 | 0) == 45) if (!i16) i17 = 46; else i21 = i16;
  if ((i17 | 0) == 46) {
   set32(i10 | 0, 0 | 0);
   i23 = 0;
   break;
  }
  _memset(i21 | 0, 0, 192) | 0;
  set32(i21 | 0, i9 | 0);
  i18 = i9 + 136 | 0;
  i22 = get32(i18 | 0) | 0;
  if (i22) set32(i22 + 60 | 0, i21 | 0);
  set32(i21 + 64 | 0, i22 | 0);
  set32(i21 + 60 | 0, 0 | 0);
  set32(i18 | 0, i21 | 0);
  set32(i21 + 52 | 0, 649915045 | 0);
  set32(i10 | 0, i21 | 0);
  i18 = i21 + 28 | 0;
  i22 = i21 + 32 | 0;
  i20 = i21 + 4 | 0;
  i19 = _sqlite3DbRealloc(i9, 0, 1020) | 0;
  if (!i19) i23 = i21; else {
   i15 = get32(i21 | 0) | 0;
   if (((i15 | 0) != 0 ? (get32(i15 + 260 | 0) | 0) >>> 0 <= i19 >>> 0 : 0) ? (get32(i15 + 264 | 0) | 0) >>> 0 > i19 >>> 0 : 0) i24 = getU16(i15 + 232 | 0) | 0; else i24 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i19) | 0;
   set32(i22 | 0, (i24 >>> 0) / 20 | 0 | 0);
   set32(i20 | 0, i19 | 0);
   set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
   set8(i19 >> 0 | 0, -120 | 0);
   set8(i19 + 1 >> 0 | 0, 0 | 0);
   i25 = i19 + 3 | 0;
   i26 = i25 + 17 | 0;
   do {
    set8(i25 >> 0 | 0, 0 | 0);
    i25 = i25 + 1 | 0;
   } while ((i25 | 0) < (i26 | 0));
   i23 = i21;
  }
 } else i23 = i13; while (0);
 if (!(get8(i7 >> 0 | 0) & 16)) {
  i7 = get32(i10 | 0) | 0;
  do if (!i7) {
   i13 = get32(i1 | 0) | 0;
   L85 : do if (!i13) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i27 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
     i17 = 95;
     break;
    }
    i21 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
    set32(35 * 4 | 0, 192 | 0);
    if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
    i24 = get32(6 * 4 | 0) | 0;
    do if (i24) {
     i9 = get32(30 * 4 | 0) | 0;
     i16 = ((i9 | 0) < 0) << 31 >> 31;
     i19 = 16;
     i18 = _i64Subtract(get32(i19 | 0) | 0, get32(i19 + 4 | 0) | 0, i21 | 0, ((i21 | 0) < 0) << 31 >> 31 | 0) | 0;
     i19 = tempRet0;
     if ((i16 | 0) < (i19 | 0) | (i16 | 0) == (i19 | 0) & i9 >>> 0 < i18 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i18 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i24 & 15](i18, i9, i16, i21);
      set32(6 * 4 | 0, i24 | 0);
      set32(7 * 4 | 0, i18 | 0);
      break;
     }
    } while (0);
    i24 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i21) | 0;
    if (i24) {
     i12 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i24) | 0;
     i11 = (get32(30 * 4 | 0) | 0) + i12 | 0;
     set32(30 * 4 | 0, i11 | 0);
     if ((i11 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i11 | 0);
     i11 = get32(39 * 4 | 0) | 0;
     i12 = i11 + 1 | 0;
     set32(39 * 4 | 0, i12 | 0);
     if ((i11 | 0) < (get32(49 * 4 | 0) | 0)) i28 = i24; else {
      set32(49 * 4 | 0, i12 | 0);
      i28 = i24;
     }
    } else i17 = 96;
   } else {
    i24 = i13 + 30 | 0;
    if (!(get8(i24 >> 0 | 0) | 0)) {
     do if (get8(i13 + 234 >> 0 | 0) | 0) {
      if ((getU16(i13 + 232 | 0) | 0) < 192) {
       i12 = i13 + 248 | 0;
       set32(i12 | 0, (get32(i12 | 0) | 0) + 1 | 0);
       break;
      }
      i12 = i13 + 256 | 0;
      i11 = get32(i12 | 0) | 0;
      if (!i11) {
       i18 = i13 + 252 | 0;
       set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i12 | 0, get32(i11 | 0) | 0);
      i12 = i13 + 236 | 0;
      i18 = get32(i12 | 0) | 0;
      i16 = i18 + 1 | 0;
      set32(i12 | 0, i16 | 0);
      i12 = i13 + 244 | 0;
      set32(i12 | 0, (get32(i12 | 0) | 0) + 1 | 0);
      i12 = i13 + 240 | 0;
      if ((i18 | 0) >= (get32(i12 | 0) | 0)) set32(i12 | 0, i16 | 0);
      i27 = i11;
      i17 = 95;
      break L85;
     } while (0);
     if (!(get32(50 * 4 | 0) | 0)) {
      i21 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
      if (i21) {
       i28 = i21;
       break;
      }
     } else {
      i21 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
      set32(35 * 4 | 0, 192 | 0);
      if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
      i11 = get32(6 * 4 | 0) | 0;
      do if (i11) {
       i16 = get32(30 * 4 | 0) | 0;
       i12 = ((i16 | 0) < 0) << 31 >> 31;
       i18 = 16;
       i9 = _i64Subtract(get32(i18 | 0) | 0, get32(i18 + 4 | 0) | 0, i21 | 0, ((i21 | 0) < 0) << 31 >> 31 | 0) | 0;
       i18 = tempRet0;
       if ((i12 | 0) < (i18 | 0) | (i12 | 0) == (i18 | 0) & i16 >>> 0 < i9 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i9 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i11 & 15](i9, i16, i12, i21);
        set32(6 * 4 | 0, i11 | 0);
        set32(7 * 4 | 0, i9 | 0);
        break;
       }
      } while (0);
      i11 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i21) | 0;
      if (i11) {
       i9 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i11) | 0;
       i12 = (get32(30 * 4 | 0) | 0) + i9 | 0;
       set32(30 * 4 | 0, i12 | 0);
       if ((i12 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i12 | 0);
       i12 = get32(39 * 4 | 0) | 0;
       i9 = i12 + 1 | 0;
       set32(39 * 4 | 0, i9 | 0);
       if ((i12 | 0) < (get32(49 * 4 | 0) | 0)) {
        i28 = i11;
        break;
       }
       set32(49 * 4 | 0, i9 | 0);
       i28 = i11;
       break;
      }
     }
     set8(i24 >> 0 | 0, 1 | 0);
     i17 = 96;
    } else i17 = 96;
   } while (0);
   if ((i17 | 0) == 95) if (!i27) i17 = 96; else i28 = i27;
   if ((i17 | 0) == 96) {
    set32(i10 | 0, 0 | 0);
    i29 = 0;
    break;
   }
   _memset(i28 | 0, 0, 192) | 0;
   set32(i28 | 0, i13 | 0);
   i11 = i13 + 136 | 0;
   i9 = get32(i11 | 0) | 0;
   if (i9) set32(i9 + 60 | 0, i28 | 0);
   set32(i28 + 64 | 0, i9 | 0);
   set32(i28 + 60 | 0, 0 | 0);
   set32(i11 | 0, i28 | 0);
   set32(i28 + 52 | 0, 649915045 | 0);
   set32(i10 | 0, i28 | 0);
   i11 = i28 + 28 | 0;
   i9 = i28 + 32 | 0;
   i12 = i28 + 4 | 0;
   i16 = _sqlite3DbRealloc(i13, 0, 1020) | 0;
   if (!i16) i29 = i28; else {
    i18 = get32(i28 | 0) | 0;
    if (((i18 | 0) != 0 ? (get32(i18 + 260 | 0) | 0) >>> 0 <= i16 >>> 0 : 0) ? (get32(i18 + 264 | 0) | 0) >>> 0 > i16 >>> 0 : 0) i30 = getU16(i18 + 232 | 0) | 0; else i30 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i16) | 0;
    set32(i9 | 0, (i30 >>> 0) / 20 | 0 | 0);
    set32(i12 | 0, i16 | 0);
    set32(i11 | 0, (get32(i11 | 0) | 0) + 1 | 0);
    set8(i16 >> 0 | 0, -120 | 0);
    set8(i16 + 1 >> 0 | 0, 0 | 0);
    i25 = i16 + 3 | 0;
    i26 = i25 + 17 | 0;
    do {
     set8(i25 >> 0 | 0, 0 | 0);
     i25 = i25 + 1 | 0;
    } while ((i25 | 0) < (i26 | 0));
    i29 = i28;
   }
  } else i29 = i7; while (0);
  i7 = i2 + 20 | 0;
  i28 = get32(i7 | 0) | 0;
  i25 = (i4 | 0) == 39 & 1;
  i26 = get32(i2 | 0) | 0;
  i30 = get32(i1 + 424 | 0) | 0;
  i10 = (i30 | 0) == 0 ? i1 : i30;
  i30 = i10 + 400 | 0;
  i27 = get32(i30 | 0) | 0;
  i13 = i10 + 404 | 0;
  do if ((i27 | 0) > 0) {
   i16 = get32(i13 | 0) | 0;
   i11 = 0;
   while (1) {
    if ((get32(i16 + (i11 << 4) | 0) | 0) == (i14 | 0) ? (get32(i16 + (i11 << 4) + 4 | 0) | 0) == (i28 | 0) : 0) {
     i31 = i11;
     i17 = 111;
     break;
    }
    i11 = i11 + 1 | 0;
    if ((i11 | 0) >= (i27 | 0)) {
     i17 = 113;
     break;
    }
   }
   if ((i17 | 0) == 111) {
    i11 = i16 + (i31 << 4) + 8 | 0;
    set8(i11 >> 0 | 0, ((get8(i11 >> 0 | 0) | 0) == 0 ? i25 : 1) | 0);
    break;
   } else if ((i17 | 0) == 113) {
    i32 = i13;
    i33 = i16;
    i17 = 114;
    break;
   }
  } else {
   i32 = i13;
   i33 = get32(i13 | 0) | 0;
   i17 = 114;
  } while (0);
  do if ((i17 | 0) == 114) {
   i13 = get32(i10 | 0) | 0;
   i31 = _sqlite3DbRealloc(i13, i33, (i27 << 4) + 16 | 0) | 0;
   if (!i31) {
    _sqlite3DbFree(i13, i33);
    set32(i32 | 0, 0 | 0);
    set32(i30 | 0, 0 | 0);
    set8((get32(i10 | 0) | 0) + 30 >> 0 | 0, 1 | 0);
    break;
   } else {
    set32(i32 | 0, i31 | 0);
    i13 = get32(i30 | 0) | 0;
    set32(i30 | 0, i13 + 1 | 0);
    set32(i31 + (i13 << 4) | 0, i14 | 0);
    set32(i31 + (i13 << 4) + 4 | 0, i28 | 0);
    set8(i31 + (i13 << 4) + 8 >> 0 | 0, i25 | 0);
    set32(i31 + (i13 << 4) + 12 | 0, i26 | 0);
    break;
   }
  } while (0);
  i26 = get32(i7 | 0) | 0;
  i7 = i29 + 28 | 0;
  i25 = get32(i7 | 0) | 0;
  i28 = i29 + 32 | 0;
  i30 = get32(i28 | 0) | 0;
  if ((i30 | 0) <= (i25 | 0)) {
   i32 = i29 + 4 | 0;
   i10 = _sqlite3DbRealloc(get32(i29 | 0) | 0, get32(i32 | 0) | 0, (i30 | 0) == 0 ? 1020 : i30 * 40 | 0) | 0;
   if (!i10) {
    i34 = i29;
    i35 = i32;
   } else {
    i30 = get32(i29 | 0) | 0;
    if (((i30 | 0) != 0 ? (get32(i30 + 260 | 0) | 0) >>> 0 <= i10 >>> 0 : 0) ? (get32(i30 + 264 | 0) | 0) >>> 0 > i10 >>> 0 : 0) i36 = getU16(i30 + 232 | 0) | 0; else i36 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i10) | 0;
    set32(i28 | 0, (i36 >>> 0) / 20 | 0 | 0);
    set32(i32 | 0, i10 | 0);
    i37 = i32;
    i38 = get32(i7 | 0) | 0;
    i39 = i10;
    i17 = 126;
   }
  } else {
   i10 = i29 + 4 | 0;
   i37 = i10;
   i38 = i25;
   i39 = get32(i10 | 0) | 0;
   i17 = 126;
  }
  if ((i17 | 0) == 126) {
   set32(i7 | 0, i38 + 1 | 0);
   set8(i39 + (i25 * 20 | 0) >> 0 | 0, i4 | 0);
   set8(i39 + (i25 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i39 + (i25 * 20 | 0) + 4 | 0, i3 | 0);
   set32(i39 + (i25 * 20 | 0) + 8 | 0, i26 | 0);
   set32(i39 + (i25 * 20 | 0) + 12 | 0, i14 | 0);
   set32(i39 + (i25 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i39 + (i25 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i34 = i29;
   i35 = i37;
  }
  i37 = get32(i2 + 8 | 0) | 0;
  i29 = get32(i34 | 0) | 0;
  i34 = get32(i35 | 0) | 0;
  if ((i34 | 0) != 0 ? (get8(i29 + 30 >> 0 | 0) | 0) == 0 : 0) {
   i35 = (get32(i7 | 0) | 0) + -1 | 0;
   i7 = i34 + (i35 * 20 | 0) + 1 | 0;
   i25 = i34 + (i35 * 20 | 0) + 16 | 0;
   _freeP4(i29, get8(i7 >> 0 | 0) | 0, get32(i25 | 0) | 0);
   set32(i25 | 0, i37 | 0);
   set8(i7 >> 0 | 0, -14 | 0);
  }
 }
 i7 = get32(i2 + 16 | 0) | 0;
 if (!i7) i40 = 1; else {
  i2 = i1 + 64 | 0;
  i37 = i23 + 28 | 0;
  i25 = i23 + 32 | 0;
  i29 = i23 + 4 | 0;
  i35 = i4 & 255;
  i4 = 1;
  i34 = i7;
  while (1) {
   i7 = get32(i34 + 4 | 0) | 0;
   i39 = i7 + 12 + (i7 << 2) | 0;
   i26 = get32(i1 | 0) | 0;
   L191 : do if (!i26) if ((i39 + -1 | 0) >>> 0 <= 2147483390) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i41 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i39) | 0;
     i17 = 171;
     break;
    }
    i38 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i39) | 0;
    set32(35 * 4 | 0, i39 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i39 | 0)) set32(45 * 4 | 0, i39 | 0);
    i10 = get32(6 * 4 | 0) | 0;
    do if (i10) {
     i32 = get32(30 * 4 | 0) | 0;
     i36 = ((i32 | 0) < 0) << 31 >> 31;
     i28 = 16;
     i30 = _i64Subtract(get32(i28 | 0) | 0, get32(i28 + 4 | 0) | 0, i38 | 0, ((i38 | 0) < 0) << 31 >> 31 | 0) | 0;
     i28 = tempRet0;
     if ((i36 | 0) < (i28 | 0) | (i36 | 0) == (i28 | 0) & i32 >>> 0 < i30 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i30 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i10 & 15](i30, i32, i36, i38);
      set32(6 * 4 | 0, i10 | 0);
      set32(7 * 4 | 0, i30 | 0);
      break;
     }
    } while (0);
    i10 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i38) | 0;
    if (i10) {
     i24 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i10) | 0;
     i21 = (get32(30 * 4 | 0) | 0) + i24 | 0;
     set32(30 * 4 | 0, i21 | 0);
     if ((i21 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i21 | 0);
     i21 = get32(39 * 4 | 0) | 0;
     i24 = i21 + 1 | 0;
     set32(39 * 4 | 0, i24 | 0);
     if ((i21 | 0) < (get32(49 * 4 | 0) | 0)) {
      i42 = i10;
      i17 = 172;
     } else {
      set32(49 * 4 | 0, i24 | 0);
      i42 = i10;
      i17 = 172;
     }
    } else {
     i43 = 0;
     i44 = 0;
    }
   } else {
    i43 = 0;
    i44 = 0;
   } else {
    i10 = i26 + 30 | 0;
    if (!(get8(i10 >> 0 | 0) | 0)) {
     do if (get8(i26 + 234 >> 0 | 0) | 0) {
      if ((getU16(i26 + 232 | 0) | 0) < (i39 | 0)) {
       i24 = i26 + 248 | 0;
       set32(i24 | 0, (get32(i24 | 0) | 0) + 1 | 0);
       break;
      }
      i24 = i26 + 256 | 0;
      i21 = get32(i24 | 0) | 0;
      if (!i21) {
       i30 = i26 + 252 | 0;
       set32(i30 | 0, (get32(i30 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i24 | 0, get32(i21 | 0) | 0);
      i24 = i26 + 236 | 0;
      i30 = get32(i24 | 0) | 0;
      i36 = i30 + 1 | 0;
      set32(i24 | 0, i36 | 0);
      i24 = i26 + 244 | 0;
      set32(i24 | 0, (get32(i24 | 0) | 0) + 1 | 0);
      i24 = i26 + 240 | 0;
      if ((i30 | 0) >= (get32(i24 | 0) | 0)) set32(i24 | 0, i36 | 0);
      i41 = i21;
      i17 = 171;
      break L191;
     } while (0);
     do if ((i39 + -1 | 0) >>> 0 <= 2147483390) {
      if (!(get32(50 * 4 | 0) | 0)) {
       i38 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i39) | 0;
       if (!i38) break; else {
        i42 = i38;
        i17 = 172;
        break L191;
       }
      }
      i38 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i39) | 0;
      set32(35 * 4 | 0, i39 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i39 | 0)) set32(45 * 4 | 0, i39 | 0);
      i21 = get32(6 * 4 | 0) | 0;
      do if (i21) {
       i36 = get32(30 * 4 | 0) | 0;
       i24 = ((i36 | 0) < 0) << 31 >> 31;
       i30 = 16;
       i32 = _i64Subtract(get32(i30 | 0) | 0, get32(i30 + 4 | 0) | 0, i38 | 0, ((i38 | 0) < 0) << 31 >> 31 | 0) | 0;
       i30 = tempRet0;
       if ((i24 | 0) < (i30 | 0) | (i24 | 0) == (i30 | 0) & i36 >>> 0 < i32 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i32 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i21 & 15](i32, i36, i24, i38);
        set32(6 * 4 | 0, i21 | 0);
        set32(7 * 4 | 0, i32 | 0);
        break;
       }
      } while (0);
      i21 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i38) | 0;
      if (i21) {
       i32 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i21) | 0;
       i24 = (get32(30 * 4 | 0) | 0) + i32 | 0;
       set32(30 * 4 | 0, i24 | 0);
       if ((i24 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i24 | 0);
       i24 = get32(39 * 4 | 0) | 0;
       i32 = i24 + 1 | 0;
       set32(39 * 4 | 0, i32 | 0);
       if ((i24 | 0) < (get32(49 * 4 | 0) | 0)) {
        i42 = i21;
        i17 = 172;
        break L191;
       }
       set32(49 * 4 | 0, i32 | 0);
       i42 = i21;
       i17 = 172;
       break L191;
      }
     } while (0);
     set8(i10 >> 0 | 0, 1 | 0);
     i43 = 0;
     i44 = 0;
    } else {
     i43 = 0;
     i44 = 0;
    }
   } while (0);
   if ((i17 | 0) == 171) {
    i17 = 0;
    if (!i41) {
     i43 = 0;
     i44 = 0;
    } else {
     i42 = i41;
     i17 = 172;
    }
   }
   if ((i17 | 0) == 172) {
    i17 = 0;
    _memset(i42 | 0, 0, i39 | 0) | 0;
    i16 = get32(i1 | 0) | 0;
    set32(i42 | 0, i16 | 0);
    i21 = i42 + 12 | 0;
    i32 = i42 + 8 | 0;
    set32(i32 | 0, i21 + (i7 << 2) | 0);
    L249 : do if ((i7 | 0) > 0) {
     i24 = i34 + 44 | 0;
     i36 = i34 + 40 | 0;
     i30 = i16;
     i28 = 0;
     while (1) {
      i33 = get32((get32(i24 | 0) | 0) + (i28 << 2) | 0) | 0;
      i27 = get8((get32((get32(i30 + 8 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0) | 0;
      i13 = get8(i30 + 124 >> 0 | 0) | 0;
      i31 = _sqlite3FindCollSeq(i30, i27, i33, i13 & 255) | 0;
      do if (!(i13 << 24 >> 24)) {
       if ((i31 | 0) != 0 ? (get32(i31 + 12 | 0) | 0) != 0 : 0) {
        i45 = i31;
        break;
       }
       i11 = _sqlite3GetCollSeq(i30, i27, i31, i33) | 0;
       if (!i11) {
        set32(i6 | 0, i33 | 0);
        _sqlite3ErrorMsg(i1, 30475, i6);
        i45 = 0;
       } else i45 = i11;
      } else i45 = i31; while (0);
      set32(i21 + (i28 << 2) | 0, i45 | 0);
      set8((get32(i32 | 0) | 0) + i28 >> 0 | 0, get8((get32(i36 | 0) | 0) + i28 >> 0 | 0) | 0 | 0);
      i31 = i28 + 1 | 0;
      if ((i31 | 0) == (i7 | 0)) break L249;
      i30 = get32(i1 | 0) | 0;
      i28 = i31;
     }
    } while (0);
    set16(i42 + 6 | 0, i7 | 0);
    i43 = i42;
    i44 = i42;
   }
   if (!(get32(i2 | 0) | 0)) i46 = i44; else {
    _sqlite3DbFree(i26, i43);
    i46 = 0;
   }
   i32 = i4 + i3 | 0;
   i21 = get32(i34 + 20 | 0) | 0;
   i16 = get32(i37 | 0) | 0;
   i39 = get32(i25 | 0) | 0;
   if ((i39 | 0) <= (i16 | 0)) {
    i28 = _sqlite3DbRealloc(get32(i23 | 0) | 0, get32(i29 | 0) | 0, (i39 | 0) == 0 ? 1020 : i39 * 40 | 0) | 0;
    if (!i28) i47 = 1; else {
     i39 = get32(i23 | 0) | 0;
     if (((i39 | 0) != 0 ? (get32(i39 + 260 | 0) | 0) >>> 0 <= i28 >>> 0 : 0) ? (get32(i39 + 264 | 0) | 0) >>> 0 > i28 >>> 0 : 0) i48 = getU16(i39 + 232 | 0) | 0; else i48 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i28) | 0;
     set32(i25 | 0, (i48 >>> 0) / 20 | 0 | 0);
     set32(i29 | 0, i28 | 0);
     i49 = get32(i37 | 0) | 0;
     i50 = i28;
     i17 = 193;
    }
   } else {
    i49 = i16;
    i50 = get32(i29 | 0) | 0;
    i17 = 193;
   }
   if ((i17 | 0) == 193) {
    i17 = 0;
    set32(i37 | 0, i49 + 1 | 0);
    set8(i50 + (i16 * 20 | 0) >> 0 | 0, i35 | 0);
    set8(i50 + (i16 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i50 + (i16 * 20 | 0) + 4 | 0, i32 | 0);
    set32(i50 + (i16 * 20 | 0) + 8 | 0, i21 | 0);
    set32(i50 + (i16 * 20 | 0) + 12 | 0, i14 | 0);
    set32(i50 + (i16 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i50 + (i16 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i47 = i16;
   }
   i16 = get32(i23 | 0) | 0;
   i21 = get32(i29 | 0) | 0;
   do if ((i21 | 0) != 0 ? (get8(i16 + 30 >> 0 | 0) | 0) == 0 : 0) {
    if ((i47 | 0) < 0) i51 = (get32(i37 | 0) | 0) + -1 | 0; else i51 = i47;
    i32 = i21 + (i51 * 20 | 0) + 1 | 0;
    i28 = i21 + (i51 * 20 | 0) + 16 | 0;
    _freeP4(i16, get8(i32 >> 0 | 0) | 0, get32(i28 | 0) | 0);
    set32(i28 | 0, 0 | 0);
    if (!i46) {
     set32(i28 | 0, 0 | 0);
     set8(i32 >> 0 | 0, 0 | 0);
     break;
    } else {
     set32(i28 | 0, i46 | 0);
     set8(i32 >> 0 | 0, -6 | 0);
     break;
    }
   } else i17 = 196; while (0);
   if ((i17 | 0) == 196 ? (i17 = 0, (i46 | 0) != 0) : 0) _sqlite3DbFree(i16, i46);
   i21 = i4 + 1 | 0;
   i34 = get32(i34 + 32 | 0) | 0;
   if (!i34) {
    i40 = i21;
    break;
   } else i4 = i21;
  }
 }
 i4 = i1 + 68 | 0;
 i1 = i40 + i3 | 0;
 if ((get32(i4 | 0) | 0) < (i1 | 0)) set32(i4 | 0, i1 | 0);
 i8 = i40 + -1 | 0;
 STACKTOP = i5;
 return i8 | 0;
}

function _sqlite3WalCheckpoint(i1, i2, i3, i4, i5, i6, i7, i8, i9) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 i7 = i7 | 0;
 i8 = i8 | 0;
 i9 = i9 | 0;
 var i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0, i80 = 0, i81 = 0, i82 = 0, i83 = 0, i84 = 0, i85 = 0, i86 = 0, i87 = 0, i88 = 0, i89 = 0, i90 = 0, i91 = 0, i92 = 0, i93 = 0, i94 = 0, i95 = 0, i96 = 0, i97 = 0, i98 = 0, i99 = 0, i100 = 0, i101 = 0, i102 = 0, i103 = 0, i104 = 0, i105 = 0, i106 = 0, i107 = 0, i108 = 0, i109 = 0;
 i10 = STACKTOP;
 STACKTOP = STACKTOP + 144 | 0;
 i11 = i10 + 16 | 0;
 i12 = i10 + 32 | 0;
 i13 = i10 + 8 | 0;
 i14 = i10;
 i15 = i10 + 24 | 0;
 set32(i15 | 0, 0 | 0);
 if (get8(i1 + 41 >> 0 | 0) | 0) {
  i16 = 8;
  STACKTOP = i10;
  return i16 | 0;
 }
 i17 = i1 + 38 | 0;
 if ((get8(i17 >> 0 | 0) | 0) == 0 ? (i18 = get32(i1 + 4 | 0) | 0, i19 = FUNCTION_TABLE_iiiii[get32((get32(i18 | 0) | 0) + 56 | 0) & 31](i18, 1, 1, 10) | 0, (i19 | 0) != 0) : 0) {
  i16 = i19;
  STACKTOP = i10;
  return i16 | 0;
 }
 i19 = i1 + 40 | 0;
 set8(i19 >> 0 | 0, 1 | 0);
 L8 : do if (!i2) {
  i20 = 0;
  i21 = 13;
 } else {
  i18 = i1 + 4 | 0;
  L10 : do if (!i3) {
   if (!(get8(i17 >> 0 | 0) | 0)) {
    i22 = get32(i18 | 0) | 0;
    i23 = FUNCTION_TABLE_iiiii[get32((get32(i22 | 0) | 0) + 56 | 0) & 31](i22, 0, 1, 10) | 0;
    i21 = 11;
   }
  } else while (1) {
   if (get8(i17 >> 0 | 0) | 0) break L10;
   i22 = get32(i18 | 0) | 0;
   i24 = FUNCTION_TABLE_iiiii[get32((get32(i22 | 0) | 0) + 56 | 0) & 31](i22, 0, 1, 10) | 0;
   if ((i24 | 0) != 5) {
    i23 = i24;
    i21 = 11;
    break L10;
   }
   if (!(FUNCTION_TABLE_ii[i3 & 127](i4) | 0)) {
    i20 = 0;
    i21 = 13;
    break L8;
   }
  } while (0);
  if ((i21 | 0) == 11) switch (i23 | 0) {
  case 5:
   {
    i20 = 0;
    i21 = 13;
    break L8;
    break;
   }
  case 0:
   break;
  default:
   {
    i25 = i2;
    i26 = i23;
    break L8;
   }
  }
  set8(i1 + 39 >> 0 | 0, 1 | 0);
  i20 = i2;
  i21 = 13;
 } while (0);
 if ((i21 | 0) == 13) {
  i25 = i20;
  i26 = _walIndexReadHdr(i1, i15) | 0;
 }
 L23 : do if (!i26) {
  i20 = i1 + 60 | 0;
  i23 = get32(i20 | 0) | 0;
  i18 = get16(i1 + 58 | 0) | 0;
  if ((i23 | 0) != 0 ? (i24 = i18 & 65535, (i24 << 16 & 65536 | i24 & 65024 | 0) != (i6 | 0)) : 0) {
   set32(i11 | 0, 46464 | 0);
   set32(i11 + 4 | 0, 17203 | 0);
   _sqlite3_log(11, 19615, i11);
   i27 = 11;
   break;
  }
  i24 = i18 & 65535;
  i18 = i24 << 16 & 65536 | i24 & 65024;
  i24 = i1 + 28 | 0;
  i22 = (get32(get32(i24 | 0) | 0) | 0) + 96 | 0;
  if ((get32(i22 | 0) | 0) >>> 0 < i23 >>> 0) {
   i28 = (i23 + 33 | 0) >>> 12;
   i29 = i28 + 1 | 0;
   i30 = i23 << 1;
   i31 = i30 + 28 + (i28 * 20 | 0) | 0;
   i32 = _sqlite3ScratchMalloc(i31) | 0;
   if (!i32) {
    i27 = 7;
    break;
   }
   _memset(i32 | 0, 0, i31 | 0) | 0;
   i31 = i32 + 4 | 0;
   set32(i31 | 0, i29 | 0);
   i33 = _sqlite3ScratchMalloc(i23 >>> 0 > 4096 ? 8192 : i30) | 0;
   i30 = (i33 | 0) == 0;
   do if (!i30) {
    i34 = i32 + 8 | 0;
    i35 = i12 + 4 | 0;
    i36 = 0;
    while (1) {
     i37 = _walIndexPage(i1, i36, i12) | 0;
     if (i37) {
      i38 = i37;
      i21 = 28;
      break;
     }
     i37 = get32(i12 | 0) | 0;
     if (!i36) {
      i39 = i37 + 136 | 0;
      set32(i12 | 0, i39 | 0);
      i40 = i39;
      i41 = 0;
     } else {
      i40 = i37;
      i41 = (i36 << 12) + -34 | 0;
     }
     i39 = i40;
     i42 = (i36 | 0) == (i28 | 0) ? i23 - i41 | 0 : i37 + 16384 - i39 >> 2;
     i37 = i34 + ((get32(i31 | 0) | 0) * 20 | 0) | 0;
     i43 = i37 + (i41 << 1) | 0;
     i44 = i41 + 1 | 0;
     if ((i42 | 0) > 0) {
      i45 = 0;
      do {
       set16(i37 + (i45 + i41 << 1) | 0, i45 | 0);
       i45 = i45 + 1 | 0;
      } while ((i45 | 0) != (i42 | 0));
      i46 = i12;
      i47 = i46 + 104 | 0;
      do {
       set32(i46 | 0, 0 | 0);
       i46 = i46 + 4 | 0;
      } while ((i46 | 0) < (i47 | 0));
      i45 = 0;
      do {
       i48 = i37 + (i45 + i41 << 1) | 0;
       if (!(i45 & 1)) {
        i49 = 1;
        i50 = i48;
        i51 = i35;
        i52 = 0;
       } else {
        i53 = i48;
        i48 = 1;
        i54 = i35;
        i55 = 0;
        while (1) {
         i56 = get32(i54 | 0) | 0;
         i57 = get32(i12 + (i55 << 3) | 0) | 0;
         i58 = (i48 | 0) > 0;
         i59 = (i57 | 0) > 0;
         if (i58 | i59) {
          i60 = i59;
          i59 = i58;
          i58 = 0;
          i61 = 0;
          i62 = 0;
          while (1) {
           do if (i60) {
            i63 = i56 + (i58 << 1) | 0;
            if (i59 ? (i64 = i53 + (i62 << 1) | 0, (get32(i40 + (getU16(i63 | 0) << 2) | 0) | 0) >>> 0 >= (get32(i40 + (getU16(i64 | 0) << 2) | 0) | 0) >>> 0) : 0) {
             i65 = i64;
             i21 = 40;
             break;
            }
            i66 = i58 + 1 | 0;
            i67 = i62;
            i68 = i63;
           } else {
            i65 = i53 + (i62 << 1) | 0;
            i21 = 40;
           } while (0);
           if ((i21 | 0) == 40) {
            i21 = 0;
            i66 = i58;
            i67 = i62 + 1 | 0;
            i68 = i65;
           }
           i63 = get16(i68 | 0) | 0;
           i64 = get32(i40 + ((i63 & 65535) << 2) | 0) | 0;
           i69 = i61 + 1 | 0;
           set16(i33 + (i61 << 1) | 0, i63 | 0);
           if ((i66 | 0) < (i57 | 0)) i70 = ((get32(i40 + (getU16(i56 + (i66 << 1) | 0) << 2) | 0) | 0) == (i64 | 0) & 1) + i66 | 0; else i70 = i66;
           i59 = (i67 | 0) < (i48 | 0);
           i60 = (i70 | 0) < (i57 | 0);
           if (!(i59 | i60)) {
            i71 = i69;
            break;
           } else {
            i58 = i70;
            i61 = i69;
            i62 = i67;
           }
          }
         } else i71 = 0;
         _memcpy(i56 | 0, i33 | 0, i71 << 1 | 0) | 0;
         i62 = i55 + 1 | 0;
         i61 = i12 + (i62 << 3) + 4 | 0;
         if (!(1 << i62 & i45)) {
          i49 = i71;
          i50 = i56;
          i51 = i61;
          i52 = i62;
          break;
         } else {
          i53 = i56;
          i48 = i71;
          i54 = i61;
          i55 = i62;
         }
        }
       }
       i55 = i50;
       set32(i51 | 0, i55 | 0);
       set32(i12 + (i52 << 3) | 0, i49 | 0);
       i45 = i45 + 1 | 0;
      } while ((i45 | 0) != (i42 | 0));
      i72 = i49;
      i73 = i55;
      i74 = i52;
     } else {
      i46 = i12;
      i47 = i46 + 104 | 0;
      do {
       set32(i46 | 0, 0 | 0);
       i46 = i46 + 4 | 0;
      } while ((i46 | 0) < (i47 | 0));
      i72 = 0;
      i73 = 0;
      i74 = 0;
     }
     L70 : while (1) {
      i45 = i74;
      while (1) {
       i37 = i45 + 1 | 0;
       if ((i37 | 0) >= 13) {
        i75 = i72;
        break L70;
       }
       if (!(1 << i37 & i42)) i45 = i37; else {
        i76 = i37;
        break;
       }
      }
      i45 = get32(i12 + (i76 << 3) + 4 | 0) | 0;
      i37 = get32(i12 + (i76 << 3) | 0) | 0;
      i55 = i73;
      i54 = (i72 | 0) > 0;
      i48 = (i37 | 0) > 0;
      if (i54 | i48) {
       i53 = i48;
       i48 = i54;
       i54 = 0;
       i62 = 0;
       i61 = 0;
       while (1) {
        do if (i53) {
         i58 = i45 + (i54 << 1) | 0;
         if (i48 ? (i60 = i55 + (i61 << 1) | 0, (get32(i40 + (getU16(i58 | 0) << 2) | 0) | 0) >>> 0 >= (get32(i40 + (getU16(i60 | 0) << 2) | 0) | 0) >>> 0) : 0) {
          i77 = i60;
          i21 = 54;
          break;
         }
         i78 = i54 + 1 | 0;
         i79 = i61;
         i80 = i58;
        } else {
         i77 = i55 + (i61 << 1) | 0;
         i21 = 54;
        } while (0);
        if ((i21 | 0) == 54) {
         i21 = 0;
         i78 = i54;
         i79 = i61 + 1 | 0;
         i80 = i77;
        }
        i56 = get16(i80 | 0) | 0;
        i58 = get32(i40 + ((i56 & 65535) << 2) | 0) | 0;
        i60 = i62 + 1 | 0;
        set16(i33 + (i62 << 1) | 0, i56 | 0);
        if ((i78 | 0) < (i37 | 0)) i81 = ((get32(i40 + (getU16(i45 + (i78 << 1) | 0) << 2) | 0) | 0) == (i58 | 0) & 1) + i78 | 0; else i81 = i78;
        i48 = (i79 | 0) < (i72 | 0);
        i53 = (i81 | 0) < (i37 | 0);
        if (!(i48 | i53)) {
         i82 = i60;
         break;
        } else {
         i54 = i81;
         i62 = i60;
         i61 = i79;
        }
       }
      } else i82 = 0;
      _memcpy(i45 | 0, i33 | 0, i82 << 1 | 0) | 0;
      i72 = i82;
      i73 = i45;
      i74 = i76;
     }
     set32(i34 + (i36 * 20 | 0) + 16 | 0, i44 | 0);
     set32(i34 + (i36 * 20 | 0) + 12 | 0, i75 | 0);
     set32(i34 + (i36 * 20 | 0) + 4 | 0, i43 | 0);
     set32(i34 + (i36 * 20 | 0) + 8 | 0, i39 | 0);
     i36 = i36 + 1 | 0;
     if ((i36 | 0) >= (i29 | 0)) {
      i83 = 1;
      i84 = 0;
      break;
     }
    }
    if ((i21 | 0) == 28) {
     i83 = 0;
     i84 = i38;
    }
    if ((get32(89 * 4 | 0) | 0) >>> 0 <= i33 >>> 0 & (get32(8 * 4 | 0) | 0) >>> 0 > i33 >>> 0) {
     set32(i33 | 0, get32(9 * 4 | 0) | 0);
     set32(9 * 4 | 0, i33 | 0);
     set32(10 * 4 | 0, (get32(10 * 4 | 0) | 0) + 1 | 0);
     i36 = (get32(33 * 4 | 0) | 0) + -1 | 0;
     set32(33 * 4 | 0, i36 | 0);
     if ((i36 | 0) > (get32(43 * 4 | 0) | 0)) {
      set32(43 * 4 | 0, i36 | 0);
      if (i83) {
       i85 = i84;
       break;
      } else {
       i86 = i84;
       i21 = 74;
       break;
      }
     } else if (i83) {
      i85 = i84;
      break;
     } else {
      i86 = i84;
      i21 = 74;
      break;
     }
    }
    if (!(get32(50 * 4 | 0) | 0)) {
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i33);
     if (i83) {
      i85 = i84;
      break;
     } else {
      i86 = i84;
      i21 = 74;
      break;
     }
    }
    i36 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i33) | 0;
    i34 = (get32(34 * 4 | 0) | 0) - i36 | 0;
    set32(34 * 4 | 0, i34 | 0);
    if ((i34 | 0) > (get32(44 * 4 | 0) | 0)) set32(44 * 4 | 0, i34 | 0);
    i34 = (get32(30 * 4 | 0) | 0) - i36 | 0;
    set32(30 * 4 | 0, i34 | 0);
    if ((i34 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i34 | 0);
    i34 = (get32(39 * 4 | 0) | 0) + -1 | 0;
    set32(39 * 4 | 0, i34 | 0);
    if ((i34 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i34 | 0);
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i33);
    if (i83) i85 = i84; else {
     i86 = i84;
     i21 = 74;
    }
   } else {
    i86 = i30 ? 7 : 0;
    i21 = 74;
   } while (0);
   do if ((i21 | 0) == 74) {
    if ((get32(89 * 4 | 0) | 0) >>> 0 <= i32 >>> 0 & (get32(8 * 4 | 0) | 0) >>> 0 > i32 >>> 0) {
     set32(i32 | 0, get32(9 * 4 | 0) | 0);
     set32(9 * 4 | 0, i32 | 0);
     set32(10 * 4 | 0, (get32(10 * 4 | 0) | 0) + 1 | 0);
     i30 = (get32(33 * 4 | 0) | 0) + -1 | 0;
     set32(33 * 4 | 0, i30 | 0);
     if ((i30 | 0) <= (get32(43 * 4 | 0) | 0)) {
      i85 = i86;
      break;
     }
     set32(43 * 4 | 0, i30 | 0);
     i85 = i86;
     break;
    }
    if (!(get32(50 * 4 | 0) | 0)) {
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i32);
     i85 = i86;
     break;
    }
    i30 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i32) | 0;
    i33 = (get32(34 * 4 | 0) | 0) - i30 | 0;
    set32(34 * 4 | 0, i33 | 0);
    if ((i33 | 0) > (get32(44 * 4 | 0) | 0)) set32(44 * 4 | 0, i33 | 0);
    i33 = (get32(30 * 4 | 0) | 0) - i30 | 0;
    set32(30 * 4 | 0, i33 | 0);
    if ((i33 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i33 | 0);
    i33 = (get32(39 * 4 | 0) | 0) + -1 | 0;
    set32(39 * 4 | 0, i33 | 0);
    if ((i33 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i33 | 0);
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i32);
    i85 = i86;
   } while (0);
   do if (!i85) {
    i33 = (i25 | 0) != 0;
    i30 = i1 + 64 | 0;
    i29 = get32(i30 | 0) | 0;
    i23 = i1 + 4 | 0;
    i28 = 1;
    i34 = get32(i20 | 0) | 0;
    i36 = 0;
    i35 = i33 ? i3 : 0;
    L135 : while (1) {
     i42 = i22 + 4 + (i28 << 2) | 0;
     i61 = get32(i42 | 0) | 0;
     L137 : do if (i34 >>> 0 > i61 >>> 0) {
      i62 = i28 + 3 | 0;
      L139 : do if (!i35) {
       if (!(get8(i17 >> 0 | 0) | 0)) {
        i54 = get32(i23 | 0) | 0;
        i87 = FUNCTION_TABLE_iiiii[get32((get32(i54 | 0) | 0) + 56 | 0) & 31](i54, i62, 1, 10) | 0;
        i21 = 95;
       }
      } else while (1) {
       if (get8(i17 >> 0 | 0) | 0) break L139;
       i54 = get32(i23 | 0) | 0;
       i53 = FUNCTION_TABLE_iiiii[get32((get32(i54 | 0) | 0) + 56 | 0) & 31](i54, i62, 1, 10) | 0;
       if ((i53 | 0) != 5) {
        i87 = i53;
        i21 = 95;
        break L139;
       }
       if (!(FUNCTION_TABLE_ii[i35 & 127](i4) | 0)) {
        i88 = i61;
        i89 = 5;
        i90 = 0;
        break L137;
       }
      } while (0);
      if ((i21 | 0) == 95) {
       i21 = 0;
       switch (i87 | 0) {
       case 5:
        {
         i88 = i61;
         i89 = 5;
         i90 = 0;
         break L137;
         break;
        }
       case 0:
        break;
       default:
        {
         i91 = i87;
         break L135;
        }
       }
      }
      set32(i42 | 0, -1 | 0);
      if (!(get8(i17 >> 0 | 0) | 0)) {
       i45 = get32(i23 | 0) | 0;
       FUNCTION_TABLE_iiiii[get32((get32(i45 | 0) | 0) + 56 | 0) & 31](i45, i62, 1, 9) | 0;
       i88 = i34;
       i89 = 0;
       i90 = i35;
      } else {
       i88 = i34;
       i89 = 0;
       i90 = i35;
      }
     } else {
      i88 = i34;
      i89 = i36;
      i90 = i35;
     } while (0);
     i28 = i28 + 1 | 0;
     if ((i28 | 0) >= 5) {
      i92 = i88;
      i93 = i89;
      i94 = i90;
      i21 = 99;
      break;
     } else {
      i34 = i88;
      i36 = i89;
      i35 = i90;
     }
    }
    L151 : do if ((i21 | 0) == 99) {
     L153 : do if ((get32(i22 | 0) | 0) >>> 0 < i92 >>> 0) {
      L155 : do if (!i94) {
       if (!(get8(i17 >> 0 | 0) | 0)) {
        i35 = get32(i23 | 0) | 0;
        i95 = FUNCTION_TABLE_iiiii[get32((get32(i35 | 0) | 0) + 56 | 0) & 31](i35, 3, 1, 10) | 0;
        i21 = 106;
       }
      } else while (1) {
       if (get8(i17 >> 0 | 0) | 0) break L155;
       i35 = get32(i23 | 0) | 0;
       i36 = FUNCTION_TABLE_iiiii[get32((get32(i35 | 0) | 0) + 56 | 0) & 31](i35, 3, 1, 10) | 0;
       if ((i36 | 0) != 5) {
        i95 = i36;
        i21 = 106;
        break L155;
       }
       if (!(FUNCTION_TABLE_ii[i94 & 127](i4) | 0)) {
        i96 = 5;
        break L153;
       }
      } while (0);
      if ((i21 | 0) == 106 ? (i95 | 0) != 0 : 0) {
       i96 = i95;
       break;
      }
      i62 = get32(i22 | 0) | 0;
      i36 = (i5 | 0) != 0;
      if (i36 ? (i35 = get32(i1 + 8 | 0) | 0, i34 = FUNCTION_TABLE_iii[get32((get32(i35 | 0) | 0) + 20 | 0) & 127](i35, i5) | 0, (i34 | 0) != 0) : 0) i97 = i34; else i21 = 109;
      L167 : do if ((i21 | 0) == 109) {
       i34 = ___muldi3(i29 | 0, 0, i18 | 0, 0) | 0;
       i35 = i14;
       set32(i35 | 0, i34 | 0);
       set32(i35 + 4 | 0, tempRet0 | 0);
       i35 = get32(i23 | 0) | 0;
       i34 = FUNCTION_TABLE_iii[get32((get32(i35 | 0) | 0) + 24 | 0) & 127](i35, i13) | 0;
       if (!i34) {
        i35 = i13;
        i28 = get32(i35 + 4 | 0) | 0;
        i42 = i14;
        i61 = get32(i42 + 4 | 0) | 0;
        if ((i28 | 0) < (i61 | 0) | ((i28 | 0) == (i61 | 0) ? (get32(i35 | 0) | 0) >>> 0 < (get32(i42 | 0) | 0) >>> 0 : 0)) {
         i42 = get32(i23 | 0) | 0;
         FUNCTION_TABLE_iiii[get32((get32(i42 | 0) | 0) + 40 | 0) & 63](i42, 5, i14) | 0;
        }
        i42 = i18 | 24;
        i35 = i1 + 8 | 0;
        i61 = get32(i31 | 0) | 0;
        L173 : do if ((i61 | 0) > 0) {
         i28 = i61;
         i39 = 0;
         while (1) {
          i43 = get32(i32 | 0) | 0;
          i44 = i39;
          i45 = i28;
          i53 = -1;
          L176 : while (1) {
           i54 = i45;
           L178 : while (1) {
            i48 = i54;
            i54 = i54 + -1 | 0;
            i37 = i32 + 8 + (i54 * 20 | 0) | 0;
            i55 = get32(i37 | 0) | 0;
            i60 = get32(i32 + 8 + (i54 * 20 | 0) + 12 | 0) | 0;
            L180 : do if ((i55 | 0) < (i60 | 0)) {
             i58 = get32(i32 + 8 + (i54 * 20 | 0) + 4 | 0) | 0;
             i56 = get32(i32 + 8 + (i54 * 20 | 0) + 8 | 0) | 0;
             i59 = i55;
             while (1) {
              i57 = getU16(i58 + (i59 << 1) | 0) | 0;
              i69 = get32(i56 + (i57 << 2) | 0) | 0;
              if (i69 >>> 0 > i43 >>> 0) {
               i98 = i57;
               i99 = i69;
               break;
              }
              i59 = i59 + 1 | 0;
              set32(i37 | 0, i59 | 0);
              if ((i59 | 0) >= (i60 | 0)) break L180;
             }
             if (i99 >>> 0 < i53 >>> 0) {
              i100 = i98;
              i101 = i99;
              i102 = i54;
              i103 = i48;
              break L178;
             }
            } while (0);
            if ((i48 | 0) <= 1) {
             i104 = i44;
             i105 = i53;
             break L176;
            }
           }
           i54 = (get32(i32 + 8 + (i102 * 20 | 0) + 16 | 0) | 0) + i100 | 0;
           if ((i103 | 0) > 1) {
            i44 = i54;
            i45 = i102;
            i53 = i101;
           } else {
            i104 = i54;
            i105 = i101;
            break;
           }
          }
          set32(i32 | 0, i105 | 0);
          if ((i105 | 0) == -1) break L173;
          if (!(i104 >>> 0 <= i62 >>> 0 | i104 >>> 0 > i92 >>> 0 | i105 >>> 0 > i29 >>> 0)) {
           i53 = ___muldi3(i104 + -1 | 0, 0, i42 | 0, 0) | 0;
           i45 = _i64Add(i53 | 0, tempRet0 | 0, 56, 0) | 0;
           i53 = get32(i35 | 0) | 0;
           i44 = FUNCTION_TABLE_iiiiii[get32((get32(i53 | 0) | 0) + 8 | 0) & 31](i53, i7, i18, i45, tempRet0) | 0;
           if (i44) {
            i97 = i44;
            break L167;
           }
           i44 = ___muldi3(i105 + -1 | 0, 0, i18 | 0, 0) | 0;
           i45 = get32(i23 | 0) | 0;
           i53 = FUNCTION_TABLE_iiiiii[get32((get32(i45 | 0) | 0) + 12 | 0) & 31](i45, i7, i18, i44, tempRet0) | 0;
           if (i53) {
            i97 = i53;
            break L167;
           }
          }
          i28 = get32(i31 | 0) | 0;
          if ((i28 | 0) <= 0) {
           i21 = 114;
           break;
          } else i39 = i104;
         }
        } else i21 = 114; while (0);
        if ((i21 | 0) == 114) set32(i32 | 0, -1 | 0);
        if ((i92 | 0) == (get32((get32(get32(i24 | 0) | 0) | 0) + 16 | 0) | 0)) {
         i35 = ___muldi3(get32(i30 | 0) | 0, 0, i18 | 0, 0) | 0;
         i42 = get32(i23 | 0) | 0;
         i61 = FUNCTION_TABLE_iiii[get32((get32(i42 | 0) | 0) + 16 | 0) & 63](i42, i35, tempRet0) | 0;
         if (i36 & (i61 | 0) == 0) {
          i35 = get32(i23 | 0) | 0;
          i106 = FUNCTION_TABLE_iii[get32((get32(i35 | 0) | 0) + 20 | 0) & 127](i35, i5) | 0;
         } else i106 = i61;
         if (i106) {
          i97 = i106;
          break;
         }
        }
        set32(i22 | 0, i92 | 0);
        i97 = 0;
       } else i97 = i34;
      } while (0);
      if (!(get8(i17 >> 0 | 0) | 0)) {
       i36 = get32(i23 | 0) | 0;
       FUNCTION_TABLE_iiiii[get32((get32(i36 | 0) | 0) + 56 | 0) & 31](i36, 3, 1, 9) | 0;
       i96 = i97;
      } else i96 = i97;
     } else i96 = i93; while (0);
     i36 = (i96 | 0) == 5 ? 0 : i96;
     if (i33 & (i36 | 0) == 0) if ((get32(i22 | 0) | 0) >>> 0 >= (get32(i20 | 0) | 0) >>> 0) if ((i25 | 0) == 2) {
      L209 : do if (!i94) {
       if (get8(i17 >> 0 | 0) | 0) {
        i91 = 0;
        break L151;
       }
       i62 = get32(i23 | 0) | 0;
       i107 = FUNCTION_TABLE_iiiii[get32((get32(i62 | 0) | 0) + 56 | 0) & 31](i62, 4, 4, 10) | 0;
      } else while (1) {
       if (get8(i17 >> 0 | 0) | 0) {
        i91 = 0;
        break L151;
       }
       i62 = get32(i23 | 0) | 0;
       i61 = FUNCTION_TABLE_iiiii[get32((get32(i62 | 0) | 0) + 56 | 0) & 31](i62, 4, 4, 10) | 0;
       if ((i61 | 0) != 5) {
        i107 = i61;
        break L209;
       }
       if (!(FUNCTION_TABLE_ii[i94 & 127](i4) | 0)) {
        i91 = 5;
        break L151;
       }
      } while (0);
      if (!i107) if (!(get8(i17 >> 0 | 0) | 0)) {
       i61 = get32(i23 | 0) | 0;
       FUNCTION_TABLE_iiiii[get32((get32(i61 | 0) | 0) + 56 | 0) & 31](i61, 4, 4, 9) | 0;
       i91 = 0;
      } else i91 = 0; else i91 = i107;
     } else i91 = 0; else i91 = 5; else i91 = i36;
    } while (0);
    if ((get32(89 * 4 | 0) | 0) >>> 0 <= i32 >>> 0 & (get32(8 * 4 | 0) | 0) >>> 0 > i32 >>> 0) {
     set32(i32 | 0, get32(9 * 4 | 0) | 0);
     set32(9 * 4 | 0, i32 | 0);
     set32(10 * 4 | 0, (get32(10 * 4 | 0) | 0) + 1 | 0);
     i23 = (get32(33 * 4 | 0) | 0) + -1 | 0;
     set32(33 * 4 | 0, i23 | 0);
     if ((i23 | 0) <= (get32(43 * 4 | 0) | 0)) {
      i108 = i91;
      break;
     }
     set32(43 * 4 | 0, i23 | 0);
     i108 = i91;
     break;
    }
    if (!(get32(50 * 4 | 0) | 0)) {
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i32);
     i108 = i91;
     break;
    }
    i23 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i32) | 0;
    i33 = (get32(34 * 4 | 0) | 0) - i23 | 0;
    set32(34 * 4 | 0, i33 | 0);
    if ((i33 | 0) > (get32(44 * 4 | 0) | 0)) set32(44 * 4 | 0, i33 | 0);
    i33 = (get32(30 * 4 | 0) | 0) - i23 | 0;
    set32(30 * 4 | 0, i33 | 0);
    if ((i33 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i33 | 0);
    i33 = (get32(39 * 4 | 0) | 0) + -1 | 0;
    set32(39 * 4 | 0, i33 | 0);
    if ((i33 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i33 | 0);
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i32);
    i108 = i91;
   } else i108 = i85; while (0);
   switch (i108 | 0) {
   case 0:
   case 5:
    {
     i109 = i108;
     break;
    }
   default:
    {
     i27 = i108;
     break L23;
    }
   }
  } else i109 = 0;
  if (i8) set32(i8 | 0, get32(i20 | 0) | 0);
  if (!i9) i27 = i109; else {
   set32(i9 | 0, get32((get32(get32(i24 | 0) | 0) | 0) + 96 | 0) | 0);
   i27 = i109;
  }
 } else i27 = i26; while (0);
 if (get32(i15 | 0) | 0) {
  i46 = i1 + 44 | 0;
  i47 = i46 + 48 | 0;
  do {
   set32(i46 | 0, 0 | 0);
   i46 = i46 + 4 | 0;
  } while ((i46 | 0) < (i47 | 0));
 }
 i46 = i1 + 39 | 0;
 if (get8(i46 >> 0 | 0) | 0) {
  if (!(get8(i17 >> 0 | 0) | 0)) {
   i47 = get32(i1 + 4 | 0) | 0;
   FUNCTION_TABLE_iiiii[get32((get32(i47 | 0) | 0) + 56 | 0) & 31](i47, 0, 1, 9) | 0;
  }
  set8(i46 >> 0 | 0, 0 | 0);
 }
 if (!(get8(i17 >> 0 | 0) | 0)) {
  i17 = get32(i1 + 4 | 0) | 0;
  FUNCTION_TABLE_iiiii[get32((get32(i17 | 0) | 0) + 56 | 0) & 31](i17, 1, 1, 9) | 0;
 }
 set8(i19 >> 0 | 0, 0 | 0);
 i16 = (i25 | 0) == (i2 | 0) | (i27 | 0) != 0 ? i27 : 5;
 STACKTOP = i10;
 return i16 | 0;
}

function _updateAccumulator(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0, i80 = 0, i81 = 0, i82 = 0, i83 = 0, i84 = 0, i85 = 0, i86 = 0, i87 = 0, i88 = 0, i89 = 0, i90 = 0, i91 = 0, i92 = 0, i93 = 0, i94 = 0, i95 = 0, i96 = 0, i97 = 0, i98 = 0, i99 = 0, i100 = 0, i101 = 0, i102 = 0, i103 = 0;
 i3 = i1 + 12 | 0;
 i4 = get32(i3 | 0) | 0;
 set8(i2 >> 0 | 0, 1 | 0);
 i5 = i1 + 96 | 0;
 i6 = i1 + 21 | 0;
 i7 = 0;
 i8 = i5;
 while (1) {
  i9 = i8 + 16 | 0;
  i10 = get32(i9 | 0) | 0;
  if (i10) {
   i11 = i8 + 8 | 0;
   if (get8(i11 >> 0 | 0) | 0) {
    i12 = get8(i6 >> 0 | 0) | 0;
    if ((i12 & 255) < 8) {
     set8(i6 >> 0 | 0, i12 + 1 << 24 >> 24 | 0);
     set32(i1 + 24 + ((i12 & 255) << 2) | 0, i10 | 0);
    }
    set8(i11 >> 0 | 0, 0 | 0);
   }
   set32(i9 | 0, 0 | 0);
  }
  i7 = i7 + 1 | 0;
  if ((i7 | 0) == 10) break; else i8 = i8 + 24 | 0;
 }
 i8 = i2 + 36 | 0;
 if ((get32(i8 | 0) | 0) > 0) {
  i7 = i4 + 36 | 0;
  i9 = i4 + 40 | 0;
  i11 = i4 + 44 | 0;
  i10 = i1 + 72 | 0;
  i12 = i1 + 112 | 0;
  i13 = i1 + 120 | 0;
  i14 = i1 + 136 | 0;
  i15 = i1 + 144 | 0;
  i16 = i1 + 160 | 0;
  i17 = i1 + 168 | 0;
  i18 = i1 + 184 | 0;
  i19 = i1 + 192 | 0;
  i20 = i1 + 208 | 0;
  i21 = i1 + 216 | 0;
  i22 = i1 + 232 | 0;
  i23 = i1 + 240 | 0;
  i24 = i1 + 256 | 0;
  i25 = i1 + 264 | 0;
  i26 = i1 + 280 | 0;
  i27 = i1 + 288 | 0;
  i28 = i1 + 304 | 0;
  i29 = i1 + 312 | 0;
  i30 = i1 + 328 | 0;
  i31 = i4 + 28 | 0;
  i32 = i4 + 32 | 0;
  i33 = i4 + 4 | 0;
  i34 = i1 + 56 | 0;
  i35 = i1 + 60 | 0;
  i36 = 0;
  i37 = get32(i2 + 32 | 0) | 0;
  while (1) {
   i38 = get32((get32(i37 | 0) | 0) + 16 | 0) | 0;
   if (i38) {
    i39 = get32(i38 | 0) | 0;
    i40 = get32(i35 | 0) | 0;
    i41 = get32(i34 | 0) | 0;
    if ((i41 | 0) < (i39 | 0)) {
     i42 = get32(i10 | 0) | 0;
     set32(i10 | 0, i42 + i39 | 0);
     i43 = i42 + 1 | 0;
    } else {
     set32(i35 | 0, i40 + i39 | 0);
     set32(i34 | 0, i41 - i39 | 0);
     i43 = i40;
    }
    if ((i39 | 0) > 0) {
     i40 = 0;
     i41 = get32(i38 + 12 | 0) | 0;
     while (1) {
      i42 = i40 + i43 | 0;
      i44 = _sqlite3ExprCodeTarget(i1, get32(i41 | 0) | 0, i42) | 0;
      do if ((i44 | 0) != (i42 | 0)) {
       i45 = get32(i3 | 0) | 0;
       i46 = i45 + 28 | 0;
       i47 = get32(i46 | 0) | 0;
       i48 = i45 + 32 | 0;
       i49 = get32(i48 | 0) | 0;
       if ((i49 | 0) > (i47 | 0)) {
        i50 = i47;
        i51 = get32(i45 + 4 | 0) | 0;
       } else {
        i52 = i45 + 4 | 0;
        i53 = _sqlite3DbRealloc(get32(i45 | 0) | 0, get32(i52 | 0) | 0, (i49 | 0) == 0 ? 1020 : i49 * 40 | 0) | 0;
        if (!i53) break;
        i49 = get32(i45 | 0) | 0;
        if (((i49 | 0) != 0 ? (get32(i49 + 260 | 0) | 0) >>> 0 <= i53 >>> 0 : 0) ? (get32(i49 + 264 | 0) | 0) >>> 0 > i53 >>> 0 : 0) i54 = getU16(i49 + 232 | 0) | 0; else i54 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i53) | 0;
        set32(i48 | 0, (i54 >>> 0) / 20 | 0 | 0);
        set32(i52 | 0, i53 | 0);
        i50 = get32(i46 | 0) | 0;
        i51 = i53;
       }
       set32(i46 | 0, i50 + 1 | 0);
       set8(i51 + (i47 * 20 | 0) >> 0 | 0, 14 | 0);
       set8(i51 + (i47 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i51 + (i47 * 20 | 0) + 4 | 0, i44 | 0);
       set32(i51 + (i47 * 20 | 0) + 8 | 0, i42 | 0);
       set32(i51 + (i47 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i51 + (i47 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i51 + (i47 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      } while (0);
      i40 = i40 + 1 | 0;
      if ((i40 | 0) == (i39 | 0)) {
       i55 = i39;
       i56 = i43;
       break;
      } else i41 = i41 + 20 | 0;
     }
    } else {
     i55 = i39;
     i56 = i43;
    }
   } else {
    i55 = 0;
    i56 = 0;
   }
   i41 = i37 + 12 | 0;
   L42 : do if ((get32(i41 | 0) | 0) > -1) {
    i40 = get32(i7 | 0) | 0;
    set32(i7 | 0, i40 + 1 | 0);
    i42 = get32(i9 | 0) | 0;
    if ((i40 | 0) >= (i42 | 0)) {
     i44 = get32(i4 | 0) | 0;
     i47 = get32(i11 | 0) | 0;
     i46 = _sqlite3DbRealloc(i44, i47, (i42 << 3) + 20 | 0) | 0;
     if (i46) {
      set32(i11 | 0, i46 | 0);
      i42 = get32(i4 | 0) | 0;
      if (((i42 | 0) != 0 ? (get32(i42 + 260 | 0) | 0) >>> 0 <= i46 >>> 0 : 0) ? (get32(i42 + 264 | 0) | 0) >>> 0 > i46 >>> 0 : 0) i57 = getU16(i42 + 232 | 0) | 0; else i58 = 37;
     } else {
      _sqlite3DbFree(i44, i47);
      set32(i11 | 0, 0 | 0);
      i58 = 37;
     }
     if ((i58 | 0) == 37) {
      i58 = 0;
      i57 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i46) | 0;
     }
     set32(i9 | 0, i57 >>> 2 | 0);
    }
    i46 = get32(i11 | 0) | 0;
    if (i46) set32(i46 + (i40 << 2) | 0, -1 | 0);
    i46 = ~i40;
    i40 = get32(i41 | 0) | 0;
    i47 = get32(i3 | 0) | 0;
    i44 = get8(i6 >> 0 | 0) | 0;
    if (!(i44 << 24 >> 24)) {
     i42 = (get32(i10 | 0) | 0) + 1 | 0;
     set32(i10 | 0, i42 | 0);
     i59 = i42;
    } else {
     i42 = i44 + -1 << 24 >> 24;
     set8(i6 >> 0 | 0, i42 | 0);
     i59 = get32(i1 + 24 + ((i42 & 255) << 2) | 0) | 0;
    }
    i42 = i47 + 28 | 0;
    i44 = get32(i42 | 0) | 0;
    i53 = i47 + 32 | 0;
    i52 = get32(i53 | 0) | 0;
    if ((i52 | 0) <= (i44 | 0)) {
     i48 = i47 + 4 | 0;
     i49 = _sqlite3DbRealloc(get32(i47 | 0) | 0, get32(i48 | 0) | 0, (i52 | 0) == 0 ? 1020 : i52 * 40 | 0) | 0;
     if (!i49) {
      i60 = 1;
      i61 = i47;
      i62 = i48;
     } else {
      i52 = get32(i47 | 0) | 0;
      if (((i52 | 0) != 0 ? (get32(i52 + 260 | 0) | 0) >>> 0 <= i49 >>> 0 : 0) ? (get32(i52 + 264 | 0) | 0) >>> 0 > i49 >>> 0 : 0) i63 = getU16(i52 + 232 | 0) | 0; else i63 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i49) | 0;
      set32(i53 | 0, (i63 >>> 0) / 20 | 0 | 0);
      set32(i48 | 0, i49 | 0);
      i64 = i48;
      i65 = get32(i42 | 0) | 0;
      i66 = i49;
      i58 = 53;
     }
    } else {
     i49 = i47 + 4 | 0;
     i64 = i49;
     i65 = i44;
     i66 = get32(i49 | 0) | 0;
     i58 = 53;
    }
    if ((i58 | 0) == 53) {
     i58 = 0;
     set32(i42 | 0, i65 + 1 | 0);
     set8(i66 + (i44 * 20 | 0) >> 0 | 0, 50 | 0);
     set8(i66 + (i44 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i66 + (i44 * 20 | 0) + 4 | 0, i40 | 0);
     set32(i66 + (i44 * 20 | 0) + 8 | 0, i46 | 0);
     set32(i66 + (i44 * 20 | 0) + 12 | 0, i56 | 0);
     set32(i66 + (i44 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i66 + (i44 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i60 = i44;
     i61 = i47;
     i62 = i64;
    }
    i47 = get32(i61 | 0) | 0;
    i44 = get32(i62 | 0) | 0;
    if ((i44 | 0) != 0 ? (get8(i47 + 30 >> 0 | 0) | 0) == 0 : 0) {
     if ((i60 | 0) < 0) i67 = (get32(i42 | 0) | 0) + -1 | 0; else i67 = i60;
     i49 = i44 + (i67 * 20 | 0) + 1 | 0;
     i48 = i44 + (i67 * 20 | 0) + 16 | 0;
     _freeP4(i47, get8(i49 >> 0 | 0) | 0, get32(i48 | 0) | 0);
     set32(i48 | 0, 1 | 0);
     set8(i49 >> 0 | 0, -14 | 0);
    }
    i49 = get32(i42 | 0) | 0;
    i48 = get32(i53 | 0) | 0;
    do if ((i48 | 0) > (i49 | 0)) {
     i68 = i49;
     i69 = get32(i62 | 0) | 0;
     i70 = i48;
     i58 = 69;
    } else {
     i47 = _sqlite3DbRealloc(get32(i61 | 0) | 0, get32(i62 | 0) | 0, (i48 | 0) == 0 ? 1020 : i48 * 40 | 0) | 0;
     if (!i47) {
      i71 = get32(i53 | 0) | 0;
      i72 = get32(i42 | 0) | 0;
      break;
     }
     i44 = get32(i61 | 0) | 0;
     if (((i44 | 0) != 0 ? (get32(i44 + 260 | 0) | 0) >>> 0 <= i47 >>> 0 : 0) ? (get32(i44 + 264 | 0) | 0) >>> 0 > i47 >>> 0 : 0) i73 = getU16(i44 + 232 | 0) | 0; else i73 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i47) | 0;
     i44 = (i73 >>> 0) / 20 | 0;
     set32(i53 | 0, i44 | 0);
     set32(i62 | 0, i47 | 0);
     i68 = get32(i42 | 0) | 0;
     i69 = i47;
     i70 = i44;
     i58 = 69;
    } while (0);
    if ((i58 | 0) == 69) {
     i58 = 0;
     i48 = i68 + 1 | 0;
     set32(i42 | 0, i48 | 0);
     set8(i69 + (i49 * 20 | 0) >> 0 | 0, 30 | 0);
     set8(i69 + (i49 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i69 + (i49 * 20 | 0) + 4 | 0, i56 | 0);
     set32(i69 + (i49 * 20 | 0) + 8 | 0, 1 | 0);
     set32(i69 + (i49 * 20 | 0) + 12 | 0, i59 | 0);
     set32(i69 + (i49 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i69 + (i49 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i71 = i70;
     i72 = i48;
    }
    if ((i71 | 0) <= (i72 | 0)) {
     i48 = _sqlite3DbRealloc(get32(i61 | 0) | 0, get32(i62 | 0) | 0, (i71 | 0) == 0 ? 1020 : i71 * 40 | 0) | 0;
     if (i48) {
      i44 = get32(i61 | 0) | 0;
      if (((i44 | 0) != 0 ? (get32(i44 + 260 | 0) | 0) >>> 0 <= i48 >>> 0 : 0) ? (get32(i44 + 264 | 0) | 0) >>> 0 > i48 >>> 0 : 0) i74 = getU16(i44 + 232 | 0) | 0; else i74 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i48) | 0;
      set32(i53 | 0, (i74 >>> 0) / 20 | 0 | 0);
      set32(i62 | 0, i48 | 0);
      i75 = get32(i42 | 0) | 0;
      i76 = i48;
      i58 = 79;
     }
    } else {
     i75 = i72;
     i76 = get32(i62 | 0) | 0;
     i58 = 79;
    }
    if ((i58 | 0) == 79) {
     i58 = 0;
     set32(i42 | 0, i75 + 1 | 0);
     set8(i76 + (i72 * 20 | 0) >> 0 | 0, 70 | 0);
     set8(i76 + (i72 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i76 + (i72 * 20 | 0) + 4 | 0, i40 | 0);
     set32(i76 + (i72 * 20 | 0) + 8 | 0, i59 | 0);
     set32(i76 + (i72 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i76 + (i72 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i76 + (i72 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    }
    if ((i59 | 0) != 0 ? (i48 = get8(i6 >> 0 | 0) | 0, (i48 & 255) < 8) : 0) {
     do if ((get32(i12 | 0) | 0) != (i59 | 0)) if ((get32(i14 | 0) | 0) != (i59 | 0)) if ((get32(i16 | 0) | 0) != (i59 | 0)) if ((get32(i18 | 0) | 0) == (i59 | 0)) i77 = i17; else {
      if ((get32(i20 | 0) | 0) == (i59 | 0)) {
       i77 = i19;
       break;
      }
      if ((get32(i22 | 0) | 0) == (i59 | 0)) {
       i77 = i21;
       break;
      }
      if ((get32(i24 | 0) | 0) == (i59 | 0)) {
       i77 = i23;
       break;
      }
      if ((get32(i26 | 0) | 0) == (i59 | 0)) {
       i77 = i25;
       break;
      }
      if ((get32(i28 | 0) | 0) == (i59 | 0)) {
       i77 = i27;
       break;
      }
      if ((get32(i30 | 0) | 0) == (i59 | 0)) {
       i77 = i29;
       break;
      }
      set8(i6 >> 0 | 0, i48 + 1 << 24 >> 24 | 0);
      set32(i1 + 24 + ((i48 & 255) << 2) | 0, i59 | 0);
      i78 = i46;
      break L42;
     } else i77 = i15; else i77 = i13; else i77 = i5; while (0);
     set8(i77 + 8 >> 0 | 0, 1 | 0);
     i78 = i46;
    } else i78 = i46;
   } else i78 = 0; while (0);
   i41 = i37 + 4 | 0;
   do if (get8((get32(i41 | 0) | 0) + 3 >> 0 | 0) & 8) {
    if ((i55 | 0) > 0) {
     i39 = 0;
     i48 = get32(i38 + 12 | 0) | 0;
     while (1) {
      i79 = _sqlite3ExprCollSeq(i1, get32(i48 | 0) | 0) | 0;
      i39 = i39 + 1 | 0;
      i80 = (i79 | 0) != 0;
      if (!((i39 | 0) < (i55 | 0) & (i80 ^ 1))) break; else i48 = i48 + 20 | 0;
     }
     if (i80) i81 = i79; else i58 = 99;
    } else i58 = 99;
    if ((i58 | 0) == 99) {
     i58 = 0;
     i81 = get32((get32(i1 | 0) | 0) + 44 | 0) | 0;
    }
    i48 = get32(i31 | 0) | 0;
    i39 = get32(i32 | 0) | 0;
    if ((i39 | 0) <= (i48 | 0)) {
     i46 = _sqlite3DbRealloc(get32(i4 | 0) | 0, get32(i33 | 0) | 0, (i39 | 0) == 0 ? 1020 : i39 * 40 | 0) | 0;
     if (!i46) i82 = 1; else {
      i39 = get32(i4 | 0) | 0;
      if (((i39 | 0) != 0 ? (get32(i39 + 260 | 0) | 0) >>> 0 <= i46 >>> 0 : 0) ? (get32(i39 + 264 | 0) | 0) >>> 0 > i46 >>> 0 : 0) i83 = getU16(i39 + 232 | 0) | 0; else i83 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i46) | 0;
      set32(i32 | 0, (i83 >>> 0) / 20 | 0 | 0);
      set32(i33 | 0, i46 | 0);
      i84 = get32(i31 | 0) | 0;
      i85 = i46;
      i58 = 109;
     }
    } else {
     i84 = i48;
     i85 = get32(i33 | 0) | 0;
     i58 = 109;
    }
    if ((i58 | 0) == 109) {
     i58 = 0;
     set32(i31 | 0, i84 + 1 | 0);
     set8(i85 + (i48 * 20 | 0) >> 0 | 0, 17 | 0);
     set8(i85 + (i48 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i46 = i85 + (i48 * 20 | 0) + 3 | 0;
     i39 = i46 + 17 | 0;
     do {
      set8(i46 >> 0 | 0, 0 | 0);
      i46 = i46 + 1 | 0;
     } while ((i46 | 0) < (i39 | 0));
     i82 = i48;
    }
    i46 = get32(i4 | 0) | 0;
    i39 = get32(i33 | 0) | 0;
    if ((i39 | 0) != 0 ? (get8(i46 + 30 >> 0 | 0) | 0) == 0 : 0) {
     if ((i82 | 0) < 0) i86 = (get32(i31 | 0) | 0) + -1 | 0; else i86 = i82;
     i40 = i39 + (i86 * 20 | 0) + 1 | 0;
     i42 = i39 + (i86 * 20 | 0) + 16 | 0;
     _freeP4(i46, get8(i40 >> 0 | 0) | 0, get32(i42 | 0) | 0);
     set32(i42 | 0, 0 | 0);
     if (!i81) {
      set32(i42 | 0, 0 | 0);
      set8(i40 >> 0 | 0, 0 | 0);
      break;
     } else {
      set32(i42 | 0, i81 | 0);
      set8(i40 >> 0 | 0, -4 | 0);
      break;
     }
    }
   } while (0);
   i38 = get32(i37 + 8 | 0) | 0;
   i40 = get32(i41 | 0) | 0;
   i42 = get32(i31 | 0) | 0;
   i46 = get32(i32 | 0) | 0;
   if ((i46 | 0) <= (i42 | 0)) {
    i39 = _sqlite3DbRealloc(get32(i4 | 0) | 0, get32(i33 | 0) | 0, (i46 | 0) == 0 ? 1020 : i46 * 40 | 0) | 0;
    if (!i39) i87 = 1; else {
     i46 = get32(i4 | 0) | 0;
     if (((i46 | 0) != 0 ? (get32(i46 + 260 | 0) | 0) >>> 0 <= i39 >>> 0 : 0) ? (get32(i46 + 264 | 0) | 0) >>> 0 > i39 >>> 0 : 0) i88 = getU16(i46 + 232 | 0) | 0; else i88 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i39) | 0;
     set32(i32 | 0, (i88 >>> 0) / 20 | 0 | 0);
     set32(i33 | 0, i39 | 0);
     i89 = get32(i31 | 0) | 0;
     i90 = i39;
     i58 = 126;
    }
   } else {
    i89 = i42;
    i90 = get32(i33 | 0) | 0;
    i58 = 126;
   }
   if ((i58 | 0) == 126) {
    i58 = 0;
    set32(i31 | 0, i89 + 1 | 0);
    set8(i90 + (i42 * 20 | 0) >> 0 | 0, 116 | 0);
    set8(i90 + (i42 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i90 + (i42 * 20 | 0) + 4 | 0, 0 | 0);
    set32(i90 + (i42 * 20 | 0) + 8 | 0, i56 | 0);
    set32(i90 + (i42 * 20 | 0) + 12 | 0, i38 | 0);
    set32(i90 + (i42 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i90 + (i42 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i87 = i42;
   }
   i42 = get32(i4 | 0) | 0;
   i38 = get32(i33 | 0) | 0;
   do if ((i38 | 0) != 0 ? (get8(i42 + 30 >> 0 | 0) | 0) == 0 : 0) {
    if ((i87 | 0) < 0) i91 = (get32(i31 | 0) | 0) + -1 | 0; else i91 = i87;
    i39 = i38 + (i91 * 20 | 0) + 1 | 0;
    i46 = i38 + (i91 * 20 | 0) + 16 | 0;
    _freeP4(i42, get8(i39 >> 0 | 0) | 0, get32(i46 | 0) | 0);
    set32(i46 | 0, 0 | 0);
    if (!i40) {
     set32(i46 | 0, 0 | 0);
     set8(i39 >> 0 | 0, 0 | 0);
     break;
    } else {
     set32(i46 | 0, i40 | 0);
     set8(i39 >> 0 | 0, -5 | 0);
     break;
    }
   } else i58 = 129; while (0);
   if (((i58 | 0) == 129 ? (i58 = 0, (i40 | 0) != 0) : 0) ? (get8(i40 + 3 >> 0 | 0) & 4) != 0 : 0) _sqlite3DbFree(i42, i40);
   i38 = get32(i33 | 0) | 0;
   if (i38) set8(i38 + (((get32(i31 | 0) | 0) + -1 | 0) * 20 | 0) + 3 >> 0 | 0, i55 | 0);
   i38 = i55 + -1 + i56 | 0;
   i41 = 0;
   i39 = i5;
   while (1) {
    i46 = i39 + 16 | 0;
    i53 = get32(i46 | 0) | 0;
    if (!((i53 | 0) < (i56 | 0) | (i53 | 0) > (i38 | 0))) {
     i49 = i39 + 8 | 0;
     if (get8(i49 >> 0 | 0) | 0) {
      i44 = get8(i6 >> 0 | 0) | 0;
      if ((i44 & 255) < 8) {
       set8(i6 >> 0 | 0, i44 + 1 << 24 >> 24 | 0);
       set32(i1 + 24 + ((i44 & 255) << 2) | 0, i53 | 0);
      }
      set8(i49 >> 0 | 0, 0 | 0);
     }
     set32(i46 | 0, 0 | 0);
    }
    i41 = i41 + 1 | 0;
    if ((i41 | 0) == 10) {
     i92 = 0;
     i93 = i5;
     break;
    } else i39 = i39 + 24 | 0;
   }
   while (1) {
    i39 = i93 + 16 | 0;
    i41 = get32(i39 | 0) | 0;
    if (!((i41 | 0) < (i56 | 0) | (i41 | 0) > (i38 | 0))) {
     i40 = i93 + 8 | 0;
     if (get8(i40 >> 0 | 0) | 0) {
      i42 = get8(i6 >> 0 | 0) | 0;
      if ((i42 & 255) < 8) {
       set8(i6 >> 0 | 0, i42 + 1 << 24 >> 24 | 0);
       set32(i1 + 24 + ((i42 & 255) << 2) | 0, i41 | 0);
      }
      set8(i40 >> 0 | 0, 0 | 0);
     }
     set32(i39 | 0, 0 | 0);
    }
    i92 = i92 + 1 | 0;
    if ((i92 | 0) == 10) break; else i93 = i93 + 24 | 0;
   }
   if ((get32(i34 | 0) | 0) < (i55 | 0)) {
    set32(i34 | 0, i55 | 0);
    set32(i35 | 0, i56 | 0);
   }
   if (i78) {
    i38 = get32(i11 | 0) | 0;
    if (!i38) {
     i94 = 0;
     i95 = i5;
    } else {
     set32(i38 + (~i78 << 2) | 0, get32(i31 | 0) | 0);
     i94 = 0;
     i95 = i5;
    }
    while (1) {
     i38 = i95 + 16 | 0;
     i39 = get32(i38 | 0) | 0;
     if (i39) {
      i40 = i95 + 8 | 0;
      if (get8(i40 >> 0 | 0) | 0) {
       i41 = get8(i6 >> 0 | 0) | 0;
       if ((i41 & 255) < 8) {
        set8(i6 >> 0 | 0, i41 + 1 << 24 >> 24 | 0);
        set32(i1 + 24 + ((i41 & 255) << 2) | 0, i39 | 0);
       }
       set8(i40 >> 0 | 0, 0 | 0);
      }
      set32(i38 | 0, 0 | 0);
     }
     i94 = i94 + 1 | 0;
     if ((i94 | 0) == 10) break; else i95 = i95 + 24 | 0;
    }
   }
   i36 = i36 + 1 | 0;
   if ((i36 | 0) >= (get32(i8 | 0) | 0)) {
    i96 = 0;
    i97 = i5;
    break;
   } else i37 = i37 + 16 | 0;
  }
 } else {
  i96 = 0;
  i97 = i5;
 }
 while (1) {
  i37 = i97 + 16 | 0;
  i8 = get32(i37 | 0) | 0;
  if (i8) {
   i36 = i97 + 8 | 0;
   if (get8(i36 >> 0 | 0) | 0) {
    i95 = get8(i6 >> 0 | 0) | 0;
    if ((i95 & 255) < 8) {
     set8(i6 >> 0 | 0, i95 + 1 << 24 >> 24 | 0);
     set32(i1 + 24 + ((i95 & 255) << 2) | 0, i8 | 0);
    }
    set8(i36 >> 0 | 0, 0 | 0);
   }
   set32(i37 | 0, 0 | 0);
  }
  i96 = i96 + 1 | 0;
  if ((i96 | 0) == 10) break; else i97 = i97 + 24 | 0;
 }
 i97 = i2 + 28 | 0;
 if ((get32(i97 | 0) | 0) > 0) {
  i96 = 0;
  i37 = get32(i2 + 16 | 0) | 0;
  while (1) {
   i36 = get32(i37 + 20 | 0) | 0;
   i8 = get32(i37 + 16 | 0) | 0;
   do if ((i36 | 0) != 0 ? (get8(i36 >> 0 | 0) | 0) == -124 : 0) {
    i95 = get32(i3 | 0) | 0;
    i94 = get32(i36 + 24 | 0) | 0;
    i31 = i95 + 28 | 0;
    i78 = get32(i31 | 0) | 0;
    i11 = i95 + 32 | 0;
    i56 = get32(i11 | 0) | 0;
    if ((i56 | 0) > (i78 | 0)) {
     i98 = i78;
     i99 = get32(i95 + 4 | 0) | 0;
    } else {
     i35 = i95 + 4 | 0;
     i55 = _sqlite3DbRealloc(get32(i95 | 0) | 0, get32(i35 | 0) | 0, (i56 | 0) == 0 ? 1020 : i56 * 40 | 0) | 0;
     if (!i55) break;
     i56 = get32(i95 | 0) | 0;
     if (((i56 | 0) != 0 ? (get32(i56 + 260 | 0) | 0) >>> 0 <= i55 >>> 0 : 0) ? (get32(i56 + 264 | 0) | 0) >>> 0 > i55 >>> 0 : 0) i100 = getU16(i56 + 232 | 0) | 0; else i100 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i55) | 0;
     set32(i11 | 0, (i100 >>> 0) / 20 | 0 | 0);
     set32(i35 | 0, i55 | 0);
     i98 = get32(i31 | 0) | 0;
     i99 = i55;
    }
    set32(i31 | 0, i98 + 1 | 0);
    set8(i99 + (i78 * 20 | 0) >> 0 | 0, 14 | 0);
    set8(i99 + (i78 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i99 + (i78 * 20 | 0) + 4 | 0, i94 | 0);
    set32(i99 + (i78 * 20 | 0) + 8 | 0, i8 | 0);
    set32(i99 + (i78 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i99 + (i78 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i99 + (i78 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   } else i58 = 188; while (0);
   do if (((i58 | 0) == 188 ? (i58 = 0, i78 = _sqlite3ExprCodeTarget(i1, i36, i8) | 0, (i78 | 0) != (i8 | 0)) : 0) ? (i94 = get32(i3 | 0) | 0, (i94 | 0) != 0) : 0) {
    i31 = i94 + 28 | 0;
    i55 = get32(i31 | 0) | 0;
    i35 = i94 + 32 | 0;
    i11 = get32(i35 | 0) | 0;
    if ((i11 | 0) > (i55 | 0)) {
     i101 = i55;
     i102 = get32(i94 + 4 | 0) | 0;
    } else {
     i56 = i94 + 4 | 0;
     i95 = _sqlite3DbRealloc(get32(i94 | 0) | 0, get32(i56 | 0) | 0, (i11 | 0) == 0 ? 1020 : i11 * 40 | 0) | 0;
     if (!i95) break;
     i11 = get32(i94 | 0) | 0;
     if (((i11 | 0) != 0 ? (get32(i11 + 260 | 0) | 0) >>> 0 <= i95 >>> 0 : 0) ? (get32(i11 + 264 | 0) | 0) >>> 0 > i95 >>> 0 : 0) i103 = getU16(i11 + 232 | 0) | 0; else i103 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i95) | 0;
     set32(i35 | 0, (i103 >>> 0) / 20 | 0 | 0);
     set32(i56 | 0, i95 | 0);
     i101 = get32(i31 | 0) | 0;
     i102 = i95;
    }
    set32(i31 | 0, i101 + 1 | 0);
    set8(i102 + (i55 * 20 | 0) >> 0 | 0, 15 | 0);
    set8(i102 + (i55 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i102 + (i55 * 20 | 0) + 4 | 0, i78 | 0);
    set32(i102 + (i55 * 20 | 0) + 8 | 0, i8 | 0);
    set32(i102 + (i55 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i102 + (i55 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i102 + (i55 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   } while (0);
   i96 = i96 + 1 | 0;
   if ((i96 | 0) >= (get32(i97 | 0) | 0)) break; else i37 = i37 + 24 | 0;
  }
 }
 set8(i2 >> 0 | 0, 0 | 0);
 i2 = 0;
 i37 = i5;
 while (1) {
  i5 = i37 + 16 | 0;
  i97 = get32(i5 | 0) | 0;
  if (i97) {
   i96 = i37 + 8 | 0;
   if (get8(i96 >> 0 | 0) | 0) {
    i102 = get8(i6 >> 0 | 0) | 0;
    if ((i102 & 255) < 8) {
     set8(i6 >> 0 | 0, i102 + 1 << 24 >> 24 | 0);
     set32(i1 + 24 + ((i102 & 255) << 2) | 0, i97 | 0);
    }
    set8(i96 >> 0 | 0, 0 | 0);
   }
   set32(i5 | 0, 0 | 0);
  }
  i2 = i2 + 1 | 0;
  if ((i2 | 0) == 10) break; else i37 = i37 + 24 | 0;
 }
 return;
}

function _sqlite3VtabFinishParse(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 48 | 0;
 i4 = i3 + 32 | 0;
 i5 = i3 + 8 | 0;
 i6 = i3;
 i7 = i1 + 508 | 0;
 i8 = get32(i7 | 0) | 0;
 i9 = get32(i1 | 0) | 0;
 if (!i8) {
  STACKTOP = i3;
  return;
 }
 i10 = i1 + 520 | 0;
 i11 = get32(i10 | 0) | 0;
 if (!i11) i12 = i8 + 56 | 0; else {
  i13 = get32(i1 + 524 | 0) | 0;
  i14 = i13 + 1 | 0;
  L7 : do if (!i9) if (i13 >>> 0 <= 2147483390) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i15 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i14) | 0;
    i16 = 43;
    break;
   }
   i17 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i14) | 0;
   set32(35 * 4 | 0, i14 | 0);
   if ((get32(45 * 4 | 0) | 0) < (i14 | 0)) set32(45 * 4 | 0, i14 | 0);
   i18 = get32(6 * 4 | 0) | 0;
   do if (i18) {
    i19 = get32(30 * 4 | 0) | 0;
    i20 = ((i19 | 0) < 0) << 31 >> 31;
    i21 = 16;
    i22 = _i64Subtract(get32(i21 | 0) | 0, get32(i21 + 4 | 0) | 0, i17 | 0, ((i17 | 0) < 0) << 31 >> 31 | 0) | 0;
    i21 = tempRet0;
    if ((i20 | 0) < (i21 | 0) | (i20 | 0) == (i21 | 0) & i19 >>> 0 < i22 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i22 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i18 & 15](i22, i19, i20, i17);
     set32(6 * 4 | 0, i18 | 0);
     set32(7 * 4 | 0, i22 | 0);
     break;
    }
   } while (0);
   i18 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i17) | 0;
   if (i18) {
    i22 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i18) | 0;
    i20 = (get32(30 * 4 | 0) | 0) + i22 | 0;
    set32(30 * 4 | 0, i20 | 0);
    if ((i20 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i20 | 0);
    i20 = get32(39 * 4 | 0) | 0;
    i22 = i20 + 1 | 0;
    set32(39 * 4 | 0, i22 | 0);
    if ((i20 | 0) < (get32(49 * 4 | 0) | 0)) {
     i23 = i18;
     i16 = 44;
    } else {
     set32(49 * 4 | 0, i22 | 0);
     i23 = i18;
     i16 = 44;
    }
   } else i24 = 0;
  } else i24 = 0; else {
   i18 = i9 + 30 | 0;
   if (!(get8(i18 >> 0 | 0) | 0)) {
    do if (get8(i9 + 234 >> 0 | 0) | 0) {
     if ((getU16(i9 + 232 | 0) | 0) < (i14 | 0)) {
      i22 = i9 + 248 | 0;
      set32(i22 | 0, (get32(i22 | 0) | 0) + 1 | 0);
      break;
     }
     i22 = i9 + 256 | 0;
     i20 = get32(i22 | 0) | 0;
     if (!i20) {
      i19 = i9 + 252 | 0;
      set32(i19 | 0, (get32(i19 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i22 | 0, get32(i20 | 0) | 0);
     i22 = i9 + 236 | 0;
     i19 = get32(i22 | 0) | 0;
     i21 = i19 + 1 | 0;
     set32(i22 | 0, i21 | 0);
     i22 = i9 + 244 | 0;
     set32(i22 | 0, (get32(i22 | 0) | 0) + 1 | 0);
     i22 = i9 + 240 | 0;
     if ((i19 | 0) >= (get32(i22 | 0) | 0)) set32(i22 | 0, i21 | 0);
     i15 = i20;
     i16 = 43;
     break L7;
    } while (0);
    do if (i13 >>> 0 <= 2147483390) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i17 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i14) | 0;
      if (!i17) break; else {
       i23 = i17;
       i16 = 44;
       break L7;
      }
     }
     i17 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i14) | 0;
     set32(35 * 4 | 0, i14 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i14 | 0)) set32(45 * 4 | 0, i14 | 0);
     i20 = get32(6 * 4 | 0) | 0;
     do if (i20) {
      i21 = get32(30 * 4 | 0) | 0;
      i22 = ((i21 | 0) < 0) << 31 >> 31;
      i19 = 16;
      i25 = _i64Subtract(get32(i19 | 0) | 0, get32(i19 + 4 | 0) | 0, i17 | 0, ((i17 | 0) < 0) << 31 >> 31 | 0) | 0;
      i19 = tempRet0;
      if ((i22 | 0) < (i19 | 0) | (i22 | 0) == (i19 | 0) & i21 >>> 0 < i25 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i25 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i20 & 15](i25, i21, i22, i17);
       set32(6 * 4 | 0, i20 | 0);
       set32(7 * 4 | 0, i25 | 0);
       break;
      }
     } while (0);
     i20 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i17) | 0;
     if (i20) {
      i25 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i20) | 0;
      i22 = (get32(30 * 4 | 0) | 0) + i25 | 0;
      set32(30 * 4 | 0, i22 | 0);
      if ((i22 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i22 | 0);
      i22 = get32(39 * 4 | 0) | 0;
      i25 = i22 + 1 | 0;
      set32(39 * 4 | 0, i25 | 0);
      if ((i22 | 0) < (get32(49 * 4 | 0) | 0)) {
       i23 = i20;
       i16 = 44;
       break L7;
      }
      set32(49 * 4 | 0, i25 | 0);
      i23 = i20;
      i16 = 44;
      break L7;
     }
    } while (0);
    set8(i18 >> 0 | 0, 1 | 0);
    i24 = 0;
   } else i24 = 0;
  } while (0);
  if ((i16 | 0) == 43) if (!i15) i24 = 0; else {
   i23 = i15;
   i16 = 44;
  }
  if ((i16 | 0) == 44) {
   _memcpy(i23 | 0, i11 | 0, i13 | 0) | 0;
   set8(i23 + i13 >> 0 | 0, 0 | 0);
   i24 = i23;
  }
  i23 = i8 + 56 | 0;
  i13 = get32(i23 | 0) | 0;
  i11 = i13 + 1 | 0;
  set32(i23 | 0, i11 | 0);
  i15 = i8 + 60 | 0;
  i14 = _sqlite3DbRealloc(i9, get32(i15 | 0) | 0, (i13 << 2) + 8 | 0) | 0;
  if (!i14) {
   if ((i13 | 0) > 0) {
    i20 = 0;
    do {
     _sqlite3DbFree(i9, get32((get32(i15 | 0) | 0) + (i20 << 2) | 0) | 0);
     i20 = i20 + 1 | 0;
    } while ((i20 | 0) != (i13 | 0));
   }
   _sqlite3DbFree(i9, i24);
   _sqlite3DbFree(i9, get32(i15 | 0) | 0);
   set32(i23 | 0, 0 | 0);
  } else {
   set32(i14 + (i13 << 2) | 0, i24 | 0);
   set32(i14 + (i11 << 2) | 0, 0 | 0);
  }
  set32(i15 | 0, i14 | 0);
  i12 = i23;
 }
 set32(i10 | 0, 0 | 0);
 if ((get32(i12 | 0) | 0) < 1) {
  STACKTOP = i3;
  return;
 }
 if (get8(i9 + 124 >> 0 | 0) | 0) {
  i12 = get32(i8 + 68 | 0) | 0;
  i10 = get32(i8 | 0) | 0;
  if (!i10) i26 = 0; else {
   i23 = i10;
   while (1) if (!(get8(i23 >> 0 | 0) | 0)) {
    i27 = i23;
    break;
   } else i23 = i23 + 1 | 0;
   i26 = i27 - i10 & 1073741823;
  }
  if (!(_sqlite3HashInsert(i12 + 8 | 0, i10, i26, i8) | 0)) {
   set32(i7 | 0, 0 | 0);
   STACKTOP = i3;
   return;
  } else {
   set8(i9 + 30 >> 0 | 0, 1 | 0);
   STACKTOP = i3;
   return;
  }
 }
 if (i2) set32(i1 + 492 | 0, (get32(i2 | 0) | 0) - (get32(i1 + 488 | 0) | 0) + (get32(i2 + 4 | 0) | 0) | 0);
 set32(i6 | 0, i1 + 488 | 0);
 i2 = _sqlite3MPrintf(i9, 37467, i6) | 0;
 i6 = get32(i8 + 68 | 0) | 0;
 L94 : do if (i6) {
  i7 = get32(i9 + 4 | 0) | 0;
  if ((i7 | 0) > 0) {
   i26 = get32(i9 + 8 | 0) | 0;
   i10 = 0;
   while (1) {
    if ((get32(i26 + (i10 << 4) + 12 | 0) | 0) == (i6 | 0)) {
     i28 = i10;
     break L94;
    }
    i12 = i10 + 1 | 0;
    if ((i12 | 0) < (i7 | 0)) i10 = i12; else {
     i28 = i12;
     break;
    }
   }
  } else i28 = 0;
 } else i28 = -1e6; while (0);
 i6 = get32(i8 | 0) | 0;
 i10 = get32(i1 + 408 | 0) | 0;
 set32(i5 | 0, get32((get32(i9 + 8 | 0) | 0) + (i28 << 4) | 0) | 0);
 set32(i5 + 4 | 0, ((i28 | 0) == 1 ? 21655 : 21674) | 0);
 set32(i5 + 8 | 0, i6 | 0);
 set32(i5 + 12 | 0, i6 | 0);
 set32(i5 + 16 | 0, i2 | 0);
 set32(i5 + 20 | 0, i10 | 0);
 _sqlite3NestedParse(i1, 37491, i5);
 _sqlite3DbFree(i9, i2);
 i2 = i1 + 12 | 0;
 i5 = get32(i2 | 0) | 0;
 do if (!i5) {
  i10 = get32(i1 | 0) | 0;
  L103 : do if (!i10) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i29 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
    i16 = 98;
    break;
   }
   i6 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
   set32(35 * 4 | 0, 192 | 0);
   if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
   i7 = get32(6 * 4 | 0) | 0;
   do if (i7) {
    i26 = get32(30 * 4 | 0) | 0;
    i18 = ((i26 | 0) < 0) << 31 >> 31;
    i12 = 16;
    i27 = _i64Subtract(get32(i12 | 0) | 0, get32(i12 + 4 | 0) | 0, i6 | 0, ((i6 | 0) < 0) << 31 >> 31 | 0) | 0;
    i12 = tempRet0;
    if ((i18 | 0) < (i12 | 0) | (i18 | 0) == (i12 | 0) & i26 >>> 0 < i27 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i27 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i7 & 15](i27, i26, i18, i6);
     set32(6 * 4 | 0, i7 | 0);
     set32(7 * 4 | 0, i27 | 0);
     break;
    }
   } while (0);
   i7 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i6) | 0;
   if (i7) {
    i17 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i7) | 0;
    i27 = (get32(30 * 4 | 0) | 0) + i17 | 0;
    set32(30 * 4 | 0, i27 | 0);
    if ((i27 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i27 | 0);
    i27 = get32(39 * 4 | 0) | 0;
    i17 = i27 + 1 | 0;
    set32(39 * 4 | 0, i17 | 0);
    if ((i27 | 0) < (get32(49 * 4 | 0) | 0)) i30 = i7; else {
     set32(49 * 4 | 0, i17 | 0);
     i30 = i7;
    }
   } else i16 = 99;
  } else {
   i7 = i10 + 30 | 0;
   if (!(get8(i7 >> 0 | 0) | 0)) {
    do if (get8(i10 + 234 >> 0 | 0) | 0) {
     if ((getU16(i10 + 232 | 0) | 0) < 192) {
      i17 = i10 + 248 | 0;
      set32(i17 | 0, (get32(i17 | 0) | 0) + 1 | 0);
      break;
     }
     i17 = i10 + 256 | 0;
     i27 = get32(i17 | 0) | 0;
     if (!i27) {
      i18 = i10 + 252 | 0;
      set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i17 | 0, get32(i27 | 0) | 0);
     i17 = i10 + 236 | 0;
     i18 = get32(i17 | 0) | 0;
     i26 = i18 + 1 | 0;
     set32(i17 | 0, i26 | 0);
     i17 = i10 + 244 | 0;
     set32(i17 | 0, (get32(i17 | 0) | 0) + 1 | 0);
     i17 = i10 + 240 | 0;
     if ((i18 | 0) >= (get32(i17 | 0) | 0)) set32(i17 | 0, i26 | 0);
     i29 = i27;
     i16 = 98;
     break L103;
    } while (0);
    if (!(get32(50 * 4 | 0) | 0)) {
     i6 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
     if (i6) {
      i30 = i6;
      break;
     }
    } else {
     i6 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
     set32(35 * 4 | 0, 192 | 0);
     if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
     i27 = get32(6 * 4 | 0) | 0;
     do if (i27) {
      i26 = get32(30 * 4 | 0) | 0;
      i17 = ((i26 | 0) < 0) << 31 >> 31;
      i18 = 16;
      i12 = _i64Subtract(get32(i18 | 0) | 0, get32(i18 + 4 | 0) | 0, i6 | 0, ((i6 | 0) < 0) << 31 >> 31 | 0) | 0;
      i18 = tempRet0;
      if ((i17 | 0) < (i18 | 0) | (i17 | 0) == (i18 | 0) & i26 >>> 0 < i12 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i12 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i27 & 15](i12, i26, i17, i6);
       set32(6 * 4 | 0, i27 | 0);
       set32(7 * 4 | 0, i12 | 0);
       break;
      }
     } while (0);
     i27 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i6) | 0;
     if (i27) {
      i12 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i27) | 0;
      i17 = (get32(30 * 4 | 0) | 0) + i12 | 0;
      set32(30 * 4 | 0, i17 | 0);
      if ((i17 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i17 | 0);
      i17 = get32(39 * 4 | 0) | 0;
      i12 = i17 + 1 | 0;
      set32(39 * 4 | 0, i12 | 0);
      if ((i17 | 0) < (get32(49 * 4 | 0) | 0)) {
       i30 = i27;
       break;
      }
      set32(49 * 4 | 0, i12 | 0);
      i30 = i27;
      break;
     }
    }
    set8(i7 >> 0 | 0, 1 | 0);
    i16 = 99;
   } else i16 = 99;
  } while (0);
  if ((i16 | 0) == 98) if (!i29) i16 = 99; else i30 = i29;
  if ((i16 | 0) == 99) {
   set32(i2 | 0, 0 | 0);
   i31 = 0;
   break;
  }
  _memset(i30 | 0, 0, 192) | 0;
  set32(i30 | 0, i10 | 0);
  i27 = i10 + 136 | 0;
  i12 = get32(i27 | 0) | 0;
  if (i12) set32(i12 + 60 | 0, i30 | 0);
  set32(i30 + 64 | 0, i12 | 0);
  set32(i30 + 60 | 0, 0 | 0);
  set32(i27 | 0, i30 | 0);
  set32(i30 + 52 | 0, 649915045 | 0);
  set32(i2 | 0, i30 | 0);
  i27 = i30 + 28 | 0;
  i12 = i30 + 32 | 0;
  i17 = i30 + 4 | 0;
  i26 = _sqlite3DbRealloc(i10, 0, 1020) | 0;
  if (!i26) i31 = i30; else {
   i18 = get32(i30 | 0) | 0;
   if (((i18 | 0) != 0 ? (get32(i18 + 260 | 0) | 0) >>> 0 <= i26 >>> 0 : 0) ? (get32(i18 + 264 | 0) | 0) >>> 0 > i26 >>> 0 : 0) i32 = getU16(i18 + 232 | 0) | 0; else i32 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i26) | 0;
   set32(i12 | 0, (i32 >>> 0) / 20 | 0 | 0);
   set32(i17 | 0, i26 | 0);
   set32(i27 | 0, (get32(i27 | 0) | 0) + 1 | 0);
   set8(i26 >> 0 | 0, -120 | 0);
   set8(i26 + 1 >> 0 | 0, 0 | 0);
   i33 = i26 + 3 | 0;
   i34 = i33 + 17 | 0;
   do {
    set8(i33 >> 0 | 0, 0 | 0);
    i33 = i33 + 1 | 0;
   } while ((i33 | 0) < (i34 | 0));
   i31 = i30;
  }
 } else i31 = i5; while (0);
 i5 = i1 + 21 | 0;
 i30 = get8(i5 >> 0 | 0) | 0;
 if (!(i30 << 24 >> 24)) {
  i32 = i1 + 72 | 0;
  i29 = (get32(i32 | 0) | 0) + 1 | 0;
  set32(i32 | 0, i29 | 0);
  i35 = i29;
 } else {
  i29 = i30 + -1 << 24 >> 24;
  set8(i5 >> 0 | 0, i29 | 0);
  i35 = get32(i1 + 24 + ((i29 & 255) << 2) | 0) | 0;
 }
 i29 = get32(i2 | 0) | 0;
 i2 = (get32(get32((get32((get32(i1 | 0) | 0) + 8 | 0) | 0) + (i28 << 4) + 12 | 0) | 0) | 0) + 1 | 0;
 i30 = i29 + 28 | 0;
 i32 = get32(i30 | 0) | 0;
 i10 = i29 + 32 | 0;
 i26 = get32(i10 | 0) | 0;
 do if ((i26 | 0) > (i32 | 0)) {
  i36 = i32;
  i37 = get32(i29 + 4 | 0) | 0;
  i38 = i26;
  i16 = 122;
 } else {
  i27 = i29 + 4 | 0;
  i17 = _sqlite3DbRealloc(get32(i29 | 0) | 0, get32(i27 | 0) | 0, (i26 | 0) == 0 ? 1020 : i26 * 40 | 0) | 0;
  if (!i17) {
   i39 = get32(i10 | 0) | 0;
   i40 = get32(i30 | 0) | 0;
   break;
  }
  i12 = get32(i29 | 0) | 0;
  if (((i12 | 0) != 0 ? (get32(i12 + 260 | 0) | 0) >>> 0 <= i17 >>> 0 : 0) ? (get32(i12 + 264 | 0) | 0) >>> 0 > i17 >>> 0 : 0) i41 = getU16(i12 + 232 | 0) | 0; else i41 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i17) | 0;
  i12 = (i41 >>> 0) / 20 | 0;
  set32(i10 | 0, i12 | 0);
  set32(i27 | 0, i17 | 0);
  i36 = get32(i30 | 0) | 0;
  i37 = i17;
  i38 = i12;
  i16 = 122;
 } while (0);
 if ((i16 | 0) == 122) {
  i41 = i36 + 1 | 0;
  set32(i30 | 0, i41 | 0);
  set8(i37 + (i32 * 20 | 0) >> 0 | 0, 7 | 0);
  set8(i37 + (i32 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i37 + (i32 * 20 | 0) + 4 | 0, i2 | 0);
  set32(i37 + (i32 * 20 | 0) + 8 | 0, i35 | 0);
  set32(i37 + (i32 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i37 + (i32 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i37 + (i32 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i39 = i38;
  i40 = i41;
 }
 if ((i39 | 0) <= (i40 | 0)) {
  i41 = i29 + 4 | 0;
  i38 = _sqlite3DbRealloc(get32(i29 | 0) | 0, get32(i41 | 0) | 0, (i39 | 0) == 0 ? 1020 : i39 * 40 | 0) | 0;
  if (i38) {
   i39 = get32(i29 | 0) | 0;
   if (((i39 | 0) != 0 ? (get32(i39 + 260 | 0) | 0) >>> 0 <= i38 >>> 0 : 0) ? (get32(i39 + 264 | 0) | 0) >>> 0 > i38 >>> 0 : 0) i42 = getU16(i39 + 232 | 0) | 0; else i42 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i38) | 0;
   set32(i10 | 0, (i42 >>> 0) / 20 | 0 | 0);
   set32(i41 | 0, i38 | 0);
   i43 = get32(i30 | 0) | 0;
   i44 = i38;
   i16 = 132;
  }
 } else {
  i43 = i40;
  i44 = get32(i29 + 4 | 0) | 0;
  i16 = 132;
 }
 if ((i16 | 0) == 132) {
  set32(i30 | 0, i43 + 1 | 0);
  set8(i44 + (i40 * 20 | 0) >> 0 | 0, 36 | 0);
  set8(i44 + (i40 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i44 + (i40 * 20 | 0) + 4 | 0, i28 | 0);
  set32(i44 + (i40 * 20 | 0) + 8 | 0, 1 | 0);
  set32(i44 + (i40 * 20 | 0) + 12 | 0, i35 | 0);
  set32(i44 + (i40 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i44 + (i40 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
 }
 L205 : do if ((i35 | 0) != 0 ? (i40 = get8(i5 >> 0 | 0) | 0, (i40 & 255) < 8) : 0) {
  do if ((get32(i1 + 112 | 0) | 0) != (i35 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i35 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i35 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i35 | 0)) if ((get32(i1 + 208 | 0) | 0) != (i35 | 0)) if ((get32(i1 + 232 | 0) | 0) == (i35 | 0)) i45 = i1 + 216 | 0; else {
   if ((get32(i1 + 256 | 0) | 0) == (i35 | 0)) {
    i45 = i1 + 240 | 0;
    break;
   }
   if ((get32(i1 + 280 | 0) | 0) == (i35 | 0)) {
    i45 = i1 + 264 | 0;
    break;
   }
   if ((get32(i1 + 304 | 0) | 0) == (i35 | 0)) {
    i45 = i1 + 288 | 0;
    break;
   }
   if ((get32(i1 + 328 | 0) | 0) == (i35 | 0)) {
    i45 = i1 + 312 | 0;
    break;
   }
   set8(i5 >> 0 | 0, i40 + 1 << 24 >> 24 | 0);
   set32(i1 + 24 + ((i40 & 255) << 2) | 0, i35 | 0);
   break L205;
  } else i45 = i1 + 192 | 0; else i45 = i1 + 168 | 0; else i45 = i1 + 144 | 0; else i45 = i1 + 120 | 0; else i45 = i1 + 96 | 0; while (0);
  set8(i45 + 8 >> 0 | 0, 1 | 0);
 } while (0);
 i45 = i31 + 28 | 0;
 i1 = get32(i45 | 0) | 0;
 i35 = i31 + 32 | 0;
 i5 = get32(i35 | 0) | 0;
 if ((i5 | 0) <= (i1 | 0)) {
  i40 = i31 + 4 | 0;
  i44 = _sqlite3DbRealloc(get32(i31 | 0) | 0, get32(i40 | 0) | 0, (i5 | 0) == 0 ? 1020 : i5 * 40 | 0) | 0;
  if (i44) {
   i5 = get32(i31 | 0) | 0;
   if (((i5 | 0) != 0 ? (get32(i5 + 260 | 0) | 0) >>> 0 <= i44 >>> 0 : 0) ? (get32(i5 + 264 | 0) | 0) >>> 0 > i44 >>> 0 : 0) i46 = getU16(i5 + 232 | 0) | 0; else i46 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i44) | 0;
   set32(i35 | 0, (i46 >>> 0) / 20 | 0 | 0);
   set32(i40 | 0, i44 | 0);
   i47 = get32(i45 | 0) | 0;
   i48 = i44;
   i16 = 156;
  }
 } else {
  i47 = i1;
  i48 = get32(i31 + 4 | 0) | 0;
  i16 = 156;
 }
 if ((i16 | 0) == 156) {
  set32(i45 | 0, i47 + 1 | 0);
  set8(i48 + (i1 * 20 | 0) >> 0 | 0, 122 | 0);
  set8(i48 + (i1 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i33 = i48 + (i1 * 20 | 0) + 3 | 0;
  i34 = i33 + 17 | 0;
  do {
   set8(i33 >> 0 | 0, 0 | 0);
   i33 = i33 + 1 | 0;
  } while ((i33 | 0) < (i34 | 0));
 }
 set32(i4 | 0, get32(i8 | 0) | 0);
 i33 = _sqlite3MPrintf(i9, 37579, i4) | 0;
 i4 = get32(i45 | 0) | 0;
 i9 = get32(i35 | 0) | 0;
 if ((i9 | 0) <= (i4 | 0)) {
  i34 = i31 + 4 | 0;
  i1 = _sqlite3DbRealloc(get32(i31 | 0) | 0, get32(i34 | 0) | 0, (i9 | 0) == 0 ? 1020 : i9 * 40 | 0) | 0;
  if (!i1) {
   i49 = 1;
   i50 = i31;
   i51 = i34;
  } else {
   i9 = get32(i31 | 0) | 0;
   if (((i9 | 0) != 0 ? (get32(i9 + 260 | 0) | 0) >>> 0 <= i1 >>> 0 : 0) ? (get32(i9 + 264 | 0) | 0) >>> 0 > i1 >>> 0 : 0) i52 = getU16(i9 + 232 | 0) | 0; else i52 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i1) | 0;
   set32(i35 | 0, (i52 >>> 0) / 20 | 0 | 0);
   set32(i34 | 0, i1 | 0);
   i53 = i34;
   i54 = i31;
   i55 = get32(i45 | 0) | 0;
   i56 = i1;
   i16 = 166;
  }
 } else {
  i1 = i31 + 4 | 0;
  i53 = i1;
  i54 = i31;
  i55 = i4;
  i56 = get32(i1 | 0) | 0;
  i16 = 166;
 }
 if ((i16 | 0) == 166) {
  set32(i45 | 0, i55 + 1 | 0);
  set8(i56 + (i4 * 20 | 0) >> 0 | 0, 99 | 0);
  set8(i56 + (i4 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i56 + (i4 * 20 | 0) + 4 | 0, i28 | 0);
  set32(i56 + (i4 * 20 | 0) + 8 | 0, 0 | 0);
  set32(i56 + (i4 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i56 + (i4 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i56 + (i4 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i49 = i4;
  i50 = i54;
  i51 = i53;
 }
 i53 = get32(i50 | 0) | 0;
 i54 = get32(i51 | 0) | 0;
 do if ((i54 | 0) != 0 ? (get8(i53 + 30 >> 0 | 0) | 0) == 0 : 0) {
  if ((i49 | 0) < 0) i57 = (get32(i45 | 0) | 0) + -1 | 0; else i57 = i49;
  i4 = i54 + (i57 * 20 | 0) + 1 | 0;
  i56 = i54 + (i57 * 20 | 0) + 16 | 0;
  _freeP4(i53, get8(i4 >> 0 | 0) | 0, get32(i56 | 0) | 0);
  set32(i56 | 0, 0 | 0);
  if (!i33) {
   set32(i56 | 0, 0 | 0);
   set8(i4 >> 0 | 0, 0 | 0);
   break;
  } else {
   set32(i56 | 0, i33 | 0);
   set8(i4 >> 0 | 0, -1 | 0);
   break;
  }
 } else i16 = 169; while (0);
 if ((i16 | 0) == 169 ? (i33 | 0) != 0 : 0) _sqlite3DbFree(i53, i33);
 i33 = get32(i50 | 0) | 0;
 i53 = get32(i33 + 4 | 0) | 0;
 if ((i53 | 0) > 0) {
  i57 = i31 + 112 | 0;
  i54 = get32(i57 | 0) | 0;
  i49 = 0;
  while (1) {
   i4 = 1 << i49 | i54;
   i49 = i49 + 1 | 0;
   if ((i49 | 0) == (i53 | 0)) {
    i58 = i4;
    break;
   } else i54 = i4;
  }
  set32(i57 | 0, i58 | 0);
 }
 i58 = get32(i8 | 0) | 0;
 if (!i58) i59 = 1; else {
  i8 = i58;
  while (1) if (!(get8(i8 >> 0 | 0) | 0)) {
   i60 = i8;
   break;
  } else i8 = i8 + 1 | 0;
  i59 = (i60 - i58 & 1073741823) + 1 | 0;
 }
 i60 = get32(i45 | 0) | 0;
 i8 = get32(i35 | 0) | 0;
 if ((i8 | 0) <= (i60 | 0)) {
  i57 = _sqlite3DbRealloc(i33, get32(i51 | 0) | 0, (i8 | 0) == 0 ? 1020 : i8 * 40 | 0) | 0;
  if (!i57) i61 = 1; else {
   i8 = get32(i50 | 0) | 0;
   do if (!i8) i16 = 190; else {
    if ((get32(i8 + 260 | 0) | 0) >>> 0 > i57 >>> 0) {
     i16 = 190;
     break;
    }
    if ((get32(i8 + 264 | 0) | 0) >>> 0 <= i57 >>> 0) {
     i16 = 190;
     break;
    }
    i62 = getU16(i8 + 232 | 0) | 0;
   } while (0);
   if ((i16 | 0) == 190) i62 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i57) | 0;
   set32(i35 | 0, (i62 >>> 0) / 20 | 0 | 0);
   set32(i51 | 0, i57 | 0);
   i63 = get32(i45 | 0) | 0;
   i64 = i57;
   i16 = 192;
  }
 } else {
  i63 = i60;
  i64 = get32(i51 | 0) | 0;
  i16 = 192;
 }
 if ((i16 | 0) == 192) {
  set32(i45 | 0, i63 + 1 | 0);
  set8(i64 + (i60 * 20 | 0) >> 0 | 0, 125 | 0);
  set8(i64 + (i60 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i64 + (i60 * 20 | 0) + 4 | 0, i28 | 0);
  set32(i64 + (i60 * 20 | 0) + 8 | 0, 0 | 0);
  set32(i64 + (i60 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i64 + (i60 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i64 + (i60 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i61 = i60;
 }
 _sqlite3VdbeChangeP4(i31, i61, i58, i59);
 STACKTOP = i3;
 return;
}

function _sqlite3_exec(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0, i80 = 0, i81 = 0, i82 = 0, i83 = 0, i84 = 0, i85 = 0, i86 = 0, i87 = 0, i88 = 0, i89 = 0, i90 = 0, i91 = 0, i92 = 0, i93 = 0, i94 = 0, i95 = 0, i96 = 0, i97 = 0, i98 = 0, i99 = 0, i100 = 0, i101 = 0, i102 = 0, i103 = 0, i104 = 0, i105 = 0, i106 = 0, i107 = 0, i108 = 0, i109 = 0, i110 = 0, i111 = 0, i112 = 0, i113 = 0;
 i6 = STACKTOP;
 STACKTOP = STACKTOP + 160 | 0;
 i7 = i6 + 144 | 0;
 i8 = i6 + 136 | 0;
 i9 = i6 + 128 | 0;
 i10 = i6 + 120 | 0;
 i11 = i6 + 112 | 0;
 i12 = i6 + 104 | 0;
 i13 = i6 + 96 | 0;
 i14 = i6 + 88 | 0;
 i15 = i6 + 80 | 0;
 i16 = i6 + 72 | 0;
 i17 = i6 + 64 | 0;
 i18 = i6 + 56 | 0;
 i19 = i6 + 48 | 0;
 i20 = i6 + 40 | 0;
 i21 = i6 + 32 | 0;
 i22 = i6 + 24 | 0;
 i23 = i6 + 16 | 0;
 i24 = i6 + 8 | 0;
 i25 = i6;
 i26 = i6 + 152 | 0;
 i27 = i6 + 148 | 0;
 set32(i27 | 0, 0 | 0);
 L1 : do if (!i1) {
  set32(i25 | 0, 18774 | 0);
  _sqlite3_log(21, 26104, i25);
 } else {
  i28 = i1 + 56 | 0;
  i29 = get32(i28 | 0) | 0;
  L4 : do if ((i29 | 0) < -264537850) {
   switch (i29 | 0) {
   case -1607883113:
    break;
   default:
    break L4;
   }
   _sqlite3Error(i1, 0, 0, i21);
   i30 = i1 + 4 | 0;
   i31 = i1 + 8 | 0;
   i32 = (i3 | 0) == 0;
   i33 = i1 + 30 | 0;
   i34 = i1 + 234 | 0;
   i35 = i1 + 232 | 0;
   i36 = i1 + 248 | 0;
   i37 = i1 + 256 | 0;
   i38 = i1 + 252 | 0;
   i39 = i1 + 236 | 0;
   i40 = i1 + 244 | 0;
   i41 = i1 + 240 | 0;
   i42 = i1 + 12 | 0;
   i43 = (i2 | 0) == 0 ? 16820 : i2;
   i44 = 0;
   i45 = 0;
   L7 : while (1) {
    i46 = i44;
    i47 = i45;
    L9 : while (1) {
     switch (i47 | 0) {
     case 0:
      {
       i48 = i46;
       break;
      }
     case 17:
      {
       i49 = i46 + 1 | 0;
       if ((i49 | 0) < 2) i48 = i49; else {
        i50 = 17;
        i51 = 104;
        break L7;
       }
       break;
      }
     default:
      {
       i50 = i47;
       i51 = 104;
       break L7;
      }
     }
     if (!(get8(i43 >> 0 | 0) | 0)) {
      i50 = i47;
      i51 = 104;
      break L7;
     }
     set32(i27 | 0, 0 | 0);
     i49 = get32(i28 | 0) | 0;
     L15 : do if ((i49 | 0) < -264537850) {
      switch (i49 | 0) {
      case -1607883113:
       break;
      default:
       {
        i51 = 13;
        break L15;
       }
      }
      i52 = get32(i30 | 0) | 0;
      if ((i52 | 0) > 0) {
       i53 = get32(i31 | 0) | 0;
       i54 = 0;
       do {
        i55 = get32(i53 + (i54 << 4) + 4 | 0) | 0;
        if (i55) set32((get32(i55 + 4 | 0) | 0) + 4 | 0, get32(i55 | 0) | 0);
        i54 = i54 + 1 | 0;
       } while ((i54 | 0) != (i52 | 0));
      }
      i52 = _sqlite3Prepare(i1, i43, -1, 0, 0, i27, i26) | 0;
      if ((i52 | 0) == 17) {
       _sqlite3_finalize(get32(i27 | 0) | 0) | 0;
       i56 = _sqlite3Prepare(i1, i43, -1, 0, 0, i27, i26) | 0;
      } else i56 = i52;
      if (!i56) {
       i57 = i48;
       break L9;
      } else {
       i46 = i48;
       i47 = i56;
       continue L9;
      }
     } else {
      if ((i49 | 0) < 1266094736) switch (i49 | 0) {
      case -264537850:
       break;
      default:
       {
        i51 = 13;
        break L15;
       }
      } else switch (i49 | 0) {
      case 1266094736:
       break;
      default:
       {
        i51 = 13;
        break L15;
       }
      }
      set32(i19 | 0, 26095 | 0);
      _sqlite3_log(21, 26104, i19);
     } while (0);
     if ((i51 | 0) == 13) {
      i51 = 0;
      set32(i20 | 0, 38376 | 0);
      _sqlite3_log(21, 26104, i20);
     }
     set32(i18 | 0, 90305 | 0);
     set32(i18 + 4 | 0, 17203 | 0);
     _sqlite3_log(21, 39226, i18);
     i46 = i48;
     i47 = 21;
    }
    i47 = get32(i27 | 0) | 0;
    if (!i47) {
     i43 = get32(i26 | 0) | 0;
     i44 = i57;
     i45 = 0;
     continue;
    }
    i46 = get16(i47 + 48 | 0) | 0;
    i49 = i46 & 65535;
    i52 = i49 << 3 | 1;
    i54 = (i52 + -1 | 0) >>> 0 > 2147483390;
    i53 = i46 << 16 >> 16 == 0;
    i46 = i47;
    i47 = 0;
    i55 = 0;
    i58 = 0;
    while (1) {
     i59 = _sqlite3_step(i46) | 0;
     if (!i32) {
      i60 = (i59 | 0) == 100;
      if (!i60) {
       if ((i58 | 0) != 0 | (i59 | 0) != 101) {
        i61 = i46;
        i62 = i47;
        i51 = 92;
        break;
       }
       if (!(get32(i42 | 0) & 8192)) {
        i61 = i46;
        i62 = i47;
        i51 = 92;
        break;
       }
      }
      if (!i58) {
       if (get8(i33 >> 0 | 0) | 0) {
        i63 = i46;
        i64 = i59;
        i51 = 105;
        break L7;
       }
       do if (!(get8(i34 >> 0 | 0) | 0)) i51 = 40; else {
        if ((getU16(i35 | 0) | 0) >>> 0 < i52 >>> 0) {
         set32(i36 | 0, (get32(i36 | 0) | 0) + 1 | 0);
         i51 = 40;
         break;
        }
        i65 = get32(i37 | 0) | 0;
        if (!i65) {
         set32(i38 | 0, (get32(i38 | 0) | 0) + 1 | 0);
         i51 = 40;
         break;
        }
        set32(i37 | 0, get32(i65 | 0) | 0);
        i66 = get32(i39 | 0) | 0;
        i67 = i66 + 1 | 0;
        set32(i39 | 0, i67 | 0);
        set32(i40 | 0, (get32(i40 | 0) | 0) + 1 | 0);
        if ((i66 | 0) >= (get32(i41 | 0) | 0)) set32(i41 | 0, i67 | 0);
        i68 = i65;
       } while (0);
       do if ((i51 | 0) == 40) {
        i51 = 0;
        if (i54) {
         i69 = i46;
         i70 = i59;
         i51 = 54;
         break L7;
        }
        if (!(get32(50 * 4 | 0) | 0)) {
         i65 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i52) | 0;
         if (!i65) {
          i69 = i46;
          i70 = i59;
          i51 = 54;
          break L7;
         } else {
          i68 = i65;
          break;
         }
        }
        i65 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i52) | 0;
        set32(35 * 4 | 0, i52 | 0);
        if ((get32(45 * 4 | 0) | 0) < (i52 | 0)) set32(45 * 4 | 0, i52 | 0);
        i67 = get32(6 * 4 | 0) | 0;
        do if (i67) {
         i66 = get32(30 * 4 | 0) | 0;
         i71 = ((i66 | 0) < 0) << 31 >> 31;
         i72 = 16;
         i73 = _i64Subtract(get32(i72 | 0) | 0, get32(i72 + 4 | 0) | 0, i65 | 0, ((i65 | 0) < 0) << 31 >> 31 | 0) | 0;
         i72 = tempRet0;
         if ((i71 | 0) < (i72 | 0) | (i71 | 0) == (i72 | 0) & i66 >>> 0 < i73 >>> 0) {
          set32(11 * 4 | 0, 0 | 0);
          break;
         } else {
          set32(11 * 4 | 0, 1 | 0);
          i73 = get32(7 * 4 | 0) | 0;
          set32(6 * 4 | 0, 0 | 0);
          FUNCTION_TABLE_viiii[i67 & 15](i73, i66, i71, i65);
          set32(6 * 4 | 0, i67 | 0);
          set32(7 * 4 | 0, i73 | 0);
          break;
         }
        } while (0);
        i67 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i65) | 0;
        if (!i67) {
         i69 = i46;
         i70 = i59;
         i51 = 54;
         break L7;
        }
        i73 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i67) | 0;
        i71 = (get32(30 * 4 | 0) | 0) + i73 | 0;
        set32(30 * 4 | 0, i71 | 0);
        if ((i71 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i71 | 0);
        i71 = get32(39 * 4 | 0) | 0;
        i73 = i71 + 1 | 0;
        set32(39 * 4 | 0, i73 | 0);
        if ((i71 | 0) < (get32(49 * 4 | 0) | 0)) {
         i68 = i67;
         break;
        }
        set32(49 * 4 | 0, i73 | 0);
        i68 = i67;
       } while (0);
       _memset(i68 | 0, 0, i52 | 0) | 0;
       if (i53) {
        i74 = i68;
        i75 = 1;
       } else {
        i67 = (i46 | 0) == 0;
        i73 = i46 + 48 | 0;
        i71 = i46 + 16 | 0;
        i66 = 0;
        do {
         i72 = get32(i46 | 0) | 0;
         if (!i67 ? (getU16(i73 | 0) | 0) >>> 0 > i66 >>> 0 : 0) {
          i76 = _sqlite3ValueText((get32(i71 | 0) | 0) + (i66 * 40 | 0) | 0, 1) | 0;
          i77 = i72 + 30 | 0;
          if (!(get8(i77 >> 0 | 0) | 0)) i78 = i76; else {
           set8(i77 >> 0 | 0, 0 | 0);
           i78 = 0;
          }
         } else i78 = 0;
         set32(i68 + (i66 << 2) | 0, i78 | 0);
         i66 = i66 + 1 | 0;
        } while ((i66 | 0) != (i49 | 0));
        i74 = i68;
        i75 = 1;
       }
      } else {
       i74 = i47;
       i75 = i58;
      }
      L93 : do if (i60) {
       i66 = i74 + (i49 << 2) | 0;
       if (i53) i79 = i66; else {
        i71 = i46;
        i73 = 0;
        while (1) {
         i67 = _sqlite3_column_text(i71, i73) | 0;
         set32(i74 + (i73 + i49 << 2) | 0, i67 | 0);
         if ((i67 | 0) == 0 ? (i67 = get32(i27 | 0) | 0, (i67 | 0) != 0) : 0) {
          i77 = get32(i67 + 20 | 0) | 0;
          do if (!i77) i51 = 70; else {
           if ((getU16(i67 + 48 | 0) | 0) >>> 0 <= i73 >>> 0) {
            i51 = 70;
            break;
           }
           i80 = i67;
           i81 = i77 + (i73 * 40 | 0) | 0;
          } while (0);
          do if ((i51 | 0) == 70) {
           i51 = 0;
           i77 = get32(i67 | 0) | 0;
           if (!i77) {
            i80 = i67;
            i81 = 48;
            break;
           }
           _sqlite3Error(i77, 25, 0, i17);
           i80 = i67;
           i81 = 48;
          } while (0);
          i77 = get8(i81 + 30 >> 0 | 0) | 0;
          i76 = get32(i80 | 0) | 0;
          i72 = i67 + 92 | 0;
          i82 = get32(i72 | 0) | 0;
          if (!i76) {
           i83 = i82;
           i84 = 255;
          } else {
           i85 = i76 + 30 | 0;
           if ((i82 | 0) == 3082 | (get8(i85 >> 0 | 0) | 0) != 0) {
            _sqlite3Error(i76, 7, 0, i16);
            set8(i85 >> 0 | 0, 0 | 0);
            i86 = 7;
           } else i86 = i82;
           i83 = i86;
           i84 = get32(i76 + 24 | 0) | 0;
          }
          set32(i72 | 0, i84 & i83 | 0);
          if (i77 << 24 >> 24 != 5) {
           i87 = i67;
           i88 = i74;
           i51 = 77;
           break L7;
          }
         }
         i77 = i73 + 1 | 0;
         if ((i77 | 0) >= (i49 | 0)) {
          i79 = i66;
          break L93;
         }
         i71 = get32(i27 | 0) | 0;
         i73 = i77;
        }
       }
      } else i79 = i55; while (0);
      if (!(FUNCTION_TABLE_iiiii[i3 & 31](i4, i49, i79, i74) | 0)) {
       i89 = i74;
       i90 = i79;
       i91 = i75;
      } else {
       i92 = i74;
       i51 = 81;
       break L7;
      }
     } else {
      i89 = i47;
      i90 = i55;
      i91 = i58;
     }
     if ((i59 | 0) != 100) {
      i93 = i89;
      i51 = 90;
      break;
     }
     i46 = get32(i27 | 0) | 0;
     i47 = i89;
     i55 = i90;
     i58 = i91;
    }
    if ((i51 | 0) == 90) {
     i51 = 0;
     i94 = get32(i27 | 0) | 0;
     i95 = i93;
    } else if ((i51 | 0) == 92) {
     i51 = 0;
     i94 = i61;
     i95 = i62;
    }
    i58 = i94 + 52 | 0;
    i55 = get32(i58 | 0) | 0;
    if ((i55 | 0) < 1369188723) switch (i55 | 0) {
    case -1108210269:
     {
      i51 = 94;
      break;
     }
    default:
     i96 = 0;
    } else switch (i55 | 0) {
    case 1369188723:
     {
      i51 = 94;
      break;
     }
    default:
     i96 = 0;
    }
    if ((i51 | 0) == 94) {
     i51 = 0;
     i96 = _sqlite3VdbeReset(i94) | 0;
    }
    i55 = get32(i94 | 0) | 0;
    i47 = get32(i94 + 60 | 0) | 0;
    i46 = i94 + 64 | 0;
    i49 = get32(i46 | 0) | 0;
    if (!i47) {
     set32(i55 + 136 | 0, i49 | 0);
     i97 = i49;
    } else {
     set32(i47 + 64 | 0, i49 | 0);
     i97 = get32(i46 | 0) | 0;
    }
    if (i97) set32(i97 + 60 | 0, i47 | 0);
    set32(i58 | 0, -1241070648 | 0);
    set32(i94 | 0, 0 | 0);
    _sqlite3VdbeDeleteObject(i55, i94);
    set32(i27 | 0, 0 | 0);
    if ((i96 | 0) == 17) {
     i98 = i43;
     i99 = i57;
    } else {
     i55 = get32(i26 | 0) | 0;
     while (1) if (!(get8(16821 + (getU8(i55 >> 0 | 0) | 0) >> 0 | 0) & 1)) {
      i98 = i55;
      i99 = 0;
      break;
     } else i55 = i55 + 1 | 0;
    }
    _sqlite3DbFree(i1, i95);
    i43 = i98;
    i44 = i99;
    i45 = i96;
   }
   if ((i51 | 0) == 54) {
    set8(i33 >> 0 | 0, 1 | 0);
    i63 = i69;
    i64 = i70;
    i51 = 105;
   } else if ((i51 | 0) == 77) {
    set8(i33 >> 0 | 0, 1 | 0);
    i100 = i87;
    i101 = i88;
    i102 = 100;
    i51 = 106;
   } else if ((i51 | 0) == 81) {
    i45 = get32(i27 | 0) | 0;
    i44 = i45 + 52 | 0;
    i43 = get32(i44 | 0) | 0;
    if ((i43 | 0) < 1369188723) switch (i43 | 0) {
    case -1108210269:
     {
      i51 = 82;
      break;
     }
    default:
     {}
    } else switch (i43 | 0) {
    case 1369188723:
     {
      i51 = 82;
      break;
     }
    default:
     {}
    }
    if ((i51 | 0) == 82) _sqlite3VdbeReset(i45) | 0;
    i43 = get32(i45 | 0) | 0;
    i41 = get32(i45 + 60 | 0) | 0;
    i40 = i45 + 64 | 0;
    i39 = get32(i40 | 0) | 0;
    if (!i41) {
     set32(i43 + 136 | 0, i39 | 0);
     i103 = i39;
    } else {
     set32(i41 + 64 | 0, i39 | 0);
     i103 = get32(i40 | 0) | 0;
    }
    if (i103) set32(i103 + 60 | 0, i41 | 0);
    set32(i44 | 0, -1241070648 | 0);
    set32(i45 | 0, 0 | 0);
    _sqlite3VdbeDeleteObject(i43, i45);
    set32(i27 | 0, 0 | 0);
    _sqlite3Error(i1, 4, 0, i15);
    i104 = i92;
    i105 = 4;
   } else if ((i51 | 0) == 104) {
    i63 = get32(i27 | 0) | 0;
    i64 = i50;
    i51 = 105;
   }
   if ((i51 | 0) == 105) if (!i63) {
    i104 = 0;
    i105 = i64;
   } else {
    i100 = i63;
    i101 = 0;
    i102 = i64;
    i51 = 106;
   }
   if ((i51 | 0) == 106) {
    i45 = i100 + 52 | 0;
    i43 = get32(i45 | 0) | 0;
    if ((i43 | 0) < 1369188723) switch (i43 | 0) {
    case -1108210269:
     {
      i51 = 107;
      break;
     }
    default:
     {}
    } else switch (i43 | 0) {
    case 1369188723:
     {
      i51 = 107;
      break;
     }
    default:
     {}
    }
    if ((i51 | 0) == 107) _sqlite3VdbeReset(i100) | 0;
    i43 = get32(i100 | 0) | 0;
    i44 = get32(i100 + 60 | 0) | 0;
    i41 = i100 + 64 | 0;
    i40 = get32(i41 | 0) | 0;
    if (!i44) {
     set32(i43 + 136 | 0, i40 | 0);
     i106 = i40;
    } else {
     set32(i44 + 64 | 0, i40 | 0);
     i106 = get32(i41 | 0) | 0;
    }
    if (i106) set32(i106 + 60 | 0, i44 | 0);
    set32(i45 | 0, -1241070648 | 0);
    set32(i100 | 0, 0 | 0);
    _sqlite3VdbeDeleteObject(i43, i100);
    i104 = i101;
    i105 = i102;
   }
   _sqlite3DbFree(i1, i104);
   if ((i105 | 0) == 3082 | (get8(i33 >> 0 | 0) | 0) != 0) {
    _sqlite3Error(i1, 7, 0, i14);
    set8(i33 >> 0 | 0, 0 | 0);
    i107 = 7;
   } else i107 = i105;
   i43 = get32(i1 + 24 | 0) | 0;
   i45 = i43 & i107;
   if (i45) {
    i44 = get32(i28 | 0) | 0;
    L181 : do if ((i44 | 0) >= -264537850) if ((i44 | 0) < 1266094736) switch (i44 | 0) {
    case -264537850:
     {
      i51 = 119;
      break L181;
      break;
     }
    default:
     {
      i51 = 118;
      break L181;
     }
    } else switch (i44 | 0) {
    case 1266094736:
     {
      i51 = 119;
      break L181;
      break;
     }
    default:
     {
      i51 = 118;
      break L181;
     }
    } else switch (i44 | 0) {
    case -1607883113:
     {
      i51 = 119;
      break;
     }
    default:
     i51 = 118;
    } while (0);
    if ((i51 | 0) == 118) {
     set32(i13 | 0, 38376 | 0);
     _sqlite3_log(21, 26104, i13);
     set32(i12 | 0, 109519 | 0);
     set32(i12 + 4 | 0, 17203 | 0);
     _sqlite3_log(21, 39226, i12);
     i108 = 21;
    } else if ((i51 | 0) == 119) i108 = i43 & get32(i1 + 20 | 0);
    if ((i5 | 0) != 0 & (i45 | 0) == (i108 | 0)) {
     i44 = get32(i28 | 0) | 0;
     L192 : do if ((i44 | 0) >= -264537850) if ((i44 | 0) < 1266094736) switch (i44 | 0) {
     case -264537850:
      {
       i51 = 123;
       break L192;
       break;
      }
     default:
      {
       i51 = 122;
       break L192;
      }
     } else switch (i44 | 0) {
     case 1266094736:
      {
       i51 = 123;
       break L192;
       break;
      }
     default:
      {
       i51 = 122;
       break L192;
      }
     } else switch (i44 | 0) {
     case -1607883113:
      {
       i51 = 123;
       break;
      }
     default:
      i51 = 122;
     } while (0);
     if ((i51 | 0) == 122) {
      set32(i11 | 0, 38376 | 0);
      _sqlite3_log(21, 26104, i11);
      set32(i10 | 0, 109450 | 0);
      set32(i10 + 4 | 0, 17203 | 0);
      _sqlite3_log(21, 39226, i10);
      i109 = 38778;
     } else if ((i51 | 0) == 123) if (!(get8(i33 >> 0 | 0) | 0)) {
      i44 = _sqlite3ValueText(get32(i1 + 212 | 0) | 0, 1) | 0;
      if (!i44) {
       i43 = get32(i1 + 20 | 0) & 255;
       if (i43 >>> 0 > 26 | (i43 | 0) == 2) i109 = 38974; else i109 = get32(5652 + (i43 << 2) | 0) | 0;
      } else i109 = i44;
     } else i109 = 19448;
     i44 = i109;
     while (1) if (!(get8(i44 >> 0 | 0) | 0)) {
      i110 = i44;
      break;
     } else i44 = i44 + 1 | 0;
     i44 = (i110 - i109 & 1073741823) + 1 | 0;
     do if (!(get32(50 * 4 | 0) | 0)) {
      i43 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i44) | 0;
      set32(i5 | 0, i43 | 0);
      if (!i43) i51 = 151; else i111 = i43;
     } else {
      i43 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i44) | 0;
      set32(35 * 4 | 0, i44 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i44 | 0)) set32(45 * 4 | 0, i44 | 0);
      i41 = get32(6 * 4 | 0) | 0;
      do if (i41) {
       i40 = get32(30 * 4 | 0) | 0;
       i39 = ((i40 | 0) < 0) << 31 >> 31;
       i37 = 16;
       i38 = _i64Subtract(get32(i37 | 0) | 0, get32(i37 + 4 | 0) | 0, i43 | 0, ((i43 | 0) < 0) << 31 >> 31 | 0) | 0;
       i37 = tempRet0;
       if ((i39 | 0) < (i37 | 0) | (i39 | 0) == (i37 | 0) & i40 >>> 0 < i38 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i38 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i41 & 15](i38, i40, i39, i43);
        set32(6 * 4 | 0, i41 | 0);
        set32(7 * 4 | 0, i38 | 0);
        break;
       }
      } while (0);
      i41 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i43) | 0;
      if (!i41) {
       set32(i5 | 0, 0 | 0);
       i51 = 151;
       break;
      }
      i38 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i41) | 0;
      i39 = (get32(30 * 4 | 0) | 0) + i38 | 0;
      set32(30 * 4 | 0, i39 | 0);
      if ((i39 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i39 | 0);
      i39 = get32(39 * 4 | 0) | 0;
      i38 = i39 + 1 | 0;
      set32(39 * 4 | 0, i38 | 0);
      if ((i39 | 0) >= (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i38 | 0);
      set32(i5 | 0, i41 | 0);
      i111 = i41;
     } while (0);
     if ((i51 | 0) == 151) {
      _sqlite3Error(i1, 7, 0, i7);
      i112 = 7;
      STACKTOP = i6;
      return i112 | 0;
     }
     i41 = get32(i28 | 0) | 0;
     L233 : do if ((i41 | 0) >= -264537850) if ((i41 | 0) < 1266094736) switch (i41 | 0) {
     case -264537850:
      {
       i51 = 146;
       break L233;
       break;
      }
     default:
      {
       i51 = 145;
       break L233;
      }
     } else switch (i41 | 0) {
     case 1266094736:
      {
       i51 = 146;
       break L233;
       break;
      }
     default:
      {
       i51 = 145;
       break L233;
      }
     } else switch (i41 | 0) {
     case -1607883113:
      {
       i51 = 146;
       break;
      }
     default:
      i51 = 145;
     } while (0);
     if ((i51 | 0) == 145) {
      set32(i9 | 0, 38376 | 0);
      _sqlite3_log(21, 26104, i9);
      set32(i8 | 0, 109450 | 0);
      set32(i8 + 4 | 0, 17203 | 0);
      _sqlite3_log(21, 39226, i8);
      i113 = 38778;
     } else if ((i51 | 0) == 146) if (!(get8(i33 >> 0 | 0) | 0)) {
      i41 = _sqlite3ValueText(get32(i1 + 212 | 0) | 0, 1) | 0;
      if (!i41) {
       i38 = get32(i1 + 20 | 0) & 255;
       if (i38 >>> 0 > 26 | (i38 | 0) == 2) i113 = 38974; else i113 = get32(5652 + (i38 << 2) | 0) | 0;
      } else i113 = i41;
     } else i113 = 19448;
     _memcpy(i111 | 0, i113 | 0, i44 | 0) | 0;
     i112 = i45;
     STACKTOP = i6;
     return i112 | 0;
    }
   }
   if (!i5) {
    i112 = i45;
    STACKTOP = i6;
    return i112 | 0;
   }
   set32(i5 | 0, 0 | 0);
   i112 = i45;
   STACKTOP = i6;
   return i112 | 0;
  } else {
   if ((i29 | 0) < 1266094736) switch (i29 | 0) {
   case -264537850:
    break;
   default:
    break L4;
   } else switch (i29 | 0) {
   case 1266094736:
    break;
   default:
    break L4;
   }
   set32(i23 | 0, 26095 | 0);
   _sqlite3_log(21, 26104, i23);
   break L1;
  } while (0);
  set32(i24 | 0, 38376 | 0);
  _sqlite3_log(21, 26104, i24);
 } while (0);
 set32(i22 | 0, 86906 | 0);
 set32(i22 + 4 | 0, 17203 | 0);
 _sqlite3_log(21, 39226, i22);
 i112 = 21;
 STACKTOP = i6;
 return i112 | 0;
}

function _codeAttach(i1, i2, i3, i4, i5, i6, i7) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 i7 = i7 | 0;
 var i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0;
 i8 = STACKTOP;
 STACKTOP = STACKTOP + 96 | 0;
 i9 = i8 + 32 | 0;
 i10 = i8 + 24 | 0;
 i11 = i8 + 16 | 0;
 i12 = i8 + 8 | 0;
 i13 = i8;
 i14 = i8 + 72 | 0;
 i15 = i8 + 36 | 0;
 i16 = get32(i1 | 0) | 0;
 i17 = i15;
 i18 = i17 + 36 | 0;
 do {
  set32(i17 | 0, 0 | 0);
  i17 = i17 + 4 | 0;
 } while ((i17 | 0) < (i18 | 0));
 set32(i15 | 0, i1 | 0);
 i19 = (i5 | 0) == 0;
 do if (!i19) {
  if ((get8(i5 >> 0 | 0) | 0) == 26) {
   set8(i5 >> 0 | 0, 94 | 0);
   i20 = 7;
   break;
  }
  if (!(_sqlite3ResolveExprNames(i15, i5) | 0)) {
   i21 = i14 + 12 | 0;
   set32(i21 | 0, 1 | 0);
   set32(i14 | 0, 67 | 0);
   set32(i14 + 4 | 0, 68 | 0);
   _sqlite3WalkExpr(i14, i5) | 0;
   if (!(get32(i21 | 0) | 0)) {
    i21 = get32(i15 | 0) | 0;
    set32(i13 | 0, get32(i5 + 4 | 0) | 0);
    _sqlite3ErrorMsg(i21, 36030, i13);
   } else i20 = 7;
  }
 } else i20 = 7; while (0);
 L8 : do if ((i20 | 0) == 7) {
  i13 = (i6 | 0) == 0;
  do if (!i13) {
   if ((get8(i6 >> 0 | 0) | 0) == 26) {
    set8(i6 >> 0 | 0, 94 | 0);
    break;
   }
   if (_sqlite3ResolveExprNames(i15, i6) | 0) break L8;
   i21 = i14 + 12 | 0;
   set32(i21 | 0, 1 | 0);
   set32(i14 | 0, 67 | 0);
   set32(i14 + 4 | 0, 68 | 0);
   _sqlite3WalkExpr(i14, i6) | 0;
   if (!(get32(i21 | 0) | 0)) {
    i21 = get32(i15 | 0) | 0;
    set32(i12 | 0, get32(i6 + 4 | 0) | 0);
    _sqlite3ErrorMsg(i21, 36030, i12);
    break L8;
   }
  } while (0);
  i21 = (i7 | 0) == 0;
  do if (!i21) {
   if ((get8(i7 >> 0 | 0) | 0) == 26) {
    set8(i7 >> 0 | 0, 94 | 0);
    break;
   }
   if (_sqlite3ResolveExprNames(i15, i7) | 0) break L8;
   i22 = i14 + 12 | 0;
   set32(i22 | 0, 1 | 0);
   set32(i14 | 0, 67 | 0);
   set32(i14 + 4 | 0, 68 | 0);
   _sqlite3WalkExpr(i14, i7) | 0;
   if (!(get32(i22 | 0) | 0)) {
    i22 = get32(i15 | 0) | 0;
    set32(i11 | 0, get32(i7 + 4 | 0) | 0);
    _sqlite3ErrorMsg(i22, 36030, i11);
    break L8;
   }
  } while (0);
  L26 : do if (i4) {
   if ((get8(i4 >> 0 | 0) | 0) == 94) i23 = get32(i4 + 4 | 0) | 0; else i23 = 0;
   i22 = get32(i1 | 0) | 0;
   if (((get8(i22 + 124 >> 0 | 0) | 0) == 0 ? (get8(i1 + 528 >> 0 | 0) | 0) == 0 : 0) ? (i24 = get32(i22 + 268 | 0) | 0, (i24 | 0) != 0) : 0) switch (FUNCTION_TABLE_iiiiiii[i24 & 3](get32(i22 + 272 | 0) | 0, i2, i23, 0, 0, get32(i1 + 516 | 0) | 0) | 0) {
   case 0:
    {
     break L26;
     break;
    }
   case 1:
    {
     _sqlite3ErrorMsg(i1, 26149, i10);
     set32(i1 + 4 | 0, 23 | 0);
     _sqlite3ExprDelete(i16, i5);
     _sqlite3ExprDelete(i16, i6);
     _sqlite3ExprDelete(i16, i7);
     STACKTOP = i8;
     return;
    }
   case 2:
    {
     _sqlite3ExprDelete(i16, i5);
     _sqlite3ExprDelete(i16, i6);
     _sqlite3ExprDelete(i16, i7);
     STACKTOP = i8;
     return;
    }
   default:
    {
     _sqlite3ErrorMsg(i1, 29155, i9);
     set32(i1 + 4 | 0, 1 | 0);
     _sqlite3ExprDelete(i16, i5);
     _sqlite3ExprDelete(i16, i6);
     _sqlite3ExprDelete(i16, i7);
     STACKTOP = i8;
     return;
    }
   }
  } while (0);
  i22 = i1 + 12 | 0;
  i24 = get32(i22 | 0) | 0;
  do if (!i24) {
   i25 = get32(i1 | 0) | 0;
   L43 : do if (!i25) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i26 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
     i20 = 67;
     break;
    }
    i27 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
    set32(35 * 4 | 0, 192 | 0);
    if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
    i28 = get32(6 * 4 | 0) | 0;
    do if (i28) {
     i29 = get32(30 * 4 | 0) | 0;
     i30 = ((i29 | 0) < 0) << 31 >> 31;
     i31 = 16;
     i32 = _i64Subtract(get32(i31 | 0) | 0, get32(i31 + 4 | 0) | 0, i27 | 0, ((i27 | 0) < 0) << 31 >> 31 | 0) | 0;
     i31 = tempRet0;
     if ((i30 | 0) < (i31 | 0) | (i30 | 0) == (i31 | 0) & i29 >>> 0 < i32 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i32 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i28 & 15](i32, i29, i30, i27);
      set32(6 * 4 | 0, i28 | 0);
      set32(7 * 4 | 0, i32 | 0);
      break;
     }
    } while (0);
    i28 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i27) | 0;
    if (i28) {
     i32 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i28) | 0;
     i30 = (get32(30 * 4 | 0) | 0) + i32 | 0;
     set32(30 * 4 | 0, i30 | 0);
     if ((i30 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i30 | 0);
     i30 = get32(39 * 4 | 0) | 0;
     i32 = i30 + 1 | 0;
     set32(39 * 4 | 0, i32 | 0);
     if ((i30 | 0) < (get32(49 * 4 | 0) | 0)) i33 = i28; else {
      set32(49 * 4 | 0, i32 | 0);
      i33 = i28;
     }
    } else i20 = 68;
   } else {
    i28 = i25 + 30 | 0;
    if (!(get8(i28 >> 0 | 0) | 0)) {
     do if (get8(i25 + 234 >> 0 | 0) | 0) {
      if ((getU16(i25 + 232 | 0) | 0) < 192) {
       i32 = i25 + 248 | 0;
       set32(i32 | 0, (get32(i32 | 0) | 0) + 1 | 0);
       break;
      }
      i32 = i25 + 256 | 0;
      i30 = get32(i32 | 0) | 0;
      if (!i30) {
       i29 = i25 + 252 | 0;
       set32(i29 | 0, (get32(i29 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i32 | 0, get32(i30 | 0) | 0);
      i32 = i25 + 236 | 0;
      i29 = get32(i32 | 0) | 0;
      i31 = i29 + 1 | 0;
      set32(i32 | 0, i31 | 0);
      i32 = i25 + 244 | 0;
      set32(i32 | 0, (get32(i32 | 0) | 0) + 1 | 0);
      i32 = i25 + 240 | 0;
      if ((i29 | 0) >= (get32(i32 | 0) | 0)) set32(i32 | 0, i31 | 0);
      i26 = i30;
      i20 = 67;
      break L43;
     } while (0);
     if (!(get32(50 * 4 | 0) | 0)) {
      i27 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
      if (i27) {
       i33 = i27;
       break;
      }
     } else {
      i27 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
      set32(35 * 4 | 0, 192 | 0);
      if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
      i30 = get32(6 * 4 | 0) | 0;
      do if (i30) {
       i31 = get32(30 * 4 | 0) | 0;
       i32 = ((i31 | 0) < 0) << 31 >> 31;
       i29 = 16;
       i34 = _i64Subtract(get32(i29 | 0) | 0, get32(i29 + 4 | 0) | 0, i27 | 0, ((i27 | 0) < 0) << 31 >> 31 | 0) | 0;
       i29 = tempRet0;
       if ((i32 | 0) < (i29 | 0) | (i32 | 0) == (i29 | 0) & i31 >>> 0 < i34 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i34 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i30 & 15](i34, i31, i32, i27);
        set32(6 * 4 | 0, i30 | 0);
        set32(7 * 4 | 0, i34 | 0);
        break;
       }
      } while (0);
      i30 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i27) | 0;
      if (i30) {
       i34 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i30) | 0;
       i32 = (get32(30 * 4 | 0) | 0) + i34 | 0;
       set32(30 * 4 | 0, i32 | 0);
       if ((i32 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i32 | 0);
       i32 = get32(39 * 4 | 0) | 0;
       i34 = i32 + 1 | 0;
       set32(39 * 4 | 0, i34 | 0);
       if ((i32 | 0) < (get32(49 * 4 | 0) | 0)) {
        i33 = i30;
        break;
       }
       set32(49 * 4 | 0, i34 | 0);
       i33 = i30;
       break;
      }
     }
     set8(i28 >> 0 | 0, 1 | 0);
     i20 = 68;
    } else i20 = 68;
   } while (0);
   if ((i20 | 0) == 67) if (!i26) i20 = 68; else i33 = i26;
   if ((i20 | 0) == 68) {
    set32(i22 | 0, 0 | 0);
    i35 = 0;
    break;
   }
   _memset(i33 | 0, 0, 192) | 0;
   set32(i33 | 0, i25 | 0);
   i30 = i25 + 136 | 0;
   i34 = get32(i30 | 0) | 0;
   if (i34) set32(i34 + 60 | 0, i33 | 0);
   set32(i33 + 64 | 0, i34 | 0);
   set32(i33 + 60 | 0, 0 | 0);
   set32(i30 | 0, i33 | 0);
   set32(i33 + 52 | 0, 649915045 | 0);
   set32(i22 | 0, i33 | 0);
   i30 = i33 + 28 | 0;
   i34 = i33 + 32 | 0;
   i32 = i33 + 4 | 0;
   i31 = _sqlite3DbRealloc(i25, 0, 1020) | 0;
   if (!i31) i35 = i33; else {
    i29 = get32(i33 | 0) | 0;
    if (((i29 | 0) != 0 ? (get32(i29 + 260 | 0) | 0) >>> 0 <= i31 >>> 0 : 0) ? (get32(i29 + 264 | 0) | 0) >>> 0 > i31 >>> 0 : 0) i36 = getU16(i29 + 232 | 0) | 0; else i36 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i31) | 0;
    set32(i34 | 0, (i36 >>> 0) / 20 | 0 | 0);
    set32(i32 | 0, i31 | 0);
    set32(i30 | 0, (get32(i30 | 0) | 0) + 1 | 0);
    set8(i31 >> 0 | 0, -120 | 0);
    set8(i31 + 1 >> 0 | 0, 0 | 0);
    i17 = i31 + 3 | 0;
    i18 = i17 + 17 | 0;
    do {
     set8(i17 >> 0 | 0, 0 | 0);
     i17 = i17 + 1 | 0;
    } while ((i17 | 0) < (i18 | 0));
    i35 = i33;
   }
  } else i35 = i24; while (0);
  i24 = i1 + 60 | 0;
  i25 = get32(i24 | 0) | 0;
  i31 = i1 + 56 | 0;
  i30 = get32(i31 | 0) | 0;
  if ((i30 | 0) < 4) {
   i32 = i1 + 72 | 0;
   i34 = get32(i32 | 0) | 0;
   set32(i32 | 0, i34 + 4 | 0);
   i37 = i34 + 1 | 0;
  } else {
   set32(i24 | 0, i25 + 4 | 0);
   set32(i31 | 0, i30 + -4 | 0);
   i37 = i25;
  }
  do if (!i19 ? (get8(i5 >> 0 | 0) | 0) == -124 : 0) {
   i25 = get32(i22 | 0) | 0;
   i30 = get32(i5 + 24 | 0) | 0;
   i31 = i25 + 28 | 0;
   i24 = get32(i31 | 0) | 0;
   i34 = i25 + 32 | 0;
   i32 = get32(i34 | 0) | 0;
   if ((i32 | 0) > (i24 | 0)) {
    i38 = i24;
    i39 = get32(i25 + 4 | 0) | 0;
   } else {
    i29 = i25 + 4 | 0;
    i40 = _sqlite3DbRealloc(get32(i25 | 0) | 0, get32(i29 | 0) | 0, (i32 | 0) == 0 ? 1020 : i32 * 40 | 0) | 0;
    if (!i40) break;
    i32 = get32(i25 | 0) | 0;
    if (((i32 | 0) != 0 ? (get32(i32 + 260 | 0) | 0) >>> 0 <= i40 >>> 0 : 0) ? (get32(i32 + 264 | 0) | 0) >>> 0 > i40 >>> 0 : 0) i41 = getU16(i32 + 232 | 0) | 0; else i41 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i40) | 0;
    set32(i34 | 0, (i41 >>> 0) / 20 | 0 | 0);
    set32(i29 | 0, i40 | 0);
    i38 = get32(i31 | 0) | 0;
    i39 = i40;
   }
   set32(i31 | 0, i38 + 1 | 0);
   set8(i39 + (i24 * 20 | 0) >> 0 | 0, 14 | 0);
   set8(i39 + (i24 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i39 + (i24 * 20 | 0) + 4 | 0, i30 | 0);
   set32(i39 + (i24 * 20 | 0) + 8 | 0, i37 | 0);
   set32(i39 + (i24 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i39 + (i24 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i39 + (i24 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  } else i20 = 93; while (0);
  do if (((i20 | 0) == 93 ? (i24 = _sqlite3ExprCodeTarget(i1, i5, i37) | 0, (i24 | 0) != (i37 | 0)) : 0) ? (i30 = get32(i22 | 0) | 0, (i30 | 0) != 0) : 0) {
   i31 = i30 + 28 | 0;
   i40 = get32(i31 | 0) | 0;
   i29 = i30 + 32 | 0;
   i34 = get32(i29 | 0) | 0;
   if ((i34 | 0) > (i40 | 0)) {
    i42 = i40;
    i43 = get32(i30 + 4 | 0) | 0;
   } else {
    i32 = i30 + 4 | 0;
    i25 = _sqlite3DbRealloc(get32(i30 | 0) | 0, get32(i32 | 0) | 0, (i34 | 0) == 0 ? 1020 : i34 * 40 | 0) | 0;
    if (!i25) break;
    i34 = get32(i30 | 0) | 0;
    if (((i34 | 0) != 0 ? (get32(i34 + 260 | 0) | 0) >>> 0 <= i25 >>> 0 : 0) ? (get32(i34 + 264 | 0) | 0) >>> 0 > i25 >>> 0 : 0) i44 = getU16(i34 + 232 | 0) | 0; else i44 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i25) | 0;
    set32(i29 | 0, (i44 >>> 0) / 20 | 0 | 0);
    set32(i32 | 0, i25 | 0);
    i42 = get32(i31 | 0) | 0;
    i43 = i25;
   }
   set32(i31 | 0, i42 + 1 | 0);
   set8(i43 + (i40 * 20 | 0) >> 0 | 0, 15 | 0);
   set8(i43 + (i40 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i43 + (i40 * 20 | 0) + 4 | 0, i24 | 0);
   set32(i43 + (i40 * 20 | 0) + 8 | 0, i37 | 0);
   set32(i43 + (i40 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i43 + (i40 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i43 + (i40 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  } while (0);
  i40 = i37 + 1 | 0;
  do if (!i13 ? (get8(i6 >> 0 | 0) | 0) == -124 : 0) {
   i24 = get32(i22 | 0) | 0;
   i31 = get32(i6 + 24 | 0) | 0;
   i25 = i24 + 28 | 0;
   i32 = get32(i25 | 0) | 0;
   i29 = i24 + 32 | 0;
   i34 = get32(i29 | 0) | 0;
   if ((i34 | 0) > (i32 | 0)) {
    i45 = i32;
    i46 = get32(i24 + 4 | 0) | 0;
   } else {
    i30 = i24 + 4 | 0;
    i47 = _sqlite3DbRealloc(get32(i24 | 0) | 0, get32(i30 | 0) | 0, (i34 | 0) == 0 ? 1020 : i34 * 40 | 0) | 0;
    if (!i47) break;
    i34 = get32(i24 | 0) | 0;
    if (((i34 | 0) != 0 ? (get32(i34 + 260 | 0) | 0) >>> 0 <= i47 >>> 0 : 0) ? (get32(i34 + 264 | 0) | 0) >>> 0 > i47 >>> 0 : 0) i48 = getU16(i34 + 232 | 0) | 0; else i48 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i47) | 0;
    set32(i29 | 0, (i48 >>> 0) / 20 | 0 | 0);
    set32(i30 | 0, i47 | 0);
    i45 = get32(i25 | 0) | 0;
    i46 = i47;
   }
   set32(i25 | 0, i45 + 1 | 0);
   set8(i46 + (i32 * 20 | 0) >> 0 | 0, 14 | 0);
   set8(i46 + (i32 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i46 + (i32 * 20 | 0) + 4 | 0, i31 | 0);
   set32(i46 + (i32 * 20 | 0) + 8 | 0, i40 | 0);
   set32(i46 + (i32 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i46 + (i32 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i46 + (i32 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  } else i20 = 117; while (0);
  do if (((i20 | 0) == 117 ? (i13 = _sqlite3ExprCodeTarget(i1, i6, i40) | 0, (i13 | 0) != (i40 | 0)) : 0) ? (i32 = get32(i22 | 0) | 0, (i32 | 0) != 0) : 0) {
   i31 = i32 + 28 | 0;
   i25 = get32(i31 | 0) | 0;
   i47 = i32 + 32 | 0;
   i30 = get32(i47 | 0) | 0;
   if ((i30 | 0) > (i25 | 0)) {
    i49 = i25;
    i50 = get32(i32 + 4 | 0) | 0;
   } else {
    i29 = i32 + 4 | 0;
    i34 = _sqlite3DbRealloc(get32(i32 | 0) | 0, get32(i29 | 0) | 0, (i30 | 0) == 0 ? 1020 : i30 * 40 | 0) | 0;
    if (!i34) break;
    i30 = get32(i32 | 0) | 0;
    if (((i30 | 0) != 0 ? (get32(i30 + 260 | 0) | 0) >>> 0 <= i34 >>> 0 : 0) ? (get32(i30 + 264 | 0) | 0) >>> 0 > i34 >>> 0 : 0) i51 = getU16(i30 + 232 | 0) | 0; else i51 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i34) | 0;
    set32(i47 | 0, (i51 >>> 0) / 20 | 0 | 0);
    set32(i29 | 0, i34 | 0);
    i49 = get32(i31 | 0) | 0;
    i50 = i34;
   }
   set32(i31 | 0, i49 + 1 | 0);
   set8(i50 + (i25 * 20 | 0) >> 0 | 0, 15 | 0);
   set8(i50 + (i25 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i50 + (i25 * 20 | 0) + 4 | 0, i13 | 0);
   set32(i50 + (i25 * 20 | 0) + 8 | 0, i40 | 0);
   set32(i50 + (i25 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i50 + (i25 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i50 + (i25 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  } while (0);
  i40 = i37 + 2 | 0;
  do if (!i21 ? (get8(i7 >> 0 | 0) | 0) == -124 : 0) {
   i25 = get32(i22 | 0) | 0;
   i13 = get32(i7 + 24 | 0) | 0;
   i31 = i25 + 28 | 0;
   i34 = get32(i31 | 0) | 0;
   i29 = i25 + 32 | 0;
   i47 = get32(i29 | 0) | 0;
   if ((i47 | 0) > (i34 | 0)) {
    i52 = i34;
    i53 = get32(i25 + 4 | 0) | 0;
   } else {
    i30 = i25 + 4 | 0;
    i32 = _sqlite3DbRealloc(get32(i25 | 0) | 0, get32(i30 | 0) | 0, (i47 | 0) == 0 ? 1020 : i47 * 40 | 0) | 0;
    if (!i32) break;
    i47 = get32(i25 | 0) | 0;
    if (((i47 | 0) != 0 ? (get32(i47 + 260 | 0) | 0) >>> 0 <= i32 >>> 0 : 0) ? (get32(i47 + 264 | 0) | 0) >>> 0 > i32 >>> 0 : 0) i54 = getU16(i47 + 232 | 0) | 0; else i54 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i32) | 0;
    set32(i29 | 0, (i54 >>> 0) / 20 | 0 | 0);
    set32(i30 | 0, i32 | 0);
    i52 = get32(i31 | 0) | 0;
    i53 = i32;
   }
   set32(i31 | 0, i52 + 1 | 0);
   set8(i53 + (i34 * 20 | 0) >> 0 | 0, 14 | 0);
   set8(i53 + (i34 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i53 + (i34 * 20 | 0) + 4 | 0, i13 | 0);
   set32(i53 + (i34 * 20 | 0) + 8 | 0, i40 | 0);
   set32(i53 + (i34 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i53 + (i34 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i53 + (i34 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  } else i20 = 141; while (0);
  do if (((i20 | 0) == 141 ? (i21 = _sqlite3ExprCodeTarget(i1, i7, i40) | 0, (i21 | 0) != (i40 | 0)) : 0) ? (i34 = get32(i22 | 0) | 0, (i34 | 0) != 0) : 0) {
   i13 = i34 + 28 | 0;
   i31 = get32(i13 | 0) | 0;
   i32 = i34 + 32 | 0;
   i30 = get32(i32 | 0) | 0;
   if ((i30 | 0) > (i31 | 0)) {
    i55 = i31;
    i56 = get32(i34 + 4 | 0) | 0;
   } else {
    i29 = i34 + 4 | 0;
    i47 = _sqlite3DbRealloc(get32(i34 | 0) | 0, get32(i29 | 0) | 0, (i30 | 0) == 0 ? 1020 : i30 * 40 | 0) | 0;
    if (!i47) break;
    i30 = get32(i34 | 0) | 0;
    if (((i30 | 0) != 0 ? (get32(i30 + 260 | 0) | 0) >>> 0 <= i47 >>> 0 : 0) ? (get32(i30 + 264 | 0) | 0) >>> 0 > i47 >>> 0 : 0) i57 = getU16(i30 + 232 | 0) | 0; else i57 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i47) | 0;
    set32(i32 | 0, (i57 >>> 0) / 20 | 0 | 0);
    set32(i29 | 0, i47 | 0);
    i55 = get32(i13 | 0) | 0;
    i56 = i47;
   }
   set32(i13 | 0, i55 + 1 | 0);
   set8(i56 + (i31 * 20 | 0) >> 0 | 0, 15 | 0);
   set8(i56 + (i31 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i56 + (i31 * 20 | 0) + 4 | 0, i21 | 0);
   set32(i56 + (i31 * 20 | 0) + 8 | 0, i40 | 0);
   set32(i56 + (i31 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i56 + (i31 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i56 + (i31 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  } while (0);
  if (!i35) {
   _sqlite3ExprDelete(i16, i5);
   _sqlite3ExprDelete(i16, i6);
   _sqlite3ExprDelete(i16, i7);
   STACKTOP = i8;
   return;
  }
  i40 = i37 + 3 | 0;
  i22 = i40 - (get16(i3 | 0) | 0) | 0;
  i31 = i35 + 28 | 0;
  i21 = get32(i31 | 0) | 0;
  i13 = i35 + 32 | 0;
  i47 = get32(i13 | 0) | 0;
  if ((i47 | 0) <= (i21 | 0)) {
   i29 = i35 + 4 | 0;
   i32 = _sqlite3DbRealloc(get32(i35 | 0) | 0, get32(i29 | 0) | 0, (i47 | 0) == 0 ? 1020 : i47 * 40 | 0) | 0;
   if (!i32) i58 = i29; else {
    i47 = get32(i35 | 0) | 0;
    if (((i47 | 0) != 0 ? (get32(i47 + 260 | 0) | 0) >>> 0 <= i32 >>> 0 : 0) ? (get32(i47 + 264 | 0) | 0) >>> 0 > i32 >>> 0 : 0) i59 = getU16(i47 + 232 | 0) | 0; else i59 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i32) | 0;
    set32(i13 | 0, (i59 >>> 0) / 20 | 0 | 0);
    set32(i29 | 0, i32 | 0);
    i60 = i29;
    i61 = get32(i31 | 0) | 0;
    i62 = i32;
    i20 = 163;
   }
  } else {
   i32 = i35 + 4 | 0;
   i60 = i32;
   i61 = i21;
   i62 = get32(i32 | 0) | 0;
   i20 = 163;
  }
  if ((i20 | 0) == 163) {
   set32(i31 | 0, i61 + 1 | 0);
   set8(i62 + (i21 * 20 | 0) >> 0 | 0, 18 | 0);
   set8(i62 + (i21 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i62 + (i21 * 20 | 0) + 4 | 0, 0 | 0);
   set32(i62 + (i21 * 20 | 0) + 8 | 0, i22 | 0);
   set32(i62 + (i21 * 20 | 0) + 12 | 0, i40 | 0);
   set32(i62 + (i21 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i62 + (i21 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i58 = i60;
  }
  i21 = get32(i58 | 0) | 0;
  if (i21) {
   i40 = (get32(i31 | 0) | 0) + -1 | 0;
   set8(i21 + (i40 * 20 | 0) + 3 >> 0 | 0, get16(i3 | 0) | 0);
   i22 = get32(i35 | 0) | 0;
   if (!(get8(i22 + 30 >> 0 | 0) | 0)) {
    i32 = i21 + (i40 * 20 | 0) + 1 | 0;
    i29 = i21 + (i40 * 20 | 0) + 16 | 0;
    _freeP4(i22, get8(i32 >> 0 | 0) | 0, get32(i29 | 0) | 0);
    set32(i29 | 0, i3 | 0);
    set8(i32 >> 0 | 0, -5 | 0);
    i63 = i35;
   } else {
    i64 = i22;
    i65 = i35;
    i20 = 167;
   }
  } else {
   i64 = get32(i35 | 0) | 0;
   i65 = i35;
   i20 = 167;
  }
  if ((i20 | 0) == 167) if ((i3 | 0) != 0 ? (get8(i3 + 3 >> 0 | 0) & 4) != 0 : 0) {
   _sqlite3DbFree(i64, i3);
   i63 = i65;
  } else i63 = i65;
  i22 = (i2 | 0) == 24 & 1;
  i32 = get32(i31 | 0) | 0;
  i29 = get32(i13 | 0) | 0;
  if ((i29 | 0) > (i32 | 0)) {
   i66 = i32;
   i67 = get32(i58 | 0) | 0;
  } else {
   i40 = _sqlite3DbRealloc(get32(i63 | 0) | 0, get32(i58 | 0) | 0, (i29 | 0) == 0 ? 1020 : i29 * 40 | 0) | 0;
   if (!i40) {
    _sqlite3ExprDelete(i16, i5);
    _sqlite3ExprDelete(i16, i6);
    _sqlite3ExprDelete(i16, i7);
    STACKTOP = i8;
    return;
   }
   i29 = get32(i63 | 0) | 0;
   if (((i29 | 0) != 0 ? (get32(i29 + 260 | 0) | 0) >>> 0 <= i40 >>> 0 : 0) ? (get32(i29 + 264 | 0) | 0) >>> 0 > i40 >>> 0 : 0) i68 = getU16(i29 + 232 | 0) | 0; else i68 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i40) | 0;
   set32(i13 | 0, (i68 >>> 0) / 20 | 0 | 0);
   set32(i58 | 0, i40 | 0);
   i66 = get32(i31 | 0) | 0;
   i67 = i40;
  }
  set32(i31 | 0, i66 + 1 | 0);
  set8(i67 + (i32 * 20 | 0) >> 0 | 0, 122 | 0);
  set8(i67 + (i32 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i67 + (i32 * 20 | 0) + 4 | 0, i22 | 0);
  set32(i67 + (i32 * 20 | 0) + 8 | 0, 0 | 0);
  set32(i67 + (i32 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i67 + (i32 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i67 + (i32 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  _sqlite3ExprDelete(i16, i5);
  _sqlite3ExprDelete(i16, i6);
  _sqlite3ExprDelete(i16, i7);
  STACKTOP = i8;
  return;
 } while (0);
 i67 = i1 + 64 | 0;
 set32(i67 | 0, (get32(i67 | 0) | 0) + 1 | 0);
 _sqlite3ExprDelete(i16, i5);
 _sqlite3ExprDelete(i16, i6);
 _sqlite3ExprDelete(i16, i7);
 STACKTOP = i8;
 return;
}

function _fkScanChildren(i1, i2, i3, i4, i5, i6, i7, i8) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 i7 = i7 | 0;
 i8 = i8 | 0;
 var i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0, i80 = 0, i81 = 0, i82 = 0, i83 = 0;
 i9 = STACKTOP;
 STACKTOP = STACKTOP + 64 | 0;
 i10 = i9 + 16 | 0;
 i11 = i9 + 8 | 0;
 i12 = i9;
 i13 = i9 + 56 | 0;
 i14 = i9 + 20 | 0;
 i15 = get32(i1 | 0) | 0;
 i16 = i1 + 12 | 0;
 i17 = get32(i16 | 0) | 0;
 do if (!i17) {
  L3 : do if (!i15) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i18 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
    i19 = 39;
    break;
   }
   i20 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
   set32(35 * 4 | 0, 192 | 0);
   if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
   i21 = get32(6 * 4 | 0) | 0;
   do if (i21) {
    i22 = get32(30 * 4 | 0) | 0;
    i23 = ((i22 | 0) < 0) << 31 >> 31;
    i24 = 16;
    i25 = _i64Subtract(get32(i24 | 0) | 0, get32(i24 + 4 | 0) | 0, i20 | 0, ((i20 | 0) < 0) << 31 >> 31 | 0) | 0;
    i24 = tempRet0;
    if ((i23 | 0) < (i24 | 0) | (i23 | 0) == (i24 | 0) & i22 >>> 0 < i25 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i25 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i21 & 15](i25, i22, i23, i20);
     set32(6 * 4 | 0, i21 | 0);
     set32(7 * 4 | 0, i25 | 0);
     break;
    }
   } while (0);
   i21 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i20) | 0;
   if (i21) {
    i25 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i21) | 0;
    i23 = (get32(30 * 4 | 0) | 0) + i25 | 0;
    set32(30 * 4 | 0, i23 | 0);
    if ((i23 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i23 | 0);
    i23 = get32(39 * 4 | 0) | 0;
    i25 = i23 + 1 | 0;
    set32(39 * 4 | 0, i25 | 0);
    if ((i23 | 0) < (get32(49 * 4 | 0) | 0)) i26 = i21; else {
     set32(49 * 4 | 0, i25 | 0);
     i26 = i21;
    }
   } else i19 = 40;
  } else {
   i21 = i15 + 30 | 0;
   if (!(get8(i21 >> 0 | 0) | 0)) {
    do if (get8(i15 + 234 >> 0 | 0) | 0) {
     if ((getU16(i15 + 232 | 0) | 0) < 192) {
      i25 = i15 + 248 | 0;
      set32(i25 | 0, (get32(i25 | 0) | 0) + 1 | 0);
      break;
     }
     i25 = i15 + 256 | 0;
     i23 = get32(i25 | 0) | 0;
     if (!i23) {
      i22 = i15 + 252 | 0;
      set32(i22 | 0, (get32(i22 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i25 | 0, get32(i23 | 0) | 0);
     i25 = i15 + 236 | 0;
     i22 = get32(i25 | 0) | 0;
     i24 = i22 + 1 | 0;
     set32(i25 | 0, i24 | 0);
     i25 = i15 + 244 | 0;
     set32(i25 | 0, (get32(i25 | 0) | 0) + 1 | 0);
     i25 = i15 + 240 | 0;
     if ((i22 | 0) >= (get32(i25 | 0) | 0)) set32(i25 | 0, i24 | 0);
     i18 = i23;
     i19 = 39;
     break L3;
    } while (0);
    if (!(get32(50 * 4 | 0) | 0)) {
     i20 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
     if (i20) {
      i26 = i20;
      break;
     }
    } else {
     i20 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
     set32(35 * 4 | 0, 192 | 0);
     if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
     i23 = get32(6 * 4 | 0) | 0;
     do if (i23) {
      i24 = get32(30 * 4 | 0) | 0;
      i25 = ((i24 | 0) < 0) << 31 >> 31;
      i22 = 16;
      i27 = _i64Subtract(get32(i22 | 0) | 0, get32(i22 + 4 | 0) | 0, i20 | 0, ((i20 | 0) < 0) << 31 >> 31 | 0) | 0;
      i22 = tempRet0;
      if ((i25 | 0) < (i22 | 0) | (i25 | 0) == (i22 | 0) & i24 >>> 0 < i27 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i27 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i23 & 15](i27, i24, i25, i20);
       set32(6 * 4 | 0, i23 | 0);
       set32(7 * 4 | 0, i27 | 0);
       break;
      }
     } while (0);
     i23 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i20) | 0;
     if (i23) {
      i27 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i23) | 0;
      i25 = (get32(30 * 4 | 0) | 0) + i27 | 0;
      set32(30 * 4 | 0, i25 | 0);
      if ((i25 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i25 | 0);
      i25 = get32(39 * 4 | 0) | 0;
      i27 = i25 + 1 | 0;
      set32(39 * 4 | 0, i27 | 0);
      if ((i25 | 0) < (get32(49 * 4 | 0) | 0)) {
       i26 = i23;
       break;
      }
      set32(49 * 4 | 0, i27 | 0);
      i26 = i23;
      break;
     }
    }
    set8(i21 >> 0 | 0, 1 | 0);
    i19 = 40;
   } else i19 = 40;
  } while (0);
  if ((i19 | 0) == 39) if (!i18) i19 = 40; else i26 = i18;
  if ((i19 | 0) == 40) {
   set32(i16 | 0, 0 | 0);
   i28 = 0;
   break;
  }
  _memset(i26 | 0, 0, 192) | 0;
  set32(i26 | 0, i15 | 0);
  i23 = i15 + 136 | 0;
  i27 = get32(i23 | 0) | 0;
  if (i27) set32(i27 + 60 | 0, i26 | 0);
  set32(i26 + 64 | 0, i27 | 0);
  set32(i26 + 60 | 0, 0 | 0);
  set32(i23 | 0, i26 | 0);
  set32(i26 + 52 | 0, 649915045 | 0);
  set32(i16 | 0, i26 | 0);
  i23 = i26 + 28 | 0;
  i27 = i26 + 32 | 0;
  i25 = i26 + 4 | 0;
  i24 = _sqlite3DbRealloc(i15, 0, 1020) | 0;
  if (!i24) i28 = i26; else {
   i22 = get32(i26 | 0) | 0;
   if (((i22 | 0) != 0 ? (get32(i22 + 260 | 0) | 0) >>> 0 <= i24 >>> 0 : 0) ? (get32(i22 + 264 | 0) | 0) >>> 0 > i24 >>> 0 : 0) i29 = getU16(i22 + 232 | 0) | 0; else i29 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i24) | 0;
   set32(i27 | 0, (i29 >>> 0) / 20 | 0 | 0);
   set32(i25 | 0, i24 | 0);
   set32(i23 | 0, (get32(i23 | 0) | 0) + 1 | 0);
   set8(i24 >> 0 | 0, -120 | 0);
   set8(i24 + 1 >> 0 | 0, 0 | 0);
   i30 = i24 + 3 | 0;
   i31 = i30 + 17 | 0;
   do {
    set8(i30 >> 0 | 0, 0 | 0);
    i30 = i30 + 1 | 0;
   } while ((i30 | 0) < (i31 | 0));
   i28 = i26;
  }
 } else i28 = i17; while (0);
 do if ((i8 | 0) < 0) {
  i17 = getU8(i5 + 24 >> 0 | 0) | 0;
  i26 = i28 + 28 | 0;
  i29 = get32(i26 | 0) | 0;
  i16 = i28 + 32 | 0;
  i18 = get32(i16 | 0) | 0;
  if ((i18 | 0) > (i29 | 0)) {
   i32 = i29;
   i33 = get32(i28 + 4 | 0) | 0;
  } else {
   i24 = i28 + 4 | 0;
   i23 = _sqlite3DbRealloc(get32(i28 | 0) | 0, get32(i24 | 0) | 0, (i18 | 0) == 0 ? 1020 : i18 * 40 | 0) | 0;
   if (!i23) {
    i34 = 1;
    break;
   }
   i18 = get32(i28 | 0) | 0;
   if (((i18 | 0) != 0 ? (get32(i18 + 260 | 0) | 0) >>> 0 <= i23 >>> 0 : 0) ? (get32(i18 + 264 | 0) | 0) >>> 0 > i23 >>> 0 : 0) i35 = getU16(i18 + 232 | 0) | 0; else i35 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i23) | 0;
   set32(i16 | 0, (i35 >>> 0) / 20 | 0 | 0);
   set32(i24 | 0, i23 | 0);
   i32 = get32(i26 | 0) | 0;
   i33 = i23;
  }
  set32(i26 | 0, i32 + 1 | 0);
  set8(i33 + (i29 * 20 | 0) >> 0 | 0, 111 | 0);
  set8(i33 + (i29 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i33 + (i29 * 20 | 0) + 4 | 0, i17 | 0);
  set32(i33 + (i29 * 20 | 0) + 8 | 0, 0 | 0);
  set32(i33 + (i29 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i33 + (i29 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i33 + (i29 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i34 = i29;
 } else i34 = 0; while (0);
 i33 = i5 + 20 | 0;
 if ((get32(i33 | 0) | 0) > 0) {
  i32 = i13 + 4 | 0;
  i35 = (i6 | 0) == 0;
  i29 = i5 + 36 | 0;
  i17 = i13 + 4 | 0;
  i26 = (i4 | 0) == 0;
  i23 = i4 + 8 | 0;
  i4 = i3 + 12 | 0;
  i24 = i3 + 4 | 0;
  i16 = i7 + 1 | 0;
  i18 = 0;
  i25 = 0;
  while (1) {
   set32(i13 | 0, 0 | 0);
   set32(i32 | 0, 0 | 0);
   i27 = _sqlite3ExprAlloc(i15, 132, i13, 0) | 0;
   i22 = (i27 | 0) == 0;
   do if (!i22) {
    if (i26) {
     set32(i27 + 24 | 0, i7 | 0);
     set8(i27 + 1 >> 0 | 0, 100 | 0);
     break;
    }
    i36 = get32((get32(i23 | 0) | 0) + (i25 << 2) | 0) | 0;
    i37 = get32(i4 | 0) | 0;
    set32(i27 + 24 | 0, i16 + ((get32(i24 | 0) | 0) == (i36 | 0) ? -1 : i36) | 0);
    set8(i27 + 1 >> 0 | 0, get8(i37 + (i36 * 24 | 0) + 22 >> 0 | 0) | 0 | 0);
    i38 = get32(i37 + (i36 * 24 | 0) + 16 | 0) | 0;
    i36 = get32(i1 | 0) | 0;
    i37 = get8((get32((get32(i36 + 8 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0) | 0;
    i39 = get8(i36 + 124 >> 0 | 0) | 0;
    i40 = _sqlite3FindCollSeq(i36, i37, i38, i39 & 255) | 0;
    do if (!(i39 << 24 >> 24)) {
     if ((i40 | 0) != 0 ? (get32(i40 + 12 | 0) | 0) != 0 : 0) {
      i41 = i40;
      break;
     }
     i42 = _sqlite3GetCollSeq(i36, i37, i40, i38) | 0;
     if (!i42) {
      set32(i12 | 0, i38 | 0);
      _sqlite3ErrorMsg(i1, 30475, i12);
      i41 = 0;
     } else i41 = i42;
    } else i41 = i40; while (0);
    set32(i27 + 20 | 0, i41 | 0);
   } while (0);
   i40 = get32((get32((get32(i5 | 0) | 0) + 12 | 0) | 0) + ((get32((i35 ? i29 : i6 + (i25 << 2) | 0) | 0) | 0) * 24 | 0) | 0) | 0;
   set32(i13 | 0, i40 | 0);
   if (!i40) i43 = 0; else {
    i38 = i40;
    while (1) if (!(get8(i38 >> 0 | 0) | 0)) {
     i44 = i38;
     break;
    } else i38 = i38 + 1 | 0;
    i43 = i44 - i40 & 1073741823;
   }
   set32(i17 | 0, i43 | 0);
   i38 = _sqlite3ExprAlloc(i15, 26, i13, 0) | 0;
   i37 = _sqlite3ExprAlloc(get32(i1 | 0) | 0, 76, 0, 1) | 0;
   i36 = get32(i1 | 0) | 0;
   i39 = (i37 | 0) == 0;
   do if (!i39) {
    if ((i38 | 0) != 0 ? (set32(i37 + 12 | 0, i38 | 0), (get16(i38 + 2 | 0) & 256) != 0) : 0) {
     i21 = i37 + 2 | 0;
     set16(i21 | 0, getU16(i21 | 0) | 256 | 0);
     set32(i37 + 20 | 0, get32(i38 + 20 | 0) | 0);
    }
    i21 = i37 + 8 | 0;
    if (i22) {
     i20 = get32(i21 | 0) | 0;
     set32(i13 | 0, 0 | 0);
     if (!i20) i45 = 0; else {
      i46 = i20;
      i19 = 86;
     }
    } else {
     set32(i21 | 0, i27 | 0);
     if (get16(i27 + 2 | 0) & 256) {
      i21 = i37 + 2 | 0;
      set16(i21 | 0, getU16(i21 | 0) | 256 | 0);
      set32(i37 + 20 | 0, get32(i27 + 20 | 0) | 0);
     }
     set32(i13 | 0, 0 | 0);
     i46 = i27;
     i19 = 86;
    }
    if ((i19 | 0) == 86) {
     i19 = 0;
     i21 = get32(i46 + 44 | 0) | 0;
     if ((i21 | 0) > 0) {
      set32(i13 | 0, i21 | 0);
      i45 = i21;
     } else i45 = 0;
    }
    i21 = get32(i37 + 12 | 0) | 0;
    if ((i21 | 0) != 0 ? (i20 = get32(i21 + 44 | 0) | 0, (i20 | 0) > (i45 | 0)) : 0) {
     set32(i13 | 0, i20 | 0);
     i47 = i20;
    } else i47 = i45;
    i20 = i37 + 16 | 0;
    if (!(get16(i37 + 2 | 0) & 2048)) {
     i21 = get32(i20 | 0) | 0;
     if (!i21) {
      i48 = i47;
      i49 = i36;
      i19 = 100;
     } else {
      i42 = get32(i21 | 0) | 0;
      if ((i42 | 0) > 0) {
       i50 = get32(i21 + 12 | 0) | 0;
       i21 = i47;
       i51 = 0;
       while (1) {
        i52 = get32(i50 + (i51 * 20 | 0) | 0) | 0;
        do if (!i52) i53 = i21; else {
         i54 = get32(i52 + 44 | 0) | 0;
         if ((i54 | 0) <= (i21 | 0)) {
          i53 = i21;
          break;
         }
         set32(i13 | 0, i54 | 0);
         i53 = i54;
        } while (0);
        i51 = i51 + 1 | 0;
        if ((i51 | 0) == (i42 | 0)) {
         i55 = i53;
         break;
        } else i21 = i53;
       }
      } else i55 = i47;
      i21 = i55 + 1 | 0;
      set32(i37 + 44 | 0, i21 | 0);
      i56 = i36;
      i57 = i21;
     }
    } else {
     _heightOfSelect(get32(i20 | 0) | 0, i13);
     i48 = get32(i13 | 0) | 0;
     i49 = get32(i1 | 0) | 0;
     i19 = 100;
    }
    if ((i19 | 0) == 100) {
     i19 = 0;
     i21 = i48 + 1 | 0;
     set32(i37 + 44 | 0, i21 | 0);
     i56 = i49;
     i57 = i21;
    }
    i21 = get32(i56 + 84 | 0) | 0;
    if ((i21 | 0) < (i57 | 0)) {
     set32(i11 | 0, i21 | 0);
     _sqlite3ErrorMsg(i1, 29585, i11);
    }
    i21 = (i18 | 0) == 0;
    if (i21 | i39) i58 = i21 ? i37 : i18; else {
     i21 = _sqlite3ExprAlloc(i15, 69, 0, 0) | 0;
     if (!i21) {
      _sqlite3ExprDelete(i15, i18);
      _sqlite3ExprDelete(i15, i37);
      i58 = 0;
      break;
     }
     set32(i21 + 12 | 0, i37 | 0);
     if (get16(i37 + 2 | 0) & 256) {
      i42 = i21 + 2 | 0;
      set16(i42 | 0, getU16(i42 | 0) | 256 | 0);
      set32(i21 + 20 | 0, get32(i37 + 20 | 0) | 0);
     }
     set32(i21 + 8 | 0, i18 | 0);
     if (get16(i18 + 2 | 0) & 256) {
      i42 = i21 + 2 | 0;
      set16(i42 | 0, getU16(i42 | 0) | 256 | 0);
      set32(i21 + 20 | 0, get32(i18 + 20 | 0) | 0);
     }
     set32(i13 | 0, 0 | 0);
     i42 = get32(i18 + 44 | 0) | 0;
     i51 = (i42 | 0) > 0;
     i50 = i51 ? i42 : 0;
     set32(i13 | 0, i50 | 0);
     i52 = i51 ? i42 : 0;
     i42 = get32(i37 + 44 | 0) | 0;
     i51 = (i42 | 0) > (i52 | 0);
     set32(i13 | 0, (i51 ? i42 : i50) | 0);
     i50 = i51 ? i42 : i52;
     i52 = i21 + 16 | 0;
     do if (!(get16(i21 + 2 | 0) & 2048)) {
      i42 = get32(i52 | 0) | 0;
      if (!i42) {
       i59 = i50;
       break;
      }
      i51 = get32(i42 | 0) | 0;
      if ((i51 | 0) <= 0) {
       i59 = i50;
       break;
      }
      i54 = get32(i42 + 12 | 0) | 0;
      i42 = i50;
      i60 = 0;
      while (1) {
       i61 = get32(i54 + (i60 * 20 | 0) | 0) | 0;
       do if (!i61) i62 = i42; else {
        i63 = get32(i61 + 44 | 0) | 0;
        if ((i63 | 0) <= (i42 | 0)) {
         i62 = i42;
         break;
        }
        set32(i13 | 0, i63 | 0);
        i62 = i63;
       } while (0);
       i60 = i60 + 1 | 0;
       if ((i60 | 0) == (i51 | 0)) {
        i59 = i62;
        break;
       } else i42 = i62;
      }
     } else {
      _heightOfSelect(get32(i52 | 0) | 0, i13);
      i59 = get32(i13 | 0) | 0;
     } while (0);
     set32(i21 + 44 | 0, i59 + 1 | 0);
     i58 = i21;
    }
   } else {
    _sqlite3ExprDelete(i36, i27);
    _sqlite3ExprDelete(i36, i38);
    i58 = (i18 | 0) == 0 ? i37 : i18;
   } while (0);
   i25 = i25 + 1 | 0;
   if ((i25 | 0) >= (get32(i33 | 0) | 0)) {
    i64 = i5;
    i65 = i58;
    break;
   } else i18 = i58;
  }
 } else {
  i64 = i5;
  i65 = 0;
 }
 i58 = (i8 | 0) > 0;
 do if (i58 & (get32(i64 | 0) | 0) == (i3 | 0)) {
  set32(i13 | 0, 0 | 0);
  set32(i13 + 4 | 0, 0 | 0);
  i18 = _sqlite3ExprAlloc(i15, 132, i13, 0) | 0;
  set32(i13 | 0, 0 | 0);
  set32(i13 + 4 | 0, 0 | 0);
  i33 = _sqlite3ExprAlloc(i15, 152, i13, 0) | 0;
  if ((i18 | 0) != 0 & (i33 | 0) != 0) {
   set32(i18 + 24 | 0, i7 | 0);
   set8(i18 + 1 >> 0 | 0, 100 | 0);
   set32(i33 + 24 | 0, get32(i2 + 32 | 0) | 0);
   set16(i33 + 28 | 0, -1 | 0);
  }
  i25 = _sqlite3ExprAlloc(get32(i1 | 0) | 0, 75, 0, 1) | 0;
  i59 = get32(i1 | 0) | 0;
  i62 = (i25 | 0) == 0;
  if (i62) {
   _sqlite3ExprDelete(i59, i18);
   _sqlite3ExprDelete(i59, i33);
   i66 = (i65 | 0) == 0 ? i25 : i65;
   break;
  }
  if ((i33 | 0) != 0 ? (set32(i25 + 12 | 0, i33 | 0), (get16(i33 + 2 | 0) & 256) != 0) : 0) {
   i11 = i25 + 2 | 0;
   set16(i11 | 0, getU16(i11 | 0) | 256 | 0);
   set32(i25 + 20 | 0, get32(i33 + 20 | 0) | 0);
  }
  i33 = i25 + 8 | 0;
  if (!i18) {
   i11 = get32(i33 | 0) | 0;
   set32(i13 | 0, 0 | 0);
   if (!i11) {
    i67 = 0;
    i68 = i13;
   } else {
    i69 = i11;
    i70 = i13;
    i19 = 135;
   }
  } else {
   set32(i33 | 0, i18 | 0);
   if (get16(i18 + 2 | 0) & 256) {
    i33 = i25 + 2 | 0;
    set16(i33 | 0, getU16(i33 | 0) | 256 | 0);
    set32(i25 + 20 | 0, get32(i18 + 20 | 0) | 0);
   }
   set32(i13 | 0, 0 | 0);
   i69 = i18;
   i70 = i13;
   i19 = 135;
  }
  if ((i19 | 0) == 135) {
   i18 = get32(i69 + 44 | 0) | 0;
   if ((i18 | 0) > 0) {
    set32(i13 | 0, i18 | 0);
    i67 = i18;
    i68 = i70;
   } else {
    i67 = 0;
    i68 = i70;
   }
  }
  i18 = get32(i25 + 12 | 0) | 0;
  if ((i18 | 0) != 0 ? (i33 = get32(i18 + 44 | 0) | 0, (i33 | 0) > (i67 | 0)) : 0) {
   set32(i13 | 0, i33 | 0);
   i71 = i33;
  } else i71 = i67;
  i33 = i25 + 16 | 0;
  if (!(get16(i25 + 2 | 0) & 2048)) {
   i18 = get32(i33 | 0) | 0;
   if (!i18) {
    i72 = i71;
    i73 = i59;
    i19 = 149;
   } else {
    i11 = get32(i18 | 0) | 0;
    if ((i11 | 0) > 0) {
     i57 = get32(i18 + 12 | 0) | 0;
     i18 = i71;
     i56 = 0;
     while (1) {
      i49 = get32(i57 + (i56 * 20 | 0) | 0) | 0;
      if ((i49 | 0) != 0 ? (i48 = get32(i49 + 44 | 0) | 0, (i48 | 0) > (i18 | 0)) : 0) {
       set32(i13 | 0, i48 | 0);
       i74 = i48;
      } else i74 = i18;
      i56 = i56 + 1 | 0;
      if ((i56 | 0) == (i11 | 0)) {
       i75 = i74;
       break;
      } else i18 = i74;
     }
    } else i75 = i71;
    i18 = i75 + 1 | 0;
    set32(i25 + 44 | 0, i18 | 0);
    i76 = i59;
    i77 = i18;
   }
  } else {
   _heightOfSelect(get32(i33 | 0) | 0, i13);
   i72 = get32(i13 | 0) | 0;
   i73 = get32(i1 | 0) | 0;
   i19 = 149;
  }
  if ((i19 | 0) == 149) {
   i18 = i72 + 1 | 0;
   set32(i25 + 44 | 0, i18 | 0);
   i76 = i73;
   i77 = i18;
  }
  i18 = get32(i76 + 84 | 0) | 0;
  if ((i18 | 0) < (i77 | 0)) {
   set32(i10 | 0, i18 | 0);
   _sqlite3ErrorMsg(i1, 29585, i10);
  }
  i18 = (i65 | 0) == 0;
  if (i18 | i62) i66 = i18 ? i25 : i65; else {
   i18 = _sqlite3ExprAlloc(i15, 69, 0, 0) | 0;
   if (!i18) {
    _sqlite3ExprDelete(i15, i65);
    _sqlite3ExprDelete(i15, i25);
    i66 = 0;
    break;
   }
   set32(i18 + 12 | 0, i25 | 0);
   if (get16(i25 + 2 | 0) & 256) {
    i11 = i18 + 2 | 0;
    set16(i11 | 0, getU16(i11 | 0) | 256 | 0);
    set32(i18 + 20 | 0, get32(i25 + 20 | 0) | 0);
   }
   set32(i18 + 8 | 0, i65 | 0);
   if (get16(i65 + 2 | 0) & 256) {
    i11 = i18 + 2 | 0;
    set16(i11 | 0, getU16(i11 | 0) | 256 | 0);
    set32(i18 + 20 | 0, get32(i65 + 20 | 0) | 0);
   }
   set32(i13 | 0, 0 | 0);
   i11 = get32(i65 + 44 | 0) | 0;
   i56 = (i11 | 0) > 0;
   i57 = i56 ? i11 : 0;
   set32(i13 | 0, i57 | 0);
   i48 = i56 ? i11 : 0;
   i11 = get32(i25 + 44 | 0) | 0;
   i56 = (i11 | 0) > (i48 | 0);
   set32(i13 | 0, (i56 ? i11 : i57) | 0);
   i57 = i56 ? i11 : i48;
   i48 = i18 + 16 | 0;
   if (!(get16(i18 + 2 | 0) & 2048)) {
    i11 = get32(i48 | 0) | 0;
    if ((i11 | 0) != 0 ? (i56 = get32(i11 | 0) | 0, (i56 | 0) > 0) : 0) {
     i49 = get32(i11 + 12 | 0) | 0;
     i11 = i57;
     i55 = 0;
     while (1) {
      i47 = get32(i49 + (i55 * 20 | 0) | 0) | 0;
      do if (!i47) i78 = i11; else {
       i53 = get32(i47 + 44 | 0) | 0;
       if ((i53 | 0) <= (i11 | 0)) {
        i78 = i11;
        break;
       }
       set32(i13 | 0, i53 | 0);
       i78 = i53;
      } while (0);
      i55 = i55 + 1 | 0;
      if ((i55 | 0) == (i56 | 0)) {
       i79 = i78;
       break;
      } else i11 = i78;
     }
    } else i79 = i57;
   } else {
    _heightOfSelect(get32(i48 | 0) | 0, i13);
    i79 = get32(i13 | 0) | 0;
   }
   set32(i18 + 44 | 0, i79 + 1 | 0);
   i66 = i18;
  }
 } else i66 = i65; while (0);
 i30 = i14;
 i31 = i30 + 36 | 0;
 do {
  set32(i30 | 0, 0 | 0);
  i30 = i30 + 4 | 0;
 } while ((i30 | 0) < (i31 | 0));
 set32(i14 + 4 | 0, i2 | 0);
 set32(i14 | 0, i1 | 0);
 _sqlite3ResolveExprNames(i14, i66) | 0;
 i14 = _sqlite3WhereBegin(i1, i2, i66, 0, 0) | 0;
 i2 = get8(i5 + 24 >> 0 | 0) | 0;
 if (i58 & i2 << 24 >> 24 == 0) {
  i58 = get32(i1 + 424 | 0) | 0;
  set8(((i58 | 0) == 0 ? i1 : i58) + 345 >> 0 | 0, 1 | 0);
  i80 = 0;
 } else i80 = i2;
 i2 = i80 & 255;
 i80 = i28 + 28 | 0;
 i58 = get32(i80 | 0) | 0;
 i1 = i28 + 32 | 0;
 i5 = get32(i1 | 0) | 0;
 if ((i5 | 0) <= (i58 | 0)) {
  i30 = i28 + 4 | 0;
  i31 = _sqlite3DbRealloc(get32(i28 | 0) | 0, get32(i30 | 0) | 0, (i5 | 0) == 0 ? 1020 : i5 * 40 | 0) | 0;
  if (i31) {
   i5 = get32(i28 | 0) | 0;
   if (((i5 | 0) != 0 ? (get32(i5 + 260 | 0) | 0) >>> 0 <= i31 >>> 0 : 0) ? (get32(i5 + 264 | 0) | 0) >>> 0 > i31 >>> 0 : 0) i81 = getU16(i5 + 232 | 0) | 0; else i81 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i31) | 0;
   set32(i1 | 0, (i81 >>> 0) / 20 | 0 | 0);
   set32(i30 | 0, i31 | 0);
   i82 = get32(i80 | 0) | 0;
   i83 = i31;
   i19 = 181;
  }
 } else {
  i82 = i58;
  i83 = get32(i28 + 4 | 0) | 0;
  i19 = 181;
 }
 if ((i19 | 0) == 181) {
  set32(i80 | 0, i82 + 1 | 0);
  set8(i83 + (i58 * 20 | 0) >> 0 | 0, 110 | 0);
  set8(i83 + (i58 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i83 + (i58 * 20 | 0) + 4 | 0, i2 | 0);
  set32(i83 + (i58 * 20 | 0) + 8 | 0, i8 | 0);
  set32(i83 + (i58 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i83 + (i58 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i83 + (i58 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
 }
 if (i14) _sqlite3WhereEnd(i14);
 _sqlite3ExprDelete(i15, i66);
 if (!i34) {
  STACKTOP = i9;
  return;
 }
 i66 = get32(i80 | 0) | 0;
 if ((i66 | 0) <= (i34 | 0)) {
  STACKTOP = i9;
  return;
 }
 set32((get32(i28 + 4 | 0) | 0) + (i34 * 20 | 0) + 8 | 0, i66 | 0);
 STACKTOP = i9;
 return;
}

function _patternCompare(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0, i80 = 0, i81 = 0, i82 = 0, i83 = 0, i84 = 0, i85 = 0, i86 = 0, i87 = 0, i88 = 0, i89 = 0, i90 = 0, i91 = 0, i92 = 0, i93 = 0, i94 = 0, i95 = 0, i96 = 0, i97 = 0, i98 = 0, i99 = 0, i100 = 0, i101 = 0, i102 = 0, i103 = 0, i104 = 0, i105 = 0, i106 = 0, i107 = 0, i108 = 0, i109 = 0, i110 = 0, i111 = 0, i112 = 0, i113 = 0, i114 = 0, i115 = 0, i116 = 0, i117 = 0, i118 = 0, i119 = 0, i120 = 0, i121 = 0, i122 = 0, i123 = 0, i124 = 0, i125 = 0, i126 = 0, i127 = 0, i128 = 0;
 i5 = getU8(i3 + 2 >> 0 | 0) | 0;
 i6 = getU8(i3 >> 0 | 0) | 0;
 i7 = getU8(i3 + 1 >> 0 | 0) | 0;
 i8 = (get8(i3 + 3 >> 0 | 0) | 0) == 0;
 i9 = i1;
 i1 = i2;
 i2 = 0;
 L1 : while (1) {
  i10 = i9;
  i11 = i2;
  while (1) {
   i12 = i10 + 1 | 0;
   i13 = get8(i10 >> 0 | 0) | 0;
   i14 = i13 & 255;
   if ((i13 & 255) > 191) {
    i13 = getU8(19818 + (i14 + -192) >> 0 | 0) | 0;
    i15 = getU8(i12 >> 0 | 0) | 0;
    if ((i15 & 192 | 0) == 128) {
     i16 = i12;
     i17 = i15;
     i15 = i13;
     while (1) {
      i18 = i16 + 1 | 0;
      i19 = i15 << 6 | i17 & 63;
      i17 = getU8(i18 >> 0 | 0) | 0;
      if ((i17 & 192 | 0) != 128) {
       i20 = i18;
       i21 = i19;
       break;
      } else {
       i16 = i18;
       i15 = i19;
      }
     }
    } else {
     i20 = i12;
     i21 = i13;
    }
    if ((i21 & -2 | 0) == 65534 | (i21 >>> 0 < 128 | (i21 & -2048 | 0) == 55296)) {
     i22 = i20;
     i23 = 65533;
    } else {
     i24 = i20;
     i25 = i21;
     i26 = 7;
    }
   } else {
    i24 = i12;
    i25 = i14;
    i26 = 7;
   }
   if ((i26 | 0) == 7) {
    i26 = 0;
    if (!i25) {
     i27 = i1;
     i26 = 116;
     break L1;
    } else {
     i22 = i24;
     i23 = i25;
    }
   }
   i15 = (i11 | 0) != 0;
   if (!i15) {
    if ((i23 | 0) == (i6 | 0)) {
     i28 = i22;
     i29 = i1;
     i26 = 10;
     break L1;
    }
    if ((i23 | 0) == (i7 | 0)) {
     i30 = i22;
     i26 = 65;
     break;
    }
   }
   if ((i23 | 0) == (i5 | 0)) {
    i31 = i22;
    i32 = i11;
    i26 = 71;
    break;
   }
   if (i15 | (i23 | 0) != (i4 | 0)) {
    i33 = i22;
    i34 = i23;
    i26 = 106;
    break;
   } else {
    i10 = i22;
    i11 = 1;
   }
  }
  if ((i26 | 0) == 65) {
   i26 = 0;
   i11 = i1 + 1 | 0;
   i10 = get8(i1 >> 0 | 0) | 0;
   i15 = i10 & 255;
   if ((i10 & 255) > 191) {
    i10 = getU8(19818 + (i15 + -192) >> 0 | 0) | 0;
    i16 = getU8(i11 >> 0 | 0) | 0;
    if ((i16 & 192 | 0) == 128) {
     i17 = i11;
     i19 = i16;
     i16 = i10;
     while (1) {
      i18 = i17 + 1 | 0;
      i35 = i16 << 6 | i19 & 63;
      i19 = getU8(i18 >> 0 | 0) | 0;
      if ((i19 & 192 | 0) != 128) {
       i36 = i18;
       i37 = i35;
       break;
      } else {
       i17 = i18;
       i16 = i35;
      }
     }
    } else {
     i36 = i11;
     i37 = i10;
    }
    if ((i37 & -2 | 0) == 65534 | (i37 >>> 0 < 128 | (i37 & -2048 | 0) == 55296)) {
     i9 = i30;
     i1 = i36;
     i2 = 0;
     continue;
    } else {
     i38 = i36;
     i39 = i37;
    }
   } else {
    i38 = i11;
    i39 = i15;
   }
   if (!i39) {
    i40 = 0;
    i26 = 117;
    break;
   } else {
    i9 = i30;
    i1 = i38;
    i2 = 0;
    continue;
   }
  } else if ((i26 | 0) == 71) {
   i26 = 0;
   i16 = i1 + 1 | 0;
   i17 = get8(i1 >> 0 | 0) | 0;
   i19 = i17 & 255;
   if ((i17 & 255) > 191) {
    i17 = getU8(19818 + (i19 + -192) >> 0 | 0) | 0;
    i35 = getU8(i16 >> 0 | 0) | 0;
    if ((i35 & 192 | 0) == 128) {
     i18 = i16;
     i41 = i35;
     i35 = i17;
     while (1) {
      i42 = i18 + 1 | 0;
      i43 = i35 << 6 | i41 & 63;
      i41 = getU8(i42 >> 0 | 0) | 0;
      if ((i41 & 192 | 0) != 128) {
       i44 = i42;
       i45 = i43;
       break;
      } else {
       i18 = i42;
       i35 = i43;
      }
     }
    } else {
     i44 = i16;
     i45 = i17;
    }
    if ((i45 & -2 | 0) == 65534 | (i45 >>> 0 < 128 | (i45 & -2048 | 0) == 55296)) {
     i46 = i44;
     i47 = 65533;
    } else {
     i48 = i44;
     i49 = i45;
     i26 = 75;
    }
   } else {
    i48 = i16;
    i49 = i19;
    i26 = 75;
   }
   if ((i26 | 0) == 75) {
    i26 = 0;
    if (!i49) {
     i40 = 0;
     i26 = 117;
     break;
    } else {
     i46 = i48;
     i47 = i49;
    }
   }
   i35 = i31 + 1 | 0;
   i18 = get8(i31 >> 0 | 0) | 0;
   i41 = i18 & 255;
   if ((i18 & 255) > 191) {
    i18 = getU8(19818 + (i41 + -192) >> 0 | 0) | 0;
    i15 = getU8(i35 >> 0 | 0) | 0;
    if ((i15 & 192 | 0) == 128) {
     i11 = i35;
     i10 = i15;
     i15 = i18;
     while (1) {
      i43 = i11 + 1 | 0;
      i42 = i15 << 6 | i10 & 63;
      i10 = getU8(i43 >> 0 | 0) | 0;
      if ((i10 & 192 | 0) != 128) {
       i50 = i43;
       i51 = i42;
       break;
      } else {
       i11 = i43;
       i15 = i42;
      }
     }
    } else {
     i50 = i35;
     i51 = i18;
    }
    if ((i51 & -2 | 0) == 65534 | (i51 >>> 0 < 128 | (i51 & -2048 | 0) == 55296)) {
     i52 = i50;
     i53 = 65533;
     i54 = 0;
     i55 = 0;
    } else {
     i56 = i50;
     i57 = i51;
     i26 = 80;
    }
   } else {
    i56 = i35;
    i57 = i41;
    i26 = 80;
   }
   do if ((i26 | 0) == 80) {
    i26 = 0;
    if ((i57 | 0) == 94) {
     i15 = i56 + 1 | 0;
     i11 = get8(i56 >> 0 | 0) | 0;
     i10 = i11 & 255;
     if ((i11 & 255) > 191) {
      i11 = getU8(19818 + (i10 + -192) >> 0 | 0) | 0;
      i19 = getU8(i15 >> 0 | 0) | 0;
      if ((i19 & 192 | 0) == 128) {
       i16 = i15;
       i17 = i19;
       i19 = i11;
       while (1) {
        i42 = i16 + 1 | 0;
        i43 = i19 << 6 | i17 & 63;
        i17 = getU8(i42 >> 0 | 0) | 0;
        if ((i17 & 192 | 0) != 128) {
         i58 = i42;
         i59 = i43;
         break;
        } else {
         i16 = i42;
         i19 = i43;
        }
       }
      } else {
       i58 = i15;
       i59 = i11;
      }
      if ((i59 & -2 | 0) == 65534 | (i59 >>> 0 < 128 | (i59 & -2048 | 0) == 55296)) {
       i52 = i58;
       i53 = 65533;
       i54 = 1;
       i55 = 0;
       break;
      } else {
       i60 = i58;
       i61 = i59;
       i62 = 1;
      }
     } else {
      i60 = i15;
      i61 = i10;
      i62 = 1;
     }
    } else {
     i60 = i56;
     i61 = i57;
     i62 = 0;
    }
    if ((i61 | 0) == 93) {
     i19 = (i47 | 0) == 93 & 1;
     i16 = i60 + 1 | 0;
     i17 = get8(i60 >> 0 | 0) | 0;
     i14 = i17 & 255;
     if ((i17 & 255) > 191) {
      i17 = getU8(19818 + (i14 + -192) >> 0 | 0) | 0;
      i12 = getU8(i16 >> 0 | 0) | 0;
      if ((i12 & 192 | 0) == 128) {
       i13 = i16;
       i43 = i12;
       i12 = i17;
       while (1) {
        i42 = i13 + 1 | 0;
        i63 = i12 << 6 | i43 & 63;
        i43 = getU8(i42 >> 0 | 0) | 0;
        if ((i43 & 192 | 0) != 128) {
         i64 = i42;
         i65 = i63;
         break;
        } else {
         i13 = i42;
         i12 = i63;
        }
       }
      } else {
       i64 = i16;
       i65 = i17;
      }
      i52 = i64;
      i53 = (i65 & -2 | 0) == 65534 | (i65 >>> 0 < 128 | (i65 & -2048 | 0) == 55296) ? 65533 : i65;
      i54 = i62;
      i55 = i19;
     } else {
      i52 = i16;
      i53 = i14;
      i54 = i62;
      i55 = i19;
     }
    } else {
     i52 = i60;
     i53 = i61;
     i54 = i62;
     i55 = 0;
    }
   } while (0);
   i41 = i52;
   i35 = i53;
   i18 = 0;
   i12 = i55;
   L68 : while (1) {
    switch (i35 | 0) {
    case 0:
     {
      i40 = 0;
      i26 = 117;
      break L1;
      break;
     }
    case 93:
     {
      i66 = i41;
      i67 = i12;
      break L68;
      break;
     }
    case 45:
     {
      i13 = get8(i41 >> 0 | 0) | 0;
      if (i13 << 24 >> 24 != 93 ? (i18 | 0) != 0 & i13 << 24 >> 24 != 0 : 0) {
       i43 = i41 + 1 | 0;
       i10 = i13 & 255;
       if ((i13 & 255) > 191) {
        i13 = getU8(19818 + (i10 + -192) >> 0 | 0) | 0;
        i15 = getU8(i43 >> 0 | 0) | 0;
        if ((i15 & 192 | 0) == 128) {
         i11 = i43;
         i63 = i15;
         i15 = i13;
         while (1) {
          i42 = i11 + 1 | 0;
          i68 = i15 << 6 | i63 & 63;
          i63 = getU8(i42 >> 0 | 0) | 0;
          if ((i63 & 192 | 0) != 128) {
           i69 = i42;
           i70 = i68;
           break;
          } else {
           i11 = i42;
           i15 = i68;
          }
         }
        } else {
         i69 = i43;
         i70 = i13;
        }
        i71 = i69;
        i72 = (i70 & -2 | 0) == 65534 | (i70 >>> 0 < 128 | (i70 & -2048 | 0) == 55296) ? 65533 : i70;
       } else {
        i71 = i43;
        i72 = i10;
       }
       i73 = i71;
       i74 = 0;
       i75 = i47 >>> 0 < i18 >>> 0 | i47 >>> 0 > i72 >>> 0 ? i12 : 1;
      } else i26 = 99;
      break;
     }
    default:
     i26 = 99;
    }
    if ((i26 | 0) == 99) {
     i26 = 0;
     i73 = i41;
     i74 = i35;
     i75 = (i47 | 0) == (i35 | 0) ? 1 : i12;
    }
    i15 = i73 + 1 | 0;
    i11 = get8(i73 >> 0 | 0) | 0;
    i63 = i11 & 255;
    if ((i11 & 255) <= 191) {
     i41 = i15;
     i35 = i63;
     i18 = i74;
     i12 = i75;
     continue;
    }
    i11 = getU8(19818 + (i63 + -192) >> 0 | 0) | 0;
    i63 = getU8(i15 >> 0 | 0) | 0;
    if ((i63 & 192 | 0) == 128) {
     i19 = i15;
     i14 = i63;
     i63 = i11;
     while (1) {
      i16 = i19 + 1 | 0;
      i17 = i63 << 6 | i14 & 63;
      i14 = getU8(i16 >> 0 | 0) | 0;
      if ((i14 & 192 | 0) != 128) {
       i76 = i16;
       i77 = i17;
       break;
      } else {
       i19 = i16;
       i63 = i17;
      }
     }
    } else {
     i76 = i15;
     i77 = i11;
    }
    i41 = i76;
    i35 = (i77 & -2 | 0) == 65534 | (i77 >>> 0 < 128 | (i77 & -2048 | 0) == 55296) ? 65533 : i77;
    i18 = i74;
    i12 = i75;
   }
   if ((i67 | 0) == (i54 | 0)) {
    i40 = 0;
    i26 = 117;
    break;
   } else {
    i9 = i66;
    i1 = i46;
    i2 = i32;
    continue;
   }
  } else if ((i26 | 0) == 106) {
   i26 = 0;
   i12 = i1 + 1 | 0;
   i18 = get8(i1 >> 0 | 0) | 0;
   i35 = i18 & 255;
   if ((i18 & 255) > 191) {
    i18 = getU8(19818 + (i35 + -192) >> 0 | 0) | 0;
    i41 = getU8(i12 >> 0 | 0) | 0;
    if ((i41 & 192 | 0) == 128) {
     i63 = i12;
     i19 = i41;
     i41 = i18;
     while (1) {
      i14 = i63 + 1 | 0;
      i10 = i41 << 6 | i19 & 63;
      i19 = getU8(i14 >> 0 | 0) | 0;
      if ((i19 & 192 | 0) != 128) {
       i78 = i14;
       i79 = i10;
       break;
      } else {
       i63 = i14;
       i41 = i10;
      }
     }
    } else {
     i78 = i12;
     i79 = i18;
    }
    i80 = i78;
    i81 = (i79 & -2 | 0) == 65534 | (i79 >>> 0 < 128 | (i79 & -2048 | 0) == 55296) ? 65533 : i79;
   } else {
    i80 = i12;
    i81 = i35;
   }
   if (!i8) {
    if (i34 >>> 0 > 127) i82 = i34; else i82 = getU8(16286 + i34 >> 0 | 0) | 0;
    if (i81 >>> 0 > 127) {
     i83 = i82;
     i84 = i81;
    } else {
     i83 = i82;
     i84 = getU8(16286 + i81 >> 0 | 0) | 0;
    }
   } else {
    i83 = i34;
    i84 = i81;
   }
   if ((i83 | 0) == (i84 | 0)) {
    i9 = i33;
    i1 = i80;
    i2 = 0;
    continue;
   } else {
    i40 = 0;
    i26 = 117;
    break;
   }
  }
 }
 if ((i26 | 0) == 10) {
  L103 : while (1) {
   i26 = 0;
   i2 = i28;
   while (1) {
    i80 = i2 + 1 | 0;
    i1 = get8(i2 >> 0 | 0) | 0;
    i33 = i1 & 255;
    if ((i1 & 255) > 191) {
     i1 = getU8(19818 + (i33 + -192) >> 0 | 0) | 0;
     i9 = getU8(i80 >> 0 | 0) | 0;
     if ((i9 & 192 | 0) == 128) {
      i84 = i80;
      i83 = i9;
      i9 = i1;
      while (1) {
       i81 = i84 + 1 | 0;
       i34 = i9 << 6 | i83 & 63;
       i83 = getU8(i81 >> 0 | 0) | 0;
       if ((i83 & 192 | 0) != 128) {
        i85 = i81;
        i86 = i34;
        break;
       } else {
        i84 = i81;
        i9 = i34;
       }
      }
     } else {
      i85 = i80;
      i86 = i1;
     }
     i87 = i85;
     i88 = (i86 & -2 | 0) == 65534 | (i86 >>> 0 < 128 | (i86 & -2048 | 0) == 55296) ? 65533 : i86;
    } else {
     i87 = i80;
     i88 = i33;
    }
    i9 = (i88 | 0) == (i7 | 0);
    if (!((i88 | 0) == (i6 | 0) | i9)) {
     i89 = i87;
     i90 = i29;
     i91 = i88;
     break L103;
    }
    if (i9) {
     i92 = i87;
     break;
    } else i2 = i87;
   }
   i2 = i29 + 1 | 0;
   i35 = get8(i29 >> 0 | 0) | 0;
   i12 = i35 & 255;
   if ((i35 & 255) > 191) {
    i35 = getU8(19818 + (i12 + -192) >> 0 | 0) | 0;
    i18 = getU8(i2 >> 0 | 0) | 0;
    if ((i18 & 192 | 0) == 128) {
     i9 = i2;
     i84 = i18;
     i18 = i35;
     while (1) {
      i83 = i9 + 1 | 0;
      i11 = i18 << 6 | i84 & 63;
      i84 = getU8(i83 >> 0 | 0) | 0;
      if ((i84 & 192 | 0) != 128) {
       i93 = i83;
       i94 = i11;
       break;
      } else {
       i9 = i83;
       i18 = i11;
      }
     }
    } else {
     i93 = i2;
     i94 = i35;
    }
    if ((i94 & -2 | 0) == 65534 | (i94 >>> 0 < 128 | (i94 & -2048 | 0) == 55296)) {
     i28 = i92;
     i29 = i93;
     i26 = 10;
     continue;
    } else {
     i95 = i93;
     i96 = i94;
    }
   } else {
    i95 = i2;
    i96 = i12;
   }
   if (!i96) {
    i40 = 0;
    i26 = 117;
    break;
   } else {
    i28 = i92;
    i29 = i95;
    i26 = 10;
   }
  }
  if ((i26 | 0) == 117) return i40 | 0;
  if (!i91) {
   i40 = 1;
   return i40 | 0;
  }
  do if ((i91 | 0) == (i4 | 0)) {
   i95 = i89 + 1 | 0;
   i29 = get8(i89 >> 0 | 0) | 0;
   i92 = i29 & 255;
   if ((i29 & 255) > 191) {
    i29 = getU8(19818 + (i92 + -192) >> 0 | 0) | 0;
    i28 = getU8(i95 >> 0 | 0) | 0;
    if ((i28 & 192 | 0) == 128) {
     i96 = i95;
     i94 = i28;
     i28 = i29;
     while (1) {
      i93 = i96 + 1 | 0;
      i87 = i28 << 6 | i94 & 63;
      i94 = getU8(i93 >> 0 | 0) | 0;
      if ((i94 & 192 | 0) != 128) {
       i97 = i93;
       i98 = i87;
       break;
      } else {
       i96 = i93;
       i28 = i87;
      }
     }
    } else {
     i97 = i95;
     i98 = i29;
    }
    if ((i98 & -2 | 0) == 65534 | (i98 >>> 0 < 128 | (i98 & -2048 | 0) == 55296)) {
     i99 = i97;
     i100 = 65533;
     break;
    } else {
     i101 = i97;
     i102 = i98;
    }
   } else {
    i101 = i95;
    i102 = i92;
   }
   if (!i102) {
    i40 = 0;
    return i40 | 0;
   } else {
    i99 = i101;
    i100 = i102;
   }
  } else if ((i91 | 0) == (i5 | 0)) {
   i28 = i89 + -1 | 0;
   i96 = get8(i90 >> 0 | 0) | 0;
   L141 : do if (!(i96 << 24 >> 24)) i103 = 0; else {
    i94 = i90;
    i12 = i96;
    while (1) {
     if (_patternCompare(i28, i94, i3, i4) | 0) {
      i103 = i12;
      break L141;
     }
     i2 = i94 + 1 | 0;
     if ((i12 & 255) > 191) {
      i35 = i2;
      while (1) {
       i87 = get8(i35 >> 0 | 0) | 0;
       if ((i87 & -64) << 24 >> 24 == -128) i35 = i35 + 1 | 0; else {
        i104 = i35;
        i105 = i87;
        break;
       }
      }
     } else {
      i104 = i2;
      i105 = get8(i2 >> 0 | 0) | 0;
     }
     if (!(i105 << 24 >> 24)) {
      i103 = 0;
      break;
     } else {
      i94 = i104;
      i12 = i105;
     }
    }
   } while (0);
   i40 = i103 << 24 >> 24 != 0 & 1;
   return i40 | 0;
  } else {
   i99 = i89;
   i100 = i91;
  } while (0);
  i91 = i90;
  i90 = i100;
  while (1) {
   i100 = i91 + 1 | 0;
   i89 = get8(i91 >> 0 | 0) | 0;
   i103 = i89 & 255;
   if ((i89 & 255) > 191) {
    i89 = getU8(19818 + (i103 + -192) >> 0 | 0) | 0;
    i105 = getU8(i100 >> 0 | 0) | 0;
    if ((i105 & 192 | 0) == 128) {
     i104 = i100;
     i5 = i105;
     i105 = i89;
     while (1) {
      i102 = i104 + 1 | 0;
      i101 = i105 << 6 | i5 & 63;
      i5 = getU8(i102 >> 0 | 0) | 0;
      if ((i5 & 192 | 0) != 128) {
       i106 = i102;
       i107 = i101;
       break;
      } else {
       i104 = i102;
       i105 = i101;
      }
     }
    } else {
     i106 = i100;
     i107 = i89;
    }
    if ((i107 & -2 | 0) == 65534 | (i107 >>> 0 < 128 | (i107 & -2048 | 0) == 55296)) {
     i108 = i106;
     i109 = 65533;
    } else {
     i110 = i106;
     i111 = i107;
     i26 = 42;
    }
   } else {
    i110 = i100;
    i111 = i103;
    i26 = 42;
   }
   if ((i26 | 0) == 42) {
    i26 = 0;
    if (!i111) {
     i40 = 0;
     i26 = 117;
     break;
    } else {
     i108 = i110;
     i109 = i111;
    }
   }
   if (i8) if ((i109 | 0) == (i90 | 0)) {
    i112 = i108;
    i113 = i90;
   } else {
    i105 = i108;
    while (1) {
     i104 = i105 + 1 | 0;
     i5 = get8(i105 >> 0 | 0) | 0;
     i101 = i5 & 255;
     if ((i5 & 255) > 191) {
      i5 = getU8(19818 + (i101 + -192) >> 0 | 0) | 0;
      i102 = getU8(i104 >> 0 | 0) | 0;
      if ((i102 & 192 | 0) == 128) {
       i98 = i104;
       i97 = i102;
       i102 = i5;
       while (1) {
        i28 = i98 + 1 | 0;
        i96 = i102 << 6 | i97 & 63;
        i97 = getU8(i28 >> 0 | 0) | 0;
        if ((i97 & 192 | 0) != 128) {
         i114 = i28;
         i115 = i96;
         break;
        } else {
         i98 = i28;
         i102 = i96;
        }
       }
      } else {
       i114 = i104;
       i115 = i5;
      }
      i116 = i114;
      i117 = (i115 & -2 | 0) == 65534 | (i115 >>> 0 < 128 | (i115 & -2048 | 0) == 55296) ? 65533 : i115;
     } else {
      i116 = i104;
      i117 = i101;
     }
     if ((i117 | 0) == 0 | (i117 | 0) == (i90 | 0)) {
      i118 = i116;
      i119 = i90;
      i120 = i117;
      i26 = 62;
      break;
     } else i105 = i116;
    }
   } else {
    if (i109 >>> 0 > 127) i121 = i109; else i121 = getU8(16286 + i109 >> 0 | 0) | 0;
    if (i90 >>> 0 > 127) i122 = i90; else i122 = getU8(16286 + i90 >> 0 | 0) | 0;
    if ((i121 | 0) == 0 | (i121 | 0) == (i122 | 0)) {
     i118 = i108;
     i119 = i122;
     i120 = i121;
     i26 = 62;
    } else {
     i105 = i108;
     while (1) {
      i103 = i105 + 1 | 0;
      i100 = get8(i105 >> 0 | 0) | 0;
      i89 = i100 & 255;
      if ((i100 & 255) > 191) {
       i100 = getU8(19818 + (i89 + -192) >> 0 | 0) | 0;
       i102 = getU8(i103 >> 0 | 0) | 0;
       if ((i102 & 192 | 0) == 128) {
        i98 = i103;
        i97 = i102;
        i102 = i100;
        while (1) {
         i96 = i98 + 1 | 0;
         i28 = i102 << 6 | i97 & 63;
         i97 = getU8(i96 >> 0 | 0) | 0;
         if ((i97 & 192 | 0) != 128) {
          i123 = i96;
          i124 = i28;
          break;
         } else {
          i98 = i96;
          i102 = i28;
         }
        }
       } else {
        i123 = i103;
        i124 = i100;
       }
       if ((i124 & -2 | 0) == 65534 | (i124 >>> 0 < 128 | (i124 & -2048 | 0) == 55296)) {
        i125 = i123;
        i126 = 65533;
       } else {
        i127 = i123;
        i128 = i124;
        i26 = 54;
       }
      } else {
       i127 = i103;
       i128 = i89;
       i26 = 54;
      }
      if ((i26 | 0) == 54) {
       i26 = 0;
       if (i128 >>> 0 > 127) {
        i125 = i127;
        i126 = i128;
       } else {
        i125 = i127;
        i126 = getU8(16286 + i128 >> 0 | 0) | 0;
       }
      }
      if ((i126 | 0) == 0 | (i126 | 0) == (i122 | 0)) {
       i118 = i125;
       i119 = i122;
       i120 = i126;
       i26 = 62;
       break;
      } else i105 = i125;
     }
    }
   }
   if ((i26 | 0) == 62) {
    i26 = 0;
    if (!i120) {
     i40 = 0;
     i26 = 117;
     break;
    } else {
     i112 = i118;
     i113 = i119;
    }
   }
   if (!(_patternCompare(i99, i112, i3, i4) | 0)) {
    i91 = i112;
    i90 = i113;
   } else {
    i40 = 1;
    i26 = 117;
    break;
   }
  }
  if ((i26 | 0) == 117) return i40 | 0;
 } else if ((i26 | 0) == 116) {
  i40 = (get8(i27 >> 0 | 0) | 0) == 0 & 1;
  return i40 | 0;
 } else if ((i26 | 0) == 117) return i40 | 0;
 return 0;
}

function _sqlite3ExprIfTrue(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0;
 i5 = i1 + 12 | 0;
 i6 = get32(i5 | 0) | 0;
 if ((i2 | 0) == 0 | (i6 | 0) == 0) return; else {
  i7 = i6;
  i8 = i2;
 }
 L3 : while (1) {
  i2 = get8(i8 >> 0 | 0) | 0;
  i6 = i2 & 255;
  switch (i6 | 0) {
  case 69:
   {
    i9 = i7;
    i10 = i8;
    i11 = 3;
    break L3;
    break;
   }
  case 19:
   {
    i12 = i8;
    i11 = 27;
    break L3;
    break;
   }
  case 76:
  case 75:
  case 80:
  case 77:
  case 78:
  case 79:
   {
    i13 = i6;
    i14 = i8;
    i11 = 28;
    break L3;
    break;
   }
  case 146:
  case 70:
   {
    i15 = i2;
    i16 = i8;
    i11 = 66;
    break L3;
    break;
   }
  case 74:
  case 73:
   {
    i17 = i7;
    i18 = i2;
    i19 = i8;
    i11 = 104;
    break L3;
    break;
   }
  case 71:
   {
    i20 = i8;
    i11 = 132;
    break L3;
    break;
   }
  case 72:
   {
    i21 = i7;
    i22 = i8;
    i11 = 133;
    break L3;
    break;
   }
  case 68:
   break;
  default:
   {
    i23 = i7;
    i24 = i8;
    i11 = 157;
    break L3;
   }
  }
  _sqlite3ExprIfTrue(i1, get32(i8 + 8 | 0) | 0, i3, i4);
  i8 = get32(i8 + 12 | 0) | 0;
  i7 = get32(i5 | 0) | 0;
  if ((i8 | 0) == 0 | (i7 | 0) == 0) {
   i11 = 213;
   break;
  }
 }
 do if ((i11 | 0) == 3) {
  i7 = i9 + 36 | 0;
  i8 = get32(i7 | 0) | 0;
  set32(i7 | 0, i8 + 1 | 0);
  i7 = i9 + 40 | 0;
  i5 = get32(i7 | 0) | 0;
  if ((i8 | 0) < (i5 | 0)) i25 = i9 + 44 | 0; else {
   i2 = get32(i9 | 0) | 0;
   i6 = i9 + 44 | 0;
   i26 = get32(i6 | 0) | 0;
   i27 = _sqlite3DbRealloc(i2, i26, (i5 << 3) + 20 | 0) | 0;
   if (i27) {
    set32(i6 | 0, i27 | 0);
    i5 = get32(i9 | 0) | 0;
    if (((i5 | 0) != 0 ? (get32(i5 + 260 | 0) | 0) >>> 0 <= i27 >>> 0 : 0) ? (get32(i5 + 264 | 0) | 0) >>> 0 > i27 >>> 0 : 0) i28 = getU16(i5 + 232 | 0) | 0; else i11 = 11;
   } else {
    _sqlite3DbFree(i2, i26);
    set32(i6 | 0, 0 | 0);
    i11 = 11;
   }
   if ((i11 | 0) == 11) i28 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i27) | 0;
   set32(i7 | 0, i28 >>> 2 | 0);
   i25 = i6;
  }
  i6 = get32(i25 | 0) | 0;
  if (i6) set32(i6 + (i8 << 2) | 0, -1 | 0);
  i6 = i1 + 84 | 0;
  set32(i6 | 0, (get32(i6 | 0) | 0) + 1 | 0);
  _sqlite3ExprIfFalse(i1, get32(i10 + 8 | 0) | 0, ~i8, i4 ^ 8);
  _sqlite3ExprIfTrue(i1, get32(i10 + 12 | 0) | 0, i3, i4);
  i7 = get32(i9 + 44 | 0) | 0;
  if (i7) set32(i7 + (i8 << 2) | 0, get32(i9 + 28 | 0) | 0);
  set32(i6 | 0, (get32(i6 | 0) | 0) + -1 | 0);
  i8 = i1 + 21 | 0;
  i7 = 0;
  i27 = i1 + 96 | 0;
  while (1) {
   i26 = i27 + 16 | 0;
   i2 = get32(i26 | 0) | 0;
   if ((i2 | 0) != 0 ? (get32(i27 + 12 | 0) | 0) > (get32(i6 | 0) | 0) : 0) {
    i5 = i27 + 8 | 0;
    if (get8(i5 >> 0 | 0) | 0) {
     i29 = get8(i8 >> 0 | 0) | 0;
     if ((i29 & 255) < 8) {
      set8(i8 >> 0 | 0, i29 + 1 << 24 >> 24 | 0);
      set32(i1 + 24 + ((i29 & 255) << 2) | 0, i2 | 0);
     }
     set8(i5 >> 0 | 0, 0 | 0);
    }
    set32(i26 | 0, 0 | 0);
   }
   i7 = i7 + 1 | 0;
   if ((i7 | 0) == 10) break; else i27 = i27 + 24 | 0;
  }
  return;
 } else if ((i11 | 0) == 27) {
  _sqlite3ExprIfFalse(i1, get32(i12 + 8 | 0) | 0, i3, i4);
  return;
 } else if ((i11 | 0) == 28) {
  i27 = i14 + 8 | 0;
  i7 = get32(i27 | 0) | 0;
  i8 = i1 + 21 | 0;
  i6 = get8(i8 >> 0 | 0) | 0;
  if (!(i6 << 24 >> 24)) {
   i26 = i1 + 72 | 0;
   i5 = (get32(i26 | 0) | 0) + 1 | 0;
   set32(i26 | 0, i5 | 0);
   i30 = i5;
  } else {
   i5 = i6 + -1 << 24 >> 24;
   set8(i8 >> 0 | 0, i5 | 0);
   i30 = get32(i1 + 24 + ((i5 & 255) << 2) | 0) | 0;
  }
  i5 = _sqlite3ExprCodeTarget(i1, i7, i30) | 0;
  do if ((i5 | 0) != (i30 | 0)) if (!i30) {
   i31 = 0;
   i11 = 47;
  } else {
   i7 = get8(i8 >> 0 | 0) | 0;
   if ((i7 & 255) >= 8) {
    i6 = i14 + 12 | 0;
    i32 = i7;
    i33 = get32(i6 | 0) | 0;
    i34 = i6;
    i35 = 0;
    i11 = 49;
    break;
   }
   if ((get32(i1 + 112 | 0) | 0) != (i30 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i30 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i30 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i30 | 0)) if ((get32(i1 + 208 | 0) | 0) != (i30 | 0)) if ((get32(i1 + 232 | 0) | 0) != (i30 | 0)) if ((get32(i1 + 256 | 0) | 0) != (i30 | 0)) if ((get32(i1 + 280 | 0) | 0) != (i30 | 0)) if ((get32(i1 + 304 | 0) | 0) != (i30 | 0)) if ((get32(i1 + 328 | 0) | 0) == (i30 | 0)) i36 = i1 + 312 | 0; else {
    set8(i8 >> 0 | 0, i7 + 1 << 24 >> 24 | 0);
    set32(i1 + 24 + ((i7 & 255) << 2) | 0, i30 | 0);
    i31 = 0;
    i11 = 47;
    break;
   } else i36 = i1 + 288 | 0; else i36 = i1 + 264 | 0; else i36 = i1 + 240 | 0; else i36 = i1 + 216 | 0; else i36 = i1 + 192 | 0; else i36 = i1 + 168 | 0; else i36 = i1 + 144 | 0; else i36 = i1 + 120 | 0; else i36 = i1 + 96 | 0;
   set8(i36 + 8 >> 0 | 0, 1 | 0);
   i31 = 0;
   i11 = 47;
  } else {
   i31 = i30;
   i11 = 47;
  } while (0);
  if ((i11 | 0) == 47) {
   i7 = get8(i8 >> 0 | 0) | 0;
   i6 = i14 + 12 | 0;
   i26 = get32(i6 | 0) | 0;
   if (!(i7 << 24 >> 24)) {
    i2 = i1 + 72 | 0;
    i29 = (get32(i2 | 0) | 0) + 1 | 0;
    set32(i2 | 0, i29 | 0);
    i37 = i29;
    i38 = i26;
    i39 = i6;
    i40 = i31;
   } else {
    i32 = i7;
    i33 = i26;
    i34 = i6;
    i35 = i31;
    i11 = 49;
   }
  }
  if ((i11 | 0) == 49) {
   i6 = i32 + -1 << 24 >> 24;
   set8(i8 >> 0 | 0, i6 | 0);
   i37 = get32(i1 + 24 + ((i6 & 255) << 2) | 0) | 0;
   i38 = i33;
   i39 = i34;
   i40 = i35;
  }
  i6 = _sqlite3ExprCodeTarget(i1, i38, i37) | 0;
  do if ((i6 | 0) != (i37 | 0)) if ((i37 | 0) != 0 ? (i26 = get8(i8 >> 0 | 0) | 0, (i26 & 255) < 8) : 0) {
   if ((get32(i1 + 112 | 0) | 0) != (i37 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i37 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i37 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i37 | 0)) if ((get32(i1 + 208 | 0) | 0) != (i37 | 0)) if ((get32(i1 + 232 | 0) | 0) != (i37 | 0)) if ((get32(i1 + 256 | 0) | 0) != (i37 | 0)) if ((get32(i1 + 280 | 0) | 0) != (i37 | 0)) if ((get32(i1 + 304 | 0) | 0) != (i37 | 0)) if ((get32(i1 + 328 | 0) | 0) == (i37 | 0)) i41 = i1 + 312 | 0; else {
    set8(i8 >> 0 | 0, i26 + 1 << 24 >> 24 | 0);
    set32(i1 + 24 + ((i26 & 255) << 2) | 0, i37 | 0);
    i42 = 0;
    break;
   } else i41 = i1 + 288 | 0; else i41 = i1 + 264 | 0; else i41 = i1 + 240 | 0; else i41 = i1 + 216 | 0; else i41 = i1 + 192 | 0; else i41 = i1 + 168 | 0; else i41 = i1 + 144 | 0; else i41 = i1 + 120 | 0; else i41 = i1 + 96 | 0;
   set8(i41 + 8 >> 0 | 0, 1 | 0);
   i42 = 0;
  } else i42 = 0; else i42 = i37; while (0);
  _codeCompare(i1, get32(i27 | 0) | 0, get32(i39 | 0) | 0, i13, i5, i6, i3, i4);
  i43 = i40;
  i44 = i42;
 } else if ((i11 | 0) == 66) {
  i8 = i16 + 8 | 0;
  i26 = get32(i8 | 0) | 0;
  i7 = i1 + 21 | 0;
  i29 = get8(i7 >> 0 | 0) | 0;
  if (!(i29 << 24 >> 24)) {
   i2 = i1 + 72 | 0;
   i45 = (get32(i2 | 0) | 0) + 1 | 0;
   set32(i2 | 0, i45 | 0);
   i46 = i45;
  } else {
   i45 = i29 + -1 << 24 >> 24;
   set8(i7 >> 0 | 0, i45 | 0);
   i46 = get32(i1 + 24 + ((i45 & 255) << 2) | 0) | 0;
  }
  i45 = _sqlite3ExprCodeTarget(i1, i26, i46) | 0;
  do if ((i45 | 0) != (i46 | 0)) if (!i46) {
   i47 = 0;
   i11 = 85;
  } else {
   i26 = get8(i7 >> 0 | 0) | 0;
   if ((i26 & 255) >= 8) {
    i29 = i16 + 12 | 0;
    i48 = i26;
    i49 = get32(i29 | 0) | 0;
    i50 = i29;
    i51 = 0;
    i11 = 87;
    break;
   }
   if ((get32(i1 + 112 | 0) | 0) != (i46 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i46 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i46 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i46 | 0)) if ((get32(i1 + 208 | 0) | 0) != (i46 | 0)) if ((get32(i1 + 232 | 0) | 0) != (i46 | 0)) if ((get32(i1 + 256 | 0) | 0) != (i46 | 0)) if ((get32(i1 + 280 | 0) | 0) != (i46 | 0)) if ((get32(i1 + 304 | 0) | 0) != (i46 | 0)) if ((get32(i1 + 328 | 0) | 0) == (i46 | 0)) i52 = i1 + 312 | 0; else {
    set8(i7 >> 0 | 0, i26 + 1 << 24 >> 24 | 0);
    set32(i1 + 24 + ((i26 & 255) << 2) | 0, i46 | 0);
    i47 = 0;
    i11 = 85;
    break;
   } else i52 = i1 + 288 | 0; else i52 = i1 + 264 | 0; else i52 = i1 + 240 | 0; else i52 = i1 + 216 | 0; else i52 = i1 + 192 | 0; else i52 = i1 + 168 | 0; else i52 = i1 + 144 | 0; else i52 = i1 + 120 | 0; else i52 = i1 + 96 | 0;
   set8(i52 + 8 >> 0 | 0, 1 | 0);
   i47 = 0;
   i11 = 85;
  } else {
   i47 = i46;
   i11 = 85;
  } while (0);
  if ((i11 | 0) == 85) {
   i6 = get8(i7 >> 0 | 0) | 0;
   i5 = i16 + 12 | 0;
   i27 = get32(i5 | 0) | 0;
   if (!(i6 << 24 >> 24)) {
    i26 = i1 + 72 | 0;
    i29 = (get32(i26 | 0) | 0) + 1 | 0;
    set32(i26 | 0, i29 | 0);
    i53 = i29;
    i54 = i27;
    i55 = i5;
    i56 = i47;
   } else {
    i48 = i6;
    i49 = i27;
    i50 = i5;
    i51 = i47;
    i11 = 87;
   }
  }
  if ((i11 | 0) == 87) {
   i5 = i48 + -1 << 24 >> 24;
   set8(i7 >> 0 | 0, i5 | 0);
   i53 = get32(i1 + 24 + ((i5 & 255) << 2) | 0) | 0;
   i54 = i49;
   i55 = i50;
   i56 = i51;
  }
  i5 = _sqlite3ExprCodeTarget(i1, i54, i53) | 0;
  do if ((i5 | 0) != (i53 | 0)) if ((i53 | 0) != 0 ? (i27 = get8(i7 >> 0 | 0) | 0, (i27 & 255) < 8) : 0) {
   if ((get32(i1 + 112 | 0) | 0) != (i53 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i53 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i53 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i53 | 0)) if ((get32(i1 + 208 | 0) | 0) != (i53 | 0)) if ((get32(i1 + 232 | 0) | 0) != (i53 | 0)) if ((get32(i1 + 256 | 0) | 0) != (i53 | 0)) if ((get32(i1 + 280 | 0) | 0) != (i53 | 0)) if ((get32(i1 + 304 | 0) | 0) != (i53 | 0)) if ((get32(i1 + 328 | 0) | 0) == (i53 | 0)) i57 = i1 + 312 | 0; else {
    set8(i7 >> 0 | 0, i27 + 1 << 24 >> 24 | 0);
    set32(i1 + 24 + ((i27 & 255) << 2) | 0, i53 | 0);
    i58 = 0;
    break;
   } else i57 = i1 + 288 | 0; else i57 = i1 + 264 | 0; else i57 = i1 + 240 | 0; else i57 = i1 + 216 | 0; else i57 = i1 + 192 | 0; else i57 = i1 + 168 | 0; else i57 = i1 + 144 | 0; else i57 = i1 + 120 | 0; else i57 = i1 + 96 | 0;
   set8(i57 + 8 >> 0 | 0, 1 | 0);
   i58 = 0;
  } else i58 = 0; else i58 = i53; while (0);
  _codeCompare(i1, get32(i8 | 0) | 0, get32(i55 | 0) | 0, i15 << 24 >> 24 == 70 ? 76 : 75, i45, i5, i3, 128);
  i43 = i56;
  i44 = i58;
 } else if ((i11 | 0) == 104) {
  i7 = get32(i19 + 8 | 0) | 0;
  i27 = i1 + 21 | 0;
  i6 = get8(i27 >> 0 | 0) | 0;
  if (!(i6 << 24 >> 24)) {
   i29 = i1 + 72 | 0;
   i26 = (get32(i29 | 0) | 0) + 1 | 0;
   set32(i29 | 0, i26 | 0);
   i59 = i26;
  } else {
   i26 = i6 + -1 << 24 >> 24;
   set8(i27 >> 0 | 0, i26 | 0);
   i59 = get32(i1 + 24 + ((i26 & 255) << 2) | 0) | 0;
  }
  i26 = _sqlite3ExprCodeTarget(i1, i7, i59) | 0;
  do if ((i26 | 0) != (i59 | 0)) if ((i59 | 0) != 0 ? (i7 = get8(i27 >> 0 | 0) | 0, (i7 & 255) < 8) : 0) {
   if ((get32(i1 + 112 | 0) | 0) != (i59 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i59 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i59 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i59 | 0)) if ((get32(i1 + 208 | 0) | 0) != (i59 | 0)) if ((get32(i1 + 232 | 0) | 0) != (i59 | 0)) if ((get32(i1 + 256 | 0) | 0) != (i59 | 0)) if ((get32(i1 + 280 | 0) | 0) != (i59 | 0)) if ((get32(i1 + 304 | 0) | 0) != (i59 | 0)) if ((get32(i1 + 328 | 0) | 0) == (i59 | 0)) i60 = i1 + 312 | 0; else {
    set8(i27 >> 0 | 0, i7 + 1 << 24 >> 24 | 0);
    set32(i1 + 24 + ((i7 & 255) << 2) | 0, i59 | 0);
    i61 = 0;
    break;
   } else i60 = i1 + 288 | 0; else i60 = i1 + 264 | 0; else i60 = i1 + 240 | 0; else i60 = i1 + 216 | 0; else i60 = i1 + 192 | 0; else i60 = i1 + 168 | 0; else i60 = i1 + 144 | 0; else i60 = i1 + 120 | 0; else i60 = i1 + 96 | 0;
   set8(i60 + 8 >> 0 | 0, 1 | 0);
   i61 = 0;
  } else i61 = 0; else i61 = i59; while (0);
  i27 = i17 + 28 | 0;
  i5 = get32(i27 | 0) | 0;
  i45 = i17 + 32 | 0;
  i8 = get32(i45 | 0) | 0;
  if ((i8 | 0) > (i5 | 0)) {
   i62 = i5;
   i63 = get32(i17 + 4 | 0) | 0;
  } else {
   i7 = i17 + 4 | 0;
   i6 = _sqlite3DbRealloc(get32(i17 | 0) | 0, get32(i7 | 0) | 0, (i8 | 0) == 0 ? 1020 : i8 * 40 | 0) | 0;
   if (!i6) {
    i43 = i61;
    i44 = 0;
    break;
   }
   i8 = get32(i17 | 0) | 0;
   if (((i8 | 0) != 0 ? (get32(i8 + 260 | 0) | 0) >>> 0 <= i6 >>> 0 : 0) ? (get32(i8 + 264 | 0) | 0) >>> 0 > i6 >>> 0 : 0) i64 = getU16(i8 + 232 | 0) | 0; else i64 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i6) | 0;
   set32(i45 | 0, (i64 >>> 0) / 20 | 0 | 0);
   set32(i7 | 0, i6 | 0);
   i62 = get32(i27 | 0) | 0;
   i63 = i6;
  }
  set32(i27 | 0, i62 + 1 | 0);
  set8(i63 + (i5 * 20 | 0) >> 0 | 0, i18 | 0);
  set8(i63 + (i5 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i63 + (i5 * 20 | 0) + 4 | 0, i26 | 0);
  set32(i63 + (i5 * 20 | 0) + 8 | 0, i3 | 0);
  set32(i63 + (i5 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i63 + (i5 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i63 + (i5 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i43 = i61;
  i44 = 0;
 } else if ((i11 | 0) == 132) {
  _exprCodeBetween(i1, i20, i3, 1, i4);
  return;
 } else if ((i11 | 0) == 133) {
  i5 = i21 + 36 | 0;
  i27 = get32(i5 | 0) | 0;
  set32(i5 | 0, i27 + 1 | 0);
  i5 = i21 + 40 | 0;
  i6 = get32(i5 | 0) | 0;
  if ((i27 | 0) < (i6 | 0)) i65 = i21 + 44 | 0; else {
   i7 = get32(i21 | 0) | 0;
   i45 = i21 + 44 | 0;
   i8 = get32(i45 | 0) | 0;
   i29 = _sqlite3DbRealloc(i7, i8, (i6 << 3) + 20 | 0) | 0;
   if (i29) {
    set32(i45 | 0, i29 | 0);
    i6 = get32(i21 | 0) | 0;
    if (((i6 | 0) != 0 ? (get32(i6 + 260 | 0) | 0) >>> 0 <= i29 >>> 0 : 0) ? (get32(i6 + 264 | 0) | 0) >>> 0 > i29 >>> 0 : 0) i66 = getU16(i6 + 232 | 0) | 0; else i11 = 141;
   } else {
    _sqlite3DbFree(i7, i8);
    set32(i45 | 0, 0 | 0);
    i11 = 141;
   }
   if ((i11 | 0) == 141) i66 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i29) | 0;
   set32(i5 | 0, i66 >>> 2 | 0);
   i65 = i45;
  }
  i45 = get32(i65 | 0) | 0;
  if (i45) set32(i45 + (i27 << 2) | 0, -1 | 0);
  i45 = ~i27;
  _sqlite3ExprCodeIN(i1, i22, i45, (i4 | 0) != 0 ? i3 : i45);
  i45 = i21 + 28 | 0;
  i5 = get32(i45 | 0) | 0;
  i29 = i21 + 32 | 0;
  i8 = get32(i29 | 0) | 0;
  if ((i8 | 0) <= (i5 | 0)) {
   i7 = i21 + 4 | 0;
   i6 = _sqlite3DbRealloc(get32(i21 | 0) | 0, get32(i7 | 0) | 0, (i8 | 0) == 0 ? 1020 : i8 * 40 | 0) | 0;
   if (i6) {
    i8 = get32(i21 | 0) | 0;
    if (((i8 | 0) != 0 ? (get32(i8 + 260 | 0) | 0) >>> 0 <= i6 >>> 0 : 0) ? (get32(i8 + 264 | 0) | 0) >>> 0 > i6 >>> 0 : 0) i67 = getU16(i8 + 232 | 0) | 0; else i67 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i6) | 0;
    set32(i29 | 0, (i67 >>> 0) / 20 | 0 | 0);
    set32(i7 | 0, i6 | 0);
    i68 = get32(i45 | 0) | 0;
    i69 = i6;
    i11 = 154;
   }
  } else {
   i68 = i5;
   i69 = get32(i21 + 4 | 0) | 0;
   i11 = 154;
  }
  if ((i11 | 0) == 154) {
   set32(i45 | 0, i68 + 1 | 0);
   set8(i69 + (i5 * 20 | 0) >> 0 | 0, 1 | 0);
   set8(i69 + (i5 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i69 + (i5 * 20 | 0) + 4 | 0, 0 | 0);
   set32(i69 + (i5 * 20 | 0) + 8 | 0, i3 | 0);
   set32(i69 + (i5 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i69 + (i5 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i69 + (i5 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  }
  i5 = get32(i21 + 44 | 0) | 0;
  if (!i5) return;
  set32(i5 + (i27 << 2) | 0, get32(i45 | 0) | 0);
  return;
 } else if ((i11 | 0) == 157) {
  i45 = i1 + 21 | 0;
  i27 = get8(i45 >> 0 | 0) | 0;
  if (!(i27 << 24 >> 24)) {
   i5 = i1 + 72 | 0;
   i6 = (get32(i5 | 0) | 0) + 1 | 0;
   set32(i5 | 0, i6 | 0);
   i70 = i6;
  } else {
   i6 = i27 + -1 << 24 >> 24;
   set8(i45 >> 0 | 0, i6 | 0);
   i70 = get32(i1 + 24 + ((i6 & 255) << 2) | 0) | 0;
  }
  i6 = _sqlite3ExprCodeTarget(i1, i24, i70) | 0;
  do if ((i6 | 0) != (i70 | 0)) if ((i70 | 0) != 0 ? (i27 = get8(i45 >> 0 | 0) | 0, (i27 & 255) < 8) : 0) {
   if ((get32(i1 + 112 | 0) | 0) != (i70 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i70 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i70 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i70 | 0)) if ((get32(i1 + 208 | 0) | 0) != (i70 | 0)) if ((get32(i1 + 232 | 0) | 0) != (i70 | 0)) if ((get32(i1 + 256 | 0) | 0) != (i70 | 0)) if ((get32(i1 + 280 | 0) | 0) != (i70 | 0)) if ((get32(i1 + 304 | 0) | 0) != (i70 | 0)) if ((get32(i1 + 328 | 0) | 0) == (i70 | 0)) i71 = i1 + 312 | 0; else {
    set8(i45 >> 0 | 0, i27 + 1 << 24 >> 24 | 0);
    set32(i1 + 24 + ((i27 & 255) << 2) | 0, i70 | 0);
    i72 = 0;
    break;
   } else i71 = i1 + 288 | 0; else i71 = i1 + 264 | 0; else i71 = i1 + 240 | 0; else i71 = i1 + 216 | 0; else i71 = i1 + 192 | 0; else i71 = i1 + 168 | 0; else i71 = i1 + 144 | 0; else i71 = i1 + 120 | 0; else i71 = i1 + 96 | 0;
   set8(i71 + 8 >> 0 | 0, 1 | 0);
   i72 = 0;
  } else i72 = 0; else i72 = i70; while (0);
  i45 = (i4 | 0) != 0 & 1;
  i26 = i23 + 28 | 0;
  i27 = get32(i26 | 0) | 0;
  i5 = i23 + 32 | 0;
  i7 = get32(i5 | 0) | 0;
  if ((i7 | 0) > (i27 | 0)) {
   i73 = i27;
   i74 = get32(i23 + 4 | 0) | 0;
  } else {
   i29 = i23 + 4 | 0;
   i8 = _sqlite3DbRealloc(get32(i23 | 0) | 0, get32(i29 | 0) | 0, (i7 | 0) == 0 ? 1020 : i7 * 40 | 0) | 0;
   if (!i8) {
    i43 = i72;
    i44 = 0;
    break;
   }
   i7 = get32(i23 | 0) | 0;
   if (((i7 | 0) != 0 ? (get32(i7 + 260 | 0) | 0) >>> 0 <= i8 >>> 0 : 0) ? (get32(i7 + 264 | 0) | 0) >>> 0 > i8 >>> 0 : 0) i75 = getU16(i7 + 232 | 0) | 0; else i75 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i8) | 0;
   set32(i5 | 0, (i75 >>> 0) / 20 | 0 | 0);
   set32(i29 | 0, i8 | 0);
   i73 = get32(i26 | 0) | 0;
   i74 = i8;
  }
  set32(i26 | 0, i73 + 1 | 0);
  set8(i74 + (i27 * 20 | 0) >> 0 | 0, 26 | 0);
  set8(i74 + (i27 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i74 + (i27 * 20 | 0) + 4 | 0, i6 | 0);
  set32(i74 + (i27 * 20 | 0) + 8 | 0, i3 | 0);
  set32(i74 + (i27 * 20 | 0) + 12 | 0, i45 | 0);
  set32(i74 + (i27 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i74 + (i27 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i43 = i72;
  i44 = 0;
 } else if ((i11 | 0) == 213) return; while (0);
 do if ((i43 | 0) != 0 ? (i11 = i1 + 21 | 0, i72 = get8(i11 >> 0 | 0) | 0, (i72 & 255) < 8) : 0) {
  if ((get32(i1 + 112 | 0) | 0) != (i43 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i43 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i43 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i43 | 0)) if ((get32(i1 + 208 | 0) | 0) != (i43 | 0)) if ((get32(i1 + 232 | 0) | 0) != (i43 | 0)) if ((get32(i1 + 256 | 0) | 0) != (i43 | 0)) if ((get32(i1 + 280 | 0) | 0) != (i43 | 0)) if ((get32(i1 + 304 | 0) | 0) != (i43 | 0)) if ((get32(i1 + 328 | 0) | 0) == (i43 | 0)) i76 = i1 + 312 | 0; else {
   set8(i11 >> 0 | 0, i72 + 1 << 24 >> 24 | 0);
   set32(i1 + 24 + ((i72 & 255) << 2) | 0, i43 | 0);
   break;
  } else i76 = i1 + 288 | 0; else i76 = i1 + 264 | 0; else i76 = i1 + 240 | 0; else i76 = i1 + 216 | 0; else i76 = i1 + 192 | 0; else i76 = i1 + 168 | 0; else i76 = i1 + 144 | 0; else i76 = i1 + 120 | 0; else i76 = i1 + 96 | 0;
  set8(i76 + 8 >> 0 | 0, 1 | 0);
 } while (0);
 if (!i44) return;
 i76 = i1 + 21 | 0;
 i43 = get8(i76 >> 0 | 0) | 0;
 if ((i43 & 255) >= 8) return;
 if ((get32(i1 + 112 | 0) | 0) != (i44 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i44 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i44 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i44 | 0)) if ((get32(i1 + 208 | 0) | 0) != (i44 | 0)) if ((get32(i1 + 232 | 0) | 0) != (i44 | 0)) if ((get32(i1 + 256 | 0) | 0) != (i44 | 0)) if ((get32(i1 + 280 | 0) | 0) != (i44 | 0)) if ((get32(i1 + 304 | 0) | 0) != (i44 | 0)) if ((get32(i1 + 328 | 0) | 0) == (i44 | 0)) i77 = i1 + 312 | 0; else {
  set8(i76 >> 0 | 0, i43 + 1 << 24 >> 24 | 0);
  set32(i1 + 24 + ((i43 & 255) << 2) | 0, i44 | 0);
  return;
 } else i77 = i1 + 288 | 0; else i77 = i1 + 264 | 0; else i77 = i1 + 240 | 0; else i77 = i1 + 216 | 0; else i77 = i1 + 192 | 0; else i77 = i1 + 168 | 0; else i77 = i1 + 144 | 0; else i77 = i1 + 120 | 0; else i77 = i1 + 96 | 0;
 set8(i77 + 8 >> 0 | 0, 1 | 0);
 return;
}

function _sqlite3Prepare(i1, i2, i3, i4, i5, i6, i7) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 i7 = i7 | 0;
 var i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0;
 i8 = STACKTOP;
 STACKTOP = STACKTOP + 48 | 0;
 i9 = i8 + 40 | 0;
 i10 = i8 + 32 | 0;
 i11 = i8 + 24 | 0;
 i12 = i8 + 16 | 0;
 i13 = i8 + 8 | 0;
 i14 = i8;
 i15 = i8 + 44 | 0;
 set32(i15 | 0, 0 | 0);
 i16 = (i1 | 0) == 0;
 L1 : do if (i16) {
  if (!(get32(50 * 4 | 0) | 0)) {
   i17 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](560) | 0;
   i18 = 41;
   break;
  }
  i19 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](560) | 0;
  set32(35 * 4 | 0, 560 | 0);
  if ((get32(45 * 4 | 0) | 0) < 560) set32(45 * 4 | 0, 560 | 0);
  i20 = get32(6 * 4 | 0) | 0;
  do if (i20) {
   i21 = get32(30 * 4 | 0) | 0;
   i22 = ((i21 | 0) < 0) << 31 >> 31;
   i23 = 16;
   i24 = _i64Subtract(get32(i23 | 0) | 0, get32(i23 + 4 | 0) | 0, i19 | 0, ((i19 | 0) < 0) << 31 >> 31 | 0) | 0;
   i23 = tempRet0;
   if ((i22 | 0) < (i23 | 0) | (i22 | 0) == (i23 | 0) & i21 >>> 0 < i24 >>> 0) {
    set32(11 * 4 | 0, 0 | 0);
    break;
   } else {
    set32(11 * 4 | 0, 1 | 0);
    i24 = get32(7 * 4 | 0) | 0;
    set32(6 * 4 | 0, 0 | 0);
    FUNCTION_TABLE_viiii[i20 & 15](i24, i21, i22, i19);
    set32(6 * 4 | 0, i20 | 0);
    set32(7 * 4 | 0, i24 | 0);
    break;
   }
  } while (0);
  i20 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i19) | 0;
  if (!i20) {
   i25 = 7;
   i26 = 255;
   i27 = i26 & i25;
   STACKTOP = i8;
   return i27 | 0;
  }
  i24 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i20) | 0;
  i22 = (get32(30 * 4 | 0) | 0) + i24 | 0;
  set32(30 * 4 | 0, i22 | 0);
  if ((i22 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i22 | 0);
  i22 = get32(39 * 4 | 0) | 0;
  i24 = i22 + 1 | 0;
  set32(39 * 4 | 0, i24 | 0);
  if ((i22 | 0) < (get32(49 * 4 | 0) | 0)) {
   i28 = i20;
   i18 = 42;
  } else {
   set32(49 * 4 | 0, i24 | 0);
   i28 = i20;
   i18 = 42;
  }
 } else {
  i20 = i1 + 30 | 0;
  if (get8(i20 >> 0 | 0) | 0) {
   i24 = i1 + 504 | 0;
   if (!(get32(i24 | 0) | 0)) {
    i29 = i20;
    i30 = 7;
    break;
   }
   i22 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](0) | 0;
   i21 = get32(i24 | 0) | 0;
   set32(i21 | 0, (get32(i21 | 0) | 0) + i22 | 0);
   i29 = i20;
   i30 = 7;
   break;
  }
  do if (get8(i1 + 234 >> 0 | 0) | 0) {
   if ((getU16(i1 + 232 | 0) | 0) < 560) {
    i22 = i1 + 248 | 0;
    set32(i22 | 0, (get32(i22 | 0) | 0) + 1 | 0);
    break;
   }
   i22 = i1 + 256 | 0;
   i21 = get32(i22 | 0) | 0;
   if (!i21) {
    i24 = i1 + 252 | 0;
    set32(i24 | 0, (get32(i24 | 0) | 0) + 1 | 0);
    break;
   }
   set32(i22 | 0, get32(i21 | 0) | 0);
   i22 = i1 + 236 | 0;
   i24 = get32(i22 | 0) | 0;
   i23 = i24 + 1 | 0;
   set32(i22 | 0, i23 | 0);
   i22 = i1 + 244 | 0;
   set32(i22 | 0, (get32(i22 | 0) | 0) + 1 | 0);
   i22 = i1 + 240 | 0;
   if ((i24 | 0) >= (get32(i22 | 0) | 0)) set32(i22 | 0, i23 | 0);
   i17 = i21;
   i18 = 41;
   break L1;
  } while (0);
  if (!(get32(50 * 4 | 0) | 0)) {
   i19 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](560) | 0;
   if (i19) {
    i28 = i19;
    i18 = 42;
    break;
   }
  } else {
   i19 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](560) | 0;
   set32(35 * 4 | 0, 560 | 0);
   if ((get32(45 * 4 | 0) | 0) < 560) set32(45 * 4 | 0, 560 | 0);
   i21 = get32(6 * 4 | 0) | 0;
   do if (i21) {
    i23 = get32(30 * 4 | 0) | 0;
    i22 = ((i23 | 0) < 0) << 31 >> 31;
    i24 = 16;
    i31 = _i64Subtract(get32(i24 | 0) | 0, get32(i24 + 4 | 0) | 0, i19 | 0, ((i19 | 0) < 0) << 31 >> 31 | 0) | 0;
    i24 = tempRet0;
    if ((i22 | 0) < (i24 | 0) | (i22 | 0) == (i24 | 0) & i23 >>> 0 < i31 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i31 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i21 & 15](i31, i23, i22, i19);
     set32(6 * 4 | 0, i21 | 0);
     set32(7 * 4 | 0, i31 | 0);
     break;
    }
   } while (0);
   i21 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i19) | 0;
   if (i21) {
    i31 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i21) | 0;
    i22 = (get32(30 * 4 | 0) | 0) + i31 | 0;
    set32(30 * 4 | 0, i22 | 0);
    if ((i22 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i22 | 0);
    i22 = get32(39 * 4 | 0) | 0;
    i31 = i22 + 1 | 0;
    set32(39 * 4 | 0, i31 | 0);
    if ((i22 | 0) < (get32(49 * 4 | 0) | 0)) {
     i28 = i21;
     i18 = 42;
     break;
    }
    set32(49 * 4 | 0, i31 | 0);
    i28 = i21;
    i18 = 42;
    break;
   }
  }
  set8(i20 >> 0 | 0, 1 | 0);
  i21 = i1 + 504 | 0;
  if (!(get32(i21 | 0) | 0)) {
   i29 = i20;
   i30 = 7;
  } else {
   i31 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](0) | 0;
   i22 = get32(i21 | 0) | 0;
   set32(i22 | 0, (get32(i22 | 0) | 0) + i31 | 0);
   i29 = i20;
   i30 = 7;
  }
 } while (0);
 if ((i18 | 0) == 41) if (!i17) {
  i32 = 0;
  i33 = 7;
  i18 = 191;
 } else {
  i28 = i17;
  i18 = 42;
 }
 L60 : do if ((i18 | 0) == 42) {
  _memset(i28 | 0, 0, 560) | 0;
  set32(i28 + 468 | 0, i5 | 0);
  i17 = get32(i1 + 4 | 0) | 0;
  L62 : do if ((i17 | 0) > 0) {
   i31 = get32(i1 + 8 | 0) | 0;
   i22 = 0;
   L64 : while (1) {
    i21 = get32(i31 + (i22 << 4) + 4 | 0) | 0;
    if ((i21 | 0) != 0 ? (i23 = get32(i21 + 4 | 0) | 0, set32(i23 + 4 | 0, get32(i21 | 0) | 0), (get8(i21 + 9 >> 0 | 0) | 0) != 0) : 0) {
     if ((get32(i23 + 80 | 0) | 0) != (i21 | 0) ? (get8(i23 + 84 >> 0 | 0) | 0) != 0 : 0) {
      i34 = i22;
      break;
     }
     i24 = get32(i23 + 76 | 0) | 0;
     if (i24) {
      i23 = i24;
      do {
       if (((get32(i23 | 0) | 0) != (i21 | 0) ? (get32(i23 + 4 | 0) | 0) == 1 : 0) ? (get8(i23 + 8 >> 0 | 0) | 0) != 1 : 0) {
        i34 = i22;
        break L64;
       }
       i23 = get32(i23 + 12 | 0) | 0;
      } while ((i23 | 0) != 0);
     }
    }
    i22 = i22 + 1 | 0;
    if ((i22 | 0) >= (i17 | 0)) break L62;
   }
   set32(i14 | 0, get32(i31 + (i34 << 4) | 0) | 0);
   _sqlite3Error(i1, 262, 26297, i14);
   i32 = i28;
   i33 = 262;
   i18 = 191;
   break L60;
  } while (0);
  i17 = i1 + 316 | 0;
  i20 = get32(i17 | 0) | 0;
  set32(i17 | 0, 0 | 0);
  if (i20) {
   i17 = get32(i1 + 136 | 0) | 0;
   if (!i17) i35 = i20; else {
    i19 = i17;
    do {
     set8(i19 + 99 >> 0 | 0, 1 | 0);
     i19 = get32(i19 + 64 | 0) | 0;
    } while ((i19 | 0) != 0);
    i35 = i20;
   }
   do {
    i20 = i35;
    i35 = get32(i35 + 24 | 0) | 0;
    i19 = get32(i20 | 0) | 0;
    i17 = i20 + 12 | 0;
    i22 = (get32(i17 | 0) | 0) + -1 | 0;
    set32(i17 | 0, i22 | 0);
    if (!i22) {
     i22 = get32(i20 + 8 | 0) | 0;
     if (i22) FUNCTION_TABLE_ii[get32((get32(i22 | 0) | 0) + 16 | 0) & 127](i22) | 0;
     _sqlite3DbFree(i19, i20);
    }
   } while ((i35 | 0) != 0);
  }
  set32(i28 | 0, i1 | 0);
  setF64(i28 + 448 | 0, +(1.0));
  L95 : do if ((i3 | 0) > -1) {
   if ((i3 | 0) != 0 ? (get8(i2 + (i3 + -1) >> 0 | 0) | 0) == 0 : 0) {
    i18 = 97;
    break;
   }
   if ((get32(i1 + 76 | 0) | 0) < (i3 | 0)) {
    _sqlite3Error(i1, 18, 26327, i13);
    i20 = i1 + 30 | 0;
    if (!(get8(i20 >> 0 | 0) | 0)) i36 = 18; else {
     _sqlite3Error(i1, 7, 0, i12);
     set8(i20 >> 0 | 0, 0 | 0);
     i36 = 7;
    }
    i32 = i28;
    i33 = get32(i1 + 24 | 0) & i36;
    i18 = 191;
    break L60;
   }
   L106 : do if ((i2 | 0) != 0 ? (i20 = i3 + 1 | 0, i19 = i1 + 30 | 0, (get8(i19 >> 0 | 0) | 0) == 0) : 0) {
    do if (!(get8(i1 + 234 >> 0 | 0) | 0)) i18 = 79; else {
     if ((getU16(i1 + 232 | 0) | 0) < (i20 | 0)) {
      i22 = i1 + 248 | 0;
      set32(i22 | 0, (get32(i22 | 0) | 0) + 1 | 0);
      i18 = 79;
      break;
     }
     i22 = i1 + 256 | 0;
     i17 = get32(i22 | 0) | 0;
     if (!i17) {
      i23 = i1 + 252 | 0;
      set32(i23 | 0, (get32(i23 | 0) | 0) + 1 | 0);
      i18 = 79;
      break;
     }
     set32(i22 | 0, get32(i17 | 0) | 0);
     i22 = i1 + 236 | 0;
     i23 = get32(i22 | 0) | 0;
     i21 = i23 + 1 | 0;
     set32(i22 | 0, i21 | 0);
     i22 = i1 + 244 | 0;
     set32(i22 | 0, (get32(i22 | 0) | 0) + 1 | 0);
     i22 = i1 + 240 | 0;
     if ((i23 | 0) >= (get32(i22 | 0) | 0)) set32(i22 | 0, i21 | 0);
     i37 = i17;
    } while (0);
    L120 : do if ((i18 | 0) == 79) {
     do if (i3 >>> 0 <= 2147483390) {
      if (!(get32(50 * 4 | 0) | 0)) {
       i17 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i20) | 0;
       if (!i17) break; else {
        i37 = i17;
        break L120;
       }
      }
      i17 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i20) | 0;
      set32(35 * 4 | 0, i20 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i20 | 0)) set32(45 * 4 | 0, i20 | 0);
      i21 = get32(6 * 4 | 0) | 0;
      do if (i21) {
       i22 = get32(30 * 4 | 0) | 0;
       i23 = ((i22 | 0) < 0) << 31 >> 31;
       i24 = 16;
       i38 = _i64Subtract(get32(i24 | 0) | 0, get32(i24 + 4 | 0) | 0, i17 | 0, ((i17 | 0) < 0) << 31 >> 31 | 0) | 0;
       i24 = tempRet0;
       if ((i23 | 0) < (i24 | 0) | (i23 | 0) == (i24 | 0) & i22 >>> 0 < i38 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i38 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i21 & 15](i38, i22, i23, i17);
        set32(6 * 4 | 0, i21 | 0);
        set32(7 * 4 | 0, i38 | 0);
        break;
       }
      } while (0);
      i21 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i17) | 0;
      if (i21) {
       i38 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i21) | 0;
       i23 = (get32(30 * 4 | 0) | 0) + i38 | 0;
       set32(30 * 4 | 0, i23 | 0);
       if ((i23 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i23 | 0);
       i23 = get32(39 * 4 | 0) | 0;
       i38 = i23 + 1 | 0;
       set32(39 * 4 | 0, i38 | 0);
       if ((i23 | 0) < (get32(49 * 4 | 0) | 0)) {
        i37 = i21;
        break L120;
       }
       set32(49 * 4 | 0, i38 | 0);
       i37 = i21;
       break L120;
      }
     } while (0);
     set8(i19 >> 0 | 0, 1 | 0);
     break L106;
    } while (0);
    _memcpy(i37 | 0, i2 | 0, i3 | 0) | 0;
    set8(i37 + i3 >> 0 | 0, 0 | 0);
    _sqlite3RunParser(i28, i37, i15) | 0;
    _sqlite3DbFree(i1, i37);
    i19 = i28 + 504 | 0;
    set32(i19 | 0, i2 + ((get32(i19 | 0) | 0) - i37) | 0);
    break L95;
   } while (0);
   set32(i28 + 504 | 0, i2 + i3 | 0);
  } else i18 = 97; while (0);
  if ((i18 | 0) == 97) _sqlite3RunParser(i28, i2, i15) | 0;
  i31 = i1 + 30 | 0;
  i19 = i28 + 4 | 0;
  if (!(get8(i31 >> 0 | 0) | 0)) {
   if ((get32(i19 | 0) | 0) == 101) set32(i19 | 0, 0 | 0);
  } else set32(i19 | 0, 7 | 0);
  L152 : do if ((get8(i28 + 18 >> 0 | 0) | 0) != 0 ? (i20 = get32(i28 | 0) | 0, i21 = i20 + 4 | 0, (get32(i21 | 0) | 0) > 0) : 0) {
   i38 = i20 + 8 | 0;
   i23 = 0;
   while (1) {
    i22 = get32(i38 | 0) | 0;
    i24 = get32(i22 + (i23 << 4) + 4 | 0) | 0;
    if (i24) {
     if (!(get8(i24 + 8 >> 0 | 0) | 0)) {
      i39 = _sqlite3BtreeBeginTrans(i24, 0) | 0;
      if ((i39 | 0) >= 7) break;
      switch (i39 | 0) {
      case 0:
       break;
      default:
       break L152;
      }
      i40 = get32(i38 | 0) | 0;
      i41 = 1;
     } else {
      i40 = i22;
      i41 = 0;
     }
     i22 = get32(i24 + 4 | 0) | 0;
     set32(i22 + 4 | 0, get32(i24 | 0) | 0);
     i42 = get32((get32(i22 + 12 | 0) | 0) + 64 | 0) | 0;
     if ((getU8(i42 + 41 >> 0 | 0) << 16 | getU8(i42 + 40 >> 0 | 0) << 24 | getU8(i42 + 42 >> 0 | 0) << 8 | getU8(i42 + 43 >> 0 | 0) | 0) != (get32(get32(i40 + (i23 << 4) + 12 | 0) | 0) | 0)) {
      _sqlite3ResetInternalSchema(i20, i23);
      set32(i19 | 0, 17 | 0);
     }
     if (i41) _sqlite3BtreeCommit(i24) | 0;
    }
    i23 = i23 + 1 | 0;
    if ((i23 | 0) >= (get32(i21 | 0) | 0)) break L152;
   }
   if ((i39 | 0) < 3082) switch (i39 | 0) {
   case 7:
    break;
   default:
    break L152;
   } else switch (i39 | 0) {
   case 3082:
    break;
   default:
    break L152;
   }
   set8(i20 + 30 >> 0 | 0, 1 | 0);
  } while (0);
  if (get8(i31 >> 0 | 0) | 0) set32(i19 | 0, 7 | 0);
  if (i7) set32(i7 | 0, get32(i28 + 504 | 0) | 0);
  i21 = get32(i19 | 0) | 0;
  i23 = (i21 | 0) == 0;
  i38 = i28 + 12 | 0;
  L181 : do if (i23 ? (i24 = get32(i38 | 0) | 0, (i24 | 0) != 0) : 0) {
   switch (get8(i28 + 484 >> 0 | 0) | 0) {
   case 0:
    {
     break L181;
     break;
    }
   case 2:
    {
     _sqlite3VdbeSetNumCols(i24, 4);
     i43 = 8;
     i44 = 12;
     break;
    }
   default:
    {
     _sqlite3VdbeSetNumCols(i24, 8);
     i43 = 0;
     i44 = 8;
    }
   }
   i24 = i43;
   do {
    i42 = get32(i38 | 0) | 0;
    if (!(get8((get32(i42 | 0) | 0) + 30 >> 0 | 0) | 0)) _sqlite3VdbeMemSetStr((get32(i42 + 16 | 0) | 0) + ((i24 - i43 | 0) * 40 | 0) | 0, get32(2852 + (i24 << 2) | 0) | 0, -1, 1, 0) | 0;
    i24 = i24 + 1 | 0;
   } while ((i24 | 0) < (i44 | 0));
  } while (0);
  if ((get8(i1 + 124 >> 0 | 0) | 0) == 0 ? (i19 = get32(i38 | 0) | 0, i24 = (get32(i28 + 504 | 0) | 0) - i2 | 0, (i19 | 0) != 0) : 0) {
   i20 = get32(i19 | 0) | 0;
   L197 : do if (!i2) i45 = 0; else {
    i42 = i24 + 1 | 0;
    L199 : do if (!i20) {
     if (i24 >>> 0 > 2147483390) {
      i45 = 0;
      break L197;
     }
     if (!(get32(50 * 4 | 0) | 0)) {
      i46 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i42) | 0;
      i18 = 170;
      break;
     }
     i22 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i42) | 0;
     set32(35 * 4 | 0, i42 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i42 | 0)) set32(45 * 4 | 0, i42 | 0);
     i47 = get32(6 * 4 | 0) | 0;
     do if (i47) {
      i48 = get32(30 * 4 | 0) | 0;
      i49 = ((i48 | 0) < 0) << 31 >> 31;
      i50 = 16;
      i51 = _i64Subtract(get32(i50 | 0) | 0, get32(i50 + 4 | 0) | 0, i22 | 0, ((i22 | 0) < 0) << 31 >> 31 | 0) | 0;
      i50 = tempRet0;
      if ((i49 | 0) < (i50 | 0) | (i49 | 0) == (i50 | 0) & i48 >>> 0 < i51 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i51 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i47 & 15](i51, i48, i49, i22);
       set32(6 * 4 | 0, i47 | 0);
       set32(7 * 4 | 0, i51 | 0);
       break;
      }
     } while (0);
     i47 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i22) | 0;
     if (!i47) {
      i45 = 0;
      break L197;
     }
     i51 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i47) | 0;
     i49 = (get32(30 * 4 | 0) | 0) + i51 | 0;
     set32(30 * 4 | 0, i49 | 0);
     if ((i49 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i49 | 0);
     i49 = get32(39 * 4 | 0) | 0;
     i51 = i49 + 1 | 0;
     set32(39 * 4 | 0, i51 | 0);
     if ((i49 | 0) < (get32(49 * 4 | 0) | 0)) {
      i52 = i47;
      break;
     }
     set32(49 * 4 | 0, i51 | 0);
     i52 = i47;
    } else {
     i47 = i20 + 30 | 0;
     if (get8(i47 >> 0 | 0) | 0) {
      i45 = 0;
      break L197;
     }
     do if (get8(i20 + 234 >> 0 | 0) | 0) {
      if ((getU16(i20 + 232 | 0) | 0) < (i42 | 0)) {
       i51 = i20 + 248 | 0;
       set32(i51 | 0, (get32(i51 | 0) | 0) + 1 | 0);
       break;
      }
      i51 = i20 + 256 | 0;
      i49 = get32(i51 | 0) | 0;
      if (!i49) {
       i48 = i20 + 252 | 0;
       set32(i48 | 0, (get32(i48 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i51 | 0, get32(i49 | 0) | 0);
      i51 = i20 + 236 | 0;
      i48 = get32(i51 | 0) | 0;
      i50 = i48 + 1 | 0;
      set32(i51 | 0, i50 | 0);
      i51 = i20 + 244 | 0;
      set32(i51 | 0, (get32(i51 | 0) | 0) + 1 | 0);
      i51 = i20 + 240 | 0;
      if ((i48 | 0) >= (get32(i51 | 0) | 0)) set32(i51 | 0, i50 | 0);
      i46 = i49;
      i18 = 170;
      break L199;
     } while (0);
     do if (i24 >>> 0 <= 2147483390) {
      if (!(get32(50 * 4 | 0) | 0)) {
       i22 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i42) | 0;
       if (!i22) break; else {
        i52 = i22;
        break L199;
       }
      }
      i22 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i42) | 0;
      set32(35 * 4 | 0, i42 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i42 | 0)) set32(45 * 4 | 0, i42 | 0);
      i49 = get32(6 * 4 | 0) | 0;
      do if (i49) {
       i50 = get32(30 * 4 | 0) | 0;
       i51 = ((i50 | 0) < 0) << 31 >> 31;
       i48 = 16;
       i53 = _i64Subtract(get32(i48 | 0) | 0, get32(i48 + 4 | 0) | 0, i22 | 0, ((i22 | 0) < 0) << 31 >> 31 | 0) | 0;
       i48 = tempRet0;
       if ((i51 | 0) < (i48 | 0) | (i51 | 0) == (i48 | 0) & i50 >>> 0 < i53 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i53 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i49 & 15](i53, i50, i51, i22);
        set32(6 * 4 | 0, i49 | 0);
        set32(7 * 4 | 0, i53 | 0);
        break;
       }
      } while (0);
      i49 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i22) | 0;
      if (!i49) break;
      i53 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i49) | 0;
      i51 = (get32(30 * 4 | 0) | 0) + i53 | 0;
      set32(30 * 4 | 0, i51 | 0);
      if ((i51 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i51 | 0);
      i51 = get32(39 * 4 | 0) | 0;
      i53 = i51 + 1 | 0;
      set32(39 * 4 | 0, i53 | 0);
      if ((i51 | 0) < (get32(49 * 4 | 0) | 0)) {
       i52 = i49;
       break L199;
      }
      set32(49 * 4 | 0, i53 | 0);
      i52 = i49;
      break L199;
     } while (0);
     set8(i47 >> 0 | 0, 1 | 0);
     i45 = 0;
     break L197;
    } while (0);
    if ((i18 | 0) == 170) if (!i46) {
     i45 = 0;
     break;
    } else i52 = i46;
    _memcpy(i52 | 0, i2 | 0, i24 | 0) | 0;
    set8(i52 + i24 >> 0 | 0, 0 | 0);
    i45 = i52;
   } while (0);
   set32(i19 + 160 | 0, i45 | 0);
   set8(i19 + 105 >> 0 | 0, i4 | 0);
  }
  i24 = get32(i38 | 0) | 0;
  i20 = i24;
  do if (!i24) i18 = 184; else {
   if (i23 ? (get8(i31 >> 0 | 0) | 0) == 0 : 0) {
    i18 = 184;
    break;
   }
   i42 = i24 + 52 | 0;
   i49 = get32(i42 | 0) | 0;
   if ((i49 | 0) < 1369188723) switch (i49 | 0) {
   case -1108210269:
    {
     i18 = 177;
     break;
    }
   default:
    {}
   } else switch (i49 | 0) {
   case 1369188723:
    {
     i18 = 177;
     break;
    }
   default:
    {}
   }
   if ((i18 | 0) == 177) _sqlite3VdbeReset(i24) | 0;
   i49 = get32(i24 | 0) | 0;
   i53 = get32(i24 + 60 | 0) | 0;
   i51 = i24 + 64 | 0;
   i50 = get32(i51 | 0) | 0;
   if (!i53) {
    set32(i49 + 136 | 0, i50 | 0);
    i54 = i50;
   } else {
    set32(i53 + 64 | 0, i50 | 0);
    i54 = get32(i51 | 0) | 0;
   }
   if (i54) set32(i54 + 60 | 0, i53 | 0);
   set32(i42 | 0, -1241070648 | 0);
   set32(i24 | 0, 0 | 0);
   _sqlite3VdbeDeleteObject(i49, i24);
  } while (0);
  if ((i18 | 0) == 184) set32(i6 | 0, i20 | 0);
  i24 = get32(i15 | 0) | 0;
  if (!i24) _sqlite3Error(i1, i21, 0, i10); else {
   set32(i11 | 0, i24 | 0);
   _sqlite3Error(i1, i21, 16817, i11);
   _sqlite3DbFree(i1, i24);
  }
  i24 = i28 + 548 | 0;
  i31 = get32(i24 | 0) | 0;
  if (!i31) {
   i32 = i28;
   i33 = i21;
   i18 = 191;
  } else {
   i23 = i31;
   do {
    set32(i24 | 0, get32(i23 + 20 | 0) | 0);
    _sqlite3DbFree(i1, i23);
    i23 = get32(i24 | 0) | 0;
   } while ((i23 | 0) != 0);
   i32 = i28;
   i33 = i21;
   i18 = 191;
  }
 } while (0);
 do if ((i18 | 0) == 191) {
  _sqlite3DbFree(i1, i32);
  if (i16) {
   i25 = i33;
   i26 = 255;
   i27 = i26 & i25;
   STACKTOP = i8;
   return i27 | 0;
  } else {
   i29 = i1 + 30 | 0;
   i30 = i33;
   break;
  }
 } while (0);
 if ((i30 | 0) == 3082 | (get8(i29 >> 0 | 0) | 0) != 0) {
  _sqlite3Error(i1, 7, 0, i9);
  set8(i29 >> 0 | 0, 0 | 0);
  i55 = 7;
 } else i55 = i30;
 i25 = i55;
 i26 = get32(i1 + 24 | 0) | 0;
 i27 = i26 & i25;
 STACKTOP = i8;
 return i27 | 0;
}

function _sqlite3_complete(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0;
 i2 = get8(i1 >> 0 | 0) | 0;
 do if (i2 << 24 >> 24) {
  i3 = i1;
  i4 = i2;
  i5 = 0;
  L2 : while (1) {
   i6 = i4 << 24 >> 24;
   L4 : do switch (i6 | 0) {
   case 59:
    {
     i7 = i3;
     i8 = 0;
     break;
    }
   case 12:
   case 10:
   case 9:
   case 13:
   case 32:
    {
     i7 = i3;
     i8 = 1;
     break;
    }
   case 47:
    {
     if ((get8(i3 + 1 >> 0 | 0) | 0) == 42) {
      i9 = i3 + 2 | 0;
      L131 : while (1) switch (get8(i9 >> 0 | 0) | 0) {
      case 0:
       {
        i10 = 0;
        i11 = 67;
        break L2;
        break;
       }
      case 42:
       {
        i12 = i9 + 1 | 0;
        if ((get8(i12 >> 0 | 0) | 0) == 47) {
         i7 = i12;
         i8 = 1;
         break L4;
        } else {
         i9 = i12;
         continue L131;
        }
        break;
       }
      default:
       {
        i9 = i9 + 1 | 0;
        continue L131;
       }
      }
     } else {
      i7 = i3;
      i8 = 2;
     }
     break;
    }
   case 45:
    {
     if ((get8(i3 + 1 >> 0 | 0) | 0) == 45) {
      i9 = i4 << 24 >> 24 == 0;
      if (i4 << 24 >> 24 != 10 & (i9 ^ 1)) {
       i12 = i3;
       while (1) {
        i13 = i12 + 1 | 0;
        i14 = get8(i13 >> 0 | 0) | 0;
        i15 = i14 << 24 >> 24 == 0;
        if (i14 << 24 >> 24 != 10 & (i15 ^ 1)) i12 = i13; else {
         i16 = i13;
         i17 = i15;
         break;
        }
       }
      } else {
       i16 = i3;
       i17 = i9;
      }
      if (i17) {
       i18 = i5;
       i11 = 13;
       break L2;
      } else {
       i7 = i16;
       i8 = 1;
      }
     } else {
      i7 = i3;
      i8 = 2;
     }
     break;
    }
   case 91:
    {
     i12 = i3;
     do {
      i12 = i12 + 1 | 0;
      i15 = get8(i12 >> 0 | 0) | 0;
      i19 = i15 << 24 >> 24 == 0;
     } while (i15 << 24 >> 24 != 93 & (i19 ^ 1));
     if (i19) {
      i10 = 0;
      i11 = 67;
      break L2;
     } else {
      i7 = i12;
      i8 = 2;
     }
     break;
    }
   case 39:
   case 34:
   case 96:
    {
     i9 = i3;
     do {
      i9 = i9 + 1 | 0;
      i15 = get8(i9 >> 0 | 0) | 0;
      i20 = i15 << 24 >> 24 == 0;
     } while (i15 << 24 >> 24 != i4 << 24 >> 24 & (i20 ^ 1));
     if (i20) {
      i10 = 0;
      i11 = 67;
      break L2;
     } else {
      i7 = i9;
      i8 = 2;
     }
     break;
    }
   default:
    {
     i12 = i4 & 255;
     if (!(get8(16821 + i12 >> 0 | 0) & 70)) {
      i7 = i3;
      i8 = 2;
     } else {
      i15 = 1;
      while (1) if (!(get8(16821 + (getU8(i3 + i15 >> 0 | 0) | 0) >> 0 | 0) & 70)) {
       i21 = i15;
       break;
      } else i15 = i15 + 1 | 0;
      L9 : do switch (i6 | 0) {
      case 67:
      case 99:
       {
        if ((i21 | 0) == 6) {
         do if (!(i4 << 24 >> 24)) {
          i22 = 17141;
          i11 = 23;
         } else {
          i15 = 16286 + i12 | 0;
          if ((i12 & 223 | 0) == 67) {
           i9 = get8(i3 + 1 >> 0 | 0) | 0;
           if (!(i9 << 24 >> 24)) {
            i22 = 17142;
            i11 = 23;
            break;
           }
           i13 = i9 & 255;
           i9 = 16286 + i13 | 0;
           if ((i13 & 223 | 0) == 82) {
            i13 = get8(i3 + 2 >> 0 | 0) | 0;
            if (!(i13 << 24 >> 24)) {
             i22 = 17143;
             i11 = 23;
             break;
            }
            i14 = i13 & 255;
            i13 = 16286 + i14 | 0;
            if ((i14 & 223 | 0) == 69) {
             i14 = get8(i3 + 3 >> 0 | 0) | 0;
             if (!(i14 << 24 >> 24)) {
              i22 = 17144;
              i11 = 23;
              break;
             }
             i23 = i14 & 255;
             i14 = 16286 + i23 | 0;
             if ((i23 & 223 | 0) == 65) {
              i23 = get8(i3 + 4 >> 0 | 0) | 0;
              if (!(i23 << 24 >> 24)) {
               i22 = 17145;
               i11 = 23;
               break;
              }
              i24 = i23 & 255;
              i23 = 16286 + i24 | 0;
              if ((i24 & 223 | 0) == 84) {
               i24 = get8(i3 + 5 >> 0 | 0) | 0;
               if (!(i24 << 24 >> 24)) {
                i22 = 17146;
                i11 = 23;
                break;
               }
               i25 = i24 & 255;
               if ((i25 & 223 | 0) == 69) {
                i26 = 4;
                break L9;
               } else {
                i27 = 16286 + i25 | 0;
                i28 = 101;
               }
              } else {
               i27 = i23;
               i28 = 116;
              }
             } else {
              i27 = i14;
              i28 = 97;
             }
            } else {
             i27 = i13;
             i28 = 101;
            }
           } else {
            i27 = i9;
            i28 = 114;
           }
          } else {
           i27 = i15;
           i28 = 99;
          }
          i29 = get8(i27 >> 0 | 0) | 0;
          i30 = i28;
         } while (0);
         if ((i11 | 0) == 23) {
          i11 = 0;
          i29 = 0;
          i30 = get8(16286 + (getU8(i22 >> 0 | 0) | 0) >> 0 | 0) | 0;
         }
         if (i29 << 24 >> 24 == i30 << 24 >> 24) {
          i26 = 4;
          break L9;
         }
        }
        i26 = 2;
        break;
       }
      case 84:
      case 116:
       {
        switch (i21 | 0) {
        case 7:
         {
          L34 : do if (!(i4 << 24 >> 24)) {
           i31 = 17148;
           i11 = 31;
          } else {
           i15 = 16286 + i12 | 0;
           do if ((i12 & 223 | 0) == 84) {
            i9 = get8(i3 + 1 >> 0 | 0) | 0;
            if (!(i9 << 24 >> 24)) {
             i31 = 17149;
             i11 = 31;
             break L34;
            }
            i13 = i9 & 255;
            i9 = 16286 + i13 | 0;
            if ((i13 & 223 | 0) == 82) {
             i13 = get8(i3 + 2 >> 0 | 0) | 0;
             if (!(i13 << 24 >> 24)) {
              i31 = 17150;
              i11 = 31;
              break L34;
             }
             i14 = i13 & 255;
             i13 = 16286 + i14 | 0;
             if ((i14 & 223 | 0) == 73) {
              i14 = get8(i3 + 3 >> 0 | 0) | 0;
              if (!(i14 << 24 >> 24)) {
               i31 = 17151;
               i11 = 31;
               break L34;
              }
              i23 = i14 & 255;
              i14 = 16286 + i23 | 0;
              if ((i23 & 223 | 0) == 71) {
               i23 = get8(i3 + 4 >> 0 | 0) | 0;
               if (!(i23 << 24 >> 24)) {
                i31 = 17152;
                i11 = 31;
                break L34;
               }
               i25 = i23 & 255;
               i23 = 16286 + i25 | 0;
               if ((i25 & 223 | 0) == 71) {
                i25 = get8(i3 + 5 >> 0 | 0) | 0;
                if (!(i25 << 24 >> 24)) {
                 i31 = 17153;
                 i11 = 31;
                 break L34;
                }
                i24 = i25 & 255;
                if ((i24 & 223 | 0) != 69) {
                 i32 = 16286 + i24 | 0;
                 i33 = 101;
                 break;
                }
                i24 = get8(i3 + 6 >> 0 | 0) | 0;
                if (!(i24 << 24 >> 24)) {
                 i31 = 17154;
                 i11 = 31;
                 break L34;
                }
                i25 = i24 & 255;
                if ((i25 & 223 | 0) == 82) {
                 i26 = 6;
                 break L9;
                } else {
                 i32 = 16286 + i25 | 0;
                 i33 = 114;
                }
               } else {
                i32 = i23;
                i33 = 103;
               }
              } else {
               i32 = i14;
               i33 = 103;
              }
             } else {
              i32 = i13;
              i33 = 105;
             }
            } else {
             i32 = i9;
             i33 = 114;
            }
           } else {
            i32 = i15;
            i33 = 116;
           } while (0);
           i34 = get8(i32 >> 0 | 0) | 0;
           i35 = i33;
          } while (0);
          if ((i11 | 0) == 31) {
           i11 = 0;
           i34 = 0;
           i35 = get8(16286 + (getU8(i31 >> 0 | 0) | 0) >> 0 | 0) | 0;
          }
          if (i34 << 24 >> 24 == i35 << 24 >> 24) {
           i26 = 6;
           break L9;
          }
          break;
         }
        case 4:
         {
          do if (!(i4 << 24 >> 24)) {
           i36 = 17156;
           i11 = 37;
          } else {
           i15 = 16286 + i12 | 0;
           if ((i12 & 223 | 0) == 84) {
            i9 = get8(i3 + 1 >> 0 | 0) | 0;
            if (!(i9 << 24 >> 24)) {
             i36 = 17157;
             i11 = 37;
             break;
            }
            i13 = i9 & 255;
            i9 = 16286 + i13 | 0;
            if ((i13 & 223 | 0) == 69) {
             i13 = get8(i3 + 2 >> 0 | 0) | 0;
             if (!(i13 << 24 >> 24)) {
              i36 = 17158;
              i11 = 37;
              break;
             }
             i14 = i13 & 255;
             i13 = 16286 + i14 | 0;
             if ((i14 & 223 | 0) == 77) {
              i14 = get8(i3 + 3 >> 0 | 0) | 0;
              if (!(i14 << 24 >> 24)) {
               i36 = 17159;
               i11 = 37;
               break;
              }
              i23 = i14 & 255;
              if ((i23 & 223 | 0) == 80) {
               i26 = 5;
               break L9;
              } else {
               i37 = 16286 + i23 | 0;
               i38 = 112;
              }
             } else {
              i37 = i13;
              i38 = 109;
             }
            } else {
             i37 = i9;
             i38 = 101;
            }
           } else {
            i37 = i15;
            i38 = 116;
           }
           i39 = get8(i37 >> 0 | 0) | 0;
           i40 = i38;
          } while (0);
          if ((i11 | 0) == 37) {
           i11 = 0;
           i39 = 0;
           i40 = get8(16286 + (getU8(i36 >> 0 | 0) | 0) >> 0 | 0) | 0;
          }
          if (i39 << 24 >> 24 == i40 << 24 >> 24) {
           i26 = 5;
           break L9;
          }
          break;
         }
        case 9:
         {
          L68 : do if (!(i4 << 24 >> 24)) {
           i41 = 17161;
           i11 = 43;
          } else {
           i15 = 16286 + i12 | 0;
           do if ((i12 & 223 | 0) == 84) {
            i9 = get8(i3 + 1 >> 0 | 0) | 0;
            if (!(i9 << 24 >> 24)) {
             i41 = 17162;
             i11 = 43;
             break L68;
            }
            i13 = i9 & 255;
            i9 = 16286 + i13 | 0;
            if ((i13 & 223 | 0) == 69) {
             i13 = get8(i3 + 2 >> 0 | 0) | 0;
             if (!(i13 << 24 >> 24)) {
              i41 = 17163;
              i11 = 43;
              break L68;
             }
             i23 = i13 & 255;
             i13 = 16286 + i23 | 0;
             if ((i23 & 223 | 0) == 77) {
              i23 = get8(i3 + 3 >> 0 | 0) | 0;
              if (!(i23 << 24 >> 24)) {
               i41 = 17164;
               i11 = 43;
               break L68;
              }
              i14 = i23 & 255;
              i23 = 16286 + i14 | 0;
              if ((i14 & 223 | 0) == 80) {
               i14 = get8(i3 + 4 >> 0 | 0) | 0;
               if (!(i14 << 24 >> 24)) {
                i41 = 17165;
                i11 = 43;
                break L68;
               }
               i25 = i14 & 255;
               i14 = 16286 + i25 | 0;
               if ((i25 & 223 | 0) == 79) {
                i25 = get8(i3 + 5 >> 0 | 0) | 0;
                if (!(i25 << 24 >> 24)) {
                 i41 = 17166;
                 i11 = 43;
                 break L68;
                }
                i24 = i25 & 255;
                if ((i24 & 223 | 0) != 82) {
                 i42 = 16286 + i24 | 0;
                 i43 = 114;
                 break;
                }
                i24 = get8(i3 + 6 >> 0 | 0) | 0;
                if (!(i24 << 24 >> 24)) {
                 i41 = 17167;
                 i11 = 43;
                 break L68;
                }
                i25 = i24 & 255;
                if ((i25 & 223 | 0) != 65) {
                 i42 = 16286 + i25 | 0;
                 i43 = 97;
                 break;
                }
                i25 = get8(i3 + 7 >> 0 | 0) | 0;
                if (!(i25 << 24 >> 24)) {
                 i41 = 17168;
                 i11 = 43;
                 break L68;
                }
                i24 = i25 & 255;
                if ((i24 & 223 | 0) != 82) {
                 i42 = 16286 + i24 | 0;
                 i43 = 114;
                 break;
                }
                i24 = get8(i3 + 8 >> 0 | 0) | 0;
                if (!(i24 << 24 >> 24)) {
                 i41 = 17169;
                 i11 = 43;
                 break L68;
                }
                i25 = i24 & 255;
                if ((i25 & 223 | 0) == 89) {
                 i26 = 5;
                 break L9;
                } else {
                 i42 = 16286 + i25 | 0;
                 i43 = 121;
                }
               } else {
                i42 = i14;
                i43 = 111;
               }
              } else {
               i42 = i23;
               i43 = 112;
              }
             } else {
              i42 = i13;
              i43 = 109;
             }
            } else {
             i42 = i9;
             i43 = 101;
            }
           } else {
            i42 = i15;
            i43 = 116;
           } while (0);
           i44 = get8(i42 >> 0 | 0) | 0;
           i45 = i43;
          } while (0);
          if ((i11 | 0) == 43) {
           i11 = 0;
           i44 = 0;
           i45 = get8(16286 + (getU8(i41 >> 0 | 0) | 0) >> 0 | 0) | 0;
          }
          if (i44 << 24 >> 24 == i45 << 24 >> 24) {
           i26 = 5;
           break L9;
          }
          break;
         }
        default:
         {}
        }
        i26 = 2;
        break;
       }
      case 69:
      case 101:
       {
        switch (i21 | 0) {
        case 3:
         {
          do if (!(i4 << 24 >> 24)) {
           i46 = 17171;
           i11 = 51;
          } else {
           i15 = 16286 + i12 | 0;
           if ((i12 & 223 | 0) == 69) {
            i9 = get8(i3 + 1 >> 0 | 0) | 0;
            if (!(i9 << 24 >> 24)) {
             i46 = 17172;
             i11 = 51;
             break;
            }
            i13 = i9 & 255;
            i9 = 16286 + i13 | 0;
            if ((i13 & 223 | 0) == 78) {
             i13 = get8(i3 + 2 >> 0 | 0) | 0;
             if (!(i13 << 24 >> 24)) {
              i46 = 17173;
              i11 = 51;
              break;
             }
             i23 = i13 & 255;
             if ((i23 & 223 | 0) == 68) {
              i26 = 7;
              break L9;
             } else {
              i47 = 16286 + i23 | 0;
              i48 = 100;
             }
            } else {
             i47 = i9;
             i48 = 110;
            }
           } else {
            i47 = i15;
            i48 = 101;
           }
           i49 = get8(i47 >> 0 | 0) | 0;
           i50 = i48;
          } while (0);
          if ((i11 | 0) == 51) {
           i11 = 0;
           i49 = 0;
           i50 = get8(16286 + (getU8(i46 >> 0 | 0) | 0) >> 0 | 0) | 0;
          }
          if (i49 << 24 >> 24 == i50 << 24 >> 24) {
           i26 = 7;
           break L9;
          }
          break;
         }
        case 7:
         {
          L107 : do if (!(i4 << 24 >> 24)) {
           i51 = 17175;
           i11 = 57;
          } else {
           i15 = 16286 + i12 | 0;
           do if ((i12 & 223 | 0) == 69) {
            i9 = get8(i3 + 1 >> 0 | 0) | 0;
            if (!(i9 << 24 >> 24)) {
             i51 = 17176;
             i11 = 57;
             break L107;
            }
            i23 = i9 & 255;
            i9 = 16286 + i23 | 0;
            if ((i23 & 223 | 0) == 88) {
             i23 = get8(i3 + 2 >> 0 | 0) | 0;
             if (!(i23 << 24 >> 24)) {
              i51 = 17177;
              i11 = 57;
              break L107;
             }
             i13 = i23 & 255;
             i23 = 16286 + i13 | 0;
             if ((i13 & 223 | 0) == 80) {
              i13 = get8(i3 + 3 >> 0 | 0) | 0;
              if (!(i13 << 24 >> 24)) {
               i51 = 17178;
               i11 = 57;
               break L107;
              }
              i14 = i13 & 255;
              i13 = 16286 + i14 | 0;
              if ((i14 & 223 | 0) == 76) {
               i14 = get8(i3 + 4 >> 0 | 0) | 0;
               if (!(i14 << 24 >> 24)) {
                i51 = 17179;
                i11 = 57;
                break L107;
               }
               i25 = i14 & 255;
               i14 = 16286 + i25 | 0;
               if ((i25 & 223 | 0) == 65) {
                i25 = get8(i3 + 5 >> 0 | 0) | 0;
                if (!(i25 << 24 >> 24)) {
                 i51 = 17180;
                 i11 = 57;
                 break L107;
                }
                i24 = i25 & 255;
                if ((i24 & 223 | 0) != 73) {
                 i52 = 16286 + i24 | 0;
                 i53 = 105;
                 break;
                }
                i24 = get8(i3 + 6 >> 0 | 0) | 0;
                if (!(i24 << 24 >> 24)) {
                 i51 = 17181;
                 i11 = 57;
                 break L107;
                }
                i25 = i24 & 255;
                if ((i25 & 223 | 0) == 78) {
                 i26 = 3;
                 break L9;
                } else {
                 i52 = 16286 + i25 | 0;
                 i53 = 110;
                }
               } else {
                i52 = i14;
                i53 = 97;
               }
              } else {
               i52 = i13;
               i53 = 108;
              }
             } else {
              i52 = i23;
              i53 = 112;
             }
            } else {
             i52 = i9;
             i53 = 120;
            }
           } else {
            i52 = i15;
            i53 = 101;
           } while (0);
           i54 = i53;
           i55 = get8(i52 >> 0 | 0) | 0;
          } while (0);
          if ((i11 | 0) == 57) {
           i11 = 0;
           i54 = get8(16286 + (getU8(i51 >> 0 | 0) | 0) >> 0 | 0) | 0;
           i55 = 0;
          }
          if (i55 << 24 >> 24 == i54 << 24 >> 24) {
           i26 = 3;
           break L9;
          }
          break;
         }
        default:
         {}
        }
        i26 = 2;
        break;
       }
      default:
       i26 = 2;
      } while (0);
      i7 = i3 + (i21 + -1) | 0;
      i8 = i26;
     }
    }
   } while (0);
   i6 = get8((i8 & 255) + (17077 + ((i5 & 255) << 3)) >> 0 | 0) | 0;
   i3 = i7 + 1 | 0;
   i4 = get8(i3 >> 0 | 0) | 0;
   if (!(i4 << 24 >> 24)) {
    i56 = i6;
    i11 = 65;
    break;
   } else i5 = i6;
  }
  if ((i11 | 0) == 13) {
   i10 = i18 << 24 >> 24 == 1 & 1;
   return i10 | 0;
  } else if ((i11 | 0) == 65) {
   i57 = i56 << 24 >> 24 == 1;
   break;
  } else if ((i11 | 0) == 67) return i10 | 0;
 } else i57 = 0; while (0);
 i10 = i57 & 1;
 return i10 | 0;
}

function _strftimeFunc(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, d35 = 0.0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 240 | 0;
 i5 = i4 + 128 | 0;
 i6 = i4 + 120 | 0;
 i7 = i4 + 112 | 0;
 i8 = i4 + 104 | 0;
 i9 = i4 + 96 | 0;
 i10 = i4 + 88 | 0;
 i11 = i4 + 80 | 0;
 i12 = i4 + 72 | 0;
 i13 = i4 + 64 | 0;
 i14 = i4 + 56 | 0;
 i15 = i4 + 48 | 0;
 i16 = i4;
 i17 = i4 + 132 | 0;
 i18 = _sqlite3ValueText(get32(i3 | 0) | 0, 1) | 0;
 if (!i18) {
  STACKTOP = i4;
  return;
 }
 if (_isDate(i1, i2 + -1 | 0, i3 + 4 | 0, i16) | 0) {
  STACKTOP = i4;
  return;
 }
 i3 = i1 + 8 | 0;
 i2 = get32(i3 | 0) | 0;
 i19 = 1;
 i20 = 0;
 i21 = 0;
 L7 : while (1) {
  L9 : do switch (get8(i18 + i21 >> 0 | 0) | 0) {
  case 0:
   {
    i22 = i20;
    i23 = i19;
    break L7;
    break;
   }
  case 37:
   {
    i24 = i21 + 1 | 0;
    switch (get8(i18 + i24 >> 0 | 0) | 0) {
    case 37:
    case 119:
     {
      i25 = i19;
      i26 = i20;
      i27 = i24;
      break L9;
      break;
     }
    case 87:
    case 83:
    case 77:
    case 109:
    case 72:
    case 100:
     {
      i25 = _i64Add(i19 | 0, i20 | 0, 1, 0) | 0;
      i26 = tempRet0;
      i27 = i24;
      break L9;
      break;
     }
    case 102:
     {
      i25 = _i64Add(i19 | 0, i20 | 0, 8, 0) | 0;
      i26 = tempRet0;
      i27 = i24;
      break L9;
      break;
     }
    case 106:
     {
      i25 = _i64Add(i19 | 0, i20 | 0, 3, 0) | 0;
      i26 = tempRet0;
      i27 = i24;
      break L9;
      break;
     }
    case 89:
     {
      i25 = _i64Add(i19 | 0, i20 | 0, 8, 0) | 0;
      i26 = tempRet0;
      i27 = i24;
      break L9;
      break;
     }
    case 74:
    case 115:
     {
      i25 = _i64Add(i19 | 0, i20 | 0, 50, 0) | 0;
      i26 = tempRet0;
      i27 = i24;
      break L9;
      break;
     }
    default:
     {
      i28 = 105;
      break L7;
     }
    }
    break;
   }
  default:
   {
    i25 = i19;
    i26 = i20;
    i27 = i21;
   }
  } while (0);
  i24 = _i64Add(i25 | 0, i26 | 0, 1, 0) | 0;
  i19 = i24;
  i20 = tempRet0;
  i21 = i27 + 1 | 0;
 }
 if ((i28 | 0) == 105) {
  STACKTOP = i4;
  return;
 }
 L21 : do if (i22 >>> 0 < 0 | (i22 | 0) == 0 & i23 >>> 0 < 100) i29 = i17; else {
  i27 = get32(i2 + 72 | 0) | 0;
  i21 = ((i27 | 0) < 0) << 31 >> 31;
  if (i22 >>> 0 > i21 >>> 0 | (i22 | 0) == (i21 | 0) & i23 >>> 0 > i27 >>> 0) {
   set32(i1 + 52 | 0, 18 | 0);
   _sqlite3VdbeMemSetStr(i1 + 8 | 0, 16620, -1, 1, 0) | 0;
   STACKTOP = i4;
   return;
  }
  i27 = i2 + 30 | 0;
  if (!(get8(i27 >> 0 | 0) | 0)) {
   do if (get8(i2 + 234 >> 0 | 0) | 0) {
    if ((getU16(i2 + 232 | 0) | 0) < (i23 | 0)) {
     i21 = i2 + 248 | 0;
     set32(i21 | 0, (get32(i21 | 0) | 0) + 1 | 0);
     break;
    }
    i21 = i2 + 256 | 0;
    i20 = get32(i21 | 0) | 0;
    if (!i20) {
     i19 = i2 + 252 | 0;
     set32(i19 | 0, (get32(i19 | 0) | 0) + 1 | 0);
     break;
    }
    set32(i21 | 0, get32(i20 | 0) | 0);
    i21 = i2 + 236 | 0;
    i19 = get32(i21 | 0) | 0;
    i26 = i19 + 1 | 0;
    set32(i21 | 0, i26 | 0);
    i21 = i2 + 244 | 0;
    set32(i21 | 0, (get32(i21 | 0) | 0) + 1 | 0);
    i21 = i2 + 240 | 0;
    if ((i19 | 0) >= (get32(i21 | 0) | 0)) set32(i21 | 0, i26 | 0);
    i29 = i20;
    break L21;
   } while (0);
   do if ((i23 + -1 | 0) >>> 0 <= 2147483390) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i20 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i23) | 0;
     if (!i20) break; else {
      i29 = i20;
      break L21;
     }
    }
    i20 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i23) | 0;
    set32(35 * 4 | 0, i23 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i23 | 0)) set32(45 * 4 | 0, i23 | 0);
    i26 = get32(6 * 4 | 0) | 0;
    do if (i26) {
     i21 = get32(30 * 4 | 0) | 0;
     i19 = ((i21 | 0) < 0) << 31 >> 31;
     i25 = 16;
     i24 = _i64Subtract(get32(i25 | 0) | 0, get32(i25 + 4 | 0) | 0, i20 | 0, ((i20 | 0) < 0) << 31 >> 31 | 0) | 0;
     i25 = tempRet0;
     if ((i19 | 0) < (i25 | 0) | (i19 | 0) == (i25 | 0) & i21 >>> 0 < i24 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i24 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i26 & 15](i24, i21, i19, i20);
      set32(6 * 4 | 0, i26 | 0);
      set32(7 * 4 | 0, i24 | 0);
      break;
     }
    } while (0);
    i26 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i20) | 0;
    if (i26) {
     i24 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i26) | 0;
     i19 = (get32(30 * 4 | 0) | 0) + i24 | 0;
     set32(30 * 4 | 0, i19 | 0);
     if ((i19 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i19 | 0);
     i19 = get32(39 * 4 | 0) | 0;
     i24 = i19 + 1 | 0;
     set32(39 * 4 | 0, i24 | 0);
     if ((i19 | 0) < (get32(49 * 4 | 0) | 0)) {
      i29 = i26;
      break L21;
     }
     set32(49 * 4 | 0, i24 | 0);
     i29 = i26;
     break L21;
    }
   } while (0);
   set8(i27 >> 0 | 0, 1 | 0);
  }
  i26 = i1 + 36 | 0;
  i24 = get16(i26 | 0) | 0;
  if (i24 & 64) {
   i19 = get32(i1 + 24 | 0) | 0;
   i21 = (get32(i19 | 0) | 0) + 172 | 0;
   set32(i19 + 60 | 0, get32(i21 | 0) | 0);
   set32(i21 | 0, i19 | 0);
  }
  if (!(i24 & 32)) i30 = i24; else {
   i19 = get32(i1 + 24 | 0) | 0;
   i21 = get32(i19 | 0) | 0;
   if (!i21) i31 = i24; else {
    i24 = i19 + 4 | 0;
    i25 = i21;
    do {
     i21 = i25;
     i25 = get32(i25 | 0) | 0;
     _sqlite3DbFree(get32(i24 | 0) | 0, i21);
    } while ((i25 | 0) != 0);
    i31 = get16(i26 | 0) | 0;
   }
   set32(i19 | 0, 0 | 0);
   set16(i19 + 24 | 0, 0 | 0);
   set32(i19 + 8 | 0, 0 | 0);
   set32(i19 + 12 | 0, 0 | 0);
   set32(i19 + 20 | 0, 0 | 0);
   set8(i19 + 26 >> 0 | 0, 1 | 0);
   i30 = i31;
  }
  set16(i26 | 0, i30 & 48896 | 1 | 0);
  set8(i1 + 38 >> 0 | 0, 5 | 0);
  set32(i1 + 52 | 0, 7 | 0);
  set8((get32(i3 | 0) | 0) + 30 >> 0 | 0, 1 | 0);
  STACKTOP = i4;
  return;
 } while (0);
 i3 = i16 + 42 | 0;
 i30 = i16 + 40 | 0;
 i31 = get16(i30 | 0) | 0;
 i23 = get32(i30 | 0) | 0;
 if (!(get8(i3 >> 0 | 0) | 0)) {
  i2 = i23 >>> 24 & 255;
  i22 = i23 & 255;
  i25 = (i31 & 65535) >>> 8 & 255;
  if (!((i23 & 255) << 24 >> 24)) {
   i32 = 3;
   i33 = 1;
   i34 = 2e3;
  } else {
   i32 = (get32(i16 + 16 | 0) | 0) + 2 | 0;
   i33 = get32(i16 + 12 | 0) | 0;
   i34 = get32(i16 + 8 | 0) | 0;
  }
  i24 = (i33 | 0) < 3;
  i27 = (i24 << 31 >> 31) + i34 | 0;
  d35 = (+(((i27 | 0) / -100 | 0) + i32 + ((i27 | 0) / 400 | 0) + (((i27 * 36525 | 0) + 172251900 | 0) / 100 | 0) + ((((i24 ? i33 + 12 | 0 : i33) * 306001 | 0) + 306001 | 0) / 1e4 | 0) | 0) + -1524.5) * 864.0e5;
  i33 = ~~d35 >>> 0;
  i24 = +Math_abs(d35) >= 1.0 ? (d35 > 0.0 ? ~~+Math_min(+Math_floor(d35 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d35 - +(~~d35 >>> 0)) / 4294967296.0) >>> 0) : 0;
  i27 = i16;
  set32(i27 | 0, i33 | 0);
  set32(i27 + 4 | 0, i24 | 0);
  set8(i3 >> 0 | 0, 1 | 0);
  i27 = i16 + 41 | 0;
  if (i23 & 65280) {
   i32 = Math_imul(get32(i16 + 20 | 0) | 0, 36e5) | 0;
   i34 = ((get32(i16 + 24 | 0) | 0) * 6e4 | 0) + i32 | 0;
   d35 = +getF64(i16 + 32 | 0) * 1.0e3;
   i32 = _i64Add(~~d35 >>> 0 | 0, (+Math_abs(d35) >= 1.0 ? (d35 > 0.0 ? ~~+Math_min(+Math_floor(d35 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d35 - +(~~d35 >>> 0)) / 4294967296.0) >>> 0) : 0) | 0, i33 | 0, i24 | 0) | 0;
   i24 = _i64Add(i32 | 0, tempRet0 | 0, i34 | 0, ((i34 | 0) < 0) << 31 >> 31 | 0) | 0;
   i34 = tempRet0;
   i32 = i16;
   set32(i32 | 0, i24 | 0);
   set32(i32 + 4 | 0, i34 | 0);
   if (!(i2 << 24 >> 24)) {
    i36 = i22;
    i37 = 1;
    i38 = 0;
    i39 = i25;
    i40 = i25;
    i28 = 55;
   } else {
    i32 = (get32(i16 + 28 | 0) | 0) * 6e4 | 0;
    i33 = _i64Subtract(i24 | 0, i34 | 0, i32 | 0, ((i32 | 0) < 0) << 31 >> 31 | 0) | 0;
    i32 = i16;
    set32(i32 | 0, i33 | 0);
    set32(i32 + 4 | 0, tempRet0 | 0);
    set8(i30 >> 0 | 0, 0 | 0);
    set8(i27 >> 0 | 0, 0 | 0);
    set8(i16 + 43 >> 0 | 0, 0 | 0);
    i41 = 0;
    i42 = 0;
    i43 = 1;
    i44 = 0;
    i28 = 57;
   }
  } else {
   i36 = i22;
   i37 = 1;
   i38 = i2;
   i39 = i25;
   i40 = i25;
   i28 = 55;
  }
 } else {
  i36 = i23 & 255;
  i37 = i23 >>> 16 & 255;
  i38 = i23 >>> 24 & 255;
  i39 = (i31 & 65535) >>> 8 & 255;
  i40 = (i23 & 65535) >>> 8 & 255;
  i28 = 55;
 }
 if ((i28 | 0) == 55) if (!(i36 << 24 >> 24)) if (!(i37 << 24 >> 24)) {
  i45 = 2e3;
  i46 = 1;
  i47 = 1;
  i48 = i38;
  i49 = i39;
  i50 = i37;
  i51 = i40;
  i28 = 58;
 } else {
  i41 = i38;
  i42 = i39;
  i43 = i37;
  i44 = i40;
  i28 = 57;
 } else {
  i52 = i40;
  i53 = i37;
  i54 = i36;
  i55 = i39;
  i56 = i38;
 }
 if ((i28 | 0) == 57) {
  i38 = i16;
  i39 = _i64Add(get32(i38 | 0) | 0, get32(i38 + 4 | 0) | 0, 432e5, 0) | 0;
  i38 = ___divdi3(i39 | 0, tempRet0 | 0, 864e5, 0) | 0;
  i39 = ~~((+(i38 | 0) + -1867216.25) / 36524.25);
  i36 = i38 + 1525 + i39 + ((i39 | 0) / -4 | 0) | 0;
  i39 = ~~((+(i36 | 0) + -122.1) / 365.25);
  i38 = i36 - ((i39 * 36525 | 0) / 100 | 0) | 0;
  i36 = ~~(+(i38 | 0) / 30.6001);
  i37 = ((i36 | 0) < 14 ? -1 : -13) + i36 | 0;
  i45 = ((i37 | 0) > 2 ? -4716 : -4715) + i39 | 0;
  i46 = i37;
  i47 = i38 - ~~(+(i36 | 0) * 30.6001) | 0;
  i48 = i41;
  i49 = i42;
  i50 = i43;
  i51 = i44;
  i28 = 58;
 }
 if ((i28 | 0) == 58) {
  set32(i16 + 16 | 0, i47 | 0);
  set32(i16 + 12 | 0, i46 | 0);
  set32(i16 + 8 | 0, i45 | 0);
  set8(i30 >> 0 | 0, 1 | 0);
  i52 = i51;
  i53 = i50;
  i54 = 1;
  i55 = i49;
  i56 = i48;
 }
 i48 = i16 + 41 | 0;
 if (!(i52 << 24 >> 24)) {
  if (!(i53 << 24 >> 24)) {
   if (!(i54 << 24 >> 24)) {
    i57 = 3;
    i58 = 1;
    i59 = 2e3;
   } else {
    i57 = (get32(i16 + 16 | 0) | 0) + 2 | 0;
    i58 = get32(i16 + 12 | 0) | 0;
    i59 = get32(i16 + 8 | 0) | 0;
   }
   i54 = (i58 | 0) < 3;
   i53 = (i54 << 31 >> 31) + i59 | 0;
   d35 = (+(((i53 | 0) / -100 | 0) + i57 + ((i53 | 0) / 400 | 0) + (((i53 * 36525 | 0) + 172251900 | 0) / 100 | 0) + ((((i54 ? i58 + 12 | 0 : i58) * 306001 | 0) + 306001 | 0) / 1e4 | 0) | 0) + -1524.5) * 864.0e5;
   i58 = ~~d35 >>> 0;
   i54 = +Math_abs(d35) >= 1.0 ? (d35 > 0.0 ? ~~+Math_min(+Math_floor(d35 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d35 - +(~~d35 >>> 0)) / 4294967296.0) >>> 0) : 0;
   i53 = i16;
   set32(i53 | 0, i58 | 0);
   set32(i53 + 4 | 0, i54 | 0);
   set8(i3 >> 0 | 0, 1 | 0);
   if (i55 << 24 >> 24) {
    i55 = Math_imul(get32(i16 + 20 | 0) | 0, 36e5) | 0;
    i3 = ((get32(i16 + 24 | 0) | 0) * 6e4 | 0) + i55 | 0;
    d35 = +getF64(i16 + 32 | 0) * 1.0e3;
    i55 = _i64Add(~~d35 >>> 0 | 0, (+Math_abs(d35) >= 1.0 ? (d35 > 0.0 ? ~~+Math_min(+Math_floor(d35 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d35 - +(~~d35 >>> 0)) / 4294967296.0) >>> 0) : 0) | 0, i58 | 0, i54 | 0) | 0;
    i53 = _i64Add(i55 | 0, tempRet0 | 0, i3 | 0, ((i3 | 0) < 0) << 31 >> 31 | 0) | 0;
    i3 = tempRet0;
    i55 = i16;
    set32(i55 | 0, i53 | 0);
    set32(i55 + 4 | 0, i3 | 0);
    if (!(i56 << 24 >> 24)) {
     i60 = i16;
     i61 = i53;
     i62 = i3;
    } else {
     i56 = (get32(i16 + 28 | 0) | 0) * 6e4 | 0;
     i55 = _i64Subtract(i53 | 0, i3 | 0, i56 | 0, ((i56 | 0) < 0) << 31 >> 31 | 0) | 0;
     i56 = tempRet0;
     i3 = i16;
     set32(i3 | 0, i55 | 0);
     set32(i3 + 4 | 0, i56 | 0);
     set8(i30 >> 0 | 0, 0 | 0);
     set8(i48 >> 0 | 0, 0 | 0);
     set8(i16 + 43 >> 0 | 0, 0 | 0);
     i60 = i16;
     i61 = i55;
     i62 = i56;
    }
   } else {
    i60 = i16;
    i61 = i58;
    i62 = i54;
   }
  } else {
   i54 = i16;
   i60 = i16;
   i61 = get32(i54 | 0) | 0;
   i62 = get32(i54 + 4 | 0) | 0;
  }
  i54 = _i64Add(i61 | 0, i62 | 0, 432e5, 0) | 0;
  i62 = ___remdi3(i54 | 0, tempRet0 | 0, 864e5, 0) | 0;
  d35 = +(i62 | 0) / 1.0e3;
  i62 = i16 + 32 | 0;
  i54 = ~~d35;
  i61 = (i54 | 0) / 3600 | 0;
  i58 = i16 + 20 | 0;
  set32(i58 | 0, i61 | 0);
  i56 = i54 + (Math_imul(i61, -3600) | 0) | 0;
  i61 = (i56 | 0) / 60 | 0;
  i55 = i16 + 24 | 0;
  set32(i55 | 0, i61 | 0);
  setF64(i62 | 0, +(d35 - +(i54 | 0) + +(i56 + (Math_imul(i61, -60) | 0) | 0)));
  set8(i48 >> 0 | 0, 1 | 0);
  i63 = i62;
  i64 = i58;
  i65 = i60;
  i66 = i55;
 } else {
  i63 = i16 + 32 | 0;
  i64 = i16 + 20 | 0;
  i65 = i16;
  i66 = i16 + 24 | 0;
 }
 i55 = i16 + 16 | 0;
 i60 = i16 + 8 | 0;
 i58 = i16 + 28 | 0;
 i62 = i16 + 12 | 0;
 i16 = 0;
 i48 = 0;
 L105 : while (1) {
  i61 = get8(i18 + i16 >> 0 | 0) | 0;
  L107 : do switch (i61 << 24 >> 24) {
  case 0:
   {
    i67 = i48;
    break L105;
    break;
   }
  case 37:
   {
    i56 = i16 + 1 | 0;
    i54 = get8(i18 + i56 >> 0 | 0) | 0;
    do switch (i54 << 24 >> 24 | 0) {
    case 100:
     {
      set32(i15 | 0, get32(i55 | 0) | 0);
      _sqlite3_snprintf(3, i29 + i48 | 0, 38195, i15) | 0;
      i68 = i56;
      i69 = i48 + 2 | 0;
      break L107;
      break;
     }
    case 102:
     {
      d35 = +getF64(i63 | 0);
      i3 = i29 + i48 | 0;
      setF64(i14 | 0, +(d35 > 59.999 ? 59.999 : d35));
      _sqlite3_snprintf(7, i3, 38200, i14) | 0;
      if (!i3) i70 = 0; else {
       i53 = i3;
       while (1) if (!(get8(i53 >> 0 | 0) | 0)) {
        i71 = i53;
        break;
       } else i53 = i53 + 1 | 0;
       i70 = i71 - i3 & 1073741823;
      }
      i68 = i56;
      i69 = i70 + i48 | 0;
      break L107;
      break;
     }
    case 72:
     {
      set32(i13 | 0, get32(i64 | 0) | 0);
      _sqlite3_snprintf(3, i29 + i48 | 0, 38195, i13) | 0;
      i68 = i56;
      i69 = i48 + 2 | 0;
      break L107;
      break;
     }
    case 106:
    case 87:
     {
      i53 = get32(i58 | 0) | 0;
      i57 = get32(i30 | 0) | 0;
      i59 = (i57 & 255) << 24 >> 24 == 0 ? 1999 : (get32(i60 | 0) | 0) + -1 | 0;
      d35 = (+(((i59 | 0) / -100 | 0) + 431 + ((i59 | 0) / 400 | 0) + (((i59 * 36525 | 0) + 172251900 | 0) / 100 | 0) | 0) + -1524.5) * 864.0e5;
      i59 = ~~d35 >>> 0;
      i52 = +Math_abs(d35) >= 1.0 ? (d35 > 0.0 ? ~~+Math_min(+Math_floor(d35 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d35 - +(~~d35 >>> 0)) / 4294967296.0) >>> 0) : 0;
      if (i57 & 65280) {
       i49 = (Math_imul(get32(i64 | 0) | 0, 36e5) | 0) + ((get32(i66 | 0) | 0) * 6e4 | 0) | 0;
       d35 = +getF64(i63 | 0) * 1.0e3;
       i50 = _i64Add(~~d35 >>> 0 | 0, (+Math_abs(d35) >= 1.0 ? (d35 > 0.0 ? ~~+Math_min(+Math_floor(d35 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d35 - +(~~d35 >>> 0)) / 4294967296.0) >>> 0) : 0) | 0, i59 | 0, i52 | 0) | 0;
       i51 = _i64Add(i50 | 0, tempRet0 | 0, i49 | 0, ((i49 | 0) < 0) << 31 >> 31 | 0) | 0;
       i49 = tempRet0;
       if (i57 >>> 0 < 16777216) {
        i72 = i51;
        i73 = i49;
       } else {
        i57 = i53 * 6e4 | 0;
        i53 = _i64Subtract(i51 | 0, i49 | 0, i57 | 0, ((i57 | 0) < 0) << 31 >> 31 | 0) | 0;
        i72 = i53;
        i73 = tempRet0;
       }
      } else {
       i72 = i59;
       i73 = i52;
      }
      i52 = i65;
      i59 = get32(i52 | 0) | 0;
      i53 = get32(i52 + 4 | 0) | 0;
      i52 = _i64Subtract(432e5, 0, i72 | 0, i73 | 0) | 0;
      i57 = _i64Add(i52 | 0, tempRet0 | 0, i59 | 0, i53 | 0) | 0;
      i52 = ___divdi3(i57 | 0, tempRet0 | 0, 864e5, 0) | 0;
      if (i54 << 24 >> 24 == 87) {
       i57 = _i64Add(i59 | 0, i53 | 0, 432e5, 0) | 0;
       i53 = ___divdi3(i57 | 0, tempRet0 | 0, 864e5, 0) | 0;
       i57 = ___remdi3(i53 | 0, tempRet0 | 0, 7, 0) | 0;
       set32(i12 | 0, (i52 + 7 - i57 | 0) / 7 | 0 | 0);
       _sqlite3_snprintf(3, i29 + i48 | 0, 38195, i12) | 0;
       i68 = i56;
       i69 = i48 + 2 | 0;
       break L107;
      } else {
       set32(i11 | 0, i52 + 1 | 0);
       _sqlite3_snprintf(4, i29 + i48 | 0, 38207, i11) | 0;
       i68 = i56;
       i69 = i48 + 3 | 0;
       break L107;
      }
      break;
     }
    case 74:
     {
      i52 = i29 + i48 | 0;
      i57 = i65;
      setF64(i10 | 0, +((+((get32(i57 | 0) | 0) >>> 0) + 4294967296.0 * +(get32(i57 + 4 | 0) | 0)) / 864.0e5));
      _sqlite3_snprintf(20, i52, 21129, i10) | 0;
      if (!i52) i74 = 0; else {
       i57 = i52;
       while (1) if (!(get8(i57 >> 0 | 0) | 0)) {
        i75 = i57;
        break;
       } else i57 = i57 + 1 | 0;
       i74 = i75 - i52 & 1073741823;
      }
      i68 = i56;
      i69 = i74 + i48 | 0;
      break L107;
      break;
     }
    case 109:
     {
      set32(i9 | 0, get32(i62 | 0) | 0);
      _sqlite3_snprintf(3, i29 + i48 | 0, 38195, i9) | 0;
      i68 = i56;
      i69 = i48 + 2 | 0;
      break L107;
      break;
     }
    case 77:
     {
      set32(i8 | 0, get32(i66 | 0) | 0);
      _sqlite3_snprintf(3, i29 + i48 | 0, 38195, i8) | 0;
      i68 = i56;
      i69 = i48 + 2 | 0;
      break L107;
      break;
     }
    case 115:
     {
      i57 = i29 + i48 | 0;
      i3 = i65;
      i53 = ___divdi3(get32(i3 | 0) | 0, get32(i3 + 4 | 0) | 0, 1e3, 0) | 0;
      i3 = _i64Add(i53 | 0, tempRet0 | 0, -413362496, -50) | 0;
      i53 = i7;
      set32(i53 | 0, i3 | 0);
      set32(i53 + 4 | 0, tempRet0 | 0);
      _sqlite3_snprintf(30, i57, 19882, i7) | 0;
      if (!i57) i76 = 0; else {
       i53 = i57;
       while (1) if (!(get8(i53 >> 0 | 0) | 0)) {
        i77 = i53;
        break;
       } else i53 = i53 + 1 | 0;
       i76 = i77 - i57 & 1073741823;
      }
      i68 = i56;
      i69 = i76 + i48 | 0;
      break L107;
      break;
     }
    case 83:
     {
      set32(i6 | 0, ~~+getF64(i63 | 0) | 0);
      _sqlite3_snprintf(3, i29 + i48 | 0, 38195, i6) | 0;
      i68 = i56;
      i69 = i48 + 2 | 0;
      break L107;
      break;
     }
    case 119:
     {
      i53 = i65;
      i52 = _i64Add(get32(i53 | 0) | 0, get32(i53 + 4 | 0) | 0, 1296e5, 0) | 0;
      i53 = ___divdi3(i52 | 0, tempRet0 | 0, 864e5, 0) | 0;
      i52 = ___remdi3(i53 | 0, tempRet0 | 0, 7, 0) | 0;
      set8(i29 + i48 >> 0 | 0, i52 + 48 | 0);
      i68 = i56;
      i69 = i48 + 1 | 0;
      break L107;
      break;
     }
    case 89:
     {
      i52 = i29 + i48 | 0;
      set32(i5 | 0, get32(i60 | 0) | 0);
      _sqlite3_snprintf(5, i52, 38212, i5) | 0;
      if (!i52) i78 = 0; else {
       i53 = i52;
       while (1) if (!(get8(i53 >> 0 | 0) | 0)) {
        i79 = i53;
        break;
       } else i53 = i53 + 1 | 0;
       i78 = i79 - i52 & 1073741823;
      }
      i68 = i56;
      i69 = i78 + i48 | 0;
      break L107;
      break;
     }
    default:
     {
      set8(i29 + i48 >> 0 | 0, 37 | 0);
      i68 = i56;
      i69 = i48 + 1 | 0;
      break L107;
     }
    } while (0);
    break;
   }
  default:
   {
    set8(i29 + i48 >> 0 | 0, i61 | 0);
    i68 = i16;
    i69 = i48 + 1 | 0;
   }
  } while (0);
  i16 = i68 + 1 | 0;
  i48 = i69;
 }
 set8(i29 + i67 >> 0 | 0, 0 | 0);
 i67 = i1 + 8 | 0;
 if ((_sqlite3VdbeMemSetStr(i67, i29, -1, 1, (i29 | 0) == (i17 | 0) ? -1 : 9) | 0) != 18) {
  STACKTOP = i4;
  return;
 }
 set32(i1 + 52 | 0, 18 | 0);
 _sqlite3VdbeMemSetStr(i67, 16620, -1, 1, 0) | 0;
 STACKTOP = i4;
 return;
}

function _sqlite3ExprIfFalse(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0;
 i5 = i1 + 12 | 0;
 i6 = get32(i5 | 0) | 0;
 if ((i2 | 0) == 0 | (i6 | 0) == 0) return; else {
  i7 = i6;
  i8 = i2;
 }
 L3 : while (1) {
  i2 = getU8(i8 >> 0 | 0) | 0;
  switch (i2 | 0) {
  case 68:
   {
    i9 = i7;
    i10 = i8;
    i11 = 4;
    break L3;
    break;
   }
  case 19:
   {
    i12 = i8;
    i11 = 27;
    break L3;
    break;
   }
  case 76:
  case 75:
  case 80:
  case 77:
  case 78:
  case 79:
   {
    i13 = i2;
    i14 = i8;
    i11 = 28;
    break L3;
    break;
   }
  case 146:
  case 70:
   {
    i15 = i8;
    i16 = i8;
    i11 = 66;
    break L3;
    break;
   }
  case 74:
  case 73:
   {
    i17 = i7;
    i18 = i2;
    i19 = i8;
    i11 = 104;
    break L3;
    break;
   }
  case 71:
   {
    i20 = i8;
    i11 = 132;
    break L3;
    break;
   }
  case 72:
   {
    i21 = i7;
    i22 = i8;
    i11 = 133;
    break L3;
    break;
   }
  case 69:
   break;
  default:
   {
    i23 = i7;
    i24 = i8;
    i11 = 149;
    break L3;
   }
  }
  _sqlite3ExprIfFalse(i1, get32(i8 + 8 | 0) | 0, i3, i4);
  i8 = get32(i8 + 12 | 0) | 0;
  i7 = get32(i5 | 0) | 0;
  if ((i8 | 0) == 0 | (i7 | 0) == 0) {
   i11 = 205;
   break;
  }
 }
 do if ((i11 | 0) == 4) {
  i7 = i9 + 36 | 0;
  i8 = get32(i7 | 0) | 0;
  set32(i7 | 0, i8 + 1 | 0);
  i7 = i9 + 40 | 0;
  i5 = get32(i7 | 0) | 0;
  if ((i8 | 0) < (i5 | 0)) i25 = i9 + 44 | 0; else {
   i2 = get32(i9 | 0) | 0;
   i6 = i9 + 44 | 0;
   i26 = get32(i6 | 0) | 0;
   i27 = _sqlite3DbRealloc(i2, i26, (i5 << 3) + 20 | 0) | 0;
   if (i27) {
    set32(i6 | 0, i27 | 0);
    i5 = get32(i9 | 0) | 0;
    if (((i5 | 0) != 0 ? (get32(i5 + 260 | 0) | 0) >>> 0 <= i27 >>> 0 : 0) ? (get32(i5 + 264 | 0) | 0) >>> 0 > i27 >>> 0 : 0) i28 = getU16(i5 + 232 | 0) | 0; else i11 = 12;
   } else {
    _sqlite3DbFree(i2, i26);
    set32(i6 | 0, 0 | 0);
    i11 = 12;
   }
   if ((i11 | 0) == 12) i28 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i27) | 0;
   set32(i7 | 0, i28 >>> 2 | 0);
   i25 = i6;
  }
  i6 = get32(i25 | 0) | 0;
  if (i6) set32(i6 + (i8 << 2) | 0, -1 | 0);
  i6 = i1 + 84 | 0;
  set32(i6 | 0, (get32(i6 | 0) | 0) + 1 | 0);
  _sqlite3ExprIfTrue(i1, get32(i10 + 8 | 0) | 0, ~i8, i4 ^ 8);
  _sqlite3ExprIfFalse(i1, get32(i10 + 12 | 0) | 0, i3, i4);
  i7 = get32(i9 + 44 | 0) | 0;
  if (i7) set32(i7 + (i8 << 2) | 0, get32(i9 + 28 | 0) | 0);
  set32(i6 | 0, (get32(i6 | 0) | 0) + -1 | 0);
  i8 = i1 + 21 | 0;
  i7 = 0;
  i27 = i1 + 96 | 0;
  while (1) {
   i26 = i27 + 16 | 0;
   i2 = get32(i26 | 0) | 0;
   if ((i2 | 0) != 0 ? (get32(i27 + 12 | 0) | 0) > (get32(i6 | 0) | 0) : 0) {
    i5 = i27 + 8 | 0;
    if (get8(i5 >> 0 | 0) | 0) {
     i29 = get8(i8 >> 0 | 0) | 0;
     if ((i29 & 255) < 8) {
      set8(i8 >> 0 | 0, i29 + 1 << 24 >> 24 | 0);
      set32(i1 + 24 + ((i29 & 255) << 2) | 0, i2 | 0);
     }
     set8(i5 >> 0 | 0, 0 | 0);
    }
    set32(i26 | 0, 0 | 0);
   }
   i7 = i7 + 1 | 0;
   if ((i7 | 0) == 10) break; else i27 = i27 + 24 | 0;
  }
  return;
 } else if ((i11 | 0) == 27) {
  _sqlite3ExprIfTrue(i1, get32(i12 + 8 | 0) | 0, i3, i4);
  return;
 } else if ((i11 | 0) == 28) {
  i27 = (i13 + 1 ^ 1) + -1 | 0;
  i7 = i14 + 8 | 0;
  i8 = get32(i7 | 0) | 0;
  i6 = i1 + 21 | 0;
  i26 = get8(i6 >> 0 | 0) | 0;
  if (!(i26 << 24 >> 24)) {
   i5 = i1 + 72 | 0;
   i2 = (get32(i5 | 0) | 0) + 1 | 0;
   set32(i5 | 0, i2 | 0);
   i30 = i2;
  } else {
   i2 = i26 + -1 << 24 >> 24;
   set8(i6 >> 0 | 0, i2 | 0);
   i30 = get32(i1 + 24 + ((i2 & 255) << 2) | 0) | 0;
  }
  i2 = _sqlite3ExprCodeTarget(i1, i8, i30) | 0;
  do if ((i2 | 0) != (i30 | 0)) if (!i30) {
   i31 = 0;
   i11 = 47;
  } else {
   i8 = get8(i6 >> 0 | 0) | 0;
   if ((i8 & 255) >= 8) {
    i26 = i14 + 12 | 0;
    i32 = i8;
    i33 = get32(i26 | 0) | 0;
    i34 = i26;
    i35 = 0;
    i11 = 49;
    break;
   }
   if ((get32(i1 + 112 | 0) | 0) != (i30 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i30 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i30 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i30 | 0)) if ((get32(i1 + 208 | 0) | 0) != (i30 | 0)) if ((get32(i1 + 232 | 0) | 0) != (i30 | 0)) if ((get32(i1 + 256 | 0) | 0) != (i30 | 0)) if ((get32(i1 + 280 | 0) | 0) != (i30 | 0)) if ((get32(i1 + 304 | 0) | 0) != (i30 | 0)) if ((get32(i1 + 328 | 0) | 0) == (i30 | 0)) i36 = i1 + 312 | 0; else {
    set8(i6 >> 0 | 0, i8 + 1 << 24 >> 24 | 0);
    set32(i1 + 24 + ((i8 & 255) << 2) | 0, i30 | 0);
    i31 = 0;
    i11 = 47;
    break;
   } else i36 = i1 + 288 | 0; else i36 = i1 + 264 | 0; else i36 = i1 + 240 | 0; else i36 = i1 + 216 | 0; else i36 = i1 + 192 | 0; else i36 = i1 + 168 | 0; else i36 = i1 + 144 | 0; else i36 = i1 + 120 | 0; else i36 = i1 + 96 | 0;
   set8(i36 + 8 >> 0 | 0, 1 | 0);
   i31 = 0;
   i11 = 47;
  } else {
   i31 = i30;
   i11 = 47;
  } while (0);
  if ((i11 | 0) == 47) {
   i8 = get8(i6 >> 0 | 0) | 0;
   i26 = i14 + 12 | 0;
   i5 = get32(i26 | 0) | 0;
   if (!(i8 << 24 >> 24)) {
    i29 = i1 + 72 | 0;
    i37 = (get32(i29 | 0) | 0) + 1 | 0;
    set32(i29 | 0, i37 | 0);
    i38 = i37;
    i39 = i5;
    i40 = i26;
    i41 = i31;
   } else {
    i32 = i8;
    i33 = i5;
    i34 = i26;
    i35 = i31;
    i11 = 49;
   }
  }
  if ((i11 | 0) == 49) {
   i26 = i32 + -1 << 24 >> 24;
   set8(i6 >> 0 | 0, i26 | 0);
   i38 = get32(i1 + 24 + ((i26 & 255) << 2) | 0) | 0;
   i39 = i33;
   i40 = i34;
   i41 = i35;
  }
  i26 = _sqlite3ExprCodeTarget(i1, i39, i38) | 0;
  do if ((i26 | 0) != (i38 | 0)) if ((i38 | 0) != 0 ? (i5 = get8(i6 >> 0 | 0) | 0, (i5 & 255) < 8) : 0) {
   if ((get32(i1 + 112 | 0) | 0) != (i38 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i38 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i38 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i38 | 0)) if ((get32(i1 + 208 | 0) | 0) != (i38 | 0)) if ((get32(i1 + 232 | 0) | 0) != (i38 | 0)) if ((get32(i1 + 256 | 0) | 0) != (i38 | 0)) if ((get32(i1 + 280 | 0) | 0) != (i38 | 0)) if ((get32(i1 + 304 | 0) | 0) != (i38 | 0)) if ((get32(i1 + 328 | 0) | 0) == (i38 | 0)) i42 = i1 + 312 | 0; else {
    set8(i6 >> 0 | 0, i5 + 1 << 24 >> 24 | 0);
    set32(i1 + 24 + ((i5 & 255) << 2) | 0, i38 | 0);
    i43 = 0;
    break;
   } else i42 = i1 + 288 | 0; else i42 = i1 + 264 | 0; else i42 = i1 + 240 | 0; else i42 = i1 + 216 | 0; else i42 = i1 + 192 | 0; else i42 = i1 + 168 | 0; else i42 = i1 + 144 | 0; else i42 = i1 + 120 | 0; else i42 = i1 + 96 | 0;
   set8(i42 + 8 >> 0 | 0, 1 | 0);
   i43 = 0;
  } else i43 = 0; else i43 = i38; while (0);
  _codeCompare(i1, get32(i7 | 0) | 0, get32(i40 | 0) | 0, i27, i2, i26, i3, i4);
  i44 = i41;
  i45 = i43;
 } else if ((i11 | 0) == 66) {
  i6 = i16 + 8 | 0;
  i5 = get32(i6 | 0) | 0;
  i8 = i1 + 21 | 0;
  i37 = get8(i8 >> 0 | 0) | 0;
  if (!(i37 << 24 >> 24)) {
   i29 = i1 + 72 | 0;
   i46 = (get32(i29 | 0) | 0) + 1 | 0;
   set32(i29 | 0, i46 | 0);
   i47 = i46;
  } else {
   i46 = i37 + -1 << 24 >> 24;
   set8(i8 >> 0 | 0, i46 | 0);
   i47 = get32(i1 + 24 + ((i46 & 255) << 2) | 0) | 0;
  }
  i46 = _sqlite3ExprCodeTarget(i1, i5, i47) | 0;
  do if ((i46 | 0) != (i47 | 0)) if (!i47) {
   i48 = 0;
   i11 = 85;
  } else {
   i5 = get8(i8 >> 0 | 0) | 0;
   if ((i5 & 255) >= 8) {
    i37 = i16 + 12 | 0;
    i49 = i5;
    i50 = get32(i37 | 0) | 0;
    i51 = i37;
    i52 = 0;
    i11 = 87;
    break;
   }
   if ((get32(i1 + 112 | 0) | 0) != (i47 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i47 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i47 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i47 | 0)) if ((get32(i1 + 208 | 0) | 0) != (i47 | 0)) if ((get32(i1 + 232 | 0) | 0) != (i47 | 0)) if ((get32(i1 + 256 | 0) | 0) != (i47 | 0)) if ((get32(i1 + 280 | 0) | 0) != (i47 | 0)) if ((get32(i1 + 304 | 0) | 0) != (i47 | 0)) if ((get32(i1 + 328 | 0) | 0) == (i47 | 0)) i53 = i1 + 312 | 0; else {
    set8(i8 >> 0 | 0, i5 + 1 << 24 >> 24 | 0);
    set32(i1 + 24 + ((i5 & 255) << 2) | 0, i47 | 0);
    i48 = 0;
    i11 = 85;
    break;
   } else i53 = i1 + 288 | 0; else i53 = i1 + 264 | 0; else i53 = i1 + 240 | 0; else i53 = i1 + 216 | 0; else i53 = i1 + 192 | 0; else i53 = i1 + 168 | 0; else i53 = i1 + 144 | 0; else i53 = i1 + 120 | 0; else i53 = i1 + 96 | 0;
   set8(i53 + 8 >> 0 | 0, 1 | 0);
   i48 = 0;
   i11 = 85;
  } else {
   i48 = i47;
   i11 = 85;
  } while (0);
  if ((i11 | 0) == 85) {
   i26 = get8(i8 >> 0 | 0) | 0;
   i2 = i16 + 12 | 0;
   i27 = get32(i2 | 0) | 0;
   if (!(i26 << 24 >> 24)) {
    i7 = i1 + 72 | 0;
    i5 = (get32(i7 | 0) | 0) + 1 | 0;
    set32(i7 | 0, i5 | 0);
    i54 = i5;
    i55 = i27;
    i56 = i2;
    i57 = i48;
   } else {
    i49 = i26;
    i50 = i27;
    i51 = i2;
    i52 = i48;
    i11 = 87;
   }
  }
  if ((i11 | 0) == 87) {
   i2 = i49 + -1 << 24 >> 24;
   set8(i8 >> 0 | 0, i2 | 0);
   i54 = get32(i1 + 24 + ((i2 & 255) << 2) | 0) | 0;
   i55 = i50;
   i56 = i51;
   i57 = i52;
  }
  i2 = _sqlite3ExprCodeTarget(i1, i55, i54) | 0;
  do if ((i2 | 0) != (i54 | 0)) if ((i54 | 0) != 0 ? (i27 = get8(i8 >> 0 | 0) | 0, (i27 & 255) < 8) : 0) {
   if ((get32(i1 + 112 | 0) | 0) != (i54 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i54 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i54 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i54 | 0)) if ((get32(i1 + 208 | 0) | 0) != (i54 | 0)) if ((get32(i1 + 232 | 0) | 0) != (i54 | 0)) if ((get32(i1 + 256 | 0) | 0) != (i54 | 0)) if ((get32(i1 + 280 | 0) | 0) != (i54 | 0)) if ((get32(i1 + 304 | 0) | 0) != (i54 | 0)) if ((get32(i1 + 328 | 0) | 0) == (i54 | 0)) i58 = i1 + 312 | 0; else {
    set8(i8 >> 0 | 0, i27 + 1 << 24 >> 24 | 0);
    set32(i1 + 24 + ((i27 & 255) << 2) | 0, i54 | 0);
    i59 = 0;
    break;
   } else i58 = i1 + 288 | 0; else i58 = i1 + 264 | 0; else i58 = i1 + 240 | 0; else i58 = i1 + 216 | 0; else i58 = i1 + 192 | 0; else i58 = i1 + 168 | 0; else i58 = i1 + 144 | 0; else i58 = i1 + 120 | 0; else i58 = i1 + 96 | 0;
   set8(i58 + 8 >> 0 | 0, 1 | 0);
   i59 = 0;
  } else i59 = 0; else i59 = i54; while (0);
  _codeCompare(i1, get32(i6 | 0) | 0, get32(i56 | 0) | 0, (get8(i15 >> 0 | 0) | 0) == 70 ? 75 : 76, i46, i2, i3, 128);
  i44 = i57;
  i45 = i59;
 } else if ((i11 | 0) == 104) {
  i8 = (i18 + 1 ^ 1) + 255 | 0;
  i27 = get32(i19 + 8 | 0) | 0;
  i26 = i1 + 21 | 0;
  i5 = get8(i26 >> 0 | 0) | 0;
  if (!(i5 << 24 >> 24)) {
   i7 = i1 + 72 | 0;
   i37 = (get32(i7 | 0) | 0) + 1 | 0;
   set32(i7 | 0, i37 | 0);
   i60 = i37;
  } else {
   i37 = i5 + -1 << 24 >> 24;
   set8(i26 >> 0 | 0, i37 | 0);
   i60 = get32(i1 + 24 + ((i37 & 255) << 2) | 0) | 0;
  }
  i37 = _sqlite3ExprCodeTarget(i1, i27, i60) | 0;
  do if ((i37 | 0) != (i60 | 0)) if ((i60 | 0) != 0 ? (i27 = get8(i26 >> 0 | 0) | 0, (i27 & 255) < 8) : 0) {
   if ((get32(i1 + 112 | 0) | 0) != (i60 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i60 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i60 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i60 | 0)) if ((get32(i1 + 208 | 0) | 0) != (i60 | 0)) if ((get32(i1 + 232 | 0) | 0) != (i60 | 0)) if ((get32(i1 + 256 | 0) | 0) != (i60 | 0)) if ((get32(i1 + 280 | 0) | 0) != (i60 | 0)) if ((get32(i1 + 304 | 0) | 0) != (i60 | 0)) if ((get32(i1 + 328 | 0) | 0) == (i60 | 0)) i61 = i1 + 312 | 0; else {
    set8(i26 >> 0 | 0, i27 + 1 << 24 >> 24 | 0);
    set32(i1 + 24 + ((i27 & 255) << 2) | 0, i60 | 0);
    i62 = 0;
    break;
   } else i61 = i1 + 288 | 0; else i61 = i1 + 264 | 0; else i61 = i1 + 240 | 0; else i61 = i1 + 216 | 0; else i61 = i1 + 192 | 0; else i61 = i1 + 168 | 0; else i61 = i1 + 144 | 0; else i61 = i1 + 120 | 0; else i61 = i1 + 96 | 0;
   set8(i61 + 8 >> 0 | 0, 1 | 0);
   i62 = 0;
  } else i62 = 0; else i62 = i60; while (0);
  i26 = i17 + 28 | 0;
  i2 = get32(i26 | 0) | 0;
  i46 = i17 + 32 | 0;
  i6 = get32(i46 | 0) | 0;
  if ((i6 | 0) > (i2 | 0)) {
   i63 = i2;
   i64 = get32(i17 + 4 | 0) | 0;
  } else {
   i27 = i17 + 4 | 0;
   i5 = _sqlite3DbRealloc(get32(i17 | 0) | 0, get32(i27 | 0) | 0, (i6 | 0) == 0 ? 1020 : i6 * 40 | 0) | 0;
   if (!i5) {
    i44 = i62;
    i45 = 0;
    break;
   }
   i6 = get32(i17 | 0) | 0;
   if (((i6 | 0) != 0 ? (get32(i6 + 260 | 0) | 0) >>> 0 <= i5 >>> 0 : 0) ? (get32(i6 + 264 | 0) | 0) >>> 0 > i5 >>> 0 : 0) i65 = getU16(i6 + 232 | 0) | 0; else i65 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i5) | 0;
   set32(i46 | 0, (i65 >>> 0) / 20 | 0 | 0);
   set32(i27 | 0, i5 | 0);
   i63 = get32(i26 | 0) | 0;
   i64 = i5;
  }
  set32(i26 | 0, i63 + 1 | 0);
  set8(i64 + (i2 * 20 | 0) >> 0 | 0, i8 | 0);
  set8(i64 + (i2 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i64 + (i2 * 20 | 0) + 4 | 0, i37 | 0);
  set32(i64 + (i2 * 20 | 0) + 8 | 0, i3 | 0);
  set32(i64 + (i2 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i64 + (i2 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i64 + (i2 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i44 = i62;
  i45 = 0;
 } else if ((i11 | 0) == 132) {
  _exprCodeBetween(i1, i20, i3, 0, i4);
  return;
 } else if ((i11 | 0) == 133) {
  if (i4) {
   _sqlite3ExprCodeIN(i1, i22, i3, i3);
   return;
  }
  i2 = i21 + 36 | 0;
  i26 = get32(i2 | 0) | 0;
  set32(i2 | 0, i26 + 1 | 0);
  i2 = i21 + 40 | 0;
  i5 = get32(i2 | 0) | 0;
  if ((i26 | 0) < (i5 | 0)) i66 = i21 + 44 | 0; else {
   i27 = get32(i21 | 0) | 0;
   i46 = i21 + 44 | 0;
   i6 = get32(i46 | 0) | 0;
   i7 = _sqlite3DbRealloc(i27, i6, (i5 << 3) + 20 | 0) | 0;
   if (i7) {
    set32(i46 | 0, i7 | 0);
    i5 = get32(i21 | 0) | 0;
    if (((i5 | 0) != 0 ? (get32(i5 + 260 | 0) | 0) >>> 0 <= i7 >>> 0 : 0) ? (get32(i5 + 264 | 0) | 0) >>> 0 > i7 >>> 0 : 0) i67 = getU16(i5 + 232 | 0) | 0; else i11 = 143;
   } else {
    _sqlite3DbFree(i27, i6);
    set32(i46 | 0, 0 | 0);
    i11 = 143;
   }
   if ((i11 | 0) == 143) i67 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i7) | 0;
   set32(i2 | 0, i67 >>> 2 | 0);
   i66 = i46;
  }
  i46 = get32(i66 | 0) | 0;
  if (i46) set32(i46 + (i26 << 2) | 0, -1 | 0);
  _sqlite3ExprCodeIN(i1, i22, i3, ~i26);
  i46 = get32(i21 + 44 | 0) | 0;
  if (!i46) return;
  set32(i46 + (i26 << 2) | 0, get32(i21 + 28 | 0) | 0);
  return;
 } else if ((i11 | 0) == 149) {
  i26 = i1 + 21 | 0;
  i46 = get8(i26 >> 0 | 0) | 0;
  if (!(i46 << 24 >> 24)) {
   i2 = i1 + 72 | 0;
   i7 = (get32(i2 | 0) | 0) + 1 | 0;
   set32(i2 | 0, i7 | 0);
   i68 = i7;
  } else {
   i7 = i46 + -1 << 24 >> 24;
   set8(i26 >> 0 | 0, i7 | 0);
   i68 = get32(i1 + 24 + ((i7 & 255) << 2) | 0) | 0;
  }
  i7 = _sqlite3ExprCodeTarget(i1, i24, i68) | 0;
  do if ((i7 | 0) != (i68 | 0)) if ((i68 | 0) != 0 ? (i46 = get8(i26 >> 0 | 0) | 0, (i46 & 255) < 8) : 0) {
   if ((get32(i1 + 112 | 0) | 0) != (i68 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i68 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i68 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i68 | 0)) if ((get32(i1 + 208 | 0) | 0) != (i68 | 0)) if ((get32(i1 + 232 | 0) | 0) != (i68 | 0)) if ((get32(i1 + 256 | 0) | 0) != (i68 | 0)) if ((get32(i1 + 280 | 0) | 0) != (i68 | 0)) if ((get32(i1 + 304 | 0) | 0) != (i68 | 0)) if ((get32(i1 + 328 | 0) | 0) == (i68 | 0)) i69 = i1 + 312 | 0; else {
    set8(i26 >> 0 | 0, i46 + 1 << 24 >> 24 | 0);
    set32(i1 + 24 + ((i46 & 255) << 2) | 0, i68 | 0);
    i70 = 0;
    break;
   } else i69 = i1 + 288 | 0; else i69 = i1 + 264 | 0; else i69 = i1 + 240 | 0; else i69 = i1 + 216 | 0; else i69 = i1 + 192 | 0; else i69 = i1 + 168 | 0; else i69 = i1 + 144 | 0; else i69 = i1 + 120 | 0; else i69 = i1 + 96 | 0;
   set8(i69 + 8 >> 0 | 0, 1 | 0);
   i70 = 0;
  } else i70 = 0; else i70 = i68; while (0);
  i26 = (i4 | 0) != 0 & 1;
  i37 = i23 + 28 | 0;
  i8 = get32(i37 | 0) | 0;
  i46 = i23 + 32 | 0;
  i2 = get32(i46 | 0) | 0;
  if ((i2 | 0) > (i8 | 0)) {
   i71 = i8;
   i72 = get32(i23 + 4 | 0) | 0;
  } else {
   i6 = i23 + 4 | 0;
   i27 = _sqlite3DbRealloc(get32(i23 | 0) | 0, get32(i6 | 0) | 0, (i2 | 0) == 0 ? 1020 : i2 * 40 | 0) | 0;
   if (!i27) {
    i44 = i70;
    i45 = 0;
    break;
   }
   i2 = get32(i23 | 0) | 0;
   if (((i2 | 0) != 0 ? (get32(i2 + 260 | 0) | 0) >>> 0 <= i27 >>> 0 : 0) ? (get32(i2 + 264 | 0) | 0) >>> 0 > i27 >>> 0 : 0) i73 = getU16(i2 + 232 | 0) | 0; else i73 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i27) | 0;
   set32(i46 | 0, (i73 >>> 0) / 20 | 0 | 0);
   set32(i6 | 0, i27 | 0);
   i71 = get32(i37 | 0) | 0;
   i72 = i27;
  }
  set32(i37 | 0, i71 + 1 | 0);
  set8(i72 + (i8 * 20 | 0) >> 0 | 0, 27 | 0);
  set8(i72 + (i8 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i72 + (i8 * 20 | 0) + 4 | 0, i7 | 0);
  set32(i72 + (i8 * 20 | 0) + 8 | 0, i3 | 0);
  set32(i72 + (i8 * 20 | 0) + 12 | 0, i26 | 0);
  set32(i72 + (i8 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i72 + (i8 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i44 = i70;
  i45 = 0;
 } else if ((i11 | 0) == 205) return; while (0);
 do if ((i44 | 0) != 0 ? (i11 = i1 + 21 | 0, i70 = get8(i11 >> 0 | 0) | 0, (i70 & 255) < 8) : 0) {
  if ((get32(i1 + 112 | 0) | 0) != (i44 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i44 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i44 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i44 | 0)) if ((get32(i1 + 208 | 0) | 0) != (i44 | 0)) if ((get32(i1 + 232 | 0) | 0) != (i44 | 0)) if ((get32(i1 + 256 | 0) | 0) != (i44 | 0)) if ((get32(i1 + 280 | 0) | 0) != (i44 | 0)) if ((get32(i1 + 304 | 0) | 0) != (i44 | 0)) if ((get32(i1 + 328 | 0) | 0) == (i44 | 0)) i74 = i1 + 312 | 0; else {
   set8(i11 >> 0 | 0, i70 + 1 << 24 >> 24 | 0);
   set32(i1 + 24 + ((i70 & 255) << 2) | 0, i44 | 0);
   break;
  } else i74 = i1 + 288 | 0; else i74 = i1 + 264 | 0; else i74 = i1 + 240 | 0; else i74 = i1 + 216 | 0; else i74 = i1 + 192 | 0; else i74 = i1 + 168 | 0; else i74 = i1 + 144 | 0; else i74 = i1 + 120 | 0; else i74 = i1 + 96 | 0;
  set8(i74 + 8 >> 0 | 0, 1 | 0);
 } while (0);
 if (!i45) return;
 i74 = i1 + 21 | 0;
 i44 = get8(i74 >> 0 | 0) | 0;
 if ((i44 & 255) >= 8) return;
 if ((get32(i1 + 112 | 0) | 0) != (i45 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i45 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i45 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i45 | 0)) if ((get32(i1 + 208 | 0) | 0) != (i45 | 0)) if ((get32(i1 + 232 | 0) | 0) != (i45 | 0)) if ((get32(i1 + 256 | 0) | 0) != (i45 | 0)) if ((get32(i1 + 280 | 0) | 0) != (i45 | 0)) if ((get32(i1 + 304 | 0) | 0) != (i45 | 0)) if ((get32(i1 + 328 | 0) | 0) == (i45 | 0)) i75 = i1 + 312 | 0; else {
  set8(i74 >> 0 | 0, i44 + 1 << 24 >> 24 | 0);
  set32(i1 + 24 + ((i44 & 255) << 2) | 0, i45 | 0);
  return;
 } else i75 = i1 + 288 | 0; else i75 = i1 + 264 | 0; else i75 = i1 + 240 | 0; else i75 = i1 + 216 | 0; else i75 = i1 + 192 | 0; else i75 = i1 + 168 | 0; else i75 = i1 + 144 | 0; else i75 = i1 + 120 | 0; else i75 = i1 + 96 | 0;
 set8(i75 + 8 >> 0 | 0, 1 | 0);
 return;
}

function _codeAllEqualityTerms(i1, i2, i3, i4, i5, i6, i7) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 i7 = i7 | 0;
 var i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0;
 i8 = get32(i2 + 4 | 0) | 0;
 i9 = get32(i1 + 12 | 0) | 0;
 i10 = get32(i2 + 28 | 0) | 0;
 i11 = get32(i2 + 16 | 0) | 0;
 i12 = i1 + 72 | 0;
 i13 = get32(i12 | 0) | 0;
 i14 = i13 + 1 | 0;
 i15 = i8 + i6 | 0;
 set32(i12 | 0, i13 + i15 | 0);
 i13 = get32(i1 | 0) | 0;
 i12 = i11 + 28 | 0;
 i6 = get32(i12 | 0) | 0;
 L1 : do if (!i6) {
  i16 = get32(i11 + 16 | 0) | 0;
  i17 = get32(i9 | 0) | 0;
  i18 = i11 + 4 | 0;
  i19 = get32(i18 | 0) | 0;
  i20 = i19 + 2 | 0;
  do if ((i19 + 1 | 0) >>> 0 <= 2147483390) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i21 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i20) | 0;
    set32(i12 | 0, i21 | 0);
    if (!i21) break; else i22 = i21;
   } else {
    i21 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i20) | 0;
    set32(35 * 4 | 0, i20 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i20 | 0)) set32(45 * 4 | 0, i20 | 0);
    i23 = get32(6 * 4 | 0) | 0;
    do if (i23) {
     i24 = get32(30 * 4 | 0) | 0;
     i25 = ((i24 | 0) < 0) << 31 >> 31;
     i26 = 16;
     i27 = _i64Subtract(get32(i26 | 0) | 0, get32(i26 + 4 | 0) | 0, i21 | 0, ((i21 | 0) < 0) << 31 >> 31 | 0) | 0;
     i26 = tempRet0;
     if ((i25 | 0) < (i26 | 0) | (i25 | 0) == (i26 | 0) & i24 >>> 0 < i27 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i27 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i23 & 15](i27, i24, i25, i21);
      set32(6 * 4 | 0, i23 | 0);
      set32(7 * 4 | 0, i27 | 0);
      break;
     }
    } while (0);
    i23 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i21) | 0;
    if (!i23) {
     set32(i12 | 0, 0 | 0);
     break;
    }
    i27 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i23) | 0;
    i25 = (get32(30 * 4 | 0) | 0) + i27 | 0;
    set32(30 * 4 | 0, i25 | 0);
    if ((i25 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i25 | 0);
    i25 = get32(39 * 4 | 0) | 0;
    i27 = i25 + 1 | 0;
    set32(39 * 4 | 0, i27 | 0);
    if ((i25 | 0) >= (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i27 | 0);
    set32(i12 | 0, i23 | 0);
    i22 = i23;
   }
   if ((get32(i18 | 0) | 0) > 0) {
    i23 = i11 + 8 | 0;
    i27 = i16 + 12 | 0;
    i25 = i22;
    i24 = 0;
    while (1) {
     set8(i25 + i24 >> 0 | 0, get8((get32(i27 | 0) | 0) + ((get32((get32(i23 | 0) | 0) + (i24 << 2) | 0) | 0) * 24 | 0) + 22 >> 0 | 0) | 0 | 0);
     i26 = i24 + 1 | 0;
     i28 = get32(i12 | 0) | 0;
     if ((i26 | 0) < (get32(i18 | 0) | 0)) {
      i25 = i28;
      i24 = i26;
     } else {
      i29 = i28;
      i30 = i26;
      break;
     }
    }
   } else {
    i29 = i22;
    i30 = 0;
   }
   set8(i29 + i30 >> 0 | 0, 98 | 0);
   set8((get32(i12 | 0) | 0) + (i30 + 1) >> 0 | 0, 0 | 0);
   i24 = get32(i12 | 0) | 0;
   if (!i24) {
    i31 = 65;
    break L1;
   } else {
    i32 = i24;
    i31 = 24;
    break L1;
   }
  } else set32(i12 | 0, 0 | 0); while (0);
  set8(i17 + 30 >> 0 | 0, 1 | 0);
  i31 = 65;
 } else {
  i32 = i6;
  i31 = 24;
 } while (0);
 L34 : do if ((i31 | 0) == 24) {
  i6 = i32;
  while (1) if (!(get8(i6 >> 0 | 0) | 0)) {
   i33 = i6;
   break;
  } else i6 = i6 + 1 | 0;
  i6 = (i33 - i32 & 1073741823) + 1 | 0;
  L39 : do if (!i13) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i34 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i6) | 0;
    i31 = 63;
    break;
   }
   i17 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i6) | 0;
   set32(35 * 4 | 0, i6 | 0);
   if ((get32(45 * 4 | 0) | 0) < (i6 | 0)) set32(45 * 4 | 0, i6 | 0);
   i12 = get32(6 * 4 | 0) | 0;
   do if (i12) {
    i30 = get32(30 * 4 | 0) | 0;
    i29 = ((i30 | 0) < 0) << 31 >> 31;
    i22 = 16;
    i18 = _i64Subtract(get32(i22 | 0) | 0, get32(i22 + 4 | 0) | 0, i17 | 0, ((i17 | 0) < 0) << 31 >> 31 | 0) | 0;
    i22 = tempRet0;
    if ((i29 | 0) < (i22 | 0) | (i29 | 0) == (i22 | 0) & i30 >>> 0 < i18 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i18 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i12 & 15](i18, i30, i29, i17);
     set32(6 * 4 | 0, i12 | 0);
     set32(7 * 4 | 0, i18 | 0);
     break;
    }
   } while (0);
   i12 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i17) | 0;
   if (!i12) {
    i31 = 65;
    break L34;
   }
   i18 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i12) | 0;
   i29 = (get32(30 * 4 | 0) | 0) + i18 | 0;
   set32(30 * 4 | 0, i29 | 0);
   if ((i29 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i29 | 0);
   i29 = get32(39 * 4 | 0) | 0;
   i18 = i29 + 1 | 0;
   set32(39 * 4 | 0, i18 | 0);
   if ((i29 | 0) < (get32(49 * 4 | 0) | 0)) i35 = i12; else {
    set32(49 * 4 | 0, i18 | 0);
    i35 = i12;
   }
  } else {
   i12 = i13 + 30 | 0;
   if (get8(i12 >> 0 | 0) | 0) {
    i31 = 65;
    break L34;
   }
   do if (get8(i13 + 234 >> 0 | 0) | 0) {
    if ((getU16(i13 + 232 | 0) | 0) >>> 0 < i6 >>> 0) {
     i18 = i13 + 248 | 0;
     set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
     break;
    }
    i18 = i13 + 256 | 0;
    i29 = get32(i18 | 0) | 0;
    if (!i29) {
     i30 = i13 + 252 | 0;
     set32(i30 | 0, (get32(i30 | 0) | 0) + 1 | 0);
     break;
    }
    set32(i18 | 0, get32(i29 | 0) | 0);
    i18 = i13 + 236 | 0;
    i30 = get32(i18 | 0) | 0;
    i22 = i30 + 1 | 0;
    set32(i18 | 0, i22 | 0);
    i18 = i13 + 244 | 0;
    set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
    i18 = i13 + 240 | 0;
    if ((i30 | 0) >= (get32(i18 | 0) | 0)) set32(i18 | 0, i22 | 0);
    i34 = i29;
    i31 = 63;
    break L39;
   } while (0);
   if (!(get32(50 * 4 | 0) | 0)) {
    i17 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i6) | 0;
    if (i17) {
     i35 = i17;
     break;
    }
   } else {
    i17 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i6) | 0;
    set32(35 * 4 | 0, i6 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i6 | 0)) set32(45 * 4 | 0, i6 | 0);
    i29 = get32(6 * 4 | 0) | 0;
    do if (i29) {
     i22 = get32(30 * 4 | 0) | 0;
     i18 = ((i22 | 0) < 0) << 31 >> 31;
     i30 = 16;
     i16 = _i64Subtract(get32(i30 | 0) | 0, get32(i30 + 4 | 0) | 0, i17 | 0, ((i17 | 0) < 0) << 31 >> 31 | 0) | 0;
     i30 = tempRet0;
     if ((i18 | 0) < (i30 | 0) | (i18 | 0) == (i30 | 0) & i22 >>> 0 < i16 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i16 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i29 & 15](i16, i22, i18, i17);
      set32(6 * 4 | 0, i29 | 0);
      set32(7 * 4 | 0, i16 | 0);
      break;
     }
    } while (0);
    i29 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i17) | 0;
    if (i29) {
     i16 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i29) | 0;
     i18 = (get32(30 * 4 | 0) | 0) + i16 | 0;
     set32(30 * 4 | 0, i18 | 0);
     if ((i18 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i18 | 0);
     i18 = get32(39 * 4 | 0) | 0;
     i16 = i18 + 1 | 0;
     set32(39 * 4 | 0, i16 | 0);
     if ((i18 | 0) < (get32(49 * 4 | 0) | 0)) {
      i35 = i29;
      break;
     }
     set32(49 * 4 | 0, i16 | 0);
     i35 = i29;
     break;
    }
   }
   set8(i12 >> 0 | 0, 1 | 0);
   i31 = 65;
   break L34;
  } while (0);
  if ((i31 | 0) == 63) if (!i34) {
   i31 = 65;
   break;
  } else i35 = i34;
  _memcpy(i35 | 0, i32 | 0, i6 | 0) | 0;
  i36 = i35;
  i37 = (i35 | 0) != 0;
 } while (0);
 if ((i31 | 0) == 65) {
  set8((get32(i1 | 0) | 0) + 30 >> 0 | 0, 1 | 0);
  i36 = 0;
  i37 = 0;
 }
 i35 = i11 + 8 | 0;
 if ((i8 | 0) <= 0) {
  i38 = i14;
  set32(i7 | 0, i36 | 0);
  return i38 | 0;
 }
 i32 = i2 + 36 | 0;
 i34 = i9 + 28 | 0;
 i13 = i9 + 32 | 0;
 i33 = i9 + 4 | 0;
 i29 = (i15 | 0) == 1;
 i15 = i1 + 21 | 0;
 i16 = i1 + 96 | 0;
 i18 = i1 + 112 | 0;
 i22 = i1 + 120 | 0;
 i30 = i1 + 136 | 0;
 i20 = i1 + 144 | 0;
 i19 = i1 + 160 | 0;
 i24 = i1 + 168 | 0;
 i25 = i1 + 184 | 0;
 i23 = i1 + 192 | 0;
 i27 = i1 + 208 | 0;
 i21 = i1 + 216 | 0;
 i26 = i1 + 232 | 0;
 i28 = i1 + 240 | 0;
 i39 = i1 + 256 | 0;
 i40 = i1 + 264 | 0;
 i41 = i1 + 280 | 0;
 i42 = i1 + 288 | 0;
 i43 = i1 + 304 | 0;
 i44 = i1 + 312 | 0;
 i45 = i1 + 328 | 0;
 i46 = 0;
 i47 = i14;
 while (1) {
  i14 = _findTerm(i3, i10, get32((get32(i35 | 0) | 0) + (i46 << 2) | 0) | 0, i4, i5, get32(i2 | 0) | 0, i11) | 0;
  if (!i14) {
   i38 = i47;
   i31 = 148;
   break;
  }
  i48 = i46 + i47 | 0;
  i49 = _codeEqualityTerm(i1, i14, i2, i48) | 0;
  do if ((i49 | 0) != (i48 | 0)) {
   if (!i29) {
    i50 = get32(i34 | 0) | 0;
    i51 = get32(i13 | 0) | 0;
    if ((i51 | 0) > (i50 | 0)) {
     i52 = i50;
     i53 = get32(i33 | 0) | 0;
    } else {
     i54 = _sqlite3DbRealloc(get32(i9 | 0) | 0, get32(i33 | 0) | 0, (i51 | 0) == 0 ? 1020 : i51 * 40 | 0) | 0;
     if (!i54) {
      i55 = i47;
      break;
     }
     i51 = get32(i9 | 0) | 0;
     if (((i51 | 0) != 0 ? (get32(i51 + 260 | 0) | 0) >>> 0 <= i54 >>> 0 : 0) ? (get32(i51 + 264 | 0) | 0) >>> 0 > i54 >>> 0 : 0) i56 = getU16(i51 + 232 | 0) | 0; else i56 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i54) | 0;
     set32(i13 | 0, (i56 >>> 0) / 20 | 0 | 0);
     set32(i33 | 0, i54 | 0);
     i52 = get32(i34 | 0) | 0;
     i53 = i54;
    }
    set32(i34 | 0, i52 + 1 | 0);
    set8(i53 + (i50 * 20 | 0) >> 0 | 0, 15 | 0);
    set8(i53 + (i50 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i53 + (i50 * 20 | 0) + 4 | 0, i49 | 0);
    set32(i53 + (i50 * 20 | 0) + 8 | 0, i48 | 0);
    set32(i53 + (i50 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i53 + (i50 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i53 + (i50 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i55 = i47;
    break;
   }
   if ((i47 | 0) != 0 ? (i50 = get8(i15 >> 0 | 0) | 0, (i50 & 255) < 8) : 0) {
    if ((get32(i18 | 0) | 0) != (i47 | 0)) if ((get32(i30 | 0) | 0) != (i47 | 0)) if ((get32(i19 | 0) | 0) != (i47 | 0)) if ((get32(i25 | 0) | 0) != (i47 | 0)) if ((get32(i27 | 0) | 0) != (i47 | 0)) if ((get32(i26 | 0) | 0) != (i47 | 0)) if ((get32(i39 | 0) | 0) != (i47 | 0)) if ((get32(i41 | 0) | 0) != (i47 | 0)) if ((get32(i43 | 0) | 0) != (i47 | 0)) if ((get32(i45 | 0) | 0) == (i47 | 0)) i57 = i44; else {
     set8(i15 >> 0 | 0, i50 + 1 << 24 >> 24 | 0);
     set32(i1 + 24 + ((i50 & 255) << 2) | 0, i47 | 0);
     i55 = i49;
     break;
    } else i57 = i42; else i57 = i40; else i57 = i28; else i57 = i21; else i57 = i23; else i57 = i24; else i57 = i20; else i57 = i22; else i57 = i16;
    set8(i57 + 8 >> 0 | 0, 1 | 0);
    i55 = i49;
   } else i55 = i49;
  } else i55 = i47; while (0);
  L134 : do if (!(get16(i14 + 16 | 0) & 129)) {
   i49 = get32((get32(i14 | 0) | 0) + 12 | 0) | 0;
   i48 = i55 + i46 | 0;
   i6 = get32(i32 | 0) | 0;
   i50 = get8(i49 >> 0 | 0) | 0;
   if ((i50 & -2) << 24 >> 24 == -100) {
    i54 = i49;
    while (1) {
     i51 = get32(i54 + 8 | 0) | 0;
     i58 = get8(i51 >> 0 | 0) | 0;
     if ((i58 & -2) << 24 >> 24 == -100) i54 = i51; else {
      i59 = i51;
      i60 = i58;
      break;
     }
    }
   } else {
    i59 = i49;
    i60 = i50;
   }
   if (i60 << 24 >> 24 == -124) i61 = get8(i59 + 35 >> 0 | 0) | 0; else i61 = i60;
   L143 : do switch (i61 & 255 | 0) {
   case 131:
   case 130:
   case 94:
   case 129:
    break;
   default:
    {
     i54 = get32(i34 | 0) | 0;
     i12 = get32(i13 | 0) | 0;
     if ((i12 | 0) > (i54 | 0)) {
      i62 = i54;
      i63 = get32(i33 | 0) | 0;
     } else {
      i17 = _sqlite3DbRealloc(get32(i9 | 0) | 0, get32(i33 | 0) | 0, (i12 | 0) == 0 ? 1020 : i12 * 40 | 0) | 0;
      if (!i17) break L143;
      i12 = get32(i9 | 0) | 0;
      if (((i12 | 0) != 0 ? (get32(i12 + 260 | 0) | 0) >>> 0 <= i17 >>> 0 : 0) ? (get32(i12 + 264 | 0) | 0) >>> 0 > i17 >>> 0 : 0) i64 = getU16(i12 + 232 | 0) | 0; else i64 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i17) | 0;
      set32(i13 | 0, (i64 >>> 0) / 20 | 0 | 0);
      set32(i33 | 0, i17 | 0);
      i62 = get32(i34 | 0) | 0;
      i63 = i17;
     }
     set32(i34 | 0, i62 + 1 | 0);
     set8(i63 + (i54 * 20 | 0) >> 0 | 0, 73 | 0);
     set8(i63 + (i54 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i63 + (i54 * 20 | 0) + 4 | 0, i48 | 0);
     set32(i63 + (i54 * 20 | 0) + 8 | 0, i6 | 0);
     set32(i63 + (i54 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i63 + (i54 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i63 + (i54 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    }
   } while (0);
   if (i37) {
    i6 = i36 + i46 | 0;
    i48 = get8(i6 >> 0 | 0) | 0;
    i50 = i49;
    L159 : while (1) {
     switch (get8(i50 >> 0 | 0) | 0) {
     case 37:
      {
       i65 = i50;
       i31 = 115;
       break L159;
       break;
      }
     case -124:
     case -104:
     case -102:
      {
       i66 = i50;
       i31 = 126;
       break L159;
       break;
      }
     case 116:
      break;
     default:
      {
       i67 = i50;
       i31 = 129;
       break L159;
      }
     }
     i50 = get32(get32((get32(get32(i50 + 16 | 0) | 0) | 0) + 12 | 0) | 0) | 0;
    }
    L162 : do if ((i31 | 0) == 115) {
     i31 = 0;
     i50 = get32(i65 + 4 | 0) | 0;
     if ((i50 | 0) != 0 ? (i54 = get8(i50 >> 0 | 0) | 0, i54 << 24 >> 24 != 0) : 0) {
      i17 = i50;
      i50 = i54;
      i54 = 99;
      i12 = 0;
      while (1) {
       i58 = getU8(16286 + (i50 & 255) >> 0 | 0) | i12 << 8;
       i17 = i17 + 1 | 0;
       L167 : do if ((i58 | 0) < 1685026146) {
        if ((i58 | 0) < 1667785074) {
         switch (i58 | 0) {
         case 1651273570:
          break;
         default:
          {
           i31 = 124;
           break L167;
          }
         }
         switch (i54 << 24 >> 24) {
         case 101:
         case 99:
          {
           i68 = 98;
           i69 = 1651273570;
           break L167;
           break;
          }
         default:
          {
           i31 = 123;
           break L167;
          }
         }
        }
        if ((i58 | 0) < 1668050786) switch (i58 | 0) {
        case 1667785074:
         {
          i68 = 97;
          i69 = i58;
          break L167;
          break;
         }
        default:
         {
          i31 = 124;
          break L167;
         }
        } else switch (i58 | 0) {
        case 1668050786:
         {
          i68 = 97;
          i69 = i58;
          break L167;
          break;
         }
        default:
         {
          i31 = 124;
          break L167;
         }
        }
       } else {
        if ((i58 | 0) >= 1919246700) {
         if ((i58 | 0) >= 1952807028) switch (i58 | 0) {
         case 1952807028:
          {
           i68 = 97;
           i69 = i58;
           break L167;
           break;
          }
         default:
          {
           i31 = 124;
           break L167;
          }
         }
         switch (i58 | 0) {
         case 1919246700:
          break;
         default:
          {
           i31 = 124;
           break L167;
          }
         }
         if (i54 << 24 >> 24 == 99) {
          i68 = 101;
          i69 = 1919246700;
          break;
         } else {
          i31 = 123;
          break;
         }
        }
        if ((i58 | 0) < 1718382433) {
         switch (i58 | 0) {
         case 1685026146:
          break;
         default:
          {
           i31 = 124;
           break L167;
          }
         }
         if (i54 << 24 >> 24 == 99) {
          i68 = 101;
          i69 = 1685026146;
          break;
         }
        } else {
         switch (i58 | 0) {
         case 1718382433:
          break;
         default:
          {
           i31 = 124;
           break L167;
          }
         }
         if (i54 << 24 >> 24 == 99) {
          i68 = 101;
          i69 = 1718382433;
          break;
         }
        }
        i68 = i54;
        i69 = i58;
       } while (0);
       if ((i31 | 0) == 123) {
        i31 = 0;
        i68 = i54;
        i69 = i58;
       } else if ((i31 | 0) == 124) {
        i31 = 0;
        if ((i58 & 16777215 | 0) == 6909556) {
         i70 = 100;
         break L162;
        } else {
         i68 = i54;
         i69 = i58;
        }
       }
       i50 = get8(i17 >> 0 | 0) | 0;
       if (!(i50 << 24 >> 24)) {
        i70 = i68;
        break;
       } else {
        i54 = i68;
        i12 = i69;
       }
      }
     } else i70 = 99;
    } else if ((i31 | 0) == 126) {
     i31 = 0;
     i12 = get32(i66 + 40 | 0) | 0;
     if (i12) {
      i54 = get16(i66 + 28 | 0) | 0;
      if (i54 << 16 >> 16 < 0) i70 = 100; else i70 = get8((get32(i12 + 12 | 0) | 0) + ((i54 << 16 >> 16) * 24 | 0) + 22 >> 0 | 0) | 0;
     } else {
      i67 = i66;
      i31 = 129;
     }
    } while (0);
    if ((i31 | 0) == 129) {
     i31 = 0;
     i70 = get8(i67 + 1 >> 0 | 0) | 0;
    }
    i54 = i70 & 255;
    if (i48 << 24 >> 24 == 0 | i70 << 24 >> 24 == 0) if ((i70 | i48) << 24 >> 24 != 0 ? (i54 + (i48 & 255) & 255) << 24 >> 24 != 98 : 0) i31 = 135; else i31 = 134; else if (i48 << 24 >> 24 > 98 | i70 << 24 >> 24 > 98) i31 = 135; else i31 = 134;
    L204 : do if ((i31 | 0) == 134) {
     i31 = 0;
     set8(i6 >> 0 | 0, 98 | 0);
    } else if ((i31 | 0) == 135 ? (i31 = 0, i48 << 24 >> 24 != 98) : 0) {
     i54 = get8(i49 >> 0 | 0) | 0;
     if ((i54 & -2) << 24 >> 24 == -100) {
      i12 = i49;
      while (1) {
       i50 = get32(i12 + 8 | 0) | 0;
       i17 = get8(i50 >> 0 | 0) | 0;
       if ((i17 & -2) << 24 >> 24 == -100) i12 = i50; else {
        i71 = i50;
        i72 = i17;
        break;
       }
      }
     } else {
      i71 = i49;
      i72 = i54;
     }
     if (i72 << 24 >> 24 == -124) i73 = get8(i71 + 35 >> 0 | 0) | 0; else i73 = i72;
     switch (i73 & 255 | 0) {
     case 131:
      {
       break L204;
       break;
      }
     case 129:
      {
       i74 = (i48 + -99 & 255) < 2 & 1;
       break;
      }
     case 130:
      {
       i74 = (i48 << 24 >> 24 == 101 | i48 << 24 >> 24 == 99) & 1;
       break;
      }
     case 94:
      {
       i74 = i48 << 24 >> 24 == 97 & 1;
       break;
      }
     case 152:
      {
       i74 = (i48 + -99 & 255) < 2 & (get16(i71 + 28 | 0) | 0) < 0 & 1;
       break;
      }
     default:
      break L134;
     }
     if (!i74) break L134;
    } while (0);
    set8(i6 >> 0 | 0, 98 | 0);
   }
  } while (0);
  i46 = i46 + 1 | 0;
  if ((i46 | 0) >= (i8 | 0)) {
   i38 = i55;
   i31 = 148;
   break;
  } else i47 = i55;
 }
 if ((i31 | 0) == 148) {
  set32(i7 | 0, i36 | 0);
  return i38 | 0;
 }
 return 0;
}

function _sqlite3ExprListDup(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0;
 if (!i2) {
  i4 = 0;
  return i4 | 0;
 }
 i5 = (i1 | 0) == 0;
 L4 : do if (i5) {
  if (!(get32(50 * 4 | 0) | 0)) {
   i6 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](16) | 0;
   i7 = 39;
   break;
  }
  i8 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](16) | 0;
  set32(35 * 4 | 0, 16 | 0);
  if ((get32(45 * 4 | 0) | 0) < 16) set32(45 * 4 | 0, 16 | 0);
  i9 = get32(6 * 4 | 0) | 0;
  do if (i9) {
   i10 = get32(30 * 4 | 0) | 0;
   i11 = ((i10 | 0) < 0) << 31 >> 31;
   i12 = 16;
   i13 = _i64Subtract(get32(i12 | 0) | 0, get32(i12 + 4 | 0) | 0, i8 | 0, ((i8 | 0) < 0) << 31 >> 31 | 0) | 0;
   i12 = tempRet0;
   if ((i11 | 0) < (i12 | 0) | (i11 | 0) == (i12 | 0) & i10 >>> 0 < i13 >>> 0) {
    set32(11 * 4 | 0, 0 | 0);
    break;
   } else {
    set32(11 * 4 | 0, 1 | 0);
    i13 = get32(7 * 4 | 0) | 0;
    set32(6 * 4 | 0, 0 | 0);
    FUNCTION_TABLE_viiii[i9 & 15](i13, i10, i11, i8);
    set32(6 * 4 | 0, i9 | 0);
    set32(7 * 4 | 0, i13 | 0);
    break;
   }
  } while (0);
  i9 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i8) | 0;
  if (!i9) {
   i4 = 0;
   return i4 | 0;
  }
  i13 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i9) | 0;
  i11 = (get32(30 * 4 | 0) | 0) + i13 | 0;
  set32(30 * 4 | 0, i11 | 0);
  if ((i11 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i11 | 0);
  i11 = get32(39 * 4 | 0) | 0;
  i13 = i11 + 1 | 0;
  set32(39 * 4 | 0, i13 | 0);
  if ((i11 | 0) < (get32(49 * 4 | 0) | 0)) i14 = i9; else {
   set32(49 * 4 | 0, i13 | 0);
   i14 = i9;
  }
 } else {
  i9 = i1 + 30 | 0;
  if (get8(i9 >> 0 | 0) | 0) {
   i4 = 0;
   return i4 | 0;
  }
  do if (get8(i1 + 234 >> 0 | 0) | 0) {
   if ((getU16(i1 + 232 | 0) | 0) < 16) {
    i13 = i1 + 248 | 0;
    set32(i13 | 0, (get32(i13 | 0) | 0) + 1 | 0);
    break;
   }
   i13 = i1 + 256 | 0;
   i11 = get32(i13 | 0) | 0;
   if (!i11) {
    i10 = i1 + 252 | 0;
    set32(i10 | 0, (get32(i10 | 0) | 0) + 1 | 0);
    break;
   }
   set32(i13 | 0, get32(i11 | 0) | 0);
   i13 = i1 + 236 | 0;
   i10 = get32(i13 | 0) | 0;
   i12 = i10 + 1 | 0;
   set32(i13 | 0, i12 | 0);
   i13 = i1 + 244 | 0;
   set32(i13 | 0, (get32(i13 | 0) | 0) + 1 | 0);
   i13 = i1 + 240 | 0;
   if ((i10 | 0) >= (get32(i13 | 0) | 0)) set32(i13 | 0, i12 | 0);
   i6 = i11;
   i7 = 39;
   break L4;
  } while (0);
  if (!(get32(50 * 4 | 0) | 0)) {
   i8 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](16) | 0;
   if (i8) {
    i14 = i8;
    break;
   }
  } else {
   i8 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](16) | 0;
   set32(35 * 4 | 0, 16 | 0);
   if ((get32(45 * 4 | 0) | 0) < 16) set32(45 * 4 | 0, 16 | 0);
   i11 = get32(6 * 4 | 0) | 0;
   do if (i11) {
    i12 = get32(30 * 4 | 0) | 0;
    i13 = ((i12 | 0) < 0) << 31 >> 31;
    i10 = 16;
    i15 = _i64Subtract(get32(i10 | 0) | 0, get32(i10 + 4 | 0) | 0, i8 | 0, ((i8 | 0) < 0) << 31 >> 31 | 0) | 0;
    i10 = tempRet0;
    if ((i13 | 0) < (i10 | 0) | (i13 | 0) == (i10 | 0) & i12 >>> 0 < i15 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i15 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i11 & 15](i15, i12, i13, i8);
     set32(6 * 4 | 0, i11 | 0);
     set32(7 * 4 | 0, i15 | 0);
     break;
    }
   } while (0);
   i11 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i8) | 0;
   if (i11) {
    i15 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i11) | 0;
    i13 = (get32(30 * 4 | 0) | 0) + i15 | 0;
    set32(30 * 4 | 0, i13 | 0);
    if ((i13 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i13 | 0);
    i13 = get32(39 * 4 | 0) | 0;
    i15 = i13 + 1 | 0;
    set32(39 * 4 | 0, i15 | 0);
    if ((i13 | 0) < (get32(49 * 4 | 0) | 0)) {
     i14 = i11;
     break;
    }
    set32(49 * 4 | 0, i15 | 0);
    i14 = i11;
    break;
   }
  }
  set8(i9 >> 0 | 0, 1 | 0);
  i4 = 0;
  return i4 | 0;
 } while (0);
 if ((i7 | 0) == 39) if (!i6) {
  i4 = 0;
  return i4 | 0;
 } else i14 = i6;
 set32(i14 + 8 | 0, 0 | 0);
 i6 = get32(i2 | 0) | 0;
 set32(i14 + 4 | 0, i6 | 0);
 set32(i14 | 0, i6 | 0);
 i6 = (get32(i2 | 0) | 0) * 20 | 0;
 L64 : do if (i5) if ((i6 + -1 | 0) >>> 0 <= 2147483390) {
  if (!(get32(50 * 4 | 0) | 0)) {
   i16 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i6) | 0;
   i7 = 81;
   break;
  }
  i11 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i6) | 0;
  set32(35 * 4 | 0, i6 | 0);
  if ((get32(45 * 4 | 0) | 0) < (i6 | 0)) set32(45 * 4 | 0, i6 | 0);
  i15 = get32(6 * 4 | 0) | 0;
  do if (i15) {
   i13 = get32(30 * 4 | 0) | 0;
   i12 = ((i13 | 0) < 0) << 31 >> 31;
   i10 = 16;
   i17 = _i64Subtract(get32(i10 | 0) | 0, get32(i10 + 4 | 0) | 0, i11 | 0, ((i11 | 0) < 0) << 31 >> 31 | 0) | 0;
   i10 = tempRet0;
   if ((i12 | 0) < (i10 | 0) | (i12 | 0) == (i10 | 0) & i13 >>> 0 < i17 >>> 0) {
    set32(11 * 4 | 0, 0 | 0);
    break;
   } else {
    set32(11 * 4 | 0, 1 | 0);
    i17 = get32(7 * 4 | 0) | 0;
    set32(6 * 4 | 0, 0 | 0);
    FUNCTION_TABLE_viiii[i15 & 15](i17, i13, i12, i11);
    set32(6 * 4 | 0, i15 | 0);
    set32(7 * 4 | 0, i17 | 0);
    break;
   }
  } while (0);
  i15 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i11) | 0;
  if (i15) {
   i9 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i15) | 0;
   i8 = (get32(30 * 4 | 0) | 0) + i9 | 0;
   set32(30 * 4 | 0, i8 | 0);
   if ((i8 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i8 | 0);
   i8 = get32(39 * 4 | 0) | 0;
   i9 = i8 + 1 | 0;
   set32(39 * 4 | 0, i9 | 0);
   if ((i8 | 0) < (get32(49 * 4 | 0) | 0)) {
    i18 = i15;
    i7 = 80;
   } else {
    set32(49 * 4 | 0, i9 | 0);
    i18 = i15;
    i7 = 80;
   }
  } else i7 = 79;
 } else i7 = 79; else {
  i15 = i1 + 30 | 0;
  if (!(get8(i15 >> 0 | 0) | 0)) {
   do if (get8(i1 + 234 >> 0 | 0) | 0) {
    if ((getU16(i1 + 232 | 0) | 0) < (i6 | 0)) {
     i9 = i1 + 248 | 0;
     set32(i9 | 0, (get32(i9 | 0) | 0) + 1 | 0);
     break;
    }
    i9 = i1 + 256 | 0;
    i8 = get32(i9 | 0) | 0;
    if (!i8) {
     i17 = i1 + 252 | 0;
     set32(i17 | 0, (get32(i17 | 0) | 0) + 1 | 0);
     break;
    }
    set32(i9 | 0, get32(i8 | 0) | 0);
    i9 = i1 + 236 | 0;
    i17 = get32(i9 | 0) | 0;
    i12 = i17 + 1 | 0;
    set32(i9 | 0, i12 | 0);
    i9 = i1 + 244 | 0;
    set32(i9 | 0, (get32(i9 | 0) | 0) + 1 | 0);
    i9 = i1 + 240 | 0;
    if ((i17 | 0) >= (get32(i9 | 0) | 0)) set32(i9 | 0, i12 | 0);
    i16 = i8;
    i7 = 81;
    break L64;
   } while (0);
   do if ((i6 + -1 | 0) >>> 0 <= 2147483390) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i11 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i6) | 0;
     if (!i11) break; else {
      i18 = i11;
      i7 = 80;
      break L64;
     }
    }
    i11 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i6) | 0;
    set32(35 * 4 | 0, i6 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i6 | 0)) set32(45 * 4 | 0, i6 | 0);
    i8 = get32(6 * 4 | 0) | 0;
    do if (i8) {
     i12 = get32(30 * 4 | 0) | 0;
     i9 = ((i12 | 0) < 0) << 31 >> 31;
     i17 = 16;
     i13 = _i64Subtract(get32(i17 | 0) | 0, get32(i17 + 4 | 0) | 0, i11 | 0, ((i11 | 0) < 0) << 31 >> 31 | 0) | 0;
     i17 = tempRet0;
     if ((i9 | 0) < (i17 | 0) | (i9 | 0) == (i17 | 0) & i12 >>> 0 < i13 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i13 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i8 & 15](i13, i12, i9, i11);
      set32(6 * 4 | 0, i8 | 0);
      set32(7 * 4 | 0, i13 | 0);
      break;
     }
    } while (0);
    i8 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i11) | 0;
    if (i8) {
     i13 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i8) | 0;
     i9 = (get32(30 * 4 | 0) | 0) + i13 | 0;
     set32(30 * 4 | 0, i9 | 0);
     if ((i9 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i9 | 0);
     i9 = get32(39 * 4 | 0) | 0;
     i13 = i9 + 1 | 0;
     set32(39 * 4 | 0, i13 | 0);
     if ((i9 | 0) < (get32(49 * 4 | 0) | 0)) {
      i18 = i8;
      i7 = 80;
      break L64;
     }
     set32(49 * 4 | 0, i13 | 0);
     i18 = i8;
     i7 = 80;
     break L64;
    }
   } while (0);
   set8(i15 >> 0 | 0, 1 | 0);
   i7 = 79;
  } else i7 = 79;
 } while (0);
 if ((i7 | 0) == 79) {
  set32(i14 + 12 | 0, 0 | 0);
  i7 = 82;
 } else if ((i7 | 0) == 80) {
  set32(i14 + 12 | 0, i18 | 0);
  i19 = i18;
 } else if ((i7 | 0) == 81) {
  set32(i14 + 12 | 0, i16 | 0);
  if (!i16) i7 = 82; else i19 = i16;
 }
 if ((i7 | 0) == 82) {
  _sqlite3DbFree(i1, i14);
  i4 = 0;
  return i4 | 0;
 }
 if ((get32(i2 | 0) | 0) <= 0) {
  i4 = i14;
  return i4 | 0;
 }
 i16 = i1 + 30 | 0;
 i18 = i1 + 234 | 0;
 i6 = i1 + 232 | 0;
 i8 = i1 + 248 | 0;
 i13 = i1 + 256 | 0;
 i9 = i1 + 252 | 0;
 i12 = i1 + 236 | 0;
 i17 = i1 + 244 | 0;
 i10 = i1 + 240 | 0;
 i20 = 0;
 i21 = i19;
 i19 = get32(i2 + 12 | 0) | 0;
 while (1) {
  set32(i21 | 0, _exprDup(i1, get32(i19 | 0) | 0, i3, 0) | 0 | 0);
  i22 = get32(i19 + 4 | 0) | 0;
  L131 : do if (!i22) i23 = 0; else {
   i24 = i22;
   while (1) if (!(get8(i24 >> 0 | 0) | 0)) {
    i25 = i24;
    break;
   } else i24 = i24 + 1 | 0;
   i24 = (i25 - i22 & 1073741823) + 1 | 0;
   L135 : do if (i5) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i26 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i24) | 0;
     i7 = 124;
     break;
    }
    i11 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i24) | 0;
    set32(35 * 4 | 0, i24 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i24 | 0)) set32(45 * 4 | 0, i24 | 0);
    i27 = get32(6 * 4 | 0) | 0;
    do if (i27) {
     i28 = get32(30 * 4 | 0) | 0;
     i29 = ((i28 | 0) < 0) << 31 >> 31;
     i30 = 16;
     i31 = _i64Subtract(get32(i30 | 0) | 0, get32(i30 + 4 | 0) | 0, i11 | 0, ((i11 | 0) < 0) << 31 >> 31 | 0) | 0;
     i30 = tempRet0;
     if ((i29 | 0) < (i30 | 0) | (i29 | 0) == (i30 | 0) & i28 >>> 0 < i31 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i31 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i27 & 15](i31, i28, i29, i11);
      set32(6 * 4 | 0, i27 | 0);
      set32(7 * 4 | 0, i31 | 0);
      break;
     }
    } while (0);
    i27 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i11) | 0;
    if (!i27) {
     i23 = 0;
     break L131;
    }
    i31 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i27) | 0;
    i29 = (get32(30 * 4 | 0) | 0) + i31 | 0;
    set32(30 * 4 | 0, i29 | 0);
    if ((i29 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i29 | 0);
    i29 = get32(39 * 4 | 0) | 0;
    i31 = i29 + 1 | 0;
    set32(39 * 4 | 0, i31 | 0);
    if ((i29 | 0) < (get32(49 * 4 | 0) | 0)) i32 = i27; else {
     set32(49 * 4 | 0, i31 | 0);
     i32 = i27;
    }
   } else {
    if (get8(i16 >> 0 | 0) | 0) {
     i23 = 0;
     break L131;
    }
    do if (get8(i18 >> 0 | 0) | 0) {
     if ((getU16(i6 | 0) | 0) >>> 0 < i24 >>> 0) {
      set32(i8 | 0, (get32(i8 | 0) | 0) + 1 | 0);
      break;
     }
     i27 = get32(i13 | 0) | 0;
     if (!i27) {
      set32(i9 | 0, (get32(i9 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i13 | 0, get32(i27 | 0) | 0);
     i31 = get32(i12 | 0) | 0;
     i29 = i31 + 1 | 0;
     set32(i12 | 0, i29 | 0);
     set32(i17 | 0, (get32(i17 | 0) | 0) + 1 | 0);
     if ((i31 | 0) >= (get32(i10 | 0) | 0)) set32(i10 | 0, i29 | 0);
     i26 = i27;
     i7 = 124;
     break L135;
    } while (0);
    if (!(get32(50 * 4 | 0) | 0)) {
     i11 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i24) | 0;
     if (i11) {
      i32 = i11;
      break;
     }
    } else {
     i11 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i24) | 0;
     set32(35 * 4 | 0, i24 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i24 | 0)) set32(45 * 4 | 0, i24 | 0);
     i27 = get32(6 * 4 | 0) | 0;
     do if (i27) {
      i29 = get32(30 * 4 | 0) | 0;
      i31 = ((i29 | 0) < 0) << 31 >> 31;
      i28 = 16;
      i30 = _i64Subtract(get32(i28 | 0) | 0, get32(i28 + 4 | 0) | 0, i11 | 0, ((i11 | 0) < 0) << 31 >> 31 | 0) | 0;
      i28 = tempRet0;
      if ((i31 | 0) < (i28 | 0) | (i31 | 0) == (i28 | 0) & i29 >>> 0 < i30 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i30 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i27 & 15](i30, i29, i31, i11);
       set32(6 * 4 | 0, i27 | 0);
       set32(7 * 4 | 0, i30 | 0);
       break;
      }
     } while (0);
     i27 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i11) | 0;
     if (i27) {
      i30 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i27) | 0;
      i31 = (get32(30 * 4 | 0) | 0) + i30 | 0;
      set32(30 * 4 | 0, i31 | 0);
      if ((i31 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i31 | 0);
      i31 = get32(39 * 4 | 0) | 0;
      i30 = i31 + 1 | 0;
      set32(39 * 4 | 0, i30 | 0);
      if ((i31 | 0) < (get32(49 * 4 | 0) | 0)) {
       i32 = i27;
       break;
      }
      set32(49 * 4 | 0, i30 | 0);
      i32 = i27;
      break;
     }
    }
    set8(i16 >> 0 | 0, 1 | 0);
    i23 = 0;
    break L131;
   } while (0);
   if ((i7 | 0) == 124) {
    i7 = 0;
    if (!i26) {
     i23 = 0;
     break;
    } else i32 = i26;
   }
   _memcpy(i32 | 0, i22 | 0, i24 | 0) | 0;
   i23 = i32;
  } while (0);
  set32(i21 + 4 | 0, i23 | 0);
  i22 = get32(i19 + 8 | 0) | 0;
  L190 : do if (!i22) i33 = 0; else {
   i15 = i22;
   while (1) if (!(get8(i15 >> 0 | 0) | 0)) {
    i34 = i15;
    break;
   } else i15 = i15 + 1 | 0;
   i15 = (i34 - i22 & 1073741823) + 1 | 0;
   L194 : do if (i5) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i35 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i15) | 0;
     i7 = 165;
     break;
    }
    i24 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i15) | 0;
    set32(35 * 4 | 0, i15 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i15 | 0)) set32(45 * 4 | 0, i15 | 0);
    i27 = get32(6 * 4 | 0) | 0;
    do if (i27) {
     i30 = get32(30 * 4 | 0) | 0;
     i31 = ((i30 | 0) < 0) << 31 >> 31;
     i29 = 16;
     i28 = _i64Subtract(get32(i29 | 0) | 0, get32(i29 + 4 | 0) | 0, i24 | 0, ((i24 | 0) < 0) << 31 >> 31 | 0) | 0;
     i29 = tempRet0;
     if ((i31 | 0) < (i29 | 0) | (i31 | 0) == (i29 | 0) & i30 >>> 0 < i28 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i28 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i27 & 15](i28, i30, i31, i24);
      set32(6 * 4 | 0, i27 | 0);
      set32(7 * 4 | 0, i28 | 0);
      break;
     }
    } while (0);
    i27 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i24) | 0;
    if (!i27) {
     i33 = 0;
     break L190;
    }
    i11 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i27) | 0;
    i28 = (get32(30 * 4 | 0) | 0) + i11 | 0;
    set32(30 * 4 | 0, i28 | 0);
    if ((i28 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i28 | 0);
    i28 = get32(39 * 4 | 0) | 0;
    i11 = i28 + 1 | 0;
    set32(39 * 4 | 0, i11 | 0);
    if ((i28 | 0) < (get32(49 * 4 | 0) | 0)) i36 = i27; else {
     set32(49 * 4 | 0, i11 | 0);
     i36 = i27;
    }
   } else {
    if (get8(i16 >> 0 | 0) | 0) {
     i33 = 0;
     break L190;
    }
    do if (get8(i18 >> 0 | 0) | 0) {
     if ((getU16(i6 | 0) | 0) >>> 0 < i15 >>> 0) {
      set32(i8 | 0, (get32(i8 | 0) | 0) + 1 | 0);
      break;
     }
     i27 = get32(i13 | 0) | 0;
     if (!i27) {
      set32(i9 | 0, (get32(i9 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i13 | 0, get32(i27 | 0) | 0);
     i11 = get32(i12 | 0) | 0;
     i28 = i11 + 1 | 0;
     set32(i12 | 0, i28 | 0);
     set32(i17 | 0, (get32(i17 | 0) | 0) + 1 | 0);
     if ((i11 | 0) >= (get32(i10 | 0) | 0)) set32(i10 | 0, i28 | 0);
     i35 = i27;
     i7 = 165;
     break L194;
    } while (0);
    if (!(get32(50 * 4 | 0) | 0)) {
     i24 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i15) | 0;
     if (i24) {
      i36 = i24;
      break;
     }
    } else {
     i24 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i15) | 0;
     set32(35 * 4 | 0, i15 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i15 | 0)) set32(45 * 4 | 0, i15 | 0);
     i27 = get32(6 * 4 | 0) | 0;
     do if (i27) {
      i28 = get32(30 * 4 | 0) | 0;
      i11 = ((i28 | 0) < 0) << 31 >> 31;
      i31 = 16;
      i30 = _i64Subtract(get32(i31 | 0) | 0, get32(i31 + 4 | 0) | 0, i24 | 0, ((i24 | 0) < 0) << 31 >> 31 | 0) | 0;
      i31 = tempRet0;
      if ((i11 | 0) < (i31 | 0) | (i11 | 0) == (i31 | 0) & i28 >>> 0 < i30 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i30 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i27 & 15](i30, i28, i11, i24);
       set32(6 * 4 | 0, i27 | 0);
       set32(7 * 4 | 0, i30 | 0);
       break;
      }
     } while (0);
     i27 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i24) | 0;
     if (i27) {
      i30 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i27) | 0;
      i11 = (get32(30 * 4 | 0) | 0) + i30 | 0;
      set32(30 * 4 | 0, i11 | 0);
      if ((i11 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i11 | 0);
      i11 = get32(39 * 4 | 0) | 0;
      i30 = i11 + 1 | 0;
      set32(39 * 4 | 0, i30 | 0);
      if ((i11 | 0) < (get32(49 * 4 | 0) | 0)) {
       i36 = i27;
       break;
      }
      set32(49 * 4 | 0, i30 | 0);
      i36 = i27;
      break;
     }
    }
    set8(i16 >> 0 | 0, 1 | 0);
    i33 = 0;
    break L190;
   } while (0);
   if ((i7 | 0) == 165) {
    i7 = 0;
    if (!i35) {
     i33 = 0;
     break;
    } else i36 = i35;
   }
   _memcpy(i36 | 0, i22 | 0, i15 | 0) | 0;
   i33 = i36;
  } while (0);
  set32(i21 + 8 | 0, i33 | 0);
  set8(i21 + 12 >> 0 | 0, get8(i19 + 12 >> 0 | 0) | 0 | 0);
  set8(i21 + 13 >> 0 | 0, 0 | 0);
  set16(i21 + 14 | 0, get16(i19 + 14 | 0) | 0 | 0);
  set16(i21 + 16 | 0, get16(i19 + 16 | 0) | 0 | 0);
  i20 = i20 + 1 | 0;
  if ((i20 | 0) >= (get32(i2 | 0) | 0)) {
   i4 = i14;
   break;
  } else {
   i21 = i21 + 20 | 0;
   i19 = i19 + 20 | 0;
  }
 }
 return i4 | 0;
}

function _allocateBtreePage(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0, i80 = 0, i81 = 0, i82 = 0, i83 = 0, i84 = 0, i85 = 0, i86 = 0, i87 = 0, i88 = 0, i89 = 0, i90 = 0, i91 = 0, i92 = 0, i93 = 0, i94 = 0, i95 = 0, i96 = 0, i97 = 0, i98 = 0, i99 = 0, i100 = 0, i101 = 0, i102 = 0;
 i6 = STACKTOP;
 STACKTOP = STACKTOP + 64 | 0;
 i7 = i6 + 40 | 0;
 i8 = i6 + 32 | 0;
 i9 = i6 + 24 | 0;
 i10 = i6 + 16 | 0;
 i11 = i6 + 8 | 0;
 i12 = i6;
 i13 = i6 + 48 | 0;
 i14 = i6 + 52 | 0;
 i15 = i1 + 12 | 0;
 i16 = get32(i15 | 0) | 0;
 i17 = i1 + 48 | 0;
 i18 = get32(i17 | 0) | 0;
 i19 = i16 + 64 | 0;
 i20 = get32(i19 | 0) | 0;
 i21 = getU8(i20 + 37 >> 0 | 0) << 16 | getU8(i20 + 36 >> 0 | 0) << 24 | getU8(i20 + 38 >> 0 | 0) << 8 | getU8(i20 + 39 >> 0 | 0);
 if (i21 >>> 0 >= i18 >>> 0) {
  set32(i12 | 0, 52292 | 0);
  set32(i12 + 4 | 0, 17203 | 0);
  _sqlite3_log(11, 19615, i12);
  i22 = 11;
  STACKTOP = i6;
  return i22 | 0;
 }
 do if (!i21) {
  i12 = _sqlite3PagerWrite(get32(i16 + 68 | 0) | 0) | 0;
  if (i12) {
   i22 = i12;
   STACKTOP = i6;
   return i22 | 0;
  }
  i12 = get32(i17 | 0) | 0;
  i20 = i12 + 1 | 0;
  set32(i17 | 0, i20 | 0);
  i23 = i1 + 36 | 0;
  i24 = get32(i23 | 0) | 0;
  if ((i12 | 0) == (((get32(199 * 4 | 0) | 0) >>> 0) / (i24 >>> 0) | 0 | 0)) {
   i25 = i12 + 2 | 0;
   set32(i17 | 0, i25 | 0);
   i26 = i25;
  } else i26 = i20;
  if (get8(i1 + 21 >> 0 | 0) | 0) {
   if (i26 >>> 0 < 2) i27 = 0; else {
    i20 = i26 + -2 | 0;
    i25 = i20 - ((i20 >>> 0) % (((((get32(i1 + 40 | 0) | 0) >>> 0) / 5 | 0) + 1 | 0) >>> 0) | 0) | 0;
    i27 = ((i25 + 1 | 0) == (((get32(199 * 4 | 0) | 0) >>> 0) / (i24 >>> 0) | 0 | 0) ? 3 : 2) + i25 | 0;
   }
   if ((i27 | 0) == (i26 | 0)) {
    i25 = _sqlite3PagerAcquire(get32(i1 | 0) | 0, i26, i13, 1) | 0;
    if (i25) {
     i22 = i25;
     STACKTOP = i6;
     return i22 | 0;
    }
    i25 = get32(i13 | 0) | 0;
    i24 = get32(i25 + 4 | 0) | 0;
    set32(i24 + 64 | 0, get32(i25 | 0) | 0);
    i20 = i24 + 68 | 0;
    set32(i20 | 0, i25 | 0);
    set32(i24 + 60 | 0, i1 | 0);
    set32(i24 + 72 | 0, i26 | 0);
    set8(i24 + 5 >> 0 | 0, ((i26 | 0) == 1 ? 100 : 0) | 0);
    i12 = _sqlite3PagerWrite(i25) | 0;
    if (i24) _sqlite3PagerUnref(get32(i20 | 0) | 0);
    if (i12) {
     i22 = i12;
     STACKTOP = i6;
     return i22 | 0;
    }
    i12 = get32(i17 | 0) | 0;
    i20 = i12 + 1 | 0;
    set32(i17 | 0, i20 | 0);
    if ((i12 | 0) == (((get32(199 * 4 | 0) | 0) >>> 0) / ((get32(i23 | 0) | 0) >>> 0) | 0 | 0)) {
     i23 = i12 + 2 | 0;
     set32(i17 | 0, i23 | 0);
     i28 = i23;
    } else i28 = i20;
   } else i28 = i26;
  } else i28 = i26;
  i20 = get32((get32(i15 | 0) | 0) + 64 | 0) | 0;
  set8(i20 + 28 >> 0 | 0, i28 >>> 24 | 0);
  set8(i20 + 29 >> 0 | 0, i28 >>> 16 | 0);
  set8(i20 + 30 >> 0 | 0, i28 >>> 8 | 0);
  set8(i20 + 31 >> 0 | 0, i28 | 0);
  i20 = get32(i17 | 0) | 0;
  set32(i3 | 0, i20 | 0);
  i23 = _sqlite3PagerAcquire(get32(i1 | 0) | 0, i20, i13, 1) | 0;
  if (i23) {
   i22 = i23;
   STACKTOP = i6;
   return i22 | 0;
  }
  i23 = get32(i13 | 0) | 0;
  i12 = get32(i23 + 4 | 0) | 0;
  set32(i12 + 64 | 0, get32(i23 | 0) | 0);
  set32(i12 + 68 | 0, i23 | 0);
  set32(i12 + 60 | 0, i1 | 0);
  set32(i12 + 72 | 0, i20 | 0);
  set8(i12 + 5 >> 0 | 0, ((i20 | 0) == 1 ? 100 : 0) | 0);
  set32(i2 | 0, i12 | 0);
  i20 = _sqlite3PagerWrite(get32(i12 + 68 | 0) | 0) | 0;
  if (i20) {
   i12 = get32(i2 | 0) | 0;
   if (!i12) {
    i29 = i20;
    i30 = 103;
   } else {
    _sqlite3PagerUnref(get32(i12 + 68 | 0) | 0);
    i29 = i20;
    i30 = 103;
   }
  }
 } else {
  do if (!(i5 << 24 >> 24 == 0 | i18 >>> 0 < i4 >>> 0)) {
   i20 = _ptrmapGet(i1, i4, i14, 0) | 0;
   if (!i20) {
    i12 = (get8(i14 >> 0 | 0) | 0) == 2 & 1;
    set32(i3 | 0, i4 | 0);
    i31 = i12;
    break;
   } else {
    i22 = i20;
    STACKTOP = i6;
    return i22 | 0;
   }
  } else i31 = 0; while (0);
  i20 = _sqlite3PagerWrite(get32(i16 + 68 | 0) | 0) | 0;
  if (i20) {
   i22 = i20;
   STACKTOP = i6;
   return i22 | 0;
  }
  i20 = get32(i19 | 0) | 0;
  i12 = i21 + -1 | 0;
  set8(i20 + 36 >> 0 | 0, i12 >>> 24 | 0);
  set8(i20 + 37 >> 0 | 0, i12 >>> 16 | 0);
  set8(i20 + 38 >> 0 | 0, i12 >>> 8 | 0);
  set8(i20 + 39 >> 0 | 0, i12 | 0);
  i12 = i1 + 40 | 0;
  i20 = (i4 | 0) == 0;
  i23 = i1 + 64 | 0;
  i24 = 0;
  i25 = i31;
  L47 : while (1) {
   i32 = i24;
   i33 = (i24 | 0) != 0;
   if (i33) {
    i34 = get32(i32 + 64 | 0) | 0;
    i35 = getU8(i34 + 1 >> 0 | 0) << 16 | getU8(i34 >> 0 | 0) << 24 | getU8(i34 + 2 >> 0 | 0) << 8 | getU8(i34 + 3 >> 0 | 0);
   } else {
    i34 = get32(i19 | 0) | 0;
    i35 = getU8(i34 + 33 >> 0 | 0) << 16 | getU8(i34 + 32 >> 0 | 0) << 24 | getU8(i34 + 34 >> 0 | 0) << 8 | getU8(i34 + 35 >> 0 | 0);
   }
   if (i35 >>> 0 > i18 >>> 0) {
    i36 = i32;
    i30 = 13;
    break;
   }
   i34 = _sqlite3PagerAcquire(get32(i1 | 0) | 0, i35, i13, 0) | 0;
   if (i34) {
    i37 = i32;
    i38 = i34;
    i30 = 15;
    break;
   }
   i34 = get32(i13 | 0) | 0;
   i39 = get32(i34 + 4 | 0) | 0;
   i40 = get32(i34 | 0) | 0;
   i41 = i39 + 64 | 0;
   set32(i41 | 0, i40 | 0);
   i42 = i39 + 68 | 0;
   set32(i42 | 0, i34 | 0);
   set32(i39 + 60 | 0, i1 | 0);
   set32(i39 + 72 | 0, i35 | 0);
   set8(i39 + 5 >> 0 | 0, ((i35 | 0) == 1 ? 100 : 0) | 0);
   i43 = i39;
   i39 = i40;
   i40 = i39 + 4 | 0;
   i44 = i39 + 5 | 0;
   i45 = i39 + 6 | 0;
   i46 = i39 + 7 | 0;
   i47 = getU8(i44 >> 0 | 0) << 16 | getU8(i40 >> 0 | 0) << 24 | getU8(i45 >> 0 | 0) << 8 | getU8(i46 >> 0 | 0);
   i48 = i25 << 24 >> 24 != 0;
   do if (i48 | (i47 | 0) != 0) {
    if (i47 >>> 0 > (((get32(i12 | 0) | 0) >>> 2) + -2 | 0) >>> 0) {
     i49 = i32;
     i50 = i43;
     i30 = 20;
     break L47;
    }
    if (i48 & (i35 | 0) == (i4 | 0)) {
     set32(i2 | 0, i43 | 0);
     i51 = _sqlite3PagerWrite(get32(i42 | 0) | 0) | 0;
     if (i51) {
      i52 = i43;
      i53 = i32;
      i54 = i51;
      i30 = 93;
      break L47;
     }
     if (!i47) {
      if (!i33) {
       i55 = i41;
       i30 = 25;
       break L47;
      }
      i51 = i32 + 68 | 0;
      i56 = _sqlite3PagerWrite(get32(i51 | 0) | 0) | 0;
      if (i56) {
       i52 = i43;
       i53 = i32;
       i54 = i56;
       i30 = 93;
       break L47;
      }
      i56 = get32(i32 + 64 | 0) | 0;
      i57 = get32(i41 | 0) | 0;
      i58 = getU8(i57 >> 0 | 0) | getU8(i57 + 1 >> 0 | 0) << 8 | getU8(i57 + 2 >> 0 | 0) << 16 | getU8(i57 + 3 >> 0 | 0) << 24;
      set8(i56 >> 0 | 0, i58 | 0);
      set8(i56 + 1 >> 0 | 0, i58 >> 8 | 0);
      set8(i56 + 2 >> 0 | 0, i58 >> 16 | 0);
      set8(i56 + 3 >> 0 | 0, i58 >> 24 | 0);
      i59 = i51;
      i60 = 0;
      i61 = 0;
      i62 = 0;
      i30 = 72;
      break;
     }
     i51 = get32(i41 | 0) | 0;
     i58 = get8(i51 + 8 >> 0 | 0) | 0;
     i56 = get8(i51 + 9 >> 0 | 0) | 0;
     i57 = get8(i51 + 10 >> 0 | 0) | 0;
     i63 = get8(i51 + 11 >> 0 | 0) | 0;
     i51 = (i56 & 255) << 16 | (i58 & 255) << 24 | (i57 & 255) << 8 | i63 & 255;
     if (i51 >>> 0 > i18 >>> 0) {
      i64 = i32;
      i65 = i43;
      i30 = 29;
      break L47;
     }
     i66 = _sqlite3PagerAcquire(get32(i1 | 0) | 0, i51, i13, 0) | 0;
     if (i66) {
      i67 = i32;
      i68 = i43;
      i69 = i66;
      i30 = 31;
      break L47;
     }
     i66 = get32(i13 | 0) | 0;
     i70 = get32(i66 + 4 | 0) | 0;
     i71 = i70 + 64 | 0;
     set32(i71 | 0, get32(i66 | 0) | 0);
     i72 = i70 + 68 | 0;
     set32(i72 | 0, i66 | 0);
     set32(i70 + 60 | 0, i1 | 0);
     set32(i70 + 72 | 0, i51 | 0);
     set8(i70 + 5 >> 0 | 0, ((i51 | 0) == 1 ? 100 : 0) | 0);
     i51 = _sqlite3PagerWrite(i66) | 0;
     if (i51) {
      i73 = i32;
      i74 = i43;
      i75 = i72;
      i76 = i51;
      i77 = i70;
      i30 = 33;
      break L47;
     }
     i51 = get32(i71 | 0) | 0;
     i66 = get32(i41 | 0) | 0;
     i78 = getU8(i66 >> 0 | 0) | getU8(i66 + 1 >> 0 | 0) << 8 | getU8(i66 + 2 >> 0 | 0) << 16 | getU8(i66 + 3 >> 0 | 0) << 24;
     set8(i51 >> 0 | 0, i78 | 0);
     set8(i51 + 1 >> 0 | 0, i78 >> 8 | 0);
     set8(i51 + 2 >> 0 | 0, i78 >> 16 | 0);
     set8(i51 + 3 >> 0 | 0, i78 >> 24 | 0);
     i78 = get32(i71 | 0) | 0;
     i51 = i47 + -1 | 0;
     set8(i78 + 4 >> 0 | 0, i51 >>> 24 | 0);
     set8(i78 + 5 >> 0 | 0, i51 >>> 16 | 0);
     set8(i78 + 6 >> 0 | 0, i51 >>> 8 | 0);
     set8(i78 + 7 >> 0 | 0, i51 | 0);
     _memcpy((get32(i71 | 0) | 0) + 8 | 0, (get32(i41 | 0) | 0) + 12 | 0, i51 << 2 | 0) | 0;
     if (i70) _sqlite3PagerUnref(get32(i72 | 0) | 0);
     if (!i33) {
      i79 = i58;
      i80 = i56;
      i81 = i57;
      i82 = i63;
      i30 = 38;
      break L47;
     }
     i72 = i32 + 68 | 0;
     i70 = _sqlite3PagerWrite(get32(i72 | 0) | 0) | 0;
     if (i70) {
      i52 = i43;
      i53 = i32;
      i54 = i70;
      i30 = 93;
      break L47;
     }
     i70 = get32(i32 + 64 | 0) | 0;
     set8(i70 >> 0 | 0, i58 | 0);
     set8(i70 + 1 >> 0 | 0, i56 | 0);
     set8(i70 + 2 >> 0 | 0, i57 | 0);
     set8(i70 + 3 >> 0 | 0, i63 | 0);
     i59 = i72;
     i60 = 0;
     i61 = 0;
     i62 = 0;
     i30 = 72;
     break;
    }
    if (i47) {
     if (!i20) {
      i72 = (getU8(i39 + 9 >> 0 | 0) << 16 | getU8(i39 + 8 >> 0 | 0) << 24 | getU8(i39 + 10 >> 0 | 0) << 8 | getU8(i39 + 11 >> 0 | 0)) - i4 | 0;
      if ((i72 | 0) > -1) i83 = i72; else i83 = (i72 | 0) == -2147483648 ? 2147483647 : 0 - i72 | 0;
      if (i47 >>> 0 > 1) {
       i72 = 0;
       i63 = i83;
       i70 = 1;
       while (1) {
        i57 = i70 << 2;
        i56 = (getU8(i39 + (i57 + 9) >> 0 | 0) << 16 | getU8(i39 + (i57 + 8) >> 0 | 0) << 24 | getU8(i39 + (i57 + 10) >> 0 | 0) << 8 | getU8(i39 + (i57 + 11) >> 0 | 0)) - i4 | 0;
        if ((i56 | 0) > -1) i84 = i56; else i84 = (i56 | 0) == -2147483648 ? 2147483647 : 0 - i56 | 0;
        i56 = (i84 | 0) < (i63 | 0);
        i57 = i56 ? i70 : i72;
        i70 = i70 + 1 | 0;
        if ((i70 | 0) == (i47 | 0)) {
         i85 = i57;
         break;
        } else {
         i72 = i57;
         i63 = i56 ? i84 : i63;
        }
       }
      } else i85 = 0;
     } else i85 = 0;
     i63 = i85 << 2;
     i72 = i39 + (i63 + 8) | 0;
     i70 = getU8(i39 + (i63 + 9) >> 0 | 0) << 16 | getU8(i72 >> 0 | 0) << 24 | getU8(i39 + (i63 + 10) >> 0 | 0) << 8 | getU8(i39 + (i63 + 11) >> 0 | 0);
     if (i70 >>> 0 > i18 >>> 0) {
      i86 = i32;
      i87 = i43;
      i30 = 50;
      break L47;
     }
     if ((i70 | 0) == (i4 | 0) | i48 ^ 1) {
      set32(i3 | 0, i70 | 0);
      i70 = _sqlite3PagerWrite(i34) | 0;
      if (i70) {
       i52 = i43;
       i53 = i32;
       i54 = i70;
       i30 = 93;
       break L47;
      }
      i70 = i47 + -1 | 0;
      if (i85 >>> 0 < i70 >>> 0) {
       i63 = i39 + ((i47 << 2) + 4) | 0;
       i56 = getU8(i63 >> 0 | 0) | getU8(i63 + 1 >> 0 | 0) << 8 | getU8(i63 + 2 >> 0 | 0) << 16 | getU8(i63 + 3 >> 0 | 0) << 24;
       set8(i72 >> 0 | 0, i56 | 0);
       set8(i72 + 1 >> 0 | 0, i56 >> 8 | 0);
       set8(i72 + 2 >> 0 | 0, i56 >> 16 | 0);
       set8(i72 + 3 >> 0 | 0, i56 >> 24 | 0);
      }
      set8(i40 >> 0 | 0, i70 >>> 24 | 0);
      set8(i44 >> 0 | 0, i70 >>> 16 | 0);
      set8(i45 >> 0 | 0, i70 >>> 8 | 0);
      set8(i46 >> 0 | 0, i70 | 0);
      i70 = get32(i3 | 0) | 0;
      i56 = get32(i23 | 0) | 0;
      L93 : do if (!i56) i88 = 0; else {
       i72 = get32(i56 | 0) | 0;
       if (i72 >>> 0 < i70 >>> 0) {
        i88 = 1;
        break;
       }
       i63 = i70 + -1 | 0;
       if (i63 >>> 0 < i72 >>> 0) {
        i89 = i63;
        i90 = i56;
       } else {
        i88 = 0;
        break;
       }
       while (1) {
        i63 = get32(i90 + 8 | 0) | 0;
        if (!i63) {
         i91 = i89;
         i92 = i90;
         break;
        }
        i90 = get32(i90 + 12 + (((i89 >>> 0) / (i63 >>> 0) | 0) << 2) | 0) | 0;
        if (!i90) {
         i88 = 0;
         break L93;
        } else i89 = (i89 >>> 0) % (i63 >>> 0) | 0;
       }
       if ((get32(i92 | 0) | 0) >>> 0 < 4001) {
        i88 = (getU8(i92 + 12 + (i91 >>> 3) >> 0 | 0) & 1 << (i91 & 7) | 0) != 0;
        break;
       }
       i63 = i91 + 1 | 0;
       i72 = (i91 >>> 0) % 125 | 0;
       i57 = get32(i92 + 12 + (i72 << 2) | 0) | 0;
       if (!i57) {
        i88 = 0;
        break;
       } else {
        i93 = i57;
        i94 = i72;
       }
       while (1) {
        if ((i93 | 0) == (i63 | 0)) {
         i88 = 1;
         break L93;
        }
        i94 = ((i94 + 1 | 0) >>> 0) % 125 | 0;
        i93 = get32(i92 + 12 + (i94 << 2) | 0) | 0;
        if (!i93) {
         i88 = 0;
         break;
        }
       }
      } while (0);
      i56 = _sqlite3PagerAcquire(get32(i1 | 0) | 0, i70, i13, i88 & 1 ^ 1) | 0;
      if (i56) {
       i95 = i43;
       i96 = i56;
       i97 = 0;
       i30 = 70;
       break;
      }
      i56 = get32(i13 | 0) | 0;
      i63 = get32(i56 + 4 | 0) | 0;
      set32(i63 + 64 | 0, get32(i56 | 0) | 0);
      set32(i63 + 68 | 0, i56 | 0);
      set32(i63 + 60 | 0, i1 | 0);
      set32(i63 + 72 | 0, i70 | 0);
      set8(i63 + 5 >> 0 | 0, ((i70 | 0) == 1 ? 100 : 0) | 0);
      set32(i2 | 0, i63 | 0);
      i56 = _sqlite3PagerWrite(get32(i63 + 68 | 0) | 0) | 0;
      if (!i56) {
       i95 = i43;
       i96 = 0;
       i97 = 0;
       i30 = 70;
       break;
      }
      i63 = get32(i2 | 0) | 0;
      if (!i63) {
       i95 = i43;
       i96 = i56;
       i97 = 0;
       i30 = 70;
       break;
      }
      _sqlite3PagerUnref(get32(i63 + 68 | 0) | 0);
      i95 = i43;
      i96 = i56;
      i97 = 0;
      i30 = 70;
     } else {
      i95 = i43;
      i96 = 0;
      i97 = i25;
      i30 = 70;
     }
    } else {
     i95 = i43;
     i96 = 0;
     i97 = i25;
     i30 = 70;
    }
   } else {
    i56 = _sqlite3PagerWrite(i34) | 0;
    if (i56) {
     i52 = i43;
     i53 = i32;
     i54 = i56;
     i30 = 93;
     break L47;
    }
    set32(i3 | 0, i35 | 0);
    i56 = (get32(i19 | 0) | 0) + 32 | 0;
    i63 = get32(i41 | 0) | 0;
    i72 = getU8(i63 >> 0 | 0) | getU8(i63 + 1 >> 0 | 0) << 8 | getU8(i63 + 2 >> 0 | 0) << 16 | getU8(i63 + 3 >> 0 | 0) << 24;
    set8(i56 >> 0 | 0, i72 | 0);
    set8(i56 + 1 >> 0 | 0, i72 >> 8 | 0);
    set8(i56 + 2 >> 0 | 0, i72 >> 16 | 0);
    set8(i56 + 3 >> 0 | 0, i72 >> 24 | 0);
    set32(i2 | 0, i43 | 0);
    i95 = 0;
    i96 = 0;
    i97 = 0;
    i30 = 70;
   } while (0);
   if ((i30 | 0) == 70) {
    i30 = 0;
    if (!i24) {
     i98 = i95;
     i99 = i96;
     i100 = i97;
    } else {
     i59 = i32 + 68 | 0;
     i60 = i95;
     i61 = i96;
     i62 = i97;
     i30 = 72;
    }
   }
   if ((i30 | 0) == 72) {
    i30 = 0;
    _sqlite3PagerUnref(get32(i59 | 0) | 0);
    i98 = i60;
    i99 = i61;
    i100 = i62;
   }
   if (!(i100 << 24 >> 24)) {
    i52 = i98;
    i53 = 0;
    i54 = i99;
    i30 = 93;
    break;
   } else {
    i24 = i98;
    i25 = i100;
   }
  }
  if ((i30 | 0) == 13) {
   set32(i11 | 0, 52337 | 0);
   set32(i11 + 4 | 0, 17203 | 0);
   _sqlite3_log(11, 19615, i11);
   i101 = i36;
   i102 = 11;
  } else if ((i30 | 0) == 15) {
   i101 = i37;
   i102 = i38;
  } else if ((i30 | 0) == 20) {
   set32(i10 | 0, 52363 | 0);
   set32(i10 + 4 | 0, 17203 | 0);
   _sqlite3_log(11, 19615, i10);
   i52 = i50;
   i53 = i49;
   i54 = 11;
   i30 = 93;
  } else if ((i30 | 0) == 25) {
   i25 = (get32(i19 | 0) | 0) + 32 | 0;
   i24 = get32(i55 | 0) | 0;
   i23 = getU8(i24 >> 0 | 0) | getU8(i24 + 1 >> 0 | 0) << 8 | getU8(i24 + 2 >> 0 | 0) << 16 | getU8(i24 + 3 >> 0 | 0) << 24;
   set8(i25 >> 0 | 0, i23 | 0);
   set8(i25 + 1 >> 0 | 0, i23 >> 8 | 0);
   set8(i25 + 2 >> 0 | 0, i23 >> 16 | 0);
   set8(i25 + 3 >> 0 | 0, i23 >> 24 | 0);
   break;
  } else if ((i30 | 0) == 29) {
   set32(i9 | 0, 52395 | 0);
   set32(i9 + 4 | 0, 17203 | 0);
   _sqlite3_log(11, 19615, i9);
   i52 = i65;
   i53 = i64;
   i54 = 11;
   i30 = 93;
  } else if ((i30 | 0) == 31) {
   i52 = i68;
   i53 = i67;
   i54 = i69;
   i30 = 93;
  } else if ((i30 | 0) == 33) if (!i77) {
   i52 = i74;
   i53 = i73;
   i54 = i76;
   i30 = 93;
  } else {
   _sqlite3PagerUnref(get32(i75 | 0) | 0);
   i52 = i74;
   i53 = i73;
   i54 = i76;
   i30 = 93;
  } else if ((i30 | 0) == 38) {
   i23 = get32(i19 | 0) | 0;
   set8(i23 + 32 >> 0 | 0, i79 | 0);
   set8(i23 + 33 >> 0 | 0, i80 | 0);
   set8(i23 + 34 >> 0 | 0, i81 | 0);
   set8(i23 + 35 >> 0 | 0, i82 | 0);
   break;
  } else if ((i30 | 0) == 50) {
   set32(i8 | 0, 52450 | 0);
   set32(i8 + 4 | 0, 17203 | 0);
   _sqlite3_log(11, 19615, i8);
   i52 = i87;
   i53 = i86;
   i54 = 11;
   i30 = 93;
  }
  if ((i30 | 0) == 93) if (!i52) {
   i101 = i53;
   i102 = i54;
  } else {
   _sqlite3PagerUnref(get32(i52 + 68 | 0) | 0);
   i101 = i53;
   i102 = i54;
  }
  if (i101) _sqlite3PagerUnref(get32(i101 + 68 | 0) | 0);
  if (i102) {
   i29 = i102;
   i30 = 103;
  }
 } while (0);
 if ((i30 | 0) == 103) {
  set32(i2 | 0, 0 | 0);
  i22 = i29;
  STACKTOP = i6;
  return i22 | 0;
 }
 i29 = get32(i2 | 0) | 0;
 i2 = get32(i29 + 68 | 0) | 0;
 if ((get16(i2 + 22 | 0) | 0) <= 1) {
  set8(i29 >> 0 | 0, 0 | 0);
  i22 = 0;
  STACKTOP = i6;
  return i22 | 0;
 }
 if (i29) _sqlite3PagerUnref(i2);
 set32(i7 | 0, 52528 | 0);
 set32(i7 + 4 | 0, 17203 | 0);
 _sqlite3_log(11, 19615, i7);
 i22 = 11;
 STACKTOP = i6;
 return i22 | 0;
}

function _checkTreePage(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0;
 i6 = STACKTOP;
 STACKTOP = STACKTOP + 432 | 0;
 i7 = i6 + 304 | 0;
 i8 = i6 + 296 | 0;
 i9 = i6 + 288 | 0;
 i10 = i6 + 272 | 0;
 i11 = i6 + 256 | 0;
 i12 = i6 + 240 | 0;
 i13 = i6 + 224 | 0;
 i14 = i6 + 200 | 0;
 i15 = i6 + 192 | 0;
 i16 = i6 + 184 | 0;
 i17 = i6 + 176 | 0;
 i18 = i6 + 152 | 0;
 i19 = i6 + 144 | 0;
 i20 = i6 + 120 | 0;
 i21 = i6 + 112 | 0;
 i22 = i6 + 96 | 0;
 i23 = i6 + 88 | 0;
 i24 = i6 + 80 | 0;
 i25 = i6 + 72 | 0;
 i26 = i6 + 64 | 0;
 i27 = i6 + 56 | 0;
 i28 = i6 + 48 | 0;
 i29 = i6 + 316 | 0;
 i30 = i6 + 320 | 0;
 i31 = i6 + 40 | 0;
 i32 = i6 + 32 | 0;
 i33 = i6;
 i34 = i31;
 set32(i34 | 0, 0 | 0);
 set32(i34 + 4 | 0, 0 | 0);
 i34 = i32;
 set32(i34 | 0, 0 | 0);
 set32(i34 + 4 | 0, 0 | 0);
 set32(i28 | 0, i2 | 0);
 _sqlite3_snprintf(100, i30, 22453, i28) | 0;
 i34 = get32(i1 | 0) | 0;
 i35 = i34 + 40 | 0;
 i36 = get32(i35 | 0) | 0;
 if (!i2) {
  i37 = 0;
  STACKTOP = i6;
  return i37 | 0;
 }
 if ((get32(i1 + 8 | 0) | 0) >>> 0 < i2 >>> 0) {
  set32(i27 | 0, i2 | 0);
  _checkAppendMsg(i1, i3, 22322, i27);
  i37 = 0;
  STACKTOP = i6;
  return i37 | 0;
 }
 i27 = (get32(i1 + 12 | 0) | 0) + (i2 << 2) | 0;
 i38 = get32(i27 | 0) | 0;
 if ((i38 | 0) == 1) {
  set32(i26 | 0, i2 | 0);
  _checkAppendMsg(i1, i3, 22345, i26);
  i37 = 0;
  STACKTOP = i6;
  return i37 | 0;
 }
 set32(i27 | 0, i38 + 1 | 0);
 if ((i38 | 0) > 1) {
  i37 = 0;
  STACKTOP = i6;
  return i37 | 0;
 }
 i38 = _sqlite3PagerAcquire(get32(i34 | 0) | 0, i2, i28, 0) | 0;
 if (i38) {
  set32(i25 | 0, i38 | 0);
  _checkAppendMsg(i1, i30, 22463, i25);
  i37 = 0;
  STACKTOP = i6;
  return i37 | 0;
 }
 i25 = get32(i28 | 0) | 0;
 i38 = get32(i25 + 4 | 0) | 0;
 i27 = i38 + 64 | 0;
 set32(i27 | 0, get32(i25 | 0) | 0);
 i26 = i38 + 68 | 0;
 set32(i26 | 0, i25 | 0);
 set32(i38 + 60 | 0, i34 | 0);
 set32(i38 + 72 | 0, i2 | 0);
 i25 = i38 + 5 | 0;
 set8(i25 >> 0 | 0, ((i2 | 0) == 1 ? 100 : 0) | 0);
 set8(i38 >> 0 | 0, 0 | 0);
 i3 = _btreeInitPage(i38) | 0;
 if (i3) {
  set32(i24 | 0, i3 | 0);
  _checkAppendMsg(i1, i30, 22501, i24);
  if (!i38) {
   i37 = 0;
   STACKTOP = i6;
   return i37 | 0;
  }
  _sqlite3PagerUnref(get32(i26 | 0) | 0);
  i37 = 0;
  STACKTOP = i6;
  return i37 | 0;
 }
 i24 = i1 + 16 | 0;
 i3 = i38 + 16 | 0;
 L26 : do if (!(get16(i3 | 0) | 0)) {
  i39 = i38 + 3 | 0;
  i40 = 0;
 } else {
  i41 = i38 + 18 | 0;
  i42 = i38 + 12 | 0;
  i43 = i33 + 12 | 0;
  i44 = i38 + 2 | 0;
  i45 = i33 + 22 | 0;
  i46 = i33 + 24 | 0;
  i47 = i36 + -5 | 0;
  i48 = i36 + -4 | 0;
  i49 = i34 + 21 | 0;
  i50 = i1 + 24 | 0;
  i51 = i38 + 3 | 0;
  i52 = 0;
  i53 = 0;
  while (1) {
   if (!(get32(i24 | 0) | 0)) {
    i39 = i51;
    i40 = i52;
    break L26;
   }
   set32(i23 | 0, i2 | 0);
   set32(i23 + 4 | 0, i53 | 0);
   _sqlite3_snprintf(100, i30, 22539, i23) | 0;
   i54 = get32(i27 | 0) | 0;
   i55 = (getU16(i42 | 0) | 0) + (i53 << 1) | 0;
   i56 = (getU8(i54 + i55 >> 0 | 0) << 8 | getU8(i54 + (i55 + 1) >> 0 | 0)) & getU16(i41 | 0);
   i55 = i54 + i56 | 0;
   _btreeParseCellPtr(i38, i55, i33);
   i57 = get32(i43 | 0) | 0;
   do if (!(get8(i44 >> 0 | 0) | 0)) i58 = (get32(i33 | 0) | 0) + i57 | 0; else {
    i59 = i33;
    i60 = get32(i59 | 0) | 0;
    i61 = get32(i59 + 4 | 0) | 0;
    if (!i53) {
     i59 = i32;
     set32(i59 | 0, i60 | 0);
     set32(i59 + 4 | 0, i61 | 0);
     i59 = i31;
     set32(i59 | 0, i60 | 0);
     set32(i59 + 4 | 0, i61 | 0);
     i58 = i57;
     break;
    }
    i59 = i32;
    i62 = get32(i59 | 0) | 0;
    i63 = get32(i59 + 4 | 0) | 0;
    if (!((i61 | 0) > (i63 | 0) | (i61 | 0) == (i63 | 0) & i60 >>> 0 > i62 >>> 0)) {
     i59 = i22;
     set32(i59 | 0, i60 | 0);
     set32(i59 + 4 | 0, i61 | 0);
     i59 = i22 + 8 | 0;
     set32(i59 | 0, i62 | 0);
     set32(i59 + 4 | 0, i63 | 0);
     _checkAppendMsg(i1, i30, 22565, i22);
    }
    i63 = i32;
    set32(i63 | 0, i60 | 0);
    set32(i63 + 4 | 0, i61 | 0);
    i58 = i57;
   } while (0);
   i57 = getU16(i45 | 0) | 0;
   if (i58 >>> 0 > i57 >>> 0 ? (i61 = (getU16(i46 | 0) | 0) + i56 | 0, i63 = i54 + i61 | 0, i63 >>> 0 <= ((get32(i27 | 0) | 0) + (get32(i35 | 0) | 0) | 0) >>> 0) : 0) {
    i60 = ((i47 + i58 - i57 | 0) >>> 0) / (i48 >>> 0) | 0;
    i57 = getU8(i54 + (i61 + 1) >> 0 | 0) << 16 | getU8(i63 >> 0 | 0) << 24 | getU8(i54 + (i61 + 2) >> 0 | 0) << 8 | getU8(i54 + (i61 + 3) >> 0 | 0);
    if (get8(i49 >> 0 | 0) | 0) {
     i61 = _ptrmapGet(get32(i1 | 0) | 0, i57, i28, i29) | 0;
     L47 : do if ((i61 | 0) < 7) {
      switch (i61 | 0) {
      case 0:
       break;
      default:
       {
        i64 = 28;
        break L47;
       }
      }
      i63 = get8(i28 >> 0 | 0) | 0;
      i59 = get32(i29 | 0) | 0;
      if (!(i63 << 24 >> 24 == 3 & (i59 | 0) == (i2 | 0))) {
       set32(i20 | 0, i57 | 0);
       set32(i20 + 4 | 0, 3 | 0);
       set32(i20 + 8 | 0, i2 | 0);
       set32(i20 + 12 | 0, i63 & 255 | 0);
       set32(i20 + 16 | 0, i59 | 0);
       _checkAppendMsg(i1, i30, 22399, i20);
      }
     } else {
      if ((i61 | 0) < 3082) switch (i61 | 0) {
      case 7:
       break;
      default:
       {
        i64 = 28;
        break L47;
       }
      } else switch (i61 | 0) {
      case 3082:
       break;
      default:
       {
        i64 = 28;
        break L47;
       }
      }
      set32(i50 | 0, 1 | 0);
      i64 = 28;
     } while (0);
     if ((i64 | 0) == 28) {
      i64 = 0;
      set32(i21 | 0, i57 | 0);
      _checkAppendMsg(i1, i30, 22370, i21);
     }
    }
    _checkList(i1, 0, i57, i60, i30);
   }
   if (!(get8(i51 >> 0 | 0) | 0)) {
    i61 = getU8(i54 + (i56 + 1) >> 0 | 0) << 16 | getU8(i55 >> 0 | 0) << 24 | getU8(i54 + (i56 + 2) >> 0 | 0) << 8 | getU8(i54 + (i56 + 3) >> 0 | 0);
    if (get8(i49 >> 0 | 0) | 0) {
     i59 = _ptrmapGet(get32(i1 | 0) | 0, i61, i28, i29) | 0;
     L65 : do if ((i59 | 0) < 7) {
      switch (i59 | 0) {
      case 0:
       break;
      default:
       {
        i64 = 37;
        break L65;
       }
      }
      i63 = get8(i28 >> 0 | 0) | 0;
      i62 = get32(i29 | 0) | 0;
      if (!(i63 << 24 >> 24 == 5 & (i62 | 0) == (i2 | 0))) {
       set32(i18 | 0, i61 | 0);
       set32(i18 + 4 | 0, 5 | 0);
       set32(i18 + 8 | 0, i2 | 0);
       set32(i18 + 12 | 0, i63 & 255 | 0);
       set32(i18 + 16 | 0, i62 | 0);
       _checkAppendMsg(i1, i30, 22399, i18);
      }
     } else {
      if ((i59 | 0) < 3082) switch (i59 | 0) {
      case 7:
       break;
      default:
       {
        i64 = 37;
        break L65;
       }
      } else switch (i59 | 0) {
      case 3082:
       break;
      default:
       {
        i64 = 37;
        break L65;
       }
      }
      set32(i50 | 0, 1 | 0);
      i64 = 37;
     } while (0);
     if ((i64 | 0) == 37) {
      i64 = 0;
      set32(i19 | 0, i61 | 0);
      _checkAppendMsg(i1, i30, 22370, i19);
     }
    }
    i59 = _checkTreePage(i1, i61, i30, i31, (i53 | 0) == 0 ? 0 : i32) | 0;
    if ((i53 | 0) < 1 | (i59 | 0) == (i52 | 0)) i65 = i59; else {
     _checkAppendMsg(i1, i30, 22609, i17);
     i65 = i59;
    }
   } else i65 = i52;
   i53 = i53 + 1 | 0;
   if ((i53 | 0) >= (getU16(i3 | 0) | 0)) {
    i39 = i51;
    i40 = i65;
    break;
   } else i52 = i65;
  }
 } while (0);
 if (!(get8(i39 >> 0 | 0) | 0)) {
  i65 = getU8(i25 >> 0 | 0) | 0;
  i17 = get32(i27 | 0) | 0;
  i19 = getU8(i17 + (i65 + 9) >> 0 | 0) << 16 | getU8(i17 + (i65 + 8) >> 0 | 0) << 24 | getU8(i17 + (i65 + 10) >> 0 | 0) << 8 | getU8(i17 + (i65 + 11) >> 0 | 0);
  set32(i16 | 0, i2 | 0);
  _sqlite3_snprintf(100, i30, 22634, i16) | 0;
  if (get8(i34 + 21 >> 0 | 0) | 0) {
   i65 = _ptrmapGet(get32(i1 | 0) | 0, i19, i16, i28) | 0;
   L85 : do if ((i65 | 0) < 7) {
    switch (i65 | 0) {
    case 0:
     break;
    default:
     {
      i64 = 48;
      break L85;
     }
    }
    i17 = get8(i16 >> 0 | 0) | 0;
    i18 = get32(i28 | 0) | 0;
    if (!(i17 << 24 >> 24 == 5 & (i18 | 0) == (i2 | 0))) {
     set32(i14 | 0, i19 | 0);
     set32(i14 + 4 | 0, 5 | 0);
     set32(i14 + 8 | 0, i2 | 0);
     set32(i14 + 12 | 0, i17 & 255 | 0);
     set32(i14 + 16 | 0, i18 | 0);
     _checkAppendMsg(i1, i30, 22399, i14);
    }
   } else {
    if ((i65 | 0) < 3082) switch (i65 | 0) {
    case 7:
     break;
    default:
     {
      i64 = 48;
      break L85;
     }
    } else switch (i65 | 0) {
    case 3082:
     break;
    default:
     {
      i64 = 48;
      break L85;
     }
    }
    set32(i1 + 24 | 0, 1 | 0);
    i64 = 48;
   } while (0);
   if ((i64 | 0) == 48) {
    set32(i15 | 0, i19 | 0);
    _checkAppendMsg(i1, i30, 22370, i15);
   }
  }
  _checkTreePage(i1, i19, i30, 0, (get16(i3 | 0) | 0) != 0 ? i32 : 0) | 0;
  if (get8(i39 >> 0 | 0) | 0) i64 = 53;
 } else i64 = 53;
 do if ((i64 | 0) == 53 ? (get8(i38 + 2 >> 0 | 0) | 0) != 0 : 0) {
  i3 = (i5 | 0) != 0;
  if (!i4) {
   if (!i3) break;
   i19 = i31;
   i15 = get32(i19 | 0) | 0;
   i65 = get32(i19 + 4 | 0) | 0;
   i19 = i5;
   i14 = get32(i19 | 0) | 0;
   i28 = get32(i19 + 4 | 0) | 0;
   if ((i65 | 0) > (i28 | 0) | (i65 | 0) == (i28 | 0) & i15 >>> 0 > i14 >>> 0) break;
   i19 = i10;
   set32(i19 | 0, i15 | 0);
   set32(i19 + 4 | 0, i65 | 0);
   i65 = i10 + 8 | 0;
   set32(i65 | 0, i14 | 0);
   set32(i65 + 4 | 0, i28 | 0);
   _checkAppendMsg(i1, i30, 22843, i10);
   break;
  }
  if (!i3) {
   i3 = i32;
   i28 = get32(i3 | 0) | 0;
   i65 = get32(i3 + 4 | 0) | 0;
   i3 = i4;
   i14 = get32(i3 | 0) | 0;
   i19 = get32(i3 + 4 | 0) | 0;
   if (!((i65 | 0) > (i19 | 0) | (i65 | 0) == (i19 | 0) & i28 >>> 0 > i14 >>> 0)) break;
   i3 = i13;
   set32(i3 | 0, i28 | 0);
   set32(i3 + 4 | 0, i65 | 0);
   i65 = i13 + 8 | 0;
   set32(i65 | 0, i14 | 0);
   set32(i65 + 4 | 0, i19 | 0);
   _checkAppendMsg(i1, i30, 22662, i13);
   break;
  }
  i19 = i31;
  i65 = get32(i19 | 0) | 0;
  i14 = get32(i19 + 4 | 0) | 0;
  i19 = i4;
  i3 = get32(i19 | 0) | 0;
  i28 = get32(i19 + 4 | 0) | 0;
  if (!((i14 | 0) > (i28 | 0) | (i14 | 0) == (i28 | 0) & i65 >>> 0 > i3 >>> 0)) {
   i19 = i12;
   set32(i19 | 0, i65 | 0);
   set32(i19 + 4 | 0, i14 | 0);
   i14 = i12 + 8 | 0;
   set32(i14 | 0, i3 | 0);
   set32(i14 + 4 | 0, i28 | 0);
   _checkAppendMsg(i1, i30, 22723, i12);
  }
  i28 = i32;
  i14 = get32(i28 | 0) | 0;
  i3 = get32(i28 + 4 | 0) | 0;
  i28 = i5;
  i19 = get32(i28 | 0) | 0;
  i65 = get32(i28 + 4 | 0) | 0;
  if ((i3 | 0) > (i65 | 0) | (i3 | 0) == (i65 | 0) & i14 >>> 0 > i19 >>> 0) {
   i28 = i11;
   set32(i28 | 0, i14 | 0);
   set32(i28 + 4 | 0, i3 | 0);
   i28 = i11 + 8 | 0;
   set32(i28 | 0, i19 | 0);
   set32(i28 + 4 | 0, i65 | 0);
   _checkAppendMsg(i1, i30, 22782, i11);
   i65 = i32;
   i66 = get32(i65 | 0) | 0;
   i67 = get32(i65 + 4 | 0) | 0;
  } else {
   i66 = i14;
   i67 = i3;
  }
  i3 = i4;
  set32(i3 | 0, i66 | 0);
  set32(i3 + 4 | 0, i67 | 0);
 } while (0);
 i67 = get32(i27 | 0) | 0;
 i27 = getU8(i25 >> 0 | 0) | 0;
 i25 = get32(i34 + 36 | 0) | 0;
 set32(37 * 4 | 0, i25 | 0);
 if ((get32(47 * 4 | 0) | 0) < (i25 | 0)) set32(47 * 4 | 0, i25 | 0);
 if ((get32(376 * 4 | 0) | 0) >= (i25 | 0) ? (i34 = get32(383 * 4 | 0) | 0, (i34 | 0) != 0) : 0) {
  set32(383 * 4 | 0, get32(i34 | 0) | 0);
  i66 = get32(382 * 4 | 0) | 0;
  set32(382 * 4 | 0, i66 + -1 | 0);
  set32(384 * 4 | 0, (i66 | 0) <= (get32(378 * 4 | 0) | 0) & 1 | 0);
  i66 = get32(31 * 4 | 0) | 0;
  i4 = i66 + 1 | 0;
  set32(31 * 4 | 0, i4 | 0);
  if ((i66 | 0) < (get32(41 * 4 | 0) | 0)) {
   i68 = i34;
   i64 = 89;
  } else {
   set32(41 * 4 | 0, i4 | 0);
   i68 = i34;
   i64 = 89;
  }
 } else i64 = 72;
 L124 : do if ((i64 | 0) == 72) {
  do if ((i25 + -1 | 0) >>> 0 <= 2147483390) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i34 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i25) | 0;
    if (!i34) break; else i69 = i34;
   } else {
    i34 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i25) | 0;
    set32(35 * 4 | 0, i25 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i25 | 0)) set32(45 * 4 | 0, i25 | 0);
    i4 = get32(6 * 4 | 0) | 0;
    do if (i4) {
     i66 = get32(30 * 4 | 0) | 0;
     i32 = ((i66 | 0) < 0) << 31 >> 31;
     i11 = 16;
     i30 = _i64Subtract(get32(i11 | 0) | 0, get32(i11 + 4 | 0) | 0, i34 | 0, ((i34 | 0) < 0) << 31 >> 31 | 0) | 0;
     i11 = tempRet0;
     if ((i32 | 0) < (i11 | 0) | (i32 | 0) == (i11 | 0) & i66 >>> 0 < i30 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i30 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i4 & 15](i30, i66, i32, i34);
      set32(6 * 4 | 0, i4 | 0);
      set32(7 * 4 | 0, i30 | 0);
      break;
     }
    } while (0);
    i4 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i34) | 0;
    if (!i4) break;
    i61 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i4) | 0;
    i30 = (get32(30 * 4 | 0) | 0) + i61 | 0;
    set32(30 * 4 | 0, i30 | 0);
    if ((i30 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i30 | 0);
    i30 = get32(39 * 4 | 0) | 0;
    i61 = i30 + 1 | 0;
    set32(39 * 4 | 0, i61 | 0);
    if ((i30 | 0) < (get32(49 * 4 | 0) | 0)) i69 = i4; else {
     set32(49 * 4 | 0, i61 | 0);
     i69 = i4;
    }
   }
   i4 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i69) | 0;
   i61 = (get32(32 * 4 | 0) | 0) + i4 | 0;
   set32(32 * 4 | 0, i61 | 0);
   if ((i61 | 0) <= (get32(42 * 4 | 0) | 0)) {
    i68 = i69;
    i64 = 89;
    break L124;
   }
   set32(42 * 4 | 0, i61 | 0);
   i68 = i69;
   i64 = 89;
   break L124;
  } while (0);
  set32(i1 + 24 | 0, 1 | 0);
  i64 = 126;
 } while (0);
 if ((i64 | 0) == 89) {
  i69 = (i68 | 0) == 0;
  i25 = ((getU8(i67 + (i27 + 5) >> 0 | 0) << 8 | getU8(i67 + (i27 + 6) >> 0 | 0)) + 65535 & 65535) + 1 | 0;
  _memset(i68 + i25 | 0, 0, i36 - i25 | 0) | 0;
  _memset(i68 | 0, 1, i25 | 0) | 0;
  i25 = getU8(i67 + (i27 + 3) >> 0 | 0) << 8 | getU8(i67 + (i27 + 4) >> 0 | 0);
  i61 = i27 + 12 - (getU8(i39 >> 0 | 0) << 2) | 0;
  if (i25) {
   i39 = i36 + -4 | 0;
   i4 = 0;
   do {
    i30 = i61 + (i4 << 1) | 0;
    i32 = getU8(i67 + i30 >> 0 | 0) << 8 | getU8(i67 + (i30 + 1) >> 0 | 0);
    if ((i32 | 0) > (i39 | 0)) i70 = 65536; else i70 = (_cellSizePtr(i38, i67 + i32 | 0) | 0) & 65535;
    i30 = i70 + i32 | 0;
    if ((i30 | 0) <= (i36 | 0)) {
     if (i70) {
      i66 = i30;
      do {
       i66 = i66 + -1 | 0;
       i30 = i68 + i66 | 0;
       set8(i30 >> 0 | 0, (get8(i30 >> 0 | 0) | 0) + 1 << 24 >> 24 | 0);
      } while ((i66 | 0) > (i32 | 0));
     }
    } else {
     set32(i9 | 0, i4 | 0);
     set32(i9 + 4 | 0, i2 | 0);
     _checkAppendMsg(i1, 0, 22902, i9);
    }
    i4 = i4 + 1 | 0;
   } while ((i4 | 0) < (i25 | 0));
  }
  i25 = getU8(i67 + (i27 + 1) >> 0 | 0) << 8 | getU8(i67 + (i27 + 2) >> 0 | 0);
  if (i25) {
   i4 = i25;
   do {
    i25 = getU8(i67 + (i4 + 2) >> 0 | 0) << 8 | getU8(i67 + (i4 + 3) >> 0 | 0);
    if (i25) {
     i9 = i25 + i4 | 0;
     do {
      i9 = i9 + -1 | 0;
      i25 = i68 + i9 | 0;
      set8(i25 >> 0 | 0, (get8(i25 >> 0 | 0) | 0) + 1 << 24 >> 24 | 0);
     } while ((i9 | 0) > (i4 | 0));
    }
    i4 = getU8(i67 + i4 >> 0 | 0) << 8 | getU8(i67 + (i4 + 1) >> 0 | 0);
   } while ((i4 | 0) != 0);
  }
  L173 : do if ((i36 | 0) > 0) {
   i4 = 0;
   i9 = 0;
   while (1) {
    i25 = get8(i68 + i9 >> 0 | 0) | 0;
    if (i25 << 24 >> 24) if (i25 << 24 >> 24 > 1) {
     i71 = i4;
     i72 = i9;
     break;
    } else i73 = i4; else i73 = i4 + 1 | 0;
    i9 = i9 + 1 | 0;
    if ((i9 | 0) >= (i36 | 0)) {
     i74 = i73;
     break L173;
    } else i4 = i73;
   }
   set32(i8 | 0, i72 | 0);
   set32(i8 + 4 | 0, i2 | 0);
   _checkAppendMsg(i1, 0, 22944, i8);
   i74 = i71;
  } else i74 = 0; while (0);
  i71 = getU8(i67 + (i27 + 7) >> 0 | 0) | 0;
  if ((i74 | 0) == (i71 | 0)) {
   if (!i69) i64 = 112;
  } else {
   set32(i7 | 0, i74 | 0);
   set32(i7 + 4 | 0, i71 | 0);
   set32(i7 + 8 | 0, i2 | 0);
   _checkAppendMsg(i1, 0, 22981, i7);
   if (!i69) i64 = 112;
  }
  do if ((i64 | 0) == 112) {
   if ((get32(379 * 4 | 0) | 0) >>> 0 <= i68 >>> 0 & (get32(380 * 4 | 0) | 0) >>> 0 > i68 >>> 0) {
    i69 = (get32(31 * 4 | 0) | 0) + -1 | 0;
    set32(31 * 4 | 0, i69 | 0);
    if ((i69 | 0) > (get32(41 * 4 | 0) | 0)) set32(41 * 4 | 0, i69 | 0);
    set32(i68 | 0, get32(383 * 4 | 0) | 0);
    set32(383 * 4 | 0, i68 | 0);
    i69 = (get32(382 * 4 | 0) | 0) + 1 | 0;
    set32(382 * 4 | 0, i69 | 0);
    set32(384 * 4 | 0, (i69 | 0) < (get32(378 * 4 | 0) | 0) & 1 | 0);
    break;
   }
   i69 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i68) | 0;
   i7 = (get32(32 * 4 | 0) | 0) - i69 | 0;
   set32(32 * 4 | 0, i7 | 0);
   if ((i7 | 0) > (get32(42 * 4 | 0) | 0)) set32(42 * 4 | 0, i7 | 0);
   if (!(get32(50 * 4 | 0) | 0)) {
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i68);
    break;
   }
   i7 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i68) | 0;
   i69 = (get32(30 * 4 | 0) | 0) - i7 | 0;
   set32(30 * 4 | 0, i69 | 0);
   if ((i69 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i69 | 0);
   i69 = (get32(39 * 4 | 0) | 0) + -1 | 0;
   set32(39 * 4 | 0, i69 | 0);
   if ((i69 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i69 | 0);
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i68);
  } while (0);
  if (i38) i64 = 126;
 }
 if ((i64 | 0) == 126) _sqlite3PagerUnref(get32(i26 | 0) | 0);
 i37 = i40 + 1 | 0;
 STACKTOP = i6;
 return i37 | 0;
}
function _main(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, d49 = 0.0, i50 = 0, i51 = 0, i52 = 0, i53 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 224 | 0;
 i4 = i3 + 200 | 0;
 i5 = i3 + 192 | 0;
 i6 = i3 + 184 | 0;
 i7 = i3 + 176 | 0;
 i8 = i3 + 168 | 0;
 i9 = i3 + 160 | 0;
 i10 = i3 + 152 | 0;
 i11 = i3 + 144 | 0;
 i12 = i3 + 136 | 0;
 i13 = i3 + 128 | 0;
 i14 = i3 + 120 | 0;
 i15 = i3 + 112 | 0;
 i16 = i3 + 104 | 0;
 i17 = i3 + 96 | 0;
 i18 = i3 + 88 | 0;
 i19 = i3 + 80 | 0;
 i20 = i3 + 72 | 0;
 i21 = i3 + 64 | 0;
 i22 = i3 + 56 | 0;
 i23 = i3 + 48 | 0;
 i24 = i3 + 40 | 0;
 i25 = i3 + 32 | 0;
 i26 = i3 + 24 | 0;
 i27 = i3 + 16 | 0;
 i28 = i3 + 8 | 0;
 i29 = i3;
 i30 = i3 + 208 | 0;
 i31 = i3 + 204 | 0;
 set32(i31 | 0, 0 | 0);
 if ((i1 | 0) > 1) {
  i32 = _atoi(get32(i2 + 4 | 0) | 0) | 0;
  if ((i1 | 0) > 2) {
   i33 = _atoi(get32(i2 + 8 | 0) | 0) | 0;
   i34 = i32;
  } else {
   i33 = 1;
   i34 = i32;
  }
 } else {
  i33 = 1;
  i34 = 5e3;
 }
 if (_openDatabase(17643, i30, 6, 0) | 0) {
  i32 = get32(1440 * 4 | 0) | 0;
  i2 = get32(i30 | 0) | 0;
  if (!i2) {
   i35 = 19448;
   set32(i27 | 0, i35 | 0);
   _fprintf(i32, 17652, i27) | 0;
   _sqlite3_close(i2) | 0;
   _exit(1);
  }
  i1 = get32(i2 + 56 | 0) | 0;
  L10 : do if ((i1 | 0) >= -264537850) if ((i1 | 0) < 1266094736) switch (i1 | 0) {
  case -264537850:
   {
    break L10;
    break;
   }
  default:
   {
    i36 = 7;
    break L10;
   }
  } else switch (i1 | 0) {
  case 1266094736:
   {
    break L10;
    break;
   }
  default:
   {
    i36 = 7;
    break L10;
   }
  } else switch (i1 | 0) {
  case -1607883113:
   break;
  default:
   i36 = 7;
  } while (0);
  if ((i36 | 0) == 7) {
   set32(i29 | 0, 38376 | 0);
   _sqlite3_log(21, 26104, i29);
   set32(i28 | 0, 109450 | 0);
   set32(i28 + 4 | 0, 17203 | 0);
   _sqlite3_log(21, 39226, i28);
   i35 = 38778;
   set32(i27 | 0, i35 | 0);
   _fprintf(i32, 17652, i27) | 0;
   _sqlite3_close(i2) | 0;
   _exit(1);
  }
  if (get8(i2 + 30 >> 0 | 0) | 0) {
   i35 = 19448;
   set32(i27 | 0, i35 | 0);
   _fprintf(i32, 17652, i27) | 0;
   _sqlite3_close(i2) | 0;
   _exit(1);
  }
  i28 = _sqlite3ValueText(get32(i2 + 212 | 0) | 0, 1) | 0;
  if (i28) {
   i35 = i28;
   set32(i27 | 0, i35 | 0);
   _fprintf(i32, 17652, i27) | 0;
   _sqlite3_close(i2) | 0;
   _exit(1);
  }
  i28 = get32(i2 + 20 | 0) & 255;
  if (i28 >>> 0 > 26 | (i28 | 0) == 2) {
   i35 = 38974;
   set32(i27 | 0, i35 | 0);
   _fprintf(i32, 17652, i27) | 0;
   _sqlite3_close(i2) | 0;
   _exit(1);
  }
  i35 = get32(5652 + (i28 << 2) | 0) | 0;
  set32(i27 | 0, i35 | 0);
  _fprintf(i32, 17652, i27) | 0;
  _sqlite3_close(i2) | 0;
  _exit(1);
 }
 i2 = _clock() | 0;
 i27 = ~~+_emscripten_get_now();
 set32(i26 | 0, i27 - i2 | 0);
 _printf(17698, i26) | 0;
 i26 = get32(i30 | 0) | 0;
 if (_sqlite3_exec(i26, 17761, 15, 0, i31) | 0) {
  i30 = get32(1440 * 4 | 0) | 0;
  i2 = get32(i31 | 0) | 0;
  set32(i25 | 0, 0 | 0);
  set32(i25 + 4 | 0, i2 | 0);
  _fprintf(i30, 17677, i25) | 0;
  i25 = get32(i31 | 0) | 0;
  if (!i25) _exit(1);
  if (!(get32(50 * 4 | 0) | 0)) {
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i25);
   _exit(1);
  }
  i30 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i25) | 0;
  i2 = (get32(30 * 4 | 0) | 0) - i30 | 0;
  set32(30 * 4 | 0, i2 | 0);
  if ((i2 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i2 | 0);
  i2 = (get32(39 * 4 | 0) | 0) + -1 | 0;
  set32(39 * 4 | 0, i2 | 0);
  if ((i2 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i2 | 0);
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i25);
  _exit(1);
 }
 i25 = ~~+_emscripten_get_now();
 set32(i24 | 0, i25 - i27 | 0);
 _printf(17816, i24) | 0;
 if (_sqlite3_exec(i26, 17843, 15, 0, i31) | 0) {
  i24 = get32(1440 * 4 | 0) | 0;
  i27 = get32(i31 | 0) | 0;
  set32(i23 | 0, 0 | 0);
  set32(i23 + 4 | 0, i27 | 0);
  _fprintf(i24, 17677, i23) | 0;
  i23 = get32(i31 | 0) | 0;
  if (!i23) _exit(1);
  if (!(get32(50 * 4 | 0) | 0)) {
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i23);
   _exit(1);
  }
  i24 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i23) | 0;
  i27 = (get32(30 * 4 | 0) | 0) - i24 | 0;
  set32(30 * 4 | 0, i27 | 0);
  if ((i27 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i27 | 0);
  i27 = (get32(39 * 4 | 0) | 0) + -1 | 0;
  set32(39 * 4 | 0, i27 | 0);
  if ((i27 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i27 | 0);
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i23);
  _exit(1);
 }
 L65 : do if ((i34 | 0) > 0) {
  i23 = 0;
  while (1) {
   if (_sqlite3_exec(i26, 17850, 15, 0, i31) | 0) {
    i37 = i23;
    i36 = 35;
    break;
   }
   if (_sqlite3_exec(i26, 17902, 15, 0, i31) | 0) {
    i38 = i23;
    i36 = 45;
    break;
   }
   if (_sqlite3_exec(i26, 17952, 15, 0, i31) | 0) {
    i39 = i23;
    i36 = 55;
    break;
   }
   if (_sqlite3_exec(i26, 18016, 15, 0, i31) | 0) {
    i40 = i23;
    i36 = 65;
    break;
   }
   if (_sqlite3_exec(i26, 18078, 15, 0, i31) | 0) {
    i41 = i23;
    i36 = 75;
    break;
   }
   i27 = i23 + 1 | 0;
   if ((i27 | 0) < (i34 | 0)) i23 = i27; else {
    i42 = i27;
    break L65;
   }
  }
  if ((i36 | 0) == 35) {
   i23 = get32(1440 * 4 | 0) | 0;
   i27 = get32(i31 | 0) | 0;
   set32(i22 | 0, i37 | 0);
   set32(i22 + 4 | 0, i27 | 0);
   _fprintf(i23, 17677, i22) | 0;
   i23 = get32(i31 | 0) | 0;
   if (!i23) _exit(1);
   if (!(get32(50 * 4 | 0) | 0)) {
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i23);
    _exit(1);
   }
   i27 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i23) | 0;
   i24 = (get32(30 * 4 | 0) | 0) - i27 | 0;
   set32(30 * 4 | 0, i24 | 0);
   if ((i24 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i24 | 0);
   i24 = (get32(39 * 4 | 0) | 0) + -1 | 0;
   set32(39 * 4 | 0, i24 | 0);
   if ((i24 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i24 | 0);
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i23);
   _exit(1);
  } else if ((i36 | 0) == 45) {
   i23 = get32(1440 * 4 | 0) | 0;
   i24 = get32(i31 | 0) | 0;
   set32(i21 | 0, i38 | 0);
   set32(i21 + 4 | 0, i24 | 0);
   _fprintf(i23, 17677, i21) | 0;
   i23 = get32(i31 | 0) | 0;
   if (!i23) _exit(1);
   if (!(get32(50 * 4 | 0) | 0)) {
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i23);
    _exit(1);
   }
   i24 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i23) | 0;
   i27 = (get32(30 * 4 | 0) | 0) - i24 | 0;
   set32(30 * 4 | 0, i27 | 0);
   if ((i27 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i27 | 0);
   i27 = (get32(39 * 4 | 0) | 0) + -1 | 0;
   set32(39 * 4 | 0, i27 | 0);
   if ((i27 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i27 | 0);
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i23);
   _exit(1);
  } else if ((i36 | 0) == 55) {
   i23 = get32(1440 * 4 | 0) | 0;
   i27 = get32(i31 | 0) | 0;
   set32(i20 | 0, i39 | 0);
   set32(i20 + 4 | 0, i27 | 0);
   _fprintf(i23, 17677, i20) | 0;
   i23 = get32(i31 | 0) | 0;
   if (!i23) _exit(1);
   if (!(get32(50 * 4 | 0) | 0)) {
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i23);
    _exit(1);
   }
   i27 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i23) | 0;
   i24 = (get32(30 * 4 | 0) | 0) - i27 | 0;
   set32(30 * 4 | 0, i24 | 0);
   if ((i24 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i24 | 0);
   i24 = (get32(39 * 4 | 0) | 0) + -1 | 0;
   set32(39 * 4 | 0, i24 | 0);
   if ((i24 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i24 | 0);
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i23);
   _exit(1);
  } else if ((i36 | 0) == 65) {
   i23 = get32(1440 * 4 | 0) | 0;
   i24 = get32(i31 | 0) | 0;
   set32(i19 | 0, i40 | 0);
   set32(i19 + 4 | 0, i24 | 0);
   _fprintf(i23, 17677, i19) | 0;
   i23 = get32(i31 | 0) | 0;
   if (!i23) _exit(1);
   if (!(get32(50 * 4 | 0) | 0)) {
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i23);
    _exit(1);
   }
   i24 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i23) | 0;
   i27 = (get32(30 * 4 | 0) | 0) - i24 | 0;
   set32(30 * 4 | 0, i27 | 0);
   if ((i27 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i27 | 0);
   i27 = (get32(39 * 4 | 0) | 0) + -1 | 0;
   set32(39 * 4 | 0, i27 | 0);
   if ((i27 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i27 | 0);
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i23);
   _exit(1);
  } else if ((i36 | 0) == 75) {
   i23 = get32(1440 * 4 | 0) | 0;
   i27 = get32(i31 | 0) | 0;
   set32(i18 | 0, i41 | 0);
   set32(i18 + 4 | 0, i27 | 0);
   _fprintf(i23, 17677, i18) | 0;
   i23 = get32(i31 | 0) | 0;
   if (!i23) _exit(1);
   if (!(get32(50 * 4 | 0) | 0)) {
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i23);
    _exit(1);
   }
   i27 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i23) | 0;
   i24 = (get32(30 * 4 | 0) | 0) - i27 | 0;
   set32(30 * 4 | 0, i24 | 0);
   if ((i24 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i24 | 0);
   i24 = (get32(39 * 4 | 0) | 0) + -1 | 0;
   set32(39 * 4 | 0, i24 | 0);
   if ((i24 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i24 | 0);
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i23);
   _exit(1);
  }
 } else i42 = 0; while (0);
 i18 = ~~+_emscripten_get_now();
 set32(i17 | 0, i18 - i25 | 0);
 _printf(18153, i17) | 0;
 if (_sqlite3_exec(i26, 18182, 15, 0, i31) | 0) {
  i17 = get32(1440 * 4 | 0) | 0;
  i25 = get32(i31 | 0) | 0;
  set32(i16 | 0, i42 | 0);
  set32(i16 + 4 | 0, i25 | 0);
  _fprintf(i17, 17677, i16) | 0;
  i16 = get32(i31 | 0) | 0;
  if (!i16) _exit(1);
  if (!(get32(50 * 4 | 0) | 0)) {
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i16);
   _exit(1);
  }
  i17 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i16) | 0;
  i25 = (get32(30 * 4 | 0) | 0) - i17 | 0;
  set32(30 * 4 | 0, i25 | 0);
  if ((i25 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i25 | 0);
  i25 = (get32(39 * 4 | 0) | 0) + -1 | 0;
  set32(39 * 4 | 0, i25 | 0);
  if ((i25 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i25 | 0);
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i16);
  _exit(1);
 }
 i16 = ~~+_emscripten_get_now();
 set32(i15 | 0, i16 - i18 | 0);
 _printf(18190, i15) | 0;
 i15 = (i33 | 0) > 0;
 L167 : do if (i15) {
  i18 = 0;
  while (1) {
   set32(241 * 4 | 0, (i18 | 0) == 0 & 1 | 0);
   if (_sqlite3_exec(i26, 18211, 15, 0, i31) | 0) {
    i43 = i18;
    i36 = 97;
    break;
   }
   if (_sqlite3_exec(i26, 18236, 15, 0, i31) | 0) {
    i44 = i18;
    i36 = 107;
    break;
   }
   if (_sqlite3_exec(i26, 18273, 15, 0, i31) | 0) {
    i45 = i18;
    i36 = 117;
    break;
   }
   if (_sqlite3_exec(i26, 18328, 15, 0, i31) | 0) {
    i46 = i18;
    i36 = 127;
    break;
   }
   i25 = i18 + 1 | 0;
   if ((i25 | 0) < (i33 | 0)) i18 = i25; else {
    i47 = i25;
    break L167;
   }
  }
  if ((i36 | 0) == 97) {
   i18 = get32(1440 * 4 | 0) | 0;
   i25 = get32(i31 | 0) | 0;
   set32(i14 | 0, i43 | 0);
   set32(i14 + 4 | 0, i25 | 0);
   _fprintf(i18, 17677, i14) | 0;
   i18 = get32(i31 | 0) | 0;
   if (!i18) _exit(1);
   if (!(get32(50 * 4 | 0) | 0)) {
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i18);
    _exit(1);
   }
   i25 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i18) | 0;
   i17 = (get32(30 * 4 | 0) | 0) - i25 | 0;
   set32(30 * 4 | 0, i17 | 0);
   if ((i17 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i17 | 0);
   i17 = (get32(39 * 4 | 0) | 0) + -1 | 0;
   set32(39 * 4 | 0, i17 | 0);
   if ((i17 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i17 | 0);
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i18);
   _exit(1);
  } else if ((i36 | 0) == 107) {
   i18 = get32(1440 * 4 | 0) | 0;
   i17 = get32(i31 | 0) | 0;
   set32(i13 | 0, i44 | 0);
   set32(i13 + 4 | 0, i17 | 0);
   _fprintf(i18, 17677, i13) | 0;
   i18 = get32(i31 | 0) | 0;
   if (!i18) _exit(1);
   if (!(get32(50 * 4 | 0) | 0)) {
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i18);
    _exit(1);
   }
   i17 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i18) | 0;
   i25 = (get32(30 * 4 | 0) | 0) - i17 | 0;
   set32(30 * 4 | 0, i25 | 0);
   if ((i25 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i25 | 0);
   i25 = (get32(39 * 4 | 0) | 0) + -1 | 0;
   set32(39 * 4 | 0, i25 | 0);
   if ((i25 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i25 | 0);
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i18);
   _exit(1);
  } else if ((i36 | 0) == 117) {
   i18 = get32(1440 * 4 | 0) | 0;
   i25 = get32(i31 | 0) | 0;
   set32(i12 | 0, i45 | 0);
   set32(i12 + 4 | 0, i25 | 0);
   _fprintf(i18, 17677, i12) | 0;
   i18 = get32(i31 | 0) | 0;
   if (!i18) _exit(1);
   if (!(get32(50 * 4 | 0) | 0)) {
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i18);
    _exit(1);
   }
   i25 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i18) | 0;
   i17 = (get32(30 * 4 | 0) | 0) - i25 | 0;
   set32(30 * 4 | 0, i17 | 0);
   if ((i17 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i17 | 0);
   i17 = (get32(39 * 4 | 0) | 0) + -1 | 0;
   set32(39 * 4 | 0, i17 | 0);
   if ((i17 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i17 | 0);
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i18);
   _exit(1);
  } else if ((i36 | 0) == 127) {
   i18 = get32(1440 * 4 | 0) | 0;
   i17 = get32(i31 | 0) | 0;
   set32(i11 | 0, i46 | 0);
   set32(i11 + 4 | 0, i17 | 0);
   _fprintf(i18, 17677, i11) | 0;
   i18 = get32(i31 | 0) | 0;
   if (!i18) _exit(1);
   if (!(get32(50 * 4 | 0) | 0)) {
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i18);
    _exit(1);
   }
   i17 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i18) | 0;
   i25 = (get32(30 * 4 | 0) | 0) - i17 | 0;
   set32(30 * 4 | 0, i25 | 0);
   if ((i25 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i25 | 0);
   i25 = (get32(39 * 4 | 0) | 0) + -1 | 0;
   set32(39 * 4 | 0, i25 | 0);
   if ((i25 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i25 | 0);
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i18);
   _exit(1);
  }
 } else i47 = 0; while (0);
 i11 = ~~+_emscripten_get_now();
 set32(i10 | 0, i11 - i16 | 0);
 _printf(18376, i10) | 0;
 if (_sqlite3_exec(i26, 18398, 15, 0, i31) | 0) {
  i10 = get32(1440 * 4 | 0) | 0;
  i16 = get32(i31 | 0) | 0;
  set32(i9 | 0, i47 | 0);
  set32(i9 + 4 | 0, i16 | 0);
  _fprintf(i10, 17677, i9) | 0;
  i9 = get32(i31 | 0) | 0;
  if (!i9) _exit(1);
  if (!(get32(50 * 4 | 0) | 0)) {
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i9);
   _exit(1);
  }
  i10 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i9) | 0;
  i16 = (get32(30 * 4 | 0) | 0) - i10 | 0;
  set32(30 * 4 | 0, i16 | 0);
  if ((i16 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i16 | 0);
  i16 = (get32(39 * 4 | 0) | 0) + -1 | 0;
  set32(39 * 4 | 0, i16 | 0);
  if ((i16 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i16 | 0);
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i9);
  _exit(1);
 }
 if (_sqlite3_exec(i26, 18426, 15, 0, i31) | 0) {
  i9 = get32(1440 * 4 | 0) | 0;
  i16 = get32(i31 | 0) | 0;
  set32(i8 | 0, i47 | 0);
  set32(i8 + 4 | 0, i16 | 0);
  _fprintf(i9, 17677, i8) | 0;
  i8 = get32(i31 | 0) | 0;
  if (!i8) _exit(1);
  if (!(get32(50 * 4 | 0) | 0)) {
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i8);
   _exit(1);
  }
  i9 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i8) | 0;
  i16 = (get32(30 * 4 | 0) | 0) - i9 | 0;
  set32(30 * 4 | 0, i16 | 0);
  if ((i16 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i16 | 0);
  i16 = (get32(39 * 4 | 0) | 0) + -1 | 0;
  set32(39 * 4 | 0, i16 | 0);
  if ((i16 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i16 | 0);
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i8);
  _exit(1);
 }
 i8 = ~~+_emscripten_get_now();
 set32(i7 | 0, i8 - i11 | 0);
 _printf(18454, i7) | 0;
 if (i15) i48 = 0; else {
  d49 = +_emscripten_get_now();
  i50 = ~~d49;
  i51 = i50 - i8 | 0;
  set32(i4 | 0, i51 | 0);
  _printf(18483, i4) | 0;
  _sqlite3_close(i26) | 0;
  _test() | 0;
  STACKTOP = i3;
  return 0;
 }
 while (1) {
  set32(241 * 4 | 0, (i48 | 0) == 0 & 1 | 0);
  if (_sqlite3_exec(i26, 18236, 15, 0, i31) | 0) {
   i52 = i48;
   i36 = 159;
   break;
  }
  if (_sqlite3_exec(i26, 18273, 15, 0, i31) | 0) {
   i53 = i48;
   i36 = 169;
   break;
  }
  i48 = i48 + 1 | 0;
  if ((i48 | 0) >= (i33 | 0)) {
   i36 = 179;
   break;
  }
 }
 if ((i36 | 0) == 159) {
  i33 = get32(1440 * 4 | 0) | 0;
  i48 = get32(i31 | 0) | 0;
  set32(i6 | 0, i52 | 0);
  set32(i6 + 4 | 0, i48 | 0);
  _fprintf(i33, 17677, i6) | 0;
  i6 = get32(i31 | 0) | 0;
  if (!i6) _exit(1);
  if (!(get32(50 * 4 | 0) | 0)) {
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i6);
   _exit(1);
  }
  i33 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i6) | 0;
  i48 = (get32(30 * 4 | 0) | 0) - i33 | 0;
  set32(30 * 4 | 0, i48 | 0);
  if ((i48 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i48 | 0);
  i48 = (get32(39 * 4 | 0) | 0) + -1 | 0;
  set32(39 * 4 | 0, i48 | 0);
  if ((i48 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i48 | 0);
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i6);
  _exit(1);
 } else if ((i36 | 0) == 169) {
  i6 = get32(1440 * 4 | 0) | 0;
  i48 = get32(i31 | 0) | 0;
  set32(i5 | 0, i53 | 0);
  set32(i5 + 4 | 0, i48 | 0);
  _fprintf(i6, 17677, i5) | 0;
  i5 = get32(i31 | 0) | 0;
  if (!i5) _exit(1);
  if (!(get32(50 * 4 | 0) | 0)) {
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i5);
   _exit(1);
  }
  i31 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i5) | 0;
  i6 = (get32(30 * 4 | 0) | 0) - i31 | 0;
  set32(30 * 4 | 0, i6 | 0);
  if ((i6 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i6 | 0);
  i6 = (get32(39 * 4 | 0) | 0) + -1 | 0;
  set32(39 * 4 | 0, i6 | 0);
  if ((i6 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i6 | 0);
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i5);
  _exit(1);
 } else if ((i36 | 0) == 179) {
  d49 = +_emscripten_get_now();
  i50 = ~~d49;
  i51 = i50 - i8 | 0;
  set32(i4 | 0, i51 | 0);
  _printf(18483, i4) | 0;
  _sqlite3_close(i26) | 0;
  _test() | 0;
  STACKTOP = i3;
  return 0;
 }
 return 0;
}

function _mspace_malloc(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0;
 do if (i2 >>> 0 < 245) {
  i3 = i2 >>> 0 < 11 ? 16 : i2 + 11 & -8;
  i4 = i3 >>> 3;
  i5 = get32(i1 | 0) | 0;
  i6 = i5 >>> i4;
  if (i6 & 3) {
   i7 = (i6 & 1 ^ 1) + i4 | 0;
   i8 = i7 << 1;
   i9 = i1 + 40 | 0;
   i10 = i9 + (i8 << 2) | 0;
   i11 = i9 + (i8 + 2 << 2) | 0;
   i8 = get32(i11 | 0) | 0;
   i9 = i8 + 8 | 0;
   i12 = get32(i9 | 0) | 0;
   do if ((i10 | 0) != (i12 | 0)) {
    if (i12 >>> 0 < (get32(i1 + 16 | 0) | 0) >>> 0) _abort();
    i13 = i12 + 12 | 0;
    if ((get32(i13 | 0) | 0) == (i8 | 0)) {
     set32(i13 | 0, i10 | 0);
     set32(i11 | 0, i12 | 0);
     break;
    } else _abort();
   } else set32(i1 | 0, i5 & ~(1 << i7) | 0); while (0);
   i12 = i7 << 3;
   set32(i8 + 4 | 0, i12 | 3 | 0);
   i11 = i8 + (i12 | 4) | 0;
   set32(i11 | 0, get32(i11 | 0) | 1 | 0);
   i14 = i9;
   return i14 | 0;
  }
  i11 = i1 + 8 | 0;
  i12 = get32(i11 | 0) | 0;
  if (i3 >>> 0 > i12 >>> 0) {
   if (i6) {
    i10 = 2 << i4;
    i13 = i6 << i4 & (i10 | 0 - i10);
    i10 = (i13 & 0 - i13) + -1 | 0;
    i13 = i10 >>> 12 & 16;
    i15 = i10 >>> i13;
    i10 = i15 >>> 5 & 8;
    i16 = i15 >>> i10;
    i15 = i16 >>> 2 & 4;
    i17 = i16 >>> i15;
    i16 = i17 >>> 1 & 2;
    i18 = i17 >>> i16;
    i17 = i18 >>> 1 & 1;
    i19 = (i10 | i13 | i15 | i16 | i17) + (i18 >>> i17) | 0;
    i17 = i19 << 1;
    i18 = i1 + 40 | 0;
    i16 = i18 + (i17 << 2) | 0;
    i15 = i18 + (i17 + 2 << 2) | 0;
    i17 = get32(i15 | 0) | 0;
    i13 = i17 + 8 | 0;
    i10 = get32(i13 | 0) | 0;
    do if ((i16 | 0) != (i10 | 0)) {
     if (i10 >>> 0 < (get32(i1 + 16 | 0) | 0) >>> 0) _abort();
     i20 = i10 + 12 | 0;
     if ((get32(i20 | 0) | 0) == (i17 | 0)) {
      set32(i20 | 0, i16 | 0);
      set32(i15 | 0, i10 | 0);
      i21 = get32(i11 | 0) | 0;
      break;
     } else _abort();
    } else {
     set32(i1 | 0, i5 & ~(1 << i19) | 0);
     i21 = i12;
    } while (0);
    i12 = i19 << 3;
    i5 = i12 - i3 | 0;
    set32(i17 + 4 | 0, i3 | 3 | 0);
    i10 = i17 + i3 | 0;
    set32(i17 + (i3 | 4) | 0, i5 | 1 | 0);
    set32(i17 + i12 | 0, i5 | 0);
    i12 = i1 + 20 | 0;
    if (i21) {
     i15 = get32(i12 | 0) | 0;
     i16 = i21 >>> 3;
     i4 = i16 << 1;
     i6 = i18 + (i4 << 2) | 0;
     i9 = get32(i1 | 0) | 0;
     i8 = 1 << i16;
     if (i9 & i8) {
      i16 = i18 + (i4 + 2 << 2) | 0;
      i7 = get32(i16 | 0) | 0;
      if (i7 >>> 0 < (get32(i1 + 16 | 0) | 0) >>> 0) _abort(); else {
       i22 = i16;
       i23 = i7;
      }
     } else {
      set32(i1 | 0, i9 | i8 | 0);
      i22 = i18 + (i4 + 2 << 2) | 0;
      i23 = i6;
     }
     set32(i22 | 0, i15 | 0);
     set32(i23 + 12 | 0, i15 | 0);
     set32(i15 + 8 | 0, i23 | 0);
     set32(i15 + 12 | 0, i6 | 0);
    }
    set32(i11 | 0, i5 | 0);
    set32(i12 | 0, i10 | 0);
    i14 = i13;
    return i14 | 0;
   }
   i10 = i1 + 4 | 0;
   i12 = get32(i10 | 0) | 0;
   if (i12) {
    i5 = (i12 & 0 - i12) + -1 | 0;
    i12 = i5 >>> 12 & 16;
    i6 = i5 >>> i12;
    i5 = i6 >>> 5 & 8;
    i15 = i6 >>> i5;
    i6 = i15 >>> 2 & 4;
    i4 = i15 >>> i6;
    i15 = i4 >>> 1 & 2;
    i8 = i4 >>> i15;
    i4 = i8 >>> 1 & 1;
    i9 = get32(i1 + 304 + ((i5 | i12 | i6 | i15 | i4) + (i8 >>> i4) << 2) | 0) | 0;
    i4 = (get32(i9 + 4 | 0) & -8) - i3 | 0;
    i8 = i9;
    i15 = i9;
    while (1) {
     i9 = get32(i8 + 16 | 0) | 0;
     if (!i9) {
      i6 = get32(i8 + 20 | 0) | 0;
      if (!i6) {
       i24 = i4;
       i25 = i15;
       break;
      } else i26 = i6;
     } else i26 = i9;
     i9 = (get32(i26 + 4 | 0) & -8) - i3 | 0;
     i6 = i9 >>> 0 < i4 >>> 0;
     i4 = i6 ? i9 : i4;
     i8 = i26;
     i15 = i6 ? i26 : i15;
    }
    i15 = i1 + 16 | 0;
    i8 = get32(i15 | 0) | 0;
    if (i25 >>> 0 < i8 >>> 0) _abort();
    i4 = i25 + i3 | 0;
    if (i25 >>> 0 >= i4 >>> 0) _abort();
    i13 = get32(i25 + 24 | 0) | 0;
    i18 = get32(i25 + 12 | 0) | 0;
    do if ((i18 | 0) == (i25 | 0)) {
     i17 = i25 + 20 | 0;
     i19 = get32(i17 | 0) | 0;
     if (!i19) {
      i6 = i25 + 16 | 0;
      i9 = get32(i6 | 0) | 0;
      if (!i9) {
       i27 = 0;
       break;
      } else {
       i28 = i9;
       i29 = i6;
      }
     } else {
      i28 = i19;
      i29 = i17;
     }
     while (1) {
      i17 = i28 + 20 | 0;
      i19 = get32(i17 | 0) | 0;
      if (i19) {
       i28 = i19;
       i29 = i17;
       continue;
      }
      i17 = i28 + 16 | 0;
      i19 = get32(i17 | 0) | 0;
      if (!i19) {
       i30 = i28;
       i31 = i29;
       break;
      } else {
       i28 = i19;
       i29 = i17;
      }
     }
     if (i31 >>> 0 < i8 >>> 0) _abort(); else {
      set32(i31 | 0, 0 | 0);
      i27 = i30;
      break;
     }
    } else {
     i17 = get32(i25 + 8 | 0) | 0;
     if (i17 >>> 0 < i8 >>> 0) _abort();
     i19 = i17 + 12 | 0;
     if ((get32(i19 | 0) | 0) != (i25 | 0)) _abort();
     i6 = i18 + 8 | 0;
     if ((get32(i6 | 0) | 0) == (i25 | 0)) {
      set32(i19 | 0, i18 | 0);
      set32(i6 | 0, i17 | 0);
      i27 = i18;
      break;
     } else _abort();
    } while (0);
    do if (i13) {
     i18 = get32(i25 + 28 | 0) | 0;
     i8 = i1 + 304 + (i18 << 2) | 0;
     if ((i25 | 0) == (get32(i8 | 0) | 0)) {
      set32(i8 | 0, i27 | 0);
      if (!i27) {
       set32(i10 | 0, get32(i10 | 0) & ~(1 << i18) | 0);
       break;
      }
     } else {
      if (i13 >>> 0 < (get32(i15 | 0) | 0) >>> 0) _abort();
      i18 = i13 + 16 | 0;
      if ((get32(i18 | 0) | 0) == (i25 | 0)) set32(i18 | 0, i27 | 0); else set32(i13 + 20 | 0, i27 | 0);
      if (!i27) break;
     }
     i18 = get32(i15 | 0) | 0;
     if (i27 >>> 0 < i18 >>> 0) _abort();
     set32(i27 + 24 | 0, i13 | 0);
     i8 = get32(i25 + 16 | 0) | 0;
     do if (i8) if (i8 >>> 0 < i18 >>> 0) _abort(); else {
      set32(i27 + 16 | 0, i8 | 0);
      set32(i8 + 24 | 0, i27 | 0);
      break;
     } while (0);
     i8 = get32(i25 + 20 | 0) | 0;
     if (i8) if (i8 >>> 0 < (get32(i15 | 0) | 0) >>> 0) _abort(); else {
      set32(i27 + 20 | 0, i8 | 0);
      set32(i8 + 24 | 0, i27 | 0);
      break;
     }
    } while (0);
    if (i24 >>> 0 < 16) {
     i13 = i24 + i3 | 0;
     set32(i25 + 4 | 0, i13 | 3 | 0);
     i10 = i25 + (i13 + 4) | 0;
     set32(i10 | 0, get32(i10 | 0) | 1 | 0);
    } else {
     set32(i25 + 4 | 0, i3 | 3 | 0);
     set32(i25 + (i3 | 4) | 0, i24 | 1 | 0);
     set32(i25 + (i24 + i3) | 0, i24 | 0);
     i10 = get32(i11 | 0) | 0;
     i13 = i1 + 20 | 0;
     if (i10) {
      i8 = get32(i13 | 0) | 0;
      i18 = i10 >>> 3;
      i10 = i18 << 1;
      i17 = i1 + 40 + (i10 << 2) | 0;
      i6 = get32(i1 | 0) | 0;
      i19 = 1 << i18;
      if (i6 & i19) {
       i18 = i1 + 40 + (i10 + 2 << 2) | 0;
       i9 = get32(i18 | 0) | 0;
       if (i9 >>> 0 < (get32(i15 | 0) | 0) >>> 0) _abort(); else {
        i32 = i18;
        i33 = i9;
       }
      } else {
       set32(i1 | 0, i6 | i19 | 0);
       i32 = i1 + 40 + (i10 + 2 << 2) | 0;
       i33 = i17;
      }
      set32(i32 | 0, i8 | 0);
      set32(i33 + 12 | 0, i8 | 0);
      set32(i8 + 8 | 0, i33 | 0);
      set32(i8 + 12 | 0, i17 | 0);
     }
     set32(i11 | 0, i24 | 0);
     set32(i13 | 0, i4 | 0);
    }
    i14 = i25 + 8 | 0;
    return i14 | 0;
   } else i34 = i3;
  } else i34 = i3;
 } else if (i2 >>> 0 <= 4294967231) {
  i13 = i2 + 11 | 0;
  i17 = i13 & -8;
  i8 = i1 + 4 | 0;
  i10 = get32(i8 | 0) | 0;
  if (i10) {
   i19 = 0 - i17 | 0;
   i6 = i13 >>> 8;
   if (i6) if (i17 >>> 0 > 16777215) i35 = 31; else {
    i13 = (i6 + 1048320 | 0) >>> 16 & 8;
    i9 = i6 << i13;
    i6 = (i9 + 520192 | 0) >>> 16 & 4;
    i18 = i9 << i6;
    i9 = (i18 + 245760 | 0) >>> 16 & 2;
    i12 = 14 - (i6 | i13 | i9) + (i18 << i9 >>> 15) | 0;
    i35 = i17 >>> (i12 + 7 | 0) & 1 | i12 << 1;
   } else i35 = 0;
   i12 = get32(i1 + 304 + (i35 << 2) | 0) | 0;
   L123 : do if (!i12) {
    i36 = i19;
    i37 = 0;
    i38 = 0;
    i39 = 86;
   } else {
    i9 = i19;
    i18 = 0;
    i13 = i17 << ((i35 | 0) == 31 ? 0 : 25 - (i35 >>> 1) | 0);
    i6 = i12;
    i5 = 0;
    while (1) {
     i7 = get32(i6 + 4 | 0) & -8;
     i16 = i7 - i17 | 0;
     if (i16 >>> 0 < i9 >>> 0) if ((i7 | 0) == (i17 | 0)) {
      i40 = i16;
      i41 = i6;
      i42 = i6;
      i39 = 90;
      break L123;
     } else {
      i43 = i16;
      i44 = i6;
     } else {
      i43 = i9;
      i44 = i5;
     }
     i16 = get32(i6 + 20 | 0) | 0;
     i6 = get32(i6 + 16 + (i13 >>> 31 << 2) | 0) | 0;
     i7 = (i16 | 0) == 0 | (i16 | 0) == (i6 | 0) ? i18 : i16;
     if (!i6) {
      i36 = i43;
      i37 = i7;
      i38 = i44;
      i39 = 86;
      break;
     } else {
      i9 = i43;
      i18 = i7;
      i13 = i13 << 1;
      i5 = i44;
     }
    }
   } while (0);
   if ((i39 | 0) == 86) {
    if ((i37 | 0) == 0 & (i38 | 0) == 0) {
     i12 = 2 << i35;
     i19 = i10 & (i12 | 0 - i12);
     if (!i19) {
      i34 = i17;
      break;
     }
     i12 = (i19 & 0 - i19) + -1 | 0;
     i19 = i12 >>> 12 & 16;
     i3 = i12 >>> i19;
     i12 = i3 >>> 5 & 8;
     i4 = i3 >>> i12;
     i3 = i4 >>> 2 & 4;
     i11 = i4 >>> i3;
     i4 = i11 >>> 1 & 2;
     i15 = i11 >>> i4;
     i11 = i15 >>> 1 & 1;
     i45 = get32(i1 + 304 + ((i12 | i19 | i3 | i4 | i11) + (i15 >>> i11) << 2) | 0) | 0;
     i46 = 0;
    } else {
     i45 = i37;
     i46 = i38;
    }
    if (!i45) {
     i47 = i36;
     i48 = i46;
    } else {
     i40 = i36;
     i41 = i45;
     i42 = i46;
     i39 = 90;
    }
   }
   if ((i39 | 0) == 90) while (1) {
    i39 = 0;
    i11 = (get32(i41 + 4 | 0) & -8) - i17 | 0;
    i15 = i11 >>> 0 < i40 >>> 0;
    i4 = i15 ? i11 : i40;
    i11 = i15 ? i41 : i42;
    i15 = get32(i41 + 16 | 0) | 0;
    if (i15) {
     i40 = i4;
     i41 = i15;
     i42 = i11;
     i39 = 90;
     continue;
    }
    i41 = get32(i41 + 20 | 0) | 0;
    if (!i41) {
     i47 = i4;
     i48 = i11;
     break;
    } else {
     i40 = i4;
     i42 = i11;
     i39 = 90;
    }
   }
   if ((i48 | 0) != 0 ? i47 >>> 0 < ((get32(i1 + 8 | 0) | 0) - i17 | 0) >>> 0 : 0) {
    i10 = i1 + 16 | 0;
    i11 = get32(i10 | 0) | 0;
    if (i48 >>> 0 < i11 >>> 0) _abort();
    i4 = i48 + i17 | 0;
    if (i48 >>> 0 >= i4 >>> 0) _abort();
    i15 = get32(i48 + 24 | 0) | 0;
    i3 = get32(i48 + 12 | 0) | 0;
    do if ((i3 | 0) == (i48 | 0)) {
     i19 = i48 + 20 | 0;
     i12 = get32(i19 | 0) | 0;
     if (!i12) {
      i5 = i48 + 16 | 0;
      i13 = get32(i5 | 0) | 0;
      if (!i13) {
       i49 = 0;
       break;
      } else {
       i50 = i13;
       i51 = i5;
      }
     } else {
      i50 = i12;
      i51 = i19;
     }
     while (1) {
      i19 = i50 + 20 | 0;
      i12 = get32(i19 | 0) | 0;
      if (i12) {
       i50 = i12;
       i51 = i19;
       continue;
      }
      i19 = i50 + 16 | 0;
      i12 = get32(i19 | 0) | 0;
      if (!i12) {
       i52 = i50;
       i53 = i51;
       break;
      } else {
       i50 = i12;
       i51 = i19;
      }
     }
     if (i53 >>> 0 < i11 >>> 0) _abort(); else {
      set32(i53 | 0, 0 | 0);
      i49 = i52;
      break;
     }
    } else {
     i19 = get32(i48 + 8 | 0) | 0;
     if (i19 >>> 0 < i11 >>> 0) _abort();
     i12 = i19 + 12 | 0;
     if ((get32(i12 | 0) | 0) != (i48 | 0)) _abort();
     i5 = i3 + 8 | 0;
     if ((get32(i5 | 0) | 0) == (i48 | 0)) {
      set32(i12 | 0, i3 | 0);
      set32(i5 | 0, i19 | 0);
      i49 = i3;
      break;
     } else _abort();
    } while (0);
    do if (i15) {
     i3 = get32(i48 + 28 | 0) | 0;
     i11 = i1 + 304 + (i3 << 2) | 0;
     if ((i48 | 0) == (get32(i11 | 0) | 0)) {
      set32(i11 | 0, i49 | 0);
      if (!i49) {
       set32(i8 | 0, get32(i8 | 0) & ~(1 << i3) | 0);
       break;
      }
     } else {
      if (i15 >>> 0 < (get32(i10 | 0) | 0) >>> 0) _abort();
      i3 = i15 + 16 | 0;
      if ((get32(i3 | 0) | 0) == (i48 | 0)) set32(i3 | 0, i49 | 0); else set32(i15 + 20 | 0, i49 | 0);
      if (!i49) break;
     }
     i3 = get32(i10 | 0) | 0;
     if (i49 >>> 0 < i3 >>> 0) _abort();
     set32(i49 + 24 | 0, i15 | 0);
     i11 = get32(i48 + 16 | 0) | 0;
     do if (i11) if (i11 >>> 0 < i3 >>> 0) _abort(); else {
      set32(i49 + 16 | 0, i11 | 0);
      set32(i11 + 24 | 0, i49 | 0);
      break;
     } while (0);
     i11 = get32(i48 + 20 | 0) | 0;
     if (i11) if (i11 >>> 0 < (get32(i10 | 0) | 0) >>> 0) _abort(); else {
      set32(i49 + 20 | 0, i11 | 0);
      set32(i11 + 24 | 0, i49 | 0);
      break;
     }
    } while (0);
    L199 : do if (i47 >>> 0 >= 16) {
     set32(i48 + 4 | 0, i17 | 3 | 0);
     set32(i48 + (i17 | 4) | 0, i47 | 1 | 0);
     set32(i48 + (i47 + i17) | 0, i47 | 0);
     i15 = i47 >>> 3;
     if (i47 >>> 0 < 256) {
      i11 = i15 << 1;
      i3 = i1 + 40 + (i11 << 2) | 0;
      i19 = get32(i1 | 0) | 0;
      i5 = 1 << i15;
      if (i19 & i5) {
       i15 = i1 + 40 + (i11 + 2 << 2) | 0;
       i12 = get32(i15 | 0) | 0;
       if (i12 >>> 0 < (get32(i10 | 0) | 0) >>> 0) _abort(); else {
        i54 = i15;
        i55 = i12;
       }
      } else {
       set32(i1 | 0, i19 | i5 | 0);
       i54 = i1 + 40 + (i11 + 2 << 2) | 0;
       i55 = i3;
      }
      set32(i54 | 0, i4 | 0);
      set32(i55 + 12 | 0, i4 | 0);
      set32(i48 + (i17 + 8) | 0, i55 | 0);
      set32(i48 + (i17 + 12) | 0, i3 | 0);
      break;
     }
     i3 = i47 >>> 8;
     if (i3) if (i47 >>> 0 > 16777215) i56 = 31; else {
      i11 = (i3 + 1048320 | 0) >>> 16 & 8;
      i5 = i3 << i11;
      i3 = (i5 + 520192 | 0) >>> 16 & 4;
      i19 = i5 << i3;
      i5 = (i19 + 245760 | 0) >>> 16 & 2;
      i12 = 14 - (i3 | i11 | i5) + (i19 << i5 >>> 15) | 0;
      i56 = i47 >>> (i12 + 7 | 0) & 1 | i12 << 1;
     } else i56 = 0;
     i12 = i1 + 304 + (i56 << 2) | 0;
     set32(i48 + (i17 + 28) | 0, i56 | 0);
     set32(i48 + (i17 + 20) | 0, 0 | 0);
     set32(i48 + (i17 + 16) | 0, 0 | 0);
     i5 = get32(i8 | 0) | 0;
     i19 = 1 << i56;
     if (!(i5 & i19)) {
      set32(i8 | 0, i5 | i19 | 0);
      set32(i12 | 0, i4 | 0);
      set32(i48 + (i17 + 24) | 0, i12 | 0);
      set32(i48 + (i17 + 12) | 0, i4 | 0);
      set32(i48 + (i17 + 8) | 0, i4 | 0);
      break;
     }
     i19 = get32(i12 | 0) | 0;
     L217 : do if ((get32(i19 + 4 | 0) & -8 | 0) != (i47 | 0)) {
      i12 = i47 << ((i56 | 0) == 31 ? 0 : 25 - (i56 >>> 1) | 0);
      i5 = i19;
      while (1) {
       i11 = i5 + 16 + (i12 >>> 31 << 2) | 0;
       i3 = get32(i11 | 0) | 0;
       if (!i3) {
        i57 = i11;
        i58 = i5;
        break;
       }
       if ((get32(i3 + 4 | 0) & -8 | 0) == (i47 | 0)) {
        i59 = i3;
        break L217;
       } else {
        i12 = i12 << 1;
        i5 = i3;
       }
      }
      if (i57 >>> 0 < (get32(i10 | 0) | 0) >>> 0) _abort(); else {
       set32(i57 | 0, i4 | 0);
       set32(i48 + (i17 + 24) | 0, i58 | 0);
       set32(i48 + (i17 + 12) | 0, i4 | 0);
       set32(i48 + (i17 + 8) | 0, i4 | 0);
       break L199;
      }
     } else i59 = i19; while (0);
     i19 = i59 + 8 | 0;
     i5 = get32(i19 | 0) | 0;
     i12 = get32(i10 | 0) | 0;
     if (i5 >>> 0 >= i12 >>> 0 & i59 >>> 0 >= i12 >>> 0) {
      set32(i5 + 12 | 0, i4 | 0);
      set32(i19 | 0, i4 | 0);
      set32(i48 + (i17 + 8) | 0, i5 | 0);
      set32(i48 + (i17 + 12) | 0, i59 | 0);
      set32(i48 + (i17 + 24) | 0, 0 | 0);
      break;
     } else _abort();
    } else {
     i5 = i47 + i17 | 0;
     set32(i48 + 4 | 0, i5 | 3 | 0);
     i19 = i48 + (i5 + 4) | 0;
     set32(i19 | 0, get32(i19 | 0) | 1 | 0);
    } while (0);
    i14 = i48 + 8 | 0;
    return i14 | 0;
   } else i34 = i17;
  } else i34 = i17;
 } else i34 = -1; while (0);
 i48 = i1 + 8 | 0;
 i47 = get32(i48 | 0) | 0;
 if (i47 >>> 0 >= i34 >>> 0) {
  i59 = i47 - i34 | 0;
  i58 = i1 + 20 | 0;
  i57 = get32(i58 | 0) | 0;
  if (i59 >>> 0 > 15) {
   set32(i58 | 0, i57 + i34 | 0);
   set32(i48 | 0, i59 | 0);
   set32(i57 + (i34 + 4) | 0, i59 | 1 | 0);
   set32(i57 + i47 | 0, i59 | 0);
   set32(i57 + 4 | 0, i34 | 3 | 0);
  } else {
   set32(i48 | 0, 0 | 0);
   set32(i58 | 0, 0 | 0);
   set32(i57 + 4 | 0, i47 | 3 | 0);
   i58 = i57 + (i47 + 4) | 0;
   set32(i58 | 0, get32(i58 | 0) | 1 | 0);
  }
  i14 = i57 + 8 | 0;
  return i14 | 0;
 }
 i57 = i1 + 12 | 0;
 i58 = get32(i57 | 0) | 0;
 if (i58 >>> 0 > i34 >>> 0) {
  i47 = i58 - i34 | 0;
  set32(i57 | 0, i47 | 0);
  i57 = i1 + 24 | 0;
  i58 = get32(i57 | 0) | 0;
  set32(i57 | 0, i58 + i34 | 0);
  set32(i58 + (i34 + 4) | 0, i47 | 1 | 0);
  set32(i58 + 4 | 0, i34 | 3 | 0);
  i14 = i58 + 8 | 0;
  return i14 | 0;
 }
 do if (!(get32(1511 * 4 | 0) | 0)) {
  i58 = _sysconf(30) | 0;
  if (!(i58 + -1 & i58)) {
   set32(1513 * 4 | 0, 65536 | 0);
   set32(1512 * 4 | 0, i58 | 0);
   set32(1514 * 4 | 0, -1 | 0);
   set32(1515 * 4 | 0, -1 | 0);
   set32(1516 * 4 | 0, 4 | 0);
   set32(1511 * 4 | 0, (_time(0) | 0) & -16 ^ 1431655768 | 0);
   break;
  } else _abort();
 } while (0);
 i58 = get32(1513 * 4 | 0) | 0;
 i47 = i34 + 47 + i58 & 0 - i58;
 if (i47 >>> 0 <= i34 >>> 0) {
  i14 = 0;
  return i14 | 0;
 }
 i34 = get32(i1 + 440 | 0) | 0;
 if ((i34 | 0) != 0 ? (i58 = get32(i1 + 432 | 0) | 0, i1 = i58 + i47 | 0, i1 >>> 0 <= i58 >>> 0 | i1 >>> 0 > i34 >>> 0) : 0) {
  i14 = 0;
  return i14 | 0;
 }
 set32(___errno_location() | 0 | 0, 12 | 0);
 i14 = 0;
 return i14 | 0;
}

function _sqlite3WhereEnd(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, d58 = 0.0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0;
 i2 = get32(i1 | 0) | 0;
 i3 = get32(i2 + 12 | 0) | 0;
 i4 = get32(i1 + 8 | 0) | 0;
 i5 = get32(i2 | 0) | 0;
 i6 = i2 + 21 | 0;
 i7 = 0;
 i8 = i2 + 96 | 0;
 while (1) {
  i9 = i8 + 16 | 0;
  i10 = get32(i9 | 0) | 0;
  if (i10) {
   i11 = i8 + 8 | 0;
   if (get8(i11 >> 0 | 0) | 0) {
    i12 = get8(i6 >> 0 | 0) | 0;
    if ((i12 & 255) < 8) {
     set8(i6 >> 0 | 0, i12 + 1 << 24 >> 24 | 0);
     set32(i2 + 24 + ((i12 & 255) << 2) | 0, i10 | 0);
    }
    set8(i11 >> 0 | 0, 0 | 0);
   }
   set32(i9 | 0, 0 | 0);
  }
  i7 = i7 + 1 | 0;
  if ((i7 | 0) == 10) break; else i8 = i8 + 24 | 0;
 }
 i8 = i1 + 24 | 0;
 i7 = get32(i8 | 0) | 0;
 i6 = i3 + 44 | 0;
 i9 = get32(i6 | 0) | 0;
 i11 = (i9 | 0) == 0;
 if ((i7 | 0) > 0) {
  i10 = i3 + 28 | 0;
  i12 = i3 + 32 | 0;
  i13 = i3 + 4 | 0;
  i14 = i9;
  i15 = i11;
  i16 = i7;
  while (1) {
   i7 = i16;
   i16 = i16 + -1 | 0;
   if (!i15) set32(i14 + (~get32(i1 + 48 + (i16 * 80 | 0) + 44 | 0) << 2) | 0, get32(i10 | 0) | 0);
   i17 = i1 + 48 + (i16 * 80 | 0) + 53 | 0;
   i18 = get8(i17 >> 0 | 0) | 0;
   if (i18 << 24 >> 24 != -119) {
    i19 = get32(i1 + 48 + (i16 * 80 | 0) + 56 | 0) | 0;
    i20 = get32(i1 + 48 + (i16 * 80 | 0) + 60 | 0) | 0;
    i21 = get32(i10 | 0) | 0;
    i22 = get32(i12 | 0) | 0;
    if ((i22 | 0) <= (i21 | 0)) {
     i23 = _sqlite3DbRealloc(get32(i3 | 0) | 0, get32(i13 | 0) | 0, (i22 | 0) == 0 ? 1020 : i22 * 40 | 0) | 0;
     if (i23) {
      i22 = get32(i3 | 0) | 0;
      if (((i22 | 0) != 0 ? (get32(i22 + 260 | 0) | 0) >>> 0 <= i23 >>> 0 : 0) ? (get32(i22 + 264 | 0) | 0) >>> 0 > i23 >>> 0 : 0) i24 = getU16(i22 + 232 | 0) | 0; else i24 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i23) | 0;
      set32(i12 | 0, (i24 >>> 0) / 20 | 0 | 0);
      set32(i13 | 0, i23 | 0);
      i25 = get32(i10 | 0) | 0;
      i26 = i23;
      i27 = 23;
     }
    } else {
     i25 = i21;
     i26 = get32(i13 | 0) | 0;
     i27 = 23;
    }
    if ((i27 | 0) == 23) {
     i27 = 0;
     set32(i10 | 0, i25 + 1 | 0);
     set8(i26 + (i21 * 20 | 0) >> 0 | 0, i18 | 0);
     set8(i26 + (i21 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i26 + (i21 * 20 | 0) + 4 | 0, i19 | 0);
     set32(i26 + (i21 * 20 | 0) + 8 | 0, i20 | 0);
     set32(i26 + (i21 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i26 + (i21 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i26 + (i21 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    }
    i21 = get32(i13 | 0) | 0;
    if (i21) set8(i21 + (((get32(i10 | 0) | 0) + -1 | 0) * 20 | 0) + 3 >> 0 | 0, get8(i1 + 48 + (i16 * 80 | 0) + 54 >> 0 | 0) | 0 | 0);
   }
   i21 = i1 + 48 + (i16 * 80 | 0) | 0;
   if ((get32(i21 | 0) & 987136 | 0) != 0 ? (i20 = i1 + 48 + (i16 * 80 | 0) + 64 | 0, i19 = get32(i20 | 0) | 0, (i19 | 0) > 0) : 0) {
    i18 = get32(i6 | 0) | 0;
    if (i18) {
     set32(i18 + (~get32(i1 + 48 + (i16 * 80 | 0) + 40 | 0) << 2) | 0, get32(i10 | 0) | 0);
     i18 = get32(i20 | 0) | 0;
     i20 = i1 + 48 + (i16 * 80 | 0) + 68 | 0;
     if ((i18 | 0) > 0) {
      i28 = i20;
      i29 = i18;
      i27 = 31;
     } else i30 = i20;
    } else {
     i28 = i1 + 48 + (i16 * 80 | 0) + 68 | 0;
     i29 = i19;
     i27 = 31;
    }
    if ((i27 | 0) == 31) {
     i27 = 0;
     i19 = get32(i10 | 0) | 0;
     i20 = i29;
     i18 = (get32(i28 | 0) | 0) + (i29 + -1 << 3) | 0;
     while (1) {
      i23 = i18 + 4 | 0;
      i22 = get32(i23 | 0) | 0;
      i31 = i22 + 1 | 0;
      if ((i19 | 0) > (i31 | 0)) set32((get32(i13 | 0) | 0) + (i31 * 20 | 0) + 8 | 0, i19 | 0);
      i31 = get32(i18 | 0) | 0;
      i32 = get32(i12 | 0) | 0;
      do if ((i32 | 0) > (i19 | 0)) {
       i33 = i19;
       i34 = get32(i13 | 0) | 0;
       i27 = 44;
      } else {
       i35 = _sqlite3DbRealloc(get32(i3 | 0) | 0, get32(i13 | 0) | 0, (i32 | 0) == 0 ? 1020 : i32 * 40 | 0) | 0;
       if (!i35) {
        i36 = get32(i10 | 0) | 0;
        break;
       }
       i37 = get32(i3 | 0) | 0;
       if (((i37 | 0) != 0 ? (get32(i37 + 260 | 0) | 0) >>> 0 <= i35 >>> 0 : 0) ? (get32(i37 + 264 | 0) | 0) >>> 0 > i35 >>> 0 : 0) i38 = getU16(i37 + 232 | 0) | 0; else i38 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i35) | 0;
       set32(i12 | 0, (i38 >>> 0) / 20 | 0 | 0);
       set32(i13 | 0, i35 | 0);
       i33 = get32(i10 | 0) | 0;
       i34 = i35;
       i27 = 44;
      } while (0);
      if ((i27 | 0) == 44) {
       i27 = 0;
       i32 = i33 + 1 | 0;
       set32(i10 | 0, i32 | 0);
       set8(i34 + (i19 * 20 | 0) >> 0 | 0, 67 | 0);
       set8(i34 + (i19 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
       set32(i34 + (i19 * 20 | 0) + 4 | 0, i31 | 0);
       set32(i34 + (i19 * 20 | 0) + 8 | 0, i22 | 0);
       set32(i34 + (i19 * 20 | 0) + 12 | 0, 0 | 0);
       set32(i34 + (i19 * 20 | 0) + 16 | 0, 0 | 0);
       set8(i34 + (i19 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
       i36 = i32;
      }
      i32 = (get32(i23 | 0) | 0) + -1 | 0;
      if ((i36 | 0) > (i32 | 0)) set32((get32(i13 | 0) | 0) + (i32 * 20 | 0) + 8 | 0, i36 | 0);
      if ((i20 | 0) > 1) {
       i19 = i36;
       i20 = i20 + -1 | 0;
       i18 = i18 + -8 | 0;
      } else {
       i30 = i28;
       break;
      }
     }
    }
    _sqlite3DbFree(i5, get32(i30 | 0) | 0);
   }
   i18 = get32(i6 | 0) | 0;
   if (i18) set32(i18 + (~get32(i1 + 48 + (i16 * 80 | 0) + 36 | 0) << 2) | 0, get32(i10 | 0) | 0);
   i18 = get32(i1 + 48 + (i16 * 80 | 0) + 24 | 0) | 0;
   if (i18) {
    i20 = get32(i10 | 0) | 0;
    i19 = get32(i12 | 0) | 0;
    if ((i19 | 0) <= (i20 | 0)) {
     i32 = _sqlite3DbRealloc(get32(i3 | 0) | 0, get32(i13 | 0) | 0, (i19 | 0) == 0 ? 1020 : i19 * 40 | 0) | 0;
     if (!i32) i39 = 1; else {
      i19 = get32(i3 | 0) | 0;
      if (((i19 | 0) != 0 ? (get32(i19 + 260 | 0) | 0) >>> 0 <= i32 >>> 0 : 0) ? (get32(i19 + 264 | 0) | 0) >>> 0 > i32 >>> 0 : 0) i40 = getU16(i19 + 232 | 0) | 0; else i40 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i32) | 0;
      set32(i12 | 0, (i40 >>> 0) / 20 | 0 | 0);
      set32(i13 | 0, i32 | 0);
      i41 = get32(i10 | 0) | 0;
      i42 = i32;
      i27 = 62;
     }
    } else {
     i41 = i20;
     i42 = get32(i13 | 0) | 0;
     i27 = 62;
    }
    if ((i27 | 0) == 62) {
     i27 = 0;
     set32(i10 | 0, i41 + 1 | 0);
     set8(i42 + (i20 * 20 | 0) >> 0 | 0, 113 | 0);
     set8(i42 + (i20 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i42 + (i20 * 20 | 0) + 4 | 0, i18 | 0);
     set32(i42 + (i20 * 20 | 0) + 8 | 0, 0 | 0);
     set32(i42 + (i20 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i42 + (i20 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i42 + (i20 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i39 = i20;
    }
    do if (!(get32(i21 | 0) & 8388608)) {
     i20 = get32(i4 + 8 + (i16 * 56 | 0) + 24 | 0) | 0;
     i18 = get32(i10 | 0) | 0;
     i32 = get32(i12 | 0) | 0;
     if ((i32 | 0) > (i18 | 0)) {
      i43 = i18;
      i44 = get32(i13 | 0) | 0;
     } else {
      i19 = _sqlite3DbRealloc(get32(i3 | 0) | 0, get32(i13 | 0) | 0, (i32 | 0) == 0 ? 1020 : i32 * 40 | 0) | 0;
      if (!i19) break;
      i32 = get32(i3 | 0) | 0;
      if (((i32 | 0) != 0 ? (get32(i32 + 260 | 0) | 0) >>> 0 <= i19 >>> 0 : 0) ? (get32(i32 + 264 | 0) | 0) >>> 0 > i19 >>> 0 : 0) i45 = getU16(i32 + 232 | 0) | 0; else i45 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i19) | 0;
      set32(i12 | 0, (i45 >>> 0) / 20 | 0 | 0);
      set32(i13 | 0, i19 | 0);
      i43 = get32(i10 | 0) | 0;
      i44 = i19;
     }
     set32(i10 | 0, i43 + 1 | 0);
     set8(i44 + (i18 * 20 | 0) >> 0 | 0, 62 | 0);
     set8(i44 + (i18 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i44 + (i18 * 20 | 0) + 4 | 0, i20 | 0);
     set32(i44 + (i18 * 20 | 0) + 8 | 0, 0 | 0);
     set32(i44 + (i18 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i44 + (i18 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i44 + (i18 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    } while (0);
    i21 = get32(i1 + 48 + (i16 * 80 | 0) + 32 | 0) | 0;
    do if ((i21 | 0) > -1) {
     i18 = get32(i10 | 0) | 0;
     i20 = get32(i12 | 0) | 0;
     if ((i20 | 0) > (i18 | 0)) {
      i46 = i18;
      i47 = get32(i13 | 0) | 0;
     } else {
      i19 = _sqlite3DbRealloc(get32(i3 | 0) | 0, get32(i13 | 0) | 0, (i20 | 0) == 0 ? 1020 : i20 * 40 | 0) | 0;
      if (!i19) break;
      i20 = get32(i3 | 0) | 0;
      if (((i20 | 0) != 0 ? (get32(i20 + 260 | 0) | 0) >>> 0 <= i19 >>> 0 : 0) ? (get32(i20 + 264 | 0) | 0) >>> 0 > i19 >>> 0 : 0) i48 = getU16(i20 + 232 | 0) | 0; else i48 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i19) | 0;
      set32(i12 | 0, (i48 >>> 0) / 20 | 0 | 0);
      set32(i13 | 0, i19 | 0);
      i46 = get32(i10 | 0) | 0;
      i47 = i19;
     }
     set32(i10 | 0, i46 + 1 | 0);
     set8(i47 + (i18 * 20 | 0) >> 0 | 0, 62 | 0);
     set8(i47 + (i18 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i47 + (i18 * 20 | 0) + 4 | 0, i21 | 0);
     set32(i47 + (i18 * 20 | 0) + 8 | 0, 0 | 0);
     set32(i47 + (i18 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i47 + (i18 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i47 + (i18 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    } while (0);
    do if ((get8(i17 >> 0 | 0) | 0) == 3) {
     i21 = get32(i1 + 48 + (i16 * 80 | 0) + 56 | 0) | 0;
     i18 = get32(i1 + 48 + (i16 * 80 | 0) + 48 | 0) | 0;
     i19 = get32(i10 | 0) | 0;
     i20 = get32(i12 | 0) | 0;
     if ((i20 | 0) > (i19 | 0)) {
      i49 = i19;
      i50 = get32(i13 | 0) | 0;
     } else {
      i32 = _sqlite3DbRealloc(get32(i3 | 0) | 0, get32(i13 | 0) | 0, (i20 | 0) == 0 ? 1020 : i20 * 40 | 0) | 0;
      if (!i32) break;
      i20 = get32(i3 | 0) | 0;
      do if ((i20 | 0) != 0 ? (get32(i20 + 260 | 0) | 0) >>> 0 <= i32 >>> 0 : 0) {
       if ((get32(i20 + 264 | 0) | 0) >>> 0 <= i32 >>> 0) {
        i27 = 93;
        break;
       }
       i51 = getU16(i20 + 232 | 0) | 0;
      } else i27 = 93; while (0);
      if ((i27 | 0) == 93) {
       i27 = 0;
       i51 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i32) | 0;
      }
      set32(i12 | 0, (i51 >>> 0) / 20 | 0 | 0);
      set32(i13 | 0, i32 | 0);
      i49 = get32(i10 | 0) | 0;
      i50 = i32;
     }
     set32(i10 | 0, i49 + 1 | 0);
     set8(i50 + (i19 * 20 | 0) >> 0 | 0, 2 | 0);
     set8(i50 + (i19 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i50 + (i19 * 20 | 0) + 4 | 0, i21 | 0);
     set32(i50 + (i19 * 20 | 0) + 8 | 0, i18 | 0);
     set32(i50 + (i19 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i50 + (i19 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i50 + (i19 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    } else {
     i20 = get32(i1 + 48 + (i16 * 80 | 0) + 48 | 0) | 0;
     i23 = get32(i10 | 0) | 0;
     i22 = get32(i12 | 0) | 0;
     if ((i22 | 0) > (i23 | 0)) {
      i52 = i23;
      i53 = get32(i13 | 0) | 0;
     } else {
      i31 = _sqlite3DbRealloc(get32(i3 | 0) | 0, get32(i13 | 0) | 0, (i22 | 0) == 0 ? 1020 : i22 * 40 | 0) | 0;
      if (!i31) break;
      i22 = get32(i3 | 0) | 0;
      do if ((i22 | 0) != 0 ? (get32(i22 + 260 | 0) | 0) >>> 0 <= i31 >>> 0 : 0) {
       if ((get32(i22 + 264 | 0) | 0) >>> 0 <= i31 >>> 0) {
        i27 = 103;
        break;
       }
       i54 = getU16(i22 + 232 | 0) | 0;
      } else i27 = 103; while (0);
      if ((i27 | 0) == 103) {
       i27 = 0;
       i54 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i31) | 0;
      }
      set32(i12 | 0, (i54 >>> 0) / 20 | 0 | 0);
      set32(i13 | 0, i31 | 0);
      i52 = get32(i10 | 0) | 0;
      i53 = i31;
     }
     set32(i10 | 0, i52 + 1 | 0);
     set8(i53 + (i23 * 20 | 0) >> 0 | 0, 1 | 0);
     set8(i53 + (i23 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i53 + (i23 * 20 | 0) + 4 | 0, 0 | 0);
     set32(i53 + (i23 * 20 | 0) + 8 | 0, i20 | 0);
     set32(i53 + (i23 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i53 + (i23 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i53 + (i23 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    } while (0);
    i17 = get32(i10 | 0) | 0;
    if ((i17 | 0) > (i39 | 0)) set32((get32(i13 | 0) | 0) + (i39 * 20 | 0) + 8 | 0, i17 | 0);
   }
   i17 = get32(i6 | 0) | 0;
   i22 = (i17 | 0) == 0;
   if ((i7 | 0) <= 1) {
    i55 = i17;
    i56 = i22;
    break;
   } else {
    i14 = i17;
    i15 = i22;
   }
  }
 } else {
  i55 = i9;
  i56 = i11;
 }
 if (!i56) set32(i55 + (~get32(i1 + 20 | 0) << 2) | 0, get32(i3 + 28 | 0) | 0);
 if ((get32(i8 | 0) | 0) <= 0) {
  i57 = i1 + 32 | 0;
  d58 = +getF64(i57 | 0);
  i59 = i2 + 448 | 0;
  setF64(i59 | 0, +d58);
  _whereInfoFree(i5, i1);
  return;
 }
 i55 = i1 + 4 | 0;
 i56 = i1 + 6 | 0;
 i11 = i3 + 28 | 0;
 i9 = i3 + 32 | 0;
 i15 = i3 + 4 | 0;
 i14 = i5 + 30 | 0;
 i6 = i1 + 12 | 0;
 i39 = 0;
 i13 = i1 + 48 | 0;
 while (1) {
  i10 = getU8(i13 + 52 >> 0 | 0) | 0;
  i53 = get32(i4 + 8 + (i10 * 56 | 0) + 12 | 0) | 0;
  do if (((get8(i53 + 34 >> 0 | 0) & 2) == 0 ? (get32(i53 + 28 | 0) | 0) == 0 : 0) ? (get16(i55 | 0) & 32) == 0 : 0) {
   i52 = get32(i13 | 0) | 0;
   do if ((get8(i56 >> 0 | 0) | 0) == 0 & (i52 & 8388608 | 0) == 0) {
    i54 = get32(i4 + 8 + (i10 * 56 | 0) + 24 | 0) | 0;
    i12 = get32(i11 | 0) | 0;
    i27 = get32(i9 | 0) | 0;
    if ((i27 | 0) > (i12 | 0)) {
     i60 = i12;
     i61 = get32(i15 | 0) | 0;
    } else {
     i16 = _sqlite3DbRealloc(get32(i3 | 0) | 0, get32(i15 | 0) | 0, (i27 | 0) == 0 ? 1020 : i27 * 40 | 0) | 0;
     if (!i16) break;
     i27 = get32(i3 | 0) | 0;
     if (((i27 | 0) != 0 ? (get32(i27 + 260 | 0) | 0) >>> 0 <= i16 >>> 0 : 0) ? (get32(i27 + 264 | 0) | 0) >>> 0 > i16 >>> 0 : 0) i62 = getU16(i27 + 232 | 0) | 0; else i62 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i16) | 0;
     set32(i9 | 0, (i62 >>> 0) / 20 | 0 | 0);
     set32(i15 | 0, i16 | 0);
     i60 = get32(i11 | 0) | 0;
     i61 = i16;
    }
    set32(i11 | 0, i60 + 1 | 0);
    set8(i61 + (i12 * 20 | 0) >> 0 | 0, 43 | 0);
    set8(i61 + (i12 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i61 + (i12 * 20 | 0) + 4 | 0, i54 | 0);
    set32(i61 + (i12 * 20 | 0) + 8 | 0, 0 | 0);
    set32(i61 + (i12 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i61 + (i12 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i61 + (i12 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   } while (0);
   if ((i52 & 983040 | 0) != 0 & (i52 & 536870912 | 0) == 0) {
    i23 = get32(i13 + 32 | 0) | 0;
    i20 = get32(i11 | 0) | 0;
    i31 = get32(i9 | 0) | 0;
    if ((i31 | 0) > (i20 | 0)) {
     i63 = i20;
     i64 = get32(i15 | 0) | 0;
    } else {
     i12 = _sqlite3DbRealloc(get32(i3 | 0) | 0, get32(i15 | 0) | 0, (i31 | 0) == 0 ? 1020 : i31 * 40 | 0) | 0;
     if (!i12) break;
     i31 = get32(i3 | 0) | 0;
     if (((i31 | 0) != 0 ? (get32(i31 + 260 | 0) | 0) >>> 0 <= i12 >>> 0 : 0) ? (get32(i31 + 264 | 0) | 0) >>> 0 > i12 >>> 0 : 0) i65 = getU16(i31 + 232 | 0) | 0; else i65 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i12) | 0;
     set32(i9 | 0, (i65 >>> 0) / 20 | 0 | 0);
     set32(i15 | 0, i12 | 0);
     i63 = get32(i11 | 0) | 0;
     i64 = i12;
    }
    set32(i11 | 0, i63 + 1 | 0);
    set8(i64 + (i20 * 20 | 0) >> 0 | 0, 43 | 0);
    set8(i64 + (i20 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i64 + (i20 * 20 | 0) + 4 | 0, i23 | 0);
    set32(i64 + (i20 * 20 | 0) + 8 | 0, 0 | 0);
    set32(i64 + (i20 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i64 + (i20 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i64 + (i20 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   }
  } while (0);
  if ((get32(i13 | 0) & 983040 | 0) != 0 ? (get8(i14 >> 0 | 0) | 0) == 0 : 0) {
   i10 = get32(i13 + 16 | 0) | 0;
   i53 = get32(i6 | 0) | 0;
   if ((i53 | 0) < 0) i66 = (get32(i11 | 0) | 0) + -1 | 0; else i66 = i53;
   if (!(get8((get32(i3 | 0) | 0) + 30 >> 0 | 0) | 0)) i67 = (get32(i15 | 0) | 0) + (i66 * 20 | 0) | 0; else i67 = 2964;
   i7 = get32(i11 | 0) | 0;
   if ((i53 | 0) < (i7 | 0)) {
    i20 = i13 + 32 | 0;
    i23 = i10 + 4 | 0;
    i12 = i10 + 8 | 0;
    i10 = get32(i13 + 28 | 0) | 0;
    i31 = i53;
    i53 = i67;
    while (1) {
     i54 = i53 + 4 | 0;
     L205 : do if ((get32(i54 | 0) | 0) == (i10 | 0)) {
      switch (get8(i53 >> 0 | 0) | 0) {
      case 28:
       break;
      case 61:
       {
        set32(i54 | 0, get32(i20 | 0) | 0);
        set8(i53 >> 0 | 0, 72 | 0);
        break L205;
        break;
       }
      default:
       break L205;
      }
      i16 = get32(i23 | 0) | 0;
      if ((i16 | 0) > 0) {
       i27 = i53 + 8 | 0;
       i50 = get32(i27 | 0) | 0;
       i49 = get32(i12 | 0) | 0;
       i51 = 0;
       while (1) {
        if ((i50 | 0) == (get32(i49 + (i51 << 2) | 0) | 0)) {
         i68 = i51;
         break;
        }
        i51 = i51 + 1 | 0;
        if ((i51 | 0) >= (i16 | 0)) break L205;
       }
       set32(i27 | 0, i68 | 0);
       set32(i54 | 0, get32(i20 | 0) | 0);
      }
     } while (0);
     i31 = i31 + 1 | 0;
     if ((i31 | 0) == (i7 | 0)) break; else i53 = i53 + 20 | 0;
    }
   }
  }
  i39 = i39 + 1 | 0;
  if ((i39 | 0) >= (get32(i8 | 0) | 0)) break; else i13 = i13 + 80 | 0;
 }
 i57 = i1 + 32 | 0;
 d58 = +getF64(i57 | 0);
 i59 = i2 + 448 | 0;
 setF64(i59 | 0, +d58);
 _whereInfoFree(i5, i1);
 return;
}

function _relocatePage(i1, i2, i3, i4, i5, i6) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 var i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0, i80 = 0;
 i7 = STACKTOP;
 STACKTOP = STACKTOP + 64 | 0;
 i8 = i7 + 40 | 0;
 i9 = i7 + 32 | 0;
 i10 = i7;
 i11 = i7 + 48 | 0;
 i12 = i2 + 72 | 0;
 i13 = get32(i12 | 0) | 0;
 i14 = get32(i1 | 0) | 0;
 i15 = get32(i2 + 68 | 0) | 0;
 i16 = i14 + 14 | 0;
 if ((get8(i16 >> 0 | 0) | 0) != 0 ? (i17 = _sqlite3PagerWrite(i15) | 0, (i17 | 0) != 0) : 0) i18 = i17; else i19 = 3;
 L3 : do if ((i19 | 0) == 3) {
  i17 = i15 + 20 | 0;
  i20 = get16(i17 | 0) | 0;
  L5 : do if ((i20 & 2) != 0 ? (i21 = get32(i15 + 12 | 0) | 0, i22 = get32(i15 + 16 | 0) | 0, i23 = get32(i22 + 96 | 0) | 0, (i23 | 0) > 0) : 0) {
   i24 = get32(i22 + 92 | 0) | 0;
   i22 = i21 + -1 | 0;
   i25 = 0;
   L8 : while (1) {
    L10 : do if ((get32(i24 + (i25 * 48 | 0) + 20 | 0) | 0) >>> 0 >= i21 >>> 0) {
     i26 = get32(i24 + (i25 * 48 | 0) + 16 | 0) | 0;
     if (!i26) break L8;
     if (i22 >>> 0 < (get32(i26 | 0) | 0) >>> 0) {
      i27 = i22;
      i28 = i26;
     } else break L8;
     while (1) {
      i26 = get32(i28 + 8 | 0) | 0;
      if (!i26) {
       i29 = i27;
       i30 = i28;
       break;
      }
      i28 = get32(i28 + 12 + (((i27 >>> 0) / (i26 >>> 0) | 0) << 2) | 0) | 0;
      if (!i28) break L8; else i27 = (i27 >>> 0) % (i26 >>> 0) | 0;
     }
     if ((get32(i30 | 0) | 0) >>> 0 < 4001) if (!(getU8(i30 + 12 + (i29 >>> 3) >> 0 | 0) & 1 << (i29 & 7))) break L8; else break;
     i26 = i29 + 1 | 0;
     i31 = (i29 >>> 0) % 125 | 0;
     i32 = get32(i30 + 12 + (i31 << 2) | 0) | 0;
     if (!i32) break L8; else {
      i33 = i32;
      i34 = i31;
     }
     while (1) {
      if ((i33 | 0) == (i26 | 0)) break L10;
      i34 = ((i34 + 1 | 0) >>> 0) % 125 | 0;
      i33 = get32(i30 + 12 + (i34 << 2) | 0) | 0;
      if (!i33) break L8;
     }
    } while (0);
    i25 = i25 + 1 | 0;
    if ((i25 | 0) >= (i23 | 0)) {
     i35 = i20;
     break L5;
    }
   }
   i23 = _subjournalPage(i15) | 0;
   if (i23) {
    i18 = i23;
    break L3;
   }
   i35 = get16(i17 | 0) | 0;
  } else i35 = i20; while (0);
  if ((i6 | 0) != 0 | (i35 & 4) == 0) i36 = 0; else i36 = get32(i15 + 12 | 0) | 0;
  set16(i17 | 0, i35 & 65531 | 0);
  i20 = get32(i14 + 168 | 0) | 0;
  i23 = get32(i20 + 40 | 0) | 0;
  do if ((i23 | 0) != 0 ? (i25 = FUNCTION_TABLE_iiii[get32(320 | 0) & 63](i23, i5, 0) | 0, (i25 | 0) != 0) : 0) {
   if (!(get32(i25 | 0) | 0)) {
    i22 = i25;
    i24 = i22 + 36 | 0;
    do {
     set32(i22 | 0, 0 | 0);
     i22 = i22 + 4 | 0;
    } while ((i22 | 0) < (i24 | 0));
    set32(i25 | 0, i25 + 36 | 0);
    i22 = i25 + ((get32(i20 + 20 | 0) | 0) + 36) | 0;
    set32(i25 + 4 | 0, i22 | 0);
    _memset(i22 | 0, 0, get32(i20 + 24 | 0) | 0) | 0;
    set32(i25 + 24 | 0, i20 | 0);
    set32(i25 + 12 | 0, i5 | 0);
   }
   i22 = i25 + 22 | 0;
   i24 = get16(i22 | 0) | 0;
   if (!(i24 << 16 >> 16)) {
    i21 = i20 + 12 | 0;
    set32(i21 | 0, (get32(i21 | 0) | 0) + 1 | 0);
   }
   set16(i22 | 0, i24 + 1 << 16 >> 16 | 0);
   if ((i5 | 0) == 1) set32(i20 + 44 | 0, i25 | 0);
   i24 = i25 + 20 | 0;
   set16(i17 | 0, getU16(i17 | 0) | getU16(i24 | 0) & 4 | 0);
   if (!(get8(i16 >> 0 | 0) | 0)) {
    i22 = get32(i25 + 24 | 0) | 0;
    if (get16(i24 | 0) & 2) {
     i21 = i22 + 8 | 0;
     if ((get32(i21 | 0) | 0) == (i25 | 0)) {
      i26 = i25;
      while (1) {
       i31 = get32(i26 + 32 | 0) | 0;
       if (!i31) {
        i37 = 0;
        break;
       }
       if (!(get16(i31 + 20 | 0) & 4)) {
        i37 = i31;
        break;
       } else i26 = i31;
      }
      set32(i21 | 0, i37 | 0);
     }
     i26 = i25 + 28 | 0;
     i31 = get32(i26 | 0) | 0;
     i32 = i25 + 32 | 0;
     i38 = get32(i32 | 0) | 0;
     i39 = i31;
     if (!i31) {
      set32(i22 + 4 | 0, i38 | 0);
      i40 = i38;
     } else {
      set32(i31 + 32 | 0, i38 | 0);
      i40 = get32(i32 | 0) | 0;
     }
     if (!i40) set32(i22 | 0, i39 | 0); else set32(i40 + 28 | 0, i39 | 0);
     set32(i26 | 0, 0 | 0);
     set32(i32 | 0, 0 | 0);
    }
    i32 = i22 + 12 | 0;
    set32(i32 | 0, (get32(i32 | 0) | 0) + -1 | 0);
    if ((get32(i25 + 12 | 0) | 0) == 1) set32(i22 + 44 | 0, 0 | 0);
    FUNCTION_TABLE_viii[get32(324 | 0) & 63](get32(i22 + 40 | 0) | 0, i25, 1);
    i41 = i25;
    break;
   }
   i32 = (get32(i14 + 24 | 0) | 0) + 1 | 0;
   i26 = i25 + 24 | 0;
   i39 = i25 + 12 | 0;
   FUNCTION_TABLE_viiii[get32(328 | 0) & 15](get32((get32(i26 | 0) | 0) + 40 | 0) | 0, i25, get32(i39 | 0) | 0, i32);
   set32(i39 | 0, i32 | 0);
   i32 = get16(i24 | 0) | 0;
   if ((i32 & 6) == 6) {
    i39 = get32(i26 | 0) | 0;
    i26 = i39 + 8 | 0;
    i38 = get32(i26 | 0) | 0;
    if ((i38 | 0) == (i25 | 0)) {
     i31 = i25;
     while (1) {
      i42 = get32(i31 + 32 | 0) | 0;
      if (!i42) {
       i43 = 0;
       break;
      }
      if (!(get16(i42 + 20 | 0) & 4)) {
       i43 = i42;
       break;
      } else i31 = i42;
     }
     set32(i26 | 0, i43 | 0);
     i44 = i43;
    } else i44 = i38;
    i31 = i25 + 28 | 0;
    i24 = get32(i31 | 0) | 0;
    i22 = i25 + 32 | 0;
    i21 = get32(i22 | 0) | 0;
    i42 = i24;
    if (!i24) {
     set32(i39 + 4 | 0, i21 | 0);
     i45 = i21;
    } else {
     set32(i24 + 32 | 0, i21 | 0);
     i45 = get32(i22 | 0) | 0;
    }
    if (!i45) {
     set32(i39 | 0, i42 | 0);
     i46 = i39;
     i47 = i24;
    } else {
     set32(i45 + 28 | 0, i42 | 0);
     i46 = i39;
     i47 = get32(i39 | 0) | 0;
    }
    set32(i22 | 0, 0 | 0);
    set32(i31 | 0, i47 | 0);
    if (i47) set32(i47 + 32 | 0, i25 | 0);
    set32(i46 | 0, i25 | 0);
    i31 = i39 + 4 | 0;
    if (!(get32(i31 | 0) | 0)) set32(i31 | 0, i25 | 0);
    if ((i32 & 4) == 0 & (i44 | 0) == 0) {
     set32(i26 | 0, i25 | 0);
     i41 = i25;
    } else i41 = i25;
   } else i41 = i25;
  } else i41 = 0; while (0);
  i20 = i15 + 12 | 0;
  i23 = get32(i20 | 0) | 0;
  i31 = i15 + 24 | 0;
  FUNCTION_TABLE_viiii[get32(328 | 0) & 15](get32((get32(i31 | 0) | 0) + 40 | 0) | 0, i15, i23, i5);
  set32(i20 | 0, i5 | 0);
  i20 = get16(i17 | 0) | 0;
  if ((i20 & 6) == 6) {
   i22 = get32(i31 | 0) | 0;
   i42 = i22 + 8 | 0;
   i24 = get32(i42 | 0) | 0;
   if ((i24 | 0) == (i15 | 0)) {
    i21 = i15;
    while (1) {
     i48 = get32(i21 + 32 | 0) | 0;
     if (!i48) {
      i49 = 0;
      break;
     }
     if (!(get16(i48 + 20 | 0) & 4)) {
      i49 = i48;
      break;
     } else i21 = i48;
    }
    set32(i42 | 0, i49 | 0);
    i50 = i49;
   } else i50 = i24;
   i21 = i15 + 28 | 0;
   i48 = get32(i21 | 0) | 0;
   i51 = i15 + 32 | 0;
   i52 = get32(i51 | 0) | 0;
   i53 = i48;
   if (!i48) set32(i22 + 4 | 0, i52 | 0); else set32(i48 + 32 | 0, i52 | 0);
   i52 = get32(i51 | 0) | 0;
   if (!i52) {
    set32(i22 | 0, i53 | 0);
    i54 = i22;
    i55 = i48;
   } else {
    set32(i52 + 28 | 0, i53 | 0);
    i54 = i22;
    i55 = get32(i22 | 0) | 0;
   }
   set32(i51 | 0, 0 | 0);
   set32(i21 | 0, i55 | 0);
   if (i55) set32(i55 + 32 | 0, i15 | 0);
   set32(i54 | 0, i15 | 0);
   i21 = i22 + 4 | 0;
   if (!(get32(i21 | 0) | 0)) set32(i21 | 0, i15 | 0);
   if ((i20 & 4) == 0 & (i50 | 0) == 0) set32(i42 | 0, i15 | 0);
  }
  i21 = i20 & 65535;
  i51 = i21 & 65503;
  set16(i17 | 0, i51 | 0);
  if (!(i21 & 2)) {
   i21 = (i51 | 2) & 65535;
   set16(i17 | 0, i21 | 0);
   i51 = get32(i31 | 0) | 0;
   i53 = get32(i51 | 0) | 0;
   set32(i15 + 28 | 0, i53 | 0);
   if (i53) set32(i53 + 32 | 0, i15 | 0);
   set32(i51 | 0, i15 | 0);
   i53 = i51 + 4 | 0;
   if (!(get32(i53 | 0) | 0)) set32(i53 | 0, i15 | 0);
   i53 = i51 + 8 | 0;
   if ((i21 & 4) == 0 & (get32(i53 | 0) | 0) == 0) set32(i53 | 0, i15 | 0);
  }
  if (get8(i16 >> 0 | 0) | 0) {
   i53 = i41 + 24 | 0;
   i21 = i41 + 12 | 0;
   FUNCTION_TABLE_viiii[get32(328 | 0) & 15](get32((get32(i53 | 0) | 0) + 40 | 0) | 0, i41, get32(i21 | 0) | 0, i23);
   set32(i21 | 0, i23 | 0);
   i21 = get16(i41 + 20 | 0) | 0;
   if ((i21 & 6) == 6) {
    i51 = get32(i53 | 0) | 0;
    i53 = i51 + 8 | 0;
    i52 = get32(i53 | 0) | 0;
    if ((i52 | 0) == (i41 | 0)) {
     i48 = i41;
     while (1) {
      i56 = get32(i48 + 32 | 0) | 0;
      if (!i56) {
       i57 = 0;
       break;
      }
      if (!(get16(i56 + 20 | 0) & 4)) {
       i57 = i56;
       break;
      } else i48 = i56;
     }
     set32(i53 | 0, i57 | 0);
     i58 = i57;
    } else i58 = i52;
    i48 = i41 + 28 | 0;
    i23 = get32(i48 | 0) | 0;
    i31 = i41 + 32 | 0;
    i17 = get32(i31 | 0) | 0;
    i20 = i23;
    if (!i23) set32(i51 + 4 | 0, i17 | 0); else set32(i23 + 32 | 0, i17 | 0);
    i17 = get32(i31 | 0) | 0;
    if (!i17) {
     set32(i51 | 0, i20 | 0);
     i59 = i51;
     i60 = i23;
    } else {
     set32(i17 + 28 | 0, i20 | 0);
     i59 = i51;
     i60 = get32(i51 | 0) | 0;
    }
    set32(i31 | 0, 0 | 0);
    set32(i48 | 0, i60 | 0);
    if (i60) set32(i60 + 32 | 0, i41 | 0);
    set32(i59 | 0, i41 | 0);
    i48 = i51 + 4 | 0;
    if (!(get32(i48 | 0) | 0)) set32(i48 | 0, i41 | 0);
    if ((i21 & 4) == 0 & (i58 | 0) == 0) set32(i53 | 0, i41 | 0);
   }
   _sqlite3PagerUnref(i41);
  }
  do if (i36) {
   i48 = _sqlite3PagerAcquire(i14, i36, i10, 0) | 0;
   if (!i48) {
    i31 = get32(i10 | 0) | 0;
    i20 = i31 + 20 | 0;
    i17 = getU16(i20 | 0) | 0;
    i23 = i17 & 65499;
    set16(i20 | 0, i23 | 4 | 0);
    if (!(i17 & 2)) {
     set16(i20 | 0, i23 | 6 | 0);
     i23 = get32(i31 + 24 | 0) | 0;
     i20 = get32(i23 | 0) | 0;
     set32(i31 + 28 | 0, i20 | 0);
     if (i20) set32(i20 + 32 | 0, i31 | 0);
     set32(i23 | 0, i31 | 0);
     i20 = i23 + 4 | 0;
     if (!(get32(i20 | 0) | 0)) set32(i20 | 0, i31 | 0);
    }
    _sqlite3PagerUnref(i31);
    break;
   }
   if (i36 >>> 0 > (get32(i14 + 28 | 0) | 0) >>> 0) {
    i18 = i48;
    break L3;
   }
   i31 = get32(i14 + 56 | 0) | 0;
   i20 = get32(i14 + 164 | 0) | 0;
   if (!i31) {
    i18 = i48;
    break L3;
   }
   i23 = i31;
   i31 = i36 + -1 | 0;
   while (1) {
    i17 = get32(i23 + 8 | 0) | 0;
    if (!i17) {
     i61 = i23;
     i62 = i31;
     i19 = 112;
     break;
    }
    i23 = get32(i23 + 12 + (((i31 >>> 0) / (i17 >>> 0) | 0) << 2) | 0) | 0;
    if (!i23) break; else i31 = (i31 >>> 0) % (i17 >>> 0) | 0;
   }
   do if ((i19 | 0) == 112) {
    if ((get32(i61 | 0) | 0) >>> 0 < 4001) {
     i31 = i61 + 12 + (i62 >>> 3) | 0;
     set8(i31 >> 0 | 0, getU8(i31 >> 0 | 0) & (1 << (i62 & 7) ^ 255) | 0);
     break;
    }
    i31 = i61 + 12 | 0;
    _memcpy(i20 | 0, i31 | 0, 500) | 0;
    _memset(i31 | 0, 0, 500) | 0;
    i31 = i61 + 4 | 0;
    set32(i31 | 0, 0 | 0);
    i23 = i62 + 1 | 0;
    i25 = 0;
    do {
     i26 = i20 + (i25 << 2) | 0;
     i32 = get32(i26 | 0) | 0;
     if (!((i32 | 0) == 0 | (i32 | 0) == (i23 | 0))) {
      i39 = ((i32 + -1 | 0) >>> 0) % 125 | 0;
      set32(i31 | 0, (get32(i31 | 0) | 0) + 1 | 0);
      i32 = i61 + 12 + (i39 << 2) | 0;
      if (!(get32(i32 | 0) | 0)) i63 = i32; else {
       i32 = i39;
       do {
        i39 = i32 + 1 | 0;
        i32 = i39 >>> 0 > 124 ? 0 : i39;
        i39 = i61 + 12 + (i32 << 2) | 0;
       } while ((get32(i39 | 0) | 0) != 0);
       i63 = i39;
      }
      set32(i63 | 0, get32(i26 | 0) | 0);
     }
     i25 = i25 + 1 | 0;
    } while ((i25 | 0) != 125);
   } while (0);
   set32(i11 | 0, i48 | 0);
   i64 = i48;
   STACKTOP = i7;
   return i64 | 0;
  } while (0);
  set32(i11 | 0, 0 | 0);
  set32(i12 | 0, i5 | 0);
  switch (i3 << 24 >> 24) {
  case 1:
  case 5:
   {
    i53 = _setChildPtrmaps(i2) | 0;
    set32(i11 | 0, i53 | 0);
    if (i53) {
     i64 = i53;
     STACKTOP = i7;
     return i64 | 0;
    }
    if (i3 << 24 >> 24 == 1) {
     i64 = 0;
     STACKTOP = i7;
     return i64 | 0;
    }
    break;
   }
  default:
   {
    i53 = get32(i2 + 64 | 0) | 0;
    i21 = getU8(i53 + 1 >> 0 | 0) << 16 | getU8(i53 >> 0 | 0) << 24 | getU8(i53 + 2 >> 0 | 0) << 8 | getU8(i53 + 3 >> 0 | 0);
    if ((i21 | 0) != 0 ? (_ptrmapPut(i1, i21, 4, i5, i11), i21 = get32(i11 | 0) | 0, (i21 | 0) != 0) : 0) {
     i64 = i21;
     STACKTOP = i7;
     return i64 | 0;
    }
   }
  }
  i21 = _sqlite3PagerAcquire(get32(i1 | 0) | 0, i4, i10, 0) | 0;
  if (i21) {
   set32(i11 | 0, i21 | 0);
   i64 = i21;
   STACKTOP = i7;
   return i64 | 0;
  }
  i21 = get32(i10 | 0) | 0;
  i53 = get32(i21 + 4 | 0) | 0;
  i51 = i53 + 64 | 0;
  set32(i51 | 0, get32(i21 | 0) | 0);
  i52 = i53 + 68 | 0;
  set32(i52 | 0, i21 | 0);
  set32(i53 + 60 | 0, i1 | 0);
  set32(i53 + 72 | 0, i4 | 0);
  i20 = i53 + 5 | 0;
  set8(i20 >> 0 | 0, ((i4 | 0) == 1 ? 100 : 0) | 0);
  i25 = _sqlite3PagerWrite(i21) | 0;
  set32(i11 | 0, i25 | 0);
  if (i25) {
   if (!i53) {
    i64 = i25;
    STACKTOP = i7;
    return i64 | 0;
   }
   _sqlite3PagerUnref(get32(i52 | 0) | 0);
   i64 = i25;
   STACKTOP = i7;
   return i64 | 0;
  }
  L204 : do if (i3 << 24 >> 24 == 4) {
   i25 = get32(i51 | 0) | 0;
   i21 = i25 + 1 | 0;
   i31 = i25 + 2 | 0;
   i23 = i25 + 3 | 0;
   if ((getU8(i21 >> 0 | 0) << 16 | getU8(i25 >> 0 | 0) << 24 | getU8(i31 >> 0 | 0) << 8 | getU8(i23 >> 0 | 0) | 0) == (i13 | 0)) {
    set8(i25 >> 0 | 0, i5 >>> 24 | 0);
    set8(i21 >> 0 | 0, i5 >>> 16 | 0);
    set8(i31 >> 0 | 0, i5 >>> 8 | 0);
    set8(i23 >> 0 | 0, i5 | 0);
    i65 = 0;
    break;
   } else {
    set32(i9 | 0, 50246 | 0);
    set32(i9 + 4 | 0, 17203 | 0);
    _sqlite3_log(11, 19615, i9);
    i65 = 11;
    break;
   }
  } else {
   i23 = get8(i53 >> 0 | 0) | 0;
   _btreeInitPage(i53) | 0;
   i31 = get16(i53 + 16 | 0) | 0;
   i21 = i31 & 65535;
   L210 : do if (i31 << 16 >> 16) {
    i25 = i53 + 18 | 0;
    i32 = i53 + 12 | 0;
    i39 = i3 << 24 >> 24 == 3;
    i38 = i10 + 24 | 0;
    i17 = 0;
    while (1) {
     i42 = get32(i51 | 0) | 0;
     i22 = (getU16(i32 | 0) | 0) + (i17 << 1) | 0;
     i24 = (getU8(i42 + i22 >> 0 | 0) << 8 | getU8(i42 + (i22 + 1) >> 0 | 0)) & getU16(i25 | 0);
     i22 = i42 + i24 | 0;
     if (i39) {
      _btreeParseCellPtr(i53, i22, i10);
      i56 = get16(i38 | 0) | 0;
      if (i56 << 16 >> 16 != 0 ? (i66 = (i56 & 65535) + i24 | 0, i56 = i42 + i66 | 0, i67 = i42 + (i66 + 1) | 0, i68 = i42 + (i66 + 2) | 0, i69 = i42 + (i66 + 3) | 0, (getU8(i67 >> 0 | 0) << 16 | getU8(i56 >> 0 | 0) << 24 | getU8(i68 >> 0 | 0) << 8 | getU8(i69 >> 0 | 0) | 0) == (i13 | 0)) : 0) {
       i70 = i56;
       i71 = i67;
       i72 = i68;
       i73 = i69;
       i74 = i17;
       i19 = 147;
       break;
      }
     } else {
      i69 = i42 + (i24 + 1) | 0;
      i68 = i42 + (i24 + 2) | 0;
      i67 = i42 + (i24 + 3) | 0;
      if ((getU8(i69 >> 0 | 0) << 16 | getU8(i22 >> 0 | 0) << 24 | getU8(i68 >> 0 | 0) << 8 | getU8(i67 >> 0 | 0) | 0) == (i13 | 0)) {
       i75 = i22;
       i76 = i69;
       i77 = i68;
       i78 = i67;
       i79 = i17;
       i19 = 149;
       break;
      }
     }
     i67 = i17 + 1 | 0;
     if ((i67 | 0) < (i21 | 0)) i17 = i67; else {
      i80 = i67;
      break L210;
     }
    }
    if ((i19 | 0) == 147) {
     set8(i70 >> 0 | 0, i5 >>> 24 | 0);
     set8(i71 >> 0 | 0, i5 >>> 16 | 0);
     set8(i72 >> 0 | 0, i5 >>> 8 | 0);
     set8(i73 >> 0 | 0, i5 | 0);
     i80 = i74;
     break;
    } else if ((i19 | 0) == 149) {
     set8(i75 >> 0 | 0, i5 >>> 24 | 0);
     set8(i76 >> 0 | 0, i5 >>> 16 | 0);
     set8(i77 >> 0 | 0, i5 >>> 8 | 0);
     set8(i78 >> 0 | 0, i5 | 0);
     i80 = i79;
     break;
    }
   } else i80 = 0; while (0);
   do if ((i80 | 0) == (i21 | 0)) {
    if (i3 << 24 >> 24 == 5 ? (i31 = getU8(i20 >> 0 | 0) | 0, i48 = get32(i51 | 0) | 0, i17 = i48 + (i31 + 8) | 0, i38 = i48 + (i31 + 9) | 0, i39 = i48 + (i31 + 10) | 0, i25 = i48 + (i31 + 11) | 0, (getU8(i38 >> 0 | 0) << 16 | getU8(i17 >> 0 | 0) << 24 | getU8(i39 >> 0 | 0) << 8 | getU8(i25 >> 0 | 0) | 0) == (i13 | 0)) : 0) {
     set8(i17 >> 0 | 0, i5 >>> 24 | 0);
     set8(i38 >> 0 | 0, i5 >>> 16 | 0);
     set8(i39 >> 0 | 0, i5 >>> 8 | 0);
     set8(i25 >> 0 | 0, i5 | 0);
     break;
    }
    set32(i8 | 0, 50279 | 0);
    set32(i8 + 4 | 0, 17203 | 0);
    _sqlite3_log(11, 19615, i8);
    i65 = 11;
    break L204;
   } while (0);
   set8(i53 >> 0 | 0, i23 | 0);
   i65 = 0;
  } while (0);
  set32(i11 | 0, i65 | 0);
  _sqlite3PagerUnref(get32(i52 | 0) | 0);
  if (i65) {
   i64 = i65;
   STACKTOP = i7;
   return i64 | 0;
  }
  _ptrmapPut(i1, i5, i3, i4, i11);
  i64 = get32(i11 | 0) | 0;
  STACKTOP = i7;
  return i64 | 0;
 } while (0);
 set32(i11 | 0, i18 | 0);
 i64 = i18;
 STACKTOP = i7;
 return i64 | 0;
}

function _pager_playback(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i4 = i3 + 8 | 0;
 i5 = i3 + 28 | 0;
 i6 = i3;
 i7 = i3 + 24 | 0;
 i8 = i3 + 20 | 0;
 i9 = i3 + 16 | 0;
 i10 = get32(i1 | 0) | 0;
 set32(i8 | 0, 0 | 0);
 set32(i9 | 0, 1 | 0);
 i11 = i1 + 64 | 0;
 i12 = get32(i11 | 0) | 0;
 i13 = FUNCTION_TABLE_iii[get32((get32(i12 | 0) | 0) + 24 | 0) & 127](i12, i6) | 0;
 L1 : do if (!i13) {
  i12 = i1 + 164 | 0;
  i14 = get32(i12 | 0) | 0;
  i15 = _readMasterJournal(get32(i11 | 0) | 0, i14, (get32((get32(i1 | 0) | 0) + 8 | 0) | 0) + 1 | 0) | 0;
  if (!i15) {
   if (!(get8(i14 >> 0 | 0) | 0)) i16 = 0; else i16 = FUNCTION_TABLE_iiiii[get32(i10 + 32 | 0) & 31](i10, i14, 0, i9) | 0;
   L7 : do if ((i16 | 0) == 0 & (get32(i9 | 0) | 0) != 0) {
    i14 = i1 + 72 | 0;
    i17 = i14;
    set32(i17 | 0, 0 | 0);
    set32(i17 + 4 | 0, 0 | 0);
    i17 = i1 + 124 | 0;
    i18 = i1 + 128 | 0;
    i19 = i1 + 80 | 0;
    i20 = i1 + 60 | 0;
    i21 = i1 + 24 | 0;
    i22 = i1 + 15 | 0;
    i23 = i1 + 32 | 0;
    i24 = i2;
    L9 : while (1) {
     while (1) {
      i25 = i6;
      i26 = _readJournalHdr(i1, i2, get32(i25 | 0) | 0, get32(i25 + 4 | 0) | 0, i7, i8) | 0;
      switch (i26 | 0) {
      case 101:
       {
        i27 = 35;
        break L9;
        break;
       }
      case 0:
       break;
      default:
       {
        i28 = i26;
        i27 = 36;
        break L7;
       }
      }
      i26 = get32(i7 | 0) | 0;
      if ((i26 | 0) == -1) {
       i25 = i6;
       i29 = _i64Subtract(get32(i25 | 0) | 0, get32(i25 + 4 | 0) | 0, get32(i17 | 0) | 0, 0) | 0;
       i25 = (get32(i18 | 0) | 0) + 8 | 0;
       i30 = ___divdi3(i29 | 0, tempRet0 | 0, i25 | 0, ((i25 | 0) < 0) << 31 >> 31 | 0) | 0;
       set32(i7 | 0, i30 | 0);
       i31 = i30;
      } else i31 = i26;
      if (!(i31 | i2)) {
       i26 = i19;
       i30 = get32(i17 | 0) | 0;
       i25 = _i64Add(i30 | 0, 0, get32(i26 | 0) | 0, get32(i26 + 4 | 0) | 0) | 0;
       i26 = tempRet0;
       i29 = i14;
       i32 = get32(i29 | 0) | 0;
       i33 = get32(i29 + 4 | 0) | 0;
       if ((i25 | 0) == (i32 | 0) & (i26 | 0) == (i33 | 0)) {
        i29 = i6;
        i34 = _i64Subtract(get32(i29 | 0) | 0, get32(i29 + 4 | 0) | 0, i25 | 0, i26 | 0) | 0;
        i29 = (get32(i18 | 0) | 0) + 8 | 0;
        i35 = ___divdi3(i34 | 0, tempRet0 | 0, i29 | 0, ((i29 | 0) < 0) << 31 >> 31 | 0) | 0;
        set32(i7 | 0, i35 | 0);
        i36 = i25;
        i37 = i30;
        i38 = i26;
        i39 = i35;
       } else {
        i36 = i32;
        i37 = i30;
        i38 = i33;
        i39 = i31;
       }
      } else {
       i33 = i14;
       i36 = get32(i33 | 0) | 0;
       i37 = get32(i17 | 0) | 0;
       i38 = get32(i33 + 4 | 0) | 0;
       i39 = i31;
      }
      if ((i36 | 0) == (i37 | 0) & (i38 | 0) == 0) {
       i33 = get32(i8 | 0) | 0;
       i30 = get32(i20 | 0) | 0;
       i32 = get32(i30 | 0) | 0;
       if ((i32 | 0) != 0 ? ((get8(i22 >> 0 | 0) | 0) + -1 & 255) > 2 : 0) {
        i35 = get32(i18 | 0) | 0;
        i26 = FUNCTION_TABLE_iii[get32(i32 + 24 | 0) & 127](i30, i4) | 0;
        i30 = ((i35 | 0) < 0) << 31 >> 31;
        i32 = ___muldi3(i35 | 0, i30 | 0, i33 | 0, 0) | 0;
        i25 = tempRet0;
        if (i26) {
         i40 = i26;
         i27 = 25;
         break L9;
        }
        i26 = i4;
        i29 = get32(i26 | 0) | 0;
        i34 = get32(i26 + 4 | 0) | 0;
        if (!((i29 | 0) == (i32 | 0) & (i34 | 0) == (i25 | 0))) {
         if ((i34 | 0) > (i25 | 0) | (i34 | 0) == (i25 | 0) & i29 >>> 0 > i32 >>> 0) {
          i29 = get32(i20 | 0) | 0;
          i41 = FUNCTION_TABLE_iiii[get32((get32(i29 | 0) | 0) + 16 | 0) & 63](i29, i32, i25) | 0;
         } else {
          i29 = get32(i12 | 0) | 0;
          _memset(i29 | 0, 0, i35 | 0) | 0;
          i34 = get32(i20 | 0) | 0;
          i26 = _i64Subtract(i32 | 0, i25 | 0, i35 | 0, i30 | 0) | 0;
          i41 = FUNCTION_TABLE_iiiiii[get32((get32(i34 | 0) | 0) + 12 | 0) & 31](i34, i29, i35, i26, tempRet0) | 0;
         }
         if (i41) {
          i40 = i41;
          i27 = 25;
          break L9;
         }
         set32(i23 | 0, i33 | 0);
        }
       }
       set32(i21 | 0, i33 | 0);
      }
      if (i39) {
       i42 = i39;
       break;
      }
     }
     i33 = i24;
     i26 = 0;
     L37 : while (1) {
      if (i33) _pager_reset(i1);
      i35 = _pager_playback_one_page(i1, i14, 0, 1, 0) | 0;
      switch (i35 | 0) {
      case 522:
       {
        i27 = 35;
        break L9;
        break;
       }
      case 101:
       {
        break L37;
        break;
       }
      case 0:
       break;
      default:
       {
        i28 = i35;
        i27 = 36;
        break L7;
       }
      }
      i35 = i26 + 1 | 0;
      if (i35 >>> 0 < i42 >>> 0) {
       i33 = 0;
       i26 = i35;
      } else {
       i24 = 0;
       continue L9;
      }
     }
     i26 = i6;
     i33 = get32(i26 + 4 | 0) | 0;
     i35 = i14;
     set32(i35 | 0, get32(i26 | 0) | 0);
     set32(i35 + 4 | 0, i33 | 0);
     i24 = 0;
    }
    if ((i27 | 0) == 25) {
     i43 = i40;
     i27 = 34;
     break L1;
    } else if ((i27 | 0) == 35) {
     i24 = i1 + 12 | 0;
     set8(i1 + 17 >> 0 | 0, get8(i24 >> 0 | 0) | 0 | 0);
     i44 = i24;
     break;
    }
   } else {
    i28 = i16;
    i27 = 36;
   } while (0);
   if ((i27 | 0) == 36) {
    i24 = i1 + 12 | 0;
    set8(i1 + 17 >> 0 | 0, get8(i24 >> 0 | 0) | 0 | 0);
    if (!i28) i44 = i24; else {
     i45 = i24;
     i46 = i28;
     break;
    }
   }
   i24 = get32(i12 | 0) | 0;
   i14 = _readMasterJournal(get32(i11 | 0) | 0, i24, (get32((get32(i1 | 0) | 0) + 8 | 0) | 0) + 1 | 0) | 0;
   if (!i14) {
    L51 : do if (((get8(i1 + 15 >> 0 | 0) | 0) + -1 & 255) > 2) {
     set32(i4 | 0, 0 | 0);
     i21 = get32(i1 + 60 | 0) | 0;
     do if (get8(i1 + 8 >> 0 | 0) | 0) {
      i23 = get32(i21 | 0) | 0;
      if (!i23) break L51; else {
       FUNCTION_TABLE_iiii[get32(i23 + 40 | 0) & 63](i21, 8, i4) | 0;
       i47 = get32(i4 | 0) | 0;
       break;
      }
     } else {
      i23 = FUNCTION_TABLE_iii[get32((get32(i21 | 0) | 0) + 20 | 0) & 127](i21, getU8(i1 + 11 >> 0 | 0) | 0) | 0;
      set32(i4 | 0, i23 | 0);
      i47 = i23;
     } while (0);
     if (i47) {
      i45 = i44;
      i46 = i47;
      break L1;
     }
    } while (0);
    i12 = _pager_end_transaction(i1, (get8(i24 >> 0 | 0) | 0) != 0 & 1) | 0;
    if (!i12) if ((get8(i24 >> 0 | 0) | 0) != 0 & (get32(i9 | 0) | 0) != 0) {
     i21 = get32(i1 | 0) | 0;
     i23 = i21 + 4 | 0;
     i20 = get32(i23 | 0) << 1;
     L63 : do if ((i20 + -1 | 0) >>> 0 > 2147483390) i48 = 7; else {
      if (!(get32(50 * 4 | 0) | 0)) {
       i18 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i20) | 0;
       if (!i18) {
        i48 = 7;
        break;
       } else i49 = i18;
      } else {
       i18 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i20) | 0;
       set32(35 * 4 | 0, i20 | 0);
       if ((get32(45 * 4 | 0) | 0) < (i20 | 0)) set32(45 * 4 | 0, i20 | 0);
       i22 = get32(6 * 4 | 0) | 0;
       do if (i22) {
        i17 = get32(30 * 4 | 0) | 0;
        i19 = ((i17 | 0) < 0) << 31 >> 31;
        i33 = 16;
        i35 = _i64Subtract(get32(i33 | 0) | 0, get32(i33 + 4 | 0) | 0, i18 | 0, ((i18 | 0) < 0) << 31 >> 31 | 0) | 0;
        i33 = tempRet0;
        if ((i19 | 0) < (i33 | 0) | (i19 | 0) == (i33 | 0) & i17 >>> 0 < i35 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i35 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i22 & 15](i35, i17, i19, i18);
         set32(6 * 4 | 0, i22 | 0);
         set32(7 * 4 | 0, i35 | 0);
         break;
        }
       } while (0);
       i22 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i18) | 0;
       if (!i22) {
        i48 = 7;
        break;
       }
       i35 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i22) | 0;
       i19 = (get32(30 * 4 | 0) | 0) + i35 | 0;
       set32(30 * 4 | 0, i19 | 0);
       if ((i19 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i19 | 0);
       i19 = get32(39 * 4 | 0) | 0;
       i35 = i19 + 1 | 0;
       set32(39 * 4 | 0, i35 | 0);
       if ((i19 | 0) < (get32(49 * 4 | 0) | 0)) i49 = i22; else {
        set32(49 * 4 | 0, i35 | 0);
        i49 = i22;
       }
      }
      _memset(i49 | 0, 0, i20 | 0) | 0;
      i22 = i49 + (get32(i23 | 0) | 0) | 0;
      i35 = (i49 | 0) != 0;
      i19 = i21 + 24 | 0;
      i17 = FUNCTION_TABLE_iiiiii[get32(i19 | 0) & 31](i21, i24, i49, 16385, 0) | 0;
      L83 : do if (!i17) {
       i33 = FUNCTION_TABLE_iii[get32((get32(i49 | 0) | 0) + 24 | 0) & 127](i49, i4) | 0;
       if (!i33) {
        i26 = (get32(i21 + 8 | 0) | 0) + 1 | 0;
        i29 = (get32(i4 | 0) | 0) + i26 | 0;
        i34 = i29 + 1 | 0;
        if (i29 >>> 0 <= 2147483390) {
         do if (!(get32(50 * 4 | 0) | 0)) {
          i29 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i34) | 0;
          if (!i29) {
           i50 = 7;
           i27 = 95;
           break L83;
          } else i51 = i29;
         } else {
          i29 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i34) | 0;
          set32(35 * 4 | 0, i34 | 0);
          if ((get32(45 * 4 | 0) | 0) < (i34 | 0)) set32(45 * 4 | 0, i34 | 0);
          i30 = get32(6 * 4 | 0) | 0;
          do if (i30) {
           i25 = get32(30 * 4 | 0) | 0;
           i32 = ((i25 | 0) < 0) << 31 >> 31;
           i52 = 16;
           i53 = _i64Subtract(get32(i52 | 0) | 0, get32(i52 + 4 | 0) | 0, i29 | 0, ((i29 | 0) < 0) << 31 >> 31 | 0) | 0;
           i52 = tempRet0;
           if ((i32 | 0) < (i52 | 0) | (i32 | 0) == (i52 | 0) & i25 >>> 0 < i53 >>> 0) {
            set32(11 * 4 | 0, 0 | 0);
            break;
           } else {
            set32(11 * 4 | 0, 1 | 0);
            i53 = get32(7 * 4 | 0) | 0;
            set32(6 * 4 | 0, 0 | 0);
            FUNCTION_TABLE_viiii[i30 & 15](i53, i25, i32, i29);
            set32(6 * 4 | 0, i30 | 0);
            set32(7 * 4 | 0, i53 | 0);
            break;
           }
          } while (0);
          i30 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i29) | 0;
          if (!i30) {
           i50 = 7;
           i27 = 95;
           break L83;
          }
          i53 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i30) | 0;
          i32 = (get32(30 * 4 | 0) | 0) + i53 | 0;
          set32(30 * 4 | 0, i32 | 0);
          if ((i32 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i32 | 0);
          i32 = get32(39 * 4 | 0) | 0;
          i53 = i32 + 1 | 0;
          set32(39 * 4 | 0, i53 | 0);
          if ((i32 | 0) < (get32(49 * 4 | 0) | 0)) {
           i51 = i30;
           break;
          }
          set32(49 * 4 | 0, i53 | 0);
          i51 = i30;
         } while (0);
         i34 = i4;
         i30 = get32(i34 | 0) | 0;
         i53 = _i64Add(i30 | 0, get32(i34 + 4 | 0) | 0, 1, 0) | 0;
         i34 = i51 + i53 | 0;
         i53 = FUNCTION_TABLE_iiiiii[get32((get32(i49 | 0) | 0) + 8 | 0) & 31](i49, i51, i30, 0, 0) | 0;
         L105 : do if (!i53) {
          set8(i51 + (get32(i4 | 0) | 0) >> 0 | 0, 0 | 0);
          i30 = i51;
          i32 = i4;
          i25 = get32(i32 + 4 | 0) | 0;
          L107 : do if ((i25 | 0) > 0 | (i25 | 0) == 0 & (get32(i32 | 0) | 0) >>> 0 > 0) {
           i52 = i21 + 32 | 0;
           i54 = i30;
           i55 = i51;
           while (1) {
            i56 = FUNCTION_TABLE_iiiii[get32(i52 | 0) & 31](i21, i55, 0, i5) | 0;
            if (i56) {
             i57 = i56;
             break L107;
            }
            do if (get32(i5 | 0) | 0) {
             i56 = FUNCTION_TABLE_iiiiii[get32(i19 | 0) & 31](i21, i55, i22, 2049, 0) | 0;
             if (i56) {
              i57 = i56;
              break L107;
             }
             i56 = _readMasterJournal(i22, i34, i26) | 0;
             i58 = get32(i22 | 0) | 0;
             if (i58) {
              FUNCTION_TABLE_ii[get32(i58 + 4 | 0) & 127](i22) | 0;
              set32(i22 | 0, 0 | 0);
             }
             if (i56) {
              i57 = i56;
              break L107;
             }
             if (!(get8(i34 >> 0 | 0) | 0)) break;
             if (!(_strcmp(i34, i24) | 0)) {
              i59 = 0;
              break L105;
             }
            } while (0);
            if (!i55) i60 = 0; else {
             i56 = i55;
             while (1) if (!(get8(i56 >> 0 | 0) | 0)) {
              i61 = i56;
              break;
             } else i56 = i56 + 1 | 0;
             i60 = i61 - i54 & 1073741823;
            }
            i55 = i55 + (i60 + 1) | 0;
            i54 = i55;
            i56 = i54 - i30 | 0;
            i58 = ((i56 | 0) < 0) << 31 >> 31;
            i62 = i4;
            i63 = get32(i62 + 4 | 0) | 0;
            if (!((i58 | 0) < (i63 | 0) | ((i58 | 0) == (i63 | 0) ? i56 >>> 0 < (get32(i62 | 0) | 0) >>> 0 : 0))) {
             i27 = 92;
             break;
            }
           }
          } else i27 = 92; while (0);
          if ((i27 | 0) == 92) {
           i30 = get32(i49 | 0) | 0;
           if (i30) {
            FUNCTION_TABLE_ii[get32(i30 + 4 | 0) & 127](i49) | 0;
            set32(i49 | 0, 0 | 0);
           }
           i57 = FUNCTION_TABLE_iiii[get32(i21 + 28 | 0) & 63](i21, i24, 0) | 0;
          }
          if (i51) {
           i59 = i57;
           break;
          }
          if (i35) {
           i64 = i49;
           i65 = i57;
           break L83;
          } else {
           i48 = i57;
           break L63;
          }
         } else i59 = i53; while (0);
         if (!(get32(50 * 4 | 0) | 0)) {
          FUNCTION_TABLE_vi[get32(232 | 0) & 31](i51);
          if (i35) {
           i64 = i49;
           i65 = i59;
           break;
          } else {
           i48 = i59;
           break L63;
          }
         }
         i53 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i51) | 0;
         i34 = (get32(30 * 4 | 0) | 0) - i53 | 0;
         set32(30 * 4 | 0, i34 | 0);
         if ((i34 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i34 | 0);
         i34 = (get32(39 * 4 | 0) | 0) + -1 | 0;
         set32(39 * 4 | 0, i34 | 0);
         if ((i34 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i34 | 0);
         FUNCTION_TABLE_vi[get32(232 | 0) & 31](i51);
         if (i35) {
          i64 = i49;
          i65 = i59;
         } else {
          i48 = i59;
          break L63;
         }
        } else {
         i50 = 7;
         i27 = 95;
        }
       } else {
        i50 = i33;
        i27 = 95;
       }
      } else {
       i50 = i17;
       i27 = 95;
      } while (0);
      if ((i27 | 0) == 95) {
       if (!i35) {
        i48 = i50;
        break;
       }
       i64 = i49;
       i65 = i50;
      }
      i17 = get32(i64 | 0) | 0;
      if (i17) {
       FUNCTION_TABLE_ii[get32(i17 + 4 | 0) & 127](i49) | 0;
       set32(i64 | 0, 0 | 0);
      }
      if (!(get32(50 * 4 | 0) | 0)) {
       FUNCTION_TABLE_vi[get32(232 | 0) & 31](i49);
       i48 = i65;
       break;
      }
      i17 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i49) | 0;
      i22 = (get32(30 * 4 | 0) | 0) - i17 | 0;
      set32(30 * 4 | 0, i22 | 0);
      if ((i22 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i22 | 0);
      i22 = (get32(39 * 4 | 0) | 0) + -1 | 0;
      set32(39 * 4 | 0, i22 | 0);
      if ((i22 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i22 | 0);
      FUNCTION_TABLE_vi[get32(232 | 0) & 31](i49);
      i48 = i65;
     } while (0);
     i45 = i44;
     i46 = i48;
    } else {
     i45 = i44;
     i46 = 0;
    } else {
     i45 = i44;
     i46 = i12;
    }
   } else {
    i45 = i44;
    i46 = i14;
   }
  } else {
   i43 = i15;
   i27 = 34;
  }
 } else {
  i43 = i13;
  i27 = 34;
 } while (0);
 if ((i27 | 0) == 34) {
  i27 = i1 + 12 | 0;
  set8(i1 + 17 >> 0 | 0, get8(i27 >> 0 | 0) | 0 | 0);
  i45 = i27;
  i46 = i43;
 }
 if (!(get8(i45 >> 0 | 0) | 0)) {
  i45 = get32(i1 + 60 | 0) | 0;
  i43 = get32((get32(i45 | 0) | 0) + 44 | 0) | 0;
  if (!i43) i66 = 512; else i66 = FUNCTION_TABLE_ii[i43 & 127](i45) | 0;
  i45 = i1 + 124 | 0;
  set32(i45 | 0, i66 | 0);
  i67 = i45;
  i68 = i66;
 } else {
  i66 = i1 + 124 | 0;
  i67 = i66;
  i68 = get32(i66 | 0) | 0;
 }
 if (i68 >>> 0 < 32) {
  set32(i67 | 0, 512 | 0);
  STACKTOP = i3;
  return i46 | 0;
 }
 if (i68 >>> 0 <= 65536) {
  STACKTOP = i3;
  return i46 | 0;
 }
 set32(i67 | 0, 65536 | 0);
 STACKTOP = i3;
 return i46 | 0;
}

function _attachFunc(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 80 | 0;
 i4 = i2 + 48 | 0;
 i5 = i2 + 40 | 0;
 i6 = i2 + 32 | 0;
 i7 = i2 + 24 | 0;
 i8 = i2 + 16 | 0;
 i9 = i2 + 8 | 0;
 i10 = i2;
 i11 = i2 + 68 | 0;
 i12 = i2 + 64 | 0;
 i13 = i2 + 60 | 0;
 i14 = i2 + 56 | 0;
 i15 = i2 + 52 | 0;
 i16 = get32(i1 + 8 | 0) | 0;
 set32(i11 | 0, 0 | 0);
 set32(i12 | 0, 0 | 0);
 set32(i14 | 0, 0 | 0);
 i17 = _sqlite3ValueText(get32(i3 | 0) | 0, 1) | 0;
 i18 = _sqlite3ValueText(get32(i3 + 4 | 0) | 0, 1) | 0;
 i3 = (i17 | 0) == 0 ? 16820 : i17;
 i17 = (i18 | 0) == 0 ? 16820 : i18;
 i18 = i16 + 4 | 0;
 i19 = get32(i18 | 0) | 0;
 i20 = get32(i16 + 100 | 0) | 0;
 L1 : do if ((i19 | 0) < (i20 + 2 | 0)) {
  if (!(get8(i16 + 28 >> 0 | 0) | 0)) {
   i21 = _sqlite3MPrintf(i16, 35757, i9) | 0;
   set32(i14 | 0, i21 | 0);
   i22 = i21;
   i23 = 0;
   i24 = 125;
   break;
  }
  i21 = i16 + 8 | 0;
  i25 = get32(i21 | 0) | 0;
  L6 : do if ((i19 | 0) > 0) {
   i26 = 0;
   while (1) {
    i27 = get32(i25 + (i26 << 4) | 0) | 0;
    i28 = get8(i27 >> 0 | 0) | 0;
    L9 : do if (!(i28 << 24 >> 24)) {
     i29 = 0;
     i30 = i17;
    } else {
     i31 = i28;
     i32 = i27;
     i33 = i17;
     while (1) {
      if ((get8(16286 + (i31 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i33 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
       i29 = i31;
       i30 = i33;
       break L9;
      }
      i32 = i32 + 1 | 0;
      i34 = i33 + 1 | 0;
      i31 = get8(i32 >> 0 | 0) | 0;
      if (!(i31 << 24 >> 24)) {
       i29 = 0;
       i30 = i34;
       break;
      } else i33 = i34;
     }
    } while (0);
    i26 = i26 + 1 | 0;
    if ((get8(16286 + (i29 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i30 >> 0 | 0) | 0) >> 0 | 0) | 0)) break;
    if ((i26 | 0) >= (i19 | 0)) break L6;
   }
   set32(i8 | 0, i17 | 0);
   i26 = _sqlite3MPrintf(i16, 35799, i8) | 0;
   set32(i14 | 0, i26 | 0);
   i22 = i26;
   i23 = 0;
   i24 = 125;
   break L1;
  } while (0);
  do if ((i25 | 0) != (i16 + 444 | 0)) {
   i26 = _sqlite3DbRealloc(i16, i25, (i19 << 4) + 16 | 0) | 0;
   if (!i26) {
    STACKTOP = i2;
    return;
   } else {
    i35 = i21;
    i36 = i26;
    break;
   }
  } else {
   i26 = i16 + 30 | 0;
   if (get8(i26 >> 0 | 0) | 0) {
    STACKTOP = i2;
    return;
   }
   do if (!(get8(i16 + 234 >> 0 | 0) | 0)) i24 = 21; else {
    if ((getU16(i16 + 232 | 0) | 0) < 48) {
     i27 = i16 + 248 | 0;
     set32(i27 | 0, (get32(i27 | 0) | 0) + 1 | 0);
     i24 = 21;
     break;
    }
    i27 = i16 + 256 | 0;
    i28 = get32(i27 | 0) | 0;
    if (!i28) {
     i33 = i16 + 252 | 0;
     set32(i33 | 0, (get32(i33 | 0) | 0) + 1 | 0);
     i24 = 21;
     break;
    }
    set32(i27 | 0, get32(i28 | 0) | 0);
    i27 = i16 + 236 | 0;
    i33 = get32(i27 | 0) | 0;
    i31 = i33 + 1 | 0;
    set32(i27 | 0, i31 | 0);
    i27 = i16 + 244 | 0;
    set32(i27 | 0, (get32(i27 | 0) | 0) + 1 | 0);
    i27 = i16 + 240 | 0;
    if ((i33 | 0) >= (get32(i27 | 0) | 0)) set32(i27 | 0, i31 | 0);
    i37 = i28;
   } while (0);
   do if ((i24 | 0) == 21) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i28 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](48) | 0;
     if (i28) {
      i37 = i28;
      break;
     }
    } else {
     i28 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](48) | 0;
     set32(35 * 4 | 0, 48 | 0);
     if ((get32(45 * 4 | 0) | 0) < 48) set32(45 * 4 | 0, 48 | 0);
     i31 = get32(6 * 4 | 0) | 0;
     do if (i31) {
      i27 = get32(30 * 4 | 0) | 0;
      i33 = ((i27 | 0) < 0) << 31 >> 31;
      i32 = 16;
      i34 = _i64Subtract(get32(i32 | 0) | 0, get32(i32 + 4 | 0) | 0, i28 | 0, ((i28 | 0) < 0) << 31 >> 31 | 0) | 0;
      i32 = tempRet0;
      if ((i33 | 0) < (i32 | 0) | (i33 | 0) == (i32 | 0) & i27 >>> 0 < i34 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i34 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i31 & 15](i34, i27, i33, i28);
       set32(6 * 4 | 0, i31 | 0);
       set32(7 * 4 | 0, i34 | 0);
       break;
      }
     } while (0);
     i31 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i28) | 0;
     if (i31) {
      i34 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i31) | 0;
      i33 = (get32(30 * 4 | 0) | 0) + i34 | 0;
      set32(30 * 4 | 0, i33 | 0);
      if ((i33 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i33 | 0);
      i33 = get32(39 * 4 | 0) | 0;
      i34 = i33 + 1 | 0;
      set32(39 * 4 | 0, i34 | 0);
      if ((i33 | 0) < (get32(49 * 4 | 0) | 0)) {
       i37 = i31;
       break;
      }
      set32(49 * 4 | 0, i34 | 0);
      i37 = i31;
      break;
     }
    }
    set8(i26 >> 0 | 0, 1 | 0);
    STACKTOP = i2;
    return;
   } while (0);
   i26 = get32(i21 | 0) | 0;
   set32(i37 | 0, get32(i26 | 0) | 0);
   set32(i37 + 4 | 0, get32(i26 + 4 | 0) | 0);
   set32(i37 + 8 | 0, get32(i26 + 8 | 0) | 0);
   set32(i37 + 12 | 0, get32(i26 + 12 | 0) | 0);
   set32(i37 + 16 | 0, get32(i26 + 16 | 0) | 0);
   set32(i37 + 20 | 0, get32(i26 + 20 | 0) | 0);
   set32(i37 + 24 | 0, get32(i26 + 24 | 0) | 0);
   set32(i37 + 28 | 0, get32(i26 + 28 | 0) | 0);
   i35 = i21;
   i36 = i37;
  } while (0);
  set32(i35 | 0, i36 | 0);
  i25 = get32(i18 | 0) | 0;
  i26 = i36 + (i25 << 4) | 0;
  set32(i26 | 0, 0 | 0);
  set32(i26 + 4 | 0, 0 | 0);
  set32(i26 + 8 | 0, 0 | 0);
  set32(i26 + 12 | 0, 0 | 0);
  set32(i13 | 0, get32(i16 + 16 | 0) | 0);
  switch (_sqlite3ParseUri(get32((get32(i16 | 0) | 0) + 16 | 0) | 0, i3, i13, i15, i11, i12) | 0) {
  case 0:
   {
    i31 = get32(i13 | 0) | 256;
    set32(i13 | 0, i31 | 0);
    i34 = get32(i11 | 0) | 0;
    i33 = i36 + (i25 << 4) + 4 | 0;
    i27 = _sqlite3BtreeOpen(get32(i15 | 0) | 0, i34, i16, i33, 0, i31) | 0;
    do if (i34) {
     if (!(get32(50 * 4 | 0) | 0)) {
      FUNCTION_TABLE_vi[get32(232 | 0) & 31](i34);
      break;
     }
     i31 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i34) | 0;
     i32 = (get32(30 * 4 | 0) | 0) - i31 | 0;
     set32(30 * 4 | 0, i32 | 0);
     if ((i32 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i32 | 0);
     i32 = (get32(39 * 4 | 0) | 0) + -1 | 0;
     set32(39 * 4 | 0, i32 | 0);
     if ((i32 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i32 | 0);
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i34);
    } while (0);
    set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
    switch (i27 | 0) {
    case 19:
     {
      set32(i14 | 0, _sqlite3MPrintf(i16, 35829, i7) | 0 | 0);
      i38 = 1;
      break;
     }
    case 0:
     {
      i34 = _sqlite3SchemaGet(i16, get32(i33 | 0) | 0) | 0;
      set32(i36 + (i25 << 4) + 12 | 0, i34 | 0);
      if (i34) if ((get8(i34 + 76 >> 0 | 0) | 0) != 0 ? (get8(i34 + 77 >> 0 | 0) | 0) != (get8((get32((get32(i21 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0) | 0) : 0) {
       set32(i14 | 0, _sqlite3MPrintf(i16, 25948, i6) | 0 | 0);
       i39 = 1;
      } else i39 = 0; else i39 = 7;
      i34 = get32(i33 | 0) | 0;
      i32 = get32(i34 + 4 | 0) | 0;
      i31 = get32(i32 | 0) | 0;
      i40 = get8(i16 + 31 >> 0 | 0) | 0;
      do if (!(get8(i31 + 12 >> 0 | 0) | 0)) {
       i41 = get32(i31 + 172 | 0) | 0;
       if ((i41 | 0) != 0 ? (get8(i41 + 38 >> 0 | 0) | 0) == 2 : 0) break;
       set8(i31 + 4 >> 0 | 0, i40 | 0);
      } while (0);
      i40 = get32((get32(i21 | 0) | 0) + 4 | 0) | 0;
      if (!i40) i42 = 0; else {
       i31 = get32(i40 + 4 | 0) | 0;
       set32(i31 + 4 | 0, get32(i40 | 0) | 0);
       i42 = getU8(i31 + 18 >> 0 | 0) | 0;
      }
      if (!i34) i38 = i39; else {
       set32(i32 + 4 | 0, get32(i34 | 0) | 0);
       set8(i32 + 18 >> 0 | 0, (i42 | 0) != 0 & 1 | 0);
       i38 = i39;
      }
      break;
     }
    default:
     i38 = i27;
    }
    set8(i36 + (i25 << 4) + 9 >> 0 | 0, 3 | 0);
    i31 = i17;
    while (1) if (!(get8(i31 >> 0 | 0) | 0)) {
     i43 = i31;
     break;
    } else i31 = i31 + 1 | 0;
    i31 = (i43 - i17 & 1073741823) + 1 | 0;
    L96 : do if (!i16) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i44 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i31) | 0;
      i24 = 110;
      break;
     }
     i25 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i31) | 0;
     set32(35 * 4 | 0, i31 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i31 | 0)) set32(45 * 4 | 0, i31 | 0);
     i27 = get32(6 * 4 | 0) | 0;
     do if (i27) {
      i32 = get32(30 * 4 | 0) | 0;
      i34 = ((i32 | 0) < 0) << 31 >> 31;
      i40 = 16;
      i33 = _i64Subtract(get32(i40 | 0) | 0, get32(i40 + 4 | 0) | 0, i25 | 0, ((i25 | 0) < 0) << 31 >> 31 | 0) | 0;
      i40 = tempRet0;
      if ((i34 | 0) < (i40 | 0) | (i34 | 0) == (i40 | 0) & i32 >>> 0 < i33 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i33 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i27 & 15](i33, i32, i34, i25);
       set32(6 * 4 | 0, i27 | 0);
       set32(7 * 4 | 0, i33 | 0);
       break;
      }
     } while (0);
     i27 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i25) | 0;
     if (i27) {
      i33 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i27) | 0;
      i34 = (get32(30 * 4 | 0) | 0) + i33 | 0;
      set32(30 * 4 | 0, i34 | 0);
      if ((i34 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i34 | 0);
      i34 = get32(39 * 4 | 0) | 0;
      i33 = i34 + 1 | 0;
      set32(39 * 4 | 0, i33 | 0);
      if ((i34 | 0) < (get32(49 * 4 | 0) | 0)) {
       i45 = i27;
       i24 = 111;
      } else {
       set32(49 * 4 | 0, i33 | 0);
       i45 = i27;
       i24 = 111;
      }
     } else i46 = 0;
    } else {
     i27 = i16 + 30 | 0;
     if (!(get8(i27 >> 0 | 0) | 0)) {
      do if (get8(i16 + 234 >> 0 | 0) | 0) {
       if ((getU16(i16 + 232 | 0) | 0) >>> 0 < i31 >>> 0) {
        i33 = i16 + 248 | 0;
        set32(i33 | 0, (get32(i33 | 0) | 0) + 1 | 0);
        break;
       }
       i33 = i16 + 256 | 0;
       i34 = get32(i33 | 0) | 0;
       if (!i34) {
        i32 = i16 + 252 | 0;
        set32(i32 | 0, (get32(i32 | 0) | 0) + 1 | 0);
        break;
       }
       set32(i33 | 0, get32(i34 | 0) | 0);
       i33 = i16 + 236 | 0;
       i32 = get32(i33 | 0) | 0;
       i40 = i32 + 1 | 0;
       set32(i33 | 0, i40 | 0);
       i33 = i16 + 244 | 0;
       set32(i33 | 0, (get32(i33 | 0) | 0) + 1 | 0);
       i33 = i16 + 240 | 0;
       if ((i32 | 0) >= (get32(i33 | 0) | 0)) set32(i33 | 0, i40 | 0);
       i44 = i34;
       i24 = 110;
       break L96;
      } while (0);
      if (!(get32(50 * 4 | 0) | 0)) {
       i25 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i31) | 0;
       if (i25) {
        i45 = i25;
        i24 = 111;
        break;
       }
      } else {
       i25 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i31) | 0;
       set32(35 * 4 | 0, i31 | 0);
       if ((get32(45 * 4 | 0) | 0) < (i31 | 0)) set32(45 * 4 | 0, i31 | 0);
       i34 = get32(6 * 4 | 0) | 0;
       do if (i34) {
        i40 = get32(30 * 4 | 0) | 0;
        i33 = ((i40 | 0) < 0) << 31 >> 31;
        i32 = 16;
        i41 = _i64Subtract(get32(i32 | 0) | 0, get32(i32 + 4 | 0) | 0, i25 | 0, ((i25 | 0) < 0) << 31 >> 31 | 0) | 0;
        i32 = tempRet0;
        if ((i33 | 0) < (i32 | 0) | (i33 | 0) == (i32 | 0) & i40 >>> 0 < i41 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i41 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i34 & 15](i41, i40, i33, i25);
         set32(6 * 4 | 0, i34 | 0);
         set32(7 * 4 | 0, i41 | 0);
         break;
        }
       } while (0);
       i34 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i25) | 0;
       if (i34) {
        i41 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i34) | 0;
        i33 = (get32(30 * 4 | 0) | 0) + i41 | 0;
        set32(30 * 4 | 0, i33 | 0);
        if ((i33 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i33 | 0);
        i33 = get32(39 * 4 | 0) | 0;
        i41 = i33 + 1 | 0;
        set32(39 * 4 | 0, i41 | 0);
        if ((i33 | 0) < (get32(49 * 4 | 0) | 0)) {
         i45 = i34;
         i24 = 111;
         break;
        }
        set32(49 * 4 | 0, i41 | 0);
        i45 = i34;
        i24 = 111;
        break;
       }
      }
      set8(i27 >> 0 | 0, 1 | 0);
      i46 = 0;
     } else i46 = 0;
    } while (0);
    if ((i24 | 0) == 110) if (!i44) i46 = 0; else {
     i45 = i44;
     i24 = 111;
    }
    if ((i24 | 0) == 111) {
     _memcpy(i45 | 0, i17 | 0, i31 | 0) | 0;
     i46 = i45;
    }
    set32(i26 | 0, i46 | 0);
    i34 = (i38 | 0) == 0 & (i46 | 0) == 0 ? 7 : i38;
    if (!i34) {
     i41 = get32(i18 | 0) | 0;
     if ((i41 | 0) > 0) {
      i33 = get32(i21 | 0) | 0;
      i40 = 0;
      do {
       i32 = get32(i33 + (i40 << 4) + 4 | 0) | 0;
       if (i32) set32((get32(i32 + 4 | 0) | 0) + 4 | 0, get32(i32 | 0) | 0);
       i40 = i40 + 1 | 0;
      } while ((i40 | 0) != (i41 | 0));
     }
     i41 = _sqlite3Init(i16, i14) | 0;
     if (!i41) {
      STACKTOP = i2;
      return;
     } else i47 = i41;
    } else i47 = i34;
    i41 = (get32(i18 | 0) | 0) + -1 | 0;
    i40 = get32((get32(i21 | 0) | 0) + (i41 << 4) + 4 | 0) | 0;
    if (i40) {
     _sqlite3BtreeClose(i40);
     i40 = get32(i21 | 0) | 0;
     set32(i40 + (i41 << 4) + 4 | 0, 0 | 0);
     set32(i40 + (i41 << 4) + 12 | 0, 0 | 0);
    }
    _sqlite3ResetInternalSchema(i16, -1);
    set32(i18 | 0, i41 | 0);
    if ((i47 | 0) < 3082) switch (i47 | 0) {
    case 7:
     {
      i24 = 122;
      break;
     }
    default:
     {}
    } else switch (i47 | 0) {
    case 3082:
     {
      i24 = 122;
      break;
     }
    default:
     {}
    }
    if ((i24 | 0) == 122) {
     set8(i16 + 30 >> 0 | 0, 1 | 0);
     _sqlite3DbFree(i16, get32(i14 | 0) | 0);
     i41 = _sqlite3MPrintf(i16, 19448, i5) | 0;
     set32(i14 | 0, i41 | 0);
     i22 = i41;
     i23 = i47;
     i24 = 125;
     break L1;
    }
    i41 = get32(i14 | 0) | 0;
    if (i41) {
     i48 = i41;
     i49 = i47;
     i24 = 126;
     break L1;
    }
    set32(i4 | 0, i3 | 0);
    i41 = _sqlite3MPrintf(i16, 35858, i4) | 0;
    set32(i14 | 0, i41 | 0);
    i22 = i41;
    i23 = i47;
    i24 = 125;
    break L1;
    break;
   }
  case 7:
   {
    set8(i16 + 30 >> 0 | 0, 1 | 0);
    break;
   }
  default:
   {}
  }
  i41 = get32(i12 | 0) | 0;
  set32(i1 + 52 | 0, 1 | 0);
  _sqlite3VdbeMemSetStr(i1 + 8 | 0, i41, -1, 1, -1) | 0;
  if (!i41) {
   STACKTOP = i2;
   return;
  }
  if (!(get32(50 * 4 | 0) | 0)) {
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i41);
   STACKTOP = i2;
   return;
  }
  i40 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i41) | 0;
  i33 = (get32(30 * 4 | 0) | 0) - i40 | 0;
  set32(30 * 4 | 0, i33 | 0);
  if ((i33 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i33 | 0);
  i33 = (get32(39 * 4 | 0) | 0) + -1 | 0;
  set32(39 * 4 | 0, i33 | 0);
  if ((i33 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i33 | 0);
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i41);
  STACKTOP = i2;
  return;
 } else {
  set32(i10 | 0, i20 | 0);
  i41 = _sqlite3MPrintf(i16, 35720, i10) | 0;
  set32(i14 | 0, i41 | 0);
  i22 = i41;
  i23 = 0;
  i24 = 125;
 } while (0);
 if ((i24 | 0) == 125) if (!i22) i50 = i23; else {
  i48 = i22;
  i49 = i23;
  i24 = 126;
 }
 if ((i24 | 0) == 126) {
  set32(i1 + 52 | 0, 1 | 0);
  _sqlite3VdbeMemSetStr(i1 + 8 | 0, i48, -1, 1, -1) | 0;
  _sqlite3DbFree(i16, get32(i14 | 0) | 0);
  i50 = i49;
 }
 if (!i50) {
  STACKTOP = i2;
  return;
 }
 set32(i1 + 52 | 0, i50 | 0);
 if (!(get16(i1 + 36 | 0) & 1)) {
  STACKTOP = i2;
  return;
 }
 i49 = i50 & 255;
 if (i49 >>> 0 > 26 | (i49 | 0) == 2) i51 = 38974; else i51 = get32(5652 + (i49 << 2) | 0) | 0;
 _sqlite3VdbeMemSetStr(i1 + 8 | 0, i51, -1, 1, 0) | 0;
 STACKTOP = i2;
 return;
}

function _sqlite3_test_control(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i4 = i3 + 24 | 0;
 i5 = i3 + 8 | 0;
 i6 = i3;
 set32(i5 | 0, i2 | 0);
 do switch (i1 | 0) {
 case 5:
  {
   _memcpy(39255, 18816, 259) | 0;
   i7 = 0;
   STACKTOP = i3;
   return i7 | 0;
  }
 case 6:
  {
   _memcpy(18816, 39255, 259) | 0;
   i7 = 0;
   STACKTOP = i3;
   return i7 | 0;
  }
 case 7:
  {
   set8(18816 | 0, 0 | 0);
   i7 = 0;
   STACKTOP = i3;
   return i7 | 0;
  }
 case 8:
  {
   i2 = (get32(i5 | 0) | 0) + (4 - 1) & ~(4 - 1);
   i8 = get32(i2 | 0) | 0;
   set32(i5 | 0, i2 + 4 | 0);
   i2 = (get32(i5 | 0) | 0) + (4 - 1) & ~(4 - 1);
   i9 = get32(i2 | 0) | 0;
   set32(i5 | 0, i2 + 4 | 0);
   if (!(get32(50 * 4 | 0) | 0)) {
    i2 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](512) | 0;
    if (!i2) i10 = 0; else {
     i11 = i2;
     i12 = 18;
    }
   } else {
    i2 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](512) | 0;
    set32(35 * 4 | 0, 512 | 0);
    if ((get32(45 * 4 | 0) | 0) < 512) set32(45 * 4 | 0, 512 | 0);
    i13 = get32(6 * 4 | 0) | 0;
    do if (i13) {
     i14 = get32(30 * 4 | 0) | 0;
     i15 = ((i14 | 0) < 0) << 31 >> 31;
     i16 = 16;
     i17 = _i64Subtract(get32(i16 | 0) | 0, get32(i16 + 4 | 0) | 0, i2 | 0, ((i2 | 0) < 0) << 31 >> 31 | 0) | 0;
     i16 = tempRet0;
     if ((i15 | 0) < (i16 | 0) | (i15 | 0) == (i16 | 0) & i14 >>> 0 < i17 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i17 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i13 & 15](i17, i14, i15, i2);
      set32(6 * 4 | 0, i13 | 0);
      set32(7 * 4 | 0, i17 | 0);
      break;
     }
    } while (0);
    i13 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i2) | 0;
    if (i13) {
     i17 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i13) | 0;
     i15 = (get32(30 * 4 | 0) | 0) + i17 | 0;
     set32(30 * 4 | 0, i15 | 0);
     if ((i15 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i15 | 0);
     i15 = get32(39 * 4 | 0) | 0;
     i17 = i15 + 1 | 0;
     set32(39 * 4 | 0, i17 | 0);
     if ((i15 | 0) < (get32(49 * 4 | 0) | 0)) {
      i11 = i13;
      i12 = 18;
     } else {
      set32(49 * 4 | 0, i17 | 0);
      i11 = i13;
      i12 = 18;
     }
    } else i10 = 0;
   }
   if ((i12 | 0) == 18) {
    _memset(i11 | 0, 0, 512) | 0;
    set32(i11 | 0, i8 | 0);
    i10 = i11;
   }
   i13 = ((i8 + 7 | 0) / 8 | 0) + 1 | 0;
   i17 = _sqlite3_malloc(i13) | 0;
   i15 = _sqlite3_malloc(512) | 0;
   i14 = (i17 | 0) == 0;
   i16 = (i15 | 0) == 0;
   L29 : do if (!((i10 | 0) == 0 | i14 | i16)) {
    _memset(i17 | 0, 0, i13 | 0) | 0;
    i18 = 0;
    L31 : while (1) {
     i19 = get32(i9 + (i18 << 2) | 0) | 0;
     switch (i19 | 0) {
     case 0:
      {
       break L31;
       break;
      }
     case 5:
     case 2:
     case 1:
      {
       i20 = i9 + (i18 + 2 << 2) | 0;
       i21 = get32(i20 | 0) | 0;
       i22 = i21 + -1 | 0;
       set32(i4 | 0, i22 | 0);
       set32(i20 | 0, (get32(i9 + (i18 + 3 << 2) | 0) | 0) + i21 | 0);
       i23 = i22;
       i24 = 4;
       break;
      }
     default:
      {
       _sqlite3_randomness(4, i4);
       i23 = get32(i4 | 0) | 0;
       i24 = 2;
      }
     }
     i22 = i9 + ((i18 | 1) << 2) | 0;
     i21 = get32(i22 | 0) | 0;
     set32(i22 | 0, i21 + -1 | 0);
     i22 = ((i21 | 0) > 1 ? 0 : i24) + i18 | 0;
     i21 = (i23 & 2147483647 | 0) % (i8 | 0) | 0;
     set32(i4 | 0, i21 | 0);
     i20 = i21 + 1 | 0;
     i25 = 1 << (i20 & 7);
     if (i19 & 1) {
      i26 = i17 + (i20 >>> 3) | 0;
      set8(i26 >> 0 | 0, getU8(i26 >> 0 | 0) | i25 | 0);
      if ((i19 | 0) == 5) {
       i18 = i22;
       continue;
      }
      if (!(_sqlite3BitvecSet(i10, i20) | 0)) {
       i18 = i22;
       continue;
      } else {
       i27 = -1;
       break L29;
      }
     }
     i19 = i17 + (i20 >>> 3) | 0;
     set8(i19 >> 0 | 0, getU8(i19 >> 0 | 0) & (i25 ^ 255) | 0);
     i25 = i10;
     i19 = i21;
     while (1) {
      i21 = get32(i25 + 8 | 0) | 0;
      if (!i21) {
       i28 = i25;
       i29 = i19;
       break;
      }
      i20 = get32(i25 + 12 + (((i19 >>> 0) / (i21 >>> 0) | 0) << 2) | 0) | 0;
      if (!i20) {
       i18 = i22;
       continue L31;
      } else {
       i25 = i20;
       i19 = (i19 >>> 0) % (i21 >>> 0) | 0;
      }
     }
     if ((get32(i28 | 0) | 0) >>> 0 < 4001) {
      i19 = i28 + 12 + (i29 >>> 3) | 0;
      set8(i19 >> 0 | 0, getU8(i19 >> 0 | 0) & (1 << (i29 & 7) ^ 255) | 0);
      i18 = i22;
      continue;
     }
     i19 = i28 + 12 | 0;
     _memcpy(i15 | 0, i19 | 0, 500) | 0;
     _memset(i19 | 0, 0, 500) | 0;
     i19 = i28 + 4 | 0;
     set32(i19 | 0, 0 | 0);
     i25 = i29 + 1 | 0;
     i21 = 0;
     while (1) {
      i20 = i15 + (i21 << 2) | 0;
      i26 = get32(i20 | 0) | 0;
      if (!((i26 | 0) == 0 | (i26 | 0) == (i25 | 0))) {
       i30 = ((i26 + -1 | 0) >>> 0) % 125 | 0;
       set32(i19 | 0, (get32(i19 | 0) | 0) + 1 | 0);
       i26 = i28 + 12 + (i30 << 2) | 0;
       if (!(get32(i26 | 0) | 0)) i31 = i26; else {
        i26 = i30;
        do {
         i30 = i26 + 1 | 0;
         i26 = i30 >>> 0 > 124 ? 0 : i30;
         i30 = i28 + 12 + (i26 << 2) | 0;
        } while ((get32(i30 | 0) | 0) != 0);
        i31 = i30;
       }
       set32(i31 | 0, get32(i20 | 0) | 0);
      }
      i26 = i21 + 1 | 0;
      if ((i26 | 0) == 125) {
       i18 = i22;
       continue L31;
      } else i21 = i26;
     }
    }
    i18 = get32(i10 | 0) | 0;
    L58 : do if (i18 >>> 0 > i8 >>> 0) {
     i21 = i8;
     i22 = i10;
     while (1) {
      i19 = get32(i22 + 8 | 0) | 0;
      if (!i19) {
       i32 = i21;
       i33 = i22;
       break;
      }
      i22 = get32(i22 + 12 + (((i21 >>> 0) / (i19 >>> 0) | 0) << 2) | 0) | 0;
      if (!i22) {
       i34 = 0;
       break L58;
      } else i21 = (i21 >>> 0) % (i19 >>> 0) | 0;
     }
     if ((get32(i33 | 0) | 0) >>> 0 < 4001) {
      i34 = (getU8(i33 + 12 + (i32 >>> 3) >> 0 | 0) & 1 << (i32 & 7) | 0) != 0 & 1;
      break;
     }
     i21 = i32 + 1 | 0;
     i22 = (i32 >>> 0) % 125 | 0;
     i19 = get32(i33 + 12 + (i22 << 2) | 0) | 0;
     if (i19) {
      i25 = i19;
      i19 = i22;
      while (1) {
       if ((i25 | 0) == (i21 | 0)) {
        i34 = 1;
        break L58;
       }
       i19 = ((i19 + 1 | 0) >>> 0) % 125 | 0;
       i25 = get32(i33 + 12 + (i19 << 2) | 0) | 0;
       if (!i25) {
        i34 = 0;
        break;
       }
      }
     } else i34 = 0;
    } else i34 = 0; while (0);
    i25 = i34 - i8 + i18 | 0;
    set32(i4 | 0, 1 | 0);
    if ((i8 | 0) < 1) i27 = i25; else {
     i19 = 1;
     while (1) {
      i21 = (getU8(i17 + (i19 >> 3) >> 0 | 0) & 1 << (i19 & 7) | 0) != 0 & 1;
      i22 = i19 + -1 | 0;
      L72 : do if (i22 >>> 0 < i18 >>> 0) {
       i26 = i22;
       i30 = i10;
       while (1) {
        i35 = get32(i30 + 8 | 0) | 0;
        if (!i35) {
         i36 = i26;
         i37 = i30;
         break;
        }
        i30 = get32(i30 + 12 + (((i26 >>> 0) / (i35 >>> 0) | 0) << 2) | 0) | 0;
        if (!i30) {
         i38 = 0;
         break L72;
        } else i26 = (i26 >>> 0) % (i35 >>> 0) | 0;
       }
       if ((get32(i37 | 0) | 0) >>> 0 < 4001) {
        i38 = (getU8(i37 + 12 + (i36 >>> 3) >> 0 | 0) & 1 << (i36 & 7) | 0) != 0 & 1;
        break;
       }
       i26 = i36 + 1 | 0;
       i30 = (i36 >>> 0) % 125 | 0;
       i20 = get32(i37 + 12 + (i30 << 2) | 0) | 0;
       if (i20) {
        i35 = i20;
        i20 = i30;
        while (1) {
         if ((i35 | 0) == (i26 | 0)) {
          i38 = 1;
          break L72;
         }
         i20 = ((i20 + 1 | 0) >>> 0) % 125 | 0;
         i35 = get32(i37 + 12 + (i20 << 2) | 0) | 0;
         if (!i35) {
          i38 = 0;
          break;
         }
        }
       } else i38 = 0;
      } else i38 = 0; while (0);
      if ((i21 | 0) != (i38 | 0)) {
       i27 = i19;
       break L29;
      }
      i22 = i19;
      i19 = i19 + 1 | 0;
      set32(i4 | 0, i19 | 0);
      if ((i22 | 0) >= (i8 | 0)) {
       i27 = i25;
       break;
      }
     }
    }
   } else i27 = -1; while (0);
   do if (!i16) {
    if (!(get32(50 * 4 | 0) | 0)) {
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i15);
     break;
    }
    i8 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i15) | 0;
    i9 = (get32(30 * 4 | 0) | 0) - i8 | 0;
    set32(30 * 4 | 0, i9 | 0);
    if ((i9 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i9 | 0);
    i9 = (get32(39 * 4 | 0) | 0) + -1 | 0;
    set32(39 * 4 | 0, i9 | 0);
    if ((i9 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i9 | 0);
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i15);
   } while (0);
   do if (!i14) {
    if (!(get32(50 * 4 | 0) | 0)) {
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i17);
     break;
    }
    i15 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i17) | 0;
    i16 = (get32(30 * 4 | 0) | 0) - i15 | 0;
    set32(30 * 4 | 0, i16 | 0);
    if ((i16 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i16 | 0);
    i16 = (get32(39 * 4 | 0) | 0) + -1 | 0;
    set32(39 * 4 | 0, i16 | 0);
    if ((i16 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i16 | 0);
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i17);
   } while (0);
   _sqlite3BitvecDestroy(i10);
   i7 = i27;
   STACKTOP = i3;
   return i7 | 0;
  }
 case 10:
  {
   i17 = (get32(i5 | 0) | 0) + (4 - 1) & ~(4 - 1);
   i14 = get32(i17 | 0) | 0;
   set32(i5 | 0, i17 + 4 | 0);
   i17 = (get32(i5 | 0) | 0) + (4 - 1) & ~(4 - 1);
   i16 = get32(i17 | 0) | 0;
   set32(i5 | 0, i17 + 4 | 0);
   set32(366 * 4 | 0, i14 | 0);
   set32(367 * 4 | 0, i16 | 0);
   i7 = 0;
   STACKTOP = i3;
   return i7 | 0;
  }
 case 11:
  {
   i16 = get32(199 * 4 | 0) | 0;
   i14 = (get32(i5 | 0) | 0) + (4 - 1) & ~(4 - 1);
   i17 = get32(i14 | 0) | 0;
   set32(i5 | 0, i14 + 4 | 0);
   if (!i17) {
    i7 = i16;
    STACKTOP = i3;
    return i7 | 0;
   }
   set32(199 * 4 | 0, i17 | 0);
   i7 = i16;
   STACKTOP = i3;
   return i7 | 0;
  }
 case 12:
  {
   set32(i6 | 0, 0 | 0);
   i7 = get32(i6 | 0) | 0;
   STACKTOP = i3;
   return i7 | 0;
  }
 case 13:
  {
   i16 = (get32(i5 | 0) | 0) + (4 - 1) & ~(4 - 1);
   i17 = get32(i16 | 0) | 0;
   set32(i5 | 0, i16 + 4 | 0);
   i7 = i17;
   STACKTOP = i3;
   return i7 | 0;
  }
 case 14:
  {
   i17 = (get32(i5 | 0) | 0) + (4 - 1) & ~(4 - 1);
   i16 = get32(i17 | 0) | 0;
   set32(i5 | 0, i17 + 4 | 0);
   i17 = (get32(i5 | 0) | 0) + (4 - 1) & ~(4 - 1);
   i14 = get32(i17 | 0) | 0;
   set32(i5 | 0, i17 + 4 | 0);
   i17 = get32((get32(i16 + 8 | 0) | 0) + 4 | 0) | 0;
   i16 = get32(i17 + 4 | 0) | 0;
   set32(i16 + 4 | 0, get32(i17 | 0) | 0);
   if (get8(i16 + 17 >> 0 | 0) | 0) {
    i7 = 0;
    STACKTOP = i3;
    return i7 | 0;
   }
   i17 = i16 + 36 | 0;
   if ((i14 | 0) < 0) {
    i15 = i16 + 40 | 0;
    i39 = (get32(i17 | 0) | 0) - (get32(i15 | 0) | 0) | 0;
    i40 = i15;
   } else {
    i39 = i14;
    i40 = i16 + 40 | 0;
   }
   _sqlite3PagerSetPagesize(get32(i16 | 0) | 0, i17, i39) | 0;
   set32(i40 | 0, (get32(i17 | 0) | 0) - (i39 & 65535) | 0);
   i7 = 0;
   STACKTOP = i3;
   return i7 | 0;
  }
 case 15:
  {
   i17 = (get32(i5 | 0) | 0) + (4 - 1) & ~(4 - 1);
   i16 = get32(i17 | 0) | 0;
   set32(i5 | 0, i17 + 4 | 0);
   i17 = (get32(i5 | 0) | 0) + (4 - 1) & ~(4 - 1);
   i14 = get32(i17 | 0) | 0;
   set32(i5 | 0, i17 + 4 | 0);
   i17 = i16 + 12 | 0;
   set32(i17 | 0, get32(i17 | 0) & -256 | i14 & 255 | 0);
   i7 = 0;
   STACKTOP = i3;
   return i7 | 0;
  }
 case 16:
  {
   i14 = (get32(i5 | 0) | 0) + (4 - 1) & ~(4 - 1);
   i17 = get32(i14 | 0) | 0;
   set32(i5 | 0, i14 + 4 | 0);
   if (!i17) {
    i7 = 0;
    STACKTOP = i3;
    return i7 | 0;
   } else i41 = i17;
   while (1) if (!(get8(i41 >> 0 | 0) | 0)) {
    i42 = i41;
    break;
   } else i41 = i41 + 1 | 0;
   i14 = i42 - i17 & 1073741823;
   if (i14 >>> 0 < 2) {
    i7 = 0;
    STACKTOP = i3;
    return i7 | 0;
   }
   i16 = get8(24934 + (((getU8(16286 + (getU8(i17 >> 0 | 0) | 0) >> 0 | 0) << 2 ^ i14 ^ (getU8(16286 + (getU8(i17 + (i14 + -1) >> 0 | 0) | 0) >> 0 | 0) | 0) * 3) >>> 0) % 127 | 0) >> 0 | 0) | 0;
   if (!(i16 << 24 >> 24)) {
    i7 = 0;
    STACKTOP = i3;
    return i7 | 0;
   }
   i15 = i16 & 255;
   L145 : while (1) {
    i16 = i15 + -1 | 0;
    if ((getU8(25182 + i16 >> 0 | 0) | 0) == (i14 | 0)) {
     i9 = i14;
     i8 = 24394 + (getU16(10190 + (i16 << 1) | 0) | 0) | 0;
     i13 = i17;
     while (1) {
      i2 = get8(i8 >> 0 | 0) | 0;
      if (!(i2 << 24 >> 24)) {
       i43 = i13;
       i12 = 93;
       break;
      }
      i25 = get8(16286 + (i2 & 255) >> 0 | 0) | 0;
      i2 = get8(16286 + (getU8(i13 >> 0 | 0) | 0) >> 0 | 0) | 0;
      if (i25 << 24 >> 24 != i2 << 24 >> 24) {
       i44 = i25;
       i45 = i2;
       break;
      }
      if ((i9 | 0) > 1) {
       i9 = i9 + -1 | 0;
       i8 = i8 + 1 | 0;
       i13 = i13 + 1 | 0;
      } else {
       i7 = 121;
       i12 = 115;
       break L145;
      }
     }
     if ((i12 | 0) == 93) {
      i12 = 0;
      i44 = 0;
      i45 = get8(16286 + (getU8(i43 >> 0 | 0) | 0) >> 0 | 0) | 0;
     }
     if (i44 << 24 >> 24 == i45 << 24 >> 24) {
      i7 = 121;
      i12 = 115;
      break;
     }
    }
    i13 = get8(25061 + i16 >> 0 | 0) | 0;
    if (!(i13 << 24 >> 24)) {
     i7 = 0;
     i12 = 115;
     break;
    } else i15 = i13 & 255;
   }
   if ((i12 | 0) == 115) {
    STACKTOP = i3;
    return i7 | 0;
   }
   break;
  }
 case 17:
  {
   i7 = 36;
   STACKTOP = i3;
   return i7 | 0;
  }
 case 18:
  {
   i15 = (get32(i5 | 0) | 0) + (4 - 1) & ~(4 - 1);
   i17 = get32(i15 | 0) | 0;
   set32(i5 | 0, i15 + 4 | 0);
   i15 = (get32(i5 | 0) | 0) + (4 - 1) & ~(4 - 1);
   i14 = get32(i15 | 0) | 0;
   set32(i5 | 0, i15 + 4 | 0);
   i15 = (get32(i5 | 0) | 0) + (4 - 1) & ~(4 - 1);
   i13 = get32(i15 | 0) | 0;
   set32(i5 | 0, i15 + 4 | 0);
   if (i17) set32(i14 | 0, _sqlite3ScratchMalloc(i17) | 0 | 0);
   if (!i13) {
    i7 = 0;
    STACKTOP = i3;
    return i7 | 0;
   }
   if ((get32(89 * 4 | 0) | 0) >>> 0 <= i13 >>> 0 & (get32(8 * 4 | 0) | 0) >>> 0 > i13 >>> 0) {
    set32(i13 | 0, get32(9 * 4 | 0) | 0);
    set32(9 * 4 | 0, i13 | 0);
    set32(10 * 4 | 0, (get32(10 * 4 | 0) | 0) + 1 | 0);
    i17 = (get32(33 * 4 | 0) | 0) + -1 | 0;
    set32(33 * 4 | 0, i17 | 0);
    if ((i17 | 0) <= (get32(43 * 4 | 0) | 0)) {
     i7 = 0;
     STACKTOP = i3;
     return i7 | 0;
    }
    set32(43 * 4 | 0, i17 | 0);
    i7 = 0;
    STACKTOP = i3;
    return i7 | 0;
   }
   if (!(get32(50 * 4 | 0) | 0)) {
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i13);
    i7 = 0;
    STACKTOP = i3;
    return i7 | 0;
   }
   i17 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i13) | 0;
   i14 = (get32(34 * 4 | 0) | 0) - i17 | 0;
   set32(34 * 4 | 0, i14 | 0);
   if ((i14 | 0) > (get32(44 * 4 | 0) | 0)) set32(44 * 4 | 0, i14 | 0);
   i14 = (get32(30 * 4 | 0) | 0) - i17 | 0;
   set32(30 * 4 | 0, i14 | 0);
   if ((i14 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i14 | 0);
   i14 = (get32(39 * 4 | 0) | 0) + -1 | 0;
   set32(39 * 4 | 0, i14 | 0);
   if ((i14 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i14 | 0);
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i13);
   i7 = 0;
   STACKTOP = i3;
   return i7 | 0;
  }
 case 19:
  {
   i13 = (get32(i5 | 0) | 0) + (4 - 1) & ~(4 - 1);
   i14 = get32(i13 | 0) | 0;
   set32(i5 | 0, i13 + 4 | 0);
   set32(106 * 4 | 0, i14 | 0);
   i7 = 0;
   STACKTOP = i3;
   return i7 | 0;
  }
 default:
  {
   i7 = 0;
   STACKTOP = i3;
   return i7 | 0;
  }
 } while (0);
 return 0;
}

function _sqlite3BtreeBeginTrans(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i4 = i3;
 i5 = i3 + 8 | 0;
 i6 = get32(i1 + 4 | 0) | 0;
 i7 = i6 + 4 | 0;
 set32(i7 | 0, get32(i1 | 0) | 0);
 i8 = i1 + 8 | 0;
 i9 = get8(i8 >> 0 | 0) | 0;
 do if (i9 << 24 >> 24 != 2 ? (i10 = (i2 | 0) != 0, i10 | i9 << 24 >> 24 != 1) : 0) {
  i11 = i6 + 16 | 0;
  if (i10 & (get8(i11 >> 0 | 0) | 0) != 0) {
   i12 = 8;
   STACKTOP = i3;
   return i12 | 0;
  }
  if (i10 ? (get8(i6 + 23 >> 0 | 0) | 0) == 2 : 0) i13 = 7; else i13 = 6;
  L9 : do if ((i13 | 0) == 6) if (!(get8(i6 + 85 >> 0 | 0) | 0)) {
   if ((i2 | 0) > 1 ? (i14 = get32(i6 + 76 | 0) | 0, (i14 | 0) != 0) : 0) {
    i15 = i14;
    do {
     i14 = get32(i15 | 0) | 0;
     if ((i14 | 0) != (i1 | 0)) {
      i16 = i14;
      i13 = 12;
      break L9;
     }
     i15 = get32(i15 + 12 | 0) | 0;
    } while ((i15 | 0) != 0);
   }
  } else i13 = 7; while (0);
  if ((i13 | 0) == 7) {
   i16 = get32(i6 + 80 | 0) | 0;
   i13 = 12;
  }
  if ((i13 | 0) == 12 ? (get32(i16 | 0) | 0) != 0 : 0) {
   i12 = 262;
   STACKTOP = i3;
   return i12 | 0;
  }
  i15 = i1 + 9 | 0;
  L22 : do if (get8(i15 >> 0 | 0) | 0) {
   if ((get32(i6 + 80 | 0) | 0) != (i1 | 0) ? (get8(i6 + 84 >> 0 | 0) | 0) != 0 : 0) {
    i12 = 262;
    STACKTOP = i3;
    return i12 | 0;
   }
   i14 = get32(i6 + 76 | 0) | 0;
   if (i14) {
    i17 = i14;
    while (1) {
     if (((get32(i17 | 0) | 0) != (i1 | 0) ? (get32(i17 + 4 | 0) | 0) == 1 : 0) ? (get8(i17 + 8 >> 0 | 0) | 0) != 1 : 0) {
      i12 = 262;
      break;
     }
     i17 = get32(i17 + 12 | 0) | 0;
     if (!i17) break L22;
    }
    STACKTOP = i3;
    return i12 | 0;
   }
  } while (0);
  i17 = i6 + 48 | 0;
  set8(i6 + 19 >> 0 | 0, (get32(i17 | 0) | 0) == 0 & 1 | 0);
  i14 = i6 + 12 | 0;
  i18 = i6 + 24 | 0;
  i19 = i6 + 36 | 0;
  i20 = i6 + 40 | 0;
  i21 = i6 + 21 | 0;
  i22 = i6 + 22 | 0;
  i23 = i6 + 88 | 0;
  i24 = i6 + 26 | 0;
  i25 = i6 + 28 | 0;
  i26 = i6 + 30 | 0;
  i27 = i6 + 32 | 0;
  i28 = i6 + 23 | 0;
  i29 = (i2 | 0) > 1;
  i30 = 0;
  L36 : while (1) {
   L38 : do if (!(get32(i14 | 0) | 0)) {
    i31 = _sqlite3PagerSharedLock(get32(i6 | 0) | 0) | 0;
    if (!i31) {
     i32 = _sqlite3PagerAcquire(get32(i6 | 0) | 0, 1, i5, 0) | 0;
     if (i32) {
      i33 = i32;
      i13 = 102;
      break;
     }
     i32 = get32(i5 | 0) | 0;
     i34 = get32(i32 + 4 | 0) | 0;
     i35 = get32(i32 | 0) | 0;
     set32(i34 + 64 | 0, i35 | 0);
     i36 = i34 + 68 | 0;
     set32(i36 | 0, i32 | 0);
     set32(i34 + 60 | 0, i6 | 0);
     set32(i34 + 72 | 0, 1 | 0);
     set8(i34 + 5 >> 0 | 0, 100 | 0);
     i37 = i34;
     i34 = i35;
     i35 = getU8(i34 + 29 >> 0 | 0) << 16 | getU8(i34 + 28 >> 0 | 0) << 24 | getU8(i34 + 30 >> 0 | 0) << 8 | getU8(i34 + 31 >> 0 | 0);
     i38 = get32(i6 | 0) | 0;
     i39 = get32(i38 + 24 | 0) | 0;
     if ((i35 | 0) != 0 ? (_memcmp(i34 + 24 | 0, i34 + 92 | 0, 4) | 0) == 0 : 0) i40 = i35; else i40 = i39;
     L49 : do if ((i40 | 0) > 0) {
      L51 : do if (!(_memcmp(i34, 19694, 16) | 0)) {
       if ((getU8(i34 + 18 >> 0 | 0) | 0) > 2) set8(i11 >> 0 | 0, 1 | 0);
       i35 = get8(i34 + 19 >> 0 | 0) | 0;
       if ((i35 & 255) <= 2) {
        do if (i35 << 24 >> 24 == 2) {
         if (get8(i18 >> 0 | 0) | 0) break;
         if (get8(i38 + 12 >> 0 | 0) | 0) break;
         if (get32(i38 + 172 | 0) | 0) break;
         i41 = get32(get32(i38 + 60 | 0) | 0) | 0;
         if (!(get8(i38 + 4 >> 0 | 0) | 0)) {
          if ((get32(i41 | 0) | 0) <= 1) {
           i42 = 14;
           break L51;
          }
          if (!(get32(i41 + 52 | 0) | 0)) {
           i42 = 14;
           break L51;
          }
         }
         i41 = get32(i38 + 64 | 0) | 0;
         i43 = get32(i41 | 0) | 0;
         if (i43) {
          FUNCTION_TABLE_ii[get32(i43 + 4 | 0) & 127](i41) | 0;
          set32(i41 | 0, 0 | 0);
         }
         i41 = _pagerOpenWal(i38) | 0;
         if (i41) {
          i42 = i41;
          break L51;
         }
         set8(i38 + 5 >> 0 | 0, 5 | 0);
         set8(i38 + 15 >> 0 | 0, 0 | 0);
         _sqlite3PagerUnref(get32(i36 | 0) | 0);
         i30 = 0;
         continue L36;
        } while (0);
        if (!(_memcmp(i34 + 21 | 0, 19710, 3) | 0)) {
         i35 = getU8(i34 + 17 >> 0 | 0) << 16 | getU8(i34 + 16 >> 0 | 0) << 8;
         if ((i35 + -257 | 0) >>> 0 > 65279 | (i35 + 16777215 & i35 | 0) != 0) {
          i42 = 26;
          break;
         }
         i41 = getU8(i34 + 20 >> 0 | 0) | 0;
         i43 = i35 - i41 | 0;
         if ((i35 | 0) == (get32(i19 | 0) | 0)) {
          if ((i40 | 0) > (i39 | 0) ? (get32((get32(i7 | 0) | 0) + 12 | 0) & 8388608 | 0) == 0 : 0) {
           set32(i4 | 0, 49909 | 0);
           set32(i4 + 4 | 0, 17203 | 0);
           _sqlite3_log(11, 19615, i4);
           i42 = 11;
           break;
          }
          if (i43 >>> 0 < 480) {
           i42 = 26;
           break;
          }
          set32(i19 | 0, i35 | 0);
          set32(i20 | 0, i43 | 0);
          set8(i21 >> 0 | 0, (getU8(i34 + 53 >> 0 | 0) << 16 | getU8(i34 + 52 >> 0 | 0) << 24 | getU8(i34 + 54 >> 0 | 0) << 8 | getU8(i34 + 55 >> 0 | 0) | 0) != 0 & 1 | 0);
          set8(i22 >> 0 | 0, (getU8(i34 + 65 >> 0 | 0) << 16 | getU8(i34 + 64 >> 0 | 0) << 24 | getU8(i34 + 66 >> 0 | 0) << 8 | getU8(i34 + 67 >> 0 | 0) | 0) != 0 & 1 | 0);
          i44 = i43;
          break L49;
         }
         _sqlite3PagerUnref(i32);
         set32(i20 | 0, i43 | 0);
         set32(i19 | 0, i35 | 0);
         i35 = get32(i23 | 0) | 0;
         do if (i35) {
          if ((get32(379 * 4 | 0) | 0) >>> 0 <= i35 >>> 0 & (get32(380 * 4 | 0) | 0) >>> 0 > i35 >>> 0) {
           i43 = (get32(31 * 4 | 0) | 0) + -1 | 0;
           set32(31 * 4 | 0, i43 | 0);
           if ((i43 | 0) > (get32(41 * 4 | 0) | 0)) set32(41 * 4 | 0, i43 | 0);
           set32(i35 | 0, get32(383 * 4 | 0) | 0);
           set32(383 * 4 | 0, i35 | 0);
           i43 = (get32(382 * 4 | 0) | 0) + 1 | 0;
           set32(382 * 4 | 0, i43 | 0);
           set32(384 * 4 | 0, (i43 | 0) < (get32(378 * 4 | 0) | 0) & 1 | 0);
           break;
          }
          i43 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i35) | 0;
          i45 = (get32(32 * 4 | 0) | 0) - i43 | 0;
          set32(32 * 4 | 0, i45 | 0);
          if ((i45 | 0) > (get32(42 * 4 | 0) | 0)) set32(42 * 4 | 0, i45 | 0);
          if (!(get32(50 * 4 | 0) | 0)) {
           FUNCTION_TABLE_vi[get32(232 | 0) & 31](i35);
           break;
          }
          i45 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i35) | 0;
          i43 = (get32(30 * 4 | 0) | 0) - i45 | 0;
          set32(30 * 4 | 0, i43 | 0);
          if ((i43 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i43 | 0);
          i43 = (get32(39 * 4 | 0) | 0) + -1 | 0;
          set32(39 * 4 | 0, i43 | 0);
          if ((i43 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i43 | 0);
          FUNCTION_TABLE_vi[get32(232 | 0) & 31](i35);
         } while (0);
         set32(i23 | 0, 0 | 0);
         i35 = _sqlite3PagerSetPagesize(get32(i6 | 0) | 0, i19, i41) | 0;
         if (!i35) {
          i30 = 0;
          continue L36;
         } else {
          i33 = i35;
          i13 = 102;
          break L38;
         }
        } else i42 = 26;
       } else i42 = 26;
      } else i42 = 26; while (0);
      _sqlite3PagerUnref(get32(i36 | 0) | 0);
      set32(i14 | 0, 0 | 0);
      i33 = i42;
      i13 = 102;
      break L38;
     } else i44 = get32(i20 | 0) | 0; while (0);
     set16(i24 | 0, ((((i44 << 6) + -768 | 0) >>> 0) / 255 | 0) + 65513 | 0);
     i36 = ((((i44 << 5) + -384 | 0) >>> 0) / 255 | 0) + 65513 & 65535;
     set16(i25 | 0, i36 | 0);
     set16(i26 | 0, i44 + 65501 | 0);
     set16(i27 | 0, i36 | 0);
     set32(i14 | 0, i37 | 0);
     set32(i17 | 0, i40 | 0);
     i30 = 0;
     continue L36;
    } else {
     i33 = i31;
     i13 = 102;
    }
   } else {
    L105 : do if (i10 & (i30 | 0) == 0) {
     if (get8(i11 >> 0 | 0) | 0) {
      i33 = 8;
      i13 = 102;
      break L38;
     }
     i36 = get32(i6 | 0) | 0;
     i32 = get32(i36 + 40 | 0) | 0;
     if (i32) {
      i33 = i32;
      i13 = 102;
      break L38;
     }
     set8(i36 + 21 >> 0 | 0, (get8((get32(i1 | 0) | 0) + 29 >> 0 | 0) | 0) == 2 & 1 | 0);
     i32 = i36 + 15 | 0;
     if ((get8(i32 >> 0 | 0) | 0) == 1) {
      i34 = i36 + 172 | 0;
      i39 = get32(i34 | 0) | 0;
      L111 : do if (!i39) {
       i38 = i36 + 16 | 0;
       i35 = get8(i38 >> 0 | 0) | 0;
       switch (i35 << 24 >> 24) {
       case 0:
       case 1:
       case 5:
        {
         i43 = get32(i36 + 60 | 0) | 0;
         i45 = FUNCTION_TABLE_iii[get32((get32(i43 | 0) | 0) + 28 | 0) & 127](i43, 2) | 0;
         if (i45) {
          i33 = i45;
          i13 = 102;
          break L38;
         }
         if ((get8(i38 >> 0 | 0) | 0) == 5) i46 = 5; else {
          set8(i38 >> 0 | 0, 2 | 0);
          i46 = 2;
         }
         break;
        }
       default:
        i46 = i35;
       }
       if (i29) {
        i35 = i36 + 60 | 0;
        i45 = i36 + 152 | 0;
        i43 = i36 + 156 | 0;
        i47 = i46;
        L119 : while (1) {
         switch (i47 << 24 >> 24) {
         case 0:
         case 1:
         case 2:
         case 3:
         case 5:
          break;
         default:
          break L111;
         }
         i48 = get32(i35 | 0) | 0;
         i49 = FUNCTION_TABLE_iii[get32((get32(i48 | 0) | 0) + 28 | 0) & 127](i48, 4) | 0;
         switch (i49 | 0) {
         case 0:
          {
           break L119;
           break;
          }
         case 5:
          break;
         default:
          {
           i50 = i49;
           break L105;
          }
         }
         if (!(FUNCTION_TABLE_ii[get32(i45 | 0) & 127](get32(i43 | 0) | 0) | 0)) {
          i33 = 5;
          i13 = 102;
          break L38;
         }
         i47 = get8(i38 >> 0 | 0) | 0;
        }
        set8(i38 >> 0 | 0, 4 | 0);
       }
      } else {
       if ((get8(i36 + 4 >> 0 | 0) | 0) != 0 ? (i47 = i39 + 38 | 0, (get8(i47 >> 0 | 0) | 0) == 0) : 0) {
        i43 = i36 + 16 | 0;
        switch (get8(i43 >> 0 | 0) | 0) {
        case 0:
        case 1:
        case 2:
        case 3:
        case 5:
         {
          i45 = get32(i36 + 60 | 0) | 0;
          i35 = FUNCTION_TABLE_iii[get32((get32(i45 | 0) | 0) + 28 | 0) & 127](i45, 4) | 0;
          if (i35) {
           i33 = i35;
           i13 = 102;
           break L38;
          }
          set8(i43 >> 0 | 0, 4 | 0);
          i43 = get32(i34 | 0) | 0;
          i35 = i43 + 38 | 0;
          if (!(get8(i35 >> 0 | 0) | 0)) {
           i51 = i43;
           i52 = i35;
           i13 = 80;
          } else {
           i53 = i43;
           i54 = i35;
          }
          break;
         }
        default:
         {
          i51 = i39;
          i52 = i47;
          i13 = 80;
         }
        }
        if ((i13 | 0) == 80) {
         i13 = 0;
         i47 = get32(i51 + 4 | 0) | 0;
         FUNCTION_TABLE_iiiii[get32((get32(i47 | 0) | 0) + 56 | 0) & 31](i47, (get16(i51 + 36 | 0) | 0) + 3 | 0, 1, 5) | 0;
         i53 = get32(i34 | 0) | 0;
         i54 = i52;
        }
        set8(i54 >> 0 | 0, 1 | 0);
        i55 = i53;
       } else i55 = i39;
       if (get8(i55 + 41 >> 0 | 0) | 0) {
        i33 = 8;
        i13 = 102;
        break L38;
       }
       i47 = i55 + 38 | 0;
       if ((get8(i47 >> 0 | 0) | 0) == 0 ? (i35 = get32(i55 + 4 | 0) | 0, i43 = FUNCTION_TABLE_iiiii[get32((get32(i35 | 0) | 0) + 56 | 0) & 31](i35, 0, 1, 10) | 0, (i43 | 0) != 0) : 0) {
        i33 = i43;
        i13 = 102;
        break L38;
       }
       i43 = i55 + 39 | 0;
       set8(i43 >> 0 | 0, 1 | 0);
       if (!(_memcmp(i55 + 44 | 0, get32(get32(i55 + 28 | 0) | 0) | 0, 48) | 0)) break;
       if (!(get8(i47 >> 0 | 0) | 0)) {
        i47 = get32(i55 + 4 | 0) | 0;
        FUNCTION_TABLE_iiiii[get32((get32(i47 | 0) | 0) + 56 | 0) & 31](i47, 0, 1, 9) | 0;
       }
       set8(i43 >> 0 | 0, 0 | 0);
       i33 = 5;
       i13 = 102;
       break L38;
      } while (0);
      set8(i32 >> 0 | 0, 2 | 0);
      i39 = get32(i36 + 24 | 0) | 0;
      set32(i36 + 36 | 0, i39 | 0);
      set32(i36 + 32 | 0, i39 | 0);
      set32(i36 + 28 | 0, i39 | 0);
      i39 = i36 + 72 | 0;
      set32(i39 | 0, 0 | 0);
      set32(i39 + 4 | 0, 0 | 0);
     }
     i50 = _newDatabase(i6) | 0;
    } else i50 = i30; while (0);
    if (!i50) {
     i56 = 0;
     break L36;
    } else {
     i57 = 0;
     i58 = i50;
    }
   } while (0);
   if ((i13 | 0) == 102) {
    i13 = 0;
    i57 = (i33 | 0) == 0;
    i58 = i33;
   }
   if ((get8(i28 >> 0 | 0) | 0) == 0 ? (i31 = get32(i14 | 0) | 0, (i31 | 0) != 0) : 0) {
    _sqlite3PagerUnref(get32(i31 + 68 | 0) | 0);
    set32(i14 | 0, 0 | 0);
   }
   if ((i58 & 255 | 0) != 5) {
    i59 = i57;
    i60 = i58;
    i13 = 115;
    break;
   }
   if (get8(i28 >> 0 | 0) | 0) {
    i59 = i57;
    i60 = i58;
    i13 = 115;
    break;
   }
   i31 = get32(i7 | 0) | 0;
   i37 = get32(i31 + 428 | 0) | 0;
   if (!i37) {
    i61 = i57;
    i62 = i58;
    i13 = 113;
    break;
   }
   i63 = i31 + 436 | 0;
   i39 = get32(i63 | 0) | 0;
   if ((i39 | 0) < 0) {
    i61 = i57;
    i62 = i58;
    i13 = 113;
    break;
   }
   if (!(FUNCTION_TABLE_iii[i37 & 127](get32(i31 + 432 | 0) | 0, i39) | 0)) {
    i13 = 112;
    break;
   }
   set32(i63 | 0, (get32(i63 | 0) | 0) + 1 | 0);
   i30 = i58;
  }
  if ((i13 | 0) == 112) {
   set32(i63 | 0, -1 | 0);
   if (i57) i56 = i58; else {
    i12 = i58;
    STACKTOP = i3;
    return i12 | 0;
   }
  } else if ((i13 | 0) == 113) if (i61) i56 = i62; else {
   i12 = i62;
   STACKTOP = i3;
   return i12 | 0;
  } else if ((i13 | 0) == 115) if (i59) i56 = i60; else {
   i12 = i60;
   STACKTOP = i3;
   return i12 | 0;
  }
  if ((get8(i8 >> 0 | 0) | 0) == 0 ? (i30 = i6 + 44 | 0, set32(i30 | 0, (get32(i30 | 0) | 0) + 1 | 0), (get8(i15 >> 0 | 0) | 0) != 0) : 0) {
   set8(i1 + 36 >> 0 | 0, 1 | 0);
   i30 = i6 + 76 | 0;
   set32(i1 + 40 | 0, get32(i30 | 0) | 0);
   set32(i30 | 0, i1 + 28 | 0);
  }
  i30 = i10 ? 2 : 1;
  set8(i8 >> 0 | 0, i30 | 0);
  if ((i30 & 255) > (getU8(i28 >> 0 | 0) | 0)) set8(i28 >> 0 | 0, i30 | 0);
  if (!i10) {
   i12 = i56;
   STACKTOP = i3;
   return i12 | 0;
  }
  i30 = get32(i14 | 0) | 0;
  set32(i6 + 80 | 0, i1 | 0);
  set8(i6 + 84 >> 0 | 0, i29 & 1 | 0);
  i11 = i30 + 64 | 0;
  i27 = get32(i11 | 0) | 0;
  if ((get32(i17 | 0) | 0) != (getU8(i27 + 29 >> 0 | 0) << 16 | getU8(i27 + 28 >> 0 | 0) << 24 | getU8(i27 + 30 >> 0 | 0) << 8 | getU8(i27 + 31 >> 0 | 0) | 0)) {
   i27 = _sqlite3PagerWrite(get32(i30 + 68 | 0) | 0) | 0;
   if (!i27) {
    i30 = get32(i11 | 0) | 0;
    i11 = get32(i17 | 0) | 0;
    set8(i30 + 28 >> 0 | 0, i11 >>> 24 | 0);
    set8(i30 + 29 >> 0 | 0, i11 >>> 16 | 0);
    set8(i30 + 30 >> 0 | 0, i11 >>> 8 | 0);
    set8(i30 + 31 >> 0 | 0, i11 | 0);
    i64 = 0;
    break;
   } else {
    i12 = i27;
    STACKTOP = i3;
    return i12 | 0;
   }
  } else i64 = i56;
 } else i64 = 0; while (0);
 if (!((i2 | 0) != 0 & (i64 | 0) == 0)) {
  i12 = i64;
  STACKTOP = i3;
  return i12 | 0;
 }
 i12 = _sqlite3PagerOpenSavepoint(get32(i6 | 0) | 0, get32((get32(i1 | 0) | 0) + 480 | 0) | 0) | 0;
 STACKTOP = i3;
 return i12 | 0;
}

function _unixOpen(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0;
 i6 = STACKTOP;
 STACKTOP = STACKTOP + 1344 | 0;
 i7 = i6 + 208 | 0;
 i8 = i6 + 184 | 0;
 i9 = i6 + 176 | 0;
 i10 = i6 + 152 | 0;
 i11 = i6 + 144 | 0;
 i12 = i6 + 64 | 0;
 i13 = i6 + 40 | 0;
 i14 = i6 + 16 | 0;
 i15 = i6 + 8 | 0;
 i16 = i6;
 i17 = i6 + 304 | 0;
 i18 = i6 + 228 | 0;
 i19 = i6 + 820 | 0;
 i20 = i6 + 824 | 0;
 set32(i19 | 0, -1 | 0);
 i21 = i4 & -256;
 i22 = i4 & 16;
 i23 = i4 & 8;
 i24 = i4 & 4;
 i25 = i4 & 1;
 i26 = i4 & 2;
 L1 : do if (!i24) i27 = 4; else {
  L3 : do if ((i21 | 0) >= 16384) if ((i21 | 0) < 524288) switch (i21 | 0) {
  case 16384:
   {
    break L3;
    break;
   }
  default:
   {
    i27 = 4;
    break L1;
   }
  } else switch (i21 | 0) {
  case 524288:
   {
    break L3;
    break;
   }
  default:
   {
    i27 = 4;
    break L1;
   }
  } else switch (i21 | 0) {
  case 2048:
   break;
  default:
   {
    i27 = 4;
    break L1;
   }
  } while (0);
  i28 = i3;
  i29 = i28 + 44 | 0;
  do {
   set32(i28 | 0, 0 | 0);
   i28 = i28 + 4 | 0;
  } while ((i28 | 0) < (i29 | 0));
  i30 = i20;
  i31 = 1;
  i27 = 16;
 } while (0);
 if ((i27 | 0) == 4) {
  i28 = i3;
  i29 = i28 + 44 | 0;
  do {
   set32(i28 | 0, 0 | 0);
   i28 = i28 + 4 | 0;
  } while ((i28 | 0) < (i29 | 0));
  if ((i21 | 0) == 256) {
   L13 : do if ((_stat(i2, i17) | 0) == 0 ? (i32 = get32(259 * 4 | 0) | 0, (i32 | 0) != 0) : 0) {
    i33 = get32(i17 | 0) | 0;
    i34 = get32(i17 + 72 | 0) | 0;
    i35 = i32;
    while (1) {
     if ((get32(i35 | 0) | 0) == (i33 | 0) ? (get32(i35 + 4 | 0) | 0) == (i34 | 0) : 0) {
      i36 = i35;
      break;
     }
     i35 = get32(i35 + 32 | 0) | 0;
     if (!i35) {
      i27 = 15;
      break L13;
     }
    }
    i35 = i36 + 28 | 0;
    i34 = get32(i35 | 0) | 0;
    if (i34) {
     i33 = i34;
     i34 = i35;
     while (1) {
      i35 = i34;
      i34 = i33 + 8 | 0;
      if ((get32(i33 + 4 | 0) | 0) == (i4 | 0)) {
       i37 = i34;
       i38 = i33;
       i39 = i35;
       break;
      }
      i33 = get32(i34 | 0) | 0;
      if (!i33) {
       i27 = 15;
       break L13;
      }
     }
     set32(i39 | 0, get32(i37 | 0) | 0);
     i40 = get32(i38 | 0) | 0;
     i41 = i38;
    } else i27 = 15;
   } else i27 = 15; while (0);
   if ((i27 | 0) == 15) {
    i38 = _sqlite3_malloc(12) | 0;
    if (!i38) {
     i42 = 7;
     i43 = i20;
     STACKTOP = i6;
     return i42 | 0;
    } else {
     i40 = -1;
     i41 = i38;
    }
   }
   set32(i3 + 28 | 0, i41 | 0);
   i41 = i24 << 4 | i26;
   if ((i40 | 0) < 0) {
    i44 = 0;
    i45 = i20;
    i46 = (i22 | 0) != 0 ? i41 | 131200 : i41;
    i47 = i2;
    i27 = 44;
   } else {
    i48 = i4;
    i49 = 0;
    i50 = i20;
    i51 = i40;
    i52 = i25;
    i53 = i2;
    i27 = 64;
   }
  } else {
   i30 = i20;
   i31 = 0;
   i27 = 16;
  }
 }
 if ((i27 | 0) == 16) {
  if (!i2) {
   i40 = get32(202 * 4 | 0) | 0;
   set32(308 * 4 | 0, i40 | 0);
   i41 = i40;
   if (!(get32(309 * 4 | 0) | 0)) set32(309 * 4 | 0, _getenv(19416) | 0 | 0);
   i38 = i17 + 12 | 0;
   if ((((i40 | 0) != 0 ? (FUNCTION_TABLE_iii[get32(1092 | 0) & 127](i41, i17) | 0) == 0 : 0) ? (get32(i38 | 0) & 61440 | 0) == 16384 : 0) ? (FUNCTION_TABLE_iii[get32(1068 | 0) & 127](i41, 7) | 0) == 0 : 0) i54 = i41; else i27 = 23;
   do if ((i27 | 0) == 23) {
    i41 = get32(309 * 4 | 0) | 0;
    if ((((i41 | 0) != 0 ? (FUNCTION_TABLE_iii[get32(1092 | 0) & 127](i41, i17) | 0) == 0 : 0) ? (get32(i38 | 0) & 61440 | 0) == 16384 : 0) ? (FUNCTION_TABLE_iii[get32(1068 | 0) & 127](i41, 7) | 0) == 0 : 0) {
     i54 = i41;
     break;
    }
    i41 = get32(310 * 4 | 0) | 0;
    if ((((i41 | 0) != 0 ? (FUNCTION_TABLE_iii[get32(1092 | 0) & 127](i41, i17) | 0) == 0 : 0) ? (get32(i38 | 0) & 61440 | 0) == 16384 : 0) ? (FUNCTION_TABLE_iii[get32(1068 | 0) & 127](i41, 7) | 0) == 0 : 0) {
     i54 = i41;
     break;
    }
    i41 = get32(311 * 4 | 0) | 0;
    if ((((i41 | 0) != 0 ? (FUNCTION_TABLE_iii[get32(1092 | 0) & 127](i41, i17) | 0) == 0 : 0) ? (get32(i38 | 0) & 61440 | 0) == 16384 : 0) ? (FUNCTION_TABLE_iii[get32(1068 | 0) & 127](i41, 7) | 0) == 0 : 0) {
     i54 = i41;
     break;
    }
    i41 = get32(312 * 4 | 0) | 0;
    if ((((i41 | 0) != 0 ? (FUNCTION_TABLE_iii[get32(1092 | 0) & 127](i41, i17) | 0) == 0 : 0) ? (get32(i38 | 0) & 61440 | 0) == 16384 : 0) ? (FUNCTION_TABLE_iii[get32(1068 | 0) & 127](i41, 7) | 0) == 0 : 0) {
     i54 = i41;
     break;
    }
    i54 = get32(313 * 4 | 0) | 0;
   } while (0);
   i38 = (i54 | 0) == 0 ? 43002 : i54;
   if (((_strlen(i38) | 0) + 24 | 0) >>> 0 > 512) {
    i42 = 1;
    i43 = i30;
    STACKTOP = i6;
    return i42 | 0;
   } else {
    do {
     set32(i16 | 0, i38 | 0);
     _sqlite3_snprintf(496, i30, 19382, i16) | 0;
     i54 = _strlen(i30) | 0;
     i41 = i20 + i54 | 0;
     _sqlite3_randomness(15, i41);
     set8(i41 >> 0 | 0, get8(19319 + (((getU8(i41 >> 0 | 0) | 0) % 62 | 0) & 255) >> 0 | 0) | 0 | 0);
     i41 = i20 + (i54 + 1) | 0;
     set8(i41 >> 0 | 0, get8(19319 + (((getU8(i41 >> 0 | 0) | 0) % 62 | 0) & 255) >> 0 | 0) | 0 | 0);
     i41 = i20 + (i54 + 2) | 0;
     set8(i41 >> 0 | 0, get8(19319 + (((getU8(i41 >> 0 | 0) | 0) % 62 | 0) & 255) >> 0 | 0) | 0 | 0);
     i41 = i20 + (i54 + 3) | 0;
     set8(i41 >> 0 | 0, get8(19319 + (((getU8(i41 >> 0 | 0) | 0) % 62 | 0) & 255) >> 0 | 0) | 0 | 0);
     i41 = i20 + (i54 + 4) | 0;
     set8(i41 >> 0 | 0, get8(19319 + (((getU8(i41 >> 0 | 0) | 0) % 62 | 0) & 255) >> 0 | 0) | 0 | 0);
     i41 = i20 + (i54 + 5) | 0;
     set8(i41 >> 0 | 0, get8(19319 + (((getU8(i41 >> 0 | 0) | 0) % 62 | 0) & 255) >> 0 | 0) | 0 | 0);
     i41 = i20 + (i54 + 6) | 0;
     set8(i41 >> 0 | 0, get8(19319 + (((getU8(i41 >> 0 | 0) | 0) % 62 | 0) & 255) >> 0 | 0) | 0 | 0);
     i41 = i20 + (i54 + 7) | 0;
     set8(i41 >> 0 | 0, get8(19319 + (((getU8(i41 >> 0 | 0) | 0) % 62 | 0) & 255) >> 0 | 0) | 0 | 0);
     i41 = i20 + (i54 + 8) | 0;
     set8(i41 >> 0 | 0, get8(19319 + (((getU8(i41 >> 0 | 0) | 0) % 62 | 0) & 255) >> 0 | 0) | 0 | 0);
     i41 = i20 + (i54 + 9) | 0;
     set8(i41 >> 0 | 0, get8(19319 + (((getU8(i41 >> 0 | 0) | 0) % 62 | 0) & 255) >> 0 | 0) | 0 | 0);
     i41 = i20 + (i54 + 10) | 0;
     set8(i41 >> 0 | 0, get8(19319 + (((getU8(i41 >> 0 | 0) | 0) % 62 | 0) & 255) >> 0 | 0) | 0 | 0);
     i41 = i20 + (i54 + 11) | 0;
     set8(i41 >> 0 | 0, get8(19319 + (((getU8(i41 >> 0 | 0) | 0) % 62 | 0) & 255) >> 0 | 0) | 0 | 0);
     i41 = i20 + (i54 + 12) | 0;
     set8(i41 >> 0 | 0, get8(19319 + (((getU8(i41 >> 0 | 0) | 0) % 62 | 0) & 255) >> 0 | 0) | 0 | 0);
     i41 = i20 + (i54 + 13) | 0;
     set8(i41 >> 0 | 0, get8(19319 + (((getU8(i41 >> 0 | 0) | 0) % 62 | 0) & 255) >> 0 | 0) | 0 | 0);
     i41 = i20 + (i54 + 14) | 0;
     set8(i41 >> 0 | 0, get8(19319 + (((getU8(i41 >> 0 | 0) | 0) % 62 | 0) & 255) >> 0 | 0) | 0 | 0);
     set8(i20 + (i54 + 15) >> 0 | 0, 0 | 0);
    } while ((FUNCTION_TABLE_iii[get32(1068 | 0) & 127](i30, 0) | 0) == 0);
    i55 = i30;
   }
  } else i55 = i2;
  i20 = i24 << 4 | i26;
  i44 = i31;
  i45 = i30;
  i46 = (i22 | 0) != 0 ? i20 | 131200 : i20;
  i47 = i55;
  i27 = 44;
 }
 L69 : do if ((i27 | 0) == 44) {
  do if (!(i4 & 526336)) i56 = (i23 | 0) == 0 ? 420 : 384; else {
   if (!i47) i57 = 0; else {
    i55 = i47;
    while (1) if (!(get8(i55 >> 0 | 0) | 0)) {
     i58 = i55;
     break;
    } else i55 = i55 + 1 | 0;
    i57 = i58 - i47 & 1073741823;
   }
   while (1) {
    i55 = i57 + -1 | 0;
    if ((i57 | 0) <= 1) {
     i59 = i55;
     break;
    }
    if ((get8(i47 + i55 >> 0 | 0) | 0) == 45) {
     i59 = i55;
     break;
    } else i57 = i55;
   }
   if (!i59) {
    i56 = 420;
    break;
   }
   _memcpy(i17 | 0, i47 | 0, i59 | 0) | 0;
   set8(i17 + i59 >> 0 | 0, 0 | 0);
   if (!(_stat(i17, i18) | 0)) {
    i56 = get32(i18 + 12 | 0) & 511;
    break;
   }
   i42 = 1802;
   i43 = i45;
   STACKTOP = i6;
   return i42 | 0;
  } while (0);
  while (1) {
   i55 = FUNCTION_TABLE_iiii[get32(1044 | 0) & 63](i47, i46, i56) | 0;
   if ((i55 | 0) >= 0) {
    i48 = i4;
    i49 = i44;
    i50 = i45;
    i51 = i55;
    i52 = i25;
    i53 = i47;
    i27 = 64;
    break L69;
   }
   i55 = ___errno_location() | 0;
   i20 = get32(i55 | 0) | 0;
   if ((i20 | 0) != 4) {
    i60 = i55;
    i61 = i20;
    break;
   }
  }
  if (!((i4 & 18 | 0) != 2 | (i61 | 0) == 21)) {
   i20 = i46 & 131200;
   i55 = i4 & -8 | 1;
   do {
    i22 = FUNCTION_TABLE_iiii[get32(1044 | 0) & 63](i47, i20, i56) | 0;
    if ((i22 | 0) >= 0) {
     i48 = i55;
     i49 = i44;
     i50 = i45;
     i51 = i22;
     i52 = 1;
     i53 = i47;
     i27 = 64;
     break L69;
    }
   } while ((get32(i60 | 0) | 0) == 4);
  }
  set32(i15 | 0, 29484 | 0);
  set32(i15 + 4 | 0, 17203 | 0);
  _sqlite3_log(14, 19280, i15);
  i55 = get32(i60 | 0) | 0;
  i20 = _strerror(i55) | 0;
  set32(i14 | 0, 29484 | 0);
  set32(i14 + 4 | 0, i55 | 0);
  set32(i14 + 8 | 0, 19081 | 0);
  set32(i14 + 12 | 0, ((i47 | 0) == 0 ? 16820 : i47) | 0);
  set32(i14 + 16 | 0, i20 | 0);
  _sqlite3_log(14, 19185, i14);
  i62 = i3 + 28 | 0;
  i63 = i45;
  i64 = 14;
 } while (0);
 L100 : do if ((i27 | 0) == 64) {
  if (i5) set32(i5 | 0, i48 | 0);
  i45 = i3 + 28 | 0;
  i14 = get32(i45 | 0) | 0;
  if (i14) {
   set32(i14 | 0, i51 | 0);
   set32(i14 + 4 | 0, i48 | 0);
  }
  if (i23) _unlink(i53) | 0;
  if (i49 ? (i14 = _openDirectory(i2, i19) | 0, (i14 | 0) != 0) : 0) {
   if (!(FUNCTION_TABLE_ii[get32(1056 | 0) & 127](i51) | 0)) {
    i62 = i45;
    i63 = i50;
    i64 = i14;
    break;
   }
   if (!i3) i65 = 0; else i65 = get32(i3 + 32 | 0) | 0;
   i47 = get32(___errno_location() | 0 | 0) | 0;
   i60 = _strerror(i47) | 0;
   set32(i13 | 0, 29519 | 0);
   set32(i13 + 4 | 0, i47 | 0);
   set32(i13 + 8 | 0, 19075 | 0);
   set32(i13 + 12 | 0, ((i65 | 0) == 0 ? 16820 : i65) | 0);
   set32(i13 + 16 | 0, i60 | 0);
   _sqlite3_log(4106, 19185, i13);
   i62 = i45;
   i63 = i50;
   i64 = i14;
   break;
  }
  i14 = get32(282 * 4 | 0) | 0;
  set32(i12 | 0, 0 | 0);
  set32(i11 | 0, FUNCTION_TABLE_iiii[i14 & 63](i51, 1, i12) | 0 | 1 | 0);
  FUNCTION_TABLE_iiii[i14 & 63](i51, 2, i11) | 0;
  i14 = get32(i19 | 0) | 0;
  i60 = i3 + 8 | 0;
  set32(i60 | 0, i51 | 0);
  set32(i3 + 12 | 0, i14 | 0);
  i47 = i3 + 32 | 0;
  set32(i47 | 0, i2 | 0);
  i15 = (_memcmp(get32(i1 + 16 | 0) | 0, 16570, 10) | 0) == 0;
  set8(i3 + 17 >> 0 | 0, ((i52 | 0) == 0 ? i15 & 1 : (i15 & 1 | 2) & 255) | 0);
  L119 : do if ((i21 | 0) == 256) {
   i15 = FUNCTION_TABLE_iii[get32(get32(i1 + 20 | 0) | 0) & 127](i2, i3) | 0;
   do if ((i15 | 0) != 968) {
    if ((i15 | 0) != 1324) {
     i66 = i15;
     i27 = 97;
     break L119;
    }
    i44 = (_strlen(i2) | 0) + 6 | 0;
    i56 = _sqlite3_malloc(i44) | 0;
    if (!i56) {
     set32(i3 + 24 | 0, 0 | 0);
     set32(i3 + 20 | 0, 0 | 0);
     i67 = i51;
     i68 = 7;
     break;
    } else {
     set32(i9 | 0, i2 | 0);
     _sqlite3_snprintf(i44, i56, 19423, i9) | 0;
     set32(i3 + 24 | 0, i56 | 0);
     set32(i3 + 20 | 0, 0 | 0);
     i69 = 1324;
     break L119;
    }
   } else {
    i56 = i3 + 4 | 0;
    do if (!(FUNCTION_TABLE_iii[get32(1104 | 0) & 127](get32(i60 | 0) | 0, i12) | 0)) {
     i44 = i11;
     set32(i44 | 0, 0 | 0);
     set32(i44 + 4 | 0, 0 | 0);
     set32(i11 | 0, get32(i12 | 0) | 0);
     set32(i11 + 4 | 0, get32(i12 + 72 | 0) | 0);
     i44 = get32(259 * 4 | 0) | 0;
     L125 : do if (!i44) i27 = 83; else {
      i4 = i44;
      while (1) {
       if (!(_memcmp(i11, i4, 8) | 0)) {
        i70 = i4;
        break;
       }
       i4 = get32(i4 + 32 | 0) | 0;
       if (!i4) {
        i27 = 83;
        break L125;
       }
      }
      i4 = i70 + 16 | 0;
      set32(i4 | 0, (get32(i4 | 0) | 0) + 1 | 0);
      i71 = i70;
     } while (0);
     if ((i27 | 0) == 83) {
      i44 = _sqlite3_malloc(40) | 0;
      if (!i44) {
       i72 = 7;
       break;
      }
      i28 = i44;
      i29 = i28 + 40 | 0;
      do {
       set32(i28 | 0, 0 | 0);
       i28 = i28 + 4 | 0;
      } while ((i28 | 0) < (i29 | 0));
      i4 = i11;
      i46 = get32(i4 + 4 | 0) | 0;
      i61 = i44;
      set32(i61 | 0, get32(i4 | 0) | 0);
      set32(i61 + 4 | 0, i46 | 0);
      set32(i44 + 16 | 0, 1 | 0);
      set32(i44 + 32 | 0, get32(259 * 4 | 0) | 0);
      set32(i44 + 36 | 0, 0 | 0);
      i46 = get32(259 * 4 | 0) | 0;
      if (i46) set32(i46 + 36 | 0, i44 | 0);
      set32(259 * 4 | 0, i44 | 0);
      i71 = i44;
     }
     set32(i56 | 0, i71 | 0);
     i66 = 968;
     i27 = 97;
     break L119;
    } else {
     i46 = get32(___errno_location() | 0 | 0) | 0;
     set32(i3 + 20 | 0, i46 | 0);
     i72 = (i46 | 0) == 75 ? 22 : 10;
    } while (0);
    if (FUNCTION_TABLE_ii[get32(1056 | 0) & 127](i51) | 0) {
     if (!i3) i73 = 0; else i73 = get32(i47 | 0) | 0;
     i56 = get32(___errno_location() | 0 | 0) | 0;
     i46 = _strerror(i56) | 0;
     set32(i10 | 0, 29016 | 0);
     set32(i10 + 4 | 0, i56 | 0);
     set32(i10 + 8 | 0, 19075 | 0);
     set32(i10 + 12 | 0, ((i73 | 0) == 0 ? 16820 : i73) | 0);
     set32(i10 + 16 | 0, i46 | 0);
     _sqlite3_log(4106, 19185, i10);
    }
    set32(i3 + 20 | 0, 0 | 0);
    i67 = -1;
    i68 = i72;
   } while (0);
   if ((i14 | 0) > -1 ? (FUNCTION_TABLE_ii[get32(1056 | 0) & 127](i14) | 0) != 0 : 0) {
    i15 = get32(i47 | 0) | 0;
    i46 = get32(___errno_location() | 0 | 0) | 0;
    i56 = _strerror(i46) | 0;
    set32(i8 | 0, 29101 | 0);
    set32(i8 + 4 | 0, i46 | 0);
    set32(i8 + 8 | 0, 19075 | 0);
    set32(i8 + 12 | 0, ((i15 | 0) == 0 ? 16820 : i15) | 0);
    set32(i8 + 16 | 0, i56 | 0);
    _sqlite3_log(4106, 19185, i8);
   }
   if ((i67 | 0) <= -1) {
    i62 = i45;
    i63 = i50;
    i64 = i68;
    break L100;
   }
   if (!(FUNCTION_TABLE_ii[get32(1056 | 0) & 127](i67) | 0)) {
    i62 = i45;
    i63 = i50;
    i64 = i68;
    break L100;
   }
   i56 = get32(i47 | 0) | 0;
   i15 = get32(___errno_location() | 0 | 0) | 0;
   i46 = _strerror(i15) | 0;
   set32(i7 | 0, 29102 | 0);
   set32(i7 + 4 | 0, i15 | 0);
   set32(i7 + 8 | 0, 19075 | 0);
   set32(i7 + 12 | 0, ((i56 | 0) == 0 ? 16820 : i56) | 0);
   set32(i7 + 16 | 0, i46 | 0);
   _sqlite3_log(4106, 19185, i7);
   i62 = i45;
   i63 = i50;
   i64 = i68;
   break L100;
  } else {
   i66 = 1256;
   i27 = 97;
  } while (0);
  if ((i27 | 0) == 97) {
   set32(i3 + 20 | 0, 0 | 0);
   i69 = i66;
  }
  set32(i3 | 0, i69 | 0);
  i42 = 0;
  i43 = i50;
  STACKTOP = i6;
  return i42 | 0;
 } while (0);
 i50 = get32(i62 | 0) | 0;
 if (!i50) {
  i42 = i64;
  i43 = i63;
  STACKTOP = i6;
  return i42 | 0;
 }
 if (!(get32(50 * 4 | 0) | 0)) {
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i50);
  i42 = i64;
  i43 = i63;
  STACKTOP = i6;
  return i42 | 0;
 }
 i62 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i50) | 0;
 i69 = (get32(30 * 4 | 0) | 0) - i62 | 0;
 set32(30 * 4 | 0, i69 | 0);
 if ((i69 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i69 | 0);
 i69 = (get32(39 * 4 | 0) | 0) + -1 | 0;
 set32(39 * 4 | 0, i69 | 0);
 if ((i69 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i69 | 0);
 FUNCTION_TABLE_vi[get32(232 | 0) & 31](i50);
 i42 = i64;
 i43 = i63;
 STACKTOP = i6;
 return i42 | 0;
}

function _codeInteger(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i6 = i5 + 8 | 0;
 i7 = i5;
 i8 = i2 + 4 | 0;
 if (get16(i2 + 2 | 0) & 1024) {
  i2 = get32(i8 | 0) | 0;
  i9 = (i3 | 0) == 0 ? i2 : 0 - i2 | 0;
  i2 = i1 + 28 | 0;
  i10 = get32(i2 | 0) | 0;
  i11 = i1 + 32 | 0;
  i12 = get32(i11 | 0) | 0;
  if ((i12 | 0) > (i10 | 0)) {
   i13 = i10;
   i14 = get32(i1 + 4 | 0) | 0;
  } else {
   i15 = i1 + 4 | 0;
   i16 = _sqlite3DbRealloc(get32(i1 | 0) | 0, get32(i15 | 0) | 0, (i12 | 0) == 0 ? 1020 : i12 * 40 | 0) | 0;
   if (!i16) {
    STACKTOP = i5;
    return;
   }
   i12 = get32(i1 | 0) | 0;
   if (((i12 | 0) != 0 ? (get32(i12 + 260 | 0) | 0) >>> 0 <= i16 >>> 0 : 0) ? (get32(i12 + 264 | 0) | 0) >>> 0 > i16 >>> 0 : 0) i17 = getU16(i12 + 232 | 0) | 0; else i17 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i16) | 0;
   set32(i11 | 0, (i17 >>> 0) / 20 | 0 | 0);
   set32(i15 | 0, i16 | 0);
   i13 = get32(i2 | 0) | 0;
   i14 = i16;
  }
  set32(i2 | 0, i13 + 1 | 0);
  set8(i14 + (i10 * 20 | 0) >> 0 | 0, 7 | 0);
  set8(i14 + (i10 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i14 + (i10 * 20 | 0) + 4 | 0, i9 | 0);
  set32(i14 + (i10 * 20 | 0) + 8 | 0, i4 | 0);
  set32(i14 + (i10 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i14 + (i10 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i14 + (i10 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  STACKTOP = i5;
  return;
 }
 i10 = get32(i8 | 0) | 0;
 i8 = (i10 | 0) == 0;
 if (i8) i18 = 0; else {
  i14 = i10;
  while (1) if (!(get8(i14 >> 0 | 0) | 0)) {
   i19 = i14;
   break;
  } else i14 = i14 + 1 | 0;
  i18 = i19 - i10 & 1073741823;
 }
 i19 = _sqlite3Atoi64(i10, i7, i18, 1) | 0;
 if ((i19 | 0) != 0 ? !((i3 | 0) != 0 & (i19 | 0) == 2) : 0) {
  do if (!i8) {
   i18 = i10;
   while (1) if (!(get8(i18 >> 0 | 0) | 0)) {
    i20 = i18;
    break;
   } else i18 = i18 + 1 | 0;
   _sqlite3AtoF(i10, i6, i20 - i10 & 1073741823, 1) | 0;
   if (i3) setF64(i6 | 0, +-+getF64(i6 | 0));
   i18 = get32(i1 | 0) | 0;
   L34 : do if (!i18) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i21 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](8) | 0;
     i22 = 118;
     break;
    }
    i14 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](8) | 0;
    set32(35 * 4 | 0, 8 | 0);
    if ((get32(45 * 4 | 0) | 0) < 8) set32(45 * 4 | 0, 8 | 0);
    i9 = get32(6 * 4 | 0) | 0;
    do if (i9) {
     i13 = get32(30 * 4 | 0) | 0;
     i2 = ((i13 | 0) < 0) << 31 >> 31;
     i16 = 16;
     i15 = _i64Subtract(get32(i16 | 0) | 0, get32(i16 + 4 | 0) | 0, i14 | 0, ((i14 | 0) < 0) << 31 >> 31 | 0) | 0;
     i16 = tempRet0;
     if ((i2 | 0) < (i16 | 0) | (i2 | 0) == (i16 | 0) & i13 >>> 0 < i15 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i15 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i9 & 15](i15, i13, i2, i14);
      set32(6 * 4 | 0, i9 | 0);
      set32(7 * 4 | 0, i15 | 0);
      break;
     }
    } while (0);
    i9 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i14) | 0;
    if (i9) {
     i15 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i9) | 0;
     i2 = (get32(30 * 4 | 0) | 0) + i15 | 0;
     set32(30 * 4 | 0, i2 | 0);
     if ((i2 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i2 | 0);
     i2 = get32(39 * 4 | 0) | 0;
     i15 = i2 + 1 | 0;
     set32(39 * 4 | 0, i15 | 0);
     if ((i2 | 0) < (get32(49 * 4 | 0) | 0)) {
      i23 = i9;
      i22 = 119;
     } else {
      set32(49 * 4 | 0, i15 | 0);
      i23 = i9;
      i22 = 119;
     }
    } else i24 = 0;
   } else {
    i9 = i18 + 30 | 0;
    if (!(get8(i9 >> 0 | 0) | 0)) {
     do if (get8(i18 + 234 >> 0 | 0) | 0) {
      if ((getU16(i18 + 232 | 0) | 0) < 8) {
       i15 = i18 + 248 | 0;
       set32(i15 | 0, (get32(i15 | 0) | 0) + 1 | 0);
       break;
      }
      i15 = i18 + 256 | 0;
      i2 = get32(i15 | 0) | 0;
      if (!i2) {
       i13 = i18 + 252 | 0;
       set32(i13 | 0, (get32(i13 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i15 | 0, get32(i2 | 0) | 0);
      i15 = i18 + 236 | 0;
      i13 = get32(i15 | 0) | 0;
      i16 = i13 + 1 | 0;
      set32(i15 | 0, i16 | 0);
      i15 = i18 + 244 | 0;
      set32(i15 | 0, (get32(i15 | 0) | 0) + 1 | 0);
      i15 = i18 + 240 | 0;
      if ((i13 | 0) >= (get32(i15 | 0) | 0)) set32(i15 | 0, i16 | 0);
      i21 = i2;
      i22 = 118;
      break L34;
     } while (0);
     if (!(get32(50 * 4 | 0) | 0)) {
      i14 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](8) | 0;
      if (i14) {
       i23 = i14;
       i22 = 119;
       break;
      }
     } else {
      i14 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](8) | 0;
      set32(35 * 4 | 0, 8 | 0);
      if ((get32(45 * 4 | 0) | 0) < 8) set32(45 * 4 | 0, 8 | 0);
      i2 = get32(6 * 4 | 0) | 0;
      do if (i2) {
       i16 = get32(30 * 4 | 0) | 0;
       i15 = ((i16 | 0) < 0) << 31 >> 31;
       i13 = 16;
       i17 = _i64Subtract(get32(i13 | 0) | 0, get32(i13 + 4 | 0) | 0, i14 | 0, ((i14 | 0) < 0) << 31 >> 31 | 0) | 0;
       i13 = tempRet0;
       if ((i15 | 0) < (i13 | 0) | (i15 | 0) == (i13 | 0) & i16 >>> 0 < i17 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i17 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i2 & 15](i17, i16, i15, i14);
        set32(6 * 4 | 0, i2 | 0);
        set32(7 * 4 | 0, i17 | 0);
        break;
       }
      } while (0);
      i2 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i14) | 0;
      if (i2) {
       i17 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i2) | 0;
       i15 = (get32(30 * 4 | 0) | 0) + i17 | 0;
       set32(30 * 4 | 0, i15 | 0);
       if ((i15 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i15 | 0);
       i15 = get32(39 * 4 | 0) | 0;
       i17 = i15 + 1 | 0;
       set32(39 * 4 | 0, i17 | 0);
       if ((i15 | 0) < (get32(49 * 4 | 0) | 0)) {
        i23 = i2;
        i22 = 119;
        break;
       }
       set32(49 * 4 | 0, i17 | 0);
       i23 = i2;
       i22 = 119;
       break;
      }
     }
     set8(i9 >> 0 | 0, 1 | 0);
     i24 = 0;
    } else i24 = 0;
   } while (0);
   if ((i22 | 0) == 118) if (!i21) i24 = 0; else {
    i23 = i21;
    i22 = 119;
   }
   if ((i22 | 0) == 119) {
    i18 = i6;
    i2 = get32(i18 | 0) | 0;
    i17 = get32(i18 + 4 | 0) | 0;
    i18 = i23;
    i15 = i18;
    set8(i15 >> 0 | 0, i2 | 0);
    set8(i15 + 1 >> 0 | 0, i2 >> 8 | 0);
    set8(i15 + 2 >> 0 | 0, i2 >> 16 | 0);
    set8(i15 + 3 >> 0 | 0, i2 >> 24 | 0);
    i2 = i18 + 4 | 0;
    set8(i2 >> 0 | 0, i17 | 0);
    set8(i2 + 1 >> 0 | 0, i17 >> 8 | 0);
    set8(i2 + 2 >> 0 | 0, i17 >> 16 | 0);
    set8(i2 + 3 >> 0 | 0, i17 >> 24 | 0);
    i24 = i23;
   }
   i17 = i1 + 28 | 0;
   i2 = get32(i17 | 0) | 0;
   i18 = i1 + 32 | 0;
   i15 = get32(i18 | 0) | 0;
   if ((i15 | 0) <= (i2 | 0)) {
    i16 = i1 + 4 | 0;
    i13 = _sqlite3DbRealloc(get32(i1 | 0) | 0, get32(i16 | 0) | 0, (i15 | 0) == 0 ? 1020 : i15 * 40 | 0) | 0;
    if (!i13) {
     i25 = 1;
     i26 = i16;
    } else {
     i15 = get32(i1 | 0) | 0;
     if (((i15 | 0) != 0 ? (get32(i15 + 260 | 0) | 0) >>> 0 <= i13 >>> 0 : 0) ? (get32(i15 + 264 | 0) | 0) >>> 0 > i13 >>> 0 : 0) i27 = getU16(i15 + 232 | 0) | 0; else i27 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i13) | 0;
     set32(i18 | 0, (i27 >>> 0) / 20 | 0 | 0);
     set32(i16 | 0, i13 | 0);
     i28 = i16;
     i29 = get32(i17 | 0) | 0;
     i30 = i13;
     i22 = 129;
    }
   } else {
    i13 = i1 + 4 | 0;
    i28 = i13;
    i29 = i2;
    i30 = get32(i13 | 0) | 0;
    i22 = 129;
   }
   if ((i22 | 0) == 129) {
    set32(i17 | 0, i29 + 1 | 0);
    set8(i30 + (i2 * 20 | 0) >> 0 | 0, -126 | 0);
    set8(i30 + (i2 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i30 + (i2 * 20 | 0) + 4 | 0, 0 | 0);
    set32(i30 + (i2 * 20 | 0) + 8 | 0, i4 | 0);
    set32(i30 + (i2 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i30 + (i2 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i30 + (i2 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i25 = i2;
    i26 = i28;
   }
   i2 = get32(i1 | 0) | 0;
   i13 = get32(i26 | 0) | 0;
   if ((i13 | 0) != 0 ? (get8(i2 + 30 >> 0 | 0) | 0) == 0 : 0) {
    if ((i25 | 0) < 0) i31 = (get32(i17 | 0) | 0) + -1 | 0; else i31 = i25;
    i17 = i13 + (i31 * 20 | 0) + 1 | 0;
    i16 = i13 + (i31 * 20 | 0) + 16 | 0;
    _freeP4(i2, get8(i17 >> 0 | 0) | 0, get32(i16 | 0) | 0);
    set32(i16 | 0, 0 | 0);
    if (!i24) {
     set32(i16 | 0, 0 | 0);
     set8(i17 >> 0 | 0, 0 | 0);
     break;
    } else {
     set32(i16 | 0, i24 | 0);
     set8(i17 >> 0 | 0, -12 | 0);
     break;
    }
   }
   if (i24) _sqlite3DbFree(i2, i24);
  } while (0);
  STACKTOP = i5;
  return;
 }
 if (i3) {
  i3 = (i19 | 0) == 2;
  i19 = i7;
  i24 = _i64Subtract(0, 0, get32(i19 | 0) | 0, get32(i19 + 4 | 0) | 0) | 0;
  i19 = i7;
  set32(i19 | 0, (i3 ? 0 : i24) | 0);
  set32(i19 + 4 | 0, (i3 ? -2147483648 : tempRet0) | 0);
 }
 i3 = get32(i1 | 0) | 0;
 L121 : do if (!i3) {
  if (!(get32(50 * 4 | 0) | 0)) {
   i32 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](8) | 0;
   i22 = 56;
   break;
  }
  i19 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](8) | 0;
  set32(35 * 4 | 0, 8 | 0);
  if ((get32(45 * 4 | 0) | 0) < 8) set32(45 * 4 | 0, 8 | 0);
  i24 = get32(6 * 4 | 0) | 0;
  do if (i24) {
   i31 = get32(30 * 4 | 0) | 0;
   i25 = ((i31 | 0) < 0) << 31 >> 31;
   i26 = 16;
   i28 = _i64Subtract(get32(i26 | 0) | 0, get32(i26 + 4 | 0) | 0, i19 | 0, ((i19 | 0) < 0) << 31 >> 31 | 0) | 0;
   i26 = tempRet0;
   if ((i25 | 0) < (i26 | 0) | (i25 | 0) == (i26 | 0) & i31 >>> 0 < i28 >>> 0) {
    set32(11 * 4 | 0, 0 | 0);
    break;
   } else {
    set32(11 * 4 | 0, 1 | 0);
    i28 = get32(7 * 4 | 0) | 0;
    set32(6 * 4 | 0, 0 | 0);
    FUNCTION_TABLE_viiii[i24 & 15](i28, i31, i25, i19);
    set32(6 * 4 | 0, i24 | 0);
    set32(7 * 4 | 0, i28 | 0);
    break;
   }
  } while (0);
  i24 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i19) | 0;
  if (i24) {
   i28 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i24) | 0;
   i25 = (get32(30 * 4 | 0) | 0) + i28 | 0;
   set32(30 * 4 | 0, i25 | 0);
   if ((i25 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i25 | 0);
   i25 = get32(39 * 4 | 0) | 0;
   i28 = i25 + 1 | 0;
   set32(39 * 4 | 0, i28 | 0);
   if ((i25 | 0) < (get32(49 * 4 | 0) | 0)) {
    i33 = i24;
    i22 = 57;
   } else {
    set32(49 * 4 | 0, i28 | 0);
    i33 = i24;
    i22 = 57;
   }
  } else i34 = 0;
 } else {
  i24 = i3 + 30 | 0;
  if (!(get8(i24 >> 0 | 0) | 0)) {
   do if (get8(i3 + 234 >> 0 | 0) | 0) {
    if ((getU16(i3 + 232 | 0) | 0) < 8) {
     i28 = i3 + 248 | 0;
     set32(i28 | 0, (get32(i28 | 0) | 0) + 1 | 0);
     break;
    }
    i28 = i3 + 256 | 0;
    i25 = get32(i28 | 0) | 0;
    if (!i25) {
     i31 = i3 + 252 | 0;
     set32(i31 | 0, (get32(i31 | 0) | 0) + 1 | 0);
     break;
    }
    set32(i28 | 0, get32(i25 | 0) | 0);
    i28 = i3 + 236 | 0;
    i31 = get32(i28 | 0) | 0;
    i26 = i31 + 1 | 0;
    set32(i28 | 0, i26 | 0);
    i28 = i3 + 244 | 0;
    set32(i28 | 0, (get32(i28 | 0) | 0) + 1 | 0);
    i28 = i3 + 240 | 0;
    if ((i31 | 0) >= (get32(i28 | 0) | 0)) set32(i28 | 0, i26 | 0);
    i32 = i25;
    i22 = 56;
    break L121;
   } while (0);
   if (!(get32(50 * 4 | 0) | 0)) {
    i19 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](8) | 0;
    if (i19) {
     i33 = i19;
     i22 = 57;
     break;
    }
   } else {
    i19 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](8) | 0;
    set32(35 * 4 | 0, 8 | 0);
    if ((get32(45 * 4 | 0) | 0) < 8) set32(45 * 4 | 0, 8 | 0);
    i25 = get32(6 * 4 | 0) | 0;
    do if (i25) {
     i26 = get32(30 * 4 | 0) | 0;
     i28 = ((i26 | 0) < 0) << 31 >> 31;
     i31 = 16;
     i30 = _i64Subtract(get32(i31 | 0) | 0, get32(i31 + 4 | 0) | 0, i19 | 0, ((i19 | 0) < 0) << 31 >> 31 | 0) | 0;
     i31 = tempRet0;
     if ((i28 | 0) < (i31 | 0) | (i28 | 0) == (i31 | 0) & i26 >>> 0 < i30 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i30 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i25 & 15](i30, i26, i28, i19);
      set32(6 * 4 | 0, i25 | 0);
      set32(7 * 4 | 0, i30 | 0);
      break;
     }
    } while (0);
    i25 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i19) | 0;
    if (i25) {
     i30 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i25) | 0;
     i28 = (get32(30 * 4 | 0) | 0) + i30 | 0;
     set32(30 * 4 | 0, i28 | 0);
     if ((i28 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i28 | 0);
     i28 = get32(39 * 4 | 0) | 0;
     i30 = i28 + 1 | 0;
     set32(39 * 4 | 0, i30 | 0);
     if ((i28 | 0) < (get32(49 * 4 | 0) | 0)) {
      i33 = i25;
      i22 = 57;
      break;
     }
     set32(49 * 4 | 0, i30 | 0);
     i33 = i25;
     i22 = 57;
     break;
    }
   }
   set8(i24 >> 0 | 0, 1 | 0);
   i34 = 0;
  } else i34 = 0;
 } while (0);
 if ((i22 | 0) == 56) if (!i32) i34 = 0; else {
  i33 = i32;
  i22 = 57;
 }
 if ((i22 | 0) == 57) {
  i32 = i7;
  i7 = get32(i32 | 0) | 0;
  i3 = get32(i32 + 4 | 0) | 0;
  i32 = i33;
  i25 = i32;
  set8(i25 >> 0 | 0, i7 | 0);
  set8(i25 + 1 >> 0 | 0, i7 >> 8 | 0);
  set8(i25 + 2 >> 0 | 0, i7 >> 16 | 0);
  set8(i25 + 3 >> 0 | 0, i7 >> 24 | 0);
  i7 = i32 + 4 | 0;
  set8(i7 >> 0 | 0, i3 | 0);
  set8(i7 + 1 >> 0 | 0, i3 >> 8 | 0);
  set8(i7 + 2 >> 0 | 0, i3 >> 16 | 0);
  set8(i7 + 3 >> 0 | 0, i3 >> 24 | 0);
  i34 = i33;
 }
 i33 = i1 + 28 | 0;
 i3 = get32(i33 | 0) | 0;
 i7 = i1 + 32 | 0;
 i32 = get32(i7 | 0) | 0;
 if ((i32 | 0) <= (i3 | 0)) {
  i25 = i1 + 4 | 0;
  i30 = _sqlite3DbRealloc(get32(i1 | 0) | 0, get32(i25 | 0) | 0, (i32 | 0) == 0 ? 1020 : i32 * 40 | 0) | 0;
  if (!i30) {
   i35 = 1;
   i36 = i25;
  } else {
   i32 = get32(i1 | 0) | 0;
   if (((i32 | 0) != 0 ? (get32(i32 + 260 | 0) | 0) >>> 0 <= i30 >>> 0 : 0) ? (get32(i32 + 264 | 0) | 0) >>> 0 > i30 >>> 0 : 0) i37 = getU16(i32 + 232 | 0) | 0; else i37 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i30) | 0;
   set32(i7 | 0, (i37 >>> 0) / 20 | 0 | 0);
   set32(i25 | 0, i30 | 0);
   i38 = i25;
   i39 = get32(i33 | 0) | 0;
   i40 = i30;
   i22 = 67;
  }
 } else {
  i30 = i1 + 4 | 0;
  i38 = i30;
  i39 = i3;
  i40 = get32(i30 | 0) | 0;
  i22 = 67;
 }
 if ((i22 | 0) == 67) {
  set32(i33 | 0, i39 + 1 | 0);
  set8(i40 + (i3 * 20 | 0) >> 0 | 0, 8 | 0);
  set8(i40 + (i3 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i40 + (i3 * 20 | 0) + 4 | 0, 0 | 0);
  set32(i40 + (i3 * 20 | 0) + 8 | 0, i4 | 0);
  set32(i40 + (i3 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i40 + (i3 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i40 + (i3 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i35 = i3;
  i36 = i38;
 }
 i38 = get32(i1 | 0) | 0;
 i1 = get32(i36 | 0) | 0;
 if ((i1 | 0) != 0 ? (get8(i38 + 30 >> 0 | 0) | 0) == 0 : 0) {
  if ((i35 | 0) < 0) i41 = (get32(i33 | 0) | 0) + -1 | 0; else i41 = i35;
  i35 = i1 + (i41 * 20 | 0) + 1 | 0;
  i33 = i1 + (i41 * 20 | 0) + 16 | 0;
  _freeP4(i38, get8(i35 >> 0 | 0) | 0, get32(i33 | 0) | 0);
  set32(i33 | 0, 0 | 0);
  if (!i34) {
   set32(i33 | 0, 0 | 0);
   set8(i35 >> 0 | 0, 0 | 0);
   STACKTOP = i5;
   return;
  } else {
   set32(i33 | 0, i34 | 0);
   set8(i35 >> 0 | 0, -13 | 0);
   STACKTOP = i5;
   return;
  }
 }
 if (!i34) {
  STACKTOP = i5;
  return;
 }
 _sqlite3DbFree(i38, i34);
 STACKTOP = i5;
 return;
}

function _sqlite3SrcListAppend(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0;
 if (!i2) {
  L3 : do if (!i1) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i5 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](64) | 0;
    i6 = 39;
    break;
   }
   i7 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](64) | 0;
   set32(35 * 4 | 0, 64 | 0);
   if ((get32(45 * 4 | 0) | 0) < 64) set32(45 * 4 | 0, 64 | 0);
   i8 = get32(6 * 4 | 0) | 0;
   do if (i8) {
    i9 = get32(30 * 4 | 0) | 0;
    i10 = ((i9 | 0) < 0) << 31 >> 31;
    i11 = 16;
    i12 = _i64Subtract(get32(i11 | 0) | 0, get32(i11 + 4 | 0) | 0, i7 | 0, ((i7 | 0) < 0) << 31 >> 31 | 0) | 0;
    i11 = tempRet0;
    if ((i10 | 0) < (i11 | 0) | (i10 | 0) == (i11 | 0) & i9 >>> 0 < i12 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i12 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i8 & 15](i12, i9, i10, i7);
     set32(6 * 4 | 0, i8 | 0);
     set32(7 * 4 | 0, i12 | 0);
     break;
    }
   } while (0);
   i8 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i7) | 0;
   if (!i8) {
    i13 = 0;
    return i13 | 0;
   }
   i12 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i8) | 0;
   i10 = (get32(30 * 4 | 0) | 0) + i12 | 0;
   set32(30 * 4 | 0, i10 | 0);
   if ((i10 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i10 | 0);
   i10 = get32(39 * 4 | 0) | 0;
   i12 = i10 + 1 | 0;
   set32(39 * 4 | 0, i12 | 0);
   if ((i10 | 0) < (get32(49 * 4 | 0) | 0)) i14 = i8; else {
    set32(49 * 4 | 0, i12 | 0);
    i14 = i8;
   }
  } else {
   i8 = i1 + 30 | 0;
   if (get8(i8 >> 0 | 0) | 0) {
    i13 = 0;
    return i13 | 0;
   }
   do if (get8(i1 + 234 >> 0 | 0) | 0) {
    if ((getU16(i1 + 232 | 0) | 0) < 64) {
     i12 = i1 + 248 | 0;
     set32(i12 | 0, (get32(i12 | 0) | 0) + 1 | 0);
     break;
    }
    i12 = i1 + 256 | 0;
    i10 = get32(i12 | 0) | 0;
    if (!i10) {
     i9 = i1 + 252 | 0;
     set32(i9 | 0, (get32(i9 | 0) | 0) + 1 | 0);
     break;
    }
    set32(i12 | 0, get32(i10 | 0) | 0);
    i12 = i1 + 236 | 0;
    i9 = get32(i12 | 0) | 0;
    i11 = i9 + 1 | 0;
    set32(i12 | 0, i11 | 0);
    i12 = i1 + 244 | 0;
    set32(i12 | 0, (get32(i12 | 0) | 0) + 1 | 0);
    i12 = i1 + 240 | 0;
    if ((i9 | 0) >= (get32(i12 | 0) | 0)) set32(i12 | 0, i11 | 0);
    i5 = i10;
    i6 = 39;
    break L3;
   } while (0);
   if (!(get32(50 * 4 | 0) | 0)) {
    i7 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](64) | 0;
    if (i7) {
     i14 = i7;
     break;
    }
   } else {
    i7 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](64) | 0;
    set32(35 * 4 | 0, 64 | 0);
    if ((get32(45 * 4 | 0) | 0) < 64) set32(45 * 4 | 0, 64 | 0);
    i10 = get32(6 * 4 | 0) | 0;
    do if (i10) {
     i11 = get32(30 * 4 | 0) | 0;
     i12 = ((i11 | 0) < 0) << 31 >> 31;
     i9 = 16;
     i15 = _i64Subtract(get32(i9 | 0) | 0, get32(i9 + 4 | 0) | 0, i7 | 0, ((i7 | 0) < 0) << 31 >> 31 | 0) | 0;
     i9 = tempRet0;
     if ((i12 | 0) < (i9 | 0) | (i12 | 0) == (i9 | 0) & i11 >>> 0 < i15 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i15 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i10 & 15](i15, i11, i12, i7);
      set32(6 * 4 | 0, i10 | 0);
      set32(7 * 4 | 0, i15 | 0);
      break;
     }
    } while (0);
    i10 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i7) | 0;
    if (i10) {
     i15 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i10) | 0;
     i12 = (get32(30 * 4 | 0) | 0) + i15 | 0;
     set32(30 * 4 | 0, i12 | 0);
     if ((i12 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i12 | 0);
     i12 = get32(39 * 4 | 0) | 0;
     i15 = i12 + 1 | 0;
     set32(39 * 4 | 0, i15 | 0);
     if ((i12 | 0) < (get32(49 * 4 | 0) | 0)) {
      i14 = i10;
      break;
     }
     set32(49 * 4 | 0, i15 | 0);
     i14 = i10;
     break;
    }
   }
   set8(i8 >> 0 | 0, 1 | 0);
   i13 = 0;
   return i13 | 0;
  } while (0);
  if ((i6 | 0) == 39) if (!i5) {
   i13 = 0;
   return i13 | 0;
  } else i14 = i5;
  i16 = i14;
  i17 = i16 + 64 | 0;
  do {
   set8(i16 >> 0 | 0, 0 | 0);
   i16 = i16 + 1 | 0;
  } while ((i16 | 0) < (i17 | 0));
  set16(i14 + 2 | 0, 1 | 0);
  i18 = i14;
 } else i18 = i2;
 i2 = get16(i18 | 0) | 0;
 i14 = i2 << 16 >> 16;
 if (i2 << 16 >> 16 >= (get16(i18 + 2 | 0) | 0)) {
  i5 = _sqlite3DbRealloc(i1, i18, (i14 * 56 | 0) + 64 | 0) | 0;
  if (i5) {
   if (((i1 | 0) != 0 ? (get32(i1 + 260 | 0) | 0) >>> 0 <= i5 >>> 0 : 0) ? (get32(i1 + 264 | 0) | 0) >>> 0 > i5 >>> 0 : 0) i19 = getU16(i1 + 232 | 0) | 0; else i19 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i5) | 0;
   set16(i5 + 2 | 0, (((i19 + -64 | 0) >>> 0) / 56 | 0) + 1 | 0);
   i19 = get16(i5 | 0) | 0;
   if (i19 << 16 >> 16 > i2 << 16 >> 16) {
    i10 = i19 << 16 >> 16;
    do {
     i16 = i5 + 8 + (i10 * 56 | 0) | 0;
     i10 = i10 + -1 | 0;
     i15 = i5 + 8 + (i10 * 56 | 0) | 0;
     i17 = i16 + 56 | 0;
     do {
      set32(i16 | 0, get32(i15 | 0) | 0);
      i16 = i16 + 4 | 0;
      i15 = i15 + 4 | 0;
     } while ((i16 | 0) < (i17 | 0));
    } while ((i10 | 0) > (i14 | 0));
    i20 = i5;
    i21 = get16(i5 | 0) | 0;
    i22 = i5;
    i6 = 53;
   } else {
    i20 = i5;
    i21 = i19;
    i22 = i5;
    i6 = 53;
   }
  } else i23 = i18;
 } else {
  i20 = i18;
  i21 = i2;
  i22 = i18;
  i6 = 53;
 }
 if ((i6 | 0) == 53) {
  set16(i22 | 0, (i21 & 65535) + 1 | 0);
  i16 = i20 + 8 + (i14 * 56 | 0) | 0;
  i17 = i16 + 56 | 0;
  do {
   set32(i16 | 0, 0 | 0);
   i16 = i16 + 4 | 0;
  } while ((i16 | 0) < (i17 | 0));
  set32(i20 + 8 + (i14 * 56 | 0) + 24 | 0, -1 | 0);
  i23 = i20;
 }
 i20 = i1 + 30 | 0;
 if (get8(i20 >> 0 | 0) | 0) {
  _sqlite3SrcListDelete(i1, i23);
  i13 = 0;
  return i13 | 0;
 }
 i14 = (get16(i23 | 0) | 0) + -1 | 0;
 if (!i4) i24 = 0; else i24 = (get32(i4 | 0) | 0) == 0 ? 0 : i4;
 i4 = (i24 | 0) == 0;
 i16 = i4 ? i3 : i24;
 i24 = i4 ? 0 : i3;
 L89 : do if ((i16 | 0) != 0 ? (i3 = get32(i16 | 0) | 0, i4 = get32(i16 + 4 | 0) | 0, (i3 | 0) != 0) : 0) {
  i17 = i4 + 1 | 0;
  do if (!(get8(i1 + 234 >> 0 | 0) | 0)) i6 = 67; else {
   if ((getU16(i1 + 232 | 0) | 0) < (i17 | 0)) {
    i21 = i1 + 248 | 0;
    set32(i21 | 0, (get32(i21 | 0) | 0) + 1 | 0);
    i6 = 67;
    break;
   }
   i21 = i1 + 256 | 0;
   i22 = get32(i21 | 0) | 0;
   if (!i22) {
    i18 = i1 + 252 | 0;
    set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
    i6 = 67;
    break;
   }
   set32(i21 | 0, get32(i22 | 0) | 0);
   i21 = i1 + 236 | 0;
   i18 = get32(i21 | 0) | 0;
   i2 = i18 + 1 | 0;
   set32(i21 | 0, i2 | 0);
   i21 = i1 + 244 | 0;
   set32(i21 | 0, (get32(i21 | 0) | 0) + 1 | 0);
   i21 = i1 + 240 | 0;
   if ((i18 | 0) >= (get32(i21 | 0) | 0)) set32(i21 | 0, i2 | 0);
   i25 = i22;
  } while (0);
  L103 : do if ((i6 | 0) == 67) {
   do if (i4 >>> 0 <= 2147483390) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i22 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i17) | 0;
     if (!i22) break; else {
      i25 = i22;
      break L103;
     }
    }
    i22 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i17) | 0;
    set32(35 * 4 | 0, i17 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i17 | 0)) set32(45 * 4 | 0, i17 | 0);
    i2 = get32(6 * 4 | 0) | 0;
    do if (i2) {
     i21 = get32(30 * 4 | 0) | 0;
     i18 = ((i21 | 0) < 0) << 31 >> 31;
     i5 = 16;
     i19 = _i64Subtract(get32(i5 | 0) | 0, get32(i5 + 4 | 0) | 0, i22 | 0, ((i22 | 0) < 0) << 31 >> 31 | 0) | 0;
     i5 = tempRet0;
     if ((i18 | 0) < (i5 | 0) | (i18 | 0) == (i5 | 0) & i21 >>> 0 < i19 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i19 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i2 & 15](i19, i21, i18, i22);
      set32(6 * 4 | 0, i2 | 0);
      set32(7 * 4 | 0, i19 | 0);
      break;
     }
    } while (0);
    i2 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i22) | 0;
    if (i2) {
     i19 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i2) | 0;
     i18 = (get32(30 * 4 | 0) | 0) + i19 | 0;
     set32(30 * 4 | 0, i18 | 0);
     if ((i18 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i18 | 0);
     i18 = get32(39 * 4 | 0) | 0;
     i19 = i18 + 1 | 0;
     set32(39 * 4 | 0, i19 | 0);
     if ((i18 | 0) < (get32(49 * 4 | 0) | 0)) {
      i25 = i2;
      break L103;
     }
     set32(49 * 4 | 0, i19 | 0);
     i25 = i2;
     break L103;
    }
   } while (0);
   set8(i20 >> 0 | 0, 1 | 0);
   i26 = 0;
   break L89;
  } while (0);
  _memcpy(i25 | 0, i3 | 0, i4 | 0) | 0;
  set8(i25 + i4 >> 0 | 0, 0 | 0);
  i17 = get8(i25 >> 0 | 0) | 0;
  switch (i17 << 24 >> 24 | 0) {
  case 96:
  case 34:
  case 39:
   {
    i27 = i17;
    break;
   }
  case 91:
   {
    i27 = 93;
    break;
   }
  default:
   {
    i26 = i25;
    break L89;
   }
  }
  i17 = get8(i25 + 1 >> 0 | 0) | 0;
  L129 : do if (!(i17 << 24 >> 24)) i28 = 0; else {
   i2 = i17;
   i19 = 1;
   i18 = 0;
   while (1) {
    if (i2 << 24 >> 24 == i27 << 24 >> 24) {
     i21 = i19 + 1 | 0;
     if ((get8(i25 + i21 >> 0 | 0) | 0) != i27 << 24 >> 24) {
      i28 = i18;
      break L129;
     }
     set8(i25 + i18 >> 0 | 0, i27 | 0);
     i29 = i21;
    } else {
     set8(i25 + i18 >> 0 | 0, i2 | 0);
     i29 = i19;
    }
    i21 = i18 + 1 | 0;
    i19 = i29 + 1 | 0;
    i2 = get8(i25 + i19 >> 0 | 0) | 0;
    if (!(i2 << 24 >> 24)) {
     i28 = i21;
     break;
    } else i18 = i21;
   }
  } while (0);
  set8(i25 + i28 >> 0 | 0, 0 | 0);
  i26 = i25;
 } else i26 = 0; while (0);
 set32(i23 + 8 + (i14 * 56 | 0) + 4 | 0, i26 | 0);
 L139 : do if ((i24 | 0) != 0 ? (i26 = get32(i24 | 0) | 0, i25 = get32(i24 + 4 | 0) | 0, (i26 | 0) != 0) : 0) {
  i28 = i25 + 1 | 0;
  L142 : do if (!i1) {
   if (i25 >>> 0 > 2147483390) {
    i30 = 0;
    break L139;
   }
   if (!(get32(50 * 4 | 0) | 0)) {
    i31 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i28) | 0;
    i6 = 133;
    break;
   }
   i29 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i28) | 0;
   set32(35 * 4 | 0, i28 | 0);
   if ((get32(45 * 4 | 0) | 0) < (i28 | 0)) set32(45 * 4 | 0, i28 | 0);
   i27 = get32(6 * 4 | 0) | 0;
   do if (i27) {
    i16 = get32(30 * 4 | 0) | 0;
    i17 = ((i16 | 0) < 0) << 31 >> 31;
    i4 = 16;
    i3 = _i64Subtract(get32(i4 | 0) | 0, get32(i4 + 4 | 0) | 0, i29 | 0, ((i29 | 0) < 0) << 31 >> 31 | 0) | 0;
    i4 = tempRet0;
    if ((i17 | 0) < (i4 | 0) | (i17 | 0) == (i4 | 0) & i16 >>> 0 < i3 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i3 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i27 & 15](i3, i16, i17, i29);
     set32(6 * 4 | 0, i27 | 0);
     set32(7 * 4 | 0, i3 | 0);
     break;
    }
   } while (0);
   i27 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i29) | 0;
   if (!i27) {
    i30 = 0;
    break L139;
   }
   i3 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i27) | 0;
   i17 = (get32(30 * 4 | 0) | 0) + i3 | 0;
   set32(30 * 4 | 0, i17 | 0);
   if ((i17 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i17 | 0);
   i17 = get32(39 * 4 | 0) | 0;
   i3 = i17 + 1 | 0;
   set32(39 * 4 | 0, i3 | 0);
   if ((i17 | 0) < (get32(49 * 4 | 0) | 0)) i32 = i27; else {
    set32(49 * 4 | 0, i3 | 0);
    i32 = i27;
   }
  } else {
   if (get8(i20 >> 0 | 0) | 0) {
    i30 = 0;
    break L139;
   }
   do if (get8(i1 + 234 >> 0 | 0) | 0) {
    if ((getU16(i1 + 232 | 0) | 0) < (i28 | 0)) {
     i27 = i1 + 248 | 0;
     set32(i27 | 0, (get32(i27 | 0) | 0) + 1 | 0);
     break;
    }
    i27 = i1 + 256 | 0;
    i3 = get32(i27 | 0) | 0;
    if (!i3) {
     i17 = i1 + 252 | 0;
     set32(i17 | 0, (get32(i17 | 0) | 0) + 1 | 0);
     break;
    }
    set32(i27 | 0, get32(i3 | 0) | 0);
    i27 = i1 + 236 | 0;
    i17 = get32(i27 | 0) | 0;
    i16 = i17 + 1 | 0;
    set32(i27 | 0, i16 | 0);
    i27 = i1 + 244 | 0;
    set32(i27 | 0, (get32(i27 | 0) | 0) + 1 | 0);
    i27 = i1 + 240 | 0;
    if ((i17 | 0) >= (get32(i27 | 0) | 0)) set32(i27 | 0, i16 | 0);
    i31 = i3;
    i6 = 133;
    break L142;
   } while (0);
   do if (i25 >>> 0 <= 2147483390) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i29 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i28) | 0;
     if (!i29) break; else {
      i32 = i29;
      break L142;
     }
    }
    i29 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i28) | 0;
    set32(35 * 4 | 0, i28 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i28 | 0)) set32(45 * 4 | 0, i28 | 0);
    i3 = get32(6 * 4 | 0) | 0;
    do if (i3) {
     i16 = get32(30 * 4 | 0) | 0;
     i27 = ((i16 | 0) < 0) << 31 >> 31;
     i17 = 16;
     i4 = _i64Subtract(get32(i17 | 0) | 0, get32(i17 + 4 | 0) | 0, i29 | 0, ((i29 | 0) < 0) << 31 >> 31 | 0) | 0;
     i17 = tempRet0;
     if ((i27 | 0) < (i17 | 0) | (i27 | 0) == (i17 | 0) & i16 >>> 0 < i4 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i4 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i3 & 15](i4, i16, i27, i29);
      set32(6 * 4 | 0, i3 | 0);
      set32(7 * 4 | 0, i4 | 0);
      break;
     }
    } while (0);
    i3 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i29) | 0;
    if (i3) {
     i22 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i3) | 0;
     i4 = (get32(30 * 4 | 0) | 0) + i22 | 0;
     set32(30 * 4 | 0, i4 | 0);
     if ((i4 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i4 | 0);
     i4 = get32(39 * 4 | 0) | 0;
     i22 = i4 + 1 | 0;
     set32(39 * 4 | 0, i22 | 0);
     if ((i4 | 0) < (get32(49 * 4 | 0) | 0)) {
      i32 = i3;
      break L142;
     }
     set32(49 * 4 | 0, i22 | 0);
     i32 = i3;
     break L142;
    }
   } while (0);
   set8(i20 >> 0 | 0, 1 | 0);
   i30 = 0;
   break L139;
  } while (0);
  if ((i6 | 0) == 133) if (!i31) {
   i30 = 0;
   break;
  } else i32 = i31;
  _memcpy(i32 | 0, i26 | 0, i25 | 0) | 0;
  set8(i32 + i25 >> 0 | 0, 0 | 0);
  i28 = get8(i32 >> 0 | 0) | 0;
  switch (i28 << 24 >> 24 | 0) {
  case 96:
  case 34:
  case 39:
   {
    i33 = i28;
    break;
   }
  case 91:
   {
    i33 = 93;
    break;
   }
  default:
   {
    i30 = i32;
    break L139;
   }
  }
  i28 = get8(i32 + 1 >> 0 | 0) | 0;
  L202 : do if (!(i28 << 24 >> 24)) i34 = 0; else {
   i3 = i28;
   i22 = 1;
   i4 = 0;
   while (1) {
    if (i3 << 24 >> 24 == i33 << 24 >> 24) {
     i27 = i22 + 1 | 0;
     if ((get8(i32 + i27 >> 0 | 0) | 0) != i33 << 24 >> 24) {
      i34 = i4;
      break L202;
     }
     set8(i32 + i4 >> 0 | 0, i33 | 0);
     i35 = i27;
    } else {
     set8(i32 + i4 >> 0 | 0, i3 | 0);
     i35 = i22;
    }
    i27 = i4 + 1 | 0;
    i22 = i35 + 1 | 0;
    i3 = get8(i32 + i22 >> 0 | 0) | 0;
    if (!(i3 << 24 >> 24)) {
     i34 = i27;
     break;
    } else i4 = i27;
   }
  } while (0);
  set8(i32 + i34 >> 0 | 0, 0 | 0);
  i30 = i32;
 } else i30 = 0; while (0);
 set32(i23 + 8 + (i14 * 56 | 0) | 0, i30 | 0);
 i13 = i23;
 return i13 | 0;
}

function _sqlite3PagerSharedLock(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 64 | 0;
 i3 = i2 + 8 | 0;
 i4 = i2;
 i5 = i2 + 32 | 0;
 i6 = i2 + 20 | 0;
 i7 = i2 + 16 | 0;
 i8 = i2 + 36 | 0;
 i9 = i2 + 28 | 0;
 i10 = i2 + 24 | 0;
 i11 = i2 + 40 | 0;
 if ((get8(i1 + 14 >> 0 | 0) | 0) != 0 ? (i12 = get32(i1 + 40 | 0) | 0, (i12 | 0) != 0) : 0) {
  i13 = i12;
  STACKTOP = i2;
  return i13 | 0;
 }
 i12 = i1 + 172 | 0;
 i14 = get32(i12 | 0) | 0;
 L5 : do if (!i14) {
  i15 = i1 + 15 | 0;
  if (!(get8(i15 >> 0 | 0) | 0)) {
   i16 = i1 + 16 | 0;
   L8 : do if (!(get8(i1 + 7 >> 0 | 0) | 0)) {
    i17 = i1 + 60 | 0;
    i18 = i1 + 152 | 0;
    i19 = i1 + 156 | 0;
    L10 : while (1) {
     i20 = get8(i16 >> 0 | 0) | 0;
     switch (i20 << 24 >> 24) {
     case 0:
     case 5:
      break;
     default:
      {
       i21 = i20;
       i22 = 13;
       break L8;
      }
     }
     i20 = get32(i17 | 0) | 0;
     i23 = FUNCTION_TABLE_iii[get32((get32(i20 | 0) | 0) + 28 | 0) & 127](i20, 1) | 0;
     switch (i23 | 0) {
     case 0:
      {
       break L10;
       break;
      }
     case 5:
      break;
     default:
      {
       i24 = i23;
       i22 = 146;
       break L5;
      }
     }
     if (!(FUNCTION_TABLE_ii[get32(i18 | 0) & 127](get32(i19 | 0) | 0) | 0)) {
      i25 = 5;
      break L5;
     }
    }
    if ((get8(i16 >> 0 | 0) | 0) == 5) i22 = 52; else {
     set8(i16 >> 0 | 0, 1 | 0);
     i22 = 14;
    }
   } else {
    i21 = get8(i16 >> 0 | 0) | 0;
    i22 = 13;
   } while (0);
   if ((i22 | 0) == 13) if ((i21 & 255) < 2) i22 = 14; else {
    i26 = i21;
    i22 = 51;
   }
   if ((i22 | 0) == 14) {
    i19 = get32(i1 | 0) | 0;
    set32(i5 | 0, 1 | 0);
    i18 = i1 + 64 | 0;
    i17 = (get32(get32(i18 | 0) | 0) | 0) != 0;
    if (i17) {
     i27 = 1;
     i28 = 0;
    } else {
     i23 = FUNCTION_TABLE_iiiii[get32(i19 + 32 | 0) & 31](i19, get32(i1 + 148 | 0) | 0, 0, i5) | 0;
     i27 = get32(i5 | 0) | 0;
     i28 = i23;
    }
    L24 : do if ((i27 | 0) != 0 & (i28 | 0) == 0) {
     set32(i6 | 0, 0 | 0);
     i23 = i1 + 60 | 0;
     i20 = get32(i23 | 0) | 0;
     i29 = FUNCTION_TABLE_iii[get32((get32(i20 | 0) | 0) + 36 | 0) & 127](i20, i6) | 0;
     if (!(get32(i6 | 0) | i29)) {
      i20 = get32(i12 | 0) | 0;
      if (((i20 | 0) != 0 ? (get16(i20 + 36 | 0) | 0) > -1 : 0) ? (i30 = get32(i20 + 64 | 0) | 0, (i30 | 0) != 0) : 0) i31 = i30; else {
       i30 = i4;
       set32(i30 | 0, 0 | 0);
       set32(i30 + 4 | 0, 0 | 0);
       i30 = get32(i23 | 0) | 0;
       i20 = get32(i30 | 0) | 0;
       do if (i20) {
        i32 = FUNCTION_TABLE_iii[get32(i20 + 24 | 0) & 127](i30, i4) | 0;
        if (!i32) {
         i33 = i4;
         i34 = get32(i33 | 0) | 0;
         i35 = get32(i33 + 4 | 0) | 0;
         break;
        } else {
         i36 = 0;
         i37 = i32;
         break L24;
        }
       } else {
        i34 = 0;
        i35 = 0;
       } while (0);
       i30 = get32(i1 + 128 | 0) | 0;
       i20 = ___divdi3(i34 | 0, i35 | 0, i30 | 0, ((i30 | 0) < 0) << 31 >> 31 | 0) | 0;
       i31 = ((i35 | 0) > 0 | (i35 | 0) == 0 & i34 >>> 0 > 0) & (i20 | 0) == 0 ? 1 : i20;
      }
      i20 = i1 + 132 | 0;
      if (i31 >>> 0 > (get32(i20 | 0) | 0) >>> 0) set32(i20 | 0, i31 | 0);
      if (i31) {
       L44 : do if (!i17) {
        set32(i7 | 0, 2049 | 0);
        i20 = FUNCTION_TABLE_iiiiii[get32(i19 + 24 | 0) & 31](i19, get32(i1 + 148 | 0) | 0, get32(i18 | 0) | 0, 2049, i7) | 0;
        switch (i20 | 0) {
        case 0:
         {
          break L44;
          break;
         }
        case 14:
         break;
        default:
         {
          i36 = 0;
          i37 = i20;
          break L24;
         }
        }
        i36 = 1;
        i37 = 0;
        break L24;
       } while (0);
       set8(i8 >> 0 | 0, 0 | 0);
       i20 = get32(i18 | 0) | 0;
       i30 = FUNCTION_TABLE_iiiiii[get32((get32(i20 | 0) | 0) + 8 | 0) & 31](i20, i8, 1, 0, 0) | 0;
       i20 = (i30 | 0) == 522 ? 0 : i30;
       if (!i17 ? (i30 = get32(i18 | 0) | 0, i32 = get32(i30 | 0) | 0, (i32 | 0) != 0) : 0) {
        FUNCTION_TABLE_ii[get32(i32 + 4 | 0) & 127](i30) | 0;
        set32(i30 | 0, 0 | 0);
       }
       i36 = (get8(i8 >> 0 | 0) | 0) != 0 & 1;
       i37 = i20;
       break;
      }
      i20 = get32(366 * 4 | 0) | 0;
      if (i20) FUNCTION_TABLE_v[i20 & 1]();
      switch (get8(i16 >> 0 | 0) | 0) {
      case 0:
      case 1:
      case 5:
       {
        i20 = get32(i23 | 0) | 0;
        if (!(FUNCTION_TABLE_iii[get32((get32(i20 | 0) | 0) + 28 | 0) & 127](i20, 2) | 0)) if ((get8(i16 >> 0 | 0) | 0) == 5) i22 = 35; else {
         set8(i16 >> 0 | 0, 2 | 0);
         i22 = 35;
        }
        break;
       }
      default:
       i22 = 35;
      }
      if ((((i22 | 0) == 35 ? (FUNCTION_TABLE_iiii[get32(i19 + 28 | 0) & 63](i19, get32(i1 + 148 | 0) | 0, 0) | 0, (get8(i1 + 4 >> 0 | 0) | 0) == 0) : 0) ? (i20 = get32(i23 | 0) | 0, i30 = get32(i20 | 0) | 0, (i30 | 0) != 0) : 0) ? (FUNCTION_TABLE_iii[get32(i30 + 32 | 0) & 127](i20, 1) | 0, (get8(i16 >> 0 | 0) | 0) != 5) : 0) set8(i16 >> 0 | 0, 1 | 0);
      i20 = get32(367 * 4 | 0) | 0;
      if (!i20) {
       i36 = 0;
       i37 = 0;
      } else {
       FUNCTION_TABLE_v[i20 & 1]();
       i36 = 0;
       i37 = 0;
      }
     } else {
      i36 = 0;
      i37 = i29;
     }
    } else {
     i36 = 0;
     i37 = i28;
    } while (0);
    if (i37) {
     i25 = i37;
     break;
    }
    if (i36) {
     i26 = get8(i16 >> 0 | 0) | 0;
     i22 = 51;
    }
   }
   if ((i22 | 0) == 51) switch (i26 << 24 >> 24) {
   case 0:
   case 1:
   case 2:
   case 3:
   case 5:
    {
     i22 = 52;
     break;
    }
   default:
    i22 = 54;
   }
   if ((i22 | 0) == 52) {
    i19 = get32(i1 + 60 | 0) | 0;
    i18 = FUNCTION_TABLE_iii[get32((get32(i19 | 0) | 0) + 28 | 0) & 127](i19, 4) | 0;
    if (i18) {
     i25 = i18;
     break;
    }
    set8(i16 >> 0 | 0, 4 | 0);
    i22 = 54;
   }
   do if ((i22 | 0) == 54) {
    i18 = i1 + 64 | 0;
    if (!(get32(get32(i18 | 0) | 0) | 0)) {
     i19 = get32(i1 | 0) | 0;
     i17 = i1 + 148 | 0;
     i20 = FUNCTION_TABLE_iiiii[get32(i19 + 32 | 0) & 31](i19, get32(i17 | 0) | 0, 0, i9) | 0;
     if ((i20 | 0) == 0 & (get32(i9 | 0) | 0) != 0) {
      set32(i10 | 0, 0 | 0);
      i30 = FUNCTION_TABLE_iiiiii[get32(i19 + 24 | 0) & 31](i19, get32(i17 | 0) | 0, get32(i18 | 0) | 0, 2050, i10) | 0;
      if (!i30) if (get32(i10 | 0) & 1) {
       set32(i3 | 0, 41580 | 0);
       set32(i3 + 4 | 0, 17203 | 0);
       _sqlite3_log(14, 19280, i3);
       i17 = get32(i18 | 0) | 0;
       i19 = get32(i17 | 0) | 0;
       if (!i19) i38 = 14; else {
        FUNCTION_TABLE_ii[get32(i19 + 4 | 0) & 127](i17) | 0;
        set32(i17 | 0, 0 | 0);
        i38 = 14;
       }
      } else i38 = 0; else i38 = i30;
     } else i38 = i20;
    } else i38 = 0;
    i20 = get32(i18 | 0) | 0;
    i30 = get32(i20 | 0) | 0;
    do if (!i30) if (((get8(i1 + 4 >> 0 | 0) | 0) == 0 ? (i17 = get32(i1 + 60 | 0) | 0, i19 = get32(i17 | 0) | 0, (i19 | 0) != 0) : 0) ? (FUNCTION_TABLE_iii[get32(i19 + 32 | 0) & 127](i17, 1) | 0, (get8(i16 >> 0 | 0) | 0) != 5) : 0) {
     set8(i16 >> 0 | 0, 1 | 0);
     i39 = i38;
     i22 = 70;
    } else {
     i39 = i38;
     i22 = 70;
    } else {
     if (!(get8(i1 + 8 >> 0 | 0) | 0)) {
      i17 = FUNCTION_TABLE_iii[get32(i30 + 20 | 0) & 127](i20, 2) | 0;
      if (i17) {
       i40 = i17;
       break;
      }
      i17 = get32(i18 | 0) | 0;
      i41 = get32(i17 | 0) | 0;
      i42 = i17;
     } else {
      i41 = i30;
      i42 = i20;
     }
     i17 = FUNCTION_TABLE_iii[get32(i41 + 24 | 0) & 127](i42, i1 + 80 | 0) | 0;
     if (!i17) {
      i19 = _pager_playback(i1, 1) | 0;
      set8(i15 >> 0 | 0, 0 | 0);
      i39 = i19;
      i22 = 70;
     } else i40 = i17;
    } while (0);
    if ((i22 | 0) == 70) if (!i39) break; else i40 = i39;
    switch (i40 & 255 | 0) {
    case 10:
    case 13:
     break;
    default:
     {
      i25 = i40;
      break L5;
     }
    }
    set32(i1 + 40 | 0, i40 | 0);
    set8(i15 >> 0 | 0, 6 | 0);
    i25 = i40;
    break L5;
   } while (0);
   i16 = i1 + 12 | 0;
   do if (!(get8(i16 >> 0 | 0) | 0)) {
    if (!(get32(i1 + 88 | 0) | 0)) {
     i20 = get32((get32(i1 + 168 | 0) | 0) + 40 | 0) | 0;
     if (!i20) break;
     if ((FUNCTION_TABLE_ii[get32(316 | 0) & 127](i20) | 0) <= 0) break;
    }
    i20 = get32(i12 | 0) | 0;
    if (((i20 | 0) != 0 ? (get16(i20 + 36 | 0) | 0) > -1 : 0) ? (i30 = get32(i20 + 64 | 0) | 0, (i30 | 0) != 0) : 0) i43 = i30; else {
     i30 = i4;
     set32(i30 | 0, 0 | 0);
     set32(i30 + 4 | 0, 0 | 0);
     i30 = get32(i1 + 60 | 0) | 0;
     i20 = get32(i30 | 0) | 0;
     do if (i20) {
      i18 = FUNCTION_TABLE_iii[get32(i20 + 24 | 0) & 127](i30, i4) | 0;
      if (!i18) {
       i29 = i4;
       i44 = get32(i29 | 0) | 0;
       i45 = get32(i29 + 4 | 0) | 0;
       break;
      } else {
       i25 = i18;
       break L5;
      }
     } else {
      i44 = 0;
      i45 = 0;
     } while (0);
     i30 = get32(i1 + 128 | 0) | 0;
     i20 = ___divdi3(i44 | 0, i45 | 0, i30 | 0, ((i30 | 0) < 0) << 31 >> 31 | 0) | 0;
     i43 = ((i45 | 0) > 0 | (i45 | 0) == 0 & i44 >>> 0 > 0) & (i20 | 0) == 0 ? 1 : i20;
    }
    i20 = i1 + 132 | 0;
    if (i43 >>> 0 > (get32(i20 | 0) | 0) >>> 0) set32(i20 | 0, i43 | 0);
    if (i43) {
     i20 = get32(i1 + 60 | 0) | 0;
     i30 = FUNCTION_TABLE_iiiiii[get32((get32(i20 | 0) | 0) + 8 | 0) & 31](i20, i11, 16, 24, 0) | 0;
     if (!i30) i46 = i11; else {
      i25 = i30;
      break L5;
     }
    } else {
     i30 = i11;
     i20 = i30 + 16 | 0;
     do {
      set8(i30 >> 0 | 0, 0 | 0);
      i30 = i30 + 1 | 0;
     } while ((i30 | 0) < (i20 | 0));
     i46 = i11;
    }
    if (_memcmp(i1 + 100 | 0, i46, 16) | 0) _pager_reset(i1);
   } while (0);
   L127 : do if (!(get8(i16 >> 0 | 0) | 0)) {
    i30 = get32(i12 | 0) | 0;
    if (((i30 | 0) != 0 ? (get16(i30 + 36 | 0) | 0) > -1 : 0) ? (i20 = get32(i30 + 64 | 0) | 0, (i20 | 0) != 0) : 0) i47 = i20; else {
     i20 = i4;
     set32(i20 | 0, 0 | 0);
     set32(i20 + 4 | 0, 0 | 0);
     i20 = get32(i1 + 60 | 0) | 0;
     i30 = get32(i20 | 0) | 0;
     do if (i30) {
      i18 = FUNCTION_TABLE_iii[get32(i30 + 24 | 0) & 127](i20, i4) | 0;
      if (!i18) {
       i29 = i4;
       i48 = get32(i29 | 0) | 0;
       i49 = get32(i29 + 4 | 0) | 0;
       break;
      } else {
       i50 = i18;
       break L127;
      }
     } else {
      i48 = 0;
      i49 = 0;
     } while (0);
     i20 = get32(i1 + 128 | 0) | 0;
     i30 = ___divdi3(i48 | 0, i49 | 0, i20 | 0, ((i20 | 0) < 0) << 31 >> 31 | 0) | 0;
     i47 = ((i49 | 0) > 0 | (i49 | 0) == 0 & i48 >>> 0 > 0) & (i30 | 0) == 0 ? 1 : i30;
    }
    i30 = i1 + 132 | 0;
    if (i47 >>> 0 > (get32(i30 | 0) | 0) >>> 0) set32(i30 | 0, i47 | 0);
    i30 = get32(i1 | 0) | 0;
    i20 = get32(i1 + 176 | 0) | 0;
    if (!i47) {
     i18 = FUNCTION_TABLE_iiii[get32(i30 + 28 | 0) & 63](i30, i20, 0) | 0;
     set32(i5 | 0, 0 | 0);
     i51 = i18;
    } else i51 = FUNCTION_TABLE_iiiii[get32(i30 + 32 | 0) & 31](i30, i20, 0, i5) | 0;
    if (!i51) {
     if (!(get32(i5 | 0) | 0)) {
      i20 = i1 + 5 | 0;
      if ((get8(i20 >> 0 | 0) | 0) != 5) {
       i50 = 0;
       break;
      }
      set8(i20 >> 0 | 0, 0 | 0);
      i50 = 0;
      break;
     }
     if (get8(i16 >> 0 | 0) | 0) _llvm_trap();
     if (get32(i12 | 0) | 0) _llvm_trap();
     i20 = get32(get32(i1 + 60 | 0) | 0) | 0;
     if (!(get8(i1 + 4 >> 0 | 0) | 0)) {
      if ((get32(i20 | 0) | 0) <= 1) {
       i50 = 14;
       break;
      }
      if (!(get32(i20 + 52 | 0) | 0)) {
       i50 = 14;
       break;
      }
     }
     i20 = get32(i1 + 64 | 0) | 0;
     i30 = get32(i20 | 0) | 0;
     if (i30) {
      FUNCTION_TABLE_ii[get32(i30 + 4 | 0) & 127](i20) | 0;
      set32(i20 | 0, 0 | 0);
     }
     i20 = _pagerOpenWal(i1) | 0;
     if (!i20) {
      set8(i1 + 5 >> 0 | 0, 5 | 0);
      set8(i15 >> 0 | 0, 0 | 0);
      i50 = 0;
     } else i50 = i20;
    } else i50 = i51;
   } else i50 = 0; while (0);
   i15 = get32(i12 | 0) | 0;
   if (!i15) {
    i52 = i50;
    i22 = 134;
   } else {
    i53 = i15;
    i22 = 121;
   }
  } else {
   i52 = 0;
   i22 = 134;
  }
 } else {
  i53 = i14;
  i22 = 121;
 } while (0);
 if ((i22 | 0) == 121) {
  set32(i4 | 0, 0 | 0);
  i14 = i53 + 39 | 0;
  if (get8(i14 >> 0 | 0) | 0) {
   if (!(get8(i53 + 38 >> 0 | 0) | 0)) {
    i50 = get32(i53 + 4 | 0) | 0;
    FUNCTION_TABLE_iiiii[get32((get32(i50 | 0) | 0) + 56 | 0) & 31](i50, 0, 1, 9) | 0;
   }
   set8(i14 >> 0 | 0, 0 | 0);
  }
  i14 = i53 + 36 | 0;
  i50 = get16(i14 | 0) | 0;
  if (i50 << 16 >> 16 > -1) {
   if (!(get8(i53 + 38 >> 0 | 0) | 0)) {
    i51 = get32(i53 + 4 | 0) | 0;
    FUNCTION_TABLE_iiiii[get32((get32(i51 | 0) | 0) + 56 | 0) & 31](i51, (i50 << 16 >> 16) + 3 | 0, 1, 5) | 0;
   }
   set16(i14 | 0, -1 | 0);
  }
  i14 = get32(i12 | 0) | 0;
  i50 = 0;
  do {
   i50 = i50 + 1 | 0;
   i51 = _walTryBeginRead(i14, i4, 0, i50) | 0;
  } while ((i51 | 0) == -1);
  i54 = i51;
  if (get32(i4 | 0) | i54) _pager_reset(i1);
  i52 = i54;
  i22 = 134;
 }
 if ((i22 | 0) == 134) if ((i52 | 0) == 0 & (get8(i1 + 15 >> 0 | 0) | 0) == 0) {
  i54 = i1 + 24 | 0;
  i50 = get32(i12 | 0) | 0;
  if (((i50 | 0) != 0 ? (get16(i50 + 36 | 0) | 0) > -1 : 0) ? (i12 = get32(i50 + 64 | 0) | 0, (i12 | 0) != 0) : 0) {
   i55 = i12;
   i22 = 142;
  } else i22 = 138;
  do if ((i22 | 0) == 138) {
   i12 = i4;
   set32(i12 | 0, 0 | 0);
   set32(i12 + 4 | 0, 0 | 0);
   i12 = get32(i1 + 60 | 0) | 0;
   i50 = get32(i12 | 0) | 0;
   if (!i50) {
    i56 = 0;
    i57 = 0;
   } else {
    i14 = FUNCTION_TABLE_iii[get32(i50 + 24 | 0) & 127](i12, i4) | 0;
    if (i14) {
     i58 = i14;
     break;
    }
    i14 = i4;
    i56 = get32(i14 | 0) | 0;
    i57 = get32(i14 + 4 | 0) | 0;
   }
   i14 = get32(i1 + 128 | 0) | 0;
   i12 = ___divdi3(i56 | 0, i57 | 0, i14 | 0, ((i14 | 0) < 0) << 31 >> 31 | 0) | 0;
   i55 = ((i57 | 0) > 0 | (i57 | 0) == 0 & i56 >>> 0 > 0) & (i12 | 0) == 0 ? 1 : i12;
   i22 = 142;
  } while (0);
  if ((i22 | 0) == 142) {
   i56 = i1 + 132 | 0;
   if (i55 >>> 0 > (get32(i56 | 0) | 0) >>> 0) set32(i56 | 0, i55 | 0);
   set32(i54 | 0, i55 | 0);
   i58 = 0;
  }
  i24 = i58;
  i22 = 146;
 } else {
  i24 = i52;
  i22 = 146;
 }
 if ((i22 | 0) == 146) if (!i24) {
  set8(i1 + 15 >> 0 | 0, 1 | 0);
  i13 = 0;
  STACKTOP = i2;
  return i13 | 0;
 } else i25 = i24;
 _pager_unlock(i1);
 i13 = i25;
 STACKTOP = i2;
 return i13 | 0;
}
function _reloadTableSchema(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i5 = i4;
 i6 = i1 + 12 | 0;
 i7 = get32(i6 | 0) | 0;
 if (!i7) {
  i8 = get32(i1 | 0) | 0;
  L3 : do if (!i8) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i9 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
    i10 = 39;
    break;
   }
   i11 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
   set32(35 * 4 | 0, 192 | 0);
   if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
   i12 = get32(6 * 4 | 0) | 0;
   do if (i12) {
    i13 = get32(30 * 4 | 0) | 0;
    i14 = ((i13 | 0) < 0) << 31 >> 31;
    i15 = 16;
    i16 = _i64Subtract(get32(i15 | 0) | 0, get32(i15 + 4 | 0) | 0, i11 | 0, ((i11 | 0) < 0) << 31 >> 31 | 0) | 0;
    i15 = tempRet0;
    if ((i14 | 0) < (i15 | 0) | (i14 | 0) == (i15 | 0) & i13 >>> 0 < i16 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i16 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i12 & 15](i16, i13, i14, i11);
     set32(6 * 4 | 0, i12 | 0);
     set32(7 * 4 | 0, i16 | 0);
     break;
    }
   } while (0);
   i12 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i11) | 0;
   if (i12) {
    i16 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i12) | 0;
    i14 = (get32(30 * 4 | 0) | 0) + i16 | 0;
    set32(30 * 4 | 0, i14 | 0);
    if ((i14 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i14 | 0);
    i14 = get32(39 * 4 | 0) | 0;
    i16 = i14 + 1 | 0;
    set32(39 * 4 | 0, i16 | 0);
    if ((i14 | 0) < (get32(49 * 4 | 0) | 0)) i17 = i12; else {
     set32(49 * 4 | 0, i16 | 0);
     i17 = i12;
    }
   } else i10 = 49;
  } else {
   i12 = i8 + 30 | 0;
   if (!(get8(i12 >> 0 | 0) | 0)) {
    do if (get8(i8 + 234 >> 0 | 0) | 0) {
     if ((getU16(i8 + 232 | 0) | 0) < 192) {
      i16 = i8 + 248 | 0;
      set32(i16 | 0, (get32(i16 | 0) | 0) + 1 | 0);
      break;
     }
     i16 = i8 + 256 | 0;
     i14 = get32(i16 | 0) | 0;
     if (!i14) {
      i13 = i8 + 252 | 0;
      set32(i13 | 0, (get32(i13 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i16 | 0, get32(i14 | 0) | 0);
     i16 = i8 + 236 | 0;
     i13 = get32(i16 | 0) | 0;
     i15 = i13 + 1 | 0;
     set32(i16 | 0, i15 | 0);
     i16 = i8 + 244 | 0;
     set32(i16 | 0, (get32(i16 | 0) | 0) + 1 | 0);
     i16 = i8 + 240 | 0;
     if ((i13 | 0) >= (get32(i16 | 0) | 0)) set32(i16 | 0, i15 | 0);
     i9 = i14;
     i10 = 39;
     break L3;
    } while (0);
    if (!(get32(50 * 4 | 0) | 0)) {
     i11 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
     if (i11) {
      i17 = i11;
      break;
     }
    } else {
     i11 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
     set32(35 * 4 | 0, 192 | 0);
     if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
     i14 = get32(6 * 4 | 0) | 0;
     do if (i14) {
      i15 = get32(30 * 4 | 0) | 0;
      i16 = ((i15 | 0) < 0) << 31 >> 31;
      i13 = 16;
      i18 = _i64Subtract(get32(i13 | 0) | 0, get32(i13 + 4 | 0) | 0, i11 | 0, ((i11 | 0) < 0) << 31 >> 31 | 0) | 0;
      i13 = tempRet0;
      if ((i16 | 0) < (i13 | 0) | (i16 | 0) == (i13 | 0) & i15 >>> 0 < i18 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i18 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i14 & 15](i18, i15, i16, i11);
       set32(6 * 4 | 0, i14 | 0);
       set32(7 * 4 | 0, i18 | 0);
       break;
      }
     } while (0);
     i14 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i11) | 0;
     if (i14) {
      i18 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i14) | 0;
      i16 = (get32(30 * 4 | 0) | 0) + i18 | 0;
      set32(30 * 4 | 0, i16 | 0);
      if ((i16 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i16 | 0);
      i16 = get32(39 * 4 | 0) | 0;
      i18 = i16 + 1 | 0;
      set32(39 * 4 | 0, i18 | 0);
      if ((i16 | 0) < (get32(49 * 4 | 0) | 0)) {
       i17 = i14;
       break;
      }
      set32(49 * 4 | 0, i18 | 0);
      i17 = i14;
      break;
     }
    }
    set8(i12 >> 0 | 0, 1 | 0);
    i10 = 49;
   } else i10 = 49;
  } while (0);
  if ((i10 | 0) == 39) if (!i9) i10 = 49; else i17 = i9;
  if ((i10 | 0) == 49) {
   set32(i6 | 0, 0 | 0);
   STACKTOP = i4;
   return;
  }
  _memset(i17 | 0, 0, 192) | 0;
  set32(i17 | 0, i8 | 0);
  i9 = i8 + 136 | 0;
  i14 = get32(i9 | 0) | 0;
  if (i14) set32(i14 + 60 | 0, i17 | 0);
  set32(i17 + 64 | 0, i14 | 0);
  set32(i17 + 60 | 0, 0 | 0);
  set32(i9 | 0, i17 | 0);
  set32(i17 + 52 | 0, 649915045 | 0);
  set32(i6 | 0, i17 | 0);
  i6 = i17 + 28 | 0;
  i9 = i17 + 32 | 0;
  i14 = i17 + 4 | 0;
  i18 = _sqlite3DbRealloc(i8, 0, 1020) | 0;
  if (!i18) i19 = i17; else {
   i8 = get32(i17 | 0) | 0;
   if (((i8 | 0) != 0 ? (get32(i8 + 260 | 0) | 0) >>> 0 <= i18 >>> 0 : 0) ? (get32(i8 + 264 | 0) | 0) >>> 0 > i18 >>> 0 : 0) i20 = getU16(i8 + 232 | 0) | 0; else i20 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i18) | 0;
   set32(i9 | 0, (i20 >>> 0) / 20 | 0 | 0);
   set32(i14 | 0, i18 | 0);
   set32(i6 | 0, (get32(i6 | 0) | 0) + 1 | 0);
   set8(i18 >> 0 | 0, -120 | 0);
   set8(i18 + 1 >> 0 | 0, 0 | 0);
   i6 = i18 + 3 | 0;
   i18 = i6 + 17 | 0;
   do {
    set8(i6 >> 0 | 0, 0 | 0);
    i6 = i6 + 1 | 0;
   } while ((i6 | 0) < (i18 | 0));
   i19 = i17;
  }
 } else i19 = i7;
 i7 = get32(i1 | 0) | 0;
 i17 = get32(i2 + 68 | 0) | 0;
 L72 : do if (i17) {
  i6 = get32(i7 + 4 | 0) | 0;
  if ((i6 | 0) > 0) {
   i18 = get32(i7 + 8 | 0) | 0;
   i14 = 0;
   while (1) {
    if ((get32(i18 + (i14 << 4) + 12 | 0) | 0) == (i17 | 0)) {
     i21 = i14;
     break L72;
    }
    i20 = i14 + 1 | 0;
    if ((i20 | 0) < (i6 | 0)) i14 = i20; else {
     i21 = i20;
     break;
    }
   }
  } else i21 = 0;
 } else i21 = -1e6; while (0);
 i14 = get32((get32(i7 + 8 | 0) | 0) + 28 | 0) | 0;
 L79 : do if (!(get8(i1 + 442 >> 0 | 0) | 0)) {
  if ((i17 | 0) != (i14 | 0) ? (i6 = get32(i14 + 48 | 0) | 0, (i6 | 0) != 0) : 0) {
   i18 = i2 + 64 | 0;
   i12 = i6;
   i6 = 0;
   while (1) {
    i11 = get32(i12 + 8 | 0) | 0;
    if ((get32(i11 + 24 | 0) | 0) == (i17 | 0)) {
     i20 = get32(i11 + 4 | 0) | 0;
     i9 = get32(i2 | 0) | 0;
     i8 = get8(i20 >> 0 | 0) | 0;
     L88 : do if (!(i8 << 24 >> 24)) {
      i22 = 0;
      i23 = i9;
     } else {
      i16 = i8;
      i15 = i20;
      i13 = i9;
      while (1) {
       if ((get8(16286 + (i16 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i13 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
        i22 = i16;
        i23 = i13;
        break L88;
       }
       i15 = i15 + 1 | 0;
       i24 = i13 + 1 | 0;
       i16 = get8(i15 >> 0 | 0) | 0;
       if (!(i16 << 24 >> 24)) {
        i22 = 0;
        i23 = i24;
        break;
       } else i13 = i24;
      }
     } while (0);
     if ((get8(16286 + (i22 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i23 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
      if (!i6) i25 = get32(i18 | 0) | 0; else i25 = i6;
      set32(i11 + 32 | 0, i25 | 0);
      i26 = i11;
     } else i26 = i6;
    } else i26 = i6;
    i12 = get32(i12 | 0) | 0;
    if (!i12) {
     i27 = i26;
     break;
    } else i6 = i26;
   }
   if (i27) i28 = i27; else i10 = 69;
  } else i10 = 69;
  if ((i10 | 0) == 69) {
   i6 = get32(i2 + 64 | 0) | 0;
   if (!i6) {
    i10 = 70;
    break;
   } else i28 = i6;
  }
  i6 = i19 + 28 | 0;
  i12 = i19 + 32 | 0;
  i18 = i19 + 4 | 0;
  i9 = i7;
  i20 = i28;
  while (1) {
   i8 = get32(i20 + 20 | 0) | 0;
   L104 : do if (i8) {
    i13 = get32(i9 + 4 | 0) | 0;
    if ((i13 | 0) > 0) {
     i16 = get32(i9 + 8 | 0) | 0;
     i15 = 0;
     while (1) {
      if ((get32(i16 + (i15 << 4) + 12 | 0) | 0) == (i8 | 0)) {
       i29 = i15;
       break L104;
      }
      i24 = i15 + 1 | 0;
      if ((i24 | 0) < (i13 | 0)) i15 = i24; else {
       i29 = i24;
       break;
      }
     }
    } else i29 = 0;
   } else i29 = -1e6; while (0);
   i8 = get32(i20 | 0) | 0;
   i11 = get32(i6 | 0) | 0;
   i15 = get32(i12 | 0) | 0;
   if ((i15 | 0) <= (i11 | 0)) {
    i13 = _sqlite3DbRealloc(get32(i19 | 0) | 0, get32(i18 | 0) | 0, (i15 | 0) == 0 ? 1020 : i15 * 40 | 0) | 0;
    if (!i13) i30 = 1; else {
     i15 = get32(i19 | 0) | 0;
     if (((i15 | 0) != 0 ? (get32(i15 + 260 | 0) | 0) >>> 0 <= i13 >>> 0 : 0) ? (get32(i15 + 264 | 0) | 0) >>> 0 > i13 >>> 0 : 0) i31 = getU16(i15 + 232 | 0) | 0; else i31 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i13) | 0;
     set32(i12 | 0, (i31 >>> 0) / 20 | 0 | 0);
     set32(i18 | 0, i13 | 0);
     i32 = get32(i6 | 0) | 0;
     i33 = i13;
     i10 = 86;
    }
   } else {
    i32 = i11;
    i33 = get32(i18 | 0) | 0;
    i10 = 86;
   }
   if ((i10 | 0) == 86) {
    i10 = 0;
    set32(i6 | 0, i32 + 1 | 0);
    set8(i33 + (i11 * 20 | 0) >> 0 | 0, 103 | 0);
    set8(i33 + (i11 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i33 + (i11 * 20 | 0) + 4 | 0, i29 | 0);
    set32(i33 + (i11 * 20 | 0) + 8 | 0, 0 | 0);
    set32(i33 + (i11 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i33 + (i11 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i33 + (i11 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    i30 = i11;
   }
   _sqlite3VdbeChangeP4(i19, i30, i8, 0);
   i8 = get32(i20 + 32 | 0) | 0;
   if (!i8) {
    i34 = i6;
    i35 = i12;
    break L79;
   }
   i9 = get32(i1 | 0) | 0;
   i20 = i8;
  }
 } else i10 = 70; while (0);
 if ((i10 | 0) == 70) {
  i34 = i19 + 28 | 0;
  i35 = i19 + 32 | 0;
 }
 i30 = get32(i2 | 0) | 0;
 i33 = get32(i34 | 0) | 0;
 i29 = get32(i35 | 0) | 0;
 if ((i29 | 0) <= (i33 | 0)) {
  i32 = i19 + 4 | 0;
  i31 = _sqlite3DbRealloc(get32(i19 | 0) | 0, get32(i32 | 0) | 0, (i29 | 0) == 0 ? 1020 : i29 * 40 | 0) | 0;
  if (!i31) i36 = 1; else {
   i29 = get32(i19 | 0) | 0;
   if (((i29 | 0) != 0 ? (get32(i29 + 260 | 0) | 0) >>> 0 <= i31 >>> 0 : 0) ? (get32(i29 + 264 | 0) | 0) >>> 0 > i31 >>> 0 : 0) i37 = getU16(i29 + 232 | 0) | 0; else i37 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i31) | 0;
   set32(i35 | 0, (i37 >>> 0) / 20 | 0 | 0);
   set32(i32 | 0, i31 | 0);
   i38 = get32(i34 | 0) | 0;
   i39 = i31;
   i10 = 98;
  }
 } else {
  i38 = i33;
  i39 = get32(i19 + 4 | 0) | 0;
  i10 = 98;
 }
 if ((i10 | 0) == 98) {
  set32(i34 | 0, i38 + 1 | 0);
  set8(i39 + (i33 * 20 | 0) >> 0 | 0, 101 | 0);
  set8(i39 + (i33 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i39 + (i33 * 20 | 0) + 4 | 0, i21 | 0);
  set32(i39 + (i33 * 20 | 0) + 8 | 0, 0 | 0);
  set32(i39 + (i33 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i39 + (i33 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i39 + (i33 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i36 = i33;
 }
 _sqlite3VdbeChangeP4(i19, i36, i30, 0);
 i30 = get32(i1 | 0) | 0;
 set32(i5 | 0, i3 | 0);
 i3 = _sqlite3MPrintf(i30, 37046, i5) | 0;
 if (!i3) {
  STACKTOP = i4;
  return;
 }
 i5 = get32(i34 | 0) | 0;
 i30 = get32(i35 | 0) | 0;
 if ((i30 | 0) <= (i5 | 0)) {
  i36 = i19 + 4 | 0;
  i33 = _sqlite3DbRealloc(get32(i19 | 0) | 0, get32(i36 | 0) | 0, (i30 | 0) == 0 ? 1020 : i30 * 40 | 0) | 0;
  if (!i33) {
   i40 = 1;
   i41 = i19;
   i42 = i36;
  } else {
   i30 = get32(i19 | 0) | 0;
   if (((i30 | 0) != 0 ? (get32(i30 + 260 | 0) | 0) >>> 0 <= i33 >>> 0 : 0) ? (get32(i30 + 264 | 0) | 0) >>> 0 > i33 >>> 0 : 0) i43 = getU16(i30 + 232 | 0) | 0; else i43 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i33) | 0;
   set32(i35 | 0, (i43 >>> 0) / 20 | 0 | 0);
   set32(i36 | 0, i33 | 0);
   i44 = i36;
   i45 = i19;
   i46 = get32(i34 | 0) | 0;
   i47 = i33;
   i10 = 109;
  }
 } else {
  i33 = i19 + 4 | 0;
  i44 = i33;
  i45 = i19;
  i46 = i5;
  i47 = get32(i33 | 0) | 0;
  i10 = 109;
 }
 if ((i10 | 0) == 109) {
  set32(i34 | 0, i46 + 1 | 0);
  set8(i47 + (i5 * 20 | 0) >> 0 | 0, 99 | 0);
  set8(i47 + (i5 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i47 + (i5 * 20 | 0) + 4 | 0, i21 | 0);
  set32(i47 + (i5 * 20 | 0) + 8 | 0, 0 | 0);
  set32(i47 + (i5 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i47 + (i5 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i47 + (i5 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i40 = i5;
  i41 = i45;
  i42 = i44;
 }
 i44 = get32(i41 | 0) | 0;
 i45 = get32(i42 | 0) | 0;
 if ((i45 | 0) != 0 ? (get8(i44 + 30 >> 0 | 0) | 0) == 0 : 0) {
  if ((i40 | 0) < 0) i48 = (get32(i34 | 0) | 0) + -1 | 0; else i48 = i40;
  i40 = i45 + (i48 * 20 | 0) + 1 | 0;
  i5 = i45 + (i48 * 20 | 0) + 16 | 0;
  _freeP4(i44, get8(i40 >> 0 | 0) | 0, get32(i5 | 0) | 0);
  set32(i5 | 0, i3 | 0);
  set8(i40 >> 0 | 0, -1 | 0);
 } else _sqlite3DbFree(i44, i3);
 i3 = get32((get32(i41 | 0) | 0) + 4 | 0) | 0;
 if ((i3 | 0) > 0) {
  i44 = i19 + 112 | 0;
  i40 = get32(i44 | 0) | 0;
  i5 = 0;
  while (1) {
   i48 = 1 << i5 | i40;
   i5 = i5 + 1 | 0;
   if ((i5 | 0) == (i3 | 0)) {
    i49 = i48;
    break;
   } else i40 = i48;
  }
  set32(i44 | 0, i49 | 0);
 }
 i49 = _whereTempTriggers(i1, i2) | 0;
 if (!i49) {
  STACKTOP = i4;
  return;
 }
 i2 = get32(i34 | 0) | 0;
 i1 = get32(i35 | 0) | 0;
 if ((i1 | 0) <= (i2 | 0)) {
  i44 = _sqlite3DbRealloc(get32(i41 | 0) | 0, get32(i42 | 0) | 0, (i1 | 0) == 0 ? 1020 : i1 * 40 | 0) | 0;
  if (!i44) i50 = 1; else {
   i1 = get32(i41 | 0) | 0;
   if (((i1 | 0) != 0 ? (get32(i1 + 260 | 0) | 0) >>> 0 <= i44 >>> 0 : 0) ? (get32(i1 + 264 | 0) | 0) >>> 0 > i44 >>> 0 : 0) i51 = getU16(i1 + 232 | 0) | 0; else i51 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i44) | 0;
   set32(i35 | 0, (i51 >>> 0) / 20 | 0 | 0);
   set32(i42 | 0, i44 | 0);
   i52 = get32(i34 | 0) | 0;
   i53 = i44;
   i10 = 130;
  }
 } else {
  i52 = i2;
  i53 = get32(i42 | 0) | 0;
  i10 = 130;
 }
 if ((i10 | 0) == 130) {
  set32(i34 | 0, i52 + 1 | 0);
  set8(i53 + (i2 * 20 | 0) >> 0 | 0, 99 | 0);
  set8(i53 + (i2 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i53 + (i2 * 20 | 0) + 4 | 0, 1 | 0);
  set32(i53 + (i2 * 20 | 0) + 8 | 0, 0 | 0);
  set32(i53 + (i2 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i53 + (i2 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i53 + (i2 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i50 = i2;
 }
 i2 = get32(i41 | 0) | 0;
 i53 = get32(i42 | 0) | 0;
 if ((i53 | 0) != 0 ? (get8(i2 + 30 >> 0 | 0) | 0) == 0 : 0) {
  if ((i50 | 0) < 0) i54 = (get32(i34 | 0) | 0) + -1 | 0; else i54 = i50;
  i50 = i53 + (i54 * 20 | 0) + 1 | 0;
  i34 = i53 + (i54 * 20 | 0) + 16 | 0;
  _freeP4(i2, get8(i50 >> 0 | 0) | 0, get32(i34 | 0) | 0);
  set32(i34 | 0, i49 | 0);
  set8(i50 >> 0 | 0, -1 | 0);
 } else _sqlite3DbFree(i2, i49);
 i49 = get32((get32(i41 | 0) | 0) + 4 | 0) | 0;
 if ((i49 | 0) <= 0) {
  STACKTOP = i4;
  return;
 }
 i41 = i19 + 112 | 0;
 i19 = get32(i41 | 0) | 0;
 i2 = 0;
 while (1) {
  i50 = 1 << i2 | i19;
  i2 = i2 + 1 | 0;
  if ((i2 | 0) == (i49 | 0)) {
   i55 = i50;
   break;
  } else i19 = i50;
 }
 set32(i41 | 0, i55 | 0);
 STACKTOP = i4;
 return;
}

function _pushOntoSorter(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0;
 i5 = i1 + 12 | 0;
 i6 = get32(i5 | 0) | 0;
 i7 = get32(i2 | 0) | 0;
 i8 = i7 + 2 | 0;
 i9 = i1 + 60 | 0;
 i10 = get32(i9 | 0) | 0;
 i11 = i1 + 56 | 0;
 i12 = get32(i11 | 0) | 0;
 if ((i12 | 0) < (i8 | 0)) {
  i13 = i1 + 72 | 0;
  i14 = get32(i13 | 0) | 0;
  set32(i13 | 0, i14 + i8 | 0);
  i15 = i14 + 1 | 0;
 } else {
  set32(i9 | 0, i10 + i8 | 0);
  set32(i11 | 0, i12 - i8 | 0);
  i15 = i10;
 }
 i10 = i1 + 21 | 0;
 i12 = get8(i10 >> 0 | 0) | 0;
 if (!(i12 << 24 >> 24)) {
  i14 = i1 + 72 | 0;
  i13 = (get32(i14 | 0) | 0) + 1 | 0;
  set32(i14 | 0, i13 | 0);
  i16 = i13;
  i17 = 0;
 } else {
  i13 = i12 + -1 << 24 >> 24;
  set8(i10 >> 0 | 0, i13 | 0);
  i16 = get32(i1 + 24 + ((i13 & 255) << 2) | 0) | 0;
  i17 = i13;
 }
 i13 = i1 + 96 | 0;
 i12 = i17;
 i17 = 0;
 i14 = i13;
 while (1) {
  i18 = i14 + 16 | 0;
  i19 = get32(i18 | 0) | 0;
  if (!i19) i20 = i12; else {
   i21 = i14 + 8 | 0;
   if (!(get8(i21 >> 0 | 0) | 0)) i22 = i12; else {
    if ((i12 & 255) < 8) {
     i23 = i12 + 1 << 24 >> 24;
     set8(i10 >> 0 | 0, i23 | 0);
     set32(i1 + 24 + ((i12 & 255) << 2) | 0, i19 | 0);
     i24 = i23;
    } else i24 = i12;
    set8(i21 >> 0 | 0, 0 | 0);
    i22 = i24;
   }
   set32(i18 | 0, 0 | 0);
   i20 = i22;
  }
  i17 = i17 + 1 | 0;
  if ((i17 | 0) == 10) break; else {
   i12 = i20;
   i14 = i14 + 24 | 0;
  }
 }
 i14 = get32(i2 | 0) | 0;
 if ((i14 | 0) > 0) {
  i20 = 0;
  i12 = get32(i2 + 12 | 0) | 0;
  while (1) {
   i17 = i20 + i15 | 0;
   i22 = _sqlite3ExprCodeTarget(i1, get32(i12 | 0) | 0, i17) | 0;
   do if ((i22 | 0) != (i17 | 0)) {
    i24 = get32(i5 | 0) | 0;
    i18 = i24 + 28 | 0;
    i21 = get32(i18 | 0) | 0;
    i23 = i24 + 32 | 0;
    i19 = get32(i23 | 0) | 0;
    if ((i19 | 0) > (i21 | 0)) {
     i25 = i21;
     i26 = get32(i24 + 4 | 0) | 0;
    } else {
     i27 = i24 + 4 | 0;
     i28 = _sqlite3DbRealloc(get32(i24 | 0) | 0, get32(i27 | 0) | 0, (i19 | 0) == 0 ? 1020 : i19 * 40 | 0) | 0;
     if (!i28) break;
     i19 = get32(i24 | 0) | 0;
     if (((i19 | 0) != 0 ? (get32(i19 + 260 | 0) | 0) >>> 0 <= i28 >>> 0 : 0) ? (get32(i19 + 264 | 0) | 0) >>> 0 > i28 >>> 0 : 0) i29 = getU16(i19 + 232 | 0) | 0; else i29 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i28) | 0;
     set32(i23 | 0, (i29 >>> 0) / 20 | 0 | 0);
     set32(i27 | 0, i28 | 0);
     i25 = get32(i18 | 0) | 0;
     i26 = i28;
    }
    set32(i18 | 0, i25 + 1 | 0);
    set8(i26 + (i21 * 20 | 0) >> 0 | 0, 15 | 0);
    set8(i26 + (i21 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i26 + (i21 * 20 | 0) + 4 | 0, i22 | 0);
    set32(i26 + (i21 * 20 | 0) + 8 | 0, i17 | 0);
    set32(i26 + (i21 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i26 + (i21 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i26 + (i21 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   } while (0);
   i20 = i20 + 1 | 0;
   if ((i20 | 0) == (i14 | 0)) break; else i12 = i12 + 20 | 0;
  }
 }
 i12 = i2 + 8 | 0;
 i2 = get32(i12 | 0) | 0;
 i14 = i15 + i7 | 0;
 i20 = i6 + 28 | 0;
 i26 = get32(i20 | 0) | 0;
 i25 = i6 + 32 | 0;
 i29 = get32(i25 | 0) | 0;
 if ((i29 | 0) <= (i26 | 0)) {
  i5 = i6 + 4 | 0;
  i17 = _sqlite3DbRealloc(get32(i6 | 0) | 0, get32(i5 | 0) | 0, (i29 | 0) == 0 ? 1020 : i29 * 40 | 0) | 0;
  if (i17) {
   i29 = get32(i6 | 0) | 0;
   if (((i29 | 0) != 0 ? (get32(i29 + 260 | 0) | 0) >>> 0 <= i17 >>> 0 : 0) ? (get32(i29 + 264 | 0) | 0) >>> 0 > i17 >>> 0 : 0) i30 = getU16(i29 + 232 | 0) | 0; else i30 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i17) | 0;
   set32(i25 | 0, (i30 >>> 0) / 20 | 0 | 0);
   set32(i5 | 0, i17 | 0);
   i31 = get32(i20 | 0) | 0;
   i32 = i17;
   i33 = 38;
  }
 } else {
  i31 = i26;
  i32 = get32(i6 + 4 | 0) | 0;
  i33 = 38;
 }
 if ((i33 | 0) == 38) {
  set32(i20 | 0, i31 + 1 | 0);
  set8(i32 + (i26 * 20 | 0) >> 0 | 0, 53 | 0);
  set8(i32 + (i26 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i32 + (i26 * 20 | 0) + 4 | 0, i2 | 0);
  set32(i32 + (i26 * 20 | 0) + 8 | 0, i14 | 0);
  set32(i32 + (i26 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i32 + (i26 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i32 + (i26 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
 }
 _sqlite3ExprCodeMove(i1, i4, i14 + 1 | 0, 1);
 i14 = get32(i20 | 0) | 0;
 i4 = get32(i25 | 0) | 0;
 do if ((i4 | 0) > (i14 | 0)) {
  i34 = i14;
  i35 = get32(i6 + 4 | 0) | 0;
  i36 = i4;
  i33 = 49;
 } else {
  i26 = i6 + 4 | 0;
  i32 = _sqlite3DbRealloc(get32(i6 | 0) | 0, get32(i26 | 0) | 0, (i4 | 0) == 0 ? 1020 : i4 * 40 | 0) | 0;
  if (!i32) {
   i37 = get32(i25 | 0) | 0;
   i38 = get32(i20 | 0) | 0;
   break;
  }
  i2 = get32(i6 | 0) | 0;
  if (((i2 | 0) != 0 ? (get32(i2 + 260 | 0) | 0) >>> 0 <= i32 >>> 0 : 0) ? (get32(i2 + 264 | 0) | 0) >>> 0 > i32 >>> 0 : 0) i39 = getU16(i2 + 232 | 0) | 0; else i39 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i32) | 0;
  i2 = (i39 >>> 0) / 20 | 0;
  set32(i25 | 0, i2 | 0);
  set32(i26 | 0, i32 | 0);
  i34 = get32(i20 | 0) | 0;
  i35 = i32;
  i36 = i2;
  i33 = 49;
 } while (0);
 if ((i33 | 0) == 49) {
  i39 = i34 + 1 | 0;
  set32(i20 | 0, i39 | 0);
  set8(i35 + (i14 * 20 | 0) >> 0 | 0, 30 | 0);
  set8(i35 + (i14 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i35 + (i14 * 20 | 0) + 4 | 0, i15 | 0);
  set32(i35 + (i14 * 20 | 0) + 8 | 0, i8 | 0);
  set32(i35 + (i14 * 20 | 0) + 12 | 0, i16 | 0);
  set32(i35 + (i14 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i35 + (i14 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i37 = i36;
  i38 = i39;
 }
 i39 = get32(i12 | 0) | 0;
 if ((i37 | 0) <= (i38 | 0)) {
  i36 = i6 + 4 | 0;
  i14 = _sqlite3DbRealloc(get32(i6 | 0) | 0, get32(i36 | 0) | 0, (i37 | 0) == 0 ? 1020 : i37 * 40 | 0) | 0;
  if (i14) {
   i37 = get32(i6 | 0) | 0;
   if (((i37 | 0) != 0 ? (get32(i37 + 260 | 0) | 0) >>> 0 <= i14 >>> 0 : 0) ? (get32(i37 + 264 | 0) | 0) >>> 0 > i14 >>> 0 : 0) i40 = getU16(i37 + 232 | 0) | 0; else i40 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i14) | 0;
   set32(i25 | 0, (i40 >>> 0) / 20 | 0 | 0);
   set32(i36 | 0, i14 | 0);
   i41 = get32(i20 | 0) | 0;
   i42 = i14;
   i33 = 59;
  }
 } else {
  i41 = i38;
  i42 = get32(i6 + 4 | 0) | 0;
  i33 = 59;
 }
 if ((i33 | 0) == 59) {
  set32(i20 | 0, i41 + 1 | 0);
  set8(i42 + (i38 * 20 | 0) >> 0 | 0, 70 | 0);
  set8(i42 + (i38 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i42 + (i38 * 20 | 0) + 4 | 0, i39 | 0);
  set32(i42 + (i38 * 20 | 0) + 8 | 0, i16 | 0);
  set32(i42 + (i38 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i42 + (i38 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i42 + (i38 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
 }
 do if ((i16 | 0) != 0 ? (i38 = get8(i10 >> 0 | 0) | 0, (i38 & 255) < 8) : 0) {
  if ((get32(i1 + 112 | 0) | 0) != (i16 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i16 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i16 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i16 | 0)) if ((get32(i1 + 208 | 0) | 0) != (i16 | 0)) if ((get32(i1 + 232 | 0) | 0) != (i16 | 0)) if ((get32(i1 + 256 | 0) | 0) != (i16 | 0)) if ((get32(i1 + 280 | 0) | 0) != (i16 | 0)) if ((get32(i1 + 304 | 0) | 0) != (i16 | 0)) if ((get32(i1 + 328 | 0) | 0) == (i16 | 0)) i43 = i1 + 312 | 0; else {
   set8(i10 >> 0 | 0, i38 + 1 << 24 >> 24 | 0);
   set32(i1 + 24 + ((i38 & 255) << 2) | 0, i16 | 0);
   break;
  } else i43 = i1 + 288 | 0; else i43 = i1 + 264 | 0; else i43 = i1 + 240 | 0; else i43 = i1 + 216 | 0; else i43 = i1 + 192 | 0; else i43 = i1 + 168 | 0; else i43 = i1 + 144 | 0; else i43 = i1 + 120 | 0; else i43 = i13;
  set8(i43 + 8 >> 0 | 0, 1 | 0);
 } while (0);
 i43 = i7 + 1 + i15 | 0;
 i7 = 0;
 i16 = i13;
 while (1) {
  i13 = i16 + 16 | 0;
  i38 = get32(i13 | 0) | 0;
  if (!((i38 | 0) < (i15 | 0) | (i38 | 0) > (i43 | 0))) {
   i42 = i16 + 8 | 0;
   if (get8(i42 >> 0 | 0) | 0) {
    i39 = get8(i10 >> 0 | 0) | 0;
    if ((i39 & 255) < 8) {
     set8(i10 >> 0 | 0, i39 + 1 << 24 >> 24 | 0);
     set32(i1 + 24 + ((i39 & 255) << 2) | 0, i38 | 0);
    }
    set8(i42 >> 0 | 0, 0 | 0);
   }
   set32(i13 | 0, 0 | 0);
  }
  i7 = i7 + 1 | 0;
  if ((i7 | 0) == 10) break; else i16 = i16 + 24 | 0;
 }
 if ((get32(i11 | 0) | 0) < (i8 | 0)) {
  set32(i11 | 0, i8 | 0);
  set32(i9 | 0, i15 | 0);
 }
 i15 = get32(i3 + 48 | 0) | 0;
 if (!i15) return;
 i9 = get32(i3 + 52 | 0) | 0;
 i3 = (i9 | 0) == 0 ? i15 : i9 + 1 | 0;
 i9 = get32(i20 | 0) | 0;
 i15 = get32(i25 | 0) | 0;
 do if ((i15 | 0) > (i9 | 0)) {
  i44 = i9;
  i45 = get32(i6 + 4 | 0) | 0;
  i46 = i15;
  i33 = 95;
 } else {
  i8 = i6 + 4 | 0;
  i11 = _sqlite3DbRealloc(get32(i6 | 0) | 0, get32(i8 | 0) | 0, (i15 | 0) == 0 ? 1020 : i15 * 40 | 0) | 0;
  if (!i11) {
   i47 = 1;
   i48 = get32(i25 | 0) | 0;
   i49 = get32(i20 | 0) | 0;
   break;
  }
  i16 = get32(i6 | 0) | 0;
  if (((i16 | 0) != 0 ? (get32(i16 + 260 | 0) | 0) >>> 0 <= i11 >>> 0 : 0) ? (get32(i16 + 264 | 0) | 0) >>> 0 > i11 >>> 0 : 0) i50 = getU16(i16 + 232 | 0) | 0; else i50 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i11) | 0;
  i16 = (i50 >>> 0) / 20 | 0;
  set32(i25 | 0, i16 | 0);
  set32(i8 | 0, i11 | 0);
  i44 = get32(i20 | 0) | 0;
  i45 = i11;
  i46 = i16;
  i33 = 95;
 } while (0);
 if ((i33 | 0) == 95) {
  i50 = i44 + 1 | 0;
  set32(i20 | 0, i50 | 0);
  set8(i45 + (i9 * 20 | 0) >> 0 | 0, 115 | 0);
  set8(i45 + (i9 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i45 + (i9 * 20 | 0) + 4 | 0, i3 | 0);
  set32(i45 + (i9 * 20 | 0) + 8 | 0, 0 | 0);
  set32(i45 + (i9 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i45 + (i9 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i45 + (i9 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i47 = i9;
  i48 = i46;
  i49 = i50;
 }
 do if ((i48 | 0) > (i49 | 0)) {
  i51 = i49;
  i52 = get32(i6 + 4 | 0) | 0;
  i53 = i48;
  i33 = 106;
 } else {
  i50 = i6 + 4 | 0;
  i46 = _sqlite3DbRealloc(get32(i6 | 0) | 0, get32(i50 | 0) | 0, (i48 | 0) == 0 ? 1020 : i48 * 40 | 0) | 0;
  if (!i46) {
   i54 = get32(i25 | 0) | 0;
   i55 = get32(i20 | 0) | 0;
   break;
  }
  i9 = get32(i6 | 0) | 0;
  if (((i9 | 0) != 0 ? (get32(i9 + 260 | 0) | 0) >>> 0 <= i46 >>> 0 : 0) ? (get32(i9 + 264 | 0) | 0) >>> 0 > i46 >>> 0 : 0) i56 = getU16(i9 + 232 | 0) | 0; else i56 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i46) | 0;
  i9 = (i56 >>> 0) / 20 | 0;
  set32(i25 | 0, i9 | 0);
  set32(i50 | 0, i46 | 0);
  i51 = get32(i20 | 0) | 0;
  i52 = i46;
  i53 = i9;
  i33 = 106;
 } while (0);
 if ((i33 | 0) == 106) {
  i56 = i51 + 1 | 0;
  set32(i20 | 0, i56 | 0);
  set8(i52 + (i49 * 20 | 0) >> 0 | 0, 20 | 0);
  set8(i52 + (i49 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i52 + (i49 * 20 | 0) + 4 | 0, i3 | 0);
  set32(i52 + (i49 * 20 | 0) + 8 | 0, -1 | 0);
  set32(i52 + (i49 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i52 + (i49 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i52 + (i49 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i54 = i53;
  i55 = i56;
 }
 if ((i54 | 0) <= (i55 | 0)) {
  i56 = i6 + 4 | 0;
  i53 = _sqlite3DbRealloc(get32(i6 | 0) | 0, get32(i56 | 0) | 0, (i54 | 0) == 0 ? 1020 : i54 * 40 | 0) | 0;
  if (!i53) i57 = 1; else {
   i54 = get32(i6 | 0) | 0;
   if (((i54 | 0) != 0 ? (get32(i54 + 260 | 0) | 0) >>> 0 <= i53 >>> 0 : 0) ? (get32(i54 + 264 | 0) | 0) >>> 0 > i53 >>> 0 : 0) i58 = getU16(i54 + 232 | 0) | 0; else i58 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i53) | 0;
   set32(i25 | 0, (i58 >>> 0) / 20 | 0 | 0);
   set32(i56 | 0, i53 | 0);
   i59 = get32(i20 | 0) | 0;
   i60 = i53;
   i33 = 116;
  }
 } else {
  i59 = i55;
  i60 = get32(i6 + 4 | 0) | 0;
  i33 = 116;
 }
 if ((i33 | 0) == 116) {
  set32(i20 | 0, i59 + 1 | 0);
  set8(i60 + (i55 * 20 | 0) >> 0 | 0, 1 | 0);
  set8(i60 + (i55 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i59 = i60 + (i55 * 20 | 0) + 3 | 0;
  i60 = i59 + 17 | 0;
  do {
   set8(i59 >> 0 | 0, 0 | 0);
   i59 = i59 + 1 | 0;
  } while ((i59 | 0) < (i60 | 0));
  i57 = i55;
 }
 i55 = get32(i20 | 0) | 0;
 if ((i55 | 0) > (i47 | 0)) set32((get32(i6 + 4 | 0) | 0) + (i47 * 20 | 0) + 8 | 0, i55 | 0);
 i47 = get32(i12 | 0) | 0;
 i59 = get32(i25 | 0) | 0;
 do if ((i59 | 0) > (i55 | 0)) {
  i61 = i55;
  i62 = get32(i6 + 4 | 0) | 0;
  i63 = i59;
  i33 = 129;
 } else {
  i60 = i6 + 4 | 0;
  i53 = _sqlite3DbRealloc(get32(i6 | 0) | 0, get32(i60 | 0) | 0, (i59 | 0) == 0 ? 1020 : i59 * 40 | 0) | 0;
  if (!i53) {
   i64 = get32(i25 | 0) | 0;
   i65 = get32(i20 | 0) | 0;
   break;
  }
  i56 = get32(i6 | 0) | 0;
  if (((i56 | 0) != 0 ? (get32(i56 + 260 | 0) | 0) >>> 0 <= i53 >>> 0 : 0) ? (get32(i56 + 264 | 0) | 0) >>> 0 > i53 >>> 0 : 0) i66 = getU16(i56 + 232 | 0) | 0; else i66 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i53) | 0;
  i56 = (i66 >>> 0) / 20 | 0;
  set32(i25 | 0, i56 | 0);
  set32(i60 | 0, i53 | 0);
  i61 = get32(i20 | 0) | 0;
  i62 = i53;
  i63 = i56;
  i33 = 129;
 } while (0);
 if ((i33 | 0) == 129) {
  i66 = i61 + 1 | 0;
  set32(i20 | 0, i66 | 0);
  set8(i62 + (i55 * 20 | 0) >> 0 | 0, 63 | 0);
  set8(i62 + (i55 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i62 + (i55 * 20 | 0) + 4 | 0, i47 | 0);
  set32(i62 + (i55 * 20 | 0) + 8 | 0, 0 | 0);
  set32(i62 + (i55 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i62 + (i55 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i62 + (i55 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i64 = i63;
  i65 = i66;
 }
 i66 = get32(i12 | 0) | 0;
 do if ((i64 | 0) > (i65 | 0)) {
  i67 = i65;
  i68 = get32(i6 + 4 | 0) | 0;
  i33 = 140;
 } else {
  i12 = i6 + 4 | 0;
  i63 = _sqlite3DbRealloc(get32(i6 | 0) | 0, get32(i12 | 0) | 0, (i64 | 0) == 0 ? 1020 : i64 * 40 | 0) | 0;
  if (!i63) {
   i69 = get32(i20 | 0) | 0;
   break;
  }
  i55 = get32(i6 | 0) | 0;
  do if ((i55 | 0) != 0 ? (get32(i55 + 260 | 0) | 0) >>> 0 <= i63 >>> 0 : 0) {
   if ((get32(i55 + 264 | 0) | 0) >>> 0 <= i63 >>> 0) {
    i33 = 138;
    break;
   }
   i70 = getU16(i55 + 232 | 0) | 0;
  } else i33 = 138; while (0);
  if ((i33 | 0) == 138) i70 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i63) | 0;
  set32(i25 | 0, (i70 >>> 0) / 20 | 0 | 0);
  set32(i12 | 0, i63 | 0);
  i67 = get32(i20 | 0) | 0;
  i68 = i63;
  i33 = 140;
 } while (0);
 if ((i33 | 0) == 140) {
  i33 = i67 + 1 | 0;
  set32(i20 | 0, i33 | 0);
  set8(i68 + (i65 * 20 | 0) >> 0 | 0, 57 | 0);
  set8(i68 + (i65 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i68 + (i65 * 20 | 0) + 4 | 0, i66 | 0);
  set32(i68 + (i65 * 20 | 0) + 8 | 0, 0 | 0);
  set32(i68 + (i65 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i68 + (i65 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i68 + (i65 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i69 = i33;
 }
 if ((i69 | 0) <= (i57 | 0)) return;
 set32((get32(i6 + 4 | 0) | 0) + (i57 * 20 | 0) + 8 | 0, i69 | 0);
 return;
}

function _sqlite3PagerCommitPhaseOne(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i5 = i4 + 8 | 0;
 i6 = i4;
 i7 = i4 + 20 | 0;
 i8 = i4 + 16 | 0;
 i9 = get32(i1 + 40 | 0) | 0;
 if (i9) {
  i10 = i9;
  STACKTOP = i4;
  return i10 | 0;
 }
 i9 = i1 + 15 | 0;
 if ((getU8(i9 >> 0 | 0) | 0) < 3) {
  i10 = 0;
  STACKTOP = i4;
  return i10 | 0;
 }
 L7 : do if (!(get8(i1 + 14 >> 0 | 0) | 0)) {
  if (get32(i1 + 172 | 0) | 0) {
   i11 = i1 + 168 | 0;
   i12 = _sqlite3PcacheDirtyList(get32(i11 | 0) | 0) | 0;
   set32(i7 | 0, 0 | 0);
   if (!i12) {
    i13 = _sqlite3PagerAcquire(i1, 1, i7, 0) | 0;
    i14 = get32(i7 | 0) | 0;
    set32(i14 + 8 | 0, 0 | 0);
    if (!i14) {
     i15 = 0;
     i16 = i13;
    } else {
     i17 = i14;
     i18 = i14;
     i19 = 9;
    }
   } else {
    i17 = 0;
    i18 = i12;
    i19 = 9;
   }
   if ((i19 | 0) == 9) {
    if (!(get8(i1 + 9 >> 0 | 0) | 0)) i20 = 0; else i20 = getU8(i1 + 11 >> 0 | 0) | 0;
    i15 = i17;
    i16 = _pagerWalFrames(i1, i18, get32(i1 + 24 | 0) | 0, 1, i20) | 0;
   }
   _sqlite3PagerUnref(i15);
   if (i16) {
    i10 = i16;
    STACKTOP = i4;
    return i10 | 0;
   }
   i12 = get32(i11 | 0) | 0;
   i11 = get32(i12 | 0) | 0;
   if (!i11) break; else i21 = i11;
   while (1) {
    i11 = i21 + 20 | 0;
    i14 = get16(i11 | 0) | 0;
    if (i14 & 2) {
     i13 = get32(i21 + 24 | 0) | 0;
     i22 = i13 + 8 | 0;
     if ((get32(i22 | 0) | 0) == (i21 | 0)) {
      i23 = i21;
      while (1) {
       i24 = get32(i23 + 32 | 0) | 0;
       if (!i24) {
        i25 = 0;
        break;
       }
       if (!(get16(i24 + 20 | 0) & 4)) {
        i25 = i24;
        break;
       } else i23 = i24;
      }
      set32(i22 | 0, i25 | 0);
     }
     i23 = i21 + 28 | 0;
     i24 = get32(i23 | 0) | 0;
     i26 = i21 + 32 | 0;
     i27 = get32(i26 | 0) | 0;
     i28 = i24;
     if (!i24) set32(i13 + 4 | 0, i27 | 0); else set32(i24 + 32 | 0, i27 | 0);
     i27 = get32(i26 | 0) | 0;
     if (!i27) set32(i13 | 0, i28 | 0); else set32(i27 + 28 | 0, i28 | 0);
     set32(i23 | 0, 0 | 0);
     set32(i26 | 0, 0 | 0);
     set16(i11 | 0, i14 & 65529 | 0);
     if ((get16(i21 + 22 | 0) | 0) == 0 ? (get32(i13 + 28 | 0) | 0) != 0 : 0) {
      if ((get32(i21 + 12 | 0) | 0) == 1) set32(i13 + 44 | 0, 0 | 0);
      FUNCTION_TABLE_viii[get32(324 | 0) & 63](get32(i13 + 40 | 0) | 0, i21, 0);
     }
    }
    i21 = get32(i12 | 0) | 0;
    if (!i21) break L7;
   }
  }
  i12 = i1 + 17 | 0;
  i26 = i1 + 24 | 0;
  if ((get8(i12 >> 0 | 0) | 0) == 0 ? (get32(i26 | 0) | 0) != 0 : 0) {
   i23 = _sqlite3PagerAcquire(i1, 1, i5, 0) | 0;
   i28 = get32(i5 | 0) | 0;
   if (!i23) {
    i27 = _sqlite3PagerWrite(i28) | 0;
    if (!i27) {
     i24 = get32(i28 + 16 | 0) | 0;
     i29 = (getU8(i24 + 101 >> 0 | 0) << 16 | getU8(i24 + 100 >> 0 | 0) << 24 | getU8(i24 + 102 >> 0 | 0) << 8 | getU8(i24 + 103 >> 0 | 0)) + 1 | 0;
     i24 = get32(i28 | 0) | 0;
     i30 = i29 >>> 24 & 255;
     set8(i24 + 24 >> 0 | 0, i30 | 0);
     i31 = i29 >>> 16 & 255;
     set8(i24 + 25 >> 0 | 0, i31 | 0);
     i32 = i29 >>> 8 & 255;
     set8(i24 + 26 >> 0 | 0, i32 | 0);
     i33 = i29 & 255;
     set8(i24 + 27 >> 0 | 0, i33 | 0);
     i24 = get32(i28 | 0) | 0;
     set8(i24 + 92 >> 0 | 0, i30 | 0);
     set8(i24 + 93 >> 0 | 0, i31 | 0);
     set8(i24 + 94 >> 0 | 0, i32 | 0);
     set8(i24 + 95 >> 0 | 0, i33 | 0);
     i33 = get32(i28 | 0) | 0;
     set8(i33 + 96 >> 0 | 0, 0 | 0);
     set8(i33 + 97 >> 0 | 0, 45 | 0);
     set8(i33 + 98 >> 0 | 0, -30 | 0);
     set8(i33 + 99 >> 0 | 0, 31 | 0);
     set8(i12 >> 0 | 0, 1 | 0);
     i34 = 0;
    } else i34 = i27;
   } else i34 = i23;
   _sqlite3PagerUnref(i28);
   if (i34) {
    i10 = i34;
    STACKTOP = i4;
    return i10 | 0;
   }
  } else i19 = 36;
  i28 = get32(i26 | 0) | 0;
  i23 = i1 + 28 | 0;
  i27 = get32(i23 | 0) | 0;
  if (i28 >>> 0 < i27 >>> 0 ? (get8(i1 + 5 >> 0 | 0) | 0) != 2 : 0) {
   i12 = (get32(199 * 4 | 0) | 0) / (get32(i1 + 128 | 0) | 0) | 0;
   set32(i26 | 0, i27 | 0);
   i33 = i28 + 1 | 0;
   L61 : do if (i33 >>> 0 <= i27 >>> 0) {
    i24 = i1 + 56 | 0;
    i32 = i27;
    i31 = i28;
    i30 = i33;
    while (1) {
     i29 = get32(i24 | 0) | 0;
     L65 : do if ((i29 | 0) != 0 ? i31 >>> 0 < (get32(i29 | 0) | 0) >>> 0 : 0) {
      i35 = i31;
      i36 = i29;
      while (1) {
       i37 = get32(i36 + 8 | 0) | 0;
       if (!i37) {
        i38 = i35;
        i39 = i36;
        break;
       }
       i36 = get32(i36 + 12 + (((i35 >>> 0) / (i37 >>> 0) | 0) << 2) | 0) | 0;
       if (!i36) {
        i40 = 0;
        i19 = 51;
        break L65;
       } else i35 = (i35 >>> 0) % (i37 >>> 0) | 0;
      }
      if ((get32(i39 | 0) | 0) >>> 0 < 4001) {
       i40 = (getU8(i39 + 12 + (i38 >>> 3) >> 0 | 0) & 1 << (i38 & 7) | 0) != 0 & 1;
       i19 = 51;
       break;
      }
      i35 = i38 + 1 | 0;
      i36 = (i38 >>> 0) % 125 | 0;
      i37 = get32(i39 + 12 + (i36 << 2) | 0) | 0;
      if (i37) {
       i41 = i37;
       i37 = i36;
       while (1) {
        if ((i41 | 0) == (i35 | 0)) {
         i42 = i32;
         break L65;
        }
        i37 = ((i37 + 1 | 0) >>> 0) % 125 | 0;
        i41 = get32(i39 + 12 + (i37 << 2) | 0) | 0;
        if (!i41) {
         i40 = 0;
         i19 = 51;
         break;
        }
       }
      } else {
       i40 = 0;
       i19 = 51;
      }
     } else {
      i40 = 0;
      i19 = 51;
     } while (0);
     if ((i19 | 0) == 51) {
      i19 = 0;
      if ((i31 | 0) == (i12 | 0) | (i40 | 0) != 0) i42 = i32; else {
       i29 = _sqlite3PagerAcquire(i1, i30, i8, 0) | 0;
       if (i29) {
        i10 = i29;
        i19 = 116;
        break;
       }
       i29 = get32(i8 | 0) | 0;
       i41 = _sqlite3PagerWrite(i29) | 0;
       _sqlite3PagerUnref(i29);
       if (i41) {
        i10 = i41;
        i19 = 116;
        break;
       }
       i42 = get32(i23 | 0) | 0;
      }
     }
     i41 = i30 + 1 | 0;
     if (i41 >>> 0 > i42 >>> 0) break L61; else {
      i29 = i30;
      i32 = i42;
      i30 = i41;
      i31 = i29;
     }
    }
    if ((i19 | 0) == 116) {
     STACKTOP = i4;
     return i10 | 0;
    }
   } while (0);
   set32(i26 | 0, i28 | 0);
  }
  L88 : do if (!i2) i19 = 73; else {
   switch (get8(i1 + 5 >> 0 | 0) | 0) {
   case 2:
   case 4:
    {
     i19 = 73;
     break L88;
     break;
    }
   default:
    {}
   }
   set8(i1 + 18 >> 0 | 0, 1 | 0);
   i23 = get8(i2 >> 0 | 0) | 0;
   if (!(i23 << 24 >> 24)) {
    i43 = 0;
    i44 = 0;
   } else {
    i12 = i23;
    i23 = 0;
    i33 = 0;
    while (1) {
     i27 = (i12 << 24 >> 24) + i23 | 0;
     i31 = i33 + 1 | 0;
     i12 = get8(i2 + i31 >> 0 | 0) | 0;
     if (!(i12 << 24 >> 24)) {
      i43 = i27;
      i44 = i31;
      break;
     } else {
      i23 = i27;
      i33 = i31;
     }
    }
   }
   i33 = i1 + 72 | 0;
   i23 = i33;
   i12 = get32(i23 | 0) | 0;
   i31 = get32(i23 + 4 | 0) | 0;
   if (!(get8(i1 + 9 >> 0 | 0) | 0)) {
    i45 = i12;
    i46 = i31;
   } else {
    if ((i12 | 0) == 0 & (i31 | 0) == 0) {
     i47 = 0;
     i48 = 0;
    } else {
     i23 = _i64Add(i12 | 0, i31 | 0, -1, -1) | 0;
     i31 = get32(i1 + 124 | 0) | 0;
     i12 = ___divdi3(i23 | 0, tempRet0 | 0, i31 | 0, 0) | 0;
     i23 = _i64Add(i12 | 0, tempRet0 | 0, 1, 0) | 0;
     i12 = ___muldi3(i23 | 0, tempRet0 | 0, i31 | 0, 0) | 0;
     i47 = i12;
     i48 = tempRet0;
    }
    i12 = i33;
    set32(i12 | 0, i47 | 0);
    set32(i12 + 4 | 0, i48 | 0);
    i45 = i47;
    i46 = i48;
   }
   i12 = i1 + 64 | 0;
   i31 = get32(i12 | 0) | 0;
   i23 = ((get32(199 * 4 | 0) | 0) / (get32(i1 + 128 | 0) | 0) | 0) + 1 | 0;
   set8(i5 >> 0 | 0, i23 >>> 24 | 0);
   i27 = i5 + 1 | 0;
   set8(i27 >> 0 | 0, i23 >>> 16 | 0);
   i30 = i5 + 2 | 0;
   set8(i30 >> 0 | 0, i23 >>> 8 | 0);
   i32 = i5 + 3 | 0;
   set8(i32 >> 0 | 0, i23 | 0);
   i23 = FUNCTION_TABLE_iiiiii[get32((get32(i31 | 0) | 0) + 12 | 0) & 31](i31, i5, 4, i45, i46) | 0;
   if (!i23) {
    i31 = get32(i12 | 0) | 0;
    i24 = _i64Add(i45 | 0, i46 | 0, 4, 0) | 0;
    i13 = tempRet0;
    i14 = FUNCTION_TABLE_iiiiii[get32((get32(i31 | 0) | 0) + 12 | 0) & 31](i31, i2, i44, i24, i13) | 0;
    if (!i14) {
     i31 = get32(i12 | 0) | 0;
     i11 = _i64Add(i24 | 0, i13 | 0, i44 | 0, ((i44 | 0) < 0) << 31 >> 31 | 0) | 0;
     i13 = tempRet0;
     set8(i5 >> 0 | 0, i44 >>> 24 | 0);
     set8(i27 >> 0 | 0, i44 >>> 16 | 0);
     set8(i30 >> 0 | 0, i44 >>> 8 | 0);
     set8(i32 >> 0 | 0, i44 | 0);
     i24 = FUNCTION_TABLE_iiiiii[get32((get32(i31 | 0) | 0) + 12 | 0) & 31](i31, i5, 4, i11, i13) | 0;
     if (!i24) {
      i31 = get32(i12 | 0) | 0;
      i22 = _i64Add(i11 | 0, i13 | 0, 4, 0) | 0;
      set8(i5 >> 0 | 0, i43 >>> 24 | 0);
      set8(i27 >> 0 | 0, i43 >>> 16 | 0);
      set8(i30 >> 0 | 0, i43 >>> 8 | 0);
      set8(i32 >> 0 | 0, i43 | 0);
      i32 = FUNCTION_TABLE_iiiiii[get32((get32(i31 | 0) | 0) + 12 | 0) & 31](i31, i5, 4, i22, tempRet0) | 0;
      if (!i32) {
       i22 = get32(i12 | 0) | 0;
       i31 = _i64Add(i11 | 0, i13 | 0, 8, 0) | 0;
       i13 = FUNCTION_TABLE_iiiiii[get32((get32(i22 | 0) | 0) + 12 | 0) & 31](i22, 19657, 8, i31, tempRet0) | 0;
       if (!i13) {
        i31 = i44 + 20 | 0;
        i22 = i33;
        i11 = _i64Add(get32(i22 | 0) | 0, get32(i22 + 4 | 0) | 0, i31 | 0, ((i31 | 0) < 0) << 31 >> 31 | 0) | 0;
        i31 = i33;
        set32(i31 | 0, i11 | 0);
        set32(i31 + 4 | 0, tempRet0 | 0);
        i31 = get32(i12 | 0) | 0;
        i11 = FUNCTION_TABLE_iii[get32((get32(i31 | 0) | 0) + 24 | 0) & 127](i31, i6) | 0;
        if (!i11) {
         i31 = i6;
         i22 = get32(i31 + 4 | 0) | 0;
         i30 = i33;
         i33 = get32(i30 | 0) | 0;
         i27 = get32(i30 + 4 | 0) | 0;
         if (!((i22 | 0) > (i27 | 0) | ((i22 | 0) == (i27 | 0) ? (get32(i31 | 0) | 0) >>> 0 > i33 >>> 0 : 0))) {
          i19 = 73;
          break;
         }
         i31 = get32(i12 | 0) | 0;
         i12 = FUNCTION_TABLE_iiii[get32((get32(i31 | 0) | 0) + 16 | 0) & 63](i31, i33, i27) | 0;
         if (!i12) break; else i10 = i12;
         STACKTOP = i4;
         return i10 | 0;
        } else i49 = i11;
       } else i49 = i13;
      } else i49 = i32;
     } else i49 = i24;
    } else i49 = i14;
   } else i49 = i23;
   i10 = i49;
   STACKTOP = i4;
   return i10 | 0;
  } while (0);
  i28 = _syncJournal(i1, 0) | 0;
  if (i28) {
   i10 = i28;
   STACKTOP = i4;
   return i10 | 0;
  }
  i28 = i1 + 168 | 0;
  i23 = _pager_write_pagelist(i1, _sqlite3PcacheDirtyList(get32(i28 | 0) | 0) | 0) | 0;
  if (i23) {
   i10 = i23;
   STACKTOP = i4;
   return i10 | 0;
  }
  i23 = get32(i28 | 0) | 0;
  i28 = get32(i23 | 0) | 0;
  if (i28) {
   i14 = i28;
   do {
    i28 = i14 + 20 | 0;
    i24 = get16(i28 | 0) | 0;
    if (i24 & 2) {
     i32 = get32(i14 + 24 | 0) | 0;
     i13 = i32 + 8 | 0;
     if ((get32(i13 | 0) | 0) == (i14 | 0)) {
      i11 = i14;
      while (1) {
       i12 = get32(i11 + 32 | 0) | 0;
       if (!i12) {
        i50 = 0;
        break;
       }
       if (!(get16(i12 + 20 | 0) & 4)) {
        i50 = i12;
        break;
       } else i11 = i12;
      }
      set32(i13 | 0, i50 | 0);
     }
     i11 = i14 + 28 | 0;
     i12 = get32(i11 | 0) | 0;
     i27 = i14 + 32 | 0;
     i33 = get32(i27 | 0) | 0;
     i31 = i12;
     if (!i12) set32(i32 + 4 | 0, i33 | 0); else set32(i12 + 32 | 0, i33 | 0);
     i33 = get32(i27 | 0) | 0;
     if (!i33) set32(i32 | 0, i31 | 0); else set32(i33 + 28 | 0, i31 | 0);
     set32(i11 | 0, 0 | 0);
     set32(i27 | 0, 0 | 0);
     set16(i28 | 0, i24 & 65529 | 0);
     if ((get16(i14 + 22 | 0) | 0) == 0 ? (get32(i32 + 28 | 0) | 0) != 0 : 0) {
      if ((get32(i14 + 12 | 0) | 0) == 1) set32(i32 + 44 | 0, 0 | 0);
      FUNCTION_TABLE_viii[get32(324 | 0) & 63](get32(i32 + 40 | 0) | 0, i14, 0);
     }
    }
    i14 = get32(i23 | 0) | 0;
   } while ((i14 | 0) != 0);
  }
  i14 = get32(i26 | 0) | 0;
  i23 = i1 + 32 | 0;
  if ((i14 | 0) != (get32(i23 | 0) | 0)) {
   i27 = get32(i1 + 128 | 0) | 0;
   i11 = i14 - ((i14 | 0) == (((get32(199 * 4 | 0) | 0) / (i27 | 0) | 0) + 1 | 0) & 1) | 0;
   i14 = i1 + 60 | 0;
   i31 = get32(i14 | 0) | 0;
   i33 = get32(i31 | 0) | 0;
   if ((i33 | 0) != 0 ? ((get8(i9 >> 0 | 0) | 0) + -1 & 255) > 2 : 0) {
    i12 = FUNCTION_TABLE_iii[get32(i33 + 24 | 0) & 127](i31, i5) | 0;
    i31 = ((i27 | 0) < 0) << 31 >> 31;
    i33 = ___muldi3(i27 | 0, i31 | 0, i11 | 0, 0) | 0;
    i22 = tempRet0;
    if (!i12) {
     i30 = i5;
     i29 = get32(i30 | 0) | 0;
     i41 = get32(i30 + 4 | 0) | 0;
     if (!((i29 | 0) == (i33 | 0) & (i41 | 0) == (i22 | 0))) {
      if ((i41 | 0) > (i22 | 0) | (i41 | 0) == (i22 | 0) & i29 >>> 0 > i33 >>> 0) {
       i29 = get32(i14 | 0) | 0;
       i51 = FUNCTION_TABLE_iiii[get32((get32(i29 | 0) | 0) + 16 | 0) & 63](i29, i33, i22) | 0;
      } else {
       i29 = get32(i1 + 164 | 0) | 0;
       _memset(i29 | 0, 0, i27 | 0) | 0;
       i41 = get32(i14 | 0) | 0;
       i30 = _i64Subtract(i33 | 0, i22 | 0, i27 | 0, i31 | 0) | 0;
       i51 = FUNCTION_TABLE_iiiiii[get32((get32(i41 | 0) | 0) + 12 | 0) & 31](i41, i29, i27, i30, tempRet0) | 0;
      }
      if (!i51) {
       set32(i23 | 0, i11 | 0);
       i52 = 0;
      } else i52 = i51;
     } else i52 = 0;
    } else i52 = i12;
   } else i52 = 0;
   if (!(i52 | i3)) {
    i53 = i14;
    i19 = 108;
   } else i54 = i52;
  } else {
   if (i3) break;
   i53 = i1 + 60 | 0;
   i19 = 108;
  }
  if ((i19 | 0) == 108) {
   set32(i5 | 0, 0 | 0);
   i14 = get32(i53 | 0) | 0;
   if (get8(i1 + 8 >> 0 | 0) | 0) {
    i12 = get32(i14 | 0) | 0;
    if (!i12) i55 = 0; else {
     FUNCTION_TABLE_iiii[get32(i12 + 40 | 0) & 63](i14, 8, i5) | 0;
     i55 = get32(i5 | 0) | 0;
    }
   } else {
    i12 = FUNCTION_TABLE_iii[get32((get32(i14 | 0) | 0) + 20 | 0) & 127](i14, getU8(i1 + 11 >> 0 | 0) | 0) | 0;
    set32(i5 | 0, i12 | 0);
    i55 = i12;
   }
   i54 = i55;
  }
  if (i54) {
   i10 = i54;
   STACKTOP = i4;
   return i10 | 0;
  }
 } else {
  i12 = get32(i1 + 88 | 0) | 0;
  if (i12) {
   i14 = i12;
   do {
    set32(i14 + 16 | 0, 1 | 0);
    i14 = get32(i14 + 44 | 0) | 0;
   } while ((i14 | 0) != 0);
  }
 } while (0);
 if (get32(i1 + 172 | 0) | 0) {
  i10 = 0;
  STACKTOP = i4;
  return i10 | 0;
 }
 set8(i9 >> 0 | 0, 5 | 0);
 i10 = 0;
 STACKTOP = i4;
 return i10 | 0;
}

function _sqlite3RunParser(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i5 = i4 + 24 | 0;
 i6 = i4 + 16 | 0;
 i7 = i4 + 8 | 0;
 i8 = i4;
 i9 = i4 + 28 | 0;
 i10 = get32(i1 | 0) | 0;
 i11 = get32(i10 + 76 | 0) | 0;
 if (!(get32(i10 + 140 | 0) | 0)) set32(i10 + 224 | 0, 0 | 0);
 i12 = i1 + 4 | 0;
 set32(i12 | 0, 0 | 0);
 i13 = i1 + 504 | 0;
 set32(i13 | 0, i2 | 0);
 if (!(get32(50 * 4 | 0) | 0)) {
  i14 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](1612) | 0;
  if (!i14) i15 = 17; else {
   i16 = i14;
   i15 = 15;
  }
 } else {
  i14 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](1612) | 0;
  set32(35 * 4 | 0, 1612 | 0);
  if ((get32(45 * 4 | 0) | 0) < 1612) set32(45 * 4 | 0, 1612 | 0);
  i17 = get32(6 * 4 | 0) | 0;
  do if (i17) {
   i18 = get32(30 * 4 | 0) | 0;
   i19 = ((i18 | 0) < 0) << 31 >> 31;
   i20 = 16;
   i21 = _i64Subtract(get32(i20 | 0) | 0, get32(i20 + 4 | 0) | 0, i14 | 0, ((i14 | 0) < 0) << 31 >> 31 | 0) | 0;
   i20 = tempRet0;
   if ((i19 | 0) < (i20 | 0) | (i19 | 0) == (i20 | 0) & i18 >>> 0 < i21 >>> 0) {
    set32(11 * 4 | 0, 0 | 0);
    break;
   } else {
    set32(11 * 4 | 0, 1 | 0);
    i21 = get32(7 * 4 | 0) | 0;
    set32(6 * 4 | 0, 0 | 0);
    FUNCTION_TABLE_viiii[i17 & 15](i21, i18, i19, i14);
    set32(6 * 4 | 0, i17 | 0);
    set32(7 * 4 | 0, i21 | 0);
    break;
   }
  } while (0);
  i17 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i14) | 0;
  if (i17) {
   i14 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i17) | 0;
   i21 = (get32(30 * 4 | 0) | 0) + i14 | 0;
   set32(30 * 4 | 0, i21 | 0);
   if ((i21 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i21 | 0);
   i21 = get32(39 * 4 | 0) | 0;
   i14 = i21 + 1 | 0;
   set32(39 * 4 | 0, i14 | 0);
   if ((i21 | 0) < (get32(49 * 4 | 0) | 0)) {
    i16 = i17;
    i15 = 15;
   } else {
    set32(49 * 4 | 0, i14 | 0);
    set32(i17 | 0, -1 | 0);
    i22 = 0;
    i23 = i17;
   }
  } else i15 = 17;
 }
 if ((i15 | 0) == 15) {
  set32(i16 | 0, -1 | 0);
  i22 = (i16 | 0) == 0;
  i23 = i16;
 } else if ((i15 | 0) == 17) {
  set8(i10 + 30 >> 0 | 0, 1 | 0);
  i24 = 7;
  STACKTOP = i4;
  return i24 | 0;
 }
 i16 = i10 + 234 | 0;
 i17 = get8(i16 >> 0 | 0) | 0;
 if (get32(i10 + 260 | 0) | 0) set8(i16 >> 0 | 0, 1 | 0);
 i14 = i10 + 30 | 0;
 i21 = i1 + 496 | 0;
 i19 = i1 + 500 | 0;
 i18 = i10 + 224 | 0;
 i20 = 0;
 i25 = -1;
 L29 : while (1) {
  i26 = i20;
  L31 : while (1) {
   if (get8(i14 >> 0 | 0) | 0) {
    i27 = i26;
    i28 = i25;
    i15 = 32;
    break L29;
   }
   i29 = i2 + i26 | 0;
   if (!(get8(i29 >> 0 | 0) | 0)) {
    i27 = i26;
    i28 = i25;
    i15 = 32;
    break L29;
   }
   set32(i21 | 0, i29 | 0);
   i30 = _sqlite3GetToken(i29, i9) | 0;
   set32(i19 | 0, i30 | 0);
   i29 = i30 + i26 | 0;
   if ((i29 | 0) > (i11 | 0)) {
    i31 = i29;
    i32 = i25;
    i15 = 25;
    break L29;
   }
   i33 = get32(i9 | 0) | 0;
   switch (i33 | 0) {
   case 148:
    {
     i15 = 29;
     break L29;
     break;
    }
   case 1:
    {
     i34 = i30;
     i35 = i29;
     i15 = 30;
     break L31;
     break;
    }
   case 149:
    break;
   default:
    {
     i36 = i29;
     i37 = i33;
     i38 = i30;
     break L31;
    }
   }
   if (!(get32(i18 | 0) | 0)) i26 = i29; else {
    i39 = i29;
    i40 = i25;
    i15 = 28;
    break L29;
   }
  }
  if ((i15 | 0) == 30) {
   i15 = 0;
   set32(i13 | 0, i2 + i35 | 0);
   i36 = i35;
   i37 = 1;
   i38 = i34;
  }
  _sqlite3Parser(i23, i37, get32(i21 | 0) | 0, i38, i1);
  i26 = get32(i9 | 0) | 0;
  if (!(get32(i12 | 0) | 0)) {
   i20 = i36;
   i25 = i26;
  } else {
   i27 = i36;
   i28 = i26;
   i15 = 32;
   break;
  }
 }
 if ((i15 | 0) == 25) {
  set32(i12 | 0, 18 | 0);
  i27 = i31;
  i28 = i32;
  i15 = 32;
 } else if ((i15 | 0) == 28) {
  _sqlite3ErrorMsg(i1, 26473, i8);
  set32(i12 | 0, 9 | 0);
  i27 = i39;
  i28 = i40;
  i15 = 32;
 } else if ((i15 | 0) == 29) {
  _sqlite3DbFree(i10, get32(i3 | 0) | 0);
  set32(i7 | 0, i21 | 0);
  set32(i3 | 0, _sqlite3MPrintf(i10, 26483, i7) | 0 | 0);
  i41 = 1;
 }
 if ((i15 | 0) == 32) {
  i7 = i2 + i27 | 0;
  if ((get8(i7 >> 0 | 0) | 0) == 0 ? (get32(i12 | 0) | 0) == 0 : 0) {
   i27 = i1 + 496 | 0;
   if ((i28 | 0) != 1) {
    _sqlite3Parser(i23, 1, get32(i27 | 0) | 0, get32(i19 | 0) | 0, i1);
    set32(i13 | 0, i7 | 0);
   }
   _sqlite3Parser(i23, 0, get32(i27 | 0) | 0, get32(i19 | 0) | 0, i1);
   i41 = 0;
  } else i41 = 0;
 }
 do if (!i22) {
  i19 = get32(i23 | 0) | 0;
  if ((i19 | 0) > -1) {
   i27 = i23 + 8 | 0;
   i7 = i19;
   while (1) {
    if ((i7 | 0) < 0) i42 = i7; else {
     _yy_destructor(get32(i27 | 0) | 0, get8(i23 + 12 + (i7 << 4) + 2 >> 0 | 0) | 0, i23 + 12 + (i7 << 4) + 4 | 0);
     i19 = (get32(i23 | 0) | 0) + -1 | 0;
     set32(i23 | 0, i19 | 0);
     i42 = i19;
    }
    if ((i42 | 0) > -1) i7 = i42; else break;
   }
  }
  if (!(get32(50 * 4 | 0) | 0)) {
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i23);
   break;
  }
  i7 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i23) | 0;
  i27 = (get32(30 * 4 | 0) | 0) - i7 | 0;
  set32(30 * 4 | 0, i27 | 0);
  if ((i27 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i27 | 0);
  i27 = (get32(39 * 4 | 0) | 0) + -1 | 0;
  set32(39 * 4 | 0, i27 | 0);
  if ((i27 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i27 | 0);
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i23);
 } while (0);
 set8(i16 >> 0 | 0, i17 | 0);
 if (!(get8(i14 >> 0 | 0) | 0)) {
  i14 = get32(i12 | 0) | 0;
  switch (i14 | 0) {
  case 101:
  case 0:
   break;
  default:
   {
    i43 = i14;
    i15 = 53;
   }
  }
 } else {
  set32(i12 | 0, 7 | 0);
  i43 = 7;
  i15 = 53;
 }
 if ((i15 | 0) == 53 ? (i15 = i1 + 8 | 0, (get32(i15 | 0) | 0) == 0) : 0) {
  i14 = i43 & 255;
  if (i14 >>> 0 > 26 | (i14 | 0) == 2) i44 = 38974; else i44 = get32(5652 + (i14 << 2) | 0) | 0;
  set32(i6 | 0, i44 | 0);
  _sqlite3SetString(i15, i10, 16817, i6);
 }
 i6 = i1 + 8 | 0;
 i15 = get32(i6 | 0) | 0;
 if (!i15) i45 = i41; else {
  set32(i3 | 0, i15 | 0);
  i3 = get32(i12 | 0) | 0;
  set32(i5 | 0, i15 | 0);
  _sqlite3_log(i3, 16817, i5);
  set32(i6 | 0, 0 | 0);
  i45 = i41 + 1 | 0;
 }
 i41 = i1 + 12 | 0;
 i6 = get32(i41 | 0) | 0;
 if (((i6 | 0) != 0 ? (get32(i1 + 64 | 0) | 0) > 0 : 0) ? (get8(i1 + 19 >> 0 | 0) | 0) == 0 : 0) {
  i5 = get32(i6 | 0) | 0;
  i3 = get32(i6 + 60 | 0) | 0;
  i15 = i6 + 64 | 0;
  i44 = get32(i15 | 0) | 0;
  if (!i3) {
   set32(i5 + 136 | 0, i44 | 0);
   i46 = i44;
  } else {
   set32(i3 + 64 | 0, i44 | 0);
   i46 = get32(i15 | 0) | 0;
  }
  if (i46) set32(i46 + 60 | 0, i3 | 0);
  set32(i6 + 52 | 0, -1241070648 | 0);
  set32(i6 | 0, 0 | 0);
  _sqlite3VdbeDeleteObject(i5, i6);
  set32(i41 | 0, 0 | 0);
 }
 if (!(get8(i1 + 19 >> 0 | 0) | 0)) {
  i41 = i1 + 404 | 0;
  _sqlite3DbFree(i10, get32(i41 | 0) | 0);
  set32(i41 | 0, 0 | 0);
  set32(i1 + 400 | 0, 0 | 0);
 }
 i41 = get32(i1 + 536 | 0) | 0;
 do if (i41) {
  if (!(get32(50 * 4 | 0) | 0)) {
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i41);
   break;
  }
  i6 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i41) | 0;
  i5 = (get32(30 * 4 | 0) | 0) - i6 | 0;
  set32(30 * 4 | 0, i5 | 0);
  if ((i5 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i5 | 0);
  i5 = (get32(39 * 4 | 0) | 0) + -1 | 0;
  set32(39 * 4 | 0, i5 | 0);
  if ((i5 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i5 | 0);
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i41);
 } while (0);
 if (!(get8(i1 + 528 >> 0 | 0) | 0)) _sqlite3DeleteTable(i10, get32(i1 + 508 | 0) | 0);
 i41 = get32(i1 + 512 | 0) | 0;
 if (i41) {
  i5 = get32(i41 + 28 | 0) | 0;
  if (i5) {
   i6 = i5;
   do {
    i5 = i6;
    i6 = get32(i6 + 32 | 0) | 0;
    _sqlite3ExprDelete(i10, get32(i5 + 20 | 0) | 0);
    i3 = get32(i5 + 24 | 0) | 0;
    if (i3) {
     i46 = i3 + 12 | 0;
     if ((get32(i3 | 0) | 0) > 0) {
      i15 = 0;
      i44 = get32(i46 | 0) | 0;
      while (1) {
       _sqlite3ExprDelete(i10, get32(i44 | 0) | 0);
       _sqlite3DbFree(i10, get32(i44 + 4 | 0) | 0);
       _sqlite3DbFree(i10, get32(i44 + 8 | 0) | 0);
       i15 = i15 + 1 | 0;
       if ((i15 | 0) >= (get32(i3 | 0) | 0)) break; else i44 = i44 + 20 | 0;
      }
     }
     _sqlite3DbFree(i10, get32(i46 | 0) | 0);
     _sqlite3DbFree(i10, i3);
    }
    i44 = get32(i5 + 8 | 0) | 0;
    if (i44) {
     i15 = get32(i44 | 0) | 0;
     if (i15) {
      i14 = i15 + 12 | 0;
      if ((get32(i15 | 0) | 0) > 0) {
       i43 = 0;
       i17 = get32(i14 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i10, get32(i17 | 0) | 0);
        _sqlite3DbFree(i10, get32(i17 + 4 | 0) | 0);
        _sqlite3DbFree(i10, get32(i17 + 8 | 0) | 0);
        i43 = i43 + 1 | 0;
        if ((i43 | 0) >= (get32(i15 | 0) | 0)) break; else i17 = i17 + 20 | 0;
       }
      }
      _sqlite3DbFree(i10, get32(i14 | 0) | 0);
      _sqlite3DbFree(i10, i15);
     }
     _sqlite3SrcListDelete(i10, get32(i44 + 8 | 0) | 0);
     _sqlite3ExprDelete(i10, get32(i44 + 12 | 0) | 0);
     i17 = get32(i44 + 16 | 0) | 0;
     if (i17) {
      i43 = i17 + 12 | 0;
      if ((get32(i17 | 0) | 0) > 0) {
       i3 = 0;
       i46 = get32(i43 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i10, get32(i46 | 0) | 0);
        _sqlite3DbFree(i10, get32(i46 + 4 | 0) | 0);
        _sqlite3DbFree(i10, get32(i46 + 8 | 0) | 0);
        i3 = i3 + 1 | 0;
        if ((i3 | 0) >= (get32(i17 | 0) | 0)) break; else i46 = i46 + 20 | 0;
       }
      }
      _sqlite3DbFree(i10, get32(i43 | 0) | 0);
      _sqlite3DbFree(i10, i17);
     }
     _sqlite3ExprDelete(i10, get32(i44 + 20 | 0) | 0);
     i46 = get32(i44 + 24 | 0) | 0;
     if (i46) {
      i3 = i46 + 12 | 0;
      if ((get32(i46 | 0) | 0) > 0) {
       i15 = 0;
       i14 = get32(i3 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i10, get32(i14 | 0) | 0);
        _sqlite3DbFree(i10, get32(i14 + 4 | 0) | 0);
        _sqlite3DbFree(i10, get32(i14 + 8 | 0) | 0);
        i15 = i15 + 1 | 0;
        if ((i15 | 0) >= (get32(i46 | 0) | 0)) break; else i14 = i14 + 20 | 0;
       }
      }
      _sqlite3DbFree(i10, get32(i3 | 0) | 0);
      _sqlite3DbFree(i10, i46);
     }
     i14 = get32(i44 + 28 | 0) | 0;
     if (i14) {
      i15 = get32(i14 | 0) | 0;
      if (i15) {
       i17 = i15 + 12 | 0;
       if ((get32(i15 | 0) | 0) > 0) {
        i43 = 0;
        i16 = get32(i17 | 0) | 0;
        while (1) {
         _sqlite3ExprDelete(i10, get32(i16 | 0) | 0);
         _sqlite3DbFree(i10, get32(i16 + 4 | 0) | 0);
         _sqlite3DbFree(i10, get32(i16 + 8 | 0) | 0);
         i43 = i43 + 1 | 0;
         if ((i43 | 0) >= (get32(i15 | 0) | 0)) break; else i16 = i16 + 20 | 0;
        }
       }
       _sqlite3DbFree(i10, get32(i17 | 0) | 0);
       _sqlite3DbFree(i10, i15);
      }
      _sqlite3SrcListDelete(i10, get32(i14 + 8 | 0) | 0);
      _sqlite3ExprDelete(i10, get32(i14 + 12 | 0) | 0);
      i16 = get32(i14 + 16 | 0) | 0;
      if (i16) {
       i43 = i16 + 12 | 0;
       if ((get32(i16 | 0) | 0) > 0) {
        i46 = 0;
        i3 = get32(i43 | 0) | 0;
        while (1) {
         _sqlite3ExprDelete(i10, get32(i3 | 0) | 0);
         _sqlite3DbFree(i10, get32(i3 + 4 | 0) | 0);
         _sqlite3DbFree(i10, get32(i3 + 8 | 0) | 0);
         i46 = i46 + 1 | 0;
         if ((i46 | 0) >= (get32(i16 | 0) | 0)) break; else i3 = i3 + 20 | 0;
        }
       }
       _sqlite3DbFree(i10, get32(i43 | 0) | 0);
       _sqlite3DbFree(i10, i16);
      }
      _sqlite3ExprDelete(i10, get32(i14 + 20 | 0) | 0);
      i3 = get32(i14 + 24 | 0) | 0;
      if (i3) {
       i46 = i3 + 12 | 0;
       if ((get32(i3 | 0) | 0) > 0) {
        i15 = 0;
        i17 = get32(i46 | 0) | 0;
        while (1) {
         _sqlite3ExprDelete(i10, get32(i17 | 0) | 0);
         _sqlite3DbFree(i10, get32(i17 + 4 | 0) | 0);
         _sqlite3DbFree(i10, get32(i17 + 8 | 0) | 0);
         i15 = i15 + 1 | 0;
         if ((i15 | 0) >= (get32(i3 | 0) | 0)) break; else i17 = i17 + 20 | 0;
        }
       }
       _sqlite3DbFree(i10, get32(i46 | 0) | 0);
       _sqlite3DbFree(i10, i3);
      }
      _sqlite3SelectDelete(i10, get32(i14 + 28 | 0) | 0);
      _sqlite3ExprDelete(i10, get32(i14 + 40 | 0) | 0);
      _sqlite3ExprDelete(i10, get32(i14 + 44 | 0) | 0);
      _sqlite3DbFree(i10, i14);
     }
     _sqlite3ExprDelete(i10, get32(i44 + 40 | 0) | 0);
     _sqlite3ExprDelete(i10, get32(i44 + 44 | 0) | 0);
     _sqlite3DbFree(i10, i44);
    }
    i17 = get32(i5 + 28 | 0) | 0;
    if (i17) {
     i15 = i17 + 4 | 0;
     if ((get32(i15 | 0) | 0) > 0) {
      i16 = 0;
      do {
       _sqlite3DbFree(i10, get32((get32(i17 | 0) | 0) + (i16 << 3) | 0) | 0);
       i16 = i16 + 1 | 0;
      } while ((i16 | 0) < (get32(i15 | 0) | 0));
     }
     _sqlite3DbFree(i10, get32(i17 | 0) | 0);
     _sqlite3DbFree(i10, i17);
    }
    _sqlite3DbFree(i10, i5);
   } while ((i6 | 0) != 0);
  }
  _sqlite3DbFree(i10, get32(i41 | 0) | 0);
  _sqlite3DbFree(i10, get32(i41 + 4 | 0) | 0);
  _sqlite3ExprDelete(i10, get32(i41 + 12 | 0) | 0);
  i6 = get32(i41 + 16 | 0) | 0;
  if (i6) {
   i15 = i6 + 4 | 0;
   if ((get32(i15 | 0) | 0) > 0) {
    i16 = 0;
    do {
     _sqlite3DbFree(i10, get32((get32(i6 | 0) | 0) + (i16 << 3) | 0) | 0);
     i16 = i16 + 1 | 0;
    } while ((i16 | 0) < (get32(i15 | 0) | 0));
   }
   _sqlite3DbFree(i10, get32(i6 | 0) | 0);
   _sqlite3DbFree(i10, i6);
  }
  _sqlite3DbFree(i10, i41);
 }
 i41 = get32(i1 + 460 | 0) | 0;
 i6 = i1 + 464 | 0;
 if ((i41 | 0) > 0) {
  i15 = i41;
  do {
   i41 = i15;
   i15 = i15 + -1 | 0;
   _sqlite3DbFree(i10, get32((get32(i6 | 0) | 0) + (i15 << 2) | 0) | 0);
  } while ((i41 | 0) > 1);
 }
 _sqlite3DbFree(i10, get32(i6 | 0) | 0);
 _sqlite3DbFree(i10, get32(i1 + 480 | 0) | 0);
 i6 = i1 + 416 | 0;
 i15 = get32(i6 | 0) | 0;
 if (i15) {
  i41 = i15;
  do {
   set32(i6 | 0, get32(i41 | 0) | 0);
   _sqlite3DbFree(i10, i41);
   i41 = get32(i6 | 0) | 0;
  } while ((i41 | 0) != 0);
 }
 i41 = i1 + 544 | 0;
 i1 = get32(i41 | 0) | 0;
 if (i1) {
  i6 = i1;
  do {
   set32(i41 | 0, get32(i6 + 72 | 0) | 0);
   _sqlite3DeleteTable(i10, i6);
   i6 = get32(i41 | 0) | 0;
  } while ((i6 | 0) != 0);
 }
 if ((i45 | 0) <= 0) {
  i24 = i45;
  STACKTOP = i4;
  return i24 | 0;
 }
 if (get32(i12 | 0) | 0) {
  i24 = i45;
  STACKTOP = i4;
  return i24 | 0;
 }
 set32(i12 | 0, 1 | 0);
 i24 = i45;
 STACKTOP = i4;
 return i24 | 0;
}

function _walIndexReadHdr(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0, i80 = 0, i81 = 0, i82 = 0, i83 = 0, i84 = 0, i85 = 0, i86 = 0, i87 = 0, i88 = 0, i89 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 80 | 0;
 i4 = i3 + 24 | 0;
 i5 = i3 + 16 | 0;
 i6 = i3 + 8 | 0;
 i7 = i3;
 i8 = i3 + 40 | 0;
 i9 = i3 + 32 | 0;
 i10 = _walIndexPage(i1, 0, i9) | 0;
 if (i10) {
  i11 = i10;
  STACKTOP = i3;
  return i11 | 0;
 }
 if (get32(i9 | 0) | 0) {
  i10 = _walIndexTryHdr(i1, i2) | 0;
  if (!i10) i12 = 0; else {
   i13 = i10;
   i14 = 4;
  }
 } else {
  i13 = 1;
  i14 = 4;
 }
 if ((i14 | 0) == 4) {
  i14 = i1 + 38 | 0;
  i10 = (get8(i14 >> 0 | 0) | 0) == 0;
  if (get8(i1 + 41 >> 0 | 0) & 2) {
   if (!i10) {
    i11 = 264;
    STACKTOP = i3;
    return i11 | 0;
   }
   i15 = i1 + 4 | 0;
   i16 = get32(i15 | 0) | 0;
   i17 = FUNCTION_TABLE_iiiii[get32((get32(i16 | 0) | 0) + 56 | 0) & 31](i16, 0, 1, 6) | 0;
   if (i17) {
    i11 = i17;
    STACKTOP = i3;
    return i11 | 0;
   }
   if (get8(i14 >> 0 | 0) | 0) {
    i11 = 264;
    STACKTOP = i3;
    return i11 | 0;
   }
   i17 = get32(i15 | 0) | 0;
   FUNCTION_TABLE_iiiii[get32((get32(i17 | 0) | 0) + 56 | 0) & 31](i17, 0, 1, 5) | 0;
   i11 = 264;
   STACKTOP = i3;
   return i11 | 0;
  }
  if (i10 ? (i10 = get32(i1 + 4 | 0) | 0, i17 = FUNCTION_TABLE_iiiii[get32((get32(i10 | 0) | 0) + 56 | 0) & 31](i10, 0, 1, 10) | 0, (i17 | 0) != 0) : 0) {
   i11 = i17;
   STACKTOP = i3;
   return i11 | 0;
  }
  i17 = i1 + 39 | 0;
  set8(i17 >> 0 | 0, 1 | 0);
  i10 = _walIndexPage(i1, 0, i9) | 0;
  if (!i10) {
   i9 = _walIndexTryHdr(i1, i2) | 0;
   if (!i9) {
    i18 = 0;
    i19 = 0;
   } else {
    i15 = getU8(i1 + 40 >> 0 | 0) | 0;
    i16 = i15 + 1 | 0;
    i20 = 7 - i15 | 0;
    if ((get8(i14 >> 0 | 0) | 0) == 0 ? (i15 = get32(i1 + 4 | 0) | 0, i21 = FUNCTION_TABLE_iiiii[get32((get32(i15 | 0) | 0) + 56 | 0) & 31](i15, i16, i20, 10) | 0, (i21 | 0) != 0) : 0) i22 = i21; else {
     i21 = i1 + 44 | 0;
     i15 = i21;
     i23 = i15 + 48 | 0;
     do {
      set32(i15 | 0, 0 | 0);
      i15 = i15 + 4 | 0;
     } while ((i15 | 0) < (i23 | 0));
     i24 = i1 + 8 | 0;
     i25 = get32(i24 | 0) | 0;
     i26 = FUNCTION_TABLE_iii[get32((get32(i25 | 0) | 0) + 24 | 0) & 127](i25, i7) | 0;
     do if (!i26) {
      i25 = i7;
      i27 = get32(i25 + 4 | 0) | 0;
      if ((i27 | 0) > 0 | (i27 | 0) == 0 & (get32(i25 | 0) | 0) >>> 0 > 32) {
       i25 = get32(i24 | 0) | 0;
       i27 = FUNCTION_TABLE_iiiiii[get32((get32(i25 | 0) | 0) + 8 | 0) & 31](i25, i8, 32, 0, 0) | 0;
       if (i27) {
        i28 = i27;
        break;
       }
       i27 = get32(i8 | 0) | 0;
       i25 = i27 >>> 24;
       i29 = get32(i8 + 8 | 0) | 0;
       i30 = i29 << 8 & 16711680 | i29 << 24;
       i31 = i29 >>> 8 & 65280;
       i32 = _llvm_bswap_i32(i29 | 0) | 0;
       if ((i27 << 8 & 16711680 | i27 << 24 | i27 >>> 8 & 65280 | i25 & 254 | 0) == 931071618 ? !((i32 + -512 | 0) >>> 0 > 65024 | (i32 + -1 & i32 | 0) != 0) : 0) {
        i33 = i25 & 1;
        i25 = i1 + 57 | 0;
        set8(i25 >> 0 | 0, i33 | 0);
        i34 = i1 + 32 | 0;
        set32(i34 | 0, i32 | 0);
        i35 = get32(i8 + 12 | 0) | 0;
        set32(i1 + 96 | 0, _llvm_bswap_i32(i35 | 0) | 0 | 0);
        i36 = i1 + 76 | 0;
        i37 = i8 + 16 | 0;
        i38 = get32(i37 | 0) | 0;
        i39 = get32(i37 + 4 | 0) | 0;
        i37 = i36;
        i40 = i37;
        set8(i40 >> 0 | 0, i38 | 0);
        set8(i40 + 1 >> 0 | 0, i38 >> 8 | 0);
        set8(i40 + 2 >> 0 | 0, i38 >> 16 | 0);
        set8(i40 + 3 >> 0 | 0, i38 >> 24 | 0);
        i40 = i37 + 4 | 0;
        set8(i40 >> 0 | 0, i39 | 0);
        set8(i40 + 1 >> 0 | 0, i39 >> 8 | 0);
        set8(i40 + 2 >> 0 | 0, i39 >> 16 | 0);
        set8(i40 + 3 >> 0 | 0, i39 >> 24 | 0);
        i39 = i1 + 68 | 0;
        if (!(i33 << 24 >> 24)) {
         i33 = get32(i8 + 4 | 0) | 0;
         i40 = i33 + i27 | 0;
         i37 = i40 + i27 + i29 | 0;
         i41 = i35 + i40 + i37 | 0;
         i40 = i37 + i38 + i41 | 0;
         i42 = i33;
         i43 = i41 + (get32(i8 + 20 | 0) | 0) + i40 | 0;
         i44 = i40;
        } else {
         i40 = _llvm_bswap_i32(i27 | 0) | 0;
         i27 = get32(i8 + 4 | 0) | 0;
         i41 = (_llvm_bswap_i32(i27 | 0) | 0) + i40 | 0;
         i33 = i41 + i40 + (_llvm_bswap_i32(i29 | 0) | 0) | 0;
         i29 = i33 + i41 + (_llvm_bswap_i32(i35 | 0) | 0) | 0;
         i35 = i29 + i33 + (_llvm_bswap_i32(i38 | 0) | 0) | 0;
         i42 = i27;
         i43 = i35 + i29 + (_llvm_bswap_i32(get32(i8 + 20 | 0) | 0) | 0) | 0;
         i44 = i35;
        }
        set32(i39 | 0, i44 | 0);
        i35 = i1 + 72 | 0;
        set32(i35 | 0, i43 | 0);
        if ((i44 | 0) == (_llvm_bswap_i32(get32(i8 + 24 | 0) | 0) | 0) ? (i43 | 0) == (_llvm_bswap_i32(get32(i8 + 28 | 0) | 0) | 0) : 0) {
         i29 = get16(i8 + 6 | 0) | 0;
         if ((getU8(i8 + 5 >> 0 | 0) << 16 | i42 << 24 | (i29 & 65535) << 8 & 65280 | (i29 & 65535) >>> 8 & 65535 | 0) != 3007e3) {
          set32(i6 | 0, 44764 | 0);
          set32(i6 + 4 | 0, 17203 | 0);
          _sqlite3_log(14, 19280, i6);
          i28 = 14;
          break;
         }
         i29 = i32 + 24 | 0;
         i32 = _sqlite3_malloc(i29) | 0;
         if (!i32) {
          i28 = 7;
          break;
         }
         i27 = i32 + 24 | 0;
         i38 = i32 + 8 | 0;
         i33 = i32 + 20 | 0;
         i41 = i32 + 4 | 0;
         i40 = ((i29 | 0) < 0) << 31 >> 31;
         i37 = i32 + 1 | 0;
         i45 = i32 + 2 | 0;
         i46 = i32 + 3 | 0;
         i47 = i32 + 16 | 0;
         i48 = i32 + 17 | 0;
         i49 = i32 + 18 | 0;
         i50 = i32 + 19 | 0;
         i51 = i32 + 21 | 0;
         i52 = i32 + 22 | 0;
         i53 = i32 + 23 | 0;
         i54 = i32 + 5 | 0;
         i55 = i32 + 6 | 0;
         i56 = i32 + 7 | 0;
         i57 = i1 + 60 | 0;
         i58 = i1 + 64 | 0;
         i59 = (i30 >>> 16 | i31) & 65535;
         i31 = i1 + 58 | 0;
         i30 = 32;
         i60 = 0;
         i61 = 0;
         i62 = 0;
         i63 = 0;
         L49 : while (1) {
          i64 = i30;
          i65 = i60;
          i66 = i63;
          while (1) {
           i67 = _i64Add(i64 | 0, i65 | 0, i29 | 0, i40 | 0) | 0;
           i68 = tempRet0;
           i69 = i7;
           i70 = get32(i69 + 4 | 0) | 0;
           if ((i68 | 0) > (i70 | 0) | ((i68 | 0) == (i70 | 0) ? i67 >>> 0 > (get32(i69 | 0) | 0) >>> 0 : 0)) {
            i71 = i61;
            i72 = i62;
            i73 = 0;
            break L49;
           }
           i69 = get32(i24 | 0) | 0;
           i70 = FUNCTION_TABLE_iiiiii[get32((get32(i69 | 0) | 0) + 8 | 0) & 31](i69, i32, i29, i64, i65) | 0;
           if (i70) {
            i71 = i61;
            i72 = i62;
            i73 = i70;
            break L49;
           }
           if (_memcmp(i36, i38, 8) | 0) {
            i71 = i61;
            i72 = i62;
            i73 = 0;
            break L49;
           }
           i70 = getU8(i37 >> 0 | 0) << 16 | getU8(i32 >> 0 | 0) << 24 | getU8(i45 >> 0 | 0) << 8 | getU8(i46 >> 0 | 0);
           if (!i70) {
            i71 = i61;
            i72 = i62;
            i73 = 0;
            break L49;
           }
           i69 = get32(i39 | 0) | 0;
           i74 = get32(i35 | 0) | 0;
           i75 = get32(i32 | 0) | 0;
           if (!(get8(i25 >> 0 | 0) | 0)) {
            i76 = i74 + i69 + i75 | 0;
            i77 = i76 + i74 + (get32(i41 | 0) | 0) | 0;
            set32(i39 | 0, i76 | 0);
            set32(i35 | 0, i77 | 0);
            i78 = i32 + ((get32(i34 | 0) | 0) + 24) | 0;
            i79 = i27;
            i80 = i76;
            i76 = i77;
            while (1) {
             i77 = i80 + i76 + (get32(i79 | 0) | 0) | 0;
             i81 = (get32(i79 + 4 | 0) | 0) + i76 + i77 | 0;
             i79 = i79 + 8 | 0;
             if (i79 >>> 0 >= i78 >>> 0) {
              i82 = i81;
              i83 = i77;
              break;
             } else {
              i80 = i77;
              i76 = i81;
             }
            }
           } else {
            i76 = i74 + i69 + (_llvm_bswap_i32(i75 | 0) | 0) | 0;
            i80 = i76 + i74 + (_llvm_bswap_i32(get32(i41 | 0) | 0) | 0) | 0;
            set32(i39 | 0, i76 | 0);
            set32(i35 | 0, i80 | 0);
            i78 = i32 + ((get32(i34 | 0) | 0) + 24) | 0;
            i79 = i27;
            i81 = i76;
            i76 = i80;
            while (1) {
             i80 = i81 + i76 + (_llvm_bswap_i32(get32(i79 | 0) | 0) | 0) | 0;
             i77 = i80 + i76 + (_llvm_bswap_i32(get32(i79 + 4 | 0) | 0) | 0) | 0;
             i79 = i79 + 8 | 0;
             if (i79 >>> 0 >= i78 >>> 0) {
              i82 = i77;
              i83 = i80;
              break;
             } else {
              i81 = i80;
              i76 = i77;
             }
            }
           }
           set32(i39 | 0, i83 | 0);
           set32(i35 | 0, i82 | 0);
           if ((i83 | 0) != (getU8(i48 >> 0 | 0) << 16 | getU8(i47 >> 0 | 0) << 24 | getU8(i49 >> 0 | 0) << 8 | getU8(i50 >> 0 | 0) | 0)) {
            i71 = i61;
            i72 = i62;
            i73 = 0;
            break L49;
           }
           if ((i82 | 0) != (getU8(i51 >> 0 | 0) << 16 | getU8(i33 >> 0 | 0) << 24 | getU8(i52 >> 0 | 0) << 8 | getU8(i53 >> 0 | 0) | 0)) {
            i71 = i61;
            i72 = i62;
            i73 = 0;
            break L49;
           }
           i76 = getU8(i54 >> 0 | 0) << 16 | getU8(i41 >> 0 | 0) << 24 | getU8(i55 >> 0 | 0) << 8 | getU8(i56 >> 0 | 0);
           i81 = i66 + 1 | 0;
           i78 = _walIndexAppend(i1, i81, i70) | 0;
           if (i78) {
            i71 = i61;
            i72 = i62;
            i73 = i78;
            break L49;
           }
           if (!i76) {
            i64 = i67;
            i65 = i68;
            i66 = i81;
           } else {
            i84 = i76;
            i85 = i81;
            i86 = i67;
            i87 = i68;
            break;
           }
          }
          set32(i57 | 0, i85 | 0);
          set32(i58 | 0, i84 | 0);
          set16(i31 | 0, i59 | 0);
          i30 = i86;
          i60 = i87;
          i61 = get32(i39 | 0) | 0;
          i62 = get32(i35 | 0) | 0;
          i63 = i85;
         }
         if (!(get32(50 * 4 | 0) | 0)) FUNCTION_TABLE_vi[get32(232 | 0) & 31](i32); else {
          i63 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i32) | 0;
          i35 = (get32(30 * 4 | 0) | 0) - i63 | 0;
          set32(30 * 4 | 0, i35 | 0);
          if ((i35 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i35 | 0);
          i35 = (get32(39 * 4 | 0) | 0) + -1 | 0;
          set32(39 * 4 | 0, i35 | 0);
          if ((i35 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i35 | 0);
          FUNCTION_TABLE_vi[get32(232 | 0) & 31](i32);
         }
         if (!i73) {
          i88 = i71;
          i89 = i72;
         } else {
          i28 = i73;
          break;
         }
        } else {
         i88 = 0;
         i89 = 0;
        }
       } else {
        i88 = 0;
        i89 = 0;
       }
      } else {
       i88 = 0;
       i89 = 0;
      }
      set32(i1 + 68 | 0, i88 | 0);
      set32(i1 + 72 | 0, i89 | 0);
      i35 = i1 + 28 | 0;
      i63 = get32(get32(i35 | 0) | 0) | 0;
      set8(i1 + 56 >> 0 | 0, 1 | 0);
      set32(i21 | 0, 3007e3 | 0);
      i62 = get32(i21 + 4 | 0) | 0;
      i39 = i62 + 6014e3 + (get32(i21 + 8 | 0) | 0) | 0;
      i61 = i62 + 3007e3 + (get32(i21 + 12 | 0) | 0) + i39 | 0;
      i62 = (get32(i21 + 16 | 0) | 0) + i39 + i61 | 0;
      i39 = (get32(i21 + 20 | 0) | 0) + i61 + i62 | 0;
      i61 = i62 + i88 + i39 | 0;
      i62 = i39 + i89 + i61 | 0;
      i39 = i61 + (get32(i21 + 32 | 0) | 0) + i62 | 0;
      i61 = i62 + (get32(i21 + 36 | 0) | 0) + i39 | 0;
      set32(i1 + 84 | 0, i39 | 0);
      set32(i1 + 88 | 0, i61 | 0);
      i15 = i63 + 48 | 0;
      i61 = i21;
      i23 = i15 + 48 | 0;
      do {
       set8(i15 >> 0 | 0, get8(i61 >> 0 | 0) | 0 | 0);
       i15 = i15 + 1 | 0;
       i61 = i61 + 1 | 0;
      } while ((i15 | 0) < (i23 | 0));
      if ((get8(i14 >> 0 | 0) | 0) != 2) {
       i32 = get32(i1 + 4 | 0) | 0;
       FUNCTION_TABLE_vi[get32((get32(i32 | 0) | 0) + 60 | 0) & 31](i32);
      }
      i15 = i63;
      i61 = i21;
      i23 = i15 + 48 | 0;
      do {
       set8(i15 >> 0 | 0, get8(i61 >> 0 | 0) | 0 | 0);
       i15 = i15 + 1 | 0;
       i61 = i61 + 1 | 0;
      } while ((i15 | 0) < (i23 | 0));
      i61 = get32(get32(i35 | 0) | 0) | 0;
      set32(i61 + 96 | 0, 0 | 0);
      set32(i61 + 100 | 0, 0 | 0);
      set32(i61 + 104 | 0, -1 | 0);
      set32(i61 + 108 | 0, -1 | 0);
      set32(i61 + 112 | 0, -1 | 0);
      set32(i61 + 116 | 0, -1 | 0);
      i61 = get32(i1 + 64 | 0) | 0;
      if (!i61) i28 = 0; else {
       i63 = get32(i1 + 92 | 0) | 0;
       set32(i5 | 0, i61 | 0);
       set32(i5 + 4 | 0, i63 | 0);
       _sqlite3_log(0, 19578, i5);
       i28 = 0;
      }
     } else i28 = i26; while (0);
     if (!(get8(i14 >> 0 | 0) | 0)) {
      i26 = get32(i1 + 4 | 0) | 0;
      FUNCTION_TABLE_iiiii[get32((get32(i26 | 0) | 0) + 56 | 0) & 31](i26, i16, i20, 9) | 0;
      i22 = i28;
     } else i22 = i28;
    }
    set32(i2 | 0, 1 | 0);
    i18 = i9;
    i19 = i22;
   }
  } else {
   i18 = i13;
   i19 = i10;
  }
  set8(i17 >> 0 | 0, 0 | 0);
  if (!(get8(i14 >> 0 | 0) | 0)) {
   i14 = get32(i1 + 4 | 0) | 0;
   FUNCTION_TABLE_iiiii[get32((get32(i14 | 0) | 0) + 56 | 0) & 31](i14, 0, 1, 9) | 0;
  }
  if (!i18) i12 = i19; else {
   i11 = i19;
   STACKTOP = i3;
   return i11 | 0;
  }
 }
 if ((get32(i1 + 44 | 0) | 0) == 3007e3) {
  i11 = i12;
  STACKTOP = i3;
  return i11 | 0;
 }
 set32(i4 | 0, 45588 | 0);
 set32(i4 + 4 | 0, 17203 | 0);
 _sqlite3_log(14, 19280, i4);
 i11 = 14;
 STACKTOP = i3;
 return i11 | 0;
}

function _pagerWalFrames(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0;
 i6 = STACKTOP;
 STACKTOP = STACKTOP + 80 | 0;
 i7 = i6 + 8 | 0;
 i8 = i6 + 52 | 0;
 i9 = i6;
 i10 = i6 + 48 | 0;
 i11 = i6 + 56 | 0;
 i12 = i6 + 16 | 0;
 i13 = i6 + 12 | 0;
 set32(i13 | 0, i2 | 0);
 i14 = (i4 | 0) == 0;
 if (!i14) {
  set32(i13 | 0, i2 | 0);
  if (!i2) i15 = 0; else {
   i4 = i2;
   i16 = i13;
   do {
    i17 = i4 + 8 | 0;
    i16 = (get32(i4 + 12 | 0) | 0) >>> 0 > i3 >>> 0 ? i16 : i17;
    i4 = get32(i17 | 0) | 0;
    set32(i16 | 0, i4 | 0);
   } while ((i4 | 0) != 0);
   i15 = get32(i13 | 0) | 0;
  }
 } else i15 = i2;
 if ((get32(i15 + 12 | 0) | 0) == 1) {
  i2 = get32(i15 + 16 | 0) | 0;
  i4 = (getU8(i2 + 101 >> 0 | 0) << 16 | getU8(i2 + 100 >> 0 | 0) << 24 | getU8(i2 + 102 >> 0 | 0) << 8 | getU8(i2 + 103 >> 0 | 0)) + 1 | 0;
  i2 = get32(i15 | 0) | 0;
  i16 = i4 >>> 24 & 255;
  set8(i2 + 24 >> 0 | 0, i16 | 0);
  i17 = i4 >>> 16 & 255;
  set8(i2 + 25 >> 0 | 0, i17 | 0);
  i18 = i4 >>> 8 & 255;
  set8(i2 + 26 >> 0 | 0, i18 | 0);
  i19 = i4 & 255;
  set8(i2 + 27 >> 0 | 0, i19 | 0);
  i2 = get32(i15 | 0) | 0;
  set8(i2 + 92 >> 0 | 0, i16 | 0);
  set8(i2 + 93 >> 0 | 0, i17 | 0);
  set8(i2 + 94 >> 0 | 0, i18 | 0);
  set8(i2 + 95 >> 0 | 0, i19 | 0);
  i19 = get32(i15 | 0) | 0;
  set8(i19 + 96 >> 0 | 0, 0 | 0);
  set8(i19 + 97 >> 0 | 0, 45 | 0);
  set8(i19 + 98 >> 0 | 0, -30 | 0);
  set8(i19 + 99 >> 0 | 0, 31 | 0);
 }
 i19 = get32(i1 + 172 | 0) | 0;
 i2 = get32(i1 + 128 | 0) | 0;
 i18 = i19 + 36 | 0;
 L10 : do if (!(get16(i18 | 0) | 0)) {
  i17 = i19 + 28 | 0;
  i16 = get32(get32(i17 | 0) | 0) | 0;
  i4 = i16 + 96 | 0;
  L12 : do if (get32(i4 | 0) | 0) {
   _sqlite3_randomness(4, i8);
   i20 = i19 + 38 | 0;
   if (!(get8(i20 >> 0 | 0) | 0)) {
    i21 = get32(i19 + 4 | 0) | 0;
    i22 = FUNCTION_TABLE_iiiii[get32((get32(i21 | 0) | 0) + 56 | 0) & 31](i21, 4, 4, 10) | 0;
    switch (i22 | 0) {
    case 5:
     {
      i23 = i20;
      break L12;
      break;
     }
    case 0:
     break;
    default:
     {
      i24 = i22;
      break L10;
     }
    }
   }
   i22 = i19 + 76 | 0;
   i21 = i19 + 16 | 0;
   i25 = i21;
   i26 = get32(i25 + 4 | 0) | 0;
   if ((i26 | 0) > -1 | (i26 | 0) == -1 & (get32(i25 | 0) | 0) >>> 0 > 4294967295) {
    i25 = get32(366 * 4 | 0) | 0;
    if (i25) FUNCTION_TABLE_v[i25 & 1]();
    i25 = i19 + 8 | 0;
    i26 = get32(i25 | 0) | 0;
    i27 = FUNCTION_TABLE_iii[get32((get32(i26 | 0) | 0) + 24 | 0) & 127](i26, i9) | 0;
    if (!i27) {
     i26 = i9;
     i28 = get32(i26 + 4 | 0) | 0;
     i29 = i21;
     i21 = get32(i29 | 0) | 0;
     i30 = get32(i29 + 4 | 0) | 0;
     if ((i28 | 0) > (i30 | 0) | ((i28 | 0) == (i30 | 0) ? (get32(i26 | 0) | 0) >>> 0 > i21 >>> 0 : 0)) {
      i26 = get32(i25 | 0) | 0;
      i31 = FUNCTION_TABLE_iiii[get32((get32(i26 | 0) | 0) + 16 | 0) & 63](i26, i21, i30) | 0;
     } else i31 = 0;
    } else i31 = i27;
    i27 = get32(367 * 4 | 0) | 0;
    if (i27) FUNCTION_TABLE_v[i27 & 1]();
    if (i31) {
     set32(i7 | 0, get32(i19 + 92 | 0) | 0);
     _sqlite3_log(i31, 19552, i7);
    }
   }
   i27 = i19 + 96 | 0;
   set32(i27 | 0, (get32(i27 | 0) | 0) + 1 | 0);
   set32(i19 + 60 | 0, 0 | 0);
   i27 = i22 + 1 | 0;
   i30 = i22 + 2 | 0;
   i21 = i22 + 3 | 0;
   i26 = (getU8(i27 >> 0 | 0) << 16 | getU8(i22 >> 0 | 0) << 24 | getU8(i30 >> 0 | 0) << 8 | getU8(i21 >> 0 | 0)) + 1 | 0;
   set8(i22 >> 0 | 0, i26 >>> 24 | 0);
   set8(i27 >> 0 | 0, i26 >>> 16 | 0);
   set8(i30 >> 0 | 0, i26 >>> 8 | 0);
   set8(i21 >> 0 | 0, i26 | 0);
   i26 = get32(i8 | 0) | 0;
   set32(i19 + 80 | 0, i26 | 0);
   i21 = get32(get32(i17 | 0) | 0) | 0;
   i30 = i19 + 44 | 0;
   set8(i19 + 56 >> 0 | 0, 1 | 0);
   set32(i30 | 0, 3007e3 | 0);
   i27 = get32(i30 + 4 | 0) | 0;
   i22 = i27 + 6014e3 + (get32(i30 + 8 | 0) | 0) | 0;
   i25 = i27 + 3007e3 + (get32(i30 + 12 | 0) | 0) + i22 | 0;
   i27 = i25 + i22 | 0;
   i22 = i25 + (get32(i30 + 20 | 0) | 0) + i27 | 0;
   i25 = i27 + (get32(i30 + 24 | 0) | 0) + i22 | 0;
   i27 = i22 + (get32(i30 + 28 | 0) | 0) + i25 | 0;
   i22 = i25 + (get32(i30 + 32 | 0) | 0) + i27 | 0;
   set32(i19 + 84 | 0, i22 | 0);
   set32(i19 + 88 | 0, i27 + i26 + i22 | 0);
   i32 = i21 + 48 | 0;
   i33 = i30;
   i34 = i32 + 48 | 0;
   do {
    set8(i32 >> 0 | 0, get8(i33 >> 0 | 0) | 0 | 0);
    i32 = i32 + 1 | 0;
    i33 = i33 + 1 | 0;
   } while ((i32 | 0) < (i34 | 0));
   if ((get8(i20 >> 0 | 0) | 0) != 2) {
    i22 = get32(i19 + 4 | 0) | 0;
    FUNCTION_TABLE_vi[get32((get32(i22 | 0) | 0) + 60 | 0) & 31](i22);
   }
   i32 = i21;
   i33 = i30;
   i34 = i32 + 48 | 0;
   do {
    set8(i32 >> 0 | 0, get8(i33 >> 0 | 0) | 0 | 0);
    i32 = i32 + 1 | 0;
    i33 = i33 + 1 | 0;
   } while ((i32 | 0) < (i34 | 0));
   set32(i4 | 0, 0 | 0);
   set32(i16 + 104 | 0, -1 | 0);
   set32(i16 + 108 | 0, -1 | 0);
   set32(i16 + 112 | 0, -1 | 0);
   set32(i16 + 116 | 0, -1 | 0);
   if (!(get8(i20 >> 0 | 0) | 0)) {
    i30 = get32(i19 + 4 | 0) | 0;
    FUNCTION_TABLE_iiiii[get32((get32(i30 | 0) | 0) + 56 | 0) & 31](i30, 4, 4, 9) | 0;
    i23 = i20;
   } else i23 = i20;
  } else i23 = i19 + 38 | 0; while (0);
  if (!(get8(i23 >> 0 | 0) | 0)) {
   i16 = get32(i19 + 4 | 0) | 0;
   FUNCTION_TABLE_iiiii[get32((get32(i16 | 0) | 0) + 56 | 0) & 31](i16, 3, 1, 5) | 0;
  }
  set16(i18 | 0, -1 | 0);
  i16 = 0;
  do {
   i16 = i16 + 1 | 0;
   i4 = _walTryBeginRead(i19, i10, 1, i16) | 0;
  } while ((i4 | 0) == -1);
  i24 = i4;
 } else i24 = 0; while (0);
 L43 : do if (!i24) {
  i10 = i19 + 60 | 0;
  i18 = get32(i10 | 0) | 0;
  if ((i18 | 0) == 0 ? (set8(i12 >> 0 | 0, 55 | 0), set8(i12 + 1 >> 0 | 0, 127 | 0), set8(i12 + 2 >> 0 | 0, 6 | 0), set8(i12 + 3 >> 0 | 0, -126 | 0), i23 = i12 + 4 | 0, set8(i23 >> 0 | 0, 0 | 0), set8(i12 + 5 >> 0 | 0, 45 | 0), set8(i12 + 6 >> 0 | 0, -30 | 0), set8(i12 + 7 >> 0 | 0, 24 | 0), i8 = i12 + 8 | 0, set8(i8 >> 0 | 0, i2 >>> 24 | 0), set8(i12 + 9 >> 0 | 0, i2 >>> 16 | 0), set8(i12 + 10 >> 0 | 0, i2 >>> 8 | 0), set8(i12 + 11 >> 0 | 0, i2 | 0), i7 = i12 + 12 | 0, i31 = get32(i19 + 96 | 0) | 0, set8(i7 >> 0 | 0, i31 >>> 24 | 0), set8(i12 + 13 >> 0 | 0, i31 >>> 16 | 0), set8(i12 + 14 >> 0 | 0, i31 >>> 8 | 0), set8(i12 + 15 >> 0 | 0, i31 | 0), i31 = i19 + 76 | 0, _sqlite3_randomness(8, i31), i9 = i31, i31 = i9, i16 = getU8(i31 >> 0 | 0) | getU8(i31 + 1 >> 0 | 0) << 8 | getU8(i31 + 2 >> 0 | 0) << 16 | getU8(i31 + 3 >> 0 | 0) << 24, i31 = i9 + 4 | 0, i9 = getU8(i31 >> 0 | 0) | getU8(i31 + 1 >> 0 | 0) << 8 | getU8(i31 + 2 >> 0 | 0) << 16 | getU8(i31 + 3 >> 0 | 0) << 24, i31 = i12 + 16 | 0, set32(i31 | 0, i16 | 0), set32(i31 + 4 | 0, i9 | 0), i31 = get32(i12 | 0) | 0, i4 = (get32(i23 | 0) | 0) + i31 | 0, i23 = i4 + i31 + (get32(i8 | 0) | 0) | 0, i8 = (get32(i7 | 0) | 0) + i4 + i23 | 0, i4 = i23 + i16 + i8 | 0, i16 = i8 + i9 + i4 | 0, set8(i12 + 24 >> 0 | 0, i4 >>> 24 | 0), set8(i12 + 25 >> 0 | 0, i4 >>> 16 | 0), set8(i12 + 26 >> 0 | 0, i4 >>> 8 | 0), set8(i12 + 27 >> 0 | 0, i4 | 0), set8(i12 + 28 >> 0 | 0, i16 >>> 24 | 0), set8(i12 + 29 >> 0 | 0, i16 >>> 16 | 0), set8(i12 + 30 >> 0 | 0, i16 >>> 8 | 0), set8(i12 + 31 >> 0 | 0, i16 | 0), set32(i19 + 32 | 0, i2 | 0), set8(i19 + 57 >> 0 | 0, 0 | 0), set32(i19 + 68 | 0, i4 | 0), set32(i19 + 72 | 0, i16 | 0), i16 = get32(i19 + 8 | 0) | 0, i4 = FUNCTION_TABLE_iiiiii[get32((get32(i16 | 0) | 0) + 12 | 0) & 31](i16, i12, 32, 0, 0) | 0, (i4 | 0) != 0) : 0) {
   i35 = i4;
   break;
  }
  if (!i15) {
   i36 = i18;
   i37 = 0;
  } else {
   i4 = i2 + 24 | 0;
   i16 = ((i4 | 0) < 0) << 31 >> 31;
   i9 = i19 + 8 | 0;
   i8 = i18;
   i18 = i15;
   while (1) {
    i23 = i8 + 1 | 0;
    i7 = ___muldi3(i8 | 0, 0, i4 | 0, i16 | 0) | 0;
    i31 = tempRet0;
    i17 = _i64Add(i7 | 0, i31 | 0, 32, 0) | 0;
    i30 = tempRet0;
    if (i14) i38 = 0; else i38 = (get32(i18 + 8 | 0) | 0) == 0 ? i3 : 0;
    i21 = get32(i18 | 0) | 0;
    _walEncodeFrame(i19, get32(i18 + 12 | 0) | 0, i38, i21, i11);
    i22 = get32(i9 | 0) | 0;
    i26 = FUNCTION_TABLE_iiiiii[get32((get32(i22 | 0) | 0) + 12 | 0) & 31](i22, i11, 24, i17, i30) | 0;
    if (i26) {
     i35 = i26;
     break L43;
    }
    i26 = get32(i9 | 0) | 0;
    i30 = _i64Add(i7 | 0, i31 | 0, 56, 0) | 0;
    i31 = FUNCTION_TABLE_iiiiii[get32((get32(i26 | 0) | 0) + 12 | 0) & 31](i26, i21, i2, i30, tempRet0) | 0;
    if (i31) {
     i35 = i31;
     break L43;
    }
    i31 = get32(i18 + 8 | 0) | 0;
    if (!i31) {
     i36 = i23;
     i37 = i18;
     break;
    } else {
     i8 = i23;
     i18 = i31;
    }
   }
  }
  if (!i5) {
   i39 = 0;
   i40 = 0;
  } else {
   i18 = i19 + 8 | 0;
   i8 = get32(i18 | 0) | 0;
   i9 = get32((get32(i8 | 0) | 0) + 44 | 0) | 0;
   if (!i9) {
    i41 = 512;
    i42 = 0;
   } else {
    i16 = FUNCTION_TABLE_ii[i9 & 127](i8) | 0;
    i41 = i16;
    i42 = ((i16 | 0) < 0) << 31 >> 31;
   }
   i16 = i2 + 24 | 0;
   i8 = ___muldi3(i36 | 0, 0, i16 | 0, ((i16 | 0) < 0) << 31 >> 31 | 0) | 0;
   i16 = tempRet0;
   i9 = _i64Add(i8 | 0, i16 | 0, 32, 0) | 0;
   i4 = tempRet0;
   i31 = _i64Add(i8 | 0, i16 | 0, 31, 0) | 0;
   i16 = _i64Add(i31 | 0, tempRet0 | 0, i41 | 0, i42 | 0) | 0;
   i31 = tempRet0;
   i8 = ___remdi3(i16 | 0, i31 | 0, i41 | 0, i42 | 0) | 0;
   i23 = _i64Subtract(i16 | 0, i31 | 0, i8 | 0, tempRet0 | 0) | 0;
   i8 = tempRet0;
   if ((i4 | 0) < (i8 | 0) | (i4 | 0) == (i8 | 0) & i9 >>> 0 < i23 >>> 0) {
    i31 = i37 + 12 | 0;
    i16 = ((i2 | 0) < 0) << 31 >> 31;
    i30 = i9;
    i9 = i4;
    i4 = 0;
    while (1) {
     i21 = get32(i37 | 0) | 0;
     _walEncodeFrame(i19, get32(i31 | 0) | 0, i3, i21, i11);
     i26 = get32(i18 | 0) | 0;
     i7 = FUNCTION_TABLE_iiiiii[get32((get32(i26 | 0) | 0) + 12 | 0) & 31](i26, i11, 24, i30, i9) | 0;
     if (i7) {
      i35 = i7;
      break L43;
     }
     i7 = _i64Add(i30 | 0, i9 | 0, 24, 0) | 0;
     i26 = tempRet0;
     i17 = get32(i18 | 0) | 0;
     i22 = FUNCTION_TABLE_iiiiii[get32((get32(i17 | 0) | 0) + 12 | 0) & 31](i17, i21, i2, i7, i26) | 0;
     if (i22) {
      i35 = i22;
      break L43;
     }
     i22 = i4 + 1 | 0;
     i30 = _i64Add(i7 | 0, i26 | 0, i2 | 0, i16 | 0) | 0;
     i9 = tempRet0;
     if (!((i9 | 0) < (i8 | 0) | (i9 | 0) == (i8 | 0) & i30 >>> 0 < i23 >>> 0)) {
      i43 = i22;
      break;
     } else i4 = i22;
    }
   } else i43 = 0;
   i4 = get32(i18 | 0) | 0;
   i39 = i43;
   i40 = FUNCTION_TABLE_iii[get32((get32(i4 | 0) | 0) + 20 | 0) & 127](i4, i5) | 0;
  }
  i4 = get32(i10 | 0) | 0;
  if ((i15 | 0) != 0 & (i40 | 0) == 0) {
   i23 = i4;
   i30 = i15;
   while (1) {
    i8 = i23 + 1 | 0;
    i9 = _walIndexAppend(i19, i8, get32(i30 + 12 | 0) | 0) | 0;
    i30 = get32(i30 + 8 | 0) | 0;
    if (!((i9 | 0) == 0 & (i30 | 0) != 0)) {
     i44 = i8;
     i45 = i9;
     break;
    } else i23 = i8;
   }
  } else {
   i44 = i4;
   i45 = i40;
  }
  i23 = (i45 | 0) == 0;
  if ((i39 | 0) > 0 & i23) {
   i30 = i37 + 12 | 0;
   i18 = i44;
   i8 = i39;
   while (1) {
    i9 = i18 + 1 | 0;
    i16 = _walIndexAppend(i19, i9, get32(i30 | 0) | 0) | 0;
    i31 = (i16 | 0) == 0;
    if ((i8 | 0) > 1 & i31) {
     i18 = i9;
     i8 = i8 + -1 | 0;
    } else {
     i46 = i31;
     i47 = i9;
     i48 = i16;
     break;
    }
   }
  } else {
   i46 = i23;
   i47 = i44;
   i48 = i45;
  }
  do if (i46) {
   set16(i19 + 58 | 0, i2 & 65280 | i2 >>> 16 | 0);
   set32(i10 | 0, i47 | 0);
   if (i14) break;
   i8 = i19 + 52 | 0;
   i18 = get32(i8 | 0) | 0;
   set32(i8 | 0, i18 + 1 | 0);
   set32(i19 + 64 | 0, i3 | 0);
   i8 = get32(get32(i19 + 28 | 0) | 0) | 0;
   i30 = i19 + 44 | 0;
   set8(i19 + 56 >> 0 | 0, 1 | 0);
   set32(i30 | 0, 3007e3 | 0);
   i4 = get32(i30 + 4 | 0) | 0;
   i16 = i18 + 6014001 + i4 | 0;
   i18 = i4 + 3007e3 + (get32(i30 + 12 | 0) | 0) + i16 | 0;
   i4 = i16 + i47 + i18 | 0;
   i16 = i18 + i3 + i4 | 0;
   i18 = i4 + (get32(i30 + 24 | 0) | 0) + i16 | 0;
   i4 = i16 + (get32(i30 + 28 | 0) | 0) + i18 | 0;
   i16 = i18 + (get32(i30 + 32 | 0) | 0) + i4 | 0;
   i18 = i4 + (get32(i30 + 36 | 0) | 0) + i16 | 0;
   set32(i19 + 84 | 0, i16 | 0);
   set32(i19 + 88 | 0, i18 | 0);
   i32 = i8 + 48 | 0;
   i33 = i30;
   i34 = i32 + 48 | 0;
   do {
    set8(i32 >> 0 | 0, get8(i33 >> 0 | 0) | 0 | 0);
    i32 = i32 + 1 | 0;
    i33 = i33 + 1 | 0;
   } while ((i32 | 0) < (i34 | 0));
   if ((get8(i19 + 38 >> 0 | 0) | 0) != 2) {
    i20 = get32(i19 + 4 | 0) | 0;
    FUNCTION_TABLE_vi[get32((get32(i20 | 0) | 0) + 60 | 0) & 31](i20);
   }
   i32 = i8;
   i33 = i30;
   i34 = i32 + 48 | 0;
   do {
    set8(i32 >> 0 | 0, get8(i33 >> 0 | 0) | 0 | 0);
    i32 = i32 + 1 | 0;
    i33 = i33 + 1 | 0;
   } while ((i32 | 0) < (i34 | 0));
   set32(i19 + 12 | 0, i47 | 0);
   i49 = 61;
  } else i49 = 61; while (0);
  if ((i49 | 0) == 61 ? (i48 | 0) != 0 : 0) {
   i50 = i48;
   STACKTOP = i6;
   return i50 | 0;
  }
  i10 = i1 + 88 | 0;
  i23 = get32(i10 | 0) | 0;
  if (!i23) {
   i50 = 0;
   STACKTOP = i6;
   return i50 | 0;
  }
  i30 = get32(i13 | 0) | 0;
  if (!i30) {
   i50 = 0;
   STACKTOP = i6;
   return i50 | 0;
  } else {
   i51 = i23;
   i52 = i30;
  }
  while (1) {
   i30 = get32(i52 + 12 | 0) | 0;
   i23 = get32(i52 | 0) | 0;
   if (i51) {
    i8 = i51;
    do {
     i20 = i8 + 28 | 0;
     i18 = get32(i20 | 0) | 0;
     do if (i18 >>> 0 < 7 ? (30 >>> (i18 & 127) & 1) == 0 : 0) {
      if ((get32(i8 + 16 | 0) | 0) >>> 0 <= i30 >>> 0) break;
      i16 = _backupOnePage(i8, i30, i23) | 0;
      if (!i16) break;
      set32(i20 | 0, i16 | 0);
     } while (0);
     i8 = get32(i8 + 44 | 0) | 0;
    } while ((i8 | 0) != 0);
   }
   i8 = get32(i52 + 8 | 0) | 0;
   if (!i8) {
    i50 = 0;
    break;
   }
   i51 = get32(i10 | 0) | 0;
   i52 = i8;
  }
  STACKTOP = i6;
  return i50 | 0;
 } else i35 = i24; while (0);
 i50 = i35;
 STACKTOP = i6;
 return i50 | 0;
}

function _selectAddColumnTypeAndCollation(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 48 | 0;
 i6 = i5;
 i7 = get32(i1 | 0) | 0;
 i8 = i7 + 30 | 0;
 if (get8(i8 >> 0 | 0) | 0) {
  STACKTOP = i5;
  return;
 }
 i9 = i6;
 i10 = i9 + 36 | 0;
 do {
  set32(i9 | 0, 0 | 0);
  i9 = i9 + 4 | 0;
 } while ((i9 | 0) < (i10 | 0));
 set32(i6 + 4 | 0, get32(i4 + 8 | 0) | 0);
 i9 = get32((get32(i4 | 0) | 0) + 12 | 0) | 0;
 if ((i2 | 0) <= 0) {
  STACKTOP = i5;
  return;
 }
 i4 = (i7 | 0) == 0;
 i10 = i7 + 234 | 0;
 i11 = i7 + 232 | 0;
 i12 = i7 + 248 | 0;
 i13 = i7 + 256 | 0;
 i14 = i7 + 252 | 0;
 i15 = i7 + 236 | 0;
 i16 = i7 + 244 | 0;
 i17 = i7 + 240 | 0;
 i7 = 0;
 i18 = i3;
 while (1) {
  i3 = get32(i9 + (i7 * 20 | 0) | 0) | 0;
  i19 = _columnType(i6, i3, 0, 0, 0) | 0;
  L9 : do if (!i19) i20 = 0; else {
   i21 = i19;
   while (1) if (!(get8(i21 >> 0 | 0) | 0)) {
    i22 = i21;
    break;
   } else i21 = i21 + 1 | 0;
   i21 = (i22 - i19 & 1073741823) + 1 | 0;
   L13 : do if (i4) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i23 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i21) | 0;
     i24 = 43;
     break;
    }
    i25 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i21) | 0;
    set32(35 * 4 | 0, i21 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i21 | 0)) set32(45 * 4 | 0, i21 | 0);
    i26 = get32(6 * 4 | 0) | 0;
    do if (i26) {
     i27 = get32(30 * 4 | 0) | 0;
     i28 = ((i27 | 0) < 0) << 31 >> 31;
     i29 = 16;
     i30 = _i64Subtract(get32(i29 | 0) | 0, get32(i29 + 4 | 0) | 0, i25 | 0, ((i25 | 0) < 0) << 31 >> 31 | 0) | 0;
     i29 = tempRet0;
     if ((i28 | 0) < (i29 | 0) | (i28 | 0) == (i29 | 0) & i27 >>> 0 < i30 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i30 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i26 & 15](i30, i27, i28, i25);
      set32(6 * 4 | 0, i26 | 0);
      set32(7 * 4 | 0, i30 | 0);
      break;
     }
    } while (0);
    i26 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i25) | 0;
    if (!i26) {
     i20 = 0;
     break L9;
    }
    i30 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i26) | 0;
    i28 = (get32(30 * 4 | 0) | 0) + i30 | 0;
    set32(30 * 4 | 0, i28 | 0);
    if ((i28 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i28 | 0);
    i28 = get32(39 * 4 | 0) | 0;
    i30 = i28 + 1 | 0;
    set32(39 * 4 | 0, i30 | 0);
    if ((i28 | 0) < (get32(49 * 4 | 0) | 0)) i31 = i26; else {
     set32(49 * 4 | 0, i30 | 0);
     i31 = i26;
    }
   } else {
    if (get8(i8 >> 0 | 0) | 0) {
     i20 = 0;
     break L9;
    }
    do if (get8(i10 >> 0 | 0) | 0) {
     if ((getU16(i11 | 0) | 0) >>> 0 < i21 >>> 0) {
      set32(i12 | 0, (get32(i12 | 0) | 0) + 1 | 0);
      break;
     }
     i26 = get32(i13 | 0) | 0;
     if (!i26) {
      set32(i14 | 0, (get32(i14 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i13 | 0, get32(i26 | 0) | 0);
     i30 = get32(i15 | 0) | 0;
     i28 = i30 + 1 | 0;
     set32(i15 | 0, i28 | 0);
     set32(i16 | 0, (get32(i16 | 0) | 0) + 1 | 0);
     if ((i30 | 0) >= (get32(i17 | 0) | 0)) set32(i17 | 0, i28 | 0);
     i23 = i26;
     i24 = 43;
     break L13;
    } while (0);
    if (!(get32(50 * 4 | 0) | 0)) {
     i25 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i21) | 0;
     if (i25) {
      i31 = i25;
      break;
     }
    } else {
     i25 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i21) | 0;
     set32(35 * 4 | 0, i21 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i21 | 0)) set32(45 * 4 | 0, i21 | 0);
     i26 = get32(6 * 4 | 0) | 0;
     do if (i26) {
      i28 = get32(30 * 4 | 0) | 0;
      i30 = ((i28 | 0) < 0) << 31 >> 31;
      i27 = 16;
      i29 = _i64Subtract(get32(i27 | 0) | 0, get32(i27 + 4 | 0) | 0, i25 | 0, ((i25 | 0) < 0) << 31 >> 31 | 0) | 0;
      i27 = tempRet0;
      if ((i30 | 0) < (i27 | 0) | (i30 | 0) == (i27 | 0) & i28 >>> 0 < i29 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i29 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i26 & 15](i29, i28, i30, i25);
       set32(6 * 4 | 0, i26 | 0);
       set32(7 * 4 | 0, i29 | 0);
       break;
      }
     } while (0);
     i26 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i25) | 0;
     if (i26) {
      i29 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i26) | 0;
      i30 = (get32(30 * 4 | 0) | 0) + i29 | 0;
      set32(30 * 4 | 0, i30 | 0);
      if ((i30 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i30 | 0);
      i30 = get32(39 * 4 | 0) | 0;
      i29 = i30 + 1 | 0;
      set32(39 * 4 | 0, i29 | 0);
      if ((i30 | 0) < (get32(49 * 4 | 0) | 0)) {
       i31 = i26;
       break;
      }
      set32(49 * 4 | 0, i29 | 0);
      i31 = i26;
      break;
     }
    }
    set8(i8 >> 0 | 0, 1 | 0);
    i20 = 0;
    break L9;
   } while (0);
   if ((i24 | 0) == 43) {
    i24 = 0;
    if (!i23) {
     i20 = 0;
     break;
    } else i31 = i23;
   }
   _memcpy(i31 | 0, i19 | 0, i21 | 0) | 0;
   i20 = i31;
  } while (0);
  set32(i18 + 12 | 0, i20 | 0);
  i19 = i3;
  L68 : while (1) {
   switch (get8(i19 >> 0 | 0) | 0) {
   case 37:
    {
     i32 = i19;
     i24 = 48;
     break L68;
     break;
    }
   case -124:
   case -104:
   case -102:
    {
     i33 = i19;
     i24 = 59;
     break L68;
     break;
    }
   case 116:
    break;
   default:
    {
     i34 = i19;
     i24 = 62;
     break L68;
    }
   }
   i19 = get32(get32((get32(get32(i19 + 16 | 0) | 0) | 0) + 12 | 0) | 0) | 0;
  }
  L71 : do if ((i24 | 0) == 48) {
   i24 = 0;
   i19 = get32(i32 + 4 | 0) | 0;
   if ((i19 | 0) != 0 ? (i26 = get8(i19 >> 0 | 0) | 0, i26 << 24 >> 24 != 0) : 0) {
    i29 = i19;
    i19 = i26;
    i26 = 99;
    i30 = 0;
    while (1) {
     i28 = getU8(16286 + (i19 & 255) >> 0 | 0) | i30 << 8;
     i29 = i29 + 1 | 0;
     L76 : do if ((i28 | 0) < 1685026146) {
      if ((i28 | 0) < 1667785074) {
       switch (i28 | 0) {
       case 1651273570:
        break;
       default:
        {
         i24 = 57;
         break L76;
        }
       }
       switch (i26 << 24 >> 24) {
       case 101:
       case 99:
        {
         i35 = 98;
         i36 = 1651273570;
         break L76;
         break;
        }
       default:
        {
         i24 = 56;
         break L76;
        }
       }
      }
      if ((i28 | 0) < 1668050786) switch (i28 | 0) {
      case 1667785074:
       {
        i35 = 97;
        i36 = i28;
        break L76;
        break;
       }
      default:
       {
        i24 = 57;
        break L76;
       }
      } else switch (i28 | 0) {
      case 1668050786:
       {
        i35 = 97;
        i36 = i28;
        break L76;
        break;
       }
      default:
       {
        i24 = 57;
        break L76;
       }
      }
     } else {
      if ((i28 | 0) >= 1919246700) {
       if ((i28 | 0) >= 1952807028) switch (i28 | 0) {
       case 1952807028:
        {
         i35 = 97;
         i36 = i28;
         break L76;
         break;
        }
       default:
        {
         i24 = 57;
         break L76;
        }
       }
       switch (i28 | 0) {
       case 1919246700:
        break;
       default:
        {
         i24 = 57;
         break L76;
        }
       }
       if (i26 << 24 >> 24 == 99) {
        i35 = 101;
        i36 = 1919246700;
        break;
       } else {
        i24 = 56;
        break;
       }
      }
      if ((i28 | 0) < 1718382433) {
       switch (i28 | 0) {
       case 1685026146:
        break;
       default:
        {
         i24 = 57;
         break L76;
        }
       }
       if (i26 << 24 >> 24 == 99) {
        i35 = 101;
        i36 = 1685026146;
        break;
       }
      } else {
       switch (i28 | 0) {
       case 1718382433:
        break;
       default:
        {
         i24 = 57;
         break L76;
        }
       }
       if (i26 << 24 >> 24 == 99) {
        i35 = 101;
        i36 = 1718382433;
        break;
       }
      }
      i35 = i26;
      i36 = i28;
     } while (0);
     if ((i24 | 0) == 56) {
      i24 = 0;
      i35 = i26;
      i36 = i28;
     } else if ((i24 | 0) == 57) {
      i24 = 0;
      if ((i28 & 16777215 | 0) == 6909556) {
       i37 = 100;
       break L71;
      } else {
       i35 = i26;
       i36 = i28;
      }
     }
     i19 = get8(i29 >> 0 | 0) | 0;
     if (!(i19 << 24 >> 24)) {
      i37 = i35;
      break;
     } else {
      i26 = i35;
      i30 = i36;
     }
    }
   } else i37 = 99;
  } else if ((i24 | 0) == 59) {
   i24 = 0;
   i30 = get32(i33 + 40 | 0) | 0;
   if (i30) {
    i26 = get16(i33 + 28 | 0) | 0;
    if (i26 << 16 >> 16 < 0) i37 = 100; else i37 = get8((get32(i30 + 12 | 0) | 0) + ((i26 << 16 >> 16) * 24 | 0) + 22 >> 0 | 0) | 0;
   } else {
    i34 = i33;
    i24 = 62;
   }
  } while (0);
  if ((i24 | 0) == 62) {
   i24 = 0;
   i37 = get8(i34 + 1 >> 0 | 0) | 0;
  }
  set8(i18 + 22 >> 0 | 0, (i37 << 24 >> 24 == 0 ? 98 : i37) | 0);
  i26 = _sqlite3ExprCollSeq(i1, i3) | 0;
  if (i26) {
   i30 = get32(i26 | 0) | 0;
   L111 : do if (!i30) i38 = 0; else {
    i26 = i30;
    while (1) if (!(get8(i26 >> 0 | 0) | 0)) {
     i39 = i26;
     break;
    } else i26 = i26 + 1 | 0;
    i26 = (i39 - i30 & 1073741823) + 1 | 0;
    L115 : do if (i4) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i40 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i26) | 0;
      i24 = 103;
      break;
     }
     i19 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i26) | 0;
     set32(35 * 4 | 0, i26 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i26 | 0)) set32(45 * 4 | 0, i26 | 0);
     i29 = get32(6 * 4 | 0) | 0;
     do if (i29) {
      i21 = get32(30 * 4 | 0) | 0;
      i25 = ((i21 | 0) < 0) << 31 >> 31;
      i27 = 16;
      i41 = _i64Subtract(get32(i27 | 0) | 0, get32(i27 + 4 | 0) | 0, i19 | 0, ((i19 | 0) < 0) << 31 >> 31 | 0) | 0;
      i27 = tempRet0;
      if ((i25 | 0) < (i27 | 0) | (i25 | 0) == (i27 | 0) & i21 >>> 0 < i41 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i41 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i29 & 15](i41, i21, i25, i19);
       set32(6 * 4 | 0, i29 | 0);
       set32(7 * 4 | 0, i41 | 0);
       break;
      }
     } while (0);
     i29 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i19) | 0;
     if (!i29) {
      i38 = 0;
      break L111;
     }
     i28 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i29) | 0;
     i41 = (get32(30 * 4 | 0) | 0) + i28 | 0;
     set32(30 * 4 | 0, i41 | 0);
     if ((i41 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i41 | 0);
     i41 = get32(39 * 4 | 0) | 0;
     i28 = i41 + 1 | 0;
     set32(39 * 4 | 0, i28 | 0);
     if ((i41 | 0) < (get32(49 * 4 | 0) | 0)) i42 = i29; else {
      set32(49 * 4 | 0, i28 | 0);
      i42 = i29;
     }
    } else {
     if (get8(i8 >> 0 | 0) | 0) {
      i38 = 0;
      break L111;
     }
     do if (get8(i10 >> 0 | 0) | 0) {
      if ((getU16(i11 | 0) | 0) >>> 0 < i26 >>> 0) {
       set32(i12 | 0, (get32(i12 | 0) | 0) + 1 | 0);
       break;
      }
      i29 = get32(i13 | 0) | 0;
      if (!i29) {
       set32(i14 | 0, (get32(i14 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i13 | 0, get32(i29 | 0) | 0);
      i28 = get32(i15 | 0) | 0;
      i41 = i28 + 1 | 0;
      set32(i15 | 0, i41 | 0);
      set32(i16 | 0, (get32(i16 | 0) | 0) + 1 | 0);
      if ((i28 | 0) >= (get32(i17 | 0) | 0)) set32(i17 | 0, i41 | 0);
      i40 = i29;
      i24 = 103;
      break L115;
     } while (0);
     if (!(get32(50 * 4 | 0) | 0)) {
      i19 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i26) | 0;
      if (i19) {
       i42 = i19;
       break;
      }
     } else {
      i19 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i26) | 0;
      set32(35 * 4 | 0, i26 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i26 | 0)) set32(45 * 4 | 0, i26 | 0);
      i29 = get32(6 * 4 | 0) | 0;
      do if (i29) {
       i41 = get32(30 * 4 | 0) | 0;
       i28 = ((i41 | 0) < 0) << 31 >> 31;
       i25 = 16;
       i21 = _i64Subtract(get32(i25 | 0) | 0, get32(i25 + 4 | 0) | 0, i19 | 0, ((i19 | 0) < 0) << 31 >> 31 | 0) | 0;
       i25 = tempRet0;
       if ((i28 | 0) < (i25 | 0) | (i28 | 0) == (i25 | 0) & i41 >>> 0 < i21 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i21 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i29 & 15](i21, i41, i28, i19);
        set32(6 * 4 | 0, i29 | 0);
        set32(7 * 4 | 0, i21 | 0);
        break;
       }
      } while (0);
      i29 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i19) | 0;
      if (i29) {
       i21 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i29) | 0;
       i28 = (get32(30 * 4 | 0) | 0) + i21 | 0;
       set32(30 * 4 | 0, i28 | 0);
       if ((i28 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i28 | 0);
       i28 = get32(39 * 4 | 0) | 0;
       i21 = i28 + 1 | 0;
       set32(39 * 4 | 0, i21 | 0);
       if ((i28 | 0) < (get32(49 * 4 | 0) | 0)) {
        i42 = i29;
        break;
       }
       set32(49 * 4 | 0, i21 | 0);
       i42 = i29;
       break;
      }
     }
     set8(i8 >> 0 | 0, 1 | 0);
     i38 = 0;
     break L111;
    } while (0);
    if ((i24 | 0) == 103) {
     i24 = 0;
     if (!i40) {
      i38 = 0;
      break;
     } else i42 = i40;
    }
    _memcpy(i42 | 0, i30 | 0, i26 | 0) | 0;
    i38 = i42;
   } while (0);
   set32(i18 + 16 | 0, i38 | 0);
  }
  i7 = i7 + 1 | 0;
  if ((i7 | 0) == (i2 | 0)) break; else i18 = i18 + 24 | 0;
 }
 STACKTOP = i5;
 return;
}

function _explainOneScan(i1, i2, i3, i4, i5, i6) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 var i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, d55 = 0.0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0;
 i7 = STACKTOP;
 STACKTOP = STACKTOP + 160 | 0;
 i8 = i7 + 136 | 0;
 i9 = i7 + 120 | 0;
 i10 = i7 + 112 | 0;
 i11 = i7 + 104 | 0;
 i12 = i7 + 96 | 0;
 i13 = i7 + 88 | 0;
 i14 = i7 + 80 | 0;
 i15 = i7 + 56 | 0;
 i16 = i7 + 48 | 0;
 i17 = i7 + 40 | 0;
 i18 = i7 + 32 | 0;
 i19 = i7;
 if ((get8(i1 + 484 >> 0 | 0) | 0) != 2) {
  STACKTOP = i7;
  return;
 }
 i20 = get32(i3 | 0) | 0;
 i21 = getU8(i3 + 52 >> 0 | 0) | 0;
 i22 = get32(i1 + 12 | 0) | 0;
 i23 = get32(i1 | 0) | 0;
 i24 = get32(i1 + 552 | 0) | 0;
 if (i20 & 268435456) {
  STACKTOP = i7;
  return;
 }
 i1 = i6 & 65535;
 if (i1 & 128) {
  STACKTOP = i7;
  return;
 }
 i6 = i3 + 4 | 0;
 i25 = i20 & 3145728;
 if (!(get32(i6 | 0) | i25)) i26 = (i1 & 3 | 0) != 0 ? 32605 : 32612; else i26 = 32605;
 set32(i19 | 0, i26 | 0);
 i26 = _sqlite3MPrintf(i23, 16817, i19) | 0;
 if (!(get32(i2 + 8 + (i21 * 56 | 0) + 16 | 0) | 0)) {
  i27 = get32(i2 + 8 + (i21 * 56 | 0) + 4 | 0) | 0;
  set32(i17 | 0, i26 | 0);
  set32(i17 + 4 | 0, i27 | 0);
  i28 = _sqlite3MAppendf(i23, i26, 32632, i17) | 0;
 } else {
  i17 = getU8(i2 + 8 + (i21 * 56 | 0) + 23 >> 0 | 0) | 0;
  set32(i18 | 0, i26 | 0);
  set32(i18 + 4 | 0, i17 | 0);
  i28 = _sqlite3MAppendf(i23, i26, 32617, i18) | 0;
 }
 i18 = get32(i2 + 8 + (i21 * 56 | 0) + 8 | 0) | 0;
 if (!i18) i29 = i28; else {
  set32(i16 | 0, i28 | 0);
  set32(i16 + 4 | 0, i18 | 0);
  i29 = _sqlite3MAppendf(i23, i28, 32644, i16) | 0;
 }
 do if (!(i20 & 983040)) {
  if (!(i20 & 12288)) {
   if (!(i20 & 134217728)) {
    i30 = i29;
    break;
   }
   i16 = get32(i3 + 16 | 0) | 0;
   i28 = get32(i16 + 20 | 0) | 0;
   i18 = get32(i16 + 24 | 0) | 0;
   set32(i9 | 0, i29 | 0);
   set32(i9 + 4 | 0, i28 | 0);
   set32(i9 + 8 | 0, i18 | 0);
   i30 = _sqlite3MAppendf(i23, i29, 32794, i9) | 0;
   break;
  }
  set32(i14 | 0, i29 | 0);
  i18 = _sqlite3MAppendf(i23, i29, 32701, i14) | 0;
  if (i20 & 4096) {
   set32(i13 | 0, i18 | 0);
   i30 = _sqlite3MAppendf(i23, i18, 32730, i13) | 0;
   break;
  }
  if ((i25 | 0) == 3145728) {
   set32(i12 | 0, i18 | 0);
   i30 = _sqlite3MAppendf(i23, i18, 32743, i12) | 0;
   break;
  }
  if (i20 & 2097152) {
   set32(i11 | 0, i18 | 0);
   i30 = _sqlite3MAppendf(i23, i18, 32768, i11) | 0;
   break;
  }
  if (!(i20 & 1048576)) i30 = i18; else {
   set32(i10 | 0, i18 | 0);
   i30 = _sqlite3MAppendf(i23, i18, 32781, i10) | 0;
  }
 } else {
  i18 = get32((get32(i2 + 8 + (i21 * 56 | 0) + 12 | 0) | 0) + 12 | 0) | 0;
  i28 = i3 + 16 | 0;
  i16 = get32(i6 | 0) | 0;
  i26 = get32((get32(i28 | 0) | 0) + 8 | 0) | 0;
  if ((i16 | 0) == 0 ? (get32(i3 | 0) & 3145728 | 0) == 0 : 0) i31 = 0; else i32 = 14;
  do if ((i32 | 0) == 14) {
   i17 = i19 + 4 | 0;
   i27 = i19 + 8 | 0;
   i33 = i19 + 12 | 0;
   set32(i19 | 0, 0 | 0);
   set32(i19 + 4 | 0, 0 | 0);
   set32(i19 + 8 | 0, 0 | 0);
   set32(i19 + 12 | 0, 0 | 0);
   set32(i19 + 16 | 0, 0 | 0);
   set32(i19 + 20 | 0, 1e9 | 0);
   i34 = i19 + 25 | 0;
   set8(i34 >> 0 | 0, 1 | 0);
   set8(i19 + 26 >> 0 | 0, 0 | 0);
   i35 = i19 + 24 | 0;
   set8(i35 >> 0 | 0, 0 | 0);
   set32(i19 | 0, i23 | 0);
   _sqlite3StrAccumAppend(i19, 32839, 2);
   if ((i16 | 0) > 0) {
    i36 = 0;
    do {
     i37 = get32(i18 + ((get32(i26 + (i36 << 2) | 0) | 0) * 24 | 0) | 0) | 0;
     if (i36) _sqlite3StrAccumAppend(i19, 32848, 5);
     _sqlite3StrAccumAppend(i19, i37, -1);
     _sqlite3StrAccumAppend(i19, 32842, 1);
     _sqlite3StrAccumAppend(i19, 19939, 1);
     i36 = i36 + 1 | 0;
    } while ((i36 | 0) != (i16 | 0));
    i38 = i16;
   } else i38 = 0;
   i36 = get32(i3 | 0) | 0;
   if (!(i36 & 2097152)) {
    i39 = i36;
    i40 = i38;
   } else {
    i36 = get32(i18 + ((get32(i26 + (i38 << 2) | 0) | 0) * 24 | 0) | 0) | 0;
    if (i38) _sqlite3StrAccumAppend(i19, 32848, 5);
    _sqlite3StrAccumAppend(i19, i36, -1);
    _sqlite3StrAccumAppend(i19, 32844, 1);
    _sqlite3StrAccumAppend(i19, 19939, 1);
    i39 = get32(i3 | 0) | 0;
    i40 = i38 + 1 | 0;
   }
   if (i39 & 1048576) {
    i36 = get32(i18 + ((get32(i26 + (i38 << 2) | 0) | 0) * 24 | 0) | 0) | 0;
    if (i40) _sqlite3StrAccumAppend(i19, 32848, 5);
    _sqlite3StrAccumAppend(i19, i36, -1);
    _sqlite3StrAccumAppend(i19, 32846, 1);
    _sqlite3StrAccumAppend(i19, 19939, 1);
   }
   _sqlite3StrAccumAppend(i19, 30690, 1);
   i36 = get32(i27 | 0) | 0;
   if (i36) {
    set8(i36 + (get32(i33 | 0) | 0) >> 0 | 0, 0 | 0);
    i36 = get8(i34 >> 0 | 0) | 0;
    i37 = get32(i27 | 0) | 0;
    if (i36 << 24 >> 24 != 0 ? (i37 | 0) == (get32(i17 | 0) | 0) : 0) {
     L62 : do if (i36 << 24 >> 24 == 1) {
      i41 = get32(i19 | 0) | 0;
      i42 = get32(i33 | 0) | 0;
      i43 = i42 + 1 | 0;
      L64 : do if (!i41) if (i42 >>> 0 > 2147483390) i32 = 69; else {
       if (!(get32(50 * 4 | 0) | 0)) {
        i44 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i43) | 0;
        i32 = 71;
        break L62;
       }
       i45 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i43) | 0;
       set32(35 * 4 | 0, i43 | 0);
       if ((get32(45 * 4 | 0) | 0) < (i43 | 0)) set32(45 * 4 | 0, i43 | 0);
       i46 = get32(6 * 4 | 0) | 0;
       do if (i46) {
        i47 = get32(30 * 4 | 0) | 0;
        i48 = ((i47 | 0) < 0) << 31 >> 31;
        i49 = 16;
        i50 = _i64Subtract(get32(i49 | 0) | 0, get32(i49 + 4 | 0) | 0, i45 | 0, ((i45 | 0) < 0) << 31 >> 31 | 0) | 0;
        i49 = tempRet0;
        if ((i48 | 0) < (i49 | 0) | (i48 | 0) == (i49 | 0) & i47 >>> 0 < i50 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i50 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i46 & 15](i50, i47, i48, i45);
         set32(6 * 4 | 0, i46 | 0);
         set32(7 * 4 | 0, i50 | 0);
         break;
        }
       } while (0);
       i46 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i45) | 0;
       if (!i46) {
        i32 = 69;
        break;
       }
       i50 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i46) | 0;
       i48 = (get32(30 * 4 | 0) | 0) + i50 | 0;
       set32(30 * 4 | 0, i48 | 0);
       if ((i48 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i48 | 0);
       i48 = get32(39 * 4 | 0) | 0;
       i50 = i48 + 1 | 0;
       set32(39 * 4 | 0, i50 | 0);
       if ((i48 | 0) < (get32(49 * 4 | 0) | 0)) {
        i51 = i46;
        i32 = 70;
        break;
       }
       set32(49 * 4 | 0, i50 | 0);
       i51 = i46;
       i32 = 70;
      } else {
       i46 = i41 + 30 | 0;
       if (!(get8(i46 >> 0 | 0) | 0)) {
        do if (get8(i41 + 234 >> 0 | 0) | 0) {
         if ((getU16(i41 + 232 | 0) | 0) < (i43 | 0)) {
          i50 = i41 + 248 | 0;
          set32(i50 | 0, (get32(i50 | 0) | 0) + 1 | 0);
          break;
         }
         i50 = i41 + 256 | 0;
         i48 = get32(i50 | 0) | 0;
         if (!i48) {
          i47 = i41 + 252 | 0;
          set32(i47 | 0, (get32(i47 | 0) | 0) + 1 | 0);
          break;
         }
         set32(i50 | 0, get32(i48 | 0) | 0);
         i50 = i41 + 236 | 0;
         i47 = get32(i50 | 0) | 0;
         i49 = i47 + 1 | 0;
         set32(i50 | 0, i49 | 0);
         i50 = i41 + 244 | 0;
         set32(i50 | 0, (get32(i50 | 0) | 0) + 1 | 0);
         i50 = i41 + 240 | 0;
         if ((i47 | 0) >= (get32(i50 | 0) | 0)) set32(i50 | 0, i49 | 0);
         i44 = i48;
         i32 = 71;
         break L62;
        } while (0);
        do if (i42 >>> 0 <= 2147483390) {
         if (!(get32(50 * 4 | 0) | 0)) {
          i45 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i43) | 0;
          if (!i45) break; else {
           i51 = i45;
           i32 = 70;
           break L64;
          }
         }
         i45 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i43) | 0;
         set32(35 * 4 | 0, i43 | 0);
         if ((get32(45 * 4 | 0) | 0) < (i43 | 0)) set32(45 * 4 | 0, i43 | 0);
         i48 = get32(6 * 4 | 0) | 0;
         do if (i48) {
          i49 = get32(30 * 4 | 0) | 0;
          i50 = ((i49 | 0) < 0) << 31 >> 31;
          i47 = 16;
          i52 = _i64Subtract(get32(i47 | 0) | 0, get32(i47 + 4 | 0) | 0, i45 | 0, ((i45 | 0) < 0) << 31 >> 31 | 0) | 0;
          i47 = tempRet0;
          if ((i50 | 0) < (i47 | 0) | (i50 | 0) == (i47 | 0) & i49 >>> 0 < i52 >>> 0) {
           set32(11 * 4 | 0, 0 | 0);
           break;
          } else {
           set32(11 * 4 | 0, 1 | 0);
           i52 = get32(7 * 4 | 0) | 0;
           set32(6 * 4 | 0, 0 | 0);
           FUNCTION_TABLE_viiii[i48 & 15](i52, i49, i50, i45);
           set32(6 * 4 | 0, i48 | 0);
           set32(7 * 4 | 0, i52 | 0);
           break;
          }
         } while (0);
         i48 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i45) | 0;
         if (!i48) break;
         i52 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i48) | 0;
         i50 = (get32(30 * 4 | 0) | 0) + i52 | 0;
         set32(30 * 4 | 0, i50 | 0);
         if ((i50 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i50 | 0);
         i50 = get32(39 * 4 | 0) | 0;
         i52 = i50 + 1 | 0;
         set32(39 * 4 | 0, i52 | 0);
         if ((i50 | 0) < (get32(49 * 4 | 0) | 0)) {
          i51 = i48;
          i32 = 70;
          break L64;
         }
         set32(49 * 4 | 0, i52 | 0);
         i51 = i48;
         i32 = 70;
         break L64;
        } while (0);
        set8(i46 >> 0 | 0, 1 | 0);
        i32 = 69;
       } else i32 = 69;
      } while (0);
      if ((i32 | 0) == 69) {
       set32(i27 | 0, 0 | 0);
       i32 = 73;
       break;
      } else if ((i32 | 0) == 70) {
       set32(i27 | 0, i51 | 0);
       i53 = i51;
       i32 = 72;
       break;
      }
     } else {
      i44 = _sqlite3_malloc((get32(i33 | 0) | 0) + 1 | 0) | 0;
      i32 = 71;
     } while (0);
     if ((i32 | 0) == 71) {
      set32(i27 | 0, i44 | 0);
      if (!i44) i32 = 73; else {
       i53 = i44;
       i32 = 72;
      }
     }
     if ((i32 | 0) == 72) {
      _memcpy(i53 | 0, i37 | 0, (get32(i33 | 0) | 0) + 1 | 0) | 0;
      i31 = i53;
      break;
     } else if ((i32 | 0) == 73) {
      set8(i35 >> 0 | 0, 1 | 0);
      i31 = 0;
      break;
     }
    } else i31 = i37;
   } else i31 = 0;
  } while (0);
  i26 = (i20 & 536870912 | 0) != 0;
  if (i26) i54 = 16820; else i54 = get32(get32(i28 | 0) | 0) | 0;
  set32(i15 | 0, i29 | 0);
  set32(i15 + 4 | 0, (i26 ? 32678 : 16820) | 0);
  set32(i15 + 8 | 0, ((i20 & 8388608 | 0) != 0 ? 32689 : 16820) | 0);
  set32(i15 + 12 | 0, (i26 ? 16820 : 32699) | 0);
  set32(i15 + 16 | 0, i54 | 0);
  set32(i15 + 20 | 0, i31 | 0);
  i26 = _sqlite3MAppendf(i23, i29, 32653, i15) | 0;
  _sqlite3DbFree(i23, i31);
  i30 = i26;
 } while (0);
 if (!(i1 & 3)) {
  d55 = +getF64(i3 + 8 | 0);
  i56 = ~~d55 >>> 0;
  i57 = +Math_abs(d55) >= 1.0 ? (d55 > 0.0 ? ~~+Math_min(+Math_floor(d55 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d55 - +(~~d55 >>> 0)) / 4294967296.0) >>> 0) : 0;
 } else {
  i56 = 1;
  i57 = 0;
 }
 set32(i8 | 0, i30 | 0);
 i3 = i8 + 8 | 0;
 set32(i3 | 0, i56 | 0);
 set32(i3 + 4 | 0, i57 | 0);
 i57 = _sqlite3MAppendf(i23, i30, 32823, i8) | 0;
 i8 = i22 + 28 | 0;
 i30 = get32(i8 | 0) | 0;
 i23 = i22 + 32 | 0;
 i3 = get32(i23 | 0) | 0;
 if ((i3 | 0) <= (i30 | 0)) {
  i56 = i22 + 4 | 0;
  i1 = _sqlite3DbRealloc(get32(i22 | 0) | 0, get32(i56 | 0) | 0, (i3 | 0) == 0 ? 1020 : i3 * 40 | 0) | 0;
  if (!i1) {
   i58 = 1;
   i59 = i22;
   i60 = i56;
  } else {
   i3 = get32(i22 | 0) | 0;
   if (((i3 | 0) != 0 ? (get32(i3 + 260 | 0) | 0) >>> 0 <= i1 >>> 0 : 0) ? (get32(i3 + 264 | 0) | 0) >>> 0 > i1 >>> 0 : 0) i61 = getU16(i3 + 232 | 0) | 0; else i61 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i1) | 0;
   set32(i23 | 0, (i61 >>> 0) / 20 | 0 | 0);
   set32(i56 | 0, i1 | 0);
   i62 = i56;
   i63 = get32(i8 | 0) | 0;
   i64 = i1;
   i32 = 99;
  }
 } else {
  i1 = i22 + 4 | 0;
  i62 = i1;
  i63 = i30;
  i64 = get32(i1 | 0) | 0;
  i32 = 99;
 }
 if ((i32 | 0) == 99) {
  set32(i8 | 0, i63 + 1 | 0);
  set8(i64 + (i30 * 20 | 0) >> 0 | 0, -118 | 0);
  set8(i64 + (i30 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i64 + (i30 * 20 | 0) + 4 | 0, i24 | 0);
  set32(i64 + (i30 * 20 | 0) + 8 | 0, i4 | 0);
  set32(i64 + (i30 * 20 | 0) + 12 | 0, i5 | 0);
  set32(i64 + (i30 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i64 + (i30 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i58 = i30;
  i59 = i22;
  i60 = i62;
 }
 i62 = get32(i59 | 0) | 0;
 i59 = get32(i60 | 0) | 0;
 if ((i59 | 0) != 0 ? (get8(i62 + 30 >> 0 | 0) | 0) == 0 : 0) {
  if ((i58 | 0) < 0) i65 = (get32(i8 | 0) | 0) + -1 | 0; else i65 = i58;
  i58 = i59 + (i65 * 20 | 0) + 1 | 0;
  i8 = i59 + (i65 * 20 | 0) + 16 | 0;
  _freeP4(i62, get8(i58 >> 0 | 0) | 0, get32(i8 | 0) | 0);
  set32(i8 | 0, 0 | 0);
  if (!i57) {
   set32(i8 | 0, 0 | 0);
   set8(i58 >> 0 | 0, 0 | 0);
   STACKTOP = i7;
   return;
  } else {
   set32(i8 | 0, i57 | 0);
   set8(i58 >> 0 | 0, -1 | 0);
   STACKTOP = i7;
   return;
  }
 }
 if (!i57) {
  STACKTOP = i7;
  return;
 }
 _sqlite3DbFree(i62, i57);
 STACKTOP = i7;
 return;
}

function _sqlite3IdListDup(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0;
 if (!i2) {
  i3 = 0;
  return i3 | 0;
 }
 i4 = (i1 | 0) == 0;
 L4 : do if (i4) {
  if (!(get32(50 * 4 | 0) | 0)) {
   i5 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](12) | 0;
   i6 = 39;
   break;
  }
  i7 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](12) | 0;
  set32(35 * 4 | 0, 12 | 0);
  if ((get32(45 * 4 | 0) | 0) < 12) set32(45 * 4 | 0, 12 | 0);
  i8 = get32(6 * 4 | 0) | 0;
  do if (i8) {
   i9 = get32(30 * 4 | 0) | 0;
   i10 = ((i9 | 0) < 0) << 31 >> 31;
   i11 = 16;
   i12 = _i64Subtract(get32(i11 | 0) | 0, get32(i11 + 4 | 0) | 0, i7 | 0, ((i7 | 0) < 0) << 31 >> 31 | 0) | 0;
   i11 = tempRet0;
   if ((i10 | 0) < (i11 | 0) | (i10 | 0) == (i11 | 0) & i9 >>> 0 < i12 >>> 0) {
    set32(11 * 4 | 0, 0 | 0);
    break;
   } else {
    set32(11 * 4 | 0, 1 | 0);
    i12 = get32(7 * 4 | 0) | 0;
    set32(6 * 4 | 0, 0 | 0);
    FUNCTION_TABLE_viiii[i8 & 15](i12, i9, i10, i7);
    set32(6 * 4 | 0, i8 | 0);
    set32(7 * 4 | 0, i12 | 0);
    break;
   }
  } while (0);
  i8 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i7) | 0;
  if (!i8) {
   i3 = 0;
   return i3 | 0;
  }
  i12 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i8) | 0;
  i10 = (get32(30 * 4 | 0) | 0) + i12 | 0;
  set32(30 * 4 | 0, i10 | 0);
  if ((i10 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i10 | 0);
  i10 = get32(39 * 4 | 0) | 0;
  i12 = i10 + 1 | 0;
  set32(39 * 4 | 0, i12 | 0);
  if ((i10 | 0) < (get32(49 * 4 | 0) | 0)) i13 = i8; else {
   set32(49 * 4 | 0, i12 | 0);
   i13 = i8;
  }
 } else {
  i8 = i1 + 30 | 0;
  if (get8(i8 >> 0 | 0) | 0) {
   i3 = 0;
   return i3 | 0;
  }
  do if (get8(i1 + 234 >> 0 | 0) | 0) {
   if ((getU16(i1 + 232 | 0) | 0) < 12) {
    i12 = i1 + 248 | 0;
    set32(i12 | 0, (get32(i12 | 0) | 0) + 1 | 0);
    break;
   }
   i12 = i1 + 256 | 0;
   i10 = get32(i12 | 0) | 0;
   if (!i10) {
    i9 = i1 + 252 | 0;
    set32(i9 | 0, (get32(i9 | 0) | 0) + 1 | 0);
    break;
   }
   set32(i12 | 0, get32(i10 | 0) | 0);
   i12 = i1 + 236 | 0;
   i9 = get32(i12 | 0) | 0;
   i11 = i9 + 1 | 0;
   set32(i12 | 0, i11 | 0);
   i12 = i1 + 244 | 0;
   set32(i12 | 0, (get32(i12 | 0) | 0) + 1 | 0);
   i12 = i1 + 240 | 0;
   if ((i9 | 0) >= (get32(i12 | 0) | 0)) set32(i12 | 0, i11 | 0);
   i5 = i10;
   i6 = 39;
   break L4;
  } while (0);
  if (!(get32(50 * 4 | 0) | 0)) {
   i7 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](12) | 0;
   if (i7) {
    i13 = i7;
    break;
   }
  } else {
   i7 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](12) | 0;
   set32(35 * 4 | 0, 12 | 0);
   if ((get32(45 * 4 | 0) | 0) < 12) set32(45 * 4 | 0, 12 | 0);
   i10 = get32(6 * 4 | 0) | 0;
   do if (i10) {
    i11 = get32(30 * 4 | 0) | 0;
    i12 = ((i11 | 0) < 0) << 31 >> 31;
    i9 = 16;
    i14 = _i64Subtract(get32(i9 | 0) | 0, get32(i9 + 4 | 0) | 0, i7 | 0, ((i7 | 0) < 0) << 31 >> 31 | 0) | 0;
    i9 = tempRet0;
    if ((i12 | 0) < (i9 | 0) | (i12 | 0) == (i9 | 0) & i11 >>> 0 < i14 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i14 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i10 & 15](i14, i11, i12, i7);
     set32(6 * 4 | 0, i10 | 0);
     set32(7 * 4 | 0, i14 | 0);
     break;
    }
   } while (0);
   i10 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i7) | 0;
   if (i10) {
    i14 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i10) | 0;
    i12 = (get32(30 * 4 | 0) | 0) + i14 | 0;
    set32(30 * 4 | 0, i12 | 0);
    if ((i12 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i12 | 0);
    i12 = get32(39 * 4 | 0) | 0;
    i14 = i12 + 1 | 0;
    set32(39 * 4 | 0, i14 | 0);
    if ((i12 | 0) < (get32(49 * 4 | 0) | 0)) {
     i13 = i10;
     break;
    }
    set32(49 * 4 | 0, i14 | 0);
    i13 = i10;
    break;
   }
  }
  set8(i8 >> 0 | 0, 1 | 0);
  i3 = 0;
  return i3 | 0;
 } while (0);
 if ((i6 | 0) == 39) if (!i5) {
  i3 = 0;
  return i3 | 0;
 } else i13 = i5;
 i5 = i2 + 4 | 0;
 i10 = get32(i5 | 0) | 0;
 set32(i13 + 8 | 0, i10 | 0);
 set32(i13 + 4 | 0, i10 | 0);
 i10 = get32(i5 | 0) << 3;
 L64 : do if (i4) if ((i10 + -1 | 0) >>> 0 <= 2147483390) {
  if (!(get32(50 * 4 | 0) | 0)) {
   i15 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i10) | 0;
   i6 = 83;
   break;
  }
  i14 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i10) | 0;
  set32(35 * 4 | 0, i10 | 0);
  if ((get32(45 * 4 | 0) | 0) < (i10 | 0)) set32(45 * 4 | 0, i10 | 0);
  i12 = get32(6 * 4 | 0) | 0;
  do if (i12) {
   i11 = get32(30 * 4 | 0) | 0;
   i9 = ((i11 | 0) < 0) << 31 >> 31;
   i16 = 16;
   i17 = _i64Subtract(get32(i16 | 0) | 0, get32(i16 + 4 | 0) | 0, i14 | 0, ((i14 | 0) < 0) << 31 >> 31 | 0) | 0;
   i16 = tempRet0;
   if ((i9 | 0) < (i16 | 0) | (i9 | 0) == (i16 | 0) & i11 >>> 0 < i17 >>> 0) {
    set32(11 * 4 | 0, 0 | 0);
    break;
   } else {
    set32(11 * 4 | 0, 1 | 0);
    i17 = get32(7 * 4 | 0) | 0;
    set32(6 * 4 | 0, 0 | 0);
    FUNCTION_TABLE_viiii[i12 & 15](i17, i11, i9, i14);
    set32(6 * 4 | 0, i12 | 0);
    set32(7 * 4 | 0, i17 | 0);
    break;
   }
  } while (0);
  i12 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i14) | 0;
  if (i12) {
   i8 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i12) | 0;
   i7 = (get32(30 * 4 | 0) | 0) + i8 | 0;
   set32(30 * 4 | 0, i7 | 0);
   if ((i7 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i7 | 0);
   i7 = get32(39 * 4 | 0) | 0;
   i8 = i7 + 1 | 0;
   set32(39 * 4 | 0, i8 | 0);
   if ((i7 | 0) < (get32(49 * 4 | 0) | 0)) {
    i18 = i12;
    i6 = 80;
   } else {
    set32(49 * 4 | 0, i8 | 0);
    i18 = i12;
    i6 = 80;
   }
  } else i6 = 79;
 } else i6 = 79; else {
  i12 = i1 + 30 | 0;
  if (!(get8(i12 >> 0 | 0) | 0)) {
   do if (get8(i1 + 234 >> 0 | 0) | 0) {
    if ((getU16(i1 + 232 | 0) | 0) < (i10 | 0)) {
     i8 = i1 + 248 | 0;
     set32(i8 | 0, (get32(i8 | 0) | 0) + 1 | 0);
     break;
    }
    i8 = i1 + 256 | 0;
    i7 = get32(i8 | 0) | 0;
    if (!i7) {
     i17 = i1 + 252 | 0;
     set32(i17 | 0, (get32(i17 | 0) | 0) + 1 | 0);
     break;
    }
    set32(i8 | 0, get32(i7 | 0) | 0);
    i8 = i1 + 236 | 0;
    i17 = get32(i8 | 0) | 0;
    i9 = i17 + 1 | 0;
    set32(i8 | 0, i9 | 0);
    i8 = i1 + 244 | 0;
    set32(i8 | 0, (get32(i8 | 0) | 0) + 1 | 0);
    i8 = i1 + 240 | 0;
    if ((i17 | 0) >= (get32(i8 | 0) | 0)) set32(i8 | 0, i9 | 0);
    i15 = i7;
    i6 = 83;
    break L64;
   } while (0);
   do if ((i10 + -1 | 0) >>> 0 <= 2147483390) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i14 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i10) | 0;
     if (!i14) break; else {
      i18 = i14;
      i6 = 80;
      break L64;
     }
    }
    i14 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i10) | 0;
    set32(35 * 4 | 0, i10 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i10 | 0)) set32(45 * 4 | 0, i10 | 0);
    i7 = get32(6 * 4 | 0) | 0;
    do if (i7) {
     i9 = get32(30 * 4 | 0) | 0;
     i8 = ((i9 | 0) < 0) << 31 >> 31;
     i17 = 16;
     i11 = _i64Subtract(get32(i17 | 0) | 0, get32(i17 + 4 | 0) | 0, i14 | 0, ((i14 | 0) < 0) << 31 >> 31 | 0) | 0;
     i17 = tempRet0;
     if ((i8 | 0) < (i17 | 0) | (i8 | 0) == (i17 | 0) & i9 >>> 0 < i11 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i11 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i7 & 15](i11, i9, i8, i14);
      set32(6 * 4 | 0, i7 | 0);
      set32(7 * 4 | 0, i11 | 0);
      break;
     }
    } while (0);
    i7 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i14) | 0;
    if (i7) {
     i11 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i7) | 0;
     i8 = (get32(30 * 4 | 0) | 0) + i11 | 0;
     set32(30 * 4 | 0, i8 | 0);
     if ((i8 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i8 | 0);
     i8 = get32(39 * 4 | 0) | 0;
     i11 = i8 + 1 | 0;
     set32(39 * 4 | 0, i11 | 0);
     if ((i8 | 0) < (get32(49 * 4 | 0) | 0)) {
      i18 = i7;
      i6 = 80;
      break L64;
     }
     set32(49 * 4 | 0, i11 | 0);
     i18 = i7;
     i6 = 80;
     break L64;
    }
   } while (0);
   set8(i12 >> 0 | 0, 1 | 0);
   i6 = 79;
  } else i6 = 79;
 } while (0);
 if ((i6 | 0) == 79) {
  set32(i13 | 0, 0 | 0);
  i6 = 84;
 } else if ((i6 | 0) == 80) {
  set32(i13 | 0, i18 | 0);
  i19 = i18;
 } else if ((i6 | 0) == 83) {
  set32(i13 | 0, i15 | 0);
  if (!i15) i6 = 84; else i19 = i15;
 }
 if ((i6 | 0) == 84) {
  _sqlite3DbFree(i1, i13);
  i3 = 0;
  return i3 | 0;
 }
 if ((get32(i5 | 0) | 0) <= 0) {
  i3 = i13;
  return i3 | 0;
 }
 i15 = i1 + 30 | 0;
 i18 = i1 + 234 | 0;
 i10 = i1 + 232 | 0;
 i7 = i1 + 248 | 0;
 i11 = i1 + 256 | 0;
 i8 = i1 + 252 | 0;
 i9 = i1 + 236 | 0;
 i17 = i1 + 244 | 0;
 i16 = i1 + 240 | 0;
 i1 = i19;
 i19 = 0;
 while (1) {
  i20 = get32(i2 | 0) | 0;
  i21 = get32(i20 + (i19 << 3) | 0) | 0;
  L131 : do if (!i21) i22 = 0; else {
   i23 = i21;
   while (1) if (!(get8(i23 >> 0 | 0) | 0)) {
    i24 = i23;
    break;
   } else i23 = i23 + 1 | 0;
   i23 = (i24 - i21 & 1073741823) + 1 | 0;
   L135 : do if (i4) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i25 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i23) | 0;
     i6 = 124;
     break;
    }
    i14 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i23) | 0;
    set32(35 * 4 | 0, i23 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i23 | 0)) set32(45 * 4 | 0, i23 | 0);
    i26 = get32(6 * 4 | 0) | 0;
    do if (i26) {
     i27 = get32(30 * 4 | 0) | 0;
     i28 = ((i27 | 0) < 0) << 31 >> 31;
     i29 = 16;
     i30 = _i64Subtract(get32(i29 | 0) | 0, get32(i29 + 4 | 0) | 0, i14 | 0, ((i14 | 0) < 0) << 31 >> 31 | 0) | 0;
     i29 = tempRet0;
     if ((i28 | 0) < (i29 | 0) | (i28 | 0) == (i29 | 0) & i27 >>> 0 < i30 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i30 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i26 & 15](i30, i27, i28, i14);
      set32(6 * 4 | 0, i26 | 0);
      set32(7 * 4 | 0, i30 | 0);
      break;
     }
    } while (0);
    i26 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i14) | 0;
    if (!i26) {
     i22 = 0;
     break L131;
    }
    i30 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i26) | 0;
    i28 = (get32(30 * 4 | 0) | 0) + i30 | 0;
    set32(30 * 4 | 0, i28 | 0);
    if ((i28 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i28 | 0);
    i28 = get32(39 * 4 | 0) | 0;
    i30 = i28 + 1 | 0;
    set32(39 * 4 | 0, i30 | 0);
    if ((i28 | 0) < (get32(49 * 4 | 0) | 0)) i31 = i26; else {
     set32(49 * 4 | 0, i30 | 0);
     i31 = i26;
    }
   } else {
    if (get8(i15 >> 0 | 0) | 0) {
     i22 = 0;
     break L131;
    }
    do if (get8(i18 >> 0 | 0) | 0) {
     if ((getU16(i10 | 0) | 0) >>> 0 < i23 >>> 0) {
      set32(i7 | 0, (get32(i7 | 0) | 0) + 1 | 0);
      break;
     }
     i26 = get32(i11 | 0) | 0;
     if (!i26) {
      set32(i8 | 0, (get32(i8 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i11 | 0, get32(i26 | 0) | 0);
     i30 = get32(i9 | 0) | 0;
     i28 = i30 + 1 | 0;
     set32(i9 | 0, i28 | 0);
     set32(i17 | 0, (get32(i17 | 0) | 0) + 1 | 0);
     if ((i30 | 0) >= (get32(i16 | 0) | 0)) set32(i16 | 0, i28 | 0);
     i25 = i26;
     i6 = 124;
     break L135;
    } while (0);
    if (!(get32(50 * 4 | 0) | 0)) {
     i14 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i23) | 0;
     if (i14) {
      i31 = i14;
      break;
     }
    } else {
     i14 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i23) | 0;
     set32(35 * 4 | 0, i23 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i23 | 0)) set32(45 * 4 | 0, i23 | 0);
     i26 = get32(6 * 4 | 0) | 0;
     do if (i26) {
      i28 = get32(30 * 4 | 0) | 0;
      i30 = ((i28 | 0) < 0) << 31 >> 31;
      i27 = 16;
      i29 = _i64Subtract(get32(i27 | 0) | 0, get32(i27 + 4 | 0) | 0, i14 | 0, ((i14 | 0) < 0) << 31 >> 31 | 0) | 0;
      i27 = tempRet0;
      if ((i30 | 0) < (i27 | 0) | (i30 | 0) == (i27 | 0) & i28 >>> 0 < i29 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i29 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i26 & 15](i29, i28, i30, i14);
       set32(6 * 4 | 0, i26 | 0);
       set32(7 * 4 | 0, i29 | 0);
       break;
      }
     } while (0);
     i26 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i14) | 0;
     if (i26) {
      i29 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i26) | 0;
      i30 = (get32(30 * 4 | 0) | 0) + i29 | 0;
      set32(30 * 4 | 0, i30 | 0);
      if ((i30 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i30 | 0);
      i30 = get32(39 * 4 | 0) | 0;
      i29 = i30 + 1 | 0;
      set32(39 * 4 | 0, i29 | 0);
      if ((i30 | 0) < (get32(49 * 4 | 0) | 0)) {
       i31 = i26;
       break;
      }
      set32(49 * 4 | 0, i29 | 0);
      i31 = i26;
      break;
     }
    }
    set8(i15 >> 0 | 0, 1 | 0);
    i22 = 0;
    break L131;
   } while (0);
   if ((i6 | 0) == 124) {
    i6 = 0;
    if (!i25) {
     i22 = 0;
     break;
    } else i31 = i25;
   }
   _memcpy(i31 | 0, i21 | 0, i23 | 0) | 0;
   i22 = i31;
  } while (0);
  set32(i1 + (i19 << 3) | 0, i22 | 0);
  set32(i1 + (i19 << 3) + 4 | 0, get32(i20 + (i19 << 3) + 4 | 0) | 0);
  i21 = i19 + 1 | 0;
  if ((i21 | 0) >= (get32(i5 | 0) | 0)) {
   i3 = i13;
   break;
  }
  i1 = get32(i13 | 0) | 0;
  i19 = i21;
 }
 return i3 | 0;
}

function _sqlite3PagerSavepoint(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i5 = i4 + 16 | 0;
 i6 = i4 + 12 | 0;
 i7 = i4 + 8 | 0;
 i8 = i4;
 i9 = get32(i1 + 40 | 0) | 0;
 if (i9) {
  i10 = i9;
  STACKTOP = i4;
  return i10 | 0;
 }
 i9 = i1 + 96 | 0;
 i11 = get32(i9 | 0) | 0;
 if ((i11 | 0) <= (i3 | 0)) {
  i10 = 0;
  STACKTOP = i4;
  return i10 | 0;
 }
 i12 = (i2 | 0) == 1;
 i2 = (i12 & 1 ^ 1) + i3 | 0;
 if ((i2 | 0) < (i11 | 0)) {
  i11 = i1 + 92 | 0;
  i3 = i2;
  do {
   _sqlite3BitvecDestroy(get32((get32(i11 | 0) | 0) + (i3 * 48 | 0) + 16 | 0) | 0);
   i3 = i3 + 1 | 0;
  } while ((i3 | 0) < (get32(i9 | 0) | 0));
 }
 set32(i9 | 0, i2 | 0);
 if (i12) {
  if (i2) {
   i10 = 0;
   STACKTOP = i4;
   return i10 | 0;
  }
  i12 = get32(i1 + 68 | 0) | 0;
  i9 = get32(i12 | 0) | 0;
  if (!i9) {
   i10 = 0;
   STACKTOP = i4;
   return i10 | 0;
  }
  if ((i9 | 0) == 1396) {
   i9 = get32(i12 + 4 | 0) | 0;
   if (i9) {
    i3 = i9;
    do {
     i9 = i3;
     i3 = get32(i3 | 0) | 0;
     if (!(get32(50 * 4 | 0) | 0)) FUNCTION_TABLE_vi[get32(232 | 0) & 31](i9); else {
      i11 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i9) | 0;
      i13 = (get32(30 * 4 | 0) | 0) - i11 | 0;
      set32(30 * 4 | 0, i13 | 0);
      if ((i13 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i13 | 0);
      i13 = (get32(39 * 4 | 0) | 0) + -1 | 0;
      set32(39 * 4 | 0, i13 | 0);
      if ((i13 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i13 | 0);
      FUNCTION_TABLE_vi[get32(232 | 0) & 31](i9);
     }
    } while ((i3 | 0) != 0);
   }
   i14 = i12;
   i15 = i14 + 40 | 0;
   do {
    set32(i14 | 0, 0 | 0);
    i14 = i14 + 4 | 0;
   } while ((i14 | 0) < (i15 | 0));
   set32(i12 | 0, 1396 | 0);
  }
  set32(i1 + 52 | 0, 0 | 0);
  i10 = 0;
  STACKTOP = i4;
  return i10 | 0;
 }
 i12 = i1 + 172 | 0;
 if ((get32(i12 | 0) | 0) == 0 ? (get32(get32(i1 + 64 | 0) | 0) | 0) == 0 : 0) {
  i10 = 0;
  STACKTOP = i4;
  return i10 | 0;
 }
 if (!i2) i16 = 0; else i16 = (get32(i1 + 92 | 0) | 0) + ((i2 + -1 | 0) * 48 | 0) | 0;
 i2 = (i16 | 0) != 0;
 i3 = i16 + 20 | 0;
 do if (i2) {
  i9 = get32(i3 | 0) | 0;
  if (!(get32(50 * 4 | 0) | 0)) {
   i13 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](512) | 0;
   if (!i13) {
    i17 = 7;
    break;
   } else i18 = i13;
  } else {
   i13 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](512) | 0;
   set32(35 * 4 | 0, 512 | 0);
   if ((get32(45 * 4 | 0) | 0) < 512) set32(45 * 4 | 0, 512 | 0);
   i11 = get32(6 * 4 | 0) | 0;
   do if (i11) {
    i19 = get32(30 * 4 | 0) | 0;
    i20 = ((i19 | 0) < 0) << 31 >> 31;
    i21 = 16;
    i22 = _i64Subtract(get32(i21 | 0) | 0, get32(i21 + 4 | 0) | 0, i13 | 0, ((i13 | 0) < 0) << 31 >> 31 | 0) | 0;
    i21 = tempRet0;
    if ((i20 | 0) < (i21 | 0) | (i20 | 0) == (i21 | 0) & i19 >>> 0 < i22 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i22 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i11 & 15](i22, i19, i20, i13);
     set32(6 * 4 | 0, i11 | 0);
     set32(7 * 4 | 0, i22 | 0);
     break;
    }
   } while (0);
   i11 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i13) | 0;
   if (!i11) {
    i17 = 7;
    break;
   }
   i22 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i11) | 0;
   i20 = (get32(30 * 4 | 0) | 0) + i22 | 0;
   set32(30 * 4 | 0, i20 | 0);
   if ((i20 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i20 | 0);
   i20 = get32(39 * 4 | 0) | 0;
   i22 = i20 + 1 | 0;
   set32(39 * 4 | 0, i22 | 0);
   if ((i20 | 0) < (get32(49 * 4 | 0) | 0)) i18 = i11; else {
    set32(49 * 4 | 0, i22 | 0);
    i18 = i11;
   }
  }
  _memset(i18 | 0, 0, 512) | 0;
  set32(i18 | 0, i9 | 0);
  i23 = i18;
  i24 = 40;
 } else {
  i23 = 0;
  i24 = 40;
 } while (0);
 L66 : do if ((i24 | 0) == 40) {
  i18 = i1 + 28 | 0;
  i11 = i1 + 24 | 0;
  set32(i11 | 0, get32((i2 ? i3 : i18) | 0) | 0);
  set8(i1 + 17 >> 0 | 0, get8(i1 + 12 >> 0 | 0) | 0 | 0);
  L68 : do if (i2) {
   i22 = i1 + 72 | 0;
   i20 = i22;
   i19 = get32(i20 | 0) | 0;
   i21 = get32(i20 + 4 | 0) | 0;
   if (!(get32(i12 | 0) | 0)) {
    i20 = i16 + 8 | 0;
    i25 = get32(i20 | 0) | 0;
    i26 = get32(i20 + 4 | 0) | 0;
    i20 = (i25 | 0) == 0 & (i26 | 0) == 0;
    i27 = i20 ? i19 : i25;
    i25 = i20 ? i21 : i26;
    i26 = i16;
    i20 = get32(i26 | 0) | 0;
    i28 = get32(i26 + 4 | 0) | 0;
    i26 = i22;
    set32(i26 | 0, i20 | 0);
    set32(i26 + 4 | 0, i28 | 0);
    if ((i28 | 0) < (i25 | 0) | (i28 | 0) == (i25 | 0) & i20 >>> 0 < i27 >>> 0) while (1) {
     i26 = _pager_playback_one_page(i1, i22, i23, 1, 1) | 0;
     if (i26) {
      i29 = i22;
      i30 = i19;
      i31 = i21;
      i32 = i26;
      break L68;
     }
     i26 = i22;
     i33 = get32(i26 | 0) | 0;
     i34 = get32(i26 + 4 | 0) | 0;
     if (!((i34 | 0) < (i25 | 0) | (i34 | 0) == (i25 | 0) & i33 >>> 0 < i27 >>> 0)) {
      i35 = i22;
      i36 = i34;
      i37 = i21;
      i38 = i33;
      i39 = i19;
      i24 = 80;
      break;
     }
    } else {
     i35 = i22;
     i36 = i28;
     i37 = i21;
     i38 = i20;
     i39 = i19;
     i24 = 80;
    }
   } else {
    i40 = i22;
    i41 = i19;
    i42 = i21;
    i24 = 79;
   }
  } else {
   i27 = get32(i12 | 0) | 0;
   if (!i27) {
    i25 = i1 + 72 | 0;
    i33 = i25;
    i40 = i25;
    i41 = get32(i33 | 0) | 0;
    i42 = get32(i33 + 4 | 0) | 0;
    i24 = 79;
    break;
   }
   set32(i11 | 0, get32(i18 | 0) | 0);
   i33 = _sqlite3WalUndo(i27, i1) | 0;
   i27 = i1 + 168 | 0;
   i25 = _sqlite3PcacheDirtyList(get32(i27 | 0) | 0) | 0;
   if (!((i33 | 0) == 0 & (i25 | 0) != 0)) {
    i17 = i33;
    break L66;
   }
   i33 = i1 + 88 | 0;
   i34 = i1 + 160 | 0;
   i26 = i25;
   while (1) {
    i25 = i26;
    i26 = get32(i26 + 8 | 0) | 0;
    i43 = get32(i25 + 12 | 0) | 0;
    i25 = get32(i27 | 0) | 0;
    i44 = get32(i25 + 40 | 0) | 0;
    do if ((i44 | 0) != 0 ? (i45 = FUNCTION_TABLE_iiii[get32(320 | 0) & 63](i44, i43, 0) | 0, (i45 | 0) != 0) : 0) {
     if (!(get32(i45 | 0) | 0)) {
      i14 = i45;
      i15 = i14 + 36 | 0;
      do {
       set32(i14 | 0, 0 | 0);
       i14 = i14 + 4 | 0;
      } while ((i14 | 0) < (i15 | 0));
      set32(i45 | 0, i45 + 36 | 0);
      i46 = i45 + ((get32(i25 + 20 | 0) | 0) + 36) | 0;
      set32(i45 + 4 | 0, i46 | 0);
      _memset(i46 | 0, 0, get32(i25 + 24 | 0) | 0) | 0;
      set32(i45 + 24 | 0, i25 | 0);
      set32(i45 + 12 | 0, i43 | 0);
     }
     i46 = i45 + 22 | 0;
     i47 = get16(i46 | 0) | 0;
     i48 = i47 << 16 >> 16 == 0;
     if (i48) {
      i49 = i25 + 12 | 0;
      set32(i49 | 0, (get32(i49 | 0) | 0) + 1 | 0);
     }
     set16(i46 | 0, i47 + 1 << 16 >> 16 | 0);
     if ((i43 | 0) == 1) set32(i25 + 44 | 0, i45 | 0);
     if (!i48) {
      i48 = _readDbPage(i45) | 0;
      if (!i48) FUNCTION_TABLE_vi[get32(i34 | 0) & 31](i45);
      _sqlite3PagerUnref(i45);
      i50 = i48;
      break;
     }
     i48 = get32(i45 + 24 | 0) | 0;
     if (get16(i45 + 20 | 0) & 2) {
      i47 = i48 + 8 | 0;
      if ((get32(i47 | 0) | 0) == (i45 | 0)) {
       i46 = i45;
       while (1) {
        i49 = get32(i46 + 32 | 0) | 0;
        if (!i49) {
         i51 = 0;
         break;
        }
        if (!(get16(i49 + 20 | 0) & 4)) {
         i51 = i49;
         break;
        } else i46 = i49;
       }
       set32(i47 | 0, i51 | 0);
      }
      i46 = i45 + 28 | 0;
      i49 = get32(i46 | 0) | 0;
      i52 = i45 + 32 | 0;
      i53 = get32(i52 | 0) | 0;
      i54 = i49;
      if (!i49) {
       set32(i48 + 4 | 0, i53 | 0);
       i55 = i53;
      } else {
       set32(i49 + 32 | 0, i53 | 0);
       i55 = get32(i52 | 0) | 0;
      }
      if (!i55) set32(i48 | 0, i54 | 0); else set32(i55 + 28 | 0, i54 | 0);
      set32(i46 | 0, 0 | 0);
      set32(i52 | 0, 0 | 0);
     }
     i52 = i48 + 12 | 0;
     set32(i52 | 0, (get32(i52 | 0) | 0) + -1 | 0);
     if ((get32(i45 + 12 | 0) | 0) == 1) set32(i48 + 44 | 0, 0 | 0);
     FUNCTION_TABLE_viii[get32(324 | 0) & 63](get32(i48 + 40 | 0) | 0, i45, 1);
     i50 = 0;
    } else i50 = 0; while (0);
    i25 = get32(i33 | 0) | 0;
    if (i25) {
     i43 = i25;
     do {
      set32(i43 + 16 | 0, 1 | 0);
      i43 = get32(i43 + 44 | 0) | 0;
     } while ((i43 | 0) != 0);
    }
    if (!((i26 | 0) != 0 & (i50 | 0) == 0)) {
     i17 = i50;
     break L66;
    }
   }
  } while (0);
  if ((i24 | 0) == 79) {
   i18 = i40;
   set32(i18 | 0, 0 | 0);
   set32(i18 + 4 | 0, 0 | 0);
   i35 = i40;
   i36 = 0;
   i37 = i42;
   i38 = 0;
   i39 = i41;
   i24 = 80;
  }
  L126 : do if ((i24 | 0) == 80) {
   i18 = i1 + 80 | 0;
   i11 = i1 + 124 | 0;
   i9 = i1 + 128 | 0;
   if ((i36 | 0) < (i37 | 0) | (i36 | 0) == (i37 | 0) & i38 >>> 0 < i39 >>> 0) while (1) {
    set32(i6 | 0, 0 | 0);
    i13 = _readJournalHdr(i1, 0, i39, i37, i6, i7) | 0;
    i26 = get32(i6 | 0) | 0;
    if (!i26) {
     i33 = i18;
     i34 = _i64Add(get32(i11 | 0) | 0, 0, get32(i33 | 0) | 0, get32(i33 + 4 | 0) | 0) | 0;
     i33 = tempRet0;
     i27 = i35;
     if ((i34 | 0) == (get32(i27 | 0) | 0) ? (i33 | 0) == (get32(i27 + 4 | 0) | 0) : 0) {
      i27 = _i64Subtract(i39 | 0, i37 | 0, i34 | 0, i33 | 0) | 0;
      i33 = (get32(i9 | 0) | 0) + 8 | 0;
      i34 = ___divdi3(i27 | 0, tempRet0 | 0, i33 | 0, ((i33 | 0) < 0) << 31 >> 31 | 0) | 0;
      set32(i6 | 0, i34 | 0);
      i56 = i34;
      i24 = 87;
     } else {
      i57 = i13;
      i24 = 81;
     }
    } else {
     i56 = i26;
     i24 = 87;
    }
    L133 : do if ((i24 | 0) == 87) {
     i24 = 0;
     if ((i13 | 0) == 0 & (i56 | 0) != 0) {
      i26 = 0;
      while (1) {
       i34 = i35;
       i33 = get32(i34 | 0) | 0;
       i27 = get32(i34 + 4 | 0) | 0;
       if (!((i27 | 0) < (i37 | 0) | (i27 | 0) == (i37 | 0) & i33 >>> 0 < i39 >>> 0)) {
        i58 = i27;
        i59 = i33;
        break L133;
       }
       i33 = _pager_playback_one_page(i1, i35, i23, 1, 1) | 0;
       i26 = i26 + 1 | 0;
       if (!(i26 >>> 0 < i56 >>> 0 & (i33 | 0) == 0)) {
        i57 = i33;
        i24 = 81;
        break;
       }
      }
     } else {
      i57 = i13;
      i24 = 81;
     }
    } while (0);
    if ((i24 | 0) == 81) {
     i24 = 0;
     if (i57) {
      i29 = i35;
      i30 = i39;
      i31 = i37;
      i32 = i57;
      break L126;
     }
     i13 = i35;
     i58 = get32(i13 + 4 | 0) | 0;
     i59 = get32(i13 | 0) | 0;
    }
    if (!((i58 | 0) < (i37 | 0) | (i58 | 0) == (i37 | 0) & i59 >>> 0 < i39 >>> 0)) {
     i29 = i35;
     i30 = i39;
     i31 = i37;
     i32 = 0;
     break;
    }
   } else {
    i29 = i35;
    i30 = i39;
    i31 = i37;
    i32 = 0;
   }
  } while (0);
  L143 : do if (!i2) {
   _sqlite3BitvecDestroy(i23);
   if (i32) {
    i17 = i32;
    break L66;
   }
  } else {
   i9 = i16 + 24 | 0;
   i11 = i8;
   set32(i11 | 0, Math_imul((get32(i1 + 128 | 0) | 0) + 4 | 0, get32(i9 | 0) | 0) | 0 | 0);
   set32(i11 + 4 | 0, 0 | 0);
   i11 = get32(i12 | 0) | 0;
   if (!i11) if (!i32) i24 = 108; else i60 = i32; else {
    i18 = i16 + 28 | 0;
    i13 = i16 + 40 | 0;
    i26 = i11 + 96 | 0;
    if ((get32(i13 | 0) | 0) == (get32(i26 | 0) | 0)) i61 = get32(i18 | 0) | 0; else {
     set32(i18 | 0, 0 | 0);
     set32(i13 | 0, get32(i26 | 0) | 0);
     i61 = 0;
    }
    i26 = i11 + 60 | 0;
    if (i61 >>> 0 < (get32(i26 | 0) | 0) >>> 0 ? (set32(i26 | 0, i61 | 0), set32(i11 + 68 | 0, get32(i16 + 32 | 0) | 0), set32(i11 + 72 | 0, get32(i16 + 36 | 0) | 0), (i61 | 0) != 0) : 0) {
     i13 = (i61 + 33 | 0) >>> 12;
     if (!(_walIndexPage(i11, i13, i5) | 0)) {
      i11 = get32(i5 | 0) | 0;
      if (!i13) {
       i18 = i11 + 136 | 0;
       set32(i5 | 0, i18 | 0);
       i62 = i18;
       i63 = 0;
      } else {
       i62 = i11;
       i63 = (i13 << 12) + -34 | 0;
      }
      i64 = i63;
      i65 = i11 + 16384 | 0;
      i66 = i62 + -4 | 0;
     } else {
      i64 = 0;
      i65 = 0;
      i66 = 0;
     }
     i11 = (get32(i26 | 0) | 0) - i64 | 0;
     i26 = 0;
     do {
      i13 = i65 + (i26 << 1) | 0;
      if ((getU16(i13 | 0) | 0 | 0) > (i11 | 0)) set16(i13 | 0, 0 | 0);
      i26 = i26 + 1 | 0;
     } while ((i26 | 0) != 8192);
     i26 = i66 + (i11 + 1 << 2) | 0;
     _memset(i26 | 0, 0, i65 - i26 | 0) | 0;
     i24 = 108;
    } else i24 = 108;
   }
   L167 : do if ((i24 | 0) == 108) {
    i26 = i1 + 52 | 0;
    i13 = get32(i9 | 0) | 0;
    while (1) {
     if (i13 >>> 0 >= (get32(i26 | 0) | 0) >>> 0) break;
     i18 = _pager_playback_one_page(i1, i8, i23, 0, 1) | 0;
     if (!i18) i13 = i13 + 1 | 0; else {
      i60 = i18;
      break L167;
     }
    }
    _sqlite3BitvecDestroy(i23);
    break L143;
   } while (0);
   _sqlite3BitvecDestroy(i23);
   i17 = i60;
   break L66;
  } while (0);
  i9 = i29;
  set32(i9 | 0, i30 | 0);
  set32(i9 + 4 | 0, i31 | 0);
  i17 = 0;
 } while (0);
 i10 = i17;
 STACKTOP = i4;
 return i10 | 0;
}

function _sqlite3CompleteInsertion(i1, i2, i3, i4, i5, i6, i7, i8) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 i7 = i7 | 0;
 i8 = i8 | 0;
 var i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0;
 i9 = i1 + 12 | 0;
 i10 = get32(i9 | 0) | 0;
 do if (!i10) {
  i11 = get32(i1 | 0) | 0;
  L3 : do if (!i11) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i12 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
    i13 = 39;
    break;
   }
   i14 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
   set32(35 * 4 | 0, 192 | 0);
   if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
   i15 = get32(6 * 4 | 0) | 0;
   do if (i15) {
    i16 = get32(30 * 4 | 0) | 0;
    i17 = ((i16 | 0) < 0) << 31 >> 31;
    i18 = 16;
    i19 = _i64Subtract(get32(i18 | 0) | 0, get32(i18 + 4 | 0) | 0, i14 | 0, ((i14 | 0) < 0) << 31 >> 31 | 0) | 0;
    i18 = tempRet0;
    if ((i17 | 0) < (i18 | 0) | (i17 | 0) == (i18 | 0) & i16 >>> 0 < i19 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i19 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i15 & 15](i19, i16, i17, i14);
     set32(6 * 4 | 0, i15 | 0);
     set32(7 * 4 | 0, i19 | 0);
     break;
    }
   } while (0);
   i15 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i14) | 0;
   if (i15) {
    i19 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i15) | 0;
    i17 = (get32(30 * 4 | 0) | 0) + i19 | 0;
    set32(30 * 4 | 0, i17 | 0);
    if ((i17 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i17 | 0);
    i17 = get32(39 * 4 | 0) | 0;
    i19 = i17 + 1 | 0;
    set32(39 * 4 | 0, i19 | 0);
    if ((i17 | 0) < (get32(49 * 4 | 0) | 0)) i20 = i15; else {
     set32(49 * 4 | 0, i19 | 0);
     i20 = i15;
    }
   } else i13 = 40;
  } else {
   i15 = i11 + 30 | 0;
   if (!(get8(i15 >> 0 | 0) | 0)) {
    do if (get8(i11 + 234 >> 0 | 0) | 0) {
     if ((getU16(i11 + 232 | 0) | 0) < 192) {
      i19 = i11 + 248 | 0;
      set32(i19 | 0, (get32(i19 | 0) | 0) + 1 | 0);
      break;
     }
     i19 = i11 + 256 | 0;
     i17 = get32(i19 | 0) | 0;
     if (!i17) {
      i16 = i11 + 252 | 0;
      set32(i16 | 0, (get32(i16 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i19 | 0, get32(i17 | 0) | 0);
     i19 = i11 + 236 | 0;
     i16 = get32(i19 | 0) | 0;
     i18 = i16 + 1 | 0;
     set32(i19 | 0, i18 | 0);
     i19 = i11 + 244 | 0;
     set32(i19 | 0, (get32(i19 | 0) | 0) + 1 | 0);
     i19 = i11 + 240 | 0;
     if ((i16 | 0) >= (get32(i19 | 0) | 0)) set32(i19 | 0, i18 | 0);
     i12 = i17;
     i13 = 39;
     break L3;
    } while (0);
    if (!(get32(50 * 4 | 0) | 0)) {
     i14 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
     if (i14) {
      i20 = i14;
      break;
     }
    } else {
     i14 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
     set32(35 * 4 | 0, 192 | 0);
     if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
     i17 = get32(6 * 4 | 0) | 0;
     do if (i17) {
      i18 = get32(30 * 4 | 0) | 0;
      i19 = ((i18 | 0) < 0) << 31 >> 31;
      i16 = 16;
      i21 = _i64Subtract(get32(i16 | 0) | 0, get32(i16 + 4 | 0) | 0, i14 | 0, ((i14 | 0) < 0) << 31 >> 31 | 0) | 0;
      i16 = tempRet0;
      if ((i19 | 0) < (i16 | 0) | (i19 | 0) == (i16 | 0) & i18 >>> 0 < i21 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i21 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i17 & 15](i21, i18, i19, i14);
       set32(6 * 4 | 0, i17 | 0);
       set32(7 * 4 | 0, i21 | 0);
       break;
      }
     } while (0);
     i17 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i14) | 0;
     if (i17) {
      i21 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i17) | 0;
      i19 = (get32(30 * 4 | 0) | 0) + i21 | 0;
      set32(30 * 4 | 0, i19 | 0);
      if ((i19 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i19 | 0);
      i19 = get32(39 * 4 | 0) | 0;
      i21 = i19 + 1 | 0;
      set32(39 * 4 | 0, i21 | 0);
      if ((i19 | 0) < (get32(49 * 4 | 0) | 0)) {
       i20 = i17;
       break;
      }
      set32(49 * 4 | 0, i21 | 0);
      i20 = i17;
      break;
     }
    }
    set8(i15 >> 0 | 0, 1 | 0);
    i13 = 40;
   } else i13 = 40;
  } while (0);
  if ((i13 | 0) == 39) if (!i12) i13 = 40; else i20 = i12;
  if ((i13 | 0) == 40) {
   set32(i9 | 0, 0 | 0);
   i22 = 0;
   break;
  }
  _memset(i20 | 0, 0, 192) | 0;
  set32(i20 | 0, i11 | 0);
  i17 = i11 + 136 | 0;
  i21 = get32(i17 | 0) | 0;
  if (i21) set32(i21 + 60 | 0, i20 | 0);
  set32(i20 + 64 | 0, i21 | 0);
  set32(i20 + 60 | 0, 0 | 0);
  set32(i17 | 0, i20 | 0);
  set32(i20 + 52 | 0, 649915045 | 0);
  set32(i9 | 0, i20 | 0);
  i17 = i20 + 28 | 0;
  i21 = i20 + 32 | 0;
  i19 = i20 + 4 | 0;
  i18 = _sqlite3DbRealloc(i11, 0, 1020) | 0;
  if (!i18) i22 = i20; else {
   i16 = get32(i20 | 0) | 0;
   if (((i16 | 0) != 0 ? (get32(i16 + 260 | 0) | 0) >>> 0 <= i18 >>> 0 : 0) ? (get32(i16 + 264 | 0) | 0) >>> 0 > i18 >>> 0 : 0) i23 = getU16(i16 + 232 | 0) | 0; else i23 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i18) | 0;
   set32(i21 | 0, (i23 >>> 0) / 20 | 0 | 0);
   set32(i19 | 0, i18 | 0);
   set32(i17 | 0, (get32(i17 | 0) | 0) + 1 | 0);
   set8(i18 >> 0 | 0, -120 | 0);
   set8(i18 + 1 >> 0 | 0, 0 | 0);
   i17 = i18 + 3 | 0;
   i18 = i17 + 17 | 0;
   do {
    set8(i17 >> 0 | 0, 0 | 0);
    i17 = i17 + 1 | 0;
   } while ((i17 | 0) < (i18 | 0));
   i22 = i20;
  }
 } else i22 = i10; while (0);
 i10 = get32(i2 + 16 | 0) | 0;
 if (i10) {
  i20 = 0;
  i23 = i10;
  while (1) {
   i10 = i20 + 1 | 0;
   i23 = get32(i23 + 32 | 0) | 0;
   if (!i23) {
    i24 = i10;
    i25 = i20;
    break;
   } else i20 = i10;
  }
  if ((i25 | 0) > -1) {
   i25 = i22 + 28 | 0;
   i20 = i22 + 32 | 0;
   i23 = i22 + 4 | 0;
   i10 = (i8 | 0) == 0;
   i9 = i24;
   do {
    i24 = i9;
    i9 = i9 + -1 | 0;
    i12 = get32(i5 + (i9 << 2) | 0) | 0;
    if (i12) {
     i17 = i24 + i3 | 0;
     i18 = get32(i25 | 0) | 0;
     i11 = get32(i20 | 0) | 0;
     if ((i11 | 0) <= (i18 | 0)) {
      i19 = _sqlite3DbRealloc(get32(i22 | 0) | 0, get32(i23 | 0) | 0, (i11 | 0) == 0 ? 1020 : i11 * 40 | 0) | 0;
      if (i19) {
       i11 = get32(i22 | 0) | 0;
       if (((i11 | 0) != 0 ? (get32(i11 + 260 | 0) | 0) >>> 0 <= i19 >>> 0 : 0) ? (get32(i11 + 264 | 0) | 0) >>> 0 > i19 >>> 0 : 0) i26 = getU16(i11 + 232 | 0) | 0; else i26 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i19) | 0;
       set32(i20 | 0, (i26 >>> 0) / 20 | 0 | 0);
       set32(i23 | 0, i19 | 0);
       i27 = get32(i25 | 0) | 0;
       i28 = i19;
       i13 = 64;
      }
     } else {
      i27 = i18;
      i28 = get32(i23 | 0) | 0;
      i13 = 64;
     }
     if ((i13 | 0) == 64) {
      i13 = 0;
      set32(i25 | 0, i27 + 1 | 0);
      set8(i28 + (i18 * 20 | 0) >> 0 | 0, 70 | 0);
      set8(i28 + (i18 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i28 + (i18 * 20 | 0) + 4 | 0, i17 | 0);
      set32(i28 + (i18 * 20 | 0) + 8 | 0, i12 | 0);
      set32(i28 + (i18 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i28 + (i18 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i28 + (i18 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     }
     if (!i10 ? (i18 = get32(i23 | 0) | 0, (i18 | 0) != 0) : 0) set8(i18 + (((get32(i25 | 0) | 0) + -1 | 0) * 20 | 0) + 3 >> 0 | 0, 16 | 0);
    }
   } while ((i24 | 0) > 1);
  }
 }
 i25 = i4 + 1 | 0;
 i23 = i1 + 21 | 0;
 i10 = get8(i23 >> 0 | 0) | 0;
 if (!(i10 << 24 >> 24)) {
  i28 = i1 + 72 | 0;
  i27 = (get32(i28 | 0) | 0) + 1 | 0;
  set32(i28 | 0, i27 | 0);
  i29 = i27;
 } else {
  i27 = i10 + -1 << 24 >> 24;
  set8(i23 >> 0 | 0, i27 | 0);
  i29 = get32(i1 + 24 + ((i27 & 255) << 2) | 0) | 0;
 }
 i27 = i2 + 8 | 0;
 i10 = get32(i27 | 0) | 0;
 i28 = i22 + 28 | 0;
 i26 = get32(i28 | 0) | 0;
 i20 = i22 + 32 | 0;
 i9 = get32(i20 | 0) | 0;
 if ((i9 | 0) <= (i26 | 0)) {
  i5 = i22 + 4 | 0;
  i24 = _sqlite3DbRealloc(get32(i22 | 0) | 0, get32(i5 | 0) | 0, (i9 | 0) == 0 ? 1020 : i9 * 40 | 0) | 0;
  if (i24) {
   i9 = get32(i22 | 0) | 0;
   if (((i9 | 0) != 0 ? (get32(i9 + 260 | 0) | 0) >>> 0 <= i24 >>> 0 : 0) ? (get32(i9 + 264 | 0) | 0) >>> 0 > i24 >>> 0 : 0) i30 = getU16(i9 + 232 | 0) | 0; else i30 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i24) | 0;
   set32(i20 | 0, (i30 >>> 0) / 20 | 0 | 0);
   set32(i5 | 0, i24 | 0);
   i31 = get32(i28 | 0) | 0;
   i32 = i24;
   i13 = 81;
  }
 } else {
  i31 = i26;
  i32 = get32(i22 + 4 | 0) | 0;
  i13 = 81;
 }
 if ((i13 | 0) == 81) {
  set32(i28 | 0, i31 + 1 | 0);
  set8(i32 + (i26 * 20 | 0) >> 0 | 0, 30 | 0);
  set8(i32 + (i26 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i32 + (i26 * 20 | 0) + 4 | 0, i25 | 0);
  set32(i32 + (i26 * 20 | 0) + 8 | 0, i10 | 0);
  set32(i32 + (i26 * 20 | 0) + 12 | 0, i29 | 0);
  set32(i32 + (i26 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i32 + (i26 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
 }
 i26 = i2 + 40 | 0;
 i32 = get32(i26 | 0) | 0;
 L116 : do if (!i32) {
  i10 = get32(i22 | 0) | 0;
  i31 = get32(i27 | 0) | 0;
  i24 = i31 + 1 | 0;
  do if (i31 >>> 0 <= 2147483390) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i5 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i24) | 0;
    if (!i5) break; else i33 = i5;
   } else {
    i5 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i24) | 0;
    set32(35 * 4 | 0, i24 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i24 | 0)) set32(45 * 4 | 0, i24 | 0);
    i30 = get32(6 * 4 | 0) | 0;
    do if (i30) {
     i9 = get32(30 * 4 | 0) | 0;
     i18 = ((i9 | 0) < 0) << 31 >> 31;
     i12 = 16;
     i17 = _i64Subtract(get32(i12 | 0) | 0, get32(i12 + 4 | 0) | 0, i5 | 0, ((i5 | 0) < 0) << 31 >> 31 | 0) | 0;
     i12 = tempRet0;
     if ((i18 | 0) < (i12 | 0) | (i18 | 0) == (i12 | 0) & i9 >>> 0 < i17 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i17 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i30 & 15](i17, i9, i18, i5);
      set32(6 * 4 | 0, i30 | 0);
      set32(7 * 4 | 0, i17 | 0);
      break;
     }
    } while (0);
    i30 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i5) | 0;
    if (!i30) break;
    i15 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i30) | 0;
    i14 = (get32(30 * 4 | 0) | 0) + i15 | 0;
    set32(30 * 4 | 0, i14 | 0);
    if ((i14 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i14 | 0);
    i14 = get32(39 * 4 | 0) | 0;
    i15 = i14 + 1 | 0;
    set32(39 * 4 | 0, i15 | 0);
    if ((i14 | 0) < (get32(49 * 4 | 0) | 0)) i33 = i30; else {
     set32(49 * 4 | 0, i15 | 0);
     i33 = i30;
    }
   }
   i30 = get32(i27 | 0) | 0;
   if ((i30 | 0) > 0) {
    i15 = i2 + 12 | 0;
    i14 = 0;
    do {
     set8(i33 + i14 >> 0 | 0, get8((get32(i15 | 0) | 0) + (i14 * 24 | 0) + 22 >> 0 | 0) | 0 | 0);
     i14 = i14 + 1 | 0;
     i17 = get32(i27 | 0) | 0;
    } while ((i14 | 0) < (i17 | 0));
    i34 = i17;
   } else i34 = i30;
   set8(i33 + i34 >> 0 | 0, 0 | 0);
   set32(i26 | 0, i33 | 0);
   i35 = i33;
   i13 = 102;
   break L116;
  } while (0);
  set8(i10 + 30 >> 0 | 0, 1 | 0);
 } else {
  i35 = i32;
  i13 = 102;
 } while (0);
 if ((i13 | 0) == 102) _sqlite3VdbeChangeP4(i22, -1, i35, 0);
 i35 = (get32(i27 | 0) | 0) + i4 | 0;
 i27 = 0;
 i32 = i1 + 96 | 0;
 while (1) {
  i33 = i32 + 16 | 0;
  i26 = get32(i33 | 0) | 0;
  if (!((i26 | 0) < (i25 | 0) | (i26 | 0) > (i35 | 0))) {
   i34 = i32 + 8 | 0;
   if (get8(i34 >> 0 | 0) | 0) {
    i24 = get8(i23 >> 0 | 0) | 0;
    if ((i24 & 255) < 8) {
     set8(i23 >> 0 | 0, i24 + 1 << 24 >> 24 | 0);
     set32(i1 + 24 + ((i24 & 255) << 2) | 0, i26 | 0);
    }
    set8(i34 >> 0 | 0, 0 | 0);
   }
   set32(i33 | 0, 0 | 0);
  }
  i27 = i27 + 1 | 0;
  if ((i27 | 0) == 10) break; else i32 = i32 + 24 | 0;
 }
 i32 = i1 + 19 | 0;
 i1 = (get8(i32 >> 0 | 0) | 0) == 0 ? ((i6 | 0) != 0 ? 5 : 3) : 0;
 if (!i7) i36 = i1; else i36 = (i1 & 255 | 8) & 255;
 if (!i8) i37 = i36; else i37 = (i36 & 255 | 16) & 255;
 i36 = get32(i28 | 0) | 0;
 i8 = get32(i20 | 0) | 0;
 if ((i8 | 0) <= (i36 | 0)) {
  i1 = i22 + 4 | 0;
  i7 = _sqlite3DbRealloc(get32(i22 | 0) | 0, get32(i1 | 0) | 0, (i8 | 0) == 0 ? 1020 : i8 * 40 | 0) | 0;
  if (i7) {
   i8 = get32(i22 | 0) | 0;
   if (((i8 | 0) != 0 ? (get32(i8 + 260 | 0) | 0) >>> 0 <= i7 >>> 0 : 0) ? (get32(i8 + 264 | 0) | 0) >>> 0 > i7 >>> 0 : 0) i38 = getU16(i8 + 232 | 0) | 0; else i38 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i7) | 0;
   set32(i20 | 0, (i38 >>> 0) / 20 | 0 | 0);
   set32(i1 | 0, i7 | 0);
   i39 = get32(i28 | 0) | 0;
   i40 = i7;
   i13 = 124;
  }
 } else {
  i39 = i36;
  i40 = get32(i22 + 4 | 0) | 0;
  i13 = 124;
 }
 if ((i13 | 0) == 124) {
  set32(i28 | 0, i39 + 1 | 0);
  set8(i40 + (i36 * 20 | 0) >> 0 | 0, 55 | 0);
  set8(i40 + (i36 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i40 + (i36 * 20 | 0) + 4 | 0, i3 | 0);
  set32(i40 + (i36 * 20 | 0) + 8 | 0, i29 | 0);
  set32(i40 + (i36 * 20 | 0) + 12 | 0, i4 | 0);
  set32(i40 + (i36 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i40 + (i36 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
 }
 if (!(get8(i32 >> 0 | 0) | 0)) _sqlite3VdbeChangeP4(i22, -1, get32(i2 | 0) | 0, 0);
 i2 = get32(i22 + 4 | 0) | 0;
 if (!i2) return;
 set8(i2 + (((get32(i28 | 0) | 0) + -1 | 0) * 20 | 0) + 3 >> 0 | 0, i37 | 0);
 return;
}

function _selectColumnsFromExprList(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i6 = i5 + 24 | 0;
 i7 = i5 + 16 | 0;
 i8 = i5 + 8 | 0;
 i9 = i5;
 i10 = get32(i2 | 0) | 0;
 set32(i3 | 0, i10 | 0);
 i11 = i10 * 24 | 0;
 i12 = (i1 | 0) == 0;
 L1 : do if (i12) if ((i11 + -1 | 0) >>> 0 <= 2147483390) {
  if (!(get32(50 * 4 | 0) | 0)) {
   i13 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i11) | 0;
   i14 = 40;
   break;
  }
  i15 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i11) | 0;
  set32(35 * 4 | 0, i11 | 0);
  if ((get32(45 * 4 | 0) | 0) < (i11 | 0)) set32(45 * 4 | 0, i11 | 0);
  i16 = get32(6 * 4 | 0) | 0;
  do if (i16) {
   i17 = get32(30 * 4 | 0) | 0;
   i18 = ((i17 | 0) < 0) << 31 >> 31;
   i19 = 16;
   i20 = _i64Subtract(get32(i19 | 0) | 0, get32(i19 + 4 | 0) | 0, i15 | 0, ((i15 | 0) < 0) << 31 >> 31 | 0) | 0;
   i19 = tempRet0;
   if ((i18 | 0) < (i19 | 0) | (i18 | 0) == (i19 | 0) & i17 >>> 0 < i20 >>> 0) {
    set32(11 * 4 | 0, 0 | 0);
    break;
   } else {
    set32(11 * 4 | 0, 1 | 0);
    i20 = get32(7 * 4 | 0) | 0;
    set32(6 * 4 | 0, 0 | 0);
    FUNCTION_TABLE_viiii[i16 & 15](i20, i17, i18, i15);
    set32(6 * 4 | 0, i16 | 0);
    set32(7 * 4 | 0, i20 | 0);
    break;
   }
  } while (0);
  i16 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i15) | 0;
  if (i16) {
   i20 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i16) | 0;
   i18 = (get32(30 * 4 | 0) | 0) + i20 | 0;
   set32(30 * 4 | 0, i18 | 0);
   if ((i18 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i18 | 0);
   i18 = get32(39 * 4 | 0) | 0;
   i20 = i18 + 1 | 0;
   set32(39 * 4 | 0, i20 | 0);
   if ((i18 | 0) < (get32(49 * 4 | 0) | 0)) i21 = i16; else {
    set32(49 * 4 | 0, i20 | 0);
    i21 = i16;
   }
  } else i14 = 41;
 } else i14 = 41; else {
  i16 = i1 + 30 | 0;
  if (!(get8(i16 >> 0 | 0) | 0)) {
   do if (get8(i1 + 234 >> 0 | 0) | 0) {
    if ((getU16(i1 + 232 | 0) | 0) < (i11 | 0)) {
     i20 = i1 + 248 | 0;
     set32(i20 | 0, (get32(i20 | 0) | 0) + 1 | 0);
     break;
    }
    i20 = i1 + 256 | 0;
    i18 = get32(i20 | 0) | 0;
    if (!i18) {
     i17 = i1 + 252 | 0;
     set32(i17 | 0, (get32(i17 | 0) | 0) + 1 | 0);
     break;
    }
    set32(i20 | 0, get32(i18 | 0) | 0);
    i20 = i1 + 236 | 0;
    i17 = get32(i20 | 0) | 0;
    i19 = i17 + 1 | 0;
    set32(i20 | 0, i19 | 0);
    i20 = i1 + 244 | 0;
    set32(i20 | 0, (get32(i20 | 0) | 0) + 1 | 0);
    i20 = i1 + 240 | 0;
    if ((i17 | 0) >= (get32(i20 | 0) | 0)) set32(i20 | 0, i19 | 0);
    i13 = i18;
    i14 = 40;
    break L1;
   } while (0);
   do if ((i11 + -1 | 0) >>> 0 <= 2147483390) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i15 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i11) | 0;
     if (!i15) break; else {
      i21 = i15;
      break L1;
     }
    }
    i15 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i11) | 0;
    set32(35 * 4 | 0, i11 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i11 | 0)) set32(45 * 4 | 0, i11 | 0);
    i18 = get32(6 * 4 | 0) | 0;
    do if (i18) {
     i19 = get32(30 * 4 | 0) | 0;
     i20 = ((i19 | 0) < 0) << 31 >> 31;
     i17 = 16;
     i22 = _i64Subtract(get32(i17 | 0) | 0, get32(i17 + 4 | 0) | 0, i15 | 0, ((i15 | 0) < 0) << 31 >> 31 | 0) | 0;
     i17 = tempRet0;
     if ((i20 | 0) < (i17 | 0) | (i20 | 0) == (i17 | 0) & i19 >>> 0 < i22 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i22 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i18 & 15](i22, i19, i20, i15);
      set32(6 * 4 | 0, i18 | 0);
      set32(7 * 4 | 0, i22 | 0);
      break;
     }
    } while (0);
    i18 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i15) | 0;
    if (i18) {
     i22 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i18) | 0;
     i20 = (get32(30 * 4 | 0) | 0) + i22 | 0;
     set32(30 * 4 | 0, i20 | 0);
     if ((i20 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i20 | 0);
     i20 = get32(39 * 4 | 0) | 0;
     i22 = i20 + 1 | 0;
     set32(39 * 4 | 0, i22 | 0);
     if ((i20 | 0) < (get32(49 * 4 | 0) | 0)) {
      i21 = i18;
      break L1;
     }
     set32(49 * 4 | 0, i22 | 0);
     i21 = i18;
     break L1;
    }
   } while (0);
   set8(i16 >> 0 | 0, 1 | 0);
   i14 = 41;
  } else i14 = 41;
 } while (0);
 if ((i14 | 0) == 40) if (!i13) i14 = 41; else i21 = i13;
 if ((i14 | 0) == 41) {
  set32(i4 | 0, 0 | 0);
  STACKTOP = i5;
  return;
 }
 _memset(i21 | 0, 0, i11 | 0) | 0;
 set32(i4 | 0, i21 | 0);
 L61 : do if ((i10 | 0) > 0) {
  i11 = i2 + 12 | 0;
  i13 = i1 + 30 | 0;
  i18 = i1 + 234 | 0;
  i22 = i1 + 232 | 0;
  i20 = i1 + 248 | 0;
  i19 = i1 + 256 | 0;
  i17 = i1 + 252 | 0;
  i23 = i1 + 236 | 0;
  i24 = i1 + 244 | 0;
  i25 = i1 + 240 | 0;
  i26 = 0;
  i27 = i21;
  L63 : while (1) {
   i28 = get32(i11 | 0) | 0;
   i29 = get32(i28 + (i26 * 20 | 0) + 4 | 0) | 0;
   L65 : do if (!i29) {
    i30 = i28 + (i26 * 20 | 0) | 0;
    L67 : while (1) {
     i31 = get32(i30 | 0) | 0;
     switch (get8(i31 >> 0 | 0) | 0) {
     case -104:
      {
       i32 = i31;
       i14 = 88;
       break L67;
       break;
      }
     case 26:
      {
       i33 = i31;
       i14 = 94;
       break L67;
       break;
      }
     case 118:
      break;
     default:
      break L67;
     }
     i30 = i31 + 12 | 0;
    }
    if ((i14 | 0) == 94) {
     i14 = 0;
     set32(i8 | 0, get32(i33 + 4 | 0) | 0);
     i34 = _sqlite3MPrintf(i1, 16817, i8) | 0;
     break;
    }
    if ((i14 | 0) == 88 ? (i14 = 0, i30 = get32(i32 + 40 | 0) | 0, (i30 | 0) != 0) : 0) {
     i31 = get16(i32 + 28 | 0) | 0;
     if (i31 << 16 >> 16 < 0) i35 = get32(i30 + 4 | 0) | 0; else i35 = i31 << 16 >> 16;
     if ((i35 | 0) > -1) i36 = get32((get32(i30 + 12 | 0) | 0) + (i35 * 24 | 0) | 0) | 0; else i36 = 30238;
     set32(i9 | 0, i36 | 0);
     i34 = _sqlite3MPrintf(i1, 16817, i9) | 0;
     break;
    }
    set32(i7 | 0, get32(i28 + (i26 * 20 | 0) + 8 | 0) | 0);
    i34 = _sqlite3MPrintf(i1, 16817, i7) | 0;
   } else {
    i30 = i29;
    while (1) if (!(get8(i30 >> 0 | 0) | 0)) {
     i37 = i30;
     break;
    } else i30 = i30 + 1 | 0;
    i30 = (i37 - i29 & 1073741823) + 1 | 0;
    L85 : do if (i12) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i38 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i30) | 0;
      i14 = 83;
      break;
     }
     i31 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i30) | 0;
     set32(35 * 4 | 0, i30 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i30 | 0)) set32(45 * 4 | 0, i30 | 0);
     i39 = get32(6 * 4 | 0) | 0;
     do if (i39) {
      i40 = get32(30 * 4 | 0) | 0;
      i41 = ((i40 | 0) < 0) << 31 >> 31;
      i42 = 16;
      i43 = _i64Subtract(get32(i42 | 0) | 0, get32(i42 + 4 | 0) | 0, i31 | 0, ((i31 | 0) < 0) << 31 >> 31 | 0) | 0;
      i42 = tempRet0;
      if ((i41 | 0) < (i42 | 0) | (i41 | 0) == (i42 | 0) & i40 >>> 0 < i43 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i43 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i39 & 15](i43, i40, i41, i31);
       set32(6 * 4 | 0, i39 | 0);
       set32(7 * 4 | 0, i43 | 0);
       break;
      }
     } while (0);
     i39 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i31) | 0;
     if (!i39) {
      i34 = 0;
      break L65;
     }
     i43 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i39) | 0;
     i41 = (get32(30 * 4 | 0) | 0) + i43 | 0;
     set32(30 * 4 | 0, i41 | 0);
     if ((i41 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i41 | 0);
     i41 = get32(39 * 4 | 0) | 0;
     i43 = i41 + 1 | 0;
     set32(39 * 4 | 0, i43 | 0);
     if ((i41 | 0) < (get32(49 * 4 | 0) | 0)) i44 = i39; else {
      set32(49 * 4 | 0, i43 | 0);
      i44 = i39;
     }
    } else {
     if (get8(i13 >> 0 | 0) | 0) {
      i45 = i26;
      i46 = 0;
      break L63;
     }
     do if (get8(i18 >> 0 | 0) | 0) {
      if ((getU16(i22 | 0) | 0) >>> 0 < i30 >>> 0) {
       set32(i20 | 0, (get32(i20 | 0) | 0) + 1 | 0);
       break;
      }
      i39 = get32(i19 | 0) | 0;
      if (!i39) {
       set32(i17 | 0, (get32(i17 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i19 | 0, get32(i39 | 0) | 0);
      i43 = get32(i23 | 0) | 0;
      i41 = i43 + 1 | 0;
      set32(i23 | 0, i41 | 0);
      set32(i24 | 0, (get32(i24 | 0) | 0) + 1 | 0);
      if ((i43 | 0) >= (get32(i25 | 0) | 0)) set32(i25 | 0, i41 | 0);
      i38 = i39;
      i14 = 83;
      break L85;
     } while (0);
     if (!(get32(50 * 4 | 0) | 0)) {
      i31 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i30) | 0;
      if (!i31) {
       i47 = i26;
       i14 = 82;
       break L63;
      } else {
       i44 = i31;
       break;
      }
     }
     i31 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i30) | 0;
     set32(35 * 4 | 0, i30 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i30 | 0)) set32(45 * 4 | 0, i30 | 0);
     i39 = get32(6 * 4 | 0) | 0;
     do if (i39) {
      i41 = get32(30 * 4 | 0) | 0;
      i43 = ((i41 | 0) < 0) << 31 >> 31;
      i40 = 16;
      i42 = _i64Subtract(get32(i40 | 0) | 0, get32(i40 + 4 | 0) | 0, i31 | 0, ((i31 | 0) < 0) << 31 >> 31 | 0) | 0;
      i40 = tempRet0;
      if ((i43 | 0) < (i40 | 0) | (i43 | 0) == (i40 | 0) & i41 >>> 0 < i42 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i42 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i39 & 15](i42, i41, i43, i31);
       set32(6 * 4 | 0, i39 | 0);
       set32(7 * 4 | 0, i42 | 0);
       break;
      }
     } while (0);
     i39 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i31) | 0;
     if (!i39) {
      i47 = i26;
      i14 = 82;
      break L63;
     }
     i42 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i39) | 0;
     i43 = (get32(30 * 4 | 0) | 0) + i42 | 0;
     set32(30 * 4 | 0, i43 | 0);
     if ((i43 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i43 | 0);
     i43 = get32(39 * 4 | 0) | 0;
     i42 = i43 + 1 | 0;
     set32(39 * 4 | 0, i42 | 0);
     if ((i43 | 0) < (get32(49 * 4 | 0) | 0)) i44 = i39; else {
      set32(49 * 4 | 0, i42 | 0);
      i44 = i39;
     }
    } while (0);
    if ((i14 | 0) == 83) {
     i14 = 0;
     if (!i38) {
      i34 = 0;
      break;
     } else i44 = i38;
    }
    _memcpy(i44 | 0, i29 | 0, i30 | 0) | 0;
    i34 = i44;
   } while (0);
   if (get8(i13 >> 0 | 0) | 0) {
    i45 = i26;
    i46 = i34;
    break;
   }
   if (!i34) {
    i48 = 0;
    i49 = 0;
   } else {
    i29 = i34;
    while (1) if (!(get8(i29 >> 0 | 0) | 0)) {
     i50 = i29;
     break;
    } else i29 = i29 + 1 | 0;
    i48 = i50 - i34 & 1073741823;
    i49 = i34;
   }
   L145 : do if ((i26 | 0) > 0) {
    i29 = 0;
    i28 = 0;
    i15 = i49;
    while (1) {
     i39 = get32(i21 + (i28 * 24 | 0) | 0) | 0;
     i42 = get8(i39 >> 0 | 0) | 0;
     L148 : do if (!(i42 << 24 >> 24)) {
      i51 = 0;
      i52 = i15;
     } else {
      i43 = i42;
      i41 = i39;
      i40 = i15;
      while (1) {
       if ((get8(16286 + (i43 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i40 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
        i51 = i43;
        i52 = i40;
        break L148;
       }
       i41 = i41 + 1 | 0;
       i53 = i40 + 1 | 0;
       i43 = get8(i41 >> 0 | 0) | 0;
       if (!(i43 << 24 >> 24)) {
        i51 = 0;
        i52 = i53;
        break;
       } else i40 = i53;
      }
     } while (0);
     if ((get8(16286 + (i51 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i52 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
      set8(i15 + i48 >> 0 | 0, 0 | 0);
      i39 = i29 + 1 | 0;
      set32(i6 | 0, i15 | 0);
      set32(i6 + 4 | 0, i39 | 0);
      i42 = _sqlite3MPrintf(i1, 30244, i6) | 0;
      _sqlite3DbFree(i1, i15);
      if (!i42) {
       i54 = 0;
       break L145;
      } else {
       i55 = i39;
       i56 = -1;
       i57 = i42;
      }
     } else {
      i55 = i29;
      i56 = i28;
      i57 = i15;
     }
     i28 = i56 + 1 | 0;
     if ((i28 | 0) >= (i26 | 0)) {
      i54 = i57;
      break;
     } else {
      i29 = i55;
      i15 = i57;
     }
    }
   } else i54 = i49; while (0);
   set32(i27 | 0, i54 | 0);
   i15 = i26 + 1 | 0;
   if ((i15 | 0) < (i10 | 0)) {
    i26 = i15;
    i27 = i27 + 24 | 0;
   } else {
    i58 = i15;
    i14 = 109;
    break L61;
   }
  }
  if ((i14 | 0) == 82) {
   set8(i13 >> 0 | 0, 1 | 0);
   i45 = i47;
   i46 = 0;
  }
  _sqlite3DbFree(i1, i46);
  i59 = i13;
  i60 = i45;
 } else {
  i58 = 0;
  i14 = 109;
 } while (0);
 if ((i14 | 0) == 109) {
  i59 = i1 + 30 | 0;
  i60 = i58;
 }
 if (!(get8(i59 >> 0 | 0) | 0)) {
  STACKTOP = i5;
  return;
 }
 if ((i60 | 0) > 0) {
  i59 = 0;
  do {
   _sqlite3DbFree(i1, get32(i21 + (i59 * 24 | 0) | 0) | 0);
   i59 = i59 + 1 | 0;
  } while ((i59 | 0) != (i60 | 0));
 }
 _sqlite3DbFree(i1, i21);
 set32(i4 | 0, 0 | 0);
 set32(i3 | 0, 0 | 0);
 STACKTOP = i5;
 return;
}

function _sqlite3VdbeChangeEncoding(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0;
 i3 = i1 + 28 | 0;
 i4 = get16(i3 | 0) | 0;
 if (!(i4 & 2)) {
  i5 = 0;
  return i5 | 0;
 }
 i6 = i1 + 31 | 0;
 i7 = get8(i6 >> 0 | 0) | 0;
 if ((i7 & 255 | 0) == (i2 | 0)) {
  i5 = 0;
  return i5 | 0;
 }
 i8 = i2 & 255;
 i2 = i8 << 24 >> 24 == 1;
 if (!(i2 | i7 << 24 >> 24 == 1)) {
  do if (i4 & 16384) {
   i7 = i1 + 24 | 0;
   i9 = i1 + 16 | 0;
   i10 = (get32(i9 | 0) | 0) + (get32(i7 | 0) | 0) | 0;
   if (!(_sqlite3VdbeMemGrow(i1, (i10 | 0) < 1 ? 1 : i10, 1) | 0)) {
    _memset((get32(i1 + 4 | 0) | 0) + (get32(i7 | 0) | 0) | 0, 0, get32(i9 | 0) | 0) | 0;
    set32(i7 | 0, (get32(i7 | 0) | 0) + (get32(i9 | 0) | 0) | 0);
    i9 = getU16(i3 | 0) & 48639;
    set16(i3 | 0, i9 | 0);
    i11 = i9;
    break;
   } else {
    i11 = get16(i3 | 0) | 0;
    break;
   }
  } else i11 = i4; while (0);
  i4 = i1 + 4 | 0;
  do if ((i11 & 18) != 0 ? (get32(i4 | 0) | 0) != (get32(i1 + 36 | 0) | 0) : 0) {
   i9 = i1 + 24 | 0;
   if (!(_sqlite3VdbeMemGrow(i1, (get32(i9 | 0) | 0) + 2 | 0, 1) | 0)) {
    set8((get32(i4 | 0) | 0) + (get32(i9 | 0) | 0) >> 0 | 0, 0 | 0);
    set8((get32(i4 | 0) | 0) + ((get32(i9 | 0) | 0) + 1) >> 0 | 0, 0 | 0);
    set16(i3 | 0, getU16(i3 | 0) | 512 | 0);
    break;
   } else {
    i5 = 7;
    return i5 | 0;
   }
  } while (0);
  i11 = get32(i4 | 0) | 0;
  i4 = get32(i1 + 24 | 0) & -2;
  i9 = i11 + i4 | 0;
  if ((i4 | 0) > 0) {
   i4 = i11;
   do {
    i11 = get8(i4 >> 0 | 0) | 0;
    i7 = i4 + 1 | 0;
    set8(i4 >> 0 | 0, get8(i7 >> 0 | 0) | 0 | 0);
    i4 = i4 + 2 | 0;
    set8(i7 >> 0 | 0, i11 | 0);
   } while (i4 >>> 0 < i9 >>> 0);
  }
  set8(i6 >> 0 | 0, i8 | 0);
  i5 = 0;
  return i5 | 0;
 }
 i9 = i1 + 24 | 0;
 i4 = get32(i9 | 0) | 0;
 if (i2) {
  i2 = i4 & -2;
  set32(i9 | 0, i2 | 0);
  i12 = i2;
  i13 = i2 << 1 | 1;
 } else {
  i12 = i4;
  i13 = (i4 << 1) + 2 | 0;
 }
 i4 = i1 + 4 | 0;
 i2 = get32(i4 | 0) | 0;
 i11 = i2 + i12 | 0;
 i7 = get32(i1 | 0) | 0;
 L32 : do if (!i7) {
  if ((i13 + -1 | 0) >>> 0 > 2147483390) {
   i5 = 7;
   return i5 | 0;
  }
  if (!(get32(50 * 4 | 0) | 0)) {
   i14 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i13) | 0;
   i15 = 57;
   break;
  }
  i10 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i13) | 0;
  set32(35 * 4 | 0, i13 | 0);
  if ((get32(45 * 4 | 0) | 0) < (i13 | 0)) set32(45 * 4 | 0, i13 | 0);
  i16 = get32(6 * 4 | 0) | 0;
  do if (i16) {
   i17 = get32(30 * 4 | 0) | 0;
   i18 = ((i17 | 0) < 0) << 31 >> 31;
   i19 = 16;
   i20 = _i64Subtract(get32(i19 | 0) | 0, get32(i19 + 4 | 0) | 0, i10 | 0, ((i10 | 0) < 0) << 31 >> 31 | 0) | 0;
   i19 = tempRet0;
   if ((i18 | 0) < (i19 | 0) | (i18 | 0) == (i19 | 0) & i17 >>> 0 < i20 >>> 0) {
    set32(11 * 4 | 0, 0 | 0);
    break;
   } else {
    set32(11 * 4 | 0, 1 | 0);
    i20 = get32(7 * 4 | 0) | 0;
    set32(6 * 4 | 0, 0 | 0);
    FUNCTION_TABLE_viiii[i16 & 15](i20, i17, i18, i10);
    set32(6 * 4 | 0, i16 | 0);
    set32(7 * 4 | 0, i20 | 0);
    break;
   }
  } while (0);
  i16 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i10) | 0;
  if (!i16) {
   i5 = 7;
   return i5 | 0;
  }
  i20 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i16) | 0;
  i18 = (get32(30 * 4 | 0) | 0) + i20 | 0;
  set32(30 * 4 | 0, i18 | 0);
  if ((i18 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i18 | 0);
  i18 = get32(39 * 4 | 0) | 0;
  i20 = i18 + 1 | 0;
  set32(39 * 4 | 0, i20 | 0);
  if ((i18 | 0) < (get32(49 * 4 | 0) | 0)) i21 = i16; else {
   set32(49 * 4 | 0, i20 | 0);
   i21 = i16;
  }
 } else {
  i16 = i7 + 30 | 0;
  if (get8(i16 >> 0 | 0) | 0) {
   i5 = 7;
   return i5 | 0;
  }
  do if (get8(i7 + 234 >> 0 | 0) | 0) {
   if ((getU16(i7 + 232 | 0) | 0) < (i13 | 0)) {
    i20 = i7 + 248 | 0;
    set32(i20 | 0, (get32(i20 | 0) | 0) + 1 | 0);
    break;
   }
   i20 = i7 + 256 | 0;
   i18 = get32(i20 | 0) | 0;
   if (!i18) {
    i17 = i7 + 252 | 0;
    set32(i17 | 0, (get32(i17 | 0) | 0) + 1 | 0);
    break;
   }
   set32(i20 | 0, get32(i18 | 0) | 0);
   i20 = i7 + 236 | 0;
   i17 = get32(i20 | 0) | 0;
   i19 = i17 + 1 | 0;
   set32(i20 | 0, i19 | 0);
   i20 = i7 + 244 | 0;
   set32(i20 | 0, (get32(i20 | 0) | 0) + 1 | 0);
   i20 = i7 + 240 | 0;
   if ((i17 | 0) >= (get32(i20 | 0) | 0)) set32(i20 | 0, i19 | 0);
   i14 = i18;
   i15 = 57;
   break L32;
  } while (0);
  do if ((i13 + -1 | 0) >>> 0 <= 2147483390) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i10 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i13) | 0;
    if (!i10) break; else {
     i21 = i10;
     break L32;
    }
   }
   i10 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i13) | 0;
   set32(35 * 4 | 0, i13 | 0);
   if ((get32(45 * 4 | 0) | 0) < (i13 | 0)) set32(45 * 4 | 0, i13 | 0);
   i18 = get32(6 * 4 | 0) | 0;
   do if (i18) {
    i19 = get32(30 * 4 | 0) | 0;
    i20 = ((i19 | 0) < 0) << 31 >> 31;
    i17 = 16;
    i22 = _i64Subtract(get32(i17 | 0) | 0, get32(i17 + 4 | 0) | 0, i10 | 0, ((i10 | 0) < 0) << 31 >> 31 | 0) | 0;
    i17 = tempRet0;
    if ((i20 | 0) < (i17 | 0) | (i20 | 0) == (i17 | 0) & i19 >>> 0 < i22 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i22 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i18 & 15](i22, i19, i20, i10);
     set32(6 * 4 | 0, i18 | 0);
     set32(7 * 4 | 0, i22 | 0);
     break;
    }
   } while (0);
   i18 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i10) | 0;
   if (i18) {
    i22 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i18) | 0;
    i20 = (get32(30 * 4 | 0) | 0) + i22 | 0;
    set32(30 * 4 | 0, i20 | 0);
    if ((i20 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i20 | 0);
    i20 = get32(39 * 4 | 0) | 0;
    i22 = i20 + 1 | 0;
    set32(39 * 4 | 0, i22 | 0);
    if ((i20 | 0) < (get32(49 * 4 | 0) | 0)) {
     i21 = i18;
     break L32;
    }
    set32(49 * 4 | 0, i22 | 0);
    i21 = i18;
    break L32;
   }
  } while (0);
  set8(i16 >> 0 | 0, 1 | 0);
  i5 = 7;
  return i5 | 0;
 } while (0);
 if ((i15 | 0) == 57) if (!i14) {
  i5 = 7;
  return i5 | 0;
 } else i21 = i14;
 switch (get8(i6 >> 0 | 0) | 0) {
 case 1:
  {
   i14 = (i12 | 0) > 0;
   if (i8 << 24 >> 24 == 2) if (i14) {
    i13 = i21;
    i7 = i2;
    while (1) {
     i18 = i7 + 1 | 0;
     i22 = get8(i7 >> 0 | 0) | 0;
     i20 = i22 & 255;
     if ((i22 & 255) > 191) {
      i22 = getU8(19818 + (i20 + -192) >> 0 | 0) | 0;
      L121 : do if ((i18 | 0) == (i11 | 0)) {
       i23 = i22;
       i24 = i11;
      } else {
       i19 = i22;
       i17 = i18;
       while (1) {
        i25 = get8(i17 >> 0 | 0) | 0;
        if ((i25 & -64) << 24 >> 24 != -128) {
         i23 = i19;
         i24 = i17;
         break L121;
        }
        i17 = i17 + 1 | 0;
        i26 = i25 & 63 | i19 << 6;
        if ((i17 | 0) == (i11 | 0)) {
         i23 = i26;
         i24 = i11;
         break;
        } else i19 = i26;
       }
      } while (0);
      if (!((i23 & -2 | 0) == 65534 | (i23 >>> 0 < 128 | (i23 & -2048 | 0) == 55296))) if (i23 >>> 0 < 65536) {
       i27 = i23;
       i28 = i24;
       i15 = 70;
      } else {
       i22 = i23 + -65536 | 0;
       set8(i13 >> 0 | 0, i22 >>> 10 & 192 | i23 >>> 10 & 63 | 0);
       set8(i13 + 1 >> 0 | 0, i22 >>> 18 & 3 | 216 | 0);
       set8(i13 + 2 >> 0 | 0, i23 | 0);
       set8(i13 + 3 >> 0 | 0, i23 >>> 8 & 3 | 220 | 0);
       i29 = i13 + 4 | 0;
       i30 = i24;
      } else {
       i27 = 65533;
       i28 = i24;
       i15 = 70;
      }
     } else {
      i27 = i20;
      i28 = i18;
      i15 = 70;
     }
     if ((i15 | 0) == 70) {
      i15 = 0;
      set8(i13 >> 0 | 0, i27 | 0);
      set8(i13 + 1 >> 0 | 0, i27 >>> 8 | 0);
      i29 = i13 + 2 | 0;
      i30 = i28;
     }
     if (i30 >>> 0 < i11 >>> 0) {
      i13 = i29;
      i7 = i30;
     } else {
      i31 = i29;
      break;
     }
    }
   } else i31 = i21; else if (i14) {
    i14 = i21;
    i29 = i2;
    while (1) {
     i30 = i29 + 1 | 0;
     i7 = get8(i29 >> 0 | 0) | 0;
     i13 = i7 & 255;
     if ((i7 & 255) > 191) {
      i7 = getU8(19818 + (i13 + -192) >> 0 | 0) | 0;
      L136 : do if ((i30 | 0) == (i11 | 0)) {
       i32 = i7;
       i33 = i11;
      } else {
       i28 = i7;
       i27 = i30;
       while (1) {
        i24 = get8(i27 >> 0 | 0) | 0;
        if ((i24 & -64) << 24 >> 24 != -128) {
         i32 = i28;
         i33 = i27;
         break L136;
        }
        i27 = i27 + 1 | 0;
        i23 = i24 & 63 | i28 << 6;
        if ((i27 | 0) == (i11 | 0)) {
         i32 = i23;
         i33 = i11;
         break;
        } else i28 = i23;
       }
      } while (0);
      if (!((i32 & -2 | 0) == 65534 | (i32 >>> 0 < 128 | (i32 & -2048 | 0) == 55296))) if (i32 >>> 0 < 65536) {
       i34 = i32;
       i35 = i33;
       i15 = 79;
      } else {
       i7 = i32 + -65536 | 0;
       set8(i14 >> 0 | 0, i7 >>> 18 & 3 | 216 | 0);
       set8(i14 + 1 >> 0 | 0, i7 >>> 10 & 192 | i32 >>> 10 & 63 | 0);
       set8(i14 + 2 >> 0 | 0, i32 >>> 8 & 3 | 220 | 0);
       set8(i14 + 3 >> 0 | 0, i32 | 0);
       i36 = i14 + 4 | 0;
       i37 = i33;
      } else {
       i34 = 65533;
       i35 = i33;
       i15 = 79;
      }
     } else {
      i34 = i13;
      i35 = i30;
      i15 = 79;
     }
     if ((i15 | 0) == 79) {
      i15 = 0;
      set8(i14 >> 0 | 0, i34 >>> 8 | 0);
      set8(i14 + 1 >> 0 | 0, i34 | 0);
      i36 = i14 + 2 | 0;
      i37 = i35;
     }
     if (i37 >>> 0 < i11 >>> 0) {
      i14 = i36;
      i29 = i37;
     } else {
      i31 = i36;
      break;
     }
    }
   } else i31 = i21;
   set32(i9 | 0, i31 - i21 | 0);
   set8(i31 >> 0 | 0, 0 | 0);
   i38 = i31 + 1 | 0;
   break;
  }
 case 2:
  {
   if ((i12 | 0) > 0) {
    i31 = i21;
    i36 = i2;
    while (1) {
     i37 = getU8(i36 >> 0 | 0) | 0;
     i29 = i36 + 2 | 0;
     i14 = getU8(i36 + 1 >> 0 | 0) << 8;
     i35 = i14 | i37;
     if (i29 >>> 0 < i11 >>> 0 & (i14 & 63488 | 0) == 55296) {
      i39 = (i35 << 10 & 983040) + 65536 | i37 << 10 & 64512 | getU8(i29 >> 0 | 0) | getU8(i36 + 3 >> 0 | 0) << 8 & 768;
      i40 = i36 + 4 | 0;
     } else {
      i39 = i35;
      i40 = i29;
     }
     do if (i39 >>> 0 >= 128) {
      if (i39 >>> 0 < 2048) {
       set8(i31 >> 0 | 0, i39 >>> 6 & 31 | 192 | 0);
       set8(i31 + 1 >> 0 | 0, i39 & 63 | 128 | 0);
       i41 = i31 + 2 | 0;
       break;
      }
      if (i39 >>> 0 < 65536) {
       set8(i31 >> 0 | 0, i39 >>> 12 & 15 | 224 | 0);
       set8(i31 + 1 >> 0 | 0, i39 >>> 6 & 63 | 128 | 0);
       set8(i31 + 2 >> 0 | 0, i39 & 63 | 128 | 0);
       i41 = i31 + 3 | 0;
       break;
      } else {
       set8(i31 >> 0 | 0, i39 >>> 18 & 7 | 240 | 0);
       set8(i31 + 1 >> 0 | 0, i39 >>> 12 & 63 | 128 | 0);
       set8(i31 + 2 >> 0 | 0, i39 >>> 6 & 63 | 128 | 0);
       set8(i31 + 3 >> 0 | 0, i39 & 63 | 128 | 0);
       i41 = i31 + 4 | 0;
       break;
      }
     } else {
      set8(i31 >> 0 | 0, i39 | 0);
      i41 = i31 + 1 | 0;
     } while (0);
     if (i40 >>> 0 < i11 >>> 0) {
      i31 = i41;
      i36 = i40;
     } else {
      i42 = i41;
      i15 = 103;
      break;
     }
    }
   } else {
    i42 = i21;
    i15 = 103;
   }
   break;
  }
 default:
  if ((i12 | 0) > 0) {
   i12 = i21;
   i41 = i2;
   while (1) {
    i2 = getU8(i41 >> 0 | 0) << 8;
    i40 = i41 + 2 | 0;
    i36 = getU8(i41 + 1 >> 0 | 0) | 0;
    i31 = i2 | i36;
    if (i40 >>> 0 < i11 >>> 0 & (i2 & 63488 | 0) == 55296) {
     i43 = (i31 << 10 & 983040) + 65536 | i36 << 10 & 64512 | getU8(i41 + 3 >> 0 | 0) | getU8(i40 >> 0 | 0) << 8 & 768;
     i44 = i41 + 4 | 0;
    } else {
     i43 = i31;
     i44 = i40;
    }
    do if (i43 >>> 0 >= 128) {
     if (i43 >>> 0 < 2048) {
      set8(i12 >> 0 | 0, i43 >>> 6 & 31 | 192 | 0);
      set8(i12 + 1 >> 0 | 0, i43 & 63 | 128 | 0);
      i45 = i12 + 2 | 0;
      break;
     }
     if (i43 >>> 0 < 65536) {
      set8(i12 >> 0 | 0, i43 >>> 12 & 15 | 224 | 0);
      set8(i12 + 1 >> 0 | 0, i43 >>> 6 & 63 | 128 | 0);
      set8(i12 + 2 >> 0 | 0, i43 & 63 | 128 | 0);
      i45 = i12 + 3 | 0;
      break;
     } else {
      set8(i12 >> 0 | 0, i43 >>> 18 & 7 | 240 | 0);
      set8(i12 + 1 >> 0 | 0, i43 >>> 12 & 63 | 128 | 0);
      set8(i12 + 2 >> 0 | 0, i43 >>> 6 & 63 | 128 | 0);
      set8(i12 + 3 >> 0 | 0, i43 & 63 | 128 | 0);
      i45 = i12 + 4 | 0;
      break;
     }
    } else {
     set8(i12 >> 0 | 0, i43 | 0);
     i45 = i12 + 1 | 0;
    } while (0);
    if (i44 >>> 0 < i11 >>> 0) {
     i12 = i45;
     i41 = i44;
    } else {
     i42 = i45;
     i15 = 103;
     break;
    }
   }
  } else {
   i42 = i21;
   i15 = 103;
  }
 }
 if ((i15 | 0) == 103) {
  set32(i9 | 0, i42 - i21 | 0);
  i38 = i42;
 }
 set8(i38 >> 0 | 0, 0 | 0);
 _sqlite3VdbeMemReleaseExternal(i1);
 i38 = i1 + 36 | 0;
 _sqlite3DbFree(get32(i1 | 0) | 0, get32(i38 | 0) | 0);
 set32(i1 + 32 | 0, 0 | 0);
 i1 = getU16(i3 | 0) & 57855;
 set8(i6 >> 0 | 0, i8 | 0);
 set16(i3 | 0, i1 | 1536 | 0);
 set32(i4 | 0, i21 | 0);
 set32(i38 | 0, i21 | 0);
 i5 = 0;
 return i5 | 0;
}

function _sqlite3GenerateRowDelete(i1, i2, i3, i4, i5, i6, i7) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 i7 = i7 | 0;
 var i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0;
 i8 = i1 + 12 | 0;
 i9 = get32(i8 | 0) | 0;
 i10 = i9 + 36 | 0;
 i11 = get32(i10 | 0) | 0;
 set32(i10 | 0, i11 + 1 | 0);
 i10 = i9 + 40 | 0;
 i12 = get32(i10 | 0) | 0;
 if ((i11 | 0) < (i12 | 0)) i13 = i9 + 44 | 0; else {
  i14 = get32(i9 | 0) | 0;
  i15 = i9 + 44 | 0;
  i16 = get32(i15 | 0) | 0;
  i17 = _sqlite3DbRealloc(i14, i16, (i12 << 3) + 20 | 0) | 0;
  if (i17) {
   set32(i15 | 0, i17 | 0);
   i12 = get32(i9 | 0) | 0;
   if (((i12 | 0) != 0 ? (get32(i12 + 260 | 0) | 0) >>> 0 <= i17 >>> 0 : 0) ? (get32(i12 + 264 | 0) | 0) >>> 0 > i17 >>> 0 : 0) i18 = getU16(i12 + 232 | 0) | 0; else i19 = 9;
  } else {
   _sqlite3DbFree(i14, i16);
   set32(i15 | 0, 0 | 0);
   i19 = 9;
  }
  if ((i19 | 0) == 9) i18 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i17) | 0;
  set32(i10 | 0, i18 >>> 2 | 0);
  i13 = i15;
 }
 i15 = get32(i13 | 0) | 0;
 if (i15) set32(i15 + (i11 << 2) | 0, -1 | 0);
 i15 = ~i11;
 i13 = i9 + 28 | 0;
 i18 = get32(i13 | 0) | 0;
 i10 = i9 + 32 | 0;
 i17 = get32(i10 | 0) | 0;
 if ((i17 | 0) <= (i18 | 0)) {
  i16 = i9 + 4 | 0;
  i14 = _sqlite3DbRealloc(get32(i9 | 0) | 0, get32(i16 | 0) | 0, (i17 | 0) == 0 ? 1020 : i17 * 40 | 0) | 0;
  if (i14) {
   i17 = get32(i9 | 0) | 0;
   if (((i17 | 0) != 0 ? (get32(i17 + 260 | 0) | 0) >>> 0 <= i14 >>> 0 : 0) ? (get32(i17 + 264 | 0) | 0) >>> 0 > i14 >>> 0 : 0) i20 = getU16(i17 + 232 | 0) | 0; else i20 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i14) | 0;
   set32(i10 | 0, (i20 >>> 0) / 20 | 0 | 0);
   set32(i16 | 0, i14 | 0);
   i21 = get32(i13 | 0) | 0;
   i22 = i14;
   i19 = 22;
  }
 } else {
  i21 = i18;
  i22 = get32(i9 + 4 | 0) | 0;
  i19 = 22;
 }
 if ((i19 | 0) == 22) {
  set32(i13 | 0, i21 + 1 | 0);
  set8(i22 + (i18 * 20 | 0) >> 0 | 0, 52 | 0);
  set8(i22 + (i18 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i22 + (i18 * 20 | 0) + 4 | 0, i3 | 0);
  set32(i22 + (i18 * 20 | 0) + 8 | 0, i15 | 0);
  set32(i22 + (i18 * 20 | 0) + 12 | 0, i4 | 0);
  set32(i22 + (i18 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i22 + (i18 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
 }
 if (!(get32((get32(i1 | 0) | 0) + 12 | 0) & 67108864)) i23 = 0; else {
  i18 = get32(i2 | 0) | 0;
  if (!i18) i24 = 0; else {
   i22 = i18;
   while (1) if (!(get8(i22 >> 0 | 0) | 0)) {
    i25 = i22;
    break;
   } else i22 = i22 + 1 | 0;
   i24 = i25 - i18 & 1073741823;
  }
  if (!(_sqlite3HashFind((get32(i2 + 68 | 0) | 0) + 56 | 0, i18, i24) | 0)) i26 = (get32(i2 + 36 | 0) | 0) != 0; else i26 = 1;
  i23 = i26 & 1;
 }
 if ((i6 | 0) != 0 | (i23 | 0) != 0) {
  i23 = (i6 | 0) == 0;
  if (i23) i27 = 0; else {
   i26 = i1 + 424 | 0;
   i24 = 0;
   i18 = i6;
   while (1) {
    do if ((get8(i18 + 8 >> 0 | 0) | 0) == 106 ? (get8(i18 + 9 >> 0 | 0) & 3) != 0 : 0) {
     i25 = get32(i26 | 0) | 0;
     i22 = get32(((i25 | 0) == 0 ? i1 : i25) + 548 | 0) | 0;
     L51 : do if (!i22) i19 = 39; else {
      i25 = i22;
      while (1) {
       if ((get32(i25 | 0) | 0) == (i18 | 0) ? (get32(i25 + 4 | 0) | 0) == (i7 | 0) : 0) {
        i28 = i25;
        break L51;
       }
       i25 = get32(i25 + 20 | 0) | 0;
       if (!i25) {
        i19 = 39;
        break;
       }
      }
     } while (0);
     if ((i19 | 0) == 39) {
      i19 = 0;
      i22 = _codeRowTrigger(i1, i18, i2, i7) | 0;
      if (!i22) {
       i29 = i24;
       break;
      } else i28 = i22;
     }
     i29 = get32(i28 + 12 | 0) | i24;
    } else i29 = i24; while (0);
    i18 = get32(i18 + 32 | 0) | 0;
    if (!i18) {
     i27 = i29;
     break;
    } else i24 = i29;
   }
  }
  i29 = _sqlite3FkOldmask(i1, i2) | 0 | i27;
  i27 = i1 + 72 | 0;
  i24 = get32(i27 | 0) | 0;
  i18 = i24 + 1 | 0;
  i28 = i2 + 8 | 0;
  set32(i27 | 0, i18 + (get32(i28 | 0) | 0) | 0);
  i27 = get32(i13 | 0) | 0;
  i26 = get32(i10 | 0) | 0;
  if ((i26 | 0) <= (i27 | 0)) {
   i22 = i9 + 4 | 0;
   i25 = _sqlite3DbRealloc(get32(i9 | 0) | 0, get32(i22 | 0) | 0, (i26 | 0) == 0 ? 1020 : i26 * 40 | 0) | 0;
   if (i25) {
    i26 = get32(i9 | 0) | 0;
    if (((i26 | 0) != 0 ? (get32(i26 + 260 | 0) | 0) >>> 0 <= i25 >>> 0 : 0) ? (get32(i26 + 264 | 0) | 0) >>> 0 > i25 >>> 0 : 0) i30 = getU16(i26 + 232 | 0) | 0; else i30 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i25) | 0;
    set32(i10 | 0, (i30 >>> 0) / 20 | 0 | 0);
    set32(i22 | 0, i25 | 0);
    i31 = get32(i13 | 0) | 0;
    i32 = i25;
    i19 = 51;
   }
  } else {
   i31 = i27;
   i32 = get32(i9 + 4 | 0) | 0;
   i19 = 51;
  }
  if ((i19 | 0) == 51) {
   set32(i13 | 0, i31 + 1 | 0);
   set8(i32 + (i27 * 20 | 0) >> 0 | 0, 14 | 0);
   set8(i32 + (i27 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i32 + (i27 * 20 | 0) + 4 | 0, i4 | 0);
   set32(i32 + (i27 * 20 | 0) + 8 | 0, i18 | 0);
   set32(i32 + (i27 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i32 + (i27 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i32 + (i27 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  }
  i27 = get32(i28 | 0) | 0;
  if ((i27 | 0) > 0) {
   i32 = (i29 | 0) == -1;
   i31 = i24 + 2 | 0;
   i24 = i9 + 4 | 0;
   i25 = i2 + 4 | 0;
   i22 = i2 + 34 | 0;
   i30 = i27;
   i27 = 0;
   while (1) {
    if (!i32 ? (1 << i27 & i29 | 0) == 0 : 0) i33 = i30; else {
     i26 = i31 + i27 | 0;
     do if ((get32(i25 | 0) | 0) == (i27 | 0)) {
      i21 = get32(i13 | 0) | 0;
      i14 = get32(i10 | 0) | 0;
      if ((i14 | 0) > (i21 | 0)) {
       i34 = i21;
       i35 = get32(i24 | 0) | 0;
      } else {
       i16 = _sqlite3DbRealloc(get32(i9 | 0) | 0, get32(i24 | 0) | 0, (i14 | 0) == 0 ? 1020 : i14 * 40 | 0) | 0;
       if (!i16) break;
       i14 = get32(i9 | 0) | 0;
       do if (!i14) i19 = 65; else {
        if ((get32(i14 + 260 | 0) | 0) >>> 0 > i16 >>> 0) {
         i19 = 65;
         break;
        }
        if ((get32(i14 + 264 | 0) | 0) >>> 0 <= i16 >>> 0) {
         i19 = 65;
         break;
        }
        i36 = getU16(i14 + 232 | 0) | 0;
       } while (0);
       if ((i19 | 0) == 65) {
        i19 = 0;
        i36 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i16) | 0;
       }
       set32(i10 | 0, (i36 >>> 0) / 20 | 0 | 0);
       set32(i24 | 0, i16 | 0);
       i34 = get32(i13 | 0) | 0;
       i35 = i16;
      }
      set32(i13 | 0, i34 + 1 | 0);
      set8(i35 + (i21 * 20 | 0) >> 0 | 0, 61 | 0);
      set8(i35 + (i21 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i35 + (i21 * 20 | 0) + 4 | 0, i3 | 0);
      set32(i35 + (i21 * 20 | 0) + 8 | 0, i26 | 0);
      set32(i35 + (i21 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i35 + (i21 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i35 + (i21 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     } else {
      i14 = (get8(i22 >> 0 | 0) & 16) != 0;
      i20 = get32(i13 | 0) | 0;
      i17 = get32(i10 | 0) | 0;
      if ((i17 | 0) > (i20 | 0)) {
       i37 = i20;
       i38 = get32(i24 | 0) | 0;
      } else {
       i12 = _sqlite3DbRealloc(get32(i9 | 0) | 0, get32(i24 | 0) | 0, (i17 | 0) == 0 ? 1020 : i17 * 40 | 0) | 0;
       if (!i12) break;
       i17 = get32(i9 | 0) | 0;
       do if (!i17) i19 = 75; else {
        if ((get32(i17 + 260 | 0) | 0) >>> 0 > i12 >>> 0) {
         i19 = 75;
         break;
        }
        if ((get32(i17 + 264 | 0) | 0) >>> 0 <= i12 >>> 0) {
         i19 = 75;
         break;
        }
        i39 = getU16(i17 + 232 | 0) | 0;
       } while (0);
       if ((i19 | 0) == 75) {
        i19 = 0;
        i39 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i12) | 0;
       }
       set32(i10 | 0, (i39 >>> 0) / 20 | 0 | 0);
       set32(i24 | 0, i12 | 0);
       i37 = get32(i13 | 0) | 0;
       i38 = i12;
      }
      set32(i13 | 0, i37 + 1 | 0);
      set8(i38 + (i20 * 20 | 0) >> 0 | 0, (i14 ? -127 : 28) | 0);
      set8(i38 + (i20 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i38 + (i20 * 20 | 0) + 4 | 0, i3 | 0);
      set32(i38 + (i20 * 20 | 0) + 8 | 0, i27 | 0);
      set32(i38 + (i20 * 20 | 0) + 12 | 0, i26 | 0);
      set32(i38 + (i20 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i38 + (i20 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     } while (0);
     _sqlite3ColumnDefault(i9, i2, i27, i26);
     i33 = get32(i28 | 0) | 0;
    }
    i27 = i27 + 1 | 0;
    if ((i27 | 0) >= (i33 | 0)) break; else i30 = i33;
   }
  }
  if (!i23) {
   i23 = i6;
   do {
    if ((get8(i23 + 8 >> 0 | 0) | 0) == 106 ? (get8(i23 + 9 >> 0 | 0) | 0) == 1 : 0) _sqlite3CodeRowTriggerDirect(i1, i23, i2, i18, i7, i15);
    i23 = get32(i23 + 32 | 0) | 0;
   } while ((i23 | 0) != 0);
  }
  i23 = get32(i13 | 0) | 0;
  i33 = get32(i10 | 0) | 0;
  if ((i33 | 0) <= (i23 | 0)) {
   i30 = i9 + 4 | 0;
   i27 = _sqlite3DbRealloc(get32(i9 | 0) | 0, get32(i30 | 0) | 0, (i33 | 0) == 0 ? 1020 : i33 * 40 | 0) | 0;
   if (i27) {
    i33 = get32(i9 | 0) | 0;
    if (((i33 | 0) != 0 ? (get32(i33 + 260 | 0) | 0) >>> 0 <= i27 >>> 0 : 0) ? (get32(i33 + 264 | 0) | 0) >>> 0 > i27 >>> 0 : 0) i40 = getU16(i33 + 232 | 0) | 0; else i40 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i27) | 0;
    set32(i10 | 0, (i40 >>> 0) / 20 | 0 | 0);
    set32(i30 | 0, i27 | 0);
    i41 = get32(i13 | 0) | 0;
    i42 = i27;
    i19 = 93;
   }
  } else {
   i41 = i23;
   i42 = get32(i9 + 4 | 0) | 0;
   i19 = 93;
  }
  if ((i19 | 0) == 93) {
   set32(i13 | 0, i41 + 1 | 0);
   set8(i42 + (i23 * 20 | 0) >> 0 | 0, 52 | 0);
   set8(i42 + (i23 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i42 + (i23 * 20 | 0) + 4 | 0, i3 | 0);
   set32(i42 + (i23 * 20 | 0) + 8 | 0, i15 | 0);
   set32(i42 + (i23 * 20 | 0) + 12 | 0, i4 | 0);
   set32(i42 + (i23 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i42 + (i23 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  }
  _sqlite3FkCheck(i1, i2, i18, 0);
  i43 = i18;
 } else i43 = 0;
 if (!(get32(i2 + 28 | 0) | 0)) {
  i18 = get32(i2 + 16 | 0) | 0;
  if (i18) {
   i23 = 1;
   i42 = i18;
   while (1) {
    i18 = _sqlite3GenerateIndexKey(i1, i42, i3, 0, 0) | 0;
    i4 = get32(i8 | 0) | 0;
    i41 = i23 + i3 | 0;
    i27 = (get32(i42 + 4 | 0) | 0) + 1 | 0;
    i30 = i4 + 28 | 0;
    i40 = get32(i30 | 0) | 0;
    i33 = i4 + 32 | 0;
    i28 = get32(i33 | 0) | 0;
    if ((i28 | 0) <= (i40 | 0)) {
     i38 = i4 + 4 | 0;
     i37 = _sqlite3DbRealloc(get32(i4 | 0) | 0, get32(i38 | 0) | 0, (i28 | 0) == 0 ? 1020 : i28 * 40 | 0) | 0;
     if (i37) {
      i28 = get32(i4 | 0) | 0;
      if (((i28 | 0) != 0 ? (get32(i28 + 260 | 0) | 0) >>> 0 <= i37 >>> 0 : 0) ? (get32(i28 + 264 | 0) | 0) >>> 0 > i37 >>> 0 : 0) i44 = getU16(i28 + 232 | 0) | 0; else i44 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i37) | 0;
      set32(i33 | 0, (i44 >>> 0) / 20 | 0 | 0);
      set32(i38 | 0, i37 | 0);
      i45 = get32(i30 | 0) | 0;
      i46 = i37;
      i19 = 106;
     }
    } else {
     i45 = i40;
     i46 = get32(i4 + 4 | 0) | 0;
     i19 = 106;
    }
    if ((i19 | 0) == 106) {
     i19 = 0;
     set32(i30 | 0, i45 + 1 | 0);
     set8(i46 + (i40 * 20 | 0) >> 0 | 0, 71 | 0);
     set8(i46 + (i40 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i46 + (i40 * 20 | 0) + 4 | 0, i41 | 0);
     set32(i46 + (i40 * 20 | 0) + 8 | 0, i18 | 0);
     set32(i46 + (i40 * 20 | 0) + 12 | 0, i27 | 0);
     set32(i46 + (i40 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i46 + (i40 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    }
    i42 = get32(i42 + 32 | 0) | 0;
    if (!i42) break; else i23 = i23 + 1 | 0;
   }
  }
  i23 = (i5 | 0) != 0;
  i5 = i23 & 1;
  i42 = get32(i13 | 0) | 0;
  i46 = get32(i10 | 0) | 0;
  if ((i46 | 0) <= (i42 | 0)) {
   i45 = i9 + 4 | 0;
   i44 = _sqlite3DbRealloc(get32(i9 | 0) | 0, get32(i45 | 0) | 0, (i46 | 0) == 0 ? 1020 : i46 * 40 | 0) | 0;
   if (i44) {
    i46 = get32(i9 | 0) | 0;
    if (((i46 | 0) != 0 ? (get32(i46 + 260 | 0) | 0) >>> 0 <= i44 >>> 0 : 0) ? (get32(i46 + 264 | 0) | 0) >>> 0 > i44 >>> 0 : 0) i47 = getU16(i46 + 232 | 0) | 0; else i47 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i44) | 0;
    set32(i10 | 0, (i47 >>> 0) / 20 | 0 | 0);
    set32(i45 | 0, i44 | 0);
    i48 = get32(i13 | 0) | 0;
    i49 = i44;
    i19 = 117;
   }
  } else {
   i48 = i42;
   i49 = get32(i9 + 4 | 0) | 0;
   i19 = 117;
  }
  if ((i19 | 0) == 117) {
   set32(i13 | 0, i48 + 1 | 0);
   set8(i49 + (i42 * 20 | 0) >> 0 | 0, 57 | 0);
   set8(i49 + (i42 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i49 + (i42 * 20 | 0) + 4 | 0, i3 | 0);
   set32(i49 + (i42 * 20 | 0) + 8 | 0, i5 | 0);
   set32(i49 + (i42 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i49 + (i42 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i49 + (i42 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  }
  if (i23) _sqlite3VdbeChangeP4(i9, -1, get32(i2 | 0) | 0, 0);
 }
 _sqlite3FkActions(i1, i2, 0, i43);
 if (i6) {
  i23 = i6;
  do {
   if ((get8(i23 + 8 >> 0 | 0) | 0) == 106 ? (get8(i23 + 9 >> 0 | 0) | 0) == 2 : 0) _sqlite3CodeRowTriggerDirect(i1, i23, i2, i43, i7, i15);
   i23 = get32(i23 + 32 | 0) | 0;
  } while ((i23 | 0) != 0);
 }
 i23 = get32(i9 + 44 | 0) | 0;
 if (!i23) return;
 set32(i23 + (i11 << 2) | 0, get32(i13 | 0) | 0);
 return;
}

function _pager_write(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i3 = i2;
 i4 = get32(i1 | 0) | 0;
 i5 = i1 + 16 | 0;
 i6 = get32(i5 | 0) | 0;
 i7 = get32(i6 + 40 | 0) | 0;
 if (i7) {
  i8 = i7;
  STACKTOP = i2;
  return i8 | 0;
 }
 if (get8(i6 + 13 >> 0 | 0) | 0) {
  i8 = 3;
  STACKTOP = i2;
  return i8 | 0;
 }
 i7 = i6 + 15 | 0;
 i9 = get8(i7 >> 0 | 0) | 0;
 if (i9 << 24 >> 24 == 2) {
  i10 = get32(i6 | 0) | 0;
  do if ((get32(i6 + 172 | 0) | 0) == 0 ? (i11 = i6 + 5 | 0, (get8(i11 >> 0 | 0) | 0) != 2) : 0) {
   i12 = get32(i6 + 24 | 0) | 0;
   if (!(get32(50 * 4 | 0) | 0)) {
    i13 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](512) | 0;
    if (!i13) i14 = 19; else i15 = i13;
   } else {
    i13 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](512) | 0;
    set32(35 * 4 | 0, 512 | 0);
    if ((get32(45 * 4 | 0) | 0) < 512) set32(45 * 4 | 0, 512 | 0);
    i16 = get32(6 * 4 | 0) | 0;
    do if (i16) {
     i17 = get32(30 * 4 | 0) | 0;
     i18 = ((i17 | 0) < 0) << 31 >> 31;
     i19 = 16;
     i20 = _i64Subtract(get32(i19 | 0) | 0, get32(i19 + 4 | 0) | 0, i13 | 0, ((i13 | 0) < 0) << 31 >> 31 | 0) | 0;
     i19 = tempRet0;
     if ((i18 | 0) < (i19 | 0) | (i18 | 0) == (i19 | 0) & i17 >>> 0 < i20 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i20 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i16 & 15](i20, i17, i18, i13);
      set32(6 * 4 | 0, i16 | 0);
      set32(7 * 4 | 0, i20 | 0);
      break;
     }
    } while (0);
    i16 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i13) | 0;
    if (i16) {
     i20 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i16) | 0;
     i18 = (get32(30 * 4 | 0) | 0) + i20 | 0;
     set32(30 * 4 | 0, i18 | 0);
     if ((i18 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i18 | 0);
     i18 = get32(39 * 4 | 0) | 0;
     i20 = i18 + 1 | 0;
     set32(39 * 4 | 0, i20 | 0);
     if ((i18 | 0) < (get32(49 * 4 | 0) | 0)) i15 = i16; else {
      set32(49 * 4 | 0, i20 | 0);
      i15 = i16;
     }
    } else i14 = 19;
   }
   if ((i14 | 0) == 19) {
    set32(i6 + 56 | 0, 0 | 0);
    i8 = 7;
    STACKTOP = i2;
    return i8 | 0;
   }
   _memset(i15 | 0, 0, 512) | 0;
   set32(i15 | 0, i12 | 0);
   i16 = i6 + 56 | 0;
   set32(i16 | 0, i15 | 0);
   i20 = get32(i6 + 64 | 0) | 0;
   do if (!(get32(i20 | 0) | 0)) if ((get8(i11 >> 0 | 0) | 0) != 4) {
    i18 = FUNCTION_TABLE_iiiiii[get32(i10 + 24 | 0) & 31](i10, get32(i6 + 148 | 0) | 0, i20, (get8(i6 + 12 >> 0 | 0) | 0) != 0 ? 4110 : 2054, 0) | 0;
    if (!i18) {
     i14 = 24;
     break;
    } else {
     i21 = i18;
     break;
    }
   } else {
    i18 = i20;
    i17 = i18 + 40 | 0;
    do {
     set32(i18 | 0, 0 | 0);
     i18 = i18 + 4 | 0;
    } while ((i18 | 0) < (i17 | 0));
    set32(i20 | 0, 1396 | 0);
    i14 = 24;
    break;
   } else i14 = 24; while (0);
   if ((i14 | 0) == 24) {
    set32(i6 + 44 | 0, 0 | 0);
    i20 = i6 + 72 | 0;
    set8(i6 + 18 >> 0 | 0, 0 | 0);
    set32(i20 | 0, 0 | 0);
    set32(i20 + 4 | 0, 0 | 0);
    set32(i20 + 8 | 0, 0 | 0);
    set32(i20 + 12 | 0, 0 | 0);
    i20 = _writeJournalHdr(i6) | 0;
    if (!i20) break; else i21 = i20;
   }
   _sqlite3BitvecDestroy(get32(i16 | 0) | 0);
   set32(i16 | 0, 0 | 0);
   i8 = i21;
   STACKTOP = i2;
   return i8 | 0;
  } while (0);
  set8(i7 >> 0 | 0, 3 | 0);
  i22 = 3;
 } else i22 = i9;
 i9 = i1 + 20 | 0;
 i7 = getU16(i9 | 0) | 0;
 i21 = i7 & 65503;
 i10 = i21 & 65535;
 set16(i9 | 0, i10 | 0);
 if (!(i7 & 2)) {
  i7 = (i21 | 2) & 65535;
  set16(i9 | 0, i7 | 0);
  i21 = get32(i1 + 24 | 0) | 0;
  i15 = get32(i21 | 0) | 0;
  set32(i1 + 28 | 0, i15 | 0);
  if (i15) set32(i15 + 32 | 0, i1 | 0);
  set32(i21 | 0, i1 | 0);
  i15 = i21 + 4 | 0;
  if (!(get32(i15 | 0) | 0)) set32(i15 | 0, i1 | 0);
  i15 = i21 + 8 | 0;
  if ((i7 & 4) == 0 & (get32(i15 | 0) | 0) == 0) {
   set32(i15 | 0, i1 | 0);
   i23 = i7;
  } else i23 = i7;
 } else i23 = i10;
 i10 = i1 + 12 | 0;
 i7 = get32(i5 | 0) | 0;
 i15 = get32(i7 + 56 | 0) | 0;
 i21 = (i15 | 0) == 0;
 L54 : do if (!i21) {
  i20 = get32(i10 | 0) | 0;
  i11 = i20 + -1 | 0;
  if (i11 >>> 0 < (get32(i15 | 0) | 0) >>> 0) {
   i12 = i11;
   i13 = i15;
   while (1) {
    i18 = get32(i13 + 8 | 0) | 0;
    if (!i18) {
     i24 = i12;
     i25 = i13;
     i14 = 38;
     break;
    }
    i13 = get32(i13 + 12 + (((i12 >>> 0) / (i18 >>> 0) | 0) << 2) | 0) | 0;
    if (!i13) break; else i12 = (i12 >>> 0) % (i18 >>> 0) | 0;
   }
   L60 : do if ((i14 | 0) == 38) {
    L62 : do if ((get32(i25 | 0) | 0) >>> 0 < 4001) {
     if (!(getU8(i25 + 12 + (i24 >>> 3) >> 0 | 0) & 1 << (i24 & 7))) break L60;
    } else {
     i12 = i24 + 1 | 0;
     i13 = (i24 >>> 0) % 125 | 0;
     i16 = get32(i25 + 12 + (i13 << 2) | 0) | 0;
     if (!i16) break L60; else {
      i26 = i16;
      i27 = i13;
     }
     while (1) {
      if ((i26 | 0) == (i12 | 0)) break L62;
      i27 = ((i27 + 1 | 0) >>> 0) % 125 | 0;
      i26 = get32(i25 + 12 + (i27 << 2) | 0) | 0;
      if (!i26) break L60;
     }
    } while (0);
    i12 = get32(i7 + 96 | 0) | 0;
    if ((i12 | 0) <= 0) {
     i28 = i20;
     i29 = 0;
     break L54;
    }
    i13 = get32(i7 + 92 | 0) | 0;
    i16 = 0;
    while (1) {
     L72 : do if ((get32(i13 + (i16 * 48 | 0) + 20 | 0) | 0) >>> 0 >= i20 >>> 0) {
      i18 = get32(i13 + (i16 * 48 | 0) + 16 | 0) | 0;
      if (!i18) break L60;
      if (i11 >>> 0 < (get32(i18 | 0) | 0) >>> 0) {
       i30 = i11;
       i31 = i18;
      } else break L60;
      while (1) {
       i18 = get32(i31 + 8 | 0) | 0;
       if (!i18) {
        i32 = i30;
        i33 = i31;
        break;
       }
       i31 = get32(i31 + 12 + (((i30 >>> 0) / (i18 >>> 0) | 0) << 2) | 0) | 0;
       if (!i31) break L60; else i30 = (i30 >>> 0) % (i18 >>> 0) | 0;
      }
      if ((get32(i33 | 0) | 0) >>> 0 < 4001) if (!(getU8(i33 + 12 + (i32 >>> 3) >> 0 | 0) & 1 << (i32 & 7))) break L60; else break;
      i18 = i32 + 1 | 0;
      i17 = (i32 >>> 0) % 125 | 0;
      i19 = get32(i33 + 12 + (i17 << 2) | 0) | 0;
      if (!i19) break L60; else {
       i34 = i19;
       i35 = i17;
      }
      while (1) {
       if ((i34 | 0) == (i18 | 0)) break L72;
       i35 = ((i35 + 1 | 0) >>> 0) % 125 | 0;
       i34 = get32(i33 + 12 + (i35 << 2) | 0) | 0;
       if (!i34) break L60;
      }
     } while (0);
     i16 = i16 + 1 | 0;
     if ((i16 | 0) >= (i12 | 0)) {
      i28 = i20;
      i29 = 0;
      break L54;
     }
    }
   } while (0);
   if (i21) {
    i14 = 65;
    break;
   }
  }
  i20 = (get32(i10 | 0) | 0) + -1 | 0;
  if (i20 >>> 0 < (get32(i15 | 0) | 0) >>> 0) {
   i11 = i20;
   i20 = i15;
   while (1) {
    i12 = get32(i20 + 8 | 0) | 0;
    if (!i12) {
     i36 = i11;
     i37 = i20;
     break;
    }
    i20 = get32(i20 + 12 + (((i11 >>> 0) / (i12 >>> 0) | 0) << 2) | 0) | 0;
    if (!i20) {
     i14 = 65;
     break L54;
    } else i11 = (i11 >>> 0) % (i12 >>> 0) | 0;
   }
   if ((get32(i37 | 0) | 0) >>> 0 < 4001) if (!(getU8(i37 + 12 + (i36 >>> 3) >> 0 | 0) & 1 << (i36 & 7))) {
    i14 = 65;
    break;
   } else {
    i38 = i7;
    i14 = 82;
    break;
   }
   i11 = i36 + 1 | 0;
   i20 = (i36 >>> 0) % 125 | 0;
   i12 = get32(i37 + 12 + (i20 << 2) | 0) | 0;
   if (i12) {
    i16 = i12;
    i12 = i20;
    while (1) {
     if ((i16 | 0) == (i11 | 0)) {
      i38 = i7;
      i14 = 82;
      break L54;
     }
     i12 = ((i12 + 1 | 0) >>> 0) % 125 | 0;
     i16 = get32(i37 + 12 + (i12 << 2) | 0) | 0;
     if (!i16) {
      i14 = 65;
      break;
     }
    }
   } else i14 = 65;
  } else i14 = 65;
 } else i14 = 65; while (0);
 do if ((i14 | 0) == 65) if (!(get32(i6 + 172 | 0) | 0)) {
  i37 = get32(i10 | 0) | 0;
  if (i37 >>> 0 <= (get32(i6 + 28 | 0) | 0) >>> 0 ? (i36 = i6 + 64 | 0, i15 = get32(i36 | 0) | 0, (get32(i15 | 0) | 0) != 0) : 0) {
   i21 = i6 + 72 | 0;
   i34 = i21;
   i35 = get32(i34 | 0) | 0;
   i33 = get32(i34 + 4 | 0) | 0;
   i34 = get32(i6 + 48 | 0) | 0;
   i32 = i6 + 128 | 0;
   i30 = get32(i32 | 0) | 0;
   if ((i30 | 0) > 200) {
    i31 = i34;
    i26 = i30;
    while (1) {
     i26 = i26 + -200 | 0;
     i30 = (getU8(i4 + i26 >> 0 | 0) | 0) + i31 | 0;
     if ((i26 | 0) <= 200) {
      i39 = i30;
      break;
     } else i31 = i30;
    }
   } else i39 = i34;
   set16(i9 | 0, i23 & 65535 | 4 | 0);
   set8(i3 >> 0 | 0, i37 >>> 24 | 0);
   i31 = i3 + 1 | 0;
   set8(i31 >> 0 | 0, i37 >>> 16 | 0);
   i26 = i3 + 2 | 0;
   set8(i26 >> 0 | 0, i37 >>> 8 | 0);
   i30 = i3 + 3 | 0;
   set8(i30 >> 0 | 0, i37 | 0);
   i27 = FUNCTION_TABLE_iiiiii[get32((get32(i15 | 0) | 0) + 12 | 0) & 31](i15, i3, 4, i35, i33) | 0;
   if (i27) {
    i8 = i27;
    STACKTOP = i2;
    return i8 | 0;
   }
   i27 = get32(i36 | 0) | 0;
   i25 = get32(i32 | 0) | 0;
   i24 = _i64Add(i35 | 0, i33 | 0, 4, 0) | 0;
   i16 = tempRet0;
   i12 = FUNCTION_TABLE_iiiiii[get32((get32(i27 | 0) | 0) + 12 | 0) & 31](i27, i4, i25, i24, i16) | 0;
   if (i12) {
    i8 = i12;
    STACKTOP = i2;
    return i8 | 0;
   }
   i12 = get32(i36 | 0) | 0;
   i25 = get32(i32 | 0) | 0;
   i27 = _i64Add(i24 | 0, i16 | 0, i25 | 0, ((i25 | 0) < 0) << 31 >> 31 | 0) | 0;
   set8(i3 >> 0 | 0, i39 >>> 24 | 0);
   set8(i31 >> 0 | 0, i39 >>> 16 | 0);
   set8(i26 >> 0 | 0, i39 >>> 8 | 0);
   set8(i30 >> 0 | 0, i39 | 0);
   i30 = FUNCTION_TABLE_iiiiii[get32((get32(i12 | 0) | 0) + 12 | 0) & 31](i12, i3, 4, i27, tempRet0) | 0;
   if (i30) {
    i8 = i30;
    STACKTOP = i2;
    return i8 | 0;
   }
   i30 = (get32(i32 | 0) | 0) + 8 | 0;
   i27 = i21;
   i12 = _i64Add(i30 | 0, ((i30 | 0) < 0) << 31 >> 31 | 0, get32(i27 | 0) | 0, get32(i27 + 4 | 0) | 0) | 0;
   i27 = i21;
   set32(i27 | 0, i12 | 0);
   set32(i27 + 4 | 0, tempRet0 | 0);
   i27 = i6 + 44 | 0;
   set32(i27 | 0, (get32(i27 | 0) | 0) + 1 | 0);
   i27 = _sqlite3BitvecSet(get32(i6 + 56 | 0) | 0, get32(i10 | 0) | 0) | 0;
   i12 = get32(i10 | 0) | 0;
   i30 = i6 + 96 | 0;
   i26 = get32(i30 | 0) | 0;
   if ((i26 | 0) > 0) {
    i31 = i6 + 92 | 0;
    i25 = i26;
    i26 = 0;
    i16 = 0;
    while (1) {
     i24 = get32(i31 | 0) | 0;
     if ((get32(i24 + (i26 * 48 | 0) + 20 | 0) | 0) >>> 0 < i12 >>> 0) {
      i40 = i25;
      i41 = i16;
     } else {
      i11 = _sqlite3BitvecSet(get32(i24 + (i26 * 48 | 0) + 16 | 0) | 0, i12) | 0 | i16;
      i40 = get32(i30 | 0) | 0;
      i41 = i11;
     }
     i26 = i26 + 1 | 0;
     if ((i26 | 0) >= (i40 | 0)) {
      i42 = i41;
      break;
     } else {
      i25 = i40;
      i16 = i41;
     }
    }
   } else i42 = 0;
   i16 = i42 | i27;
   if (!i16) {
    i38 = get32(i5 | 0) | 0;
    i14 = 82;
    break;
   } else {
    i8 = i16;
    STACKTOP = i2;
    return i8 | 0;
   }
  }
  if (i22 << 24 >> 24 != 4) {
   set16(i9 | 0, i23 & 65535 | 4 | 0);
   i38 = i7;
   i14 = 82;
  } else {
   i38 = i7;
   i14 = 82;
  }
 } else {
  i38 = i7;
  i14 = 82;
 } while (0);
 L130 : do if ((i14 | 0) == 82) {
  i7 = get32(i10 | 0) | 0;
  i23 = get32(i38 + 96 | 0) | 0;
  if ((i23 | 0) > 0) {
   i9 = get32(i38 + 92 | 0) | 0;
   i22 = i7 + -1 | 0;
   i5 = 0;
   L133 : while (1) {
    L135 : do if ((get32(i9 + (i5 * 48 | 0) + 20 | 0) | 0) >>> 0 >= i7 >>> 0) {
     i42 = get32(i9 + (i5 * 48 | 0) + 16 | 0) | 0;
     if (!i42) break L133;
     if (i22 >>> 0 < (get32(i42 | 0) | 0) >>> 0) {
      i43 = i22;
      i44 = i42;
     } else break L133;
     while (1) {
      i42 = get32(i44 + 8 | 0) | 0;
      if (!i42) {
       i45 = i43;
       i46 = i44;
       break;
      }
      i44 = get32(i44 + 12 + (((i43 >>> 0) / (i42 >>> 0) | 0) << 2) | 0) | 0;
      if (!i44) break L133; else i43 = (i43 >>> 0) % (i42 >>> 0) | 0;
     }
     if ((get32(i46 | 0) | 0) >>> 0 < 4001) if (!(getU8(i46 + 12 + (i45 >>> 3) >> 0 | 0) & 1 << (i45 & 7))) break L133; else break;
     i42 = i45 + 1 | 0;
     i41 = (i45 >>> 0) % 125 | 0;
     i40 = get32(i46 + 12 + (i41 << 2) | 0) | 0;
     if (!i40) break L133; else {
      i47 = i40;
      i48 = i41;
     }
     while (1) {
      if ((i47 | 0) == (i42 | 0)) break L135;
      i48 = ((i48 + 1 | 0) >>> 0) % 125 | 0;
      i47 = get32(i46 + 12 + (i48 << 2) | 0) | 0;
      if (!i47) break L133;
     }
    } while (0);
    i5 = i5 + 1 | 0;
    if ((i5 | 0) >= (i23 | 0)) {
     i28 = i7;
     i29 = 0;
     break L130;
    }
   }
   i23 = _subjournalPage(i1) | 0;
   i28 = get32(i10 | 0) | 0;
   i29 = i23;
  } else {
   i28 = i7;
   i29 = 0;
  }
 } while (0);
 i10 = i6 + 24 | 0;
 if ((get32(i10 | 0) | 0) >>> 0 >= i28 >>> 0) {
  i8 = i29;
  STACKTOP = i2;
  return i8 | 0;
 }
 set32(i10 | 0, i28 | 0);
 i8 = i29;
 STACKTOP = i2;
 return i8 | 0;
}

function _returnSingleInt(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0;
 i5 = i1 + 12 | 0;
 i6 = get32(i5 | 0) | 0;
 do if (!i6) {
  i7 = get32(i1 | 0) | 0;
  L3 : do if (!i7) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i8 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
    i9 = 39;
    break;
   }
   i10 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
   set32(35 * 4 | 0, 192 | 0);
   if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
   i11 = get32(6 * 4 | 0) | 0;
   do if (i11) {
    i12 = get32(30 * 4 | 0) | 0;
    i13 = ((i12 | 0) < 0) << 31 >> 31;
    i14 = 16;
    i15 = _i64Subtract(get32(i14 | 0) | 0, get32(i14 + 4 | 0) | 0, i10 | 0, ((i10 | 0) < 0) << 31 >> 31 | 0) | 0;
    i14 = tempRet0;
    if ((i13 | 0) < (i14 | 0) | (i13 | 0) == (i14 | 0) & i12 >>> 0 < i15 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i15 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i11 & 15](i15, i12, i13, i10);
     set32(6 * 4 | 0, i11 | 0);
     set32(7 * 4 | 0, i15 | 0);
     break;
    }
   } while (0);
   i11 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i10) | 0;
   if (i11) {
    i15 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i11) | 0;
    i13 = (get32(30 * 4 | 0) | 0) + i15 | 0;
    set32(30 * 4 | 0, i13 | 0);
    if ((i13 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i13 | 0);
    i13 = get32(39 * 4 | 0) | 0;
    i15 = i13 + 1 | 0;
    set32(39 * 4 | 0, i15 | 0);
    if ((i13 | 0) < (get32(49 * 4 | 0) | 0)) i16 = i11; else {
     set32(49 * 4 | 0, i15 | 0);
     i16 = i11;
    }
   } else i9 = 40;
  } else {
   i11 = i7 + 30 | 0;
   if (!(get8(i11 >> 0 | 0) | 0)) {
    do if (get8(i7 + 234 >> 0 | 0) | 0) {
     if ((getU16(i7 + 232 | 0) | 0) < 192) {
      i15 = i7 + 248 | 0;
      set32(i15 | 0, (get32(i15 | 0) | 0) + 1 | 0);
      break;
     }
     i15 = i7 + 256 | 0;
     i13 = get32(i15 | 0) | 0;
     if (!i13) {
      i12 = i7 + 252 | 0;
      set32(i12 | 0, (get32(i12 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i15 | 0, get32(i13 | 0) | 0);
     i15 = i7 + 236 | 0;
     i12 = get32(i15 | 0) | 0;
     i14 = i12 + 1 | 0;
     set32(i15 | 0, i14 | 0);
     i15 = i7 + 244 | 0;
     set32(i15 | 0, (get32(i15 | 0) | 0) + 1 | 0);
     i15 = i7 + 240 | 0;
     if ((i12 | 0) >= (get32(i15 | 0) | 0)) set32(i15 | 0, i14 | 0);
     i8 = i13;
     i9 = 39;
     break L3;
    } while (0);
    if (!(get32(50 * 4 | 0) | 0)) {
     i10 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
     if (i10) {
      i16 = i10;
      break;
     }
    } else {
     i10 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
     set32(35 * 4 | 0, 192 | 0);
     if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
     i13 = get32(6 * 4 | 0) | 0;
     do if (i13) {
      i14 = get32(30 * 4 | 0) | 0;
      i15 = ((i14 | 0) < 0) << 31 >> 31;
      i12 = 16;
      i17 = _i64Subtract(get32(i12 | 0) | 0, get32(i12 + 4 | 0) | 0, i10 | 0, ((i10 | 0) < 0) << 31 >> 31 | 0) | 0;
      i12 = tempRet0;
      if ((i15 | 0) < (i12 | 0) | (i15 | 0) == (i12 | 0) & i14 >>> 0 < i17 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i17 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i13 & 15](i17, i14, i15, i10);
       set32(6 * 4 | 0, i13 | 0);
       set32(7 * 4 | 0, i17 | 0);
       break;
      }
     } while (0);
     i13 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i10) | 0;
     if (i13) {
      i17 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i13) | 0;
      i15 = (get32(30 * 4 | 0) | 0) + i17 | 0;
      set32(30 * 4 | 0, i15 | 0);
      if ((i15 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i15 | 0);
      i15 = get32(39 * 4 | 0) | 0;
      i17 = i15 + 1 | 0;
      set32(39 * 4 | 0, i17 | 0);
      if ((i15 | 0) < (get32(49 * 4 | 0) | 0)) {
       i16 = i13;
       break;
      }
      set32(49 * 4 | 0, i17 | 0);
      i16 = i13;
      break;
     }
    }
    set8(i11 >> 0 | 0, 1 | 0);
    i9 = 40;
   } else i9 = 40;
  } while (0);
  if ((i9 | 0) == 39) if (!i8) i9 = 40; else i16 = i8;
  if ((i9 | 0) == 40) {
   set32(i5 | 0, 0 | 0);
   i18 = 0;
   break;
  }
  _memset(i16 | 0, 0, 192) | 0;
  set32(i16 | 0, i7 | 0);
  i13 = i7 + 136 | 0;
  i17 = get32(i13 | 0) | 0;
  if (i17) set32(i17 + 60 | 0, i16 | 0);
  set32(i16 + 64 | 0, i17 | 0);
  set32(i16 + 60 | 0, 0 | 0);
  set32(i13 | 0, i16 | 0);
  set32(i16 + 52 | 0, 649915045 | 0);
  set32(i5 | 0, i16 | 0);
  i13 = i16 + 28 | 0;
  i17 = i16 + 32 | 0;
  i15 = i16 + 4 | 0;
  i14 = _sqlite3DbRealloc(i7, 0, 1020) | 0;
  if (!i14) i18 = i16; else {
   i12 = get32(i16 | 0) | 0;
   if (((i12 | 0) != 0 ? (get32(i12 + 260 | 0) | 0) >>> 0 <= i14 >>> 0 : 0) ? (get32(i12 + 264 | 0) | 0) >>> 0 > i14 >>> 0 : 0) i19 = getU16(i12 + 232 | 0) | 0; else i19 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i14) | 0;
   set32(i17 | 0, (i19 >>> 0) / 20 | 0 | 0);
   set32(i15 | 0, i14 | 0);
   set32(i13 | 0, (get32(i13 | 0) | 0) + 1 | 0);
   set8(i14 >> 0 | 0, -120 | 0);
   set8(i14 + 1 >> 0 | 0, 0 | 0);
   i13 = i14 + 3 | 0;
   i14 = i13 + 17 | 0;
   do {
    set8(i13 >> 0 | 0, 0 | 0);
    i13 = i13 + 1 | 0;
   } while ((i13 | 0) < (i14 | 0));
   i18 = i16;
  }
 } else i18 = i6; while (0);
 i6 = i1 + 72 | 0;
 i16 = (get32(i6 | 0) | 0) + 1 | 0;
 set32(i6 | 0, i16 | 0);
 i6 = get32(i1 | 0) | 0;
 L71 : do if (!i6) {
  if (!(get32(50 * 4 | 0) | 0)) {
   i20 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](8) | 0;
   i9 = 88;
   break;
  }
  i1 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](8) | 0;
  set32(35 * 4 | 0, 8 | 0);
  if ((get32(45 * 4 | 0) | 0) < 8) set32(45 * 4 | 0, 8 | 0);
  i19 = get32(6 * 4 | 0) | 0;
  do if (i19) {
   i5 = get32(30 * 4 | 0) | 0;
   i8 = ((i5 | 0) < 0) << 31 >> 31;
   i13 = 16;
   i14 = _i64Subtract(get32(i13 | 0) | 0, get32(i13 + 4 | 0) | 0, i1 | 0, ((i1 | 0) < 0) << 31 >> 31 | 0) | 0;
   i13 = tempRet0;
   if ((i8 | 0) < (i13 | 0) | (i8 | 0) == (i13 | 0) & i5 >>> 0 < i14 >>> 0) {
    set32(11 * 4 | 0, 0 | 0);
    break;
   } else {
    set32(11 * 4 | 0, 1 | 0);
    i14 = get32(7 * 4 | 0) | 0;
    set32(6 * 4 | 0, 0 | 0);
    FUNCTION_TABLE_viiii[i19 & 15](i14, i5, i8, i1);
    set32(6 * 4 | 0, i19 | 0);
    set32(7 * 4 | 0, i14 | 0);
    break;
   }
  } while (0);
  i19 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i1) | 0;
  if (i19) {
   i14 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i19) | 0;
   i8 = (get32(30 * 4 | 0) | 0) + i14 | 0;
   set32(30 * 4 | 0, i8 | 0);
   if ((i8 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i8 | 0);
   i8 = get32(39 * 4 | 0) | 0;
   i14 = i8 + 1 | 0;
   set32(39 * 4 | 0, i14 | 0);
   if ((i8 | 0) < (get32(49 * 4 | 0) | 0)) {
    i21 = i19;
    i9 = 87;
   } else {
    set32(49 * 4 | 0, i14 | 0);
    i21 = i19;
    i9 = 87;
   }
  } else {
   i22 = 0;
   i23 = 1;
  }
 } else {
  i19 = i6 + 30 | 0;
  if (!(get8(i19 >> 0 | 0) | 0)) {
   do if (get8(i6 + 234 >> 0 | 0) | 0) {
    if ((getU16(i6 + 232 | 0) | 0) < 8) {
     i14 = i6 + 248 | 0;
     set32(i14 | 0, (get32(i14 | 0) | 0) + 1 | 0);
     break;
    }
    i14 = i6 + 256 | 0;
    i8 = get32(i14 | 0) | 0;
    if (!i8) {
     i5 = i6 + 252 | 0;
     set32(i5 | 0, (get32(i5 | 0) | 0) + 1 | 0);
     break;
    }
    set32(i14 | 0, get32(i8 | 0) | 0);
    i14 = i6 + 236 | 0;
    i5 = get32(i14 | 0) | 0;
    i13 = i5 + 1 | 0;
    set32(i14 | 0, i13 | 0);
    i14 = i6 + 244 | 0;
    set32(i14 | 0, (get32(i14 | 0) | 0) + 1 | 0);
    i14 = i6 + 240 | 0;
    if ((i5 | 0) >= (get32(i14 | 0) | 0)) set32(i14 | 0, i13 | 0);
    i20 = i8;
    i9 = 88;
    break L71;
   } while (0);
   if (!(get32(50 * 4 | 0) | 0)) {
    i1 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](8) | 0;
    if (i1) {
     i21 = i1;
     i9 = 87;
     break;
    }
   } else {
    i1 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](8) | 0;
    set32(35 * 4 | 0, 8 | 0);
    if ((get32(45 * 4 | 0) | 0) < 8) set32(45 * 4 | 0, 8 | 0);
    i8 = get32(6 * 4 | 0) | 0;
    do if (i8) {
     i13 = get32(30 * 4 | 0) | 0;
     i14 = ((i13 | 0) < 0) << 31 >> 31;
     i5 = 16;
     i7 = _i64Subtract(get32(i5 | 0) | 0, get32(i5 + 4 | 0) | 0, i1 | 0, ((i1 | 0) < 0) << 31 >> 31 | 0) | 0;
     i5 = tempRet0;
     if ((i14 | 0) < (i5 | 0) | (i14 | 0) == (i5 | 0) & i13 >>> 0 < i7 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i7 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i8 & 15](i7, i13, i14, i1);
      set32(6 * 4 | 0, i8 | 0);
      set32(7 * 4 | 0, i7 | 0);
      break;
     }
    } while (0);
    i8 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i1) | 0;
    if (i8) {
     i7 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i8) | 0;
     i14 = (get32(30 * 4 | 0) | 0) + i7 | 0;
     set32(30 * 4 | 0, i14 | 0);
     if ((i14 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i14 | 0);
     i14 = get32(39 * 4 | 0) | 0;
     i7 = i14 + 1 | 0;
     set32(39 * 4 | 0, i7 | 0);
     if ((i14 | 0) < (get32(49 * 4 | 0) | 0)) {
      i21 = i8;
      i9 = 87;
      break;
     }
     set32(49 * 4 | 0, i7 | 0);
     i21 = i8;
     i9 = 87;
     break;
    }
   }
   set8(i19 >> 0 | 0, 1 | 0);
   i22 = 0;
   i23 = 1;
  } else {
   i22 = 0;
   i23 = 1;
  }
 } while (0);
 if ((i9 | 0) == 87) {
  i24 = i21;
  i25 = (i21 | 0) == 0;
  i9 = 89;
 } else if ((i9 | 0) == 88) if (!i20) {
  i22 = 0;
  i23 = 1;
 } else {
  i24 = i20;
  i25 = 0;
  i9 = 89;
 }
 if ((i9 | 0) == 89) {
  i20 = i24;
  set32(i20 | 0, i3 | 0);
  set32(i20 + 4 | 0, i4 | 0);
  i22 = i24;
  i23 = i25;
 }
 i25 = i18 + 28 | 0;
 i24 = get32(i25 | 0) | 0;
 i4 = i18 + 32 | 0;
 i20 = get32(i4 | 0) | 0;
 if ((i20 | 0) <= (i24 | 0)) {
  i3 = i18 + 4 | 0;
  i21 = _sqlite3DbRealloc(get32(i18 | 0) | 0, get32(i3 | 0) | 0, (i20 | 0) == 0 ? 1020 : i20 * 40 | 0) | 0;
  if (!i21) {
   i26 = 1;
   i27 = i18;
   i28 = i3;
  } else {
   i20 = get32(i18 | 0) | 0;
   if (((i20 | 0) != 0 ? (get32(i20 + 260 | 0) | 0) >>> 0 <= i21 >>> 0 : 0) ? (get32(i20 + 264 | 0) | 0) >>> 0 > i21 >>> 0 : 0) i29 = getU16(i20 + 232 | 0) | 0; else i29 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i21) | 0;
   set32(i4 | 0, (i29 >>> 0) / 20 | 0 | 0);
   set32(i3 | 0, i21 | 0);
   i30 = i3;
   i31 = i18;
   i32 = get32(i25 | 0) | 0;
   i33 = i21;
   i9 = 99;
  }
 } else {
  i21 = i18 + 4 | 0;
  i30 = i21;
  i31 = i18;
  i32 = i24;
  i33 = get32(i21 | 0) | 0;
  i9 = 99;
 }
 if ((i9 | 0) == 99) {
  set32(i25 | 0, i32 + 1 | 0);
  set8(i33 + (i24 * 20 | 0) >> 0 | 0, 8 | 0);
  set8(i33 + (i24 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i33 + (i24 * 20 | 0) + 4 | 0, 0 | 0);
  set32(i33 + (i24 * 20 | 0) + 8 | 0, i16 | 0);
  set32(i33 + (i24 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i33 + (i24 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i33 + (i24 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i26 = i24;
  i27 = i31;
  i28 = i30;
 }
 i30 = get32(i27 | 0) | 0;
 i31 = get32(i28 | 0) | 0;
 do if ((i31 | 0) != 0 ? (get8(i30 + 30 >> 0 | 0) | 0) == 0 : 0) {
  if ((i26 | 0) < 0) i34 = (get32(i25 | 0) | 0) + -1 | 0; else i34 = i26;
  i24 = i31 + (i34 * 20 | 0) + 1 | 0;
  i33 = i31 + (i34 * 20 | 0) + 16 | 0;
  _freeP4(i30, get8(i24 >> 0 | 0) | 0, get32(i33 | 0) | 0);
  set32(i33 | 0, 0 | 0);
  if (i23) {
   set32(i33 | 0, 0 | 0);
   set8(i24 >> 0 | 0, 0 | 0);
   break;
  } else {
   set32(i33 | 0, i22 | 0);
   set8(i24 >> 0 | 0, -13 | 0);
   break;
  }
 } else i9 = 102; while (0);
 if ((i9 | 0) == 102 ? !i23 : 0) _sqlite3DbFree(i30, i22);
 _sqlite3VdbeSetNumCols(i18, 1);
 if (!(get8((get32(i27 | 0) | 0) + 30 >> 0 | 0) | 0)) _sqlite3VdbeMemSetStr(get32(i18 + 16 | 0) | 0, i2, -1, 1, 0) | 0;
 i2 = get32(i25 | 0) | 0;
 i18 = get32(i4 | 0) | 0;
 if ((i18 | 0) > (i2 | 0)) {
  i35 = i2;
  i36 = get32(i28 | 0) | 0;
 } else {
  i22 = _sqlite3DbRealloc(get32(i27 | 0) | 0, get32(i28 | 0) | 0, (i18 | 0) == 0 ? 1020 : i18 * 40 | 0) | 0;
  if (!i22) return;
  i18 = get32(i27 | 0) | 0;
  if (((i18 | 0) != 0 ? (get32(i18 + 260 | 0) | 0) >>> 0 <= i22 >>> 0 : 0) ? (get32(i18 + 264 | 0) | 0) >>> 0 > i22 >>> 0 : 0) i37 = getU16(i18 + 232 | 0) | 0; else i37 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i22) | 0;
  set32(i4 | 0, (i37 >>> 0) / 20 | 0 | 0);
  set32(i28 | 0, i22 | 0);
  i35 = get32(i25 | 0) | 0;
  i36 = i22;
 }
 set32(i25 | 0, i35 + 1 | 0);
 set8(i36 + (i2 * 20 | 0) >> 0 | 0, 16 | 0);
 set8(i36 + (i2 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
 set32(i36 + (i2 * 20 | 0) + 4 | 0, i16 | 0);
 set32(i36 + (i2 * 20 | 0) + 8 | 0, 1 | 0);
 set32(i36 + (i2 * 20 | 0) + 12 | 0, 0 | 0);
 set32(i36 + (i2 * 20 | 0) + 16 | 0, 0 | 0);
 set8(i36 + (i2 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
 return;
}

function _sqlite3_initialize() {
 var i1 = 0, i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0;
 i1 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i2 = i1 + 8 | 0;
 i3 = i1;
 if (get32(97 * 4 | 0) | 0) {
  i4 = 0;
  STACKTOP = i1;
  return i4 | 0;
 }
 set32(99 * 4 | 0, 1 | 0);
 if (!(get32(100 * 4 | 0) | 0)) {
  if (!(get32(57 * 4 | 0) | 0)) {
   set32(i3 | 0, 5576 | 0);
   _sqlite3_config(4, i3) | 0;
  }
  i5 = 8;
  i6 = i5 + 40 | 0;
  do {
   set32(i5 | 0, 0 | 0);
   i5 = i5 + 4 | 0;
  } while ((i5 | 0) < (i6 | 0));
  if (get32(51 * 4 | 0) | 0) set32(2 * 4 | 0, 8 | 0);
  i3 = get32(89 * 4 | 0) | 0;
  i7 = get32(90 * 4 | 0) | 0;
  i8 = get32(91 * 4 | 0) | 0;
  if ((i3 | 0) != 0 & (i7 | 0) > 99 & (i8 | 0) > 0) {
   i9 = i7 & -8;
   set32(90 * 4 | 0, i9 | 0);
   set32(9 * 4 | 0, i3 | 0);
   set32(10 * 4 | 0, i8 | 0);
   if ((i8 | 0) > 1) {
    i10 = i3 + (Math_imul(i7 >>> 3, (i8 << 3) + -8 | 0) | 0) | 0;
    i7 = i8 + -1 | 0;
    i8 = 0;
    i11 = i3;
    do {
     i12 = i11;
     i11 = i11 + i9 | 0;
     set32(i12 | 0, i11 | 0);
     i8 = i8 + 1 | 0;
    } while ((i8 | 0) != (i7 | 0));
    i13 = i10;
   } else i13 = i3;
   set32(i13 | 0, 0 | 0);
   set32(8 * 4 | 0, i13 + 4 | 0);
  } else {
   set32(8 * 4 | 0, 0 | 0);
   set32(89 * 4 | 0, 0 | 0);
   set32(90 * 4 | 0, 0 | 0);
   set32(91 * 4 | 0, 0 | 0);
  }
  if ((get32(92 * 4 | 0) | 0) == 0 | (get32(93 * 4 | 0) | 0) < 512 | (get32(94 * 4 | 0) | 0) < 1) {
   set32(92 * 4 | 0, 0 | 0);
   set32(93 * 4 | 0, 0 | 0);
   set32(94 * 4 | 0, 0 | 0);
  }
  i13 = FUNCTION_TABLE_ii[get32(248 | 0) & 127](get32(64 * 4 | 0) | 0) | 0;
  if (i13) {
   i4 = i13;
   STACKTOP = i1;
   return i4 | 0;
  }
 }
 set32(100 * 4 | 0, 1 | 0);
 if (!(get32(102 * 4 | 0) | 0)) set32(102 * 4 | 0, 8 | 0);
 i13 = (get32(103 * 4 | 0) | 0) + 1 | 0;
 set32(103 * 4 | 0, i13 | 0);
 if (!(get32(98 * 4 | 0) | get32(97 * 4 | 0))) {
  set32(98 * 4 | 0, 1 | 0);
  i5 = 812;
  i6 = i5 + 92 | 0;
  do {
   set32(i5 | 0, 0 | 0);
   i5 = i5 + 4 | 0;
  } while ((i5 | 0) < (i6 | 0));
  i5 = 0;
  while (1) {
   i6 = 3304 + (i5 * 36 | 0) | 0;
   i3 = get32(3304 + (i5 * 36 | 0) + 24 | 0) | 0;
   if (!i3) i14 = 0; else {
    i10 = i3;
    while (1) if (!(get8(i10 >> 0 | 0) | 0)) {
     i15 = i10;
     break;
    } else i10 = i10 + 1 | 0;
    i14 = i15 - i3 & 1073741823;
   }
   i10 = 812 + (((((getU8(16286 + (getU8(i3 >> 0 | 0) | 0) >> 0 | 0) | 0) + i14 | 0) >>> 0) % 23 | 0) << 2) | 0;
   i7 = get32(i10 | 0) | 0;
   i8 = i7;
   L39 : do if (!i7) i16 = 38; else {
    L41 : do if (i14) {
     i11 = i7;
     while (1) {
      i9 = get32(i11 + 24 | 0) | 0;
      i12 = i14;
      i17 = i9;
      i18 = i3;
      while (1) {
       i19 = get8(i17 >> 0 | 0) | 0;
       if (!(i19 << 24 >> 24)) {
        i20 = i18;
        i16 = 29;
        break;
       }
       i21 = get8(16286 + (i19 & 255) >> 0 | 0) | 0;
       i19 = get8(16286 + (getU8(i18 >> 0 | 0) | 0) >> 0 | 0) | 0;
       if (i21 << 24 >> 24 != i19 << 24 >> 24) {
        i22 = i21;
        i23 = i19;
        i16 = 30;
        break;
       }
       if ((i12 | 0) > 1) {
        i12 = i12 + -1 | 0;
        i17 = i17 + 1 | 0;
        i18 = i18 + 1 | 0;
       } else {
        i16 = 31;
        break;
       }
      }
      if ((i16 | 0) == 29) {
       i16 = 0;
       i22 = 0;
       i23 = get8(16286 + (getU8(i20 >> 0 | 0) | 0) >> 0 | 0) | 0;
       i16 = 30;
      }
      if ((i16 | 0) == 30 ? (i16 = 0, i22 << 24 >> 24 == i23 << 24 >> 24) : 0) i16 = 31;
      if ((i16 | 0) == 31 ? (i16 = 0, (get8(i9 + i14 >> 0 | 0) | 0) == 0) : 0) {
       i24 = i11;
       break;
      }
      i11 = get32(i11 + 28 | 0) | 0;
      if (!i11) {
       i16 = 38;
       break L39;
      }
     }
     if (!i24) {
      i16 = 38;
      break L39;
     } else i25 = i24;
    } else {
     i11 = i7;
     while (1) {
      if (!(get8(get32(i11 + 24 | 0) >> 0 | 0) | 0)) {
       i25 = i11;
       break L41;
      }
      i11 = get32(i11 + 28 | 0) | 0;
      if (!i11) {
       i16 = 38;
       break L39;
      }
     }
    } while (0);
    i11 = i25 + 8 | 0;
    set32(3304 + (i5 * 36 | 0) + 8 | 0, get32(i11 | 0) | 0);
    set32(i11 | 0, i6 | 0);
   } while (0);
   if ((i16 | 0) == 38) {
    i16 = 0;
    set32(3304 + (i5 * 36 | 0) + 8 | 0, 0 | 0);
    set32(3304 + (i5 * 36 | 0) + 28 | 0, i8 | 0);
    set32(i10 | 0, i6 | 0);
   }
   i5 = i5 + 1 | 0;
   if ((i5 | 0) == 52) {
    i26 = 0;
    break;
   }
  }
  while (1) {
   i5 = 5180 + (i26 * 36 | 0) | 0;
   i25 = get32(5180 + (i26 * 36 | 0) + 24 | 0) | 0;
   if (!i25) i27 = 0; else {
    i24 = i25;
    while (1) if (!(get8(i24 >> 0 | 0) | 0)) {
     i28 = i24;
     break;
    } else i24 = i24 + 1 | 0;
    i27 = i28 - i25 & 1073741823;
   }
   i24 = 812 + (((((getU8(16286 + (getU8(i25 >> 0 | 0) | 0) >> 0 | 0) | 0) + i27 | 0) >>> 0) % 23 | 0) << 2) | 0;
   i6 = get32(i24 | 0) | 0;
   i10 = i6;
   L70 : do if (!i6) i16 = 57; else {
    L72 : do if (i27) {
     i8 = i6;
     while (1) {
      i14 = get32(i8 + 24 | 0) | 0;
      i23 = i27;
      i22 = i14;
      i20 = i25;
      while (1) {
       i15 = get8(i22 >> 0 | 0) | 0;
       if (!(i15 << 24 >> 24)) {
        i29 = i20;
        i16 = 48;
        break;
       }
       i7 = get8(16286 + (i15 & 255) >> 0 | 0) | 0;
       i15 = get8(16286 + (getU8(i20 >> 0 | 0) | 0) >> 0 | 0) | 0;
       if (i7 << 24 >> 24 != i15 << 24 >> 24) {
        i30 = i7;
        i31 = i15;
        i16 = 49;
        break;
       }
       if ((i23 | 0) > 1) {
        i23 = i23 + -1 | 0;
        i22 = i22 + 1 | 0;
        i20 = i20 + 1 | 0;
       } else {
        i16 = 50;
        break;
       }
      }
      if ((i16 | 0) == 48) {
       i16 = 0;
       i30 = 0;
       i31 = get8(16286 + (getU8(i29 >> 0 | 0) | 0) >> 0 | 0) | 0;
       i16 = 49;
      }
      if ((i16 | 0) == 49 ? (i16 = 0, i30 << 24 >> 24 == i31 << 24 >> 24) : 0) i16 = 50;
      if ((i16 | 0) == 50 ? (i16 = 0, (get8(i14 + i27 >> 0 | 0) | 0) == 0) : 0) {
       i32 = i8;
       break;
      }
      i8 = get32(i8 + 28 | 0) | 0;
      if (!i8) {
       i16 = 57;
       break L70;
      }
     }
     if (!i32) {
      i16 = 57;
      break L70;
     } else i33 = i32;
    } else {
     i8 = i6;
     while (1) {
      if (!(get8(get32(i8 + 24 | 0) >> 0 | 0) | 0)) {
       i33 = i8;
       break L72;
      }
      i8 = get32(i8 + 28 | 0) | 0;
      if (!i8) {
       i16 = 57;
       break L70;
      }
     }
    } while (0);
    i8 = i33 + 8 | 0;
    set32(5180 + (i26 * 36 | 0) + 8 | 0, get32(i8 | 0) | 0);
    set32(i8 | 0, i5 | 0);
   } while (0);
   if ((i16 | 0) == 57) {
    i16 = 0;
    set32(5180 + (i26 * 36 | 0) + 8 | 0, 0 | 0);
    set32(5180 + (i26 * 36 | 0) + 28 | 0, i10 | 0);
    set32(i24 | 0, i5 | 0);
   }
   i26 = i26 + 1 | 0;
   if ((i26 | 0) == 8) {
    i34 = 0;
    break;
   }
  }
  do {
   i26 = 5468 + (i34 * 36 | 0) | 0;
   i33 = get32(5468 + (i34 * 36 | 0) + 24 | 0) | 0;
   if (!i33) i35 = 0; else {
    i32 = i33;
    while (1) if (!(get8(i32 >> 0 | 0) | 0)) {
     i36 = i32;
     break;
    } else i32 = i32 + 1 | 0;
    i35 = i36 - i33 & 1073741823;
   }
   i32 = 812 + (((((getU8(16286 + (getU8(i33 >> 0 | 0) | 0) >> 0 | 0) | 0) + i35 | 0) >>> 0) % 23 | 0) << 2) | 0;
   i5 = get32(i32 | 0) | 0;
   i24 = i5;
   L101 : do if (!i5) i16 = 76; else {
    L103 : do if (i35) {
     i10 = i5;
     while (1) {
      i27 = get32(i10 + 24 | 0) | 0;
      i31 = i35;
      i30 = i27;
      i29 = i33;
      while (1) {
       i28 = get8(i30 >> 0 | 0) | 0;
       if (!(i28 << 24 >> 24)) {
        i37 = i29;
        i16 = 67;
        break;
       }
       i6 = get8(16286 + (i28 & 255) >> 0 | 0) | 0;
       i28 = get8(16286 + (getU8(i29 >> 0 | 0) | 0) >> 0 | 0) | 0;
       if (i6 << 24 >> 24 != i28 << 24 >> 24) {
        i38 = i6;
        i39 = i28;
        i16 = 68;
        break;
       }
       if ((i31 | 0) > 1) {
        i31 = i31 + -1 | 0;
        i30 = i30 + 1 | 0;
        i29 = i29 + 1 | 0;
       } else {
        i16 = 69;
        break;
       }
      }
      if ((i16 | 0) == 67) {
       i16 = 0;
       i38 = 0;
       i39 = get8(16286 + (getU8(i37 >> 0 | 0) | 0) >> 0 | 0) | 0;
       i16 = 68;
      }
      if ((i16 | 0) == 68 ? (i16 = 0, i38 << 24 >> 24 == i39 << 24 >> 24) : 0) i16 = 69;
      if ((i16 | 0) == 69 ? (i16 = 0, (get8(i27 + i35 >> 0 | 0) | 0) == 0) : 0) {
       i40 = i10;
       break;
      }
      i10 = get32(i10 + 28 | 0) | 0;
      if (!i10) {
       i16 = 76;
       break L101;
      }
     }
     if (!i40) {
      i16 = 76;
      break L101;
     } else i41 = i40;
    } else {
     i10 = i5;
     while (1) {
      if (!(get8(get32(i10 + 24 | 0) >> 0 | 0) | 0)) {
       i41 = i10;
       break L103;
      }
      i10 = get32(i10 + 28 | 0) | 0;
      if (!i10) {
       i16 = 76;
       break L101;
      }
     }
    } while (0);
    i10 = i41 + 8 | 0;
    set32(5468 + (i34 * 36 | 0) + 8 | 0, get32(i10 | 0) | 0);
    set32(i10 | 0, i26 | 0);
   } while (0);
   if ((i16 | 0) == 76) {
    i16 = 0;
    set32(5468 + (i34 * 36 | 0) + 8 | 0, 0 | 0);
    set32(5468 + (i34 * 36 | 0) + 28 | 0, i24 | 0);
    set32(i32 | 0, i26 | 0);
   }
   i34 = i34 + 1 | 0;
  } while ((i34 | 0) != 3);
  if (!(get32(101 * 4 | 0) | 0)) {
   i34 = get32(75 * 4 | 0) | 0;
   if (!i34) {
    set32(i2 | 0, 5608 | 0);
    _sqlite3_config(14, i2) | 0;
    i42 = get32(75 * 4 | 0) | 0;
   } else i42 = i34;
   i34 = FUNCTION_TABLE_ii[i42 & 127](get32(74 * 4 | 0) | 0) | 0;
   if (i34) i43 = i34; else i16 = 82;
  } else i16 = 82;
  if ((i16 | 0) == 82) {
   set32(101 * 4 | 0, 1 | 0);
   i16 = _sqlite3_malloc(10) | 0;
   if (!i16) i43 = 7; else {
    if (!(get32(50 * 4 | 0) | 0)) {
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i16);
     i44 = 0;
    } else {
     i34 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i16) | 0;
     i42 = (get32(30 * 4 | 0) | 0) - i34 | 0;
     set32(30 * 4 | 0, i42 | 0);
     if ((i42 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i42 | 0);
     i42 = (get32(39 * 4 | 0) | 0) + -1 | 0;
     set32(39 * 4 | 0, i42 | 0);
     if ((i42 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i42 | 0);
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i16);
     i44 = 0;
    }
    do {
     i16 = 432 + (i44 * 88 | 0) | 0;
     i42 = (i44 | 0) == 0;
     do if (!(_sqlite3_initialize() | 0)) {
      do if (i16) {
       i34 = get32(107 * 4 | 0) | 0;
       if ((i34 | 0) == (i16 | 0)) {
        set32(107 * 4 | 0, get32(432 + (i44 * 88 | 0) + 12 | 0) | 0);
        break;
       }
       if (i34) {
        i2 = i34;
        while (1) {
         i34 = i2 + 12 | 0;
         i41 = get32(i34 | 0) | 0;
         if ((i41 | 0) != (i16 | 0) & (i41 | 0) != 0) i2 = i41; else {
          i45 = i34;
          i46 = i41;
          break;
         }
        }
        if ((i46 | 0) == (i16 | 0)) set32(i45 | 0, get32(432 + (i44 * 88 | 0) + 12 | 0) | 0);
       }
      } while (0);
      i2 = get32(107 * 4 | 0) | 0;
      if (i42 | (i2 | 0) == 0) {
       set32(432 + (i44 * 88 | 0) + 12 | 0, i2 | 0);
       set32(107 * 4 | 0, i16 | 0);
       break;
      } else {
       i41 = i2 + 12 | 0;
       set32(432 + (i44 * 88 | 0) + 12 | 0, get32(i41 | 0) | 0);
       set32(i41 | 0, i16 | 0);
       break;
      }
     } while (0);
     i44 = i44 + 1 | 0;
    } while ((i44 | 0) != 4);
    i44 = get32(92 * 4 | 0) | 0;
    i45 = get32(93 * 4 | 0) | 0;
    i46 = get32(94 * 4 | 0) | 0;
    if (get32(375 * 4 | 0) | 0) {
     i16 = i45 & -8;
     set32(376 * 4 | 0, i16 | 0);
     set32(382 * 4 | 0, i46 | 0);
     set32(377 * 4 | 0, i46 | 0);
     set32(378 * 4 | 0, ((i46 | 0) > 90 ? 10 : ((i46 | 0) / 10 | 0) + 1 | 0) | 0);
     set32(379 * 4 | 0, i44 | 0);
     set32(383 * 4 | 0, 0 | 0);
     set32(384 * 4 | 0, 0 | 0);
     if (!i46) i47 = i44; else {
      i42 = i45 >>> 3;
      i45 = i46 << 3;
      i26 = (Math_imul(i42, i46 + -1 | 0) | 0) << 3;
      i32 = i46;
      i46 = i44;
      i24 = 0;
      while (1) {
       i32 = i32 + -1 | 0;
       set32(i46 | 0, i24 | 0);
       i24 = i46;
       if (!i32) break; else i46 = i46 + i16 | 0;
      }
      i16 = Math_imul(i45, i42) | 0;
      set32(383 * 4 | 0, i44 + i26 | 0);
      i47 = i44 + i16 | 0;
     }
     set32(380 * 4 | 0, i47 | 0);
    }
    set32(97 * 4 | 0, 1 | 0);
    i43 = 0;
   }
  }
  set32(98 * 4 | 0, 0 | 0);
  i48 = get32(103 * 4 | 0) | 0;
  i49 = i43;
 } else {
  i48 = i13;
  i49 = 0;
 }
 set32(103 * 4 | 0, i48 + -1 | 0);
 if ((i48 | 0) >= 2) {
  i4 = i49;
  STACKTOP = i1;
  return i4 | 0;
 }
 set32(102 * 4 | 0, 0 | 0);
 i4 = i49;
 STACKTOP = i1;
 return i4 | 0;
}

function _sqlite3CreateForeignKey(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0;
 i6 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i7 = i6 + 16 | 0;
 i8 = i6 + 8 | 0;
 i9 = i6;
 i10 = get32(i1 | 0) | 0;
 i11 = get32(i1 + 508 | 0) | 0;
 L1 : do if ((i11 | 0) != 0 ? (get8(i1 + 528 >> 0 | 0) | 0) == 0 : 0) {
  i12 = (i2 | 0) == 0;
  do if (i12) {
   i13 = get32(i11 + 8 | 0) | 0;
   i14 = i13 + -1 | 0;
   if ((i13 | 0) < 1) {
    _sqlite3DbFree(i10, 0);
    i15 = 105;
    break L1;
   }
   if (i4) if ((get32(i4 | 0) | 0) == 1) {
    i16 = 1;
    i15 = 14;
   } else {
    set32(i9 | 0, get32((get32(i11 + 12 | 0) | 0) + (i14 * 24 | 0) | 0) | 0);
    set32(i9 + 4 | 0, i3 | 0);
    _sqlite3ErrorMsg(i1, 31370, i9);
    _sqlite3DbFree(i10, 0);
    break L1;
   } else {
    i17 = 1;
    i15 = 13;
   }
  } else {
   if (!i4) {
    i17 = get32(i2 | 0) | 0;
    i15 = 13;
    break;
   }
   i14 = get32(i4 | 0) | 0;
   if ((i14 | 0) == (get32(i2 | 0) | 0)) {
    i16 = i14;
    i15 = 14;
   } else {
    _sqlite3ErrorMsg(i1, 31433, i8);
    i18 = 0;
   }
  } while (0);
  if ((i15 | 0) == 13) {
   i14 = i3 + 4 | 0;
   i19 = i14;
   i20 = 0;
   i21 = (i17 << 3) + 37 + (get32(i14 | 0) | 0) | 0;
   i22 = i17;
   i15 = 20;
  } else if ((i15 | 0) == 14) {
   i14 = i3 + 4 | 0;
   i13 = (i16 << 3) + 37 + (get32(i14 | 0) | 0) | 0;
   i23 = get32(i4 | 0) | 0;
   if ((i23 | 0) > 0) {
    i24 = get32(i4 + 12 | 0) | 0;
    i25 = 0;
    i26 = i13;
    while (1) {
     i27 = get32(i24 + (i25 * 20 | 0) + 4 | 0) | 0;
     if (!i27) i28 = 0; else {
      i29 = i27;
      while (1) if (!(get8(i29 >> 0 | 0) | 0)) {
       i30 = i29;
       break;
      } else i29 = i29 + 1 | 0;
      i28 = i30 - i27 & 1073741823;
     }
     i29 = i26 + 1 + i28 | 0;
     i25 = i25 + 1 | 0;
     if ((i25 | 0) >= (i23 | 0)) {
      i19 = i14;
      i20 = 1;
      i21 = i29;
      i22 = i16;
      i15 = 20;
      break;
     } else i26 = i29;
    }
   } else {
    i19 = i14;
    i20 = 1;
    i21 = i13;
    i22 = i16;
    i15 = 20;
   }
  }
  L27 : do if ((i15 | 0) == 20) {
   L29 : do if (!i10) {
    if ((i21 + -1 | 0) >>> 0 > 2147483390) {
     i31 = 0;
     i15 = 100;
     break L1;
    }
    if (!(get32(50 * 4 | 0) | 0)) {
     i32 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i21) | 0;
     i15 = 59;
     break;
    }
    i26 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i21) | 0;
    set32(35 * 4 | 0, i21 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i21 | 0)) set32(45 * 4 | 0, i21 | 0);
    i23 = get32(6 * 4 | 0) | 0;
    do if (i23) {
     i25 = get32(30 * 4 | 0) | 0;
     i24 = ((i25 | 0) < 0) << 31 >> 31;
     i29 = 16;
     i33 = _i64Subtract(get32(i29 | 0) | 0, get32(i29 + 4 | 0) | 0, i26 | 0, ((i26 | 0) < 0) << 31 >> 31 | 0) | 0;
     i29 = tempRet0;
     if ((i24 | 0) < (i29 | 0) | (i24 | 0) == (i29 | 0) & i25 >>> 0 < i33 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i33 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i23 & 15](i33, i25, i24, i26);
      set32(6 * 4 | 0, i23 | 0);
      set32(7 * 4 | 0, i33 | 0);
      break;
     }
    } while (0);
    i23 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i26) | 0;
    if (!i23) {
     i31 = 0;
     i15 = 100;
     break L1;
    }
    i33 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i23) | 0;
    i24 = (get32(30 * 4 | 0) | 0) + i33 | 0;
    set32(30 * 4 | 0, i24 | 0);
    if ((i24 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i24 | 0);
    i24 = get32(39 * 4 | 0) | 0;
    i33 = i24 + 1 | 0;
    set32(39 * 4 | 0, i33 | 0);
    if ((i24 | 0) < (get32(49 * 4 | 0) | 0)) i34 = i23; else {
     set32(49 * 4 | 0, i33 | 0);
     i34 = i23;
    }
   } else {
    i23 = i10 + 30 | 0;
    if (get8(i23 >> 0 | 0) | 0) {
     i31 = 0;
     i15 = 100;
     break L1;
    }
    do if (get8(i10 + 234 >> 0 | 0) | 0) {
     if ((getU16(i10 + 232 | 0) | 0) < (i21 | 0)) {
      i33 = i10 + 248 | 0;
      set32(i33 | 0, (get32(i33 | 0) | 0) + 1 | 0);
      break;
     }
     i33 = i10 + 256 | 0;
     i24 = get32(i33 | 0) | 0;
     if (!i24) {
      i25 = i10 + 252 | 0;
      set32(i25 | 0, (get32(i25 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i33 | 0, get32(i24 | 0) | 0);
     i33 = i10 + 236 | 0;
     i25 = get32(i33 | 0) | 0;
     i29 = i25 + 1 | 0;
     set32(i33 | 0, i29 | 0);
     i33 = i10 + 244 | 0;
     set32(i33 | 0, (get32(i33 | 0) | 0) + 1 | 0);
     i33 = i10 + 240 | 0;
     if ((i25 | 0) >= (get32(i33 | 0) | 0)) set32(i33 | 0, i29 | 0);
     i32 = i24;
     i15 = 59;
     break L29;
    } while (0);
    do if ((i21 + -1 | 0) >>> 0 <= 2147483390) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i26 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i21) | 0;
      if (!i26) break; else {
       i34 = i26;
       break L29;
      }
     }
     i26 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i21) | 0;
     set32(35 * 4 | 0, i21 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i21 | 0)) set32(45 * 4 | 0, i21 | 0);
     i24 = get32(6 * 4 | 0) | 0;
     do if (i24) {
      i29 = get32(30 * 4 | 0) | 0;
      i33 = ((i29 | 0) < 0) << 31 >> 31;
      i25 = 16;
      i35 = _i64Subtract(get32(i25 | 0) | 0, get32(i25 + 4 | 0) | 0, i26 | 0, ((i26 | 0) < 0) << 31 >> 31 | 0) | 0;
      i25 = tempRet0;
      if ((i33 | 0) < (i25 | 0) | (i33 | 0) == (i25 | 0) & i29 >>> 0 < i35 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i35 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i24 & 15](i35, i29, i33, i26);
       set32(6 * 4 | 0, i24 | 0);
       set32(7 * 4 | 0, i35 | 0);
       break;
      }
     } while (0);
     i24 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i26) | 0;
     if (i24) {
      i35 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i24) | 0;
      i33 = (get32(30 * 4 | 0) | 0) + i35 | 0;
      set32(30 * 4 | 0, i33 | 0);
      if ((i33 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i33 | 0);
      i33 = get32(39 * 4 | 0) | 0;
      i35 = i33 + 1 | 0;
      set32(39 * 4 | 0, i35 | 0);
      if ((i33 | 0) < (get32(49 * 4 | 0) | 0)) {
       i34 = i24;
       break L29;
      }
      set32(49 * 4 | 0, i35 | 0);
      i34 = i24;
      break L29;
     }
    } while (0);
    set8(i23 >> 0 | 0, 1 | 0);
    i31 = 0;
    i15 = 100;
    break L1;
   } while (0);
   if ((i15 | 0) == 59) if (!i32) {
    i31 = 0;
    i15 = 100;
    break L1;
   } else i34 = i32;
   _memset(i34 | 0, 0, i21 | 0) | 0;
   set32(i34 | 0, i11 | 0);
   i27 = i11 + 36 | 0;
   set32(i34 + 4 | 0, get32(i27 | 0) | 0);
   i24 = i34 + 36 | 0;
   i35 = i24 + (i22 << 3) | 0;
   i33 = i34 + 8 | 0;
   set32(i33 | 0, i35 | 0);
   _memcpy(i35 | 0, get32(i3 | 0) | 0, get32(i19 | 0) | 0) | 0;
   set8(i35 + (get32(i19 | 0) | 0) >> 0 | 0, 0 | 0);
   L86 : do if (i35) {
    i29 = get8(i35 >> 0 | 0) | 0;
    switch (i29 << 24 >> 24 | 0) {
    case 96:
    case 34:
    case 39:
     {
      i36 = i29;
      break;
     }
    case 91:
     {
      i36 = 93;
      break;
     }
    default:
     break L86;
    }
    i29 = get8(i35 + 1 >> 0 | 0) | 0;
    L91 : do if (!(i29 << 24 >> 24)) i37 = 0; else {
     i25 = i29;
     i38 = 1;
     i39 = 0;
     while (1) {
      if (i25 << 24 >> 24 == i36 << 24 >> 24) {
       i40 = i38 + 1 | 0;
       if ((get8(i35 + i40 >> 0 | 0) | 0) != i36 << 24 >> 24) {
        i37 = i39;
        break L91;
       }
       set8(i35 + i39 >> 0 | 0, i36 | 0);
       i41 = i40;
      } else {
       set8(i35 + i39 >> 0 | 0, i25 | 0);
       i41 = i38;
      }
      i40 = i39 + 1 | 0;
      i38 = i41 + 1 | 0;
      i25 = get8(i35 + i38 >> 0 | 0) | 0;
      if (!(i25 << 24 >> 24)) {
       i37 = i40;
       break;
      } else i39 = i40;
     }
    } while (0);
    set8(i35 + i37 >> 0 | 0, 0 | 0);
   } while (0);
   i29 = i35 + ((get32(i19 | 0) | 0) + 1) | 0;
   set32(i34 + 20 | 0, i22 | 0);
   L101 : do if (!i12) {
    if ((i22 | 0) > 0) {
     i23 = i11 + 12 | 0;
     i39 = i2 + 12 | 0;
     i25 = get32(i11 + 8 | 0) | 0;
     i38 = (i25 | 0) > 0;
     i26 = 0;
     while (1) {
      L107 : do if (i38) {
       i40 = get32(i23 | 0) | 0;
       i42 = get32((get32(i39 | 0) | 0) + (i26 * 20 | 0) + 4 | 0) | 0;
       i43 = 0;
       while (1) {
        i44 = get32(i40 + (i43 * 24 | 0) | 0) | 0;
        i45 = get8(i44 >> 0 | 0) | 0;
        L111 : do if (!(i45 << 24 >> 24)) {
         i46 = 0;
         i47 = i42;
        } else {
         i48 = i45;
         i49 = i44;
         i50 = i42;
         while (1) {
          if ((get8(16286 + (i48 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i50 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
           i46 = i48;
           i47 = i50;
           break L111;
          }
          i49 = i49 + 1 | 0;
          i51 = i50 + 1 | 0;
          i48 = get8(i49 >> 0 | 0) | 0;
          if (!(i48 << 24 >> 24)) {
           i46 = 0;
           i47 = i51;
           break;
          } else i50 = i51;
         }
        } while (0);
        if ((get8(16286 + (i46 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i47 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
         i52 = i43;
         break;
        }
        i44 = i43 + 1 | 0;
        if ((i44 | 0) < (i25 | 0)) i43 = i44; else {
         i53 = i44;
         break L107;
        }
       }
       set32(i24 + (i26 << 3) | 0, i52 | 0);
       i53 = i52;
      } else i53 = 0; while (0);
      if ((i53 | 0) >= (i25 | 0)) {
       i54 = i26;
       break;
      }
      i26 = i26 + 1 | 0;
      if ((i26 | 0) >= (i22 | 0)) break L101;
     }
     set32(i7 | 0, get32((get32(i39 | 0) | 0) + (i54 * 20 | 0) + 4 | 0) | 0);
     _sqlite3ErrorMsg(i1, 31527, i7);
     i18 = i34;
     break L27;
    }
   } else set32(i24 | 0, (get32(i11 + 8 | 0) | 0) + -1 | 0); while (0);
   if (i20 & (i22 | 0) > 0) {
    i35 = i4 + 12 | 0;
    i26 = 0;
    i25 = i29;
    while (1) {
     i23 = get32((get32(i35 | 0) | 0) + (i26 * 20 | 0) + 4 | 0) | 0;
     if (!i23) i55 = 0; else {
      i38 = i23;
      while (1) if (!(get8(i38 >> 0 | 0) | 0)) {
       i56 = i38;
       break;
      } else i38 = i38 + 1 | 0;
      i55 = i56 - i23 & 1073741823;
     }
     set32(i24 + (i26 << 3) + 4 | 0, i25 | 0);
     _memcpy(i25 | 0, i23 | 0, i55 | 0) | 0;
     set8(i25 + i55 >> 0 | 0, 0 | 0);
     i26 = i26 + 1 | 0;
     if ((i26 | 0) == (i22 | 0)) break; else i25 = i25 + (i55 + 1) | 0;
    }
   }
   set8(i34 + 24 >> 0 | 0, 0 | 0);
   set8(i34 + 25 >> 0 | 0, i5 | 0);
   set8(i34 + 26 >> 0 | 0, i5 >>> 8 | 0);
   i25 = (get32(i11 + 68 | 0) | 0) + 56 | 0;
   i26 = get32(i33 | 0) | 0;
   if (!i26) i57 = 0; else {
    i24 = i26;
    while (1) if (!(get8(i24 >> 0 | 0) | 0)) {
     i58 = i24;
     break;
    } else i24 = i24 + 1 | 0;
    i57 = i58 - i26 & 1073741823;
   }
   i24 = _sqlite3HashInsert(i25, i26, i57, i34) | 0;
   if ((i24 | 0) == (i34 | 0)) {
    set8(i10 + 30 >> 0 | 0, 1 | 0);
    i31 = i34;
    i15 = 100;
    break L1;
   }
   if (i24) {
    set32(i34 + 12 | 0, i24 | 0);
    set32(i24 + 16 | 0, i34 | 0);
   }
   set32(i27 | 0, i34 | 0);
   i31 = 0;
   i15 = 100;
   break L1;
  } while (0);
  _sqlite3DbFree(i10, i18);
  i15 = 101;
 } else {
  i31 = 0;
  i15 = 100;
 } while (0);
 if ((i15 | 0) == 100) {
  _sqlite3DbFree(i10, i31);
  if (!i2) i15 = 105; else i15 = 101;
 }
 if ((i15 | 0) == 101) {
  i31 = i2 + 12 | 0;
  if ((get32(i2 | 0) | 0) > 0) {
   i18 = 0;
   i34 = get32(i31 | 0) | 0;
   while (1) {
    _sqlite3ExprDelete(i10, get32(i34 | 0) | 0);
    _sqlite3DbFree(i10, get32(i34 + 4 | 0) | 0);
    _sqlite3DbFree(i10, get32(i34 + 8 | 0) | 0);
    i18 = i18 + 1 | 0;
    if ((i18 | 0) >= (get32(i2 | 0) | 0)) break; else i34 = i34 + 20 | 0;
   }
  }
  _sqlite3DbFree(i10, get32(i31 | 0) | 0);
  _sqlite3DbFree(i10, i2);
  i15 = 105;
 }
 if ((i15 | 0) == 105 ? (i4 | 0) == 0 : 0) {
  STACKTOP = i6;
  return;
 }
 i15 = i4 + 12 | 0;
 if ((get32(i4 | 0) | 0) > 0) {
  i2 = 0;
  i31 = get32(i15 | 0) | 0;
  while (1) {
   _sqlite3ExprDelete(i10, get32(i31 | 0) | 0);
   _sqlite3DbFree(i10, get32(i31 + 4 | 0) | 0);
   _sqlite3DbFree(i10, get32(i31 + 8 | 0) | 0);
   i2 = i2 + 1 | 0;
   if ((i2 | 0) >= (get32(i4 | 0) | 0)) break; else i31 = i31 + 20 | 0;
  }
 }
 _sqlite3DbFree(i10, get32(i15 | 0) | 0);
 _sqlite3DbFree(i10, i4);
 STACKTOP = i6;
 return;
}

function _vtabCallConstructor(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0;
 i6 = STACKTOP;
 STACKTOP = STACKTOP + 48 | 0;
 i7 = i6 + 24 | 0;
 i8 = i6 + 16 | 0;
 i9 = i6 + 8 | 0;
 i10 = i6;
 i11 = i6 + 32 | 0;
 i12 = i6 + 28 | 0;
 i13 = get32(i2 + 60 | 0) | 0;
 i14 = get32(i2 + 56 | 0) | 0;
 set32(i12 | 0, 0 | 0);
 set32(i10 | 0, get32(i2 | 0) | 0);
 i15 = _sqlite3MPrintf(i1, 16817, i10) | 0;
 if (!i15) {
  i16 = 7;
  STACKTOP = i6;
  return i16 | 0;
 }
 L4 : do if (!i1) {
  if (!(get32(50 * 4 | 0) | 0)) {
   i17 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](28) | 0;
   i18 = 39;
   break;
  }
  i10 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](28) | 0;
  set32(35 * 4 | 0, 28 | 0);
  if ((get32(45 * 4 | 0) | 0) < 28) set32(45 * 4 | 0, 28 | 0);
  i19 = get32(6 * 4 | 0) | 0;
  do if (i19) {
   i20 = get32(30 * 4 | 0) | 0;
   i21 = ((i20 | 0) < 0) << 31 >> 31;
   i22 = 16;
   i23 = _i64Subtract(get32(i22 | 0) | 0, get32(i22 + 4 | 0) | 0, i10 | 0, ((i10 | 0) < 0) << 31 >> 31 | 0) | 0;
   i22 = tempRet0;
   if ((i21 | 0) < (i22 | 0) | (i21 | 0) == (i22 | 0) & i20 >>> 0 < i23 >>> 0) {
    set32(11 * 4 | 0, 0 | 0);
    break;
   } else {
    set32(11 * 4 | 0, 1 | 0);
    i23 = get32(7 * 4 | 0) | 0;
    set32(6 * 4 | 0, 0 | 0);
    FUNCTION_TABLE_viiii[i19 & 15](i23, i20, i21, i10);
    set32(6 * 4 | 0, i19 | 0);
    set32(7 * 4 | 0, i23 | 0);
    break;
   }
  } while (0);
  i19 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i10) | 0;
  if (i19) {
   i23 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i19) | 0;
   i21 = (get32(30 * 4 | 0) | 0) + i23 | 0;
   set32(30 * 4 | 0, i21 | 0);
   if ((i21 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i21 | 0);
   i21 = get32(39 * 4 | 0) | 0;
   i23 = i21 + 1 | 0;
   set32(39 * 4 | 0, i23 | 0);
   if ((i21 | 0) < (get32(49 * 4 | 0) | 0)) i24 = i19; else {
    set32(49 * 4 | 0, i23 | 0);
    i24 = i19;
   }
  } else i18 = 40;
 } else {
  i19 = i1 + 30 | 0;
  if (!(get8(i19 >> 0 | 0) | 0)) {
   do if (get8(i1 + 234 >> 0 | 0) | 0) {
    if ((getU16(i1 + 232 | 0) | 0) < 28) {
     i23 = i1 + 248 | 0;
     set32(i23 | 0, (get32(i23 | 0) | 0) + 1 | 0);
     break;
    }
    i23 = i1 + 256 | 0;
    i21 = get32(i23 | 0) | 0;
    if (!i21) {
     i20 = i1 + 252 | 0;
     set32(i20 | 0, (get32(i20 | 0) | 0) + 1 | 0);
     break;
    }
    set32(i23 | 0, get32(i21 | 0) | 0);
    i23 = i1 + 236 | 0;
    i20 = get32(i23 | 0) | 0;
    i22 = i20 + 1 | 0;
    set32(i23 | 0, i22 | 0);
    i23 = i1 + 244 | 0;
    set32(i23 | 0, (get32(i23 | 0) | 0) + 1 | 0);
    i23 = i1 + 240 | 0;
    if ((i20 | 0) >= (get32(i23 | 0) | 0)) set32(i23 | 0, i22 | 0);
    i17 = i21;
    i18 = 39;
    break L4;
   } while (0);
   if (!(get32(50 * 4 | 0) | 0)) {
    i10 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](28) | 0;
    if (i10) {
     i24 = i10;
     break;
    }
   } else {
    i10 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](28) | 0;
    set32(35 * 4 | 0, 28 | 0);
    if ((get32(45 * 4 | 0) | 0) < 28) set32(45 * 4 | 0, 28 | 0);
    i21 = get32(6 * 4 | 0) | 0;
    do if (i21) {
     i22 = get32(30 * 4 | 0) | 0;
     i23 = ((i22 | 0) < 0) << 31 >> 31;
     i20 = 16;
     i25 = _i64Subtract(get32(i20 | 0) | 0, get32(i20 + 4 | 0) | 0, i10 | 0, ((i10 | 0) < 0) << 31 >> 31 | 0) | 0;
     i20 = tempRet0;
     if ((i23 | 0) < (i20 | 0) | (i23 | 0) == (i20 | 0) & i22 >>> 0 < i25 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i25 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i21 & 15](i25, i22, i23, i10);
      set32(6 * 4 | 0, i21 | 0);
      set32(7 * 4 | 0, i25 | 0);
      break;
     }
    } while (0);
    i21 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i10) | 0;
    if (i21) {
     i25 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i21) | 0;
     i23 = (get32(30 * 4 | 0) | 0) + i25 | 0;
     set32(30 * 4 | 0, i23 | 0);
     if ((i23 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i23 | 0);
     i23 = get32(39 * 4 | 0) | 0;
     i25 = i23 + 1 | 0;
     set32(39 * 4 | 0, i25 | 0);
     if ((i23 | 0) < (get32(49 * 4 | 0) | 0)) {
      i24 = i21;
      break;
     }
     set32(49 * 4 | 0, i25 | 0);
     i24 = i21;
     break;
    }
   }
   set8(i19 >> 0 | 0, 1 | 0);
   i18 = 40;
  } else i18 = 40;
 } while (0);
 if ((i18 | 0) == 39) if (!i17) i18 = 40; else i24 = i17;
 if ((i18 | 0) == 40) {
  _sqlite3DbFree(i1, i15);
  i16 = 7;
  STACKTOP = i6;
  return i16 | 0;
 }
 i17 = i24;
 i21 = i17 + 28 | 0;
 do {
  set8(i17 >> 0 | 0, 0 | 0);
  i17 = i17 + 1 | 0;
 } while ((i17 | 0) < (i21 | 0));
 set32(i24 | 0, i1 | 0);
 set32(i24 + 4 | 0, i3 | 0);
 set32(i11 | 0, i2 | 0);
 set32(i11 + 4 | 0, i24 | 0);
 i17 = i1 + 304 | 0;
 set32(i17 | 0, i11 | 0);
 i21 = i24 + 8 | 0;
 i25 = FUNCTION_TABLE_iiiiiii[i4 & 3](i1, get32(i3 + 8 | 0) | 0, i14, i13, i21, i12) | 0;
 set32(i17 | 0, 0 | 0);
 L61 : do switch (i25 | 0) {
 case 7:
  {
   set8(i1 + 30 >> 0 | 0, 1 | 0);
   i18 = 43;
   break;
  }
 case 0:
  {
   i17 = get32(i21 | 0) | 0;
   if (i17) {
    set32(i17 | 0, get32(i3 | 0) | 0);
    i17 = i24 + 12 | 0;
    set32(i17 | 0, 1 | 0);
    if (get32(i11 | 0) | 0) {
     set32(i7 | 0, get32(i2 | 0) | 0);
     set32(i5 | 0, _sqlite3MPrintf(i1, 24314, i7) | 0 | 0);
     i13 = get32(i24 | 0) | 0;
     i14 = (get32(i17 | 0) | 0) + -1 | 0;
     set32(i17 | 0, i14 | 0);
     if (i14) {
      i26 = 1;
      break L61;
     }
     i14 = get32(i21 | 0) | 0;
     if (i14) FUNCTION_TABLE_ii[get32((get32(i14 | 0) | 0) + 16 | 0) & 127](i14) | 0;
     _sqlite3DbFree(i13, i24);
     i26 = 1;
     break L61;
    }
    i13 = i2 + 52 | 0;
    set32(i24 + 24 | 0, get32(i13 | 0) | 0);
    set32(i13 | 0, i24 | 0);
    i13 = i2 + 8 | 0;
    i14 = get32(i13 | 0) | 0;
    if ((i14 | 0) > 0) {
     i17 = i2 + 12 | 0;
     i4 = get32(i17 | 0) | 0;
     i23 = i14;
     i14 = 0;
     while (1) {
      i22 = get32(i4 + (i14 * 24 | 0) + 12 | 0) | 0;
      if (i22) {
       i20 = i22;
       while (1) if (!(get8(i20 >> 0 | 0) | 0)) {
        i27 = i20;
        break;
       } else i20 = i20 + 1 | 0;
       i20 = i27 - i22 | 0;
       i28 = i20 & 1073741823;
       i29 = getU8(i22 >> 0 | 0) | 0;
       i30 = 16286 + i29 | 0;
       if ((i29 & 223 | 0) == 72) {
        i29 = getU8(i22 + 1 >> 0 | 0) | 0;
        i31 = 16286 + i29 | 0;
        if ((i29 & 223 | 0) == 73) {
         i29 = getU8(i22 + 2 >> 0 | 0) | 0;
         i32 = 16286 + i29 | 0;
         if ((i29 & 223 | 0) == 68) {
          i29 = getU8(i22 + 3 >> 0 | 0) | 0;
          i33 = 16286 + i29 | 0;
          if ((i29 & 223 | 0) == 68) {
           i29 = getU8(i22 + 4 >> 0 | 0) | 0;
           i34 = 16286 + i29 | 0;
           if ((i29 & 223 | 0) == 69) {
            i29 = getU8(i22 + 5 >> 0 | 0) | 0;
            if ((i29 & 223 | 0) == 78) i18 = 66; else {
             i35 = 110;
             i36 = 16286 + i29 | 0;
             i18 = 65;
            }
           } else {
            i35 = 101;
            i36 = i34;
            i18 = 65;
           }
          } else {
           i35 = 100;
           i36 = i33;
           i18 = 65;
          }
         } else {
          i35 = 100;
          i36 = i32;
          i18 = 65;
         }
        } else {
         i35 = 105;
         i36 = i31;
         i18 = 65;
        }
       } else {
        i35 = 104;
        i36 = i30;
        i18 = 65;
       }
       if ((i18 | 0) == 65) {
        i18 = 0;
        if (i35 << 24 >> 24 == (get8(i36 >> 0 | 0) | 0)) i18 = 66; else i18 = 67;
       }
       if ((i18 | 0) == 66) {
        i18 = 0;
        switch (get8(i22 + 6 >> 0 | 0) | 0) {
        case 32:
        case 0:
         {
          i37 = 0;
          break;
         }
        default:
         i18 = 67;
        }
       }
       L89 : do if ((i18 | 0) == 67) {
        i18 = 0;
        if (!i28) i37 = 0; else {
         i30 = 0;
         L91 : while (1) {
          i31 = get8(i22 + i30 >> 0 | 0) | 0;
          i32 = 16286 + (i31 & 255) | 0;
          if (i31 << 24 >> 24 == 32) {
           i31 = getU8(i22 + (i30 + 1) >> 0 | 0) | 0;
           i33 = 16286 + i31 | 0;
           if ((i31 & 223 | 0) == 72) {
            i31 = getU8(i22 + (i30 + 2) >> 0 | 0) | 0;
            i34 = 16286 + i31 | 0;
            if ((i31 & 223 | 0) == 73) {
             i31 = getU8(i22 + (i30 + 3) >> 0 | 0) | 0;
             i29 = 16286 + i31 | 0;
             if ((i31 & 223 | 0) == 68) {
              i31 = getU8(i22 + (i30 + 4) >> 0 | 0) | 0;
              i38 = 16286 + i31 | 0;
              if ((i31 & 223 | 0) == 68) {
               i31 = getU8(i22 + (i30 + 5) >> 0 | 0) | 0;
               i39 = 16286 + i31 | 0;
               if ((i31 & 223 | 0) == 69) {
                i31 = getU8(i22 + (i30 + 6) >> 0 | 0) | 0;
                if ((i31 & 223 | 0) == 78) i18 = 70; else {
                 i40 = 110;
                 i41 = 16286 + i31 | 0;
                 i18 = 69;
                }
               } else {
                i40 = 101;
                i41 = i39;
                i18 = 69;
               }
              } else {
               i40 = 100;
               i41 = i38;
               i18 = 69;
              }
             } else {
              i40 = 100;
              i41 = i29;
              i18 = 69;
             }
            } else {
             i40 = 105;
             i41 = i34;
             i18 = 69;
            }
           } else {
            i40 = 104;
            i41 = i33;
            i18 = 69;
           }
          } else {
           i40 = 32;
           i41 = i32;
           i18 = 69;
          }
          if ((i18 | 0) == 69 ? (i18 = 0, i40 << 24 >> 24 == (get8(i41 >> 0 | 0) | 0)) : 0) i18 = 70;
          if ((i18 | 0) == 70) {
           i18 = 0;
           switch (get8(i22 + (i30 + 7) >> 0 | 0) | 0) {
           case 32:
           case 0:
            {
             i42 = i30;
             break L91;
             break;
            }
           default:
            {}
           }
          }
          i32 = i30 + 1 | 0;
          if ((i32 | 0) < (i28 | 0)) i30 = i32; else {
           i37 = i32;
           break L89;
          }
         }
         i37 = i42 + 1 | 0;
        }
       } while (0);
       if ((i37 | 0) < (i28 | 0)) {
        i30 = (get8(i22 + (i37 + 6) >> 0 | 0) | 0) != 0 | 6;
        i32 = i37 + i30 | 0;
        if ((i32 | 0) <= (i28 | 0)) {
         i33 = (i20 & 1073741823) + 1 - i30 | 0;
         i34 = i32;
         i32 = i37;
         while (1) {
          set8(i22 + i32 >> 0 | 0, get8(i22 + i34 >> 0 | 0) | 0 | 0);
          i29 = i32 + 1 | 0;
          if ((i29 | 0) == (i33 | 0)) break; else {
           i34 = i29 + i30 | 0;
           i32 = i29;
          }
         }
        }
        if ((i37 | 0) > 0 & (get8(i22 + i37 >> 0 | 0) | 0) == 0) set8(i22 + (i37 + -1) >> 0 | 0, 0 | 0);
        i32 = get32(i17 | 0) | 0;
        set8(i32 + (i14 * 24 | 0) + 23 >> 0 | 0, 1 | 0);
        i43 = get32(i13 | 0) | 0;
        i44 = i32;
       } else {
        i43 = i23;
        i44 = i4;
       }
      } else {
       i43 = i23;
       i44 = i4;
      }
      i14 = i14 + 1 | 0;
      if ((i14 | 0) >= (i43 | 0)) {
       i26 = 0;
       break;
      } else {
       i4 = i44;
       i23 = i43;
      }
     }
    } else i26 = 0;
   } else i26 = 0;
   break;
  }
 default:
  i18 = 43;
 } while (0);
 if ((i18 | 0) == 43) {
  i18 = get32(i12 | 0) | 0;
  do if (i18) {
   set32(i8 | 0, i18 | 0);
   set32(i5 | 0, _sqlite3MPrintf(i1, 16817, i8) | 0 | 0);
   i43 = get32(i12 | 0) | 0;
   if (i43) {
    if (!(get32(50 * 4 | 0) | 0)) {
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i43);
     break;
    }
    i44 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i43) | 0;
    i37 = (get32(30 * 4 | 0) | 0) - i44 | 0;
    set32(30 * 4 | 0, i37 | 0);
    if ((i37 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i37 | 0);
    i37 = (get32(39 * 4 | 0) | 0) + -1 | 0;
    set32(39 * 4 | 0, i37 | 0);
    if ((i37 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i37 | 0);
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i43);
   }
  } else {
   set32(i9 | 0, i15 | 0);
   set32(i5 | 0, _sqlite3MPrintf(i1, 24284, i9) | 0 | 0);
  } while (0);
  _sqlite3DbFree(i1, i24);
  i26 = i25;
 }
 _sqlite3DbFree(i1, i15);
 i16 = i26;
 STACKTOP = i6;
 return i16 | 0;
}

function _sqlite3FindFunction(i1, i2, i3, i4, i5, i6) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 var i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0;
 i7 = ((getU8(16286 + (getU8(i2 >> 0 | 0) | 0) >> 0 | 0) | 0) + i3 | 0) % 23 | 0;
 i8 = get32(i1 + 320 + (i7 << 2) | 0) | 0;
 L1 : do if (!i8) {
  i9 = 0;
  i10 = 0;
 } else {
  L3 : do if ((i3 | 0) > 0) {
   i11 = i8;
   while (1) {
    i12 = get32(i11 + 24 | 0) | 0;
    i13 = i3;
    i14 = i12;
    i15 = i2;
    while (1) {
     i16 = get8(i14 >> 0 | 0) | 0;
     if (!(i16 << 24 >> 24)) {
      i17 = i15;
      i18 = 6;
      break;
     }
     i19 = get8(16286 + (i16 & 255) >> 0 | 0) | 0;
     i16 = get8(16286 + (getU8(i15 >> 0 | 0) | 0) >> 0 | 0) | 0;
     if (i19 << 24 >> 24 != i16 << 24 >> 24) {
      i20 = i19;
      i21 = i16;
      i18 = 7;
      break;
     }
     if ((i13 | 0) > 1) {
      i13 = i13 + -1 | 0;
      i14 = i14 + 1 | 0;
      i15 = i15 + 1 | 0;
     } else {
      i18 = 8;
      break;
     }
    }
    if ((i18 | 0) == 6) {
     i18 = 0;
     i20 = 0;
     i21 = get8(16286 + (getU8(i17 >> 0 | 0) | 0) >> 0 | 0) | 0;
     i18 = 7;
    }
    if ((i18 | 0) == 7 ? (i18 = 0, i20 << 24 >> 24 == i21 << 24 >> 24) : 0) i18 = 8;
    if ((i18 | 0) == 8 ? (i18 = 0, (get8(i12 + i3 >> 0 | 0) | 0) == 0) : 0) {
     i22 = i11;
     break;
    }
    i11 = get32(i11 + 28 | 0) | 0;
    if (!i11) {
     i9 = 0;
     i10 = 0;
     break L1;
    }
   }
   if (!i22) {
    i9 = 0;
    i10 = 0;
    break L1;
   } else i23 = i22;
  } else {
   i11 = i8;
   while (1) {
    if (!(get8((get32(i11 + 24 | 0) | 0) + i3 >> 0 | 0) | 0)) {
     i23 = i11;
     break L3;
    }
    i11 = get32(i11 + 28 | 0) | 0;
    if (!i11) {
     i9 = 0;
     i10 = 0;
     break L1;
    }
   }
  } while (0);
  i11 = (i4 | 0) == -1;
  i15 = i5 << 24 >> 24 == 2;
  i14 = i5 << 24 >> 24 == 3;
  i13 = 0;
  i16 = i23;
  i19 = 0;
  while (1) {
   i24 = get16(i16 | 0) | 0;
   i25 = (i24 << 16 >> 16 | 0) == (i4 | 0);
   if (!(i24 << 16 >> 16 == -1 | i25)) if (i11) if ((get32(i16 + 12 | 0) | 0) == 0 ? (get32(i16 + 16 | 0) | 0) == 0 : 0) i26 = 0; else i18 = 19; else i26 = 0; else i18 = 19;
   do if ((i18 | 0) == 19) {
    i18 = 0;
    i24 = i11 | i25 ? 4 : 1;
    i27 = get8(i16 + 2 >> 0 | 0) | 0;
    if (i27 << 24 >> 24 == i5 << 24 >> 24) {
     i26 = i24 | 2;
     break;
    } else {
     i26 = i24 + ((i15 & i27 << 24 >> 24 == 3 | i14 & i27 << 24 >> 24 == 2) & 1) | 0;
     break;
    }
   } while (0);
   i25 = (i26 | 0) > (i13 | 0);
   i27 = i25 ? i26 : i13;
   i24 = i25 ? i16 : i19;
   i16 = get32(i16 + 8 | 0) | 0;
   if (!i16) {
    i9 = i27;
    i10 = i24;
    break;
   } else {
    i13 = i27;
    i19 = i24;
   }
  }
 } while (0);
 i26 = (i6 | 0) != 0;
 L35 : do if (!i26) {
  if ((i10 | 0) != 0 ? (get32(i1 + 12 | 0) & 268435456 | 0) == 0 : 0) {
   i28 = i10;
   i18 = 109;
   break;
  }
  i6 = get32(812 + (i7 << 2) | 0) | 0;
  L128 : do if (!i6) i29 = i10; else {
   L130 : do if ((i3 | 0) > 0) {
    i23 = i6;
    while (1) {
     i8 = get32(i23 + 24 | 0) | 0;
     i22 = i3;
     i21 = i8;
     i20 = i2;
     while (1) {
      i17 = get8(i21 >> 0 | 0) | 0;
      if (!(i17 << 24 >> 24)) {
       i30 = i20;
       i18 = 31;
       break;
      }
      i19 = get8(16286 + (i17 & 255) >> 0 | 0) | 0;
      i17 = get8(16286 + (getU8(i20 >> 0 | 0) | 0) >> 0 | 0) | 0;
      if (i19 << 24 >> 24 != i17 << 24 >> 24) {
       i31 = i19;
       i32 = i17;
       i18 = 32;
       break;
      }
      if ((i22 | 0) > 1) {
       i22 = i22 + -1 | 0;
       i21 = i21 + 1 | 0;
       i20 = i20 + 1 | 0;
      } else {
       i18 = 33;
       break;
      }
     }
     if ((i18 | 0) == 31) {
      i18 = 0;
      i31 = 0;
      i32 = get8(16286 + (getU8(i30 >> 0 | 0) | 0) >> 0 | 0) | 0;
      i18 = 32;
     }
     if ((i18 | 0) == 32 ? (i18 = 0, i31 << 24 >> 24 == i32 << 24 >> 24) : 0) i18 = 33;
     if ((i18 | 0) == 33 ? (i18 = 0, (get8(i8 + i3 >> 0 | 0) | 0) == 0) : 0) {
      i33 = i23;
      break;
     }
     i23 = get32(i23 + 28 | 0) | 0;
     if (!i23) {
      i29 = i10;
      break L128;
     }
    }
    if (!i33) {
     i29 = i10;
     break L128;
    } else i34 = i33;
   } else {
    i23 = i6;
    while (1) {
     if (!(get8((get32(i23 + 24 | 0) | 0) + i3 >> 0 | 0) | 0)) {
      i34 = i23;
      break L130;
     }
     i23 = get32(i23 + 28 | 0) | 0;
     if (!i23) {
      i29 = i10;
      break L128;
     }
    }
   } while (0);
   i23 = (i4 | 0) == -1;
   i12 = i5 << 24 >> 24 == 2;
   i20 = i5 << 24 >> 24 == 3;
   i21 = 0;
   i22 = i34;
   i17 = i10;
   while (1) {
    i19 = get16(i22 | 0) | 0;
    i13 = (i19 << 16 >> 16 | 0) == (i4 | 0);
    if (!(i19 << 16 >> 16 == -1 | i13)) if (i23) if ((get32(i22 + 12 | 0) | 0) == 0 ? (get32(i22 + 16 | 0) | 0) == 0 : 0) i35 = 0; else i18 = 44; else i35 = 0; else i18 = 44;
    do if ((i18 | 0) == 44) {
     i18 = 0;
     i19 = i23 | i13 ? 4 : 1;
     i16 = get8(i22 + 2 >> 0 | 0) | 0;
     if (i16 << 24 >> 24 == i5 << 24 >> 24) {
      i35 = i19 | 2;
      break;
     } else {
      i35 = i19 + ((i12 & i16 << 24 >> 24 == 3 | i20 & i16 << 24 >> 24 == 2) & 1) | 0;
      break;
     }
    } while (0);
    i13 = (i35 | 0) > (i21 | 0);
    i16 = i13 ? i22 : i17;
    i22 = get32(i22 + 8 | 0) | 0;
    if (!i22) {
     i29 = i16;
     break;
    } else {
     i21 = i13 ? i35 : i21;
     i17 = i16;
    }
   }
  } while (0);
  if (i29) {
   i28 = i29;
   i18 = 109;
  }
 } else {
  if ((i9 | 0) >= 6 ? (get16(i10 | 0) | 0) == (i4 | 0) : 0) {
   i28 = i10;
   i18 = 109;
   break;
  }
  i6 = i3 + 37 | 0;
  L40 : do if (!i1) {
   if ((i3 + 36 | 0) >>> 0 > 2147483390) break L35;
   if (!(get32(50 * 4 | 0) | 0)) {
    i36 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i6) | 0;
    i18 = 89;
    break;
   }
   i17 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i6) | 0;
   set32(35 * 4 | 0, i6 | 0);
   if ((get32(45 * 4 | 0) | 0) < (i6 | 0)) set32(45 * 4 | 0, i6 | 0);
   i21 = get32(6 * 4 | 0) | 0;
   do if (i21) {
    i22 = get32(30 * 4 | 0) | 0;
    i20 = ((i22 | 0) < 0) << 31 >> 31;
    i12 = 16;
    i23 = _i64Subtract(get32(i12 | 0) | 0, get32(i12 + 4 | 0) | 0, i17 | 0, ((i17 | 0) < 0) << 31 >> 31 | 0) | 0;
    i12 = tempRet0;
    if ((i20 | 0) < (i12 | 0) | (i20 | 0) == (i12 | 0) & i22 >>> 0 < i23 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i23 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i21 & 15](i23, i22, i20, i17);
     set32(6 * 4 | 0, i21 | 0);
     set32(7 * 4 | 0, i23 | 0);
     break;
    }
   } while (0);
   i21 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i17) | 0;
   if (!i21) break L35;
   i23 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i21) | 0;
   i20 = (get32(30 * 4 | 0) | 0) + i23 | 0;
   set32(30 * 4 | 0, i20 | 0);
   if ((i20 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i20 | 0);
   i20 = get32(39 * 4 | 0) | 0;
   i23 = i20 + 1 | 0;
   set32(39 * 4 | 0, i23 | 0);
   if ((i20 | 0) < (get32(49 * 4 | 0) | 0)) i37 = i21; else {
    set32(49 * 4 | 0, i23 | 0);
    i37 = i21;
   }
  } else {
   i21 = i1 + 30 | 0;
   if (get8(i21 >> 0 | 0) | 0) break L35;
   do if (get8(i1 + 234 >> 0 | 0) | 0) {
    if ((getU16(i1 + 232 | 0) | 0) < (i6 | 0)) {
     i23 = i1 + 248 | 0;
     set32(i23 | 0, (get32(i23 | 0) | 0) + 1 | 0);
     break;
    }
    i23 = i1 + 256 | 0;
    i20 = get32(i23 | 0) | 0;
    if (!i20) {
     i22 = i1 + 252 | 0;
     set32(i22 | 0, (get32(i22 | 0) | 0) + 1 | 0);
     break;
    }
    set32(i23 | 0, get32(i20 | 0) | 0);
    i23 = i1 + 236 | 0;
    i22 = get32(i23 | 0) | 0;
    i12 = i22 + 1 | 0;
    set32(i23 | 0, i12 | 0);
    i23 = i1 + 244 | 0;
    set32(i23 | 0, (get32(i23 | 0) | 0) + 1 | 0);
    i23 = i1 + 240 | 0;
    if ((i22 | 0) >= (get32(i23 | 0) | 0)) set32(i23 | 0, i12 | 0);
    i36 = i20;
    i18 = 89;
    break L40;
   } while (0);
   do if ((i3 + 36 | 0) >>> 0 <= 2147483390) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i17 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i6) | 0;
     if (!i17) break; else {
      i37 = i17;
      break L40;
     }
    }
    i17 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i6) | 0;
    set32(35 * 4 | 0, i6 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i6 | 0)) set32(45 * 4 | 0, i6 | 0);
    i20 = get32(6 * 4 | 0) | 0;
    do if (i20) {
     i12 = get32(30 * 4 | 0) | 0;
     i23 = ((i12 | 0) < 0) << 31 >> 31;
     i22 = 16;
     i16 = _i64Subtract(get32(i22 | 0) | 0, get32(i22 + 4 | 0) | 0, i17 | 0, ((i17 | 0) < 0) << 31 >> 31 | 0) | 0;
     i22 = tempRet0;
     if ((i23 | 0) < (i22 | 0) | (i23 | 0) == (i22 | 0) & i12 >>> 0 < i16 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i16 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i20 & 15](i16, i12, i23, i17);
      set32(6 * 4 | 0, i20 | 0);
      set32(7 * 4 | 0, i16 | 0);
      break;
     }
    } while (0);
    i20 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i17) | 0;
    if (i20) {
     i16 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i20) | 0;
     i23 = (get32(30 * 4 | 0) | 0) + i16 | 0;
     set32(30 * 4 | 0, i23 | 0);
     if ((i23 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i23 | 0);
     i23 = get32(39 * 4 | 0) | 0;
     i16 = i23 + 1 | 0;
     set32(39 * 4 | 0, i16 | 0);
     if ((i23 | 0) < (get32(49 * 4 | 0) | 0)) {
      i37 = i20;
      break L40;
     }
     set32(49 * 4 | 0, i16 | 0);
     i37 = i20;
     break L40;
    }
   } while (0);
   set8(i21 >> 0 | 0, 1 | 0);
   break L35;
  } while (0);
  if ((i18 | 0) == 89) if (!i36) break; else i37 = i36;
  _memset(i37 | 0, 0, i6 | 0) | 0;
  i20 = i37 + 36 | 0;
  i16 = i37 + 24 | 0;
  set32(i16 | 0, i20 | 0);
  set16(i37 | 0, i4 | 0);
  set8(i37 + 2 >> 0 | 0, i5 | 0);
  _memcpy(i20 | 0, i2 | 0, i3 | 0) | 0;
  set8(i37 + (i3 + 36) >> 0 | 0, 0 | 0);
  i20 = get32(i16 | 0) | 0;
  if (!i20) i38 = 0; else {
   i16 = i20;
   while (1) if (!(get8(i16 >> 0 | 0) | 0)) {
    i39 = i16;
    break;
   } else i16 = i16 + 1 | 0;
   i38 = i39 - i20 & 1073741823;
  }
  i16 = i1 + 320 + (((((getU8(16286 + (getU8(i20 >> 0 | 0) | 0) >> 0 | 0) | 0) + i38 | 0) >>> 0) % 23 | 0) << 2) | 0;
  i6 = get32(i16 | 0) | 0;
  L102 : do if (i6) {
   L104 : do if (i38) {
    i23 = i6;
    while (1) {
     i12 = get32(i23 + 24 | 0) | 0;
     i22 = i38;
     i13 = i12;
     i19 = i20;
     while (1) {
      i14 = get8(i13 >> 0 | 0) | 0;
      if (!(i14 << 24 >> 24)) {
       i40 = i19;
       i18 = 98;
       break;
      }
      i15 = get8(16286 + (i14 & 255) >> 0 | 0) | 0;
      i14 = get8(16286 + (getU8(i19 >> 0 | 0) | 0) >> 0 | 0) | 0;
      if (i15 << 24 >> 24 != i14 << 24 >> 24) {
       i41 = i15;
       i42 = i14;
       i18 = 99;
       break;
      }
      if ((i22 | 0) > 1) {
       i22 = i22 + -1 | 0;
       i13 = i13 + 1 | 0;
       i19 = i19 + 1 | 0;
      } else {
       i18 = 100;
       break;
      }
     }
     if ((i18 | 0) == 98) {
      i18 = 0;
      i41 = 0;
      i42 = get8(16286 + (getU8(i40 >> 0 | 0) | 0) >> 0 | 0) | 0;
      i18 = 99;
     }
     if ((i18 | 0) == 99 ? (i18 = 0, i41 << 24 >> 24 == i42 << 24 >> 24) : 0) i18 = 100;
     if ((i18 | 0) == 100 ? (i18 = 0, (get8(i12 + i38 >> 0 | 0) | 0) == 0) : 0) {
      i43 = i23;
      break;
     }
     i23 = get32(i23 + 28 | 0) | 0;
     if (!i23) break L102;
    }
    if (!i43) break L102; else i44 = i43;
   } else {
    i23 = i6;
    while (1) {
     if (!(get8(get32(i23 + 24 | 0) >> 0 | 0) | 0)) {
      i44 = i23;
      break L104;
     }
     i23 = get32(i23 + 28 | 0) | 0;
     if (!i23) break L102;
    }
   } while (0);
   i21 = i44 + 8 | 0;
   set32(i37 + 8 | 0, get32(i21 | 0) | 0);
   set32(i21 | 0, i37 | 0);
   i28 = i37;
   i18 = 109;
   break L35;
  } while (0);
  set32(i37 + 8 | 0, 0 | 0);
  set32(i37 + 28 | 0, get32(i16 | 0) | 0);
  set32(i16 | 0, i37 | 0);
  i28 = i37;
  i18 = 109;
 } while (0);
 if ((i18 | 0) == 109) {
  if (get32(i28 + 16 | 0) | 0) {
   i45 = i28;
   return i45 | 0;
  }
  if (i26 | (get32(i28 + 12 | 0) | 0) != 0) {
   i45 = i28;
   return i45 | 0;
  }
 }
 i45 = 0;
 return i45 | 0;
}

function _resolveSelectStep(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 128 | 0;
 i4 = i3 + 40 | 0;
 i5 = i3 + 24 | 0;
 i6 = i3 + 16 | 0;
 i7 = i3 + 8 | 0;
 i8 = i3;
 i9 = i3 + 84 | 0;
 i10 = i3 + 80 | 0;
 i11 = i3 + 44 | 0;
 i12 = get16(i2 + 6 | 0) | 0;
 i13 = i12 & 65535;
 if (i13 & 2) {
  i14 = 1;
  STACKTOP = i3;
  return i14 | 0;
 }
 i15 = get32(i1 + 12 | 0) | 0;
 i16 = get32(i1 + 8 | 0) | 0;
 i1 = get32(i16 | 0) | 0;
 if (!(i13 & 16)) {
  if (!(i12 & 32)) {
   set32(i9 + 4 | 0, 69 | 0);
   set32(i9 | 0, 70 | 0);
   set32(i9 + 8 | 0, i16 | 0);
   _sqlite3WalkSelect(i9, i2) | 0;
   i13 = i16 + 64 | 0;
   if ((((get32(i13 | 0) | 0) == 0 ? (i17 = i1 + 30 | 0, (get8(i17 >> 0 | 0) | 0) == 0) : 0) ? (set32(i9 | 0, 71 | 0), set32(i9 + 4 | 0, 72 | 0), set32(i9 + 8 | 0, i16 | 0), set32(i9 + 12 | 0, i15 | 0), _sqlite3WalkSelect(i9, i2) | 0, (get32(i13 | 0) | 0) == 0) : 0) ? (get8(i17 >> 0 | 0) | 0) == 0 : 0) {
    set32(i9 + 4 | 0, 73 | 0);
    set32(i9 | 0, 70 | 0);
    set32(i9 + 8 | 0, i16 | 0);
    _sqlite3WalkSelect(i9, i2) | 0;
    i18 = i13;
   } else i18 = i13;
  } else i18 = i16 + 64 | 0;
  if (get32(i18 | 0) | 0) {
   i14 = 2;
   STACKTOP = i3;
   return i14 | 0;
  }
  i14 = (get8(i1 + 30 >> 0 | 0) | 0) != 0 ? 2 : 1;
  STACKTOP = i3;
  return i14 | 0;
 }
 i18 = i2 + 28 | 0;
 i13 = (get32(i18 | 0) | 0) != 0;
 i17 = i11 + 20 | 0;
 i19 = i11 + 4 | 0;
 i20 = i11 + 32 | 0;
 i21 = i11 + 8 | 0;
 i22 = i1 + 30 | 0;
 i1 = i11 + 21 | 0;
 i23 = i16 + 516 | 0;
 i24 = i9 + 4 | 0;
 i25 = i9 + 8 | 0;
 i26 = i9 + 12 | 0;
 i27 = i16 + 64 | 0;
 i28 = i2 + 6 | 0;
 set16(i28 | 0, i12 & 65535 | 2 | 0);
 i12 = i11;
 i29 = i12 + 36 | 0;
 do {
  set32(i12 | 0, 0 | 0);
  i12 = i12 + 4 | 0;
 } while ((i12 | 0) < (i29 | 0));
 set32(i11 | 0, i16 | 0);
 if (!(_sqlite3ResolveExprNames(i11, get32(i2 + 40 | 0) | 0) | 0)) {
  i30 = i2;
  i31 = i28;
 } else {
  i14 = 2;
  STACKTOP = i3;
  return i14 | 0;
 }
 L21 : while (1) {
  if (_sqlite3ResolveExprNames(i11, get32(i30 + 44 | 0) | 0) | 0) {
   i14 = 2;
   i32 = 92;
   break;
  }
  set8(i17 >> 0 | 0, 1 | 0);
  i28 = i30 + 8 | 0;
  i33 = get32(i28 | 0) | 0;
  set32(i19 | 0, i33 | 0);
  set32(i20 | 0, i15 | 0);
  i34 = get32(i30 | 0) | 0;
  i35 = i33;
  if ((get32(i34 | 0) | 0) > 0) {
   i33 = i34 + 12 | 0;
   i36 = 0;
   do {
    if (_sqlite3ResolveExprNames(i11, get32((get32(i33 | 0) | 0) + (i36 * 20 | 0) | 0) | 0) | 0) {
     i14 = 2;
     i32 = 92;
     break L21;
    }
    i36 = i36 + 1 | 0;
   } while ((i36 | 0) < (get32(i34 | 0) | 0));
   i37 = get32(i28 | 0) | 0;
  } else i37 = i35;
  if ((get16(i37 | 0) | 0) > 0) {
   i34 = i37;
   i36 = 0;
   while (1) {
    i33 = get32(i34 + 8 + (i36 * 56 | 0) + 16 | 0) | 0;
    if (!i33) i38 = i34; else {
     i39 = get32(i23 | 0) | 0;
     i40 = get32(i34 + 8 + (i36 * 56 | 0) + 4 | 0) | 0;
     if (i40) set32(i23 | 0, i40 | 0);
     set32(i9 | 0, 71 | 0);
     set32(i24 | 0, 72 | 0);
     set32(i25 | 0, i16 | 0);
     set32(i26 | 0, i15 | 0);
     _sqlite3WalkSelect(i9, i33) | 0;
     set32(i23 | 0, i39 | 0);
     if (get32(i27 | 0) | 0) {
      i14 = 2;
      i32 = 92;
      break L21;
     }
     if (get8(i22 >> 0 | 0) | 0) {
      i14 = 2;
      i32 = 92;
      break L21;
     }
     i38 = get32(i28 | 0) | 0;
    }
    i36 = i36 + 1 | 0;
    if ((i36 | 0) >= (get16(i38 | 0) | 0)) break; else i34 = i38;
   }
  }
  i34 = get32(i30 + 16 | 0) | 0;
  i36 = (i34 | 0) != 0;
  if ((get8(i1 >> 0 | 0) | 0) == 0 & (i36 ^ 1)) set8(i17 >> 0 | 0, 0 | 0); else set16(i31 | 0, getU16(i31 | 0) | 4 | 0);
  i28 = i30 + 20 | 0;
  if (!(i36 | (get32(i28 | 0) | 0) == 0)) {
   i32 = 31;
   break;
  }
  set32(i21 | 0, get32(i30 | 0) | 0);
  if (_sqlite3ResolveExprNames(i11, get32(i30 + 12 | 0) | 0) | 0) {
   i14 = 2;
   i32 = 92;
   break;
  }
  if (_sqlite3ResolveExprNames(i11, get32(i28 | 0) | 0) | 0) {
   i14 = 2;
   i32 = 92;
   break;
  }
  set32(i20 | 0, 0 | 0);
  set8(i17 >> 0 | 0, 1 | 0);
  if (!i13 ? (_resolveOrderGroupBy(i11, i30, get32(i30 + 24 | 0) | 0, 30072) | 0) != 0 : 0) {
   i14 = 2;
   i32 = 92;
   break;
  }
  if (get8(i22 >> 0 | 0) | 0) {
   i14 = 2;
   i32 = 92;
   break;
  }
  if (i36) {
   if (_resolveOrderGroupBy(i11, i30, i34, 30078) | 0) {
    i14 = 2;
    i32 = 92;
    break;
   }
   if (get8(i22 >> 0 | 0) | 0) {
    i14 = 2;
    i32 = 92;
    break;
   }
   i36 = get32(i34 | 0) | 0;
   if ((i36 | 0) > 0) {
    i28 = 0;
    i35 = get32(i34 + 12 | 0) | 0;
    while (1) {
     if (get16((get32(i35 | 0) | 0) + 2 | 0) & 2) {
      i32 = 43;
      break L21;
     }
     i28 = i28 + 1 | 0;
     if ((i28 | 0) >= (i36 | 0)) break; else i35 = i35 + 20 | 0;
    }
   }
  }
  i30 = get32(i30 + 28 | 0) | 0;
  if (!i30) {
   i32 = 47;
   break;
  }
  i31 = i30 + 6 | 0;
  set16(i31 | 0, getU16(i30 + 6 | 0) | 2 | 0);
  i12 = i11;
  i29 = i12 + 36 | 0;
  do {
   set32(i12 | 0, 0 | 0);
   i12 = i12 + 4 | 0;
  } while ((i12 | 0) < (i29 | 0));
  set32(i11 | 0, i16 | 0);
  if (_sqlite3ResolveExprNames(i11, get32(i30 + 40 | 0) | 0) | 0) {
   i14 = 2;
   i32 = 92;
   break;
  }
 }
 if ((i32 | 0) == 31) {
  _sqlite3ErrorMsg(i16, 30028, i8);
  i14 = 2;
  STACKTOP = i3;
  return i14 | 0;
 } else if ((i32 | 0) == 43) {
  _sqlite3ErrorMsg(i16, 30084, i7);
  i14 = 2;
  STACKTOP = i3;
  return i14 | 0;
 } else if ((i32 | 0) == 47) {
  if (!i13) {
   i14 = 1;
   STACKTOP = i3;
   return i14 | 0;
  }
  i13 = get32(i2 + 24 | 0) | 0;
  L71 : do if (i13) {
   i7 = get32(i16 | 0) | 0;
   i8 = get32(i13 | 0) | 0;
   L73 : do if ((i8 | 0) > (get32(i7 + 80 | 0) | 0)) _sqlite3ErrorMsg(i16, 30593, i6); else {
    if ((i8 | 0) > 0) {
     i30 = get32(i13 + 12 | 0) | 0;
     i11 = 0;
     do {
      set8(i30 + (i11 * 20 | 0) + 13 >> 0 | 0, 0 | 0);
      i11 = i11 + 1 | 0;
     } while ((i11 | 0) != (i8 | 0));
    }
    set32(i2 + 32 | 0, 0 | 0);
    i11 = get32(i18 | 0) | 0;
    if (!i11) i41 = i2; else {
     i30 = i2;
     i31 = i11;
     while (1) {
      set32(i31 + 32 | 0, i30 | 0);
      i11 = get32(i31 + 28 | 0) | 0;
      if (!i11) {
       i41 = i31;
       break;
      } else {
       i22 = i31;
       i31 = i11;
       i30 = i22;
      }
     }
    }
    i30 = i13 + 12 | 0;
    i31 = i7 + 30 | 0;
    i22 = i9 + 4 | 0;
    i11 = i9 + 8 | 0;
    i17 = i9 + 20 | 0;
    i20 = i9 + 16 | 0;
    i21 = i9 + 4 | 0;
    i1 = i41;
    i38 = i8;
    L85 : while (1) {
     i27 = get32(i1 | 0) | 0;
     if ((i38 | 0) <= 0) {
      i42 = i38;
      break;
     }
     i23 = i27 + 12 | 0;
     i15 = i1 + 8 | 0;
     i26 = 0;
     i25 = 0;
     i24 = get32(i30 | 0) | 0;
     while (1) {
      set32(i10 | 0, -1 | 0);
      i37 = i24 + 13 | 0;
      do if (!(get8(i37 >> 0 | 0) | 0)) {
       i19 = get32(i24 | 0) | 0;
       if (!(_sqlite3ExprIsInteger(i19, i10) | 0)) {
        L94 : do if ((get8(i19 >> 0 | 0) | 0) == 26) {
         i35 = get32(i19 + 4 | 0) | 0;
         i36 = get32(i27 | 0) | 0;
         if ((i36 | 0) <= 0) {
          i32 = 72;
          break;
         }
         i28 = get32(i23 | 0) | 0;
         i34 = 0;
         while (1) {
          i39 = get32(i28 + (i34 * 20 | 0) + 4 | 0) | 0;
          if (i39) {
           i33 = get8(i39 >> 0 | 0) | 0;
           L101 : do if (!(i33 << 24 >> 24)) {
            i43 = 0;
            i44 = i35;
           } else {
            i40 = i33;
            i45 = i39;
            i46 = i35;
            while (1) {
             if ((get8(16286 + (i40 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i46 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
              i43 = i40;
              i44 = i46;
              break L101;
             }
             i45 = i45 + 1 | 0;
             i47 = i46 + 1 | 0;
             i40 = get8(i45 >> 0 | 0) | 0;
             if (!(i40 << 24 >> 24)) {
              i43 = 0;
              i44 = i47;
              break;
             } else i46 = i47;
            }
           } while (0);
           if ((get8(16286 + (i43 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i44 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
            i48 = i34;
            break;
           }
          }
          i34 = i34 + 1 | 0;
          if ((i34 | 0) >= (i36 | 0)) {
           i32 = 72;
           break L94;
          }
         }
         i36 = i48 + 1 | 0;
         set32(i10 | 0, i36 | 0);
         if (!i36) i32 = 74; else i49 = i36;
        } else i32 = 72; while (0);
        if ((i32 | 0) == 72) {
         i32 = 0;
         set32(i10 | 0, 0 | 0);
         i32 = 74;
        }
        if ((i32 | 0) == 74) {
         i32 = 0;
         i36 = _exprDup(i7, i19, 0, 0) | 0;
         if (!(get8(i31 >> 0 | 0) | 0)) {
          i34 = get32(i1 | 0) | 0;
          i12 = i9;
          i29 = i12 + 36 | 0;
          do {
           set32(i12 | 0, 0 | 0);
           i12 = i12 + 4 | 0;
          } while ((i12 | 0) < (i29 | 0));
          set32(i9 | 0, i16 | 0);
          set32(i22 | 0, get32(i15 | 0) | 0);
          set32(i11 | 0, i34 | 0);
          set8(i17 >> 0 | 0, 1 | 0);
          set32(i20 | 0, 0 | 0);
          i35 = (get32(i16 | 0) | 0) + 33 | 0;
          i28 = get8(i35 >> 0 | 0) | 0;
          set8(i35 >> 0 | 0, 1 | 0);
          i39 = _sqlite3ResolveExprNames(i9, i36) | 0;
          set8(i35 >> 0 | 0, i28 | 0);
          L114 : do if (!i39) {
           i28 = i34 + 12 | 0;
           i35 = get32(i34 | 0) | 0;
           i33 = 0;
           while (1) {
            if ((i33 | 0) >= (i35 | 0)) {
             i50 = 0;
             break L114;
            }
            i46 = i33 + 1 | 0;
            if ((_sqlite3ExprCompare(get32((get32(i28 | 0) | 0) + (i33 * 20 | 0) | 0) | 0, i36) | 0) < 2) {
             i50 = i46;
             break;
            } else i33 = i46;
           }
          } else i50 = 0; while (0);
          set32(i10 | 0, i50 | 0);
          i51 = i50;
         } else i51 = 0;
         _sqlite3ExprDelete(i7, i36);
         i49 = i51;
        }
        if ((i49 | 0) > 0) i52 = i49; else {
         i53 = 1;
         break;
        }
       } else {
        i34 = get32(i10 | 0) | 0;
        i39 = get32(i27 | 0) | 0;
        if ((i34 | 0) < 1 | (i34 | 0) > (i39 | 0)) {
         i54 = i39;
         i55 = i26;
         i32 = 62;
         break L85;
        } else i52 = i34;
       }
       i34 = get32(i19 + 20 | 0) | 0;
       i39 = get16(i19 + 2 | 0) | 0;
       _sqlite3ExprDelete(i7, i19);
       set32(i9 | 0, 0 | 0);
       set32(i21 | 0, 0 | 0);
       i33 = _sqlite3ExprAlloc(i7, 129, i9, 0) | 0;
       set32(i24 | 0, i33 | 0);
       if (!i33) break L73;
       set32(i33 + 20 | 0, i34 | 0);
       i34 = i33 + 2 | 0;
       set16(i34 | 0, i39 & 256 | getU16(i34 | 0) | 1024 | 0);
       set32(i33 + 4 | 0, i52 | 0);
       set16(i24 + 14 | 0, i52 | 0);
       set8(i37 >> 0 | 0, 1 | 0);
       i53 = i25;
      } else i53 = i25; while (0);
      i26 = i26 + 1 | 0;
      i37 = get32(i13 | 0) | 0;
      if ((i26 | 0) >= (i37 | 0)) {
       i56 = i37;
       i57 = i53;
       break;
      } else {
       i25 = i53;
       i24 = i24 + 20 | 0;
      }
     }
     i1 = get32(i1 + 32 | 0) | 0;
     if (!((i57 | 0) != 0 & (i1 | 0) != 0)) {
      i42 = i56;
      break;
     } else i38 = i56;
    }
    if ((i32 | 0) == 62) {
     set32(i5 | 0, i55 + 1 | 0);
     set32(i5 + 4 | 0, 30072 | 0);
     set32(i5 + 8 | 0, i54 | 0);
     _sqlite3ErrorMsg(i16, 30506, i5);
     break;
    }
    i38 = 0;
    while (1) {
     if ((i38 | 0) >= (i42 | 0)) break L71;
     i1 = i38 + 1 | 0;
     if (!(get8((get32(i30 | 0) | 0) + (i38 * 20 | 0) + 13 >> 0 | 0) | 0)) {
      i58 = i1;
      break;
     } else i38 = i1;
    }
    set32(i4 | 0, i58 | 0);
    _sqlite3ErrorMsg(i16, 30627, i4);
   } while (0);
   i14 = 2;
   STACKTOP = i3;
   return i14 | 0;
  } while (0);
  i14 = 1;
  STACKTOP = i3;
  return i14 | 0;
 } else if ((i32 | 0) == 92) {
  STACKTOP = i3;
  return i14 | 0;
 }
 return 0;
}

function _sqlite3FkCheck(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 80 | 0;
 i6 = i5 + 48 | 0;
 i7 = i5 + 40 | 0;
 i8 = i5 + 24 | 0;
 i9 = i5 + 16 | 0;
 i10 = i5;
 i11 = i5 + 68 | 0;
 i12 = i5 + 64 | 0;
 i13 = i5 + 60 | 0;
 i14 = i5 + 56 | 0;
 i15 = i5 + 52 | 0;
 i16 = get32(i1 | 0) | 0;
 i17 = i1 + 442 | 0;
 i18 = get8(i17 >> 0 | 0) | 0;
 if (!(get32(i16 + 12 | 0) & 67108864)) {
  STACKTOP = i5;
  return;
 }
 i19 = i2 + 68 | 0;
 i20 = get32(i19 | 0) | 0;
 L4 : do if (i20) {
  i21 = get32(i16 + 4 | 0) | 0;
  if ((i21 | 0) > 0) {
   i22 = get32(i16 + 8 | 0) | 0;
   i23 = 0;
   while (1) {
    if ((get32(i22 + (i23 << 4) + 12 | 0) | 0) == (i20 | 0)) {
     i24 = i23;
     break L4;
    }
    i25 = i23 + 1 | 0;
    if ((i25 | 0) < (i21 | 0)) i23 = i25; else {
     i24 = i25;
     break;
    }
   }
  } else i24 = 0;
 } else i24 = -1e6; while (0);
 i20 = i16 + 8 | 0;
 i23 = get32((get32(i20 | 0) | 0) + (i24 << 4) | 0) | 0;
 i21 = get32(i2 + 36 | 0) | 0;
 L11 : do if (i21) {
  i22 = i1 + 8 | 0;
  i25 = i1 + 4 | 0;
  i26 = i1 + 64 | 0;
  i27 = (i23 | 0) == 0;
  i28 = i1 + 18 | 0;
  i29 = i18 << 24 >> 24 == 0;
  i30 = i16 + 30 | 0;
  i31 = i1 + 424 | 0;
  i32 = i1 + 68 | 0;
  i33 = (i3 | 0) == 0;
  i34 = (i4 | 0) == 0;
  i35 = i2 + 4 | 0;
  i36 = i16 + 268 | 0;
  i37 = i1 + 516 | 0;
  i38 = (i24 | 0) != 0;
  i39 = i16 + 4 | 0;
  i40 = i18;
  i41 = i21;
  while (1) {
   set32(i11 | 0, 0 | 0);
   set32(i12 | 0, 0 | 0);
   i42 = get32(i41 + 8 | 0) | 0;
   L15 : do if (i40 << 24 >> 24) {
    if (!i42) i43 = 0; else {
     i44 = i42;
     while (1) if (!(get8(i44 >> 0 | 0) | 0)) {
      i45 = i44;
      break;
     } else i44 = i44 + 1 | 0;
     i43 = i45 - i42 & 1073741823;
    }
    i44 = get32(i39 | 0) | 0;
    if ((i44 | 0) > 0) {
     i46 = get32(i20 | 0) | 0;
     i47 = 0;
     i48 = 0;
     while (1) {
      i49 = (i47 | 0) < 2 ^ i47;
      if (!i27) {
       i50 = get32(i46 + (i49 << 4) | 0) | 0;
       i51 = get8(i23 >> 0 | 0) | 0;
       L59 : do if (!(i51 << 24 >> 24)) {
        i52 = 0;
        i53 = i50;
       } else {
        i54 = i51;
        i55 = i23;
        i56 = i50;
        while (1) {
         if ((get8(16286 + (i54 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i56 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
          i52 = i54;
          i53 = i56;
          break L59;
         }
         i55 = i55 + 1 | 0;
         i57 = i56 + 1 | 0;
         i54 = get8(i55 >> 0 | 0) | 0;
         if (!(i54 << 24 >> 24)) {
          i52 = 0;
          i53 = i57;
          break;
         } else i56 = i57;
        }
       } while (0);
       if ((get8(16286 + (i52 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i53 >> 0 | 0) | 0) >> 0 | 0) | 0)) i58 = i48; else i59 = 20;
      } else i59 = 20;
      if ((i59 | 0) == 20) {
       i59 = 0;
       i50 = _sqlite3HashFind((get32(i46 + (i49 << 4) + 12 | 0) | 0) + 8 | 0, i42, i43) | 0;
       if (!i50) i58 = i50; else {
        i60 = i50;
        break;
       }
      }
      i47 = i47 + 1 | 0;
      if ((i47 | 0) >= (i44 | 0)) {
       i60 = i58;
       break;
      } else i48 = i58;
     }
     if (i60) {
      i61 = i60;
      i59 = 44;
     } else i59 = 45;
    } else i59 = 45;
   } else {
    i48 = get32(i1 | 0) | 0;
    do if (!(get8(i48 + 124 >> 0 | 0) | 0)) {
     i44 = _sqlite3Init(i48, i22) | 0;
     if (!i44) {
      i62 = get32(i1 | 0) | 0;
      break;
     } else {
      set32(i25 | 0, i44 | 0);
      set32(i26 | 0, (get32(i26 | 0) | 0) + 1 | 0);
      i59 = 45;
      break L15;
     }
    } else i62 = i48; while (0);
    if (!i42) i63 = 0; else {
     i48 = i42;
     while (1) if (!(get8(i48 >> 0 | 0) | 0)) {
      i64 = i48;
      break;
     } else i48 = i48 + 1 | 0;
     i63 = i64 - i42 & 1073741823;
    }
    i48 = get32(i62 + 4 | 0) | 0;
    if ((i48 | 0) > 0) {
     i44 = get32(i62 + 8 | 0) | 0;
     i47 = 0;
     i46 = 0;
     while (1) {
      i50 = (i47 | 0) < 2 ^ i47;
      if (!i27) {
       i51 = get32(i44 + (i50 << 4) | 0) | 0;
       i56 = get8(i23 >> 0 | 0) | 0;
       L34 : do if (!(i56 << 24 >> 24)) {
        i65 = 0;
        i66 = i51;
       } else {
        i54 = i56;
        i55 = i23;
        i57 = i51;
        while (1) {
         if ((get8(16286 + (i54 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i57 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
          i65 = i54;
          i66 = i57;
          break L34;
         }
         i55 = i55 + 1 | 0;
         i67 = i57 + 1 | 0;
         i54 = get8(i55 >> 0 | 0) | 0;
         if (!(i54 << 24 >> 24)) {
          i65 = 0;
          i66 = i67;
          break;
         } else i57 = i67;
        }
       } while (0);
       if ((get8(16286 + (i65 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i66 >> 0 | 0) | 0) >> 0 | 0) | 0)) i68 = i46; else i59 = 36;
      } else i59 = 36;
      if ((i59 | 0) == 36) {
       i59 = 0;
       i51 = _sqlite3HashFind((get32(i44 + (i50 << 4) + 12 | 0) | 0) + 8 | 0, i42, i63) | 0;
       if (!i51) i68 = i51; else {
        i69 = i51;
        break;
       }
      }
      i47 = i47 + 1 | 0;
      if ((i47 | 0) >= (i48 | 0)) {
       i69 = i68;
       break;
      } else i46 = i68;
     }
     if (i69) {
      i61 = i69;
      i59 = 44;
      break;
     }
    }
    if (i27) {
     set32(i9 | 0, 25690 | 0);
     set32(i9 + 4 | 0, i42 | 0);
     _sqlite3ErrorMsg(i1, 25714, i9);
    } else {
     set32(i10 | 0, 25690 | 0);
     set32(i10 + 4 | 0, i23 | 0);
     set32(i10 + 8 | 0, i42 | 0);
     _sqlite3ErrorMsg(i1, 25704, i10);
    }
    set8(i28 >> 0 | 0, 1 | 0);
    i59 = 45;
   } while (0);
   if ((i59 | 0) == 44) {
    i59 = 0;
    if (!(_locateFkeyIndex(i1, i61, i41, i11, i12) | 0)) {
     i42 = get32(i12 | 0) | 0;
     if (!i42) {
      set32(i13 | 0, get32(i41 + 36 | 0) | 0);
      i70 = i13;
     } else i70 = i42;
     i42 = i41 + 20 | 0;
     if ((get32(i42 | 0) | 0) > 0) {
      i46 = i61 + 4 | 0;
      i48 = i61 + 12 | 0;
      i47 = 0;
      i44 = 0;
      while (1) {
       i51 = i70 + (i47 << 2) | 0;
       if ((get32(i51 | 0) | 0) == (get32(i35 | 0) | 0)) set32(i51 | 0, -1 | 0);
       if (!(get32(i36 | 0) | 0)) i71 = i44; else {
        i51 = get32(i11 | 0) | 0;
        if (!i51) i72 = i46; else i72 = (get32(i51 + 8 | 0) | 0) + (i47 << 2) | 0;
        i51 = get32((get32(i48 | 0) | 0) + ((get32(i72 | 0) | 0) * 24 | 0) | 0) | 0;
        i56 = get32(i61 | 0) | 0;
        i49 = get32(i1 | 0) | 0;
        i57 = get32((get32(i49 + 8 | 0) | 0) + (i24 << 4) | 0) | 0;
        i54 = FUNCTION_TABLE_iiiiiii[get32(i49 + 268 | 0) & 3](get32(i49 + 272 | 0) | 0, 20, i56, i51, i57, get32(i37 | 0) | 0) | 0;
        switch (i54 | 0) {
        case 1:
         {
          if (i38 | (get32(i49 + 4 | 0) | 0) > 2) {
           set32(i8 | 0, i57 | 0);
           set32(i8 + 4 | 0, i56 | 0);
           set32(i8 + 8 | 0, i51 | 0);
           _sqlite3ErrorMsg(i1, 29965, i8);
          } else {
           set32(i7 | 0, i56 | 0);
           set32(i7 + 4 | 0, i51 | 0);
           _sqlite3ErrorMsg(i1, 29998, i7);
          }
          set32(i25 | 0, 23 | 0);
          break;
         }
        case 0:
        case 2:
         break;
        default:
         {
          _sqlite3ErrorMsg(i1, 29155, i6);
          set32(i25 | 0, 1 | 0);
         }
        }
        i71 = (i54 | 0) == 2 & 1;
       }
       i47 = i47 + 1 | 0;
       if ((i47 | 0) >= (get32(i42 | 0) | 0)) {
        i73 = i71;
        break;
       } else i44 = i71;
      }
     } else i73 = 0;
     i44 = get32(i61 + 20 | 0) | 0;
     i42 = get32(i61 | 0) | 0;
     i47 = get32(i31 | 0) | 0;
     i48 = (i47 | 0) == 0 ? i1 : i47;
     i47 = i48 + 400 | 0;
     i46 = get32(i47 | 0) | 0;
     i54 = i48 + 404 | 0;
     do if ((i46 | 0) > 0) {
      i51 = get32(i54 | 0) | 0;
      i56 = 0;
      while (1) {
       if ((get32(i51 + (i56 << 4) | 0) | 0) == (i24 | 0) ? (get32(i51 + (i56 << 4) + 4 | 0) | 0) == (i44 | 0) : 0) {
        i74 = i56;
        i59 = 69;
        break;
       }
       i56 = i56 + 1 | 0;
       if ((i56 | 0) >= (i46 | 0)) {
        i59 = 71;
        break;
       }
      }
      if ((i59 | 0) == 69) {
       i59 = 0;
       i56 = i51 + (i74 << 4) + 8 | 0;
       set8(i56 >> 0 | 0, (get8(i56 >> 0 | 0) | 0) != 0 & 1 | 0);
       break;
      } else if ((i59 | 0) == 71) {
       i59 = 0;
       i75 = i54;
       i76 = i51;
       i59 = 72;
       break;
      }
     } else {
      i75 = i54;
      i76 = get32(i54 | 0) | 0;
      i59 = 72;
     } while (0);
     do if ((i59 | 0) == 72) {
      i59 = 0;
      i54 = get32(i48 | 0) | 0;
      i56 = _sqlite3DbRealloc(i54, i76, (i46 << 4) + 16 | 0) | 0;
      if (!i56) {
       _sqlite3DbFree(i54, i76);
       set32(i75 | 0, 0 | 0);
       set32(i47 | 0, 0 | 0);
       set8((get32(i48 | 0) | 0) + 30 >> 0 | 0, 1 | 0);
       break;
      } else {
       set32(i75 | 0, i56 | 0);
       i54 = get32(i47 | 0) | 0;
       set32(i47 | 0, i54 + 1 | 0);
       set32(i56 + (i54 << 4) | 0, i24 | 0);
       set32(i56 + (i54 << 4) + 4 | 0, i44 | 0);
       set8(i56 + (i54 << 4) + 8 >> 0 | 0, 0 | 0);
       set32(i56 + (i54 << 4) + 12 | 0, i42 | 0);
       break;
      }
     } while (0);
     set32(i32 | 0, (get32(i32 | 0) | 0) + 1 | 0);
     if (!i33) _fkLookupParent(i1, i24, i61, get32(i11 | 0) | 0, i41, i70, i3, -1, i73);
     if (!i34) _fkLookupParent(i1, i24, i61, get32(i11 | 0) | 0, i41, i70, i4, 1, i73);
     _sqlite3DbFree(i16, get32(i12 | 0) | 0);
    } else i59 = 45;
   }
   if ((i59 | 0) == 45) {
    i59 = 0;
    if (i29) {
     i59 = 101;
     break;
    }
    if (get8(i30 >> 0 | 0) | 0) {
     i59 = 101;
     break;
    }
   }
   i42 = get32(i41 + 4 | 0) | 0;
   if (!i42) break L11;
   i40 = get8(i17 >> 0 | 0) | 0;
   i41 = i42;
  }
  if ((i59 | 0) == 101) {
   STACKTOP = i5;
   return;
  }
 } while (0);
 i17 = get32(i2 | 0) | 0;
 if (!i17) i77 = 0; else {
  i12 = i17;
  while (1) if (!(get8(i12 >> 0 | 0) | 0)) {
   i78 = i12;
   break;
  } else i12 = i12 + 1 | 0;
  i77 = i78 - i17 & 1073741823;
 }
 i78 = _sqlite3HashFind((get32(i19 | 0) | 0) + 56 | 0, i17, i77) | 0;
 i77 = i16 + 30 | 0;
 if (!i78) {
  STACKTOP = i5;
  return;
 }
 i17 = i1 + 424 | 0;
 i19 = i1 + 344 | 0;
 i12 = i1 + 68 | 0;
 i73 = (i4 | 0) == 0;
 i70 = (i3 | 0) == 0;
 i11 = i18 << 24 >> 24 == 0;
 i18 = i78;
 L136 : while (1) {
  set32(i14 | 0, 0 | 0);
  set32(i15 | 0, 0 | 0);
  if (!(((get8(i18 + 24 >> 0 | 0) | 0) == 0 ? (get32(i17 | 0) | 0) == 0 : 0) ? (get8(i19 >> 0 | 0) | 0) == 0 : 0)) i59 = 90;
  do if ((i59 | 0) == 90) {
   i59 = 0;
   if (_locateFkeyIndex(i1, i2, i18, i14, i15) | 0) {
    if (i11) {
     i59 = 101;
     break L136;
    }
    if (!(get8(i77 >> 0 | 0) | 0)) break; else {
     i59 = 101;
     break L136;
    }
   }
   i78 = _sqlite3SrcListAppend(i16, 0, 0, 0) | 0;
   if (i78) {
    i61 = get32(i18 | 0) | 0;
    set32(i78 + 20 | 0, i61 | 0);
    i24 = i78 + 12 | 0;
    set32(i24 | 0, get32(i61 | 0) | 0);
    i75 = i61 + 32 | 0;
    set16(i75 | 0, (get16(i75 | 0) | 0) + 1 << 16 >> 16 | 0);
    i75 = get32(i12 | 0) | 0;
    set32(i12 | 0, i75 + 1 | 0);
    set32(i78 + 32 | 0, i75 | 0);
    if (!i73) _fkScanChildren(i1, i78, i2, get32(i14 | 0) | 0, i18, get32(i15 | 0) | 0, i4, -1);
    if (!i70) _fkScanChildren(i1, i78, i2, get32(i14 | 0) | 0, i18, get32(i15 | 0) | 0, i3, 1);
    set32(i24 | 0, 0 | 0);
    _sqlite3SrcListDelete(i16, i78);
   }
   _sqlite3DbFree(i16, get32(i15 | 0) | 0);
  } while (0);
  i18 = get32(i18 + 12 | 0) | 0;
  if (!i18) {
   i59 = 101;
   break;
  }
 }
 if ((i59 | 0) == 101) {
  STACKTOP = i5;
  return;
 }
}

function _bestVirtualIndex(i1, i2, i3, i4, i5, i6, i7, i8, i9, i10) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 i7 = i7 | 0;
 i8 = i8 | 0;
 i9 = i9 | 0;
 i10 = i10 | 0;
 var i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, d44 = 0.0, d45 = 0.0, d46 = 0.0, d47 = 0.0, d48 = 0.0, i49 = 0, d50 = 0.0;
 i11 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i12 = i11 + 24 | 0;
 i13 = i11 + 16 | 0;
 i14 = i11 + 8 | 0;
 i15 = i11;
 i16 = get32(i3 + 12 | 0) | 0;
 i17 = i9;
 i18 = i17 + 40 | 0;
 do {
  set32(i17 | 0, 0 | 0);
  i17 = i17 + 4 | 0;
 } while ((i17 | 0) < (i18 | 0));
 set32(i9 | 0, 134217728 | 0);
 i17 = get32(i10 | 0) | 0;
 do if (!i17) {
  i18 = i2 + 28 | 0;
  i19 = i2 + 20 | 0;
  i20 = get32(i19 | 0) | 0;
  if ((i20 | 0) > 0) {
   i21 = get32(i3 + 24 | 0) | 0;
   i22 = 0;
   i23 = 0;
   i24 = get32(i18 | 0) | 0;
   while (1) {
    if ((get32(i24 + 8 | 0) | 0) == (i21 | 0)) i25 = ((get16(i24 + 16 | 0) & 129) == 0 & 1) + i23 | 0; else i25 = i23;
    i22 = i22 + 1 | 0;
    if ((i22 | 0) == (i20 | 0)) {
     i26 = i25;
     break;
    } else {
     i23 = i25;
     i24 = i24 + 40 | 0;
    }
   }
  } else i26 = 0;
  if (!i8) i27 = 0; else {
   i24 = get32(i8 | 0) | 0;
   L13 : do if ((i24 | 0) > 0) {
    i23 = get32(i8 + 12 | 0) | 0;
    i20 = i3 + 24 | 0;
    i22 = 0;
    while (1) {
     i21 = get32(i23 + (i22 * 20 | 0) | 0) | 0;
     if ((get8(i21 >> 0 | 0) | 0) != -104) {
      i28 = i22;
      break L13;
     }
     if ((get32(i21 + 24 | 0) | 0) != (get32(i20 | 0) | 0)) {
      i28 = i22;
      break L13;
     }
     i21 = i22 + 1 | 0;
     if ((i21 | 0) < (i24 | 0)) i22 = i21; else {
      i28 = i21;
      break;
     }
    }
   } else i28 = 0; while (0);
   i27 = (i28 | 0) == (i24 | 0) ? i24 : 0;
  }
  i22 = get32(i1 | 0) | 0;
  i20 = (i26 * 20 | 0) + 48 + (i27 << 3) | 0;
  L21 : do if (!i22) if ((i20 + -1 | 0) >>> 0 <= 2147483390) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i29 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i20) | 0;
    i30 = 53;
    break;
   }
   i23 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i20) | 0;
   set32(35 * 4 | 0, i20 | 0);
   if ((get32(45 * 4 | 0) | 0) < (i20 | 0)) set32(45 * 4 | 0, i20 | 0);
   i21 = get32(6 * 4 | 0) | 0;
   do if (i21) {
    i31 = get32(30 * 4 | 0) | 0;
    i32 = ((i31 | 0) < 0) << 31 >> 31;
    i33 = 16;
    i34 = _i64Subtract(get32(i33 | 0) | 0, get32(i33 + 4 | 0) | 0, i23 | 0, ((i23 | 0) < 0) << 31 >> 31 | 0) | 0;
    i33 = tempRet0;
    if ((i32 | 0) < (i33 | 0) | (i32 | 0) == (i33 | 0) & i31 >>> 0 < i34 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i34 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i21 & 15](i34, i31, i32, i23);
     set32(6 * 4 | 0, i21 | 0);
     set32(7 * 4 | 0, i34 | 0);
     break;
    }
   } while (0);
   i21 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i23) | 0;
   if (i21) {
    i34 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i21) | 0;
    i32 = (get32(30 * 4 | 0) | 0) + i34 | 0;
    set32(30 * 4 | 0, i32 | 0);
    if ((i32 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i32 | 0);
    i32 = get32(39 * 4 | 0) | 0;
    i34 = i32 + 1 | 0;
    set32(39 * 4 | 0, i34 | 0);
    if ((i32 | 0) < (get32(49 * 4 | 0) | 0)) i35 = i21; else {
     set32(49 * 4 | 0, i34 | 0);
     i35 = i21;
    }
   } else i30 = 54;
  } else i30 = 54; else {
   i21 = i22 + 30 | 0;
   if (!(get8(i21 >> 0 | 0) | 0)) {
    do if (get8(i22 + 234 >> 0 | 0) | 0) {
     if ((getU16(i22 + 232 | 0) | 0) < (i20 | 0)) {
      i34 = i22 + 248 | 0;
      set32(i34 | 0, (get32(i34 | 0) | 0) + 1 | 0);
      break;
     }
     i34 = i22 + 256 | 0;
     i32 = get32(i34 | 0) | 0;
     if (!i32) {
      i31 = i22 + 252 | 0;
      set32(i31 | 0, (get32(i31 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i34 | 0, get32(i32 | 0) | 0);
     i34 = i22 + 236 | 0;
     i31 = get32(i34 | 0) | 0;
     i33 = i31 + 1 | 0;
     set32(i34 | 0, i33 | 0);
     i34 = i22 + 244 | 0;
     set32(i34 | 0, (get32(i34 | 0) | 0) + 1 | 0);
     i34 = i22 + 240 | 0;
     if ((i31 | 0) >= (get32(i34 | 0) | 0)) set32(i34 | 0, i33 | 0);
     i29 = i32;
     i30 = 53;
     break L21;
    } while (0);
    do if ((i20 + -1 | 0) >>> 0 <= 2147483390) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i23 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i20) | 0;
      if (!i23) break; else {
       i35 = i23;
       break L21;
      }
     }
     i23 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i20) | 0;
     set32(35 * 4 | 0, i20 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i20 | 0)) set32(45 * 4 | 0, i20 | 0);
     i32 = get32(6 * 4 | 0) | 0;
     do if (i32) {
      i33 = get32(30 * 4 | 0) | 0;
      i34 = ((i33 | 0) < 0) << 31 >> 31;
      i31 = 16;
      i36 = _i64Subtract(get32(i31 | 0) | 0, get32(i31 + 4 | 0) | 0, i23 | 0, ((i23 | 0) < 0) << 31 >> 31 | 0) | 0;
      i31 = tempRet0;
      if ((i34 | 0) < (i31 | 0) | (i34 | 0) == (i31 | 0) & i33 >>> 0 < i36 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i36 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i32 & 15](i36, i33, i34, i23);
       set32(6 * 4 | 0, i32 | 0);
       set32(7 * 4 | 0, i36 | 0);
       break;
      }
     } while (0);
     i32 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i23) | 0;
     if (i32) {
      i36 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i32) | 0;
      i34 = (get32(30 * 4 | 0) | 0) + i36 | 0;
      set32(30 * 4 | 0, i34 | 0);
      if ((i34 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i34 | 0);
      i34 = get32(39 * 4 | 0) | 0;
      i36 = i34 + 1 | 0;
      set32(39 * 4 | 0, i36 | 0);
      if ((i34 | 0) < (get32(49 * 4 | 0) | 0)) {
       i35 = i32;
       break L21;
      }
      set32(49 * 4 | 0, i36 | 0);
      i35 = i32;
      break L21;
     }
    } while (0);
    set8(i21 >> 0 | 0, 1 | 0);
    i30 = 54;
   } else i30 = 54;
  } while (0);
  if ((i30 | 0) == 53) if (!i29) i30 = 54; else i35 = i29;
  if ((i30 | 0) == 54) {
   _sqlite3ErrorMsg(i1, 19448, i15);
   set32(i10 | 0, 0 | 0);
   STACKTOP = i11;
   return;
  }
  _memset(i35 | 0, 0, i20 | 0) | 0;
  i22 = i35 + 48 | 0;
  i24 = i22 + (i26 * 12 | 0) | 0;
  set32(i35 | 0, i26 | 0);
  set32(i35 + 8 | 0, i27 | 0);
  set32(i35 + 4 | 0, i22 | 0);
  set32(i35 + 12 | 0, i24 | 0);
  set32(i35 + 16 | 0, i24 + (i27 << 3) | 0);
  i32 = get32(i19 | 0) | 0;
  if ((i32 | 0) > 0) {
   i36 = get32(i3 + 24 | 0) | 0;
   i34 = 0;
   i33 = 0;
   i31 = get32(i18 | 0) | 0;
   while (1) {
    if ((get32(i31 + 8 | 0) | 0) == (i36 | 0) ? (i37 = get16(i31 + 16 | 0) | 0, (i37 & 129) == 0) : 0) {
     set32(i22 + (i33 * 12 | 0) | 0, get32(i31 + 12 | 0) | 0);
     set32(i22 + (i33 * 12 | 0) + 8 | 0, i34 | 0);
     set8(i22 + (i33 * 12 | 0) + 4 >> 0 | 0, i37 | 0);
     i38 = i33 + 1 | 0;
    } else i38 = i33;
    i34 = i34 + 1 | 0;
    if ((i34 | 0) == (i32 | 0)) break; else {
     i33 = i38;
     i31 = i31 + 40 | 0;
    }
   }
  }
  if ((i27 | 0) <= 0) {
   set32(i10 | 0, i35 | 0);
   if (i35) {
    i39 = i35;
    break;
   }
   STACKTOP = i11;
   return;
  }
  i31 = get32(i8 + 12 | 0) | 0;
  i33 = 0;
  do {
   set32(i24 + (i33 << 3) | 0, get16((get32(i31 + (i33 * 20 | 0) | 0) | 0) + 28 | 0) | 0);
   set8(i24 + (i33 << 3) + 4 >> 0 | 0, get8(i31 + (i33 * 20 | 0) + 12 >> 0 | 0) | 0 | 0);
   i33 = i33 + 1 | 0;
  } while ((i33 | 0) != (i27 | 0));
  set32(i10 | 0, i35 | 0);
  i39 = i35;
 } else i39 = i17; while (0);
 i17 = i39 + 4 | 0;
 i35 = i39 + 16 | 0;
 i10 = get32(i35 | 0) | 0;
 i27 = get32(i39 | 0) | 0;
 if ((i27 | 0) > 0) {
  i38 = get32(i2 + 28 | 0) | 0;
  i26 = 0;
  i15 = get32(i17 | 0) | 0;
  while (1) {
   i30 = i38 + ((get32(i15 + 8 | 0) | 0) * 40 | 0) + 24 | 0;
   set8(i15 + 5 >> 0 | 0, ((get32(i30 | 0) & i4 | 0) == 0 ? (get32(i30 + 4 | 0) & i5 | 0) == 0 : 0) & 1 | 0);
   i26 = i26 + 1 | 0;
   if ((i26 | 0) >= (i27 | 0)) break; else i15 = i15 + 12 | 0;
  }
 }
 _memset(i10 | 0, 0, i27 << 3 | 0) | 0;
 i27 = i39 + 28 | 0;
 i15 = i39 + 24 | 0;
 do if ((get32(i27 | 0) | 0) != 0 ? (i26 = get32(i15 | 0) | 0, (i26 | 0) != 0) : 0) {
  if (!(get32(50 * 4 | 0) | 0)) {
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i26);
   break;
  }
  i38 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i26) | 0;
  i30 = (get32(30 * 4 | 0) | 0) - i38 | 0;
  set32(30 * 4 | 0, i30 | 0);
  if ((i30 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i30 | 0);
  i30 = (get32(39 * 4 | 0) | 0) + -1 | 0;
  set32(39 * 4 | 0, i30 | 0);
  if ((i30 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i30 | 0);
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i26);
 } while (0);
 set32(i15 | 0, 0 | 0);
 set32(i39 + 20 | 0, 0 | 0);
 set32(i27 | 0, 0 | 0);
 i27 = i39 + 32 | 0;
 set32(i27 | 0, 0 | 0);
 i15 = i39 + 40 | 0;
 setF64(i15 | 0, +(5.e+98));
 i26 = i39 + 8 | 0;
 i30 = get32(i26 | 0) | 0;
 i38 = (i8 | 0) != 0;
 if (!i38) set32(i26 | 0, 0 | 0);
 i29 = get32(i1 | 0) | 0;
 i28 = i16 + 52 | 0;
 while (1) {
  i25 = get32(i28 | 0) | 0;
  if ((get32(i25 | 0) | 0) == (i29 | 0)) {
   i40 = i25;
   break;
  } else i28 = i25 + 24 | 0;
 }
 i28 = get32(i40 + 8 | 0) | 0;
 i40 = FUNCTION_TABLE_iii[get32((get32(i28 | 0) | 0) + 12 | 0) & 127](i28, i39) | 0;
 L122 : do switch (i40 | 0) {
 case 0:
  break;
 case 7:
  {
   set8((get32(i1 | 0) | 0) + 30 >> 0 | 0, 1 | 0);
   break;
  }
 default:
  {
   i29 = get32(i28 + 8 | 0) | 0;
   if (i29) {
    set32(i13 | 0, i29 | 0);
    _sqlite3ErrorMsg(i1, 16817, i13);
    break L122;
   }
   i29 = i40 & 255;
   if (i29 >>> 0 > 26 | (i29 | 0) == 2) i41 = 38974; else i41 = get32(5652 + (i29 << 2) | 0) | 0;
   set32(i14 | 0, i41 | 0);
   _sqlite3ErrorMsg(i1, 16817, i14);
  }
 } while (0);
 i14 = i28 + 8 | 0;
 i28 = get32(i14 | 0) | 0;
 do if (i28) {
  if (!(get32(50 * 4 | 0) | 0)) {
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i28);
   break;
  }
  i41 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i28) | 0;
  i40 = (get32(30 * 4 | 0) | 0) - i41 | 0;
  set32(30 * 4 | 0, i40 | 0);
  if ((i40 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i40 | 0);
  i40 = (get32(39 * 4 | 0) | 0) + -1 | 0;
  set32(39 * 4 | 0, i40 | 0);
  if ((i40 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i40 | 0);
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i28);
 } while (0);
 set32(i14 | 0, 0 | 0);
 i14 = get32(i39 | 0) | 0;
 if ((i14 | 0) > 0) {
  i28 = i14;
  i40 = 0;
  while (1) {
   if ((get8((get32(i17 | 0) | 0) + (i40 * 12 | 0) + 5 >> 0 | 0) | 0) == 0 ? (get32((get32(i35 | 0) | 0) + (i40 << 3) | 0) | 0) > 0 : 0) {
    set32(i12 | 0, get32(i16 | 0) | 0);
    _sqlite3ErrorMsg(i1, 32548, i12);
    i42 = get32(i39 | 0) | 0;
   } else i42 = i28;
   i40 = i40 + 1 | 0;
   if ((i40 | 0) >= (i42 | 0)) {
    i43 = i42;
    break;
   } else i28 = i42;
  }
 } else i43 = i14;
 if (get32(i1 + 64 | 0) | 0) {
  STACKTOP = i11;
  return;
 }
 i14 = get32(i17 | 0) | 0;
 if ((i43 | 0) > 0) {
  i17 = i2 + 28 | 0;
  i42 = i9 + 32 | 0;
  i28 = 0;
  do {
   if ((get32(i10 + (i28 << 3) | 0) | 0) > 0) {
    i40 = (get32(i17 | 0) | 0) + ((get32(i14 + (i28 * 12 | 0) + 8 | 0) | 0) * 40 | 0) + 24 | 0;
    i12 = i42;
    i16 = get32(i12 + 4 | 0) | get32(i40 + 4 | 0);
    i35 = i42;
    set32(i35 | 0, get32(i12 | 0) | get32(i40 | 0) | 0);
    set32(i35 + 4 | 0, i16 | 0);
   }
   i28 = i28 + 1 | 0;
  } while ((i28 | 0) < (i43 | 0));
 }
 d44 = +getF64(i15 | 0);
 i15 = get32(i27 | 0) | 0;
 if (i38 & (i15 | 0) == 0) {
  if (d44 > 10.0) {
   d45 = 1.0;
   d46 = 10.0;
   while (1) {
    d47 = d45 + 1.0;
    d46 = d46 * 10.0;
    if (!(d46 < d44)) {
     d48 = d47;
     break;
    } else d45 = d47;
   }
  } else d48 = 1.0;
  i49 = 0;
  d50 = d44 + d44 * d48;
 } else {
  i49 = i15;
  d50 = d44;
 }
 setF64(i9 + 24 | 0, +(d50 > 5.e+98 ? 5.e+98 : d50));
 set32(i9 + 16 | 0, i39 | 0);
 if (i49) set32(i9 | 0, get32(i9 | 0) | 16777216 | 0);
 set32(i9 + 4 | 0, 0 | 0);
 set32(i26 | 0, i30 | 0);
 _bestOrClauseIndex(i1, i2, i3, i4, i5, i6, i7, i8, i9);
 STACKTOP = i11;
 return;
}

function _sqlite3ParseUri(i1, i2, i3, i4, i5, i6) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 var i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0, i71 = 0, i72 = 0, i73 = 0, i74 = 0, i75 = 0, i76 = 0, i77 = 0, i78 = 0, i79 = 0, i80 = 0, i81 = 0, i82 = 0, i83 = 0;
 i7 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i8 = i7 + 24 | 0;
 i9 = i7 + 16 | 0;
 i10 = i7 + 8 | 0;
 i11 = i7;
 i12 = get32(i3 | 0) | 0;
 L1 : do if (i2) {
  i13 = i2;
  while (1) if (!(get8(i13 >> 0 | 0) | 0)) {
   i14 = i13;
   break;
  } else i13 = i13 + 1 | 0;
  i13 = i14 - i2 | 0;
  i15 = i13 & 1073741823;
  if (i15 >>> 0 > 4 & (get32(53 * 4 | 0) | i12 & 64 | 0) != 0 ? (_memcmp(i2, 35886, 5) | 0) == 0 : 0) {
   i16 = i15 + 2 | 0;
   i17 = i12 | 64;
   if (!i15) i18 = i16; else {
    i19 = i13 & 1073741823;
    i13 = 0;
    i20 = i16;
    while (1) {
     i16 = ((get8(i2 + i13 >> 0 | 0) | 0) == 38 & 1) + i20 | 0;
     i13 = i13 + 1 | 0;
     if ((i13 | 0) == (i19 | 0)) {
      i18 = i16;
      break;
     } else i20 = i16;
    }
   }
   i20 = _sqlite3_malloc(i18) | 0;
   if (!i20) {
    i21 = 7;
    STACKTOP = i7;
    return i21 | 0;
   }
   L15 : do if ((get8(i2 + 5 >> 0 | 0) | 0) == 47 ? (get8(i2 + 6 >> 0 | 0) | 0) == 47 : 0) {
    i19 = 7;
    L17 : while (1) {
     switch (get8(i2 + i19 >> 0 | 0) | 0) {
     case 0:
     case 47:
      {
       i22 = i19;
       break L17;
       break;
      }
     default:
      {}
     }
     i19 = i19 + 1 | 0;
    }
    switch (i22 | 0) {
    case 7:
     {
      i23 = 0;
      i24 = 7;
      i25 = 0;
      break L15;
      break;
     }
    case 16:
     {
      i19 = i2 + 7 | 0;
      if (!(_memcmp(35892, i19, 9) | 0)) {
       i23 = 0;
       i24 = 16;
       i25 = 0;
       break L15;
      } else i26 = i19;
      break;
     }
    default:
     i26 = i2 + 7 | 0;
    }
    set32(i11 | 0, i22 + -7 | 0);
    set32(i11 + 4 | 0, i26 | 0);
    set32(i6 | 0, _sqlite3_mprintf(35902, i11) | 0 | 0);
    i27 = i17;
    i28 = 1;
    i29 = i20;
    i30 = 80;
    break L1;
   } else {
    i23 = 0;
    i24 = 5;
    i25 = 0;
   } while (0);
   L25 : while (1) {
    i19 = i20 + (i25 + -1) | 0;
    i13 = i23;
    i16 = i24;
    L27 : while (1) {
     i31 = i16;
     L29 : while (1) {
      i32 = get8(i2 + i31 >> 0 | 0) | 0;
      switch (i32 << 24 >> 24) {
      case 35:
      case 0:
       {
        i33 = i13;
        i34 = i25;
        break L25;
        break;
       }
      default:
       {}
      }
      i35 = i31 + 1 | 0;
      if ((i32 << 24 >> 24 == 37 ? (i36 = get8(i2 + i35 >> 0 | 0) | 0, (get8(16821 + (i36 & 255) >> 0 | 0) & 8) != 0) : 0) ? (i37 = get8(i2 + (i31 + 2) >> 0 | 0) | 0, (get8(16821 + (i37 & 255) >> 0 | 0) & 8) != 0) : 0) {
       i38 = i36;
       i39 = i37;
       i40 = i31;
       break;
      }
      switch (i13 | 0) {
      case 0:
       {
        i41 = i32;
        i42 = i35;
        i30 = 40;
        break L27;
        break;
       }
      case 2:
       {
        i43 = i32;
        i44 = i35;
        i30 = 41;
        break L27;
        break;
       }
      case 1:
       break;
      default:
       {
        i45 = i32;
        i46 = i13;
        i47 = i35;
        i48 = i25;
        break L27;
       }
      }
      switch (i32 << 24 >> 24) {
      case 38:
      case 61:
       break;
      default:
       {
        i45 = i32;
        i46 = 1;
        i47 = i35;
        i48 = i25;
        break L27;
       }
      }
      if (!(get8(i19 >> 0 | 0) | 0)) i49 = i35; else {
       i50 = i32;
       i51 = i35;
       i30 = 38;
       break L27;
      }
      while (1) {
       switch (get8(i2 + i49 >> 0 | 0) | 0) {
       case 35:
       case 0:
        {
         i31 = i49;
         continue L29;
         break;
        }
       default:
        {}
       }
       if ((get8(i2 + (i49 + -1) >> 0 | 0) | 0) == 38) {
        i31 = i49;
        continue L29;
       }
       i49 = i49 + 1 | 0;
      }
     }
     i31 = i38 << 24 >> 24;
     i35 = i40 + 3 | 0;
     i32 = i39 << 24 >> 24;
     i37 = (0 - (i32 >>> 6 & 1) & 9) + i32 & 15 | (0 - (i31 >>> 6 & 1) & 9) + i31 << 4 & 240;
     if (i37) {
      i52 = i35;
      i53 = i37;
      i54 = i13;
      i30 = 31;
      break;
     }
     i37 = (i13 | 0) == 0;
     i31 = i35;
     while (1) {
      i35 = get8(i2 + i31 >> 0 | 0) | 0;
      switch (i35 << 24 >> 24) {
      case 35:
      case 0:
       {
        i16 = i31;
        continue L27;
        break;
       }
      default:
       {}
      }
      if (i37 & i35 << 24 >> 24 == 63) {
       i13 = 0;
       i16 = i31;
       continue L27;
      }
      switch (i13 | 0) {
      case 1:
       {
        switch (i35 << 24 >> 24) {
        case 38:
        case 61:
         {
          i13 = 1;
          i16 = i31;
          continue L27;
          break;
         }
        default:
         {}
        }
        break;
       }
      case 2:
       {
        if (i35 << 24 >> 24 == 38) {
         i13 = 2;
         i16 = i31;
         continue L27;
        }
        break;
       }
      default:
       {}
      }
      i31 = i31 + 1 | 0;
     }
    }
    if ((i30 | 0) == 31) {
     i30 = 0;
     i45 = i53 & 255;
     i46 = i54;
     i47 = i52;
     i48 = i25;
    } else if ((i30 | 0) == 38) {
     i30 = 0;
     if (i50 << 24 >> 24 == 38) {
      set8(i20 + i25 >> 0 | 0, 0 | 0);
      i45 = 0;
      i46 = 1;
      i47 = i51;
      i48 = i25 + 1 | 0;
     } else {
      i45 = 0;
      i46 = 2;
      i47 = i51;
      i48 = i25;
     }
    } else if ((i30 | 0) == 40) {
     i30 = 0;
     if (i41 << 24 >> 24 == 63) {
      i55 = i42;
      i30 = 42;
     } else {
      i45 = i41;
      i46 = 0;
      i47 = i42;
      i48 = i25;
     }
    } else if ((i30 | 0) == 41) {
     i30 = 0;
     if (i43 << 24 >> 24 == 38) {
      i55 = i44;
      i30 = 42;
     } else {
      i45 = i43;
      i46 = 2;
      i47 = i44;
      i48 = i25;
     }
    }
    if ((i30 | 0) == 42) {
     i30 = 0;
     i45 = 0;
     i46 = 1;
     i47 = i55;
     i48 = i25;
    }
    set8(i20 + i48 >> 0 | 0, i45 | 0);
    i23 = i46;
    i24 = i47;
    i25 = i48 + 1 | 0;
   }
   if ((i33 | 0) == 1) {
    set8(i20 + i34 >> 0 | 0, 0 | 0);
    i56 = i34 + 1 | 0;
   } else i56 = i34;
   set8(i20 + i56 >> 0 | 0, 0 | 0);
   set8(i20 + (i56 + 1) >> 0 | 0, 0 | 0);
   i16 = i20;
   while (1) if (!(get8(i16 >> 0 | 0) | 0)) {
    i57 = i16;
    break;
   } else i16 = i16 + 1 | 0;
   i16 = (i57 - i20 & 1073741823) + 1 | 0;
   i13 = get8(i20 + i16 >> 0 | 0) | 0;
   if (i13 << 24 >> 24) {
    i19 = i13;
    i13 = i17;
    i31 = i20 + i16 | 0;
    i16 = i1;
    L69 : while (1) {
     if (!(i19 << 24 >> 24)) i58 = i31; else {
      i37 = i31;
      while (1) {
       i35 = i37 + 1 | 0;
       if (!(get8(i35 >> 0 | 0) | 0)) {
        i58 = i35;
        break;
       } else i37 = i35;
      }
     }
     i37 = i58 - i31 & 1073741823;
     i35 = i31 + (i37 + 1) | 0;
     i32 = i35;
     while (1) if (!(get8(i32 >> 0 | 0) | 0)) {
      i59 = i32;
      break;
     } else i32 = i32 + 1 | 0;
     i32 = i59 - i35 & 1073741823;
     switch (i37 | 0) {
     case 3:
      {
       i36 = (_memcmp(35930, i31, 3) | 0) == 0;
       i60 = i13;
       i61 = i36 ? i35 : i16;
       break;
      }
     case 5:
      {
       if (!(_memcmp(35934, i31, 5) | 0)) {
        i62 = 3212;
        i63 = 393216;
        i64 = -393217;
        i65 = 35934;
        i30 = 59;
       } else {
        i60 = i13;
        i61 = i16;
       }
       break;
      }
     case 4:
      {
       if (!(_memcmp(35955, i31, 4) | 0)) {
        i62 = 3236;
        i63 = i13 & 7;
        i64 = -8;
        i65 = 19086;
        i30 = 59;
       } else {
        i60 = i13;
        i61 = i16;
       }
       break;
      }
     default:
      {
       i60 = i13;
       i61 = i16;
      }
     }
     if ((i30 | 0) == 59) {
      i30 = 0;
      i36 = get32(i62 | 0) | 0;
      if (!i36) {
       i66 = i35;
       i67 = i13;
       i68 = i65;
       i30 = 66;
       break;
      } else {
       i69 = i36;
       i70 = 0;
      }
      while (1) {
       i36 = i69;
       while (1) if (!(get8(i36 >> 0 | 0) | 0)) {
        i71 = i36;
        break;
       } else i36 = i36 + 1 | 0;
       if ((i32 | 0) == (i71 - i69 & 1073741823 | 0) ? (_memcmp(i35, i69, i32) | 0) == 0 : 0) {
        i72 = i70;
        break;
       }
       i70 = i70 + 1 | 0;
       i69 = get32(i62 + (i70 << 3) | 0) | 0;
       if (!i69) {
        i66 = i35;
        i67 = i13;
        i68 = i65;
        i30 = 66;
        break L69;
       }
      }
      i36 = get32(i62 + (i72 << 3) + 4 | 0) | 0;
      if (!i36) {
       i66 = i35;
       i67 = i13;
       i68 = i65;
       i30 = 66;
       break;
      }
      if ((i36 | 0) > (i63 | 0)) {
       i73 = i35;
       i74 = i13;
       i75 = i65;
       i30 = 68;
       break;
      }
      i60 = i36 | i64 & i13;
      i61 = i16;
     }
     i31 = i31 + (i37 + 2 + i32) | 0;
     i19 = get8(i31 >> 0 | 0) | 0;
     if (!(i19 << 24 >> 24)) {
      i76 = i60;
      i77 = i20;
      i78 = i61;
      i30 = 73;
      break L1;
     } else {
      i13 = i60;
      i16 = i61;
     }
    }
    if ((i30 | 0) == 66) {
     set32(i10 | 0, i68 | 0);
     set32(i10 + 4 | 0, i66 | 0);
     set32(i6 | 0, _sqlite3_mprintf(35970, i10) | 0 | 0);
     i27 = i67;
     i28 = 1;
     i29 = i20;
     i30 = 80;
     break;
    } else if ((i30 | 0) == 68) {
     set32(i9 | 0, i75 | 0);
     set32(i9 + 4 | 0, i73 | 0);
     set32(i6 | 0, _sqlite3_mprintf(35990, i9) | 0 | 0);
     i27 = i74;
     i28 = 3;
     i29 = i20;
     i30 = 80;
     break;
    }
   } else {
    i76 = i17;
    i77 = i20;
    i78 = i1;
    i30 = 73;
   }
  } else {
   i79 = i15;
   i30 = 71;
  }
 } else {
  i79 = 0;
  i30 = 71;
 } while (0);
 do if ((i30 | 0) == 71) {
  i74 = _sqlite3_malloc(i79 + 2 | 0) | 0;
  if (!i74) {
   i21 = 7;
   STACKTOP = i7;
   return i21 | 0;
  } else {
   _memcpy(i74 | 0, i2 | 0, i79 | 0) | 0;
   set8(i74 + i79 >> 0 | 0, 0 | 0);
   set8(i74 + (i79 + 1) >> 0 | 0, 0 | 0);
   i76 = i12;
   i77 = i74;
   i78 = i1;
   i30 = 73;
   break;
  }
 } while (0);
 L105 : do if ((i30 | 0) == 73) {
  L107 : do if (!(_sqlite3_initialize() | 0)) {
   i1 = get32(107 * 4 | 0) | 0;
   L109 : do if ((i78 | 0) == 0 | (i1 | 0) == 0) i80 = i1; else {
    i12 = i1;
    while (1) {
     if (!(_strcmp(i78, get32(i12 + 16 | 0) | 0) | 0)) {
      i80 = i12;
      break L109;
     }
     i12 = get32(i12 + 12 | 0) | 0;
     if (!i12) {
      i30 = 77;
      break L107;
     }
    }
   } while (0);
   set32(i4 | 0, i80 | 0);
   if (i80) {
    i81 = i76;
    i82 = 0;
    i83 = i77;
    break L105;
   }
  } else i30 = 77; while (0);
  if ((i30 | 0) == 77) set32(i4 | 0, 0 | 0);
  set32(i8 | 0, i78 | 0);
  set32(i6 | 0, _sqlite3_mprintf(36014, i8) | 0 | 0);
  i27 = i76;
  i28 = 1;
  i29 = i77;
  i30 = 80;
 } while (0);
 do if ((i30 | 0) == 80) if (!i29) {
  i81 = i27;
  i82 = i28;
  i83 = 0;
 } else {
  if (!(get32(50 * 4 | 0) | 0)) {
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i29);
   i81 = i27;
   i82 = i28;
   i83 = 0;
   break;
  }
  i77 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i29) | 0;
  i76 = (get32(30 * 4 | 0) | 0) - i77 | 0;
  set32(30 * 4 | 0, i76 | 0);
  if ((i76 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i76 | 0);
  i76 = (get32(39 * 4 | 0) | 0) + -1 | 0;
  set32(39 * 4 | 0, i76 | 0);
  if ((i76 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i76 | 0);
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i29);
  i81 = i27;
  i82 = i28;
  i83 = 0;
 } while (0);
 set32(i3 | 0, i81 | 0);
 set32(i5 | 0, i83 | 0);
 i21 = i82;
 STACKTOP = i7;
 return i21 | 0;
}

function _sqlite3GetToken(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0;
 i3 = get8(i1 >> 0 | 0) | 0;
 i4 = i3 & 255;
 do switch (i4 | 0) {
 case 13:
 case 12:
 case 10:
 case 9:
 case 32:
  {
   i5 = 1;
   while (1) if (!(get8(16821 + (getU8(i1 + i5 >> 0 | 0) | 0) >> 0 | 0) & 1)) {
    i6 = i5;
    break;
   } else i5 = i5 + 1 | 0;
   set32(i2 | 0, 149 | 0);
   i7 = i6;
   return i7 | 0;
  }
 case 45:
  {
   if ((get8(i1 + 1 >> 0 | 0) | 0) == 45) i8 = 2; else {
    set32(i2 | 0, 87 | 0);
    i7 = 1;
    return i7 | 0;
   }
   L10 : while (1) {
    switch (get8(i1 + i8 >> 0 | 0) | 0) {
    case 0:
    case 10:
     {
      i9 = i8;
      break L10;
      break;
     }
    default:
     {}
    }
    i8 = i8 + 1 | 0;
   }
   set32(i2 | 0, 149 | 0);
   i7 = i9;
   return i7 | 0;
  }
 case 40:
  {
   set32(i2 | 0, 22 | 0);
   i7 = 1;
   return i7 | 0;
  }
 case 41:
  {
   set32(i2 | 0, 23 | 0);
   i7 = 1;
   return i7 | 0;
  }
 case 59:
  {
   set32(i2 | 0, 1 | 0);
   i7 = 1;
   return i7 | 0;
  }
 case 43:
  {
   set32(i2 | 0, 86 | 0);
   i7 = 1;
   return i7 | 0;
  }
 case 42:
  {
   set32(i2 | 0, 88 | 0);
   i7 = 1;
   return i7 | 0;
  }
 case 47:
  {
   if ((get8(i1 + 1 >> 0 | 0) | 0) == 42 ? (i5 = get8(i1 + 2 >> 0 | 0) | 0, i5 << 24 >> 24 != 0) : 0) {
    i10 = get8(i1 + 3 >> 0 | 0) | 0;
    L29 : do if (i5 << 24 >> 24 == 42 & i10 << 24 >> 24 == 47) {
     i11 = 1;
     i12 = 3;
    } else {
     i13 = i10;
     i14 = 3;
     while (1) {
      if (!(i13 << 24 >> 24)) {
       i15 = i13;
       i16 = i14;
       break;
      }
      i17 = i14 + 1 | 0;
      i18 = i13;
      i13 = get8(i1 + i17 >> 0 | 0) | 0;
      if (i18 << 24 >> 24 == 42 & i13 << 24 >> 24 == 47) {
       i11 = 1;
       i12 = i17;
       break L29;
      } else i14 = i17;
     }
     i11 = i15 << 24 >> 24 != 0;
     i12 = i16;
    } while (0);
    set32(i2 | 0, 149 | 0);
    i7 = (i11 & 1) + i12 | 0;
    return i7 | 0;
   }
   set32(i2 | 0, 89 | 0);
   i7 = 1;
   return i7 | 0;
  }
 case 37:
  {
   set32(i2 | 0, 90 | 0);
   i7 = 1;
   return i7 | 0;
  }
 case 61:
  {
   set32(i2 | 0, 76 | 0);
   i7 = (get8(i1 + 1 >> 0 | 0) | 0) == 61 ? 2 : 1;
   return i7 | 0;
  }
 case 60:
  {
   switch (get8(i1 + 1 >> 0 | 0) | 0) {
   case 61:
    {
     set32(i2 | 0, 78 | 0);
     i7 = 2;
     return i7 | 0;
    }
   case 62:
    {
     set32(i2 | 0, 75 | 0);
     i7 = 2;
     return i7 | 0;
    }
   case 60:
    {
     set32(i2 | 0, 84 | 0);
     i7 = 2;
     return i7 | 0;
    }
   default:
    {
     set32(i2 | 0, 79 | 0);
     i7 = 1;
     return i7 | 0;
    }
   }
   break;
  }
 case 62:
  {
   switch (get8(i1 + 1 >> 0 | 0) | 0) {
   case 61:
    {
     set32(i2 | 0, 80 | 0);
     i7 = 2;
     return i7 | 0;
    }
   case 62:
    {
     set32(i2 | 0, 85 | 0);
     i7 = 2;
     return i7 | 0;
    }
   default:
    {
     set32(i2 | 0, 77 | 0);
     i7 = 1;
     return i7 | 0;
    }
   }
   break;
  }
 case 33:
  {
   if ((get8(i1 + 1 >> 0 | 0) | 0) == 61) {
    set32(i2 | 0, 75 | 0);
    i7 = 2;
    return i7 | 0;
   } else {
    set32(i2 | 0, 148 | 0);
    i7 = 2;
    return i7 | 0;
   }
   break;
  }
 case 124:
  {
   if ((get8(i1 + 1 >> 0 | 0) | 0) == 124) {
    set32(i2 | 0, 91 | 0);
    i7 = 2;
    return i7 | 0;
   } else {
    set32(i2 | 0, 83 | 0);
    i7 = 1;
    return i7 | 0;
   }
   break;
  }
 case 44:
  {
   set32(i2 | 0, 25 | 0);
   i7 = 1;
   return i7 | 0;
  }
 case 38:
  {
   set32(i2 | 0, 82 | 0);
   i7 = 1;
   return i7 | 0;
  }
 case 126:
  {
   set32(i2 | 0, 93 | 0);
   i7 = 1;
   return i7 | 0;
  }
 case 34:
 case 39:
 case 96:
  {
   i10 = get8(i1 + 1 >> 0 | 0) | 0;
   L79 : do if (i10 << 24 >> 24) {
    i5 = i10;
    i14 = 1;
    while (1) {
     if (i5 << 24 >> 24 == i3 << 24 >> 24) {
      i13 = i14 + 1 | 0;
      if ((get8(i1 + i13 >> 0 | 0) | 0) == i3 << 24 >> 24) i19 = i13; else {
       i20 = i13;
       break;
      }
     } else i19 = i14;
     i13 = i19 + 1 | 0;
     i5 = get8(i1 + i13 >> 0 | 0) | 0;
     if (!(i5 << 24 >> 24)) {
      i21 = i13;
      break L79;
     } else i14 = i13;
    }
    if (i3 << 24 >> 24 == 39) {
     set32(i2 | 0, 94 | 0);
     i7 = i20;
     return i7 | 0;
    } else {
     set32(i2 | 0, 26 | 0);
     i7 = i20;
     return i7 | 0;
    }
   } else i21 = 1; while (0);
   set32(i2 | 0, 148 | 0);
   i7 = i21;
   return i7 | 0;
  }
 case 46:
  {
   if (((getU8(i1 + 1 >> 0 | 0) | 0) + -48 | 0) >>> 0 < 10) i22 = 52; else {
    set32(i2 | 0, 118 | 0);
    i7 = 1;
    return i7 | 0;
   }
   break;
  }
 case 57:
 case 56:
 case 55:
 case 54:
 case 53:
 case 52:
 case 51:
 case 50:
 case 49:
 case 48:
  {
   i22 = 52;
   break;
  }
 case 91:
  {
   i10 = 1;
   while (1) {
    i14 = get8(i1 + i10 >> 0 | 0) | 0;
    if (!(i14 << 24 >> 24)) {
     i23 = i14 & 255;
     i24 = i10;
     break;
    }
    i5 = i10 + 1 | 0;
    if (i14 << 24 >> 24 == 93) {
     i23 = 93;
     i24 = i5;
     break;
    } else i10 = i5;
   }
   set32(i2 | 0, ((i23 | 0) == 93 ? 26 : 148) | 0);
   i7 = i24;
   return i7 | 0;
  }
 case 63:
  {
   set32(i2 | 0, 133 | 0);
   i10 = 1;
   while (1) if (((getU8(i1 + i10 >> 0 | 0) | 0) + -48 | 0) >>> 0 < 10) i10 = i10 + 1 | 0; else {
    i7 = i10;
    break;
   }
   return i7 | 0;
  }
 case 35:
  {
   i10 = 1;
   while (1) if (((getU8(i1 + i10 >> 0 | 0) | 0) + -48 | 0) >>> 0 < 10) i10 = i10 + 1 | 0; else {
    i25 = i10;
    break;
   }
   if ((i25 | 0) > 1) {
    set32(i2 | 0, 132 | 0);
    i7 = i25;
    return i7 | 0;
   } else i22 = 74;
   break;
  }
 case 58:
 case 64:
 case 36:
  {
   i22 = 74;
   break;
  }
 case 88:
 case 120:
  {
   if ((get8(i1 + 1 >> 0 | 0) | 0) == 39) {
    set32(i2 | 0, 131 | 0);
    i10 = 2;
    while (1) {
     i5 = get8(i1 + i10 >> 0 | 0) | 0;
     if (!(get8(16821 + (i5 & 255) >> 0 | 0) & 8)) {
      i26 = i5;
      i27 = i10;
      break;
     } else i10 = i10 + 1 | 0;
    }
    if (i26 << 24 >> 24 == 39 & (i27 & 1 | 0) == 0) {
     i28 = 1;
     i29 = i27;
    } else {
     set32(i2 | 0, 148 | 0);
     i10 = i27;
     L117 : while (1) {
      i5 = get8(i1 + i10 >> 0 | 0) | 0;
      switch (i5 << 24 >> 24) {
      case 39:
      case 0:
       {
        i30 = i5;
        i31 = i10;
        break L117;
        break;
       }
      default:
       {}
      }
      i10 = i10 + 1 | 0;
     }
     i28 = i30 << 24 >> 24 != 0;
     i29 = i31;
    }
    i7 = (i28 & 1) + i29 | 0;
    return i7 | 0;
   } else i22 = 98;
   break;
  }
 default:
  i22 = 98;
 } while (0);
 if ((i22 | 0) == 52) {
  set32(i2 | 0, 129 | 0);
  i29 = 0;
  while (1) {
   i28 = get8(i1 + i29 >> 0 | 0) | 0;
   if (((i28 & 255) + -48 | 0) >>> 0 < 10) i29 = i29 + 1 | 0; else {
    i32 = i28;
    i33 = i29;
    break;
   }
  }
  if (i32 << 24 >> 24 == 46) {
   i29 = i33;
   while (1) {
    i28 = i29 + 1 | 0;
    i31 = i1 + i28 | 0;
    if (((getU8(i31 >> 0 | 0) | 0) + -48 | 0) >>> 0 < 10) i29 = i28; else {
     i34 = i31;
     i35 = i28;
     break;
    }
   }
   set32(i2 | 0, 130 | 0);
   i36 = get8(i34 >> 0 | 0) | 0;
   i37 = i35;
  } else {
   i36 = i32;
   i37 = i33;
  }
  L133 : do switch (i36 << 24 >> 24) {
  case 69:
  case 101:
   {
    i33 = get8(i1 + (i37 + 1) >> 0 | 0) | 0;
    if (((i33 & 255) + -48 | 0) >>> 0 >= 10) {
     switch (i33 << 24 >> 24) {
     case 45:
     case 43:
      break;
     default:
      {
       i38 = i36;
       i39 = i37;
       break L133;
      }
     }
     i33 = i37 + 2 | 0;
     if (((getU8(i1 + i33 >> 0 | 0) | 0) + -48 | 0) >>> 0 < 10) i40 = i33; else {
      i38 = i36;
      i39 = i37;
      break L133;
     }
    } else i40 = i37 + 2 | 0;
    while (1) {
     i33 = i1 + i40 | 0;
     if (((getU8(i33 >> 0 | 0) | 0) + -48 | 0) >>> 0 < 10) i40 = i40 + 1 | 0; else {
      i41 = i33;
      i42 = i40;
      break;
     }
    }
    set32(i2 | 0, 130 | 0);
    i38 = get8(i41 >> 0 | 0) | 0;
    i39 = i42;
    break;
   }
  default:
   {
    i38 = i36;
    i39 = i37;
   }
  } while (0);
  if (!(get8(16821 + (i38 & 255) >> 0 | 0) & 70)) {
   i7 = i39;
   return i7 | 0;
  } else i43 = i39;
  while (1) {
   set32(i2 | 0, 148 | 0);
   i39 = i43 + 1 | 0;
   if (!(get8(16821 + (getU8(i1 + i39 >> 0 | 0) | 0) >> 0 | 0) & 70)) {
    i7 = i39;
    break;
   } else i43 = i39;
  }
  return i7 | 0;
 } else if ((i22 | 0) == 74) {
  set32(i2 | 0, 133 | 0);
  i43 = get8(i1 + 1 >> 0 | 0) | 0;
  if (i43 << 24 >> 24) {
   i39 = i43;
   i43 = 1;
   i38 = 0;
   while (1) {
    if (!(get8(16821 + (i39 & 255) >> 0 | 0) & 70)) {
     if ((i38 | 0) > 0 & i39 << 24 >> 24 == 40) {
      i44 = i43;
      i45 = i38;
      i22 = 78;
      break;
     }
     if (i39 << 24 >> 24 != 58) {
      i46 = i43;
      i47 = i38;
      break;
     }
     i37 = i43 + 1 | 0;
     if ((get8(i1 + i37 >> 0 | 0) | 0) == 58) {
      i48 = i37;
      i49 = i38;
     } else {
      i46 = i43;
      i47 = i38;
      break;
     }
    } else {
     i48 = i43;
     i49 = i38 + 1 | 0;
    }
    i37 = i48 + 1 | 0;
    i39 = get8(i1 + i37 >> 0 | 0) | 0;
    if (!(i39 << 24 >> 24)) {
     i46 = i37;
     i47 = i49;
     break;
    } else {
     i43 = i37;
     i38 = i49;
    }
   }
   do if ((i22 | 0) == 78) {
    i49 = i44;
    while (1) {
     i38 = i49 + 1 | 0;
     i43 = get8(i1 + i38 >> 0 | 0) | 0;
     if (!(i43 << 24 >> 24)) {
      i50 = i38;
      break;
     }
     if (i43 << 24 >> 24 != 41 ? (get8(16821 + (i43 & 255) >> 0 | 0) & 1) == 0 : 0) i49 = i38; else {
      i51 = i38;
      i52 = i43;
      i53 = i49;
      i22 = 81;
      break;
     }
    }
    if ((i22 | 0) == 81) if (i52 << 24 >> 24 == 41) {
     i46 = i53 + 2 | 0;
     i47 = i45;
     break;
    } else i50 = i51;
    set32(i2 | 0, 148 | 0);
    i46 = i50;
    i47 = i45;
   } while (0);
   if (!i47) i54 = i46; else {
    i7 = i46;
    return i7 | 0;
   }
  } else i54 = 1;
  set32(i2 | 0, 148 | 0);
  i7 = i54;
  return i7 | 0;
 } else if ((i22 | 0) == 98) {
  if (!(get8(16821 + i4 >> 0 | 0) & 70)) {
   set32(i2 | 0, 148 | 0);
   i7 = 1;
   return i7 | 0;
  } else i55 = 1;
  while (1) if (!(get8(16821 + (getU8(i1 + i55 >> 0 | 0) | 0) >> 0 | 0) & 70)) {
   i56 = i55;
   break;
  } else i55 = i55 + 1 | 0;
  L178 : do if ((i56 | 0) >= 2 ? (i55 = get8(24934 + ((getU8(16286 + i4 >> 0 | 0) << 2 ^ i56 ^ (getU8(16286 + (getU8(i1 + (i56 + -1) >> 0 | 0) | 0) >> 0 | 0) | 0) * 3 | 0) % 127 | 0) >> 0 | 0) | 0, i55 << 24 >> 24 != 0) : 0) {
   i54 = i55 & 255;
   L181 : while (1) {
    i55 = i54 + -1 | 0;
    if ((getU8(25182 + i55 >> 0 | 0) | 0) == (i56 | 0)) {
     i46 = i56;
     i47 = 24394 + (getU16(10190 + (i55 << 1) | 0) | 0) | 0;
     i45 = i1;
     while (1) {
      i50 = get8(i47 >> 0 | 0) | 0;
      if (!(i50 << 24 >> 24)) {
       i57 = i45;
       i22 = 106;
       break;
      }
      i51 = get8(16286 + (i50 & 255) >> 0 | 0) | 0;
      i50 = get8(16286 + (getU8(i45 >> 0 | 0) | 0) >> 0 | 0) | 0;
      if (i51 << 24 >> 24 != i50 << 24 >> 24) {
       i58 = i51;
       i59 = i50;
       break;
      }
      if ((i46 | 0) > 1) {
       i46 = i46 + -1 | 0;
       i47 = i47 + 1 | 0;
       i45 = i45 + 1 | 0;
      } else {
       i60 = i55;
       break L181;
      }
     }
     if ((i22 | 0) == 106) {
      i22 = 0;
      i58 = 0;
      i59 = get8(16286 + (getU8(i57 >> 0 | 0) | 0) >> 0 | 0) | 0;
     }
     if (i58 << 24 >> 24 == i59 << 24 >> 24) {
      i60 = i55;
      break;
     }
    }
    i45 = get8(25061 + i55 >> 0 | 0) | 0;
    if (!(i45 << 24 >> 24)) {
     i61 = 26;
     break L178;
    } else i54 = i45 & 255;
   }
   i61 = getU8(25303 + i60 >> 0 | 0) | 0;
  } else i61 = 26; while (0);
  set32(i2 | 0, i61 | 0);
  i7 = i56;
  return i7 | 0;
 }
 return 0;
}

function _sqlite3HashInsert(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0;
 i5 = get32(i1 | 0) | 0;
 if (!i5) i6 = 0; else {
  if ((i3 | 0) > 0) {
   i7 = i2;
   i8 = i3;
   i9 = 0;
   while (1) {
    i10 = i9 << 3 ^ i9 ^ (getU8(16286 + (getU8(i7 >> 0 | 0) | 0) >> 0 | 0) | 0);
    if ((i8 | 0) > 1) {
     i7 = i7 + 1 | 0;
     i8 = i8 + -1 | 0;
     i9 = i10;
    } else {
     i11 = i10;
     break;
    }
   }
  } else i11 = 0;
  i6 = (i11 >>> 0) % (i5 >>> 0) | 0;
 }
 i5 = i1 + 12 | 0;
 i11 = get32(i5 | 0) | 0;
 i9 = (i11 | 0) == 0;
 i8 = i1 + 8 | 0;
 i7 = i1 + 4 | 0;
 i10 = i11 + (i6 << 3) + 4 | 0;
 i12 = i11 + (i6 << 3) | 0;
 i11 = get32((i9 ? i7 : i12) | 0) | 0;
 i13 = get32((i9 ? i8 : i10) | 0) | 0;
 L8 : do if ((i11 | 0) != 0 & (i13 | 0) != 0) {
  i14 = (i3 | 0) > 0;
  i15 = i11;
  i16 = i13;
  L10 : while (1) {
   i15 = i15 + -1 | 0;
   if ((get32(i16 + 16 | 0) | 0) == (i3 | 0)) {
    if (!i14) {
     i17 = i16;
     break;
    }
    i18 = i3;
    i19 = get32(i16 + 12 | 0) | 0;
    i20 = i2;
    while (1) {
     i21 = get8(i19 >> 0 | 0) | 0;
     if (!(i21 << 24 >> 24)) {
      i22 = i20;
      i23 = 11;
      break;
     }
     i24 = get8(16286 + (i21 & 255) >> 0 | 0) | 0;
     i21 = get8(16286 + (getU8(i20 >> 0 | 0) | 0) >> 0 | 0) | 0;
     if (i24 << 24 >> 24 != i21 << 24 >> 24) {
      i25 = i24;
      i26 = i21;
      break;
     }
     if ((i18 | 0) > 1) {
      i18 = i18 + -1 | 0;
      i19 = i19 + 1 | 0;
      i20 = i20 + 1 | 0;
     } else {
      i17 = i16;
      break L10;
     }
    }
    if ((i23 | 0) == 11) {
     i23 = 0;
     i25 = 0;
     i26 = get8(16286 + (getU8(i22 >> 0 | 0) | 0) >> 0 | 0) | 0;
    }
    if (i25 << 24 >> 24 == i26 << 24 >> 24) {
     i17 = i16;
     break;
    }
   }
   i16 = get32(i16 | 0) | 0;
   if (!((i15 | 0) != 0 & (i16 | 0) != 0)) break L8;
  }
  if (i17) {
   i16 = i17 + 8 | 0;
   i15 = get32(i16 | 0) | 0;
   if (i4) {
    set32(i16 | 0, i4 | 0);
    set32(i17 + 12 | 0, i2 | 0);
    i27 = i15;
    return i27 | 0;
   }
   i16 = get32(i17 + 4 | 0) | 0;
   i14 = get32(i17 | 0) | 0;
   if (!i16) {
    set32(i8 | 0, i14 | 0);
    i28 = i14;
    i29 = i14;
   } else {
    set32(i16 | 0, i14 | 0);
    i14 = get32(i17 | 0) | 0;
    i28 = i14;
    i29 = i14;
   }
   if (i28) set32(i28 + 4 | 0, i16 | 0);
   if (!i9) {
    if ((get32(i10 | 0) | 0) == (i17 | 0)) set32(i10 | 0, i29 | 0);
    set32(i12 | 0, (get32(i12 | 0) | 0) + -1 | 0);
   }
   if (!(get32(50 * 4 | 0) | 0)) FUNCTION_TABLE_vi[get32(232 | 0) & 31](i17); else {
    i16 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i17) | 0;
    i14 = (get32(30 * 4 | 0) | 0) - i16 | 0;
    set32(30 * 4 | 0, i14 | 0);
    if ((i14 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i14 | 0);
    i14 = (get32(39 * 4 | 0) | 0) + -1 | 0;
    set32(39 * 4 | 0, i14 | 0);
    if ((i14 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i14 | 0);
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i17);
   }
   i14 = (get32(i7 | 0) | 0) + -1 | 0;
   set32(i7 | 0, i14 | 0);
   if (i14) {
    i27 = i15;
    return i27 | 0;
   }
   i14 = get32(i8 | 0) | 0;
   set32(i8 | 0, 0 | 0);
   i16 = get32(i5 | 0) | 0;
   do if (i16) {
    if (!(get32(50 * 4 | 0) | 0)) {
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i16);
     break;
    }
    i20 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i16) | 0;
    i19 = (get32(30 * 4 | 0) | 0) - i20 | 0;
    set32(30 * 4 | 0, i19 | 0);
    if ((i19 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i19 | 0);
    i19 = (get32(39 * 4 | 0) | 0) + -1 | 0;
    set32(39 * 4 | 0, i19 | 0);
    if ((i19 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i19 | 0);
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i16);
   } while (0);
   set32(i5 | 0, 0 | 0);
   set32(i1 | 0, 0 | 0);
   if (i14) {
    i16 = i14;
    do {
     i19 = i16;
     i16 = get32(i16 | 0) | 0;
     do if (i19) {
      if (!(get32(50 * 4 | 0) | 0)) {
       FUNCTION_TABLE_vi[get32(232 | 0) & 31](i19);
       break;
      }
      i20 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i19) | 0;
      i18 = (get32(30 * 4 | 0) | 0) - i20 | 0;
      set32(30 * 4 | 0, i18 | 0);
      if ((i18 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i18 | 0);
      i18 = (get32(39 * 4 | 0) | 0) + -1 | 0;
      set32(39 * 4 | 0, i18 | 0);
      if ((i18 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i18 | 0);
      FUNCTION_TABLE_vi[get32(232 | 0) & 31](i19);
     } while (0);
    } while ((i16 | 0) != 0);
   }
   set32(i7 | 0, 0 | 0);
   i27 = i15;
   return i27 | 0;
  }
 } while (0);
 if (!i4) {
  i27 = 0;
  return i27 | 0;
 }
 if (!(get32(50 * 4 | 0) | 0)) {
  i17 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](20) | 0;
  if (!i17) {
   i27 = i4;
   return i27 | 0;
  } else i30 = i17;
 } else {
  i17 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](20) | 0;
  set32(35 * 4 | 0, 20 | 0);
  if ((get32(45 * 4 | 0) | 0) < 20) set32(45 * 4 | 0, 20 | 0);
  i12 = get32(6 * 4 | 0) | 0;
  do if (i12) {
   i29 = get32(30 * 4 | 0) | 0;
   i10 = ((i29 | 0) < 0) << 31 >> 31;
   i9 = 16;
   i28 = _i64Subtract(get32(i9 | 0) | 0, get32(i9 + 4 | 0) | 0, i17 | 0, ((i17 | 0) < 0) << 31 >> 31 | 0) | 0;
   i9 = tempRet0;
   if ((i10 | 0) < (i9 | 0) | (i10 | 0) == (i9 | 0) & i29 >>> 0 < i28 >>> 0) {
    set32(11 * 4 | 0, 0 | 0);
    break;
   } else {
    set32(11 * 4 | 0, 1 | 0);
    i28 = get32(7 * 4 | 0) | 0;
    set32(6 * 4 | 0, 0 | 0);
    FUNCTION_TABLE_viiii[i12 & 15](i28, i29, i10, i17);
    set32(6 * 4 | 0, i12 | 0);
    set32(7 * 4 | 0, i28 | 0);
    break;
   }
  } while (0);
  i12 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i17) | 0;
  if (!i12) {
   i27 = i4;
   return i27 | 0;
  }
  i17 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i12) | 0;
  i28 = (get32(30 * 4 | 0) | 0) + i17 | 0;
  set32(30 * 4 | 0, i28 | 0);
  if ((i28 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i28 | 0);
  i28 = get32(39 * 4 | 0) | 0;
  i17 = i28 + 1 | 0;
  set32(39 * 4 | 0, i17 | 0);
  if ((i28 | 0) < (get32(49 * 4 | 0) | 0)) i30 = i12; else {
   set32(49 * 4 | 0, i17 | 0);
   i30 = i12;
  }
 }
 set32(i30 + 12 | 0, i2 | 0);
 set32(i30 + 16 | 0, i3 | 0);
 set32(i30 + 8 | 0, i4 | 0);
 i4 = (get32(i7 | 0) | 0) + 1 | 0;
 set32(i7 | 0, i4 | 0);
 if ((i4 >>> 0 > 9 ? (i7 = get32(i1 | 0) | 0, i4 >>> 0 > i7 << 1 >>> 0) : 0) ? (i12 = i4 << 4 >>> 0 > 1024 ? 128 : i4 << 1, (i12 | 0) != (i7 | 0)) : 0) {
  i7 = get32(366 * 4 | 0) | 0;
  if (i7) FUNCTION_TABLE_v[i7 & 1]();
  i7 = i12 << 3;
  do if ((i7 + -1 | 0) >>> 0 <= 2147483390) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i31 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i7) | 0;
    break;
   }
   i12 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i7) | 0;
   set32(35 * 4 | 0, i7 | 0);
   if ((get32(45 * 4 | 0) | 0) < (i7 | 0)) set32(45 * 4 | 0, i7 | 0);
   i4 = get32(6 * 4 | 0) | 0;
   do if (i4) {
    i17 = get32(30 * 4 | 0) | 0;
    i28 = ((i17 | 0) < 0) << 31 >> 31;
    i10 = 16;
    i29 = _i64Subtract(get32(i10 | 0) | 0, get32(i10 + 4 | 0) | 0, i12 | 0, ((i12 | 0) < 0) << 31 >> 31 | 0) | 0;
    i10 = tempRet0;
    if ((i28 | 0) < (i10 | 0) | (i28 | 0) == (i10 | 0) & i17 >>> 0 < i29 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i29 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i4 & 15](i29, i17, i28, i12);
     set32(6 * 4 | 0, i4 | 0);
     set32(7 * 4 | 0, i29 | 0);
     break;
    }
   } while (0);
   i4 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i12) | 0;
   if (i4) {
    i15 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i4) | 0;
    i29 = (get32(30 * 4 | 0) | 0) + i15 | 0;
    set32(30 * 4 | 0, i29 | 0);
    if ((i29 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i29 | 0);
    i29 = get32(39 * 4 | 0) | 0;
    i15 = i29 + 1 | 0;
    set32(39 * 4 | 0, i15 | 0);
    if ((i29 | 0) < (get32(49 * 4 | 0) | 0)) i31 = i4; else {
     set32(49 * 4 | 0, i15 | 0);
     i31 = i4;
    }
   } else i31 = 0;
  } else i31 = 0; while (0);
  i7 = get32(367 * 4 | 0) | 0;
  if (i7) FUNCTION_TABLE_v[i7 & 1]();
  if (i31) {
   i7 = get32(i5 | 0) | 0;
   do if (i7) {
    if (!(get32(50 * 4 | 0) | 0)) {
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i7);
     break;
    }
    i4 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i7) | 0;
    i15 = (get32(30 * 4 | 0) | 0) - i4 | 0;
    set32(30 * 4 | 0, i15 | 0);
    if ((i15 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i15 | 0);
    i15 = (get32(39 * 4 | 0) | 0) + -1 | 0;
    set32(39 * 4 | 0, i15 | 0);
    if ((i15 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i15 | 0);
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i7);
   } while (0);
   set32(i5 | 0, i31 | 0);
   i7 = (FUNCTION_TABLE_ii[get32(240 | 0) & 127](i31) | 0) >>> 3;
   set32(i1 | 0, i7 | 0);
   _memset(i31 | 0, 0, i7 << 3 | 0) | 0;
   i15 = get32(i8 | 0) | 0;
   set32(i8 | 0, 0 | 0);
   if (i15) {
    i4 = 0;
    i29 = i15;
    while (1) {
     i15 = get32(i29 + 16 | 0) | 0;
     if ((i15 | 0) > 0) {
      i28 = get32(i29 + 12 | 0) | 0;
      i17 = i15;
      i15 = 0;
      while (1) {
       i10 = i15 << 3 ^ i15 ^ (getU8(16286 + (getU8(i28 >> 0 | 0) | 0) >> 0 | 0) | 0);
       if ((i17 | 0) > 1) {
        i28 = i28 + 1 | 0;
        i17 = i17 + -1 | 0;
        i15 = i10;
       } else {
        i32 = i10;
        break;
       }
      }
     } else i32 = 0;
     i15 = (i32 >>> 0) % (i7 >>> 0) | 0;
     i17 = i29;
     i29 = get32(i29 | 0) | 0;
     i28 = i31 + (i15 << 3) | 0;
     do if (!i28) i23 = 112; else {
      i12 = get32(i28 | 0) | 0;
      if (!i12) {
       set32(i28 | 0, 1 | 0);
       set32(i31 + (i15 << 3) + 4 | 0, i17 | 0);
       i23 = 112;
       break;
      }
      i10 = i31 + (i15 << 3) + 4 | 0;
      i9 = get32(i10 | 0) | 0;
      set32(i28 | 0, i12 + 1 | 0);
      set32(i10 | 0, i17 | 0);
      if (!i9) {
       i23 = 112;
       break;
      }
      set32(i17 | 0, i9 | 0);
      i10 = i9 + 4 | 0;
      set32(i17 + 4 | 0, get32(i10 | 0) | 0);
      i9 = get32(i10 | 0) | 0;
      if (!i9) {
       set32(i8 | 0, i17 | 0);
       i33 = i17;
      } else {
       set32(i9 | 0, i17 | 0);
       i33 = i4;
      }
      set32(i10 | 0, i17 | 0);
      i34 = i33;
     } while (0);
     if ((i23 | 0) == 112) {
      i23 = 0;
      set32(i17 | 0, i4 | 0);
      if (i4) set32(i4 + 4 | 0, i17 | 0);
      set32(i17 + 4 | 0, 0 | 0);
      set32(i8 | 0, i17 | 0);
      i34 = i17;
     }
     if (!i29) break; else i4 = i34;
    }
   }
   if ((i3 | 0) > 0) {
    i34 = i2;
    i2 = i3;
    i3 = 0;
    while (1) {
     i4 = i3 << 3 ^ i3 ^ (getU8(16286 + (getU8(i34 >> 0 | 0) | 0) >> 0 | 0) | 0);
     if ((i2 | 0) > 1) {
      i34 = i34 + 1 | 0;
      i2 = i2 + -1 | 0;
      i3 = i4;
     } else {
      i35 = i4;
      break;
     }
    }
   } else i35 = 0;
   i36 = (i35 >>> 0) % ((get32(i1 | 0) | 0) >>> 0) | 0;
  } else i36 = i6;
 } else i36 = i6;
 i6 = get32(i5 | 0) | 0;
 if (!i6) {
  i5 = get32(i8 | 0) | 0;
  set32(i30 | 0, i5 | 0);
  if (i5) set32(i5 + 4 | 0, i30 | 0);
  set32(i30 + 4 | 0, 0 | 0);
  set32(i8 | 0, i30 | 0);
  i27 = 0;
  return i27 | 0;
 }
 i5 = i6 + (i36 << 3) | 0;
 do if (i5) {
  i1 = get32(i5 | 0) | 0;
  if (!i1) {
   set32(i5 | 0, 1 | 0);
   set32(i6 + (i36 << 3) + 4 | 0, i30 | 0);
   break;
  }
  i35 = i6 + (i36 << 3) + 4 | 0;
  i3 = get32(i35 | 0) | 0;
  set32(i5 | 0, i1 + 1 | 0);
  set32(i35 | 0, i30 | 0);
  if (i3) {
   set32(i30 | 0, i3 | 0);
   i35 = i3 + 4 | 0;
   set32(i30 + 4 | 0, get32(i35 | 0) | 0);
   i3 = get32(i35 | 0) | 0;
   if (!i3) set32(i8 | 0, i30 | 0); else set32(i3 | 0, i30 | 0);
   set32(i35 | 0, i30 | 0);
   i27 = 0;
   return i27 | 0;
  }
 } while (0);
 i5 = get32(i8 | 0) | 0;
 set32(i30 | 0, i5 | 0);
 if (i5) set32(i5 + 4 | 0, i30 | 0);
 set32(i30 + 4 | 0, 0 | 0);
 set32(i8 | 0, i30 | 0);
 i27 = 0;
 return i27 | 0;
}

function _openStatTable(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0;
 i6 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i7 = i6 + 16 | 0;
 i8 = i6;
 i9 = get32(i1 | 0) | 0;
 i10 = i1 + 12 | 0;
 i11 = get32(i10 | 0) | 0;
 if (!i11) {
  L3 : do if (!i9) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i12 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
    i13 = 39;
    break;
   }
   i14 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
   set32(35 * 4 | 0, 192 | 0);
   if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
   i15 = get32(6 * 4 | 0) | 0;
   do if (i15) {
    i16 = get32(30 * 4 | 0) | 0;
    i17 = ((i16 | 0) < 0) << 31 >> 31;
    i18 = 16;
    i19 = _i64Subtract(get32(i18 | 0) | 0, get32(i18 + 4 | 0) | 0, i14 | 0, ((i14 | 0) < 0) << 31 >> 31 | 0) | 0;
    i18 = tempRet0;
    if ((i17 | 0) < (i18 | 0) | (i17 | 0) == (i18 | 0) & i16 >>> 0 < i19 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i19 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i15 & 15](i19, i16, i17, i14);
     set32(6 * 4 | 0, i15 | 0);
     set32(7 * 4 | 0, i19 | 0);
     break;
    }
   } while (0);
   i15 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i14) | 0;
   if (i15) {
    i19 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i15) | 0;
    i17 = (get32(30 * 4 | 0) | 0) + i19 | 0;
    set32(30 * 4 | 0, i17 | 0);
    if ((i17 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i17 | 0);
    i17 = get32(39 * 4 | 0) | 0;
    i19 = i17 + 1 | 0;
    set32(39 * 4 | 0, i19 | 0);
    if ((i17 | 0) < (get32(49 * 4 | 0) | 0)) i20 = i15; else {
     set32(49 * 4 | 0, i19 | 0);
     i20 = i15;
    }
   } else i13 = 49;
  } else {
   i15 = i9 + 30 | 0;
   if (!(get8(i15 >> 0 | 0) | 0)) {
    do if (get8(i9 + 234 >> 0 | 0) | 0) {
     if ((getU16(i9 + 232 | 0) | 0) < 192) {
      i19 = i9 + 248 | 0;
      set32(i19 | 0, (get32(i19 | 0) | 0) + 1 | 0);
      break;
     }
     i19 = i9 + 256 | 0;
     i17 = get32(i19 | 0) | 0;
     if (!i17) {
      i16 = i9 + 252 | 0;
      set32(i16 | 0, (get32(i16 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i19 | 0, get32(i17 | 0) | 0);
     i19 = i9 + 236 | 0;
     i16 = get32(i19 | 0) | 0;
     i18 = i16 + 1 | 0;
     set32(i19 | 0, i18 | 0);
     i19 = i9 + 244 | 0;
     set32(i19 | 0, (get32(i19 | 0) | 0) + 1 | 0);
     i19 = i9 + 240 | 0;
     if ((i16 | 0) >= (get32(i19 | 0) | 0)) set32(i19 | 0, i18 | 0);
     i12 = i17;
     i13 = 39;
     break L3;
    } while (0);
    if (!(get32(50 * 4 | 0) | 0)) {
     i14 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
     if (i14) {
      i20 = i14;
      break;
     }
    } else {
     i14 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
     set32(35 * 4 | 0, 192 | 0);
     if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
     i17 = get32(6 * 4 | 0) | 0;
     do if (i17) {
      i18 = get32(30 * 4 | 0) | 0;
      i19 = ((i18 | 0) < 0) << 31 >> 31;
      i16 = 16;
      i21 = _i64Subtract(get32(i16 | 0) | 0, get32(i16 + 4 | 0) | 0, i14 | 0, ((i14 | 0) < 0) << 31 >> 31 | 0) | 0;
      i16 = tempRet0;
      if ((i19 | 0) < (i16 | 0) | (i19 | 0) == (i16 | 0) & i18 >>> 0 < i21 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i21 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i17 & 15](i21, i18, i19, i14);
       set32(6 * 4 | 0, i17 | 0);
       set32(7 * 4 | 0, i21 | 0);
       break;
      }
     } while (0);
     i17 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i14) | 0;
     if (i17) {
      i21 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i17) | 0;
      i19 = (get32(30 * 4 | 0) | 0) + i21 | 0;
      set32(30 * 4 | 0, i19 | 0);
      if ((i19 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i19 | 0);
      i19 = get32(39 * 4 | 0) | 0;
      i21 = i19 + 1 | 0;
      set32(39 * 4 | 0, i21 | 0);
      if ((i19 | 0) < (get32(49 * 4 | 0) | 0)) {
       i20 = i17;
       break;
      }
      set32(49 * 4 | 0, i21 | 0);
      i20 = i17;
      break;
     }
    }
    set8(i15 >> 0 | 0, 1 | 0);
    i13 = 49;
   } else i13 = 49;
  } while (0);
  if ((i13 | 0) == 39) if (!i12) i13 = 49; else i20 = i12;
  if ((i13 | 0) == 49) {
   set32(i10 | 0, 0 | 0);
   STACKTOP = i6;
   return;
  }
  _memset(i20 | 0, 0, 192) | 0;
  set32(i20 | 0, i9 | 0);
  i12 = i9 + 136 | 0;
  i17 = get32(i12 | 0) | 0;
  if (i17) set32(i17 + 60 | 0, i20 | 0);
  set32(i20 + 64 | 0, i17 | 0);
  set32(i20 + 60 | 0, 0 | 0);
  set32(i12 | 0, i20 | 0);
  set32(i20 + 52 | 0, 649915045 | 0);
  set32(i10 | 0, i20 | 0);
  i10 = i20 + 28 | 0;
  i12 = i20 + 32 | 0;
  i17 = i20 + 4 | 0;
  i21 = _sqlite3DbRealloc(i9, 0, 1020) | 0;
  if (!i21) i22 = i20; else {
   i19 = get32(i20 | 0) | 0;
   if (((i19 | 0) != 0 ? (get32(i19 + 260 | 0) | 0) >>> 0 <= i21 >>> 0 : 0) ? (get32(i19 + 264 | 0) | 0) >>> 0 > i21 >>> 0 : 0) i23 = getU16(i19 + 232 | 0) | 0; else i23 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i21) | 0;
   set32(i12 | 0, (i23 >>> 0) / 20 | 0 | 0);
   set32(i17 | 0, i21 | 0);
   set32(i10 | 0, (get32(i10 | 0) | 0) + 1 | 0);
   set8(i21 >> 0 | 0, -120 | 0);
   set8(i21 + 1 >> 0 | 0, 0 | 0);
   i10 = i21 + 3 | 0;
   i21 = i10 + 17 | 0;
   do {
    set8(i10 >> 0 | 0, 0 | 0);
    i10 = i10 + 1 | 0;
   } while ((i10 | 0) < (i21 | 0));
   i22 = i20;
  }
 } else i22 = i11;
 i11 = get32(i9 + 8 | 0) | 0;
 i20 = i11 + (i2 << 4) | 0;
 i10 = i1 + 424 | 0;
 i21 = (i4 | 0) == 0;
 i17 = i22 + 28 | 0;
 i23 = i22 + 32 | 0;
 i12 = i22 + 4 | 0;
 i19 = i1 + 412 | 0;
 i18 = get32(i20 | 0) | 0;
 i16 = get32(i9 + 4 | 0) | 0;
 do if ((i16 | 0) > 0) {
  i9 = (i18 | 0) == 0;
  i24 = 0;
  i25 = 0;
  while (1) {
   i26 = (i24 | 0) < 2 ^ i24;
   if (!i9) {
    i27 = get32(i11 + (i26 << 4) | 0) | 0;
    i28 = get8(i18 >> 0 | 0) | 0;
    L78 : do if (!(i28 << 24 >> 24)) {
     i29 = 0;
     i30 = i27;
    } else {
     i31 = i28;
     i32 = i18;
     i33 = i27;
     while (1) {
      if ((get8(16286 + (i31 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i33 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
       i29 = i31;
       i30 = i33;
       break L78;
      }
      i32 = i32 + 1 | 0;
      i34 = i33 + 1 | 0;
      i31 = get8(i32 >> 0 | 0) | 0;
      if (!(i31 << 24 >> 24)) {
       i29 = 0;
       i30 = i34;
       break;
      } else i33 = i34;
     }
    } while (0);
    if ((get8(16286 + (i29 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i30 >> 0 | 0) | 0) >> 0 | 0) | 0)) i35 = i25; else i13 = 59;
   } else i13 = 59;
   if ((i13 | 0) == 59) {
    i13 = 0;
    i27 = _sqlite3HashFind((get32(i11 + (i26 << 4) + 12 | 0) | 0) + 8 | 0, 21982, 12) | 0;
    if (!i27) i35 = i27; else {
     i36 = i27;
     break;
    }
   }
   i24 = i24 + 1 | 0;
   if ((i24 | 0) >= (i16 | 0)) {
    i36 = i35;
    break;
   } else i25 = i35;
  }
  if (i36) {
   i25 = get32(i36 + 20 | 0) | 0;
   i24 = get32(i10 | 0) | 0;
   i9 = (i24 | 0) == 0 ? i1 : i24;
   i24 = i9 + 400 | 0;
   i15 = get32(i24 | 0) | 0;
   i14 = i9 + 404 | 0;
   do if ((i15 | 0) > 0) {
    i27 = get32(i14 | 0) | 0;
    i28 = 0;
    while (1) {
     if ((get32(i27 + (i28 << 4) | 0) | 0) == (i2 | 0) ? (get32(i27 + (i28 << 4) + 4 | 0) | 0) == (i25 | 0) : 0) {
      i37 = i28;
      i13 = 68;
      break;
     }
     i28 = i28 + 1 | 0;
     if ((i28 | 0) >= (i15 | 0)) {
      i13 = 70;
      break;
     }
    }
    if ((i13 | 0) == 68) {
     set8(i27 + (i37 << 4) + 8 >> 0 | 0, 1 | 0);
     break;
    } else if ((i13 | 0) == 70) {
     i38 = i14;
     i39 = i27;
     i13 = 71;
     break;
    }
   } else {
    i38 = i14;
    i39 = get32(i14 | 0) | 0;
    i13 = 71;
   } while (0);
   do if ((i13 | 0) == 71) {
    i14 = get32(i9 | 0) | 0;
    i28 = _sqlite3DbRealloc(i14, i39, (i15 << 4) + 16 | 0) | 0;
    if (!i28) {
     _sqlite3DbFree(i14, i39);
     set32(i38 | 0, 0 | 0);
     set32(i24 | 0, 0 | 0);
     set8((get32(i9 | 0) | 0) + 30 >> 0 | 0, 1 | 0);
     break;
    } else {
     set32(i38 | 0, i28 | 0);
     i14 = get32(i24 | 0) | 0;
     set32(i24 | 0, i14 + 1 | 0);
     set32(i28 + (i14 << 4) | 0, i2 | 0);
     set32(i28 + (i14 << 4) + 4 | 0, i25 | 0);
     set8(i28 + (i14 << 4) + 8 >> 0 | 0, 1 | 0);
     set32(i28 + (i14 << 4) + 12 | 0, 21982 | 0);
     break;
    }
   } while (0);
   if (!i21) {
    set32(i7 | 0, get32(i20 | 0) | 0);
    set32(i7 + 4 | 0, 21982 | 0);
    set32(i7 + 8 | 0, i5 | 0);
    set32(i7 + 12 | 0, i4 | 0);
    _sqlite3NestedParse(i1, 36256, i7);
    i40 = i25;
    i41 = 0;
    break;
   }
   i24 = get32(i17 | 0) | 0;
   i9 = get32(i23 | 0) | 0;
   if ((i9 | 0) > (i24 | 0)) {
    i42 = i24;
    i43 = get32(i12 | 0) | 0;
   } else {
    i15 = _sqlite3DbRealloc(get32(i22 | 0) | 0, get32(i12 | 0) | 0, (i9 | 0) == 0 ? 1020 : i9 * 40 | 0) | 0;
    if (!i15) {
     i40 = i25;
     i41 = 0;
     break;
    }
    i9 = get32(i22 | 0) | 0;
    if (((i9 | 0) != 0 ? (get32(i9 + 260 | 0) | 0) >>> 0 <= i15 >>> 0 : 0) ? (get32(i9 + 264 | 0) | 0) >>> 0 > i15 >>> 0 : 0) i44 = getU16(i9 + 232 | 0) | 0; else i44 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i15) | 0;
    set32(i23 | 0, (i44 >>> 0) / 20 | 0 | 0);
    set32(i12 | 0, i15 | 0);
    i42 = get32(i17 | 0) | 0;
    i43 = i15;
   }
   set32(i17 | 0, i42 + 1 | 0);
   set8(i43 + (i24 * 20 | 0) >> 0 | 0, 96 | 0);
   set8(i43 + (i24 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i43 + (i24 * 20 | 0) + 4 | 0, i25 | 0);
   set32(i43 + (i24 * 20 | 0) + 8 | 0, i2 | 0);
   set32(i43 + (i24 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i43 + (i24 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i43 + (i24 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i40 = i25;
   i41 = 0;
  } else i13 = 62;
 } else i13 = 62; while (0);
 if ((i13 | 0) == 62) {
  set32(i8 | 0, i18 | 0);
  set32(i8 + 4 | 0, 21982 | 0);
  set32(i8 + 8 | 0, 36220 | 0);
  _sqlite3NestedParse(i1, 36233, i8);
  i40 = get32(i19 | 0) | 0;
  i41 = 1;
 }
 i19 = get32(i17 | 0) | 0;
 i8 = get32(i23 | 0) | 0;
 if ((i8 | 0) <= (i19 | 0)) {
  i1 = _sqlite3DbRealloc(get32(i22 | 0) | 0, get32(i12 | 0) | 0, (i8 | 0) == 0 ? 1020 : i8 * 40 | 0) | 0;
  if (i1) {
   i8 = get32(i22 | 0) | 0;
   if (((i8 | 0) != 0 ? (get32(i8 + 260 | 0) | 0) >>> 0 <= i1 >>> 0 : 0) ? (get32(i8 + 264 | 0) | 0) >>> 0 > i1 >>> 0 : 0) i45 = getU16(i8 + 232 | 0) | 0; else i45 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i1) | 0;
   set32(i23 | 0, (i45 >>> 0) / 20 | 0 | 0);
   set32(i12 | 0, i1 | 0);
   i46 = get32(i17 | 0) | 0;
   i47 = i1;
   i13 = 93;
  }
 } else {
  i46 = i19;
  i47 = get32(i12 | 0) | 0;
  i13 = 93;
 }
 if ((i13 | 0) == 93) {
  set32(i17 | 0, i46 + 1 | 0);
  set8(i47 + (i19 * 20 | 0) >> 0 | 0, 39 | 0);
  set8(i47 + (i19 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i47 + (i19 * 20 | 0) + 4 | 0, i3 | 0);
  set32(i47 + (i19 * 20 | 0) + 8 | 0, i40 | 0);
  set32(i47 + (i19 * 20 | 0) + 12 | 0, i2 | 0);
  set32(i47 + (i19 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i47 + (i19 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
 }
 i19 = get32(i22 | 0) | 0;
 i22 = get32(i12 | 0) | 0;
 if (!i22) {
  STACKTOP = i6;
  return;
 }
 if (!(get8(i19 + 30 >> 0 | 0) | 0)) {
  i47 = (get32(i17 | 0) | 0) + -1 | 0;
  i2 = i22 + (i47 * 20 | 0) + 1 | 0;
  i40 = i22 + (i47 * 20 | 0) + 16 | 0;
  _freeP4(i19, get8(i2 >> 0 | 0) | 0, get32(i40 | 0) | 0);
  set32(i40 | 0, 3 | 0);
  set8(i2 >> 0 | 0, -14 | 0);
  i2 = get32(i12 | 0) | 0;
  if (!i2) {
   STACKTOP = i6;
   return;
  } else i48 = i2;
 } else i48 = i22;
 set8(i48 + (((get32(i17 | 0) | 0) + -1 | 0) * 20 | 0) + 3 >> 0 | 0, i41 | 0);
 STACKTOP = i6;
 return;
}

function _openDatabase(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 112 | 0;
 i6 = i5 + 80 | 0;
 i7 = i5 + 72 | 0;
 i8 = i5 + 64 | 0;
 i9 = i5 + 56 | 0;
 i10 = i5 + 48 | 0;
 i11 = i5 + 40 | 0;
 i12 = i5 + 32 | 0;
 i13 = i5 + 24 | 0;
 i14 = i5 + 16 | 0;
 i15 = i5 + 8 | 0;
 i16 = i5;
 i17 = i5 + 96 | 0;
 i18 = i5 + 92 | 0;
 i19 = i5 + 88 | 0;
 set32(i17 | 0, i3 | 0);
 set32(i18 | 0, 0 | 0);
 set32(i19 | 0, 0 | 0);
 set32(i2 | 0, 0 | 0);
 i20 = _sqlite3_initialize() | 0;
 if (i20) {
  i21 = i20;
  STACKTOP = i5;
  return i21 | 0;
 }
 if (!(1 << (i3 & 7) & 70)) {
  set32(i16 | 0, 109985 | 0);
  set32(i16 + 4 | 0, 17203 | 0);
  _sqlite3_log(21, 39226, i16);
  i21 = 21;
  STACKTOP = i5;
  return i21 | 0;
 }
 if ((i3 & 32768 | 0) == 0 & (get32(51 * 4 | 0) | 0) != 0) i22 = (i3 & 65536 | 0) == 0 ? get32(52 * 4 | 0) | 0 : 1; else i22 = 0;
 if (!(i3 & 262144)) if (!(get32(96 * 4 | 0) | 0)) i23 = i3; else {
  i16 = i3 | 131072;
  set32(i17 | 0, i16 | 0);
  i23 = i16;
 } else {
  i16 = i3 & -131073;
  set32(i17 | 0, i16 | 0);
  i23 = i16;
 }
 i16 = i23 & -655129;
 set32(i17 | 0, i16 | 0);
 if (!(get32(50 * 4 | 0) | 0)) {
  i23 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](512) | 0;
  if (!i23) {
   i24 = 0;
   i25 = 0;
  } else {
   i26 = i23;
   i27 = 23;
  }
 } else {
  i23 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](512) | 0;
  set32(35 * 4 | 0, 512 | 0);
  if ((get32(45 * 4 | 0) | 0) < 512) set32(45 * 4 | 0, 512 | 0);
  i3 = get32(6 * 4 | 0) | 0;
  do if (i3) {
   i20 = get32(30 * 4 | 0) | 0;
   i28 = ((i20 | 0) < 0) << 31 >> 31;
   i29 = 16;
   i30 = _i64Subtract(get32(i29 | 0) | 0, get32(i29 + 4 | 0) | 0, i23 | 0, ((i23 | 0) < 0) << 31 >> 31 | 0) | 0;
   i29 = tempRet0;
   if ((i28 | 0) < (i29 | 0) | (i28 | 0) == (i29 | 0) & i20 >>> 0 < i30 >>> 0) {
    set32(11 * 4 | 0, 0 | 0);
    break;
   } else {
    set32(11 * 4 | 0, 1 | 0);
    i30 = get32(7 * 4 | 0) | 0;
    set32(6 * 4 | 0, 0 | 0);
    FUNCTION_TABLE_viiii[i3 & 15](i30, i20, i28, i23);
    set32(6 * 4 | 0, i3 | 0);
    set32(7 * 4 | 0, i30 | 0);
    break;
   }
  } while (0);
  i3 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i23) | 0;
  if (i3) {
   i23 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i3) | 0;
   i30 = (get32(30 * 4 | 0) | 0) + i23 | 0;
   set32(30 * 4 | 0, i30 | 0);
   if ((i30 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i30 | 0);
   i30 = get32(39 * 4 | 0) | 0;
   i23 = i30 + 1 | 0;
   set32(39 * 4 | 0, i23 | 0);
   if ((i30 | 0) < (get32(49 * 4 | 0) | 0)) {
    i26 = i3;
    i27 = 23;
   } else {
    set32(49 * 4 | 0, i23 | 0);
    i26 = i3;
    i27 = 23;
   }
  } else {
   i24 = 0;
   i25 = 0;
  }
 }
 L33 : do if ((i27 | 0) == 23) {
  _memset(i26 | 0, 0, 512) | 0;
  if (i22) set32(i26 + 68 | 0, 8 | 0);
  i3 = i26 + 24 | 0;
  set32(i3 | 0, 255 | 0);
  set32(i26 + 4 | 0, 2 | 0);
  i23 = i26 + 56 | 0;
  set32(i23 | 0, -264537850 | 0);
  i30 = i26 + 8 | 0;
  set32(i30 | 0, i26 + 444 | 0);
  i28 = i26 + 72 | 0;
  i20 = 920;
  i29 = i28 + 44 | 0;
  do {
   set32(i28 | 0, get32(i20 | 0) | 0);
   i28 = i28 + 4 | 0;
   i20 = i20 + 4 | 0;
  } while ((i28 | 0) < (i29 | 0));
  set8(i26 + 28 >> 0 | 0, 1 | 0);
  set8(i26 + 32 >> 0 | 0, -1 | 0);
  set32(i26 + 36 | 0, 0 | 0);
  set32(i26 + 12 | 0, 1209010176 | 0);
  i20 = i26 + 412 | 0;
  set32(i20 | 0, 0 | 0);
  set32(i20 + 4 | 0, 0 | 0);
  set32(i20 + 8 | 0, 0 | 0);
  set32(i20 + 12 | 0, 0 | 0);
  i28 = i26 + 288 | 0;
  set32(i28 | 0, 0 | 0);
  set32(i28 + 4 | 0, 0 | 0);
  set32(i28 + 8 | 0, 0 | 0);
  set32(i28 + 12 | 0, 0 | 0);
  _createCollation(i26, 25941, 1, 1, 0, 19, 0) | 0;
  _createCollation(i26, 25941, 3, 1, 0, 19, 0) | 0;
  _createCollation(i26, 25941, 2, 1, 0, 19, 0) | 0;
  _createCollation(i26, 39102, 1, 0, 1, 19, 0) | 0;
  i28 = i26 + 30 | 0;
  if (!(get8(i28 >> 0 | 0) | 0)) {
   set32(i26 + 44 | 0, _sqlite3HashFind(i20, 25941, 6) | 0 | 0);
   _createCollation(i26, 32535, 1, 2, 0, 20, 0) | 0;
   set32(i26 + 16 | 0, i16 | 0);
   i20 = _sqlite3ParseUri(i4, i1, i17, i26, i18, i19) | 0;
   switch (i20 | 0) {
   case 0:
    {
     i29 = _sqlite3BtreeOpen(get32(i26 | 0) | 0, get32(i18 | 0) | 0, i26, (get32(i30 | 0) | 0) + 4 | 0, 0, get32(i17 | 0) | 256) | 0;
     L41 : do if ((i29 | 0) < 3082) {
      switch (i29 | 0) {
      case 0:
       break;
      default:
       {
        i31 = i29;
        break L41;
       }
      }
      i32 = _sqlite3SchemaGet(i26, get32((get32(i30 | 0) | 0) + 4 | 0) | 0) | 0;
      set32((get32(i30 | 0) | 0) + 12 | 0, i32 | 0);
      i32 = _sqlite3SchemaGet(i26, 0) | 0;
      i33 = get32(i30 | 0) | 0;
      set32(i33 + 28 | 0, i32 | 0);
      set32(i33 | 0, 39108 | 0);
      set8(i33 + 9 >> 0 | 0, 3 | 0);
      set32(i33 + 16 | 0, 17156 | 0);
      set8(i33 + 25 >> 0 | 0, 1 | 0);
      set32(i23 | 0, -1607883113 | 0);
      if (get8(i28 >> 0 | 0) | 0) {
       i24 = i26;
       i25 = i26;
       break L33;
      }
      _sqlite3Error(i26, 0, 0, i13);
      if (!(_sqlite3FindFunction(i26, 39113, 5, 2, 1, 0) | 0)) _sqlite3CreateFunc(i26, 39113, 2, 1, 0, 50, 0, 0, 0) | 0;
      if (!(get8(i28 >> 0 | 0) | 0)) i34 = 0; else {
       _sqlite3Error(i26, 7, 0, i12);
       set8(i28 >> 0 | 0, 0 | 0);
       i34 = 7;
      }
      if ((get32(i3 | 0) & i34 | 0) == 7) set8(i28 >> 0 | 0, 1 | 0);
      i33 = get32(200 * 4 | 0) | 0;
      L54 : do if (i33) {
       if ((i33 | 0) > 0) {
        i32 = i33;
        i35 = 1;
        i36 = 0;
        while (1) {
         i37 = get32((get32(201 * 4 | 0) | 0) + (i36 << 2) | 0) | 0;
         set32(i13 | 0, 0 | 0);
         if (!i37) {
          i38 = i32;
          i39 = i35;
         } else {
          if (!(FUNCTION_TABLE_iiii[i37 & 63](i26, i13, 2148) | 0)) i40 = i35; else {
           set32(i11 | 0, get32(i13 | 0) | 0);
           _sqlite3Error(i26, 1, 39119, i11);
           i40 = 0;
          }
          i37 = get32(i13 | 0) | 0;
          do if (i37) {
           if (!(get32(50 * 4 | 0) | 0)) {
            FUNCTION_TABLE_vi[get32(232 | 0) & 31](i37);
            break;
           }
           i41 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i37) | 0;
           i42 = (get32(30 * 4 | 0) | 0) - i41 | 0;
           set32(30 * 4 | 0, i42 | 0);
           if ((i42 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i42 | 0);
           i42 = (get32(39 * 4 | 0) | 0) + -1 | 0;
           set32(39 * 4 | 0, i42 | 0);
           if ((i42 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i42 | 0);
           FUNCTION_TABLE_vi[get32(232 | 0) & 31](i37);
          } while (0);
          if (!i40) break L54;
          i38 = get32(200 * 4 | 0) | 0;
          i39 = i40;
         }
         i36 = i36 + 1 | 0;
         if ((i36 | 0) >= (i38 | 0)) break; else {
          i32 = i38;
          i35 = i39;
         }
        }
       }
       set32(i13 | 0, 0 | 0);
      } while (0);
      i33 = get32(i23 | 0) | 0;
      L80 : do if ((i33 | 0) >= -264537850) if ((i33 | 0) < 1266094736) switch (i33 | 0) {
      case -264537850:
       {
        break L80;
        break;
       }
      default:
       {
        i27 = 64;
        break L80;
       }
      } else switch (i33 | 0) {
      case 1266094736:
       {
        break L80;
        break;
       }
      default:
       {
        i27 = 64;
        break L80;
       }
      } else switch (i33 | 0) {
      case -1607883113:
       break;
      default:
       i27 = 64;
      } while (0);
      if ((i27 | 0) == 64) {
       set32(i10 | 0, 38376 | 0);
       _sqlite3_log(21, 26104, i10);
       set32(i9 | 0, 109519 | 0);
       set32(i9 + 4 | 0, 17203 | 0);
       _sqlite3_log(21, 39226, i9);
       i24 = i26;
       i25 = i26;
       break L33;
      }
      if (get8(i28 >> 0 | 0) | 0) {
       i24 = i26;
       i25 = i26;
       break L33;
      }
      if (get32(i3 | 0) & get32(i26 + 20 | 0)) {
       i24 = i26;
       i25 = i26;
       break L33;
      }
      _sqlite3Error(i26, 0, 0, i8);
      _setupLookaside(i26, 0, get32(55 * 4 | 0) | 0, get32(56 * 4 | 0) | 0) | 0;
      set32(i26 + 192 | 0, 14 | 0);
      set32(i26 + 196 | 0, 1e3 | 0);
      i24 = i26;
      i25 = i26;
      break L33;
     } else {
      switch (i29 | 0) {
      case 3082:
       break;
      default:
       {
        i31 = i29;
        break L41;
       }
      }
      i31 = 7;
     } while (0);
     _sqlite3Error(i26, i31, 0, i14);
     i24 = i26;
     i25 = i26;
     break L33;
     break;
    }
   case 7:
    {
     set8(i28 >> 0 | 0, 1 | 0);
     break;
    }
   default:
    {}
   }
   i29 = get32(i19 | 0) | 0;
   set32(i15 | 0, i29 | 0);
   _sqlite3Error(i26, i20, (i29 | 0) != 0 ? 16817 : 0, i15);
   if (i29) {
    if (!(get32(50 * 4 | 0) | 0)) {
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i29);
     i24 = i26;
     i25 = i26;
     break;
    }
    i3 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i29) | 0;
    i23 = (get32(30 * 4 | 0) | 0) - i3 | 0;
    set32(30 * 4 | 0, i23 | 0);
    if ((i23 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i23 | 0);
    i23 = (get32(39 * 4 | 0) | 0) + -1 | 0;
    set32(39 * 4 | 0, i23 | 0);
    if ((i23 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i23 | 0);
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i29);
    i24 = i26;
    i25 = i26;
   } else {
    i24 = i26;
    i25 = i26;
   }
  } else {
   i24 = i26;
   i25 = i26;
  }
 } while (0);
 i26 = get32(i18 | 0) | 0;
 do if (i26) {
  if (!(get32(50 * 4 | 0) | 0)) {
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i26);
   break;
  }
  i18 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i26) | 0;
  i15 = (get32(30 * 4 | 0) | 0) - i18 | 0;
  set32(30 * 4 | 0, i15 | 0);
  if ((i15 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i15 | 0);
  i15 = (get32(39 * 4 | 0) | 0) + -1 | 0;
  set32(39 * 4 | 0, i15 | 0);
  if ((i15 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i15 | 0);
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i26);
 } while (0);
 L119 : do if (!i24) i27 = 81; else {
  i26 = get32(i24 + 56 | 0) | 0;
  L121 : do if ((i26 | 0) >= -264537850) if ((i26 | 0) < 1266094736) switch (i26 | 0) {
  case -264537850:
   {
    i27 = 79;
    break L121;
    break;
   }
  default:
   {
    i27 = 78;
    break L121;
   }
  } else switch (i26 | 0) {
  case 1266094736:
   {
    i27 = 79;
    break L121;
    break;
   }
  default:
   {
    i27 = 78;
    break L121;
   }
  } else switch (i26 | 0) {
  case -1607883113:
   {
    i27 = 79;
    break;
   }
  default:
   i27 = 78;
  } while (0);
  if ((i27 | 0) == 78) {
   set32(i7 | 0, 38376 | 0);
   _sqlite3_log(21, 26104, i7);
   set32(i6 | 0, 109519 | 0);
   set32(i6 + 4 | 0, 17203 | 0);
   _sqlite3_log(21, 39226, i6);
   i43 = 21;
  } else if ((i27 | 0) == 79) {
   if (get8(i24 + 30 >> 0 | 0) | 0) {
    i27 = 81;
    break;
   }
   i26 = get32(i24 + 24 | 0) & get32(i24 + 20 | 0);
   switch (i26 | 0) {
   case 7:
    {
     i27 = 81;
     break L119;
     break;
    }
   case 0:
    {
     i44 = 0;
     i45 = i24;
     break L119;
     break;
    }
   default:
    i43 = i26;
   }
  }
  set32(i25 + 56 | 0, 1266094736 | 0);
  i44 = i43;
  i45 = i24;
 } while (0);
 if ((i27 | 0) == 81) {
  _sqlite3_close(i24) | 0;
  i44 = 7;
  i45 = 0;
 }
 set32(i2 | 0, i45 | 0);
 i21 = i44 & 255;
 STACKTOP = i5;
 return i21 | 0;
}

function _sqlite3VdbeMakeReady(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0, i64 = 0, i65 = 0, i66 = 0, i67 = 0, i68 = 0, i69 = 0, i70 = 0;
 i3 = get32(i1 | 0) | 0;
 i4 = get32(i2 + 456 | 0) | 0;
 i5 = get32(i2 + 68 | 0) | 0;
 i6 = get32(i2 + 420 | 0) | 0;
 i7 = i5 + (get32(i2 + 72 | 0) | 0) | 0;
 i8 = get32(i1 + 28 | 0) | 0;
 i9 = get32(i1 + 4 | 0) | 0;
 i10 = i9 + (i8 * 20 | 0) | 0;
 i11 = i9 + ((get32(i1 + 32 | 0) | 0) * 20 | 0) | 0;
 i12 = i1 + 44 | 0;
 i13 = get32(i12 | 0) | 0;
 i14 = i1 + 104 | 0;
 set8(i14 >> 0 | 0, 1 | 0);
 L1 : do if ((i8 | 0) > 0) {
  i15 = i8;
  i16 = i6;
  i17 = i9;
  while (1) {
   i18 = i15;
   i15 = i15 + -1 | 0;
   i19 = get8(i17 >> 0 | 0) | 0;
   i20 = get8(25464 + (i19 & 255) >> 0 | 0) | 0;
   set8(i17 + 2 >> 0 | 0, i20 | 0);
   switch (i19 << 24 >> 24) {
   case 116:
   case 18:
    {
     i19 = getU8(i17 + 3 >> 0 | 0) | 0;
     i21 = (i19 | 0) > (i16 | 0) ? i19 : i16;
     break;
    }
   case 34:
    {
     if (!(get32(i17 + 8 | 0) | 0)) i21 = i16; else i22 = 5;
     break;
    }
   case 120:
    {
     i22 = 5;
     break;
    }
   case -123:
    {
     i19 = get32(i17 + 8 | 0) | 0;
     i21 = (i19 | 0) > (i16 | 0) ? i19 : i16;
     break;
    }
   case -128:
    {
     i19 = get32(i17 + -16 | 0) | 0;
     i21 = (i19 | 0) > (i16 | 0) ? i19 : i16;
     break;
    }
   default:
    i21 = i16;
   }
   if ((i22 | 0) == 5) {
    i22 = 0;
    set8(i14 >> 0 | 0, 0 | 0);
    i21 = i16;
   }
   if ((i20 & 1) != 0 ? (i20 = i17 + 8 | 0, i19 = get32(i20 | 0) | 0, (i19 | 0) < 0) : 0) set32(i20 | 0, get32(i13 + (~i19 << 2) | 0) | 0);
   if ((i18 | 0) <= 1) {
    i23 = i21;
    break L1;
   } else {
    i16 = i21;
    i17 = i17 + 20 | 0;
   }
  }
 } else i23 = i6; while (0);
 _sqlite3DbFree(i3, i13);
 set32(i12 | 0, 0 | 0);
 if (!(get8(i2 + 344 >> 0 | 0) | 0)) i24 = 0; else i24 = (get8(i2 + 345 >> 0 | 0) | 0) != 0 & 1;
 set8(i1 + 103 >> 0 | 0, i24 | 0);
 i24 = i2 + 484 | 0;
 i12 = (i7 | 0) < 10 & (get8(i24 >> 0 | 0) | 0) != 0 ? 10 : i7;
 i7 = i10;
 _memset(i10 | 0, 0, i11 - i7 | 0) | 0;
 set8(i1 + 99 >> 0 | 0, 0 | 0);
 i13 = i1 + 8 | 0;
 i6 = i12 * 40 | 0;
 i21 = i1 + 72 | 0;
 i14 = i4 * 40 | 0;
 i9 = i1 + 12 | 0;
 i8 = (i23 << 2) + 7 & -8;
 i23 = i1 + 76 | 0;
 i17 = (i4 << 2) + 7 & -8;
 i16 = i1 + 68 | 0;
 i15 = (i5 << 2) + 7 & -8;
 i18 = (i3 | 0) == 0;
 i19 = i1 + 164 | 0;
 i20 = i3 + 30 | 0;
 i25 = i3 + 234 | 0;
 i26 = i3 + 232 | 0;
 i27 = i3 + 248 | 0;
 i28 = i3 + 256 | 0;
 i29 = i3 + 252 | 0;
 i30 = i3 + 236 | 0;
 i31 = i3 + 244 | 0;
 i32 = i3 + 240 | 0;
 i33 = i10 + (i7 & 7) | 0;
 i7 = i11;
 while (1) {
  i11 = get32(i13 | 0) | 0;
  if (!i11) {
   i10 = i33 + i6 | 0;
   i34 = i10 >>> 0 > i7 >>> 0;
   i35 = i34 ? 0 : i33;
   i36 = i34 ? i33 : i10;
   i37 = i34 ? i6 : 0;
  } else {
   i35 = i11;
   i36 = i33;
   i37 = 0;
  }
  set32(i13 | 0, i35 | 0);
  i11 = get32(i21 | 0) | 0;
  if (!i11) {
   i34 = i36 + i14 | 0;
   i10 = i34 >>> 0 > i7 >>> 0;
   i38 = i10 ? 0 : i36;
   i39 = i10 ? i36 : i34;
   i40 = (i10 ? i14 : 0) + i37 | 0;
  } else {
   i38 = i11;
   i39 = i36;
   i40 = i37;
  }
  set32(i21 | 0, i38 | 0);
  i11 = get32(i9 | 0) | 0;
  if (!i11) {
   i10 = i39 + i8 | 0;
   i34 = i10 >>> 0 > i7 >>> 0;
   i41 = i34 ? 0 : i39;
   i42 = i34 ? i39 : i10;
   i43 = (i34 ? i8 : 0) + i40 | 0;
  } else {
   i41 = i11;
   i42 = i39;
   i43 = i40;
  }
  set32(i9 | 0, i41 | 0);
  i11 = get32(i23 | 0) | 0;
  if (!i11) {
   i34 = i42 + i17 | 0;
   i10 = i34 >>> 0 > i7 >>> 0;
   i44 = i10 ? 0 : i42;
   i45 = i10 ? i42 : i34;
   i46 = (i10 ? i17 : 0) + i43 | 0;
  } else {
   i44 = i11;
   i45 = i42;
   i46 = i43;
  }
  set32(i23 | 0, i44 | 0);
  i11 = get32(i16 | 0) | 0;
  if (!i11) {
   i10 = (i45 + i15 | 0) >>> 0 > i7 >>> 0;
   i47 = i10 ? 0 : i45;
   i48 = (i10 ? i15 : 0) + i46 | 0;
  } else {
   i47 = i11;
   i48 = i46;
  }
  set32(i16 | 0, i47 | 0);
  if (!i48) break;
  L38 : do if (i18) if ((i48 + -1 | 0) >>> 0 <= 2147483390) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i49 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i48) | 0;
    i22 = 65;
    break;
   }
   i11 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i48) | 0;
   set32(35 * 4 | 0, i48 | 0);
   if ((get32(45 * 4 | 0) | 0) < (i48 | 0)) set32(45 * 4 | 0, i48 | 0);
   i10 = get32(6 * 4 | 0) | 0;
   do if (i10) {
    i34 = get32(30 * 4 | 0) | 0;
    i50 = ((i34 | 0) < 0) << 31 >> 31;
    i51 = 16;
    i52 = _i64Subtract(get32(i51 | 0) | 0, get32(i51 + 4 | 0) | 0, i11 | 0, ((i11 | 0) < 0) << 31 >> 31 | 0) | 0;
    i51 = tempRet0;
    if ((i50 | 0) < (i51 | 0) | (i50 | 0) == (i51 | 0) & i34 >>> 0 < i52 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i52 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i10 & 15](i52, i34, i50, i11);
     set32(6 * 4 | 0, i10 | 0);
     set32(7 * 4 | 0, i52 | 0);
     break;
    }
   } while (0);
   i10 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i11) | 0;
   if (i10) {
    i52 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i10) | 0;
    i50 = (get32(30 * 4 | 0) | 0) + i52 | 0;
    set32(30 * 4 | 0, i50 | 0);
    if ((i50 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i50 | 0);
    i50 = get32(39 * 4 | 0) | 0;
    i52 = i50 + 1 | 0;
    set32(39 * 4 | 0, i52 | 0);
    if ((i50 | 0) < (get32(49 * 4 | 0) | 0)) {
     i53 = i10;
     i22 = 66;
    } else {
     set32(49 * 4 | 0, i52 | 0);
     i53 = i10;
     i22 = 66;
    }
   } else i54 = 0;
  } else i54 = 0; else if (!(get8(i20 >> 0 | 0) | 0)) {
   do if (get8(i25 >> 0 | 0) | 0) {
    if ((getU16(i26 | 0) | 0) < (i48 | 0)) {
     set32(i27 | 0, (get32(i27 | 0) | 0) + 1 | 0);
     break;
    }
    i10 = get32(i28 | 0) | 0;
    if (!i10) {
     set32(i29 | 0, (get32(i29 | 0) | 0) + 1 | 0);
     break;
    }
    set32(i28 | 0, get32(i10 | 0) | 0);
    i52 = get32(i30 | 0) | 0;
    i50 = i52 + 1 | 0;
    set32(i30 | 0, i50 | 0);
    set32(i31 | 0, (get32(i31 | 0) | 0) + 1 | 0);
    if ((i52 | 0) >= (get32(i32 | 0) | 0)) set32(i32 | 0, i50 | 0);
    i49 = i10;
    i22 = 65;
    break L38;
   } while (0);
   do if ((i48 + -1 | 0) >>> 0 <= 2147483390) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i11 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i48) | 0;
     if (!i11) break; else {
      i53 = i11;
      i22 = 66;
      break L38;
     }
    }
    i11 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i48) | 0;
    set32(35 * 4 | 0, i48 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i48 | 0)) set32(45 * 4 | 0, i48 | 0);
    i10 = get32(6 * 4 | 0) | 0;
    do if (i10) {
     i50 = get32(30 * 4 | 0) | 0;
     i52 = ((i50 | 0) < 0) << 31 >> 31;
     i34 = 16;
     i51 = _i64Subtract(get32(i34 | 0) | 0, get32(i34 + 4 | 0) | 0, i11 | 0, ((i11 | 0) < 0) << 31 >> 31 | 0) | 0;
     i34 = tempRet0;
     if ((i52 | 0) < (i34 | 0) | (i52 | 0) == (i34 | 0) & i50 >>> 0 < i51 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i51 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i10 & 15](i51, i50, i52, i11);
      set32(6 * 4 | 0, i10 | 0);
      set32(7 * 4 | 0, i51 | 0);
      break;
     }
    } while (0);
    i10 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i11) | 0;
    if (i10) {
     i51 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i10) | 0;
     i52 = (get32(30 * 4 | 0) | 0) + i51 | 0;
     set32(30 * 4 | 0, i52 | 0);
     if ((i52 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i52 | 0);
     i52 = get32(39 * 4 | 0) | 0;
     i51 = i52 + 1 | 0;
     set32(39 * 4 | 0, i51 | 0);
     if ((i52 | 0) < (get32(49 * 4 | 0) | 0)) {
      i53 = i10;
      i22 = 66;
      break L38;
     }
     set32(49 * 4 | 0, i51 | 0);
     i53 = i10;
     i22 = 66;
     break L38;
    }
   } while (0);
   set8(i20 >> 0 | 0, 1 | 0);
   i54 = 0;
  } else i54 = 0; while (0);
  if ((i22 | 0) == 65) {
   i22 = 0;
   if (!i49) i54 = 0; else {
    i53 = i49;
    i22 = 66;
   }
  }
  if ((i22 | 0) == 66) {
   i22 = 0;
   _memset(i53 | 0, 0, i48 | 0) | 0;
   i54 = i53;
  }
  set32(i19 | 0, i54 | 0);
  if (!(get8(i20 >> 0 | 0) | 0)) {
   i33 = i54;
   i7 = i54 + i48 | 0;
  } else break;
 }
 set16(i1 + 50 | 0, i5 | 0);
 i5 = get32(i21 | 0) | 0;
 if ((i5 | 0) != 0 ? (set16(i1 + 80 | 0, i4 | 0), (i4 | 0) > 0) : 0) {
  i21 = 0;
  do {
   set16(i5 + (i21 * 40 | 0) + 28 | 0, 1 | 0);
   set32(i5 + (i21 * 40 | 0) | 0, i3 | 0);
   i21 = i21 + 1 | 0;
  } while ((i21 | 0) != (i4 | 0));
 }
 i4 = get32(i23 | 0) | 0;
 if (i4) {
  i23 = i2 + 460 | 0;
  i21 = get32(i23 | 0) | 0;
  set16(i1 + 82 | 0, i21 | 0);
  i5 = i2 + 464 | 0;
  _memcpy(i4 | 0, get32(i5 | 0) | 0, i21 << 16 >> 14 | 0) | 0;
  _memset(get32(i5 | 0) | 0, 0, get32(i23 | 0) << 2 | 0) | 0;
 }
 i23 = get32(i13 | 0) | 0;
 if (!i23) {
  i55 = get8(i24 >> 0 | 0) | 0;
  i56 = i1 + 97 | 0;
  set8(i56 >> 0 | 0, i55 | 0);
  i57 = i1 + 52 | 0;
  i58 = i1 + 88 | 0;
  set32(i58 | 0, -1 | 0);
  i59 = i1 + 92 | 0;
  set32(i59 | 0, 0 | 0);
  i60 = i1 + 96 | 0;
  set8(i60 >> 0 | 0, 2 | 0);
  set32(i57 | 0, -1108210269 | 0);
  i61 = i1 + 108 | 0;
  set32(i61 | 0, 0 | 0);
  i62 = i1 + 84 | 0;
  set32(i62 | 0, 1 | 0);
  i63 = i1 + 101 | 0;
  set8(i63 >> 0 | 0, -1 | 0);
  i64 = i1 + 120 | 0;
  set32(i64 | 0, 0 | 0);
  i65 = i1 + 144 | 0;
  i66 = i65;
  i67 = i66;
  set32(i67 | 0, 0 | 0);
  i68 = i66 + 4 | 0;
  i69 = i68;
  set32(i69 | 0, 0 | 0);
  return;
 }
 set32(i13 | 0, i23 + -40 | 0);
 set32(i1 + 24 | 0, i12 | 0);
 if ((i12 | 0) < 1) {
  i55 = get8(i24 >> 0 | 0) | 0;
  i56 = i1 + 97 | 0;
  set8(i56 >> 0 | 0, i55 | 0);
  i57 = i1 + 52 | 0;
  i58 = i1 + 88 | 0;
  set32(i58 | 0, -1 | 0);
  i59 = i1 + 92 | 0;
  set32(i59 | 0, 0 | 0);
  i60 = i1 + 96 | 0;
  set8(i60 >> 0 | 0, 2 | 0);
  set32(i57 | 0, -1108210269 | 0);
  i61 = i1 + 108 | 0;
  set32(i61 | 0, 0 | 0);
  i62 = i1 + 84 | 0;
  set32(i62 | 0, 1 | 0);
  i63 = i1 + 101 | 0;
  set8(i63 >> 0 | 0, -1 | 0);
  i64 = i1 + 120 | 0;
  set32(i64 | 0, 0 | 0);
  i65 = i1 + 144 | 0;
  i66 = i65;
  i67 = i66;
  set32(i67 | 0, 0 | 0);
  i68 = i66 + 4 | 0;
  i69 = i68;
  set32(i69 | 0, 0 | 0);
  return;
 } else i70 = 1;
 while (1) {
  set16(i23 + ((i70 + -1 | 0) * 40 | 0) + 28 | 0, 1 | 0);
  set32(i23 + ((i70 + -1 | 0) * 40 | 0) | 0, i3 | 0);
  if ((i70 | 0) == (i12 | 0)) break; else i70 = i70 + 1 | 0;
 }
 i55 = get8(i24 >> 0 | 0) | 0;
 i56 = i1 + 97 | 0;
 set8(i56 >> 0 | 0, i55 | 0);
 i57 = i1 + 52 | 0;
 i58 = i1 + 88 | 0;
 set32(i58 | 0, -1 | 0);
 i59 = i1 + 92 | 0;
 set32(i59 | 0, 0 | 0);
 i60 = i1 + 96 | 0;
 set8(i60 >> 0 | 0, 2 | 0);
 set32(i57 | 0, -1108210269 | 0);
 i61 = i1 + 108 | 0;
 set32(i61 | 0, 0 | 0);
 i62 = i1 + 84 | 0;
 set32(i62 | 0, 1 | 0);
 i63 = i1 + 101 | 0;
 set8(i63 >> 0 | 0, -1 | 0);
 i64 = i1 + 120 | 0;
 set32(i64 | 0, 0 | 0);
 i65 = i1 + 144 | 0;
 i66 = i65;
 i67 = i66;
 set32(i67 | 0, 0 | 0);
 i68 = i66 + 4 | 0;
 i69 = i68;
 set32(i69 | 0, 0 | 0);
 return;
}

function _sqlite3BtreeInsert(i1, i2, i3, i4, i5, i6, i7, i8, i9) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 i7 = i7 | 0;
 i8 = i8 | 0;
 i9 = i9 | 0;
 var i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0;
 i10 = STACKTOP;
 STACKTOP = STACKTOP + 208 | 0;
 i11 = i10 + 32 | 0;
 i12 = i10 + 56 | 0;
 i13 = i10 + 52 | 0;
 i14 = i10 + 48 | 0;
 i15 = i10;
 i16 = i10 + 44 | 0;
 i17 = i10 + 40 | 0;
 set32(i17 | 0, i9 | 0);
 i18 = get32((get32(i1 | 0) | 0) + 4 | 0) | 0;
 i19 = i1 + 83 | 0;
 if ((get8(i19 >> 0 | 0) | 0) == 3) {
  i20 = get32(i1 + 76 | 0) | 0;
  STACKTOP = i10;
  return i20 | 0;
 }
 i21 = i1 + 16 | 0;
 if ((get32(i21 | 0) | 0) == 0 ? (i22 = get32(i18 + 8 | 0) | 0, (i22 | 0) != 0) : 0) {
  i23 = i22;
  do {
   if ((get8(i23 + 88 >> 0 | 0) | 0) != 0 ? (i22 = i23 + 32 | 0, (get32(i22 | 0) | 0) == (i3 | 0) ? (get32(i22 + 4 | 0) | 0) == (i4 | 0) : 0) : 0) set8(i23 + 83 >> 0 | 0, 0 | 0);
   i23 = get32(i23 + 8 | 0) | 0;
  } while ((i23 | 0) != 0);
 }
 i23 = _saveAllCursors(i18, get32(i1 + 20 | 0) | 0, i1) | 0;
 set32(i16 | 0, i23 | 0);
 if (i23) {
  i20 = i23;
  STACKTOP = i10;
  return i20 | 0;
 }
 if (!i9) {
  do if (i2) {
   i9 = _sqlite3VdbeRecordUnpack(get32(i21 | 0) | 0, i3, i2, i12, 150) | 0;
   if (!i9) {
    set32(i16 | 0, 7 | 0);
    i20 = 7;
    STACKTOP = i10;
    return i20 | 0;
   } else {
    i23 = _sqlite3BtreeMovetoUnpacked(i1, i9, i3, i4, i8, i17) | 0;
    if (!(get16(i9 + 6 | 0) & 1)) {
     i24 = i23;
     break;
    }
    _sqlite3DbFree(get32(get32(i9 | 0) | 0) | 0, i9);
    i24 = i23;
    break;
   }
  } else i24 = _sqlite3BtreeMovetoUnpacked(i1, 0, i3, i4, i8, i17) | 0; while (0);
  set32(i16 | 0, i24 | 0);
  if (i24) {
   i20 = i24;
   STACKTOP = i10;
   return i20 | 0;
  }
 }
 i24 = i1 + 90 | 0;
 i8 = get32(i1 + 132 + (get16(i24 | 0) << 2) | 0) | 0;
 i21 = i18 + 88 | 0;
 i23 = get32(i21 | 0) | 0;
 L30 : do if (!i23) {
  i9 = get32(i18 + 36 | 0) | 0;
  set32(37 * 4 | 0, i9 | 0);
  if ((get32(47 * 4 | 0) | 0) < (i9 | 0)) set32(47 * 4 | 0, i9 | 0);
  if ((get32(376 * 4 | 0) | 0) >= (i9 | 0) ? (i22 = get32(383 * 4 | 0) | 0, (i22 | 0) != 0) : 0) {
   set32(383 * 4 | 0, get32(i22 | 0) | 0);
   i25 = get32(382 * 4 | 0) | 0;
   set32(382 * 4 | 0, i25 + -1 | 0);
   set32(384 * 4 | 0, (i25 | 0) <= (get32(378 * 4 | 0) | 0) & 1 | 0);
   i25 = get32(31 * 4 | 0) | 0;
   i26 = i25 + 1 | 0;
   set32(31 * 4 | 0, i26 | 0);
   if ((i25 | 0) < (get32(41 * 4 | 0) | 0)) i27 = i22; else {
    set32(41 * 4 | 0, i26 | 0);
    set32(i21 | 0, i22 | 0);
    i28 = i22;
    break;
   }
  } else i29 = 25;
  L39 : do if ((i29 | 0) == 25) {
   do if ((i9 + -1 | 0) >>> 0 <= 2147483390) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i22 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i9) | 0;
     if (!i22) break; else i30 = i22;
    } else {
     i22 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i9) | 0;
     set32(35 * 4 | 0, i9 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i9 | 0)) set32(45 * 4 | 0, i9 | 0);
     i26 = get32(6 * 4 | 0) | 0;
     do if (i26) {
      i25 = get32(30 * 4 | 0) | 0;
      i31 = ((i25 | 0) < 0) << 31 >> 31;
      i32 = 16;
      i33 = _i64Subtract(get32(i32 | 0) | 0, get32(i32 + 4 | 0) | 0, i22 | 0, ((i22 | 0) < 0) << 31 >> 31 | 0) | 0;
      i32 = tempRet0;
      if ((i31 | 0) < (i32 | 0) | (i31 | 0) == (i32 | 0) & i25 >>> 0 < i33 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i33 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i26 & 15](i33, i25, i31, i22);
       set32(6 * 4 | 0, i26 | 0);
       set32(7 * 4 | 0, i33 | 0);
       break;
      }
     } while (0);
     i26 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i22) | 0;
     if (!i26) break;
     i33 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i26) | 0;
     i31 = (get32(30 * 4 | 0) | 0) + i33 | 0;
     set32(30 * 4 | 0, i31 | 0);
     if ((i31 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i31 | 0);
     i31 = get32(39 * 4 | 0) | 0;
     i33 = i31 + 1 | 0;
     set32(39 * 4 | 0, i33 | 0);
     if ((i31 | 0) < (get32(49 * 4 | 0) | 0)) i30 = i26; else {
      set32(49 * 4 | 0, i33 | 0);
      i30 = i26;
     }
    }
    i26 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i30) | 0;
    i33 = (get32(32 * 4 | 0) | 0) + i26 | 0;
    set32(32 * 4 | 0, i33 | 0);
    if ((i33 | 0) <= (get32(42 * 4 | 0) | 0)) {
     i27 = i30;
     break L39;
    }
    set32(42 * 4 | 0, i33 | 0);
    set32(i21 | 0, i30 | 0);
    if (!i30) i20 = 7; else {
     i28 = i30;
     break L30;
    }
    STACKTOP = i10;
    return i20 | 0;
   } while (0);
   set32(i21 | 0, 0 | 0);
   i20 = 7;
   STACKTOP = i10;
   return i20 | 0;
  } while (0);
  set32(i21 | 0, i27 | 0);
  i28 = i27;
 } else i28 = i23; while (0);
 set32(i13 | 0, 0 | 0);
 i23 = get32(i8 + 60 | 0) | 0;
 set32(i14 | 0, 0 | 0);
 i27 = i8 + 3 | 0;
 i21 = (get8(i27 >> 0 | 0) | 0) == 0 ? 4 : 0;
 if (!(get8(i8 + 4 >> 0 | 0) | 0)) {
  i34 = 0;
  i35 = 0;
  i36 = i21;
 } else {
  i30 = i7 + i6 | 0;
  i34 = i6;
  i35 = i7;
  i36 = (_sqlite3PutVarint(i28 + i21 | 0, i30, ((i30 | 0) < 0) << 31 >> 31) | 0) + i21 | 0;
 }
 i21 = (_sqlite3PutVarint(i28 + i36 | 0, i3, i4) | 0) + i36 | 0;
 _btreeParseCellPtr(i8, i28, i15);
 i36 = i34 + i35 | 0;
 do if (!(get8(i8 + 2 >> 0 | 0) | 0)) if ((i2 | 0) == 0 | ((i4 | 0) > 0 | (i4 | 0) == 0 & i3 >>> 0 > 2147483647)) {
  set32(i11 | 0, 52804 | 0);
  set32(i11 + 4 | 0, 17203 | 0);
  _sqlite3_log(11, 19615, i11);
  i37 = 11;
  i38 = 0;
  break;
 } else {
  i39 = i34;
  i40 = i36 + i3 | 0;
  i41 = i3;
  i42 = i2;
  i29 = 49;
  break;
 } else {
  i39 = 0;
  i40 = i36;
  i41 = i34;
  i42 = i5;
  i29 = 49;
 } while (0);
 do if ((i29 | 0) == 49) {
  i34 = getU16(i15 + 26 | 0) | 0;
  if ((i40 | 0) > 0) {
   i36 = i23 + 21 | 0;
   i2 = i23 + 40 | 0;
   i3 = i23 + 36 | 0;
   i11 = i40;
   i4 = i41;
   i35 = i28 + i21 | 0;
   i30 = i28 + (getU16(i15 + 24 | 0) | 0) | 0;
   i7 = i42;
   i6 = 0;
   i18 = getU16(i15 + 22 | 0) | 0;
   while (1) {
    if (!i18) {
     i9 = get32(i14 | 0) | 0;
     if (!(get8(i36 >> 0 | 0) | 0)) i43 = i9; else {
      i33 = ((get32(199 * 4 | 0) | 0) >>> 0) / ((get32(i3 | 0) | 0) >>> 0) | 0;
      i26 = i9;
      while (1) {
       i31 = i26 + 1 | 0;
       if (i31 >>> 0 < 2) i44 = 0; else {
        i25 = i26 + -1 | 0;
        i32 = i25 - ((i25 >>> 0) % (((((get32(i2 | 0) | 0) >>> 0) / 5 | 0) + 1 | 0) >>> 0) | 0) | 0;
        i44 = ((i32 + 1 | 0) == (i33 | 0) ? 3 : 2) + i32 | 0;
       }
       if ((i26 | 0) == (i33 | 0) | (i44 | 0) == (i31 | 0)) i26 = i31; else {
        i45 = i31;
        break;
       }
      }
      set32(i14 | 0, i45 | 0);
      i43 = i45;
     }
     i26 = _allocateBtreePage(i23, i13, i14, i43, 0) | 0;
     set32(i12 | 0, i26 | 0);
     i33 = (i26 | 0) == 0;
     if (i33 & (get8(i36 >> 0 | 0) | 0) != 0) {
      i31 = get32(i14 | 0) | 0;
      _ptrmapPut(i23, i31, (i9 | 0) != 0 ? 4 : 3, i9, i12);
      i32 = get32(i12 | 0) | 0;
      if (!i32) i46 = i31; else {
       i47 = i32;
       i48 = i6;
       i29 = 60;
       break;
      }
     } else {
      if (!i33) {
       i49 = i26;
       i50 = i6;
       break;
      }
      i46 = get32(i14 | 0) | 0;
     }
     set8(i30 >> 0 | 0, i46 >>> 24 | 0);
     set8(i30 + 1 >> 0 | 0, i46 >>> 16 | 0);
     set8(i30 + 2 >> 0 | 0, i46 >>> 8 | 0);
     set8(i30 + 3 >> 0 | 0, i46 | 0);
     if (i6) _sqlite3PagerUnref(get32(i6 + 68 | 0) | 0);
     i26 = get32(i13 | 0) | 0;
     i33 = i26 + 64 | 0;
     i32 = get32(i33 | 0) | 0;
     set8(i32 >> 0 | 0, 0 | 0);
     set8(i32 + 1 >> 0 | 0, 0 | 0);
     set8(i32 + 2 >> 0 | 0, 0 | 0);
     set8(i32 + 3 >> 0 | 0, 0 | 0);
     i51 = (get32(i33 | 0) | 0) + 4 | 0;
     i52 = i32;
     i53 = i26;
     i54 = (get32(i2 | 0) | 0) + -4 | 0;
    } else {
     i51 = i35;
     i52 = i30;
     i53 = i6;
     i54 = i18;
    }
    i26 = (i11 | 0) > (i54 | 0) ? i54 : i11;
    if ((i4 | 0) > 0) {
     i32 = (i26 | 0) > (i4 | 0) ? i4 : i26;
     _memcpy(i51 | 0, i7 | 0, i32 | 0) | 0;
     i55 = i32;
    } else {
     _memset(i51 | 0, 0, i26 | 0) | 0;
     i55 = i26;
    }
    i11 = i11 - i55 | 0;
    i26 = (i4 | 0) == (i55 | 0);
    if ((i11 | 0) <= 0) {
     i56 = i53;
     i29 = 73;
     break;
    } else {
     i4 = i26 ? i39 : i4 - i55 | 0;
     i35 = i51 + i55 | 0;
     i30 = i52;
     i7 = i26 ? i5 : i7 + i55 | 0;
     i6 = i53;
     i18 = i54 - i55 | 0;
    }
   }
   if ((i29 | 0) == 60) {
    i18 = get32(i13 | 0) | 0;
    if (!i18) {
     i49 = i47;
     i50 = i48;
    } else {
     _sqlite3PagerUnref(get32(i18 + 68 | 0) | 0);
     i49 = i47;
     i50 = i48;
    }
   } else if ((i29 | 0) == 73) {
    if (!i56) {
     i37 = 0;
     i38 = i34;
     break;
    }
    _sqlite3PagerUnref(get32(i56 + 68 | 0) | 0);
    i37 = 0;
    i38 = i34;
    break;
   }
   if (!i50) {
    i37 = i49;
    i38 = i34;
   } else {
    _sqlite3PagerUnref(get32(i50 + 68 | 0) | 0);
    i37 = i49;
    i38 = i34;
   }
  } else {
   i37 = 0;
   i38 = i34;
  }
 } while (0);
 set32(i16 | 0, i37 | 0);
 if (i37) {
  i20 = i37;
  STACKTOP = i10;
  return i20 | 0;
 }
 i37 = i1 + 92 + (get16(i24 | 0) << 1) | 0;
 i49 = get16(i37 | 0) | 0;
 i50 = i49 & 65535;
 i56 = get32(i17 | 0) | 0;
 if (!i56) {
  i17 = _sqlite3PagerWrite(get32(i8 + 68 | 0) | 0) | 0;
  set32(i16 | 0, i17 | 0);
  if (i17) {
   i20 = i17;
   STACKTOP = i10;
   return i20 | 0;
  }
  i17 = get32(i8 + 64 | 0) | 0;
  i29 = (getU16(i8 + 12 | 0) | 0) + (i50 << 1) | 0;
  i48 = i17 + ((getU8(i17 + i29 >> 0 | 0) << 8 | getU8(i17 + (i29 + 1) >> 0 | 0)) & getU16(i8 + 18 | 0)) | 0;
  if (!(get8(i27 >> 0 | 0) | 0)) {
   i27 = getU8(i48 >> 0 | 0) | getU8(i48 + 1 >> 0 | 0) << 8 | getU8(i48 + 2 >> 0 | 0) << 16 | getU8(i48 + 3 >> 0 | 0) << 24;
   set8(i28 >> 0 | 0, i27 | 0);
   set8(i28 + 1 >> 0 | 0, i27 >> 8 | 0);
   set8(i28 + 2 >> 0 | 0, i27 >> 16 | 0);
   set8(i28 + 3 >> 0 | 0, i27 >> 24 | 0);
  }
  i27 = _cellSizePtr(i8, i48) | 0;
  set32(i16 | 0, _clearCell(i8, i48) | 0 | 0);
  _dropCell(i8, i50, i27 & 65535, i16);
  i27 = get32(i16 | 0) | 0;
  if (!i27) i57 = i50; else {
   i20 = i27;
   STACKTOP = i10;
   return i20 | 0;
  }
 } else if ((i56 | 0) < 0 ? (get16(i8 + 16 | 0) | 0) != 0 : 0) {
  i56 = i49 + 1 << 16 >> 16;
  set16(i37 | 0, i56 | 0);
  i57 = i56 & 65535;
 } else i57 = i50;
 _insertCell(i8, i57, i28, i38, 0, 0, i16);
 set16(i1 + 58 | 0, 0 | 0);
 set8(i1 + 82 >> 0 | 0, 0 | 0);
 i38 = get32(i16 | 0) | 0;
 if (i38) {
  i20 = i38;
  STACKTOP = i10;
  return i20 | 0;
 }
 if (!(get8(i8 + 1 >> 0 | 0) | 0)) {
  i20 = 0;
  STACKTOP = i10;
  return i20 | 0;
 }
 i8 = _balance(i1) | 0;
 set32(i16 | 0, i8 | 0);
 set8((get32(i1 + 132 + (get16(i24 | 0) << 2) | 0) | 0) + 1 >> 0 | 0, 0 | 0);
 set8(i19 >> 0 | 0, 0 | 0);
 i20 = i8;
 STACKTOP = i10;
 return i20 | 0;
}

function _sqlite3BeginWriteOperation(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i5 = i4;
 i6 = i4 + 4 | 0;
 i7 = get32(i1 + 424 | 0) | 0;
 i8 = (i7 | 0) == 0 ? i1 : i7;
 i7 = i8 + 348 | 0;
 if (!(get32(i7 | 0) | 0)) {
  i1 = i8 + 12 | 0;
  i9 = get32(i1 | 0) | 0;
  if (!i9) {
   i10 = get32(i8 | 0) | 0;
   L5 : do if (!i10) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i11 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
     i12 = 40;
     break;
    }
    i13 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
    set32(35 * 4 | 0, 192 | 0);
    if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
    i14 = get32(6 * 4 | 0) | 0;
    do if (i14) {
     i15 = get32(30 * 4 | 0) | 0;
     i16 = ((i15 | 0) < 0) << 31 >> 31;
     i17 = 16;
     i18 = _i64Subtract(get32(i17 | 0) | 0, get32(i17 + 4 | 0) | 0, i13 | 0, ((i13 | 0) < 0) << 31 >> 31 | 0) | 0;
     i17 = tempRet0;
     if ((i16 | 0) < (i17 | 0) | (i16 | 0) == (i17 | 0) & i15 >>> 0 < i18 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i18 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i14 & 15](i18, i15, i16, i13);
      set32(6 * 4 | 0, i14 | 0);
      set32(7 * 4 | 0, i18 | 0);
      break;
     }
    } while (0);
    i14 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i13) | 0;
    if (i14) {
     i18 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i14) | 0;
     i16 = (get32(30 * 4 | 0) | 0) + i18 | 0;
     set32(30 * 4 | 0, i16 | 0);
     if ((i16 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i16 | 0);
     i16 = get32(39 * 4 | 0) | 0;
     i18 = i16 + 1 | 0;
     set32(39 * 4 | 0, i18 | 0);
     if ((i16 | 0) < (get32(49 * 4 | 0) | 0)) i19 = i14; else {
      set32(49 * 4 | 0, i18 | 0);
      i19 = i14;
     }
    } else i12 = 50;
   } else {
    i14 = i10 + 30 | 0;
    if (!(get8(i14 >> 0 | 0) | 0)) {
     do if (get8(i10 + 234 >> 0 | 0) | 0) {
      if ((getU16(i10 + 232 | 0) | 0) < 192) {
       i18 = i10 + 248 | 0;
       set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
       break;
      }
      i18 = i10 + 256 | 0;
      i16 = get32(i18 | 0) | 0;
      if (!i16) {
       i15 = i10 + 252 | 0;
       set32(i15 | 0, (get32(i15 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i18 | 0, get32(i16 | 0) | 0);
      i18 = i10 + 236 | 0;
      i15 = get32(i18 | 0) | 0;
      i17 = i15 + 1 | 0;
      set32(i18 | 0, i17 | 0);
      i18 = i10 + 244 | 0;
      set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
      i18 = i10 + 240 | 0;
      if ((i15 | 0) >= (get32(i18 | 0) | 0)) set32(i18 | 0, i17 | 0);
      i11 = i16;
      i12 = 40;
      break L5;
     } while (0);
     if (!(get32(50 * 4 | 0) | 0)) {
      i13 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
      if (i13) {
       i19 = i13;
       break;
      }
     } else {
      i13 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
      set32(35 * 4 | 0, 192 | 0);
      if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
      i16 = get32(6 * 4 | 0) | 0;
      do if (i16) {
       i17 = get32(30 * 4 | 0) | 0;
       i18 = ((i17 | 0) < 0) << 31 >> 31;
       i15 = 16;
       i20 = _i64Subtract(get32(i15 | 0) | 0, get32(i15 + 4 | 0) | 0, i13 | 0, ((i13 | 0) < 0) << 31 >> 31 | 0) | 0;
       i15 = tempRet0;
       if ((i18 | 0) < (i15 | 0) | (i18 | 0) == (i15 | 0) & i17 >>> 0 < i20 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i20 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i16 & 15](i20, i17, i18, i13);
        set32(6 * 4 | 0, i16 | 0);
        set32(7 * 4 | 0, i20 | 0);
        break;
       }
      } while (0);
      i16 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i13) | 0;
      if (i16) {
       i20 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i16) | 0;
       i18 = (get32(30 * 4 | 0) | 0) + i20 | 0;
       set32(30 * 4 | 0, i18 | 0);
       if ((i18 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i18 | 0);
       i18 = get32(39 * 4 | 0) | 0;
       i20 = i18 + 1 | 0;
       set32(39 * 4 | 0, i20 | 0);
       if ((i18 | 0) < (get32(49 * 4 | 0) | 0)) {
        i19 = i16;
        break;
       }
       set32(49 * 4 | 0, i20 | 0);
       i19 = i16;
       break;
      }
     }
     set8(i14 >> 0 | 0, 1 | 0);
     i12 = 50;
    } else i12 = 50;
   } while (0);
   if ((i12 | 0) == 40) if (!i11) i12 = 50; else i19 = i11;
   if ((i12 | 0) == 50) {
    set32(i1 | 0, 0 | 0);
    i21 = 1 << i3;
    i22 = i8 + 336 | 0;
    i23 = get32(i22 | 0) | 0;
    i24 = i23 | i21;
    set32(i22 | 0, i24 | 0);
    i25 = i8 + 344 | 0;
    i26 = get8(i25 >> 0 | 0) | 0;
    i27 = i26 & 255;
    i28 = i27 | i2;
    i29 = i28 & 255;
    set8(i25 >> 0 | 0, i29 | 0);
    STACKTOP = i4;
    return;
   }
   _memset(i19 | 0, 0, 192) | 0;
   set32(i19 | 0, i10 | 0);
   i11 = i10 + 136 | 0;
   i16 = get32(i11 | 0) | 0;
   if (i16) set32(i16 + 60 | 0, i19 | 0);
   set32(i19 + 64 | 0, i16 | 0);
   set32(i19 + 60 | 0, 0 | 0);
   set32(i11 | 0, i19 | 0);
   set32(i19 + 52 | 0, 649915045 | 0);
   set32(i1 | 0, i19 | 0);
   i1 = i19 + 28 | 0;
   i11 = i19 + 32 | 0;
   i16 = i19 + 4 | 0;
   i20 = _sqlite3DbRealloc(i10, 0, 1020) | 0;
   if (!i20) i30 = i19; else {
    i10 = get32(i19 | 0) | 0;
    if (((i10 | 0) != 0 ? (get32(i10 + 260 | 0) | 0) >>> 0 <= i20 >>> 0 : 0) ? (get32(i10 + 264 | 0) | 0) >>> 0 > i20 >>> 0 : 0) i31 = getU16(i10 + 232 | 0) | 0; else i31 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i20) | 0;
    set32(i11 | 0, (i31 >>> 0) / 20 | 0 | 0);
    set32(i16 | 0, i20 | 0);
    set32(i1 | 0, (get32(i1 | 0) | 0) + 1 | 0);
    set8(i20 >> 0 | 0, -120 | 0);
    set8(i20 + 1 >> 0 | 0, 0 | 0);
    i32 = i20 + 3 | 0;
    i33 = i32 + 17 | 0;
    do {
     set8(i32 >> 0 | 0, 0 | 0);
     i32 = i32 + 1 | 0;
    } while ((i32 | 0) < (i33 | 0));
    i30 = i19;
   }
  } else i30 = i9;
  i9 = i30 + 28 | 0;
  i19 = get32(i9 | 0) | 0;
  i20 = i30 + 32 | 0;
  i1 = get32(i20 | 0) | 0;
  if ((i1 | 0) <= (i19 | 0)) {
   i16 = i30 + 4 | 0;
   i31 = _sqlite3DbRealloc(get32(i30 | 0) | 0, get32(i16 | 0) | 0, (i1 | 0) == 0 ? 1020 : i1 * 40 | 0) | 0;
   if (!i31) i34 = 2; else {
    i1 = get32(i30 | 0) | 0;
    if (((i1 | 0) != 0 ? (get32(i1 + 260 | 0) | 0) >>> 0 <= i31 >>> 0 : 0) ? (get32(i1 + 264 | 0) | 0) >>> 0 > i31 >>> 0 : 0) i35 = getU16(i1 + 232 | 0) | 0; else i35 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i31) | 0;
    set32(i20 | 0, (i35 >>> 0) / 20 | 0 | 0);
    set32(i16 | 0, i31 | 0);
    i36 = get32(i9 | 0) | 0;
    i37 = i31;
    i12 = 60;
   }
  } else {
   i36 = i19;
   i37 = get32(i30 + 4 | 0) | 0;
   i12 = 60;
  }
  if ((i12 | 0) == 60) {
   set32(i9 | 0, i36 + 1 | 0);
   set8(i37 + (i19 * 20 | 0) >> 0 | 0, 1 | 0);
   set8(i37 + (i19 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i36 = i19 + 1 | 0;
   i32 = i37 + (i19 * 20 | 0) + 3 | 0;
   i33 = i32 + 17 | 0;
   do {
    set8(i32 >> 0 | 0, 0 | 0);
    i32 = i32 + 1 | 0;
   } while ((i32 | 0) < (i33 | 0));
   i34 = i36;
  }
  set32(i7 | 0, i34 | 0);
 }
 if ((i3 | 0) <= -1) {
  i21 = 1 << i3;
  i22 = i8 + 336 | 0;
  i23 = get32(i22 | 0) | 0;
  i24 = i23 | i21;
  set32(i22 | 0, i24 | 0);
  i25 = i8 + 344 | 0;
  i26 = get8(i25 >> 0 | 0) | 0;
  i27 = i26 & 255;
  i28 = i27 | i2;
  i29 = i28 & 255;
  set8(i25 >> 0 | 0, i29 | 0);
  STACKTOP = i4;
  return;
 }
 i34 = 1 << i3;
 i7 = i8 + 340 | 0;
 i36 = get32(i7 | 0) | 0;
 if (i36 & i34) {
  i21 = 1 << i3;
  i22 = i8 + 336 | 0;
  i23 = get32(i22 | 0) | 0;
  i24 = i23 | i21;
  set32(i22 | 0, i24 | 0);
  i25 = i8 + 344 | 0;
  i26 = get8(i25 >> 0 | 0) | 0;
  i27 = i26 & 255;
  i28 = i27 | i2;
  i29 = i28 & 255;
  set8(i25 >> 0 | 0, i29 | 0);
  STACKTOP = i4;
  return;
 }
 i32 = get32(i8 | 0) | 0;
 set32(i7 | 0, i36 | i34 | 0);
 set32(i8 + 352 + (i3 << 2) | 0, get32(get32((get32(i32 + 8 | 0) | 0) + (i3 << 4) + 12 | 0) | 0) | 0);
 if ((i3 | 0) != 1) {
  i21 = 1 << i3;
  i22 = i8 + 336 | 0;
  i23 = get32(i22 | 0) | 0;
  i24 = i23 | i21;
  set32(i22 | 0, i24 | 0);
  i25 = i8 + 344 | 0;
  i26 = get8(i25 >> 0 | 0) | 0;
  i27 = i26 & 255;
  i28 = i27 | i2;
  i29 = i28 & 255;
  set8(i25 >> 0 | 0, i29 | 0);
  STACKTOP = i4;
  return;
 }
 i32 = get32(i8 | 0) | 0;
 i34 = i32 + 8 | 0;
 do if ((get32((get32(i34 | 0) | 0) + 20 | 0) | 0) == 0 ? (get8(i8 + 484 >> 0 | 0) | 0) == 0 : 0) {
  i36 = _sqlite3BtreeOpen(get32(i32 | 0) | 0, 0, i32, i6, 0, 542) | 0;
  if (i36) {
   _sqlite3ErrorMsg(i8, 19482, i5);
   set32(i8 + 4 | 0, i36 | 0);
   break;
  }
  i36 = get32(i6 | 0) | 0;
  set32((get32(i34 | 0) | 0) + 20 | 0, i36 | 0);
  i7 = get32(i32 + 36 | 0) | 0;
  i33 = get32(i36 + 4 | 0) | 0;
  set32(i33 + 4 | 0, get32(i36 | 0) | 0);
  if (!(get8(i33 + 17 >> 0 | 0) | 0)) {
   i36 = i33 + 36 | 0;
   i19 = i33 + 40 | 0;
   i37 = (get32(i36 | 0) | 0) - (get32(i19 | 0) | 0) | 0;
   if ((i7 + -512 | 0) >>> 0 < 65025 ? (i7 + -1 & i7 | 0) == 0 : 0) {
    set32(i36 | 0, i7 | 0);
    i7 = i33 + 88 | 0;
    i9 = get32(i7 | 0) | 0;
    do if (i9) {
     if ((get32(379 * 4 | 0) | 0) >>> 0 <= i9 >>> 0 & (get32(380 * 4 | 0) | 0) >>> 0 > i9 >>> 0) {
      i12 = (get32(31 * 4 | 0) | 0) + -1 | 0;
      set32(31 * 4 | 0, i12 | 0);
      if ((i12 | 0) > (get32(41 * 4 | 0) | 0)) set32(41 * 4 | 0, i12 | 0);
      set32(i9 | 0, get32(383 * 4 | 0) | 0);
      set32(383 * 4 | 0, i9 | 0);
      i12 = (get32(382 * 4 | 0) | 0) + 1 | 0;
      set32(382 * 4 | 0, i12 | 0);
      set32(384 * 4 | 0, (i12 | 0) < (get32(378 * 4 | 0) | 0) & 1 | 0);
      break;
     }
     i12 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i9) | 0;
     i30 = (get32(32 * 4 | 0) | 0) - i12 | 0;
     set32(32 * 4 | 0, i30 | 0);
     if ((i30 | 0) > (get32(42 * 4 | 0) | 0)) set32(42 * 4 | 0, i30 | 0);
     if (!(get32(50 * 4 | 0) | 0)) {
      FUNCTION_TABLE_vi[get32(232 | 0) & 31](i9);
      break;
     }
     i30 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i9) | 0;
     i12 = (get32(30 * 4 | 0) | 0) - i30 | 0;
     set32(30 * 4 | 0, i12 | 0);
     if ((i12 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i12 | 0);
     i12 = (get32(39 * 4 | 0) | 0) + -1 | 0;
     set32(39 * 4 | 0, i12 | 0);
     if ((i12 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i12 | 0);
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i9);
    } while (0);
    set32(i7 | 0, 0 | 0);
   }
   i9 = _sqlite3PagerSetPagesize(get32(i33 | 0) | 0, i36, i37) | 0;
   set32(i19 | 0, (get32(i36 | 0) | 0) - (i37 & 65535) | 0);
   if ((i9 | 0) == 7) set8(i32 + 30 >> 0 | 0, 1 | 0);
  }
 } while (0);
 i21 = 1 << i3;
 i22 = i8 + 336 | 0;
 i23 = get32(i22 | 0) | 0;
 i24 = i23 | i21;
 set32(i22 | 0, i24 | 0);
 i25 = i8 + 344 | 0;
 i26 = get8(i25 >> 0 | 0) | 0;
 i27 = i26 & 255;
 i28 = i27 | i2;
 i29 = i28 & 255;
 set8(i25 >> 0 | 0, i29 | 0);
 STACKTOP = i4;
 return;
}

function _pcache1Fetch(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0;
 i4 = i1 + 32 | 0;
 i5 = get32(i4 | 0) | 0;
 i6 = (i5 | 0) == 0;
 L1 : do if (!i6 ? (i7 = get32((get32(i1 + 36 | 0) | 0) + (((i2 >>> 0) % (i5 >>> 0) | 0) << 2) | 0) | 0, (i7 | 0) != 0) : 0) {
  i8 = i7;
  while (1) {
   if ((get32(i8 | 0) | 0) == (i2 | 0)) {
    i9 = i8;
    break;
   }
   i8 = get32(i8 + 4 | 0) | 0;
   if (!i8) {
    i10 = 5;
    break L1;
   }
  }
  i8 = get32(i9 + 8 | 0) | 0;
  i7 = get32(i8 | 0) | 0;
  i11 = i9 + 12 | 0;
  i12 = get32(i11 | 0) | 0;
  i13 = i12;
  if ((i12 | 0) == 0 ? (get32(i7 + 24 | 0) | 0) != (i9 | 0) : 0) {
   i14 = i9;
   break;
  }
  i15 = i9 + 16 | 0;
  i16 = get32(i15 | 0) | 0;
  if (!i16) {
   i17 = i12;
   i18 = i13;
  } else {
   set32(i16 + 12 | 0, i13 | 0);
   i13 = get32(i11 | 0) | 0;
   i17 = i13;
   i18 = i13;
  }
  if (i17) set32(i17 + 16 | 0, i16 | 0);
  i16 = i7 + 20 | 0;
  if ((get32(i16 | 0) | 0) == (i9 | 0)) set32(i16 | 0, i18 | 0);
  i16 = i7 + 24 | 0;
  if ((get32(i16 | 0) | 0) == (i9 | 0)) set32(i16 | 0, get32(i15 | 0) | 0);
  set32(i11 | 0, 0 | 0);
  set32(i15 | 0, 0 | 0);
  i15 = i8 + 24 | 0;
  set32(i15 | 0, (get32(i15 | 0) | 0) + -1 | 0);
  i14 = i9;
 } else i10 = 5; while (0);
 if ((i10 | 0) == 5) {
  if (!i3) {
   i19 = 0;
   return i19 | 0;
  }
  i9 = get32(i1 | 0) | 0;
  i18 = i1 + 28 | 0;
  i17 = get32(i18 | 0) | 0;
  i15 = i17 - (get32(i1 + 24 | 0) | 0) | 0;
  i8 = (i3 | 0) == 1;
  if (i8) {
   if ((i15 | 0) >= (get32(i9 + 12 | 0) | 0)) {
    i19 = 0;
    return i19 | 0;
   }
   if ((i15 | 0) >= (get32(i1 + 20 | 0) | 0)) {
    i19 = 0;
    return i19 | 0;
   }
   if ((get32(377 * 4 | 0) | 0) != 0 ? (get32(i1 + 4 | 0) | 0) <= (get32(376 * 4 | 0) | 0) : 0) i20 = 1536; else i20 = 44;
   if (get32(i20 | 0) | 0) {
    i19 = 0;
    return i19 | 0;
   }
  }
  if (i17 >>> 0 >= i5 >>> 0) {
   i17 = i5 << 1;
   i5 = i17 >>> 0 < 256 ? 256 : i17;
   if (!i6 ? (i6 = get32(366 * 4 | 0) | 0, (i6 | 0) != 0) : 0) FUNCTION_TABLE_v[i6 & 1]();
   i6 = i5 << 2;
   i17 = _sqlite3_malloc(i6) | 0;
   if ((get32(i4 | 0) | 0) != 0 ? (i20 = get32(367 * 4 | 0) | 0, (i20 | 0) != 0) : 0) FUNCTION_TABLE_v[i20 & 1]();
   if (!i17) i21 = get32(i1 + 36 | 0) | 0; else {
    _memset(i17 | 0, 0, i6 | 0) | 0;
    i6 = get32(i4 | 0) | 0;
    i20 = i1 + 36 | 0;
    if (i6) {
     i15 = 0;
     do {
      i3 = get32((get32(i20 | 0) | 0) + (i15 << 2) | 0) | 0;
      if (i3) {
       i11 = i3;
       do {
        i3 = i11 + 4 | 0;
        i16 = i11;
        i11 = get32(i3 | 0) | 0;
        i7 = i17 + ((((get32(i16 | 0) | 0) >>> 0) % (i5 >>> 0) | 0) << 2) | 0;
        set32(i3 | 0, get32(i7 | 0) | 0);
        set32(i7 | 0, i16 | 0);
       } while ((i11 | 0) != 0);
      }
      i15 = i15 + 1 | 0;
     } while ((i15 | 0) != (i6 | 0));
    }
    i6 = get32(i20 | 0) | 0;
    do if (i6) {
     if (!(get32(50 * 4 | 0) | 0)) {
      FUNCTION_TABLE_vi[get32(232 | 0) & 31](i6);
      break;
     }
     i15 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i6) | 0;
     i11 = (get32(30 * 4 | 0) | 0) - i15 | 0;
     set32(30 * 4 | 0, i11 | 0);
     if ((i11 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i11 | 0);
     i11 = (get32(39 * 4 | 0) | 0) + -1 | 0;
     set32(39 * 4 | 0, i11 | 0);
     if ((i11 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i11 | 0);
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i6);
    } while (0);
    set32(i20 | 0, i17 | 0);
    set32(i4 | 0, i5 | 0);
    i21 = i17;
   }
   if (!i21) {
    i19 = 0;
    return i19 | 0;
   }
  }
  i21 = i1 + 8 | 0;
  i17 = get32(i21 | 0) | 0;
  do if ((i17 | 0) != 0 ? (i5 = get32(i9 + 24 | 0) | 0, (i5 | 0) != 0) : 0) {
   if (((get32(i18 | 0) | 0) + 1 | 0) >>> 0 < (get32(i1 + 16 | 0) | 0) >>> 0 ? (get32(i9 + 16 | 0) | 0) < (get32(i9 + 4 | 0) | 0) : 0) {
    if ((get32(377 * 4 | 0) | 0) != 0 ? (get32(i1 + 4 | 0) | 0) <= (get32(376 * 4 | 0) | 0) : 0) i22 = 1536; else i22 = 44;
    if (!(get32(i22 | 0) | 0)) {
     i10 = 86;
     break;
    }
   }
   i20 = i5 + 8 | 0;
   i6 = get32(i20 | 0) | 0;
   i11 = (get32(i6 + 36 | 0) | 0) + ((((get32(i5 | 0) | 0) >>> 0) % ((get32(i6 + 32 | 0) | 0) >>> 0) | 0) << 2) | 0;
   while (1) {
    i15 = get32(i11 | 0) | 0;
    i16 = i15 + 4 | 0;
    if ((i15 | 0) == (i5 | 0)) {
     i23 = i16;
     i24 = i11;
     break;
    } else i11 = i16;
   }
   set32(i24 | 0, get32(i23 | 0) | 0);
   i11 = i6 + 28 | 0;
   set32(i11 | 0, (get32(i11 | 0) | 0) + -1 | 0);
   i11 = get32(i20 | 0) | 0;
   i16 = get32(i11 | 0) | 0;
   i15 = i5 + 12 | 0;
   i7 = get32(i15 | 0) | 0;
   i3 = i7;
   if (!((i7 | 0) == 0 ? (get32(i16 + 24 | 0) | 0) != (i5 | 0) : 0)) {
    i13 = i5 + 16 | 0;
    i12 = get32(i13 | 0) | 0;
    if (!i12) {
     i25 = i7;
     i26 = i3;
    } else {
     set32(i12 + 12 | 0, i3 | 0);
     i3 = get32(i15 | 0) | 0;
     i25 = i3;
     i26 = i3;
    }
    if (i25) set32(i25 + 16 | 0, i12 | 0);
    i12 = i16 + 20 | 0;
    if ((get32(i12 | 0) | 0) == (i5 | 0)) set32(i12 | 0, i26 | 0);
    i12 = i16 + 24 | 0;
    if ((get32(i12 | 0) | 0) == (i5 | 0)) set32(i12 | 0, get32(i13 | 0) | 0);
    set32(i15 | 0, 0 | 0);
    set32(i13 | 0, 0 | 0);
    i13 = i11 + 24 | 0;
    set32(i13 | 0, (get32(i13 | 0) | 0) + -1 | 0);
   }
   i13 = get32(i11 + 4 | 0) | 0;
   i15 = get32(i11 + 8 | 0) | 0;
   if ((i13 | 0) == (get32(i1 + 4 | 0) | 0)) {
    i11 = i9 + 16 | 0;
    set32(i11 | 0, i17 - i15 + (get32(i11 | 0) | 0) | 0);
    i27 = i13;
    i28 = i5;
    break;
   }
   if (i15) {
    i15 = i16 + 16 | 0;
    set32(i15 | 0, (get32(i15 | 0) | 0) + -1 | 0);
   }
   i15 = i5 + (0 - i13) | 0;
   if (i15) {
    if ((get32(379 * 4 | 0) | 0) >>> 0 <= i15 >>> 0 & (get32(380 * 4 | 0) | 0) >>> 0 > i15 >>> 0) {
     i13 = (get32(31 * 4 | 0) | 0) + -1 | 0;
     set32(31 * 4 | 0, i13 | 0);
     if ((i13 | 0) > (get32(41 * 4 | 0) | 0)) set32(41 * 4 | 0, i13 | 0);
     set32(i15 | 0, get32(383 * 4 | 0) | 0);
     set32(383 * 4 | 0, i15 | 0);
     i13 = (get32(382 * 4 | 0) | 0) + 1 | 0;
     set32(382 * 4 | 0, i13 | 0);
     set32(384 * 4 | 0, (i13 | 0) < (get32(378 * 4 | 0) | 0) & 1 | 0);
     i10 = 86;
     break;
    }
    i13 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i15) | 0;
    i16 = (get32(32 * 4 | 0) | 0) - i13 | 0;
    set32(32 * 4 | 0, i16 | 0);
    if ((i16 | 0) > (get32(42 * 4 | 0) | 0)) set32(42 * 4 | 0, i16 | 0);
    if (!(get32(50 * 4 | 0) | 0)) {
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i15);
     i10 = 86;
     break;
    }
    i16 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i15) | 0;
    i13 = (get32(30 * 4 | 0) | 0) - i16 | 0;
    set32(30 * 4 | 0, i13 | 0);
    if ((i13 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i13 | 0);
    i13 = (get32(39 * 4 | 0) | 0) + -1 | 0;
    set32(39 * 4 | 0, i13 | 0);
    if ((i13 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i13 | 0);
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i15);
    i10 = 86;
   } else i10 = 86;
  } else i10 = 86; while (0);
  do if ((i10 | 0) == 86) {
   if (i8 ? (i17 = get32(366 * 4 | 0) | 0, (i17 | 0) != 0) : 0) FUNCTION_TABLE_v[i17 & 1]();
   i17 = i1 + 4 | 0;
   i9 = get32(i17 | 0) | 0;
   i26 = i9 + 20 | 0;
   set32(37 * 4 | 0, i26 | 0);
   if ((get32(47 * 4 | 0) | 0) < (i26 | 0)) set32(47 * 4 | 0, i26 | 0);
   if ((get32(376 * 4 | 0) | 0) >= (i26 | 0) ? (i25 = get32(383 * 4 | 0) | 0, (i25 | 0) != 0) : 0) {
    set32(383 * 4 | 0, get32(i25 | 0) | 0);
    i23 = get32(382 * 4 | 0) | 0;
    set32(382 * 4 | 0, i23 + -1 | 0);
    set32(384 * 4 | 0, (i23 | 0) <= (get32(378 * 4 | 0) | 0) & 1 | 0);
    i23 = get32(31 * 4 | 0) | 0;
    i24 = i23 + 1 | 0;
    set32(31 * 4 | 0, i24 | 0);
    if ((i23 | 0) < (get32(41 * 4 | 0) | 0)) {
     i29 = i25;
     i10 = 111;
    } else {
     set32(41 * 4 | 0, i24 | 0);
     i29 = i25;
     i10 = 111;
    }
   } else i10 = 95;
   do if ((i10 | 0) == 95) if ((i9 + 19 | 0) >>> 0 <= 2147483390) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i25 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i26) | 0;
     if (!i25) {
      i30 = 0;
      break;
     } else i31 = i25;
    } else {
     i25 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i26) | 0;
     set32(35 * 4 | 0, i26 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i26 | 0)) set32(45 * 4 | 0, i26 | 0);
     i24 = get32(6 * 4 | 0) | 0;
     do if (i24) {
      i23 = get32(30 * 4 | 0) | 0;
      i22 = ((i23 | 0) < 0) << 31 >> 31;
      i15 = 16;
      i13 = _i64Subtract(get32(i15 | 0) | 0, get32(i15 + 4 | 0) | 0, i25 | 0, ((i25 | 0) < 0) << 31 >> 31 | 0) | 0;
      i15 = tempRet0;
      if ((i22 | 0) < (i15 | 0) | (i22 | 0) == (i15 | 0) & i23 >>> 0 < i13 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i13 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i24 & 15](i13, i23, i22, i25);
       set32(6 * 4 | 0, i24 | 0);
       set32(7 * 4 | 0, i13 | 0);
       break;
      }
     } while (0);
     i24 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i25) | 0;
     if (!i24) {
      i30 = 0;
      break;
     }
     i13 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i24) | 0;
     i22 = (get32(30 * 4 | 0) | 0) + i13 | 0;
     set32(30 * 4 | 0, i22 | 0);
     if ((i22 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i22 | 0);
     i22 = get32(39 * 4 | 0) | 0;
     i13 = i22 + 1 | 0;
     set32(39 * 4 | 0, i13 | 0);
     if ((i22 | 0) < (get32(49 * 4 | 0) | 0)) i31 = i24; else {
      set32(49 * 4 | 0, i13 | 0);
      i31 = i24;
     }
    }
    i24 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i31) | 0;
    i13 = (get32(32 * 4 | 0) | 0) + i24 | 0;
    set32(32 * 4 | 0, i13 | 0);
    if ((i13 | 0) > (get32(42 * 4 | 0) | 0)) {
     set32(42 * 4 | 0, i13 | 0);
     i29 = i31;
     i10 = 111;
    } else {
     i29 = i31;
     i10 = 111;
    }
   } else i30 = 0; while (0);
   if ((i10 | 0) == 111) {
    i26 = i29 + (get32(i17 | 0) | 0) | 0;
    if (!(get32(i21 | 0) | 0)) i30 = i26; else {
     i9 = (get32(i1 | 0) | 0) + 16 | 0;
     set32(i9 | 0, (get32(i9 | 0) | 0) + 1 | 0);
     i30 = i26;
    }
   }
   if (i8 ? (i26 = get32(367 * 4 | 0) | 0, (i26 | 0) != 0) : 0) FUNCTION_TABLE_v[i26 & 1]();
   if (!i30) {
    i19 = 0;
    return i19 | 0;
   } else {
    i27 = get32(i17 | 0) | 0;
    i28 = i30;
    break;
   }
  } while (0);
  i30 = (i2 >>> 0) % ((get32(i4 | 0) | 0) >>> 0) | 0;
  set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
  set32(i28 | 0, i2 | 0);
  i18 = i1 + 36 | 0;
  set32(i28 + 4 | 0, get32((get32(i18 | 0) | 0) + (i30 << 2) | 0) | 0);
  set32(i28 + 8 | 0, i1 | 0);
  set32(i28 + 16 | 0, 0 | 0);
  set32(i28 + 12 | 0, 0 | 0);
  set32(i28 + (0 - i27) | 0, 0 | 0);
  set32((get32(i18 | 0) | 0) + (i30 << 2) | 0, i28 | 0);
  i14 = i28;
 }
 i28 = i1 + 40 | 0;
 if ((get32(i28 | 0) | 0) >>> 0 < i2 >>> 0) set32(i28 | 0, i2 | 0);
 i19 = i14 + (0 - (get32((get32(i14 + 8 | 0) | 0) + 4 | 0) | 0)) | 0;
 return i19 | 0;
}

function _mspace_free(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0;
 if (!i2) return;
 i3 = i2 + -8 | 0;
 i4 = i1 + 16 | 0;
 i5 = get32(i4 | 0) | 0;
 if (i3 >>> 0 < i5 >>> 0) _abort();
 i6 = get32(i2 + -4 | 0) | 0;
 i7 = i6 & 3;
 if ((i7 | 0) == 1) _abort();
 i8 = i6 & -8;
 i9 = i2 + (i8 + -8) | 0;
 do if (!(i6 & 1)) {
  i10 = get32(i3 | 0) | 0;
  if (!i7) return;
  i11 = -8 - i10 | 0;
  i12 = i2 + i11 | 0;
  i13 = i10 + i8 | 0;
  if (i12 >>> 0 < i5 >>> 0) _abort();
  if ((i12 | 0) == (get32(i1 + 20 | 0) | 0)) {
   i14 = i2 + (i8 + -4) | 0;
   i15 = get32(i14 | 0) | 0;
   if ((i15 & 3 | 0) != 3) {
    i16 = i12;
    i17 = i13;
    break;
   }
   set32(i1 + 8 | 0, i13 | 0);
   set32(i14 | 0, i15 & -2 | 0);
   set32(i2 + (i11 + 4) | 0, i13 | 1 | 0);
   set32(i9 | 0, i13 | 0);
   return;
  }
  i15 = i10 >>> 3;
  if (i10 >>> 0 < 256) {
   i10 = get32(i2 + (i11 + 8) | 0) | 0;
   i14 = get32(i2 + (i11 + 12) | 0) | 0;
   i18 = i1 + 40 + (i15 << 1 << 2) | 0;
   if ((i10 | 0) != (i18 | 0)) {
    if (i10 >>> 0 < i5 >>> 0) _abort();
    if ((get32(i10 + 12 | 0) | 0) != (i12 | 0)) _abort();
   }
   if ((i14 | 0) == (i10 | 0)) {
    set32(i1 | 0, get32(i1 | 0) & ~(1 << i15) | 0);
    i16 = i12;
    i17 = i13;
    break;
   }
   if ((i14 | 0) != (i18 | 0)) {
    if (i14 >>> 0 < i5 >>> 0) _abort();
    i18 = i14 + 8 | 0;
    if ((get32(i18 | 0) | 0) == (i12 | 0)) i19 = i18; else _abort();
   } else i19 = i14 + 8 | 0;
   set32(i10 + 12 | 0, i14 | 0);
   set32(i19 | 0, i10 | 0);
   i16 = i12;
   i17 = i13;
   break;
  }
  i10 = get32(i2 + (i11 + 24) | 0) | 0;
  i14 = get32(i2 + (i11 + 12) | 0) | 0;
  do if ((i14 | 0) == (i12 | 0)) {
   i18 = i2 + (i11 + 20) | 0;
   i15 = get32(i18 | 0) | 0;
   if (!i15) {
    i20 = i2 + (i11 + 16) | 0;
    i21 = get32(i20 | 0) | 0;
    if (!i21) {
     i22 = 0;
     break;
    } else {
     i23 = i21;
     i24 = i20;
    }
   } else {
    i23 = i15;
    i24 = i18;
   }
   while (1) {
    i18 = i23 + 20 | 0;
    i15 = get32(i18 | 0) | 0;
    if (i15) {
     i23 = i15;
     i24 = i18;
     continue;
    }
    i18 = i23 + 16 | 0;
    i15 = get32(i18 | 0) | 0;
    if (!i15) {
     i25 = i23;
     i26 = i24;
     break;
    } else {
     i23 = i15;
     i24 = i18;
    }
   }
   if (i26 >>> 0 < i5 >>> 0) _abort(); else {
    set32(i26 | 0, 0 | 0);
    i22 = i25;
    break;
   }
  } else {
   i18 = get32(i2 + (i11 + 8) | 0) | 0;
   if (i18 >>> 0 < i5 >>> 0) _abort();
   i15 = i18 + 12 | 0;
   if ((get32(i15 | 0) | 0) != (i12 | 0)) _abort();
   i20 = i14 + 8 | 0;
   if ((get32(i20 | 0) | 0) == (i12 | 0)) {
    set32(i15 | 0, i14 | 0);
    set32(i20 | 0, i18 | 0);
    i22 = i14;
    break;
   } else _abort();
  } while (0);
  if (i10) {
   i14 = get32(i2 + (i11 + 28) | 0) | 0;
   i18 = i1 + 304 + (i14 << 2) | 0;
   if ((i12 | 0) == (get32(i18 | 0) | 0)) {
    set32(i18 | 0, i22 | 0);
    if (!i22) {
     i18 = i1 + 4 | 0;
     set32(i18 | 0, get32(i18 | 0) & ~(1 << i14) | 0);
     i16 = i12;
     i17 = i13;
     break;
    }
   } else {
    if (i10 >>> 0 < (get32(i4 | 0) | 0) >>> 0) _abort();
    i14 = i10 + 16 | 0;
    if ((get32(i14 | 0) | 0) == (i12 | 0)) set32(i14 | 0, i22 | 0); else set32(i10 + 20 | 0, i22 | 0);
    if (!i22) {
     i16 = i12;
     i17 = i13;
     break;
    }
   }
   i14 = get32(i4 | 0) | 0;
   if (i22 >>> 0 < i14 >>> 0) _abort();
   set32(i22 + 24 | 0, i10 | 0);
   i18 = get32(i2 + (i11 + 16) | 0) | 0;
   do if (i18) if (i18 >>> 0 < i14 >>> 0) _abort(); else {
    set32(i22 + 16 | 0, i18 | 0);
    set32(i18 + 24 | 0, i22 | 0);
    break;
   } while (0);
   i18 = get32(i2 + (i11 + 20) | 0) | 0;
   if (i18) if (i18 >>> 0 < (get32(i4 | 0) | 0) >>> 0) _abort(); else {
    set32(i22 + 20 | 0, i18 | 0);
    set32(i18 + 24 | 0, i22 | 0);
    i16 = i12;
    i17 = i13;
    break;
   } else {
    i16 = i12;
    i17 = i13;
   }
  } else {
   i16 = i12;
   i17 = i13;
  }
 } else {
  i16 = i3;
  i17 = i8;
 } while (0);
 if (i16 >>> 0 >= i9 >>> 0) _abort();
 i3 = i2 + (i8 + -4) | 0;
 i22 = get32(i3 | 0) | 0;
 if (!(i22 & 1)) _abort();
 if (!(i22 & 2)) {
  i5 = i1 + 24 | 0;
  if ((i9 | 0) == (get32(i5 | 0) | 0)) {
   i25 = i1 + 12 | 0;
   i26 = (get32(i25 | 0) | 0) + i17 | 0;
   set32(i25 | 0, i26 | 0);
   set32(i5 | 0, i16 | 0);
   set32(i16 + 4 | 0, i26 | 1 | 0);
   i26 = i1 + 20 | 0;
   if ((i16 | 0) != (get32(i26 | 0) | 0)) return;
   set32(i26 | 0, 0 | 0);
   set32(i1 + 8 | 0, 0 | 0);
   return;
  }
  i26 = i1 + 20 | 0;
  if ((i9 | 0) == (get32(i26 | 0) | 0)) {
   i5 = i1 + 8 | 0;
   i25 = (get32(i5 | 0) | 0) + i17 | 0;
   set32(i5 | 0, i25 | 0);
   set32(i26 | 0, i16 | 0);
   set32(i16 + 4 | 0, i25 | 1 | 0);
   set32(i16 + i25 | 0, i25 | 0);
   return;
  }
  i25 = (i22 & -8) + i17 | 0;
  i5 = i22 >>> 3;
  do if (i22 >>> 0 >= 256) {
   i24 = get32(i2 + (i8 + 16) | 0) | 0;
   i23 = get32(i2 + (i8 | 4) | 0) | 0;
   do if ((i23 | 0) == (i9 | 0)) {
    i19 = i2 + (i8 + 12) | 0;
    i7 = get32(i19 | 0) | 0;
    if (!i7) {
     i6 = i2 + (i8 + 8) | 0;
     i18 = get32(i6 | 0) | 0;
     if (!i18) {
      i27 = 0;
      break;
     } else {
      i28 = i18;
      i29 = i6;
     }
    } else {
     i28 = i7;
     i29 = i19;
    }
    while (1) {
     i19 = i28 + 20 | 0;
     i7 = get32(i19 | 0) | 0;
     if (i7) {
      i28 = i7;
      i29 = i19;
      continue;
     }
     i19 = i28 + 16 | 0;
     i7 = get32(i19 | 0) | 0;
     if (!i7) {
      i30 = i28;
      i31 = i29;
      break;
     } else {
      i28 = i7;
      i29 = i19;
     }
    }
    if (i31 >>> 0 < (get32(i4 | 0) | 0) >>> 0) _abort(); else {
     set32(i31 | 0, 0 | 0);
     i27 = i30;
     break;
    }
   } else {
    i19 = get32(i2 + i8 | 0) | 0;
    if (i19 >>> 0 < (get32(i4 | 0) | 0) >>> 0) _abort();
    i7 = i19 + 12 | 0;
    if ((get32(i7 | 0) | 0) != (i9 | 0)) _abort();
    i6 = i23 + 8 | 0;
    if ((get32(i6 | 0) | 0) == (i9 | 0)) {
     set32(i7 | 0, i23 | 0);
     set32(i6 | 0, i19 | 0);
     i27 = i23;
     break;
    } else _abort();
   } while (0);
   if (i24) {
    i23 = get32(i2 + (i8 + 20) | 0) | 0;
    i13 = i1 + 304 + (i23 << 2) | 0;
    if ((i9 | 0) == (get32(i13 | 0) | 0)) {
     set32(i13 | 0, i27 | 0);
     if (!i27) {
      i13 = i1 + 4 | 0;
      set32(i13 | 0, get32(i13 | 0) & ~(1 << i23) | 0);
      break;
     }
    } else {
     if (i24 >>> 0 < (get32(i4 | 0) | 0) >>> 0) _abort();
     i23 = i24 + 16 | 0;
     if ((get32(i23 | 0) | 0) == (i9 | 0)) set32(i23 | 0, i27 | 0); else set32(i24 + 20 | 0, i27 | 0);
     if (!i27) break;
    }
    i23 = get32(i4 | 0) | 0;
    if (i27 >>> 0 < i23 >>> 0) _abort();
    set32(i27 + 24 | 0, i24 | 0);
    i13 = get32(i2 + (i8 + 8) | 0) | 0;
    do if (i13) if (i13 >>> 0 < i23 >>> 0) _abort(); else {
     set32(i27 + 16 | 0, i13 | 0);
     set32(i13 + 24 | 0, i27 | 0);
     break;
    } while (0);
    i13 = get32(i2 + (i8 + 12) | 0) | 0;
    if (i13) if (i13 >>> 0 < (get32(i4 | 0) | 0) >>> 0) _abort(); else {
     set32(i27 + 20 | 0, i13 | 0);
     set32(i13 + 24 | 0, i27 | 0);
     break;
    }
   }
  } else {
   i13 = get32(i2 + i8 | 0) | 0;
   i23 = get32(i2 + (i8 | 4) | 0) | 0;
   i24 = i1 + 40 + (i5 << 1 << 2) | 0;
   if ((i13 | 0) != (i24 | 0)) {
    if (i13 >>> 0 < (get32(i4 | 0) | 0) >>> 0) _abort();
    if ((get32(i13 + 12 | 0) | 0) != (i9 | 0)) _abort();
   }
   if ((i23 | 0) == (i13 | 0)) {
    set32(i1 | 0, get32(i1 | 0) & ~(1 << i5) | 0);
    break;
   }
   if ((i23 | 0) != (i24 | 0)) {
    if (i23 >>> 0 < (get32(i4 | 0) | 0) >>> 0) _abort();
    i24 = i23 + 8 | 0;
    if ((get32(i24 | 0) | 0) == (i9 | 0)) i32 = i24; else _abort();
   } else i32 = i23 + 8 | 0;
   set32(i13 + 12 | 0, i23 | 0);
   set32(i32 | 0, i13 | 0);
  } while (0);
  set32(i16 + 4 | 0, i25 | 1 | 0);
  set32(i16 + i25 | 0, i25 | 0);
  if ((i16 | 0) == (get32(i26 | 0) | 0)) {
   set32(i1 + 8 | 0, i25 | 0);
   return;
  } else i33 = i25;
 } else {
  set32(i3 | 0, i22 & -2 | 0);
  set32(i16 + 4 | 0, i17 | 1 | 0);
  set32(i16 + i17 | 0, i17 | 0);
  i33 = i17;
 }
 i17 = i33 >>> 3;
 if (i33 >>> 0 < 256) {
  i22 = i17 << 1;
  i3 = i1 + 40 | 0;
  i25 = i3 + (i22 << 2) | 0;
  i26 = get32(i1 | 0) | 0;
  i32 = 1 << i17;
  if (i26 & i32) {
   i17 = i3 + (i22 + 2 << 2) | 0;
   i9 = get32(i17 | 0) | 0;
   if (i9 >>> 0 < (get32(i4 | 0) | 0) >>> 0) _abort(); else {
    i34 = i17;
    i35 = i9;
   }
  } else {
   set32(i1 | 0, i26 | i32 | 0);
   i34 = i3 + (i22 + 2 << 2) | 0;
   i35 = i25;
  }
  set32(i34 | 0, i16 | 0);
  set32(i35 + 12 | 0, i16 | 0);
  set32(i16 + 8 | 0, i35 | 0);
  set32(i16 + 12 | 0, i25 | 0);
  return;
 }
 i25 = i33 >>> 8;
 if (i25) if (i33 >>> 0 > 16777215) i36 = 31; else {
  i35 = (i25 + 1048320 | 0) >>> 16 & 8;
  i34 = i25 << i35;
  i25 = (i34 + 520192 | 0) >>> 16 & 4;
  i22 = i34 << i25;
  i34 = (i22 + 245760 | 0) >>> 16 & 2;
  i3 = 14 - (i25 | i35 | i34) + (i22 << i34 >>> 15) | 0;
  i36 = i33 >>> (i3 + 7 | 0) & 1 | i3 << 1;
 } else i36 = 0;
 i3 = i1 + 304 + (i36 << 2) | 0;
 set32(i16 + 28 | 0, i36 | 0);
 set32(i16 + 20 | 0, 0 | 0);
 set32(i16 + 16 | 0, 0 | 0);
 i34 = i1 + 4 | 0;
 i22 = get32(i34 | 0) | 0;
 i35 = 1 << i36;
 L199 : do if (i22 & i35) {
  i25 = get32(i3 | 0) | 0;
  L202 : do if ((get32(i25 + 4 | 0) & -8 | 0) != (i33 | 0)) {
   i32 = i33 << ((i36 | 0) == 31 ? 0 : 25 - (i36 >>> 1) | 0);
   i26 = i25;
   while (1) {
    i9 = i26 + 16 + (i32 >>> 31 << 2) | 0;
    i17 = get32(i9 | 0) | 0;
    if (!i17) {
     i37 = i9;
     i38 = i26;
     break;
    }
    if ((get32(i17 + 4 | 0) & -8 | 0) == (i33 | 0)) {
     i39 = i17;
     break L202;
    } else {
     i32 = i32 << 1;
     i26 = i17;
    }
   }
   if (i37 >>> 0 < (get32(i4 | 0) | 0) >>> 0) _abort(); else {
    set32(i37 | 0, i16 | 0);
    set32(i16 + 24 | 0, i38 | 0);
    set32(i16 + 12 | 0, i16 | 0);
    set32(i16 + 8 | 0, i16 | 0);
    break L199;
   }
  } else i39 = i25; while (0);
  i25 = i39 + 8 | 0;
  i26 = get32(i25 | 0) | 0;
  i32 = get32(i4 | 0) | 0;
  if (i26 >>> 0 >= i32 >>> 0 & i39 >>> 0 >= i32 >>> 0) {
   set32(i26 + 12 | 0, i16 | 0);
   set32(i25 | 0, i16 | 0);
   set32(i16 + 8 | 0, i26 | 0);
   set32(i16 + 12 | 0, i39 | 0);
   set32(i16 + 24 | 0, 0 | 0);
   break;
  } else _abort();
 } else {
  set32(i34 | 0, i22 | i35 | 0);
  set32(i3 | 0, i16 | 0);
  set32(i16 + 24 | 0, i3 | 0);
  set32(i16 + 12 | 0, i16 | 0);
  set32(i16 + 8 | 0, i16 | 0);
 } while (0);
 i16 = i1 + 32 | 0;
 i3 = (get32(i16 | 0) | 0) + -1 | 0;
 set32(i16 | 0, i3 | 0);
 if (i3) return;
 i3 = i1 + 456 | 0;
 while (1) {
  i1 = get32(i3 | 0) | 0;
  if (!i1) break; else i3 = i1 + 8 | 0;
 }
 set32(i16 | 0, -1 | 0);
 return;
}

function _sqlite3BtreeMovetoUnpacked(i1, i2, i3, i4, i5, i6) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 var i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0;
 i7 = STACKTOP;
 STACKTOP = STACKTOP + 48 | 0;
 i8 = i7 + 32 | 0;
 i9 = i7 + 24 | 0;
 i10 = i7 + 16 | 0;
 i11 = i7 + 8 | 0;
 i12 = i7;
 i13 = i1 + 83 | 0;
 if (((get8(i13 >> 0 | 0) | 0) == 1 ? (get8(i1 + 82 >> 0 | 0) | 0) != 0 : 0) ? (get8((get32(i1 + 132 | 0) | 0) + 2 >> 0 | 0) | 0) != 0 : 0) {
  i14 = i1 + 32 | 0;
  i15 = get32(i14 | 0) | 0;
  i16 = get32(i14 + 4 | 0) | 0;
  if ((i15 | 0) == (i3 | 0) & (i16 | 0) == (i4 | 0)) {
   set32(i6 | 0, 0 | 0);
   i17 = 0;
   STACKTOP = i7;
   return i17 | 0;
  }
  if (((i16 | 0) < (i4 | 0) | (i16 | 0) == (i4 | 0) & i15 >>> 0 < i3 >>> 0) & (get8(i1 + 81 >> 0 | 0) | 0) != 0) {
   set32(i6 | 0, -1 | 0);
   i17 = 0;
   STACKTOP = i7;
   return i17 | 0;
  }
 }
 i15 = _moveToRoot(i1) | 0;
 if (i15) {
  i17 = i15;
  STACKTOP = i7;
  return i17 | 0;
 }
 if (!(get8(i13 >> 0 | 0) | 0)) {
  set32(i6 | 0, -1 | 0);
  i17 = 0;
  STACKTOP = i7;
  return i17 | 0;
 }
 i13 = i1 + 90 | 0;
 i15 = (i5 | 0) == 0;
 i5 = i1 + 32 | 0;
 i16 = i1 + 58 | 0;
 i14 = i1 + 82 | 0;
 i18 = i1 + 4 | 0;
 i19 = get16(i13 | 0) | 0;
 L19 : while (1) {
  i20 = i19 << 16 >> 16;
  i21 = get32(i1 + 132 + (i20 << 2) | 0) | 0;
  i22 = i21 + 16 | 0;
  i23 = (getU16(i22 | 0) | 0) + -1 | 0;
  i24 = (i23 | 0) / 2 | 0;
  set16(i1 + 92 + (i20 << 1) | 0, (i15 ? i24 : i23) | 0);
  i20 = i21 + 64 | 0;
  i25 = i21 + 18 | 0;
  i26 = i21 + 12 | 0;
  i27 = i21 + 6 | 0;
  i28 = i21 + 2 | 0;
  i29 = i21 + 8 | 0;
  i30 = i21 + 4 | 0;
  i31 = i15 ? i24 : i23;
  i24 = 0;
  i32 = i23;
  while (1) {
   set16(i16 | 0, 0 | 0);
   i23 = get32(i20 | 0) | 0;
   i33 = (getU16(i26 | 0) | 0) + (i31 << 1) | 0;
   i34 = (getU8(i23 + i33 >> 0 | 0) << 8 | getU8(i23 + (i33 + 1) >> 0 | 0)) & getU16(i25 | 0);
   i33 = i34 + (getU8(i27 >> 0 | 0) | 0) | 0;
   i35 = i23 + i33 | 0;
   if (!(get8(i28 >> 0 | 0) | 0)) {
    i36 = getU8(i35 >> 0 | 0) | 0;
    if ((i36 & 128 | 0) == 0 ? i36 >>> 0 <= (getU16(i29 | 0) | 0) >>> 0 : 0) i37 = _sqlite3VdbeRecordCompare(i36, i23 + (i33 + 1) | 0, i2) | 0; else i38 = 25;
    do if ((i38 | 0) == 25) {
     i38 = 0;
     i39 = getU8(i23 + (i33 + 1) >> 0 | 0) | 0;
     if ((i39 & 128 | 0) == 0 ? (i40 = i39 + (i36 << 7 & 16256) | 0, (i40 | 0) <= (getU16(i29 | 0) | 0)) : 0) {
      i37 = _sqlite3VdbeRecordCompare(i40, i23 + (i33 + 2) | 0, i2) | 0;
      break;
     }
     _btreeParseCellPtr(i21, i23 + i34 | 0, i5);
     i40 = get32(i5 | 0) | 0;
     if ((i40 + -1 | 0) >>> 0 > 2147483390) {
      i17 = 7;
      i38 = 81;
      break L19;
     }
     if (!(get32(50 * 4 | 0) | 0)) {
      i39 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i40) | 0;
      if (!i39) {
       i17 = 7;
       i38 = 81;
       break L19;
      } else i41 = i39;
     } else {
      i39 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i40) | 0;
      set32(35 * 4 | 0, i40 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i40 | 0)) set32(45 * 4 | 0, i40 | 0);
      i42 = get32(6 * 4 | 0) | 0;
      do if (i42) {
       i43 = get32(30 * 4 | 0) | 0;
       i44 = ((i43 | 0) < 0) << 31 >> 31;
       i45 = 16;
       i46 = _i64Subtract(get32(i45 | 0) | 0, get32(i45 + 4 | 0) | 0, i39 | 0, ((i39 | 0) < 0) << 31 >> 31 | 0) | 0;
       i45 = tempRet0;
       if ((i44 | 0) < (i45 | 0) | (i44 | 0) == (i45 | 0) & i43 >>> 0 < i46 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i46 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i42 & 15](i46, i43, i44, i39);
        set32(6 * 4 | 0, i42 | 0);
        set32(7 * 4 | 0, i46 | 0);
        break;
       }
      } while (0);
      i42 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i39) | 0;
      if (!i42) {
       i17 = 7;
       i38 = 81;
       break L19;
      }
      i46 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i42) | 0;
      i44 = (get32(30 * 4 | 0) | 0) + i46 | 0;
      set32(30 * 4 | 0, i44 | 0);
      if ((i44 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i44 | 0);
      i44 = get32(39 * 4 | 0) | 0;
      i46 = i44 + 1 | 0;
      set32(39 * 4 | 0, i46 | 0);
      if ((i44 | 0) < (get32(49 * 4 | 0) | 0)) i41 = i42; else {
       set32(49 * 4 | 0, i46 | 0);
       i41 = i42;
      }
     }
     i42 = _accessPayload(i1, 0, i40, i41, 0) | 0;
     if (i42) {
      i47 = i41;
      i48 = i42;
      i38 = 43;
      break L19;
     }
     i42 = _sqlite3VdbeRecordCompare(i40, i41, i2) | 0;
     if (!(get32(50 * 4 | 0) | 0)) {
      FUNCTION_TABLE_vi[get32(232 | 0) & 31](i41);
      i37 = i42;
      break;
     }
     i46 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i41) | 0;
     i44 = (get32(30 * 4 | 0) | 0) - i46 | 0;
     set32(30 * 4 | 0, i44 | 0);
     if ((i44 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i44 | 0);
     i44 = (get32(39 * 4 | 0) | 0) + -1 | 0;
     set32(39 * 4 | 0, i44 | 0);
     if ((i44 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i44 | 0);
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i41);
     i37 = i42;
    } while (0);
    if (!i37) {
     i49 = i31;
     i38 = 58;
     break;
    } else i50 = i37;
   } else {
    if (!(get8(i30 >> 0 | 0) | 0)) i51 = i35; else {
     if ((get8(i35 >> 0 | 0) | 0) > -1) i52 = 1; else {
      if ((get8(i23 + (i33 + 1) >> 0 | 0) | 0) <= -1) if ((get8(i23 + (i33 + 2) >> 0 | 0) | 0) > -1) i53 = 3; else i53 = _sqlite3GetVarint(i35, i11) | 0; else i53 = 2;
      i52 = i53 & 255;
     }
     i51 = i23 + (i52 + i33) | 0;
    }
    _sqlite3GetVarint(i51, i12) | 0;
    i34 = i12;
    i36 = get32(i34 | 0) | 0;
    i42 = get32(i34 + 4 | 0) | 0;
    set8(i14 >> 0 | 0, 1 | 0);
    i34 = i5;
    set32(i34 | 0, i36 | 0);
    set32(i34 + 4 | 0, i42 | 0);
    if ((i36 | 0) == (i3 | 0) & (i42 | 0) == (i4 | 0)) {
     i49 = i31;
     i38 = 58;
     break;
    } else i50 = (i42 | 0) < (i4 | 0) | (i42 | 0) == (i4 | 0) & i36 >>> 0 < i3 >>> 0 ? -1 : 1;
   }
   i36 = (i50 | 0) < 0;
   i42 = i36 ? i32 : i31 + -1 | 0;
   i34 = i36 ? i31 + 1 | 0 : i24;
   if ((i34 | 0) > (i42 | 0)) {
    i54 = i50;
    i55 = i34;
    i38 = 63;
    break;
   }
   i36 = (i34 + i42 | 0) / 2 | 0;
   set16(i1 + 92 + (get16(i13 | 0) << 1) | 0, i36 | 0);
   i31 = i36;
   i24 = i34;
   i32 = i42;
  }
  if ((i38 | 0) == 58) {
   i38 = 0;
   if (!(get8(i28 >> 0 | 0) | 0)) {
    i38 = 60;
    break;
   }
   if (!(get8(i21 + 3 >> 0 | 0) | 0)) {
    i56 = 0;
    i57 = i49;
   } else {
    i38 = 60;
    break;
   }
  } else if ((i38 | 0) == 63) {
   i38 = 0;
   if (!(get8(i21 + 3 >> 0 | 0) | 0)) {
    i56 = i54;
    i57 = i55;
   } else {
    i58 = i54;
    i38 = 68;
    break;
   }
  }
  if ((i57 | 0) < (getU16(i22 | 0) | 0)) {
   i32 = get32(i20 | 0) | 0;
   i24 = (getU16(i26 | 0) | 0) + (i57 << 1) | 0;
   i31 = (getU8(i32 + i24 >> 0 | 0) << 8 | getU8(i32 + (i24 + 1) >> 0 | 0)) & getU16(i25 | 0);
   i59 = getU8(i32 + (i31 + 1) >> 0 | 0) << 16 | getU8(i32 + i31 >> 0 | 0) << 24 | getU8(i32 + (i31 + 2) >> 0 | 0) << 8 | getU8(i32 + (i31 + 3) >> 0 | 0);
  } else {
   i31 = getU8(i21 + 5 >> 0 | 0) | 0;
   i32 = get32(i20 | 0) | 0;
   i59 = getU8(i32 + (i31 + 9) >> 0 | 0) << 16 | getU8(i32 + (i31 + 8) >> 0 | 0) << 24 | getU8(i32 + (i31 + 10) >> 0 | 0) << 8 | getU8(i32 + (i31 + 11) >> 0 | 0);
  }
  if (!i59) {
   i58 = i56;
   i38 = 68;
   break;
  }
  set16(i1 + 92 + (get16(i13 | 0) << 1) | 0, i57 | 0);
  set16(i16 | 0, 0 | 0);
  set8(i14 >> 0 | 0, 0 | 0);
  i31 = get16(i13 | 0) | 0;
  i32 = i31 << 16 >> 16;
  if (i31 << 16 >> 16 > 18) {
   i38 = 70;
   break;
  }
  i31 = get32(i18 | 0) | 0;
  if ((get32(i31 + 48 | 0) | 0) >>> 0 < i59 >>> 0) {
   i38 = 72;
   break;
  }
  i24 = _sqlite3PagerAcquire(get32(i31 | 0) | 0, i59, i11, 0) | 0;
  if (i24) {
   i60 = i24;
   i38 = 74;
   break;
  }
  i24 = get32(i11 | 0) | 0;
  i30 = get32(i24 + 4 | 0) | 0;
  set32(i30 + 64 | 0, get32(i24 | 0) | 0);
  i29 = i30 + 68 | 0;
  set32(i29 | 0, i24 | 0);
  set32(i30 + 60 | 0, i31 | 0);
  set32(i30 + 72 | 0, i59 | 0);
  set8(i30 + 5 >> 0 | 0, ((i59 | 0) == 1 ? 100 : 0) | 0);
  i31 = _btreeInitPage(i30) | 0;
  if (i31) {
   i61 = i29;
   i62 = i31;
   i63 = i30;
   i38 = 76;
   break;
  }
  i31 = i32 + 1 | 0;
  set32(i1 + 132 + (i31 << 2) | 0, i30 | 0);
  set16(i1 + 92 + (i31 << 1) | 0, 0 | 0);
  i19 = (get16(i13 | 0) | 0) + 1 << 16 >> 16;
  set16(i13 | 0, i19 | 0);
  set16(i16 | 0, 0 | 0);
  set8(i14 >> 0 | 0, 0 | 0);
  if (!(get16(i30 + 16 | 0) | 0)) {
   i38 = 80;
   break;
  }
  if ((get8(i30 + 2 >> 0 | 0) | 0) != (get8((get32(i1 + 132 + (i32 << 2) | 0) | 0) + 2 >> 0 | 0) | 0)) {
   i38 = 80;
   break;
  }
 }
 if ((i38 | 0) == 43) {
  if (!(get32(50 * 4 | 0) | 0)) {
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i47);
   i17 = i48;
   STACKTOP = i7;
   return i17 | 0;
  }
  i1 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i47) | 0;
  i14 = (get32(30 * 4 | 0) | 0) - i1 | 0;
  set32(30 * 4 | 0, i14 | 0);
  if ((i14 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i14 | 0);
  i14 = (get32(39 * 4 | 0) | 0) + -1 | 0;
  set32(39 * 4 | 0, i14 | 0);
  if ((i14 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i14 | 0);
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i47);
  i17 = i48;
  STACKTOP = i7;
  return i17 | 0;
 } else if ((i38 | 0) == 60) {
  set32(i6 | 0, 0 | 0);
  i17 = 0;
  STACKTOP = i7;
  return i17 | 0;
 } else if ((i38 | 0) == 68) {
  set32(i6 | 0, i58 | 0);
  i17 = 0;
  STACKTOP = i7;
  return i17 | 0;
 } else if ((i38 | 0) == 70) {
  set32(i10 | 0, 51636 | 0);
  set32(i10 + 4 | 0, 17203 | 0);
  _sqlite3_log(11, 19615, i10);
  i17 = 11;
  STACKTOP = i7;
  return i17 | 0;
 } else if ((i38 | 0) == 72) {
  set32(i9 | 0, 49122 | 0);
  set32(i9 + 4 | 0, 17203 | 0);
  _sqlite3_log(11, 19615, i9);
  i17 = 11;
  STACKTOP = i7;
  return i17 | 0;
 } else if ((i38 | 0) == 74) {
  i17 = i60;
  STACKTOP = i7;
  return i17 | 0;
 } else if ((i38 | 0) == 76) {
  if (!i63) {
   i17 = i62;
   STACKTOP = i7;
   return i17 | 0;
  }
  _sqlite3PagerUnref(get32(i61 | 0) | 0);
  i17 = i62;
  STACKTOP = i7;
  return i17 | 0;
 } else if ((i38 | 0) == 80) {
  set32(i8 | 0, 51647 | 0);
  set32(i8 + 4 | 0, 17203 | 0);
  _sqlite3_log(11, 19615, i8);
  i17 = 11;
  STACKTOP = i7;
  return i17 | 0;
 } else if ((i38 | 0) == 81) {
  STACKTOP = i7;
  return i17 | 0;
 }
 return 0;
}

function _sqlite3VtabOverloadFunction(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i6 = i5 + 4 | 0;
 i7 = i5;
 set32(i6 | 0, 0 | 0);
 set32(i7 | 0, 0 | 0);
 if (!i4) {
  i8 = i2;
  STACKTOP = i5;
  return i8 | 0;
 }
 if ((get8(i4 >> 0 | 0) | 0) != -104) {
  i8 = i2;
  STACKTOP = i5;
  return i8 | 0;
 }
 i9 = get32(i4 + 40 | 0) | 0;
 if (!i9) {
  i8 = i2;
  STACKTOP = i5;
  return i8 | 0;
 }
 if (!(get8(i9 + 34 >> 0 | 0) & 16)) {
  i8 = i2;
  STACKTOP = i5;
  return i8 | 0;
 }
 i4 = i9 + 52 | 0;
 while (1) {
  i9 = get32(i4 | 0) | 0;
  if ((get32(i9 | 0) | 0) == (i1 | 0)) {
   i10 = i9;
   break;
  } else i4 = i9 + 24 | 0;
 }
 i4 = get32(i10 + 8 | 0) | 0;
 i10 = (get32(i4 | 0) | 0) + 72 | 0;
 if (!(get32(i10 | 0) | 0)) {
  i8 = i2;
  STACKTOP = i5;
  return i8 | 0;
 }
 i9 = i2 + 24 | 0;
 i11 = get32(i9 | 0) | 0;
 if (!i11) {
  i8 = i2;
  STACKTOP = i5;
  return i8 | 0;
 } else i12 = i11;
 while (1) if (!(get8(i12 >> 0 | 0) | 0)) {
  i13 = i12;
  break;
 } else i12 = i12 + 1 | 0;
 i12 = (i13 - i11 & 1073741823) + 1 | 0;
 i13 = (i1 | 0) == 0;
 L24 : do if (i13) {
  if (!(get32(50 * 4 | 0) | 0)) {
   i14 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i12) | 0;
   i15 = 47;
   break;
  }
  i16 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i12) | 0;
  set32(35 * 4 | 0, i12 | 0);
  if ((get32(45 * 4 | 0) | 0) < (i12 | 0)) set32(45 * 4 | 0, i12 | 0);
  i17 = get32(6 * 4 | 0) | 0;
  do if (i17) {
   i18 = get32(30 * 4 | 0) | 0;
   i19 = ((i18 | 0) < 0) << 31 >> 31;
   i20 = 16;
   i21 = _i64Subtract(get32(i20 | 0) | 0, get32(i20 + 4 | 0) | 0, i16 | 0, ((i16 | 0) < 0) << 31 >> 31 | 0) | 0;
   i20 = tempRet0;
   if ((i19 | 0) < (i20 | 0) | (i19 | 0) == (i20 | 0) & i18 >>> 0 < i21 >>> 0) {
    set32(11 * 4 | 0, 0 | 0);
    break;
   } else {
    set32(11 * 4 | 0, 1 | 0);
    i21 = get32(7 * 4 | 0) | 0;
    set32(6 * 4 | 0, 0 | 0);
    FUNCTION_TABLE_viiii[i17 & 15](i21, i18, i19, i16);
    set32(6 * 4 | 0, i17 | 0);
    set32(7 * 4 | 0, i21 | 0);
    break;
   }
  } while (0);
  i17 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i16) | 0;
  if (!i17) {
   i8 = i2;
   STACKTOP = i5;
   return i8 | 0;
  }
  i21 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i17) | 0;
  i19 = (get32(30 * 4 | 0) | 0) + i21 | 0;
  set32(30 * 4 | 0, i19 | 0);
  if ((i19 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i19 | 0);
  i19 = get32(39 * 4 | 0) | 0;
  i21 = i19 + 1 | 0;
  set32(39 * 4 | 0, i21 | 0);
  if ((i19 | 0) < (get32(49 * 4 | 0) | 0)) i22 = i17; else {
   set32(49 * 4 | 0, i21 | 0);
   i22 = i17;
  }
 } else {
  i17 = i1 + 30 | 0;
  if (get8(i17 >> 0 | 0) | 0) {
   i8 = i2;
   STACKTOP = i5;
   return i8 | 0;
  }
  do if (get8(i1 + 234 >> 0 | 0) | 0) {
   if ((getU16(i1 + 232 | 0) | 0) >>> 0 < i12 >>> 0) {
    i21 = i1 + 248 | 0;
    set32(i21 | 0, (get32(i21 | 0) | 0) + 1 | 0);
    break;
   }
   i21 = i1 + 256 | 0;
   i19 = get32(i21 | 0) | 0;
   if (!i19) {
    i18 = i1 + 252 | 0;
    set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
    break;
   }
   set32(i21 | 0, get32(i19 | 0) | 0);
   i21 = i1 + 236 | 0;
   i18 = get32(i21 | 0) | 0;
   i20 = i18 + 1 | 0;
   set32(i21 | 0, i20 | 0);
   i21 = i1 + 244 | 0;
   set32(i21 | 0, (get32(i21 | 0) | 0) + 1 | 0);
   i21 = i1 + 240 | 0;
   if ((i18 | 0) >= (get32(i21 | 0) | 0)) set32(i21 | 0, i20 | 0);
   i14 = i19;
   i15 = 47;
   break L24;
  } while (0);
  if (!(get32(50 * 4 | 0) | 0)) {
   i16 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i12) | 0;
   if (i16) {
    i22 = i16;
    break;
   }
  } else {
   i16 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i12) | 0;
   set32(35 * 4 | 0, i12 | 0);
   if ((get32(45 * 4 | 0) | 0) < (i12 | 0)) set32(45 * 4 | 0, i12 | 0);
   i19 = get32(6 * 4 | 0) | 0;
   do if (i19) {
    i20 = get32(30 * 4 | 0) | 0;
    i21 = ((i20 | 0) < 0) << 31 >> 31;
    i18 = 16;
    i23 = _i64Subtract(get32(i18 | 0) | 0, get32(i18 + 4 | 0) | 0, i16 | 0, ((i16 | 0) < 0) << 31 >> 31 | 0) | 0;
    i18 = tempRet0;
    if ((i21 | 0) < (i18 | 0) | (i21 | 0) == (i18 | 0) & i20 >>> 0 < i23 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i23 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i19 & 15](i23, i20, i21, i16);
     set32(6 * 4 | 0, i19 | 0);
     set32(7 * 4 | 0, i23 | 0);
     break;
    }
   } while (0);
   i19 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i16) | 0;
   if (i19) {
    i23 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i19) | 0;
    i21 = (get32(30 * 4 | 0) | 0) + i23 | 0;
    set32(30 * 4 | 0, i21 | 0);
    if ((i21 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i21 | 0);
    i21 = get32(39 * 4 | 0) | 0;
    i23 = i21 + 1 | 0;
    set32(39 * 4 | 0, i23 | 0);
    if ((i21 | 0) < (get32(49 * 4 | 0) | 0)) {
     i22 = i19;
     break;
    }
    set32(49 * 4 | 0, i23 | 0);
    i22 = i19;
    break;
   }
  }
  set8(i17 >> 0 | 0, 1 | 0);
  i8 = i2;
  STACKTOP = i5;
  return i8 | 0;
 } while (0);
 if ((i15 | 0) == 47) if (!i14) {
  i8 = i2;
  STACKTOP = i5;
  return i8 | 0;
 } else i22 = i14;
 _memcpy(i22 | 0, i11 | 0, i12 | 0) | 0;
 i12 = get8(i22 >> 0 | 0) | 0;
 if (i12 << 24 >> 24) {
  i11 = i12;
  i12 = i22;
  do {
   set8(i12 >> 0 | 0, get8(16286 + (i11 & 255) >> 0 | 0) | 0 | 0);
   i12 = i12 + 1 | 0;
   i11 = get8(i12 >> 0 | 0) | 0;
  } while (i11 << 24 >> 24 != 0);
 }
 i11 = FUNCTION_TABLE_iiiiii[get32(i10 | 0) & 31](i4, i3, i22, i6, i7) | 0;
 _sqlite3DbFree(i1, i22);
 if (!i11) {
  i8 = i2;
  STACKTOP = i5;
  return i8 | 0;
 }
 i11 = get32(i9 | 0) | 0;
 if (!i11) i24 = 0; else {
  i22 = i11;
  while (1) if (!(get8(i22 >> 0 | 0) | 0)) {
   i25 = i22;
   break;
  } else i22 = i22 + 1 | 0;
  i24 = i25 - i11 & 1073741823;
 }
 i11 = i24 + 37 | 0;
 L96 : do if (i13) {
  if ((i24 + 36 | 0) >>> 0 > 2147483390) {
   i8 = i2;
   STACKTOP = i5;
   return i8 | 0;
  }
  if (!(get32(50 * 4 | 0) | 0)) {
   i26 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i11) | 0;
   i15 = 93;
   break;
  }
  i25 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i11) | 0;
  set32(35 * 4 | 0, i11 | 0);
  if ((get32(45 * 4 | 0) | 0) < (i11 | 0)) set32(45 * 4 | 0, i11 | 0);
  i22 = get32(6 * 4 | 0) | 0;
  do if (i22) {
   i3 = get32(30 * 4 | 0) | 0;
   i4 = ((i3 | 0) < 0) << 31 >> 31;
   i10 = 16;
   i12 = _i64Subtract(get32(i10 | 0) | 0, get32(i10 + 4 | 0) | 0, i25 | 0, ((i25 | 0) < 0) << 31 >> 31 | 0) | 0;
   i10 = tempRet0;
   if ((i4 | 0) < (i10 | 0) | (i4 | 0) == (i10 | 0) & i3 >>> 0 < i12 >>> 0) {
    set32(11 * 4 | 0, 0 | 0);
    break;
   } else {
    set32(11 * 4 | 0, 1 | 0);
    i12 = get32(7 * 4 | 0) | 0;
    set32(6 * 4 | 0, 0 | 0);
    FUNCTION_TABLE_viiii[i22 & 15](i12, i3, i4, i25);
    set32(6 * 4 | 0, i22 | 0);
    set32(7 * 4 | 0, i12 | 0);
    break;
   }
  } while (0);
  i22 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i25) | 0;
  if (!i22) {
   i8 = i2;
   STACKTOP = i5;
   return i8 | 0;
  }
  i17 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i22) | 0;
  i16 = (get32(30 * 4 | 0) | 0) + i17 | 0;
  set32(30 * 4 | 0, i16 | 0);
  if ((i16 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i16 | 0);
  i16 = get32(39 * 4 | 0) | 0;
  i17 = i16 + 1 | 0;
  set32(39 * 4 | 0, i17 | 0);
  if ((i16 | 0) < (get32(49 * 4 | 0) | 0)) i27 = i22; else {
   set32(49 * 4 | 0, i17 | 0);
   i27 = i22;
  }
 } else {
  i22 = i1 + 30 | 0;
  if (get8(i22 >> 0 | 0) | 0) {
   i8 = i2;
   STACKTOP = i5;
   return i8 | 0;
  }
  do if (get8(i1 + 234 >> 0 | 0) | 0) {
   if ((getU16(i1 + 232 | 0) | 0) >>> 0 < i11 >>> 0) {
    i17 = i1 + 248 | 0;
    set32(i17 | 0, (get32(i17 | 0) | 0) + 1 | 0);
    break;
   }
   i17 = i1 + 256 | 0;
   i16 = get32(i17 | 0) | 0;
   if (!i16) {
    i12 = i1 + 252 | 0;
    set32(i12 | 0, (get32(i12 | 0) | 0) + 1 | 0);
    break;
   }
   set32(i17 | 0, get32(i16 | 0) | 0);
   i17 = i1 + 236 | 0;
   i12 = get32(i17 | 0) | 0;
   i4 = i12 + 1 | 0;
   set32(i17 | 0, i4 | 0);
   i17 = i1 + 244 | 0;
   set32(i17 | 0, (get32(i17 | 0) | 0) + 1 | 0);
   i17 = i1 + 240 | 0;
   if ((i12 | 0) >= (get32(i17 | 0) | 0)) set32(i17 | 0, i4 | 0);
   i26 = i16;
   i15 = 93;
   break L96;
  } while (0);
  do if ((i24 + 36 | 0) >>> 0 <= 2147483390) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i25 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i11) | 0;
    if (!i25) break; else {
     i27 = i25;
     break L96;
    }
   }
   i25 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i11) | 0;
   set32(35 * 4 | 0, i11 | 0);
   if ((get32(45 * 4 | 0) | 0) < (i11 | 0)) set32(45 * 4 | 0, i11 | 0);
   i16 = get32(6 * 4 | 0) | 0;
   do if (i16) {
    i4 = get32(30 * 4 | 0) | 0;
    i17 = ((i4 | 0) < 0) << 31 >> 31;
    i12 = 16;
    i3 = _i64Subtract(get32(i12 | 0) | 0, get32(i12 + 4 | 0) | 0, i25 | 0, ((i25 | 0) < 0) << 31 >> 31 | 0) | 0;
    i12 = tempRet0;
    if ((i17 | 0) < (i12 | 0) | (i17 | 0) == (i12 | 0) & i4 >>> 0 < i3 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i3 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i16 & 15](i3, i4, i17, i25);
     set32(6 * 4 | 0, i16 | 0);
     set32(7 * 4 | 0, i3 | 0);
     break;
    }
   } while (0);
   i16 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i25) | 0;
   if (i16) {
    i3 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i16) | 0;
    i17 = (get32(30 * 4 | 0) | 0) + i3 | 0;
    set32(30 * 4 | 0, i17 | 0);
    if ((i17 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i17 | 0);
    i17 = get32(39 * 4 | 0) | 0;
    i3 = i17 + 1 | 0;
    set32(39 * 4 | 0, i3 | 0);
    if ((i17 | 0) < (get32(49 * 4 | 0) | 0)) {
     i27 = i16;
     break L96;
    }
    set32(49 * 4 | 0, i3 | 0);
    i27 = i16;
    break L96;
   }
  } while (0);
  set8(i22 >> 0 | 0, 1 | 0);
  i8 = i2;
  STACKTOP = i5;
  return i8 | 0;
 } while (0);
 if ((i15 | 0) == 93) if (!i26) {
  i8 = i2;
  STACKTOP = i5;
  return i8 | 0;
 } else i27 = i26;
 _memset(i27 | 0, 0, i11 | 0) | 0;
 i11 = i27;
 i26 = i2;
 i2 = i11 + 36 | 0;
 do {
  set32(i11 | 0, get32(i26 | 0) | 0);
  i11 = i11 + 4 | 0;
  i26 = i26 + 4 | 0;
 } while ((i11 | 0) < (i2 | 0));
 i26 = i27 + 36 | 0;
 set32(i27 + 24 | 0, i26 | 0);
 i11 = get32(i9 | 0) | 0;
 if (!i11) i28 = 1; else {
  i9 = i11;
  while (1) if (!(get8(i9 >> 0 | 0) | 0)) {
   i29 = i9;
   break;
  } else i9 = i9 + 1 | 0;
  i28 = (i29 - i11 & 1073741823) + 1 | 0;
 }
 _memcpy(i26 | 0, i11 | 0, i28 | 0) | 0;
 set32(i27 + 12 | 0, get32(i6 | 0) | 0);
 set32(i27 + 4 | 0, get32(i7 | 0) | 0);
 i7 = i27 + 3 | 0;
 set8(i7 >> 0 | 0, getU8(i7 >> 0 | 0) | 4 | 0);
 i8 = i27;
 STACKTOP = i5;
 return i8 | 0;
}

function _unixShmMap(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0, i58 = 0, i59 = 0, i60 = 0, i61 = 0, i62 = 0, i63 = 0;
 i6 = STACKTOP;
 STACKTOP = STACKTOP + 224 | 0;
 i7 = i6 + 120 | 0;
 i8 = i6 + 96 | 0;
 i9 = i6 + 88 | 0;
 i10 = i6 + 64 | 0;
 i11 = i6 + 48 | 0;
 i12 = i6 + 24 | 0;
 i13 = i6 + 16 | 0;
 i14 = i6;
 i15 = i6 + 140 | 0;
 i16 = i1 + 36 | 0;
 i17 = get32(i16 | 0) | 0;
 if (!i17) {
  i18 = _sqlite3_malloc(16) | 0;
  if (!i18) {
   i19 = 7;
   STACKTOP = i6;
   return i19 | 0;
  };
  set32(i18 | 0, 0 | 0);
  set32(i18 + 4 | 0, 0 | 0);
  set32(i18 + 8 | 0, 0 | 0);
  set32(i18 + 12 | 0, 0 | 0);
  i20 = i1 + 4 | 0;
  i21 = get32(i20 | 0) | 0;
  i22 = get32(i21 + 20 | 0) | 0;
  L6 : do if (!i22) {
   if ((FUNCTION_TABLE_iii[get32(1104 | 0) & 127](get32(i1 + 8 | 0) | 0, i15) | 0) != 0 ? (get8(i21 + 13 >> 0 | 0) | 0) == 0 : 0) {
    i23 = 1802;
    i24 = 41;
   } else i24 = 6;
   L10 : do if ((i24 | 0) == 6) {
    i25 = i1 + 32 | 0;
    i26 = _strlen(get32(i25 | 0) | 0) | 0;
    i27 = _sqlite3_malloc(i26 + 41 | 0) | 0;
    if (!i27) {
     i23 = 7;
     i24 = 41;
    } else {
     i28 = i26 + 5 | 0;
     i26 = i27;
     i29 = i26 + 36 | 0;
     do {
      set32(i26 | 0, 0 | 0);
      i26 = i26 + 4 | 0;
     } while ((i26 | 0) < (i29 | 0));
     i26 = i27 + 36 | 0;
     set32(i27 + 8 | 0, i26 | 0);
     set32(i14 | 0, get32(i25 | 0) | 0);
     _sqlite3_snprintf(i28, i26, 19232, i14) | 0;
     i29 = i27 + 12 | 0;
     set32(i29 | 0, -1 | 0);
     i30 = get32(i20 | 0) | 0;
     set32(i30 + 20 | 0, i27 | 0);
     set32(i27 | 0, i30 | 0);
     set32(i27 + 4 | 0, 8 | 0);
     L13 : do if (!(get8(i21 + 13 >> 0 | 0) | 0)) {
      i30 = i15 + 12 | 0;
      i31 = get32(i30 | 0) & 511;
      while (1) {
       i32 = FUNCTION_TABLE_iiii[get32(1044 | 0) & 63](i26, 66, i31) | 0;
       if ((i32 | 0) >= 0) {
        i33 = i32;
        i24 = 11;
        break;
       }
       i34 = ___errno_location() | 0;
       if ((get32(i34 | 0) | 0) != 4) {
        i35 = i32;
        i36 = i34;
        i24 = 12;
        break;
       }
      }
      if ((i24 | 0) == 11) {
       set32(i29 | 0, i33 | 0);
       i37 = i33;
       i24 = 29;
      } else if ((i24 | 0) == 12) {
       set32(i29 | 0, i35 | 0);
       i31 = get32(i25 | 0) | 0;
       if (!i31) i38 = 1; else {
        i34 = i31;
        while (1) if (!(get8(i34 >> 0 | 0) | 0)) {
         i39 = i34;
         break;
        } else i34 = i34 + 1 | 0;
        i38 = (i39 - i31 & 1073741823) + 1 | 0;
       }
       i34 = i31 + i38 | 0;
       i32 = get8(i34 >> 0 | 0) | 0;
       L26 : do if (!(i32 << 24 >> 24)) i40 = i35; else {
        i41 = i34;
        i42 = i32;
        while (1) {
         i43 = _strcmp(i41, 19239) | 0;
         if (!(i42 << 24 >> 24)) i44 = i41; else {
          i45 = i41;
          while (1) {
           i46 = i45 + 1 | 0;
           if (!(get8(i46 >> 0 | 0) | 0)) {
            i44 = i46;
            break;
           } else i45 = i46;
          }
         }
         i45 = i44 - i41 & 1073741823;
         i46 = i41 + (i45 + 1) | 0;
         if (!i43) {
          i47 = i46;
          break;
         } else i48 = i46;
         while (1) if (!(get8(i48 >> 0 | 0) | 0)) {
          i49 = i48;
          break;
         } else i48 = i48 + 1 | 0;
         i41 = i41 + (i45 + 2 + (i49 - i46 & 1073741823)) | 0;
         i42 = get8(i41 >> 0 | 0) | 0;
         if (!(i42 << 24 >> 24)) {
          i40 = i35;
          break L26;
         }
        }
        if (!((_getSafetyLevel(i47) | 0) & 1)) {
         i40 = get32(i29 | 0) | 0;
         break;
        }
        i42 = get32(i30 | 0) & 511;
        while (1) {
         i41 = FUNCTION_TABLE_iiii[get32(1044 | 0) & 63](i26, 0, i42) | 0;
         if ((i41 | 0) >= 0) {
          i50 = i41;
          break;
         }
         if ((get32(i36 | 0) | 0) != 4) {
          i50 = i41;
          break;
         }
        }
        set32(i29 | 0, i50 | 0);
        set8(i27 + 22 >> 0 | 0, 1 | 0);
        i40 = i50;
       } while (0);
       if ((i40 | 0) < 0) {
        set32(i13 | 0, 28273 | 0);
        set32(i13 + 4 | 0, 17203 | 0);
        _sqlite3_log(14, 19280, i13);
        i30 = get32(i36 | 0) | 0;
        i32 = _strerror(i30) | 0;
        set32(i12 | 0, 28273 | 0);
        set32(i12 + 4 | 0, i30 | 0);
        set32(i12 + 8 | 0, 19081 | 0);
        set32(i12 + 12 | 0, i26 | 0);
        set32(i12 + 16 | 0, i32 | 0);
        _sqlite3_log(14, 19185, i12);
        i51 = 14;
       } else {
        i37 = i40;
        i24 = 29;
       }
      }
      L46 : do if ((i24 | 0) == 29) {
       set32(i14 | 0, 0 | 0);
       set32(i14 + 4 | 0, 0 | 0);
       set32(i14 + 8 | 0, 0 | 0);
       set32(i14 + 12 | 0, 0 | 0);
       set16(i14 | 0, 1 | 0);
       set16(i14 + 2 | 0, 0 | 0);
       set32(i14 + 4 | 0, 128 | 0);
       set32(i14 + 8 | 0, 1 | 0);
       i32 = get32(282 * 4 | 0) | 0;
       set32(i11 | 0, i14 | 0);
       do if ((FUNCTION_TABLE_iiii[i32 & 63](i37, 13, i11) | 0) != -1) {
        i30 = get32(i29 | 0) | 0;
        while (1) {
         i34 = FUNCTION_TABLE_iii[get32(1116 | 0) & 127](i30, 0) | 0;
         if ((i34 | 0) >= 0) {
          i52 = i34;
          i24 = 33;
          break;
         }
         i34 = get32(___errno_location() | 0 | 0) | 0;
         if ((i34 | 0) != 4) {
          i53 = i34;
          break;
         }
        }
        if ((i24 | 0) == 33) {
         if (!i52) break;
         i53 = get32(___errno_location() | 0 | 0) | 0;
        }
        i30 = _strerror(i53) | 0;
        set32(i10 | 0, 28284 | 0);
        set32(i10 + 4 | 0, i53 | 0);
        set32(i10 + 8 | 0, 19111 | 0);
        set32(i10 + 12 | 0, i26 | 0);
        set32(i10 + 16 | 0, i30 | 0);
        _sqlite3_log(4618, 19185, i10);
        i51 = 4618;
        break L46;
       } while (0);
       i32 = get32(i29 | 0) | 0;
       if ((i32 | 0) > -1 ? (set32(i11 | 0, 0 | 0), set32(i11 + 4 | 0, 0 | 0), set32(i11 + 8 | 0, 0 | 0), set32(i11 + 12 | 0, 0 | 0), set32(i11 + 4 | 0, 128 | 0), set32(i11 + 8 | 0, 1 | 0), i30 = get32(282 * 4 | 0) | 0, set32(i9 | 0, i11 | 0), (FUNCTION_TABLE_iiii[i30 & 63](i32, 13, i9) | 0) == -1) : 0) {
        i51 = 5;
        break;
       }
       break L13;
      } while (0);
      _unixShmPurge(i1);
      i54 = i51;
      break L10;
     } while (0);
     i55 = i27;
     break L6;
    }
   } while (0);
   if ((i24 | 0) == 41) {
    _unixShmPurge(i1);
    i54 = i23;
   }
   if (!(get32(50 * 4 | 0) | 0)) {
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i18);
    i19 = i54;
    STACKTOP = i6;
    return i19 | 0;
   }
   i29 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i18) | 0;
   i26 = (get32(30 * 4 | 0) | 0) - i29 | 0;
   set32(30 * 4 | 0, i26 | 0);
   if ((i26 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i26 | 0);
   i26 = (get32(39 * 4 | 0) | 0) + -1 | 0;
   set32(39 * 4 | 0, i26 | 0);
   if ((i26 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i26 | 0);
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i18);
   i19 = i54;
   STACKTOP = i6;
   return i19 | 0;
  } else i55 = i22; while (0);
  set32(i18 | 0, i55 | 0);
  i22 = i55 + 28 | 0;
  set32(i22 | 0, (get32(i22 | 0) | 0) + 1 | 0);
  set32(i16 | 0, i18 | 0);
  i16 = i55 + 32 | 0;
  set32(i18 + 4 | 0, get32(i16 | 0) | 0);
  set32(i16 | 0, i18 | 0);
  i56 = i18;
 } else i56 = i17;
 i17 = get32(i56 | 0) | 0;
 i56 = i17 + 20 | 0;
 i18 = get16(i56 | 0) | 0;
 if ((i18 & 65535 | 0) > (i2 | 0)) {
  i57 = i18;
  i58 = 0;
 } else {
  i18 = i2 + 1 | 0;
  i16 = Math_imul(i18, i3) | 0;
  set32(i17 + 16 | 0, i3 | 0);
  i55 = i17 + 12 | 0;
  i22 = get32(i55 | 0) | 0;
  do if ((i22 | 0) > -1) if (!(FUNCTION_TABLE_iii[get32(1104 | 0) & 127](i22, i15) | 0)) if ((get32(i15 + 36 | 0) | 0) < (i16 | 0)) if (!i4) i59 = 0; else {
   i54 = get32(i55 | 0) | 0;
   while (1) {
    i23 = FUNCTION_TABLE_iii[get32(1116 | 0) & 127](i54, i16) | 0;
    if ((i23 | 0) >= 0) {
     i60 = i23;
     i24 = 59;
     break;
    }
    i23 = ___errno_location() | 0;
    if ((get32(i23 | 0) | 0) != 4) {
     i61 = i23;
     break;
    }
   }
   if ((i24 | 0) == 59) {
    if (!i60) {
     i24 = 62;
     break;
    }
    i61 = ___errno_location() | 0;
   }
   i54 = get32(i17 + 8 | 0) | 0;
   i23 = get32(i61 | 0) | 0;
   i1 = _strerror(i23) | 0;
   set32(i8 | 0, 28396 | 0);
   set32(i8 + 4 | 0, i23 | 0);
   set32(i8 + 8 | 0, 19111 | 0);
   set32(i8 + 12 | 0, ((i54 | 0) == 0 ? 16820 : i54) | 0);
   set32(i8 + 16 | 0, i1 | 0);
   _sqlite3_log(4874, 19185, i8);
   i59 = 4874;
  } else i24 = 62; else i59 = 4874; else i24 = 62; while (0);
  L94 : do if ((i24 | 0) == 62) {
   i8 = i17 + 24 | 0;
   i61 = get32(i8 | 0) | 0;
   if ((_sqlite3_initialize() | 0) == 0 ? (i60 = _sqlite3Realloc(i61, i18 << 2) | 0, (i60 | 0) != 0) : 0) {
    set32(i8 | 0, i60 | 0);
    i60 = getU16(i56 | 0) | 0;
    if ((i60 | 0) > (i2 | 0)) i59 = 0; else {
     i61 = i17 + 22 | 0;
     i16 = i60;
     while (1) {
      i60 = get32(i55 | 0) | 0;
      if ((i60 | 0) > -1) {
       i4 = ___mmap(0, i3, (get8(i61 >> 0 | 0) | 0) != 0 ? 1 : 3, 1, i60, Math_imul(i16, i3) | 0) | 0;
       if ((i4 | 0) == (-1 | 0)) break; else i62 = i4;
      } else {
       i4 = _sqlite3_malloc(i3) | 0;
       if (!i4) {
        i59 = 7;
        break L94;
       }
       _memset(i4 | 0, 0, i3 | 0) | 0;
       i62 = i4;
      }
      i4 = get16(i56 | 0) | 0;
      set32((get32(i8 | 0) | 0) + ((i4 & 65535) << 2) | 0, i62 | 0);
      i60 = i4 + 1 << 16 >> 16;
      set16(i56 | 0, i60 | 0);
      i16 = i60 & 65535;
      if ((i16 | 0) > (i2 | 0)) {
       i59 = 0;
       break L94;
      }
     }
     i16 = get32(i17 + 8 | 0) | 0;
     i8 = get32(___errno_location() | 0 | 0) | 0;
     i61 = _strerror(i8) | 0;
     set32(i7 | 0, 28419 | 0);
     set32(i7 + 4 | 0, i8 | 0);
     set32(i7 + 8 | 0, 19227 | 0);
     set32(i7 + 12 | 0, ((i16 | 0) == 0 ? 16820 : i16) | 0);
     set32(i7 + 16 | 0, i61 | 0);
     _sqlite3_log(5386, 19185, i7);
     i59 = 5386;
    }
   } else i59 = 3082;
  } while (0);
  i57 = get16(i56 | 0) | 0;
  i58 = i59;
 }
 if ((i57 & 65535 | 0) > (i2 | 0)) i63 = get32((get32(i17 + 24 | 0) | 0) + (i2 << 2) | 0) | 0; else i63 = 0;
 set32(i5 | 0, i63 | 0);
 i19 = (i58 | 0) == 0 & (get8(i17 + 22 >> 0 | 0) | 0) != 0 ? 8 : i58;
 STACKTOP = i6;
 return i19 | 0;
}

function _pager_playback_one_page(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0;
 i6 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i7 = i6 + 4 | 0;
 i8 = i6;
 i9 = get32(i1 + 164 | 0) | 0;
 i10 = (i4 | 0) != 0;
 i11 = get32((i10 ? i1 + 64 | 0 : i1 + 68 | 0) | 0) | 0;
 i12 = i2;
 i13 = FUNCTION_TABLE_iiiiii[get32((get32(i11 | 0) | 0) + 8 | 0) & 31](i11, i7, 4, get32(i12 | 0) | 0, get32(i12 + 4 | 0) | 0) | 0;
 if (i13) {
  i14 = i13;
  STACKTOP = i6;
  return i14 | 0;
 }
 i13 = i7 + 1 | 0;
 i12 = i7 + 2 | 0;
 i15 = i7 + 3 | 0;
 i16 = getU8(i13 >> 0 | 0) << 16 | getU8(i7 >> 0 | 0) << 24 | getU8(i12 >> 0 | 0) << 8 | getU8(i15 >> 0 | 0);
 i17 = i1 + 128 | 0;
 i18 = get32(i17 | 0) | 0;
 i19 = i2;
 i20 = _i64Add(get32(i19 | 0) | 0, get32(i19 + 4 | 0) | 0, 4, 0) | 0;
 i19 = FUNCTION_TABLE_iiiiii[get32((get32(i11 | 0) | 0) + 8 | 0) & 31](i11, i9, i18, i20, tempRet0) | 0;
 if (i19) {
  i14 = i19;
  STACKTOP = i6;
  return i14 | 0;
 }
 i19 = get32(i17 | 0) | 0;
 i20 = (i4 << 2) + 4 + i19 | 0;
 i18 = i2;
 i21 = _i64Add(i20 | 0, ((i20 | 0) < 0) << 31 >> 31 | 0, get32(i18 | 0) | 0, get32(i18 + 4 | 0) | 0) | 0;
 i18 = tempRet0;
 i20 = i2;
 set32(i20 | 0, i21 | 0);
 set32(i20 + 4 | 0, i18 | 0);
 if (!i16) {
  i14 = 101;
  STACKTOP = i6;
  return i14 | 0;
 }
 if ((i16 | 0) == (((get32(199 * 4 | 0) | 0) / (i19 | 0) | 0) + 1 | 0)) {
  i14 = 101;
  STACKTOP = i6;
  return i14 | 0;
 }
 if (i16 >>> 0 > (get32(i1 + 24 | 0) | 0) >>> 0) {
  i14 = 0;
  STACKTOP = i6;
  return i14 | 0;
 }
 i19 = (i3 | 0) == 0;
 L17 : do if (!i19 ? (i20 = i16 + -1 | 0, i20 >>> 0 < (get32(i3 | 0) | 0) >>> 0) : 0) {
  i22 = i20;
  i20 = i3;
  while (1) {
   i23 = get32(i20 + 8 | 0) | 0;
   if (!i23) {
    i24 = i22;
    i25 = i20;
    break;
   }
   i20 = get32(i20 + 12 + (((i22 >>> 0) / (i23 >>> 0) | 0) << 2) | 0) | 0;
   if (!i20) break L17; else i22 = (i22 >>> 0) % (i23 >>> 0) | 0;
  }
  if ((get32(i25 | 0) | 0) >>> 0 < 4001) {
   if (!(getU8(i25 + 12 + (i24 >>> 3) >> 0 | 0) & 1 << (i24 & 7))) break; else i14 = 0;
   STACKTOP = i6;
   return i14 | 0;
  }
  i22 = i24 + 1 | 0;
  i20 = (i24 >>> 0) % 125 | 0;
  i23 = get32(i25 + 12 + (i20 << 2) | 0) | 0;
  if (i23) {
   i26 = i23;
   i23 = i20;
   while (1) {
    if ((i26 | 0) == (i22 | 0)) {
     i14 = 0;
     break;
    }
    i23 = ((i23 + 1 | 0) >>> 0) % 125 | 0;
    i26 = get32(i25 + 12 + (i23 << 2) | 0) | 0;
    if (!i26) break L17;
   }
   STACKTOP = i6;
   return i14 | 0;
  }
 } while (0);
 if (i10) {
  i25 = _i64Add(i21 | 0, i18 | 0, -4, -1) | 0;
  i18 = FUNCTION_TABLE_iiiiii[get32((get32(i11 | 0) | 0) + 8 | 0) & 31](i11, i7, 4, i25, tempRet0) | 0;
  if (i18) {
   i14 = i18;
   STACKTOP = i6;
   return i14 | 0;
  }
  i18 = getU8(i13 >> 0 | 0) << 16 | getU8(i7 >> 0 | 0) << 24 | getU8(i12 >> 0 | 0) << 8 | getU8(i15 >> 0 | 0);
  if (!i5) {
   i15 = get32(i1 + 48 | 0) | 0;
   i12 = get32(i17 | 0) | 0;
   if ((i12 | 0) > 200) {
    i7 = i15;
    i13 = i12;
    while (1) {
     i13 = i13 + -200 | 0;
     i12 = (getU8(i9 + i13 >> 0 | 0) | 0) + i7 | 0;
     if ((i13 | 0) <= 200) {
      i27 = i12;
      break;
     } else i7 = i12;
    }
   } else i27 = i15;
   if ((i27 | 0) != (i18 | 0)) {
    i14 = 101;
    STACKTOP = i6;
    return i14 | 0;
   }
  }
 }
 if (!i19 ? (i19 = _sqlite3BitvecSet(i3, i16) | 0, (i19 | 0) != 0) : 0) {
  i14 = i19;
  STACKTOP = i6;
  return i14 | 0;
 }
 i19 = (i16 | 0) == 1;
 if (i19 ? (i3 = i1 + 118 | 0, i18 = get8(i9 + 20 >> 0 | 0) | 0, (get16(i3 | 0) | 0) != (i18 & 255 | 0)) : 0) set16(i3 | 0, i18 & 255 | 0);
 if (((get32(i1 + 172 | 0) | 0) == 0 ? (i18 = get32(i1 + 168 | 0) | 0, i3 = get32(i18 + 40 | 0) | 0, (i3 | 0) != 0) : 0) ? (i27 = FUNCTION_TABLE_iiii[get32(320 | 0) & 63](i3, i16, 0) | 0, (i27 | 0) != 0) : 0) {
  if (!(get32(i27 | 0) | 0)) {
   i28 = i27;
   i29 = i28 + 36 | 0;
   do {
    set32(i28 | 0, 0 | 0);
    i28 = i28 + 4 | 0;
   } while ((i28 | 0) < (i29 | 0));
   set32(i27 | 0, i27 + 36 | 0);
   i3 = i27 + ((get32(i18 + 20 | 0) | 0) + 36) | 0;
   set32(i27 + 4 | 0, i3 | 0);
   _memset(i3 | 0, 0, get32(i18 + 24 | 0) | 0) | 0;
   set32(i27 + 24 | 0, i18 | 0);
   set32(i27 + 12 | 0, i16 | 0);
  }
  i3 = i27 + 22 | 0;
  i15 = get16(i3 | 0) | 0;
  if (!(i15 << 16 >> 16)) {
   i7 = i18 + 12 | 0;
   set32(i7 | 0, (get32(i7 | 0) | 0) + 1 | 0);
  }
  set16(i3 | 0, i15 + 1 << 16 >> 16 | 0);
  if (i19) {
   set32(i18 + 44 | 0, i27 | 0);
   i30 = i27;
  } else i30 = i27;
 } else i30 = 0;
 set32(i8 | 0, i30 | 0);
 if (i10) if (!(get8(i1 + 8 >> 0 | 0) | 0)) {
  i27 = i2;
  i18 = get32(i27 + 4 | 0) | 0;
  i15 = i1 + 80 | 0;
  i3 = get32(i15 + 4 | 0) | 0;
  i31 = (i18 | 0) < (i3 | 0) | ((i18 | 0) == (i3 | 0) ? (get32(i27 | 0) | 0) >>> 0 <= (get32(i15 | 0) | 0) >>> 0 : 0);
 } else i31 = 1; else if (!i30) i31 = 1; else i31 = (get16(i30 + 20 | 0) & 4) == 0;
 i15 = get32(i1 + 60 | 0) | 0;
 i27 = get32(i15 | 0) | 0;
 do if (i27) {
  i3 = get8(i1 + 15 >> 0 | 0) | 0;
  if ((i3 & 255) > 3) {
   if (!i31) {
    i32 = 55;
    break;
   }
  } else if (!(i31 & i3 << 24 >> 24 == 0)) {
   i32 = 55;
   break;
  }
  i3 = get32(i17 | 0) | 0;
  i18 = ___muldi3(i3 | 0, ((i3 | 0) < 0) << 31 >> 31 | 0, i16 + -1 | 0, 0) | 0;
  i7 = FUNCTION_TABLE_iiiiii[get32(i27 + 12 | 0) & 31](i15, i9, i3, i18, tempRet0) | 0;
  i18 = i1 + 32 | 0;
  if (i16 >>> 0 > (get32(i18 | 0) | 0) >>> 0) set32(i18 | 0, i16 | 0);
  i18 = get32(i1 + 88 | 0) | 0;
  if (!i18) {
   i33 = i30;
   i34 = i7;
   i32 = 64;
  } else {
   i3 = i18;
   do {
    i18 = i3 + 28 | 0;
    i13 = get32(i18 | 0) | 0;
    do if (i13 >>> 0 < 7 ? (30 >>> (i13 & 127) & 1) == 0 : 0) {
     if ((get32(i3 + 16 | 0) | 0) >>> 0 <= i16 >>> 0) break;
     i12 = _backupOnePage(i3, i16, i9) | 0;
     if (!i12) break;
     set32(i18 | 0, i12 | 0);
    } while (0);
    i3 = get32(i3 + 44 | 0) | 0;
   } while ((i3 | 0) != 0);
   i33 = i30;
   i34 = i7;
   i32 = 64;
  }
 } else i32 = 55; while (0);
 if ((i32 | 0) == 55) if ((i4 | 0) == 0 & (i30 | 0) == 0) {
  i4 = i1 + 19 | 0;
  set8(i4 >> 0 | 0, (get8(i4 >> 0 | 0) | 0) + 1 << 24 >> 24 | 0);
  i15 = _sqlite3PagerAcquire(i1, i16, i8, 1) | 0;
  set8(i4 >> 0 | 0, (get8(i4 >> 0 | 0) | 0) + -1 << 24 >> 24 | 0);
  if (i15) {
   i14 = i15;
   STACKTOP = i6;
   return i14 | 0;
  }
  i15 = get32(i8 | 0) | 0;
  i4 = i15 + 20 | 0;
  i16 = getU16(i4 | 0) | 0;
  i27 = i16 & 65495;
  set16(i4 | 0, i27 | 0);
  if (!(i16 & 2)) {
   i16 = (i27 | 2) & 65535;
   set16(i4 | 0, i16 | 0);
   i4 = get32(i15 + 24 | 0) | 0;
   i27 = get32(i4 | 0) | 0;
   set32(i15 + 28 | 0, i27 | 0);
   if (i27) set32(i27 + 32 | 0, i15 | 0);
   set32(i4 | 0, i15 | 0);
   i27 = i4 + 4 | 0;
   if (!(get32(i27 | 0) | 0)) set32(i27 | 0, i15 | 0);
   i27 = i4 + 8 | 0;
   if ((i16 & 4) == 0 & (get32(i27 | 0) | 0) == 0) {
    set32(i27 | 0, i15 | 0);
    i35 = i15;
    i36 = 0;
   } else {
    i35 = i15;
    i36 = 0;
   }
  } else {
   i33 = i15;
   i34 = 0;
   i32 = 64;
  }
 } else {
  i33 = i30;
  i34 = 0;
  i32 = 64;
 }
 if ((i32 | 0) == 64) if (!i33) {
  i14 = i34;
  STACKTOP = i6;
  return i14 | 0;
 } else {
  i35 = i33;
  i36 = i34;
 }
 i34 = get32(i35 | 0) | 0;
 _memcpy(i34 | 0, i9 | 0, get32(i17 | 0) | 0) | 0;
 FUNCTION_TABLE_vi[get32(i1 + 160 | 0) & 31](i35);
 do if (i10) {
  if ((i5 | 0) != 0 ? (i17 = i2, i9 = get32(i17 + 4 | 0) | 0, i33 = i1 + 80 | 0, i32 = get32(i33 + 4 | 0) | 0, (i9 | 0) > (i32 | 0) | ((i9 | 0) == (i32 | 0) ? (get32(i17 | 0) | 0) >>> 0 > (get32(i33 | 0) | 0) >>> 0 : 0)) : 0) break;
  i33 = i35 + 20 | 0;
  i17 = get16(i33 | 0) | 0;
  if (i17 & 2) {
   i32 = get32(i35 + 24 | 0) | 0;
   i9 = i32 + 8 | 0;
   if ((get32(i9 | 0) | 0) == (i35 | 0)) {
    i30 = i35;
    while (1) {
     i15 = get32(i30 + 32 | 0) | 0;
     if (!i15) {
      i37 = 0;
      break;
     }
     if (!(get16(i15 + 20 | 0) & 4)) {
      i37 = i15;
      break;
     } else i30 = i15;
    }
    set32(i9 | 0, i37 | 0);
   }
   i30 = i35 + 28 | 0;
   i15 = get32(i30 | 0) | 0;
   i27 = i35 + 32 | 0;
   i16 = get32(i27 | 0) | 0;
   i4 = i15;
   if (!i15) set32(i32 + 4 | 0, i16 | 0); else set32(i15 + 32 | 0, i16 | 0);
   i16 = get32(i27 | 0) | 0;
   if (!i16) set32(i32 | 0, i4 | 0); else set32(i16 + 28 | 0, i4 | 0);
   set32(i30 | 0, 0 | 0);
   set32(i27 | 0, 0 | 0);
   set16(i33 | 0, i17 & 65529 | 0);
   if (!(get16(i35 + 22 | 0) | 0)) {
    if (!(get32(i32 + 28 | 0) | 0)) break;
    if ((get32(i35 + 12 | 0) | 0) == 1) set32(i32 + 44 | 0, 0 | 0);
    FUNCTION_TABLE_viii[get32(324 | 0) & 63](get32(i32 + 40 | 0) | 0, i35, 0);
   }
  }
 } while (0);
 if (i19) {
  i28 = i1 + 100 | 0;
  i1 = i34 + 24 | 0;
  i29 = i28 + 16 | 0;
  do {
   set8(i28 >> 0 | 0, get8(i1 >> 0 | 0) | 0 | 0);
   i28 = i28 + 1 | 0;
   i1 = i1 + 1 | 0;
  } while ((i28 | 0) < (i29 | 0));
 }
 i1 = get32(i8 | 0) | 0;
 i8 = i1 + 22 | 0;
 i28 = (get16(i8 | 0) | 0) + -1 << 16 >> 16;
 set16(i8 | 0, i28 | 0);
 if (i28 << 16 >> 16) {
  i14 = i36;
  STACKTOP = i6;
  return i14 | 0;
 }
 i28 = get32(i1 + 24 | 0) | 0;
 i8 = i28 + 12 | 0;
 set32(i8 | 0, (get32(i8 | 0) | 0) + -1 | 0);
 i8 = get16(i1 + 20 | 0) | 0;
 if (!(i8 & 2)) {
  if (!(get32(i28 + 28 | 0) | 0)) {
   i14 = i36;
   STACKTOP = i6;
   return i14 | 0;
  }
  if ((get32(i1 + 12 | 0) | 0) == 1) set32(i28 + 44 | 0, 0 | 0);
  FUNCTION_TABLE_viii[get32(324 | 0) & 63](get32(i28 + 40 | 0) | 0, i1, 0);
  i14 = i36;
  STACKTOP = i6;
  return i14 | 0;
 }
 i29 = i28 + 8 | 0;
 i34 = get32(i29 | 0) | 0;
 if ((i34 | 0) == (i1 | 0)) {
  i19 = i1;
  while (1) {
   i35 = get32(i19 + 32 | 0) | 0;
   if (!i35) {
    i38 = 0;
    break;
   }
   if (!(get16(i35 + 20 | 0) & 4)) {
    i38 = i35;
    break;
   } else i19 = i35;
  }
  set32(i29 | 0, i38 | 0);
  i39 = i38;
 } else i39 = i34;
 i34 = i1 + 28 | 0;
 i38 = get32(i34 | 0) | 0;
 i19 = i1 + 32 | 0;
 i35 = get32(i19 | 0) | 0;
 i37 = i38;
 if (!i38) set32(i28 + 4 | 0, i35 | 0); else set32(i38 + 32 | 0, i35 | 0);
 i35 = get32(i19 | 0) | 0;
 if (!i35) {
  set32(i28 | 0, i37 | 0);
  i40 = i28;
  i41 = i38;
 } else {
  set32(i35 + 28 | 0, i37 | 0);
  i40 = i28;
  i41 = get32(i28 | 0) | 0;
 }
 set32(i19 | 0, 0 | 0);
 set32(i34 | 0, i41 | 0);
 if (i41) set32(i41 + 32 | 0, i1 | 0);
 set32(i40 | 0, i1 | 0);
 i40 = i28 + 4 | 0;
 if (!(get32(i40 | 0) | 0)) set32(i40 | 0, i1 | 0);
 if (!((i8 & 4) == 0 & (i39 | 0) == 0)) {
  i14 = i36;
  STACKTOP = i6;
  return i14 | 0;
 }
 set32(i29 | 0, i1 | 0);
 i14 = i36;
 STACKTOP = i6;
 return i14 | 0;
}

function _resetAccumulator(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i4 = i3;
 i5 = get32(i1 + 12 | 0) | 0;
 i6 = i2 + 36 | 0;
 i7 = get32(i6 | 0) | 0;
 i8 = i2 + 20 | 0;
 i9 = get32(i8 | 0) | 0;
 if ((i7 | 0) == (0 - i9 | 0)) {
  STACKTOP = i3;
  return;
 }
 if ((i9 | 0) > 0) {
  i9 = i2 + 16 | 0;
  i10 = i5 + 28 | 0;
  i11 = i5 + 32 | 0;
  i12 = i5 + 4 | 0;
  i13 = 0;
  do {
   i14 = get32((get32(i9 | 0) | 0) + (i13 * 24 | 0) + 16 | 0) | 0;
   i15 = get32(i10 | 0) | 0;
   i16 = get32(i11 | 0) | 0;
   if ((i16 | 0) <= (i15 | 0)) {
    i17 = _sqlite3DbRealloc(get32(i5 | 0) | 0, get32(i12 | 0) | 0, (i16 | 0) == 0 ? 1020 : i16 * 40 | 0) | 0;
    if (i17) {
     i16 = get32(i5 | 0) | 0;
     if (((i16 | 0) != 0 ? (get32(i16 + 260 | 0) | 0) >>> 0 <= i17 >>> 0 : 0) ? (get32(i16 + 264 | 0) | 0) >>> 0 > i17 >>> 0 : 0) i18 = getU16(i16 + 232 | 0) | 0; else i18 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i17) | 0;
     set32(i11 | 0, (i18 >>> 0) / 20 | 0 | 0);
     set32(i12 | 0, i17 | 0);
     i19 = get32(i10 | 0) | 0;
     i20 = i17;
     i21 = 13;
    }
   } else {
    i19 = i15;
    i20 = get32(i12 | 0) | 0;
    i21 = 13;
   }
   if ((i21 | 0) == 13) {
    i21 = 0;
    set32(i10 | 0, i19 + 1 | 0);
    set8(i20 + (i15 * 20 | 0) >> 0 | 0, 10 | 0);
    set8(i20 + (i15 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i20 + (i15 * 20 | 0) + 4 | 0, 0 | 0);
    set32(i20 + (i15 * 20 | 0) + 8 | 0, i14 | 0);
    set32(i20 + (i15 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i20 + (i15 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i20 + (i15 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   }
   i13 = i13 + 1 | 0;
  } while ((i13 | 0) < (get32(i8 | 0) | 0));
  i22 = get32(i6 | 0) | 0;
 } else i22 = i7;
 if ((i22 | 0) <= 0) {
  STACKTOP = i3;
  return;
 }
 i22 = i5 + 28 | 0;
 i7 = i5 + 32 | 0;
 i8 = i5 + 4 | 0;
 i13 = 0;
 i20 = get32(i2 + 32 | 0) | 0;
 while (1) {
  i2 = get32(i20 + 8 | 0) | 0;
  i19 = get32(i22 | 0) | 0;
  i10 = get32(i7 | 0) | 0;
  if ((i10 | 0) <= (i19 | 0)) {
   i12 = _sqlite3DbRealloc(get32(i5 | 0) | 0, get32(i8 | 0) | 0, (i10 | 0) == 0 ? 1020 : i10 * 40 | 0) | 0;
   if (i12) {
    i10 = get32(i5 | 0) | 0;
    if (((i10 | 0) != 0 ? (get32(i10 + 260 | 0) | 0) >>> 0 <= i12 >>> 0 : 0) ? (get32(i10 + 264 | 0) | 0) >>> 0 > i12 >>> 0 : 0) i23 = getU16(i10 + 232 | 0) | 0; else i23 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i12) | 0;
    set32(i7 | 0, (i23 >>> 0) / 20 | 0 | 0);
    set32(i8 | 0, i12 | 0);
    i24 = get32(i22 | 0) | 0;
    i25 = i12;
    i21 = 27;
   }
  } else {
   i24 = i19;
   i25 = get32(i8 | 0) | 0;
   i21 = 27;
  }
  if ((i21 | 0) == 27) {
   i21 = 0;
   set32(i22 | 0, i24 + 1 | 0);
   set8(i25 + (i19 * 20 | 0) >> 0 | 0, 10 | 0);
   set8(i25 + (i19 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i25 + (i19 * 20 | 0) + 4 | 0, 0 | 0);
   set32(i25 + (i19 * 20 | 0) + 8 | 0, i2 | 0);
   set32(i25 + (i19 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i25 + (i19 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i25 + (i19 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  }
  i19 = i20 + 12 | 0;
  do if ((get32(i19 | 0) | 0) > -1) {
   i2 = get32((get32(i20 | 0) | 0) + 16 | 0) | 0;
   if ((i2 | 0) != 0 ? (get32(i2 | 0) | 0) == 1 : 0) {
    i12 = get32(i1 | 0) | 0;
    L48 : do if (!i12) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i26 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](21) | 0;
      i21 = 69;
      break;
     }
     i10 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](21) | 0;
     set32(35 * 4 | 0, 21 | 0);
     if ((get32(45 * 4 | 0) | 0) < 21) set32(45 * 4 | 0, 21 | 0);
     i18 = get32(6 * 4 | 0) | 0;
     do if (i18) {
      i11 = get32(30 * 4 | 0) | 0;
      i9 = ((i11 | 0) < 0) << 31 >> 31;
      i15 = 16;
      i14 = _i64Subtract(get32(i15 | 0) | 0, get32(i15 + 4 | 0) | 0, i10 | 0, ((i10 | 0) < 0) << 31 >> 31 | 0) | 0;
      i15 = tempRet0;
      if ((i9 | 0) < (i15 | 0) | (i9 | 0) == (i15 | 0) & i11 >>> 0 < i14 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i14 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i18 & 15](i14, i11, i9, i10);
       set32(6 * 4 | 0, i18 | 0);
       set32(7 * 4 | 0, i14 | 0);
       break;
      }
     } while (0);
     i18 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i10) | 0;
     if (i18) {
      i14 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i18) | 0;
      i9 = (get32(30 * 4 | 0) | 0) + i14 | 0;
      set32(30 * 4 | 0, i9 | 0);
      if ((i9 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i9 | 0);
      i9 = get32(39 * 4 | 0) | 0;
      i14 = i9 + 1 | 0;
      set32(39 * 4 | 0, i14 | 0);
      if ((i9 | 0) < (get32(49 * 4 | 0) | 0)) {
       i27 = i18;
       i21 = 70;
      } else {
       set32(49 * 4 | 0, i14 | 0);
       i27 = i18;
       i21 = 70;
      }
     } else i28 = 0;
    } else {
     i18 = i12 + 30 | 0;
     if (!(get8(i18 >> 0 | 0) | 0)) {
      do if (get8(i12 + 234 >> 0 | 0) | 0) {
       if ((getU16(i12 + 232 | 0) | 0) < 21) {
        i14 = i12 + 248 | 0;
        set32(i14 | 0, (get32(i14 | 0) | 0) + 1 | 0);
        break;
       }
       i14 = i12 + 256 | 0;
       i9 = get32(i14 | 0) | 0;
       if (!i9) {
        i11 = i12 + 252 | 0;
        set32(i11 | 0, (get32(i11 | 0) | 0) + 1 | 0);
        break;
       }
       set32(i14 | 0, get32(i9 | 0) | 0);
       i14 = i12 + 236 | 0;
       i11 = get32(i14 | 0) | 0;
       i15 = i11 + 1 | 0;
       set32(i14 | 0, i15 | 0);
       i14 = i12 + 244 | 0;
       set32(i14 | 0, (get32(i14 | 0) | 0) + 1 | 0);
       i14 = i12 + 240 | 0;
       if ((i11 | 0) >= (get32(i14 | 0) | 0)) set32(i14 | 0, i15 | 0);
       i26 = i9;
       i21 = 69;
       break L48;
      } while (0);
      if (!(get32(50 * 4 | 0) | 0)) {
       i10 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](21) | 0;
       if (i10) {
        i27 = i10;
        i21 = 70;
        break;
       }
      } else {
       i10 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](21) | 0;
       set32(35 * 4 | 0, 21 | 0);
       if ((get32(45 * 4 | 0) | 0) < 21) set32(45 * 4 | 0, 21 | 0);
       i9 = get32(6 * 4 | 0) | 0;
       do if (i9) {
        i15 = get32(30 * 4 | 0) | 0;
        i14 = ((i15 | 0) < 0) << 31 >> 31;
        i11 = 16;
        i17 = _i64Subtract(get32(i11 | 0) | 0, get32(i11 + 4 | 0) | 0, i10 | 0, ((i10 | 0) < 0) << 31 >> 31 | 0) | 0;
        i11 = tempRet0;
        if ((i14 | 0) < (i11 | 0) | (i14 | 0) == (i11 | 0) & i15 >>> 0 < i17 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i17 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i9 & 15](i17, i15, i14, i10);
         set32(6 * 4 | 0, i9 | 0);
         set32(7 * 4 | 0, i17 | 0);
         break;
        }
       } while (0);
       i9 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i10) | 0;
       if (i9) {
        i17 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i9) | 0;
        i14 = (get32(30 * 4 | 0) | 0) + i17 | 0;
        set32(30 * 4 | 0, i14 | 0);
        if ((i14 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i14 | 0);
        i14 = get32(39 * 4 | 0) | 0;
        i17 = i14 + 1 | 0;
        set32(39 * 4 | 0, i17 | 0);
        if ((i14 | 0) < (get32(49 * 4 | 0) | 0)) {
         i27 = i9;
         i21 = 70;
         break;
        }
        set32(49 * 4 | 0, i17 | 0);
        i27 = i9;
        i21 = 70;
        break;
       }
      }
      set8(i18 >> 0 | 0, 1 | 0);
      i28 = 0;
     } else i28 = 0;
    } while (0);
    if ((i21 | 0) == 69) {
     i21 = 0;
     if (!i26) i28 = 0; else {
      i27 = i26;
      i21 = 70;
     }
    }
    if ((i21 | 0) == 70) {
     i21 = 0;
     i9 = i27;
     i17 = i9 + 21 | 0;
     do {
      set8(i9 >> 0 | 0, 0 | 0);
      i9 = i9 + 1 | 0;
     } while ((i9 | 0) < (i17 | 0));
     i9 = i27 + 8 | 0;
     set32(i9 | 0, i27 + 16 | 0);
     set16(i27 + 6 | 0, 1 | 0);
     set8(i27 + 4 >> 0 | 0, get8((get32((get32(i12 + 8 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0) | 0 | 0);
     set32(i27 | 0, i12 | 0);
     i17 = get32(i2 + 12 | 0) | 0;
     i14 = _sqlite3ExprCollSeq(i1, get32(i17 | 0) | 0) | 0;
     if (!i14) i29 = get32(i12 + 44 | 0) | 0; else i29 = i14;
     set32(i27 + 12 | 0, i29 | 0);
     set8(get32(i9 | 0) >> 0 | 0, get8(i17 + 12 >> 0 | 0) | 0 | 0);
     i28 = i27;
    }
    i17 = get32(i19 | 0) | 0;
    i9 = get32(i22 | 0) | 0;
    i14 = get32(i7 | 0) | 0;
    if ((i14 | 0) <= (i9 | 0)) {
     i15 = _sqlite3DbRealloc(get32(i5 | 0) | 0, get32(i8 | 0) | 0, (i14 | 0) == 0 ? 1020 : i14 * 40 | 0) | 0;
     if (!i15) i30 = 1; else {
      i14 = get32(i5 | 0) | 0;
      if (((i14 | 0) != 0 ? (get32(i14 + 260 | 0) | 0) >>> 0 <= i15 >>> 0 : 0) ? (get32(i14 + 264 | 0) | 0) >>> 0 > i15 >>> 0 : 0) i31 = getU16(i14 + 232 | 0) | 0; else i31 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i15) | 0;
      set32(i7 | 0, (i31 >>> 0) / 20 | 0 | 0);
      set32(i8 | 0, i15 | 0);
      i32 = get32(i22 | 0) | 0;
      i33 = i15;
      i21 = 82;
     }
    } else {
     i32 = i9;
     i33 = get32(i8 | 0) | 0;
     i21 = 82;
    }
    if ((i21 | 0) == 82) {
     i21 = 0;
     set32(i22 | 0, i32 + 1 | 0);
     set8(i33 + (i9 * 20 | 0) >> 0 | 0, 41 | 0);
     set8(i33 + (i9 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i33 + (i9 * 20 | 0) + 4 | 0, i17 | 0);
     set32(i33 + (i9 * 20 | 0) + 8 | 0, 0 | 0);
     set32(i33 + (i9 * 20 | 0) + 12 | 0, 0 | 0);
     set32(i33 + (i9 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i33 + (i9 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
     i30 = i9;
    }
    i9 = get32(i5 | 0) | 0;
    i17 = get32(i8 | 0) | 0;
    if ((i17 | 0) != 0 ? (get8(i9 + 30 >> 0 | 0) | 0) == 0 : 0) {
     if ((i30 | 0) < 0) i34 = (get32(i22 | 0) | 0) + -1 | 0; else i34 = i30;
     i15 = i17 + (i34 * 20 | 0) + 1 | 0;
     i14 = i17 + (i34 * 20 | 0) + 16 | 0;
     _freeP4(i9, get8(i15 >> 0 | 0) | 0, get32(i14 | 0) | 0);
     set32(i14 | 0, 0 | 0);
     if (!i28) {
      set32(i14 | 0, 0 | 0);
      set8(i15 >> 0 | 0, 0 | 0);
      break;
     } else {
      set32(i14 | 0, i28 | 0);
      set8(i15 >> 0 | 0, -6 | 0);
      break;
     }
    }
    if (!i28) break;
    _sqlite3DbFree(i9, i28);
    break;
   }
   _sqlite3ErrorMsg(i1, 32896, i4);
   set32(i19 | 0, -1 | 0);
  } while (0);
  i13 = i13 + 1 | 0;
  if ((i13 | 0) >= (get32(i6 | 0) | 0)) break; else i20 = i20 + 16 | 0;
 }
 STACKTOP = i3;
 return;
}

function _sqlite3GenerateIndexKey(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0;
 i6 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i7 = i6;
 i8 = get32(i1 + 12 | 0) | 0;
 i9 = i2 + 16 | 0;
 i10 = get32(i9 | 0) | 0;
 i11 = i2 + 4 | 0;
 i12 = get32(i11 | 0) | 0;
 i13 = i12 + 1 | 0;
 i14 = i1 + 60 | 0;
 i15 = get32(i14 | 0) | 0;
 i16 = i1 + 56 | 0;
 i17 = get32(i16 | 0) | 0;
 if ((i17 | 0) < (i13 | 0)) {
  i18 = i1 + 72 | 0;
  i19 = get32(i18 | 0) | 0;
  set32(i18 | 0, i19 + i13 | 0);
  i20 = i19 + 1 | 0;
 } else {
  set32(i14 | 0, i15 + i13 | 0);
  set32(i16 | 0, i17 - i13 | 0);
  i20 = i15;
 }
 i15 = i20 + i12 | 0;
 i17 = i8 + 28 | 0;
 i19 = get32(i17 | 0) | 0;
 i18 = i8 + 32 | 0;
 i21 = get32(i18 | 0) | 0;
 if ((i21 | 0) <= (i19 | 0)) {
  i22 = i8 + 4 | 0;
  i23 = _sqlite3DbRealloc(get32(i8 | 0) | 0, get32(i22 | 0) | 0, (i21 | 0) == 0 ? 1020 : i21 * 40 | 0) | 0;
  if (i23) {
   i21 = get32(i8 | 0) | 0;
   if (((i21 | 0) != 0 ? (get32(i21 + 260 | 0) | 0) >>> 0 <= i23 >>> 0 : 0) ? (get32(i21 + 264 | 0) | 0) >>> 0 > i23 >>> 0 : 0) i24 = getU16(i21 + 232 | 0) | 0; else i24 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i23) | 0;
   set32(i18 | 0, (i24 >>> 0) / 20 | 0 | 0);
   set32(i22 | 0, i23 | 0);
   i25 = get32(i17 | 0) | 0;
   i26 = i23;
   i27 = 13;
  }
 } else {
  i25 = i19;
  i26 = get32(i8 + 4 | 0) | 0;
  i27 = 13;
 }
 if ((i27 | 0) == 13) {
  set32(i17 | 0, i25 + 1 | 0);
  set8(i26 + (i19 * 20 | 0) >> 0 | 0, 61 | 0);
  set8(i26 + (i19 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i26 + (i19 * 20 | 0) + 4 | 0, i3 | 0);
  set32(i26 + (i19 * 20 | 0) + 8 | 0, i15 | 0);
  set32(i26 + (i19 * 20 | 0) + 12 | 0, 0 | 0);
  set32(i26 + (i19 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i26 + (i19 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
 }
 if ((i12 | 0) > 0) {
  i19 = i2 + 8 | 0;
  i26 = i10 + 4 | 0;
  i25 = i8 + 4 | 0;
  i23 = i10 + 28 | 0;
  i22 = i10 + 12 | 0;
  i24 = 0;
  do {
   i21 = get32((get32(i19 | 0) | 0) + (i24 << 2) | 0) | 0;
   i28 = i24 + i20 | 0;
   i29 = get32(i17 | 0) | 0;
   i30 = get32(i18 | 0) | 0;
   i31 = (i30 | 0) > (i29 | 0);
   do if ((i21 | 0) == (get32(i26 | 0) | 0)) {
    if (i31) {
     i32 = i29;
     i33 = get32(i25 | 0) | 0;
    } else {
     i34 = _sqlite3DbRealloc(get32(i8 | 0) | 0, get32(i25 | 0) | 0, (i30 | 0) == 0 ? 1020 : i30 * 40 | 0) | 0;
     if (!i34) break;
     i35 = get32(i8 | 0) | 0;
     if (((i35 | 0) != 0 ? (get32(i35 + 260 | 0) | 0) >>> 0 <= i34 >>> 0 : 0) ? (get32(i35 + 264 | 0) | 0) >>> 0 > i34 >>> 0 : 0) i36 = getU16(i35 + 232 | 0) | 0; else i36 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i34) | 0;
     set32(i18 | 0, (i36 >>> 0) / 20 | 0 | 0);
     set32(i25 | 0, i34 | 0);
     i32 = get32(i17 | 0) | 0;
     i33 = i34;
    }
    set32(i17 | 0, i32 + 1 | 0);
    set8(i33 + (i29 * 20 | 0) >> 0 | 0, 15 | 0);
    set8(i33 + (i29 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i33 + (i29 * 20 | 0) + 4 | 0, i15 | 0);
    set32(i33 + (i29 * 20 | 0) + 8 | 0, i28 | 0);
    set32(i33 + (i29 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i33 + (i29 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i33 + (i29 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   } else {
    if (!i31) {
     i34 = _sqlite3DbRealloc(get32(i8 | 0) | 0, get32(i25 | 0) | 0, (i30 | 0) == 0 ? 1020 : i30 * 40 | 0) | 0;
     if (i34) {
      i35 = get32(i8 | 0) | 0;
      if (((i35 | 0) != 0 ? (get32(i35 + 260 | 0) | 0) >>> 0 <= i34 >>> 0 : 0) ? (get32(i35 + 264 | 0) | 0) >>> 0 > i34 >>> 0 : 0) i37 = getU16(i35 + 232 | 0) | 0; else i37 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i34) | 0;
      set32(i18 | 0, (i37 >>> 0) / 20 | 0 | 0);
      set32(i25 | 0, i34 | 0);
      i38 = get32(i17 | 0) | 0;
      i39 = i34;
      i27 = 36;
     }
    } else {
     i38 = i29;
     i39 = get32(i25 | 0) | 0;
     i27 = 36;
    }
    if ((i27 | 0) == 36) {
     i27 = 0;
     set32(i17 | 0, i38 + 1 | 0);
     set8(i39 + (i29 * 20 | 0) >> 0 | 0, 28 | 0);
     set8(i39 + (i29 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
     set32(i39 + (i29 * 20 | 0) + 4 | 0, i3 | 0);
     set32(i39 + (i29 * 20 | 0) + 8 | 0, i21 | 0);
     set32(i39 + (i29 * 20 | 0) + 12 | 0, i28 | 0);
     set32(i39 + (i29 * 20 | 0) + 16 | 0, 0 | 0);
     set8(i39 + (i29 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
    }
    do if ((get32(i23 | 0) | 0) == 0 ? (i34 = get32(i8 | 0) | 0, i35 = get32(i22 | 0) | 0, _sqlite3ValueFromExpr(i34, get32(i35 + (i21 * 24 | 0) + 4 | 0) | 0, get8((get32((get32(i34 + 8 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0) | 0, get8(i35 + (i21 * 24 | 0) + 22 >> 0 | 0) | 0, i7) | 0, i35 = get32(i7 | 0) | 0, (i35 | 0) != 0) : 0) {
     i34 = get32(i8 | 0) | 0;
     i40 = get32(i25 | 0) | 0;
     if ((i40 | 0) != 0 ? (get8(i34 + 30 >> 0 | 0) | 0) == 0 : 0) {
      i41 = (get32(i17 | 0) | 0) + -1 | 0;
      i42 = i40 + (i41 * 20 | 0) + 1 | 0;
      i43 = i40 + (i41 * 20 | 0) + 16 | 0;
      _freeP4(i34, get8(i42 >> 0 | 0) | 0, get32(i43 | 0) | 0);
      set32(i43 | 0, i35 | 0);
      set8(i42 >> 0 | 0, -8 | 0);
      break;
     }
     if (!(get32(i34 + 504 | 0) | 0)) {
      _sqlite3VdbeMemReleaseExternal(i35);
      i42 = i35 + 36 | 0;
      _sqlite3DbFree(get32(i35 | 0) | 0, get32(i42 | 0) | 0);
      set32(i35 + 4 | 0, 0 | 0);
      set32(i42 | 0, 0 | 0);
      set32(i35 + 32 | 0, 0 | 0);
      _sqlite3DbFree(get32(i35 | 0) | 0, i35);
      break;
     } else {
      _sqlite3DbFree(i34, get32(i35 + 36 | 0) | 0);
      _sqlite3DbFree(i34, i35);
      break;
     }
    } while (0);
   } while (0);
   i24 = i24 + 1 | 0;
  } while ((i24 | 0) != (i12 | 0));
 }
 if (i5) {
  L67 : do if ((get32(i10 + 28 | 0) | 0) == 0 ? (get32((get32(i1 | 0) | 0) + 12 | 0) & 128 | 0) == 0 : 0) {
   i5 = i2 + 28 | 0;
   i12 = get32(i5 | 0) | 0;
   if (!i12) {
    i24 = get32(i9 | 0) | 0;
    i25 = get32(i8 | 0) | 0;
    i7 = get32(i11 | 0) | 0;
    i22 = i7 + 2 | 0;
    do if ((i7 + 1 | 0) >>> 0 > 2147483390) set32(i5 | 0, 0 | 0); else {
     if (!(get32(50 * 4 | 0) | 0)) {
      i23 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i22) | 0;
      set32(i5 | 0, i23 | 0);
      if (!i23) break; else i44 = i23;
     } else {
      i23 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i22) | 0;
      set32(35 * 4 | 0, i22 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i22 | 0)) set32(45 * 4 | 0, i22 | 0);
      i39 = get32(6 * 4 | 0) | 0;
      do if (i39) {
       i3 = get32(30 * 4 | 0) | 0;
       i38 = ((i3 | 0) < 0) << 31 >> 31;
       i37 = 16;
       i33 = _i64Subtract(get32(i37 | 0) | 0, get32(i37 + 4 | 0) | 0, i23 | 0, ((i23 | 0) < 0) << 31 >> 31 | 0) | 0;
       i37 = tempRet0;
       if ((i38 | 0) < (i37 | 0) | (i38 | 0) == (i37 | 0) & i3 >>> 0 < i33 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i33 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i39 & 15](i33, i3, i38, i23);
        set32(6 * 4 | 0, i39 | 0);
        set32(7 * 4 | 0, i33 | 0);
        break;
       }
      } while (0);
      i39 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i23) | 0;
      if (!i39) {
       set32(i5 | 0, 0 | 0);
       break;
      }
      i33 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i39) | 0;
      i38 = (get32(30 * 4 | 0) | 0) + i33 | 0;
      set32(30 * 4 | 0, i38 | 0);
      if ((i38 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i38 | 0);
      i38 = get32(39 * 4 | 0) | 0;
      i33 = i38 + 1 | 0;
      set32(39 * 4 | 0, i33 | 0);
      if ((i38 | 0) >= (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i33 | 0);
      set32(i5 | 0, i39 | 0);
      i44 = i39;
     }
     if ((get32(i11 | 0) | 0) > 0) {
      i39 = i2 + 8 | 0;
      i33 = i24 + 12 | 0;
      i38 = i44;
      i3 = 0;
      while (1) {
       set8(i38 + i3 >> 0 | 0, get8((get32(i33 | 0) | 0) + ((get32((get32(i39 | 0) | 0) + (i3 << 2) | 0) | 0) * 24 | 0) + 22 >> 0 | 0) | 0 | 0);
       i37 = i3 + 1 | 0;
       i32 = get32(i5 | 0) | 0;
       if ((i37 | 0) < (get32(i11 | 0) | 0)) {
        i38 = i32;
        i3 = i37;
       } else {
        i45 = i32;
        i46 = i37;
        break;
       }
      }
     } else {
      i45 = i44;
      i46 = 0;
     }
     set8(i45 + i46 >> 0 | 0, 98 | 0);
     set8((get32(i5 | 0) | 0) + (i46 + 1) >> 0 | 0, 0 | 0);
     i47 = get32(i5 | 0) | 0;
     break L67;
    } while (0);
    set8(i25 + 30 >> 0 | 0, 1 | 0);
    i47 = 0;
   } else i47 = i12;
  } else i47 = 0; while (0);
  i46 = get32(i17 | 0) | 0;
  i45 = get32(i18 | 0) | 0;
  if ((i45 | 0) <= (i46 | 0)) {
   i44 = i8 + 4 | 0;
   i11 = _sqlite3DbRealloc(get32(i8 | 0) | 0, get32(i44 | 0) | 0, (i45 | 0) == 0 ? 1020 : i45 * 40 | 0) | 0;
   if (i11) {
    i45 = get32(i8 | 0) | 0;
    if (((i45 | 0) != 0 ? (get32(i45 + 260 | 0) | 0) >>> 0 <= i11 >>> 0 : 0) ? (get32(i45 + 264 | 0) | 0) >>> 0 > i11 >>> 0 : 0) i48 = getU16(i45 + 232 | 0) | 0; else i48 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i11) | 0;
    set32(i18 | 0, (i48 >>> 0) / 20 | 0 | 0);
    set32(i44 | 0, i11 | 0);
    i49 = get32(i17 | 0) | 0;
    i50 = i11;
    i27 = 82;
   }
  } else {
   i49 = i46;
   i50 = get32(i8 + 4 | 0) | 0;
   i27 = 82;
  }
  if ((i27 | 0) == 82) {
   set32(i17 | 0, i49 + 1 | 0);
   set8(i50 + (i46 * 20 | 0) >> 0 | 0, 30 | 0);
   set8(i50 + (i46 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i50 + (i46 * 20 | 0) + 4 | 0, i20 | 0);
   set32(i50 + (i46 * 20 | 0) + 8 | 0, i13 | 0);
   set32(i50 + (i46 * 20 | 0) + 12 | 0, i4 | 0);
   set32(i50 + (i46 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i50 + (i46 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  }
  _sqlite3VdbeChangeP4(i8, -1, i47, 0);
 }
 i47 = i1 + 21 | 0;
 i8 = 0;
 i46 = i1 + 96 | 0;
 while (1) {
  i50 = i46 + 16 | 0;
  i4 = get32(i50 | 0) | 0;
  if (!((i4 | 0) < (i20 | 0) | (i4 | 0) > (i15 | 0))) {
   i49 = i46 + 8 | 0;
   if (get8(i49 >> 0 | 0) | 0) {
    i17 = get8(i47 >> 0 | 0) | 0;
    if ((i17 & 255) < 8) {
     set8(i47 >> 0 | 0, i17 + 1 << 24 >> 24 | 0);
     set32(i1 + 24 + ((i17 & 255) << 2) | 0, i4 | 0);
    }
    set8(i49 >> 0 | 0, 0 | 0);
   }
   set32(i50 | 0, 0 | 0);
  }
  i8 = i8 + 1 | 0;
  if ((i8 | 0) == 10) break; else i46 = i46 + 24 | 0;
 }
 if ((get32(i16 | 0) | 0) >= (i13 | 0)) {
  STACKTOP = i6;
  return i20 | 0;
 }
 set32(i16 | 0, i13 | 0);
 set32(i14 | 0, i20 | 0);
 STACKTOP = i6;
 return i20 | 0;
}

function _sqlite3DeleteTable(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0;
 if (!i2) return;
 i3 = (i1 | 0) != 0;
 if (!(i3 ? (get32(i1 + 504 | 0) | 0) != 0 : 0)) i4 = 4;
 if ((i4 | 0) == 4 ? (i5 = i2 + 32 | 0, i6 = (get16(i5 | 0) | 0) + -1 << 16 >> 16, set16(i5 | 0, i6 | 0), i6 << 16 >> 16 != 0) : 0) return;
 i6 = get32(i2 + 16 | 0) | 0;
 if (i6) {
  i5 = i1 + 504 | 0;
  i7 = i6;
  do {
   i6 = i7;
   i7 = get32(i7 + 32 | 0) | 0;
   if (!(i3 ? (get32(i5 | 0) | 0) != 0 : 0)) {
    i8 = get32(i6 | 0) | 0;
    i9 = (get32(i6 + 36 | 0) | 0) + 24 | 0;
    if (!i8) i10 = 0; else {
     i11 = i8;
     while (1) if (!(get8(i11 >> 0 | 0) | 0)) {
      i12 = i11;
      break;
     } else i11 = i11 + 1 | 0;
     i10 = i12 - i8 & 1073741823;
    }
    _sqlite3HashInsert(i9, i8, i10, 0) | 0;
   }
   _sqlite3DbFree(i1, get32(i6 + 28 | 0) | 0);
   _sqlite3DbFree(i1, i6);
  } while ((i7 | 0) != 0);
 }
 i7 = get32(i2 + 36 | 0) | 0;
 if (i7) {
  i10 = (i1 | 0) == 0;
  i12 = i2 + 68 | 0;
  i5 = i1 + 504 | 0;
  i3 = i7;
  do {
   if (!(!i10 ? (get32(i5 | 0) | 0) != 0 : 0)) {
    i7 = i3 + 16 | 0;
    i11 = get32(i7 | 0) | 0;
    i13 = i3 + 12 | 0;
    i14 = get32(i13 | 0) | 0;
    if (!i11) {
     i15 = get32(((i14 | 0) == 0 ? i3 : i14) + 8 | 0) | 0;
     i16 = (get32(i12 | 0) | 0) + 56 | 0;
     if (!i15) i17 = 0; else {
      i18 = i15;
      while (1) if (!(get8(i18 >> 0 | 0) | 0)) {
       i19 = i18;
       break;
      } else i18 = i18 + 1 | 0;
      i17 = i19 - i15 & 1073741823;
     }
     _sqlite3HashInsert(i16, i15, i17, i14) | 0;
    } else set32(i11 + 12 | 0, i14 | 0);
    i18 = get32(i13 | 0) | 0;
    if (i18) set32(i18 + 16 | 0, get32(i7 | 0) | 0);
   }
   i18 = get32(i3 + 28 | 0) | 0;
   if (i18) {
    i6 = get32(i18 + 28 | 0) | 0;
    _sqlite3ExprDelete(i1, get32(i6 + 20 | 0) | 0);
    i8 = get32(i6 + 24 | 0) | 0;
    if (i8) {
     i9 = i8 + 12 | 0;
     if ((get32(i8 | 0) | 0) > 0) {
      i20 = 0;
      i21 = get32(i9 | 0) | 0;
      while (1) {
       _sqlite3ExprDelete(i1, get32(i21 | 0) | 0);
       _sqlite3DbFree(i1, get32(i21 + 4 | 0) | 0);
       _sqlite3DbFree(i1, get32(i21 + 8 | 0) | 0);
       i20 = i20 + 1 | 0;
       if ((i20 | 0) >= (get32(i8 | 0) | 0)) break; else i21 = i21 + 20 | 0;
      }
     }
     _sqlite3DbFree(i1, get32(i9 | 0) | 0);
     _sqlite3DbFree(i1, i8);
    }
    i21 = get32(i6 + 8 | 0) | 0;
    if (i21) {
     i20 = get32(i21 | 0) | 0;
     if (i20) {
      i7 = i20 + 12 | 0;
      if ((get32(i20 | 0) | 0) > 0) {
       i13 = 0;
       i14 = get32(i7 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i1, get32(i14 | 0) | 0);
        _sqlite3DbFree(i1, get32(i14 + 4 | 0) | 0);
        _sqlite3DbFree(i1, get32(i14 + 8 | 0) | 0);
        i13 = i13 + 1 | 0;
        if ((i13 | 0) >= (get32(i20 | 0) | 0)) break; else i14 = i14 + 20 | 0;
       }
      }
      _sqlite3DbFree(i1, get32(i7 | 0) | 0);
      _sqlite3DbFree(i1, i20);
     }
     _sqlite3SrcListDelete(i1, get32(i21 + 8 | 0) | 0);
     _sqlite3ExprDelete(i1, get32(i21 + 12 | 0) | 0);
     i14 = get32(i21 + 16 | 0) | 0;
     if (i14) {
      i13 = i14 + 12 | 0;
      if ((get32(i14 | 0) | 0) > 0) {
       i6 = 0;
       i8 = get32(i13 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i1, get32(i8 | 0) | 0);
        _sqlite3DbFree(i1, get32(i8 + 4 | 0) | 0);
        _sqlite3DbFree(i1, get32(i8 + 8 | 0) | 0);
        i6 = i6 + 1 | 0;
        if ((i6 | 0) >= (get32(i14 | 0) | 0)) break; else i8 = i8 + 20 | 0;
       }
      }
      _sqlite3DbFree(i1, get32(i13 | 0) | 0);
      _sqlite3DbFree(i1, i14);
     }
     _sqlite3ExprDelete(i1, get32(i21 + 20 | 0) | 0);
     i8 = get32(i21 + 24 | 0) | 0;
     if (i8) {
      i6 = i8 + 12 | 0;
      if ((get32(i8 | 0) | 0) > 0) {
       i20 = 0;
       i7 = get32(i6 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i1, get32(i7 | 0) | 0);
        _sqlite3DbFree(i1, get32(i7 + 4 | 0) | 0);
        _sqlite3DbFree(i1, get32(i7 + 8 | 0) | 0);
        i20 = i20 + 1 | 0;
        if ((i20 | 0) >= (get32(i8 | 0) | 0)) break; else i7 = i7 + 20 | 0;
       }
      }
      _sqlite3DbFree(i1, get32(i6 | 0) | 0);
      _sqlite3DbFree(i1, i8);
     }
     _sqlite3SelectDelete(i1, get32(i21 + 28 | 0) | 0);
     _sqlite3ExprDelete(i1, get32(i21 + 40 | 0) | 0);
     _sqlite3ExprDelete(i1, get32(i21 + 44 | 0) | 0);
     _sqlite3DbFree(i1, i21);
    }
    _sqlite3ExprDelete(i1, get32(i18 + 12 | 0) | 0);
    _sqlite3DbFree(i1, i18);
   }
   i7 = get32(i3 + 32 | 0) | 0;
   if (i7) {
    i20 = get32(i7 + 28 | 0) | 0;
    _sqlite3ExprDelete(i1, get32(i20 + 20 | 0) | 0);
    i14 = get32(i20 + 24 | 0) | 0;
    if (i14) {
     i13 = i14 + 12 | 0;
     if ((get32(i14 | 0) | 0) > 0) {
      i9 = 0;
      i11 = get32(i13 | 0) | 0;
      while (1) {
       _sqlite3ExprDelete(i1, get32(i11 | 0) | 0);
       _sqlite3DbFree(i1, get32(i11 + 4 | 0) | 0);
       _sqlite3DbFree(i1, get32(i11 + 8 | 0) | 0);
       i9 = i9 + 1 | 0;
       if ((i9 | 0) >= (get32(i14 | 0) | 0)) break; else i11 = i11 + 20 | 0;
      }
     }
     _sqlite3DbFree(i1, get32(i13 | 0) | 0);
     _sqlite3DbFree(i1, i14);
    }
    i11 = get32(i20 + 8 | 0) | 0;
    if (i11) {
     i9 = get32(i11 | 0) | 0;
     if (i9) {
      i18 = i9 + 12 | 0;
      if ((get32(i9 | 0) | 0) > 0) {
       i21 = 0;
       i8 = get32(i18 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i1, get32(i8 | 0) | 0);
        _sqlite3DbFree(i1, get32(i8 + 4 | 0) | 0);
        _sqlite3DbFree(i1, get32(i8 + 8 | 0) | 0);
        i21 = i21 + 1 | 0;
        if ((i21 | 0) >= (get32(i9 | 0) | 0)) break; else i8 = i8 + 20 | 0;
       }
      }
      _sqlite3DbFree(i1, get32(i18 | 0) | 0);
      _sqlite3DbFree(i1, i9);
     }
     _sqlite3SrcListDelete(i1, get32(i11 + 8 | 0) | 0);
     _sqlite3ExprDelete(i1, get32(i11 + 12 | 0) | 0);
     i8 = get32(i11 + 16 | 0) | 0;
     if (i8) {
      i21 = i8 + 12 | 0;
      if ((get32(i8 | 0) | 0) > 0) {
       i20 = 0;
       i14 = get32(i21 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i1, get32(i14 | 0) | 0);
        _sqlite3DbFree(i1, get32(i14 + 4 | 0) | 0);
        _sqlite3DbFree(i1, get32(i14 + 8 | 0) | 0);
        i20 = i20 + 1 | 0;
        if ((i20 | 0) >= (get32(i8 | 0) | 0)) break; else i14 = i14 + 20 | 0;
       }
      }
      _sqlite3DbFree(i1, get32(i21 | 0) | 0);
      _sqlite3DbFree(i1, i8);
     }
     _sqlite3ExprDelete(i1, get32(i11 + 20 | 0) | 0);
     i14 = get32(i11 + 24 | 0) | 0;
     if (i14) {
      i20 = i14 + 12 | 0;
      if ((get32(i14 | 0) | 0) > 0) {
       i9 = 0;
       i18 = get32(i20 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i1, get32(i18 | 0) | 0);
        _sqlite3DbFree(i1, get32(i18 + 4 | 0) | 0);
        _sqlite3DbFree(i1, get32(i18 + 8 | 0) | 0);
        i9 = i9 + 1 | 0;
        if ((i9 | 0) >= (get32(i14 | 0) | 0)) break; else i18 = i18 + 20 | 0;
       }
      }
      _sqlite3DbFree(i1, get32(i20 | 0) | 0);
      _sqlite3DbFree(i1, i14);
     }
     _sqlite3SelectDelete(i1, get32(i11 + 28 | 0) | 0);
     _sqlite3ExprDelete(i1, get32(i11 + 40 | 0) | 0);
     _sqlite3ExprDelete(i1, get32(i11 + 44 | 0) | 0);
     _sqlite3DbFree(i1, i11);
    }
    _sqlite3ExprDelete(i1, get32(i7 + 12 | 0) | 0);
    _sqlite3DbFree(i1, i7);
   }
   i18 = i3;
   i3 = get32(i3 + 4 | 0) | 0;
   _sqlite3DbFree(i1, i18);
  } while ((i3 | 0) != 0);
 }
 _sqliteDeleteColumnNames(i1, i2);
 _sqlite3DbFree(i1, get32(i2 | 0) | 0);
 _sqlite3DbFree(i1, get32(i2 + 40 | 0) | 0);
 i3 = get32(i2 + 28 | 0) | 0;
 if (i3) {
  i17 = get32(i3 | 0) | 0;
  if (i17) {
   i19 = i17 + 12 | 0;
   if ((get32(i17 | 0) | 0) > 0) {
    i12 = 0;
    i5 = get32(i19 | 0) | 0;
    while (1) {
     _sqlite3ExprDelete(i1, get32(i5 | 0) | 0);
     _sqlite3DbFree(i1, get32(i5 + 4 | 0) | 0);
     _sqlite3DbFree(i1, get32(i5 + 8 | 0) | 0);
     i12 = i12 + 1 | 0;
     if ((i12 | 0) >= (get32(i17 | 0) | 0)) break; else i5 = i5 + 20 | 0;
    }
   }
   _sqlite3DbFree(i1, get32(i19 | 0) | 0);
   _sqlite3DbFree(i1, i17);
  }
  _sqlite3SrcListDelete(i1, get32(i3 + 8 | 0) | 0);
  _sqlite3ExprDelete(i1, get32(i3 + 12 | 0) | 0);
  i17 = get32(i3 + 16 | 0) | 0;
  if (i17) {
   i19 = i17 + 12 | 0;
   if ((get32(i17 | 0) | 0) > 0) {
    i5 = 0;
    i12 = get32(i19 | 0) | 0;
    while (1) {
     _sqlite3ExprDelete(i1, get32(i12 | 0) | 0);
     _sqlite3DbFree(i1, get32(i12 + 4 | 0) | 0);
     _sqlite3DbFree(i1, get32(i12 + 8 | 0) | 0);
     i5 = i5 + 1 | 0;
     if ((i5 | 0) >= (get32(i17 | 0) | 0)) break; else i12 = i12 + 20 | 0;
    }
   }
   _sqlite3DbFree(i1, get32(i19 | 0) | 0);
   _sqlite3DbFree(i1, i17);
  }
  _sqlite3ExprDelete(i1, get32(i3 + 20 | 0) | 0);
  i17 = get32(i3 + 24 | 0) | 0;
  if (i17) {
   i19 = i17 + 12 | 0;
   if ((get32(i17 | 0) | 0) > 0) {
    i12 = 0;
    i5 = get32(i19 | 0) | 0;
    while (1) {
     _sqlite3ExprDelete(i1, get32(i5 | 0) | 0);
     _sqlite3DbFree(i1, get32(i5 + 4 | 0) | 0);
     _sqlite3DbFree(i1, get32(i5 + 8 | 0) | 0);
     i12 = i12 + 1 | 0;
     if ((i12 | 0) >= (get32(i17 | 0) | 0)) break; else i5 = i5 + 20 | 0;
    }
   }
   _sqlite3DbFree(i1, get32(i19 | 0) | 0);
   _sqlite3DbFree(i1, i17);
  }
  _sqlite3SelectDelete(i1, get32(i3 + 28 | 0) | 0);
  _sqlite3ExprDelete(i1, get32(i3 + 40 | 0) | 0);
  _sqlite3ExprDelete(i1, get32(i3 + 44 | 0) | 0);
  _sqlite3DbFree(i1, i3);
 }
 _sqlite3ExprDelete(i1, get32(i2 + 44 | 0) | 0);
 if (!((i1 | 0) != 0 ? (get32(i1 + 504 | 0) | 0) != 0 : 0)) i4 = 94;
 if ((i4 | 0) == 94 ? (i4 = i2 + 52 | 0, i3 = get32(i4 | 0) | 0, set32(i4 | 0, 0 | 0), (i3 | 0) != 0) : 0) {
  i17 = i3;
  while (1) {
   i3 = get32(i17 | 0) | 0;
   i19 = i17 + 24 | 0;
   i5 = get32(i19 | 0) | 0;
   if (!i3) {
    set32(i4 | 0, i17 | 0);
    set32(i19 | 0, 0 | 0);
    if (!i5) break; else {
     i17 = i5;
     continue;
    }
   } else {
    i12 = i3 + 316 | 0;
    set32(i19 | 0, get32(i12 | 0) | 0);
    set32(i12 | 0, i17 | 0);
    if (!i5) break; else {
     i17 = i5;
     continue;
    }
   }
  }
 }
 i17 = i2 + 60 | 0;
 i4 = get32(i17 | 0) | 0;
 if (i4) {
  i5 = i2 + 56 | 0;
  if ((get32(i5 | 0) | 0) > 0) {
   _sqlite3DbFree(i1, get32(i4 | 0) | 0);
   if ((get32(i5 | 0) | 0) > 1) {
    i12 = 1;
    do {
     _sqlite3DbFree(i1, get32((get32(i17 | 0) | 0) + (i12 << 2) | 0) | 0);
     i12 = i12 + 1 | 0;
    } while ((i12 | 0) < (get32(i5 | 0) | 0));
   }
   i22 = get32(i17 | 0) | 0;
  } else i22 = i4;
  _sqlite3DbFree(i1, i22);
 }
 _sqlite3DbFree(i1, i2);
 return;
}

function _sqlite3GetCollSeq(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0;
 if (!i3) {
  if (!i4) i5 = get32(i1 + 44 | 0) | 0; else {
   i6 = i4;
   while (1) if (!(get8(i6 >> 0 | 0) | 0)) {
    i7 = i6;
    break;
   } else i6 = i6 + 1 | 0;
   i5 = _sqlite3HashFind(i1 + 412 | 0, i4, i7 - i4 & 1073741823) | 0;
  }
  if ((i5 | 0) != 0 ? (i7 = i5 + (((i2 & 255) + -1 | 0) * 20 | 0) | 0, (i7 | 0) != 0) : 0) {
   i8 = i7;
   i9 = 8;
  }
 } else {
  i8 = i3;
  i9 = 8;
 }
 if ((i9 | 0) == 8 ? (get32(i8 + 12 | 0) | 0) != 0 : 0) {
  i10 = i8;
  return i10 | 0;
 }
 i8 = i2 & 255;
 i2 = i1 + 200 | 0;
 L14 : do if (get32(i2 | 0) | 0) if (!i4) i9 = 84; else {
  i3 = i4;
  while (1) if (!(get8(i3 >> 0 | 0) | 0)) {
   i11 = i3;
   break;
  } else i3 = i3 + 1 | 0;
  i3 = (i11 - i4 & 1073741823) + 1 | 0;
  L19 : do if (!i1) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i12 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i3) | 0;
    i9 = 49;
    break;
   }
   i7 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i3) | 0;
   set32(35 * 4 | 0, i3 | 0);
   if ((get32(45 * 4 | 0) | 0) < (i3 | 0)) set32(45 * 4 | 0, i3 | 0);
   i5 = get32(6 * 4 | 0) | 0;
   do if (i5) {
    i6 = get32(30 * 4 | 0) | 0;
    i13 = ((i6 | 0) < 0) << 31 >> 31;
    i14 = 16;
    i15 = _i64Subtract(get32(i14 | 0) | 0, get32(i14 + 4 | 0) | 0, i7 | 0, ((i7 | 0) < 0) << 31 >> 31 | 0) | 0;
    i14 = tempRet0;
    if ((i13 | 0) < (i14 | 0) | (i13 | 0) == (i14 | 0) & i6 >>> 0 < i15 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i15 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i5 & 15](i15, i6, i13, i7);
     set32(6 * 4 | 0, i5 | 0);
     set32(7 * 4 | 0, i15 | 0);
     break;
    }
   } while (0);
   i5 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i7) | 0;
   if (!i5) {
    i9 = 81;
    break L14;
   }
   i15 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i5) | 0;
   i13 = (get32(30 * 4 | 0) | 0) + i15 | 0;
   set32(30 * 4 | 0, i13 | 0);
   if ((i13 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i13 | 0);
   i13 = get32(39 * 4 | 0) | 0;
   i15 = i13 + 1 | 0;
   set32(39 * 4 | 0, i15 | 0);
   if ((i13 | 0) < (get32(49 * 4 | 0) | 0)) i16 = i5; else {
    set32(49 * 4 | 0, i15 | 0);
    i16 = i5;
   }
  } else {
   i5 = i1 + 30 | 0;
   if (get8(i5 >> 0 | 0) | 0) {
    i9 = 81;
    break L14;
   }
   do if (get8(i1 + 234 >> 0 | 0) | 0) {
    if ((getU16(i1 + 232 | 0) | 0) >>> 0 < i3 >>> 0) {
     i15 = i1 + 248 | 0;
     set32(i15 | 0, (get32(i15 | 0) | 0) + 1 | 0);
     break;
    }
    i15 = i1 + 256 | 0;
    i13 = get32(i15 | 0) | 0;
    if (!i13) {
     i6 = i1 + 252 | 0;
     set32(i6 | 0, (get32(i6 | 0) | 0) + 1 | 0);
     break;
    }
    set32(i15 | 0, get32(i13 | 0) | 0);
    i15 = i1 + 236 | 0;
    i6 = get32(i15 | 0) | 0;
    i14 = i6 + 1 | 0;
    set32(i15 | 0, i14 | 0);
    i15 = i1 + 244 | 0;
    set32(i15 | 0, (get32(i15 | 0) | 0) + 1 | 0);
    i15 = i1 + 240 | 0;
    if ((i6 | 0) >= (get32(i15 | 0) | 0)) set32(i15 | 0, i14 | 0);
    i12 = i13;
    i9 = 49;
    break L19;
   } while (0);
   if (!(get32(50 * 4 | 0) | 0)) {
    i7 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i3) | 0;
    if (i7) {
     i16 = i7;
     break;
    }
   } else {
    i7 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i3) | 0;
    set32(35 * 4 | 0, i3 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i3 | 0)) set32(45 * 4 | 0, i3 | 0);
    i13 = get32(6 * 4 | 0) | 0;
    do if (i13) {
     i14 = get32(30 * 4 | 0) | 0;
     i15 = ((i14 | 0) < 0) << 31 >> 31;
     i6 = 16;
     i17 = _i64Subtract(get32(i6 | 0) | 0, get32(i6 + 4 | 0) | 0, i7 | 0, ((i7 | 0) < 0) << 31 >> 31 | 0) | 0;
     i6 = tempRet0;
     if ((i15 | 0) < (i6 | 0) | (i15 | 0) == (i6 | 0) & i14 >>> 0 < i17 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i17 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i13 & 15](i17, i14, i15, i7);
      set32(6 * 4 | 0, i13 | 0);
      set32(7 * 4 | 0, i17 | 0);
      break;
     }
    } while (0);
    i13 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i7) | 0;
    if (i13) {
     i17 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i13) | 0;
     i15 = (get32(30 * 4 | 0) | 0) + i17 | 0;
     set32(30 * 4 | 0, i15 | 0);
     if ((i15 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i15 | 0);
     i15 = get32(39 * 4 | 0) | 0;
     i17 = i15 + 1 | 0;
     set32(39 * 4 | 0, i17 | 0);
     if ((i15 | 0) < (get32(49 * 4 | 0) | 0)) {
      i16 = i13;
      break;
     }
     set32(49 * 4 | 0, i17 | 0);
     i16 = i13;
     break;
    }
   }
   set8(i5 >> 0 | 0, 1 | 0);
   i9 = 81;
   break L14;
  } while (0);
  if ((i9 | 0) == 49) if (!i12) {
   i9 = 81;
   break;
  } else i16 = i12;
  _memcpy(i16 | 0, i4 | 0, i3 | 0) | 0;
  FUNCTION_TABLE_viiii[get32(i2 | 0) & 15](get32(i1 + 208 | 0) | 0, i1, i8, i16);
  _sqlite3DbFree(i1, i16);
  i9 = 51;
 } else i9 = 51; while (0);
 if ((i9 | 0) == 51) {
  i16 = i1 + 204 | 0;
  if (get32(i16 | 0) | 0) {
   i2 = i1 + 30 | 0;
   L76 : do if (!(get8(i2 >> 0 | 0) | 0)) {
    do if (!(get8(i1 + 234 >> 0 | 0) | 0)) i9 = 60; else {
     if ((getU16(i1 + 232 | 0) | 0) < 40) {
      i12 = i1 + 248 | 0;
      set32(i12 | 0, (get32(i12 | 0) | 0) + 1 | 0);
      i9 = 60;
      break;
     }
     i12 = i1 + 256 | 0;
     i11 = get32(i12 | 0) | 0;
     if (!i11) {
      i13 = i1 + 252 | 0;
      set32(i13 | 0, (get32(i13 | 0) | 0) + 1 | 0);
      i9 = 60;
      break;
     }
     set32(i12 | 0, get32(i11 | 0) | 0);
     i12 = i1 + 236 | 0;
     i13 = get32(i12 | 0) | 0;
     i17 = i13 + 1 | 0;
     set32(i12 | 0, i17 | 0);
     i12 = i1 + 244 | 0;
     set32(i12 | 0, (get32(i12 | 0) | 0) + 1 | 0);
     i12 = i1 + 240 | 0;
     if ((i13 | 0) >= (get32(i12 | 0) | 0)) set32(i12 | 0, i17 | 0);
     i18 = i11;
    } while (0);
    do if ((i9 | 0) == 60) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i3 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](40) | 0;
      if (i3) {
       i18 = i3;
       break;
      }
     } else {
      i3 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](40) | 0;
      set32(35 * 4 | 0, 40 | 0);
      if ((get32(45 * 4 | 0) | 0) < 40) set32(45 * 4 | 0, 40 | 0);
      i11 = get32(6 * 4 | 0) | 0;
      do if (i11) {
       i17 = get32(30 * 4 | 0) | 0;
       i12 = ((i17 | 0) < 0) << 31 >> 31;
       i13 = 16;
       i15 = _i64Subtract(get32(i13 | 0) | 0, get32(i13 + 4 | 0) | 0, i3 | 0, ((i3 | 0) < 0) << 31 >> 31 | 0) | 0;
       i13 = tempRet0;
       if ((i12 | 0) < (i13 | 0) | (i12 | 0) == (i13 | 0) & i17 >>> 0 < i15 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i15 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i11 & 15](i15, i17, i12, i3);
        set32(6 * 4 | 0, i11 | 0);
        set32(7 * 4 | 0, i15 | 0);
        break;
       }
      } while (0);
      i11 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i3) | 0;
      if (i11) {
       i5 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i11) | 0;
       i7 = (get32(30 * 4 | 0) | 0) + i5 | 0;
       set32(30 * 4 | 0, i7 | 0);
       if ((i7 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i7 | 0);
       i7 = get32(39 * 4 | 0) | 0;
       i5 = i7 + 1 | 0;
       set32(39 * 4 | 0, i5 | 0);
       if ((i7 | 0) < (get32(49 * 4 | 0) | 0)) {
        i18 = i11;
        break;
       }
       set32(49 * 4 | 0, i5 | 0);
       i18 = i11;
       break;
      }
     }
     set8(i2 >> 0 | 0, 1 | 0);
     i19 = 0;
     i20 = 1;
     break L76;
    } while (0);
    i11 = i18;
    i5 = i11 + 40 | 0;
    do {
     set8(i11 >> 0 | 0, 0 | 0);
     i11 = i11 + 1 | 0;
    } while ((i11 | 0) < (i5 | 0));
    set16(i18 + 28 | 0, 1 | 0);
    set8(i18 + 30 >> 0 | 0, 5 | 0);
    set32(i18 | 0, i1 | 0);
    if (i18) {
     _sqlite3VdbeMemSetStr(i18, i4, -1, 1, 0) | 0;
     i19 = i18;
     i20 = 0;
    } else {
     i19 = 0;
     i20 = 1;
    }
   } else {
    i19 = 0;
    i20 = 1;
   } while (0);
   i18 = _sqlite3ValueText(i19, 2) | 0;
   if (i18) FUNCTION_TABLE_viiii[get32(i16 | 0) & 15](get32(i1 + 208 | 0) | 0, i1, getU8((get32((get32(i1 + 8 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0) | 0, i18);
   if (!i20) {
    _sqlite3VdbeMemReleaseExternal(i19);
    i20 = i19 + 36 | 0;
    _sqlite3DbFree(get32(i19 | 0) | 0, get32(i20 | 0) | 0);
    set32(i19 + 4 | 0, 0 | 0);
    set32(i20 | 0, 0 | 0);
    set32(i19 + 32 | 0, 0 | 0);
    _sqlite3DbFree(get32(i19 | 0) | 0, i19);
    i9 = 81;
   } else i9 = 81;
  } else i9 = 81;
 }
 if ((i9 | 0) == 81) if (!i4) i9 = 84; else {
  i19 = i4;
  while (1) if (!(get8(i19 >> 0 | 0) | 0)) {
   i21 = i19;
   break;
  } else i19 = i19 + 1 | 0;
  i22 = _sqlite3HashFind(i1 + 412 | 0, i4, i21 - i4 & 1073741823) | 0;
 }
 if ((i9 | 0) == 84) i22 = get32(i1 + 44 | 0) | 0;
 if (!i22) {
  i10 = 0;
  return i10 | 0;
 }
 i9 = i8 + -1 | 0;
 i8 = i22 + (i9 * 20 | 0) | 0;
 if (!i8) {
  i10 = 0;
  return i10 | 0;
 }
 if (get32(i22 + (i9 * 20 | 0) + 12 | 0) | 0) {
  i10 = i8;
  return i10 | 0;
 }
 i4 = get32(i8 | 0) | 0;
 i21 = (i4 | 0) == 0;
 i19 = i1 + 44 | 0;
 i20 = i4;
 i18 = i1 + 412 | 0;
 if (i21) i23 = get32(i19 | 0) | 0; else {
  i1 = i4;
  while (1) if (!(get8(i1 >> 0 | 0) | 0)) {
   i24 = i1;
   break;
  } else i1 = i1 + 1 | 0;
  i23 = _sqlite3HashFind(i18, i4, i24 - i20 & 1073741823) | 0;
 }
 i24 = (i23 | 0) == 0 ? 0 : i23 + 40 | 0;
 if (!(get32(i24 + 12 | 0) | 0)) {
  if (i21) i25 = get32(i19 | 0) | 0; else {
   i23 = i4;
   while (1) if (!(get8(i23 >> 0 | 0) | 0)) {
    i26 = i23;
    break;
   } else i23 = i23 + 1 | 0;
   i25 = _sqlite3HashFind(i18, i4, i26 - i20 & 1073741823) | 0;
  }
  i26 = (i25 | 0) == 0 ? 0 : i25 + 20 | 0;
  if (!(get32(i26 + 12 | 0) | 0)) {
   if (i21) i27 = get32(i19 | 0) | 0; else {
    i19 = i4;
    while (1) if (!(get8(i19 >> 0 | 0) | 0)) {
     i28 = i19;
     break;
    } else i19 = i19 + 1 | 0;
    i27 = _sqlite3HashFind(i18, i4, i28 - i20 & 1073741823) | 0;
   }
   if (!(get32(i27 + 12 | 0) | 0)) {
    i10 = 0;
    return i10 | 0;
   } else i29 = i27;
  } else i29 = i26;
 } else i29 = i24;
 set32(i8 | 0, get32(i29 | 0) | 0);
 set32(i8 + 4 | 0, get32(i29 + 4 | 0) | 0);
 set32(i8 + 8 | 0, get32(i29 + 8 | 0) | 0);
 set32(i8 + 12 | 0, get32(i29 + 12 | 0) | 0);
 set32(i22 + (i9 * 20 | 0) + 16 | 0, 0 | 0);
 i10 = i8;
 return i10 | 0;
}

function _quoteFunc(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0;
 i2 = get32(i3 | 0) | 0;
 switch (getU8(i2 + 30 >> 0 | 0) | 0) {
 case 2:
 case 1:
  {
   _sqlite3_result_value(i1, i2);
   return;
  }
 case 4:
  {
   i4 = i2 + 28 | 0;
   i5 = get16(i4 | 0) | 0;
   if (i5 & 18) {
    i6 = i2 + 24 | 0;
    do if (i5 & 16384) {
     i7 = i2 + 16 | 0;
     i8 = (get32(i7 | 0) | 0) + (get32(i6 | 0) | 0) | 0;
     if (!(_sqlite3VdbeMemGrow(i2, (i8 | 0) < 1 ? 1 : i8, 1) | 0)) {
      _memset((get32(i2 + 4 | 0) | 0) + (get32(i6 | 0) | 0) | 0, 0, get32(i7 | 0) | 0) | 0;
      set32(i6 | 0, (get32(i6 | 0) | 0) + (get32(i7 | 0) | 0) | 0);
      i7 = getU16(i4 | 0) & 48639;
      set16(i4 | 0, i7 | 0);
      i9 = i7;
      break;
     } else {
      i9 = get16(i4 | 0) | 0;
      break;
     }
    } else i9 = i5; while (0);
    set16(i4 | 0, i9 & 65517 | 16 | 0);
    if (!(get32(i6 | 0) | 0)) i10 = 0; else i10 = get32(i2 + 4 | 0) | 0;
   } else i10 = _sqlite3ValueText(i2, 1) | 0;
   i6 = get32(i3 | 0) | 0;
   i3 = i6 + 28 | 0;
   i9 = get16(i3 | 0) | 0;
   if (!(i9 & 16)) if (!(_sqlite3ValueText(i6, 1) | 0)) i11 = 0; else {
    i12 = get16(i3 | 0) | 0;
    i13 = 14;
   } else {
    i12 = i9;
    i13 = 14;
   }
   if ((i13 | 0) == 14) {
    i13 = get32(i6 + 24 | 0) | 0;
    if (!(i12 & 16384)) i11 = i13; else i11 = (get32(i6 + 16 | 0) | 0) + i13 | 0;
   }
   i13 = _i64Add(_bitshift64Shl(i11 | 0, ((i11 | 0) < 0) << 31 >> 31 | 0, 1) | 0, tempRet0 | 0, 4, 0) | 0;
   i6 = tempRet0;
   i12 = i1 + 8 | 0;
   i9 = get32((get32(i12 | 0) | 0) + 72 | 0) | 0;
   i3 = ((i9 | 0) < 0) << 31 >> 31;
   if ((i3 | 0) < (i6 | 0) | (i3 | 0) == (i6 | 0) & i9 >>> 0 < i13 >>> 0) {
    set32(i1 + 52 | 0, 18 | 0);
    _sqlite3VdbeMemSetStr(i1 + 8 | 0, 16620, -1, 1, 0) | 0;
    return;
   }
   do if ((i13 + -1 | 0) >>> 0 <= 2147483390) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i9 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i13) | 0;
     if (!i9) break; else i14 = i9;
    } else {
     i9 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i13) | 0;
     set32(35 * 4 | 0, i13 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i13 | 0)) set32(45 * 4 | 0, i13 | 0);
     i6 = get32(6 * 4 | 0) | 0;
     do if (i6) {
      i3 = get32(30 * 4 | 0) | 0;
      i4 = ((i3 | 0) < 0) << 31 >> 31;
      i5 = 16;
      i7 = _i64Subtract(get32(i5 | 0) | 0, get32(i5 + 4 | 0) | 0, i9 | 0, ((i9 | 0) < 0) << 31 >> 31 | 0) | 0;
      i5 = tempRet0;
      if ((i4 | 0) < (i5 | 0) | (i4 | 0) == (i5 | 0) & i3 >>> 0 < i7 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i7 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i6 & 15](i7, i3, i4, i9);
       set32(6 * 4 | 0, i6 | 0);
       set32(7 * 4 | 0, i7 | 0);
       break;
      }
     } while (0);
     i6 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i9) | 0;
     if (!i6) break;
     i7 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i6) | 0;
     i4 = (get32(30 * 4 | 0) | 0) + i7 | 0;
     set32(30 * 4 | 0, i4 | 0);
     if ((i4 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i4 | 0);
     i4 = get32(39 * 4 | 0) | 0;
     i7 = i4 + 1 | 0;
     set32(39 * 4 | 0, i7 | 0);
     if ((i4 | 0) < (get32(49 * 4 | 0) | 0)) i14 = i6; else {
      set32(49 * 4 | 0, i7 | 0);
      i14 = i6;
     }
    }
    if ((i11 | 0) > 0) {
     i6 = 0;
     do {
      i7 = i10 + i6 | 0;
      i4 = i6 << 1;
      set8(i14 + (i4 + 2) >> 0 | 0, get8(42934 + ((getU8(i7 >> 0 | 0) | 0) >>> 4) >> 0 | 0) | 0 | 0);
      set8(i14 + (i4 + 3) >> 0 | 0, get8(42934 + (getU8(i7 >> 0 | 0) & 15) >> 0 | 0) | 0 | 0);
      i6 = i6 + 1 | 0;
     } while ((i6 | 0) != (i11 | 0));
    }
    i6 = i11 << 1;
    set8(i14 + (i6 + 2) >> 0 | 0, 39 | 0);
    set8(i14 + (i6 + 3) >> 0 | 0, 0 | 0);
    set8(i14 >> 0 | 0, 88 | 0);
    set8(i14 + 1 >> 0 | 0, 39 | 0);
    i6 = i1 + 8 | 0;
    if ((_sqlite3VdbeMemSetStr(i6, i14, -1, 1, -1) | 0) == 18) {
     set32(i1 + 52 | 0, 18 | 0);
     _sqlite3VdbeMemSetStr(i6, 16620, -1, 1, 0) | 0;
    }
    if (!(get32(50 * 4 | 0) | 0)) {
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i14);
     return;
    }
    i6 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i14) | 0;
    i9 = (get32(30 * 4 | 0) | 0) - i6 | 0;
    set32(30 * 4 | 0, i9 | 0);
    if ((i9 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i9 | 0);
    i9 = (get32(39 * 4 | 0) | 0) + -1 | 0;
    set32(39 * 4 | 0, i9 | 0);
    if ((i9 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i9 | 0);
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i14);
    return;
   } while (0);
   i14 = i1 + 36 | 0;
   i11 = get16(i14 | 0) | 0;
   if (i11 & 64) {
    i10 = get32(i1 + 24 | 0) | 0;
    i13 = (get32(i10 | 0) | 0) + 172 | 0;
    set32(i10 + 60 | 0, get32(i13 | 0) | 0);
    set32(i13 | 0, i10 | 0);
   }
   if (!(i11 & 32)) i15 = i11; else {
    i10 = get32(i1 + 24 | 0) | 0;
    i13 = get32(i10 | 0) | 0;
    if (!i13) i16 = i11; else {
     i11 = i10 + 4 | 0;
     i9 = i13;
     do {
      i13 = i9;
      i9 = get32(i9 | 0) | 0;
      _sqlite3DbFree(get32(i11 | 0) | 0, i13);
     } while ((i9 | 0) != 0);
     i16 = get16(i14 | 0) | 0;
    }
    set32(i10 | 0, 0 | 0);
    set16(i10 + 24 | 0, 0 | 0);
    set32(i10 + 8 | 0, 0 | 0);
    set32(i10 + 12 | 0, 0 | 0);
    set32(i10 + 20 | 0, 0 | 0);
    set8(i10 + 26 >> 0 | 0, 1 | 0);
    i15 = i16;
   }
   set16(i14 | 0, i15 & 48896 | 1 | 0);
   set8(i1 + 38 >> 0 | 0, 5 | 0);
   set32(i1 + 52 | 0, 7 | 0);
   set8((get32(i12 | 0) | 0) + 30 >> 0 | 0, 1 | 0);
   return;
  }
 case 3:
  {
   i12 = _sqlite3ValueText(i2, 1) | 0;
   if (!i12) return; else {
    i17 = 0;
    i18 = 0;
    i19 = 0;
   }
   L87 : while (1) {
    switch (get8(i12 + i19 >> 0 | 0) | 0) {
    case 0:
     {
      i20 = i17;
      i21 = i18;
      i22 = i19;
      break L87;
      break;
     }
    case 39:
     {
      i23 = _i64Add(i17 | 0, i18 | 0, 1, 0) | 0;
      i24 = tempRet0;
      break;
     }
    default:
     {
      i23 = i17;
      i24 = i18;
     }
    }
    i17 = i23;
    i18 = i24;
    i19 = i19 + 1 | 0;
   }
   i19 = _i64Add(i20 | 0, i21 | 0, 3, 0) | 0;
   i21 = _i64Add(i19 | 0, tempRet0 | 0, i22 | 0, ((i22 | 0) < 0) << 31 >> 31 | 0) | 0;
   i22 = tempRet0;
   i19 = i1 + 8 | 0;
   i20 = get32((get32(i19 | 0) | 0) + 72 | 0) | 0;
   i24 = ((i20 | 0) < 0) << 31 >> 31;
   if ((i24 | 0) < (i22 | 0) | (i24 | 0) == (i22 | 0) & i20 >>> 0 < i21 >>> 0) {
    set32(i1 + 52 | 0, 18 | 0);
    _sqlite3VdbeMemSetStr(i1 + 8 | 0, 16620, -1, 1, 0) | 0;
    return;
   }
   do if ((i21 + -1 | 0) >>> 0 <= 2147483390) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i20 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i21) | 0;
     if (!i20) break; else i25 = i20;
    } else {
     i20 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i21) | 0;
     set32(35 * 4 | 0, i21 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i21 | 0)) set32(45 * 4 | 0, i21 | 0);
     i22 = get32(6 * 4 | 0) | 0;
     do if (i22) {
      i24 = get32(30 * 4 | 0) | 0;
      i18 = ((i24 | 0) < 0) << 31 >> 31;
      i23 = 16;
      i17 = _i64Subtract(get32(i23 | 0) | 0, get32(i23 + 4 | 0) | 0, i20 | 0, ((i20 | 0) < 0) << 31 >> 31 | 0) | 0;
      i23 = tempRet0;
      if ((i18 | 0) < (i23 | 0) | (i18 | 0) == (i23 | 0) & i24 >>> 0 < i17 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i17 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i22 & 15](i17, i24, i18, i20);
       set32(6 * 4 | 0, i22 | 0);
       set32(7 * 4 | 0, i17 | 0);
       break;
      }
     } while (0);
     i22 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i20) | 0;
     if (!i22) break;
     i17 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i22) | 0;
     i18 = (get32(30 * 4 | 0) | 0) + i17 | 0;
     set32(30 * 4 | 0, i18 | 0);
     if ((i18 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i18 | 0);
     i18 = get32(39 * 4 | 0) | 0;
     i17 = i18 + 1 | 0;
     set32(39 * 4 | 0, i17 | 0);
     if ((i18 | 0) < (get32(49 * 4 | 0) | 0)) i25 = i22; else {
      set32(49 * 4 | 0, i17 | 0);
      i25 = i22;
     }
    }
    set8(i25 >> 0 | 0, 39 | 0);
    i22 = get8(i12 >> 0 | 0) | 0;
    i17 = i25 + 1 | 0;
    if (!(i22 << 24 >> 24)) {
     i26 = 2;
     i27 = i17;
    } else {
     i18 = i22;
     i22 = i17;
     i17 = i12;
     i24 = 2;
     i23 = 0;
     i2 = 1;
     while (1) {
      set8(i22 >> 0 | 0, i18 | 0);
      if ((get8(i17 >> 0 | 0) | 0) == 39) {
       set8(i25 + i24 >> 0 | 0, 39 | 0);
       i28 = i2 + 2 | 0;
      } else i28 = i24;
      i23 = i23 + 1 | 0;
      i17 = i12 + i23 | 0;
      i18 = get8(i17 >> 0 | 0) | 0;
      i15 = i28 + 1 | 0;
      i14 = i25 + i28 | 0;
      if (!(i18 << 24 >> 24)) {
       i26 = i15;
       i27 = i14;
       break;
      } else {
       i22 = i14;
       i24 = i15;
       i2 = i28;
      }
     }
    }
    set8(i27 >> 0 | 0, 39 | 0);
    set8(i25 + i26 >> 0 | 0, 0 | 0);
    i2 = i1 + 8 | 0;
    if ((_sqlite3VdbeMemSetStr(i2, i25, i26, 1, 2) | 0) != 18) return;
    set32(i1 + 52 | 0, 18 | 0);
    _sqlite3VdbeMemSetStr(i2, 16620, -1, 1, 0) | 0;
    return;
   } while (0);
   i26 = i1 + 36 | 0;
   i25 = get16(i26 | 0) | 0;
   if (i25 & 64) {
    i27 = get32(i1 + 24 | 0) | 0;
    i28 = (get32(i27 | 0) | 0) + 172 | 0;
    set32(i27 + 60 | 0, get32(i28 | 0) | 0);
    set32(i28 | 0, i27 | 0);
   }
   if (!(i25 & 32)) i29 = i25; else {
    i27 = get32(i1 + 24 | 0) | 0;
    i28 = get32(i27 | 0) | 0;
    if (!i28) i30 = i25; else {
     i25 = i27 + 4 | 0;
     i12 = i28;
     do {
      i28 = i12;
      i12 = get32(i12 | 0) | 0;
      _sqlite3DbFree(get32(i25 | 0) | 0, i28);
     } while ((i12 | 0) != 0);
     i30 = get16(i26 | 0) | 0;
    }
    set32(i27 | 0, 0 | 0);
    set16(i27 + 24 | 0, 0 | 0);
    set32(i27 + 8 | 0, 0 | 0);
    set32(i27 + 12 | 0, 0 | 0);
    set32(i27 + 20 | 0, 0 | 0);
    set8(i27 + 26 >> 0 | 0, 1 | 0);
    i29 = i30;
   }
   set16(i26 | 0, i29 & 48896 | 1 | 0);
   set8(i1 + 38 >> 0 | 0, 5 | 0);
   set32(i1 + 52 | 0, 7 | 0);
   set8((get32(i19 | 0) | 0) + 30 >> 0 | 0, 1 | 0);
   return;
  }
 default:
  {
   i19 = i1 + 8 | 0;
   if ((_sqlite3VdbeMemSetStr(i19, 18774, 4, 1, 0) | 0) != 18) return;
   set32(i1 + 52 | 0, 18 | 0);
   _sqlite3VdbeMemSetStr(i19, 16620, -1, 1, 0) | 0;
   return;
  }
 }
}

function _dispose_chunk184(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0;
 i4 = i2 + i3 | 0;
 i5 = get32(i2 + 4 | 0) | 0;
 do if (!(i5 & 1)) {
  i6 = get32(i2 | 0) | 0;
  if (!(i5 & 3)) return;
  i7 = i2 + (0 - i6) | 0;
  i8 = i6 + i3 | 0;
  i9 = i1 + 16 | 0;
  i10 = get32(i9 | 0) | 0;
  if (i7 >>> 0 < i10 >>> 0) _abort();
  if ((i7 | 0) == (get32(i1 + 20 | 0) | 0)) {
   i11 = i2 + (i3 + 4) | 0;
   i12 = get32(i11 | 0) | 0;
   if ((i12 & 3 | 0) != 3) {
    i13 = i7;
    i14 = i8;
    i15 = i9;
    break;
   }
   set32(i1 + 8 | 0, i8 | 0);
   set32(i11 | 0, i12 & -2 | 0);
   set32(i2 + (4 - i6) | 0, i8 | 1 | 0);
   set32(i4 | 0, i8 | 0);
   return;
  }
  i12 = i6 >>> 3;
  if (i6 >>> 0 < 256) {
   i11 = get32(i2 + (8 - i6) | 0) | 0;
   i16 = get32(i2 + (12 - i6) | 0) | 0;
   i17 = i1 + 40 + (i12 << 1 << 2) | 0;
   if ((i11 | 0) != (i17 | 0)) {
    if (i11 >>> 0 < i10 >>> 0) _abort();
    if ((get32(i11 + 12 | 0) | 0) != (i7 | 0)) _abort();
   }
   if ((i16 | 0) == (i11 | 0)) {
    set32(i1 | 0, get32(i1 | 0) & ~(1 << i12) | 0);
    i13 = i7;
    i14 = i8;
    i15 = i9;
    break;
   }
   if ((i16 | 0) != (i17 | 0)) {
    if (i16 >>> 0 < i10 >>> 0) _abort();
    i17 = i16 + 8 | 0;
    if ((get32(i17 | 0) | 0) == (i7 | 0)) i18 = i17; else _abort();
   } else i18 = i16 + 8 | 0;
   set32(i11 + 12 | 0, i16 | 0);
   set32(i18 | 0, i11 | 0);
   i13 = i7;
   i14 = i8;
   i15 = i9;
   break;
  }
  i11 = get32(i2 + (24 - i6) | 0) | 0;
  i16 = get32(i2 + (12 - i6) | 0) | 0;
  do if ((i16 | 0) == (i7 | 0)) {
   i17 = 16 - i6 | 0;
   i12 = i2 + (i17 + 4) | 0;
   i19 = get32(i12 | 0) | 0;
   if (!i19) {
    i20 = i2 + i17 | 0;
    i17 = get32(i20 | 0) | 0;
    if (!i17) {
     i21 = 0;
     break;
    } else {
     i22 = i17;
     i23 = i20;
    }
   } else {
    i22 = i19;
    i23 = i12;
   }
   while (1) {
    i12 = i22 + 20 | 0;
    i19 = get32(i12 | 0) | 0;
    if (i19) {
     i22 = i19;
     i23 = i12;
     continue;
    }
    i12 = i22 + 16 | 0;
    i19 = get32(i12 | 0) | 0;
    if (!i19) {
     i24 = i22;
     i25 = i23;
     break;
    } else {
     i22 = i19;
     i23 = i12;
    }
   }
   if (i25 >>> 0 < i10 >>> 0) _abort(); else {
    set32(i25 | 0, 0 | 0);
    i21 = i24;
    break;
   }
  } else {
   i12 = get32(i2 + (8 - i6) | 0) | 0;
   if (i12 >>> 0 < i10 >>> 0) _abort();
   i19 = i12 + 12 | 0;
   if ((get32(i19 | 0) | 0) != (i7 | 0)) _abort();
   i20 = i16 + 8 | 0;
   if ((get32(i20 | 0) | 0) == (i7 | 0)) {
    set32(i19 | 0, i16 | 0);
    set32(i20 | 0, i12 | 0);
    i21 = i16;
    break;
   } else _abort();
  } while (0);
  if (i11) {
   i16 = get32(i2 + (28 - i6) | 0) | 0;
   i10 = i1 + 304 + (i16 << 2) | 0;
   if ((i7 | 0) == (get32(i10 | 0) | 0)) {
    set32(i10 | 0, i21 | 0);
    if (!i21) {
     i10 = i1 + 4 | 0;
     set32(i10 | 0, get32(i10 | 0) & ~(1 << i16) | 0);
     i13 = i7;
     i14 = i8;
     i15 = i9;
     break;
    }
   } else {
    if (i11 >>> 0 < (get32(i9 | 0) | 0) >>> 0) _abort();
    i16 = i11 + 16 | 0;
    if ((get32(i16 | 0) | 0) == (i7 | 0)) set32(i16 | 0, i21 | 0); else set32(i11 + 20 | 0, i21 | 0);
    if (!i21) {
     i13 = i7;
     i14 = i8;
     i15 = i9;
     break;
    }
   }
   i16 = get32(i9 | 0) | 0;
   if (i21 >>> 0 < i16 >>> 0) _abort();
   set32(i21 + 24 | 0, i11 | 0);
   i10 = 16 - i6 | 0;
   i12 = get32(i2 + i10 | 0) | 0;
   do if (i12) if (i12 >>> 0 < i16 >>> 0) _abort(); else {
    set32(i21 + 16 | 0, i12 | 0);
    set32(i12 + 24 | 0, i21 | 0);
    break;
   } while (0);
   i12 = get32(i2 + (i10 + 4) | 0) | 0;
   if (i12) if (i12 >>> 0 < (get32(i9 | 0) | 0) >>> 0) _abort(); else {
    set32(i21 + 20 | 0, i12 | 0);
    set32(i12 + 24 | 0, i21 | 0);
    i13 = i7;
    i14 = i8;
    i15 = i9;
    break;
   } else {
    i13 = i7;
    i14 = i8;
    i15 = i9;
   }
  } else {
   i13 = i7;
   i14 = i8;
   i15 = i9;
  }
 } else {
  i13 = i2;
  i14 = i3;
  i15 = i1 + 16 | 0;
 } while (0);
 i21 = get32(i15 | 0) | 0;
 if (i4 >>> 0 < i21 >>> 0) _abort();
 i24 = i2 + (i3 + 4) | 0;
 i25 = get32(i24 | 0) | 0;
 if (!(i25 & 2)) {
  i23 = i1 + 24 | 0;
  if ((i4 | 0) == (get32(i23 | 0) | 0)) {
   i22 = i1 + 12 | 0;
   i18 = (get32(i22 | 0) | 0) + i14 | 0;
   set32(i22 | 0, i18 | 0);
   set32(i23 | 0, i13 | 0);
   set32(i13 + 4 | 0, i18 | 1 | 0);
   i18 = i1 + 20 | 0;
   if ((i13 | 0) != (get32(i18 | 0) | 0)) return;
   set32(i18 | 0, 0 | 0);
   set32(i1 + 8 | 0, 0 | 0);
   return;
  }
  i18 = i1 + 20 | 0;
  if ((i4 | 0) == (get32(i18 | 0) | 0)) {
   i23 = i1 + 8 | 0;
   i22 = (get32(i23 | 0) | 0) + i14 | 0;
   set32(i23 | 0, i22 | 0);
   set32(i18 | 0, i13 | 0);
   set32(i13 + 4 | 0, i22 | 1 | 0);
   set32(i13 + i22 | 0, i22 | 0);
   return;
  }
  i22 = (i25 & -8) + i14 | 0;
  i23 = i25 >>> 3;
  do if (i25 >>> 0 >= 256) {
   i5 = get32(i2 + (i3 + 24) | 0) | 0;
   i12 = get32(i2 + (i3 + 12) | 0) | 0;
   do if ((i12 | 0) == (i4 | 0)) {
    i16 = i2 + (i3 + 20) | 0;
    i6 = get32(i16 | 0) | 0;
    if (!i6) {
     i11 = i2 + (i3 + 16) | 0;
     i20 = get32(i11 | 0) | 0;
     if (!i20) {
      i26 = 0;
      break;
     } else {
      i27 = i20;
      i28 = i11;
     }
    } else {
     i27 = i6;
     i28 = i16;
    }
    while (1) {
     i16 = i27 + 20 | 0;
     i6 = get32(i16 | 0) | 0;
     if (i6) {
      i27 = i6;
      i28 = i16;
      continue;
     }
     i16 = i27 + 16 | 0;
     i6 = get32(i16 | 0) | 0;
     if (!i6) {
      i29 = i27;
      i30 = i28;
      break;
     } else {
      i27 = i6;
      i28 = i16;
     }
    }
    if (i30 >>> 0 < i21 >>> 0) _abort(); else {
     set32(i30 | 0, 0 | 0);
     i26 = i29;
     break;
    }
   } else {
    i16 = get32(i2 + (i3 + 8) | 0) | 0;
    if (i16 >>> 0 < i21 >>> 0) _abort();
    i6 = i16 + 12 | 0;
    if ((get32(i6 | 0) | 0) != (i4 | 0)) _abort();
    i11 = i12 + 8 | 0;
    if ((get32(i11 | 0) | 0) == (i4 | 0)) {
     set32(i6 | 0, i12 | 0);
     set32(i11 | 0, i16 | 0);
     i26 = i12;
     break;
    } else _abort();
   } while (0);
   if (i5) {
    i12 = get32(i2 + (i3 + 28) | 0) | 0;
    i9 = i1 + 304 + (i12 << 2) | 0;
    if ((i4 | 0) == (get32(i9 | 0) | 0)) {
     set32(i9 | 0, i26 | 0);
     if (!i26) {
      i9 = i1 + 4 | 0;
      set32(i9 | 0, get32(i9 | 0) & ~(1 << i12) | 0);
      break;
     }
    } else {
     if (i5 >>> 0 < (get32(i15 | 0) | 0) >>> 0) _abort();
     i12 = i5 + 16 | 0;
     if ((get32(i12 | 0) | 0) == (i4 | 0)) set32(i12 | 0, i26 | 0); else set32(i5 + 20 | 0, i26 | 0);
     if (!i26) break;
    }
    i12 = get32(i15 | 0) | 0;
    if (i26 >>> 0 < i12 >>> 0) _abort();
    set32(i26 + 24 | 0, i5 | 0);
    i9 = get32(i2 + (i3 + 16) | 0) | 0;
    do if (i9) if (i9 >>> 0 < i12 >>> 0) _abort(); else {
     set32(i26 + 16 | 0, i9 | 0);
     set32(i9 + 24 | 0, i26 | 0);
     break;
    } while (0);
    i9 = get32(i2 + (i3 + 20) | 0) | 0;
    if (i9) if (i9 >>> 0 < (get32(i15 | 0) | 0) >>> 0) _abort(); else {
     set32(i26 + 20 | 0, i9 | 0);
     set32(i9 + 24 | 0, i26 | 0);
     break;
    }
   }
  } else {
   i9 = get32(i2 + (i3 + 8) | 0) | 0;
   i12 = get32(i2 + (i3 + 12) | 0) | 0;
   i5 = i1 + 40 + (i23 << 1 << 2) | 0;
   if ((i9 | 0) != (i5 | 0)) {
    if (i9 >>> 0 < i21 >>> 0) _abort();
    if ((get32(i9 + 12 | 0) | 0) != (i4 | 0)) _abort();
   }
   if ((i12 | 0) == (i9 | 0)) {
    set32(i1 | 0, get32(i1 | 0) & ~(1 << i23) | 0);
    break;
   }
   if ((i12 | 0) != (i5 | 0)) {
    if (i12 >>> 0 < i21 >>> 0) _abort();
    i5 = i12 + 8 | 0;
    if ((get32(i5 | 0) | 0) == (i4 | 0)) i31 = i5; else _abort();
   } else i31 = i12 + 8 | 0;
   set32(i9 + 12 | 0, i12 | 0);
   set32(i31 | 0, i9 | 0);
  } while (0);
  set32(i13 + 4 | 0, i22 | 1 | 0);
  set32(i13 + i22 | 0, i22 | 0);
  if ((i13 | 0) == (get32(i18 | 0) | 0)) {
   set32(i1 + 8 | 0, i22 | 0);
   return;
  } else i32 = i22;
 } else {
  set32(i24 | 0, i25 & -2 | 0);
  set32(i13 + 4 | 0, i14 | 1 | 0);
  set32(i13 + i14 | 0, i14 | 0);
  i32 = i14;
 }
 i14 = i32 >>> 3;
 if (i32 >>> 0 < 256) {
  i25 = i14 << 1;
  i24 = i1 + 40 + (i25 << 2) | 0;
  i22 = get32(i1 | 0) | 0;
  i18 = 1 << i14;
  if (i22 & i18) {
   i14 = i1 + 40 + (i25 + 2 << 2) | 0;
   i31 = get32(i14 | 0) | 0;
   if (i31 >>> 0 < (get32(i15 | 0) | 0) >>> 0) _abort(); else {
    i33 = i14;
    i34 = i31;
   }
  } else {
   set32(i1 | 0, i22 | i18 | 0);
   i33 = i1 + 40 + (i25 + 2 << 2) | 0;
   i34 = i24;
  }
  set32(i33 | 0, i13 | 0);
  set32(i34 + 12 | 0, i13 | 0);
  set32(i13 + 8 | 0, i34 | 0);
  set32(i13 + 12 | 0, i24 | 0);
  return;
 }
 i24 = i32 >>> 8;
 if (i24) if (i32 >>> 0 > 16777215) i35 = 31; else {
  i34 = (i24 + 1048320 | 0) >>> 16 & 8;
  i33 = i24 << i34;
  i24 = (i33 + 520192 | 0) >>> 16 & 4;
  i25 = i33 << i24;
  i33 = (i25 + 245760 | 0) >>> 16 & 2;
  i18 = 14 - (i24 | i34 | i33) + (i25 << i33 >>> 15) | 0;
  i35 = i32 >>> (i18 + 7 | 0) & 1 | i18 << 1;
 } else i35 = 0;
 i18 = i1 + 304 + (i35 << 2) | 0;
 set32(i13 + 28 | 0, i35 | 0);
 set32(i13 + 20 | 0, 0 | 0);
 set32(i13 + 16 | 0, 0 | 0);
 i33 = i1 + 4 | 0;
 i1 = get32(i33 | 0) | 0;
 i25 = 1 << i35;
 if (!(i1 & i25)) {
  set32(i33 | 0, i1 | i25 | 0);
  set32(i18 | 0, i13 | 0);
  set32(i13 + 24 | 0, i18 | 0);
  set32(i13 + 12 | 0, i13 | 0);
  set32(i13 + 8 | 0, i13 | 0);
  return;
 }
 i25 = get32(i18 | 0) | 0;
 L192 : do if ((get32(i25 + 4 | 0) & -8 | 0) == (i32 | 0)) i36 = i25; else {
  i18 = i32 << ((i35 | 0) == 31 ? 0 : 25 - (i35 >>> 1) | 0);
  i1 = i25;
  while (1) {
   i33 = i1 + 16 + (i18 >>> 31 << 2) | 0;
   i34 = get32(i33 | 0) | 0;
   if (!i34) {
    i37 = i33;
    i38 = i1;
    break;
   }
   if ((get32(i34 + 4 | 0) & -8 | 0) == (i32 | 0)) {
    i36 = i34;
    break L192;
   } else {
    i18 = i18 << 1;
    i1 = i34;
   }
  }
  if (i37 >>> 0 < (get32(i15 | 0) | 0) >>> 0) _abort();
  set32(i37 | 0, i13 | 0);
  set32(i13 + 24 | 0, i38 | 0);
  set32(i13 + 12 | 0, i13 | 0);
  set32(i13 + 8 | 0, i13 | 0);
  return;
 } while (0);
 i38 = i36 + 8 | 0;
 i37 = get32(i38 | 0) | 0;
 i32 = get32(i15 | 0) | 0;
 if (!(i37 >>> 0 >= i32 >>> 0 & i36 >>> 0 >= i32 >>> 0)) _abort();
 set32(i37 + 12 | 0, i13 | 0);
 set32(i38 | 0, i13 | 0);
 set32(i13 + 8 | 0, i37 | 0);
 set32(i13 + 12 | 0, i36 | 0);
 set32(i13 + 24 | 0, 0 | 0);
 return;
}

function _generateColumnNames(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 48 | 0;
 i5 = i4;
 i6 = i4 + 8 | 0;
 i7 = i1 + 12 | 0;
 i8 = get32(i7 | 0) | 0;
 i9 = get32(i1 | 0) | 0;
 if (get8(i1 + 484 >> 0 | 0) | 0) {
  STACKTOP = i4;
  return;
 }
 i10 = i1 + 16 | 0;
 if ((i8 | 0) == 0 | (get8(i10 >> 0 | 0) | 0) != 0) {
  STACKTOP = i4;
  return;
 }
 i11 = i9 + 30 | 0;
 if (get8(i11 >> 0 | 0) | 0) {
  STACKTOP = i4;
  return;
 }
 set8(i10 >> 0 | 0, 1 | 0);
 i10 = get32(i9 + 12 | 0) | 0;
 i12 = (i10 & 1024 | 0) == 0;
 _sqlite3VdbeSetNumCols(i8, get32(i3 | 0) | 0);
 i13 = get32(i3 | 0) | 0;
 if ((i13 | 0) > 0) {
  i14 = i3 + 12 | 0;
  i15 = (i2 | 0) == 0;
  i16 = i8 + 16 | 0;
  i17 = i9 + 234 | 0;
  i18 = i9 + 232 | 0;
  i19 = i9 + 248 | 0;
  i20 = i9 + 256 | 0;
  i21 = i9 + 252 | 0;
  i22 = i9 + 236 | 0;
  i23 = i9 + 244 | 0;
  i24 = i9 + 240 | 0;
  i25 = (i10 & 3072 | 0) == 0;
  i10 = (i2 | 0) != 0;
  i26 = 0;
  while (1) {
   i27 = get32(i14 | 0) | 0;
   i28 = get32(i27 + (i26 * 20 | 0) | 0) | 0;
   do if (i28) {
    i29 = get32(i27 + (i26 * 20 | 0) + 4 | 0) | 0;
    if (i29) {
     if (get8((get32(i8 | 0) | 0) + 30 >> 0 | 0) | 0) break;
     _sqlite3VdbeMemSetStr((get32(i16 | 0) | 0) + (i26 * 40 | 0) | 0, i29, -1, 1, -1) | 0;
     break;
    }
    i29 = get8(i28 >> 0 | 0) | 0;
    if (i29 << 24 >> 24 == -104) {
     if (i15) i30 = 55;
    } else if (!(i10 & i29 << 24 >> 24 == -102)) i30 = 55;
    if ((i30 | 0) == 55) {
     i30 = 0;
     i29 = get32(i27 + (i26 * 20 | 0) + 8 | 0) | 0;
     L25 : do if (i29) {
      i31 = i29;
      while (1) if (!(get8(i31 >> 0 | 0) | 0)) {
       i32 = i31;
       break;
      } else i31 = i31 + 1 | 0;
      i31 = (i32 - i29 & 1073741823) + 1 | 0;
      if (!(get8(i11 >> 0 | 0) | 0)) {
       do if (get8(i17 >> 0 | 0) | 0) {
        if ((getU16(i18 | 0) | 0) >>> 0 < i31 >>> 0) {
         set32(i19 | 0, (get32(i19 | 0) | 0) + 1 | 0);
         i30 = 66;
         break;
        }
        i33 = get32(i20 | 0) | 0;
        if (!i33) {
         set32(i21 | 0, (get32(i21 | 0) | 0) + 1 | 0);
         i30 = 66;
         break;
        }
        set32(i20 | 0, get32(i33 | 0) | 0);
        i34 = get32(i22 | 0) | 0;
        i35 = i34 + 1 | 0;
        set32(i22 | 0, i35 | 0);
        set32(i23 | 0, (get32(i23 | 0) | 0) + 1 | 0);
        if ((i34 | 0) >= (get32(i24 | 0) | 0)) set32(i24 | 0, i35 | 0);
        if (!i33) {
         i36 = 0;
         break L25;
        } else i37 = i33;
       } else i30 = 66; while (0);
       L41 : do if ((i30 | 0) == 66) {
        i30 = 0;
        do if (!(get32(50 * 4 | 0) | 0)) {
         i33 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i31) | 0;
         if (i33) {
          i37 = i33;
          break L41;
         }
        } else {
         i33 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i31) | 0;
         set32(35 * 4 | 0, i31 | 0);
         if ((get32(45 * 4 | 0) | 0) < (i31 | 0)) set32(45 * 4 | 0, i31 | 0);
         i35 = get32(6 * 4 | 0) | 0;
         do if (i35) {
          i34 = get32(30 * 4 | 0) | 0;
          i38 = ((i34 | 0) < 0) << 31 >> 31;
          i39 = 16;
          i40 = _i64Subtract(get32(i39 | 0) | 0, get32(i39 + 4 | 0) | 0, i33 | 0, ((i33 | 0) < 0) << 31 >> 31 | 0) | 0;
          i39 = tempRet0;
          if ((i38 | 0) < (i39 | 0) | (i38 | 0) == (i39 | 0) & i34 >>> 0 < i40 >>> 0) {
           set32(11 * 4 | 0, 0 | 0);
           break;
          } else {
           set32(11 * 4 | 0, 1 | 0);
           i40 = get32(7 * 4 | 0) | 0;
           set32(6 * 4 | 0, 0 | 0);
           FUNCTION_TABLE_viiii[i35 & 15](i40, i34, i38, i33);
           set32(6 * 4 | 0, i35 | 0);
           set32(7 * 4 | 0, i40 | 0);
           break;
          }
         } while (0);
         i35 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i33) | 0;
         if (!i35) break;
         i40 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i35) | 0;
         i38 = (get32(30 * 4 | 0) | 0) + i40 | 0;
         set32(30 * 4 | 0, i38 | 0);
         if ((i38 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i38 | 0);
         i38 = get32(39 * 4 | 0) | 0;
         i40 = i38 + 1 | 0;
         set32(39 * 4 | 0, i40 | 0);
         if ((i38 | 0) < (get32(49 * 4 | 0) | 0)) {
          i37 = i35;
          break L41;
         }
         set32(49 * 4 | 0, i40 | 0);
         i37 = i35;
         break L41;
        } while (0);
        set8(i11 >> 0 | 0, 1 | 0);
        i36 = 0;
        break L25;
       } while (0);
       _memcpy(i37 | 0, i29 | 0, i31 | 0) | 0;
       i36 = i37;
      } else i36 = 0;
     } else i36 = 0; while (0);
     if (get8((get32(i8 | 0) | 0) + 30 >> 0 | 0) | 0) break;
     _sqlite3VdbeMemSetStr((get32(i16 | 0) | 0) + (i26 * 40 | 0) | 0, i36, -1, 1, 9) | 0;
     break;
    }
    i29 = get16(i28 + 28 | 0) | 0;
    i35 = i29 << 16 >> 16;
    i40 = get16(i2 | 0) | 0;
    L65 : do if (i40 << 16 >> 16 > 0) {
     i38 = get32(i28 + 24 | 0) | 0;
     i34 = i40 << 16 >> 16;
     i39 = 0;
     while (1) {
      if ((get32(i2 + 8 + (i39 * 56 | 0) + 24 | 0) | 0) == (i38 | 0)) {
       i41 = i39;
       break L65;
      }
      i42 = i39 + 1 | 0;
      if ((i42 | 0) < (i34 | 0)) i39 = i42; else {
       i41 = i42;
       break;
      }
     }
    } else i41 = 0; while (0);
    i40 = get32(i2 + 8 + (i41 * 56 | 0) + 12 | 0) | 0;
    if (i29 << 16 >> 16 < 0) i43 = get32(i40 + 4 | 0) | 0; else i43 = i35;
    if ((i43 | 0) < 0) i44 = 30238; else i44 = get32((get32(i40 + 12 | 0) | 0) + (i43 * 24 | 0) | 0) | 0;
    if (!i25) if (i12) {
     if (get8((get32(i8 | 0) | 0) + 30 >> 0 | 0) | 0) break;
     _sqlite3VdbeMemSetStr((get32(i16 | 0) | 0) + (i26 * 40 | 0) | 0, i44, -1, 1, -1) | 0;
     break;
    } else {
     set32(i5 | 0, get32(i40 | 0) | 0);
     set32(i5 + 4 | 0, i44 | 0);
     i40 = _sqlite3MPrintf(i9, 30163, i5) | 0;
     if (get8((get32(i8 | 0) | 0) + 30 >> 0 | 0) | 0) break;
     _sqlite3VdbeMemSetStr((get32(i16 | 0) | 0) + (i26 * 40 | 0) | 0, i40, -1, 1, 9) | 0;
     break;
    }
    i40 = get32(i27 + (i26 * 20 | 0) + 8 | 0) | 0;
    L85 : do if (i40) {
     i39 = i40;
     while (1) if (!(get8(i39 >> 0 | 0) | 0)) {
      i45 = i39;
      break;
     } else i39 = i39 + 1 | 0;
     i39 = (i45 - i40 & 1073741823) + 1 | 0;
     if (!(get8(i11 >> 0 | 0) | 0)) {
      do if (get8(i17 >> 0 | 0) | 0) {
       if ((getU16(i18 | 0) | 0) >>> 0 < i39 >>> 0) {
        set32(i19 | 0, (get32(i19 | 0) | 0) + 1 | 0);
        i30 = 33;
        break;
       }
       i34 = get32(i20 | 0) | 0;
       if (!i34) {
        set32(i21 | 0, (get32(i21 | 0) | 0) + 1 | 0);
        i30 = 33;
        break;
       }
       set32(i20 | 0, get32(i34 | 0) | 0);
       i38 = get32(i22 | 0) | 0;
       i31 = i38 + 1 | 0;
       set32(i22 | 0, i31 | 0);
       set32(i23 | 0, (get32(i23 | 0) | 0) + 1 | 0);
       if ((i38 | 0) >= (get32(i24 | 0) | 0)) set32(i24 | 0, i31 | 0);
       if (!i34) {
        i46 = 0;
        break L85;
       } else i47 = i34;
      } else i30 = 33; while (0);
      L101 : do if ((i30 | 0) == 33) {
       i30 = 0;
       do if (!(get32(50 * 4 | 0) | 0)) {
        i34 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i39) | 0;
        if (i34) {
         i47 = i34;
         break L101;
        }
       } else {
        i34 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i39) | 0;
        set32(35 * 4 | 0, i39 | 0);
        if ((get32(45 * 4 | 0) | 0) < (i39 | 0)) set32(45 * 4 | 0, i39 | 0);
        i31 = get32(6 * 4 | 0) | 0;
        do if (i31) {
         i38 = get32(30 * 4 | 0) | 0;
         i42 = ((i38 | 0) < 0) << 31 >> 31;
         i48 = 16;
         i49 = _i64Subtract(get32(i48 | 0) | 0, get32(i48 + 4 | 0) | 0, i34 | 0, ((i34 | 0) < 0) << 31 >> 31 | 0) | 0;
         i48 = tempRet0;
         if ((i42 | 0) < (i48 | 0) | (i42 | 0) == (i48 | 0) & i38 >>> 0 < i49 >>> 0) {
          set32(11 * 4 | 0, 0 | 0);
          break;
         } else {
          set32(11 * 4 | 0, 1 | 0);
          i49 = get32(7 * 4 | 0) | 0;
          set32(6 * 4 | 0, 0 | 0);
          FUNCTION_TABLE_viiii[i31 & 15](i49, i38, i42, i34);
          set32(6 * 4 | 0, i31 | 0);
          set32(7 * 4 | 0, i49 | 0);
          break;
         }
        } while (0);
        i31 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i34) | 0;
        if (!i31) break;
        i33 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i31) | 0;
        i49 = (get32(30 * 4 | 0) | 0) + i33 | 0;
        set32(30 * 4 | 0, i49 | 0);
        if ((i49 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i49 | 0);
        i49 = get32(39 * 4 | 0) | 0;
        i33 = i49 + 1 | 0;
        set32(39 * 4 | 0, i33 | 0);
        if ((i49 | 0) < (get32(49 * 4 | 0) | 0)) {
         i47 = i31;
         break L101;
        }
        set32(49 * 4 | 0, i33 | 0);
        i47 = i31;
        break L101;
       } while (0);
       set8(i11 >> 0 | 0, 1 | 0);
       i46 = 0;
       break L85;
      } while (0);
      _memcpy(i47 | 0, i40 | 0, i39 | 0) | 0;
      i46 = i47;
     } else i46 = 0;
    } else i46 = 0; while (0);
    if (!(get8((get32(i8 | 0) | 0) + 30 >> 0 | 0) | 0)) _sqlite3VdbeMemSetStr((get32(i16 | 0) | 0) + (i26 * 40 | 0) | 0, i46, -1, 1, 9) | 0;
   } while (0);
   i26 = i26 + 1 | 0;
   i27 = get32(i3 | 0) | 0;
   if ((i26 | 0) >= (i27 | 0)) {
    i50 = i27;
    break;
   }
  }
 } else i50 = i13;
 i13 = get32(i7 | 0) | 0;
 set32(i6 + 4 | 0, i2 | 0);
 set32(i6 | 0, i1 | 0);
 if ((i50 | 0) > 0) {
  i50 = i3 + 12 | 0;
  i1 = i13 + 48 | 0;
  i2 = i13 + 16 | 0;
  i7 = 0;
  do {
   i26 = _columnType(i6, get32((get32(i50 | 0) | 0) + (i7 * 20 | 0) | 0) | 0, 0, 0, 0) | 0;
   if (!(get8((get32(i13 | 0) | 0) + 30 >> 0 | 0) | 0)) _sqlite3VdbeMemSetStr((get32(i2 | 0) | 0) + (((getU16(i1 | 0) | 0) + i7 | 0) * 40 | 0) | 0, i26, -1, 1, -1) | 0;
   i7 = i7 + 1 | 0;
  } while ((i7 | 0) < (get32(i3 | 0) | 0));
 }
 STACKTOP = i4;
 return;
}

function _unixLock(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 96 | 0;
 i4 = i3 + 56 | 0;
 i5 = i3 + 48 | 0;
 i6 = i3 + 40 | 0;
 i7 = i3 + 32 | 0;
 i8 = i3 + 24 | 0;
 i9 = i3 + 16 | 0;
 i10 = i3 + 8 | 0;
 i11 = i3;
 i12 = i3 + 80 | 0;
 i13 = i3 + 64 | 0;
 i14 = i1 + 16 | 0;
 i15 = get8(i14 >> 0 | 0) | 0;
 if ((i15 & 255 | 0) >= (i2 | 0)) {
  i16 = 0;
  STACKTOP = i3;
  return i16 | 0;
 }
 i17 = i1 + 4 | 0;
 i18 = get32(i17 | 0) | 0;
 i19 = i18 + 12 | 0;
 i20 = get8(i19 >> 0 | 0) | 0;
 if (i15 << 24 >> 24 != i20 << 24 >> 24 ? (i2 | 0) > 1 | (i20 & 255) > 2 : 0) {
  i16 = 5;
  STACKTOP = i3;
  return i16 | 0;
 }
 i21 = (i2 | 0) == 1;
 do if (!i21) {
  i22 = i13 + 8 | 0;
  set32(i22 | 0, 1 | 0);
  set16(i13 + 2 | 0, 0 | 0);
  if ((i2 | 0) == 4) if ((i15 & 255) < 3) {
   i23 = i22;
   i24 = 10;
  } else {
   i25 = i22;
   i24 = 54;
  } else {
   i26 = i22;
   i24 = 53;
  }
 } else {
  if ((i20 + -1 & 255) >= 2) {
   i22 = i13 + 8 | 0;
   set32(i22 | 0, 1 | 0);
   set16(i13 + 2 | 0, 0 | 0);
   i23 = i22;
   i24 = 10;
   break;
  }
  set8(i14 >> 0 | 0, 1 | 0);
  i22 = i18 + 8 | 0;
  set32(i22 | 0, (get32(i22 | 0) | 0) + 1 | 0);
  i22 = i18 + 24 | 0;
  set32(i22 | 0, (get32(i22 | 0) | 0) + 1 | 0);
  i16 = 0;
  STACKTOP = i3;
  return i16 | 0;
 } while (0);
 L16 : do if ((i24 | 0) == 10) {
  set16(i13 | 0, i21 & 1 ^ 1 | 0);
  i20 = get32(199 * 4 | 0) | 0;
  i15 = i13 + 4 | 0;
  set32(i15 | 0, i20 | 0);
  i22 = i1 + 17 | 0;
  i27 = get8(i22 >> 0 | 0) | 0;
  if (!(i27 & 1)) {
   i28 = i18 + 13 | 0;
   i29 = get8(i28 >> 0 | 0) | 0;
   if ((i27 & 2) == 0 & i29 << 24 >> 24 != 0) {
    i30 = i28;
    i31 = i29;
    i24 = 14;
   } else i24 = 19;
  } else if (!(i27 & 2)) {
   i27 = i18 + 13 | 0;
   i30 = i27;
   i31 = get8(i27 >> 0 | 0) | 0;
   i24 = 14;
  } else i24 = 19;
  do if ((i24 | 0) == 14) {
   if (i31 << 24 >> 24) break;
   set16(i12 + 2 | 0, 0 | 0);
   set32(i12 + 4 | 0, i20 + 2 | 0);
   set32(i12 + 8 | 0, 510 | 0);
   set16(i12 | 0, 1 | 0);
   i27 = get32(282 * 4 | 0) | 0;
   i29 = get32(i1 + 8 | 0) | 0;
   set32(i11 | 0, i12 | 0);
   i28 = FUNCTION_TABLE_iiii[i27 & 63](i29, 13, i11) | 0;
   if ((i28 | 0) < 0) {
    i24 = 21;
    break;
   } else {
    set8(i30 >> 0 | 0, 1 | 0);
    i29 = i18 + 24 | 0;
    set32(i29 | 0, (get32(i29 | 0) | 0) + 1 | 0);
    i32 = i28;
    i24 = 20;
    break;
   }
  } else if ((i24 | 0) == 19) {
   i28 = get32(282 * 4 | 0) | 0;
   i29 = get32(i1 + 8 | 0) | 0;
   set32(i10 | 0, i13 | 0);
   i32 = FUNCTION_TABLE_iiii[i28 & 63](i29, 13, i10) | 0;
   i24 = 20;
  } while (0);
  if ((i24 | 0) == 20 ? (i32 | 0) != 0 : 0) i24 = 21;
  if ((i24 | 0) == 21) {
   i20 = get32(___errno_location() | 0 | 0) | 0;
   switch (i20 | 0) {
   case 1:
    {
     i33 = 3;
     break;
    }
   case 13:
   case 37:
   case 4:
   case 16:
   case 110:
   case 11:
    {
     i16 = 5;
     STACKTOP = i3;
     return i16 | 0;
    }
   default:
    i33 = 3850;
   }
   set32(i1 + 20 | 0, i20 | 0);
   i16 = i33;
   STACKTOP = i3;
   return i16 | 0;
  }
  if (i21) {
   i20 = (get32(199 * 4 | 0) | 0) + 2 | 0;
   set32(i15 | 0, i20 | 0);
   set32(i23 | 0, 510 | 0);
   i29 = get32(i17 | 0) | 0;
   i28 = get8(i22 >> 0 | 0) | 0;
   if (!(i28 & 1)) {
    i27 = i29 + 13 | 0;
    i34 = get8(i27 >> 0 | 0) | 0;
    if ((i28 & 2) == 0 & i34 << 24 >> 24 != 0) {
     i35 = i27;
     i36 = i34;
     i24 = 29;
    } else i24 = 34;
   } else if (!(i28 & 2)) {
    i28 = i29 + 13 | 0;
    i35 = i28;
    i36 = get8(i28 >> 0 | 0) | 0;
    i24 = 29;
   } else i24 = 34;
   do if ((i24 | 0) == 29) {
    if (i36 << 24 >> 24) {
     i37 = 0;
     i38 = 0;
     break;
    }
    set16(i12 + 2 | 0, 0 | 0);
    set32(i12 + 4 | 0, i20 | 0);
    set32(i12 + 8 | 0, 510 | 0);
    set16(i12 | 0, 1 | 0);
    i28 = get32(282 * 4 | 0) | 0;
    i34 = get32(i1 + 8 | 0) | 0;
    set32(i9 | 0, i12 | 0);
    i27 = FUNCTION_TABLE_iiii[i28 & 63](i34, 13, i9) | 0;
    if ((i27 | 0) < 0) {
     i24 = 36;
     break;
    } else {
     set8(i35 >> 0 | 0, 1 | 0);
     i34 = i29 + 24 | 0;
     set32(i34 | 0, (get32(i34 | 0) | 0) + 1 | 0);
     i39 = i27;
     i24 = 35;
     break;
    }
   } else if ((i24 | 0) == 34) {
    i27 = get32(282 * 4 | 0) | 0;
    i34 = get32(i1 + 8 | 0) | 0;
    set32(i8 | 0, i13 | 0);
    i39 = FUNCTION_TABLE_iiii[i27 & 63](i34, 13, i8) | 0;
    i24 = 35;
   } while (0);
   if ((i24 | 0) == 35) if (!i39) {
    i37 = 0;
    i38 = 0;
   } else i24 = 36;
   L57 : do if ((i24 | 0) == 36) {
    i29 = get32(___errno_location() | 0 | 0) | 0;
    switch (i29 | 0) {
    case 13:
    case 37:
    case 4:
    case 16:
    case 110:
    case 11:
     {
      i37 = 5;
      i38 = i29;
      break L57;
      break;
     }
    case 1:
     {
      i37 = 3;
      i38 = 1;
      break L57;
      break;
     }
    default:
     {
      i37 = 3850;
      i38 = i29;
      break L57;
     }
    }
   } while (0);
   i29 = get32(199 * 4 | 0) | 0;
   set32(i15 | 0, i29 | 0);
   set32(i23 | 0, 1 | 0);
   set16(i13 | 0, 2 | 0);
   i20 = get32(i17 | 0) | 0;
   i34 = get8(i22 >> 0 | 0) | 0;
   if (!(i34 & 1)) {
    i27 = i20 + 13 | 0;
    i28 = get8(i27 >> 0 | 0) | 0;
    if ((i34 & 2) == 0 & i28 << 24 >> 24 != 0) {
     i40 = i27;
     i41 = i28;
     i24 = 43;
    } else i24 = 47;
   } else if (!(i34 & 2)) {
    i34 = i20 + 13 | 0;
    i40 = i34;
    i41 = get8(i34 >> 0 | 0) | 0;
    i24 = 43;
   } else i24 = 47;
   do if ((i24 | 0) == 43) {
    if (i41 << 24 >> 24) {
     i24 = 50;
     break;
    }
    set16(i12 + 2 | 0, 0 | 0);
    set32(i12 + 4 | 0, i29 + 2 | 0);
    set32(i12 + 8 | 0, 510 | 0);
    set16(i12 | 0, 1 | 0);
    i34 = get32(282 * 4 | 0) | 0;
    i28 = get32(i1 + 8 | 0) | 0;
    set32(i7 | 0, i12 | 0);
    i27 = FUNCTION_TABLE_iiii[i34 & 63](i28, 13, i7) | 0;
    if ((i27 | 0) < 0) {
     i42 = i27;
     i24 = 48;
    } else {
     set8(i40 >> 0 | 0, 1 | 0);
     i28 = i20 + 24 | 0;
     set32(i28 | 0, (get32(i28 | 0) | 0) + 1 | 0);
     i42 = i27;
     i24 = 48;
    }
   } else if ((i24 | 0) == 47) {
    i27 = get32(282 * 4 | 0) | 0;
    i28 = get32(i1 + 8 | 0) | 0;
    set32(i6 | 0, i13 | 0);
    i42 = FUNCTION_TABLE_iiii[i27 & 63](i28, 13, i6) | 0;
    i24 = 48;
   } while (0);
   if ((i24 | 0) == 48) if ((i37 | 0) == 0 & (i42 | 0) != 0) {
    i43 = 2058;
    i44 = get32(___errno_location() | 0 | 0) | 0;
   } else i24 = 50;
   L77 : do if ((i24 | 0) == 50) switch (i37 | 0) {
   case 0:
    {
     set8(i14 >> 0 | 0, 1 | 0);
     i20 = i18 + 24 | 0;
     set32(i20 | 0, (get32(i20 | 0) | 0) + 1 | 0);
     set32(i18 + 8 | 0, 1 | 0);
     i24 = 73;
     break L16;
     break;
    }
   case 5:
    {
     i16 = 5;
     STACKTOP = i3;
     return i16 | 0;
    }
   default:
    {
     i43 = i37;
     i44 = i38;
     break L77;
    }
   } while (0);
   set32(i1 + 20 | 0, i44 | 0);
   i16 = i43;
   STACKTOP = i3;
   return i16 | 0;
  } else {
   i26 = i23;
   i24 = 53;
  }
 } while (0);
 if ((i24 | 0) == 53) if ((i2 | 0) != 4) {
  set16(i13 | 0, 1 | 0);
  i23 = get32(199 * 4 | 0) | 0;
  if ((i2 | 0) == 2) {
   set32(i13 + 4 | 0, i23 + 1 | 0);
   i45 = i26;
   i46 = 1;
   i24 = 59;
  } else {
   i47 = i23;
   i48 = i26;
   i24 = 58;
  }
 } else {
  i25 = i26;
  i24 = 54;
 }
 if ((i24 | 0) == 54) if ((get32(i18 + 8 | 0) | 0) > 1) {
  i49 = 5;
  i24 = 75;
 } else {
  set16(i13 | 0, 1 | 0);
  i47 = get32(199 * 4 | 0) | 0;
  i48 = i25;
  i24 = 58;
 }
 if ((i24 | 0) == 58) {
  set32(i13 + 4 | 0, i47 + 2 | 0);
  i45 = i48;
  i46 = 510;
  i24 = 59;
 }
 L93 : do if ((i24 | 0) == 59) {
  set32(i45 | 0, i46 | 0);
  i48 = get32(i17 | 0) | 0;
  i47 = get8(i1 + 17 >> 0 | 0) | 0;
  if (!(i47 & 1)) {
   i25 = i48 + 13 | 0;
   i18 = get8(i25 >> 0 | 0) | 0;
   if ((i47 & 2) == 0 & i18 << 24 >> 24 != 0) {
    i50 = i25;
    i51 = i18;
    i24 = 63;
   } else i24 = 68;
  } else if (!(i47 & 2)) {
   i47 = i48 + 13 | 0;
   i50 = i47;
   i51 = get8(i47 >> 0 | 0) | 0;
   i24 = 63;
  } else i24 = 68;
  do if ((i24 | 0) == 63) {
   if (i51 << 24 >> 24) {
    i24 = 73;
    break L93;
   }
   set16(i12 + 2 | 0, 0 | 0);
   set32(i12 + 4 | 0, (get32(199 * 4 | 0) | 0) + 2 | 0);
   set32(i12 + 8 | 0, 510 | 0);
   set16(i12 | 0, 1 | 0);
   i47 = get32(282 * 4 | 0) | 0;
   i18 = get32(i1 + 8 | 0) | 0;
   set32(i5 | 0, i12 | 0);
   i25 = FUNCTION_TABLE_iiii[i47 & 63](i18, 13, i5) | 0;
   if ((i25 | 0) < 0) break; else {
    set8(i50 >> 0 | 0, 1 | 0);
    i18 = i48 + 24 | 0;
    set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
    i52 = i25;
    i24 = 69;
    break;
   }
  } else if ((i24 | 0) == 68) {
   i25 = get32(282 * 4 | 0) | 0;
   i18 = get32(i1 + 8 | 0) | 0;
   set32(i4 | 0, i13 | 0);
   i52 = FUNCTION_TABLE_iiii[i25 & 63](i18, 13, i4) | 0;
   i24 = 69;
  } while (0);
  if ((i24 | 0) == 69 ? (i52 | 0) == 0 : 0) {
   i24 = 73;
   break;
  }
  i48 = get32(___errno_location() | 0 | 0) | 0;
  switch (i48 | 0) {
  case 13:
  case 37:
  case 4:
  case 16:
  case 110:
  case 11:
   {
    i53 = 5;
    break;
   }
  case 1:
   {
    i54 = 3;
    i24 = 72;
    break;
   }
  default:
   {
    i54 = 3850;
    i24 = 72;
   }
  }
  if ((i24 | 0) == 72) {
   set32(i1 + 20 | 0, i48 | 0);
   i53 = i54;
  }
  if ((i2 | 0) == 4) {
   i49 = i53;
   i24 = 75;
  } else {
   i16 = i53;
   STACKTOP = i3;
   return i16 | 0;
  }
 } while (0);
 if ((i24 | 0) == 73) {
  i53 = i2 & 255;
  set8(i14 >> 0 | 0, i53 | 0);
  set8(i19 >> 0 | 0, i53 | 0);
  i16 = 0;
  STACKTOP = i3;
  return i16 | 0;
 } else if ((i24 | 0) == 75) {
  set8(i14 >> 0 | 0, 3 | 0);
  set8(i19 >> 0 | 0, 3 | 0);
  i16 = i49;
  STACKTOP = i3;
  return i16 | 0;
 }
 return 0;
}

function _codeCompare(i1, i2, i3, i4, i5, i6, i7, i8) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 i7 = i7 | 0;
 i8 = i8 | 0;
 var i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0;
 do if (!(get16(i2 + 2 | 0) & 256)) {
  if ((i3 | 0) != 0 ? (get16(i3 + 2 | 0) & 256) != 0 : 0) {
   i9 = get32(i3 + 20 | 0) | 0;
   break;
  }
  i10 = _sqlite3ExprCollSeq(i1, i2) | 0;
  if (!i10) i9 = _sqlite3ExprCollSeq(i1, i3) | 0; else i9 = i10;
 } else i9 = get32(i2 + 20 | 0) | 0; while (0);
 i10 = i3;
 L10 : while (1) {
  switch (get8(i10 >> 0 | 0) | 0) {
  case 37:
   {
    i11 = i10;
    i12 = 11;
    break L10;
    break;
   }
  case -124:
  case -104:
  case -102:
   {
    i13 = i10;
    i12 = 22;
    break L10;
    break;
   }
  case 116:
   break;
  default:
   {
    i14 = i10;
    i12 = 25;
    break L10;
   }
  }
  i10 = get32(get32((get32(get32(i10 + 16 | 0) | 0) | 0) + 12 | 0) | 0) | 0;
 }
 L13 : do if ((i12 | 0) == 11) {
  i10 = get32(i11 + 4 | 0) | 0;
  if ((i10 | 0) != 0 ? (i3 = get8(i10 >> 0 | 0) | 0, i3 << 24 >> 24 != 0) : 0) {
   i15 = i10;
   i10 = i3;
   i3 = 99;
   i16 = 0;
   while (1) {
    i17 = getU8(16286 + (i10 & 255) >> 0 | 0) | i16 << 8;
    i15 = i15 + 1 | 0;
    L18 : do if ((i17 | 0) < 1685026146) {
     if ((i17 | 0) < 1667785074) {
      switch (i17 | 0) {
      case 1651273570:
       break;
      default:
       {
        i12 = 20;
        break L18;
       }
      }
      switch (i3 << 24 >> 24) {
      case 101:
      case 99:
       {
        i18 = 98;
        i19 = 1651273570;
        break L18;
        break;
       }
      default:
       {
        i12 = 19;
        break L18;
       }
      }
     }
     if ((i17 | 0) < 1668050786) switch (i17 | 0) {
     case 1667785074:
      {
       i18 = 97;
       i19 = i17;
       break L18;
       break;
      }
     default:
      {
       i12 = 20;
       break L18;
      }
     } else switch (i17 | 0) {
     case 1668050786:
      {
       i18 = 97;
       i19 = i17;
       break L18;
       break;
      }
     default:
      {
       i12 = 20;
       break L18;
      }
     }
    } else {
     if ((i17 | 0) >= 1919246700) {
      if ((i17 | 0) >= 1952807028) switch (i17 | 0) {
      case 1952807028:
       {
        i18 = 97;
        i19 = i17;
        break L18;
        break;
       }
      default:
       {
        i12 = 20;
        break L18;
       }
      }
      switch (i17 | 0) {
      case 1919246700:
       break;
      default:
       {
        i12 = 20;
        break L18;
       }
      }
      if (i3 << 24 >> 24 == 99) {
       i18 = 101;
       i19 = 1919246700;
       break;
      } else {
       i12 = 19;
       break;
      }
     }
     if ((i17 | 0) < 1718382433) {
      switch (i17 | 0) {
      case 1685026146:
       break;
      default:
       {
        i12 = 20;
        break L18;
       }
      }
      if (i3 << 24 >> 24 == 99) {
       i18 = 101;
       i19 = 1685026146;
       break;
      }
     } else {
      switch (i17 | 0) {
      case 1718382433:
       break;
      default:
       {
        i12 = 20;
        break L18;
       }
      }
      if (i3 << 24 >> 24 == 99) {
       i18 = 101;
       i19 = 1718382433;
       break;
      }
     }
     i18 = i3;
     i19 = i17;
    } while (0);
    if ((i12 | 0) == 19) {
     i12 = 0;
     i18 = i3;
     i19 = i17;
    } else if ((i12 | 0) == 20) {
     i12 = 0;
     if ((i17 & 16777215 | 0) == 6909556) {
      i20 = 100;
      break L13;
     } else {
      i18 = i3;
      i19 = i17;
     }
    }
    i10 = get8(i15 >> 0 | 0) | 0;
    if (!(i10 << 24 >> 24)) {
     i20 = i18;
     break;
    } else {
     i3 = i18;
     i16 = i19;
    }
   }
  } else i20 = 99;
 } else if ((i12 | 0) == 22) {
  i16 = get32(i13 + 40 | 0) | 0;
  if (i16) {
   i3 = get16(i13 + 28 | 0) | 0;
   if (i3 << 16 >> 16 < 0) i20 = 100; else i20 = get8((get32(i16 + 12 | 0) | 0) + ((i3 << 16 >> 16) * 24 | 0) + 22 >> 0 | 0) | 0;
  } else {
   i14 = i13;
   i12 = 25;
  }
 } while (0);
 if ((i12 | 0) == 25) i20 = get8(i14 + 1 >> 0 | 0) | 0;
 i14 = i2;
 L51 : while (1) {
  switch (get8(i14 >> 0 | 0) | 0) {
  case 37:
   {
    i21 = i14;
    i12 = 29;
    break L51;
    break;
   }
  case -124:
  case -104:
  case -102:
   {
    i22 = i14;
    i12 = 40;
    break L51;
    break;
   }
  case 116:
   break;
  default:
   {
    i23 = i14;
    i12 = 43;
    break L51;
   }
  }
  i14 = get32(get32((get32(get32(i14 + 16 | 0) | 0) | 0) + 12 | 0) | 0) | 0;
 }
 L54 : do if ((i12 | 0) == 29) {
  i14 = get32(i21 + 4 | 0) | 0;
  if ((i14 | 0) != 0 ? (i2 = get8(i14 >> 0 | 0) | 0, i2 << 24 >> 24 != 0) : 0) {
   i13 = i14;
   i14 = i2;
   i2 = 99;
   i19 = 0;
   while (1) {
    i18 = getU8(16286 + (i14 & 255) >> 0 | 0) | i19 << 8;
    i13 = i13 + 1 | 0;
    L59 : do if ((i18 | 0) < 1685026146) {
     if ((i18 | 0) < 1667785074) {
      switch (i18 | 0) {
      case 1651273570:
       break;
      default:
       {
        i12 = 38;
        break L59;
       }
      }
      switch (i2 << 24 >> 24) {
      case 101:
      case 99:
       {
        i24 = 98;
        i25 = 1651273570;
        break L59;
        break;
       }
      default:
       {
        i12 = 37;
        break L59;
       }
      }
     }
     if ((i18 | 0) < 1668050786) switch (i18 | 0) {
     case 1667785074:
      {
       i24 = 97;
       i25 = i18;
       break L59;
       break;
      }
     default:
      {
       i12 = 38;
       break L59;
      }
     } else switch (i18 | 0) {
     case 1668050786:
      {
       i24 = 97;
       i25 = i18;
       break L59;
       break;
      }
     default:
      {
       i12 = 38;
       break L59;
      }
     }
    } else {
     if ((i18 | 0) >= 1919246700) {
      if ((i18 | 0) >= 1952807028) switch (i18 | 0) {
      case 1952807028:
       {
        i24 = 97;
        i25 = i18;
        break L59;
        break;
       }
      default:
       {
        i12 = 38;
        break L59;
       }
      }
      switch (i18 | 0) {
      case 1919246700:
       break;
      default:
       {
        i12 = 38;
        break L59;
       }
      }
      if (i2 << 24 >> 24 == 99) {
       i24 = 101;
       i25 = 1919246700;
       break;
      } else {
       i12 = 37;
       break;
      }
     }
     if ((i18 | 0) < 1718382433) {
      switch (i18 | 0) {
      case 1685026146:
       break;
      default:
       {
        i12 = 38;
        break L59;
       }
      }
      if (i2 << 24 >> 24 == 99) {
       i24 = 101;
       i25 = 1685026146;
       break;
      }
     } else {
      switch (i18 | 0) {
      case 1718382433:
       break;
      default:
       {
        i12 = 38;
        break L59;
       }
      }
      if (i2 << 24 >> 24 == 99) {
       i24 = 101;
       i25 = 1718382433;
       break;
      }
     }
     i24 = i2;
     i25 = i18;
    } while (0);
    if ((i12 | 0) == 37) {
     i12 = 0;
     i24 = i2;
     i25 = i18;
    } else if ((i12 | 0) == 38) {
     i12 = 0;
     if ((i18 & 16777215 | 0) == 6909556) {
      i26 = 100;
      break L54;
     } else {
      i24 = i2;
      i25 = i18;
     }
    }
    i14 = get8(i13 >> 0 | 0) | 0;
    if (!(i14 << 24 >> 24)) {
     i26 = i24;
     break;
    } else {
     i2 = i24;
     i19 = i25;
    }
   }
  } else i26 = 99;
 } else if ((i12 | 0) == 40) {
  i19 = get32(i22 + 40 | 0) | 0;
  if (i19) {
   i2 = get16(i22 + 28 | 0) | 0;
   if (i2 << 16 >> 16 < 0) i26 = 100; else i26 = get8((get32(i19 + 12 | 0) | 0) + ((i2 << 16 >> 16) * 24 | 0) + 22 >> 0 | 0) | 0;
  } else {
   i23 = i22;
   i12 = 43;
  }
 } while (0);
 if ((i12 | 0) == 43) i26 = get8(i23 + 1 >> 0 | 0) | 0;
 i23 = i26 & 255;
 if (i20 << 24 >> 24 == 0 | i26 << 24 >> 24 == 0) if (!((i26 | i20) << 24 >> 24)) i27 = 98; else i27 = i23 + (i20 & 255) | 0; else i27 = i20 << 24 >> 24 > 98 | i26 << 24 >> 24 > 98 ? 99 : 98;
 i26 = (i27 | i8) & 255;
 i8 = i1 + 12 | 0;
 i1 = get32(i8 | 0) | 0;
 i27 = i1 + 28 | 0;
 i20 = get32(i27 | 0) | 0;
 i23 = i1 + 32 | 0;
 i22 = get32(i23 | 0) | 0;
 if ((i22 | 0) <= (i20 | 0)) {
  i25 = i1 + 4 | 0;
  i24 = _sqlite3DbRealloc(get32(i1 | 0) | 0, get32(i25 | 0) | 0, (i22 | 0) == 0 ? 1020 : i22 * 40 | 0) | 0;
  if (!i24) {
   i28 = 1;
   i29 = i1;
   i30 = i25;
  } else {
   i22 = get32(i1 | 0) | 0;
   if (((i22 | 0) != 0 ? (get32(i22 + 260 | 0) | 0) >>> 0 <= i24 >>> 0 : 0) ? (get32(i22 + 264 | 0) | 0) >>> 0 > i24 >>> 0 : 0) i31 = getU16(i22 + 232 | 0) | 0; else i31 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i24) | 0;
   set32(i23 | 0, (i31 >>> 0) / 20 | 0 | 0);
   set32(i25 | 0, i24 | 0);
   i32 = i25;
   i33 = get32(i27 | 0) | 0;
   i34 = i24;
   i12 = 57;
  }
 } else {
  i24 = i1 + 4 | 0;
  i32 = i24;
  i33 = i20;
  i34 = get32(i24 | 0) | 0;
  i12 = 57;
 }
 if ((i12 | 0) == 57) {
  set32(i27 | 0, i33 + 1 | 0);
  set8(i34 + (i20 * 20 | 0) >> 0 | 0, i4 | 0);
  set8(i34 + (i20 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i34 + (i20 * 20 | 0) + 4 | 0, i6 | 0);
  set32(i34 + (i20 * 20 | 0) + 8 | 0, i7 | 0);
  set32(i34 + (i20 * 20 | 0) + 12 | 0, i5 | 0);
  set32(i34 + (i20 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i34 + (i20 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i28 = i20;
  i29 = i1;
  i30 = i32;
 }
 i32 = get32(i29 | 0) | 0;
 i29 = get32(i30 | 0) | 0;
 do if ((i29 | 0) != 0 ? (get8(i32 + 30 >> 0 | 0) | 0) == 0 : 0) {
  if ((i28 | 0) < 0) i35 = (get32(i27 | 0) | 0) + -1 | 0; else i35 = i28;
  i30 = i29 + (i35 * 20 | 0) + 1 | 0;
  i1 = i29 + (i35 * 20 | 0) + 16 | 0;
  _freeP4(i32, get8(i30 >> 0 | 0) | 0, get32(i1 | 0) | 0);
  set32(i1 | 0, 0 | 0);
  if (!i9) {
   set32(i1 | 0, 0 | 0);
   set8(i30 >> 0 | 0, 0 | 0);
   break;
  } else {
   set32(i1 | 0, i9 | 0);
   set8(i30 >> 0 | 0, -4 | 0);
   break;
  }
 } while (0);
 i9 = get32(i8 | 0) | 0;
 i8 = get32(i9 + 4 | 0) | 0;
 if (!i8) return;
 set8(i8 + (((get32(i9 + 28 | 0) | 0) + -1 | 0) * 20 | 0) + 3 >> 0 | 0, i26 | 0);
 return;
}

function _sqlite3AtoF(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, d55 = 0.0, d56 = 0.0, d57 = 0.0, d58 = 0.0, i59 = 0, d60 = 0.0, d61 = 0.0;
 i5 = i4 << 24 >> 24 == 1 ? 1 : 2;
 i6 = i1 + i3 | 0;
 setF64(i2 | 0, +(0.0));
 i3 = i4 << 24 >> 24 == 3 ? i1 + 1 | 0 : i1;
 if (i3 >>> 0 < i6 >>> 0) i7 = i3; else {
  i8 = 0;
  return i8 | 0;
 }
 while (1) {
  i3 = get8(i7 >> 0 | 0) | 0;
  if (!(get8(16821 + (i3 & 255) >> 0 | 0) & 1)) {
   i9 = i7;
   i10 = i3;
   break;
  }
  i7 = i7 + i5 | 0;
  if (i7 >>> 0 >= i6 >>> 0) {
   i8 = 0;
   i11 = 58;
   break;
  }
 }
 if ((i11 | 0) == 58) return i8 | 0;
 switch (i10 << 24 >> 24) {
 case 45:
  {
   i12 = i9 + i5 | 0;
   i13 = -1;
   break;
  }
 case 43:
  {
   i12 = i9 + i5 | 0;
   i13 = 1;
   break;
  }
 default:
  {
   i12 = i9;
   i13 = 1;
  }
 }
 L13 : do if (i12 >>> 0 < i6 >>> 0) {
  i9 = i12;
  i10 = 0;
  while (1) {
   if ((get8(i9 >> 0 | 0) | 0) != 48) {
    i14 = i9;
    i15 = i10;
    break L13;
   }
   i11 = i9 + i5 | 0;
   i7 = i10 + 1 | 0;
   if (i11 >>> 0 < i6 >>> 0) {
    i9 = i11;
    i10 = i7;
   } else {
    i14 = i11;
    i15 = i7;
    break;
   }
  }
 } else {
  i14 = i12;
  i15 = 0;
 } while (0);
 L18 : do if (i14 >>> 0 < i6 >>> 0) {
  i12 = i14;
  i10 = 0;
  i9 = 0;
  i7 = i15;
  while (1) {
   i11 = get8(i12 >> 0 | 0) | 0;
   if (!(((i10 | 0) < 214748364 | (i10 | 0) == 214748364 & i9 >>> 0 < 3435973835) & ((i11 & 255) + -48 | 0) >>> 0 < 10)) {
    i16 = i12;
    i17 = i9;
    i18 = i10;
    i19 = i7;
    break L18;
   }
   i3 = ___muldi3(i9 | 0, i10 | 0, 10, 0) | 0;
   i1 = (i11 << 24 >> 24) + -48 | 0;
   i11 = _i64Add(i1 | 0, ((i1 | 0) < 0) << 31 >> 31 | 0, i3 | 0, tempRet0 | 0) | 0;
   i3 = tempRet0;
   i1 = i12 + i5 | 0;
   i4 = i7 + 1 | 0;
   if (i1 >>> 0 < i6 >>> 0) {
    i12 = i1;
    i10 = i3;
    i9 = i11;
    i7 = i4;
   } else {
    i16 = i1;
    i17 = i11;
    i18 = i3;
    i19 = i4;
    break;
   }
  }
 } else {
  i16 = i14;
  i17 = 0;
  i18 = 0;
  i19 = i15;
 } while (0);
 L23 : do if (i16 >>> 0 < i6 >>> 0) {
  i15 = i16;
  i14 = 0;
  i7 = i19;
  while (1) {
   i9 = get8(i15 >> 0 | 0) | 0;
   if (((i9 & 255) + -48 | 0) >>> 0 >= 10) {
    i20 = i15;
    i21 = i9;
    i22 = i14;
    i23 = i7;
    break;
   }
   i9 = i15 + i5 | 0;
   i10 = i7 + 1 | 0;
   i12 = i14 + 1 | 0;
   if (i9 >>> 0 < i6 >>> 0) {
    i15 = i9;
    i14 = i12;
    i7 = i10;
   } else {
    i24 = i9;
    i25 = i17;
    i26 = i18;
    i27 = i12;
    i28 = 0;
    i29 = 1;
    i30 = 1;
    i31 = i10;
    break L23;
   }
  }
  L28 : do if (i21 << 24 >> 24 == 46) {
   i7 = i20 + i5 | 0;
   L30 : do if (i7 >>> 0 < i6 >>> 0) {
    i14 = i7;
    i15 = i18;
    i10 = i17;
    i12 = i22;
    i9 = i23;
    while (1) {
     i4 = get8(i14 >> 0 | 0) | 0;
     if (!(((i15 | 0) < 214748364 | (i15 | 0) == 214748364 & i10 >>> 0 < 3435973835) & ((i4 & 255) + -48 | 0) >>> 0 < 10)) {
      i32 = i14;
      i33 = i10;
      i34 = i15;
      i35 = i12;
      i36 = i9;
      break L30;
     }
     i3 = ___muldi3(i10 | 0, i15 | 0, 10, 0) | 0;
     i11 = (i4 << 24 >> 24) + -48 | 0;
     i4 = _i64Add(i11 | 0, ((i11 | 0) < 0) << 31 >> 31 | 0, i3 | 0, tempRet0 | 0) | 0;
     i3 = tempRet0;
     i11 = i9 + 1 | 0;
     i1 = i12 + -1 | 0;
     i37 = i14 + i5 | 0;
     if (i37 >>> 0 < i6 >>> 0) {
      i14 = i37;
      i15 = i3;
      i10 = i4;
      i12 = i1;
      i9 = i11;
     } else {
      i32 = i37;
      i33 = i4;
      i34 = i3;
      i35 = i1;
      i36 = i11;
      break;
     }
    }
   } else {
    i32 = i7;
    i33 = i17;
    i34 = i18;
    i35 = i22;
    i36 = i23;
   } while (0);
   if (i32 >>> 0 < i6 >>> 0) {
    i7 = i32;
    i9 = i36;
    while (1) {
     if (((getU8(i7 >> 0 | 0) | 0) + -48 | 0) >>> 0 >= 10) {
      i38 = i7;
      i39 = i33;
      i40 = i34;
      i41 = i35;
      i42 = i9;
      break L28;
     }
     i12 = i7 + i5 | 0;
     i10 = i9 + 1 | 0;
     if (i12 >>> 0 < i6 >>> 0) {
      i7 = i12;
      i9 = i10;
     } else {
      i38 = i12;
      i39 = i33;
      i40 = i34;
      i41 = i35;
      i42 = i10;
      break;
     }
    }
   } else {
    i38 = i32;
    i39 = i33;
    i40 = i34;
    i41 = i35;
    i42 = i36;
   }
  } else {
   i38 = i20;
   i39 = i17;
   i40 = i18;
   i41 = i22;
   i42 = i23;
  } while (0);
  if (i38 >>> 0 < i6 >>> 0) {
   L40 : do switch (get8(i38 >> 0 | 0) | 0) {
   case 69:
   case 101:
    {
     i9 = i38 + i5 | 0;
     if (i9 >>> 0 >= i6 >>> 0) {
      i24 = i9;
      i25 = i39;
      i26 = i40;
      i27 = i41;
      i28 = 0;
      i29 = 0;
      i30 = 1;
      i31 = i42;
      break L23;
     }
     switch (get8(i9 >> 0 | 0) | 0) {
     case 45:
      {
       i43 = i38 + (i5 << 1) | 0;
       i44 = -1;
       break;
      }
     case 43:
      {
       i43 = i38 + (i5 << 1) | 0;
       i44 = 1;
       break;
      }
     default:
      {
       i43 = i9;
       i44 = 1;
      }
     }
     if (i43 >>> 0 < i6 >>> 0) {
      i45 = i43;
      i46 = 0;
      i47 = 0;
     } else {
      i24 = i43;
      i25 = i39;
      i26 = i40;
      i27 = i41;
      i28 = 0;
      i29 = 0;
      i30 = i44;
      i31 = i42;
      break L23;
     }
     while (1) {
      i9 = get8(i45 >> 0 | 0) | 0;
      if (((i9 & 255) + -48 | 0) >>> 0 >= 10) {
       i48 = i45;
       i49 = i46;
       i50 = i47;
       i51 = i44;
       break L40;
      }
      i7 = (i46 * 10 | 0) + -48 + (i9 << 24 >> 24) | 0;
      i9 = i45 + i5 | 0;
      if (i9 >>> 0 < i6 >>> 0) {
       i45 = i9;
       i46 = i7;
       i47 = 1;
      } else {
       i48 = i9;
       i49 = i7;
       i50 = 1;
       i51 = i44;
       break;
      }
     }
     break;
    }
   default:
    {
     i48 = i38;
     i49 = 0;
     i50 = 1;
     i51 = 1;
    }
   } while (0);
   if ((i42 | 0) != 0 & (i50 | 0) != 0 & i48 >>> 0 < i6 >>> 0) {
    i7 = i48;
    while (1) {
     if (!(get8(16821 + (getU8(i7 >> 0 | 0) | 0) >> 0 | 0) & 1)) {
      i24 = i7;
      i25 = i39;
      i26 = i40;
      i27 = i41;
      i28 = i49;
      i29 = i50;
      i30 = i51;
      i31 = i42;
      break L23;
     }
     i9 = i7 + i5 | 0;
     if (i9 >>> 0 < i6 >>> 0) i7 = i9; else {
      i24 = i9;
      i25 = i39;
      i26 = i40;
      i27 = i41;
      i28 = i49;
      i29 = i50;
      i30 = i51;
      i31 = i42;
      break;
     }
    }
   } else {
    i24 = i48;
    i25 = i39;
    i26 = i40;
    i27 = i41;
    i28 = i49;
    i29 = i50;
    i30 = i51;
    i31 = i42;
   }
  } else {
   i24 = i38;
   i25 = i39;
   i26 = i40;
   i27 = i41;
   i28 = 0;
   i29 = 1;
   i30 = 1;
   i31 = i42;
  }
 } else {
  i24 = i16;
  i25 = i17;
  i26 = i18;
  i27 = 0;
  i28 = 0;
  i29 = 1;
  i30 = 1;
  i31 = i19;
 } while (0);
 i19 = (Math_imul(i28, i30) | 0) + i27 | 0;
 i27 = (i19 | 0) < 0;
 i30 = i27 ? 0 - i19 | 0 : i19;
 do if (!((i25 | 0) == 0 & (i26 | 0) == 0)) {
  if ((i19 >> 31 | 1 | 0) > 0) if (((i26 | 0) < 214748364 | (i26 | 0) == 214748364 & i25 >>> 0 < 3435973836) & (i30 | 0) > 0) {
   i28 = i25;
   i18 = i26;
   i17 = i30;
   while (1) {
    i16 = i17 + -1 | 0;
    i42 = ___muldi3(i28 | 0, i18 | 0, 10, 0) | 0;
    i41 = tempRet0;
    if (((i41 | 0) < 214748364 | (i41 | 0) == 214748364 & i42 >>> 0 < 3435973836) & (i17 | 0) > 1) {
     i28 = i42;
     i18 = i41;
     i17 = i16;
    } else {
     i52 = i42;
     i53 = i41;
     i54 = i16;
     break;
    }
   }
  } else {
   i52 = i25;
   i53 = i26;
   i54 = i30;
  } else {
   i17 = ___remdi3(i25 | 0, i26 | 0, 10, 0) | 0;
   if ((i30 | 0) > 0 & ((i17 | 0) == 0 & (tempRet0 | 0) == 0)) {
    i17 = i25;
    i18 = i26;
    i28 = i30;
    while (1) {
     i16 = i28 + -1 | 0;
     i41 = ___divdi3(i17 | 0, i18 | 0, 10, 0) | 0;
     i42 = tempRet0;
     i40 = ___remdi3(i41 | 0, i42 | 0, 10, 0) | 0;
     if ((i28 | 0) > 1 & ((i40 | 0) == 0 & (tempRet0 | 0) == 0)) {
      i17 = i41;
      i18 = i42;
      i28 = i16;
     } else {
      i52 = i41;
      i53 = i42;
      i54 = i16;
      break;
     }
    }
   } else {
    i52 = i25;
    i53 = i26;
    i54 = i30;
   }
  }
  i28 = (i13 | 0) < 0;
  i18 = _i64Subtract(0, 0, i52 | 0, i53 | 0) | 0;
  i17 = i28 ? i18 : i52;
  i18 = i28 ? tempRet0 : i53;
  if (!i54) {
   d55 = +(i17 >>> 0) + 4294967296.0 * +(i18 | 0);
   break;
  }
  if ((i54 + -308 | 0) >>> 0 < 34) {
   if (!((i54 | 0) % 308 | 0)) d56 = 1.0; else {
    i28 = i54;
    d57 = 1.0;
    while (1) {
     d58 = d57 * 10.0;
     i28 = i28 + -1 | 0;
     if (!((i28 | 0) % 308 | 0)) {
      d56 = d58;
      break;
     } else d57 = d58;
    }
   }
   d57 = +(i17 >>> 0) + 4294967296.0 * +(i18 | 0);
   if (i27) {
    d55 = d57 / d56 / 1.e+308;
    break;
   } else {
    d55 = d57 * d56 * 1.e+308;
    break;
   }
  }
  if (!((i54 | 0) % 22 | 0)) {
   i59 = i54;
   d60 = 1.0;
  } else {
   i28 = i54;
   d57 = 1.0;
   while (1) {
    d58 = d57 * 10.0;
    i16 = i28 + -1 | 0;
    if (!((i16 | 0) % 22 | 0)) {
     i59 = i16;
     d60 = d58;
     break;
    } else {
     i28 = i16;
     d57 = d58;
    }
   }
  }
  if ((i59 | 0) > 0) {
   i28 = i59;
   d57 = d60;
   while (1) {
    d58 = d57 * 1.0e22;
    if ((i28 | 0) > 22) {
     i28 = i28 + -22 | 0;
     d57 = d58;
    } else {
     d61 = d58;
     break;
    }
   }
  } else d61 = d60;
  d57 = +(i17 >>> 0) + 4294967296.0 * +(i18 | 0);
  if (i27) {
   d55 = d57 / d61;
   break;
  } else {
   d55 = d57 * d61;
   break;
  }
 } else d55 = (i13 | 0) < 0 & (i31 | 0) != 0 ? -0.0 : 0.0; while (0);
 setF64(i2 | 0, +d55);
 i8 = (i29 | 0) != 0 & (i24 >>> 0 >= i6 >>> 0 & (i31 | 0) > 0) & 1;
 return i8 | 0;
}

function _sqlite3_db_status(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0;
 i6 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i7 = i6 + 4 | 0;
 i8 = i6;
 switch (i2 | 0) {
 case 0:
  {
   i9 = i1 + 236 | 0;
   set32(i3 | 0, get32(i9 | 0) | 0);
   i10 = i1 + 240 | 0;
   set32(i4 | 0, get32(i10 | 0) | 0);
   if (!i5) {
    i11 = 0;
    STACKTOP = i6;
    return i11 | 0;
   }
   set32(i10 | 0, get32(i9 | 0) | 0);
   i11 = 0;
   STACKTOP = i6;
   return i11 | 0;
  }
 case 6:
 case 5:
 case 4:
  {
   set32(i3 | 0, 0 | 0);
   i9 = i1 + 244 + (i2 + -4 << 2) | 0;
   set32(i4 | 0, get32(i9 | 0) | 0);
   if (!i5) {
    i11 = 0;
    STACKTOP = i6;
    return i11 | 0;
   }
   set32(i9 | 0, 0 | 0);
   i11 = 0;
   STACKTOP = i6;
   return i11 | 0;
  }
 case 1:
  {
   i9 = i1 + 4 | 0;
   i5 = get32(i9 | 0) | 0;
   i2 = (i5 | 0) > 0;
   if (i2) {
    i10 = get32(i1 + 8 | 0) | 0;
    i12 = 0;
    do {
     i13 = get32(i10 + (i12 << 4) + 4 | 0) | 0;
     if (i13) set32((get32(i13 + 4 | 0) | 0) + 4 | 0, get32(i13 | 0) | 0);
     i12 = i12 + 1 | 0;
    } while ((i12 | 0) != (i5 | 0));
    if (i2) {
     i2 = i1 + 8 | 0;
     i12 = i5;
     i5 = 0;
     i10 = 0;
     while (1) {
      i13 = get32((get32(i2 | 0) | 0) + (i5 << 4) + 4 | 0) | 0;
      if (!i13) {
       i14 = i12;
       i15 = i10;
      } else {
       i16 = get32(get32(i13 + 4 | 0) | 0) | 0;
       i13 = i16 + 128 | 0;
       i17 = (get32(i13 | 0) | 0) + 56 + (getU16(i16 + 116 | 0) | 0) | 0;
       i18 = get32((get32(i16 + 168 | 0) | 0) + 40 | 0) | 0;
       if (!i18) i19 = 0; else i19 = FUNCTION_TABLE_ii[get32(316 | 0) & 127](i18) | 0;
       i18 = Math_imul(i19, i17) | 0;
       i17 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i16) | 0;
       i14 = get32(i9 | 0) | 0;
       i15 = i18 + i10 + i17 + (get32(i13 | 0) | 0) | 0;
      }
      i5 = i5 + 1 | 0;
      if ((i5 | 0) >= (i14 | 0)) {
       i20 = i15;
       break;
      } else {
       i12 = i14;
       i10 = i15;
      }
     }
    } else i20 = 0;
   } else i20 = 0;
   set32(i3 | 0, i20 | 0);
   set32(i4 | 0, 0 | 0);
   i11 = 0;
   STACKTOP = i6;
   return i11 | 0;
  }
 case 2:
  {
   set32(i7 | 0, 0 | 0);
   i20 = i1 + 4 | 0;
   i15 = get32(i20 | 0) | 0;
   i10 = (i15 | 0) > 0;
   if (i10) {
    i14 = get32(i1 + 8 | 0) | 0;
    i12 = 0;
    do {
     i5 = get32(i14 + (i12 << 4) + 4 | 0) | 0;
     if (i5) set32((get32(i5 + 4 | 0) | 0) + 4 | 0, get32(i5 | 0) | 0);
     i12 = i12 + 1 | 0;
    } while ((i12 | 0) != (i15 | 0));
    i12 = i1 + 504 | 0;
    set32(i12 | 0, i7 | 0);
    if (i10) {
     i10 = i1 + 8 | 0;
     i14 = i15;
     i15 = 0;
     while (1) {
      i5 = get32((get32(i10 | 0) | 0) + (i15 << 4) + 12 | 0) | 0;
      if (!i5) i21 = i14; else {
       i9 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](20) | 0;
       i19 = Math_imul((get32(i5 + 44 | 0) | 0) + (get32(i5 + 12 | 0) | 0) + (get32(i5 + 28 | 0) | 0) + (get32(i5 + 60 | 0) | 0) | 0, i9) | 0;
       set32(i7 | 0, i19 + (get32(i7 | 0) | 0) | 0);
       i19 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](get32(i5 + 20 | 0) | 0) | 0;
       set32(i7 | 0, (get32(i7 | 0) | 0) + i19 | 0);
       i19 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](get32(i5 + 52 | 0) | 0) | 0;
       set32(i7 | 0, (get32(i7 | 0) | 0) + i19 | 0);
       i19 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](get32(i5 + 36 | 0) | 0) | 0;
       set32(i7 | 0, (get32(i7 | 0) | 0) + i19 | 0);
       i19 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](get32(i5 + 68 | 0) | 0) | 0;
       set32(i7 | 0, (get32(i7 | 0) | 0) + i19 | 0);
       i19 = get32(i5 + 48 | 0) | 0;
       if (i19) {
        i9 = i19;
        do {
         i19 = get32(i9 + 8 | 0) | 0;
         if (i19) {
          i2 = get32(i19 + 28 | 0) | 0;
          if (i2) {
           i13 = i2;
           do {
            i2 = i13;
            i13 = get32(i13 + 32 | 0) | 0;
            _sqlite3ExprDelete(i1, get32(i2 + 20 | 0) | 0);
            i17 = get32(i2 + 24 | 0) | 0;
            if (i17) {
             i18 = i17 + 12 | 0;
             if ((get32(i17 | 0) | 0) > 0) {
              i16 = 0;
              i22 = get32(i18 | 0) | 0;
              while (1) {
               _sqlite3ExprDelete(i1, get32(i22 | 0) | 0);
               _sqlite3DbFree(i1, get32(i22 + 4 | 0) | 0);
               _sqlite3DbFree(i1, get32(i22 + 8 | 0) | 0);
               i16 = i16 + 1 | 0;
               if ((i16 | 0) >= (get32(i17 | 0) | 0)) break; else i22 = i22 + 20 | 0;
              }
             }
             _sqlite3DbFree(i1, get32(i18 | 0) | 0);
             _sqlite3DbFree(i1, i17);
            }
            i22 = get32(i2 + 8 | 0) | 0;
            if (i22) {
             i16 = get32(i22 | 0) | 0;
             if (i16) {
              i23 = i16 + 12 | 0;
              if ((get32(i16 | 0) | 0) > 0) {
               i24 = 0;
               i25 = get32(i23 | 0) | 0;
               while (1) {
                _sqlite3ExprDelete(i1, get32(i25 | 0) | 0);
                _sqlite3DbFree(i1, get32(i25 + 4 | 0) | 0);
                _sqlite3DbFree(i1, get32(i25 + 8 | 0) | 0);
                i24 = i24 + 1 | 0;
                if ((i24 | 0) >= (get32(i16 | 0) | 0)) break; else i25 = i25 + 20 | 0;
               }
              }
              _sqlite3DbFree(i1, get32(i23 | 0) | 0);
              _sqlite3DbFree(i1, i16);
             }
             _sqlite3SrcListDelete(i1, get32(i22 + 8 | 0) | 0);
             _sqlite3ExprDelete(i1, get32(i22 + 12 | 0) | 0);
             i25 = get32(i22 + 16 | 0) | 0;
             if (i25) {
              i24 = i25 + 12 | 0;
              if ((get32(i25 | 0) | 0) > 0) {
               i17 = 0;
               i18 = get32(i24 | 0) | 0;
               while (1) {
                _sqlite3ExprDelete(i1, get32(i18 | 0) | 0);
                _sqlite3DbFree(i1, get32(i18 + 4 | 0) | 0);
                _sqlite3DbFree(i1, get32(i18 + 8 | 0) | 0);
                i17 = i17 + 1 | 0;
                if ((i17 | 0) >= (get32(i25 | 0) | 0)) break; else i18 = i18 + 20 | 0;
               }
              }
              _sqlite3DbFree(i1, get32(i24 | 0) | 0);
              _sqlite3DbFree(i1, i25);
             }
             _sqlite3ExprDelete(i1, get32(i22 + 20 | 0) | 0);
             i18 = get32(i22 + 24 | 0) | 0;
             if (i18) {
              i17 = i18 + 12 | 0;
              if ((get32(i18 | 0) | 0) > 0) {
               i16 = 0;
               i23 = get32(i17 | 0) | 0;
               while (1) {
                _sqlite3ExprDelete(i1, get32(i23 | 0) | 0);
                _sqlite3DbFree(i1, get32(i23 + 4 | 0) | 0);
                _sqlite3DbFree(i1, get32(i23 + 8 | 0) | 0);
                i16 = i16 + 1 | 0;
                if ((i16 | 0) >= (get32(i18 | 0) | 0)) break; else i23 = i23 + 20 | 0;
               }
              }
              _sqlite3DbFree(i1, get32(i17 | 0) | 0);
              _sqlite3DbFree(i1, i18);
             }
             _sqlite3SelectDelete(i1, get32(i22 + 28 | 0) | 0);
             _sqlite3ExprDelete(i1, get32(i22 + 40 | 0) | 0);
             _sqlite3ExprDelete(i1, get32(i22 + 44 | 0) | 0);
             _sqlite3DbFree(i1, i22);
            }
            i23 = get32(i2 + 28 | 0) | 0;
            if (i23) {
             i16 = i23 + 4 | 0;
             if ((get32(i16 | 0) | 0) > 0) {
              i25 = 0;
              do {
               _sqlite3DbFree(i1, get32((get32(i23 | 0) | 0) + (i25 << 3) | 0) | 0);
               i25 = i25 + 1 | 0;
              } while ((i25 | 0) < (get32(i16 | 0) | 0));
             }
             _sqlite3DbFree(i1, get32(i23 | 0) | 0);
             _sqlite3DbFree(i1, i23);
            }
            _sqlite3DbFree(i1, i2);
           } while ((i13 | 0) != 0);
          }
          _sqlite3DbFree(i1, get32(i19 | 0) | 0);
          _sqlite3DbFree(i1, get32(i19 + 4 | 0) | 0);
          _sqlite3ExprDelete(i1, get32(i19 + 12 | 0) | 0);
          i13 = get32(i19 + 16 | 0) | 0;
          if (i13) {
           i16 = i13 + 4 | 0;
           if ((get32(i16 | 0) | 0) > 0) {
            i25 = 0;
            do {
             _sqlite3DbFree(i1, get32((get32(i13 | 0) | 0) + (i25 << 3) | 0) | 0);
             i25 = i25 + 1 | 0;
            } while ((i25 | 0) < (get32(i16 | 0) | 0));
           }
           _sqlite3DbFree(i1, get32(i13 | 0) | 0);
           _sqlite3DbFree(i1, i13);
          }
          _sqlite3DbFree(i1, i19);
         }
         i9 = get32(i9 | 0) | 0;
        } while ((i9 | 0) != 0);
       }
       i9 = get32(i5 + 16 | 0) | 0;
       if (i9) {
        i16 = i9;
        do {
         _sqlite3DeleteTable(i1, get32(i16 + 8 | 0) | 0);
         i16 = get32(i16 | 0) | 0;
        } while ((i16 | 0) != 0);
       }
       i21 = get32(i20 | 0) | 0;
      }
      i15 = i15 + 1 | 0;
      if ((i15 | 0) >= (i21 | 0)) break; else i14 = i21;
     }
     i26 = i12;
     i27 = get32(i7 | 0) | 0;
    } else {
     i26 = i12;
     i27 = 0;
    }
   } else {
    i12 = i1 + 504 | 0;
    set32(i12 | 0, i7 | 0);
    i26 = i12;
    i27 = 0;
   }
   set32(i26 | 0, 0 | 0);
   set32(i4 | 0, 0 | 0);
   set32(i3 | 0, i27 | 0);
   i11 = 0;
   STACKTOP = i6;
   return i11 | 0;
  }
 case 3:
  {
   set32(i8 | 0, 0 | 0);
   i27 = i1 + 504 | 0;
   set32(i27 | 0, i8 | 0);
   i26 = get32(i1 + 136 | 0) | 0;
   if (!i26) i28 = 0; else {
    i12 = i26;
    do {
     _sqlite3VdbeDeleteObject(i1, i12);
     i12 = get32(i12 + 64 | 0) | 0;
    } while ((i12 | 0) != 0);
    i28 = get32(i8 | 0) | 0;
   }
   set32(i27 | 0, 0 | 0);
   set32(i4 | 0, 0 | 0);
   set32(i3 | 0, i28 | 0);
   i11 = 0;
   STACKTOP = i6;
   return i11 | 0;
  }
 default:
  {
   i11 = 1;
   STACKTOP = i6;
   return i11 | 0;
  }
 }
 return 0;
}

function _freePage2(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i5 = i4;
 i6 = i4 + 12 | 0;
 i7 = i4 + 8 | 0;
 i8 = get32(i1 + 12 | 0) | 0;
 if (!i2) {
  i9 = get32((get32(i1 | 0) | 0) + 168 | 0) | 0;
  i10 = get32(i9 + 40 | 0) | 0;
  if ((i10 | 0) != 0 ? (i11 = FUNCTION_TABLE_iiii[get32(320 | 0) & 63](i10, i3, 0) | 0, (i11 | 0) != 0) : 0) {
   if (!(get32(i11 | 0) | 0)) {
    i10 = i11;
    i12 = i10 + 36 | 0;
    do {
     set32(i10 | 0, 0 | 0);
     i10 = i10 + 4 | 0;
    } while ((i10 | 0) < (i12 | 0));
    set32(i11 | 0, i11 + 36 | 0);
    i10 = i11 + ((get32(i9 + 20 | 0) | 0) + 36) | 0;
    set32(i11 + 4 | 0, i10 | 0);
    _memset(i10 | 0, 0, get32(i9 + 24 | 0) | 0) | 0;
    set32(i11 + 24 | 0, i9 | 0);
    set32(i11 + 12 | 0, i3 | 0);
   }
   i10 = i11 + 22 | 0;
   i12 = get16(i10 | 0) | 0;
   if (!(i12 << 16 >> 16)) {
    i13 = i9 + 12 | 0;
    set32(i13 | 0, (get32(i13 | 0) | 0) + 1 | 0);
   }
   set16(i10 | 0, i12 + 1 << 16 >> 16 | 0);
   i12 = (i3 | 0) == 1;
   if (i12) set32(i9 + 44 | 0, i11 | 0);
   i9 = get32(i11 + 4 | 0) | 0;
   set32(i9 + 64 | 0, get32(i11 | 0) | 0);
   set32(i9 + 68 | 0, i11 | 0);
   set32(i9 + 60 | 0, i1 | 0);
   set32(i9 + 72 | 0, i3 | 0);
   set8(i9 + 5 >> 0 | 0, (i12 ? 100 : 0) | 0);
   i14 = i9;
  } else i14 = 0;
 } else {
  i9 = (get32(i2 + 68 | 0) | 0) + 22 | 0;
  set16(i9 | 0, (get16(i9 | 0) | 0) + 1 << 16 >> 16 | 0);
  i14 = i2;
 }
 i2 = _sqlite3PagerWrite(get32(i8 + 68 | 0) | 0) | 0;
 set32(i7 | 0, i2 | 0);
 L16 : do if (!i2) {
  i9 = i8 + 64 | 0;
  i12 = get32(i9 | 0) | 0;
  i11 = i12 + 36 | 0;
  i10 = i12 + 37 | 0;
  i13 = i12 + 38 | 0;
  i15 = i12 + 39 | 0;
  i12 = getU8(i10 >> 0 | 0) << 16 | getU8(i11 >> 0 | 0) << 24 | getU8(i13 >> 0 | 0) << 8 | getU8(i15 >> 0 | 0);
  i16 = i12 + 1 | 0;
  set8(i11 >> 0 | 0, i16 >>> 24 | 0);
  set8(i10 >> 0 | 0, i16 >>> 16 | 0);
  set8(i13 >> 0 | 0, i16 >>> 8 | 0);
  set8(i15 >> 0 | 0, i16 | 0);
  i16 = i1 + 18 | 0;
  if (!(get8(i16 >> 0 | 0) | 0)) i17 = i14; else {
   do if (!i14) {
    i15 = _sqlite3PagerAcquire(get32(i1 | 0) | 0, i3, i6, 0) | 0;
    if (!i15) {
     i13 = get32(i6 | 0) | 0;
     i10 = get32(i13 + 4 | 0) | 0;
     set32(i10 + 64 | 0, get32(i13 | 0) | 0);
     set32(i10 + 68 | 0, i13 | 0);
     set32(i10 + 60 | 0, i1 | 0);
     set32(i10 + 72 | 0, i3 | 0);
     set8(i10 + 5 >> 0 | 0, ((i3 | 0) == 1 ? 100 : 0) | 0);
     set32(i7 | 0, 0 | 0);
     i18 = i10;
     break;
    }
    set32(i7 | 0, i15 | 0);
    i19 = i15;
    STACKTOP = i4;
    return i19 | 0;
   } else i18 = i14; while (0);
   i15 = _sqlite3PagerWrite(get32(i18 + 68 | 0) | 0) | 0;
   set32(i7 | 0, i15 | 0);
   if (i15) {
    i20 = i15;
    i21 = 0;
    i22 = i18;
    i23 = 58;
    break;
   }
   _memset(get32(i18 + 64 | 0) | 0, 0, get32((get32(i18 + 60 | 0) | 0) + 36 | 0) | 0) | 0;
   i17 = i18;
  }
  if ((get8(i1 + 21 >> 0 | 0) | 0) != 0 ? (_ptrmapPut(i1, i3, 2, 0, i7), i15 = get32(i7 | 0) | 0, (i15 | 0) != 0) : 0) {
   i20 = i15;
   i21 = 0;
   i22 = i17;
   i23 = 58;
   break;
  }
  if (i12) {
   i15 = get32(i9 | 0) | 0;
   i10 = getU8(i15 + 33 >> 0 | 0) << 16 | getU8(i15 + 32 >> 0 | 0) << 24 | getU8(i15 + 34 >> 0 | 0) << 8 | getU8(i15 + 35 >> 0 | 0);
   i15 = _sqlite3PagerAcquire(get32(i1 | 0) | 0, i10, i6, 0) | 0;
   if (i15) {
    set32(i7 | 0, i15 | 0);
    i20 = i15;
    i21 = 0;
    i22 = i17;
    i23 = 58;
    break;
   }
   i15 = get32(i6 | 0) | 0;
   i13 = get32(i15 + 4 | 0) | 0;
   i11 = get32(i15 | 0) | 0;
   i24 = i13 + 64 | 0;
   set32(i24 | 0, i11 | 0);
   set32(i13 + 68 | 0, i15 | 0);
   set32(i13 + 60 | 0, i1 | 0);
   set32(i13 + 72 | 0, i10 | 0);
   set8(i13 + 5 >> 0 | 0, ((i10 | 0) == 1 ? 100 : 0) | 0);
   set32(i7 | 0, 0 | 0);
   i25 = i11;
   i11 = getU8(i25 + 5 >> 0 | 0) << 16 | getU8(i25 + 4 >> 0 | 0) << 24 | getU8(i25 + 6 >> 0 | 0) << 8 | getU8(i25 + 7 >> 0 | 0);
   i25 = (get32(i1 + 40 | 0) | 0) >>> 2;
   if (i11 >>> 0 > (i25 + -2 | 0) >>> 0) {
    set32(i5 | 0, 52614 | 0);
    set32(i5 + 4 | 0, 17203 | 0);
    _sqlite3_log(11, 19615, i5);
    set32(i7 | 0, 11 | 0);
    i20 = 11;
    i21 = i13;
    i22 = i17;
    i23 = 58;
    break;
   }
   if (i11 >>> 0 < (i25 + -8 | 0) >>> 0) {
    i25 = _sqlite3PagerWrite(i15) | 0;
    set32(i7 | 0, i25 | 0);
    if (i25) {
     i20 = i25;
     i21 = i13;
     i22 = i17;
     i23 = 58;
     break;
    }
    i25 = get32(i24 | 0) | 0;
    i15 = i11 + 1 | 0;
    set8(i25 + 4 >> 0 | 0, i15 >>> 24 | 0);
    set8(i25 + 5 >> 0 | 0, i15 >>> 16 | 0);
    set8(i25 + 6 >> 0 | 0, i15 >>> 8 | 0);
    set8(i25 + 7 >> 0 | 0, i15 | 0);
    i15 = i11 << 2;
    i11 = get32(i24 | 0) | 0;
    set8(i11 + (i15 + 8) >> 0 | 0, i3 >>> 24 | 0);
    set8(i11 + (i15 + 9) >> 0 | 0, i3 >>> 16 | 0);
    set8(i11 + (i15 + 10) >> 0 | 0, i3 >>> 8 | 0);
    set8(i11 + (i15 + 11) >> 0 | 0, i3 | 0);
    if ((((i17 | 0) != 0 ? (get8(i16 >> 0 | 0) | 0) == 0 : 0) ? (i15 = get32(i17 + 68 | 0) | 0, i11 = i15 + 20 | 0, i24 = getU16(i11 | 0) | 0, (i24 & 2 | 0) != 0) : 0) ? (get32((get32(i15 + 16 | 0) | 0) + 96 | 0) | 0) == 0 : 0) set16(i11 | 0, i24 | 32 | 0);
    i24 = i1 + 64 | 0;
    i11 = get32(i24 | 0) | 0;
    do if (!i11) {
     i15 = get32(i1 + 48 | 0) | 0;
     do if (!(get32(50 * 4 | 0) | 0)) {
      i25 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](512) | 0;
      if (!i25) i23 = 48; else {
       i26 = i25;
       i23 = 49;
      }
     } else {
      i25 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](512) | 0;
      set32(35 * 4 | 0, 512 | 0);
      if ((get32(45 * 4 | 0) | 0) < 512) set32(45 * 4 | 0, 512 | 0);
      i27 = get32(6 * 4 | 0) | 0;
      do if (i27) {
       i28 = get32(30 * 4 | 0) | 0;
       i29 = ((i28 | 0) < 0) << 31 >> 31;
       i30 = 16;
       i31 = _i64Subtract(get32(i30 | 0) | 0, get32(i30 + 4 | 0) | 0, i25 | 0, ((i25 | 0) < 0) << 31 >> 31 | 0) | 0;
       i30 = tempRet0;
       if ((i29 | 0) < (i30 | 0) | (i29 | 0) == (i30 | 0) & i28 >>> 0 < i31 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i31 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i27 & 15](i31, i28, i29, i25);
        set32(6 * 4 | 0, i27 | 0);
        set32(7 * 4 | 0, i31 | 0);
        break;
       }
      } while (0);
      i27 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i25) | 0;
      if (!i27) i23 = 48; else {
       i31 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i27) | 0;
       i29 = (get32(30 * 4 | 0) | 0) + i31 | 0;
       set32(30 * 4 | 0, i29 | 0);
       if ((i29 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i29 | 0);
       i29 = get32(39 * 4 | 0) | 0;
       i31 = i29 + 1 | 0;
       set32(39 * 4 | 0, i31 | 0);
       if ((i29 | 0) < (get32(49 * 4 | 0) | 0)) {
        i26 = i27;
        i23 = 49;
        break;
       }
       set32(49 * 4 | 0, i31 | 0);
       i26 = i27;
       i23 = 49;
      }
     } while (0);
     if ((i23 | 0) == 48) {
      set32(i24 | 0, 0 | 0);
      i32 = 7;
      break;
     } else if ((i23 | 0) == 49) {
      _memset(i26 | 0, 0, 512) | 0;
      set32(i26 | 0, i15 | 0);
      set32(i24 | 0, i26 | 0);
      i33 = i26;
      i23 = 50;
      break;
     }
    } else {
     i33 = i11;
     i23 = 50;
    } while (0);
    if ((i23 | 0) == 50) if ((get32(i33 | 0) | 0) >>> 0 < i3 >>> 0) i32 = 0; else i32 = _sqlite3BitvecSet(i33, i3) | 0;
    set32(i7 | 0, i32 | 0);
    i20 = i32;
    i21 = i13;
    i22 = i17;
    i23 = 58;
    break;
   } else {
    i34 = i13;
    i35 = i10;
   }
  } else {
   i34 = 0;
   i35 = 0;
  }
  do if (!i17) {
   i11 = _sqlite3PagerAcquire(get32(i1 | 0) | 0, i3, i6, 0) | 0;
   if (!i11) {
    i24 = get32(i6 | 0) | 0;
    i16 = get32(i24 + 4 | 0) | 0;
    set32(i16 + 64 | 0, get32(i24 | 0) | 0);
    set32(i16 + 68 | 0, i24 | 0);
    set32(i16 + 60 | 0, i1 | 0);
    set32(i16 + 72 | 0, i3 | 0);
    set8(i16 + 5 >> 0 | 0, ((i3 | 0) == 1 ? 100 : 0) | 0);
    set32(i7 | 0, 0 | 0);
    i36 = i16;
    break;
   } else {
    set32(i7 | 0, i11 | 0);
    i37 = i34;
    i38 = i11;
    break L16;
   }
  } else i36 = i17; while (0);
  i10 = _sqlite3PagerWrite(get32(i36 + 68 | 0) | 0) | 0;
  set32(i7 | 0, i10 | 0);
  if (!i10) {
   i13 = i36 + 64 | 0;
   i11 = get32(i13 | 0) | 0;
   set8(i11 >> 0 | 0, i35 >>> 24 | 0);
   set8(i11 + 1 >> 0 | 0, i35 >>> 16 | 0);
   set8(i11 + 2 >> 0 | 0, i35 >>> 8 | 0);
   set8(i11 + 3 >> 0 | 0, i35 | 0);
   i11 = (get32(i13 | 0) | 0) + 4 | 0;
   set8(i11 >> 0 | 0, 0 | 0);
   set8(i11 + 1 >> 0 | 0, 0 | 0);
   set8(i11 + 2 >> 0 | 0, 0 | 0);
   set8(i11 + 3 >> 0 | 0, 0 | 0);
   i11 = get32(i9 | 0) | 0;
   set8(i11 + 32 >> 0 | 0, i3 >>> 24 | 0);
   set8(i11 + 33 >> 0 | 0, i3 >>> 16 | 0);
   set8(i11 + 34 >> 0 | 0, i3 >>> 8 | 0);
   set8(i11 + 35 >> 0 | 0, i3 | 0);
   set8(i36 >> 0 | 0, 0 | 0);
   if (!i36) {
    i37 = i34;
    i38 = 0;
   } else {
    i39 = 0;
    i40 = i34;
    i41 = i36;
    i23 = 61;
   }
  } else {
   i20 = i10;
   i21 = i34;
   i22 = i36;
   i23 = 58;
  }
 } else {
  i20 = i2;
  i21 = 0;
  i22 = i14;
  i23 = 58;
 } while (0);
 if ((i23 | 0) == 58) if (!i22) {
  i37 = i21;
  i38 = i20;
 } else {
  set8(i22 >> 0 | 0, 0 | 0);
  i39 = i20;
  i40 = i21;
  i41 = i22;
  i23 = 61;
 }
 if ((i23 | 0) == 61) {
  _sqlite3PagerUnref(get32(i41 + 68 | 0) | 0);
  i37 = i40;
  i38 = i39;
 }
 if (!i37) {
  i19 = i38;
  STACKTOP = i4;
  return i19 | 0;
 }
 _sqlite3PagerUnref(get32(i37 + 68 | 0) | 0);
 i19 = i38;
 STACKTOP = i4;
 return i19 | 0;
}

function _locateFkeyIndex(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0;
 i6 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i7 = i6;
 i8 = get32(i3 + 20 | 0) | 0;
 i9 = get32(i3 + 40 | 0) | 0;
 if ((i8 | 0) == 1) {
  i10 = get32(i2 + 4 | 0) | 0;
  if ((i10 | 0) > -1) {
   if (!i9) {
    i11 = 0;
    STACKTOP = i6;
    return i11 | 0;
   }
   i12 = get32((get32(i2 + 12 | 0) | 0) + (i10 * 24 | 0) | 0) | 0;
   i10 = get8(i12 >> 0 | 0) | 0;
   L7 : do if (!(i10 << 24 >> 24)) {
    i13 = 0;
    i14 = i9;
   } else {
    i15 = i10;
    i16 = i12;
    i17 = i9;
    while (1) {
     if ((get8(16286 + (i15 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i17 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
      i13 = i15;
      i14 = i17;
      break L7;
     }
     i16 = i16 + 1 | 0;
     i18 = i17 + 1 | 0;
     i15 = get8(i16 >> 0 | 0) | 0;
     if (!(i15 << 24 >> 24)) {
      i13 = 0;
      i14 = i18;
      break;
     } else i17 = i18;
    }
   } while (0);
   if ((get8(16286 + (i13 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i14 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
    i11 = 0;
    STACKTOP = i6;
    return i11 | 0;
   } else i19 = 0;
  } else i19 = 0;
 } else if (!i5) i19 = 0; else {
  i14 = get32(i1 | 0) | 0;
  i13 = i8 << 2;
  L15 : do if (!i14) {
   if ((i13 + -1 | 0) >>> 0 > 2147483390) {
    i11 = 1;
    STACKTOP = i6;
    return i11 | 0;
   }
   if (!(get32(50 * 4 | 0) | 0)) {
    i20 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i13) | 0;
    i21 = 48;
    break;
   }
   i12 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i13) | 0;
   set32(35 * 4 | 0, i13 | 0);
   if ((get32(45 * 4 | 0) | 0) < (i13 | 0)) set32(45 * 4 | 0, i13 | 0);
   i10 = get32(6 * 4 | 0) | 0;
   do if (i10) {
    i17 = get32(30 * 4 | 0) | 0;
    i15 = ((i17 | 0) < 0) << 31 >> 31;
    i16 = 16;
    i18 = _i64Subtract(get32(i16 | 0) | 0, get32(i16 + 4 | 0) | 0, i12 | 0, ((i12 | 0) < 0) << 31 >> 31 | 0) | 0;
    i16 = tempRet0;
    if ((i15 | 0) < (i16 | 0) | (i15 | 0) == (i16 | 0) & i17 >>> 0 < i18 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i18 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i10 & 15](i18, i17, i15, i12);
     set32(6 * 4 | 0, i10 | 0);
     set32(7 * 4 | 0, i18 | 0);
     break;
    }
   } while (0);
   i10 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i12) | 0;
   if (!i10) {
    i11 = 1;
    STACKTOP = i6;
    return i11 | 0;
   }
   i18 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i10) | 0;
   i15 = (get32(30 * 4 | 0) | 0) + i18 | 0;
   set32(30 * 4 | 0, i15 | 0);
   if ((i15 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i15 | 0);
   i15 = get32(39 * 4 | 0) | 0;
   i18 = i15 + 1 | 0;
   set32(39 * 4 | 0, i18 | 0);
   if ((i15 | 0) < (get32(49 * 4 | 0) | 0)) i22 = i10; else {
    set32(49 * 4 | 0, i18 | 0);
    i22 = i10;
   }
  } else {
   i10 = i14 + 30 | 0;
   if (get8(i10 >> 0 | 0) | 0) {
    i11 = 1;
    STACKTOP = i6;
    return i11 | 0;
   }
   do if (get8(i14 + 234 >> 0 | 0) | 0) {
    if ((getU16(i14 + 232 | 0) | 0) < (i13 | 0)) {
     i18 = i14 + 248 | 0;
     set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
     break;
    }
    i18 = i14 + 256 | 0;
    i15 = get32(i18 | 0) | 0;
    if (!i15) {
     i17 = i14 + 252 | 0;
     set32(i17 | 0, (get32(i17 | 0) | 0) + 1 | 0);
     break;
    }
    set32(i18 | 0, get32(i15 | 0) | 0);
    i18 = i14 + 236 | 0;
    i17 = get32(i18 | 0) | 0;
    i16 = i17 + 1 | 0;
    set32(i18 | 0, i16 | 0);
    i18 = i14 + 244 | 0;
    set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
    i18 = i14 + 240 | 0;
    if ((i17 | 0) >= (get32(i18 | 0) | 0)) set32(i18 | 0, i16 | 0);
    i20 = i15;
    i21 = 48;
    break L15;
   } while (0);
   do if ((i13 + -1 | 0) >>> 0 <= 2147483390) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i12 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i13) | 0;
     if (!i12) break; else {
      i22 = i12;
      break L15;
     }
    }
    i12 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i13) | 0;
    set32(35 * 4 | 0, i13 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i13 | 0)) set32(45 * 4 | 0, i13 | 0);
    i15 = get32(6 * 4 | 0) | 0;
    do if (i15) {
     i16 = get32(30 * 4 | 0) | 0;
     i18 = ((i16 | 0) < 0) << 31 >> 31;
     i17 = 16;
     i23 = _i64Subtract(get32(i17 | 0) | 0, get32(i17 + 4 | 0) | 0, i12 | 0, ((i12 | 0) < 0) << 31 >> 31 | 0) | 0;
     i17 = tempRet0;
     if ((i18 | 0) < (i17 | 0) | (i18 | 0) == (i17 | 0) & i16 >>> 0 < i23 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i23 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i15 & 15](i23, i16, i18, i12);
      set32(6 * 4 | 0, i15 | 0);
      set32(7 * 4 | 0, i23 | 0);
      break;
     }
    } while (0);
    i15 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i12) | 0;
    if (i15) {
     i23 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i15) | 0;
     i18 = (get32(30 * 4 | 0) | 0) + i23 | 0;
     set32(30 * 4 | 0, i18 | 0);
     if ((i18 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i18 | 0);
     i18 = get32(39 * 4 | 0) | 0;
     i23 = i18 + 1 | 0;
     set32(39 * 4 | 0, i23 | 0);
     if ((i18 | 0) < (get32(49 * 4 | 0) | 0)) {
      i22 = i15;
      break L15;
     }
     set32(49 * 4 | 0, i23 | 0);
     i22 = i15;
     break L15;
    }
   } while (0);
   set8(i10 >> 0 | 0, 1 | 0);
   i11 = 1;
   STACKTOP = i6;
   return i11 | 0;
  } while (0);
  if ((i21 | 0) == 48) if (!i20) {
   i11 = 1;
   STACKTOP = i6;
   return i11 | 0;
  } else i22 = i20;
  set32(i5 | 0, i22 | 0);
  i19 = i22;
 }
 i22 = get32(i2 + 16 | 0) | 0;
 L81 : do if (i22) {
  i5 = (i9 | 0) == 0;
  i20 = (i8 | 0) > 0;
  i13 = i2 + 12 | 0;
  i14 = (i19 | 0) == 0;
  i15 = i22;
  L83 : while (1) {
   do if ((get32(i15 + 4 | 0) | 0) == (i8 | 0) ? (get8(i15 + 24 >> 0 | 0) | 0) != 0 : 0) {
    if (i5) if ((get8(i15 + 25 >> 0 | 0) | 0) == 2) {
     i24 = i15;
     i21 = 58;
     break L83;
    } else break;
    L91 : do if (i20) {
     i23 = get32(i15 + 8 | 0) | 0;
     i18 = get32(i13 | 0) | 0;
     i16 = get32(i15 + 44 | 0) | 0;
     i17 = 0;
     while (1) {
      i25 = get32(i23 + (i17 << 2) | 0) | 0;
      i26 = get32(i18 + (i25 * 24 | 0) + 16 | 0) | 0;
      i27 = (i26 | 0) != 0 ? i26 : 25941;
      i26 = get32(i16 + (i17 << 2) | 0) | 0;
      i28 = get8(i26 >> 0 | 0) | 0;
      L95 : do if (!(i28 << 24 >> 24)) {
       i29 = 0;
       i30 = i27;
      } else {
       i31 = i28;
       i32 = i26;
       i33 = i27;
       while (1) {
        if ((get8(16286 + (i31 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i33 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
         i29 = i31;
         i30 = i33;
         break L95;
        }
        i32 = i32 + 1 | 0;
        i34 = i33 + 1 | 0;
        i31 = get8(i32 >> 0 | 0) | 0;
        if (!(i31 << 24 >> 24)) {
         i29 = 0;
         i30 = i34;
         break;
        } else i33 = i34;
       }
      } while (0);
      if ((get8(16286 + (i29 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i30 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
       i35 = i17;
       break L91;
      }
      i27 = get32(i18 + (i25 * 24 | 0) | 0) | 0;
      i26 = 0;
      while (1) {
       i28 = get32(i3 + 36 + (i26 << 3) + 4 | 0) | 0;
       i33 = get8(i28 >> 0 | 0) | 0;
       L103 : do if (!(i33 << 24 >> 24)) {
        i36 = 0;
        i37 = i27;
       } else {
        i31 = i33;
        i32 = i28;
        i34 = i27;
        while (1) {
         if ((get8(16286 + (i31 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i34 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
          i36 = i31;
          i37 = i34;
          break L103;
         }
         i32 = i32 + 1 | 0;
         i38 = i34 + 1 | 0;
         i31 = get8(i32 >> 0 | 0) | 0;
         if (!(i31 << 24 >> 24)) {
          i36 = 0;
          i37 = i38;
          break;
         } else i34 = i38;
        }
       } while (0);
       if ((get8(16286 + (i36 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i37 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
        i39 = i26;
        i21 = 69;
        break;
       }
       i28 = i26 + 1 | 0;
       if ((i28 | 0) < (i8 | 0)) i26 = i28; else {
        i40 = i28;
        break;
       }
      }
      if ((i21 | 0) == 69) {
       i21 = 0;
       if (i14) i40 = i39; else {
        set32(i19 + (i17 << 2) | 0, get32(i3 + 36 + (i39 << 3) | 0) | 0);
        i40 = i39;
       }
      }
      if ((i40 | 0) == (i8 | 0)) {
       i35 = i17;
       break L91;
      }
      i26 = i17 + 1 | 0;
      if ((i26 | 0) < (i8 | 0)) i17 = i26; else {
       i35 = i26;
       break;
      }
     }
    } else i35 = 0; while (0);
    if ((i35 | 0) == (i8 | 0)) {
     i41 = i15;
     break L83;
    }
   } while (0);
   i15 = get32(i15 + 32 | 0) | 0;
   if (!i15) break L81;
  }
  if ((i21 | 0) == 58) if (i14 | i20 ^ 1) i41 = i24; else {
   i15 = 0;
   do {
    set32(i19 + (i15 << 2) | 0, get32(i3 + 36 + (i15 << 3) | 0) | 0);
    i15 = i15 + 1 | 0;
   } while ((i15 | 0) != (i8 | 0));
   i41 = i24;
  }
  set32(i4 | 0, i41 | 0);
  i11 = 0;
  STACKTOP = i6;
  return i11 | 0;
 } while (0);
 if (!(get8(i1 + 442 >> 0 | 0) | 0)) _sqlite3ErrorMsg(i1, 33299, i7);
 _sqlite3DbFree(get32(i1 | 0) | 0, i19);
 i11 = 1;
 STACKTOP = i6;
 return i11 | 0;
}

function _sqlite3_close(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 48 | 0;
 i3 = i2 + 32 | 0;
 i4 = i2 + 24 | 0;
 i5 = i2 + 16 | 0;
 i6 = i2 + 8 | 0;
 i7 = i2;
 if (!i1) {
  i8 = 0;
  STACKTOP = i2;
  return i8 | 0;
 }
 i9 = i1 + 56 | 0;
 i10 = get32(i9 | 0) | 0;
 L4 : do if ((i10 | 0) >= -264537850) if ((i10 | 0) < 1266094736) switch (i10 | 0) {
 case -264537850:
  {
   break L4;
   break;
  }
 default:
  {
   i11 = 3;
   break L4;
  }
 } else switch (i10 | 0) {
 case 1266094736:
  {
   break L4;
   break;
  }
 default:
  {
   i11 = 3;
   break L4;
  }
 } else switch (i10 | 0) {
 case -1607883113:
  break;
 default:
  i11 = 3;
 } while (0);
 if ((i11 | 0) == 3) {
  set32(i7 | 0, 38376 | 0);
  _sqlite3_log(21, 26104, i7);
  set32(i6 | 0, 108614 | 0);
  set32(i6 + 4 | 0, 17203 | 0);
  _sqlite3_log(21, 39226, i6);
  i8 = 21;
  STACKTOP = i2;
  return i8 | 0;
 }
 _sqlite3ResetInternalSchema(i1, -1);
 i6 = i1 + 308 | 0;
 i7 = get32(i6 | 0) | 0;
 if (i7) {
  i11 = i1 + 312 | 0;
  if ((get32(i11 | 0) | 0) > 0) {
   i10 = i7;
   i12 = 0;
   while (1) {
    i13 = get32(i10 + (i12 << 2) | 0) | 0;
    i14 = i13 + 8 | 0;
    i15 = get32(i14 | 0) | 0;
    if ((i15 | 0) != 0 ? (i16 = get32((get32(i15 | 0) | 0) + 68 | 0) | 0, (i16 | 0) != 0) : 0) FUNCTION_TABLE_ii[i16 & 127](i15) | 0;
    set32(i13 + 20 | 0, 0 | 0);
    i15 = get32(i13 | 0) | 0;
    i16 = i13 + 12 | 0;
    i17 = (get32(i16 | 0) | 0) + -1 | 0;
    set32(i16 | 0, i17 | 0);
    if (!i17) {
     i17 = get32(i14 | 0) | 0;
     if (i17) FUNCTION_TABLE_ii[get32((get32(i17 | 0) | 0) + 16 | 0) & 127](i17) | 0;
     _sqlite3DbFree(i15, i13);
    }
    i13 = i12 + 1 | 0;
    if ((i13 | 0) >= (get32(i11 | 0) | 0)) break;
    i10 = get32(i6 | 0) | 0;
    i12 = i13;
   }
   i18 = get32(i6 | 0) | 0;
  } else i18 = i7;
  _sqlite3DbFree(i1, i18);
  set32(i11 | 0, 0 | 0);
  set32(i6 | 0, 0 | 0);
 }
 if (get32(i1 + 136 | 0) | 0) {
  _sqlite3Error(i1, 5, 17244, i5);
  i8 = 5;
  STACKTOP = i2;
  return i8 | 0;
 }
 i5 = i1 + 4 | 0;
 i6 = get32(i5 | 0) | 0;
 L37 : do if ((i6 | 0) > 0) {
  i11 = get32(i1 + 8 | 0) | 0;
  i18 = 0;
  while (1) {
   i7 = get32(i11 + (i18 << 4) + 4 | 0) | 0;
   if ((i7 | 0) != 0 ? (get32(i7 + 16 | 0) | 0) != 0 : 0) break;
   i18 = i18 + 1 | 0;
   if ((i18 | 0) >= (i6 | 0)) break L37;
  }
  _sqlite3Error(i1, 5, 17290, i4);
  i8 = 5;
  STACKTOP = i2;
  return i8 | 0;
 } while (0);
 i4 = i1 + 476 | 0;
 i18 = get32(i4 | 0) | 0;
 if (!i18) i19 = i6; else {
  i6 = i18;
  do {
   set32(i4 | 0, get32(i6 + 16 | 0) | 0);
   _sqlite3DbFree(i1, i6);
   i6 = get32(i4 | 0) | 0;
  } while ((i6 | 0) != 0);
  i19 = get32(i5 | 0) | 0;
 }
 set32(i1 + 480 | 0, 0 | 0);
 set32(i1 + 484 | 0, 0 | 0);
 set8(i1 + 488 >> 0 | 0, 0 | 0);
 if ((i19 | 0) > 0) {
  i19 = i1 + 8 | 0;
  i6 = 0;
  do {
   i4 = get32(i19 | 0) | 0;
   i18 = i4 + (i6 << 4) + 4 | 0;
   i11 = get32(i18 | 0) | 0;
   if ((i11 | 0) != 0 ? (_sqlite3BtreeClose(i11), set32(i18 | 0, 0 | 0), (i6 | 0) != 1) : 0) set32(i4 + (i6 << 4) + 12 | 0, 0 | 0);
   i6 = i6 + 1 | 0;
  } while ((i6 | 0) < (get32(i5 | 0) | 0));
 }
 _sqlite3ResetInternalSchema(i1, -1);
 i5 = 0;
 do {
  i6 = get32(i1 + 320 + (i5 << 2) | 0) | 0;
  if (i6) {
   i19 = i6;
   do {
    i6 = i19;
    i19 = get32(i19 + 28 | 0) | 0;
    if (i6) {
     i4 = i6;
     do {
      i6 = get32(i4 + 32 | 0) | 0;
      if ((i6 | 0) != 0 ? (i18 = (get32(i6 | 0) | 0) + -1 | 0, set32(i6 | 0, i18 | 0), (i18 | 0) == 0) : 0) {
       FUNCTION_TABLE_vi[get32(i6 + 4 | 0) & 31](get32(i6 + 8 | 0) | 0);
       _sqlite3DbFree(i1, i6);
      }
      i6 = i4;
      i4 = get32(i4 + 8 | 0) | 0;
      _sqlite3DbFree(i1, i6);
     } while ((i4 | 0) != 0);
    }
   } while ((i19 | 0) != 0);
  }
  i5 = i5 + 1 | 0;
 } while ((i5 | 0) != 23);
 i5 = i1 + 420 | 0;
 i19 = get32(i5 | 0) | 0;
 if (!i19) i20 = 0; else {
  i4 = i19;
  do {
   i19 = get32(i4 + 8 | 0) | 0;
   i6 = get32(i19 + 16 | 0) | 0;
   if (i6) FUNCTION_TABLE_vi[i6 & 31](get32(i19 + 8 | 0) | 0);
   i6 = get32(i19 + 36 | 0) | 0;
   if (i6) FUNCTION_TABLE_vi[i6 & 31](get32(i19 + 28 | 0) | 0);
   i6 = get32(i19 + 56 | 0) | 0;
   if (i6) FUNCTION_TABLE_vi[i6 & 31](get32(i19 + 48 | 0) | 0);
   _sqlite3DbFree(i1, i19);
   i4 = get32(i4 | 0) | 0;
  } while ((i4 | 0) != 0);
  i20 = get32(i5 | 0) | 0;
 }
 set32(i5 | 0, 0 | 0);
 i5 = i1 + 424 | 0;
 i4 = get32(i5 | 0) | 0;
 do if (i4) {
  if (!(get32(50 * 4 | 0) | 0)) {
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i4);
   break;
  }
  i19 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i4) | 0;
  i6 = (get32(30 * 4 | 0) | 0) - i19 | 0;
  set32(30 * 4 | 0, i6 | 0);
  if ((i6 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i6 | 0);
  i6 = (get32(39 * 4 | 0) | 0) + -1 | 0;
  set32(39 * 4 | 0, i6 | 0);
  if ((i6 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i6 | 0);
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i4);
 } while (0);
 set32(i5 | 0, 0 | 0);
 set32(i1 + 412 | 0, 0 | 0);
 if (i20) {
  i5 = i20;
  do {
   i20 = i5;
   i5 = get32(i5 | 0) | 0;
   do if (i20) {
    if (!(get32(50 * 4 | 0) | 0)) {
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i20);
     break;
    }
    i4 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i20) | 0;
    i6 = (get32(30 * 4 | 0) | 0) - i4 | 0;
    set32(30 * 4 | 0, i6 | 0);
    if ((i6 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i6 | 0);
    i6 = (get32(39 * 4 | 0) | 0) + -1 | 0;
    set32(39 * 4 | 0, i6 | 0);
    if ((i6 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i6 | 0);
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i20);
   } while (0);
  } while ((i5 | 0) != 0);
 }
 set32(i1 + 416 | 0, 0 | 0);
 i5 = i1 + 296 | 0;
 i20 = get32(i5 | 0) | 0;
 if (!i20) i21 = 0; else {
  i6 = i20;
  do {
   i20 = get32(i6 + 8 | 0) | 0;
   i4 = get32(i20 + 12 | 0) | 0;
   if (i4) FUNCTION_TABLE_vi[i4 & 31](get32(i20 + 8 | 0) | 0);
   _sqlite3DbFree(i1, i20);
   i6 = get32(i6 | 0) | 0;
  } while ((i6 | 0) != 0);
  i21 = get32(i5 | 0) | 0;
 }
 set32(i5 | 0, 0 | 0);
 i5 = i1 + 300 | 0;
 i6 = get32(i5 | 0) | 0;
 do if (i6) {
  if (!(get32(50 * 4 | 0) | 0)) {
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i6);
   break;
  }
  i20 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i6) | 0;
  i4 = (get32(30 * 4 | 0) | 0) - i20 | 0;
  set32(30 * 4 | 0, i4 | 0);
  if ((i4 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i4 | 0);
  i4 = (get32(39 * 4 | 0) | 0) + -1 | 0;
  set32(39 * 4 | 0, i4 | 0);
  if ((i4 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i4 | 0);
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i6);
 } while (0);
 set32(i5 | 0, 0 | 0);
 set32(i1 + 288 | 0, 0 | 0);
 if (i21) {
  i5 = i21;
  do {
   i21 = i5;
   i5 = get32(i5 | 0) | 0;
   do if (i21) {
    if (!(get32(50 * 4 | 0) | 0)) {
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i21);
     break;
    }
    i6 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i21) | 0;
    i4 = (get32(30 * 4 | 0) | 0) - i6 | 0;
    set32(30 * 4 | 0, i4 | 0);
    if ((i4 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i4 | 0);
    i4 = (get32(39 * 4 | 0) | 0) + -1 | 0;
    set32(39 * 4 | 0, i4 | 0);
    if ((i4 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i4 | 0);
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i21);
   } while (0);
  } while ((i5 | 0) != 0);
 }
 set32(i1 + 292 | 0, 0 | 0);
 _sqlite3Error(i1, 0, 0, i3);
 i3 = get32(i1 + 212 | 0) | 0;
 if (i3) {
  _sqlite3VdbeMemReleaseExternal(i3);
  i5 = i3 + 36 | 0;
  _sqlite3DbFree(get32(i3 | 0) | 0, get32(i5 | 0) | 0);
  set32(i3 + 4 | 0, 0 | 0);
  set32(i5 | 0, 0 | 0);
  set32(i3 + 32 | 0, 0 | 0);
  _sqlite3DbFree(get32(i3 | 0) | 0, i3);
 }
 i3 = i1 + 128 | 0;
 if ((get32(i3 | 0) | 0) > 0) {
  i5 = i1 + 132 | 0;
  i21 = 0;
  do {
   i4 = get32(i1 | 0) | 0;
   FUNCTION_TABLE_vii[get32(i4 + 52 | 0) & 15](i4, get32((get32(i5 | 0) | 0) + (i21 << 2) | 0) | 0);
   i21 = i21 + 1 | 0;
  } while ((i21 | 0) < (get32(i3 | 0) | 0));
  i22 = i5;
 } else i22 = i1 + 132 | 0;
 _sqlite3DbFree(i1, get32(i22 | 0) | 0);
 set32(i9 | 0, -1254786768 | 0);
 _sqlite3DbFree(i1, get32((get32(i1 + 8 | 0) | 0) + 28 | 0) | 0);
 set32(i9 | 0, -1623446221 | 0);
 do if ((get8(i1 + 235 >> 0 | 0) | 0) != 0 ? (i9 = get32(i1 + 260 | 0) | 0, (i9 | 0) != 0) : 0) {
  if (!(get32(50 * 4 | 0) | 0)) {
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i9);
   break;
  }
  i22 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i9) | 0;
  i5 = (get32(30 * 4 | 0) | 0) - i22 | 0;
  set32(30 * 4 | 0, i5 | 0);
  if ((i5 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i5 | 0);
  i5 = (get32(39 * 4 | 0) | 0) + -1 | 0;
  set32(39 * 4 | 0, i5 | 0);
  if ((i5 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i5 | 0);
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i9);
 } while (0);
 if (!(get32(50 * 4 | 0) | 0)) {
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i1);
  i8 = 0;
  STACKTOP = i2;
  return i8 | 0;
 }
 i9 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i1) | 0;
 i5 = (get32(30 * 4 | 0) | 0) - i9 | 0;
 set32(30 * 4 | 0, i5 | 0);
 if ((i5 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i5 | 0);
 i5 = (get32(39 * 4 | 0) | 0) + -1 | 0;
 set32(39 * 4 | 0, i5 | 0);
 if ((i5 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i5 | 0);
 FUNCTION_TABLE_vi[get32(232 | 0) & 31](i1);
 i8 = 0;
 STACKTOP = i2;
 return i8 | 0;
}

function _findBtree(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i5 = i4 + 24 | 0;
 i6 = i4 + 16 | 0;
 i7 = i4 + 8 | 0;
 i8 = i4;
 i9 = i4 + 28 | 0;
 if (i3) {
  i10 = i3;
  while (1) if (!(get8(i10 >> 0 | 0) | 0)) {
   i11 = i10;
   break;
  } else i10 = i10 + 1 | 0;
  i10 = i11 - i3 & 1073741823;
  i11 = get32(i2 + 4 | 0) | 0;
  i12 = i11 + -1 | 0;
  L5 : do if ((i11 | 0) > 0) {
   i13 = i12;
   i14 = (get32(i2 + 8 | 0) | 0) + (i12 << 4) | 0;
   while (1) {
    i15 = get32(i14 | 0) | 0;
    if (!i15) i16 = 0; else {
     i17 = i15;
     while (1) if (!(get8(i17 >> 0 | 0) | 0)) {
      i18 = i17;
      break;
     } else i17 = i17 + 1 | 0;
     i16 = i18 - i15 & 1073741823;
    }
    if ((i10 | 0) == (i16 | 0)) {
     i17 = get8(i15 >> 0 | 0) | 0;
     L16 : do if (!(i17 << 24 >> 24)) {
      i19 = 0;
      i20 = i3;
     } else {
      i21 = i17;
      i22 = i15;
      i23 = i3;
      while (1) {
       if ((get8(16286 + (i21 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i23 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
        i19 = i21;
        i20 = i23;
        break L16;
       }
       i22 = i22 + 1 | 0;
       i24 = i23 + 1 | 0;
       i21 = get8(i22 >> 0 | 0) | 0;
       if (!(i21 << 24 >> 24)) {
        i19 = 0;
        i20 = i24;
        break;
       } else i23 = i24;
      }
     } while (0);
     if ((get8(16286 + (i19 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i20 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
      i25 = i13;
      break L5;
     }
    }
    i15 = i13 + -1 | 0;
    if ((i13 | 0) > 0) {
     i13 = i15;
     i14 = i14 + -16 | 0;
    } else {
     i25 = i15;
     break;
    }
   }
  } else i25 = i12; while (0);
  if ((i25 | 0) == 1) {
   L25 : do if (!i1) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i26 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](560) | 0;
     i27 = 52;
     break;
    }
    i12 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](560) | 0;
    set32(35 * 4 | 0, 560 | 0);
    if ((get32(45 * 4 | 0) | 0) < 560) set32(45 * 4 | 0, 560 | 0);
    i20 = get32(6 * 4 | 0) | 0;
    do if (i20) {
     i19 = get32(30 * 4 | 0) | 0;
     i16 = ((i19 | 0) < 0) << 31 >> 31;
     i10 = 16;
     i18 = _i64Subtract(get32(i10 | 0) | 0, get32(i10 + 4 | 0) | 0, i12 | 0, ((i12 | 0) < 0) << 31 >> 31 | 0) | 0;
     i10 = tempRet0;
     if ((i16 | 0) < (i10 | 0) | (i16 | 0) == (i10 | 0) & i19 >>> 0 < i18 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i18 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i20 & 15](i18, i19, i16, i12);
      set32(6 * 4 | 0, i20 | 0);
      set32(7 * 4 | 0, i18 | 0);
      break;
     }
    } while (0);
    i20 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i12) | 0;
    if (i20) {
     i18 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i20) | 0;
     i16 = (get32(30 * 4 | 0) | 0) + i18 | 0;
     set32(30 * 4 | 0, i16 | 0);
     if ((i16 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i16 | 0);
     i16 = get32(39 * 4 | 0) | 0;
     i18 = i16 + 1 | 0;
     set32(39 * 4 | 0, i18 | 0);
     if ((i16 | 0) < (get32(49 * 4 | 0) | 0)) i28 = i20; else {
      set32(49 * 4 | 0, i18 | 0);
      i28 = i20;
     }
    } else i27 = 53;
   } else {
    i20 = i1 + 30 | 0;
    if (!(get8(i20 >> 0 | 0) | 0)) {
     do if (get8(i1 + 234 >> 0 | 0) | 0) {
      if ((getU16(i1 + 232 | 0) | 0) < 560) {
       i18 = i1 + 248 | 0;
       set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
       break;
      }
      i18 = i1 + 256 | 0;
      i16 = get32(i18 | 0) | 0;
      if (!i16) {
       i19 = i1 + 252 | 0;
       set32(i19 | 0, (get32(i19 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i18 | 0, get32(i16 | 0) | 0);
      i18 = i1 + 236 | 0;
      i19 = get32(i18 | 0) | 0;
      i10 = i19 + 1 | 0;
      set32(i18 | 0, i10 | 0);
      i18 = i1 + 244 | 0;
      set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
      i18 = i1 + 240 | 0;
      if ((i19 | 0) >= (get32(i18 | 0) | 0)) set32(i18 | 0, i10 | 0);
      i26 = i16;
      i27 = 52;
      break L25;
     } while (0);
     if (!(get32(50 * 4 | 0) | 0)) {
      i12 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](560) | 0;
      if (i12) {
       i28 = i12;
       break;
      }
     } else {
      i12 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](560) | 0;
      set32(35 * 4 | 0, 560 | 0);
      if ((get32(45 * 4 | 0) | 0) < 560) set32(45 * 4 | 0, 560 | 0);
      i16 = get32(6 * 4 | 0) | 0;
      do if (i16) {
       i10 = get32(30 * 4 | 0) | 0;
       i18 = ((i10 | 0) < 0) << 31 >> 31;
       i19 = 16;
       i11 = _i64Subtract(get32(i19 | 0) | 0, get32(i19 + 4 | 0) | 0, i12 | 0, ((i12 | 0) < 0) << 31 >> 31 | 0) | 0;
       i19 = tempRet0;
       if ((i18 | 0) < (i19 | 0) | (i18 | 0) == (i19 | 0) & i10 >>> 0 < i11 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i11 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i16 & 15](i11, i10, i18, i12);
        set32(6 * 4 | 0, i16 | 0);
        set32(7 * 4 | 0, i11 | 0);
        break;
       }
      } while (0);
      i16 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i12) | 0;
      if (i16) {
       i11 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i16) | 0;
       i18 = (get32(30 * 4 | 0) | 0) + i11 | 0;
       set32(30 * 4 | 0, i18 | 0);
       if ((i18 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i18 | 0);
       i18 = get32(39 * 4 | 0) | 0;
       i11 = i18 + 1 | 0;
       set32(39 * 4 | 0, i11 | 0);
       if ((i18 | 0) < (get32(49 * 4 | 0) | 0)) {
        i28 = i16;
        break;
       }
       set32(49 * 4 | 0, i11 | 0);
       i28 = i16;
       break;
      }
     }
     set8(i20 >> 0 | 0, 1 | 0);
     i27 = 53;
    } else i27 = 53;
   } while (0);
   if ((i27 | 0) == 52) if (!i26) i27 = 53; else i28 = i26;
   if ((i27 | 0) == 53) {
    _sqlite3Error(i1, 7, 19448, i8);
    i29 = 0;
    STACKTOP = i4;
    return i29 | 0;
   }
   _memset(i28 | 0, 0, 560) | 0;
   set32(i28 | 0, i2 | 0);
   i8 = i2 + 8 | 0;
   do if (!(get32((get32(i8 | 0) | 0) + 20 | 0) | 0)) {
    i27 = _sqlite3BtreeOpen(get32(i2 | 0) | 0, 0, i2, i9, 0, 542) | 0;
    if (!i27) {
     i26 = get32(i9 | 0) | 0;
     set32((get32(i8 | 0) | 0) + 20 | 0, i26 | 0);
     i16 = get32(i2 + 36 | 0) | 0;
     i11 = get32(i26 + 4 | 0) | 0;
     set32(i11 + 4 | 0, get32(i26 | 0) | 0);
     if (get8(i11 + 17 >> 0 | 0) | 0) break;
     i26 = i11 + 36 | 0;
     i18 = i11 + 40 | 0;
     i10 = (get32(i26 | 0) | 0) - (get32(i18 | 0) | 0) | 0;
     if ((i16 + -512 | 0) >>> 0 < 65025 ? (i16 + -1 & i16 | 0) == 0 : 0) {
      set32(i26 | 0, i16 | 0);
      i16 = i11 + 88 | 0;
      i19 = get32(i16 | 0) | 0;
      do if (i19) {
       if ((get32(379 * 4 | 0) | 0) >>> 0 <= i19 >>> 0 & (get32(380 * 4 | 0) | 0) >>> 0 > i19 >>> 0) {
        i14 = (get32(31 * 4 | 0) | 0) + -1 | 0;
        set32(31 * 4 | 0, i14 | 0);
        if ((i14 | 0) > (get32(41 * 4 | 0) | 0)) set32(41 * 4 | 0, i14 | 0);
        set32(i19 | 0, get32(383 * 4 | 0) | 0);
        set32(383 * 4 | 0, i19 | 0);
        i14 = (get32(382 * 4 | 0) | 0) + 1 | 0;
        set32(382 * 4 | 0, i14 | 0);
        set32(384 * 4 | 0, (i14 | 0) < (get32(378 * 4 | 0) | 0) & 1 | 0);
        break;
       }
       i14 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i19) | 0;
       i13 = (get32(32 * 4 | 0) | 0) - i14 | 0;
       set32(32 * 4 | 0, i13 | 0);
       if ((i13 | 0) > (get32(42 * 4 | 0) | 0)) set32(42 * 4 | 0, i13 | 0);
       if (!(get32(50 * 4 | 0) | 0)) {
        FUNCTION_TABLE_vi[get32(232 | 0) & 31](i19);
        break;
       }
       i13 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i19) | 0;
       i14 = (get32(30 * 4 | 0) | 0) - i13 | 0;
       set32(30 * 4 | 0, i14 | 0);
       if ((i14 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i14 | 0);
       i14 = (get32(39 * 4 | 0) | 0) + -1 | 0;
       set32(39 * 4 | 0, i14 | 0);
       if ((i14 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i14 | 0);
       FUNCTION_TABLE_vi[get32(232 | 0) & 31](i19);
      } while (0);
      set32(i16 | 0, 0 | 0);
     }
     i19 = _sqlite3PagerSetPagesize(get32(i11 | 0) | 0, i26, i10) | 0;
     set32(i18 | 0, (get32(i26 | 0) | 0) - (i10 & 65535) | 0);
     if ((i19 | 0) != 7) break;
     set8(i2 + 30 >> 0 | 0, 1 | 0);
     i30 = i28 + 4 | 0;
    } else {
     _sqlite3ErrorMsg(i28, 19482, i7);
     i19 = i28 + 4 | 0;
     set32(i19 | 0, i27 | 0);
     i30 = i19;
    }
    i19 = get32(i30 | 0) | 0;
    i20 = i28 + 8 | 0;
    set32(i6 | 0, get32(i20 | 0) | 0);
    _sqlite3Error(i1, i19, 16817, i6);
    _sqlite3DbFree(i1, get32(i20 | 0) | 0);
    _sqlite3DbFree(i1, i28);
    i29 = 0;
    STACKTOP = i4;
    return i29 | 0;
   } while (0);
   _sqlite3DbFree(i1, get32(i28 + 8 | 0) | 0);
   _sqlite3DbFree(i1, i28);
  }
  if ((i25 | 0) >= 0) {
   i29 = get32((get32(i2 + 8 | 0) | 0) + (i25 << 4) + 4 | 0) | 0;
   STACKTOP = i4;
   return i29 | 0;
  }
 }
 set32(i5 | 0, i3 | 0);
 _sqlite3Error(i1, 1, 19462, i5);
 i29 = 0;
 STACKTOP = i4;
 return i29 | 0;
}

function _sqlite3MaterializeView(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i6 = i5;
 i7 = get32(i1 | 0) | 0;
 i8 = _sqlite3SelectDup(i7, get32(i2 + 28 | 0) | 0, 0) | 0;
 if (!i3) i9 = i8; else {
  i10 = _exprDup(i7, i3, 0, 0) | 0;
  i3 = _sqlite3SrcListAppend(i7, 0, 0, 0) | 0;
  if (!i3) {
   if (i8) {
    i11 = get32(i8 | 0) | 0;
    if (i11) {
     i12 = i11 + 12 | 0;
     if ((get32(i11 | 0) | 0) > 0) {
      i13 = 0;
      i14 = get32(i12 | 0) | 0;
      while (1) {
       _sqlite3ExprDelete(i7, get32(i14 | 0) | 0);
       _sqlite3DbFree(i7, get32(i14 + 4 | 0) | 0);
       _sqlite3DbFree(i7, get32(i14 + 8 | 0) | 0);
       i13 = i13 + 1 | 0;
       if ((i13 | 0) >= (get32(i11 | 0) | 0)) break; else i14 = i14 + 20 | 0;
      }
     }
     _sqlite3DbFree(i7, get32(i12 | 0) | 0);
     _sqlite3DbFree(i7, i11);
    }
    _sqlite3SrcListDelete(i7, get32(i8 + 8 | 0) | 0);
    _sqlite3ExprDelete(i7, get32(i8 + 12 | 0) | 0);
    i11 = get32(i8 + 16 | 0) | 0;
    if (i11) {
     i12 = i11 + 12 | 0;
     if ((get32(i11 | 0) | 0) > 0) {
      i14 = 0;
      i13 = get32(i12 | 0) | 0;
      while (1) {
       _sqlite3ExprDelete(i7, get32(i13 | 0) | 0);
       _sqlite3DbFree(i7, get32(i13 + 4 | 0) | 0);
       _sqlite3DbFree(i7, get32(i13 + 8 | 0) | 0);
       i14 = i14 + 1 | 0;
       if ((i14 | 0) >= (get32(i11 | 0) | 0)) break; else i13 = i13 + 20 | 0;
      }
     }
     _sqlite3DbFree(i7, get32(i12 | 0) | 0);
     _sqlite3DbFree(i7, i11);
    }
    _sqlite3ExprDelete(i7, get32(i8 + 20 | 0) | 0);
    i11 = get32(i8 + 24 | 0) | 0;
    if (i11) {
     i12 = i11 + 12 | 0;
     if ((get32(i11 | 0) | 0) > 0) {
      i13 = 0;
      i14 = get32(i12 | 0) | 0;
      while (1) {
       _sqlite3ExprDelete(i7, get32(i14 | 0) | 0);
       _sqlite3DbFree(i7, get32(i14 + 4 | 0) | 0);
       _sqlite3DbFree(i7, get32(i14 + 8 | 0) | 0);
       i13 = i13 + 1 | 0;
       if ((i13 | 0) >= (get32(i11 | 0) | 0)) break; else i14 = i14 + 20 | 0;
      }
     }
     _sqlite3DbFree(i7, get32(i12 | 0) | 0);
     _sqlite3DbFree(i7, i11);
    }
    _sqlite3SelectDelete(i7, get32(i8 + 28 | 0) | 0);
    _sqlite3ExprDelete(i7, get32(i8 + 40 | 0) | 0);
    _sqlite3ExprDelete(i7, get32(i8 + 44 | 0) | 0);
    _sqlite3DbFree(i7, i8);
   }
  } else {
   i11 = get32(i2 | 0) | 0;
   L31 : do if (!i11) i15 = 0; else {
    i2 = i11;
    while (1) if (!(get8(i2 >> 0 | 0) | 0)) {
     i16 = i2;
     break;
    } else i2 = i2 + 1 | 0;
    i2 = (i16 - i11 & 1073741823) + 1 | 0;
    L35 : do if (!i7) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i17 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i2) | 0;
      i18 = 42;
      break;
     }
     i12 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i2) | 0;
     set32(35 * 4 | 0, i2 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i2 | 0)) set32(45 * 4 | 0, i2 | 0);
     i14 = get32(6 * 4 | 0) | 0;
     do if (i14) {
      i13 = get32(30 * 4 | 0) | 0;
      i19 = ((i13 | 0) < 0) << 31 >> 31;
      i20 = 16;
      i21 = _i64Subtract(get32(i20 | 0) | 0, get32(i20 + 4 | 0) | 0, i12 | 0, ((i12 | 0) < 0) << 31 >> 31 | 0) | 0;
      i20 = tempRet0;
      if ((i19 | 0) < (i20 | 0) | (i19 | 0) == (i20 | 0) & i13 >>> 0 < i21 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i21 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i14 & 15](i21, i13, i19, i12);
       set32(6 * 4 | 0, i14 | 0);
       set32(7 * 4 | 0, i21 | 0);
       break;
      }
     } while (0);
     i14 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i12) | 0;
     if (!i14) {
      i15 = 0;
      break L31;
     }
     i21 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i14) | 0;
     i19 = (get32(30 * 4 | 0) | 0) + i21 | 0;
     set32(30 * 4 | 0, i19 | 0);
     if ((i19 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i19 | 0);
     i19 = get32(39 * 4 | 0) | 0;
     i21 = i19 + 1 | 0;
     set32(39 * 4 | 0, i21 | 0);
     if ((i19 | 0) < (get32(49 * 4 | 0) | 0)) i22 = i14; else {
      set32(49 * 4 | 0, i21 | 0);
      i22 = i14;
     }
    } else {
     i14 = i7 + 30 | 0;
     if (get8(i14 >> 0 | 0) | 0) {
      i15 = 0;
      break L31;
     }
     do if (get8(i7 + 234 >> 0 | 0) | 0) {
      if ((getU16(i7 + 232 | 0) | 0) >>> 0 < i2 >>> 0) {
       i21 = i7 + 248 | 0;
       set32(i21 | 0, (get32(i21 | 0) | 0) + 1 | 0);
       break;
      }
      i21 = i7 + 256 | 0;
      i19 = get32(i21 | 0) | 0;
      if (!i19) {
       i13 = i7 + 252 | 0;
       set32(i13 | 0, (get32(i13 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i21 | 0, get32(i19 | 0) | 0);
      i21 = i7 + 236 | 0;
      i13 = get32(i21 | 0) | 0;
      i20 = i13 + 1 | 0;
      set32(i21 | 0, i20 | 0);
      i21 = i7 + 244 | 0;
      set32(i21 | 0, (get32(i21 | 0) | 0) + 1 | 0);
      i21 = i7 + 240 | 0;
      if ((i13 | 0) >= (get32(i21 | 0) | 0)) set32(i21 | 0, i20 | 0);
      i17 = i19;
      i18 = 42;
      break L35;
     } while (0);
     if (!(get32(50 * 4 | 0) | 0)) {
      i12 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i2) | 0;
      if (i12) {
       i22 = i12;
       break;
      }
     } else {
      i12 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i2) | 0;
      set32(35 * 4 | 0, i2 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i2 | 0)) set32(45 * 4 | 0, i2 | 0);
      i19 = get32(6 * 4 | 0) | 0;
      do if (i19) {
       i20 = get32(30 * 4 | 0) | 0;
       i21 = ((i20 | 0) < 0) << 31 >> 31;
       i13 = 16;
       i23 = _i64Subtract(get32(i13 | 0) | 0, get32(i13 + 4 | 0) | 0, i12 | 0, ((i12 | 0) < 0) << 31 >> 31 | 0) | 0;
       i13 = tempRet0;
       if ((i21 | 0) < (i13 | 0) | (i21 | 0) == (i13 | 0) & i20 >>> 0 < i23 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i23 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i19 & 15](i23, i20, i21, i12);
        set32(6 * 4 | 0, i19 | 0);
        set32(7 * 4 | 0, i23 | 0);
        break;
       }
      } while (0);
      i19 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i12) | 0;
      if (i19) {
       i23 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i19) | 0;
       i21 = (get32(30 * 4 | 0) | 0) + i23 | 0;
       set32(30 * 4 | 0, i21 | 0);
       if ((i21 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i21 | 0);
       i21 = get32(39 * 4 | 0) | 0;
       i23 = i21 + 1 | 0;
       set32(39 * 4 | 0, i23 | 0);
       if ((i21 | 0) < (get32(49 * 4 | 0) | 0)) {
        i22 = i19;
        break;
       }
       set32(49 * 4 | 0, i23 | 0);
       i22 = i19;
       break;
      }
     }
     set8(i14 >> 0 | 0, 1 | 0);
     i15 = 0;
     break L31;
    } while (0);
    if ((i18 | 0) == 42) if (!i17) {
     i15 = 0;
     break;
    } else i22 = i17;
    _memcpy(i22 | 0, i11 | 0, i2 | 0) | 0;
    i15 = i22;
   } while (0);
   set32(i3 + 16 | 0, i15 | 0);
   set32(i3 + 24 | 0, i8 | 0);
  }
  i9 = _sqlite3SelectNew(i1, 0, i3, i10, 0, 0, 0, 0, 0, 0) | 0;
 }
 set8(i6 >> 0 | 0, 9 | 0);
 set32(i6 + 4 | 0, i4 | 0);
 set8(i6 + 1 >> 0 | 0, 0 | 0);
 set32(i6 + 8 | 0, 0 | 0);
 set32(i6 + 12 | 0, 0 | 0);
 _sqlite3Select(i1, i9, i6) | 0;
 if (!i9) {
  STACKTOP = i5;
  return;
 }
 i6 = get32(i9 | 0) | 0;
 if (i6) {
  i1 = i6 + 12 | 0;
  if ((get32(i6 | 0) | 0) > 0) {
   i4 = 0;
   i10 = get32(i1 | 0) | 0;
   while (1) {
    _sqlite3ExprDelete(i7, get32(i10 | 0) | 0);
    _sqlite3DbFree(i7, get32(i10 + 4 | 0) | 0);
    _sqlite3DbFree(i7, get32(i10 + 8 | 0) | 0);
    i4 = i4 + 1 | 0;
    if ((i4 | 0) >= (get32(i6 | 0) | 0)) break; else i10 = i10 + 20 | 0;
   }
  }
  _sqlite3DbFree(i7, get32(i1 | 0) | 0);
  _sqlite3DbFree(i7, i6);
 }
 _sqlite3SrcListDelete(i7, get32(i9 + 8 | 0) | 0);
 _sqlite3ExprDelete(i7, get32(i9 + 12 | 0) | 0);
 i6 = get32(i9 + 16 | 0) | 0;
 if (i6) {
  i1 = i6 + 12 | 0;
  if ((get32(i6 | 0) | 0) > 0) {
   i10 = 0;
   i4 = get32(i1 | 0) | 0;
   while (1) {
    _sqlite3ExprDelete(i7, get32(i4 | 0) | 0);
    _sqlite3DbFree(i7, get32(i4 + 4 | 0) | 0);
    _sqlite3DbFree(i7, get32(i4 + 8 | 0) | 0);
    i10 = i10 + 1 | 0;
    if ((i10 | 0) >= (get32(i6 | 0) | 0)) break; else i4 = i4 + 20 | 0;
   }
  }
  _sqlite3DbFree(i7, get32(i1 | 0) | 0);
  _sqlite3DbFree(i7, i6);
 }
 _sqlite3ExprDelete(i7, get32(i9 + 20 | 0) | 0);
 i6 = get32(i9 + 24 | 0) | 0;
 if (i6) {
  i1 = i6 + 12 | 0;
  if ((get32(i6 | 0) | 0) > 0) {
   i4 = 0;
   i10 = get32(i1 | 0) | 0;
   while (1) {
    _sqlite3ExprDelete(i7, get32(i10 | 0) | 0);
    _sqlite3DbFree(i7, get32(i10 + 4 | 0) | 0);
    _sqlite3DbFree(i7, get32(i10 + 8 | 0) | 0);
    i4 = i4 + 1 | 0;
    if ((i4 | 0) >= (get32(i6 | 0) | 0)) break; else i10 = i10 + 20 | 0;
   }
  }
  _sqlite3DbFree(i7, get32(i1 | 0) | 0);
  _sqlite3DbFree(i7, i6);
 }
 _sqlite3SelectDelete(i7, get32(i9 + 28 | 0) | 0);
 _sqlite3ExprDelete(i7, get32(i9 + 40 | 0) | 0);
 _sqlite3ExprDelete(i7, get32(i9 + 44 | 0) | 0);
 _sqlite3DbFree(i7, i9);
 STACKTOP = i5;
 return;
}

function _codeEqualityTerm(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0;
 i5 = get32(i2 | 0) | 0;
 i6 = get32(i1 + 12 | 0) | 0;
 L1 : do switch (get8(i5 >> 0 | 0) | 0) {
 case 76:
  {
   i7 = _sqlite3ExprCodeTarget(i1, get32(i5 + 12 | 0) | 0, i4) | 0;
   break;
  }
 case 73:
  {
   i8 = i6 + 28 | 0;
   i9 = get32(i8 | 0) | 0;
   i10 = i6 + 32 | 0;
   i11 = get32(i10 | 0) | 0;
   if ((i11 | 0) > (i9 | 0)) {
    i12 = i9;
    i13 = get32(i6 + 4 | 0) | 0;
   } else {
    i14 = i6 + 4 | 0;
    i15 = _sqlite3DbRealloc(get32(i6 | 0) | 0, get32(i14 | 0) | 0, (i11 | 0) == 0 ? 1020 : i11 * 40 | 0) | 0;
    if (!i15) {
     i7 = i4;
     break L1;
    }
    i11 = get32(i6 | 0) | 0;
    if (((i11 | 0) != 0 ? (get32(i11 + 260 | 0) | 0) >>> 0 <= i15 >>> 0 : 0) ? (get32(i11 + 264 | 0) | 0) >>> 0 > i15 >>> 0 : 0) i16 = getU16(i11 + 232 | 0) | 0; else i16 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i15) | 0;
    set32(i10 | 0, (i16 >>> 0) / 20 | 0 | 0);
    set32(i14 | 0, i15 | 0);
    i12 = get32(i8 | 0) | 0;
    i13 = i15;
   }
   set32(i8 | 0, i12 + 1 | 0);
   set8(i13 + (i9 * 20 | 0) >> 0 | 0, 10 | 0);
   set8(i13 + (i9 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i13 + (i9 * 20 | 0) + 4 | 0, 0 | 0);
   set32(i13 + (i9 * 20 | 0) + 8 | 0, i4 | 0);
   set32(i13 + (i9 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i13 + (i9 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i13 + (i9 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   i7 = i4;
   break;
  }
 default:
  {
   i9 = _sqlite3FindInIndex(i1, i5, 0) | 0;
   i8 = get32(i5 + 24 | 0) | 0;
   i15 = i6 + 28 | 0;
   i14 = get32(i15 | 0) | 0;
   i10 = i6 + 32 | 0;
   i11 = get32(i10 | 0) | 0;
   if ((i11 | 0) <= (i14 | 0)) {
    i17 = i6 + 4 | 0;
    i18 = _sqlite3DbRealloc(get32(i6 | 0) | 0, get32(i17 | 0) | 0, (i11 | 0) == 0 ? 1020 : i11 * 40 | 0) | 0;
    if (i18) {
     i11 = get32(i6 | 0) | 0;
     if (((i11 | 0) != 0 ? (get32(i11 + 260 | 0) | 0) >>> 0 <= i18 >>> 0 : 0) ? (get32(i11 + 264 | 0) | 0) >>> 0 > i18 >>> 0 : 0) i19 = getU16(i11 + 232 | 0) | 0; else i19 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i18) | 0;
     set32(i10 | 0, (i19 >>> 0) / 20 | 0 | 0);
     set32(i17 | 0, i18 | 0);
     i20 = get32(i15 | 0) | 0;
     i21 = i18;
     i22 = 22;
    }
   } else {
    i20 = i14;
    i21 = get32(i6 + 4 | 0) | 0;
    i22 = 22;
   }
   if ((i22 | 0) == 22) {
    set32(i15 | 0, i20 + 1 | 0);
    set8(i21 + (i14 * 20 | 0) >> 0 | 0, 65 | 0);
    set8(i21 + (i14 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i21 + (i14 * 20 | 0) + 4 | 0, i8 | 0);
    set32(i21 + (i14 * 20 | 0) + 8 | 0, 0 | 0);
    set32(i21 + (i14 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i21 + (i14 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i21 + (i14 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   }
   i14 = i3 + 64 | 0;
   i18 = get32(i14 | 0) | 0;
   if (!i18) {
    i17 = i6 + 36 | 0;
    i11 = get32(i17 | 0) | 0;
    set32(i17 | 0, i11 + 1 | 0);
    i17 = i6 + 40 | 0;
    i23 = get32(i17 | 0) | 0;
    if ((i11 | 0) < (i23 | 0)) i24 = i6 + 44 | 0; else {
     i25 = get32(i6 | 0) | 0;
     i26 = i6 + 44 | 0;
     i27 = get32(i26 | 0) | 0;
     i28 = _sqlite3DbRealloc(i25, i27, (i23 << 3) + 20 | 0) | 0;
     if (i28) {
      set32(i26 | 0, i28 | 0);
      i23 = get32(i6 | 0) | 0;
      if (((i23 | 0) != 0 ? (get32(i23 + 260 | 0) | 0) >>> 0 <= i28 >>> 0 : 0) ? (get32(i23 + 264 | 0) | 0) >>> 0 > i28 >>> 0 : 0) i29 = getU16(i23 + 232 | 0) | 0; else i22 = 32;
     } else {
      _sqlite3DbFree(i25, i27);
      set32(i26 | 0, 0 | 0);
      i22 = 32;
     }
     if ((i22 | 0) == 32) i29 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i28) | 0;
     set32(i17 | 0, i29 >>> 2 | 0);
     i24 = i26;
    }
    i26 = get32(i24 | 0) | 0;
    if (i26) set32(i26 + (i11 << 2) | 0, -1 | 0);
    set32(i3 + 40 | 0, ~i11 | 0);
    i30 = get32(i14 | 0) | 0;
   } else i30 = i18;
   i18 = i30 + 1 | 0;
   set32(i14 | 0, i18 | 0);
   i11 = get32(i1 | 0) | 0;
   i26 = i3 + 68 | 0;
   i17 = get32(i26 | 0) | 0;
   i28 = _sqlite3DbRealloc(i11, i17, i18 << 3) | 0;
   do if (!i28) {
    _sqlite3DbFree(i11, i17);
    set32(i26 | 0, 0 | 0);
    set32(i14 | 0, 0 | 0);
   } else {
    set32(i26 | 0, i28 | 0);
    i18 = (get32(i14 | 0) | 0) + -1 | 0;
    set32(i28 + (i18 << 3) | 0, i8 | 0);
    i27 = get32(i15 | 0) | 0;
    i25 = get32(i10 | 0) | 0;
    i23 = (i25 | 0) > (i27 | 0);
    if ((i9 | 0) == 1) {
     if (!i23) {
      i31 = i6 + 4 | 0;
      i32 = _sqlite3DbRealloc(get32(i6 | 0) | 0, get32(i31 | 0) | 0, (i25 | 0) == 0 ? 1020 : i25 * 40 | 0) | 0;
      if (!i32) i33 = 1; else {
       i34 = get32(i6 | 0) | 0;
       if (((i34 | 0) != 0 ? (get32(i34 + 260 | 0) | 0) >>> 0 <= i32 >>> 0 : 0) ? (get32(i34 + 264 | 0) | 0) >>> 0 > i32 >>> 0 : 0) i35 = getU16(i34 + 232 | 0) | 0; else i35 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i32) | 0;
       set32(i10 | 0, (i35 >>> 0) / 20 | 0 | 0);
       set32(i31 | 0, i32 | 0);
       i36 = get32(i15 | 0) | 0;
       i37 = i32;
       i22 = 48;
      }
     } else {
      i36 = i27;
      i37 = get32(i6 + 4 | 0) | 0;
      i22 = 48;
     }
     if ((i22 | 0) == 48) {
      set32(i15 | 0, i36 + 1 | 0);
      set8(i37 + (i27 * 20 | 0) >> 0 | 0, 61 | 0);
      set8(i37 + (i27 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i37 + (i27 * 20 | 0) + 4 | 0, i8 | 0);
      set32(i37 + (i27 * 20 | 0) + 8 | 0, i4 | 0);
      set32(i37 + (i27 * 20 | 0) + 12 | 0, 0 | 0);
      set32(i37 + (i27 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i37 + (i27 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i33 = i27;
     }
     set32(i28 + (i18 << 3) + 4 | 0, i33 | 0);
    } else {
     if (!i23) {
      i23 = i6 + 4 | 0;
      i32 = _sqlite3DbRealloc(get32(i6 | 0) | 0, get32(i23 | 0) | 0, (i25 | 0) == 0 ? 1020 : i25 * 40 | 0) | 0;
      if (!i32) i38 = 1; else {
       i25 = get32(i6 | 0) | 0;
       if (((i25 | 0) != 0 ? (get32(i25 + 260 | 0) | 0) >>> 0 <= i32 >>> 0 : 0) ? (get32(i25 + 264 | 0) | 0) >>> 0 > i32 >>> 0 : 0) i39 = getU16(i25 + 232 | 0) | 0; else i39 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i32) | 0;
       set32(i10 | 0, (i39 >>> 0) / 20 | 0 | 0);
       set32(i23 | 0, i32 | 0);
       i40 = get32(i15 | 0) | 0;
       i41 = i32;
       i22 = 59;
      }
     } else {
      i40 = i27;
      i41 = get32(i6 + 4 | 0) | 0;
      i22 = 59;
     }
     if ((i22 | 0) == 59) {
      set32(i15 | 0, i40 + 1 | 0);
      set8(i41 + (i27 * 20 | 0) >> 0 | 0, 28 | 0);
      set8(i41 + (i27 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
      set32(i41 + (i27 * 20 | 0) + 4 | 0, i8 | 0);
      set32(i41 + (i27 * 20 | 0) + 8 | 0, 0 | 0);
      set32(i41 + (i27 * 20 | 0) + 12 | 0, i4 | 0);
      set32(i41 + (i27 * 20 | 0) + 16 | 0, 0 | 0);
      set8(i41 + (i27 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
      i38 = i27;
     }
     set32(i28 + (i18 << 3) + 4 | 0, i38 | 0);
    }
    i18 = get32(i15 | 0) | 0;
    i27 = get32(i10 | 0) | 0;
    if ((i27 | 0) > (i18 | 0)) {
     i42 = i18;
     i43 = get32(i6 + 4 | 0) | 0;
    } else {
     i32 = i6 + 4 | 0;
     i23 = _sqlite3DbRealloc(get32(i6 | 0) | 0, get32(i32 | 0) | 0, (i27 | 0) == 0 ? 1020 : i27 * 40 | 0) | 0;
     if (!i23) break;
     i27 = get32(i6 | 0) | 0;
     if (((i27 | 0) != 0 ? (get32(i27 + 260 | 0) | 0) >>> 0 <= i23 >>> 0 : 0) ? (get32(i27 + 264 | 0) | 0) >>> 0 > i23 >>> 0 : 0) i44 = getU16(i27 + 232 | 0) | 0; else i44 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i23) | 0;
     set32(i10 | 0, (i44 >>> 0) / 20 | 0 | 0);
     set32(i32 | 0, i23 | 0);
     i42 = get32(i15 | 0) | 0;
     i43 = i23;
    }
    set32(i15 | 0, i42 + 1 | 0);
    set8(i43 + (i18 * 20 | 0) >> 0 | 0, 73 | 0);
    set8(i43 + (i18 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i43 + (i18 * 20 | 0) + 4 | 0, i4 | 0);
    set32(i43 + (i18 * 20 | 0) + 8 | 0, 0 | 0);
    set32(i43 + (i18 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i43 + (i18 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i43 + (i18 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   } while (0);
   if (!i2) {
    i45 = i4;
    return i45 | 0;
   } else i7 = i4;
  }
 } while (0);
 i4 = i3 + 24 | 0;
 i3 = i2;
 while (1) {
  i2 = i3 + 18 | 0;
  i43 = get8(i2 >> 0 | 0) | 0;
  if (i43 & 4) {
   i45 = i7;
   i22 = 80;
   break;
  }
  if ((get32(i4 | 0) | 0) != 0 ? (get16((get32(i3 | 0) | 0) + 2 | 0) & 1) == 0 : 0) {
   i45 = i7;
   i22 = 80;
   break;
  }
  set8(i2 >> 0 | 0, i43 & 255 | 4 | 0);
  i43 = get32(i3 + 4 | 0) | 0;
  if ((i43 | 0) <= -1) {
   i45 = i7;
   i22 = 80;
   break;
  }
  i2 = get32((get32(i3 + 20 | 0) | 0) + 28 | 0) | 0;
  i42 = i2 + (i43 * 40 | 0) + 19 | 0;
  i44 = (get8(i42 >> 0 | 0) | 0) + -1 << 24 >> 24;
  set8(i42 >> 0 | 0, i44 | 0);
  if (i44 << 24 >> 24) {
   i45 = i7;
   i22 = 80;
   break;
  }
  i3 = i2 + (i43 * 40 | 0) | 0;
  if (!i3) {
   i45 = i7;
   i22 = 80;
   break;
  }
 }
 if ((i22 | 0) == 80) return i45 | 0;
 return 0;
}

function _pager_end_transaction(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i4 = i3;
 i5 = i1 + 15 | 0;
 if ((getU8(i5 >> 0 | 0) | 0) < 2 ? (getU8(i1 + 16 >> 0 | 0) | 0) < 2 : 0) {
  i6 = 0;
  STACKTOP = i3;
  return i6 | 0;
 }
 i7 = i1 + 96 | 0;
 if ((get32(i7 | 0) | 0) > 0) {
  i8 = i1 + 92 | 0;
  i9 = 0;
  do {
   _sqlite3BitvecDestroy(get32((get32(i8 | 0) | 0) + (i9 * 48 | 0) + 16 | 0) | 0);
   i9 = i9 + 1 | 0;
  } while ((i9 | 0) < (get32(i7 | 0) | 0));
 }
 i9 = i1 + 4 | 0;
 i8 = get32(i1 + 68 | 0) | 0;
 i10 = get32(i8 | 0) | 0;
 if (!(get8(i9 >> 0 | 0) | 0)) {
  if (i10) {
   i11 = i10;
   i12 = 9;
  }
 } else if ((i10 | 0) == 1396) {
  i11 = 1396;
  i12 = 9;
 }
 if ((i12 | 0) == 9) {
  FUNCTION_TABLE_ii[get32(i11 + 4 | 0) & 127](i8) | 0;
  set32(i8 | 0, 0 | 0);
 }
 i8 = i1 + 92 | 0;
 i11 = get32(i8 | 0) | 0;
 do if (i11) {
  if (!(get32(50 * 4 | 0) | 0)) {
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i11);
   break;
  }
  i12 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i11) | 0;
  i10 = (get32(30 * 4 | 0) | 0) - i12 | 0;
  set32(30 * 4 | 0, i10 | 0);
  if ((i10 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i10 | 0);
  i10 = (get32(39 * 4 | 0) | 0) + -1 | 0;
  set32(39 * 4 | 0, i10 | 0);
  if ((i10 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i10 | 0);
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i11);
 } while (0);
 set32(i8 | 0, 0 | 0);
 set32(i7 | 0, 0 | 0);
 set32(i1 + 52 | 0, 0 | 0);
 i7 = i1 + 64 | 0;
 i8 = get32(i7 | 0) | 0;
 i11 = get32(i8 | 0) | 0;
 L28 : do if (!i11) i13 = 0; else {
  if ((i11 | 0) == 1396) {
   i10 = get32(i8 + 4 | 0) | 0;
   if (i10) {
    i12 = i10;
    do {
     i10 = i12;
     i12 = get32(i12 | 0) | 0;
     if (!(get32(50 * 4 | 0) | 0)) FUNCTION_TABLE_vi[get32(232 | 0) & 31](i10); else {
      i14 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i10) | 0;
      i15 = (get32(30 * 4 | 0) | 0) - i14 | 0;
      set32(30 * 4 | 0, i15 | 0);
      if ((i15 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i15 | 0);
      i15 = (get32(39 * 4 | 0) | 0) + -1 | 0;
      set32(39 * 4 | 0, i15 | 0);
      if ((i15 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i15 | 0);
      FUNCTION_TABLE_vi[get32(232 | 0) & 31](i10);
     }
    } while ((i12 | 0) != 0);
   }
   i12 = i8;
   i10 = i12 + 40 | 0;
   do {
    set32(i12 | 0, 0 | 0);
    i12 = i12 + 4 | 0;
   } while ((i12 | 0) < (i10 | 0));
   i13 = 0;
   break;
  }
  i12 = get8(i1 + 5 >> 0 | 0) | 0;
  switch (i12 << 24 >> 24) {
  case 3:
   {
    i10 = i1 + 72 | 0;
    i15 = i10;
    if ((get32(i15 | 0) | 0) == 0 & (get32(i15 + 4 | 0) | 0) == 0) i16 = 0; else i16 = FUNCTION_TABLE_iiii[get32(i11 + 16 | 0) & 63](i8, 0, 0) | 0;
    i15 = i10;
    set32(i15 | 0, 0 | 0);
    set32(i15 + 4 | 0, 0 | 0);
    i13 = i16;
    break L28;
    break;
   }
  case 1:
   break;
  default:
   if (i12 << 24 >> 24 == 5 | (get8(i9 >> 0 | 0) | 0) == 0) {
    FUNCTION_TABLE_ii[get32(i11 + 4 | 0) & 127](i8) | 0;
    set32(i8 | 0, 0 | 0);
    if (get8(i1 + 12 >> 0 | 0) | 0) {
     i13 = 0;
     break L28;
    }
    i12 = get32(i1 | 0) | 0;
    i13 = FUNCTION_TABLE_iiii[get32(i12 + 28 | 0) & 63](i12, get32(i1 + 148 | 0) | 0, 0) | 0;
    break L28;
   }
  }
  i12 = i1 + 72 | 0;
  i15 = i12;
  if (!((get32(i15 | 0) | 0) == 0 & (get32(i15 + 4 | 0) | 0) == 0)) {
   i15 = i1 + 136 | 0;
   i10 = get32(i15 | 0) | 0;
   i14 = get32(i15 + 4 | 0) | 0;
   if ((i2 | 0) != 0 | (i10 | 0) == 0 & (i14 | 0) == 0) i17 = FUNCTION_TABLE_iiii[get32(i11 + 16 | 0) & 63](i8, 0, 0) | 0; else i17 = FUNCTION_TABLE_iiiiii[get32(i11 + 12 | 0) & 31](i8, 19666, 28, 0, 0) | 0;
   if (!i17) {
    if (!(get8(i1 + 8 >> 0 | 0) | 0)) {
     i15 = get32(i7 | 0) | 0;
     i18 = FUNCTION_TABLE_iii[get32((get32(i15 | 0) | 0) + 20 | 0) & 127](i15, getU8(i1 + 11 >> 0 | 0) | 16) | 0;
    } else i18 = 0;
    if (((i14 | 0) > 0 | (i14 | 0) == 0 & i10 >>> 0 > 0) & (i18 | 0) == 0) {
     i15 = get32(i7 | 0) | 0;
     i19 = FUNCTION_TABLE_iii[get32((get32(i15 | 0) | 0) + 24 | 0) & 127](i15, i4) | 0;
     i15 = i4;
     i20 = get32(i15 + 4 | 0) | 0;
     if ((i19 | 0) == 0 & ((i20 | 0) > (i14 | 0) | ((i20 | 0) == (i14 | 0) ? (get32(i15 | 0) | 0) >>> 0 > i10 >>> 0 : 0))) {
      i15 = get32(i7 | 0) | 0;
      i21 = FUNCTION_TABLE_iiii[get32((get32(i15 | 0) | 0) + 16 | 0) & 63](i15, i10, i14) | 0;
     } else i21 = i19;
    } else i21 = i18;
   } else i21 = i17;
  } else i21 = 0;
  i19 = i12;
  set32(i19 | 0, 0 | 0);
  set32(i19 + 4 | 0, 0 | 0);
  i13 = i21;
 } while (0);
 i21 = i1 + 56 | 0;
 _sqlite3BitvecDestroy(get32(i21 | 0) | 0);
 set32(i21 | 0, 0 | 0);
 set32(i1 + 44 | 0, 0 | 0);
 i21 = i1 + 168 | 0;
 i17 = get32(i21 | 0) | 0;
 i18 = get32(i17 | 0) | 0;
 if (!i18) i22 = i17; else {
  i7 = i18;
  do {
   i18 = i7 + 20 | 0;
   i4 = get16(i18 | 0) | 0;
   if (i4 & 2) {
    i8 = get32(i7 + 24 | 0) | 0;
    i11 = i8 + 8 | 0;
    if ((get32(i11 | 0) | 0) == (i7 | 0)) {
     i2 = i7;
     while (1) {
      i16 = get32(i2 + 32 | 0) | 0;
      if (!i16) {
       i23 = 0;
       break;
      }
      if (!(get16(i16 + 20 | 0) & 4)) {
       i23 = i16;
       break;
      } else i2 = i16;
     }
     set32(i11 | 0, i23 | 0);
    }
    i2 = i7 + 28 | 0;
    i16 = get32(i2 | 0) | 0;
    i19 = i7 + 32 | 0;
    i12 = get32(i19 | 0) | 0;
    i14 = i16;
    if (!i16) set32(i8 + 4 | 0, i12 | 0); else set32(i16 + 32 | 0, i12 | 0);
    i12 = get32(i19 | 0) | 0;
    if (!i12) set32(i8 | 0, i14 | 0); else set32(i12 + 28 | 0, i14 | 0);
    set32(i2 | 0, 0 | 0);
    set32(i19 | 0, 0 | 0);
    set16(i18 | 0, i4 & 65529 | 0);
    if ((get16(i7 + 22 | 0) | 0) == 0 ? (get32(i8 + 28 | 0) | 0) != 0 : 0) {
     if ((get32(i7 + 12 | 0) | 0) == 1) set32(i8 + 44 | 0, 0 | 0);
     FUNCTION_TABLE_viii[get32(324 | 0) & 63](get32(i8 + 40 | 0) | 0, i7, 0);
    }
   }
   i7 = get32(i17 | 0) | 0;
  } while ((i7 | 0) != 0);
  i22 = get32(i21 | 0) | 0;
 }
 i21 = get32(i1 + 24 | 0) | 0;
 i7 = i22 + 40 | 0;
 if (get32(i7 | 0) | 0) {
  i17 = get32(i22 | 0) | 0;
  if (i17) {
   i23 = i17;
   do {
    i17 = i23 + 28 | 0;
    i19 = i23;
    i23 = get32(i17 | 0) | 0;
    i2 = get32(i19 + 12 | 0) | 0;
    if (i2 >>> 0 > i21 >>> 0 ? (i14 = i19 + 20 | 0, i12 = get16(i14 | 0) | 0, (i12 & 2) != 0) : 0) {
     i16 = get32(i19 + 24 | 0) | 0;
     i10 = i16 + 8 | 0;
     if ((get32(i10 | 0) | 0) == (i19 | 0)) {
      i15 = i19;
      while (1) {
       i20 = get32(i15 + 32 | 0) | 0;
       if (!i20) {
        i24 = 0;
        break;
       }
       if (!(get16(i20 + 20 | 0) & 4)) {
        i24 = i20;
        break;
       } else i15 = i20;
      }
      set32(i10 | 0, i24 | 0);
     }
     i15 = i19 + 32 | 0;
     i8 = get32(i15 | 0) | 0;
     i4 = i23;
     if (!i23) set32(i16 + 4 | 0, i8 | 0); else set32(i23 + 32 | 0, i8 | 0);
     i8 = get32(i15 | 0) | 0;
     if (!i8) set32(i16 | 0, i4 | 0); else set32(i8 + 28 | 0, i4 | 0);
     set32(i17 | 0, 0 | 0);
     set32(i15 | 0, 0 | 0);
     set16(i14 | 0, i12 & 65529 | 0);
     if ((get16(i19 + 22 | 0) | 0) == 0 ? (get32(i16 + 28 | 0) | 0) != 0 : 0) {
      if ((i2 | 0) == 1) set32(i16 + 44 | 0, 0 | 0);
      FUNCTION_TABLE_viii[get32(324 | 0) & 63](get32(i16 + 40 | 0) | 0, i19, 0);
     }
    }
   } while ((i23 | 0) != 0);
  }
  if (!i21) {
   i23 = get32(i22 + 44 | 0) | 0;
   if (!i23) i25 = 0; else {
    _memset(get32(i23 | 0) | 0, 0, get32(i22 + 20 | 0) | 0) | 0;
    i25 = 1;
   }
  } else i25 = i21;
  FUNCTION_TABLE_vii[get32(332 | 0) & 15](get32(i7 | 0) | 0, i25 + 1 | 0);
 }
 i25 = i1 + 172 | 0;
 i7 = get32(i25 | 0) | 0;
 if ((i7 | 0) != 0 ? (i21 = i7 + 39 | 0, (get8(i21 >> 0 | 0) | 0) != 0) : 0) {
  if (!(get8(i7 + 38 >> 0 | 0) | 0)) {
   i22 = get32(i7 + 4 | 0) | 0;
   FUNCTION_TABLE_iiiii[get32((get32(i22 | 0) | 0) + 56 | 0) & 31](i22, 0, 1, 9) | 0;
  }
  set8(i21 >> 0 | 0, 0 | 0);
 }
 L138 : do if (!(get8(i9 >> 0 | 0) | 0)) {
  i21 = get32(i25 | 0) | 0;
  do if (i21) {
   i22 = i21 + 38 | 0;
   if (!(get8(i22 >> 0 | 0) | 0)) {
    i26 = 0;
    break L138;
   }
   set8(i22 >> 0 | 0, 0 | 0);
   i7 = get32(i21 + 4 | 0) | 0;
   if (!(FUNCTION_TABLE_iiiii[get32((get32(i7 | 0) | 0) + 56 | 0) & 31](i7, (get16(i21 + 36 | 0) | 0) + 3 | 0, 1, 6) | 0)) if (!(get8(i22 >> 0 | 0) | 0)) break; else {
    i26 = 0;
    break L138;
   } else {
    set8(i22 >> 0 | 0, 1 | 0);
    i26 = 0;
    break L138;
   }
  } while (0);
  i21 = get32(i1 + 60 | 0) | 0;
  i19 = get32(i21 | 0) | 0;
  if (i19) {
   i16 = FUNCTION_TABLE_iii[get32(i19 + 32 | 0) & 127](i21, 1) | 0;
   i21 = i1 + 16 | 0;
   if ((get8(i21 >> 0 | 0) | 0) == 5) i27 = i16; else {
    set8(i21 >> 0 | 0, 1 | 0);
    i27 = i16;
   }
  } else i27 = 0;
  set8(i1 + 17 >> 0 | 0, 0 | 0);
  i26 = i27;
 } else i26 = 0; while (0);
 set8(i5 >> 0 | 0, 1 | 0);
 set8(i1 + 18 >> 0 | 0, 0 | 0);
 i6 = (i13 | 0) == 0 ? i26 : i13;
 STACKTOP = i3;
 return i6 | 0;
}

function _renameParentFunc(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i4 = i2 + 16 | 0;
 i5 = i2;
 i6 = i2 + 24 | 0;
 i7 = get32(i1 + 8 | 0) | 0;
 i8 = _sqlite3ValueText(get32(i3 | 0) | 0, 1) | 0;
 i9 = _sqlite3ValueText(get32(i3 + 4 | 0) | 0, 1) | 0;
 i10 = _sqlite3ValueText(get32(i3 + 8 | 0) | 0, 1) | 0;
 L1 : do if (!(get8(i8 >> 0 | 0) | 0)) {
  i11 = i8;
  i12 = 0;
 } else {
  i3 = (i7 | 0) == 0;
  i13 = i7 + 30 | 0;
  i14 = i7 + 234 | 0;
  i15 = i7 + 232 | 0;
  i16 = i7 + 248 | 0;
  i17 = i7 + 256 | 0;
  i18 = i7 + 252 | 0;
  i19 = i7 + 236 | 0;
  i20 = i7 + 244 | 0;
  i21 = i7 + 240 | 0;
  i22 = i8;
  i23 = i8;
  i24 = 0;
  L3 : while (1) {
   i25 = _sqlite3GetToken(i22, i6) | 0;
   if ((get32(i6 | 0) | 0) == 102) {
    i26 = i25;
    i27 = i22;
    while (1) {
     i28 = i27 + i26 | 0;
     i29 = _sqlite3GetToken(i28, i6) | 0;
     if ((get32(i6 | 0) | 0) == 149) {
      i26 = i29;
      i27 = i28;
     } else {
      i30 = i28;
      i31 = i29;
      i32 = i26;
      i33 = i27;
      break;
     }
    }
    if (!i30) {
     i11 = i23;
     i12 = i24;
     break L1;
    }
    i27 = i31 + 1 | 0;
    L10 : do if (i3) {
     if (i31 >>> 0 > 2147483390) {
      i11 = i23;
      i12 = i24;
      break L1;
     }
     if (!(get32(50 * 4 | 0) | 0)) {
      i34 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i27) | 0;
      i35 = 45;
      break;
     }
     i26 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i27) | 0;
     set32(35 * 4 | 0, i27 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i27 | 0)) set32(45 * 4 | 0, i27 | 0);
     i29 = get32(6 * 4 | 0) | 0;
     do if (i29) {
      i28 = get32(30 * 4 | 0) | 0;
      i36 = ((i28 | 0) < 0) << 31 >> 31;
      i37 = 16;
      i38 = _i64Subtract(get32(i37 | 0) | 0, get32(i37 + 4 | 0) | 0, i26 | 0, ((i26 | 0) < 0) << 31 >> 31 | 0) | 0;
      i37 = tempRet0;
      if ((i36 | 0) < (i37 | 0) | (i36 | 0) == (i37 | 0) & i28 >>> 0 < i38 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i38 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i29 & 15](i38, i28, i36, i26);
       set32(6 * 4 | 0, i29 | 0);
       set32(7 * 4 | 0, i38 | 0);
       break;
      }
     } while (0);
     i29 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i26) | 0;
     if (!i29) {
      i11 = i23;
      i12 = i24;
      break L1;
     }
     i38 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i29) | 0;
     i36 = (get32(30 * 4 | 0) | 0) + i38 | 0;
     set32(30 * 4 | 0, i36 | 0);
     if ((i36 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i36 | 0);
     i36 = get32(39 * 4 | 0) | 0;
     i38 = i36 + 1 | 0;
     set32(39 * 4 | 0, i38 | 0);
     if ((i36 | 0) < (get32(49 * 4 | 0) | 0)) i39 = i29; else {
      set32(49 * 4 | 0, i38 | 0);
      i39 = i29;
     }
    } else {
     if (get8(i13 >> 0 | 0) | 0) {
      i11 = i23;
      i12 = i24;
      break L1;
     }
     do if (get8(i14 >> 0 | 0) | 0) {
      if ((getU16(i15 | 0) | 0) < (i27 | 0)) {
       set32(i16 | 0, (get32(i16 | 0) | 0) + 1 | 0);
       break;
      }
      i29 = get32(i17 | 0) | 0;
      if (!i29) {
       set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i17 | 0, get32(i29 | 0) | 0);
      i38 = get32(i19 | 0) | 0;
      i36 = i38 + 1 | 0;
      set32(i19 | 0, i36 | 0);
      set32(i20 | 0, (get32(i20 | 0) | 0) + 1 | 0);
      if ((i38 | 0) >= (get32(i21 | 0) | 0)) set32(i21 | 0, i36 | 0);
      i34 = i29;
      i35 = 45;
      break L10;
     } while (0);
     if (i31 >>> 0 > 2147483390) {
      i40 = i23;
      i41 = i24;
      break L3;
     }
     if (!(get32(50 * 4 | 0) | 0)) {
      i26 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i27) | 0;
      if (!i26) {
       i40 = i23;
       i41 = i24;
       break L3;
      } else {
       i39 = i26;
       break;
      }
     }
     i26 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i27) | 0;
     set32(35 * 4 | 0, i27 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i27 | 0)) set32(45 * 4 | 0, i27 | 0);
     i29 = get32(6 * 4 | 0) | 0;
     do if (i29) {
      i36 = get32(30 * 4 | 0) | 0;
      i38 = ((i36 | 0) < 0) << 31 >> 31;
      i28 = 16;
      i37 = _i64Subtract(get32(i28 | 0) | 0, get32(i28 + 4 | 0) | 0, i26 | 0, ((i26 | 0) < 0) << 31 >> 31 | 0) | 0;
      i28 = tempRet0;
      if ((i38 | 0) < (i28 | 0) | (i38 | 0) == (i28 | 0) & i36 >>> 0 < i37 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i37 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i29 & 15](i37, i36, i38, i26);
       set32(6 * 4 | 0, i29 | 0);
       set32(7 * 4 | 0, i37 | 0);
       break;
      }
     } while (0);
     i29 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i26) | 0;
     if (!i29) {
      i40 = i23;
      i41 = i24;
      break L3;
     }
     i37 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i29) | 0;
     i38 = (get32(30 * 4 | 0) | 0) + i37 | 0;
     set32(30 * 4 | 0, i38 | 0);
     if ((i38 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i38 | 0);
     i38 = get32(39 * 4 | 0) | 0;
     i37 = i38 + 1 | 0;
     set32(39 * 4 | 0, i37 | 0);
     if ((i38 | 0) < (get32(49 * 4 | 0) | 0)) i39 = i29; else {
      set32(49 * 4 | 0, i37 | 0);
      i39 = i29;
     }
    } while (0);
    if ((i35 | 0) == 45) {
     i35 = 0;
     if (!i34) {
      i11 = i23;
      i12 = i24;
      break L1;
     } else i39 = i34;
    }
    _memcpy(i39 | 0, i30 | 0, i31 | 0) | 0;
    set8(i39 + i31 >> 0 | 0, 0 | 0);
    i27 = get8(i39 >> 0 | 0) | 0;
    switch (i27 << 24 >> 24 | 0) {
    case 96:
    case 34:
    case 39:
     {
      i42 = i27;
      i35 = 48;
      break;
     }
    case 91:
     {
      i42 = 93;
      i35 = 48;
      break;
     }
    default:
     {}
    }
    if ((i35 | 0) == 48) {
     i35 = 0;
     i27 = get8(i39 + 1 >> 0 | 0) | 0;
     L69 : do if (!(i27 << 24 >> 24)) i43 = 0; else {
      i29 = i27;
      i37 = 1;
      i38 = 0;
      while (1) {
       if (i29 << 24 >> 24 == i42 << 24 >> 24) {
        i36 = i37 + 1 | 0;
        if ((get8(i39 + i36 >> 0 | 0) | 0) != i42 << 24 >> 24) {
         i43 = i38;
         break L69;
        }
        set8(i39 + i38 >> 0 | 0, i42 | 0);
        i44 = i36;
       } else {
        set8(i39 + i38 >> 0 | 0, i29 | 0);
        i44 = i37;
       }
       i36 = i38 + 1 | 0;
       i37 = i44 + 1 | 0;
       i29 = get8(i39 + i37 >> 0 | 0) | 0;
       if (!(i29 << 24 >> 24)) {
        i43 = i36;
        break;
       } else i38 = i36;
      }
     } while (0);
     set8(i39 + i43 >> 0 | 0, 0 | 0);
    }
    i27 = get8(i9 >> 0 | 0) | 0;
    L79 : do if (!(i27 << 24 >> 24)) {
     i45 = 0;
     i46 = i39;
    } else {
     i38 = i27;
     i29 = i9;
     i37 = i39;
     while (1) {
      if ((get8(16286 + (i38 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i37 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
       i45 = i38;
       i46 = i37;
       break L79;
      }
      i29 = i29 + 1 | 0;
      i26 = i37 + 1 | 0;
      i38 = get8(i29 >> 0 | 0) | 0;
      if (!(i38 << 24 >> 24)) {
       i45 = 0;
       i46 = i26;
       break;
      } else i37 = i26;
     }
    } while (0);
    if ((get8(16286 + (i45 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i46 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
     set32(i5 | 0, ((i24 | 0) != 0 ? i24 : 16820) | 0);
     set32(i5 + 4 | 0, i30 - i23 | 0);
     set32(i5 + 8 | 0, i23 | 0);
     set32(i5 + 12 | 0, i10 | 0);
     i27 = _sqlite3MPrintf(i7, 38291, i5) | 0;
     _sqlite3DbFree(i7, i24);
     i47 = i33 + (i31 + i32) | 0;
     i48 = i27;
    } else {
     i47 = i23;
     i48 = i24;
    }
    _sqlite3DbFree(i7, i39);
    i49 = i31;
    i50 = i30;
    i51 = i47;
    i52 = i48;
   } else {
    i49 = i25;
    i50 = i22;
    i51 = i23;
    i52 = i24;
   }
   i22 = i50 + i49 | 0;
   if (!(get8(i22 >> 0 | 0) | 0)) {
    i11 = i51;
    i12 = i52;
    break L1;
   } else {
    i23 = i51;
    i24 = i52;
   }
  }
  set8(i13 >> 0 | 0, 1 | 0);
  i11 = i40;
  i12 = i41;
 } while (0);
 set32(i4 | 0, ((i12 | 0) != 0 ? i12 : 16820) | 0);
 set32(i4 + 4 | 0, i11 | 0);
 i11 = i1 + 8 | 0;
 if ((_sqlite3VdbeMemSetStr(i11, _sqlite3MPrintf(i7, 31365, i4) | 0, -1, 1, 9) | 0) != 18) {
  _sqlite3DbFree(i7, i12);
  STACKTOP = i2;
  return;
 }
 set32(i1 + 52 | 0, 18 | 0);
 _sqlite3VdbeMemSetStr(i11, 16620, -1, 1, 0) | 0;
 _sqlite3DbFree(i7, i12);
 STACKTOP = i2;
 return;
}

function _sqlite3SrcListAppendFromTerm(i1, i2, i3, i4, i5, i6, i7, i8) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 i7 = i7 | 0;
 i8 = i8 | 0;
 var i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0;
 i9 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i10 = i9;
 i11 = get32(i1 | 0) | 0;
 if ((i2 | 0) == 0 ? (i12 = (i7 | 0) != 0, i12 | (i8 | 0) != 0) : 0) {
  set32(i10 | 0, (i12 ? 33042 : 33045) | 0);
  _sqlite3ErrorMsg(i1, 33006, i10);
 } else i13 = 4;
 if (((i13 | 0) == 4 ? (i10 = _sqlite3SrcListAppend(i11, i2, i3, i4) | 0, (i10 | 0) != 0) : 0) ? (i4 = get16(i10 | 0) | 0, i4 << 16 >> 16 != 0) : 0) {
  i3 = (i4 << 16 >> 16) + -1 | 0;
  i4 = get32(i5 + 4 | 0) | 0;
  if (i4) {
   i2 = get32(i5 | 0) | 0;
   L10 : do if (!i2) i14 = 0; else {
    i5 = i4 + 1 | 0;
    L12 : do if (!i11) {
     if (i4 >>> 0 > 2147483390) {
      i14 = 0;
      break L10;
     }
     if (!(get32(50 * 4 | 0) | 0)) {
      i15 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i5) | 0;
      i13 = 47;
      break;
     }
     i1 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i5) | 0;
     set32(35 * 4 | 0, i5 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i5 | 0)) set32(45 * 4 | 0, i5 | 0);
     i12 = get32(6 * 4 | 0) | 0;
     do if (i12) {
      i16 = get32(30 * 4 | 0) | 0;
      i17 = ((i16 | 0) < 0) << 31 >> 31;
      i18 = 16;
      i19 = _i64Subtract(get32(i18 | 0) | 0, get32(i18 + 4 | 0) | 0, i1 | 0, ((i1 | 0) < 0) << 31 >> 31 | 0) | 0;
      i18 = tempRet0;
      if ((i17 | 0) < (i18 | 0) | (i17 | 0) == (i18 | 0) & i16 >>> 0 < i19 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i19 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i12 & 15](i19, i16, i17, i1);
       set32(6 * 4 | 0, i12 | 0);
       set32(7 * 4 | 0, i19 | 0);
       break;
      }
     } while (0);
     i12 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i1) | 0;
     if (!i12) {
      i14 = 0;
      break L10;
     }
     i19 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i12) | 0;
     i17 = (get32(30 * 4 | 0) | 0) + i19 | 0;
     set32(30 * 4 | 0, i17 | 0);
     if ((i17 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i17 | 0);
     i17 = get32(39 * 4 | 0) | 0;
     i19 = i17 + 1 | 0;
     set32(39 * 4 | 0, i19 | 0);
     if ((i17 | 0) < (get32(49 * 4 | 0) | 0)) i20 = i12; else {
      set32(49 * 4 | 0, i19 | 0);
      i20 = i12;
     }
    } else {
     i12 = i11 + 30 | 0;
     if (get8(i12 >> 0 | 0) | 0) {
      i14 = 0;
      break L10;
     }
     do if (get8(i11 + 234 >> 0 | 0) | 0) {
      if ((getU16(i11 + 232 | 0) | 0) < (i5 | 0)) {
       i19 = i11 + 248 | 0;
       set32(i19 | 0, (get32(i19 | 0) | 0) + 1 | 0);
       break;
      }
      i19 = i11 + 256 | 0;
      i17 = get32(i19 | 0) | 0;
      if (!i17) {
       i16 = i11 + 252 | 0;
       set32(i16 | 0, (get32(i16 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i19 | 0, get32(i17 | 0) | 0);
      i19 = i11 + 236 | 0;
      i16 = get32(i19 | 0) | 0;
      i18 = i16 + 1 | 0;
      set32(i19 | 0, i18 | 0);
      i19 = i11 + 244 | 0;
      set32(i19 | 0, (get32(i19 | 0) | 0) + 1 | 0);
      i19 = i11 + 240 | 0;
      if ((i16 | 0) >= (get32(i19 | 0) | 0)) set32(i19 | 0, i18 | 0);
      i15 = i17;
      i13 = 47;
      break L12;
     } while (0);
     do if (i4 >>> 0 <= 2147483390) {
      if (!(get32(50 * 4 | 0) | 0)) {
       i1 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i5) | 0;
       if (!i1) break; else {
        i20 = i1;
        break L12;
       }
      }
      i1 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i5) | 0;
      set32(35 * 4 | 0, i5 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i5 | 0)) set32(45 * 4 | 0, i5 | 0);
      i17 = get32(6 * 4 | 0) | 0;
      do if (i17) {
       i18 = get32(30 * 4 | 0) | 0;
       i19 = ((i18 | 0) < 0) << 31 >> 31;
       i16 = 16;
       i21 = _i64Subtract(get32(i16 | 0) | 0, get32(i16 + 4 | 0) | 0, i1 | 0, ((i1 | 0) < 0) << 31 >> 31 | 0) | 0;
       i16 = tempRet0;
       if ((i19 | 0) < (i16 | 0) | (i19 | 0) == (i16 | 0) & i18 >>> 0 < i21 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i21 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i17 & 15](i21, i18, i19, i1);
        set32(6 * 4 | 0, i17 | 0);
        set32(7 * 4 | 0, i21 | 0);
        break;
       }
      } while (0);
      i17 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i1) | 0;
      if (i17) {
       i21 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i17) | 0;
       i19 = (get32(30 * 4 | 0) | 0) + i21 | 0;
       set32(30 * 4 | 0, i19 | 0);
       if ((i19 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i19 | 0);
       i19 = get32(39 * 4 | 0) | 0;
       i21 = i19 + 1 | 0;
       set32(39 * 4 | 0, i21 | 0);
       if ((i19 | 0) < (get32(49 * 4 | 0) | 0)) {
        i20 = i17;
        break L12;
       }
       set32(49 * 4 | 0, i21 | 0);
       i20 = i17;
       break L12;
      }
     } while (0);
     set8(i12 >> 0 | 0, 1 | 0);
     i14 = 0;
     break L10;
    } while (0);
    if ((i13 | 0) == 47) if (!i15) {
     i14 = 0;
     break;
    } else i20 = i15;
    _memcpy(i20 | 0, i2 | 0, i4 | 0) | 0;
    set8(i20 + i4 >> 0 | 0, 0 | 0);
    i5 = get8(i20 >> 0 | 0) | 0;
    switch (i5 << 24 >> 24 | 0) {
    case 96:
    case 34:
    case 39:
     {
      i22 = i5;
      break;
     }
    case 91:
     {
      i22 = 93;
      break;
     }
    default:
     {
      i14 = i20;
      break L10;
     }
    }
    i5 = get8(i20 + 1 >> 0 | 0) | 0;
    L72 : do if (!(i5 << 24 >> 24)) i23 = 0; else {
     i17 = i5;
     i21 = 1;
     i19 = 0;
     while (1) {
      if (i17 << 24 >> 24 == i22 << 24 >> 24) {
       i18 = i21 + 1 | 0;
       if ((get8(i20 + i18 >> 0 | 0) | 0) != i22 << 24 >> 24) {
        i23 = i19;
        break L72;
       }
       set8(i20 + i19 >> 0 | 0, i22 | 0);
       i24 = i18;
      } else {
       set8(i20 + i19 >> 0 | 0, i17 | 0);
       i24 = i21;
      }
      i18 = i19 + 1 | 0;
      i21 = i24 + 1 | 0;
      i17 = get8(i20 + i21 >> 0 | 0) | 0;
      if (!(i17 << 24 >> 24)) {
       i23 = i18;
       break;
      } else i19 = i18;
     }
    } while (0);
    set8(i20 + i23 >> 0 | 0, 0 | 0);
    i14 = i20;
   } while (0);
   set32(i10 + 8 + (i3 * 56 | 0) + 8 | 0, i14 | 0);
  }
  set32(i10 + 8 + (i3 * 56 | 0) + 16 | 0, i6 | 0);
  set32(i10 + 8 + (i3 * 56 | 0) + 28 | 0, i7 | 0);
  set32(i10 + 8 + (i3 * 56 | 0) + 32 | 0, i8 | 0);
  i25 = i10;
  STACKTOP = i9;
  return i25 | 0;
 }
 _sqlite3ExprDelete(i11, i7);
 if (i8) {
  i7 = i8 + 4 | 0;
  if ((get32(i7 | 0) | 0) > 0) {
   i10 = 0;
   do {
    _sqlite3DbFree(i11, get32((get32(i8 | 0) | 0) + (i10 << 3) | 0) | 0);
    i10 = i10 + 1 | 0;
   } while ((i10 | 0) < (get32(i7 | 0) | 0));
  }
  _sqlite3DbFree(i11, get32(i8 | 0) | 0);
  _sqlite3DbFree(i11, i8);
 }
 if (!i6) {
  i25 = 0;
  STACKTOP = i9;
  return i25 | 0;
 }
 i8 = get32(i6 | 0) | 0;
 if (i8) {
  i7 = i8 + 12 | 0;
  if ((get32(i8 | 0) | 0) > 0) {
   i10 = 0;
   i3 = get32(i7 | 0) | 0;
   while (1) {
    _sqlite3ExprDelete(i11, get32(i3 | 0) | 0);
    _sqlite3DbFree(i11, get32(i3 + 4 | 0) | 0);
    _sqlite3DbFree(i11, get32(i3 + 8 | 0) | 0);
    i10 = i10 + 1 | 0;
    if ((i10 | 0) >= (get32(i8 | 0) | 0)) break; else i3 = i3 + 20 | 0;
   }
  }
  _sqlite3DbFree(i11, get32(i7 | 0) | 0);
  _sqlite3DbFree(i11, i8);
 }
 _sqlite3SrcListDelete(i11, get32(i6 + 8 | 0) | 0);
 _sqlite3ExprDelete(i11, get32(i6 + 12 | 0) | 0);
 i8 = get32(i6 + 16 | 0) | 0;
 if (i8) {
  i7 = i8 + 12 | 0;
  if ((get32(i8 | 0) | 0) > 0) {
   i3 = 0;
   i10 = get32(i7 | 0) | 0;
   while (1) {
    _sqlite3ExprDelete(i11, get32(i10 | 0) | 0);
    _sqlite3DbFree(i11, get32(i10 + 4 | 0) | 0);
    _sqlite3DbFree(i11, get32(i10 + 8 | 0) | 0);
    i3 = i3 + 1 | 0;
    if ((i3 | 0) >= (get32(i8 | 0) | 0)) break; else i10 = i10 + 20 | 0;
   }
  }
  _sqlite3DbFree(i11, get32(i7 | 0) | 0);
  _sqlite3DbFree(i11, i8);
 }
 _sqlite3ExprDelete(i11, get32(i6 + 20 | 0) | 0);
 i8 = get32(i6 + 24 | 0) | 0;
 if (i8) {
  i7 = i8 + 12 | 0;
  if ((get32(i8 | 0) | 0) > 0) {
   i10 = 0;
   i3 = get32(i7 | 0) | 0;
   while (1) {
    _sqlite3ExprDelete(i11, get32(i3 | 0) | 0);
    _sqlite3DbFree(i11, get32(i3 + 4 | 0) | 0);
    _sqlite3DbFree(i11, get32(i3 + 8 | 0) | 0);
    i10 = i10 + 1 | 0;
    if ((i10 | 0) >= (get32(i8 | 0) | 0)) break; else i3 = i3 + 20 | 0;
   }
  }
  _sqlite3DbFree(i11, get32(i7 | 0) | 0);
  _sqlite3DbFree(i11, i8);
 }
 _sqlite3SelectDelete(i11, get32(i6 + 28 | 0) | 0);
 _sqlite3ExprDelete(i11, get32(i6 + 40 | 0) | 0);
 _sqlite3ExprDelete(i11, get32(i6 + 44 | 0) | 0);
 _sqlite3DbFree(i11, i6);
 i25 = 0;
 STACKTOP = i9;
 return i25 | 0;
}

function _sqlite3_backup_step(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i4 = i3;
 i5 = i3 + 12 | 0;
 i6 = i3 + 8 | 0;
 i7 = i1 + 24 | 0;
 i8 = get32(i7 | 0) | 0;
 i9 = get32(i8 + 4 | 0) | 0;
 set32(i9 + 4 | 0, get32(i8 | 0) | 0);
 i10 = i1 + 28 | 0;
 i11 = get32(i10 | 0) | 0;
 if (i11 >>> 0 >= 7) {
  i12 = i11;
  STACKTOP = i3;
  return i12 | 0;
 }
 if (30 >>> (i11 & 127) & 1) {
  i12 = i11;
  STACKTOP = i3;
  return i12 | 0;
 }
 i11 = get32(i9 | 0) | 0;
 i13 = i1 + 4 | 0;
 i14 = get32(i13 | 0) | 0;
 i15 = get32(get32(i14 + 4 | 0) | 0) | 0;
 if ((get32(i1 | 0) | 0) != 0 ? (get8(i9 + 23 >> 0 | 0) | 0) == 2 : 0) {
  i16 = 0;
  i17 = 5;
 } else i18 = 5;
 do if ((i18 | 0) == 5) {
  i9 = i1 + 12 | 0;
  if (!(get32(i9 | 0) | 0)) {
   i19 = _sqlite3BtreeBeginTrans(i14, 2) | 0;
   if (i19) {
    i16 = 0;
    i17 = i19;
    break;
   }
   set32(i9 | 0, 1 | 0);
   i9 = get32(i13 | 0) | 0;
   i19 = get32(i9 + 4 | 0) | 0;
   set32(i19 + 4 | 0, get32(i9 | 0) | 0);
   i9 = get32((get32(i19 + 12 | 0) | 0) + 64 | 0) | 0;
   set32(i1 + 8 | 0, getU8(i9 + 41 >> 0 | 0) << 16 | getU8(i9 + 40 >> 0 | 0) << 24 | getU8(i9 + 42 >> 0 | 0) << 8 | getU8(i9 + 43 >> 0 | 0) | 0);
   i20 = get32(i7 | 0) | 0;
  } else i20 = i8;
  if (!(get8(i20 + 8 >> 0 | 0) | 0)) {
   i16 = 1;
   i17 = _sqlite3BtreeBeginTrans(i20, 0) | 0;
  } else {
   i16 = 0;
   i17 = 0;
  }
 } while (0);
 i20 = get32((get32(i7 | 0) | 0) + 4 | 0) | 0;
 i8 = get32(i20 + 36 | 0) | 0;
 i14 = get32((get32(i13 | 0) | 0) + 4 | 0) | 0;
 i9 = get32(i14 + 36 | 0) | 0;
 i19 = (i8 | 0) == (i9 | 0) | ((i17 | 0) != 0 ? 1 : (get8((get32(i14 | 0) | 0) + 5 >> 0 | 0) | 0) != 5) ? i17 : 8;
 i17 = get32(i20 + 48 | 0) | 0;
 i20 = (i2 | 0) < 0;
 L17 : do if (!i2) i21 = i19; else {
  i14 = i1 + 16 | 0;
  i22 = get32(i14 | 0) | 0;
  i23 = 0;
  i24 = i19;
  while (1) {
   if (!((i24 | 0) == 0 & i22 >>> 0 <= i17 >>> 0)) {
    i21 = i24;
    break L17;
   }
   if ((i22 | 0) != ((((get32(199 * 4 | 0) | 0) >>> 0) / ((get32((get32((get32(i7 | 0) | 0) + 4 | 0) | 0) + 36 | 0) | 0) >>> 0) | 0) + 1 | 0)) {
    i25 = _sqlite3PagerAcquire(i11, i22, i5, 0) | 0;
    if (!i25) {
     i26 = get32(i5 | 0) | 0;
     i27 = _backupOnePage(i1, i22, get32(i26 | 0) | 0) | 0;
     _sqlite3PagerUnref(i26);
     i28 = i27;
    } else i28 = i25;
   } else i28 = 0;
   i22 = (get32(i14 | 0) | 0) + 1 | 0;
   set32(i14 | 0, i22 | 0);
   i23 = i23 + 1 | 0;
   if (!(i20 | (i23 | 0) < (i2 | 0))) {
    i21 = i28;
    break;
   } else i24 = i28;
  }
 } while (0);
 switch (i21 | 0) {
 case 0:
  {
   set32(i1 + 36 | 0, i17 | 0);
   i28 = get32(i1 + 16 | 0) | 0;
   set32(i1 + 32 | 0, i17 + 1 - i28 | 0);
   if (i28 >>> 0 <= i17 >>> 0) {
    i28 = i1 + 40 | 0;
    if (!(get32(i28 | 0) | 0)) {
     i2 = (get32(get32((get32(i7 | 0) | 0) + 4 | 0) | 0) | 0) + 88 | 0;
     set32(i1 + 44 | 0, get32(i2 | 0) | 0);
     set32(i2 | 0, i1 | 0);
     set32(i28 | 0, 1 | 0);
     i29 = 0;
    } else i29 = 0;
   } else i18 = 21;
   break;
  }
 case 101:
  {
   i18 = 21;
   break;
  }
 default:
  i29 = i21;
 }
 do if ((i18 | 0) == 21) {
  i21 = get32(i13 | 0) | 0;
  i28 = (get32(i1 + 8 | 0) | 0) + 1 | 0;
  i2 = get32(i21 + 4 | 0) | 0;
  set32(i2 + 4 | 0, get32(i21 | 0) | 0);
  i21 = get32(i2 + 12 | 0) | 0;
  i2 = get32(i21 + 64 | 0) | 0;
  i20 = _sqlite3PagerWrite(get32(i21 + 68 | 0) | 0) | 0;
  if (!i20) {
   set8(i2 + 40 >> 0 | 0, i28 >>> 24 | 0);
   set8(i2 + 41 >> 0 | 0, i28 >>> 16 | 0);
   set8(i2 + 42 >> 0 | 0, i28 >>> 8 | 0);
   set8(i2 + 43 >> 0 | 0, i28 | 0);
   i28 = get32(i1 | 0) | 0;
   if (i28) _sqlite3ResetInternalSchema(i28, -1);
   if ((i8 | 0) < (i9 | 0)) {
    i28 = (i9 | 0) / (i8 | 0) | 0;
    i2 = (i17 + -1 + i28 | 0) / (i28 | 0) | 0;
    set32(i15 + 24 | 0, (((i2 | 0) == ((((get32(199 * 4 | 0) | 0) >>> 0) / ((get32((get32((get32(i13 | 0) | 0) + 4 | 0) | 0) + 36 | 0) | 0) >>> 0) | 0) + 1 | 0)) << 31 >> 31) + i2 | 0);
    i2 = ((i8 | 0) < 0) << 31 >> 31;
    i28 = ___muldi3(i17 | 0, ((i17 | 0) < 0) << 31 >> 31 | 0, i8 | 0, i2 | 0) | 0;
    i21 = tempRet0;
    i5 = i15 + 60 | 0;
    i19 = get32(i5 | 0) | 0;
    i24 = _sqlite3PagerCommitPhaseOne(i15, 0, 1) | 0;
    i23 = get32(199 * 4 | 0) | 0;
    i22 = i23 + i9 | 0;
    i14 = ((i22 | 0) < 0) << 31 >> 31;
    i25 = (i14 | 0) < (i21 | 0) | (i14 | 0) == (i21 | 0) & i22 >>> 0 < i28 >>> 0;
    i27 = i25 ? i22 : i28;
    i22 = i25 ? i14 : i21;
    i14 = i23 + i8 | 0;
    i23 = ((i14 | 0) < 0) << 31 >> 31;
    i25 = (i24 | 0) == 0;
    if (((i23 | 0) < (i22 | 0) | (i23 | 0) == (i22 | 0) & i14 >>> 0 < i27 >>> 0) & i25) {
     i26 = i14;
     i14 = i23;
     do {
      set32(i6 | 0, 0 | 0);
      i23 = ___divdi3(i26 | 0, i14 | 0, i8 | 0, i2 | 0) | 0;
      i30 = _i64Add(i23 | 0, tempRet0 | 0, 1, 0) | 0;
      i23 = _sqlite3PagerAcquire(i11, i30, i6, 0) | 0;
      i30 = get32(i6 | 0) | 0;
      if (!i23) i31 = FUNCTION_TABLE_iiiiii[get32((get32(i19 | 0) | 0) + 12 | 0) & 31](i19, get32(i30 | 0) | 0, i8, i26, i14) | 0; else i31 = i23;
      _sqlite3PagerUnref(i30);
      i26 = _i64Add(i26 | 0, i14 | 0, i8 | 0, i2 | 0) | 0;
      i14 = tempRet0;
      i30 = (i31 | 0) == 0;
     } while (((i14 | 0) < (i22 | 0) | (i14 | 0) == (i22 | 0) & i26 >>> 0 < i27 >>> 0) & i30);
     i32 = i30;
     i33 = i31;
    } else {
     i32 = i25;
     i33 = i24;
    }
    if (!i32) {
     i29 = i33;
     break;
    }
    i27 = FUNCTION_TABLE_iii[get32((get32(i19 | 0) | 0) + 24 | 0) & 127](i19, i4) | 0;
    i26 = i4;
    i22 = get32(i26 + 4 | 0) | 0;
    if ((i27 | 0) == 0 & ((i22 | 0) > (i21 | 0) | ((i22 | 0) == (i21 | 0) ? (get32(i26 | 0) | 0) >>> 0 > i28 >>> 0 : 0))) i34 = FUNCTION_TABLE_iiii[get32((get32(i19 | 0) | 0) + 16 | 0) & 63](i19, i28, i21) | 0; else i34 = i27;
    if (i34) {
     i29 = i34;
     break;
    }
    set32(i4 | 0, 0 | 0);
    i27 = get32(i5 | 0) | 0;
    if (get8(i15 + 8 >> 0 | 0) | 0) {
     i26 = get32(i27 | 0) | 0;
     if (!i26) i35 = 0; else {
      FUNCTION_TABLE_iiii[get32(i26 + 40 | 0) & 63](i27, 8, i4) | 0;
      i35 = get32(i4 | 0) | 0;
     }
    } else {
     i26 = FUNCTION_TABLE_iii[get32((get32(i27 | 0) | 0) + 20 | 0) & 127](i27, getU8(i15 + 11 >> 0 | 0) | 0) | 0;
     set32(i4 | 0, i26 | 0);
     i35 = i26;
    }
    i36 = i35;
   } else {
    set32(i15 + 24 | 0, Math_imul((i8 | 0) / (i9 | 0) | 0, i17) | 0 | 0);
    i36 = _sqlite3PagerCommitPhaseOne(i15, 0, 0) | 0;
   }
   if (!i36) {
    i26 = get32(i13 | 0) | 0;
    i27 = get8(i26 + 8 >> 0 | 0) | 0;
    do if (!(i27 << 24 >> 24)) i37 = 0; else {
     i22 = get32(i26 + 4 | 0) | 0;
     set32(i22 + 4 | 0, get32(i26 | 0) | 0);
     if (i27 << 24 >> 24 == 2) {
      i14 = get32(i22 | 0) | 0;
      i2 = i14 + 40 | 0;
      i30 = get32(i2 | 0) | 0;
      if (i30) {
       i37 = i30;
       break;
      }
      i30 = i14 + 15 | 0;
      if (((get8(i30 >> 0 | 0) | 0) == 2 ? (get8(i14 + 4 >> 0 | 0) | 0) != 0 : 0) ? (get8(i14 + 5 >> 0 | 0) | 0) == 1 : 0) set8(i30 >> 0 | 0, 1 | 0); else {
       i23 = _pager_end_transaction(i14, getU8(i14 + 18 >> 0 | 0) | 0) | 0;
       switch (i23 & 255 | 0) {
       case 10:
       case 13:
        {
         set32(i2 | 0, i23 | 0);
         set8(i30 >> 0 | 0, 6 | 0);
         break;
        }
       default:
        {}
       }
       if (i23) {
        i37 = i23;
        break;
       }
      }
      set8(i22 + 23 >> 0 | 0, 1 | 0);
     }
     _btreeEndTransaction(i26);
     i37 = 0;
    } while (0);
    i29 = (i37 | 0) == 0 ? 101 : i37;
   } else i29 = i36;
  } else i29 = i20;
 } while (0);
 do if ((i16 | 0) != 0 ? (_sqlite3BtreeCommitPhaseOne(get32(i7 | 0) | 0, 0) | 0, i36 = get32(i7 | 0) | 0, i37 = get8(i36 + 8 >> 0 | 0) | 0, i37 << 24 >> 24 != 0) : 0) {
  i13 = get32(i36 + 4 | 0) | 0;
  set32(i13 + 4 | 0, get32(i36 | 0) | 0);
  if (i37 << 24 >> 24 == 2) {
   i37 = get32(i13 | 0) | 0;
   i15 = i37 + 40 | 0;
   if (get32(i15 | 0) | 0) break;
   i17 = i37 + 15 | 0;
   if (((get8(i17 >> 0 | 0) | 0) == 2 ? (get8(i37 + 4 >> 0 | 0) | 0) != 0 : 0) ? (get8(i37 + 5 >> 0 | 0) | 0) == 1 : 0) set8(i17 >> 0 | 0, 1 | 0); else {
    i9 = _pager_end_transaction(i37, getU8(i37 + 18 >> 0 | 0) | 0) | 0;
    switch (i9 & 255 | 0) {
    case 10:
    case 13:
     {
      set32(i15 | 0, i9 | 0);
      set8(i17 >> 0 | 0, 6 | 0);
      break;
     }
    default:
     {}
    }
    if (i9) break;
   }
   set8(i13 + 23 >> 0 | 0, 1 | 0);
  }
  _btreeEndTransaction(i36);
 } while (0);
 i7 = (i29 | 0) == 3082 ? 7 : i29;
 set32(i10 | 0, i7 | 0);
 i12 = i7;
 STACKTOP = i3;
 return i12 | 0;
}

function _sqlite3BtreePrevious(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 208 | 0;
 i4 = i3 + 40 | 0;
 i5 = i3 + 32 | 0;
 i6 = i3 + 24 | 0;
 i7 = i3 + 16 | 0;
 i8 = i3 + 8 | 0;
 i9 = i3;
 i10 = i3 + 48 | 0;
 i11 = i1 + 83 | 0;
 i12 = get8(i11 >> 0 | 0) | 0;
 do if ((i12 & 255) > 1) {
  if (i12 << 24 >> 24 == 3) {
   i13 = get32(i1 + 76 | 0) | 0;
   if (!i13) {
    set8(i1 + 81 >> 0 | 0, 0 | 0);
    break;
   } else {
    i14 = i13;
    STACKTOP = i3;
    return i14 | 0;
   }
  }
  set8(i11 >> 0 | 0, 0 | 0);
  i13 = i1 + 72 | 0;
  i15 = get32(i13 | 0) | 0;
  i16 = i1 + 64 | 0;
  i17 = get32(i16 | 0) | 0;
  i18 = get32(i16 + 4 | 0) | 0;
  i16 = i1 + 76 | 0;
  do if (i15) {
   i19 = _sqlite3VdbeRecordUnpack(get32(i1 + 16 | 0) | 0, i17, i15, i10, 150) | 0;
   if (!i19) {
    i14 = 7;
    STACKTOP = i3;
    return i14 | 0;
   } else {
    i20 = _sqlite3BtreeMovetoUnpacked(i1, i19, i17, i18, 0, i16) | 0;
    if (!(get16(i19 + 6 | 0) & 1)) {
     i21 = i20;
     break;
    }
    _sqlite3DbFree(get32(get32(i19 | 0) | 0) | 0, i19);
    i21 = i20;
    break;
   }
  } else i21 = _sqlite3BtreeMovetoUnpacked(i1, 0, i17, i18, 0, i16) | 0; while (0);
  if (i21) {
   i14 = i21;
   STACKTOP = i3;
   return i14 | 0;
  }
  i16 = get32(i13 | 0) | 0;
  do if (i16) {
   if (!(get32(50 * 4 | 0) | 0)) {
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i16);
    break;
   }
   i18 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i16) | 0;
   i17 = (get32(30 * 4 | 0) | 0) - i18 | 0;
   set32(30 * 4 | 0, i17 | 0);
   if ((i17 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i17 | 0);
   i17 = (get32(39 * 4 | 0) | 0) + -1 | 0;
   set32(39 * 4 | 0, i17 | 0);
   if ((i17 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i17 | 0);
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i16);
  } while (0);
  set32(i13 | 0, 0 | 0);
  i22 = get8(i11 >> 0 | 0) | 0;
  i23 = 21;
 } else {
  i22 = i12;
  i23 = 21;
 } while (0);
 if ((i23 | 0) == 21 ? (set8(i1 + 81 >> 0 | 0, 0 | 0), i22 << 24 >> 24 == 0) : 0) {
  set32(i2 | 0, 1 | 0);
  i14 = 0;
  STACKTOP = i3;
  return i14 | 0;
 }
 i22 = i1 + 76 | 0;
 i12 = (get32(i22 | 0) | 0) < 0;
 set32(i22 | 0, 0 | 0);
 if (i12) {
  set32(i2 | 0, 0 | 0);
  i14 = 0;
  STACKTOP = i3;
  return i14 | 0;
 }
 i12 = i1 + 90 | 0;
 i22 = get16(i12 | 0) | 0;
 i21 = i22 << 16 >> 16;
 i16 = i1 + 132 + (i21 << 2) | 0;
 i17 = get32(i16 | 0) | 0;
 i18 = get16(i1 + 92 + (i21 << 1) | 0) | 0;
 do if (get8(i17 + 3 >> 0 | 0) | 0) {
  i15 = i1 + 58 | 0;
  i20 = i1 + 82 | 0;
  L85 : do if (!(i18 << 16 >> 16)) {
   i19 = i22;
   i24 = i21;
   while (1) {
    if (!(i19 << 16 >> 16)) break;
    i25 = get32(i1 + 132 + (i24 << 2) | 0) | 0;
    if (!i25) i26 = i19; else {
     _sqlite3PagerUnref(get32(i25 + 68 | 0) | 0);
     i26 = get16(i12 | 0) | 0;
    }
    i25 = i26 + -1 << 16 >> 16;
    set16(i12 | 0, i25 | 0);
    set16(i15 | 0, 0 | 0);
    set8(i20 >> 0 | 0, 0 | 0);
    i24 = i25 << 16 >> 16;
    if (get16(i1 + 92 + (i24 << 1) | 0) | 0) {
     i27 = i25;
     break L85;
    } else i19 = i25;
   }
   set8(i11 >> 0 | 0, 0 | 0);
   set32(i2 | 0, 1 | 0);
   i14 = 0;
   STACKTOP = i3;
   return i14 | 0;
  } else i27 = i22; while (0);
  set16(i15 | 0, 0 | 0);
  set8(i20 >> 0 | 0, 0 | 0);
  i13 = i1 + 92 + (i27 << 16 >> 16 << 1) | 0;
  set16(i13 | 0, (get16(i13 | 0) | 0) + -1 << 16 >> 16 | 0);
  i13 = get32(i1 + 132 + (get16(i12 | 0) << 2) | 0) | 0;
  if ((get8(i13 + 2 >> 0 | 0) | 0) != 0 ? (get8(i13 + 3 >> 0 | 0) | 0) == 0 : 0) i28 = _sqlite3BtreePrevious(i1, i2) | 0; else i28 = 0;
 } else {
  i13 = get32(i17 + 64 | 0) | 0;
  i19 = (getU16(i17 + 12 | 0) | 0) + ((i18 & 65535) << 1) | 0;
  i24 = (getU8(i13 + i19 >> 0 | 0) << 8 | getU8(i13 + (i19 + 1) >> 0 | 0)) & getU16(i17 + 18 | 0);
  i19 = getU8(i13 + (i24 + 1) >> 0 | 0) << 16 | getU8(i13 + i24 >> 0 | 0) << 24 | getU8(i13 + (i24 + 2) >> 0 | 0) << 8 | getU8(i13 + (i24 + 3) >> 0 | 0);
  if (i22 << 16 >> 16 > 18) {
   set32(i9 | 0, 51636 | 0);
   set32(i9 + 4 | 0, 17203 | 0);
   _sqlite3_log(11, 19615, i9);
   i14 = 11;
   STACKTOP = i3;
   return i14 | 0;
  }
  i24 = i1 + 4 | 0;
  i13 = get32(i24 | 0) | 0;
  if ((get32(i13 + 48 | 0) | 0) >>> 0 < i19 >>> 0) {
   set32(i8 | 0, 49122 | 0);
   set32(i8 + 4 | 0, 17203 | 0);
   _sqlite3_log(11, 19615, i8);
   i14 = 11;
   STACKTOP = i3;
   return i14 | 0;
  }
  i25 = _sqlite3PagerAcquire(get32(i13 | 0) | 0, i19, i10, 0) | 0;
  if (i25) {
   i14 = i25;
   STACKTOP = i3;
   return i14 | 0;
  }
  i25 = get32(i10 | 0) | 0;
  i29 = get32(i25 + 4 | 0) | 0;
  set32(i29 + 64 | 0, get32(i25 | 0) | 0);
  i30 = i29 + 68 | 0;
  set32(i30 | 0, i25 | 0);
  set32(i29 + 60 | 0, i13 | 0);
  set32(i29 + 72 | 0, i19 | 0);
  set8(i29 + 5 >> 0 | 0, ((i19 | 0) == 1 ? 100 : 0) | 0);
  i19 = _btreeInitPage(i29) | 0;
  if (i19) {
   if (!i29) {
    i14 = i19;
    STACKTOP = i3;
    return i14 | 0;
   }
   _sqlite3PagerUnref(get32(i30 | 0) | 0);
   i14 = i19;
   STACKTOP = i3;
   return i14 | 0;
  }
  i19 = i21 + 1 | 0;
  set32(i1 + 132 + (i19 << 2) | 0, i29 | 0);
  set16(i1 + 92 + (i19 << 1) | 0, 0 | 0);
  i19 = (get16(i12 | 0) | 0) + 1 << 16 >> 16;
  set16(i12 | 0, i19 | 0);
  i30 = i1 + 58 | 0;
  set16(i30 | 0, 0 | 0);
  i13 = i1 + 82 | 0;
  set8(i13 >> 0 | 0, 0 | 0);
  if ((get16(i29 + 16 | 0) | 0) != 0 ? (get8(i29 + 2 >> 0 | 0) | 0) == (get8((get32(i16 | 0) | 0) + 2 >> 0 | 0) | 0) : 0) {
   i29 = i19;
   while (1) {
    i19 = i29 << 16 >> 16;
    i25 = get32(i1 + 132 + (i19 << 2) | 0) | 0;
    if (get8(i25 + 3 >> 0 | 0) | 0) {
     i31 = i19;
     i32 = i25;
     i23 = 53;
     break;
    }
    i33 = getU8(i25 + 5 >> 0 | 0) | 0;
    i34 = get32(i25 + 64 | 0) | 0;
    i35 = getU8(i34 + (i33 + 9) >> 0 | 0) << 16 | getU8(i34 + (i33 + 8) >> 0 | 0) << 24 | getU8(i34 + (i33 + 10) >> 0 | 0) << 8 | getU8(i34 + (i33 + 11) >> 0 | 0);
    set16(i1 + 92 + (i19 << 1) | 0, get16(i25 + 16 | 0) | 0 | 0);
    i25 = get16(i12 | 0) | 0;
    i19 = i25 << 16 >> 16;
    if (i25 << 16 >> 16 > 18) {
     i23 = 42;
     break;
    }
    i25 = get32(i24 | 0) | 0;
    if ((get32(i25 + 48 | 0) | 0) >>> 0 < i35 >>> 0) {
     i23 = 44;
     break;
    }
    i33 = _sqlite3PagerAcquire(get32(i25 | 0) | 0, i35, i10, 0) | 0;
    if (i33) {
     i36 = i33;
     i23 = 46;
     break;
    }
    i33 = get32(i10 | 0) | 0;
    i34 = get32(i33 + 4 | 0) | 0;
    set32(i34 + 64 | 0, get32(i33 | 0) | 0);
    i37 = i34 + 68 | 0;
    set32(i37 | 0, i33 | 0);
    set32(i34 + 60 | 0, i25 | 0);
    set32(i34 + 72 | 0, i35 | 0);
    set8(i34 + 5 >> 0 | 0, ((i35 | 0) == 1 ? 100 : 0) | 0);
    i35 = _btreeInitPage(i34) | 0;
    if (i35) {
     i38 = i37;
     i39 = i35;
     i40 = i34;
     i23 = 48;
     break;
    }
    i35 = i19 + 1 | 0;
    set32(i1 + 132 + (i35 << 2) | 0, i34 | 0);
    set16(i1 + 92 + (i35 << 1) | 0, 0 | 0);
    i29 = (get16(i12 | 0) | 0) + 1 << 16 >> 16;
    set16(i12 | 0, i29 | 0);
    set16(i30 | 0, 0 | 0);
    set8(i13 >> 0 | 0, 0 | 0);
    if (!(get16(i34 + 16 | 0) | 0)) {
     i23 = 52;
     break;
    }
    if ((get8(i34 + 2 >> 0 | 0) | 0) != (get8((get32(i1 + 132 + (i19 << 2) | 0) | 0) + 2 >> 0 | 0) | 0)) {
     i23 = 52;
     break;
    }
   }
   if ((i23 | 0) == 42) {
    set32(i6 | 0, 51636 | 0);
    set32(i6 + 4 | 0, 17203 | 0);
    _sqlite3_log(11, 19615, i6);
    i28 = 11;
    break;
   } else if ((i23 | 0) == 44) {
    set32(i5 | 0, 49122 | 0);
    set32(i5 + 4 | 0, 17203 | 0);
    _sqlite3_log(11, 19615, i5);
    i28 = 11;
    break;
   } else if ((i23 | 0) == 46) {
    i28 = i36;
    break;
   } else if ((i23 | 0) == 48) {
    if (!i40) {
     i28 = i39;
     break;
    }
    _sqlite3PagerUnref(get32(i38 | 0) | 0);
    i28 = i39;
    break;
   } else if ((i23 | 0) == 52) {
    set32(i4 | 0, 51647 | 0);
    set32(i4 + 4 | 0, 17203 | 0);
    _sqlite3_log(11, 19615, i4);
    i28 = 11;
    break;
   } else if ((i23 | 0) == 53) {
    set16(i1 + 92 + (i31 << 1) | 0, (getU16(i32 + 16 | 0) | 0) + 65535 | 0);
    set16(i30 | 0, 0 | 0);
    set8(i13 >> 0 | 0, 0 | 0);
    i28 = 0;
    break;
   }
  }
  set32(i7 | 0, 51647 | 0);
  set32(i7 + 4 | 0, 17203 | 0);
  _sqlite3_log(11, 19615, i7);
  i14 = 11;
  STACKTOP = i3;
  return i14 | 0;
 } while (0);
 set32(i2 | 0, 0 | 0);
 i14 = i28;
 STACKTOP = i3;
 return i14 | 0;
}

function _resolveAlias(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0;
 i6 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i7 = i6;
 i8 = i6 + 4 | 0;
 i9 = i2 + 12 | 0;
 i2 = get32((get32(i9 | 0) | 0) + (i3 * 20 | 0) | 0) | 0;
 i10 = get32(i1 | 0) | 0;
 if ((get8(i2 >> 0 | 0) | 0) != -104 ? (get8(i5 >> 0 | 0) | 0) != 71 : 0) {
  i5 = _exprDup(i10, i2, 0, 0) | 0;
  i11 = _sqlite3ExprAlloc(get32(i1 | 0) | 0, 24, 0, 1) | 0;
  if (!i11) {
   _sqlite3ExprDelete(get32(i1 | 0) | 0, i5);
   STACKTOP = i6;
   return;
  }
  i12 = i11 + 8 | 0;
  if (!i5) {
   i13 = get32(i12 | 0) | 0;
   set32(i8 | 0, 0 | 0);
   if (!i13) {
    i14 = i8;
    i15 = 0;
   } else {
    i16 = i8;
    i17 = i13;
    i18 = 10;
   }
  } else {
   set32(i12 | 0, i5 | 0);
   if (get16(i5 + 2 | 0) & 256) {
    i12 = i11 + 2 | 0;
    set16(i12 | 0, getU16(i12 | 0) | 256 | 0);
    set32(i11 + 20 | 0, get32(i5 + 20 | 0) | 0);
   }
   set32(i8 | 0, 0 | 0);
   i16 = i8;
   i17 = i5;
   i18 = 10;
  }
  if ((i18 | 0) == 10) {
   i5 = get32(i17 + 44 | 0) | 0;
   if ((i5 | 0) > 0) {
    set32(i8 | 0, i5 | 0);
    i14 = i16;
    i15 = i5;
   } else {
    i14 = i16;
    i15 = 0;
   }
  }
  i16 = get32(i11 + 12 | 0) | 0;
  if ((i16 | 0) != 0 ? (i14 = get32(i16 + 44 | 0) | 0, (i14 | 0) > (i15 | 0)) : 0) {
   set32(i8 | 0, i14 | 0);
   i19 = i14;
  } else i19 = i15;
  i15 = i11 + 16 | 0;
  if (!(get16(i11 + 2 | 0) & 2048)) {
   i14 = get32(i15 | 0) | 0;
   if (!i14) {
    i20 = i19;
    i18 = 24;
   } else {
    i16 = get32(i14 | 0) | 0;
    if ((i16 | 0) > 0) {
     i5 = get32(i14 + 12 | 0) | 0;
     i14 = i19;
     i17 = 0;
     while (1) {
      i12 = get32(i5 + (i17 * 20 | 0) | 0) | 0;
      if ((i12 | 0) != 0 ? (i13 = get32(i12 + 44 | 0) | 0, (i13 | 0) > (i14 | 0)) : 0) {
       set32(i8 | 0, i13 | 0);
       i21 = i13;
      } else i21 = i14;
      i17 = i17 + 1 | 0;
      if ((i17 | 0) == (i16 | 0)) {
       i22 = i21;
       break;
      } else i14 = i21;
     }
    } else i22 = i19;
    i19 = i22 + 1 | 0;
    set32(i11 + 44 | 0, i19 | 0);
    i23 = i19;
   }
  } else {
   _heightOfSelect(get32(i15 | 0) | 0, i8);
   i20 = get32(i8 | 0) | 0;
   i18 = 24;
  }
  if ((i18 | 0) == 24) {
   i8 = i20 + 1 | 0;
   set32(i11 + 44 | 0, i8 | 0);
   i23 = i8;
  }
  i8 = get32((get32(i1 | 0) | 0) + 84 | 0) | 0;
  if ((i8 | 0) < (i23 | 0)) {
   set32(i7 | 0, i8 | 0);
   _sqlite3ErrorMsg(i1, 29585, i7);
  }
  i7 = (get32(i9 | 0) | 0) + (i3 * 20 | 0) + 16 | 0;
  i3 = get16(i7 | 0) | 0;
  if (!(i3 << 16 >> 16)) {
   i9 = i1 + 472 | 0;
   i1 = (get32(i9 | 0) | 0) + 1 | 0;
   set32(i9 | 0, i1 | 0);
   i9 = i1 & 65535;
   set16(i7 | 0, i9 | 0);
   i24 = i9;
  } else i24 = i3;
  set32(i11 + 24 | 0, i24 & 65535 | 0);
  i25 = i11;
 } else i18 = 31;
 do if ((i18 | 0) == 31) {
  if ((get16(i2 + 2 | 0) & 1024) == 0 ? (i11 = i2 + 4 | 0, i24 = get32(i11 | 0) | 0, (i24 | 0) != 0) : 0) {
   set32(i11 | 0, 0 | 0);
   i3 = _exprDup(i10, i2, 0, 0) | 0;
   set32(i11 | 0, i24 | 0);
   if (!i3) {
    STACKTOP = i6;
    return;
   }
   i11 = i3 + 34 | 0;
   set8(i11 >> 0 | 0, getU8(i11 >> 0 | 0) | 1 | 0);
   i11 = i24;
   while (1) if (!(get8(i11 >> 0 | 0) | 0)) {
    i26 = i11;
    break;
   } else i11 = i11 + 1 | 0;
   i11 = (i26 - i24 & 1073741823) + 1 | 0;
   L55 : do if (!i10) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i27 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i11) | 0;
     i18 = 74;
     break;
    }
    i9 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i11) | 0;
    set32(35 * 4 | 0, i11 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i11 | 0)) set32(45 * 4 | 0, i11 | 0);
    i7 = get32(6 * 4 | 0) | 0;
    do if (i7) {
     i1 = get32(30 * 4 | 0) | 0;
     i8 = ((i1 | 0) < 0) << 31 >> 31;
     i23 = 16;
     i20 = _i64Subtract(get32(i23 | 0) | 0, get32(i23 + 4 | 0) | 0, i9 | 0, ((i9 | 0) < 0) << 31 >> 31 | 0) | 0;
     i23 = tempRet0;
     if ((i8 | 0) < (i23 | 0) | (i8 | 0) == (i23 | 0) & i1 >>> 0 < i20 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i20 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i7 & 15](i20, i1, i8, i9);
      set32(6 * 4 | 0, i7 | 0);
      set32(7 * 4 | 0, i20 | 0);
      break;
     }
    } while (0);
    i7 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i9) | 0;
    if (i7) {
     i20 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i7) | 0;
     i8 = (get32(30 * 4 | 0) | 0) + i20 | 0;
     set32(30 * 4 | 0, i8 | 0);
     if ((i8 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i8 | 0);
     i8 = get32(39 * 4 | 0) | 0;
     i20 = i8 + 1 | 0;
     set32(39 * 4 | 0, i20 | 0);
     if ((i8 | 0) < (get32(49 * 4 | 0) | 0)) {
      i28 = i7;
      i18 = 75;
     } else {
      set32(49 * 4 | 0, i20 | 0);
      i28 = i7;
      i18 = 75;
     }
    } else i29 = 0;
   } else {
    i7 = i10 + 30 | 0;
    if (!(get8(i7 >> 0 | 0) | 0)) {
     do if (get8(i10 + 234 >> 0 | 0) | 0) {
      if ((getU16(i10 + 232 | 0) | 0) >>> 0 < i11 >>> 0) {
       i20 = i10 + 248 | 0;
       set32(i20 | 0, (get32(i20 | 0) | 0) + 1 | 0);
       break;
      }
      i20 = i10 + 256 | 0;
      i8 = get32(i20 | 0) | 0;
      if (!i8) {
       i1 = i10 + 252 | 0;
       set32(i1 | 0, (get32(i1 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i20 | 0, get32(i8 | 0) | 0);
      i20 = i10 + 236 | 0;
      i1 = get32(i20 | 0) | 0;
      i23 = i1 + 1 | 0;
      set32(i20 | 0, i23 | 0);
      i20 = i10 + 244 | 0;
      set32(i20 | 0, (get32(i20 | 0) | 0) + 1 | 0);
      i20 = i10 + 240 | 0;
      if ((i1 | 0) >= (get32(i20 | 0) | 0)) set32(i20 | 0, i23 | 0);
      i27 = i8;
      i18 = 74;
      break L55;
     } while (0);
     if (!(get32(50 * 4 | 0) | 0)) {
      i9 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i11) | 0;
      if (i9) {
       i28 = i9;
       i18 = 75;
       break;
      }
     } else {
      i9 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i11) | 0;
      set32(35 * 4 | 0, i11 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i11 | 0)) set32(45 * 4 | 0, i11 | 0);
      i8 = get32(6 * 4 | 0) | 0;
      do if (i8) {
       i23 = get32(30 * 4 | 0) | 0;
       i20 = ((i23 | 0) < 0) << 31 >> 31;
       i1 = 16;
       i15 = _i64Subtract(get32(i1 | 0) | 0, get32(i1 + 4 | 0) | 0, i9 | 0, ((i9 | 0) < 0) << 31 >> 31 | 0) | 0;
       i1 = tempRet0;
       if ((i20 | 0) < (i1 | 0) | (i20 | 0) == (i1 | 0) & i23 >>> 0 < i15 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i15 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i8 & 15](i15, i23, i20, i9);
        set32(6 * 4 | 0, i8 | 0);
        set32(7 * 4 | 0, i15 | 0);
        break;
       }
      } while (0);
      i8 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i9) | 0;
      if (i8) {
       i15 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i8) | 0;
       i20 = (get32(30 * 4 | 0) | 0) + i15 | 0;
       set32(30 * 4 | 0, i20 | 0);
       if ((i20 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i20 | 0);
       i20 = get32(39 * 4 | 0) | 0;
       i15 = i20 + 1 | 0;
       set32(39 * 4 | 0, i15 | 0);
       if ((i20 | 0) < (get32(49 * 4 | 0) | 0)) {
        i28 = i8;
        i18 = 75;
        break;
       }
       set32(49 * 4 | 0, i15 | 0);
       i28 = i8;
       i18 = 75;
       break;
      }
     }
     set8(i7 >> 0 | 0, 1 | 0);
     i29 = 0;
    } else i29 = 0;
   } while (0);
   if ((i18 | 0) == 74) if (!i27) i29 = 0; else {
    i28 = i27;
    i18 = 75;
   }
   if ((i18 | 0) == 75) {
    _memcpy(i28 | 0, i24 | 0, i11 | 0) | 0;
    i29 = i28;
   }
   set32(i3 + 4 | 0, i29 | 0);
   i25 = i3;
   break;
  }
  i8 = _exprDup(i10, i2, 0, 0) | 0;
  if (!i8) {
   STACKTOP = i6;
   return;
  } else i25 = i8;
 } while (0);
 i2 = i4 + 2 | 0;
 i29 = get16(i2 | 0) | 0;
 if (!(i29 & 256)) i30 = i29; else {
  set32(i25 + 20 | 0, get32(i4 + 20 | 0) | 0);
  i29 = i25 + 2 | 0;
  set16(i29 | 0, getU16(i29 | 0) | 256 | 0);
  i30 = get16(i2 | 0) | 0;
 }
 set16(i2 | 0, i30 & 65535 | 16384 | 0);
 _sqlite3ExprDelete(i10, i4);
 i30 = i4;
 i4 = i25;
 i2 = i30 + 48 | 0;
 do {
  set32(i30 | 0, get32(i4 | 0) | 0);
  i30 = i30 + 4 | 0;
  i4 = i4 + 4 | 0;
 } while ((i30 | 0) < (i2 | 0));
 _sqlite3DbFree(i10, i25);
 STACKTOP = i6;
 return;
}

function _sqlite3VdbeChangeP4(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0;
 i5 = get32(i1 | 0) | 0;
 i6 = get32(i1 + 4 | 0) | 0;
 if ((i6 | 0) != 0 ? (get8(i5 + 30 >> 0 | 0) | 0) == 0 : 0) {
  if ((i2 | 0) < 0) i7 = (get32(i1 + 28 | 0) | 0) + -1 | 0; else i7 = i2;
  i2 = i6 + (i7 * 20 | 0) + 1 | 0;
  i8 = i6 + (i7 * 20 | 0) + 16 | 0;
  _freeP4(i5, get8(i2 >> 0 | 0) | 0, get32(i8 | 0) | 0);
  set32(i8 | 0, 0 | 0);
  if ((i4 | 0) == -14) {
   set32(i8 | 0, i3 | 0);
   set8(i2 >> 0 | 0, -14 | 0);
   return;
  }
  if (!i3) {
   set32(i8 | 0, 0 | 0);
   set8(i2 >> 0 | 0, 0 | 0);
   return;
  }
  switch (i4 | 0) {
  case -6:
   {
    i7 = getU16(i3 + 6 | 0) | 0;
    i6 = (i7 << 2) + 12 | 0;
    i9 = i6 + i7 | 0;
    do if ((i9 + -1 | 0) >>> 0 > 2147483390) i10 = 25; else {
     if (!(get32(50 * 4 | 0) | 0)) {
      i11 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i9) | 0;
      set32(i8 | 0, i11 | 0);
      if (!i11) break; else i12 = i11;
     } else {
      i11 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i9) | 0;
      set32(35 * 4 | 0, i9 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i9 | 0)) set32(45 * 4 | 0, i9 | 0);
      i13 = get32(6 * 4 | 0) | 0;
      do if (i13) {
       i14 = get32(30 * 4 | 0) | 0;
       i15 = ((i14 | 0) < 0) << 31 >> 31;
       i16 = 16;
       i17 = _i64Subtract(get32(i16 | 0) | 0, get32(i16 + 4 | 0) | 0, i11 | 0, ((i11 | 0) < 0) << 31 >> 31 | 0) | 0;
       i16 = tempRet0;
       if ((i15 | 0) < (i16 | 0) | (i15 | 0) == (i16 | 0) & i14 >>> 0 < i17 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i17 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i13 & 15](i17, i14, i15, i11);
        set32(6 * 4 | 0, i13 | 0);
        set32(7 * 4 | 0, i17 | 0);
        break;
       }
      } while (0);
      i13 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i11) | 0;
      if (!i13) {
       i10 = 25;
       break;
      }
      i17 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i13) | 0;
      i15 = (get32(30 * 4 | 0) | 0) + i17 | 0;
      set32(30 * 4 | 0, i15 | 0);
      if ((i15 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i15 | 0);
      i15 = get32(39 * 4 | 0) | 0;
      i17 = i15 + 1 | 0;
      set32(39 * 4 | 0, i17 | 0);
      if ((i15 | 0) >= (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i17 | 0);
      set32(i8 | 0, i13 | 0);
      i12 = i13;
     }
     _memcpy(i12 | 0, i3 | 0, i6 | 0) | 0;
     i13 = i12 + 8 | 0;
     i17 = get32(i13 | 0) | 0;
     if (i17) {
      i15 = i12 + 12 + (i7 << 2) | 0;
      set32(i13 | 0, i15 | 0);
      _memcpy(i15 | 0, i17 | 0, i7 | 0) | 0;
     }
     set8(i2 >> 0 | 0, -6 | 0);
     return;
    } while (0);
    if ((i10 | 0) == 25) set32(i8 | 0, 0 | 0);
    set8((get32(i1 | 0) | 0) + 30 >> 0 | 0, 1 | 0);
    set8(i2 >> 0 | 0, 0 | 0);
    return;
   }
  case -16:
   {
    set32(i8 | 0, i3 | 0);
    set8(i2 >> 0 | 0, -6 | 0);
    return;
   }
  case -10:
   {
    set32(i8 | 0, i3 | 0);
    set8(i2 >> 0 | 0, -10 | 0);
    i7 = i3 + 12 | 0;
    set32(i7 | 0, (get32(i7 | 0) | 0) + 1 | 0);
    return;
   }
  default:
   {
    if ((i4 | 0) < 0) {
     set32(i8 | 0, i3 | 0);
     set8(i2 >> 0 | 0, i4 | 0);
     return;
    }
    if (!i4) {
     i7 = i3;
     while (1) if (!(get8(i7 >> 0 | 0) | 0)) {
      i18 = i7;
      break;
     } else i7 = i7 + 1 | 0;
     i19 = i18 - i3 & 1073741823;
    } else i19 = i4;
    i18 = get32(i1 | 0) | 0;
    i1 = i19 + 1 | 0;
    L26 : do if (!i18) if (i19 >>> 0 <= 2147483390) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i20 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i1) | 0;
      i10 = 78;
      break;
     }
     i7 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i1) | 0;
     set32(35 * 4 | 0, i1 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i1 | 0)) set32(45 * 4 | 0, i1 | 0);
     i12 = get32(6 * 4 | 0) | 0;
     do if (i12) {
      i6 = get32(30 * 4 | 0) | 0;
      i9 = ((i6 | 0) < 0) << 31 >> 31;
      i17 = 16;
      i15 = _i64Subtract(get32(i17 | 0) | 0, get32(i17 + 4 | 0) | 0, i7 | 0, ((i7 | 0) < 0) << 31 >> 31 | 0) | 0;
      i17 = tempRet0;
      if ((i9 | 0) < (i17 | 0) | (i9 | 0) == (i17 | 0) & i6 >>> 0 < i15 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i15 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i12 & 15](i15, i6, i9, i7);
       set32(6 * 4 | 0, i12 | 0);
       set32(7 * 4 | 0, i15 | 0);
       break;
      }
     } while (0);
     i12 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i7) | 0;
     if (i12) {
      i11 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i12) | 0;
      i15 = (get32(30 * 4 | 0) | 0) + i11 | 0;
      set32(30 * 4 | 0, i15 | 0);
      if ((i15 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i15 | 0);
      i15 = get32(39 * 4 | 0) | 0;
      i11 = i15 + 1 | 0;
      set32(39 * 4 | 0, i11 | 0);
      if ((i15 | 0) < (get32(49 * 4 | 0) | 0)) {
       i21 = i12;
       i10 = 79;
      } else {
       set32(49 * 4 | 0, i11 | 0);
       i21 = i12;
       i10 = 79;
      }
     } else i22 = 0;
    } else i22 = 0; else {
     i12 = i18 + 30 | 0;
     if (!(get8(i12 >> 0 | 0) | 0)) {
      do if (get8(i18 + 234 >> 0 | 0) | 0) {
       if ((getU16(i18 + 232 | 0) | 0) < (i1 | 0)) {
        i11 = i18 + 248 | 0;
        set32(i11 | 0, (get32(i11 | 0) | 0) + 1 | 0);
        break;
       }
       i11 = i18 + 256 | 0;
       i15 = get32(i11 | 0) | 0;
       if (!i15) {
        i9 = i18 + 252 | 0;
        set32(i9 | 0, (get32(i9 | 0) | 0) + 1 | 0);
        break;
       }
       set32(i11 | 0, get32(i15 | 0) | 0);
       i11 = i18 + 236 | 0;
       i9 = get32(i11 | 0) | 0;
       i6 = i9 + 1 | 0;
       set32(i11 | 0, i6 | 0);
       i11 = i18 + 244 | 0;
       set32(i11 | 0, (get32(i11 | 0) | 0) + 1 | 0);
       i11 = i18 + 240 | 0;
       if ((i9 | 0) >= (get32(i11 | 0) | 0)) set32(i11 | 0, i6 | 0);
       i20 = i15;
       i10 = 78;
       break L26;
      } while (0);
      do if (i19 >>> 0 <= 2147483390) {
       if (!(get32(50 * 4 | 0) | 0)) {
        i7 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i1) | 0;
        if (!i7) break; else {
         i21 = i7;
         i10 = 79;
         break L26;
        }
       }
       i7 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i1) | 0;
       set32(35 * 4 | 0, i1 | 0);
       if ((get32(45 * 4 | 0) | 0) < (i1 | 0)) set32(45 * 4 | 0, i1 | 0);
       i15 = get32(6 * 4 | 0) | 0;
       do if (i15) {
        i6 = get32(30 * 4 | 0) | 0;
        i11 = ((i6 | 0) < 0) << 31 >> 31;
        i9 = 16;
        i17 = _i64Subtract(get32(i9 | 0) | 0, get32(i9 + 4 | 0) | 0, i7 | 0, ((i7 | 0) < 0) << 31 >> 31 | 0) | 0;
        i9 = tempRet0;
        if ((i11 | 0) < (i9 | 0) | (i11 | 0) == (i9 | 0) & i6 >>> 0 < i17 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i17 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i15 & 15](i17, i6, i11, i7);
         set32(6 * 4 | 0, i15 | 0);
         set32(7 * 4 | 0, i17 | 0);
         break;
        }
       } while (0);
       i15 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i7) | 0;
       if (i15) {
        i17 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i15) | 0;
        i11 = (get32(30 * 4 | 0) | 0) + i17 | 0;
        set32(30 * 4 | 0, i11 | 0);
        if ((i11 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i11 | 0);
        i11 = get32(39 * 4 | 0) | 0;
        i17 = i11 + 1 | 0;
        set32(39 * 4 | 0, i17 | 0);
        if ((i11 | 0) < (get32(49 * 4 | 0) | 0)) {
         i21 = i15;
         i10 = 79;
         break L26;
        }
        set32(49 * 4 | 0, i17 | 0);
        i21 = i15;
        i10 = 79;
        break L26;
       }
      } while (0);
      set8(i12 >> 0 | 0, 1 | 0);
      i22 = 0;
     } else i22 = 0;
    } while (0);
    if ((i10 | 0) == 78) if (!i20) i22 = 0; else {
     i21 = i20;
     i10 = 79;
    }
    if ((i10 | 0) == 79) {
     _memcpy(i21 | 0, i3 | 0, i19 | 0) | 0;
     set8(i21 + i19 >> 0 | 0, 0 | 0);
     i22 = i21;
    }
    set32(i8 | 0, i22 | 0);
    set8(i2 >> 0 | 0, -1 | 0);
    return;
   }
  }
 }
 switch (i4 | 0) {
 case -10:
 case -6:
  return;
 default:
  {}
 }
 _freeP4(i5, i4, i3);
 return;
}

function _replaceFunc(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0;
 i2 = _sqlite3ValueText(get32(i3 | 0) | 0, 1) | 0;
 if (!i2) return;
 i4 = get32(i3 | 0) | 0;
 i5 = i4 + 28 | 0;
 i6 = get16(i5 | 0) | 0;
 if (!(i6 & 16)) if (!(_sqlite3ValueText(i4, 1) | 0)) i7 = 0; else {
  i8 = get16(i5 | 0) | 0;
  i9 = 5;
 } else {
  i8 = i6;
  i9 = 5;
 }
 if ((i9 | 0) == 5) {
  i6 = get32(i4 + 24 | 0) | 0;
  if (!(i8 & 16384)) i7 = i6; else i7 = (get32(i4 + 16 | 0) | 0) + i6 | 0;
 }
 i6 = i3 + 4 | 0;
 i4 = _sqlite3ValueText(get32(i6 | 0) | 0, 1) | 0;
 if (!i4) return;
 if (!(get8(i4 >> 0 | 0) | 0)) {
  _sqlite3_result_value(i1, get32(i3 | 0) | 0);
  return;
 }
 i8 = get32(i6 | 0) | 0;
 i6 = i8 + 28 | 0;
 i5 = get16(i6 | 0) | 0;
 if (!(i5 & 16)) if (!(_sqlite3ValueText(i8, 1) | 0)) i10 = 0; else {
  i11 = get16(i6 | 0) | 0;
  i9 = 13;
 } else {
  i11 = i5;
  i9 = 13;
 }
 if ((i9 | 0) == 13) {
  i5 = get32(i8 + 24 | 0) | 0;
  if (!(i11 & 16384)) i10 = i5; else i10 = (get32(i8 + 16 | 0) | 0) + i5 | 0;
 }
 i5 = i3 + 8 | 0;
 i3 = _sqlite3ValueText(get32(i5 | 0) | 0, 1) | 0;
 if (!i3) return;
 i8 = get32(i5 | 0) | 0;
 i5 = i8 + 28 | 0;
 i11 = get16(i5 | 0) | 0;
 if (!(i11 & 16)) if (!(_sqlite3ValueText(i8, 1) | 0)) i12 = 0; else {
  i13 = get16(i5 | 0) | 0;
  i9 = 19;
 } else {
  i13 = i11;
  i9 = 19;
 }
 if ((i9 | 0) == 19) {
  i11 = get32(i8 + 24 | 0) | 0;
  if (!(i13 & 16384)) i12 = i11; else i12 = (get32(i8 + 16 | 0) | 0) + i11 | 0;
 }
 i11 = i7 + 1 | 0;
 i8 = ((i11 | 0) < 0) << 31 >> 31;
 i13 = i1 + 8 | 0;
 if ((get32((get32(i13 | 0) | 0) + 72 | 0) | 0) < (i11 | 0)) {
  set32(i1 + 52 | 0, 18 | 0);
  _sqlite3VdbeMemSetStr(i1 + 8 | 0, 16620, -1, 1, 0) | 0;
  return;
 }
 do if (i7 >>> 0 <= 2147483390) {
  if (!(get32(50 * 4 | 0) | 0)) {
   i5 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i11) | 0;
   if (!i5) break; else i14 = i5;
  } else {
   i5 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i11) | 0;
   set32(35 * 4 | 0, i11 | 0);
   if ((get32(45 * 4 | 0) | 0) < (i11 | 0)) set32(45 * 4 | 0, i11 | 0);
   i6 = get32(6 * 4 | 0) | 0;
   do if (i6) {
    i15 = get32(30 * 4 | 0) | 0;
    i16 = ((i15 | 0) < 0) << 31 >> 31;
    i17 = 16;
    i18 = _i64Subtract(get32(i17 | 0) | 0, get32(i17 + 4 | 0) | 0, i5 | 0, ((i5 | 0) < 0) << 31 >> 31 | 0) | 0;
    i17 = tempRet0;
    if ((i16 | 0) < (i17 | 0) | (i16 | 0) == (i17 | 0) & i15 >>> 0 < i18 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i18 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i6 & 15](i18, i15, i16, i5);
     set32(6 * 4 | 0, i6 | 0);
     set32(7 * 4 | 0, i18 | 0);
     break;
    }
   } while (0);
   i6 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i5) | 0;
   if (!i6) break;
   i18 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i6) | 0;
   i16 = (get32(30 * 4 | 0) | 0) + i18 | 0;
   set32(30 * 4 | 0, i16 | 0);
   if ((i16 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i16 | 0);
   i16 = get32(39 * 4 | 0) | 0;
   i18 = i16 + 1 | 0;
   set32(39 * 4 | 0, i18 | 0);
   if ((i16 | 0) < (get32(49 * 4 | 0) | 0)) i14 = i6; else {
    set32(49 * 4 | 0, i18 | 0);
    i14 = i6;
   }
  }
  i6 = i7 - i10 | 0;
  L59 : do if ((i6 | 0) < 0) {
   i19 = 0;
   i20 = 0;
   i21 = i14;
  } else {
   i18 = i12 - i10 | 0;
   i16 = ((i18 | 0) < 0) << 31 >> 31;
   i15 = i10 + -1 | 0;
   i17 = i11;
   i22 = i8;
   i23 = 0;
   i24 = 0;
   i25 = i14;
   while (1) {
    i26 = i2 + i23 | 0;
    i27 = get8(i26 >> 0 | 0) | 0;
    if (i27 << 24 >> 24 == (get8(i4 >> 0 | 0) | 0) ? (_memcmp(i26, i4, i10) | 0) == 0 : 0) {
     i26 = get32(i13 | 0) | 0;
     i28 = _i64Add(i17 | 0, i22 | 0, i18 | 0, i16 | 0) | 0;
     i29 = tempRet0;
     i30 = _i64Add(i28 | 0, i29 | 0, -1, -1) | 0;
     i31 = tempRet0;
     i32 = get32(i26 + 72 | 0) | 0;
     i26 = ((i32 | 0) < 0) << 31 >> 31;
     if ((i31 | 0) > (i26 | 0) | (i31 | 0) == (i26 | 0) & i30 >>> 0 > i32 >>> 0) {
      i33 = i25;
      i9 = 52;
      break;
     }
     if (_sqlite3_initialize() | 0) {
      i34 = i25;
      break;
     }
     i32 = _sqlite3Realloc(i25, i28) | 0;
     if (!i32) {
      i34 = i25;
      break;
     }
     _memcpy(i32 + i24 | 0, i3 | 0, i12 | 0) | 0;
     i35 = i28;
     i36 = i29;
     i37 = i15 + i23 | 0;
     i38 = i24 + i12 | 0;
     i39 = i32;
    } else {
     set8(i25 + i24 >> 0 | 0, i27 | 0);
     i35 = i17;
     i36 = i22;
     i37 = i23;
     i38 = i24 + 1 | 0;
     i39 = i25;
    }
    i27 = i37 + 1 | 0;
    if ((i37 | 0) < (i6 | 0)) {
     i17 = i35;
     i22 = i36;
     i23 = i27;
     i24 = i38;
     i25 = i39;
    } else {
     i19 = i27;
     i20 = i38;
     i21 = i39;
     break L59;
    }
   }
   if ((i9 | 0) == 52) {
    set32(i1 + 52 | 0, 18 | 0);
    _sqlite3VdbeMemSetStr(i1 + 8 | 0, 16620, -1, 1, 0) | 0;
    if (!(get32(50 * 4 | 0) | 0)) {
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i33);
     return;
    }
    i25 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i33) | 0;
    i24 = (get32(30 * 4 | 0) | 0) - i25 | 0;
    set32(30 * 4 | 0, i24 | 0);
    if ((i24 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i24 | 0);
    i24 = (get32(39 * 4 | 0) | 0) + -1 | 0;
    set32(39 * 4 | 0, i24 | 0);
    if ((i24 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i24 | 0);
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i33);
    return;
   }
   i24 = i1 + 36 | 0;
   i25 = get16(i24 | 0) | 0;
   if (i25 & 64) {
    i23 = get32(i1 + 24 | 0) | 0;
    i22 = (get32(i23 | 0) | 0) + 172 | 0;
    set32(i23 + 60 | 0, get32(i22 | 0) | 0);
    set32(i22 | 0, i23 | 0);
   }
   if (!(i25 & 32)) i40 = i25; else {
    i23 = get32(i1 + 24 | 0) | 0;
    i22 = get32(i23 | 0) | 0;
    if (!i22) i41 = i25; else {
     i25 = i23 + 4 | 0;
     i17 = i22;
     do {
      i22 = i17;
      i17 = get32(i17 | 0) | 0;
      _sqlite3DbFree(get32(i25 | 0) | 0, i22);
     } while ((i17 | 0) != 0);
     i41 = get16(i24 | 0) | 0;
    }
    set32(i23 | 0, 0 | 0);
    set16(i23 + 24 | 0, 0 | 0);
    set32(i23 + 8 | 0, 0 | 0);
    set32(i23 + 12 | 0, 0 | 0);
    set32(i23 + 20 | 0, 0 | 0);
    set8(i23 + 26 >> 0 | 0, 1 | 0);
    i40 = i41;
   }
   set16(i24 | 0, i40 & 48896 | 1 | 0);
   set8(i1 + 38 >> 0 | 0, 5 | 0);
   set32(i1 + 52 | 0, 7 | 0);
   set8((get32(i13 | 0) | 0) + 30 >> 0 | 0, 1 | 0);
   if (!i34) return;
   if (!(get32(50 * 4 | 0) | 0)) {
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i34);
    return;
   }
   i17 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i34) | 0;
   i25 = (get32(30 * 4 | 0) | 0) - i17 | 0;
   set32(30 * 4 | 0, i25 | 0);
   if ((i25 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i25 | 0);
   i25 = (get32(39 * 4 | 0) | 0) + -1 | 0;
   set32(39 * 4 | 0, i25 | 0);
   if ((i25 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i25 | 0);
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i34);
   return;
  } while (0);
  i6 = i7 - i19 | 0;
  _memcpy(i21 + i20 | 0, i2 + i19 | 0, i6 | 0) | 0;
  i5 = i20 + i6 | 0;
  set8(i21 + i5 >> 0 | 0, 0 | 0);
  i6 = i1 + 8 | 0;
  if ((_sqlite3VdbeMemSetStr(i6, i21, i5, 1, 2) | 0) != 18) return;
  set32(i1 + 52 | 0, 18 | 0);
  _sqlite3VdbeMemSetStr(i6, 16620, -1, 1, 0) | 0;
  return;
 } while (0);
 i21 = i1 + 36 | 0;
 i20 = get16(i21 | 0) | 0;
 if (i20 & 64) {
  i19 = get32(i1 + 24 | 0) | 0;
  i2 = (get32(i19 | 0) | 0) + 172 | 0;
  set32(i19 + 60 | 0, get32(i2 | 0) | 0);
  set32(i2 | 0, i19 | 0);
 }
 if (!(i20 & 32)) i42 = i20; else {
  i19 = get32(i1 + 24 | 0) | 0;
  i2 = get32(i19 | 0) | 0;
  if (!i2) i43 = i20; else {
   i20 = i19 + 4 | 0;
   i7 = i2;
   do {
    i2 = i7;
    i7 = get32(i7 | 0) | 0;
    _sqlite3DbFree(get32(i20 | 0) | 0, i2);
   } while ((i7 | 0) != 0);
   i43 = get16(i21 | 0) | 0;
  }
  set32(i19 | 0, 0 | 0);
  set16(i19 + 24 | 0, 0 | 0);
  set32(i19 + 8 | 0, 0 | 0);
  set32(i19 + 12 | 0, 0 | 0);
  set32(i19 + 20 | 0, 0 | 0);
  set8(i19 + 26 >> 0 | 0, 1 | 0);
  i42 = i43;
 }
 set16(i21 | 0, i42 & 48896 | 1 | 0);
 set8(i1 + 38 >> 0 | 0, 5 | 0);
 set32(i1 + 52 | 0, 7 | 0);
 set8((get32(i13 | 0) | 0) + 30 >> 0 | 0, 1 | 0);
 return;
}

function _destroyRootPage(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i5 = i4;
 i6 = i1 + 12 | 0;
 i7 = get32(i6 | 0) | 0;
 do if (!i7) {
  i8 = get32(i1 | 0) | 0;
  L3 : do if (!i8) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i9 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
    i10 = 39;
    break;
   }
   i11 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
   set32(35 * 4 | 0, 192 | 0);
   if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
   i12 = get32(6 * 4 | 0) | 0;
   do if (i12) {
    i13 = get32(30 * 4 | 0) | 0;
    i14 = ((i13 | 0) < 0) << 31 >> 31;
    i15 = 16;
    i16 = _i64Subtract(get32(i15 | 0) | 0, get32(i15 + 4 | 0) | 0, i11 | 0, ((i11 | 0) < 0) << 31 >> 31 | 0) | 0;
    i15 = tempRet0;
    if ((i14 | 0) < (i15 | 0) | (i14 | 0) == (i15 | 0) & i13 >>> 0 < i16 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i16 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i12 & 15](i16, i13, i14, i11);
     set32(6 * 4 | 0, i12 | 0);
     set32(7 * 4 | 0, i16 | 0);
     break;
    }
   } while (0);
   i12 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i11) | 0;
   if (i12) {
    i16 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i12) | 0;
    i14 = (get32(30 * 4 | 0) | 0) + i16 | 0;
    set32(30 * 4 | 0, i14 | 0);
    if ((i14 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i14 | 0);
    i14 = get32(39 * 4 | 0) | 0;
    i16 = i14 + 1 | 0;
    set32(39 * 4 | 0, i16 | 0);
    if ((i14 | 0) < (get32(49 * 4 | 0) | 0)) i17 = i12; else {
     set32(49 * 4 | 0, i16 | 0);
     i17 = i12;
    }
   } else i10 = 40;
  } else {
   i12 = i8 + 30 | 0;
   if (!(get8(i12 >> 0 | 0) | 0)) {
    do if (get8(i8 + 234 >> 0 | 0) | 0) {
     if ((getU16(i8 + 232 | 0) | 0) < 192) {
      i16 = i8 + 248 | 0;
      set32(i16 | 0, (get32(i16 | 0) | 0) + 1 | 0);
      break;
     }
     i16 = i8 + 256 | 0;
     i14 = get32(i16 | 0) | 0;
     if (!i14) {
      i13 = i8 + 252 | 0;
      set32(i13 | 0, (get32(i13 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i16 | 0, get32(i14 | 0) | 0);
     i16 = i8 + 236 | 0;
     i13 = get32(i16 | 0) | 0;
     i15 = i13 + 1 | 0;
     set32(i16 | 0, i15 | 0);
     i16 = i8 + 244 | 0;
     set32(i16 | 0, (get32(i16 | 0) | 0) + 1 | 0);
     i16 = i8 + 240 | 0;
     if ((i13 | 0) >= (get32(i16 | 0) | 0)) set32(i16 | 0, i15 | 0);
     i9 = i14;
     i10 = 39;
     break L3;
    } while (0);
    if (!(get32(50 * 4 | 0) | 0)) {
     i11 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
     if (i11) {
      i17 = i11;
      break;
     }
    } else {
     i11 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
     set32(35 * 4 | 0, 192 | 0);
     if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
     i14 = get32(6 * 4 | 0) | 0;
     do if (i14) {
      i15 = get32(30 * 4 | 0) | 0;
      i16 = ((i15 | 0) < 0) << 31 >> 31;
      i13 = 16;
      i18 = _i64Subtract(get32(i13 | 0) | 0, get32(i13 + 4 | 0) | 0, i11 | 0, ((i11 | 0) < 0) << 31 >> 31 | 0) | 0;
      i13 = tempRet0;
      if ((i16 | 0) < (i13 | 0) | (i16 | 0) == (i13 | 0) & i15 >>> 0 < i18 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i18 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i14 & 15](i18, i15, i16, i11);
       set32(6 * 4 | 0, i14 | 0);
       set32(7 * 4 | 0, i18 | 0);
       break;
      }
     } while (0);
     i14 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i11) | 0;
     if (i14) {
      i18 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i14) | 0;
      i16 = (get32(30 * 4 | 0) | 0) + i18 | 0;
      set32(30 * 4 | 0, i16 | 0);
      if ((i16 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i16 | 0);
      i16 = get32(39 * 4 | 0) | 0;
      i18 = i16 + 1 | 0;
      set32(39 * 4 | 0, i18 | 0);
      if ((i16 | 0) < (get32(49 * 4 | 0) | 0)) {
       i17 = i14;
       break;
      }
      set32(49 * 4 | 0, i18 | 0);
      i17 = i14;
      break;
     }
    }
    set8(i12 >> 0 | 0, 1 | 0);
    i10 = 40;
   } else i10 = 40;
  } while (0);
  if ((i10 | 0) == 39) if (!i9) i10 = 40; else i17 = i9;
  if ((i10 | 0) == 40) {
   set32(i6 | 0, 0 | 0);
   i19 = 0;
   break;
  }
  _memset(i17 | 0, 0, 192) | 0;
  set32(i17 | 0, i8 | 0);
  i14 = i8 + 136 | 0;
  i18 = get32(i14 | 0) | 0;
  if (i18) set32(i18 + 60 | 0, i17 | 0);
  set32(i17 + 64 | 0, i18 | 0);
  set32(i17 + 60 | 0, 0 | 0);
  set32(i14 | 0, i17 | 0);
  set32(i17 + 52 | 0, 649915045 | 0);
  set32(i6 | 0, i17 | 0);
  i14 = i17 + 28 | 0;
  i18 = i17 + 32 | 0;
  i16 = i17 + 4 | 0;
  i15 = _sqlite3DbRealloc(i8, 0, 1020) | 0;
  if (!i15) i19 = i17; else {
   i13 = get32(i17 | 0) | 0;
   if (((i13 | 0) != 0 ? (get32(i13 + 260 | 0) | 0) >>> 0 <= i15 >>> 0 : 0) ? (get32(i13 + 264 | 0) | 0) >>> 0 > i15 >>> 0 : 0) i20 = getU16(i13 + 232 | 0) | 0; else i20 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i15) | 0;
   set32(i18 | 0, (i20 >>> 0) / 20 | 0 | 0);
   set32(i16 | 0, i15 | 0);
   set32(i14 | 0, (get32(i14 | 0) | 0) + 1 | 0);
   set8(i15 >> 0 | 0, -120 | 0);
   set8(i15 + 1 >> 0 | 0, 0 | 0);
   i14 = i15 + 3 | 0;
   i15 = i14 + 17 | 0;
   do {
    set8(i14 >> 0 | 0, 0 | 0);
    i14 = i14 + 1 | 0;
   } while ((i14 | 0) < (i15 | 0));
   i19 = i17;
  }
 } else i19 = i7; while (0);
 i7 = i1 + 21 | 0;
 i17 = get8(i7 >> 0 | 0) | 0;
 if (!(i17 << 24 >> 24)) {
  i20 = i1 + 72 | 0;
  i6 = (get32(i20 | 0) | 0) + 1 | 0;
  set32(i20 | 0, i6 | 0);
  i21 = i6;
 } else {
  i6 = i17 + -1 << 24 >> 24;
  set8(i7 >> 0 | 0, i6 | 0);
  i21 = get32(i1 + 24 + ((i6 & 255) << 2) | 0) | 0;
 }
 i6 = i19 + 28 | 0;
 i17 = get32(i6 | 0) | 0;
 i20 = i19 + 32 | 0;
 i9 = get32(i20 | 0) | 0;
 if ((i9 | 0) <= (i17 | 0)) {
  i14 = i19 + 4 | 0;
  i15 = _sqlite3DbRealloc(get32(i19 | 0) | 0, get32(i14 | 0) | 0, (i9 | 0) == 0 ? 1020 : i9 * 40 | 0) | 0;
  if (i15) {
   i9 = get32(i19 | 0) | 0;
   if (((i9 | 0) != 0 ? (get32(i9 + 260 | 0) | 0) >>> 0 <= i15 >>> 0 : 0) ? (get32(i9 + 264 | 0) | 0) >>> 0 > i15 >>> 0 : 0) i22 = getU16(i9 + 232 | 0) | 0; else i22 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i15) | 0;
   set32(i20 | 0, (i22 >>> 0) / 20 | 0 | 0);
   set32(i14 | 0, i15 | 0);
   i23 = get32(i6 | 0) | 0;
   i24 = i15;
   i10 = 62;
  }
 } else {
  i23 = i17;
  i24 = get32(i19 + 4 | 0) | 0;
  i10 = 62;
 }
 if ((i10 | 0) == 62) {
  set32(i6 | 0, i23 + 1 | 0);
  set8(i24 + (i17 * 20 | 0) >> 0 | 0, 95 | 0);
  set8(i24 + (i17 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i24 + (i17 * 20 | 0) + 4 | 0, i2 | 0);
  set32(i24 + (i17 * 20 | 0) + 8 | 0, i21 | 0);
  set32(i24 + (i17 * 20 | 0) + 12 | 0, i3 | 0);
  set32(i24 + (i17 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i24 + (i17 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
 }
 i17 = get32(i1 + 424 | 0) | 0;
 set8(((i17 | 0) == 0 ? i1 : i17) + 345 >> 0 | 0, 1 | 0);
 set32(i5 | 0, get32((get32((get32(i1 | 0) | 0) + 8 | 0) | 0) + (i3 << 4) | 0) | 0);
 set32(i5 + 4 | 0, ((i3 | 0) == 1 ? 21655 : 21674) | 0);
 set32(i5 + 8 | 0, i2 | 0);
 set32(i5 + 12 | 0, i21 | 0);
 set32(i5 + 16 | 0, i21 | 0);
 _sqlite3NestedParse(i1, 31845, i5);
 if (!i21) {
  STACKTOP = i4;
  return;
 }
 i5 = get8(i7 >> 0 | 0) | 0;
 if ((i5 & 255) >= 8) {
  STACKTOP = i4;
  return;
 }
 if ((get32(i1 + 112 | 0) | 0) != (i21 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i21 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i21 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i21 | 0)) if ((get32(i1 + 208 | 0) | 0) != (i21 | 0)) if ((get32(i1 + 232 | 0) | 0) != (i21 | 0)) if ((get32(i1 + 256 | 0) | 0) != (i21 | 0)) if ((get32(i1 + 280 | 0) | 0) != (i21 | 0)) if ((get32(i1 + 304 | 0) | 0) != (i21 | 0)) if ((get32(i1 + 328 | 0) | 0) == (i21 | 0)) i25 = i1 + 312 | 0; else {
  set8(i7 >> 0 | 0, i5 + 1 << 24 >> 24 | 0);
  set32(i1 + 24 + ((i5 & 255) << 2) | 0, i21 | 0);
  STACKTOP = i4;
  return;
 } else i25 = i1 + 288 | 0; else i25 = i1 + 264 | 0; else i25 = i1 + 240 | 0; else i25 = i1 + 216 | 0; else i25 = i1 + 192 | 0; else i25 = i1 + 168 | 0; else i25 = i1 + 144 | 0; else i25 = i1 + 120 | 0; else i25 = i1 + 96 | 0;
 set8(i25 + 8 >> 0 | 0, 1 | 0);
 STACKTOP = i4;
 return;
}

function _sqlite3CodeRowTriggerDirect(i1, i2, i3, i4, i5, i6) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 var i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0;
 i7 = i1 + 12 | 0;
 i8 = get32(i7 | 0) | 0;
 do if (!i8) {
  i9 = get32(i1 | 0) | 0;
  L3 : do if (!i9) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i10 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
    i11 = 39;
    break;
   }
   i12 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
   set32(35 * 4 | 0, 192 | 0);
   if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
   i13 = get32(6 * 4 | 0) | 0;
   do if (i13) {
    i14 = get32(30 * 4 | 0) | 0;
    i15 = ((i14 | 0) < 0) << 31 >> 31;
    i16 = 16;
    i17 = _i64Subtract(get32(i16 | 0) | 0, get32(i16 + 4 | 0) | 0, i12 | 0, ((i12 | 0) < 0) << 31 >> 31 | 0) | 0;
    i16 = tempRet0;
    if ((i15 | 0) < (i16 | 0) | (i15 | 0) == (i16 | 0) & i14 >>> 0 < i17 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i17 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i13 & 15](i17, i14, i15, i12);
     set32(6 * 4 | 0, i13 | 0);
     set32(7 * 4 | 0, i17 | 0);
     break;
    }
   } while (0);
   i13 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i12) | 0;
   if (i13) {
    i17 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i13) | 0;
    i15 = (get32(30 * 4 | 0) | 0) + i17 | 0;
    set32(30 * 4 | 0, i15 | 0);
    if ((i15 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i15 | 0);
    i15 = get32(39 * 4 | 0) | 0;
    i17 = i15 + 1 | 0;
    set32(39 * 4 | 0, i17 | 0);
    if ((i15 | 0) < (get32(49 * 4 | 0) | 0)) i18 = i13; else {
     set32(49 * 4 | 0, i17 | 0);
     i18 = i13;
    }
   } else i11 = 40;
  } else {
   i13 = i9 + 30 | 0;
   if (!(get8(i13 >> 0 | 0) | 0)) {
    do if (get8(i9 + 234 >> 0 | 0) | 0) {
     if ((getU16(i9 + 232 | 0) | 0) < 192) {
      i17 = i9 + 248 | 0;
      set32(i17 | 0, (get32(i17 | 0) | 0) + 1 | 0);
      break;
     }
     i17 = i9 + 256 | 0;
     i15 = get32(i17 | 0) | 0;
     if (!i15) {
      i14 = i9 + 252 | 0;
      set32(i14 | 0, (get32(i14 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i17 | 0, get32(i15 | 0) | 0);
     i17 = i9 + 236 | 0;
     i14 = get32(i17 | 0) | 0;
     i16 = i14 + 1 | 0;
     set32(i17 | 0, i16 | 0);
     i17 = i9 + 244 | 0;
     set32(i17 | 0, (get32(i17 | 0) | 0) + 1 | 0);
     i17 = i9 + 240 | 0;
     if ((i14 | 0) >= (get32(i17 | 0) | 0)) set32(i17 | 0, i16 | 0);
     i10 = i15;
     i11 = 39;
     break L3;
    } while (0);
    if (!(get32(50 * 4 | 0) | 0)) {
     i12 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
     if (i12) {
      i18 = i12;
      break;
     }
    } else {
     i12 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
     set32(35 * 4 | 0, 192 | 0);
     if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
     i15 = get32(6 * 4 | 0) | 0;
     do if (i15) {
      i16 = get32(30 * 4 | 0) | 0;
      i17 = ((i16 | 0) < 0) << 31 >> 31;
      i14 = 16;
      i19 = _i64Subtract(get32(i14 | 0) | 0, get32(i14 + 4 | 0) | 0, i12 | 0, ((i12 | 0) < 0) << 31 >> 31 | 0) | 0;
      i14 = tempRet0;
      if ((i17 | 0) < (i14 | 0) | (i17 | 0) == (i14 | 0) & i16 >>> 0 < i19 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i19 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i15 & 15](i19, i16, i17, i12);
       set32(6 * 4 | 0, i15 | 0);
       set32(7 * 4 | 0, i19 | 0);
       break;
      }
     } while (0);
     i15 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i12) | 0;
     if (i15) {
      i19 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i15) | 0;
      i17 = (get32(30 * 4 | 0) | 0) + i19 | 0;
      set32(30 * 4 | 0, i17 | 0);
      if ((i17 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i17 | 0);
      i17 = get32(39 * 4 | 0) | 0;
      i19 = i17 + 1 | 0;
      set32(39 * 4 | 0, i19 | 0);
      if ((i17 | 0) < (get32(49 * 4 | 0) | 0)) {
       i18 = i15;
       break;
      }
      set32(49 * 4 | 0, i19 | 0);
      i18 = i15;
      break;
     }
    }
    set8(i13 >> 0 | 0, 1 | 0);
    i11 = 40;
   } else i11 = 40;
  } while (0);
  if ((i11 | 0) == 39) if (!i10) i11 = 40; else i18 = i10;
  if ((i11 | 0) == 40) {
   set32(i7 | 0, 0 | 0);
   i20 = 0;
   break;
  }
  _memset(i18 | 0, 0, 192) | 0;
  set32(i18 | 0, i9 | 0);
  i15 = i9 + 136 | 0;
  i19 = get32(i15 | 0) | 0;
  if (i19) set32(i19 + 60 | 0, i18 | 0);
  set32(i18 + 64 | 0, i19 | 0);
  set32(i18 + 60 | 0, 0 | 0);
  set32(i15 | 0, i18 | 0);
  set32(i18 + 52 | 0, 649915045 | 0);
  set32(i7 | 0, i18 | 0);
  i15 = i18 + 28 | 0;
  i19 = i18 + 32 | 0;
  i17 = i18 + 4 | 0;
  i16 = _sqlite3DbRealloc(i9, 0, 1020) | 0;
  if (!i16) i20 = i18; else {
   i14 = get32(i18 | 0) | 0;
   if (((i14 | 0) != 0 ? (get32(i14 + 260 | 0) | 0) >>> 0 <= i16 >>> 0 : 0) ? (get32(i14 + 264 | 0) | 0) >>> 0 > i16 >>> 0 : 0) i21 = getU16(i14 + 232 | 0) | 0; else i21 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i16) | 0;
   set32(i19 | 0, (i21 >>> 0) / 20 | 0 | 0);
   set32(i17 | 0, i16 | 0);
   set32(i15 | 0, (get32(i15 | 0) | 0) + 1 | 0);
   set8(i16 >> 0 | 0, -120 | 0);
   set8(i16 + 1 >> 0 | 0, 0 | 0);
   i15 = i16 + 3 | 0;
   i16 = i15 + 17 | 0;
   do {
    set8(i15 >> 0 | 0, 0 | 0);
    i15 = i15 + 1 | 0;
   } while ((i15 | 0) < (i16 | 0));
   i20 = i18;
  }
 } else i20 = i8; while (0);
 i8 = get32(i1 + 424 | 0) | 0;
 i18 = get32(((i8 | 0) == 0 ? i1 : i8) + 548 | 0) | 0;
 L71 : do if (!i18) i11 = 54; else {
  i8 = i18;
  while (1) {
   if ((get32(i8 | 0) | 0) == (i2 | 0) ? (get32(i8 + 4 | 0) | 0) == (i5 | 0) : 0) {
    i22 = i8;
    break L71;
   }
   i8 = get32(i8 + 20 | 0) | 0;
   if (!i8) {
    i11 = 54;
    break;
   }
  }
 } while (0);
 if ((i11 | 0) == 54) {
  i18 = _codeRowTrigger(i1, i2, i3, i5) | 0;
  if (!i18) return; else i22 = i18;
 }
 if (!(get32(i2 | 0) | 0)) i23 = 0; else i23 = ((get32((get32(i1 | 0) | 0) + 12 | 0) | 0) >>> 25 & 1 ^ 1) & 255;
 i2 = i1 + 72 | 0;
 i1 = (get32(i2 | 0) | 0) + 1 | 0;
 set32(i2 | 0, i1 | 0);
 i2 = i20 + 28 | 0;
 i18 = get32(i2 | 0) | 0;
 i5 = i20 + 32 | 0;
 i3 = get32(i5 | 0) | 0;
 if ((i3 | 0) <= (i18 | 0)) {
  i8 = i20 + 4 | 0;
  i21 = _sqlite3DbRealloc(get32(i20 | 0) | 0, get32(i8 | 0) | 0, (i3 | 0) == 0 ? 1020 : i3 * 40 | 0) | 0;
  if (!i21) {
   i24 = i20;
   i25 = i8;
  } else {
   i3 = get32(i20 | 0) | 0;
   if (((i3 | 0) != 0 ? (get32(i3 + 260 | 0) | 0) >>> 0 <= i21 >>> 0 : 0) ? (get32(i3 + 264 | 0) | 0) >>> 0 > i21 >>> 0 : 0) i26 = getU16(i3 + 232 | 0) | 0; else i26 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i21) | 0;
   set32(i5 | 0, (i26 >>> 0) / 20 | 0 | 0);
   set32(i8 | 0, i21 | 0);
   i27 = i8;
   i28 = i20;
   i29 = get32(i2 | 0) | 0;
   i30 = i21;
   i11 = 66;
  }
 } else {
  i21 = i20 + 4 | 0;
  i27 = i21;
  i28 = i20;
  i29 = i18;
  i30 = get32(i21 | 0) | 0;
  i11 = 66;
 }
 if ((i11 | 0) == 66) {
  set32(i2 | 0, i29 + 1 | 0);
  set8(i30 + (i18 * 20 | 0) >> 0 | 0, 108 | 0);
  set8(i30 + (i18 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i30 + (i18 * 20 | 0) + 4 | 0, i4 | 0);
  set32(i30 + (i18 * 20 | 0) + 8 | 0, i6 | 0);
  set32(i30 + (i18 * 20 | 0) + 12 | 0, i1 | 0);
  set32(i30 + (i18 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i30 + (i18 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  i24 = i28;
  i25 = i27;
 }
 i27 = get32(i22 + 8 | 0) | 0;
 i22 = get32(i24 | 0) | 0;
 i24 = get32(i25 | 0) | 0;
 if (!i24) return;
 do if (!(get8(i22 + 30 >> 0 | 0) | 0)) {
  i28 = (get32(i2 | 0) | 0) + -1 | 0;
  i18 = i24 + (i28 * 20 | 0) + 1 | 0;
  i30 = i24 + (i28 * 20 | 0) + 16 | 0;
  _freeP4(i22, get8(i18 >> 0 | 0) | 0, get32(i30 | 0) | 0);
  set32(i30 | 0, 0 | 0);
  if (!i27) {
   set32(i30 | 0, 0 | 0);
   set8(i18 >> 0 | 0, 0 | 0);
   break;
  } else {
   set32(i30 | 0, i27 | 0);
   set8(i18 >> 0 | 0, -18 | 0);
   break;
  }
 } while (0);
 i27 = get32(i25 | 0) | 0;
 if (!i27) return;
 set8(i27 + (((get32(i2 | 0) | 0) + -1 | 0) * 20 | 0) + 3 >> 0 | 0, i23 | 0);
 return;
}

function _trimFunc(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0;
 i4 = get32(i3 | 0) | 0;
 if ((get8(i4 + 30 >> 0 | 0) | 0) == 5) return;
 i5 = _sqlite3ValueText(i4, 1) | 0;
 if (!i5) return;
 i4 = get32(i3 | 0) | 0;
 i6 = i4 + 28 | 0;
 i7 = get16(i6 | 0) | 0;
 if (!(i7 & 16)) if (!(_sqlite3ValueText(i4, 1) | 0)) i8 = 0; else {
  i9 = get16(i6 | 0) | 0;
  i10 = 6;
 } else {
  i9 = i7;
  i10 = 6;
 }
 if ((i10 | 0) == 6) {
  i7 = get32(i4 + 24 | 0) | 0;
  if (!(i9 & 16384)) i8 = i7; else i8 = (get32(i4 + 16 | 0) | 0) + i7 | 0;
 }
 L14 : do if ((i2 | 0) != 1) {
  i7 = _sqlite3ValueText(get32(i3 + 4 | 0) | 0, 1) | 0;
  if (!i7) return;
  i4 = get8(i7 >> 0 | 0) | 0;
  if (i4 << 24 >> 24) {
   i9 = i4;
   i4 = 0;
   i6 = i7;
   while (1) {
    i11 = i6 + 1 | 0;
    if ((i9 & 255) > 191) {
     i12 = i11;
     while (1) {
      i13 = get8(i12 >> 0 | 0) | 0;
      if ((i13 & -64) << 24 >> 24 == -128) i12 = i12 + 1 | 0; else {
       i14 = i13;
       i15 = i12;
       break;
      }
     }
    } else {
     i14 = get8(i11 >> 0 | 0) | 0;
     i15 = i11;
    }
    i12 = i4 + 1 | 0;
    if (!(i14 << 24 >> 24)) {
     i16 = i12;
     i17 = i4;
     break;
    } else {
     i9 = i14;
     i4 = i12;
     i6 = i15;
    }
   }
   if ((i17 | 0) > -1) {
    i6 = ___muldi3(i16 | 0, ((i16 | 0) < 0) << 31 >> 31 | 0, 5, 0) | 0;
    i4 = tempRet0;
    i9 = i1 + 8 | 0;
    i12 = get32((get32(i9 | 0) | 0) + 72 | 0) | 0;
    i13 = ((i12 | 0) < 0) << 31 >> 31;
    if ((i13 | 0) < (i4 | 0) | (i13 | 0) == (i4 | 0) & i12 >>> 0 < i6 >>> 0) {
     set32(i1 + 52 | 0, 18 | 0);
     _sqlite3VdbeMemSetStr(i1 + 8 | 0, 16620, -1, 1, 0) | 0;
     return;
    }
    do if ((i6 + -1 | 0) >>> 0 <= 2147483390) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i12 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i6) | 0;
      if (!i12) break; else i18 = i12;
     } else {
      i12 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i6) | 0;
      set32(35 * 4 | 0, i6 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i6 | 0)) set32(45 * 4 | 0, i6 | 0);
      i4 = get32(6 * 4 | 0) | 0;
      do if (i4) {
       i13 = get32(30 * 4 | 0) | 0;
       i19 = ((i13 | 0) < 0) << 31 >> 31;
       i20 = 16;
       i21 = _i64Subtract(get32(i20 | 0) | 0, get32(i20 + 4 | 0) | 0, i12 | 0, ((i12 | 0) < 0) << 31 >> 31 | 0) | 0;
       i20 = tempRet0;
       if ((i19 | 0) < (i20 | 0) | (i19 | 0) == (i20 | 0) & i13 >>> 0 < i21 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i21 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i4 & 15](i21, i13, i19, i12);
        set32(6 * 4 | 0, i4 | 0);
        set32(7 * 4 | 0, i21 | 0);
        break;
       }
      } while (0);
      i4 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i12) | 0;
      if (!i4) break;
      i11 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i4) | 0;
      i21 = (get32(30 * 4 | 0) | 0) + i11 | 0;
      set32(30 * 4 | 0, i21 | 0);
      if ((i21 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i21 | 0);
      i21 = get32(39 * 4 | 0) | 0;
      i11 = i21 + 1 | 0;
      set32(39 * 4 | 0, i11 | 0);
      if ((i21 | 0) < (get32(49 * 4 | 0) | 0)) i18 = i4; else {
       set32(49 * 4 | 0, i11 | 0);
       i18 = i4;
      }
     }
     i4 = i18 + (i16 << 2) | 0;
     if (!(get8(i7 >> 0 | 0) | 0)) {
      i22 = i8;
      i23 = i5;
      break L14;
     } else {
      i24 = i7;
      i25 = 0;
     }
     while (1) {
      set32(i18 + (i25 << 2) | 0, i24 | 0);
      i11 = i24 + 1 | 0;
      if ((getU8(i24 >> 0 | 0) | 0) > 191) {
       i21 = i11;
       while (1) if ((get8(i21 >> 0 | 0) & -64) << 24 >> 24 == -128) i21 = i21 + 1 | 0; else {
        i26 = i21;
        break;
       }
      } else i26 = i11;
      set8(i4 + i25 >> 0 | 0, i26 - i24 | 0);
      i21 = i25 + 1 | 0;
      if (!(get8(i26 >> 0 | 0) | 0)) {
       i27 = i21;
       i28 = i25;
       break;
      } else {
       i24 = i26;
       i25 = i21;
      }
     }
     if ((i28 | 0) > -1) {
      i29 = i4;
      i30 = i18;
      i31 = i27;
      i32 = i7;
      i10 = 46;
      break L14;
     } else {
      i22 = i8;
      i23 = i5;
      break L14;
     }
    } while (0);
    i7 = i1 + 36 | 0;
    i6 = get16(i7 | 0) | 0;
    if (i6 & 64) {
     i12 = get32(i1 + 24 | 0) | 0;
     i21 = (get32(i12 | 0) | 0) + 172 | 0;
     set32(i12 + 60 | 0, get32(i21 | 0) | 0);
     set32(i21 | 0, i12 | 0);
    }
    if (!(i6 & 32)) i33 = i6; else {
     i12 = get32(i1 + 24 | 0) | 0;
     i21 = get32(i12 | 0) | 0;
     if (!i21) i34 = i6; else {
      i6 = i12 + 4 | 0;
      i19 = i21;
      do {
       i21 = i19;
       i19 = get32(i19 | 0) | 0;
       _sqlite3DbFree(get32(i6 | 0) | 0, i21);
      } while ((i19 | 0) != 0);
      i34 = get16(i7 | 0) | 0;
     }
     set32(i12 | 0, 0 | 0);
     set16(i12 + 24 | 0, 0 | 0);
     set32(i12 + 8 | 0, 0 | 0);
     set32(i12 + 12 | 0, 0 | 0);
     set32(i12 + 20 | 0, 0 | 0);
     set8(i12 + 26 >> 0 | 0, 1 | 0);
     i33 = i34;
    }
    set16(i7 | 0, i33 & 48896 | 1 | 0);
    set8(i1 + 38 >> 0 | 0, 5 | 0);
    set32(i1 + 52 | 0, 7 | 0);
    set8((get32(i9 | 0) | 0) + 30 >> 0 | 0, 1 | 0);
    return;
   } else {
    i22 = i8;
    i23 = i5;
   }
  } else {
   i22 = i8;
   i23 = i5;
  }
 } else {
  i29 = 37916;
  i30 = 5176;
  i31 = 1;
  i32 = 0;
  i10 = 46;
 } while (0);
 do if ((i10 | 0) == 46) {
  i33 = get32((get32(i1 | 0) | 0) + 4 | 0) | 0;
  L75 : do if ((i8 | 0) > 0 & (i33 & 1 | 0) != 0) {
   i34 = i8;
   i27 = i5;
   while (1) {
    i18 = 0;
    while (1) {
     i28 = getU8(i29 + i18 >> 0 | 0) | 0;
     if ((i34 | 0) >= (i28 | 0) ? (_memcmp(i27, get32(i30 + (i18 << 2) | 0) | 0, i28) | 0) == 0 : 0) {
      i35 = i28;
      break;
     }
     i18 = i18 + 1 | 0;
     if ((i18 | 0) >= (i31 | 0)) {
      i36 = i34;
      i37 = i27;
      i10 = 52;
      break L75;
     }
    }
    i18 = i27 + i35 | 0;
    i11 = i34 - i35 | 0;
    if ((i11 | 0) > 0) {
     i34 = i11;
     i27 = i18;
    } else {
     i38 = i11;
     i39 = i18;
     break;
    }
   }
  } else {
   i36 = i8;
   i37 = i5;
   i10 = 52;
  } while (0);
  L84 : do if ((i10 | 0) == 52) if ((i33 & 2 | 0) != 0 & (i36 | 0) > 0) {
   i9 = (i31 | 0) > 0;
   i7 = i36;
   while (1) {
    if (i9) i40 = 0; else {
     i38 = i7;
     i39 = i37;
     break L84;
    }
    while (1) {
     i12 = getU8(i29 + i40 >> 0 | 0) | 0;
     if ((i7 | 0) >= (i12 | 0) ? (i27 = i7 - i12 | 0, (_memcmp(i37 + i27 | 0, get32(i30 + (i40 << 2) | 0) | 0, i12) | 0) == 0) : 0) {
      i41 = i27;
      break;
     }
     i40 = i40 + 1 | 0;
     if ((i40 | 0) >= (i31 | 0)) {
      i38 = i7;
      i39 = i37;
      break L84;
     }
    }
    if ((i41 | 0) > 0) i7 = i41; else {
     i38 = i41;
     i39 = i37;
     break;
    }
   }
  } else {
   i38 = i36;
   i39 = i37;
  } while (0);
  if ((i32 | 0) != 0 ? (i30 | 0) != 0 : 0) {
   if (!(get32(50 * 4 | 0) | 0)) {
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i30);
    i22 = i38;
    i23 = i39;
    break;
   }
   i33 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i30) | 0;
   i7 = (get32(30 * 4 | 0) | 0) - i33 | 0;
   set32(30 * 4 | 0, i7 | 0);
   if ((i7 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i7 | 0);
   i7 = (get32(39 * 4 | 0) | 0) + -1 | 0;
   set32(39 * 4 | 0, i7 | 0);
   if ((i7 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i7 | 0);
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i30);
   i22 = i38;
   i23 = i39;
  } else {
   i22 = i38;
   i23 = i39;
  }
 } while (0);
 i39 = i1 + 8 | 0;
 if ((_sqlite3VdbeMemSetStr(i39, i23, i22, 1, -1) | 0) != 18) return;
 set32(i1 + 52 | 0, 18 | 0);
 _sqlite3VdbeMemSetStr(i39, 16620, -1, 1, 0) | 0;
 return;
}

function _exprDup(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i6 = i5;
 if (!i2) {
  i7 = 0;
  STACKTOP = i5;
  return i7 | 0;
 }
 i8 = i3 & 1;
 i9 = (i4 | 0) != 0;
 L4 : do if (i9) {
  i10 = 16384;
  i11 = get32(i4 | 0) | 0;
  i12 = 45;
 } else {
  i13 = _dupedExprSize(i2, i3) | 0;
  L7 : do if (!i1) {
   if ((i13 + -1 | 0) >>> 0 <= 2147483390) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i10 = 0;
     i11 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i13) | 0;
     i12 = 45;
     break L4;
    }
    i14 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i13) | 0;
    set32(35 * 4 | 0, i13 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i13 | 0)) set32(45 * 4 | 0, i13 | 0);
    i15 = get32(6 * 4 | 0) | 0;
    do if (i15) {
     i16 = get32(30 * 4 | 0) | 0;
     i17 = ((i16 | 0) < 0) << 31 >> 31;
     i18 = 16;
     i19 = _i64Subtract(get32(i18 | 0) | 0, get32(i18 + 4 | 0) | 0, i14 | 0, ((i14 | 0) < 0) << 31 >> 31 | 0) | 0;
     i18 = tempRet0;
     if ((i17 | 0) < (i18 | 0) | (i17 | 0) == (i18 | 0) & i16 >>> 0 < i19 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i19 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i15 & 15](i19, i16, i17, i14);
      set32(6 * 4 | 0, i15 | 0);
      set32(7 * 4 | 0, i19 | 0);
      break;
     }
    } while (0);
    i15 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i14) | 0;
    if (i15) {
     i19 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i15) | 0;
     i17 = (get32(30 * 4 | 0) | 0) + i19 | 0;
     set32(30 * 4 | 0, i17 | 0);
     if ((i17 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i17 | 0);
     i17 = get32(39 * 4 | 0) | 0;
     i19 = i17 + 1 | 0;
     set32(39 * 4 | 0, i19 | 0);
     if ((i17 | 0) < (get32(49 * 4 | 0) | 0)) {
      i20 = i15;
      i12 = 44;
     } else {
      set32(49 * 4 | 0, i19 | 0);
      i20 = i15;
      i12 = 44;
     }
    }
   }
  } else {
   i15 = i1 + 30 | 0;
   if (!(get8(i15 >> 0 | 0) | 0)) {
    do if (get8(i1 + 234 >> 0 | 0) | 0) {
     if ((getU16(i1 + 232 | 0) | 0) < (i13 | 0)) {
      i19 = i1 + 248 | 0;
      set32(i19 | 0, (get32(i19 | 0) | 0) + 1 | 0);
      break;
     }
     i19 = i1 + 256 | 0;
     i17 = get32(i19 | 0) | 0;
     if (!i17) {
      i16 = i1 + 252 | 0;
      set32(i16 | 0, (get32(i16 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i19 | 0, get32(i17 | 0) | 0);
     i19 = i1 + 236 | 0;
     i16 = get32(i19 | 0) | 0;
     i18 = i16 + 1 | 0;
     set32(i19 | 0, i18 | 0);
     i19 = i1 + 244 | 0;
     set32(i19 | 0, (get32(i19 | 0) | 0) + 1 | 0);
     i19 = i1 + 240 | 0;
     if ((i16 | 0) >= (get32(i19 | 0) | 0)) set32(i19 | 0, i18 | 0);
     i10 = 0;
     i11 = i17;
     i12 = 45;
     break L4;
    } while (0);
    do if ((i13 + -1 | 0) >>> 0 <= 2147483390) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i14 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i13) | 0;
      if (!i14) break; else {
       i20 = i14;
       i12 = 44;
       break L7;
      }
     }
     i14 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i13) | 0;
     set32(35 * 4 | 0, i13 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i13 | 0)) set32(45 * 4 | 0, i13 | 0);
     i17 = get32(6 * 4 | 0) | 0;
     do if (i17) {
      i18 = get32(30 * 4 | 0) | 0;
      i19 = ((i18 | 0) < 0) << 31 >> 31;
      i16 = 16;
      i21 = _i64Subtract(get32(i16 | 0) | 0, get32(i16 + 4 | 0) | 0, i14 | 0, ((i14 | 0) < 0) << 31 >> 31 | 0) | 0;
      i16 = tempRet0;
      if ((i19 | 0) < (i16 | 0) | (i19 | 0) == (i16 | 0) & i18 >>> 0 < i21 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i21 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i17 & 15](i21, i18, i19, i14);
       set32(6 * 4 | 0, i17 | 0);
       set32(7 * 4 | 0, i21 | 0);
       break;
      }
     } while (0);
     i17 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i14) | 0;
     if (i17) {
      i21 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i17) | 0;
      i19 = (get32(30 * 4 | 0) | 0) + i21 | 0;
      set32(30 * 4 | 0, i19 | 0);
      if ((i19 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i19 | 0);
      i19 = get32(39 * 4 | 0) | 0;
      i21 = i19 + 1 | 0;
      set32(39 * 4 | 0, i21 | 0);
      if ((i19 | 0) < (get32(49 * 4 | 0) | 0)) {
       i20 = i17;
       i12 = 44;
       break L7;
      }
      set32(49 * 4 | 0, i21 | 0);
      i20 = i17;
      i12 = 44;
      break L7;
     }
    } while (0);
    set8(i15 >> 0 | 0, 1 | 0);
   }
  } while (0);
  if ((i12 | 0) == 44) {
   set32(i6 | 0, i20 | 0);
   i22 = i20;
   i23 = i20;
   i24 = 0;
   break;
  }
  set32(i6 | 0, 0 | 0);
  i7 = 0;
  STACKTOP = i5;
  return i7 | 0;
 } while (0);
 if ((i12 | 0) == 45) {
  set32(i6 | 0, i11 | 0);
  if (!i11) {
   i7 = i11;
   STACKTOP = i5;
   return i7 | 0;
  } else {
   i22 = i11;
   i23 = i11;
   i24 = i10;
  }
 }
 i10 = (i8 | 0) == 0;
 if (!i10) if (((get32(i2 + 8 | 0) | 0) == 0 ? (get32(i2 + 12 | 0) | 0) == 0 : 0) ? (get32(i2 + 20 | 0) | 0) == 0 : 0) i25 = (get32(i2 + 16 | 0) | 0) == 0 ? 8200 : 4120; else i25 = 4120; else i25 = 48;
 i11 = i25 & 56;
 i12 = i2 + 2 | 0;
 i20 = get16(i12 | 0) | 0;
 if ((i20 & 1024) == 0 ? (i3 = get32(i2 + 4 | 0) | 0, (i3 | 0) != 0) : 0) {
  i13 = i3;
  while (1) if (!(get8(i13 >> 0 | 0) | 0)) {
   i26 = i13;
   break;
  } else i13 = i13 + 1 | 0;
  i27 = (i26 - i3 & 1073741823) + 1 | 0;
 } else i27 = 0;
 if (i10) {
  i3 = i20 & 65535;
  if (!(i3 & 8192)) i28 = (i3 & 4096 | 0) == 0 ? 48 : 24; else i28 = 8;
  _memcpy(i23 | 0, i2 | 0, i28 | 0) | 0;
  _memset(i23 + i28 | 0, 0, 48 - i28 | 0) | 0;
 } else _memcpy(i23 | 0, i2 | 0, i11 | 0) | 0;
 i28 = i23 + 2 | 0;
 i3 = (i25 & 12288 | i24 | getU16(i28 | 0) & 36863) & 65535;
 set16(i28 | 0, i3 | 0);
 if (!i27) i29 = i3; else {
  i3 = i23 + i11 | 0;
  set32(i23 + 4 | 0, i3 | 0);
  _memcpy(i3 | 0, get32(i2 + 4 | 0) | 0, i27 | 0) | 0;
  i29 = get16(i28 | 0) | 0;
 }
 i27 = get16(i12 | 0) | 0;
 do if (!((i29 | i27) & 8192)) {
  i3 = i2 + 16 | 0;
  if (!(i27 & 2048)) {
   set32(i23 + 16 | 0, _sqlite3ExprListDup(i1, get32(i3 | 0) | 0, i8) | 0 | 0);
   break;
  } else {
   set32(i23 + 16 | 0, _sqlite3SelectDup(i1, get32(i3 | 0) | 0, i8) | 0 | 0);
   break;
  }
 } while (0);
 i8 = get16(i28 | 0) | 0;
 if (!(i8 & 12288)) {
  set8(i23 + 34 >> 0 | 0, 0 | 0);
  if (get16(i12 | 0) & 8192) {
   i7 = i22;
   STACKTOP = i5;
   return i7 | 0;
  }
  set32(i23 + 8 | 0, _exprDup(i1, get32(i2 + 8 | 0) | 0, 0, 0) | 0 | 0);
  set32(i23 + 12 | 0, _exprDup(i1, get32(i2 + 12 | 0) | 0, 0, 0) | 0 | 0);
  i7 = i22;
  STACKTOP = i5;
  return i7 | 0;
 }
 if (!i10) if (((get32(i2 + 8 | 0) | 0) == 0 ? (get32(i2 + 12 | 0) | 0) == 0 : 0) ? (get32(i2 + 20 | 0) | 0) == 0 : 0) i30 = (get32(i2 + 16 | 0) | 0) == 0 ? 8 : 24; else i30 = 24; else i30 = 48;
 if ((get16(i12 | 0) & 1024) == 0 ? (i12 = get32(i2 + 4 | 0) | 0, (i12 | 0) != 0) : 0) {
  i10 = i12;
  while (1) if (!(get8(i10 >> 0 | 0) | 0)) {
   i31 = i10;
   break;
  } else i10 = i10 + 1 | 0;
  i32 = (i31 - i12 & 1073741823) + (i30 | 1) | 0;
 } else i32 = i30;
 set32(i6 | 0, (get32(i6 | 0) | 0) + (i32 + 7 & -8) | 0);
 if (i8 & 4096) {
  set32(i23 + 8 | 0, _exprDup(i1, get32(i2 + 8 | 0) | 0, 1, i6) | 0 | 0);
  set32(i23 + 12 | 0, _exprDup(i1, get32(i2 + 12 | 0) | 0, 1, i6) | 0 | 0);
 }
 if (!i9) {
  i7 = i22;
  STACKTOP = i5;
  return i7 | 0;
 }
 set32(i4 | 0, get32(i6 | 0) | 0);
 i7 = i22;
 STACKTOP = i5;
 return i7 | 0;
}

function _substrFunc(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, d10 = 0.0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i5 = i4;
 i6 = get32(i3 + 4 | 0) | 0;
 if ((get8(i6 + 30 >> 0 | 0) | 0) == 5) {
  STACKTOP = i4;
  return;
 }
 i7 = (i2 | 0) == 3;
 if (i7 ? (get8((get32(i3 + 8 | 0) | 0) + 30 >> 0 | 0) | 0) == 5 : 0) {
  STACKTOP = i4;
  return;
 }
 i2 = get32(i3 | 0) | 0;
 i8 = get8(i2 + 30 >> 0 | 0) | 0;
 i9 = getU16(i6 + 28 | 0) | 0;
 do if (!(i9 & 4)) {
  if (i9 & 8) {
   d10 = +getF64(i6 + 8 | 0);
   i11 = d10 < -9223372036854775808.0 | d10 > 9223372036854775808.0 ? 0 : ~~d10 >>> 0;
   i12 = i2;
   break;
  }
  if (!(i9 & 18)) {
   i11 = 0;
   i12 = i2;
  } else {
   i13 = i5;
   set32(i13 | 0, 0 | 0);
   set32(i13 + 4 | 0, 0 | 0);
   _sqlite3Atoi64(get32(i6 + 4 | 0) | 0, i5, get32(i6 + 24 | 0) | 0, get8(i6 + 31 >> 0 | 0) | 0) | 0;
   i11 = get32(i5 | 0) | 0;
   i12 = get32(i3 | 0) | 0;
  }
 } else {
  i11 = get32(i6 + 16 | 0) | 0;
  i12 = i2;
 } while (0);
 i2 = ((i11 | 0) < 0) << 31 >> 31;
 i6 = i8 << 24 >> 24 == 4;
 if (i6) {
  i8 = i12 + 28 | 0;
  i9 = get16(i8 | 0) | 0;
  if (!(i9 & 16)) if (!(_sqlite3ValueText(i12, 1) | 0)) i14 = 0; else {
   i15 = get16(i8 | 0) | 0;
   i16 = 14;
  } else {
   i15 = i9;
   i16 = 14;
  }
  if ((i16 | 0) == 14) {
   i16 = get32(i12 + 24 | 0) | 0;
   if (!(i15 & 16384)) i14 = i16; else i14 = (get32(i12 + 16 | 0) | 0) + i16 | 0;
  }
  i16 = get32(i3 | 0) | 0;
  i15 = i16 + 28 | 0;
  i9 = get16(i15 | 0) | 0;
  do if (i9 & 18) {
   i8 = i16 + 24 | 0;
   do if (i9 & 16384) {
    i13 = i16 + 16 | 0;
    i17 = (get32(i13 | 0) | 0) + (get32(i8 | 0) | 0) | 0;
    if (!(_sqlite3VdbeMemGrow(i16, (i17 | 0) < 1 ? 1 : i17, 1) | 0)) {
     _memset((get32(i16 + 4 | 0) | 0) + (get32(i8 | 0) | 0) | 0, 0, get32(i13 | 0) | 0) | 0;
     set32(i8 | 0, (get32(i8 | 0) | 0) + (get32(i13 | 0) | 0) | 0);
     i13 = getU16(i15 | 0) & 48639;
     set16(i15 | 0, i13 | 0);
     i18 = i13;
     break;
    } else {
     i18 = get16(i15 | 0) | 0;
     break;
    }
   } else i18 = i9; while (0);
   set16(i15 | 0, i18 & 65517 | 16 | 0);
   if (!(get32(i8 | 0) | 0)) {
    STACKTOP = i4;
    return;
   } else {
    i19 = get32(i16 + 4 | 0) | 0;
    break;
   }
  } else i19 = _sqlite3ValueText(i16, 1) | 0; while (0);
  if (!i19) {
   STACKTOP = i4;
   return;
  } else {
   i20 = i14;
   i21 = i19;
  }
 } else {
  i19 = _sqlite3ValueText(i12, 1) | 0;
  if (!i19) {
   STACKTOP = i4;
   return;
  }
  if ((i11 | 0) < 0 ? (i12 = get8(i19 >> 0 | 0) | 0, i12 << 24 >> 24 != 0) : 0) {
   i14 = i12;
   i12 = 0;
   i16 = i19;
   while (1) {
    i18 = i16 + 1 | 0;
    if ((i14 & 255) > 191) {
     i15 = i18;
     while (1) {
      i9 = get8(i15 >> 0 | 0) | 0;
      if ((i9 & -64) << 24 >> 24 == -128) i15 = i15 + 1 | 0; else {
       i22 = i9;
       i23 = i15;
       break;
      }
     }
    } else {
     i22 = get8(i18 >> 0 | 0) | 0;
     i23 = i18;
    }
    i15 = i12 + 1 | 0;
    if (!(i22 << 24 >> 24)) {
     i20 = i15;
     i21 = i19;
     break;
    } else {
     i14 = i22;
     i12 = i15;
     i16 = i23;
    }
   }
  } else {
   i20 = 0;
   i21 = i19;
  }
 }
 if (i7) {
  i7 = get32(i3 + 8 | 0) | 0;
  i3 = getU16(i7 + 28 | 0) | 0;
  do if (!(i3 & 4)) {
   if (i3 & 8) {
    d10 = +getF64(i7 + 8 | 0);
    i24 = d10 < -9223372036854775808.0 | d10 > 9223372036854775808.0 ? 0 : ~~d10 >>> 0;
    break;
   }
   if (!(i3 & 18)) i24 = 0; else {
    i19 = i5;
    set32(i19 | 0, 0 | 0);
    set32(i19 + 4 | 0, 0 | 0);
    _sqlite3Atoi64(get32(i7 + 4 | 0) | 0, i5, get32(i7 + 24 | 0) | 0, get8(i7 + 31 >> 0 | 0) | 0) | 0;
    i24 = get32(i5 | 0) | 0;
   }
  } else i24 = get32(i7 + 16 | 0) | 0; while (0);
  i7 = ((i24 | 0) < 0) << 31 >> 31;
  i5 = (i24 | 0) < 0;
  i3 = _i64Subtract(0, 0, i24 | 0, i7 | 0) | 0;
  i25 = i5 ? i3 : i24;
  i26 = i5 ? tempRet0 : i7;
  i27 = i24 >>> 31;
 } else {
  i24 = get32((get32(i1 + 8 | 0) | 0) + 72 | 0) | 0;
  i25 = i24;
  i26 = ((i24 | 0) < 0) << 31 >> 31;
  i27 = 0;
 }
 do if ((i11 | 0) < 0) {
  i24 = _i64Add(i20 | 0, ((i20 | 0) < 0) << 31 >> 31 | 0, i11 | 0, i2 | 0) | 0;
  i7 = tempRet0;
  if ((i7 | 0) < 0) {
   i5 = _i64Add(i25 | 0, i26 | 0, i24 | 0, i7 | 0) | 0;
   i3 = tempRet0;
   i19 = (i3 | 0) < 0;
   i28 = 0;
   i29 = 0;
   i30 = i19 ? 0 : i5;
   i31 = i19 ? 0 : i3;
  } else {
   i28 = i24;
   i29 = i7;
   i30 = i25;
   i31 = i26;
  }
 } else if ((i11 | 0) > 0) {
  i7 = _i64Add(i11 | 0, i2 | 0, -1, -1) | 0;
  i28 = i7;
  i29 = tempRet0;
  i30 = i25;
  i31 = i26;
  break;
 } else {
  i7 = ((i26 | 0) > 0 | (i26 | 0) == 0 & i25 >>> 0 > 0) << 31 >> 31;
  i24 = _i64Add(i7 | 0, ((i7 | 0) < 0) << 31 >> 31 | 0, i25 | 0, i26 | 0) | 0;
  i28 = i11;
  i29 = i2;
  i30 = i24;
  i31 = tempRet0;
  break;
 } while (0);
 if (!i27) {
  i32 = i28;
  i33 = i29;
  i34 = i30;
  i35 = i31;
 } else {
  i27 = _i64Subtract(i28 | 0, i29 | 0, i30 | 0, i31 | 0) | 0;
  i2 = tempRet0;
  i11 = (i2 | 0) < 0;
  i32 = i11 ? 0 : i27;
  i33 = i11 ? 0 : i2;
  i34 = i11 ? i28 : i30;
  i35 = i11 ? i29 : i31;
 }
 if (i6) {
  i6 = _i64Add(i34 | 0, i35 | 0, i32 | 0, i33 | 0) | 0;
  i31 = tempRet0;
  i29 = ((i20 | 0) < 0) << 31 >> 31;
  if ((i31 | 0) > (i29 | 0) | (i31 | 0) == (i29 | 0) & i6 >>> 0 > i20 >>> 0) {
   i6 = _i64Subtract(i20 | 0, i29 | 0, i32 | 0, i33 | 0) | 0;
   i36 = (tempRet0 | 0) < 0 ? 0 : i6;
  } else i36 = i34;
  i6 = i1 + 8 | 0;
  if ((_sqlite3VdbeMemSetStr(i6, i21 + i32 | 0, i36, 0, -1) | 0) != 18) {
   STACKTOP = i4;
   return;
  }
  set32(i1 + 52 | 0, 18 | 0);
  _sqlite3VdbeMemSetStr(i6, 16620, -1, 1, 0) | 0;
  STACKTOP = i4;
  return;
 }
 i6 = get8(i21 >> 0 | 0) | 0;
 if (((i32 | 0) != 0 | (i33 | 0) != 0) & i6 << 24 >> 24 != 0) {
  i36 = i6;
  i29 = i32;
  i32 = i33;
  i33 = i21;
  while (1) {
   i20 = i33 + 1 | 0;
   if ((i36 & 255) > 191) {
    i31 = i20;
    while (1) {
     i11 = get8(i31 >> 0 | 0) | 0;
     if ((i11 & -64) << 24 >> 24 == -128) i31 = i31 + 1 | 0; else {
      i37 = i11;
      i38 = i31;
      break;
     }
    }
   } else {
    i37 = get8(i20 >> 0 | 0) | 0;
    i38 = i20;
   }
   i29 = _i64Add(i29 | 0, i32 | 0, -1, -1) | 0;
   i32 = tempRet0;
   if (!(((i29 | 0) != 0 | (i32 | 0) != 0) & i37 << 24 >> 24 != 0)) {
    i39 = i37;
    i40 = i38;
    break;
   } else {
    i36 = i37;
    i33 = i38;
   }
  }
 } else {
  i39 = i6;
  i40 = i21;
 }
 if (((i34 | 0) != 0 | (i35 | 0) != 0) & i39 << 24 >> 24 != 0) {
  i21 = i39;
  i39 = i34;
  i34 = i35;
  i35 = i40;
  while (1) {
   i6 = i35 + 1 | 0;
   if ((i21 & 255) > 191) {
    i38 = i6;
    while (1) {
     i33 = get8(i38 >> 0 | 0) | 0;
     if ((i33 & -64) << 24 >> 24 == -128) i38 = i38 + 1 | 0; else {
      i41 = i33;
      i42 = i38;
      break;
     }
    }
   } else {
    i41 = get8(i6 >> 0 | 0) | 0;
    i42 = i6;
   }
   i39 = _i64Add(i39 | 0, i34 | 0, -1, -1) | 0;
   i34 = tempRet0;
   if (!(((i39 | 0) != 0 | (i34 | 0) != 0) & i41 << 24 >> 24 != 0)) {
    i43 = i42;
    break;
   } else {
    i21 = i41;
    i35 = i42;
   }
  }
 } else i43 = i40;
 i42 = i1 + 8 | 0;
 if ((_sqlite3VdbeMemSetStr(i42, i40, i43 - i40 | 0, 1, -1) | 0) != 18) {
  STACKTOP = i4;
  return;
 }
 set32(i1 + 52 | 0, 18 | 0);
 _sqlite3VdbeMemSetStr(i42, 16620, -1, 1, 0) | 0;
 STACKTOP = i4;
 return;
}

function _sqlite3SelectNew(i1, i2, i3, i4, i5, i6, i7, i8, i9, i10) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 i7 = i7 | 0;
 i8 = i8 | 0;
 i9 = i9 | 0;
 i10 = i10 | 0;
 var i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0;
 i11 = STACKTOP;
 STACKTOP = STACKTOP + 96 | 0;
 i12 = i11 + 80 | 0;
 i13 = i11;
 i14 = get32(i1 | 0) | 0;
 L1 : do if (!i14) {
  if (!(get32(50 * 4 | 0) | 0)) {
   i15 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](80) | 0;
   i16 = 38;
   break;
  }
  i17 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](80) | 0;
  set32(35 * 4 | 0, 80 | 0);
  if ((get32(45 * 4 | 0) | 0) < 80) set32(45 * 4 | 0, 80 | 0);
  i18 = get32(6 * 4 | 0) | 0;
  do if (i18) {
   i19 = get32(30 * 4 | 0) | 0;
   i20 = ((i19 | 0) < 0) << 31 >> 31;
   i21 = 16;
   i22 = _i64Subtract(get32(i21 | 0) | 0, get32(i21 + 4 | 0) | 0, i17 | 0, ((i17 | 0) < 0) << 31 >> 31 | 0) | 0;
   i21 = tempRet0;
   if ((i20 | 0) < (i21 | 0) | (i20 | 0) == (i21 | 0) & i19 >>> 0 < i22 >>> 0) {
    set32(11 * 4 | 0, 0 | 0);
    break;
   } else {
    set32(11 * 4 | 0, 1 | 0);
    i22 = get32(7 * 4 | 0) | 0;
    set32(6 * 4 | 0, 0 | 0);
    FUNCTION_TABLE_viiii[i18 & 15](i22, i19, i20, i17);
    set32(6 * 4 | 0, i18 | 0);
    set32(7 * 4 | 0, i22 | 0);
    break;
   }
  } while (0);
  i18 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i17) | 0;
  if (i18) {
   i22 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i18) | 0;
   i20 = (get32(30 * 4 | 0) | 0) + i22 | 0;
   set32(30 * 4 | 0, i20 | 0);
   if ((i20 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i20 | 0);
   i20 = get32(39 * 4 | 0) | 0;
   i22 = i20 + 1 | 0;
   set32(39 * 4 | 0, i22 | 0);
   if ((i20 | 0) < (get32(49 * 4 | 0) | 0)) {
    i23 = i18;
    i16 = 39;
   } else {
    set32(49 * 4 | 0, i22 | 0);
    i23 = i18;
    i16 = 39;
   }
  } else i16 = 40;
 } else {
  i18 = i14 + 30 | 0;
  if (!(get8(i18 >> 0 | 0) | 0)) {
   do if (get8(i14 + 234 >> 0 | 0) | 0) {
    if ((getU16(i14 + 232 | 0) | 0) < 80) {
     i22 = i14 + 248 | 0;
     set32(i22 | 0, (get32(i22 | 0) | 0) + 1 | 0);
     break;
    }
    i22 = i14 + 256 | 0;
    i20 = get32(i22 | 0) | 0;
    if (!i20) {
     i19 = i14 + 252 | 0;
     set32(i19 | 0, (get32(i19 | 0) | 0) + 1 | 0);
     break;
    }
    set32(i22 | 0, get32(i20 | 0) | 0);
    i22 = i14 + 236 | 0;
    i19 = get32(i22 | 0) | 0;
    i21 = i19 + 1 | 0;
    set32(i22 | 0, i21 | 0);
    i22 = i14 + 244 | 0;
    set32(i22 | 0, (get32(i22 | 0) | 0) + 1 | 0);
    i22 = i14 + 240 | 0;
    if ((i19 | 0) >= (get32(i22 | 0) | 0)) set32(i22 | 0, i21 | 0);
    i15 = i20;
    i16 = 38;
    break L1;
   } while (0);
   if (!(get32(50 * 4 | 0) | 0)) {
    i17 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](80) | 0;
    if (i17) {
     i23 = i17;
     i16 = 39;
     break;
    }
   } else {
    i17 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](80) | 0;
    set32(35 * 4 | 0, 80 | 0);
    if ((get32(45 * 4 | 0) | 0) < 80) set32(45 * 4 | 0, 80 | 0);
    i20 = get32(6 * 4 | 0) | 0;
    do if (i20) {
     i21 = get32(30 * 4 | 0) | 0;
     i22 = ((i21 | 0) < 0) << 31 >> 31;
     i19 = 16;
     i24 = _i64Subtract(get32(i19 | 0) | 0, get32(i19 + 4 | 0) | 0, i17 | 0, ((i17 | 0) < 0) << 31 >> 31 | 0) | 0;
     i19 = tempRet0;
     if ((i22 | 0) < (i19 | 0) | (i22 | 0) == (i19 | 0) & i21 >>> 0 < i24 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i24 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i20 & 15](i24, i21, i22, i17);
      set32(6 * 4 | 0, i20 | 0);
      set32(7 * 4 | 0, i24 | 0);
      break;
     }
    } while (0);
    i20 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i17) | 0;
    if (i20) {
     i24 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i20) | 0;
     i22 = (get32(30 * 4 | 0) | 0) + i24 | 0;
     set32(30 * 4 | 0, i22 | 0);
     if ((i22 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i22 | 0);
     i22 = get32(39 * 4 | 0) | 0;
     i24 = i22 + 1 | 0;
     set32(39 * 4 | 0, i24 | 0);
     if ((i22 | 0) < (get32(49 * 4 | 0) | 0)) {
      i23 = i20;
      i16 = 39;
      break;
     }
     set32(49 * 4 | 0, i24 | 0);
     i23 = i20;
     i16 = 39;
     break;
    }
   }
   set8(i18 >> 0 | 0, 1 | 0);
   i16 = 40;
  } else i16 = 40;
 } while (0);
 if ((i16 | 0) == 38) if (!i15) i16 = 40; else {
  i23 = i15;
  i16 = 39;
 }
 if ((i16 | 0) == 39) {
  i25 = i23;
  i26 = i25 + 80 | 0;
  do {
   set8(i25 >> 0 | 0, 0 | 0);
   i25 = i25 + 1 | 0;
  } while ((i25 | 0) < (i26 | 0));
  i27 = i23;
 } else if ((i16 | 0) == 40) {
  i25 = i13;
  i26 = i25 + 80 | 0;
  do {
   set32(i25 | 0, 0 | 0);
   i25 = i25 + 4 | 0;
  } while ((i25 | 0) < (i26 | 0));
  i27 = i13;
 }
 if (!i2) {
  set32(i12 | 0, 0 | 0);
  set32(i12 + 4 | 0, 0 | 0);
  i25 = _sqlite3ExprAlloc(i14, 113, i12, 0) | 0;
  i28 = _sqlite3ExprListAppend(get32(i1 | 0) | 0, 0, i25) | 0;
 } else i28 = i2;
 set32(i27 | 0, i28 | 0);
 i2 = i27 + 8 | 0;
 set32(i2 | 0, i3 | 0);
 i25 = i27 + 12 | 0;
 set32(i25 | 0, i4 | 0);
 i4 = i27 + 16 | 0;
 set32(i4 | 0, i5 | 0);
 i5 = i27 + 20 | 0;
 set32(i5 | 0, i6 | 0);
 i6 = i27 + 24 | 0;
 set32(i6 | 0, i7 | 0);
 set16(i27 + 6 | 0, (i8 | 0) != 0 & 1 | 0);
 set8(i27 + 4 >> 0 | 0, 116 | 0);
 i8 = i27 + 40 | 0;
 set32(i8 | 0, i9 | 0);
 i9 = i27 + 44 | 0;
 set32(i9 | 0, i10 | 0);
 set32(i27 + 56 | 0, -1 | 0);
 set32(i27 + 60 | 0, -1 | 0);
 set32(i27 + 64 | 0, -1 | 0);
 if (!(get8(i14 + 30 >> 0 | 0) | 0)) {
  i29 = i27;
  STACKTOP = i11;
  return i29 | 0;
 }
 if (!i28) i30 = i3; else {
  i3 = i28 + 12 | 0;
  if ((get32(i28 | 0) | 0) > 0) {
   i10 = 0;
   i7 = get32(i3 | 0) | 0;
   while (1) {
    _sqlite3ExprDelete(i14, get32(i7 | 0) | 0);
    _sqlite3DbFree(i14, get32(i7 + 4 | 0) | 0);
    _sqlite3DbFree(i14, get32(i7 + 8 | 0) | 0);
    i10 = i10 + 1 | 0;
    if ((i10 | 0) >= (get32(i28 | 0) | 0)) break; else i7 = i7 + 20 | 0;
   }
  }
  _sqlite3DbFree(i14, get32(i3 | 0) | 0);
  _sqlite3DbFree(i14, i28);
  i30 = get32(i2 | 0) | 0;
 }
 _sqlite3SrcListDelete(i14, i30);
 _sqlite3ExprDelete(i14, get32(i25 | 0) | 0);
 i25 = get32(i4 | 0) | 0;
 if (i25) {
  i4 = i25 + 12 | 0;
  if ((get32(i25 | 0) | 0) > 0) {
   i30 = 0;
   i2 = get32(i4 | 0) | 0;
   while (1) {
    _sqlite3ExprDelete(i14, get32(i2 | 0) | 0);
    _sqlite3DbFree(i14, get32(i2 + 4 | 0) | 0);
    _sqlite3DbFree(i14, get32(i2 + 8 | 0) | 0);
    i30 = i30 + 1 | 0;
    if ((i30 | 0) >= (get32(i25 | 0) | 0)) break; else i2 = i2 + 20 | 0;
   }
  }
  _sqlite3DbFree(i14, get32(i4 | 0) | 0);
  _sqlite3DbFree(i14, i25);
 }
 _sqlite3ExprDelete(i14, get32(i5 | 0) | 0);
 i5 = get32(i6 | 0) | 0;
 if (i5) {
  i6 = i5 + 12 | 0;
  if ((get32(i5 | 0) | 0) > 0) {
   i25 = 0;
   i4 = get32(i6 | 0) | 0;
   while (1) {
    _sqlite3ExprDelete(i14, get32(i4 | 0) | 0);
    _sqlite3DbFree(i14, get32(i4 + 4 | 0) | 0);
    _sqlite3DbFree(i14, get32(i4 + 8 | 0) | 0);
    i25 = i25 + 1 | 0;
    if ((i25 | 0) >= (get32(i5 | 0) | 0)) break; else i4 = i4 + 20 | 0;
   }
  }
  _sqlite3DbFree(i14, get32(i6 | 0) | 0);
  _sqlite3DbFree(i14, i5);
 }
 i5 = get32(i27 + 28 | 0) | 0;
 if (i5) {
  _clearSelect(i14, i5);
  _sqlite3DbFree(i14, i5);
 }
 _sqlite3ExprDelete(i14, get32(i8 | 0) | 0);
 _sqlite3ExprDelete(i14, get32(i9 | 0) | 0);
 if ((i27 | 0) == (i13 | 0)) {
  i29 = 0;
  STACKTOP = i11;
  return i29 | 0;
 }
 _sqlite3DbFree(i14, i27);
 i29 = 0;
 STACKTOP = i11;
 return i29 | 0;
}

function _unixUnlock(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 112 | 0;
 i4 = i3 + 48 | 0;
 i5 = i3 + 40 | 0;
 i6 = i3 + 32 | 0;
 i7 = i3 + 24 | 0;
 i8 = i3 + 16 | 0;
 i9 = i3 + 8 | 0;
 i10 = i3;
 i11 = i3 + 88 | 0;
 i12 = i3 + 72 | 0;
 i13 = i1 + 16 | 0;
 i14 = get8(i13 >> 0 | 0) | 0;
 if ((i14 & 255 | 0) <= (i2 | 0)) {
  i15 = 0;
  STACKTOP = i3;
  return i15 | 0;
 }
 i16 = i1 + 4 | 0;
 i17 = get32(i16 | 0) | 0;
 do if ((i14 & 255) > 1) {
  L6 : do if ((i2 | 0) == 1) {
   set16(i12 | 0, 0 | 0);
   i18 = i12 + 2 | 0;
   set16(i18 | 0, 0 | 0);
   i19 = (get32(199 * 4 | 0) | 0) + 2 | 0;
   i20 = i12 + 4 | 0;
   set32(i20 | 0, i19 | 0);
   i21 = i12 + 8 | 0;
   set32(i21 | 0, 510 | 0);
   i22 = i1 + 17 | 0;
   i23 = get8(i22 >> 0 | 0) | 0;
   if (!(i23 & 1)) {
    i24 = i17 + 13 | 0;
    i25 = get8(i24 >> 0 | 0) | 0;
    if ((i23 & 2) == 0 & i25 << 24 >> 24 != 0) {
     i26 = i24;
     i27 = i25;
     i28 = 9;
    } else i28 = 14;
   } else if (!(i23 & 2)) {
    i23 = i17 + 13 | 0;
    i26 = i23;
    i27 = get8(i23 >> 0 | 0) | 0;
    i28 = 9;
   } else i28 = 14;
   do if ((i28 | 0) == 9) {
    if (i27 << 24 >> 24) {
     i29 = i18;
     i30 = i20;
     i31 = i21;
     i32 = i22;
     i33 = i17;
     break L6;
    }
    set16(i11 + 2 | 0, 0 | 0);
    set32(i11 + 4 | 0, i19 | 0);
    set32(i11 + 8 | 0, 510 | 0);
    set16(i11 | 0, 1 | 0);
    i23 = get32(282 * 4 | 0) | 0;
    i25 = get32(i1 + 8 | 0) | 0;
    set32(i10 | 0, i11 | 0);
    i24 = FUNCTION_TABLE_iiii[i23 & 63](i25, 13, i10) | 0;
    if ((i24 | 0) < 0) break; else {
     set8(i26 >> 0 | 0, 1 | 0);
     i25 = i17 + 24 | 0;
     set32(i25 | 0, (get32(i25 | 0) | 0) + 1 | 0);
     i34 = i24;
     i28 = 15;
     break;
    }
   } else if ((i28 | 0) == 14) {
    i24 = get32(282 * 4 | 0) | 0;
    i25 = get32(i1 + 8 | 0) | 0;
    set32(i9 | 0, i12 | 0);
    i34 = FUNCTION_TABLE_iiii[i24 & 63](i25, 13, i9) | 0;
    i28 = 15;
   } while (0);
   if ((i28 | 0) == 15 ? (i34 | 0) == 0 : 0) {
    i29 = i18;
    i30 = i20;
    i31 = i21;
    i32 = i22;
    i33 = get32(i16 | 0) | 0;
    break;
   }
   set32(i1 + 20 | 0, get32(___errno_location() | 0 | 0) | 0);
   i15 = 2314;
   STACKTOP = i3;
   return i15 | 0;
  } else {
   i29 = i12 + 2 | 0;
   i30 = i12 + 4 | 0;
   i31 = i12 + 8 | 0;
   i32 = i1 + 17 | 0;
   i33 = i17;
  } while (0);
  set16(i12 | 0, 2 | 0);
  set16(i29 | 0, 0 | 0);
  i19 = get32(199 * 4 | 0) | 0;
  set32(i30 | 0, i19 | 0);
  set32(i31 | 0, 2 | 0);
  i25 = get8(i32 >> 0 | 0) | 0;
  if (!(i25 & 1)) {
   i24 = i33 + 13 | 0;
   i23 = get8(i24 >> 0 | 0) | 0;
   if ((i25 & 2) == 0 & i23 << 24 >> 24 != 0) {
    i35 = i24;
    i36 = i23;
    i28 = 22;
   } else i28 = 27;
  } else if (!(i25 & 2)) {
   i25 = i33 + 13 | 0;
   i35 = i25;
   i36 = get8(i25 >> 0 | 0) | 0;
   i28 = 22;
  } else i28 = 27;
  do if ((i28 | 0) == 22) {
   if (i36 << 24 >> 24) {
    i28 = 29;
    break;
   }
   set16(i11 + 2 | 0, 0 | 0);
   set32(i11 + 4 | 0, i19 + 2 | 0);
   set32(i11 + 8 | 0, 510 | 0);
   set16(i11 | 0, 1 | 0);
   i25 = get32(282 * 4 | 0) | 0;
   i23 = get32(i1 + 8 | 0) | 0;
   set32(i8 | 0, i11 | 0);
   i24 = FUNCTION_TABLE_iiii[i25 & 63](i23, 13, i8) | 0;
   if ((i24 | 0) < 0) break; else {
    set8(i35 >> 0 | 0, 1 | 0);
    i23 = i33 + 24 | 0;
    set32(i23 | 0, (get32(i23 | 0) | 0) + 1 | 0);
    i37 = i24;
    i28 = 28;
    break;
   }
  } else if ((i28 | 0) == 27) {
   i24 = get32(282 * 4 | 0) | 0;
   i23 = get32(i1 + 8 | 0) | 0;
   set32(i7 | 0, i12 | 0);
   i37 = FUNCTION_TABLE_iiii[i24 & 63](i23, 13, i7) | 0;
   i28 = 28;
  } while (0);
  if ((i28 | 0) == 28 ? (i37 | 0) == 0 : 0) i28 = 29;
  if ((i28 | 0) == 29) {
   set8(i17 + 12 >> 0 | 0, 1 | 0);
   break;
  }
  set32(i1 + 20 | 0, get32(___errno_location() | 0 | 0) | 0);
  i15 = 2058;
  STACKTOP = i3;
  return i15 | 0;
 } while (0);
 if (!i2) {
  i37 = i17 + 8 | 0;
  i7 = (get32(i37 | 0) | 0) + -1 | 0;
  set32(i37 | 0, i7 | 0);
  do if (!i7) {
   set16(i12 | 0, 2 | 0);
   set16(i12 + 2 | 0, 0 | 0);
   set32(i12 + 8 | 0, 0 | 0);
   set32(i12 + 4 | 0, 0 | 0);
   i37 = get32(i16 | 0) | 0;
   i33 = get8(i1 + 17 >> 0 | 0) | 0;
   if (!(i33 & 1)) {
    i35 = i37 + 13 | 0;
    i8 = get8(i35 >> 0 | 0) | 0;
    if ((i33 & 2) == 0 & i8 << 24 >> 24 != 0) {
     i38 = i35;
     i39 = i8;
     i28 = 37;
    } else i28 = 42;
   } else if (!(i33 & 2)) {
    i33 = i37 + 13 | 0;
    i38 = i33;
    i39 = get8(i33 >> 0 | 0) | 0;
    i28 = 37;
   } else i28 = 42;
   do if ((i28 | 0) == 37) {
    if (i39 << 24 >> 24) {
     i28 = 44;
     break;
    }
    set16(i11 + 2 | 0, 0 | 0);
    set32(i11 + 4 | 0, (get32(199 * 4 | 0) | 0) + 2 | 0);
    set32(i11 + 8 | 0, 510 | 0);
    set16(i11 | 0, 1 | 0);
    i33 = get32(282 * 4 | 0) | 0;
    i8 = get32(i1 + 8 | 0) | 0;
    set32(i6 | 0, i11 | 0);
    i35 = FUNCTION_TABLE_iiii[i33 & 63](i8, 13, i6) | 0;
    if ((i35 | 0) < 0) {
     i28 = 45;
     break;
    } else {
     set8(i38 >> 0 | 0, 1 | 0);
     i8 = i37 + 24 | 0;
     set32(i8 | 0, (get32(i8 | 0) | 0) + 1 | 0);
     i40 = i35;
     i28 = 43;
     break;
    }
   } else if ((i28 | 0) == 42) {
    i35 = get32(282 * 4 | 0) | 0;
    i8 = get32(i1 + 8 | 0) | 0;
    set32(i5 | 0, i12 | 0);
    i40 = FUNCTION_TABLE_iiii[i35 & 63](i8, 13, i5) | 0;
    i28 = 43;
   } while (0);
   if ((i28 | 0) == 43) if (!i40) i28 = 44; else i28 = 45;
   if ((i28 | 0) == 44) {
    set8(i17 + 12 >> 0 | 0, 0 | 0);
    i41 = 0;
    break;
   } else if ((i28 | 0) == 45) {
    set32(i1 + 20 | 0, get32(___errno_location() | 0 | 0) | 0);
    set8(i17 + 12 >> 0 | 0, 0 | 0);
    set8(i13 >> 0 | 0, 0 | 0);
    i41 = 2058;
    break;
   }
  } else i41 = 0; while (0);
  i28 = i17 + 24 | 0;
  i17 = (get32(i28 | 0) | 0) + -1 | 0;
  set32(i28 | 0, i17 | 0);
  if (!i17) {
   i17 = (get32(i16 | 0) | 0) + 28 | 0;
   i16 = get32(i17 | 0) | 0;
   if (i16) {
    i28 = i1 + 32 | 0;
    i1 = i16;
    do {
     i16 = i1;
     i1 = get32(i1 + 8 | 0) | 0;
     if (FUNCTION_TABLE_ii[get32(1056 | 0) & 127](get32(i16 | 0) | 0) | 0) {
      i40 = get32(i28 | 0) | 0;
      i5 = get32(___errno_location() | 0 | 0) | 0;
      i12 = _strerror(i5) | 0;
      set32(i4 | 0, 25536 | 0);
      set32(i4 + 4 | 0, i5 | 0);
      set32(i4 + 8 | 0, 19075 | 0);
      set32(i4 + 12 | 0, ((i40 | 0) == 0 ? 16820 : i40) | 0);
      set32(i4 + 16 | 0, i12 | 0);
      _sqlite3_log(4106, 19185, i4);
     }
     if (!(get32(50 * 4 | 0) | 0)) FUNCTION_TABLE_vi[get32(232 | 0) & 31](i16); else {
      i12 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i16) | 0;
      i40 = (get32(30 * 4 | 0) | 0) - i12 | 0;
      set32(30 * 4 | 0, i40 | 0);
      if ((i40 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i40 | 0);
      i40 = (get32(39 * 4 | 0) | 0) + -1 | 0;
      set32(39 * 4 | 0, i40 | 0);
      if ((i40 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i40 | 0);
      FUNCTION_TABLE_vi[get32(232 | 0) & 31](i16);
     }
    } while ((i1 | 0) != 0);
   }
   set32(i17 | 0, 0 | 0);
  }
  if (i41) {
   i15 = i41;
   STACKTOP = i3;
   return i15 | 0;
  }
 }
 set8(i13 >> 0 | 0, i2 | 0);
 i15 = 0;
 STACKTOP = i3;
 return i15 | 0;
}

function _sqlite3InitOne(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 64 | 0;
 i5 = i4 + 24 | 0;
 i6 = i4 + 16 | 0;
 i7 = i4 + 8 | 0;
 i8 = i4;
 i9 = i4 + 48 | 0;
 i10 = i4 + 32 | 0;
 i11 = (i2 | 0) == 1;
 i12 = i11 ? 21655 : 21674;
 set32(i9 | 0, i12 | 0);
 set32(i9 + 4 | 0, 25939 | 0);
 set32(i9 + 8 | 0, (i11 ? 25825 : 25721) | 0);
 set32(i9 + 12 | 0, 0 | 0);
 set32(i10 | 0, i1 | 0);
 set32(i10 + 4 | 0, i2 | 0);
 i13 = i10 + 12 | 0;
 set32(i13 | 0, 0 | 0);
 set32(i10 + 8 | 0, i3 | 0);
 _sqlite3InitCallback(i10, 3, i9, 0) | 0;
 i9 = get32(i13 | 0) | 0;
 L1 : do if (!i9) {
  i14 = i1 + 8 | 0;
  i15 = get32(i14 | 0) | 0;
  i16 = get32(i15 + (i2 << 4) | 0) | 0;
  i17 = i12;
  while (1) if (!(get8(i17 >> 0 | 0) | 0)) {
   i18 = i17;
   break;
  } else i17 = i17 + 1 | 0;
  i17 = i18 - i12 & 1073741823;
  i19 = get32(i1 + 4 | 0) | 0;
  if ((i19 | 0) > 0) {
   i20 = (i16 | 0) == 0;
   i21 = 0;
   i22 = 0;
   while (1) {
    i23 = (i21 | 0) < 2 ^ i21;
    if (!i20) {
     i24 = get32(i15 + (i23 << 4) | 0) | 0;
     i25 = get8(i16 >> 0 | 0) | 0;
     L12 : do if (!(i25 << 24 >> 24)) {
      i26 = 0;
      i27 = i24;
     } else {
      i28 = i25;
      i29 = i16;
      i30 = i24;
      while (1) {
       if ((get8(16286 + (i28 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i30 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
        i26 = i28;
        i27 = i30;
        break L12;
       }
       i29 = i29 + 1 | 0;
       i31 = i30 + 1 | 0;
       i28 = get8(i29 >> 0 | 0) | 0;
       if (!(i28 << 24 >> 24)) {
        i26 = 0;
        i27 = i31;
        break;
       } else i30 = i31;
      }
     } while (0);
     if ((get8(16286 + (i26 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i27 >> 0 | 0) | 0) >> 0 | 0) | 0)) i32 = i22; else i33 = 11;
    } else i33 = 11;
    if ((i33 | 0) == 11) {
     i33 = 0;
     i24 = _sqlite3HashFind((get32(i15 + (i23 << 4) + 12 | 0) | 0) + 8 | 0, i12, i17) | 0;
     if (!i24) i32 = i24; else {
      i34 = i24;
      break;
     }
    }
    i21 = i21 + 1 | 0;
    if ((i21 | 0) >= (i19 | 0)) {
     i34 = i32;
     break;
    } else i22 = i32;
   }
   if (i34) {
    i22 = i34 + 34 | 0;
    set8(i22 >> 0 | 0, getU8(i22 >> 0 | 0) | 1 | 0);
   }
  }
  i22 = i15 + (i2 << 4) + 4 | 0;
  i19 = get32(i22 | 0) | 0;
  if (!i19) {
   if (!i11) {
    i35 = 0;
    STACKTOP = i4;
    return i35 | 0;
   }
   i21 = (get32(i15 + 28 | 0) | 0) + 78 | 0;
   set16(i21 | 0, getU16(i21 | 0) | 1 | 0);
   i35 = 0;
   STACKTOP = i4;
   return i35 | 0;
  }
  i21 = get32(i19 | 0) | 0;
  i17 = get32(i19 + 4 | 0) | 0;
  set32(i17 + 4 | 0, i21 | 0);
  do if (!(get8(i19 + 8 >> 0 | 0) | 0)) {
   i16 = _sqlite3BtreeBeginTrans(i19, 0) | 0;
   if (!i16) {
    i20 = get32(i22 | 0) | 0;
    i36 = get32(i20 + 4 | 0) | 0;
    i37 = get32(i20 | 0) | 0;
    i38 = 1;
    break;
   }
   i20 = i16 & 255;
   if (i20 >>> 0 > 26 | (i20 | 0) == 2) i39 = 38974; else i39 = get32(5652 + (i20 << 2) | 0) | 0;
   set32(i8 | 0, i39 | 0);
   _sqlite3SetString(i3, i1, 16817, i8);
   i40 = i16;
   break L1;
  } else {
   i36 = i17;
   i37 = i21;
   i38 = 0;
  } while (0);
  i21 = get32((get32(i36 + 12 | 0) | 0) + 64 | 0) | 0;
  i17 = i36 + 4 | 0;
  set32(i17 | 0, i37 | 0);
  i19 = getU8(i21 + 41 >> 0 | 0) << 16 | getU8(i21 + 40 >> 0 | 0) << 24 | getU8(i21 + 42 >> 0 | 0) << 8 | getU8(i21 + 43 >> 0 | 0);
  set32(i17 | 0, i37 | 0);
  i16 = get8(i21 + 47 >> 0 | 0) | 0;
  i20 = getU8(i21 + 45 >> 0 | 0) << 16 | getU8(i21 + 44 >> 0 | 0) << 24 | getU8(i21 + 46 >> 0 | 0) << 8 | i16 & 255;
  set32(i17 | 0, i37 | 0);
  i24 = getU8(i21 + 49 >> 0 | 0) << 16 | getU8(i21 + 48 >> 0 | 0) << 24 | getU8(i21 + 50 >> 0 | 0) << 8 | getU8(i21 + 51 >> 0 | 0);
  set32(i17 | 0, i37 | 0);
  i25 = getU8(i21 + 59 >> 0 | 0) | 0;
  i30 = getU8(i21 + 57 >> 0 | 0) << 16 | getU8(i21 + 56 >> 0 | 0) << 24 | getU8(i21 + 58 >> 0 | 0) << 8 | i25;
  i21 = i15 + (i2 << 4) + 12 | 0;
  i28 = get32(i21 | 0) | 0;
  set32(i28 | 0, i19 | 0);
  do if (i30) {
   if (!i2) {
    i19 = i25 & 3;
    i29 = (i19 | 0) == 0 ? 1 : i19 & 255;
    set8((get32((get32(i14 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0, i29 | 0);
    set32(i1 + 44 | 0, _sqlite3HashFind(i1 + 412 | 0, 25941, 6) | 0 | 0);
    i41 = i29;
    i33 = 30;
    break;
   }
   i29 = get8((get32((get32(i14 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0) | 0;
   if ((i30 | 0) == (i29 & 255 | 0)) {
    i41 = i29;
    i33 = 30;
   } else {
    _sqlite3SetString(i3, i1, 25948, i7);
    i42 = 1;
   }
  } else {
   i29 = get32(i14 | 0) | 0;
   i19 = (get32(i29 + (i2 << 4) + 12 | 0) | 0) + 78 | 0;
   set16(i19 | 0, getU16(i19 | 0) | 4 | 0);
   i41 = get8((get32(i29 + 12 | 0) | 0) + 77 >> 0 | 0) | 0;
   i33 = 30;
  } while (0);
  do if ((i33 | 0) == 30) {
   set8(i28 + 77 >> 0 | 0, i41 | 0);
   i30 = i28 + 80 | 0;
   if (!(get32(i30 | 0) | 0)) {
    if ((i24 | 0) > -1) i43 = i24; else i43 = (i24 | 0) == -2147483648 ? 2147483647 : 0 - i24 | 0;
    i25 = (i43 | 0) == 0 ? 2e3 : i43;
    set32(i30 | 0, i25 | 0);
    set32(i17 | 0, i37 | 0);
    i30 = get32((get32(i36 | 0) | 0) + 168 | 0) | 0;
    set32(i30 + 16 | 0, i25 | 0);
    i15 = get32(i30 + 40 | 0) | 0;
    if (i15) {
     FUNCTION_TABLE_vii[get32(312 | 0) & 15](i15, i25);
     i44 = get32(i21 | 0) | 0;
    } else i44 = i28;
   } else i44 = i28;
   i25 = i44 + 76 | 0;
   if (i16 << 24 >> 24) {
    set8(i25 >> 0 | 0, i16 | 0);
    if ((i16 & 255) > 4) {
     _sqlite3SetString(i3, i1, 26016, i6);
     i42 = 1;
     break;
    }
   } else set8(i25 >> 0 | 0, 1 | 0);
   if ((i2 | 0) == 0 & (i20 | 0) > 3) {
    i25 = i1 + 12 | 0;
    set32(i25 | 0, get32(i25 | 0) & -1048577 | 0);
   }
   set32(i5 | 0, get32((get32(i14 | 0) | 0) + (i2 << 4) | 0) | 0);
   set32(i5 + 4 | 0, i12 | 0);
   i25 = _sqlite3MPrintf(i1, 26040, i5) | 0;
   i15 = i1 + 268 | 0;
   i30 = get32(i15 | 0) | 0;
   set32(i15 | 0, 0 | 0);
   i29 = _sqlite3_exec(i1, i25, 16, i10, 0) | 0;
   set32(i15 | 0, i30 | 0);
   i30 = (i29 | 0) == 0 ? get32(i13 | 0) | 0 : i29;
   _sqlite3DbFree(i1, i25);
   i25 = (i30 | 0) == 0;
   if (i25) _sqlite3AnalysisLoad(i1, i2) | 0;
   if (!(get8(i1 + 30 >> 0 | 0) | 0)) {
    if (!i25) {
     i45 = i30;
     i33 = 46;
    }
   } else {
    _sqlite3ResetInternalSchema(i1, -1);
    i45 = 7;
    i33 = 46;
   }
   if ((i33 | 0) == 46 ? (get32(i1 + 12 | 0) & 8388608 | 0) == 0 : 0) {
    i42 = i45;
    break;
   }
   i30 = (get32((get32(i14 | 0) | 0) + (i2 << 4) + 12 | 0) | 0) + 78 | 0;
   set16(i30 | 0, getU16(i30 | 0) | 1 | 0);
   i42 = 0;
  } while (0);
  if (!i38) i40 = i42; else {
   _sqlite3BtreeCommit(get32(i22 | 0) | 0) | 0;
   i40 = i42;
  }
 } else i40 = i9; while (0);
 L75 : do if ((i40 | 0) < 3082) {
  switch (i40 | 0) {
  case 7:
   {
    break L75;
    break;
   }
  default:
   i35 = i40;
  }
  STACKTOP = i4;
  return i35 | 0;
 } else {
  switch (i40 | 0) {
  case 3082:
   {
    break L75;
    break;
   }
  default:
   i35 = i40;
  }
  STACKTOP = i4;
  return i35 | 0;
 } while (0);
 set8(i1 + 30 >> 0 | 0, 1 | 0);
 i35 = i40;
 STACKTOP = i4;
 return i35 | 0;
}

function _sqlite3FixSrcList(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i4 = i3;
 if (!i2) {
  i5 = 0;
  STACKTOP = i3;
  return i5 | 0;
 }
 i6 = get32(i1 + 4 | 0) | 0;
 if ((get16(i2 | 0) | 0) <= 0) {
  i5 = 0;
  STACKTOP = i3;
  return i5 | 0;
 }
 i7 = (i6 | 0) == 0;
 i8 = i6;
 i9 = 0;
 i10 = i2 + 8 | 0;
 L7 : while (1) {
  i11 = get32(i10 | 0) | 0;
  if (i11) {
   i12 = get8(i11 >> 0 | 0) | 0;
   L71 : do if (!(i12 << 24 >> 24)) {
    i13 = 0;
    i14 = i6;
   } else {
    i15 = i12;
    i16 = i11;
    i17 = i6;
    while (1) {
     if ((get8(16286 + (i15 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i17 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
      i13 = i15;
      i14 = i17;
      break L71;
     }
     i16 = i16 + 1 | 0;
     i18 = i17 + 1 | 0;
     i15 = get8(i16 >> 0 | 0) | 0;
     if (!(i15 << 24 >> 24)) {
      i13 = 0;
      i14 = i18;
      break;
     } else i17 = i18;
    }
   } while (0);
   if ((get8(16286 + (i13 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i14 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
    i19 = i11;
    i20 = 51;
    break;
   }
  } else {
   i12 = get32(get32(i1 | 0) | 0) | 0;
   L11 : do if (i7) i21 = 0; else {
    i17 = i6;
    while (1) if (!(get8(i17 >> 0 | 0) | 0)) {
     i22 = i17;
     break;
    } else i17 = i17 + 1 | 0;
    i17 = (i22 - i8 & 1073741823) + 1 | 0;
    L15 : do if (!i12) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i23 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i17) | 0;
      i20 = 44;
      break;
     }
     i15 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i17) | 0;
     set32(35 * 4 | 0, i17 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i17 | 0)) set32(45 * 4 | 0, i17 | 0);
     i16 = get32(6 * 4 | 0) | 0;
     do if (i16) {
      i18 = get32(30 * 4 | 0) | 0;
      i24 = ((i18 | 0) < 0) << 31 >> 31;
      i25 = 16;
      i26 = _i64Subtract(get32(i25 | 0) | 0, get32(i25 + 4 | 0) | 0, i15 | 0, ((i15 | 0) < 0) << 31 >> 31 | 0) | 0;
      i25 = tempRet0;
      if ((i24 | 0) < (i25 | 0) | (i24 | 0) == (i25 | 0) & i18 >>> 0 < i26 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i26 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i16 & 15](i26, i18, i24, i15);
       set32(6 * 4 | 0, i16 | 0);
       set32(7 * 4 | 0, i26 | 0);
       break;
      }
     } while (0);
     i16 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i15) | 0;
     if (!i16) {
      i21 = 0;
      break L11;
     }
     i26 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i16) | 0;
     i24 = (get32(30 * 4 | 0) | 0) + i26 | 0;
     set32(30 * 4 | 0, i24 | 0);
     if ((i24 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i24 | 0);
     i24 = get32(39 * 4 | 0) | 0;
     i26 = i24 + 1 | 0;
     set32(39 * 4 | 0, i26 | 0);
     if ((i24 | 0) < (get32(49 * 4 | 0) | 0)) i27 = i16; else {
      set32(49 * 4 | 0, i26 | 0);
      i27 = i16;
     }
    } else {
     i16 = i12 + 30 | 0;
     if (get8(i16 >> 0 | 0) | 0) {
      i21 = 0;
      break L11;
     }
     do if (get8(i12 + 234 >> 0 | 0) | 0) {
      if ((getU16(i12 + 232 | 0) | 0) >>> 0 < i17 >>> 0) {
       i26 = i12 + 248 | 0;
       set32(i26 | 0, (get32(i26 | 0) | 0) + 1 | 0);
       break;
      }
      i26 = i12 + 256 | 0;
      i24 = get32(i26 | 0) | 0;
      if (!i24) {
       i18 = i12 + 252 | 0;
       set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i26 | 0, get32(i24 | 0) | 0);
      i26 = i12 + 236 | 0;
      i18 = get32(i26 | 0) | 0;
      i25 = i18 + 1 | 0;
      set32(i26 | 0, i25 | 0);
      i26 = i12 + 244 | 0;
      set32(i26 | 0, (get32(i26 | 0) | 0) + 1 | 0);
      i26 = i12 + 240 | 0;
      if ((i18 | 0) >= (get32(i26 | 0) | 0)) set32(i26 | 0, i25 | 0);
      i23 = i24;
      i20 = 44;
      break L15;
     } while (0);
     if (!(get32(50 * 4 | 0) | 0)) {
      i15 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i17) | 0;
      if (i15) {
       i27 = i15;
       break;
      }
     } else {
      i15 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i17) | 0;
      set32(35 * 4 | 0, i17 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i17 | 0)) set32(45 * 4 | 0, i17 | 0);
      i24 = get32(6 * 4 | 0) | 0;
      do if (i24) {
       i25 = get32(30 * 4 | 0) | 0;
       i26 = ((i25 | 0) < 0) << 31 >> 31;
       i18 = 16;
       i28 = _i64Subtract(get32(i18 | 0) | 0, get32(i18 + 4 | 0) | 0, i15 | 0, ((i15 | 0) < 0) << 31 >> 31 | 0) | 0;
       i18 = tempRet0;
       if ((i26 | 0) < (i18 | 0) | (i26 | 0) == (i18 | 0) & i25 >>> 0 < i28 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i28 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i24 & 15](i28, i25, i26, i15);
        set32(6 * 4 | 0, i24 | 0);
        set32(7 * 4 | 0, i28 | 0);
        break;
       }
      } while (0);
      i24 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i15) | 0;
      if (i24) {
       i28 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i24) | 0;
       i26 = (get32(30 * 4 | 0) | 0) + i28 | 0;
       set32(30 * 4 | 0, i26 | 0);
       if ((i26 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i26 | 0);
       i26 = get32(39 * 4 | 0) | 0;
       i28 = i26 + 1 | 0;
       set32(39 * 4 | 0, i28 | 0);
       if ((i26 | 0) < (get32(49 * 4 | 0) | 0)) {
        i27 = i24;
        break;
       }
       set32(49 * 4 | 0, i28 | 0);
       i27 = i24;
       break;
      }
     }
     set8(i16 >> 0 | 0, 1 | 0);
     i21 = 0;
     break L11;
    } while (0);
    if ((i20 | 0) == 44) {
     i20 = 0;
     if (!i23) {
      i21 = 0;
      break;
     } else i27 = i23;
    }
    _memcpy(i27 | 0, i6 | 0, i17 | 0) | 0;
    i21 = i27;
   } while (0);
   set32(i10 | 0, i21 | 0);
  }
  i12 = get32(i10 + 16 | 0) | 0;
  if (i12) {
   i11 = i12;
   do {
    i12 = get32(i11 | 0) | 0;
    if ((i12 | 0) != 0 ? (get32(i12 | 0) | 0) > 0 : 0) {
     i24 = 0;
     i28 = get32(i12 + 12 | 0) | 0;
     while (1) {
      if (_sqlite3FixExpr(i1, get32(i28 | 0) | 0) | 0) {
       i5 = 1;
       i20 = 64;
       break L7;
      }
      i24 = i24 + 1 | 0;
      if ((i24 | 0) >= (get32(i12 | 0) | 0)) break; else i28 = i28 + 20 | 0;
     }
    }
    if (_sqlite3FixSrcList(i1, get32(i11 + 8 | 0) | 0) | 0) {
     i5 = 1;
     i20 = 64;
     break L7;
    }
    if (_sqlite3FixExpr(i1, get32(i11 + 12 | 0) | 0) | 0) {
     i5 = 1;
     i20 = 64;
     break L7;
    }
    if (_sqlite3FixExpr(i1, get32(i11 + 20 | 0) | 0) | 0) {
     i5 = 1;
     i20 = 64;
     break L7;
    }
    i11 = get32(i11 + 28 | 0) | 0;
   } while ((i11 | 0) != 0);
  }
  if (_sqlite3FixExpr(i1, get32(i10 + 28 | 0) | 0) | 0) {
   i5 = 1;
   i20 = 64;
   break;
  }
  i9 = i9 + 1 | 0;
  if ((i9 | 0) >= (get16(i2 | 0) | 0)) {
   i5 = 0;
   i20 = 64;
   break;
  } else i10 = i10 + 56 | 0;
 }
 if ((i20 | 0) == 51) {
  i10 = get32(i1 | 0) | 0;
  i2 = get32(i1 + 12 | 0) | 0;
  set32(i4 | 0, get32(i1 + 8 | 0) | 0);
  set32(i4 + 4 | 0, i2 | 0);
  set32(i4 + 8 | 0, i19 | 0);
  _sqlite3ErrorMsg(i10, 31286, i4);
  i5 = 1;
  STACKTOP = i3;
  return i5 | 0;
 } else if ((i20 | 0) == 64) {
  STACKTOP = i3;
  return i5 | 0;
 }
 return 0;
}

function _accessPayload(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0;
 i6 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i7 = i6 + 8 | 0;
 i8 = i6;
 i9 = i6 + 20 | 0;
 i10 = i6 + 16 | 0;
 i11 = get16(i1 + 90 | 0) | 0;
 i12 = get32(i1 + 132 + (i11 << 2) | 0) | 0;
 i13 = get32(i1 + 4 | 0) | 0;
 i14 = i1 + 32 | 0;
 if (!(get16(i1 + 58 | 0) | 0)) {
  i15 = get32(i12 + 64 | 0) | 0;
  i16 = (getU16(i12 + 12 | 0) | 0) + (getU16(i1 + 92 + (i11 << 1) | 0) << 1) | 0;
  _btreeParseCellPtr(i12, i15 + ((getU8(i15 + i16 >> 0 | 0) << 8 | getU8(i15 + (i16 + 1) >> 0 | 0)) & getU16(i12 + 18 | 0)) | 0, i14);
  set8(i1 + 82 >> 0 | 0, 1 | 0);
 }
 i16 = get32(i1 + 40 | 0) | 0;
 i15 = getU16(i1 + 52 | 0) | 0;
 if (!(get8(i12 + 2 >> 0 | 0) | 0)) i17 = get32(i14 | 0) | 0; else i17 = 0;
 i14 = i3 + i2 | 0;
 if (i14 >>> 0 <= ((get32(i1 + 44 | 0) | 0) + i17 | 0) >>> 0 ? (i17 = i1 + 54 | 0, i11 = getU16(i17 | 0) | 0, i18 = i13 + 40 | 0, (i16 + (i11 + i15) | 0) >>> 0 <= ((get32(i12 + 64 | 0) | 0) + (get32(i18 | 0) | 0) | 0) >>> 0) : 0) {
  if (i11 >>> 0 > i2 >>> 0) {
   i19 = i14 >>> 0 > i11 >>> 0 ? i11 - i2 | 0 : i3;
   i14 = i16 + (i15 + i2) | 0;
   if (i5) {
    i20 = _sqlite3PagerWrite(get32(i12 + 68 | 0) | 0) | 0;
    if (!i20) {
     _memcpy(i14 | 0, i4 | 0, i19 | 0) | 0;
     i21 = 0;
    } else i21 = i20;
   } else {
    _memcpy(i4 | 0, i14 | 0, i19 | 0) | 0;
    i21 = 0;
   }
   i22 = i4 + i19 | 0;
   i23 = 0;
   i24 = i3 - i19 | 0;
   i25 = i21;
  } else {
   i22 = i4;
   i23 = i2 - i11 | 0;
   i24 = i3;
   i25 = 0;
  }
  L19 : do if ((i25 | 0) == 0 & (i24 | 0) != 0) {
   i3 = get32(i18 | 0) | 0;
   i11 = i3 + -4 | 0;
   i2 = getU16(i17 | 0) | 0;
   i4 = i2 + i15 | 0;
   i21 = getU8(i16 + (i4 + 1) >> 0 | 0) << 16 | getU8(i16 + i4 >> 0 | 0) << 24 | getU8(i16 + (i4 + 2) >> 0 | 0) << 8 | getU8(i16 + (i4 + 3) >> 0 | 0);
   set32(i9 | 0, i21 | 0);
   i4 = i1 + 84 | 0;
   i19 = get32(i4 | 0) | 0;
   if (get8(i1 + 88 >> 0 | 0) | 0) if (!i19) {
    i14 = ((i3 + -5 + (get32(i1 + 48 | 0) | 0) - i2 | 0) >>> 0) / (i11 >>> 0) | 0;
    i2 = i14 << 2;
    do if ((i2 + -1 | 0) >>> 0 > 2147483390) i26 = 0; else {
     if (!(get32(50 * 4 | 0) | 0)) {
      i3 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i2) | 0;
      if (!i3) {
       i26 = 0;
       break;
      } else i27 = i3;
     } else {
      i3 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i2) | 0;
      set32(35 * 4 | 0, i2 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i2 | 0)) set32(45 * 4 | 0, i2 | 0);
      i20 = get32(6 * 4 | 0) | 0;
      do if (i20) {
       i12 = get32(30 * 4 | 0) | 0;
       i28 = ((i12 | 0) < 0) << 31 >> 31;
       i29 = 16;
       i30 = _i64Subtract(get32(i29 | 0) | 0, get32(i29 + 4 | 0) | 0, i3 | 0, ((i3 | 0) < 0) << 31 >> 31 | 0) | 0;
       i29 = tempRet0;
       if ((i28 | 0) < (i29 | 0) | (i28 | 0) == (i29 | 0) & i12 >>> 0 < i30 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i30 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i20 & 15](i30, i12, i28, i3);
        set32(6 * 4 | 0, i20 | 0);
        set32(7 * 4 | 0, i30 | 0);
        break;
       }
      } while (0);
      i20 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i3) | 0;
      if (!i20) {
       i26 = 0;
       break;
      }
      i30 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i20) | 0;
      i28 = (get32(30 * 4 | 0) | 0) + i30 | 0;
      set32(30 * 4 | 0, i28 | 0);
      if ((i28 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i28 | 0);
      i28 = get32(39 * 4 | 0) | 0;
      i30 = i28 + 1 | 0;
      set32(39 * 4 | 0, i30 | 0);
      if ((i28 | 0) < (get32(49 * 4 | 0) | 0)) i27 = i20; else {
       set32(49 * 4 | 0, i30 | 0);
       i27 = i20;
      }
     }
     _memset(i27 | 0, 0, i2 | 0) | 0;
     i26 = i27;
    } while (0);
    set32(i4 | 0, i26 | 0);
    i31 = i26;
    i32 = (i14 | 0) != 0 & (i26 | 0) == 0 ? 7 : 0;
    i33 = 34;
   } else {
    i34 = i19;
    i35 = 0;
    i33 = 35;
   } else {
    i31 = i19;
    i32 = 0;
    i33 = 34;
   }
   if ((i33 | 0) == 34) if (!i31) {
    i36 = i23;
    i37 = i21;
    i38 = i31;
    i39 = 0;
    i40 = i32;
   } else {
    i34 = i31;
    i35 = i32;
    i33 = 35;
   }
   if ((i33 | 0) == 35) {
    i2 = (i23 >>> 0) / (i11 >>> 0) | 0;
    i20 = get32(i34 + (i2 << 2) | 0) | 0;
    if (!i20) {
     i36 = i23;
     i37 = i21;
     i38 = i34;
     i39 = 0;
     i40 = i35;
    } else {
     set32(i9 | 0, i20 | 0);
     i36 = (i23 >>> 0) % (i11 >>> 0) | 0;
     i37 = i20;
     i38 = i34;
     i39 = i2;
     i40 = i35;
    }
   }
   if ((i40 | 0) == 0 & (i37 | 0) != 0) {
    i2 = (i5 | 0) == 0;
    i20 = i24;
    i30 = i22;
    i28 = i36;
    i12 = i38;
    i29 = i37;
    i41 = i39;
    while (1) {
     if (i12) set32(i12 + (i41 << 2) | 0, i29 | 0);
     if (i28 >>> 0 < i11 >>> 0) {
      i42 = _sqlite3PagerAcquire(get32(i13 | 0) | 0, get32(i9 | 0) | 0, i10, 0) | 0;
      if (i42) {
       i43 = i42;
       break;
      }
      i42 = get32(i10 | 0) | 0;
      i44 = get32(i42 | 0) | 0;
      i45 = getU8(i44 + 1 >> 0 | 0) << 16 | getU8(i44 >> 0 | 0) << 24 | getU8(i44 + 2 >> 0 | 0) << 8 | getU8(i44 + 3 >> 0 | 0);
      set32(i9 | 0, i45 | 0);
      i46 = (i28 + i20 | 0) >>> 0 > i11 >>> 0 ? i11 - i28 | 0 : i20;
      i47 = i44 + (i28 + 4) | 0;
      if (!i2) {
       i44 = _sqlite3PagerWrite(i42) | 0;
       if (!i44) {
        _memcpy(i47 | 0, i30 | 0, i46 | 0) | 0;
        i48 = 0;
       } else i48 = i44;
      } else {
       _memcpy(i30 | 0, i47 | 0, i46 | 0) | 0;
       i48 = 0;
      }
      _sqlite3PagerUnref(i42);
      i49 = 0;
      i50 = i20 - i46 | 0;
      i51 = i30 + i46 | 0;
      i52 = i45;
      i53 = i48;
     } else {
      if ((i12 | 0) != 0 ? (i45 = get32(i12 + (i41 + 1 << 2) | 0) | 0, (i45 | 0) != 0) : 0) {
       set32(i9 | 0, i45 | 0);
       i54 = i45;
       i55 = 0;
      } else {
       i45 = _getOverflowPage(i13, get32(i9 | 0) | 0, 0, i9) | 0;
       i54 = get32(i9 | 0) | 0;
       i55 = i45;
      }
      i49 = i28 - i11 | 0;
      i50 = i20;
      i51 = i30;
      i52 = i54;
      i53 = i55;
     }
     if (!((i53 | 0) == 0 & (i50 | 0) != 0 & (i52 | 0) != 0)) {
      i56 = i50;
      i57 = i53;
      break L19;
     }
     i20 = i50;
     i30 = i51;
     i28 = i49;
     i12 = get32(i4 | 0) | 0;
     i29 = i52;
     i41 = i41 + 1 | 0;
    }
    STACKTOP = i6;
    return i43 | 0;
   } else {
    i56 = i24;
    i57 = i40;
   }
  } else {
   i56 = i24;
   i57 = i25;
  } while (0);
  if (!((i57 | 0) == 0 & (i56 | 0) != 0)) {
   i43 = i57;
   STACKTOP = i6;
   return i43 | 0;
  }
  set32(i7 | 0, 51472 | 0);
  set32(i7 + 4 | 0, 17203 | 0);
  _sqlite3_log(11, 19615, i7);
  i43 = 11;
  STACKTOP = i6;
  return i43 | 0;
 }
 set32(i8 | 0, 51372 | 0);
 set32(i8 + 4 | 0, 17203 | 0);
 _sqlite3_log(11, 19615, i8);
 i43 = 11;
 STACKTOP = i6;
 return i43 | 0;
}

function _sqlite3ExprCodeGetColumn(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0;
 i6 = get32(i1 + 12 | 0) | 0;
 i7 = i1 + 96 | 0;
 i8 = get32(i1 + 112 | 0) | 0;
 if (((i8 | 0) > 0 ? (get32(i7 | 0) | 0) == (i4 | 0) : 0) ? (get32(i1 + 100 | 0) | 0) == (i3 | 0) : 0) {
  i9 = i8;
  i10 = i7;
 } else i11 = 24;
 do if ((i11 | 0) == 24) {
  i7 = i1 + 120 | 0;
  i12 = get32(i1 + 136 | 0) | 0;
  if (((i12 | 0) > 0 ? (get32(i7 | 0) | 0) == (i4 | 0) : 0) ? (get32(i1 + 124 | 0) | 0) == (i3 | 0) : 0) {
   i9 = i12;
   i10 = i7;
   break;
  }
  i7 = i1 + 144 | 0;
  i12 = get32(i1 + 160 | 0) | 0;
  if (((i12 | 0) > 0 ? (get32(i7 | 0) | 0) == (i4 | 0) : 0) ? (get32(i1 + 148 | 0) | 0) == (i3 | 0) : 0) {
   i9 = i12;
   i10 = i7;
   break;
  }
  i7 = i1 + 168 | 0;
  i12 = get32(i1 + 184 | 0) | 0;
  if (((i12 | 0) > 0 ? (get32(i7 | 0) | 0) == (i4 | 0) : 0) ? (get32(i1 + 172 | 0) | 0) == (i3 | 0) : 0) {
   i9 = i12;
   i10 = i7;
   break;
  }
  i7 = i1 + 192 | 0;
  i12 = get32(i1 + 208 | 0) | 0;
  if (((i12 | 0) > 0 ? (get32(i7 | 0) | 0) == (i4 | 0) : 0) ? (get32(i1 + 196 | 0) | 0) == (i3 | 0) : 0) {
   i9 = i12;
   i10 = i7;
   break;
  }
  i7 = i1 + 216 | 0;
  i12 = get32(i1 + 232 | 0) | 0;
  if (((i12 | 0) > 0 ? (get32(i7 | 0) | 0) == (i4 | 0) : 0) ? (get32(i1 + 220 | 0) | 0) == (i3 | 0) : 0) {
   i9 = i12;
   i10 = i7;
   break;
  }
  i7 = i1 + 240 | 0;
  i12 = get32(i1 + 256 | 0) | 0;
  if (((i12 | 0) > 0 ? (get32(i7 | 0) | 0) == (i4 | 0) : 0) ? (get32(i1 + 244 | 0) | 0) == (i3 | 0) : 0) {
   i9 = i12;
   i10 = i7;
   break;
  }
  i7 = i1 + 264 | 0;
  i12 = get32(i1 + 280 | 0) | 0;
  if (((i12 | 0) > 0 ? (get32(i7 | 0) | 0) == (i4 | 0) : 0) ? (get32(i1 + 268 | 0) | 0) == (i3 | 0) : 0) {
   i9 = i12;
   i10 = i7;
   break;
  }
  i7 = i1 + 288 | 0;
  i12 = get32(i1 + 304 | 0) | 0;
  if (((i12 | 0) > 0 ? (get32(i7 | 0) | 0) == (i4 | 0) : 0) ? (get32(i1 + 292 | 0) | 0) == (i3 | 0) : 0) {
   i9 = i12;
   i10 = i7;
   break;
  }
  i7 = i1 + 312 | 0;
  i12 = get32(i1 + 328 | 0) | 0;
  if (((i12 | 0) > 0 ? (get32(i7 | 0) | 0) == (i4 | 0) : 0) ? (get32(i1 + 316 | 0) | 0) == (i3 | 0) : 0) {
   i9 = i12;
   i10 = i7;
   break;
  }
  do if ((i3 | 0) < 0) {
   i7 = i6 + 28 | 0;
   i12 = get32(i7 | 0) | 0;
   i13 = i6 + 32 | 0;
   i14 = get32(i13 | 0) | 0;
   if ((i14 | 0) > (i12 | 0)) {
    i15 = i12;
    i16 = get32(i6 + 4 | 0) | 0;
   } else {
    i17 = i6 + 4 | 0;
    i18 = _sqlite3DbRealloc(get32(i6 | 0) | 0, get32(i17 | 0) | 0, (i14 | 0) == 0 ? 1020 : i14 * 40 | 0) | 0;
    if (!i18) break;
    i14 = get32(i6 | 0) | 0;
    if (((i14 | 0) != 0 ? (get32(i14 + 260 | 0) | 0) >>> 0 <= i18 >>> 0 : 0) ? (get32(i14 + 264 | 0) | 0) >>> 0 > i18 >>> 0 : 0) i19 = getU16(i14 + 232 | 0) | 0; else i19 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i18) | 0;
    set32(i13 | 0, (i19 >>> 0) / 20 | 0 | 0);
    set32(i17 | 0, i18 | 0);
    i15 = get32(i7 | 0) | 0;
    i16 = i18;
   }
   set32(i7 | 0, i15 + 1 | 0);
   set8(i16 + (i12 * 20 | 0) >> 0 | 0, 61 | 0);
   set8(i16 + (i12 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
   set32(i16 + (i12 * 20 | 0) + 4 | 0, i4 | 0);
   set32(i16 + (i12 * 20 | 0) + 8 | 0, i5 | 0);
   set32(i16 + (i12 * 20 | 0) + 12 | 0, 0 | 0);
   set32(i16 + (i12 * 20 | 0) + 16 | 0, 0 | 0);
   set8(i16 + (i12 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
  } else {
   do if ((get32(i2 + 4 | 0) | 0) == (i3 | 0)) {
    i12 = i6 + 28 | 0;
    i7 = get32(i12 | 0) | 0;
    i18 = i6 + 32 | 0;
    i17 = get32(i18 | 0) | 0;
    if ((i17 | 0) > (i7 | 0)) {
     i20 = i7;
     i21 = get32(i6 + 4 | 0) | 0;
    } else {
     i13 = i6 + 4 | 0;
     i14 = _sqlite3DbRealloc(get32(i6 | 0) | 0, get32(i13 | 0) | 0, (i17 | 0) == 0 ? 1020 : i17 * 40 | 0) | 0;
     if (!i14) break;
     i17 = get32(i6 | 0) | 0;
     do if (!i17) i11 = 33; else {
      if ((get32(i17 + 260 | 0) | 0) >>> 0 > i14 >>> 0) {
       i11 = 33;
       break;
      }
      if ((get32(i17 + 264 | 0) | 0) >>> 0 <= i14 >>> 0) {
       i11 = 33;
       break;
      }
      i22 = getU16(i17 + 232 | 0) | 0;
     } while (0);
     if ((i11 | 0) == 33) i22 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i14) | 0;
     set32(i18 | 0, (i22 >>> 0) / 20 | 0 | 0);
     set32(i13 | 0, i14 | 0);
     i20 = get32(i12 | 0) | 0;
     i21 = i14;
    }
    set32(i12 | 0, i20 + 1 | 0);
    set8(i21 + (i7 * 20 | 0) >> 0 | 0, 61 | 0);
    set8(i21 + (i7 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i21 + (i7 * 20 | 0) + 4 | 0, i4 | 0);
    set32(i21 + (i7 * 20 | 0) + 8 | 0, i5 | 0);
    set32(i21 + (i7 * 20 | 0) + 12 | 0, 0 | 0);
    set32(i21 + (i7 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i21 + (i7 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   } else {
    i17 = (get8(i2 + 34 >> 0 | 0) & 16) != 0;
    i23 = i6 + 28 | 0;
    i24 = get32(i23 | 0) | 0;
    i25 = i6 + 32 | 0;
    i26 = get32(i25 | 0) | 0;
    if ((i26 | 0) > (i24 | 0)) {
     i27 = i24;
     i28 = get32(i6 + 4 | 0) | 0;
    } else {
     i29 = i6 + 4 | 0;
     i30 = _sqlite3DbRealloc(get32(i6 | 0) | 0, get32(i29 | 0) | 0, (i26 | 0) == 0 ? 1020 : i26 * 40 | 0) | 0;
     if (!i30) break;
     i26 = get32(i6 | 0) | 0;
     do if (!i26) i11 = 43; else {
      if ((get32(i26 + 260 | 0) | 0) >>> 0 > i30 >>> 0) {
       i11 = 43;
       break;
      }
      if ((get32(i26 + 264 | 0) | 0) >>> 0 <= i30 >>> 0) {
       i11 = 43;
       break;
      }
      i31 = getU16(i26 + 232 | 0) | 0;
     } while (0);
     if ((i11 | 0) == 43) i31 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i30) | 0;
     set32(i25 | 0, (i31 >>> 0) / 20 | 0 | 0);
     set32(i29 | 0, i30 | 0);
     i27 = get32(i23 | 0) | 0;
     i28 = i30;
    }
    set32(i23 | 0, i27 + 1 | 0);
    set8(i28 + (i24 * 20 | 0) >> 0 | 0, (i17 ? -127 : 28) | 0);
    set8(i28 + (i24 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
    set32(i28 + (i24 * 20 | 0) + 4 | 0, i4 | 0);
    set32(i28 + (i24 * 20 | 0) + 8 | 0, i3 | 0);
    set32(i28 + (i24 * 20 | 0) + 12 | 0, i5 | 0);
    set32(i28 + (i24 * 20 | 0) + 16 | 0, 0 | 0);
    set8(i28 + (i24 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
   } while (0);
   _sqlite3ColumnDefault(i6, i2, i3, i5);
  } while (0);
  _sqlite3ExprCacheStore(i1, i4, i3, i5);
  i32 = i5;
  return i32 | 0;
 } while (0);
 i5 = i1 + 88 | 0;
 i3 = get32(i5 | 0) | 0;
 set32(i5 | 0, i3 + 1 | 0);
 set32(i10 + 20 | 0, i3 | 0);
 if ((i8 | 0) == (i9 | 0)) set8(i1 + 104 >> 0 | 0, 0 | 0);
 if ((get32(i1 + 136 | 0) | 0) == (i9 | 0)) set8(i1 + 128 >> 0 | 0, 0 | 0);
 if ((get32(i1 + 160 | 0) | 0) == (i9 | 0)) set8(i1 + 152 >> 0 | 0, 0 | 0);
 if ((get32(i1 + 184 | 0) | 0) == (i9 | 0)) set8(i1 + 176 >> 0 | 0, 0 | 0);
 if ((get32(i1 + 208 | 0) | 0) == (i9 | 0)) set8(i1 + 200 >> 0 | 0, 0 | 0);
 if ((get32(i1 + 232 | 0) | 0) == (i9 | 0)) set8(i1 + 224 >> 0 | 0, 0 | 0);
 if ((get32(i1 + 256 | 0) | 0) == (i9 | 0)) set8(i1 + 248 >> 0 | 0, 0 | 0);
 if ((get32(i1 + 280 | 0) | 0) == (i9 | 0)) set8(i1 + 272 >> 0 | 0, 0 | 0);
 if ((get32(i1 + 304 | 0) | 0) == (i9 | 0)) set8(i1 + 296 >> 0 | 0, 0 | 0);
 if ((get32(i1 + 328 | 0) | 0) != (i9 | 0)) {
  i32 = i9;
  return i32 | 0;
 }
 set8(i1 + 320 >> 0 | 0, 0 | 0);
 i32 = i9;
 return i32 | 0;
}

function _checkList(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0;
 i6 = STACKTOP;
 STACKTOP = STACKTOP + 176 | 0;
 i7 = i6 + 136 | 0;
 i8 = i6 + 128 | 0;
 i9 = i6 + 120 | 0;
 i10 = i6 + 112 | 0;
 i11 = i6 + 88 | 0;
 i12 = i6 + 80 | 0;
 i13 = i6 + 72 | 0;
 i14 = i6 + 48 | 0;
 i15 = i6 + 40 | 0;
 i16 = i6 + 32 | 0;
 i17 = i6 + 24 | 0;
 i18 = i6 + 16 | 0;
 i19 = i6;
 i20 = i6 + 164 | 0;
 i21 = i6 + 160 | 0;
 i22 = i6 + 156 | 0;
 if ((i4 | 0) <= 0) {
  STACKTOP = i6;
  return;
 }
 i23 = i1 + 16 | 0;
 i24 = i1 + 8 | 0;
 i25 = i1 + 12 | 0;
 i26 = i1 + 4 | 0;
 i27 = (i2 | 0) == 0;
 i2 = i1 + 24 | 0;
 i28 = i3;
 i29 = i4;
 while (1) {
  i30 = i29 + -1 | 0;
  if (!(get32(i23 | 0) | 0)) {
   i31 = 48;
   break;
  }
  if ((i28 | 0) < 1) {
   i32 = i29;
   i31 = 5;
   break;
  }
  if ((get32(i24 | 0) | 0) >>> 0 < i28 >>> 0) {
   i33 = i28;
   i31 = 7;
   break;
  }
  i34 = (get32(i25 | 0) | 0) + (i28 << 2) | 0;
  i35 = get32(i34 | 0) | 0;
  if ((i35 | 0) == 1) {
   i36 = i28;
   i31 = 9;
   break;
  }
  set32(i34 | 0, i35 + 1 | 0);
  if ((i35 | 0) > 1) {
   i31 = 48;
   break;
  }
  if (_sqlite3PagerAcquire(get32(i26 | 0) | 0, i28, i22, 0) | 0) {
   i37 = i28;
   i31 = 12;
   break;
  }
  i35 = get32(i22 | 0) | 0;
  i34 = get32(i35 | 0) | 0;
  do if (i27) {
   i38 = get32(i1 | 0) | 0;
   if ((i29 | 0) > 1 & (get8(i38 + 21 >> 0 | 0) | 0) != 0) {
    i39 = getU8(i34 + 1 >> 0 | 0) << 16 | getU8(i34 >> 0 | 0) << 24 | getU8(i34 + 2 >> 0 | 0) << 8 | getU8(i34 + 3 >> 0 | 0);
    i40 = _ptrmapGet(i38, i39, i20, i21) | 0;
    L15 : do if ((i40 | 0) < 7) {
     switch (i40 | 0) {
     case 0:
      break;
     default:
      {
       i31 = 43;
       break L15;
      }
     }
     i38 = get8(i20 >> 0 | 0) | 0;
     i41 = get32(i21 | 0) | 0;
     if (!(i38 << 24 >> 24 == 4 & (i41 | 0) == (i28 | 0))) {
      set32(i7 | 0, i39 | 0);
      set32(i7 + 4 | 0, 4 | 0);
      set32(i7 + 8 | 0, i28 | 0);
      set32(i7 + 12 | 0, i38 & 255 | 0);
      set32(i7 + 16 | 0, i41 | 0);
      _checkAppendMsg(i1, i5, 22399, i7);
     }
    } else {
     if ((i40 | 0) < 3082) switch (i40 | 0) {
     case 7:
      break;
     default:
      {
       i31 = 43;
       break L15;
      }
     } else switch (i40 | 0) {
     case 3082:
      break;
     default:
      {
       i31 = 43;
       break L15;
      }
     }
     set32(i2 | 0, 1 | 0);
     i31 = 43;
    } while (0);
    if ((i31 | 0) == 43) {
     i31 = 0;
     set32(i8 | 0, i39 | 0);
     _checkAppendMsg(i1, i5, 22370, i8);
    }
    i42 = i30;
   } else i42 = i30;
  } else {
   i40 = getU8(i34 + 5 >> 0 | 0) << 16 | getU8(i34 + 4 >> 0 | 0) << 24 | getU8(i34 + 6 >> 0 | 0) << 8 | getU8(i34 + 7 >> 0 | 0);
   i41 = get32(i1 | 0) | 0;
   if (!(get8(i41 + 21 >> 0 | 0) | 0)) i43 = i41; else {
    i38 = _ptrmapGet(i41, i28, i20, i21) | 0;
    L30 : do if ((i38 | 0) < 7) {
     switch (i38 | 0) {
     case 0:
      break;
     default:
      {
       i31 = 17;
       break L30;
      }
     }
     i41 = get8(i20 >> 0 | 0) | 0;
     i44 = get32(i21 | 0) | 0;
     if (!(i41 << 24 >> 24 == 2 & (i44 | 0) == 0)) {
      set32(i14 | 0, i28 | 0);
      set32(i14 + 4 | 0, 2 | 0);
      set32(i14 + 8 | 0, 0 | 0);
      set32(i14 + 12 | 0, i41 & 255 | 0);
      set32(i14 + 16 | 0, i44 | 0);
      _checkAppendMsg(i1, i5, 22399, i14);
     }
    } else {
     if ((i38 | 0) < 3082) switch (i38 | 0) {
     case 7:
      break;
     default:
      {
       i31 = 17;
       break L30;
      }
     } else switch (i38 | 0) {
     case 3082:
      break;
     default:
      {
       i31 = 17;
       break L30;
      }
     }
     set32(i2 | 0, 1 | 0);
     i31 = 17;
    } while (0);
    if ((i31 | 0) == 17) {
     i31 = 0;
     set32(i15 | 0, i28 | 0);
     _checkAppendMsg(i1, i5, 22370, i15);
    }
    i43 = get32(i1 | 0) | 0;
   }
   if ((i40 | 0) > (((get32(i43 + 40 | 0) | 0) / 4 | 0) + -2 | 0)) {
    set32(i13 | 0, i28 | 0);
    _checkAppendMsg(i1, i5, 22283, i13);
    i42 = i29 + -2 | 0;
    break;
   }
   L46 : do if ((i40 | 0) > 0) {
    i38 = i43;
    i39 = 0;
    while (1) {
     i44 = i39 << 2;
     i41 = getU8(i34 + (i44 + 9) >> 0 | 0) << 16 | getU8(i34 + (i44 + 8) >> 0 | 0) << 24 | getU8(i34 + (i44 + 10) >> 0 | 0) << 8 | getU8(i34 + (i44 + 11) >> 0 | 0);
     if (get8(i38 + 21 >> 0 | 0) | 0) {
      i44 = _ptrmapGet(i38, i41, i20, i21) | 0;
      L51 : do if ((i44 | 0) < 7) {
       switch (i44 | 0) {
       case 0:
        break;
       default:
        {
         i31 = 27;
         break L51;
        }
       }
       i45 = get8(i20 >> 0 | 0) | 0;
       i46 = get32(i21 | 0) | 0;
       if (!(i45 << 24 >> 24 == 2 & (i46 | 0) == 0)) {
        set32(i11 | 0, i41 | 0);
        set32(i11 + 4 | 0, 2 | 0);
        set32(i11 + 8 | 0, 0 | 0);
        set32(i11 + 12 | 0, i45 & 255 | 0);
        set32(i11 + 16 | 0, i46 | 0);
        _checkAppendMsg(i1, i5, 22399, i11);
       }
      } else {
       if ((i44 | 0) < 3082) switch (i44 | 0) {
       case 7:
        break;
       default:
        {
         i31 = 27;
         break L51;
        }
       } else switch (i44 | 0) {
       case 3082:
        break;
       default:
        {
         i31 = 27;
         break L51;
        }
       }
       set32(i2 | 0, 1 | 0);
       i31 = 27;
      } while (0);
      if ((i31 | 0) == 27) {
       i31 = 0;
       set32(i12 | 0, i41 | 0);
       _checkAppendMsg(i1, i5, 22370, i12);
      }
     }
     do if (i41) {
      if ((get32(i24 | 0) | 0) >>> 0 < i41 >>> 0) {
       set32(i10 | 0, i41 | 0);
       _checkAppendMsg(i1, i5, 22322, i10);
       break;
      }
      i44 = (get32(i25 | 0) | 0) + (i41 << 2) | 0;
      i46 = get32(i44 | 0) | 0;
      if ((i46 | 0) == 1) {
       set32(i9 | 0, i41 | 0);
       _checkAppendMsg(i1, i5, 22345, i9);
       break;
      } else {
       set32(i44 | 0, i46 + 1 | 0);
       break;
      }
     } while (0);
     i41 = i39 + 1 | 0;
     if ((i41 | 0) == (i40 | 0)) break L46;
     i38 = get32(i1 | 0) | 0;
     i39 = i41;
    }
   } while (0);
   i42 = i30 - i40 | 0;
  } while (0);
  i28 = getU8(i34 + 1 >> 0 | 0) << 16 | getU8(i34 >> 0 | 0) << 24 | getU8(i34 + 2 >> 0 | 0) << 8 | getU8(i34 + 3 >> 0 | 0);
  _sqlite3PagerUnref(i35);
  if ((i42 | 0) <= 0) {
   i31 = 48;
   break;
  } else i29 = i42;
 }
 if ((i31 | 0) == 5) {
  set32(i19 | 0, i32 | 0);
  set32(i19 + 4 | 0, i4 | 0);
  set32(i19 + 8 | 0, i3 | 0);
  _checkAppendMsg(i1, i5, 22204, i19);
  STACKTOP = i6;
  return;
 } else if ((i31 | 0) == 7) {
  set32(i18 | 0, i33 | 0);
  _checkAppendMsg(i1, i5, 22322, i18);
  STACKTOP = i6;
  return;
 } else if ((i31 | 0) == 9) {
  set32(i17 | 0, i36 | 0);
  _checkAppendMsg(i1, i5, 22345, i17);
  STACKTOP = i6;
  return;
 } else if ((i31 | 0) == 12) {
  set32(i16 | 0, i37 | 0);
  _checkAppendMsg(i1, i5, 22261, i16);
  STACKTOP = i6;
  return;
 } else if ((i31 | 0) == 48) {
  STACKTOP = i6;
  return;
 }
}
function _yy_destructor(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0;
 switch (i2 & 255 | 0) {
 case 194:
 case 160:
  {
   i2 = get32(i1 | 0) | 0;
   i4 = get32(i3 | 0) | 0;
   if (!i4) return;
   i5 = get32(i4 | 0) | 0;
   if (i5) {
    i6 = i5 + 12 | 0;
    if ((get32(i5 | 0) | 0) > 0) {
     i7 = 0;
     i8 = get32(i6 | 0) | 0;
     while (1) {
      _sqlite3ExprDelete(i2, get32(i8 | 0) | 0);
      _sqlite3DbFree(i2, get32(i8 + 4 | 0) | 0);
      _sqlite3DbFree(i2, get32(i8 + 8 | 0) | 0);
      i7 = i7 + 1 | 0;
      if ((i7 | 0) >= (get32(i5 | 0) | 0)) break; else i8 = i8 + 20 | 0;
     }
    }
    _sqlite3DbFree(i2, get32(i6 | 0) | 0);
    _sqlite3DbFree(i2, i5);
   }
   _sqlite3SrcListDelete(i2, get32(i4 + 8 | 0) | 0);
   _sqlite3ExprDelete(i2, get32(i4 + 12 | 0) | 0);
   i5 = get32(i4 + 16 | 0) | 0;
   if (i5) {
    i6 = i5 + 12 | 0;
    if ((get32(i5 | 0) | 0) > 0) {
     i8 = 0;
     i7 = get32(i6 | 0) | 0;
     while (1) {
      _sqlite3ExprDelete(i2, get32(i7 | 0) | 0);
      _sqlite3DbFree(i2, get32(i7 + 4 | 0) | 0);
      _sqlite3DbFree(i2, get32(i7 + 8 | 0) | 0);
      i8 = i8 + 1 | 0;
      if ((i8 | 0) >= (get32(i5 | 0) | 0)) break; else i7 = i7 + 20 | 0;
     }
    }
    _sqlite3DbFree(i2, get32(i6 | 0) | 0);
    _sqlite3DbFree(i2, i5);
   }
   _sqlite3ExprDelete(i2, get32(i4 + 20 | 0) | 0);
   i5 = get32(i4 + 24 | 0) | 0;
   if (i5) {
    i6 = i5 + 12 | 0;
    if ((get32(i5 | 0) | 0) > 0) {
     i7 = 0;
     i8 = get32(i6 | 0) | 0;
     while (1) {
      _sqlite3ExprDelete(i2, get32(i8 | 0) | 0);
      _sqlite3DbFree(i2, get32(i8 + 4 | 0) | 0);
      _sqlite3DbFree(i2, get32(i8 + 8 | 0) | 0);
      i7 = i7 + 1 | 0;
      if ((i7 | 0) >= (get32(i5 | 0) | 0)) break; else i8 = i8 + 20 | 0;
     }
    }
    _sqlite3DbFree(i2, get32(i6 | 0) | 0);
    _sqlite3DbFree(i2, i5);
   }
   _sqlite3SelectDelete(i2, get32(i4 + 28 | 0) | 0);
   _sqlite3ExprDelete(i2, get32(i4 + 40 | 0) | 0);
   _sqlite3ExprDelete(i2, get32(i4 + 44 | 0) | 0);
   _sqlite3DbFree(i2, i4);
   return;
  }
 case 175:
 case 174:
  {
   _sqlite3ExprDelete(get32(i1 | 0) | 0, get32(i3 | 0) | 0);
   return;
  }
 case 226:
 case 221:
 case 220:
 case 217:
 case 216:
 case 214:
 case 204:
 case 202:
 case 200:
 case 197:
 case 187:
 case 179:
  {
   i4 = get32(i1 | 0) | 0;
   i2 = get32(i3 | 0) | 0;
   if (!i2) return;
   i5 = i2 + 12 | 0;
   if ((get32(i2 | 0) | 0) > 0) {
    i6 = 0;
    i8 = get32(i5 | 0) | 0;
    while (1) {
     _sqlite3ExprDelete(i4, get32(i8 | 0) | 0);
     _sqlite3DbFree(i4, get32(i8 + 4 | 0) | 0);
     _sqlite3DbFree(i4, get32(i8 + 8 | 0) | 0);
     i6 = i6 + 1 | 0;
     if ((i6 | 0) >= (get32(i2 | 0) | 0)) break; else i8 = i8 + 20 | 0;
    }
   }
   _sqlite3DbFree(i4, get32(i5 | 0) | 0);
   _sqlite3DbFree(i4, i2);
   return;
  }
 case 207:
 case 206:
 case 198:
 case 193:
  {
   _sqlite3SrcListDelete(get32(i1 | 0) | 0, get32(i3 | 0) | 0);
   return;
  }
 case 243:
 case 238:
 case 227:
 case 225:
 case 215:
 case 210:
 case 201:
 case 199:
  {
   _sqlite3ExprDelete(get32(i1 | 0) | 0, get32(i3 | 0) | 0);
   return;
  }
 case 219:
 case 213:
 case 211:
  {
   i2 = get32(i1 | 0) | 0;
   i4 = get32(i3 | 0) | 0;
   if (!i4) return;
   i5 = i4 + 4 | 0;
   if ((get32(i5 | 0) | 0) > 0) {
    i8 = 0;
    do {
     _sqlite3DbFree(i2, get32((get32(i4 | 0) | 0) + (i8 << 3) | 0) | 0);
     i8 = i8 + 1 | 0;
    } while ((i8 | 0) < (get32(i5 | 0) | 0));
   }
   _sqlite3DbFree(i2, get32(i4 | 0) | 0);
   _sqlite3DbFree(i2, i4);
   return;
  }
 case 239:
 case 234:
  {
   i4 = get32(i1 | 0) | 0;
   i2 = get32(i3 | 0) | 0;
   if (!i2) return; else i9 = i2;
   do {
    i2 = i9;
    i9 = get32(i9 + 32 | 0) | 0;
    _sqlite3ExprDelete(i4, get32(i2 + 20 | 0) | 0);
    i5 = get32(i2 + 24 | 0) | 0;
    if (i5) {
     i8 = i5 + 12 | 0;
     if ((get32(i5 | 0) | 0) > 0) {
      i6 = 0;
      i7 = get32(i8 | 0) | 0;
      while (1) {
       _sqlite3ExprDelete(i4, get32(i7 | 0) | 0);
       _sqlite3DbFree(i4, get32(i7 + 4 | 0) | 0);
       _sqlite3DbFree(i4, get32(i7 + 8 | 0) | 0);
       i6 = i6 + 1 | 0;
       if ((i6 | 0) >= (get32(i5 | 0) | 0)) break; else i7 = i7 + 20 | 0;
      }
     }
     _sqlite3DbFree(i4, get32(i8 | 0) | 0);
     _sqlite3DbFree(i4, i5);
    }
    i7 = get32(i2 + 8 | 0) | 0;
    if (i7) {
     i6 = get32(i7 | 0) | 0;
     if (i6) {
      i10 = i6 + 12 | 0;
      if ((get32(i6 | 0) | 0) > 0) {
       i11 = 0;
       i12 = get32(i10 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i4, get32(i12 | 0) | 0);
        _sqlite3DbFree(i4, get32(i12 + 4 | 0) | 0);
        _sqlite3DbFree(i4, get32(i12 + 8 | 0) | 0);
        i11 = i11 + 1 | 0;
        if ((i11 | 0) >= (get32(i6 | 0) | 0)) break; else i12 = i12 + 20 | 0;
       }
      }
      _sqlite3DbFree(i4, get32(i10 | 0) | 0);
      _sqlite3DbFree(i4, i6);
     }
     _sqlite3SrcListDelete(i4, get32(i7 + 8 | 0) | 0);
     _sqlite3ExprDelete(i4, get32(i7 + 12 | 0) | 0);
     i12 = get32(i7 + 16 | 0) | 0;
     if (i12) {
      i11 = i12 + 12 | 0;
      if ((get32(i12 | 0) | 0) > 0) {
       i5 = 0;
       i8 = get32(i11 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i4, get32(i8 | 0) | 0);
        _sqlite3DbFree(i4, get32(i8 + 4 | 0) | 0);
        _sqlite3DbFree(i4, get32(i8 + 8 | 0) | 0);
        i5 = i5 + 1 | 0;
        if ((i5 | 0) >= (get32(i12 | 0) | 0)) break; else i8 = i8 + 20 | 0;
       }
      }
      _sqlite3DbFree(i4, get32(i11 | 0) | 0);
      _sqlite3DbFree(i4, i12);
     }
     _sqlite3ExprDelete(i4, get32(i7 + 20 | 0) | 0);
     i8 = get32(i7 + 24 | 0) | 0;
     if (i8) {
      i5 = i8 + 12 | 0;
      if ((get32(i8 | 0) | 0) > 0) {
       i6 = 0;
       i10 = get32(i5 | 0) | 0;
       while (1) {
        _sqlite3ExprDelete(i4, get32(i10 | 0) | 0);
        _sqlite3DbFree(i4, get32(i10 + 4 | 0) | 0);
        _sqlite3DbFree(i4, get32(i10 + 8 | 0) | 0);
        i6 = i6 + 1 | 0;
        if ((i6 | 0) >= (get32(i8 | 0) | 0)) break; else i10 = i10 + 20 | 0;
       }
      }
      _sqlite3DbFree(i4, get32(i5 | 0) | 0);
      _sqlite3DbFree(i4, i8);
     }
     _sqlite3SelectDelete(i4, get32(i7 + 28 | 0) | 0);
     _sqlite3ExprDelete(i4, get32(i7 + 40 | 0) | 0);
     _sqlite3ExprDelete(i4, get32(i7 + 44 | 0) | 0);
     _sqlite3DbFree(i4, i7);
    }
    i10 = get32(i2 + 28 | 0) | 0;
    if (i10) {
     i6 = i10 + 4 | 0;
     if ((get32(i6 | 0) | 0) > 0) {
      i12 = 0;
      do {
       _sqlite3DbFree(i4, get32((get32(i10 | 0) | 0) + (i12 << 3) | 0) | 0);
       i12 = i12 + 1 | 0;
      } while ((i12 | 0) < (get32(i6 | 0) | 0));
     }
     _sqlite3DbFree(i4, get32(i10 | 0) | 0);
     _sqlite3DbFree(i4, i10);
    }
    _sqlite3DbFree(i4, i2);
   } while ((i9 | 0) != 0);
   return;
  }
 case 236:
  {
   i9 = get32(i1 | 0) | 0;
   i1 = get32(i3 + 4 | 0) | 0;
   if (!i1) return;
   i3 = i1 + 4 | 0;
   if ((get32(i3 | 0) | 0) > 0) {
    i4 = 0;
    do {
     _sqlite3DbFree(i9, get32((get32(i1 | 0) | 0) + (i4 << 3) | 0) | 0);
     i4 = i4 + 1 | 0;
    } while ((i4 | 0) < (get32(i3 | 0) | 0));
   }
   _sqlite3DbFree(i9, get32(i1 | 0) | 0);
   _sqlite3DbFree(i9, i1);
   return;
  }
 default:
  return;
 }
}

function _sqlite3FindDb(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0;
 if (!i2) {
  i3 = -1;
  i4 = 0;
  _sqlite3DbFree(i1, i4);
  return i3 | 0;
 }
 i5 = get32(i2 | 0) | 0;
 i6 = get32(i2 + 4 | 0) | 0;
 if (!i5) {
  i3 = -1;
  i4 = 0;
  _sqlite3DbFree(i1, i4);
  return i3 | 0;
 }
 i2 = i6 + 1 | 0;
 L7 : do if (!i1) {
  if (i6 >>> 0 > 2147483390) {
   i3 = -1;
   i4 = 0;
   _sqlite3DbFree(i1, i4);
   return i3 | 0;
  }
  if (!(get32(50 * 4 | 0) | 0)) {
   i7 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i2) | 0;
   i8 = 42;
   break;
  }
  i9 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i2) | 0;
  set32(35 * 4 | 0, i2 | 0);
  if ((get32(45 * 4 | 0) | 0) < (i2 | 0)) set32(45 * 4 | 0, i2 | 0);
  i10 = get32(6 * 4 | 0) | 0;
  do if (i10) {
   i11 = get32(30 * 4 | 0) | 0;
   i12 = ((i11 | 0) < 0) << 31 >> 31;
   i13 = 16;
   i14 = _i64Subtract(get32(i13 | 0) | 0, get32(i13 + 4 | 0) | 0, i9 | 0, ((i9 | 0) < 0) << 31 >> 31 | 0) | 0;
   i13 = tempRet0;
   if ((i12 | 0) < (i13 | 0) | (i12 | 0) == (i13 | 0) & i11 >>> 0 < i14 >>> 0) {
    set32(11 * 4 | 0, 0 | 0);
    break;
   } else {
    set32(11 * 4 | 0, 1 | 0);
    i14 = get32(7 * 4 | 0) | 0;
    set32(6 * 4 | 0, 0 | 0);
    FUNCTION_TABLE_viiii[i10 & 15](i14, i11, i12, i9);
    set32(6 * 4 | 0, i10 | 0);
    set32(7 * 4 | 0, i14 | 0);
    break;
   }
  } while (0);
  i10 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i9) | 0;
  if (!i10) {
   i3 = -1;
   i4 = 0;
   _sqlite3DbFree(i1, i4);
   return i3 | 0;
  }
  i14 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i10) | 0;
  i12 = (get32(30 * 4 | 0) | 0) + i14 | 0;
  set32(30 * 4 | 0, i12 | 0);
  if ((i12 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i12 | 0);
  i12 = get32(39 * 4 | 0) | 0;
  i14 = i12 + 1 | 0;
  set32(39 * 4 | 0, i14 | 0);
  if ((i12 | 0) < (get32(49 * 4 | 0) | 0)) i15 = i10; else {
   set32(49 * 4 | 0, i14 | 0);
   i15 = i10;
  }
 } else {
  i10 = i1 + 30 | 0;
  if (get8(i10 >> 0 | 0) | 0) {
   i3 = -1;
   i4 = 0;
   _sqlite3DbFree(i1, i4);
   return i3 | 0;
  }
  do if (get8(i1 + 234 >> 0 | 0) | 0) {
   if ((getU16(i1 + 232 | 0) | 0) < (i2 | 0)) {
    i14 = i1 + 248 | 0;
    set32(i14 | 0, (get32(i14 | 0) | 0) + 1 | 0);
    break;
   }
   i14 = i1 + 256 | 0;
   i12 = get32(i14 | 0) | 0;
   if (!i12) {
    i11 = i1 + 252 | 0;
    set32(i11 | 0, (get32(i11 | 0) | 0) + 1 | 0);
    break;
   }
   set32(i14 | 0, get32(i12 | 0) | 0);
   i14 = i1 + 236 | 0;
   i11 = get32(i14 | 0) | 0;
   i13 = i11 + 1 | 0;
   set32(i14 | 0, i13 | 0);
   i14 = i1 + 244 | 0;
   set32(i14 | 0, (get32(i14 | 0) | 0) + 1 | 0);
   i14 = i1 + 240 | 0;
   if ((i11 | 0) >= (get32(i14 | 0) | 0)) set32(i14 | 0, i13 | 0);
   i7 = i12;
   i8 = 42;
   break L7;
  } while (0);
  do if (i6 >>> 0 <= 2147483390) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i9 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i2) | 0;
    if (!i9) break; else {
     i15 = i9;
     break L7;
    }
   }
   i9 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i2) | 0;
   set32(35 * 4 | 0, i2 | 0);
   if ((get32(45 * 4 | 0) | 0) < (i2 | 0)) set32(45 * 4 | 0, i2 | 0);
   i12 = get32(6 * 4 | 0) | 0;
   do if (i12) {
    i13 = get32(30 * 4 | 0) | 0;
    i14 = ((i13 | 0) < 0) << 31 >> 31;
    i11 = 16;
    i16 = _i64Subtract(get32(i11 | 0) | 0, get32(i11 + 4 | 0) | 0, i9 | 0, ((i9 | 0) < 0) << 31 >> 31 | 0) | 0;
    i11 = tempRet0;
    if ((i14 | 0) < (i11 | 0) | (i14 | 0) == (i11 | 0) & i13 >>> 0 < i16 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i16 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i12 & 15](i16, i13, i14, i9);
     set32(6 * 4 | 0, i12 | 0);
     set32(7 * 4 | 0, i16 | 0);
     break;
    }
   } while (0);
   i12 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i9) | 0;
   if (i12) {
    i16 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i12) | 0;
    i14 = (get32(30 * 4 | 0) | 0) + i16 | 0;
    set32(30 * 4 | 0, i14 | 0);
    if ((i14 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i14 | 0);
    i14 = get32(39 * 4 | 0) | 0;
    i16 = i14 + 1 | 0;
    set32(39 * 4 | 0, i16 | 0);
    if ((i14 | 0) < (get32(49 * 4 | 0) | 0)) {
     i15 = i12;
     break L7;
    }
    set32(49 * 4 | 0, i16 | 0);
    i15 = i12;
    break L7;
   }
  } while (0);
  set8(i10 >> 0 | 0, 1 | 0);
  i3 = -1;
  i4 = 0;
  _sqlite3DbFree(i1, i4);
  return i3 | 0;
 } while (0);
 if ((i8 | 0) == 42) if (!i7) {
  i3 = -1;
  i4 = 0;
  _sqlite3DbFree(i1, i4);
  return i3 | 0;
 } else i15 = i7;
 _memcpy(i15 | 0, i5 | 0, i6 | 0) | 0;
 set8(i15 + i6 >> 0 | 0, 0 | 0);
 i6 = get8(i15 >> 0 | 0) | 0;
 switch (i6 << 24 >> 24 | 0) {
 case 96:
 case 34:
 case 39:
  {
   i17 = i6;
   i8 = 45;
   break;
  }
 case 91:
  {
   i17 = 93;
   i8 = 45;
   break;
  }
 default:
  i18 = i15;
 }
 if ((i8 | 0) == 45) {
  i6 = get8(i15 + 1 >> 0 | 0) | 0;
  L76 : do if (!(i6 << 24 >> 24)) i19 = 0; else {
   i5 = i6;
   i7 = 1;
   i2 = 0;
   while (1) {
    if (i5 << 24 >> 24 == i17 << 24 >> 24) {
     i12 = i7 + 1 | 0;
     if ((get8(i15 + i12 >> 0 | 0) | 0) != i17 << 24 >> 24) {
      i19 = i2;
      break L76;
     }
     set8(i15 + i2 >> 0 | 0, i17 | 0);
     i20 = i12;
    } else {
     set8(i15 + i2 >> 0 | 0, i5 | 0);
     i20 = i7;
    }
    i12 = i2 + 1 | 0;
    i7 = i20 + 1 | 0;
    i5 = get8(i15 + i7 >> 0 | 0) | 0;
    if (!(i5 << 24 >> 24)) {
     i19 = i12;
     break;
    } else i2 = i12;
   }
  } while (0);
  set8(i15 + i19 >> 0 | 0, 0 | 0);
  i18 = i15;
 }
 while (1) if (!(get8(i18 >> 0 | 0) | 0)) {
  i21 = i18;
  break;
 } else i18 = i18 + 1 | 0;
 i18 = i21 - i15 & 1073741823;
 i21 = get32(i1 + 4 | 0) | 0;
 i19 = i21 + -1 | 0;
 if ((i21 | 0) <= 0) {
  i3 = i19;
  i4 = i15;
  _sqlite3DbFree(i1, i4);
  return i3 | 0;
 }
 i21 = i19;
 i20 = (get32(i1 + 8 | 0) | 0) + (i19 << 4) | 0;
 while (1) {
  i19 = get32(i20 | 0) | 0;
  if (!i19) i22 = 0; else {
   i17 = i19;
   while (1) if (!(get8(i17 >> 0 | 0) | 0)) {
    i23 = i17;
    break;
   } else i17 = i17 + 1 | 0;
   i22 = i23 - i19 & 1073741823;
  }
  if ((i18 | 0) == (i22 | 0)) {
   i17 = get8(i19 >> 0 | 0) | 0;
   L100 : do if (!(i17 << 24 >> 24)) {
    i24 = 0;
    i25 = i15;
   } else {
    i6 = i17;
    i2 = i19;
    i5 = i15;
    while (1) {
     if ((get8(16286 + (i6 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i5 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
      i24 = i6;
      i25 = i5;
      break L100;
     }
     i2 = i2 + 1 | 0;
     i7 = i5 + 1 | 0;
     i6 = get8(i2 >> 0 | 0) | 0;
     if (!(i6 << 24 >> 24)) {
      i24 = 0;
      i25 = i7;
      break;
     } else i5 = i7;
    }
   } while (0);
   if ((get8(16286 + (i24 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i25 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
    i3 = i21;
    i4 = i15;
    i8 = 64;
    break;
   }
  }
  i19 = i21 + -1 | 0;
  if ((i21 | 0) > 0) {
   i21 = i19;
   i20 = i20 + -16 | 0;
  } else {
   i3 = i19;
   i4 = i15;
   i8 = 64;
   break;
  }
 }
 if ((i8 | 0) == 64) {
  _sqlite3DbFree(i1, i4);
  return i3 | 0;
 }
 return 0;
}

function _sqlite3InitCallback(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 112 | 0;
 i2 = i4 + 88 | 0;
 i5 = i4 + 80 | 0;
 i6 = i4 + 72 | 0;
 i7 = i4 + 64 | 0;
 i8 = i4 + 56 | 0;
 i9 = i4 + 48 | 0;
 i10 = i4 + 40 | 0;
 i11 = i4 + 32 | 0;
 i12 = i4 + 24 | 0;
 i13 = i4 + 16 | 0;
 i14 = i4 + 8 | 0;
 i15 = i4;
 i16 = i4 + 100 | 0;
 i17 = i4 + 96 | 0;
 i18 = get32(i1 | 0) | 0;
 i19 = get32(i1 + 4 | 0) | 0;
 i20 = get32(i18 + 8 | 0) | 0;
 i21 = (get32(i20 + (i19 << 4) + 12 | 0) | 0) + 78 | 0;
 set16(i21 | 0, getU16(i21 | 0) & 65531 | 0);
 i21 = i18 + 30 | 0;
 if (get8(i21 >> 0 | 0) | 0) {
  set32(i1 + 12 | 0, 7 | 0);
  i22 = 1;
  STACKTOP = i4;
  return i22 | 0;
 }
 if (!i3) {
  i22 = 0;
  STACKTOP = i4;
  return i22 | 0;
 }
 i23 = get32(i3 + 4 | 0) | 0;
 if (!i23) {
  i24 = get32(i3 | 0) | 0;
  if ((get32(i18 + 12 | 0) & 8388608 | 0) == 0 ? (i25 = get32(i1 + 8 | 0) | 0, set32(i15 | 0, ((i24 | 0) == 0 ? 19939 : i24) | 0), _sqlite3SetString(i25, i18, 21943, i15), (get8(i21 >> 0 | 0) | 0) != 0) : 0) i26 = 7; else {
   set32(i14 | 0, 89648 | 0);
   set32(i14 + 4 | 0, 17203 | 0);
   _sqlite3_log(11, 19615, i14);
   i26 = 11;
  }
  set32(i1 + 12 | 0, i26 | 0);
  i22 = 0;
  STACKTOP = i4;
  return i22 | 0;
 }
 i26 = i3 + 8 | 0;
 i14 = get32(i26 | 0) | 0;
 if ((i14 | 0) != 0 ? (get8(i14 >> 0 | 0) | 0) != 0 : 0) {
  i14 = i18 + 116 | 0;
  set32(i14 | 0, i19 | 0);
  set32(i16 | 0, 0 | 0);
  _sqlite3GetInt32(i23, i16) | 0;
  i15 = get32(i26 | 0) | 0;
  set32(i18 + 120 | 0, get32(i16 | 0) | 0);
  i16 = i18 + 125 | 0;
  set8(i16 >> 0 | 0, 0 | 0);
  _sqlite3_prepare(i18, i15, -1, i17, 0) | 0;
  i15 = i18 + 20 | 0;
  i26 = get32(i15 | 0) | 0;
  set32(i14 | 0, 0 | 0);
  L20 : do if ((i26 | 0) != 0 ? (get8(i16 >> 0 | 0) | 0) == 0 : 0) {
   i14 = i1 + 12 | 0;
   set32(i14 | 0, i26 | 0);
   switch (i26 | 0) {
   case 9:
    {
     break L20;
     break;
    }
   case 7:
    {
     set8(i21 >> 0 | 0, 1 | 0);
     break L20;
     break;
    }
   default:
    {}
   }
   if ((i26 & 255 | 0) != 6) {
    i25 = get32(i3 | 0) | 0;
    i24 = get32(i18 + 56 | 0) | 0;
    L27 : do if ((i24 | 0) >= -264537850) if ((i24 | 0) < 1266094736) switch (i24 | 0) {
    case -264537850:
     {
      i27 = 18;
      break L27;
      break;
     }
    default:
     {
      i27 = 17;
      break L27;
     }
    } else switch (i24 | 0) {
    case 1266094736:
     {
      i27 = 18;
      break L27;
      break;
     }
    default:
     {
      i27 = 17;
      break L27;
     }
    } else switch (i24 | 0) {
    case -1607883113:
     {
      i27 = 18;
      break;
     }
    default:
     i27 = 17;
    } while (0);
    if ((i27 | 0) == 17) {
     set32(i13 | 0, 38376 | 0);
     _sqlite3_log(21, 26104, i13);
     set32(i12 | 0, 109450 | 0);
     set32(i12 + 4 | 0, 17203 | 0);
     _sqlite3_log(21, 39226, i12);
     i28 = 38778;
    } else if ((i27 | 0) == 18) if (!(get8(i21 >> 0 | 0) | 0)) {
     i24 = _sqlite3ValueText(get32(i18 + 212 | 0) | 0, 1) | 0;
     if (!i24) {
      i29 = get32(i15 | 0) & 255;
      if (i29 >>> 0 > 26 | (i29 | 0) == 2) i28 = 38974; else i28 = get32(5652 + (i29 << 2) | 0) | 0;
     } else i28 = i24;
    } else i28 = 19448;
    i24 = get32(i1 | 0) | 0;
    i29 = i24 + 30 | 0;
    if (!(get8(i29 >> 0 | 0) | 0)) {
     if ((get32(i24 + 12 | 0) & 8388608 | 0) == 0 ? (i30 = i1 + 8 | 0, i31 = get32(i30 | 0) | 0, set32(i11 | 0, ((i25 | 0) == 0 ? 19939 : i25) | 0), _sqlite3SetString(i31, i24, 21943, i11), (i28 | 0) != 0) : 0) {
      i31 = get32(get32(i30 | 0) | 0) | 0;
      set32(i10 | 0, i31 | 0);
      set32(i10 + 4 | 0, i28 | 0);
      i32 = _sqlite3MAppendf(i24, i31, 21974, i10) | 0;
      set32(get32(i30 | 0) | 0, i32 | 0);
     }
     if (!(get8(i29 >> 0 | 0) | 0)) {
      set32(i9 | 0, 89648 | 0);
      set32(i9 + 4 | 0, 17203 | 0);
      _sqlite3_log(11, 19615, i9);
      i33 = 11;
     } else i33 = 7;
    } else i33 = 7;
    set32(i14 | 0, i33 | 0);
   }
  } while (0);
  _sqlite3_finalize(get32(i17 | 0) | 0) | 0;
  i22 = 0;
  STACKTOP = i4;
  return i22 | 0;
 }
 i17 = get32(i3 | 0) | 0;
 if (!i17) {
  if ((get32(i18 + 12 | 0) & 8388608 | 0) == 0 ? (i33 = get32(i1 + 8 | 0) | 0, set32(i8 | 0, 19939 | 0), _sqlite3SetString(i33, i18, 21943, i8), (get8(i21 >> 0 | 0) | 0) != 0) : 0) i34 = 7; else {
   set32(i7 | 0, 89648 | 0);
   set32(i7 + 4 | 0, 17203 | 0);
   _sqlite3_log(11, 19615, i7);
   i34 = 11;
  }
  set32(i1 + 12 | 0, i34 | 0);
  i22 = 0;
  STACKTOP = i4;
  return i22 | 0;
 }
 i34 = get32(i20 + (i19 << 4) | 0) | 0;
 i19 = i17;
 while (1) if (!(get8(i19 >> 0 | 0) | 0)) {
  i35 = i19;
  break;
 } else i19 = i19 + 1 | 0;
 i19 = i35 - i17 & 1073741823;
 i35 = get32(i18 + 4 | 0) | 0;
 if ((i35 | 0) <= 0) {
  i22 = 0;
  STACKTOP = i4;
  return i22 | 0;
 }
 i18 = (i34 | 0) == 0;
 i7 = 0;
 i21 = 0;
 while (1) {
  i8 = (i7 | 0) < 2 ^ i7;
  i33 = get32(i20 + (i8 << 4) + 12 | 0) | 0;
  if (!i18) {
   i9 = get32(i20 + (i8 << 4) | 0) | 0;
   i8 = get8(i34 >> 0 | 0) | 0;
   L70 : do if (!(i8 << 24 >> 24)) {
    i36 = 0;
    i37 = i9;
   } else {
    i10 = i8;
    i28 = i34;
    i11 = i9;
    while (1) {
     if ((get8(16286 + (i10 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i11 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
      i36 = i10;
      i37 = i11;
      break L70;
     }
     i28 = i28 + 1 | 0;
     i15 = i11 + 1 | 0;
     i10 = get8(i28 >> 0 | 0) | 0;
     if (!(i10 << 24 >> 24)) {
      i36 = 0;
      i37 = i15;
      break;
     } else i11 = i15;
    }
   } while (0);
   if ((get8(16286 + (i36 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i37 >> 0 | 0) | 0) >> 0 | 0) | 0)) i38 = i21; else i27 = 44;
  } else i27 = 44;
  if ((i27 | 0) == 44) {
   i27 = 0;
   i9 = _sqlite3HashFind(i33 + 24 | 0, i17, i19) | 0;
   if (!i9) i38 = i9; else {
    i39 = i9;
    break;
   }
  }
  i7 = i7 + 1 | 0;
  if ((i7 | 0) >= (i35 | 0)) {
   i39 = i38;
   break;
  } else i21 = i38;
 }
 if (!i39) {
  i22 = 0;
  STACKTOP = i4;
  return i22 | 0;
 }
 if (_sqlite3GetInt32(i23, i39 + 20 | 0) | 0) {
  i22 = 0;
  STACKTOP = i4;
  return i22 | 0;
 }
 i39 = get32(i3 | 0) | 0;
 i3 = get32(i1 | 0) | 0;
 i23 = i3 + 30 | 0;
 do if (!(get8(i23 >> 0 | 0) | 0)) {
  if ((get32(i3 + 12 | 0) & 8388608 | 0) == 0 ? (i38 = i1 + 8 | 0, i21 = get32(i38 | 0) | 0, set32(i6 | 0, ((i39 | 0) == 0 ? 19939 : i39) | 0), _sqlite3SetString(i21, i3, 21943, i6), i21 = get32(get32(i38 | 0) | 0) | 0, set32(i5 | 0, i21 | 0), set32(i5 + 4 | 0, 21926 | 0), i35 = _sqlite3MAppendf(i3, i21, 21974, i5) | 0, set32(get32(i38 | 0) | 0, i35 | 0), (get8(i23 >> 0 | 0) | 0) != 0) : 0) {
   i40 = 7;
   break;
  }
  set32(i2 | 0, 89648 | 0);
  set32(i2 + 4 | 0, 17203 | 0);
  _sqlite3_log(11, 19615, i2);
  i40 = 11;
 } else i40 = 7; while (0);
 set32(i1 + 12 | 0, i40 | 0);
 i22 = 0;
 STACKTOP = i4;
 return i22 | 0;
}

function _analyzeTable(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0;
 i4 = get32(i1 | 0) | 0;
 i5 = get32(i2 + 68 | 0) | 0;
 L1 : do if (i5) {
  i6 = get32(i4 + 4 | 0) | 0;
  if ((i6 | 0) > 0) {
   i7 = get32(i4 + 8 | 0) | 0;
   i8 = 0;
   while (1) {
    if ((get32(i7 + (i8 << 4) + 12 | 0) | 0) == (i5 | 0)) {
     i9 = i8;
     break L1;
    }
    i10 = i8 + 1 | 0;
    if ((i10 | 0) < (i6 | 0)) i8 = i10; else {
     i9 = i10;
     break;
    }
   }
  } else i9 = 0;
 } else i9 = -1e6; while (0);
 _sqlite3BeginWriteOperation(i1, 0, i9);
 i5 = i1 + 68 | 0;
 i4 = get32(i5 | 0) | 0;
 set32(i5 | 0, i4 + 2 | 0);
 if (!i3) _openStatTable(i1, i9, i4, get32(i2 | 0) | 0, 36294); else _openStatTable(i1, i9, i4, get32(i3 | 0) | 0, 36290);
 _analyzeOneTable(i1, i2, i3, i4, (get32(i1 + 72 | 0) | 0) + 1 | 0);
 i4 = i1 + 12 | 0;
 i3 = get32(i4 | 0) | 0;
 if (!i3) {
  i2 = get32(i1 | 0) | 0;
  L14 : do if (!i2) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i11 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
    i12 = 47;
    break;
   }
   i1 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
   set32(35 * 4 | 0, 192 | 0);
   if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
   i5 = get32(6 * 4 | 0) | 0;
   do if (i5) {
    i8 = get32(30 * 4 | 0) | 0;
    i6 = ((i8 | 0) < 0) << 31 >> 31;
    i7 = 16;
    i10 = _i64Subtract(get32(i7 | 0) | 0, get32(i7 + 4 | 0) | 0, i1 | 0, ((i1 | 0) < 0) << 31 >> 31 | 0) | 0;
    i7 = tempRet0;
    if ((i6 | 0) < (i7 | 0) | (i6 | 0) == (i7 | 0) & i8 >>> 0 < i10 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i10 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i5 & 15](i10, i8, i6, i1);
     set32(6 * 4 | 0, i5 | 0);
     set32(7 * 4 | 0, i10 | 0);
     break;
    }
   } while (0);
   i5 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i1) | 0;
   if (i5) {
    i10 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i5) | 0;
    i6 = (get32(30 * 4 | 0) | 0) + i10 | 0;
    set32(30 * 4 | 0, i6 | 0);
    if ((i6 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i6 | 0);
    i6 = get32(39 * 4 | 0) | 0;
    i10 = i6 + 1 | 0;
    set32(39 * 4 | 0, i10 | 0);
    if ((i6 | 0) < (get32(49 * 4 | 0) | 0)) i13 = i5; else {
     set32(49 * 4 | 0, i10 | 0);
     i13 = i5;
    }
   } else i12 = 57;
  } else {
   i5 = i2 + 30 | 0;
   if (!(get8(i5 >> 0 | 0) | 0)) {
    do if (get8(i2 + 234 >> 0 | 0) | 0) {
     if ((getU16(i2 + 232 | 0) | 0) < 192) {
      i10 = i2 + 248 | 0;
      set32(i10 | 0, (get32(i10 | 0) | 0) + 1 | 0);
      break;
     }
     i10 = i2 + 256 | 0;
     i6 = get32(i10 | 0) | 0;
     if (!i6) {
      i8 = i2 + 252 | 0;
      set32(i8 | 0, (get32(i8 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i10 | 0, get32(i6 | 0) | 0);
     i10 = i2 + 236 | 0;
     i8 = get32(i10 | 0) | 0;
     i7 = i8 + 1 | 0;
     set32(i10 | 0, i7 | 0);
     i10 = i2 + 244 | 0;
     set32(i10 | 0, (get32(i10 | 0) | 0) + 1 | 0);
     i10 = i2 + 240 | 0;
     if ((i8 | 0) >= (get32(i10 | 0) | 0)) set32(i10 | 0, i7 | 0);
     i11 = i6;
     i12 = 47;
     break L14;
    } while (0);
    if (!(get32(50 * 4 | 0) | 0)) {
     i1 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
     if (i1) {
      i13 = i1;
      break;
     }
    } else {
     i1 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
     set32(35 * 4 | 0, 192 | 0);
     if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
     i6 = get32(6 * 4 | 0) | 0;
     do if (i6) {
      i7 = get32(30 * 4 | 0) | 0;
      i10 = ((i7 | 0) < 0) << 31 >> 31;
      i8 = 16;
      i14 = _i64Subtract(get32(i8 | 0) | 0, get32(i8 + 4 | 0) | 0, i1 | 0, ((i1 | 0) < 0) << 31 >> 31 | 0) | 0;
      i8 = tempRet0;
      if ((i10 | 0) < (i8 | 0) | (i10 | 0) == (i8 | 0) & i7 >>> 0 < i14 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i14 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i6 & 15](i14, i7, i10, i1);
       set32(6 * 4 | 0, i6 | 0);
       set32(7 * 4 | 0, i14 | 0);
       break;
      }
     } while (0);
     i6 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i1) | 0;
     if (i6) {
      i14 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i6) | 0;
      i10 = (get32(30 * 4 | 0) | 0) + i14 | 0;
      set32(30 * 4 | 0, i10 | 0);
      if ((i10 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i10 | 0);
      i10 = get32(39 * 4 | 0) | 0;
      i14 = i10 + 1 | 0;
      set32(39 * 4 | 0, i14 | 0);
      if ((i10 | 0) < (get32(49 * 4 | 0) | 0)) {
       i13 = i6;
       break;
      }
      set32(49 * 4 | 0, i14 | 0);
      i13 = i6;
      break;
     }
    }
    set8(i5 >> 0 | 0, 1 | 0);
    i12 = 57;
   } else i12 = 57;
  } while (0);
  if ((i12 | 0) == 47) if (!i11) i12 = 57; else i13 = i11;
  if ((i12 | 0) == 57) {
   set32(i4 | 0, 0 | 0);
   return;
  }
  _memset(i13 | 0, 0, 192) | 0;
  set32(i13 | 0, i2 | 0);
  i12 = i2 + 136 | 0;
  i11 = get32(i12 | 0) | 0;
  if (i11) set32(i11 + 60 | 0, i13 | 0);
  set32(i13 + 64 | 0, i11 | 0);
  set32(i13 + 60 | 0, 0 | 0);
  set32(i12 | 0, i13 | 0);
  set32(i13 + 52 | 0, 649915045 | 0);
  set32(i4 | 0, i13 | 0);
  i4 = i13 + 28 | 0;
  i12 = i13 + 32 | 0;
  i11 = i13 + 4 | 0;
  i6 = _sqlite3DbRealloc(i2, 0, 1020) | 0;
  if (!i6) i15 = i13; else {
   i2 = get32(i13 | 0) | 0;
   if (((i2 | 0) != 0 ? (get32(i2 + 260 | 0) | 0) >>> 0 <= i6 >>> 0 : 0) ? (get32(i2 + 264 | 0) | 0) >>> 0 > i6 >>> 0 : 0) i16 = getU16(i2 + 232 | 0) | 0; else i16 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i6) | 0;
   set32(i12 | 0, (i16 >>> 0) / 20 | 0 | 0);
   set32(i11 | 0, i6 | 0);
   set32(i4 | 0, (get32(i4 | 0) | 0) + 1 | 0);
   set8(i6 >> 0 | 0, -120 | 0);
   set8(i6 + 1 >> 0 | 0, 0 | 0);
   i4 = i6 + 3 | 0;
   i6 = i4 + 17 | 0;
   do {
    set8(i4 >> 0 | 0, 0 | 0);
    i4 = i4 + 1 | 0;
   } while ((i4 | 0) < (i6 | 0));
   i15 = i13;
  }
 } else i15 = i3;
 i3 = i15 + 28 | 0;
 i13 = get32(i3 | 0) | 0;
 i4 = i15 + 32 | 0;
 i6 = get32(i4 | 0) | 0;
 if ((i6 | 0) > (i13 | 0)) {
  i17 = i13;
  i18 = get32(i15 + 4 | 0) | 0;
 } else {
  i11 = i15 + 4 | 0;
  i16 = _sqlite3DbRealloc(get32(i15 | 0) | 0, get32(i11 | 0) | 0, (i6 | 0) == 0 ? 1020 : i6 * 40 | 0) | 0;
  if (!i16) return;
  i6 = get32(i15 | 0) | 0;
  if (((i6 | 0) != 0 ? (get32(i6 + 260 | 0) | 0) >>> 0 <= i16 >>> 0 : 0) ? (get32(i6 + 264 | 0) | 0) >>> 0 > i16 >>> 0 : 0) i19 = getU16(i6 + 232 | 0) | 0; else i19 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i16) | 0;
  set32(i4 | 0, (i19 >>> 0) / 20 | 0 | 0);
  set32(i11 | 0, i16 | 0);
  i17 = get32(i3 | 0) | 0;
  i18 = i16;
 }
 set32(i3 | 0, i17 + 1 | 0);
 set8(i18 + (i13 * 20 | 0) >> 0 | 0, 100 | 0);
 set8(i18 + (i13 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
 set32(i18 + (i13 * 20 | 0) + 4 | 0, i9 | 0);
 set32(i18 + (i13 * 20 | 0) + 8 | 0, 0 | 0);
 set32(i18 + (i13 * 20 | 0) + 12 | 0, 0 | 0);
 set32(i18 + (i13 * 20 | 0) + 16 | 0, 0 | 0);
 set8(i18 + (i13 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
 return;
}

function _sqlite3VdbeRecordUnpack(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0;
 i6 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i7 = i6;
 i8 = 0 - i4 & 7;
 i9 = i1 + 6 | 0;
 i10 = get16(i9 | 0) | 0;
 i11 = ((i10 & 65535) * 40 | 0) + 64 | 0;
 if ((i11 | 0) > (i5 - i8 | 0)) {
  i5 = get32(i1 | 0) | 0;
  L3 : do if (!i5) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i12 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i11) | 0;
    i13 = 39;
    break;
   }
   i14 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i11) | 0;
   set32(35 * 4 | 0, i11 | 0);
   if ((get32(45 * 4 | 0) | 0) < (i11 | 0)) set32(45 * 4 | 0, i11 | 0);
   i15 = get32(6 * 4 | 0) | 0;
   do if (i15) {
    i16 = get32(30 * 4 | 0) | 0;
    i17 = ((i16 | 0) < 0) << 31 >> 31;
    i18 = 16;
    i19 = _i64Subtract(get32(i18 | 0) | 0, get32(i18 + 4 | 0) | 0, i14 | 0, ((i14 | 0) < 0) << 31 >> 31 | 0) | 0;
    i18 = tempRet0;
    if ((i17 | 0) < (i18 | 0) | (i17 | 0) == (i18 | 0) & i16 >>> 0 < i19 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i19 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i15 & 15](i19, i16, i17, i14);
     set32(6 * 4 | 0, i15 | 0);
     set32(7 * 4 | 0, i19 | 0);
     break;
    }
   } while (0);
   i15 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i14) | 0;
   if (!i15) {
    i20 = 0;
    STACKTOP = i6;
    return i20 | 0;
   }
   i19 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i15) | 0;
   i17 = (get32(30 * 4 | 0) | 0) + i19 | 0;
   set32(30 * 4 | 0, i17 | 0);
   if ((i17 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i17 | 0);
   i17 = get32(39 * 4 | 0) | 0;
   i19 = i17 + 1 | 0;
   set32(39 * 4 | 0, i19 | 0);
   if ((i17 | 0) < (get32(49 * 4 | 0) | 0)) i21 = i15; else {
    set32(49 * 4 | 0, i19 | 0);
    i21 = i15;
   }
  } else {
   i15 = i5 + 30 | 0;
   if (get8(i15 >> 0 | 0) | 0) {
    i20 = 0;
    STACKTOP = i6;
    return i20 | 0;
   }
   do if (get8(i5 + 234 >> 0 | 0) | 0) {
    if ((getU16(i5 + 232 | 0) | 0) >>> 0 < i11 >>> 0) {
     i19 = i5 + 248 | 0;
     set32(i19 | 0, (get32(i19 | 0) | 0) + 1 | 0);
     break;
    }
    i19 = i5 + 256 | 0;
    i17 = get32(i19 | 0) | 0;
    if (!i17) {
     i16 = i5 + 252 | 0;
     set32(i16 | 0, (get32(i16 | 0) | 0) + 1 | 0);
     break;
    }
    set32(i19 | 0, get32(i17 | 0) | 0);
    i19 = i5 + 236 | 0;
    i16 = get32(i19 | 0) | 0;
    i18 = i16 + 1 | 0;
    set32(i19 | 0, i18 | 0);
    i19 = i5 + 244 | 0;
    set32(i19 | 0, (get32(i19 | 0) | 0) + 1 | 0);
    i19 = i5 + 240 | 0;
    if ((i16 | 0) >= (get32(i19 | 0) | 0)) set32(i19 | 0, i18 | 0);
    i12 = i17;
    i13 = 39;
    break L3;
   } while (0);
   if (!(get32(50 * 4 | 0) | 0)) {
    i14 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i11) | 0;
    if (i14) {
     i21 = i14;
     break;
    }
   } else {
    i14 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i11) | 0;
    set32(35 * 4 | 0, i11 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i11 | 0)) set32(45 * 4 | 0, i11 | 0);
    i17 = get32(6 * 4 | 0) | 0;
    do if (i17) {
     i18 = get32(30 * 4 | 0) | 0;
     i19 = ((i18 | 0) < 0) << 31 >> 31;
     i16 = 16;
     i22 = _i64Subtract(get32(i16 | 0) | 0, get32(i16 + 4 | 0) | 0, i14 | 0, ((i14 | 0) < 0) << 31 >> 31 | 0) | 0;
     i16 = tempRet0;
     if ((i19 | 0) < (i16 | 0) | (i19 | 0) == (i16 | 0) & i18 >>> 0 < i22 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i22 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i17 & 15](i22, i18, i19, i14);
      set32(6 * 4 | 0, i17 | 0);
      set32(7 * 4 | 0, i22 | 0);
      break;
     }
    } while (0);
    i17 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i14) | 0;
    if (i17) {
     i22 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i17) | 0;
     i19 = (get32(30 * 4 | 0) | 0) + i22 | 0;
     set32(30 * 4 | 0, i19 | 0);
     if ((i19 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i19 | 0);
     i19 = get32(39 * 4 | 0) | 0;
     i22 = i19 + 1 | 0;
     set32(39 * 4 | 0, i22 | 0);
     if ((i19 | 0) < (get32(49 * 4 | 0) | 0)) {
      i21 = i17;
      break;
     }
     set32(49 * 4 | 0, i22 | 0);
     i21 = i17;
     break;
    }
   }
   set8(i15 >> 0 | 0, 1 | 0);
   i20 = 0;
   STACKTOP = i6;
   return i20 | 0;
  } while (0);
  if ((i13 | 0) == 39) if (!i12) {
   i20 = 0;
   STACKTOP = i6;
   return i20 | 0;
  } else i21 = i12;
  set16(i21 + 6 | 0, 3 | 0);
  i23 = get16(i9 | 0) | 0;
  i24 = i21;
 } else {
  set16(i4 + (i8 + 6) | 0, 2 | 0);
  i23 = i10;
  i24 = i4 + i8 | 0;
 }
 set32(i24 | 0, i1 | 0);
 i8 = i24 + 4 | 0;
 set16(i8 | 0, (i23 & 65535) + 1 | 0);
 i23 = i24 + 24 | 0;
 set32(i24 + 16 | 0, i23 | 0);
 i4 = get8(i3 >> 0 | 0) | 0;
 if (i4 << 24 >> 24 > -1) {
  i25 = 1;
  i26 = i4 & 255;
 } else {
  i10 = i4 & 255;
  i4 = getU8(i3 + 1 >> 0 | 0) | 0;
  do if (i4 & 128) {
   i21 = getU8(i3 + 2 >> 0 | 0) | 0;
   if (!(i21 & 128)) {
    i27 = 3;
    i28 = (i21 | i10 << 14) & 2080895 | i4 << 7 & 16256;
    break;
   } else {
    i21 = _sqlite3GetVarint(i3, i7) | 0;
    i9 = i7;
    i12 = get32(i9 | 0) | 0;
    i27 = i21;
    i28 = ((i12 | 0) == (i12 | 0) ? 0 == (get32(i9 + 4 | 0) | 0) : 0) ? i12 : -1;
    break;
   }
  } else {
   i27 = 2;
   i28 = i10 << 7 & 16256 | i4;
  } while (0);
  i25 = i27;
  i26 = i28;
 }
 i28 = i25 & 255;
 L76 : do if (i28 >>> 0 < i26 >>> 0) {
  i25 = i1 + 4 | 0;
  i27 = i26;
  i4 = i28;
  i10 = i23;
  i12 = 0;
  while (1) {
   if ((i27 | 0) > (i2 | 0) ? 1 : (i12 & 65535) >= (getU16(i8 | 0) | 0)) {
    i29 = i12;
    break L76;
   }
   i9 = i3 + i4 | 0;
   i21 = get8(i9 >> 0 | 0) | 0;
   if (i21 << 24 >> 24 > -1) {
    i30 = 1;
    i31 = i21 & 255;
   } else {
    i13 = i21 & 255;
    i21 = getU8(i3 + (i4 + 1) >> 0 | 0) | 0;
    do if (i21 & 128) {
     i11 = getU8(i3 + (i4 + 2) >> 0 | 0) | 0;
     if (!(i11 & 128)) {
      i32 = 3;
      i33 = (i11 | i13 << 14) & 2080895 | i21 << 7 & 16256;
      break;
     } else {
      i11 = _sqlite3GetVarint(i9, i7) | 0;
      i5 = i7;
      i17 = get32(i5 | 0) | 0;
      i32 = i11;
      i33 = ((i17 | 0) == (i17 | 0) ? 0 == (get32(i5 + 4 | 0) | 0) : 0) ? i17 : -1;
      break;
     }
    } else {
     i32 = 2;
     i33 = i13 << 7 & 16256 | i21;
    } while (0);
    i30 = i32 & 255;
    i31 = i33;
   }
   i4 = i30 + i4 | 0;
   set8(i10 + 31 >> 0 | 0, get8(i25 >> 0 | 0) | 0 | 0);
   set32(i10 | 0, get32(i1 | 0) | 0);
   set32(i10 + 36 | 0, 0 | 0);
   i27 = (_sqlite3VdbeSerialGet(i3 + i27 | 0, i31, i10) | 0) + i27 | 0;
   i21 = i12 + 1 << 16 >> 16;
   if (i4 >>> 0 >= i26 >>> 0) {
    i29 = i21;
    break;
   } else {
    i10 = i10 + 40 | 0;
    i12 = i21;
   }
  }
 } else i29 = 0; while (0);
 set16(i8 | 0, i29 | 0);
 i20 = i24;
 STACKTOP = i6;
 return i20 | 0;
}

function _groupConcatFinalize(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0;
 i2 = get32(i1 + 48 | 0) | 0;
 i3 = i2 + 28 | 0;
 if (!(get16(i3 | 0) & 8192)) {
  _sqlite3VdbeMemReleaseExternal(i2);
  set16(i3 | 0, 1 | 0);
  set32(i2 + 4 | 0, 0 | 0);
  return;
 }
 i3 = get32(i2 + 4 | 0) | 0;
 if (!i3) return;
 if (get8(i3 + 26 >> 0 | 0) | 0) {
  set32(i1 + 52 | 0, 18 | 0);
  _sqlite3VdbeMemSetStr(i1 + 8 | 0, 16620, -1, 1, 0) | 0;
  return;
 }
 i2 = i3 + 24 | 0;
 if (get8(i2 >> 0 | 0) | 0) {
  i4 = i1 + 36 | 0;
  i5 = get16(i4 | 0) | 0;
  if (i5 & 64) {
   i6 = get32(i1 + 24 | 0) | 0;
   i7 = (get32(i6 | 0) | 0) + 172 | 0;
   set32(i6 + 60 | 0, get32(i7 | 0) | 0);
   set32(i7 | 0, i6 | 0);
  }
  if (!(i5 & 32)) i8 = i5; else {
   i6 = get32(i1 + 24 | 0) | 0;
   i7 = get32(i6 | 0) | 0;
   if (!i7) i9 = i5; else {
    i5 = i6 + 4 | 0;
    i10 = i7;
    do {
     i7 = i10;
     i10 = get32(i10 | 0) | 0;
     _sqlite3DbFree(get32(i5 | 0) | 0, i7);
    } while ((i10 | 0) != 0);
    i9 = get16(i4 | 0) | 0;
   }
   set32(i6 | 0, 0 | 0);
   set16(i6 + 24 | 0, 0 | 0);
   set32(i6 + 8 | 0, 0 | 0);
   set32(i6 + 12 | 0, 0 | 0);
   set32(i6 + 20 | 0, 0 | 0);
   set8(i6 + 26 >> 0 | 0, 1 | 0);
   i8 = i9;
  }
  set16(i4 | 0, i8 & 48896 | 1 | 0);
  set8(i1 + 38 >> 0 | 0, 5 | 0);
  set32(i1 + 52 | 0, 7 | 0);
  set8((get32(i1 + 8 | 0) | 0) + 30 >> 0 | 0, 1 | 0);
  return;
 }
 i8 = i3 + 8 | 0;
 i4 = get32(i8 | 0) | 0;
 do if (((i4 | 0) != 0 ? (i9 = i3 + 12 | 0, set8(i4 + (get32(i9 | 0) | 0) >> 0 | 0, 0 | 0), i6 = get8(i3 + 25 >> 0 | 0) | 0, i6 << 24 >> 24 != 0) : 0) ? (i10 = i3 + 4 | 0, (get32(i8 | 0) | 0) == (get32(i10 | 0) | 0)) : 0) {
  L32 : do if (i6 << 24 >> 24 == 1) {
   i5 = get32(i3 | 0) | 0;
   i7 = get32(i9 | 0) | 0;
   i11 = i7 + 1 | 0;
   L34 : do if (!i5) if (i7 >>> 0 <= 2147483390) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i12 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i11) | 0;
     i13 = 62;
     break L32;
    }
    i14 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i11) | 0;
    set32(35 * 4 | 0, i11 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i11 | 0)) set32(45 * 4 | 0, i11 | 0);
    i15 = get32(6 * 4 | 0) | 0;
    do if (i15) {
     i16 = get32(30 * 4 | 0) | 0;
     i17 = ((i16 | 0) < 0) << 31 >> 31;
     i18 = 16;
     i19 = _i64Subtract(get32(i18 | 0) | 0, get32(i18 + 4 | 0) | 0, i14 | 0, ((i14 | 0) < 0) << 31 >> 31 | 0) | 0;
     i18 = tempRet0;
     if ((i17 | 0) < (i18 | 0) | (i17 | 0) == (i18 | 0) & i16 >>> 0 < i19 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i19 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i15 & 15](i19, i16, i17, i14);
      set32(6 * 4 | 0, i15 | 0);
      set32(7 * 4 | 0, i19 | 0);
      break;
     }
    } while (0);
    i15 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i14) | 0;
    if (i15) {
     i19 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i15) | 0;
     i17 = (get32(30 * 4 | 0) | 0) + i19 | 0;
     set32(30 * 4 | 0, i17 | 0);
     if ((i17 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i17 | 0);
     i17 = get32(39 * 4 | 0) | 0;
     i19 = i17 + 1 | 0;
     set32(39 * 4 | 0, i19 | 0);
     if ((i17 | 0) < (get32(49 * 4 | 0) | 0)) {
      i20 = i15;
      i13 = 61;
     } else {
      set32(49 * 4 | 0, i19 | 0);
      i20 = i15;
      i13 = 61;
     }
    } else i13 = 60;
   } else i13 = 60; else {
    i15 = i5 + 30 | 0;
    if (!(get8(i15 >> 0 | 0) | 0)) {
     do if (get8(i5 + 234 >> 0 | 0) | 0) {
      if ((getU16(i5 + 232 | 0) | 0) < (i11 | 0)) {
       i19 = i5 + 248 | 0;
       set32(i19 | 0, (get32(i19 | 0) | 0) + 1 | 0);
       break;
      }
      i19 = i5 + 256 | 0;
      i17 = get32(i19 | 0) | 0;
      if (!i17) {
       i16 = i5 + 252 | 0;
       set32(i16 | 0, (get32(i16 | 0) | 0) + 1 | 0);
       break;
      }
      set32(i19 | 0, get32(i17 | 0) | 0);
      i19 = i5 + 236 | 0;
      i16 = get32(i19 | 0) | 0;
      i18 = i16 + 1 | 0;
      set32(i19 | 0, i18 | 0);
      i19 = i5 + 244 | 0;
      set32(i19 | 0, (get32(i19 | 0) | 0) + 1 | 0);
      i19 = i5 + 240 | 0;
      if ((i16 | 0) >= (get32(i19 | 0) | 0)) set32(i19 | 0, i18 | 0);
      i12 = i17;
      i13 = 62;
      break L32;
     } while (0);
     do if (i7 >>> 0 <= 2147483390) {
      if (!(get32(50 * 4 | 0) | 0)) {
       i14 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i11) | 0;
       if (!i14) break; else {
        i20 = i14;
        i13 = 61;
        break L34;
       }
      }
      i14 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i11) | 0;
      set32(35 * 4 | 0, i11 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i11 | 0)) set32(45 * 4 | 0, i11 | 0);
      i17 = get32(6 * 4 | 0) | 0;
      do if (i17) {
       i18 = get32(30 * 4 | 0) | 0;
       i19 = ((i18 | 0) < 0) << 31 >> 31;
       i16 = 16;
       i21 = _i64Subtract(get32(i16 | 0) | 0, get32(i16 + 4 | 0) | 0, i14 | 0, ((i14 | 0) < 0) << 31 >> 31 | 0) | 0;
       i16 = tempRet0;
       if ((i19 | 0) < (i16 | 0) | (i19 | 0) == (i16 | 0) & i18 >>> 0 < i21 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i21 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i17 & 15](i21, i18, i19, i14);
        set32(6 * 4 | 0, i17 | 0);
        set32(7 * 4 | 0, i21 | 0);
        break;
       }
      } while (0);
      i17 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i14) | 0;
      if (i17) {
       i21 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i17) | 0;
       i19 = (get32(30 * 4 | 0) | 0) + i21 | 0;
       set32(30 * 4 | 0, i19 | 0);
       if ((i19 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i19 | 0);
       i19 = get32(39 * 4 | 0) | 0;
       i21 = i19 + 1 | 0;
       set32(39 * 4 | 0, i21 | 0);
       if ((i19 | 0) < (get32(49 * 4 | 0) | 0)) {
        i20 = i17;
        i13 = 61;
        break L34;
       }
       set32(49 * 4 | 0, i21 | 0);
       i20 = i17;
       i13 = 61;
       break L34;
      }
     } while (0);
     set8(i15 >> 0 | 0, 1 | 0);
     i13 = 60;
    } else i13 = 60;
   } while (0);
   if ((i13 | 0) == 60) {
    set32(i8 | 0, 0 | 0);
    i13 = 64;
    break;
   } else if ((i13 | 0) == 61) {
    set32(i8 | 0, i20 | 0);
    i22 = i20;
    i13 = 63;
    break;
   }
  } else {
   i12 = _sqlite3_malloc((get32(i9 | 0) | 0) + 1 | 0) | 0;
   i13 = 62;
  } while (0);
  if ((i13 | 0) == 62) {
   set32(i8 | 0, i12 | 0);
   if (!i12) i13 = 64; else {
    i22 = i12;
    i13 = 63;
   }
  }
  if ((i13 | 0) == 63) {
   _memcpy(i22 | 0, get32(i10 | 0) | 0, (get32(i9 | 0) | 0) + 1 | 0) | 0;
   break;
  } else if ((i13 | 0) == 64) {
   set8(i2 >> 0 | 0, 1 | 0);
   break;
  }
 } while (0);
 i2 = i1 + 8 | 0;
 if ((_sqlite3VdbeMemSetStr(i2, get32(i8 | 0) | 0, -1, 1, 2) | 0) != 18) return;
 set32(i1 + 52 | 0, 18 | 0);
 _sqlite3VdbeMemSetStr(i2, 16620, -1, 1, 0) | 0;
 return;
}

function _sqlite3ErrorMsg(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 400 | 0;
 i5 = i4 + 44 | 0;
 i6 = i4 + 16 | 0;
 i7 = i4;
 i8 = get32(i1 | 0) | 0;
 set32(i7 | 0, i3 | 0);
 i3 = get32(i8 + 72 | 0) | 0;
 i9 = i6 + 4 | 0;
 set32(i9 | 0, i5 | 0);
 i10 = i6 + 8 | 0;
 set32(i10 | 0, i5 | 0);
 i5 = i6 + 12 | 0;
 set32(i5 | 0, 0 | 0);
 set32(i6 + 16 | 0, 350 | 0);
 set32(i6 + 20 | 0, i3 | 0);
 i3 = i6 + 25 | 0;
 set8(i3 >> 0 | 0, 1 | 0);
 set8(i6 + 26 >> 0 | 0, 0 | 0);
 i11 = i6 + 24 | 0;
 set8(i11 >> 0 | 0, 0 | 0);
 set32(i6 | 0, i8 | 0);
 _sqlite3VXPrintf(i6, 1, i2, i7);
 i7 = get32(i10 | 0) | 0;
 do if (i7) {
  i2 = get32(i5 | 0) | 0;
  set8(i7 + i2 >> 0 | 0, 0 | 0);
  i12 = get8(i3 >> 0 | 0) | 0;
  if (i12 << 24 >> 24 != 0 ? (i7 | 0) == (get32(i9 | 0) | 0) : 0) {
   L4 : do if (i12 << 24 >> 24 == 1) {
    i13 = get32(i6 | 0) | 0;
    i14 = i2 + 1 | 0;
    L6 : do if (!i13) if (i2 >>> 0 <= 2147483390) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i15 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i14) | 0;
      i16 = 46;
      break L4;
     }
     i17 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i14) | 0;
     set32(35 * 4 | 0, i14 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i14 | 0)) set32(45 * 4 | 0, i14 | 0);
     i18 = get32(6 * 4 | 0) | 0;
     do if (i18) {
      i19 = get32(30 * 4 | 0) | 0;
      i20 = ((i19 | 0) < 0) << 31 >> 31;
      i21 = 16;
      i22 = _i64Subtract(get32(i21 | 0) | 0, get32(i21 + 4 | 0) | 0, i17 | 0, ((i17 | 0) < 0) << 31 >> 31 | 0) | 0;
      i21 = tempRet0;
      if ((i20 | 0) < (i21 | 0) | (i20 | 0) == (i21 | 0) & i19 >>> 0 < i22 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i22 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i18 & 15](i22, i19, i20, i17);
       set32(6 * 4 | 0, i18 | 0);
       set32(7 * 4 | 0, i22 | 0);
       break;
      }
     } while (0);
     i18 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i17) | 0;
     if (i18) {
      i22 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i18) | 0;
      i20 = (get32(30 * 4 | 0) | 0) + i22 | 0;
      set32(30 * 4 | 0, i20 | 0);
      if ((i20 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i20 | 0);
      i20 = get32(39 * 4 | 0) | 0;
      i22 = i20 + 1 | 0;
      set32(39 * 4 | 0, i22 | 0);
      if ((i20 | 0) < (get32(49 * 4 | 0) | 0)) {
       i23 = i18;
       i16 = 45;
      } else {
       set32(49 * 4 | 0, i22 | 0);
       i23 = i18;
       i16 = 45;
      }
     } else i16 = 44;
    } else i16 = 44; else {
     i18 = i13 + 30 | 0;
     if (!(get8(i18 >> 0 | 0) | 0)) {
      do if (get8(i13 + 234 >> 0 | 0) | 0) {
       if ((getU16(i13 + 232 | 0) | 0) < (i14 | 0)) {
        i22 = i13 + 248 | 0;
        set32(i22 | 0, (get32(i22 | 0) | 0) + 1 | 0);
        break;
       }
       i22 = i13 + 256 | 0;
       i20 = get32(i22 | 0) | 0;
       if (!i20) {
        i19 = i13 + 252 | 0;
        set32(i19 | 0, (get32(i19 | 0) | 0) + 1 | 0);
        break;
       }
       set32(i22 | 0, get32(i20 | 0) | 0);
       i22 = i13 + 236 | 0;
       i19 = get32(i22 | 0) | 0;
       i21 = i19 + 1 | 0;
       set32(i22 | 0, i21 | 0);
       i22 = i13 + 244 | 0;
       set32(i22 | 0, (get32(i22 | 0) | 0) + 1 | 0);
       i22 = i13 + 240 | 0;
       if ((i19 | 0) >= (get32(i22 | 0) | 0)) set32(i22 | 0, i21 | 0);
       i15 = i20;
       i16 = 46;
       break L4;
      } while (0);
      do if (i2 >>> 0 <= 2147483390) {
       if (!(get32(50 * 4 | 0) | 0)) {
        i17 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i14) | 0;
        if (!i17) break; else {
         i23 = i17;
         i16 = 45;
         break L6;
        }
       }
       i17 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i14) | 0;
       set32(35 * 4 | 0, i14 | 0);
       if ((get32(45 * 4 | 0) | 0) < (i14 | 0)) set32(45 * 4 | 0, i14 | 0);
       i20 = get32(6 * 4 | 0) | 0;
       do if (i20) {
        i21 = get32(30 * 4 | 0) | 0;
        i22 = ((i21 | 0) < 0) << 31 >> 31;
        i19 = 16;
        i24 = _i64Subtract(get32(i19 | 0) | 0, get32(i19 + 4 | 0) | 0, i17 | 0, ((i17 | 0) < 0) << 31 >> 31 | 0) | 0;
        i19 = tempRet0;
        if ((i22 | 0) < (i19 | 0) | (i22 | 0) == (i19 | 0) & i21 >>> 0 < i24 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i24 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i20 & 15](i24, i21, i22, i17);
         set32(6 * 4 | 0, i20 | 0);
         set32(7 * 4 | 0, i24 | 0);
         break;
        }
       } while (0);
       i20 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i17) | 0;
       if (i20) {
        i24 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i20) | 0;
        i22 = (get32(30 * 4 | 0) | 0) + i24 | 0;
        set32(30 * 4 | 0, i22 | 0);
        if ((i22 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i22 | 0);
        i22 = get32(39 * 4 | 0) | 0;
        i24 = i22 + 1 | 0;
        set32(39 * 4 | 0, i24 | 0);
        if ((i22 | 0) < (get32(49 * 4 | 0) | 0)) {
         i23 = i20;
         i16 = 45;
         break L6;
        }
        set32(49 * 4 | 0, i24 | 0);
        i23 = i20;
        i16 = 45;
        break L6;
       }
      } while (0);
      set8(i18 >> 0 | 0, 1 | 0);
      i16 = 44;
     } else i16 = 44;
    } while (0);
    if ((i16 | 0) == 44) {
     set32(i10 | 0, 0 | 0);
     i16 = 49;
     break;
    } else if ((i16 | 0) == 45) {
     set32(i10 | 0, i23 | 0);
     i25 = i14;
     i26 = i23;
     i16 = 48;
     break;
    }
   } else {
    i15 = _sqlite3_malloc(i2 + 1 | 0) | 0;
    i16 = 46;
   } while (0);
   if ((i16 | 0) == 46) {
    set32(i10 | 0, i15 | 0);
    if (!i15) i16 = 49; else {
     i25 = i2 + 1 | 0;
     i26 = i15;
     i16 = 48;
    }
   }
   if ((i16 | 0) == 48) {
    _memcpy(i26 | 0, i7 | 0, i25 | 0) | 0;
    i27 = get32(i10 | 0) | 0;
    i16 = 50;
    break;
   } else if ((i16 | 0) == 49) {
    set8(i11 >> 0 | 0, 1 | 0);
    i28 = 0;
    i16 = 51;
    break;
   }
  } else {
   i27 = i7;
   i16 = 50;
  }
 } else {
  i27 = 0;
  i16 = 50;
 } while (0);
 if ((i16 | 0) == 50) if (!(get8(i11 >> 0 | 0) | 0)) i29 = i27; else {
  i28 = i27;
  i16 = 51;
 }
 if ((i16 | 0) == 51) {
  set8(i8 + 30 >> 0 | 0, 1 | 0);
  i29 = i28;
 }
 if (!(get8(i8 + 33 >> 0 | 0) | 0)) {
  i28 = i1 + 64 | 0;
  set32(i28 | 0, (get32(i28 | 0) | 0) + 1 | 0);
  i28 = i1 + 8 | 0;
  _sqlite3DbFree(i8, get32(i28 | 0) | 0);
  set32(i28 | 0, i29 | 0);
  set32(i1 + 4 | 0, 1 | 0);
  STACKTOP = i4;
  return;
 } else {
  _sqlite3DbFree(i8, i29);
  STACKTOP = i4;
  return;
 }
}

function _analyzeDatabase(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0;
 i3 = get32((get32((get32(i1 | 0) | 0) + 8 | 0) | 0) + (i2 << 4) + 12 | 0) | 0;
 _sqlite3BeginWriteOperation(i1, 0, i2);
 i4 = i1 + 68 | 0;
 i5 = get32(i4 | 0) | 0;
 set32(i4 | 0, i5 + 2 | 0);
 _openStatTable(i1, i2, i5, 0, 0);
 i4 = (get32(i1 + 72 | 0) | 0) + 1 | 0;
 i6 = get32(i3 + 16 | 0) | 0;
 if (i6) {
  i3 = i6;
  do {
   _analyzeOneTable(i1, get32(i3 + 8 | 0) | 0, 0, i5, i4);
   i3 = get32(i3 | 0) | 0;
  } while ((i3 | 0) != 0);
 }
 i3 = i1 + 12 | 0;
 i4 = get32(i3 | 0) | 0;
 if (!i4) {
  i5 = get32(i1 | 0) | 0;
  L7 : do if (!i5) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i7 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
    i8 = 41;
    break;
   }
   i1 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
   set32(35 * 4 | 0, 192 | 0);
   if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
   i6 = get32(6 * 4 | 0) | 0;
   do if (i6) {
    i9 = get32(30 * 4 | 0) | 0;
    i10 = ((i9 | 0) < 0) << 31 >> 31;
    i11 = 16;
    i12 = _i64Subtract(get32(i11 | 0) | 0, get32(i11 + 4 | 0) | 0, i1 | 0, ((i1 | 0) < 0) << 31 >> 31 | 0) | 0;
    i11 = tempRet0;
    if ((i10 | 0) < (i11 | 0) | (i10 | 0) == (i11 | 0) & i9 >>> 0 < i12 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i12 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i6 & 15](i12, i9, i10, i1);
     set32(6 * 4 | 0, i6 | 0);
     set32(7 * 4 | 0, i12 | 0);
     break;
    }
   } while (0);
   i6 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i1) | 0;
   if (i6) {
    i12 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i6) | 0;
    i10 = (get32(30 * 4 | 0) | 0) + i12 | 0;
    set32(30 * 4 | 0, i10 | 0);
    if ((i10 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i10 | 0);
    i10 = get32(39 * 4 | 0) | 0;
    i12 = i10 + 1 | 0;
    set32(39 * 4 | 0, i12 | 0);
    if ((i10 | 0) < (get32(49 * 4 | 0) | 0)) i13 = i6; else {
     set32(49 * 4 | 0, i12 | 0);
     i13 = i6;
    }
   } else i8 = 51;
  } else {
   i6 = i5 + 30 | 0;
   if (!(get8(i6 >> 0 | 0) | 0)) {
    do if (get8(i5 + 234 >> 0 | 0) | 0) {
     if ((getU16(i5 + 232 | 0) | 0) < 192) {
      i12 = i5 + 248 | 0;
      set32(i12 | 0, (get32(i12 | 0) | 0) + 1 | 0);
      break;
     }
     i12 = i5 + 256 | 0;
     i10 = get32(i12 | 0) | 0;
     if (!i10) {
      i9 = i5 + 252 | 0;
      set32(i9 | 0, (get32(i9 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i12 | 0, get32(i10 | 0) | 0);
     i12 = i5 + 236 | 0;
     i9 = get32(i12 | 0) | 0;
     i11 = i9 + 1 | 0;
     set32(i12 | 0, i11 | 0);
     i12 = i5 + 244 | 0;
     set32(i12 | 0, (get32(i12 | 0) | 0) + 1 | 0);
     i12 = i5 + 240 | 0;
     if ((i9 | 0) >= (get32(i12 | 0) | 0)) set32(i12 | 0, i11 | 0);
     i7 = i10;
     i8 = 41;
     break L7;
    } while (0);
    if (!(get32(50 * 4 | 0) | 0)) {
     i1 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](192) | 0;
     if (i1) {
      i13 = i1;
      break;
     }
    } else {
     i1 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](192) | 0;
     set32(35 * 4 | 0, 192 | 0);
     if ((get32(45 * 4 | 0) | 0) < 192) set32(45 * 4 | 0, 192 | 0);
     i10 = get32(6 * 4 | 0) | 0;
     do if (i10) {
      i11 = get32(30 * 4 | 0) | 0;
      i12 = ((i11 | 0) < 0) << 31 >> 31;
      i9 = 16;
      i14 = _i64Subtract(get32(i9 | 0) | 0, get32(i9 + 4 | 0) | 0, i1 | 0, ((i1 | 0) < 0) << 31 >> 31 | 0) | 0;
      i9 = tempRet0;
      if ((i12 | 0) < (i9 | 0) | (i12 | 0) == (i9 | 0) & i11 >>> 0 < i14 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i14 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i10 & 15](i14, i11, i12, i1);
       set32(6 * 4 | 0, i10 | 0);
       set32(7 * 4 | 0, i14 | 0);
       break;
      }
     } while (0);
     i10 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i1) | 0;
     if (i10) {
      i14 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i10) | 0;
      i12 = (get32(30 * 4 | 0) | 0) + i14 | 0;
      set32(30 * 4 | 0, i12 | 0);
      if ((i12 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i12 | 0);
      i12 = get32(39 * 4 | 0) | 0;
      i14 = i12 + 1 | 0;
      set32(39 * 4 | 0, i14 | 0);
      if ((i12 | 0) < (get32(49 * 4 | 0) | 0)) {
       i13 = i10;
       break;
      }
      set32(49 * 4 | 0, i14 | 0);
      i13 = i10;
      break;
     }
    }
    set8(i6 >> 0 | 0, 1 | 0);
    i8 = 51;
   } else i8 = 51;
  } while (0);
  if ((i8 | 0) == 41) if (!i7) i8 = 51; else i13 = i7;
  if ((i8 | 0) == 51) {
   set32(i3 | 0, 0 | 0);
   return;
  }
  _memset(i13 | 0, 0, 192) | 0;
  set32(i13 | 0, i5 | 0);
  i8 = i5 + 136 | 0;
  i7 = get32(i8 | 0) | 0;
  if (i7) set32(i7 + 60 | 0, i13 | 0);
  set32(i13 + 64 | 0, i7 | 0);
  set32(i13 + 60 | 0, 0 | 0);
  set32(i8 | 0, i13 | 0);
  set32(i13 + 52 | 0, 649915045 | 0);
  set32(i3 | 0, i13 | 0);
  i3 = i13 + 28 | 0;
  i8 = i13 + 32 | 0;
  i7 = i13 + 4 | 0;
  i10 = _sqlite3DbRealloc(i5, 0, 1020) | 0;
  if (!i10) i15 = i13; else {
   i5 = get32(i13 | 0) | 0;
   if (((i5 | 0) != 0 ? (get32(i5 + 260 | 0) | 0) >>> 0 <= i10 >>> 0 : 0) ? (get32(i5 + 264 | 0) | 0) >>> 0 > i10 >>> 0 : 0) i16 = getU16(i5 + 232 | 0) | 0; else i16 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i10) | 0;
   set32(i8 | 0, (i16 >>> 0) / 20 | 0 | 0);
   set32(i7 | 0, i10 | 0);
   set32(i3 | 0, (get32(i3 | 0) | 0) + 1 | 0);
   set8(i10 >> 0 | 0, -120 | 0);
   set8(i10 + 1 >> 0 | 0, 0 | 0);
   i3 = i10 + 3 | 0;
   i10 = i3 + 17 | 0;
   do {
    set8(i3 >> 0 | 0, 0 | 0);
    i3 = i3 + 1 | 0;
   } while ((i3 | 0) < (i10 | 0));
   i15 = i13;
  }
 } else i15 = i4;
 i4 = i15 + 28 | 0;
 i13 = get32(i4 | 0) | 0;
 i3 = i15 + 32 | 0;
 i10 = get32(i3 | 0) | 0;
 if ((i10 | 0) > (i13 | 0)) {
  i17 = i13;
  i18 = get32(i15 + 4 | 0) | 0;
 } else {
  i7 = i15 + 4 | 0;
  i16 = _sqlite3DbRealloc(get32(i15 | 0) | 0, get32(i7 | 0) | 0, (i10 | 0) == 0 ? 1020 : i10 * 40 | 0) | 0;
  if (!i16) return;
  i10 = get32(i15 | 0) | 0;
  if (((i10 | 0) != 0 ? (get32(i10 + 260 | 0) | 0) >>> 0 <= i16 >>> 0 : 0) ? (get32(i10 + 264 | 0) | 0) >>> 0 > i16 >>> 0 : 0) i19 = getU16(i10 + 232 | 0) | 0; else i19 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i16) | 0;
  set32(i3 | 0, (i19 >>> 0) / 20 | 0 | 0);
  set32(i7 | 0, i16 | 0);
  i17 = get32(i4 | 0) | 0;
  i18 = i16;
 }
 set32(i4 | 0, i17 + 1 | 0);
 set8(i18 + (i13 * 20 | 0) >> 0 | 0, 100 | 0);
 set8(i18 + (i13 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
 set32(i18 + (i13 * 20 | 0) + 4 | 0, i2 | 0);
 set32(i18 + (i13 * 20 | 0) + 8 | 0, 0 | 0);
 set32(i18 + (i13 * 20 | 0) + 12 | 0, 0 | 0);
 set32(i18 + (i13 * 20 | 0) + 16 | 0, 0 | 0);
 set8(i18 + (i13 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
 return;
}

function _walTryBeginRead(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0;
 do if ((i4 | 0) > 5) if ((i4 | 0) > 100) {
  i5 = 15;
  return i5 | 0;
 } else {
  i6 = get32(i1 | 0) | 0;
  FUNCTION_TABLE_iii[get32(i6 + 60 | 0) & 127](i6, (i4 | 0) > 9 ? (i4 * 238 | 0) + -2142 | 0 : 1) | 0;
  break;
 } while (0);
 L7 : do if (!i3) {
  i4 = _walIndexReadHdr(i1, i2) | 0;
  L9 : do if ((i4 | 0) == 5) {
   if (!(get32(get32(i1 + 28 | 0) | 0) | 0)) {
    i5 = -1;
    return i5 | 0;
   }
   i6 = i1 + 38 | 0;
   if (get8(i6 >> 0 | 0) | 0) {
    i5 = -1;
    return i5 | 0;
   }
   i7 = i1 + 4 | 0;
   i8 = get32(i7 | 0) | 0;
   i9 = FUNCTION_TABLE_iiiii[get32((get32(i8 | 0) | 0) + 56 | 0) & 31](i8, 2, 1, 6) | 0;
   switch (i9 | 0) {
   case 0:
    break;
   case 5:
    {
     i5 = 261;
     return i5 | 0;
    }
   default:
    {
     i10 = i9;
     break L9;
    }
   }
   if (get8(i6 >> 0 | 0) | 0) {
    i5 = -1;
    return i5 | 0;
   }
   i6 = get32(i7 | 0) | 0;
   FUNCTION_TABLE_iiiii[get32((get32(i6 | 0) | 0) + 56 | 0) & 31](i6, 2, 1, 5) | 0;
   i5 = -1;
   return i5 | 0;
  } else i10 = i4; while (0);
  if (i10) {
   i5 = i10;
   return i5 | 0;
  }
  i4 = i1 + 28 | 0;
  i6 = (get32(get32(i4 | 0) | 0) | 0) + 96 | 0;
  i7 = i1 + 44 | 0;
  i9 = i1 + 60 | 0;
  if ((get32(i6 | 0) | 0) == (get32(i9 | 0) | 0)) {
   i8 = i1 + 38 | 0;
   i11 = get8(i8 >> 0 | 0) | 0;
   if (!(i11 << 24 >> 24)) {
    i12 = get32(i1 + 4 | 0) | 0;
    i13 = FUNCTION_TABLE_iiiii[get32((get32(i12 | 0) | 0) + 56 | 0) & 31](i12, 3, 1, 6) | 0;
    i14 = i13;
    i15 = get8(i8 >> 0 | 0) | 0;
   } else {
    i14 = 0;
    i15 = i11;
   }
   if (i15 << 24 >> 24 != 2) {
    i11 = get32(i1 + 4 | 0) | 0;
    FUNCTION_TABLE_vi[get32((get32(i11 | 0) | 0) + 60 | 0) & 31](i11);
   }
   switch (i14 | 0) {
   case 5:
    {
     i16 = i9;
     i17 = i6;
     i18 = 5;
     break L7;
     break;
    }
   case 0:
    break;
   default:
    {
     i5 = i14;
     return i5 | 0;
    }
   }
   if (!(_memcmp(get32(get32(i4 | 0) | 0) | 0, i7, 48) | 0)) {
    set16(i1 + 36 | 0, 0 | 0);
    i5 = 0;
    return i5 | 0;
   }
   if (get8(i8 >> 0 | 0) | 0) {
    i5 = -1;
    return i5 | 0;
   }
   i8 = get32(i1 + 4 | 0) | 0;
   FUNCTION_TABLE_iiiii[get32((get32(i8 | 0) | 0) + 56 | 0) & 31](i8, 3, 1, 5) | 0;
   i5 = -1;
   return i5 | 0;
  } else {
   i16 = i9;
   i17 = i6;
   i18 = 0;
  }
 } else {
  i16 = i1 + 60 | 0;
  i17 = (get32(get32(i1 + 28 | 0) | 0) | 0) + 96 | 0;
  i18 = 0;
 } while (0);
 i14 = get32(i17 + 8 | 0) | 0;
 i15 = i14 >>> 0 > (get32(i16 | 0) | 0) >>> 0;
 i10 = i15 ? 0 : i14;
 i14 = i15 & 1 ^ 1;
 i15 = get32(i17 + 12 | 0) | 0;
 if (i10 >>> 0 > i15 >>> 0) {
  i19 = i14;
  i20 = i10;
 } else {
  i2 = i15 >>> 0 > (get32(i16 | 0) | 0) >>> 0;
  i19 = i2 ? i14 : 2;
  i20 = i2 ? i10 : i15;
 }
 i15 = get32(i17 + 16 | 0) | 0;
 if (i20 >>> 0 > i15 >>> 0) {
  i21 = i19;
  i22 = i20;
 } else {
  i10 = i15 >>> 0 > (get32(i16 | 0) | 0) >>> 0;
  i21 = i10 ? i19 : 3;
  i22 = i10 ? i20 : i15;
 }
 i15 = get32(i17 + 20 | 0) | 0;
 if (i22 >>> 0 > i15 >>> 0) {
  i23 = i21;
  i24 = i22;
 } else {
  i20 = i15 >>> 0 > (get32(i16 | 0) | 0) >>> 0;
  i23 = i20 ? i21 : 4;
  i24 = i20 ? i22 : i15;
 }
 L57 : do if ((get8(i1 + 41 >> 0 | 0) & 2) == 0 ? ((i23 | 0) == 0 ? 1 : i24 >>> 0 < (get32(i16 | 0) | 0) >>> 0) : 0) {
  i15 = i1 + 38 | 0;
  i22 = i1 + 4 | 0;
  L60 : do if (!(get8(i15 >> 0 | 0) | 0)) {
   i20 = get32(i22 | 0) | 0;
   i21 = FUNCTION_TABLE_iiiii[get32((get32(i20 | 0) | 0) + 56 | 0) & 31](i20, 4, 1, 10) | 0;
   switch (i21 | 0) {
   case 0:
    {
     i25 = 4;
     i26 = 1;
     break L60;
     break;
    }
   case 5:
    break;
   default:
    {
     i5 = i21;
     return i5 | 0;
    }
   }
   if (!(get8(i15 >> 0 | 0) | 0)) {
    i21 = get32(i22 | 0) | 0;
    i20 = FUNCTION_TABLE_iiiii[get32((get32(i21 | 0) | 0) + 56 | 0) & 31](i21, 5, 1, 10) | 0;
    switch (i20 | 0) {
    case 0:
     {
      i25 = 5;
      i26 = 2;
      break L60;
      break;
     }
    case 5:
     break;
    default:
     {
      i5 = i20;
      return i5 | 0;
     }
    }
    if (!(get8(i15 >> 0 | 0) | 0)) {
     i20 = get32(i22 | 0) | 0;
     i21 = FUNCTION_TABLE_iiiii[get32((get32(i20 | 0) | 0) + 56 | 0) & 31](i20, 6, 1, 10) | 0;
     switch (i21 | 0) {
     case 0:
      {
       i25 = 6;
       i26 = 3;
       break L60;
       break;
      }
     case 5:
      break;
     default:
      {
       i5 = i21;
       return i5 | 0;
      }
     }
     if (!(get8(i15 >> 0 | 0) | 0)) {
      i21 = get32(i22 | 0) | 0;
      i20 = FUNCTION_TABLE_iiiii[get32((get32(i21 | 0) | 0) + 56 | 0) & 31](i21, 7, 1, 10) | 0;
      switch (i20 | 0) {
      case 5:
       {
        i27 = 5;
        i28 = 30;
        break L57;
        break;
       }
      case 0:
       {
        i25 = 7;
        i26 = 4;
        break L60;
        break;
       }
      default:
       i5 = i20;
      }
      return i5 | 0;
     } else {
      i25 = 7;
      i26 = 4;
     }
    } else {
     i25 = 6;
     i26 = 3;
    }
   } else {
    i25 = 5;
    i26 = 2;
   }
  } else {
   i25 = 4;
   i26 = 1;
  } while (0);
  i20 = get32(i16 | 0) | 0;
  set32(i17 + 4 + (i26 << 2) | 0, i20 | 0);
  if (!(get8(i15 >> 0 | 0) | 0)) {
   i21 = get32(i22 | 0) | 0;
   FUNCTION_TABLE_iiiii[get32((get32(i21 | 0) | 0) + 56 | 0) & 31](i21, i25, 1, 9) | 0;
   i29 = i26;
   i30 = i20;
  } else {
   i29 = i26;
   i30 = i20;
  }
 } else {
  i27 = i18;
  i28 = 30;
 } while (0);
 if ((i28 | 0) == 30) if (!i23) {
  i5 = (i27 | 0) == 5 ? -1 : 520;
  return i5 | 0;
 } else {
  i29 = i23;
  i30 = i24;
 }
 i24 = i29 + 3 | 0;
 i23 = i1 + 38 | 0;
 i27 = get8(i23 >> 0 | 0) | 0;
 do if (!(i27 << 24 >> 24)) {
  i28 = get32(i1 + 4 | 0) | 0;
  i18 = FUNCTION_TABLE_iiiii[get32((get32(i28 | 0) | 0) + 56 | 0) & 31](i28, i24, 1, 6) | 0;
  if (!i18) {
   i31 = get8(i23 >> 0 | 0) | 0;
   break;
  }
  i5 = (i18 | 0) == 5 ? -1 : i18;
  return i5 | 0;
 } else i31 = i27; while (0);
 if (i31 << 24 >> 24 != 2) {
  i31 = get32(i1 + 4 | 0) | 0;
  FUNCTION_TABLE_vi[get32((get32(i31 | 0) | 0) + 60 | 0) & 31](i31);
 }
 if ((get32(i17 + 4 + (i29 << 2) | 0) | 0) == (i30 | 0) ? (_memcmp(get32(get32(i1 + 28 | 0) | 0) | 0, i1 + 44 | 0, 48) | 0) == 0 : 0) {
  set16(i1 + 36 | 0, i29 | 0);
  i5 = 0;
  return i5 | 0;
 }
 if (get8(i23 >> 0 | 0) | 0) {
  i5 = -1;
  return i5 | 0;
 }
 i23 = get32(i1 + 4 | 0) | 0;
 FUNCTION_TABLE_iiiii[get32((get32(i23 | 0) | 0) + 56 | 0) & 31](i23, i24, 1, 5) | 0;
 i5 = -1;
 return i5 | 0;
}

function _analyzeAggregate(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0;
 i3 = get32(i1 + 12 | 0) | 0;
 i1 = get32(i3 | 0) | 0;
 i4 = get32(i3 + 4 | 0) | 0;
 i5 = get32(i3 + 28 | 0) | 0;
 switch (getU8(i2 >> 0 | 0) | 0) {
 case 152:
 case 154:
  {
   if (!i4) {
    i6 = 1;
    return i6 | 0;
   }
   i7 = get16(i4 | 0) | 0;
   if (i7 << 16 >> 16 <= 0) {
    i6 = 1;
    return i6 | 0;
   }
   i8 = i2 + 24 | 0;
   i9 = get32(i8 | 0) | 0;
   i10 = i7 << 16 >> 16;
   i7 = 0;
   i11 = i4 + 8 | 0;
   while (1) {
    if ((i9 | 0) == (get32(i11 + 24 | 0) | 0)) break;
    i7 = i7 + 1 | 0;
    if ((i7 | 0) >= (i10 | 0)) {
     i6 = 1;
     i12 = 58;
     break;
    } else i11 = i11 + 56 | 0;
   }
   if ((i12 | 0) == 58) return i6 | 0;
   i12 = i5 + 16 | 0;
   i11 = i5 + 20 | 0;
   i10 = get32(i11 | 0) | 0;
   L15 : do if ((i10 | 0) > 0) {
    i7 = i2 + 28 | 0;
    i4 = 0;
    i13 = get32(i12 | 0) | 0;
    while (1) {
     if ((get32(i13 + 4 | 0) | 0) == (i9 | 0) ? (get32(i13 + 8 | 0) | 0) == (get16(i7 | 0) | 0) : 0) {
      i14 = i4;
      break L15;
     }
     i15 = i4 + 1 | 0;
     if ((i15 | 0) < (i10 | 0)) {
      i4 = i15;
      i13 = i13 + 24 | 0;
     } else {
      i14 = i15;
      break;
     }
    }
   } else i14 = 0; while (0);
   L23 : do if ((i14 | 0) >= (i10 | 0)) {
    i9 = get32(i1 | 0) | 0;
    i13 = get32(i12 | 0) | 0;
    i4 = i5 + 24 | 0;
    i7 = get32(i4 | 0) | 0;
    if ((i10 | 0) < (i7 | 0)) {
     i16 = i13;
     i17 = i10;
    } else {
     i15 = _sqlite3DbRealloc(i9, i13, (i7 * 48 | 0) + 72 | 0) | 0;
     if (!i15) {
      set32(i12 | 0, i13 | 0);
      i18 = -1;
      break;
     }
     if (((i9 | 0) != 0 ? (get32(i9 + 260 | 0) | 0) >>> 0 <= i15 >>> 0 : 0) ? (get32(i9 + 264 | 0) | 0) >>> 0 > i15 >>> 0 : 0) i19 = getU16(i9 + 232 | 0) | 0; else i19 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i15) | 0;
     set32(i4 | 0, (i19 | 0) / 24 | 0 | 0);
     i16 = i15;
     i17 = get32(i11 | 0) | 0;
    }
    i20 = i16 + (i17 * 24 | 0) | 0;
    i21 = i20 + 24 | 0;
    do {
     set8(i20 >> 0 | 0, 0 | 0);
     i20 = i20 + 1 | 0;
    } while ((i20 | 0) < (i21 | 0));
    i15 = get32(i11 | 0) | 0;
    set32(i11 | 0, i15 + 1 | 0);
    set32(i12 | 0, i16 | 0);
    if ((i15 | 0) > -1) {
     set32(i16 + (i15 * 24 | 0) | 0, get32(i2 + 40 | 0) | 0);
     i4 = get32(i8 | 0) | 0;
     set32(i16 + (i15 * 24 | 0) + 4 | 0, i4 | 0);
     i9 = get16(i2 + 28 | 0) | 0;
     set32(i16 + (i15 * 24 | 0) + 8 | 0, i9 << 16 >> 16 | 0);
     i13 = i1 + 72 | 0;
     i7 = (get32(i13 | 0) | 0) + 1 | 0;
     set32(i13 | 0, i7 | 0);
     set32(i16 + (i15 * 24 | 0) + 16 | 0, i7 | 0);
     i7 = i16 + (i15 * 24 | 0) + 12 | 0;
     set32(i7 | 0, -1 | 0);
     set32(i16 + (i15 * 24 | 0) + 20 | 0, i2 | 0);
     i13 = get32(i5 + 8 | 0) | 0;
     L39 : do if ((i13 | 0) != 0 ? (i22 = get32(i13 | 0) | 0, (i22 | 0) > 0) : 0) {
      i23 = 0;
      i24 = get32(i13 + 12 | 0) | 0;
      while (1) {
       i25 = get32(i24 | 0) | 0;
       if (((get8(i25 >> 0 | 0) | 0) == -104 ? (get32(i25 + 24 | 0) | 0) == (i4 | 0) : 0) ? (get16(i25 + 28 | 0) | 0) == i9 << 16 >> 16 : 0) {
        i26 = i23;
        break;
       }
       i23 = i23 + 1 | 0;
       if ((i23 | 0) >= (i22 | 0)) break L39; else i24 = i24 + 20 | 0;
      }
      set32(i7 | 0, i26 | 0);
      if ((i26 | 0) >= 0) {
       i18 = i15;
       break L23;
      }
     } while (0);
     i9 = i5 + 12 | 0;
     i4 = get32(i9 | 0) | 0;
     set32(i9 | 0, i4 + 1 | 0);
     set32(i7 | 0, i4 | 0);
     i18 = i15;
    } else i18 = i15;
   } else i18 = i14; while (0);
   set32(i2 + 36 | 0, i5 | 0);
   set8(i2 >> 0 | 0, -102 | 0);
   set16(i2 + 30 | 0, i18 | 0);
   i6 = 1;
   return i6 | 0;
  }
 case 153:
  {
   if (get32(i3 + 24 | 0) | 0) {
    i6 = 0;
    return i6 | 0;
   }
   i3 = i5 + 32 | 0;
   i18 = i5 + 36 | 0;
   i14 = get32(i18 | 0) | 0;
   L56 : do if ((i14 | 0) > 0) {
    i26 = 0;
    i16 = get32(i3 | 0) | 0;
    while (1) {
     if (!(_sqlite3ExprCompare(get32(i16 | 0) | 0, i2) | 0)) {
      i27 = i26;
      break L56;
     }
     i8 = i26 + 1 | 0;
     if ((i8 | 0) < (i14 | 0)) {
      i26 = i8;
      i16 = i16 + 16 | 0;
     } else {
      i27 = i8;
      break;
     }
    }
   } else i27 = 0; while (0);
   do if ((i27 | 0) >= (i14 | 0)) {
    i16 = get32(i1 | 0) | 0;
    i26 = get8((get32((get32(i16 + 8 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0) | 0;
    i15 = get32(i3 | 0) | 0;
    i7 = i5 + 40 | 0;
    i8 = get32(i7 | 0) | 0;
    if ((i14 | 0) < (i8 | 0)) {
     i28 = i15;
     i29 = i14;
    } else {
     i12 = _sqlite3DbRealloc(i16, i15, (i8 << 5) + 48 | 0) | 0;
     if (!i12) {
      set32(i3 | 0, i15 | 0);
      i30 = -1;
      break;
     }
     if (((i16 | 0) != 0 ? (get32(i16 + 260 | 0) | 0) >>> 0 <= i12 >>> 0 : 0) ? (get32(i16 + 264 | 0) | 0) >>> 0 > i12 >>> 0 : 0) i31 = getU16(i16 + 232 | 0) | 0; else i31 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i12) | 0;
     set32(i7 | 0, (i31 | 0) / 16 | 0 | 0);
     i28 = i12;
     i29 = get32(i18 | 0) | 0;
    }
    i20 = i28 + (i29 << 4) | 0;
    i21 = i20 + 16 | 0;
    do {
     set8(i20 >> 0 | 0, 0 | 0);
     i20 = i20 + 1 | 0;
    } while ((i20 | 0) < (i21 | 0));
    i12 = get32(i18 | 0) | 0;
    set32(i18 | 0, i12 + 1 | 0);
    set32(i3 | 0, i28 | 0);
    if ((i12 | 0) > -1) {
     set32(i28 + (i12 << 4) | 0, i2 | 0);
     i7 = i1 + 72 | 0;
     i16 = (get32(i7 | 0) | 0) + 1 | 0;
     set32(i7 | 0, i16 | 0);
     set32(i28 + (i12 << 4) + 8 | 0, i16 | 0);
     i16 = get32(i1 | 0) | 0;
     i7 = get32(i2 + 4 | 0) | 0;
     if (!i7) i32 = 0; else {
      i15 = i7;
      while (1) if (!(get8(i15 >> 0 | 0) | 0)) {
       i33 = i15;
       break;
      } else i15 = i15 + 1 | 0;
      i32 = i33 - i7 & 1073741823;
     }
     i15 = get32(i2 + 16 | 0) | 0;
     if (!i15) i34 = 0; else i34 = get32(i15 | 0) | 0;
     set32(i28 + (i12 << 4) + 4 | 0, _sqlite3FindFunction(i16, i7, i32, i34, i26, 0) | 0 | 0);
     if (!(get16(i2 + 2 | 0) & 16)) {
      set32(i28 + (i12 << 4) + 12 | 0, -1 | 0);
      i30 = i12;
      break;
     } else {
      i15 = i1 + 68 | 0;
      i8 = get32(i15 | 0) | 0;
      set32(i15 | 0, i8 + 1 | 0);
      set32(i28 + (i12 << 4) + 12 | 0, i8 | 0);
      i30 = i12;
      break;
     }
    } else i30 = i12;
   } else i30 = i27; while (0);
   set16(i2 + 30 | 0, i30 | 0);
   set32(i2 + 36 | 0, i5 | 0);
   i6 = 1;
   return i6 | 0;
  }
 default:
  {
   i6 = 0;
   return i6 | 0;
  }
 }
 return 0;
}

function _sqlite3ExprAlloc(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i6 = i5;
 set32(i6 | 0, 0 | 0);
 i7 = (i3 | 0) != 0;
 do if (i7) {
  if (((i2 | 0) == 129 ? (i8 = get32(i3 | 0) | 0, (i8 | 0) != 0) : 0) ? (_sqlite3GetInt32(i8, i6) | 0) != 0 : 0) {
   i9 = 0;
   break;
  }
  i9 = (get32(i3 + 4 | 0) | 0) + 1 | 0;
 } else i9 = 0; while (0);
 i8 = i9 + 48 | 0;
 L8 : do if (!i1) {
  if ((i9 + 47 | 0) >>> 0 > 2147483390) {
   i10 = 0;
   STACKTOP = i5;
   return i10 | 0;
  }
  if (!(get32(50 * 4 | 0) | 0)) {
   i11 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i8) | 0;
   i12 = 45;
   break;
  }
  i13 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i8) | 0;
  set32(35 * 4 | 0, i8 | 0);
  if ((get32(45 * 4 | 0) | 0) < (i8 | 0)) set32(45 * 4 | 0, i8 | 0);
  i14 = get32(6 * 4 | 0) | 0;
  do if (i14) {
   i15 = get32(30 * 4 | 0) | 0;
   i16 = ((i15 | 0) < 0) << 31 >> 31;
   i17 = 16;
   i18 = _i64Subtract(get32(i17 | 0) | 0, get32(i17 + 4 | 0) | 0, i13 | 0, ((i13 | 0) < 0) << 31 >> 31 | 0) | 0;
   i17 = tempRet0;
   if ((i16 | 0) < (i17 | 0) | (i16 | 0) == (i17 | 0) & i15 >>> 0 < i18 >>> 0) {
    set32(11 * 4 | 0, 0 | 0);
    break;
   } else {
    set32(11 * 4 | 0, 1 | 0);
    i18 = get32(7 * 4 | 0) | 0;
    set32(6 * 4 | 0, 0 | 0);
    FUNCTION_TABLE_viiii[i14 & 15](i18, i15, i16, i13);
    set32(6 * 4 | 0, i14 | 0);
    set32(7 * 4 | 0, i18 | 0);
    break;
   }
  } while (0);
  i14 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i13) | 0;
  if (!i14) {
   i10 = 0;
   STACKTOP = i5;
   return i10 | 0;
  }
  i18 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i14) | 0;
  i16 = (get32(30 * 4 | 0) | 0) + i18 | 0;
  set32(30 * 4 | 0, i16 | 0);
  if ((i16 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i16 | 0);
  i16 = get32(39 * 4 | 0) | 0;
  i18 = i16 + 1 | 0;
  set32(39 * 4 | 0, i18 | 0);
  if ((i16 | 0) < (get32(49 * 4 | 0) | 0)) i19 = i14; else {
   set32(49 * 4 | 0, i18 | 0);
   i19 = i14;
  }
 } else {
  i14 = i1 + 30 | 0;
  if (get8(i14 >> 0 | 0) | 0) {
   i10 = 0;
   STACKTOP = i5;
   return i10 | 0;
  }
  do if (get8(i1 + 234 >> 0 | 0) | 0) {
   if ((getU16(i1 + 232 | 0) | 0) < (i8 | 0)) {
    i18 = i1 + 248 | 0;
    set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
    break;
   }
   i18 = i1 + 256 | 0;
   i16 = get32(i18 | 0) | 0;
   if (!i16) {
    i15 = i1 + 252 | 0;
    set32(i15 | 0, (get32(i15 | 0) | 0) + 1 | 0);
    break;
   }
   set32(i18 | 0, get32(i16 | 0) | 0);
   i18 = i1 + 236 | 0;
   i15 = get32(i18 | 0) | 0;
   i17 = i15 + 1 | 0;
   set32(i18 | 0, i17 | 0);
   i18 = i1 + 244 | 0;
   set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
   i18 = i1 + 240 | 0;
   if ((i15 | 0) >= (get32(i18 | 0) | 0)) set32(i18 | 0, i17 | 0);
   i11 = i16;
   i12 = 45;
   break L8;
  } while (0);
  do if ((i9 + 47 | 0) >>> 0 <= 2147483390) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i13 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i8) | 0;
    if (!i13) break; else {
     i19 = i13;
     break L8;
    }
   }
   i13 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i8) | 0;
   set32(35 * 4 | 0, i8 | 0);
   if ((get32(45 * 4 | 0) | 0) < (i8 | 0)) set32(45 * 4 | 0, i8 | 0);
   i16 = get32(6 * 4 | 0) | 0;
   do if (i16) {
    i17 = get32(30 * 4 | 0) | 0;
    i18 = ((i17 | 0) < 0) << 31 >> 31;
    i15 = 16;
    i20 = _i64Subtract(get32(i15 | 0) | 0, get32(i15 + 4 | 0) | 0, i13 | 0, ((i13 | 0) < 0) << 31 >> 31 | 0) | 0;
    i15 = tempRet0;
    if ((i18 | 0) < (i15 | 0) | (i18 | 0) == (i15 | 0) & i17 >>> 0 < i20 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i20 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i16 & 15](i20, i17, i18, i13);
     set32(6 * 4 | 0, i16 | 0);
     set32(7 * 4 | 0, i20 | 0);
     break;
    }
   } while (0);
   i16 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i13) | 0;
   if (i16) {
    i20 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i16) | 0;
    i18 = (get32(30 * 4 | 0) | 0) + i20 | 0;
    set32(30 * 4 | 0, i18 | 0);
    if ((i18 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i18 | 0);
    i18 = get32(39 * 4 | 0) | 0;
    i20 = i18 + 1 | 0;
    set32(39 * 4 | 0, i20 | 0);
    if ((i18 | 0) < (get32(49 * 4 | 0) | 0)) {
     i19 = i16;
     break L8;
    }
    set32(49 * 4 | 0, i20 | 0);
    i19 = i16;
    break L8;
   }
  } while (0);
  set8(i14 >> 0 | 0, 1 | 0);
  i10 = 0;
  STACKTOP = i5;
  return i10 | 0;
 } while (0);
 if ((i12 | 0) == 45) if (!i11) {
  i10 = 0;
  STACKTOP = i5;
  return i10 | 0;
 } else i19 = i11;
 _memset(i19 | 0, 0, i8 | 0) | 0;
 set8(i19 >> 0 | 0, i2 | 0);
 set16(i19 + 30 | 0, -1 | 0);
 L73 : do if (i7) {
  if (!i9) {
   i2 = i19 + 2 | 0;
   set16(i2 | 0, getU16(i2 | 0) | 1024 | 0);
   set32(i19 + 4 | 0, get32(i6 | 0) | 0);
   break;
  }
  i2 = i19 + 48 | 0;
  i8 = i19 + 4 | 0;
  set32(i8 | 0, i2 | 0);
  i11 = i3 + 4 | 0;
  _memcpy(i2 | 0, get32(i3 | 0) | 0, get32(i11 | 0) | 0) | 0;
  set8(i19 + ((get32(i11 | 0) | 0) + 48) >> 0 | 0, 0 | 0);
  if ((i4 | 0) != 0 & (i9 | 0) > 2) {
   i11 = get8(get32(i3 | 0) >> 0 | 0) | 0;
   i2 = i11 << 24 >> 24 == 34;
   switch (i11 << 24 >> 24) {
   case 34:
   case 39:
   case 91:
   case 96:
    break;
   default:
    break L73;
   }
   i11 = get32(i8 | 0) | 0;
   L80 : do if (i11) {
    i8 = get8(i11 >> 0 | 0) | 0;
    switch (i8 << 24 >> 24 | 0) {
    case 96:
    case 34:
    case 39:
     {
      i21 = i8;
      break;
     }
    case 91:
     {
      i21 = 93;
      break;
     }
    default:
     break L80;
    }
    i8 = get8(i11 + 1 >> 0 | 0) | 0;
    L85 : do if (!(i8 << 24 >> 24)) i22 = 0; else {
     i12 = i8;
     i1 = 1;
     i16 = 0;
     while (1) {
      if (i12 << 24 >> 24 == i21 << 24 >> 24) {
       i20 = i1 + 1 | 0;
       if ((get8(i11 + i20 >> 0 | 0) | 0) != i21 << 24 >> 24) {
        i22 = i16;
        break L85;
       }
       set8(i11 + i16 >> 0 | 0, i21 | 0);
       i23 = i20;
      } else {
       set8(i11 + i16 >> 0 | 0, i12 | 0);
       i23 = i1;
      }
      i20 = i16 + 1 | 0;
      i1 = i23 + 1 | 0;
      i12 = get8(i11 + i1 >> 0 | 0) | 0;
      if (!(i12 << 24 >> 24)) {
       i22 = i20;
       break;
      } else i16 = i20;
     }
    } while (0);
    set8(i11 + i22 >> 0 | 0, 0 | 0);
   } while (0);
   if (i2) {
    i11 = i19 + 2 | 0;
    set16(i11 | 0, getU16(i11 | 0) | 64 | 0);
   }
  }
 } while (0);
 set32(i19 + 44 | 0, 1 | 0);
 i10 = i19;
 STACKTOP = i5;
 return i10 | 0;
}

function _sqlite3PcacheDirtyList(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0, i57 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 176 | 0;
 i3 = i2 + 128 | 0;
 i4 = i2;
 i5 = get32(i1 | 0) | 0;
 i1 = (i5 | 0) == 0;
 if (!i1) {
  i6 = i5;
  do {
   i7 = i6;
   i6 = get32(i6 + 28 | 0) | 0;
   set32(i7 + 8 | 0, i6 | 0);
  } while ((i6 | 0) != 0);
  i8 = i4;
  i9 = i8 + 128 | 0;
  do {
   set32(i8 | 0, 0 | 0);
   i8 = i8 + 4 | 0;
  } while ((i8 | 0) < (i9 | 0));
  if (i1) {
   i10 = i4;
   i11 = 0;
  } else {
   i1 = i3 + 8 | 0;
   i6 = i3 + 8 | 0;
   i7 = i4 + 124 | 0;
   i12 = i5;
   do {
    i5 = i12 + 8 | 0;
    i13 = i12;
    i12 = get32(i5 | 0) | 0;
    set32(i5 | 0, 0 | 0);
    i5 = 0;
    i14 = i13;
    while (1) {
     i13 = i4 + (i5 << 2) | 0;
     i15 = get32(i13 | 0) | 0;
     if (!i15) {
      i16 = i13;
      i17 = i14;
      i18 = 8;
      break;
     }
     do if (!i14) {
      i19 = i15;
      i20 = i1;
      i18 = 15;
     } else {
      i21 = i15;
      i22 = i14;
      i23 = i3;
      L13 : while (1) {
       i24 = get32(i22 + 12 | 0) | 0;
       i25 = i21;
       i26 = i23;
       while (1) {
        i27 = i26 + 8 | 0;
        if ((get32(i25 + 12 | 0) | 0) >>> 0 >= i24 >>> 0) {
         i28 = i25;
         i29 = i27;
         break;
        }
        set32(i27 | 0, i25 | 0);
        i27 = i25 + 8 | 0;
        i30 = get32(i27 | 0) | 0;
        if (!i30) {
         i31 = i22;
         i32 = i27;
         break L13;
        } else {
         i27 = i25;
         i25 = i30;
         i26 = i27;
        }
       }
       set32(i29 | 0, i22 | 0);
       i33 = i22 + 8 | 0;
       i34 = get32(i33 | 0) | 0;
       i35 = (i28 | 0) != 0;
       i36 = (i34 | 0) != 0;
       if (i35 & i36) {
        i26 = i22;
        i21 = i28;
        i22 = i34;
        i23 = i26;
       } else {
        i18 = 14;
        break;
       }
      }
      if ((i18 | 0) == 14) {
       i18 = 0;
       if (i35) {
        i19 = i28;
        i20 = i33;
        i18 = 15;
        break;
       }
       if (i36) {
        i31 = i34;
        i32 = i33;
       } else {
        set32(i33 | 0, 0 | 0);
        break;
       }
      }
      set32(i32 | 0, i31 | 0);
     } while (0);
     if ((i18 | 0) == 15) {
      i18 = 0;
      set32(i20 | 0, i19 | 0);
     }
     i15 = get32(i1 | 0) | 0;
     set32(i13 | 0, 0 | 0);
     i23 = i5 + 1 | 0;
     if ((i23 | 0) < 31) {
      i5 = i23;
      i14 = i15;
     } else {
      i37 = i15;
      i38 = i23;
      i18 = 20;
      break;
     }
    }
    if ((i18 | 0) == 8) {
     i18 = 0;
     set32(i16 | 0, i17 | 0);
    } else if ((i18 | 0) == 20 ? (i18 = 0, (i38 | 0) == 31) : 0) {
     i14 = get32(i7 | 0) | 0;
     i5 = (i14 | 0) != 0;
     i23 = (i37 | 0) != 0;
     L31 : do if (i23 & i5) {
      i15 = i14;
      i22 = i37;
      i21 = i3;
      while (1) {
       i26 = get32(i22 + 12 | 0) | 0;
       i25 = i15;
       i24 = i21;
       while (1) {
        i27 = i24 + 8 | 0;
        if ((get32(i25 + 12 | 0) | 0) >>> 0 >= i26 >>> 0) {
         i39 = i25;
         i40 = i27;
         break;
        }
        set32(i27 | 0, i25 | 0);
        i27 = i25 + 8 | 0;
        i30 = get32(i27 | 0) | 0;
        if (!i30) {
         i41 = i22;
         i42 = i27;
         i18 = 29;
         break L31;
        } else {
         i27 = i25;
         i25 = i30;
         i24 = i27;
        }
       }
       set32(i40 | 0, i22 | 0);
       i24 = get32(i22 + 8 | 0) | 0;
       i25 = (i39 | 0) != 0;
       i26 = (i24 | 0) != 0;
       if (i25 & i26) {
        i27 = i22;
        i15 = i39;
        i22 = i24;
        i21 = i27;
       } else {
        i43 = i39;
        i44 = i24;
        i45 = i25;
        i46 = i26;
        i47 = i22;
        i18 = 26;
        break;
       }
      }
     } else {
      i43 = i14;
      i44 = i37;
      i45 = i5;
      i46 = i23;
      i47 = i3;
      i18 = 26;
     } while (0);
     do if ((i18 | 0) == 26) {
      i18 = 0;
      i23 = i47 + 8 | 0;
      if (i45) {
       set32(i23 | 0, i43 | 0);
       break;
      }
      if (i46) {
       i41 = i44;
       i42 = i23;
       i18 = 29;
      } else set32(i23 | 0, 0 | 0);
     } while (0);
     if ((i18 | 0) == 29) {
      i18 = 0;
      set32(i42 | 0, i41 | 0);
     }
     set32(i7 | 0, get32(i6 | 0) | 0);
    }
   } while ((i12 | 0) != 0);
   i10 = i4;
   i11 = get32(i4 | 0) | 0;
  }
 } else {
  i8 = i4;
  i9 = i8 + 128 | 0;
  do {
   set32(i8 | 0, 0 | 0);
   i8 = i8 + 4 | 0;
  } while ((i8 | 0) < (i9 | 0));
  i10 = i4;
  i11 = 0;
 }
 i10 = i3 + 8 | 0;
 i8 = 1;
 i9 = i11;
 while (1) {
  i11 = get32(i4 + (i8 << 2) | 0) | 0;
  i12 = (i9 | 0) != 0;
  i6 = (i11 | 0) != 0;
  L52 : do if (i12 & i6) {
   i7 = i9;
   i41 = i11;
   i42 = i3;
   while (1) {
    i44 = get32(i41 + 12 | 0) | 0;
    i46 = i7;
    i43 = i42;
    while (1) {
     i45 = i43 + 8 | 0;
     if ((get32(i46 + 12 | 0) | 0) >>> 0 >= i44 >>> 0) {
      i48 = i46;
      i49 = i45;
      break;
     }
     set32(i45 | 0, i46 | 0);
     i45 = i46 + 8 | 0;
     i47 = get32(i45 | 0) | 0;
     if (!i47) {
      i50 = i41;
      i51 = i45;
      i18 = 43;
      break L52;
     } else {
      i45 = i46;
      i46 = i47;
      i43 = i45;
     }
    }
    set32(i49 | 0, i41 | 0);
    i43 = get32(i41 + 8 | 0) | 0;
    i46 = (i48 | 0) != 0;
    i44 = (i43 | 0) != 0;
    if (i46 & i44) {
     i45 = i41;
     i7 = i48;
     i41 = i43;
     i42 = i45;
    } else {
     i52 = i48;
     i53 = i43;
     i54 = i46;
     i55 = i44;
     i56 = i41;
     i18 = 40;
     break;
    }
   }
  } else {
   i52 = i9;
   i53 = i11;
   i54 = i12;
   i55 = i6;
   i56 = i3;
   i18 = 40;
  } while (0);
  do if ((i18 | 0) == 40) {
   i18 = 0;
   i6 = i56 + 8 | 0;
   if (i54) {
    set32(i6 | 0, i52 | 0);
    break;
   }
   if (i55) {
    i50 = i53;
    i51 = i6;
    i18 = 43;
   } else set32(i6 | 0, 0 | 0);
  } while (0);
  if ((i18 | 0) == 43) {
   i18 = 0;
   set32(i51 | 0, i50 | 0);
  }
  i6 = get32(i10 | 0) | 0;
  i8 = i8 + 1 | 0;
  if ((i8 | 0) == 32) {
   i57 = i6;
   break;
  } else i9 = i6;
 }
 STACKTOP = i2;
 return i57 | 0;
}

function _sqlite3PagerAcquire(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i6 = i5 + 8 | 0;
 i7 = i5;
 if (!i2) {
  set32(i7 | 0, 41778 | 0);
  set32(i7 + 4 | 0, 17203 | 0);
  _sqlite3_log(11, 19615, i7);
  i8 = 11;
  STACKTOP = i5;
  return i8 | 0;
 }
 i7 = get32(i1 + 40 | 0) | 0;
 i9 = i1 + 168 | 0;
 L5 : do if (!i7) {
  i10 = get32(i9 | 0) | 0;
  i11 = i10 + 40 | 0;
  i12 = get32(i11 | 0) | 0;
  if (!i12) {
   i13 = i10 + 28 | 0;
   i14 = FUNCTION_TABLE_iii[get32(308 | 0) & 127]((get32(i10 + 20 | 0) | 0) + 36 + (get32(i10 + 24 | 0) | 0) | 0, get32(i13 | 0) | 0) | 0;
   if (!i14) {
    i15 = 7;
    break;
   }
   FUNCTION_TABLE_vii[get32(312 | 0) & 15](i14, get32(i10 + 16 | 0) | 0);
   set32(i11 | 0, i14 | 0);
   i16 = i13;
   i17 = i14;
  } else {
   i16 = i10 + 28 | 0;
   i17 = i12;
  }
  if (!(get32(i16 | 0) | 0)) i18 = 2; else i18 = (get32(i10 | 0) | 0) != 0 ? 1 : 2;
  i12 = FUNCTION_TABLE_iiii[get32(320 | 0) & 63](i17, i2, i18) | 0;
  if ((i18 | 0) == 1 & (i12 | 0) == 0) {
   i14 = i10 + 8 | 0;
   i13 = get32(i14 | 0) | 0;
   L17 : do if (!i13) i19 = 16; else {
    i20 = i13;
    while (1) {
     if ((get16(i20 + 22 | 0) | 0) == 0 ? (get16(i20 + 20 | 0) & 4) == 0 : 0) {
      i21 = i20;
      break;
     }
     i20 = get32(i20 + 32 | 0) | 0;
     if (!i20) {
      i19 = 16;
      break L17;
     }
    }
    set32(i14 | 0, i21 | 0);
    i22 = i21;
    i19 = 19;
   } while (0);
   L24 : do if ((i19 | 0) == 16 ? (set32(i14 | 0, 0 | 0), i13 = get32(i10 + 4 | 0) | 0, (i13 | 0) != 0) : 0) {
    i20 = i13;
    do {
     if (!(get16(i20 + 22 | 0) | 0)) {
      i22 = i20;
      i19 = 19;
      break L24;
     }
     i20 = get32(i20 + 32 | 0) | 0;
    } while ((i20 | 0) != 0);
   } while (0);
   if ((i19 | 0) == 19) {
    i14 = FUNCTION_TABLE_iii[get32(i10 + 32 | 0) & 127](get32(i10 + 36 | 0) | 0, i22) | 0;
    switch (i14 | 0) {
    case 0:
    case 5:
     break;
    default:
     {
      i15 = i14;
      break L5;
     }
    }
   }
   i23 = FUNCTION_TABLE_iiii[get32(320 | 0) & 63](get32(i11 | 0) | 0, i2, 2) | 0;
  } else i23 = i12;
  if (!i23) {
   set32(i3 | 0, 0 | 0);
   i15 = 7;
   break;
  }
  if (!(get32(i23 | 0) | 0)) {
   i14 = i23;
   i20 = i14 + 36 | 0;
   do {
    set32(i14 | 0, 0 | 0);
    i14 = i14 + 4 | 0;
   } while ((i14 | 0) < (i20 | 0));
   set32(i23 | 0, i23 + 36 | 0);
   i14 = i23 + ((get32(i10 + 20 | 0) | 0) + 36) | 0;
   set32(i23 + 4 | 0, i14 | 0);
   _memset(i14 | 0, 0, get32(i10 + 24 | 0) | 0) | 0;
   set32(i23 + 24 | 0, i10 | 0);
   set32(i23 + 12 | 0, i2 | 0);
  }
  i14 = i23 + 22 | 0;
  i20 = get16(i14 | 0) | 0;
  if (!(i20 << 16 >> 16)) {
   i12 = i10 + 12 | 0;
   set32(i12 | 0, (get32(i12 | 0) | 0) + 1 | 0);
  }
  set16(i14 | 0, i20 + 1 << 16 >> 16 | 0);
  if ((i2 | 0) == 1) set32(i10 + 44 | 0, i23 | 0);
  set32(i3 | 0, i23 | 0);
  i20 = i23 + 16 | 0;
  i14 = (i4 | 0) != 0;
  if (!(i14 | (get32(i20 | 0) | 0) == 0)) {
   i8 = 0;
   STACKTOP = i5;
   return i8 | 0;
  }
  set32(i20 | 0, i1 | 0);
  do if ((i2 | 0) >= 0 ? (i20 = i1 + 128 | 0, (((get32(199 * 4 | 0) | 0) / (get32(i20 | 0) | 0) | 0) + 1 | 0) != (i2 | 0)) : 0) {
   if (((get8(i1 + 14 >> 0 | 0) | 0) == 0 ? !(i14 | (get32(i1 + 24 | 0) | 0) >>> 0 < i2 >>> 0) : 0) ? (get32(get32(i1 + 60 | 0) | 0) | 0) != 0 : 0) {
    i12 = _readDbPage(i23) | 0;
    if (!i12) i8 = 0; else {
     i24 = i12;
     break;
    }
    STACKTOP = i5;
    return i8 | 0;
   }
   if ((get32(i1 + 132 | 0) | 0) >>> 0 < i2 >>> 0) i24 = 13; else {
    do if (i14) {
     i12 = get32(366 * 4 | 0) | 0;
     if (i12) FUNCTION_TABLE_v[i12 & 1]();
     if ((get32(i1 + 28 | 0) | 0) >>> 0 >= i2 >>> 0) _sqlite3BitvecSet(get32(i1 + 56 | 0) | 0, i2) | 0;
     i12 = i1 + 96 | 0;
     i11 = get32(i12 | 0) | 0;
     if ((i11 | 0) > 0) {
      i13 = i1 + 92 | 0;
      i25 = i11;
      i11 = 0;
      while (1) {
       i26 = get32(i13 | 0) | 0;
       if ((get32(i26 + (i11 * 48 | 0) + 20 | 0) | 0) >>> 0 < i2 >>> 0) i27 = i25; else {
        _sqlite3BitvecSet(get32(i26 + (i11 * 48 | 0) + 16 | 0) | 0, i2) | 0;
        i27 = get32(i12 | 0) | 0;
       }
       i11 = i11 + 1 | 0;
       if ((i11 | 0) >= (i27 | 0)) break; else i25 = i27;
      }
     }
     i25 = get32(367 * 4 | 0) | 0;
     if (!i25) break;
     FUNCTION_TABLE_v[i25 & 1]();
    } while (0);
    _memset(get32(i23 | 0) | 0, 0, get32(i20 | 0) | 0) | 0;
    i8 = 0;
    STACKTOP = i5;
    return i8 | 0;
   }
  } else i19 = 32; while (0);
  if ((i19 | 0) == 32) {
   set32(i6 | 0, 41817 | 0);
   set32(i6 + 4 | 0, 17203 | 0);
   _sqlite3_log(11, 19615, i6);
   i24 = 11;
  }
  i14 = get32(i23 + 24 | 0) | 0;
  if (get16(i23 + 20 | 0) & 2) {
   i10 = i14 + 8 | 0;
   if ((get32(i10 | 0) | 0) == (i23 | 0)) {
    i25 = i23;
    while (1) {
     i11 = get32(i25 + 32 | 0) | 0;
     if (!i11) {
      i28 = 0;
      break;
     }
     if (!(get16(i11 + 20 | 0) & 4)) {
      i28 = i11;
      break;
     } else i25 = i11;
    }
    set32(i10 | 0, i28 | 0);
   }
   i25 = i23 + 28 | 0;
   i11 = get32(i25 | 0) | 0;
   i12 = i23 + 32 | 0;
   i13 = get32(i12 | 0) | 0;
   i26 = i11;
   if (!i11) {
    set32(i14 + 4 | 0, i13 | 0);
    i29 = i13;
   } else {
    set32(i11 + 32 | 0, i13 | 0);
    i29 = get32(i12 | 0) | 0;
   }
   if (!i29) set32(i14 | 0, i26 | 0); else set32(i29 + 28 | 0, i26 | 0);
   set32(i25 | 0, 0 | 0);
   set32(i12 | 0, 0 | 0);
  }
  i12 = i14 + 12 | 0;
  set32(i12 | 0, (get32(i12 | 0) | 0) + -1 | 0);
  if ((get32(i23 + 12 | 0) | 0) == 1) set32(i14 + 44 | 0, 0 | 0);
  FUNCTION_TABLE_viii[get32(324 | 0) & 63](get32(i14 + 40 | 0) | 0, i23, 1);
  i15 = i24;
 } else i15 = i7; while (0);
 if (!(get32((get32(i9 | 0) | 0) + 12 | 0) | 0)) {
  i9 = get8(i1 + 15 >> 0 | 0) | 0;
  L103 : do switch (i9 << 24 >> 24) {
  case 0:
  case 6:
   break;
  default:
   {
    if ((i9 & 255) <= 1) {
     if (get8(i1 + 4 >> 0 | 0) | 0) break L103;
     _pager_end_transaction(i1, 0) | 0;
     break L103;
    }
    i7 = get32(366 * 4 | 0) | 0;
    if (i7) FUNCTION_TABLE_v[i7 & 1]();
    _sqlite3PagerRollback(i1) | 0;
    i7 = get32(367 * 4 | 0) | 0;
    if (i7) FUNCTION_TABLE_v[i7 & 1]();
   }
  } while (0);
  _pager_unlock(i1);
 }
 set32(i3 | 0, 0 | 0);
 i8 = i15;
 STACKTOP = i5;
 return i8 | 0;
}

function _sqlite3_log(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 1104 | 0;
 i5 = i4 + 16 | 0;
 i6 = i4 + 44 | 0;
 i7 = i4;
 if (!(get32(104 * 4 | 0) | 0)) {
  STACKTOP = i4;
  return;
 }
 set32(i7 | 0, i3 | 0);
 i3 = i5 + 4 | 0;
 set32(i3 | 0, i6 | 0);
 i8 = i5 + 8 | 0;
 set32(i8 | 0, i6 | 0);
 set32(i5 | 0, 0 | 0);
 i6 = i5 + 12 | 0;
 set32(i6 | 0, 0 | 0);
 set32(i5 + 16 | 0, 1050 | 0);
 set32(i5 + 20 | 0, 0 | 0);
 i9 = i5 + 25 | 0;
 set8(i5 + 26 >> 0 | 0, 0 | 0);
 i10 = i5 + 24 | 0;
 set8(i10 >> 0 | 0, 0 | 0);
 set8(i9 >> 0 | 0, 0 | 0);
 _sqlite3VXPrintf(i5, 0, i2, i7);
 i7 = get32(104 * 4 | 0) | 0;
 i2 = get32(105 * 4 | 0) | 0;
 i11 = get32(i8 | 0) | 0;
 do if (i11) {
  i12 = get32(i6 | 0) | 0;
  set8(i11 + i12 >> 0 | 0, 0 | 0);
  i13 = get8(i9 >> 0 | 0) | 0;
  if (i13 << 24 >> 24 != 0 ? (i11 | 0) == (get32(i3 | 0) | 0) : 0) {
   L7 : do if (i13 << 24 >> 24 == 1) {
    i14 = get32(i5 | 0) | 0;
    i15 = i12 + 1 | 0;
    L9 : do if (!i14) if (i12 >>> 0 <= 2147483390) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i16 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i15) | 0;
      i17 = 47;
      break L7;
     }
     i18 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i15) | 0;
     set32(35 * 4 | 0, i15 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i15 | 0)) set32(45 * 4 | 0, i15 | 0);
     i19 = get32(6 * 4 | 0) | 0;
     do if (i19) {
      i20 = get32(30 * 4 | 0) | 0;
      i21 = ((i20 | 0) < 0) << 31 >> 31;
      i22 = 16;
      i23 = _i64Subtract(get32(i22 | 0) | 0, get32(i22 + 4 | 0) | 0, i18 | 0, ((i18 | 0) < 0) << 31 >> 31 | 0) | 0;
      i22 = tempRet0;
      if ((i21 | 0) < (i22 | 0) | (i21 | 0) == (i22 | 0) & i20 >>> 0 < i23 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i23 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i19 & 15](i23, i20, i21, i18);
       set32(6 * 4 | 0, i19 | 0);
       set32(7 * 4 | 0, i23 | 0);
       break;
      }
     } while (0);
     i19 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i18) | 0;
     if (i19) {
      i23 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i19) | 0;
      i21 = (get32(30 * 4 | 0) | 0) + i23 | 0;
      set32(30 * 4 | 0, i21 | 0);
      if ((i21 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i21 | 0);
      i21 = get32(39 * 4 | 0) | 0;
      i23 = i21 + 1 | 0;
      set32(39 * 4 | 0, i23 | 0);
      if ((i21 | 0) < (get32(49 * 4 | 0) | 0)) {
       i24 = i19;
       i17 = 46;
      } else {
       set32(49 * 4 | 0, i23 | 0);
       i24 = i19;
       i17 = 46;
      }
     } else i17 = 45;
    } else i17 = 45; else {
     i19 = i14 + 30 | 0;
     if (!(get8(i19 >> 0 | 0) | 0)) {
      do if (get8(i14 + 234 >> 0 | 0) | 0) {
       if ((getU16(i14 + 232 | 0) | 0) < (i15 | 0)) {
        i23 = i14 + 248 | 0;
        set32(i23 | 0, (get32(i23 | 0) | 0) + 1 | 0);
        break;
       }
       i23 = i14 + 256 | 0;
       i21 = get32(i23 | 0) | 0;
       if (!i21) {
        i20 = i14 + 252 | 0;
        set32(i20 | 0, (get32(i20 | 0) | 0) + 1 | 0);
        break;
       }
       set32(i23 | 0, get32(i21 | 0) | 0);
       i23 = i14 + 236 | 0;
       i20 = get32(i23 | 0) | 0;
       i22 = i20 + 1 | 0;
       set32(i23 | 0, i22 | 0);
       i23 = i14 + 244 | 0;
       set32(i23 | 0, (get32(i23 | 0) | 0) + 1 | 0);
       i23 = i14 + 240 | 0;
       if ((i20 | 0) >= (get32(i23 | 0) | 0)) set32(i23 | 0, i22 | 0);
       i16 = i21;
       i17 = 47;
       break L7;
      } while (0);
      do if (i12 >>> 0 <= 2147483390) {
       if (!(get32(50 * 4 | 0) | 0)) {
        i18 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i15) | 0;
        if (!i18) break; else {
         i24 = i18;
         i17 = 46;
         break L9;
        }
       }
       i18 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i15) | 0;
       set32(35 * 4 | 0, i15 | 0);
       if ((get32(45 * 4 | 0) | 0) < (i15 | 0)) set32(45 * 4 | 0, i15 | 0);
       i21 = get32(6 * 4 | 0) | 0;
       do if (i21) {
        i22 = get32(30 * 4 | 0) | 0;
        i23 = ((i22 | 0) < 0) << 31 >> 31;
        i20 = 16;
        i25 = _i64Subtract(get32(i20 | 0) | 0, get32(i20 + 4 | 0) | 0, i18 | 0, ((i18 | 0) < 0) << 31 >> 31 | 0) | 0;
        i20 = tempRet0;
        if ((i23 | 0) < (i20 | 0) | (i23 | 0) == (i20 | 0) & i22 >>> 0 < i25 >>> 0) {
         set32(11 * 4 | 0, 0 | 0);
         break;
        } else {
         set32(11 * 4 | 0, 1 | 0);
         i25 = get32(7 * 4 | 0) | 0;
         set32(6 * 4 | 0, 0 | 0);
         FUNCTION_TABLE_viiii[i21 & 15](i25, i22, i23, i18);
         set32(6 * 4 | 0, i21 | 0);
         set32(7 * 4 | 0, i25 | 0);
         break;
        }
       } while (0);
       i21 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i18) | 0;
       if (i21) {
        i25 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i21) | 0;
        i23 = (get32(30 * 4 | 0) | 0) + i25 | 0;
        set32(30 * 4 | 0, i23 | 0);
        if ((i23 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i23 | 0);
        i23 = get32(39 * 4 | 0) | 0;
        i25 = i23 + 1 | 0;
        set32(39 * 4 | 0, i25 | 0);
        if ((i23 | 0) < (get32(49 * 4 | 0) | 0)) {
         i24 = i21;
         i17 = 46;
         break L9;
        }
        set32(49 * 4 | 0, i25 | 0);
        i24 = i21;
        i17 = 46;
        break L9;
       }
      } while (0);
      set8(i19 >> 0 | 0, 1 | 0);
      i17 = 45;
     } else i17 = 45;
    } while (0);
    if ((i17 | 0) == 45) {
     set32(i8 | 0, 0 | 0);
     i17 = 50;
     break;
    } else if ((i17 | 0) == 46) {
     set32(i8 | 0, i24 | 0);
     i26 = i15;
     i27 = i24;
     i17 = 49;
     break;
    }
   } else {
    i16 = _sqlite3_malloc(i12 + 1 | 0) | 0;
    i17 = 47;
   } while (0);
   if ((i17 | 0) == 47) {
    set32(i8 | 0, i16 | 0);
    if (!i16) i17 = 50; else {
     i26 = i12 + 1 | 0;
     i27 = i16;
     i17 = 49;
    }
   }
   if ((i17 | 0) == 49) {
    _memcpy(i27 | 0, i11 | 0, i26 | 0) | 0;
    i28 = get32(i8 | 0) | 0;
    break;
   } else if ((i17 | 0) == 50) {
    set8(i10 >> 0 | 0, 1 | 0);
    i28 = 0;
    break;
   }
  } else i28 = i11;
 } else i28 = 0; while (0);
 FUNCTION_TABLE_viii[i7 & 63](i2, i1, i28);
 STACKTOP = i4;
 return;
}
function _sqlite3ExprSetCollByToken(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i5 = i4;
 i6 = get32(i1 | 0) | 0;
 L1 : do if ((i3 | 0) != 0 ? (i7 = get32(i3 | 0) | 0, i8 = get32(i3 + 4 | 0) | 0, (i7 | 0) != 0) : 0) {
  i9 = i8 + 1 | 0;
  L4 : do if (!i6) {
   if (i8 >>> 0 > 2147483390) {
    i10 = 0;
    break L1;
   }
   if (!(get32(50 * 4 | 0) | 0)) {
    i11 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i9) | 0;
    i12 = 42;
    break;
   }
   i13 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i9) | 0;
   set32(35 * 4 | 0, i9 | 0);
   if ((get32(45 * 4 | 0) | 0) < (i9 | 0)) set32(45 * 4 | 0, i9 | 0);
   i14 = get32(6 * 4 | 0) | 0;
   do if (i14) {
    i15 = get32(30 * 4 | 0) | 0;
    i16 = ((i15 | 0) < 0) << 31 >> 31;
    i17 = 16;
    i18 = _i64Subtract(get32(i17 | 0) | 0, get32(i17 + 4 | 0) | 0, i13 | 0, ((i13 | 0) < 0) << 31 >> 31 | 0) | 0;
    i17 = tempRet0;
    if ((i16 | 0) < (i17 | 0) | (i16 | 0) == (i17 | 0) & i15 >>> 0 < i18 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i18 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i14 & 15](i18, i15, i16, i13);
     set32(6 * 4 | 0, i14 | 0);
     set32(7 * 4 | 0, i18 | 0);
     break;
    }
   } while (0);
   i14 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i13) | 0;
   if (!i14) {
    i10 = 0;
    break L1;
   }
   i18 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i14) | 0;
   i16 = (get32(30 * 4 | 0) | 0) + i18 | 0;
   set32(30 * 4 | 0, i16 | 0);
   if ((i16 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i16 | 0);
   i16 = get32(39 * 4 | 0) | 0;
   i18 = i16 + 1 | 0;
   set32(39 * 4 | 0, i18 | 0);
   if ((i16 | 0) < (get32(49 * 4 | 0) | 0)) i19 = i14; else {
    set32(49 * 4 | 0, i18 | 0);
    i19 = i14;
   }
  } else {
   i14 = i6 + 30 | 0;
   if (get8(i14 >> 0 | 0) | 0) {
    i10 = 0;
    break L1;
   }
   do if (get8(i6 + 234 >> 0 | 0) | 0) {
    if ((getU16(i6 + 232 | 0) | 0) < (i9 | 0)) {
     i18 = i6 + 248 | 0;
     set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
     break;
    }
    i18 = i6 + 256 | 0;
    i16 = get32(i18 | 0) | 0;
    if (!i16) {
     i15 = i6 + 252 | 0;
     set32(i15 | 0, (get32(i15 | 0) | 0) + 1 | 0);
     break;
    }
    set32(i18 | 0, get32(i16 | 0) | 0);
    i18 = i6 + 236 | 0;
    i15 = get32(i18 | 0) | 0;
    i17 = i15 + 1 | 0;
    set32(i18 | 0, i17 | 0);
    i18 = i6 + 244 | 0;
    set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
    i18 = i6 + 240 | 0;
    if ((i15 | 0) >= (get32(i18 | 0) | 0)) set32(i18 | 0, i17 | 0);
    i11 = i16;
    i12 = 42;
    break L4;
   } while (0);
   do if (i8 >>> 0 <= 2147483390) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i13 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i9) | 0;
     if (!i13) break; else {
      i19 = i13;
      break L4;
     }
    }
    i13 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i9) | 0;
    set32(35 * 4 | 0, i9 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i9 | 0)) set32(45 * 4 | 0, i9 | 0);
    i16 = get32(6 * 4 | 0) | 0;
    do if (i16) {
     i17 = get32(30 * 4 | 0) | 0;
     i18 = ((i17 | 0) < 0) << 31 >> 31;
     i15 = 16;
     i20 = _i64Subtract(get32(i15 | 0) | 0, get32(i15 + 4 | 0) | 0, i13 | 0, ((i13 | 0) < 0) << 31 >> 31 | 0) | 0;
     i15 = tempRet0;
     if ((i18 | 0) < (i15 | 0) | (i18 | 0) == (i15 | 0) & i17 >>> 0 < i20 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i20 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i16 & 15](i20, i17, i18, i13);
      set32(6 * 4 | 0, i16 | 0);
      set32(7 * 4 | 0, i20 | 0);
      break;
     }
    } while (0);
    i16 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i13) | 0;
    if (i16) {
     i20 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i16) | 0;
     i18 = (get32(30 * 4 | 0) | 0) + i20 | 0;
     set32(30 * 4 | 0, i18 | 0);
     if ((i18 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i18 | 0);
     i18 = get32(39 * 4 | 0) | 0;
     i20 = i18 + 1 | 0;
     set32(39 * 4 | 0, i20 | 0);
     if ((i18 | 0) < (get32(49 * 4 | 0) | 0)) {
      i19 = i16;
      break L4;
     }
     set32(49 * 4 | 0, i20 | 0);
     i19 = i16;
     break L4;
    }
   } while (0);
   set8(i14 >> 0 | 0, 1 | 0);
   i10 = 0;
   break L1;
  } while (0);
  if ((i12 | 0) == 42) if (!i11) {
   i10 = 0;
   break;
  } else i19 = i11;
  _memcpy(i19 | 0, i7 | 0, i8 | 0) | 0;
  set8(i19 + i8 >> 0 | 0, 0 | 0);
  i9 = get8(i19 >> 0 | 0) | 0;
  switch (i9 << 24 >> 24 | 0) {
  case 96:
  case 34:
  case 39:
   {
    i21 = i9;
    break;
   }
  case 91:
   {
    i21 = 93;
    break;
   }
  default:
   {
    i10 = i19;
    break L1;
   }
  }
  i9 = get8(i19 + 1 >> 0 | 0) | 0;
  L64 : do if (!(i9 << 24 >> 24)) i22 = 0; else {
   i16 = i9;
   i20 = 1;
   i18 = 0;
   while (1) {
    if (i16 << 24 >> 24 == i21 << 24 >> 24) {
     i17 = i20 + 1 | 0;
     if ((get8(i19 + i17 >> 0 | 0) | 0) != i21 << 24 >> 24) {
      i22 = i18;
      break L64;
     }
     set8(i19 + i18 >> 0 | 0, i21 | 0);
     i23 = i17;
    } else {
     set8(i19 + i18 >> 0 | 0, i16 | 0);
     i23 = i20;
    }
    i17 = i18 + 1 | 0;
    i20 = i23 + 1 | 0;
    i16 = get8(i19 + i20 >> 0 | 0) | 0;
    if (!(i16 << 24 >> 24)) {
     i22 = i17;
     break;
    } else i18 = i17;
   }
  } while (0);
  set8(i19 + i22 >> 0 | 0, 0 | 0);
  i10 = i19;
 } else i10 = 0; while (0);
 i19 = get32(i1 | 0) | 0;
 i22 = get8((get32((get32(i19 + 8 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0) | 0;
 i23 = get8(i19 + 124 >> 0 | 0) | 0;
 i21 = _sqlite3FindCollSeq(i19, i22, i10, i23 & 255) | 0;
 do if (!(i23 << 24 >> 24)) {
  if ((i21 | 0) != 0 ? (get32(i21 + 12 | 0) | 0) != 0 : 0) {
   i24 = i21;
   break;
  }
  i11 = _sqlite3GetCollSeq(i19, i22, i21, i10) | 0;
  if (!i11) {
   set32(i5 | 0, i10 | 0);
   _sqlite3ErrorMsg(i1, 30475, i5);
   _sqlite3DbFree(i6, i10);
   STACKTOP = i4;
   return i2 | 0;
  } else i24 = i11;
 } else i24 = i21; while (0);
 if (!((i2 | 0) != 0 & (i24 | 0) != 0)) {
  _sqlite3DbFree(i6, i10);
  STACKTOP = i4;
  return i2 | 0;
 }
 set32(i2 + 20 | 0, i24 | 0);
 i24 = i2 + 2 | 0;
 set16(i24 | 0, getU16(i24 | 0) | 256 | 0);
 _sqlite3DbFree(i6, i10);
 STACKTOP = i4;
 return i2 | 0;
}

function _sqlite3_compileoption_used(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0;
 i2 = get8(i1 >> 0 | 0) | 0;
 do if (!(i2 << 24 >> 24)) {
  i3 = 16278;
  i4 = 2;
 } else {
  i5 = i2 & 255;
  i6 = 16286 + i5 | 0;
  if ((i5 & 223 | 0) == 83) {
   i5 = get8(i1 + 1 >> 0 | 0) | 0;
   if (!(i5 << 24 >> 24)) {
    i3 = 16279;
    i4 = 2;
    break;
   }
   i7 = i5 & 255;
   i5 = 16286 + i7 | 0;
   if ((i7 & 223 | 0) == 81) {
    i7 = get8(i1 + 2 >> 0 | 0) | 0;
    if (!(i7 << 24 >> 24)) {
     i3 = 16280;
     i4 = 2;
     break;
    }
    i8 = i7 & 255;
    i7 = 16286 + i8 | 0;
    if ((i8 & 223 | 0) == 76) {
     i8 = get8(i1 + 3 >> 0 | 0) | 0;
     if (!(i8 << 24 >> 24)) {
      i3 = 16281;
      i4 = 2;
      break;
     }
     i9 = i8 & 255;
     i8 = 16286 + i9 | 0;
     if ((i9 & 223 | 0) == 73) {
      i9 = get8(i1 + 4 >> 0 | 0) | 0;
      if (!(i9 << 24 >> 24)) {
       i3 = 16282;
       i4 = 2;
       break;
      }
      i10 = i9 & 255;
      i9 = 16286 + i10 | 0;
      if ((i10 & 223 | 0) == 84) {
       i10 = get8(i1 + 5 >> 0 | 0) | 0;
       if (!(i10 << 24 >> 24)) {
        i3 = 16283;
        i4 = 2;
        break;
       }
       i11 = i10 & 255;
       i10 = 16286 + i11 | 0;
       if ((i11 & 223 | 0) == 69) {
        i11 = get8(i1 + 6 >> 0 | 0) | 0;
        if (!(i11 << 24 >> 24)) {
         i3 = 16284;
         i4 = 2;
         break;
        }
        if (i11 << 24 >> 24 == 95) {
         i12 = 1;
         break;
        } else {
         i13 = 16286 + (i11 & 255) | 0;
         i14 = 95;
        }
       } else {
        i13 = i10;
        i14 = 101;
       }
      } else {
       i13 = i9;
       i14 = 116;
      }
     } else {
      i13 = i8;
      i14 = 105;
     }
    } else {
     i13 = i7;
     i14 = 108;
    }
   } else {
    i13 = i5;
    i14 = 113;
   }
  } else {
   i13 = i6;
   i14 = 115;
  }
  i15 = i14;
  i16 = get8(i13 >> 0 | 0) | 0;
  i4 = 6;
 } while (0);
 if ((i4 | 0) == 2) {
  i15 = get8(16286 + (getU8(i3 >> 0 | 0) | 0) >> 0 | 0) | 0;
  i16 = 0;
  i4 = 6;
 }
 if ((i4 | 0) == 6) i12 = i16 << 24 >> 24 == i15 << 24 >> 24;
 i15 = i12 ? i1 + 7 | 0 : i1;
 if (!i15) {
  i17 = 0;
  return i17 | 0;
 } else i18 = i15;
 while (1) if (!(get8(i18 >> 0 | 0) | 0)) {
  i19 = i18;
  break;
 } else i18 = i18 + 1 | 0;
 i18 = i19 - i15 & 1073741823;
 if (!i18) {
  i17 = 0;
  return i17 | 0;
 } else {
  i20 = i18;
  i21 = i15;
  i22 = 18518;
 }
 while (1) {
  i19 = get8(i21 >> 0 | 0) | 0;
  if (!(i19 << 24 >> 24)) {
   i23 = i22;
   i4 = 11;
   break;
  }
  i1 = get8(16286 + (i19 & 255) >> 0 | 0) | 0;
  i19 = get8(16286 + (getU8(i22 >> 0 | 0) | 0) >> 0 | 0) | 0;
  if (i1 << 24 >> 24 != i19 << 24 >> 24) {
   i24 = i1;
   i25 = i19;
   i4 = 14;
   break;
  }
  if ((i20 | 0) > 1) {
   i20 = i20 + -1 | 0;
   i21 = i21 + 1 | 0;
   i22 = i22 + 1 | 0;
  } else {
   i4 = 15;
   break;
  }
 }
 if ((i4 | 0) == 11) {
  i24 = 0;
  i25 = get8(16286 + (getU8(i23 >> 0 | 0) | 0) >> 0 | 0) | 0;
  i4 = 14;
 }
 if ((i4 | 0) == 14) if (i24 << 24 >> 24 == i25 << 24 >> 24) i4 = 15; else {
  i26 = i18;
  i27 = i15;
  i28 = 18530;
 }
 L37 : do if ((i4 | 0) == 15) {
  switch (get8(18518 + i18 >> 0 | 0) | 0) {
  case 61:
  case 0:
   {
    i17 = 1;
    break;
   }
  default:
   {
    i26 = i18;
    i27 = i15;
    i28 = 18530;
    break L37;
   }
  }
  return i17 | 0;
 } while (0);
 while (1) {
  i25 = get8(i27 >> 0 | 0) | 0;
  if (!(i25 << 24 >> 24)) {
   i29 = i28;
   i4 = 20;
   break;
  }
  i24 = get8(16286 + (i25 & 255) >> 0 | 0) | 0;
  i25 = get8(16286 + (getU8(i28 >> 0 | 0) | 0) >> 0 | 0) | 0;
  if (i24 << 24 >> 24 != i25 << 24 >> 24) {
   i30 = i24;
   i31 = i25;
   i4 = 21;
   break;
  }
  if ((i26 | 0) > 1) {
   i26 = i26 + -1 | 0;
   i27 = i27 + 1 | 0;
   i28 = i28 + 1 | 0;
  } else {
   i4 = 22;
   break;
  }
 }
 if ((i4 | 0) == 20) {
  i30 = 0;
  i31 = get8(16286 + (getU8(i29 >> 0 | 0) | 0) >> 0 | 0) | 0;
  i4 = 21;
 }
 if ((i4 | 0) == 21) if (i30 << 24 >> 24 == i31 << 24 >> 24) i4 = 22; else {
  i32 = i18;
  i33 = i15;
  i34 = 18541;
 }
 L48 : do if ((i4 | 0) == 22) {
  switch (get8(18530 + i18 >> 0 | 0) | 0) {
  case 61:
  case 0:
   {
    i17 = 1;
    break;
   }
  default:
   {
    i32 = i18;
    i33 = i15;
    i34 = 18541;
    break L48;
   }
  }
  return i17 | 0;
 } while (0);
 while (1) {
  i31 = get8(i33 >> 0 | 0) | 0;
  if (!(i31 << 24 >> 24)) {
   i35 = i34;
   i4 = 26;
   break;
  }
  i30 = get8(16286 + (i31 & 255) >> 0 | 0) | 0;
  i31 = get8(16286 + (getU8(i34 >> 0 | 0) | 0) >> 0 | 0) | 0;
  if (i30 << 24 >> 24 != i31 << 24 >> 24) {
   i36 = i30;
   i37 = i31;
   i4 = 27;
   break;
  }
  if ((i32 | 0) > 1) {
   i32 = i32 + -1 | 0;
   i33 = i33 + 1 | 0;
   i34 = i34 + 1 | 0;
  } else {
   i4 = 28;
   break;
  }
 }
 if ((i4 | 0) == 26) {
  i36 = 0;
  i37 = get8(16286 + (getU8(i35 >> 0 | 0) | 0) >> 0 | 0) | 0;
  i4 = 27;
 }
 if ((i4 | 0) == 27) if (i36 << 24 >> 24 == i37 << 24 >> 24) i4 = 28; else {
  i38 = i18;
  i39 = i15;
  i40 = 18554;
 }
 L59 : do if ((i4 | 0) == 28) {
  switch (get8(18541 + i18 >> 0 | 0) | 0) {
  case 61:
  case 0:
   {
    i17 = 1;
    break;
   }
  default:
   {
    i38 = i18;
    i39 = i15;
    i40 = 18554;
    break L59;
   }
  }
  return i17 | 0;
 } while (0);
 while (1) {
  i15 = get8(i39 >> 0 | 0) | 0;
  if (!(i15 << 24 >> 24)) {
   i41 = i40;
   i4 = 32;
   break;
  }
  i37 = get8(16286 + (i15 & 255) >> 0 | 0) | 0;
  i15 = get8(16286 + (getU8(i40 >> 0 | 0) | 0) >> 0 | 0) | 0;
  if (i37 << 24 >> 24 != i15 << 24 >> 24) {
   i42 = i37;
   i43 = i15;
   i4 = 33;
   break;
  }
  if ((i38 | 0) > 1) {
   i38 = i38 + -1 | 0;
   i39 = i39 + 1 | 0;
   i40 = i40 + 1 | 0;
  } else {
   i4 = 34;
   break;
  }
 }
 if ((i4 | 0) == 32) {
  i42 = 0;
  i43 = get8(16286 + (getU8(i41 >> 0 | 0) | 0) >> 0 | 0) | 0;
  i4 = 33;
 }
 if ((i4 | 0) == 33 ? i42 << 24 >> 24 == i43 << 24 >> 24 : 0) i4 = 34;
 L70 : do if ((i4 | 0) == 34) {
  switch (get8(18554 + i18 >> 0 | 0) | 0) {
  case 61:
  case 0:
   {
    i17 = 1;
    break;
   }
  default:
   break L70;
  }
  return i17 | 0;
 } while (0);
 i17 = 0;
 return i17 | 0;
}

function _sqlite3BitvecSet(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0;
 if (!i1) {
  i3 = 0;
  return i3 | 0;
 }
 i4 = i2 + -1 | 0;
 L4 : do if ((get32(i1 | 0) | 0) >>> 0 > 4e3) {
  i2 = i1;
  i5 = i4;
  i6 = i1;
  while (1) {
   i7 = i2 + 8 | 0;
   i8 = get32(i7 | 0) | 0;
   if (!i8) {
    i9 = i2;
    i10 = i5;
    i11 = i6;
    i12 = i7;
    break;
   }
   i7 = (i5 >>> 0) % (i8 >>> 0) | 0;
   i13 = i2 + 12 + (((i5 >>> 0) / (i8 >>> 0) | 0) << 2) | 0;
   i14 = get32(i13 | 0) | 0;
   if (!i14) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i15 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](512) | 0;
     if (!i15) {
      i16 = i13;
      i17 = 18;
      break;
     } else i18 = i15;
    } else {
     i15 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](512) | 0;
     set32(35 * 4 | 0, 512 | 0);
     if ((get32(45 * 4 | 0) | 0) < 512) set32(45 * 4 | 0, 512 | 0);
     i19 = get32(6 * 4 | 0) | 0;
     do if (i19) {
      i20 = get32(30 * 4 | 0) | 0;
      i21 = ((i20 | 0) < 0) << 31 >> 31;
      i22 = 16;
      i23 = _i64Subtract(get32(i22 | 0) | 0, get32(i22 + 4 | 0) | 0, i15 | 0, ((i15 | 0) < 0) << 31 >> 31 | 0) | 0;
      i22 = tempRet0;
      if ((i21 | 0) < (i22 | 0) | (i21 | 0) == (i22 | 0) & i20 >>> 0 < i23 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i23 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i19 & 15](i23, i20, i21, i15);
       set32(6 * 4 | 0, i19 | 0);
       set32(7 * 4 | 0, i23 | 0);
       break;
      }
     } while (0);
     i19 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i15) | 0;
     if (!i19) {
      i16 = i13;
      i17 = 18;
      break;
     }
     i23 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i19) | 0;
     i21 = (get32(30 * 4 | 0) | 0) + i23 | 0;
     set32(30 * 4 | 0, i21 | 0);
     if ((i21 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i21 | 0);
     i21 = get32(39 * 4 | 0) | 0;
     i23 = i21 + 1 | 0;
     set32(39 * 4 | 0, i23 | 0);
     if ((i21 | 0) < (get32(49 * 4 | 0) | 0)) i18 = i19; else {
      set32(49 * 4 | 0, i23 | 0);
      i18 = i19;
     }
    }
    _memset(i18 | 0, 0, 512) | 0;
    set32(i18 | 0, i8 | 0);
    set32(i13 | 0, i18 | 0);
    i24 = i18;
   } else i24 = i14;
   if ((get32(i24 | 0) | 0) >>> 0 > 4e3) {
    i2 = i24;
    i5 = i7;
    i6 = i24;
   } else {
    i25 = i24;
    i26 = i7;
    break L4;
   }
  }
  if ((i17 | 0) == 18) {
   set32(i16 | 0, 0 | 0);
   i3 = 7;
   return i3 | 0;
  }
  i6 = i10 + 1 | 0;
  i5 = (i10 >>> 0) % 125 | 0;
  i2 = i9 + 12 | 0;
  i19 = get32(i9 + 12 + (i5 << 2) | 0) | 0;
  do if (!i19) {
   i23 = i9 + 4 | 0;
   i21 = get32(i23 | 0) | 0;
   if (i21 >>> 0 < 124) {
    i27 = i9;
    i28 = i23;
    i29 = i21;
    i30 = i5;
    i17 = 51;
   }
  } else {
   i21 = i19;
   i23 = i5;
   while (1) {
    if ((i21 | 0) == (i6 | 0)) {
     i3 = 0;
     i17 = 52;
     break;
    }
    i20 = i23 + 1 | 0;
    i22 = i20 >>> 0 > 124 ? 0 : i20;
    i21 = get32(i9 + 12 + (i22 << 2) | 0) | 0;
    if (!i21) {
     i31 = i22;
     i17 = 26;
     break;
    } else i23 = i22;
   }
   if ((i17 | 0) == 26) {
    i23 = i9 + 4 | 0;
    i21 = get32(i23 | 0) | 0;
    if (i21 >>> 0 > 61) break; else {
     i27 = i9;
     i28 = i23;
     i29 = i21;
     i30 = i31;
     i17 = 51;
     break;
    }
   } else if ((i17 | 0) == 52) return i3 | 0;
  } while (0);
  if ((i17 | 0) == 51) {
   set32(i28 | 0, i29 + 1 | 0);
   set32(i27 + 12 + (i30 << 2) | 0, i6 | 0);
   i3 = 0;
   return i3 | 0;
  }
  if (!(get32(50 * 4 | 0) | 0)) {
   i5 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](500) | 0;
   if (!i5) {
    i3 = 7;
    return i3 | 0;
   } else i32 = i5;
  } else {
   i5 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](500) | 0;
   set32(35 * 4 | 0, 500 | 0);
   if ((get32(45 * 4 | 0) | 0) < 500) set32(45 * 4 | 0, 500 | 0);
   i19 = get32(6 * 4 | 0) | 0;
   do if (i19) {
    i21 = get32(30 * 4 | 0) | 0;
    i23 = ((i21 | 0) < 0) << 31 >> 31;
    i7 = 16;
    i14 = _i64Subtract(get32(i7 | 0) | 0, get32(i7 + 4 | 0) | 0, i5 | 0, ((i5 | 0) < 0) << 31 >> 31 | 0) | 0;
    i7 = tempRet0;
    if ((i23 | 0) < (i7 | 0) | (i23 | 0) == (i7 | 0) & i21 >>> 0 < i14 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i14 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i19 & 15](i14, i21, i23, i5);
     set32(6 * 4 | 0, i19 | 0);
     set32(7 * 4 | 0, i14 | 0);
     break;
    }
   } while (0);
   i19 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i5) | 0;
   if (!i19) {
    i3 = 7;
    return i3 | 0;
   }
   i14 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i19) | 0;
   i23 = (get32(30 * 4 | 0) | 0) + i14 | 0;
   set32(30 * 4 | 0, i23 | 0);
   if ((i23 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i23 | 0);
   i23 = get32(39 * 4 | 0) | 0;
   i14 = i23 + 1 | 0;
   set32(39 * 4 | 0, i14 | 0);
   if ((i23 | 0) < (get32(49 * 4 | 0) | 0)) i32 = i19; else {
    set32(49 * 4 | 0, i14 | 0);
    i32 = i19;
   }
  }
  _memcpy(i32 | 0, i2 | 0, 500) | 0;
  _memset(i2 | 0, 0, 500) | 0;
  set32(i12 | 0, (((get32(i11 | 0) | 0) + 124 | 0) >>> 0) / 125 | 0 | 0);
  i19 = 0;
  i14 = _sqlite3BitvecSet(i9, i6) | 0;
  while (1) {
   i23 = get32(i32 + (i19 << 2) | 0) | 0;
   if (!i23) i33 = i14; else i33 = _sqlite3BitvecSet(i9, i23) | 0 | i14;
   i19 = i19 + 1 | 0;
   if ((i19 | 0) == 125) {
    i34 = i33;
    break;
   } else i14 = i33;
  }
  if (!(get32(50 * 4 | 0) | 0)) {
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i32);
   i3 = i34;
   return i3 | 0;
  }
  i14 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i32) | 0;
  i19 = (get32(30 * 4 | 0) | 0) - i14 | 0;
  set32(30 * 4 | 0, i19 | 0);
  if ((i19 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i19 | 0);
  i19 = (get32(39 * 4 | 0) | 0) + -1 | 0;
  set32(39 * 4 | 0, i19 | 0);
  if ((i19 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i19 | 0);
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i32);
  i3 = i34;
  return i3 | 0;
 } else {
  i25 = i1;
  i26 = i4;
 } while (0);
 i4 = i25 + 12 + (i26 >>> 3) | 0;
 set8(i4 >> 0 | 0, getU8(i4 >> 0 | 0) | 0 | 1 << (i26 & 7) | 0);
 i3 = 0;
 return i3 | 0;
}

function _rowSetToList(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0, i50 = 0, i51 = 0, i52 = 0, i53 = 0, i54 = 0, i55 = 0, i56 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 192 | 0;
 i3 = i2;
 i4 = i2 + 16 | 0;
 i5 = i2 + 180 | 0;
 i6 = i2 + 176 | 0;
 i7 = i1 + 26 | 0;
 if (!(get8(i7 >> 0 | 0) | 0)) {
  _memset(i4 | 0, 0, 160) | 0;
  i8 = i1 + 8 | 0;
  i9 = get32(i8 | 0) | 0;
  L3 : do if (i9) {
   i10 = i3 + 8 | 0;
   i11 = 0;
   i12 = i9;
   while (1) {
    i13 = i12 + 8 | 0;
    i14 = get32(i13 | 0) | 0;
    set32(i8 | 0, i14 | 0);
    set32(i13 | 0, 0 | 0);
    i13 = i14;
    if (!i11) {
     i15 = i4;
     i16 = i12;
    } else {
     i17 = i11;
     i18 = i4;
     i19 = 0;
     i20 = i12;
     while (1) {
      L10 : do if (!i20) {
       i21 = 0;
       i22 = i17;
       i23 = 1;
       i24 = i3;
      } else {
       i25 = i20;
       i26 = i17;
       i27 = i3;
       while (1) {
        i28 = i26;
        i29 = get32(i28 | 0) | 0;
        i30 = get32(i28 + 4 | 0) | 0;
        i28 = i25;
        i31 = i27;
        while (1) {
         i32 = i28;
         i33 = get32(i32 | 0) | 0;
         i34 = get32(i32 + 4 | 0) | 0;
         if ((i30 | 0) < (i34 | 0) | (i30 | 0) == (i34 | 0) & i29 >>> 0 < i33 >>> 0) {
          i35 = i28;
          i36 = i31;
          i37 = 9;
          break;
         }
         if (!((i34 | 0) < (i30 | 0) | (i34 | 0) == (i30 | 0) & i33 >>> 0 < i29 >>> 0)) {
          i38 = i28;
          i39 = i31;
          break;
         }
         set32(i31 + 8 | 0, i28 | 0);
         i33 = get32(i28 + 8 | 0) | 0;
         if (!i33) {
          i21 = 0;
          i22 = i26;
          i23 = 1;
          i24 = i28;
          break L10;
         } else {
          i34 = i28;
          i28 = i33;
          i31 = i34;
         }
        }
        if ((i37 | 0) == 9) {
         i37 = 0;
         set32(i36 + 8 | 0, i26 | 0);
         i38 = i35;
         i39 = i26;
        }
        i31 = get32(i26 + 8 | 0) | 0;
        i28 = (i31 | 0) != 0;
        if ((i38 | 0) != 0 & i28) {
         i25 = i38;
         i26 = i31;
         i27 = i39;
        } else {
         i21 = i38;
         i22 = i31;
         i23 = i28;
         i24 = i39;
         break;
        }
       }
      } while (0);
      set32(i24 + 8 | 0, (i23 ? i22 : i21) | 0);
      i27 = get32(i10 | 0) | 0;
      set32(i18 | 0, 0 | 0);
      i19 = i19 + 1 | 0;
      i26 = i4 + (i19 << 2) | 0;
      i17 = get32(i26 | 0) | 0;
      if (!i17) {
       i15 = i26;
       i16 = i27;
       break;
      } else {
       i18 = i26;
       i20 = i27;
      }
     }
    }
    set32(i15 | 0, i16 | 0);
    if (!i14) break L3;
    i11 = get32(i4 | 0) | 0;
    i12 = i13;
   }
  } while (0);
  i16 = i3 + 8 | 0;
  i15 = 0;
  i21 = 0;
  while (1) {
   i22 = get32(i4 + (i15 << 2) | 0) | 0;
   i23 = (i21 | 0) != 0;
   L26 : do if (i23 & (i22 | 0) != 0) {
    i24 = i22;
    i39 = i21;
    i38 = i3;
    while (1) {
     i35 = i39;
     i36 = get32(i35 | 0) | 0;
     i9 = get32(i35 + 4 | 0) | 0;
     i35 = i24;
     i12 = i38;
     while (1) {
      i11 = i35;
      i10 = get32(i11 | 0) | 0;
      i20 = get32(i11 + 4 | 0) | 0;
      if ((i9 | 0) < (i20 | 0) | (i9 | 0) == (i20 | 0) & i36 >>> 0 < i10 >>> 0) {
       i40 = i35;
       i41 = i12;
       i37 = 19;
       break;
      }
      if (!((i20 | 0) < (i9 | 0) | (i20 | 0) == (i9 | 0) & i10 >>> 0 < i36 >>> 0)) {
       i42 = i35;
       i43 = i12;
       break;
      }
      set32(i12 + 8 | 0, i35 | 0);
      i10 = get32(i35 + 8 | 0) | 0;
      if (!i10) {
       i44 = 0;
       i45 = i39;
       i46 = 1;
       i47 = i35;
       break L26;
      } else {
       i20 = i35;
       i35 = i10;
       i12 = i20;
      }
     }
     if ((i37 | 0) == 19) {
      i37 = 0;
      set32(i41 + 8 | 0, i39 | 0);
      i42 = i40;
      i43 = i39;
     }
     i12 = get32(i39 + 8 | 0) | 0;
     i35 = (i12 | 0) != 0;
     if ((i42 | 0) != 0 & i35) {
      i24 = i42;
      i39 = i12;
      i38 = i43;
     } else {
      i44 = i42;
      i45 = i12;
      i46 = i35;
      i47 = i43;
      break;
     }
    }
   } else {
    i44 = i22;
    i45 = i21;
    i46 = i23;
    i47 = i3;
   } while (0);
   set32(i47 + 8 | 0, (i46 ? i45 : i44) | 0);
   i23 = get32(i16 | 0) | 0;
   i15 = i15 + 1 | 0;
   if ((i15 | 0) == 40) {
    i48 = i23;
    break;
   } else i21 = i23;
  }
  set32(i8 | 0, i48 | 0);
  set32(i1 + 12 | 0, 0 | 0);
  set8(i7 >> 0 | 0, 1 | 0);
 }
 i7 = i1 + 20 | 0;
 i48 = get32(i7 | 0) | 0;
 if (!i48) {
  STACKTOP = i2;
  return;
 }
 _rowSetTreeToList(i48, i5, i6);
 set32(i7 | 0, 0 | 0);
 i7 = i1 + 8 | 0;
 i1 = get32(i7 | 0) | 0;
 i6 = get32(i5 | 0) | 0;
 i5 = (i1 | 0) != 0;
 L42 : do if (i5 & (i6 | 0) != 0) {
  i48 = i6;
  i8 = i1;
  i21 = i3;
  while (1) {
   i15 = i8;
   i16 = get32(i15 | 0) | 0;
   i44 = get32(i15 + 4 | 0) | 0;
   i15 = i48;
   i45 = i21;
   while (1) {
    i46 = i15;
    i47 = get32(i46 | 0) | 0;
    i43 = get32(i46 + 4 | 0) | 0;
    if ((i44 | 0) < (i43 | 0) | (i44 | 0) == (i43 | 0) & i16 >>> 0 < i47 >>> 0) {
     i49 = i15;
     i50 = i45;
     i37 = 29;
     break;
    }
    if (!((i43 | 0) < (i44 | 0) | (i43 | 0) == (i44 | 0) & i47 >>> 0 < i16 >>> 0)) {
     i51 = i15;
     i52 = i45;
     break;
    }
    set32(i45 + 8 | 0, i15 | 0);
    i47 = get32(i15 + 8 | 0) | 0;
    if (!i47) {
     i53 = 0;
     i54 = i8;
     i55 = 1;
     i56 = i15;
     break L42;
    } else {
     i43 = i15;
     i15 = i47;
     i45 = i43;
    }
   }
   if ((i37 | 0) == 29) {
    i37 = 0;
    set32(i50 + 8 | 0, i8 | 0);
    i51 = i49;
    i52 = i8;
   }
   i45 = get32(i8 + 8 | 0) | 0;
   i15 = (i45 | 0) != 0;
   if ((i51 | 0) != 0 & i15) {
    i48 = i51;
    i8 = i45;
    i21 = i52;
   } else {
    i53 = i51;
    i54 = i45;
    i55 = i15;
    i56 = i52;
    break;
   }
  }
 } else {
  i53 = i6;
  i54 = i1;
  i55 = i5;
  i56 = i3;
 } while (0);
 set32(i56 + 8 | 0, (i55 ? i54 : i53) | 0);
 set32(i7 | 0, get32(i3 + 8 | 0) | 0);
 STACKTOP = i2;
 return;
}

function _sqlite3BtreeDelete(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i3 = i2 + 4 | 0;
 i4 = i2;
 i5 = get32((get32(i1 | 0) | 0) + 4 | 0) | 0;
 i6 = i1 + 90 | 0;
 i7 = get16(i6 | 0) | 0;
 i8 = i7 << 16 >> 16;
 i9 = get16(i1 + 92 + (i8 << 1) | 0) | 0;
 i10 = get32(i1 + 132 + (i8 << 2) | 0) | 0;
 if ((i9 & 65535) >= (getU16(i10 + 16 | 0) | 0)) {
  i11 = 1;
  STACKTOP = i2;
  return i11 | 0;
 }
 if ((get8(i1 + 83 >> 0 | 0) | 0) != 1) {
  i11 = 1;
  STACKTOP = i2;
  return i11 | 0;
 }
 if ((get32(i1 + 16 | 0) | 0) == 0 ? (i12 = i1 + 32 | 0, i13 = get32(i12 | 0) | 0, i14 = get32(i12 + 4 | 0) | 0, i12 = get32(i5 + 8 | 0) | 0, (i12 | 0) != 0) : 0) {
  i15 = i12;
  do {
   if ((get8(i15 + 88 >> 0 | 0) | 0) != 0 ? (i12 = i15 + 32 | 0, (get32(i12 | 0) | 0) == (i13 | 0) ? (get32(i12 + 4 | 0) | 0) == (i14 | 0) : 0) : 0) set8(i15 + 83 >> 0 | 0, 0 | 0);
   i15 = get32(i15 + 8 | 0) | 0;
  } while ((i15 | 0) != 0);
 }
 i15 = i9 & 65535;
 i9 = get32(i10 + 64 | 0) | 0;
 i14 = (getU16(i10 + 12 | 0) | 0) + (i15 << 1) | 0;
 i13 = i9 + ((getU8(i9 + i14 >> 0 | 0) << 8 | getU8(i9 + (i14 + 1) >> 0 | 0)) & getU16(i10 + 18 | 0)) | 0;
 i14 = i10 + 3 | 0;
 if ((get8(i14 >> 0 | 0) | 0) == 0 ? (i9 = _sqlite3BtreePrevious(i1, i4) | 0, set32(i3 | 0, i9 | 0), (i9 | 0) != 0) : 0) {
  i11 = i9;
  STACKTOP = i2;
  return i11 | 0;
 }
 i9 = _saveAllCursors(i5, get32(i1 + 20 | 0) | 0, i1) | 0;
 set32(i3 | 0, i9 | 0);
 if (i9) {
  i11 = i9;
  STACKTOP = i2;
  return i11 | 0;
 }
 i9 = _sqlite3PagerWrite(get32(i10 + 68 | 0) | 0) | 0;
 set32(i3 | 0, i9 | 0);
 if (i9) {
  i11 = i9;
  STACKTOP = i2;
  return i11 | 0;
 }
 set32(i3 | 0, _clearCell(i10, i13) | 0 | 0);
 _dropCell(i10, i15, (_cellSizePtr(i10, i13) | 0) & 65535, i3);
 i13 = get32(i3 | 0) | 0;
 if (i13) {
  i11 = i13;
  STACKTOP = i2;
  return i11 | 0;
 }
 if (!(get8(i14 >> 0 | 0) | 0)) {
  i14 = get32(i1 + 132 + (get16(i6 | 0) << 2) | 0) | 0;
  i13 = get32((get32(i1 + 132 + (i8 + 1 << 2) | 0) | 0) + 72 | 0) | 0;
  i8 = get32(i14 + 64 | 0) | 0;
  i9 = i14 + 16 | 0;
  i4 = (getU16(i14 + 12 | 0) | 0) + -2 + (getU16(i9 | 0) << 1) | 0;
  i12 = (getU8(i8 + i4 >> 0 | 0) << 8 | getU8(i8 + (i4 + 1) >> 0 | 0)) & getU16(i14 + 18 | 0);
  i4 = (_cellSizePtr(i14, i8 + i12 | 0) | 0) & 65535;
  i16 = i5 + 88 | 0;
  i17 = get32(i16 | 0) | 0;
  if (!i17) {
   i18 = get32(i5 + 36 | 0) | 0;
   set32(37 * 4 | 0, i18 | 0);
   if ((get32(47 * 4 | 0) | 0) < (i18 | 0)) set32(47 * 4 | 0, i18 | 0);
   if ((get32(376 * 4 | 0) | 0) >= (i18 | 0) ? (i5 = get32(383 * 4 | 0) | 0, (i5 | 0) != 0) : 0) {
    set32(383 * 4 | 0, get32(i5 | 0) | 0);
    i19 = get32(382 * 4 | 0) | 0;
    set32(382 * 4 | 0, i19 + -1 | 0);
    set32(384 * 4 | 0, (i19 | 0) <= (get32(378 * 4 | 0) | 0) & 1 | 0);
    i19 = get32(31 * 4 | 0) | 0;
    i20 = i19 + 1 | 0;
    set32(31 * 4 | 0, i20 | 0);
    if ((i19 | 0) < (get32(41 * 4 | 0) | 0)) i21 = i5; else {
     set32(41 * 4 | 0, i20 | 0);
     i21 = i5;
    }
   } else i22 = 22;
   L40 : do if ((i22 | 0) == 22) if ((i18 + -1 | 0) >>> 0 <= 2147483390) {
    do if (!(get32(50 * 4 | 0) | 0)) {
     i5 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i18) | 0;
     if (!i5) {
      i21 = 0;
      break L40;
     } else i23 = i5;
    } else {
     i5 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i18) | 0;
     set32(35 * 4 | 0, i18 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i18 | 0)) set32(45 * 4 | 0, i18 | 0);
     i20 = get32(6 * 4 | 0) | 0;
     do if (i20) {
      i19 = get32(30 * 4 | 0) | 0;
      i24 = ((i19 | 0) < 0) << 31 >> 31;
      i25 = 16;
      i26 = _i64Subtract(get32(i25 | 0) | 0, get32(i25 + 4 | 0) | 0, i5 | 0, ((i5 | 0) < 0) << 31 >> 31 | 0) | 0;
      i25 = tempRet0;
      if ((i24 | 0) < (i25 | 0) | (i24 | 0) == (i25 | 0) & i19 >>> 0 < i26 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i26 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i20 & 15](i26, i19, i24, i5);
       set32(6 * 4 | 0, i20 | 0);
       set32(7 * 4 | 0, i26 | 0);
       break;
      }
     } while (0);
     i20 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i5) | 0;
     if (!i20) {
      i21 = 0;
      break L40;
     }
     i26 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i20) | 0;
     i24 = (get32(30 * 4 | 0) | 0) + i26 | 0;
     set32(30 * 4 | 0, i24 | 0);
     if ((i24 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i24 | 0);
     i24 = get32(39 * 4 | 0) | 0;
     i26 = i24 + 1 | 0;
     set32(39 * 4 | 0, i26 | 0);
     if ((i24 | 0) < (get32(49 * 4 | 0) | 0)) {
      i23 = i20;
      break;
     }
     set32(49 * 4 | 0, i26 | 0);
     i23 = i20;
    } while (0);
    i20 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i23) | 0;
    i26 = (get32(32 * 4 | 0) | 0) + i20 | 0;
    set32(32 * 4 | 0, i26 | 0);
    if ((i26 | 0) > (get32(42 * 4 | 0) | 0)) {
     set32(42 * 4 | 0, i26 | 0);
     i21 = i23;
    } else i21 = i23;
   } else i21 = 0; while (0);
   set32(i16 | 0, i21 | 0);
   i27 = i21;
  } else i27 = i17;
  set32(i3 | 0, _sqlite3PagerWrite(get32(i14 + 68 | 0) | 0) | 0 | 0);
  _insertCell(i10, i15, i8 + (i12 + -4) | 0, i4 + 4 | 0, i27, i13, i3);
  _dropCell(i14, (getU16(i9 | 0) | 0) + -1 | 0, i4, i3);
  i4 = get32(i3 | 0) | 0;
  if (i4) {
   i11 = i4;
   STACKTOP = i2;
   return i11 | 0;
  }
 }
 i4 = _balance(i1) | 0;
 set32(i3 | 0, i4 | 0);
 if (i4) {
  i11 = i4;
  STACKTOP = i2;
  return i11 | 0;
 }
 i4 = get16(i6 | 0) | 0;
 if (i4 << 16 >> 16 > i7 << 16 >> 16) {
  i9 = i4;
  while (1) {
   i4 = i9 + -1 << 16 >> 16;
   set16(i6 | 0, i4 | 0);
   i14 = get32(i1 + 132 + (i9 << 16 >> 16 << 2) | 0) | 0;
   if (!i14) i28 = i4; else {
    _sqlite3PagerUnref(get32(i14 + 68 | 0) | 0);
    i28 = get16(i6 | 0) | 0;
   }
   if (i28 << 16 >> 16 > i7 << 16 >> 16) i9 = i28; else break;
  }
  i28 = _balance(i1) | 0;
  set32(i3 | 0, i28 | 0);
  if (i28) {
   i11 = i28;
   STACKTOP = i2;
   return i11 | 0;
  }
 }
 _moveToRoot(i1) | 0;
 i11 = 0;
 STACKTOP = i2;
 return i11 | 0;
}

function _bestOrClauseIndex(i1, i2, i3, i4, i5, i6, i7, i8, i9) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 i7 = i7 | 0;
 i8 = i8 | 0;
 i9 = i9 | 0;
 var i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, d39 = 0.0, i40 = 0, d41 = 0.0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, d49 = 0.0, d50 = 0.0, i51 = 0, d52 = 0.0, d53 = 0.0, i54 = 0, i55 = 0, d56 = 0.0, d57 = 0.0, d58 = 0.0, d59 = 0.0;
 i10 = STACKTOP;
 STACKTOP = STACKTOP + 400 | 0;
 i11 = i10 + 392 | 0;
 i12 = i10 + 352 | 0;
 i13 = i10;
 i14 = get32(i3 + 24 | 0) | 0;
 i15 = i2 + 4 | 0;
 i16 = get32(i15 | 0) | 0;
 i17 = get32(i16 | 0) | 0;
 L1 : do if ((i17 | 0) > 0) {
  i18 = 0;
  while (1) {
   if ((get32(i16 + 4 + (i18 << 2) | 0) | 0) == (i14 | 0)) {
    i19 = i18;
    break;
   }
   i18 = i18 + 1 | 0;
   if ((i18 | 0) >= (i17 | 0)) {
    i20 = 0;
    i21 = 0;
    break L1;
   }
  }
  i18 = _bitshift64Shl(1, 0, i19 | 0) | 0;
  i20 = i18;
  i21 = tempRet0;
 } else {
  i20 = 0;
  i21 = 0;
 } while (0);
 i19 = get32(i2 + 20 | 0) | 0;
 i17 = get32(i2 + 28 | 0) | 0;
 i16 = i17 + (i19 * 40 | 0) | 0;
 if (get8(i3 + 22 >> 0 | 0) | 0) {
  STACKTOP = i10;
  return;
 }
 if (!((get32(i3 + 52 | 0) | 0) == 0 & (i19 | 0) > 0)) {
  STACKTOP = i10;
  return;
 }
 i19 = ~i20 & i4;
 i18 = ~i21 & i5;
 i22 = (i8 | 0) == 0;
 i8 = i9 + 24 | 0;
 i23 = i9 + 32 | 0;
 i24 = i9 + 8 | 0;
 i25 = i9 + 16 | 0;
 i26 = i3 + 12 | 0;
 i27 = i12 + 24 | 0;
 i28 = i12 + 8 | 0;
 i29 = i12 + 32 | 0;
 i30 = i13 + 4 | 0;
 i31 = i13 + 16 | 0;
 i32 = i13 + 28 | 0;
 i33 = i13 + 20 | 0;
 i34 = i17;
 do {
  if (((get16(i34 + 16 | 0) | 0) == 256 ? (i17 = i34 + 32 | 0, (i19 & get32(i17 | 0) | 0) == 0 ? (i18 & get32(i17 + 4 | 0) | 0) == 0 : 0) : 0) ? (i17 = get32(i34 + 12 | 0) | 0, i35 = i17 + 352 | 0, !((get32(i35 | 0) & i20 | 0) == 0 ? (get32(i35 + 4 | 0) & i21 | 0) == 0 : 0)) : 0) {
   i35 = get32(i17 + 20 | 0) | 0;
   i36 = get32(i17 + 28 | 0) | 0;
   i17 = i36 + (i35 * 40 | 0) | 0;
   L19 : do if ((i35 | 0) > 0) {
    i37 = 0;
    i38 = 0;
    d39 = 0.0;
    i40 = i36;
    d41 = 0.0;
    while (1) {
     do if ((get16(i40 + 16 | 0) | 0) == 512) {
      i42 = get32(i40 + 12 | 0) | 0;
      if (!(get8((get32(i26 | 0) | 0) + 34 >> 0 | 0) & 16)) _bestBtreeIndex(i1, i42, i3, i4, i5, i6, i7, 0, i12); else {
       set32(i11 | 0, 0 | 0);
       _bestVirtualIndex(i1, i42, i3, i4, i5, i6, i7, 0, i12, i11);
       i42 = get32(i11 | 0) | 0;
       do if ((get32(i42 + 28 | 0) | 0) != 0 ? (i43 = get32(i42 + 24 | 0) | 0, (i43 | 0) != 0) : 0) {
        if (!(get32(50 * 4 | 0) | 0)) {
         FUNCTION_TABLE_vi[get32(232 | 0) & 31](i43);
         break;
        }
        i44 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i43) | 0;
        i45 = (get32(30 * 4 | 0) | 0) - i44 | 0;
        set32(30 * 4 | 0, i45 | 0);
        if ((i45 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i45 | 0);
        i45 = (get32(39 * 4 | 0) | 0) + -1 | 0;
        set32(39 * 4 | 0, i45 | 0);
        if ((i45 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i45 | 0);
        FUNCTION_TABLE_vi[get32(232 | 0) & 31](i43);
       } while (0);
       _sqlite3DbFree(get32(i1 | 0) | 0, i42);
      }
      i46 = 41;
     } else {
      if ((get32(i40 + 8 | 0) | 0) != (i14 | 0)) {
       i47 = i37;
       i48 = i38;
       d49 = d39;
       d50 = d41;
       break;
      }
      set32(i13 | 0, get32(i2 | 0) | 0);
      set32(i30 | 0, get32(i15 | 0) | 0);
      set8(i31 >> 0 | 0, 69 | 0);
      set32(i32 | 0, i40 | 0);
      set32(i33 | 0, 1 | 0);
      if (!(get8((get32(i26 | 0) | 0) + 34 >> 0 | 0) & 16)) _bestBtreeIndex(i1, i13, i3, i4, i5, i6, i7, 0, i12); else {
       set32(i11 | 0, 0 | 0);
       _bestVirtualIndex(i1, i13, i3, i4, i5, i6, i7, 0, i12, i11);
       i43 = get32(i11 | 0) | 0;
       do if ((get32(i43 + 28 | 0) | 0) != 0 ? (i45 = get32(i43 + 24 | 0) | 0, (i45 | 0) != 0) : 0) {
        if (!(get32(50 * 4 | 0) | 0)) {
         FUNCTION_TABLE_vi[get32(232 | 0) & 31](i45);
         break;
        }
        i44 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i45) | 0;
        i51 = (get32(30 * 4 | 0) | 0) - i44 | 0;
        set32(30 * 4 | 0, i51 | 0);
        if ((i51 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i51 | 0);
        i51 = (get32(39 * 4 | 0) | 0) + -1 | 0;
        set32(39 * 4 | 0, i51 | 0);
        if ((i51 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i51 | 0);
        FUNCTION_TABLE_vi[get32(232 | 0) & 31](i45);
       } while (0);
       _sqlite3DbFree(get32(i1 | 0) | 0, i43);
      }
      i46 = 41;
     } while (0);
     if ((i46 | 0) == 41) {
      i46 = 0;
      d52 = d41 + +getF64(i27 | 0);
      d53 = d39 + +getF64(i28 | 0);
      i42 = i29;
      i45 = get32(i42 | 0) | i37;
      i51 = get32(i42 + 4 | 0) | i38;
      if (!(d52 >= +getF64(i8 | 0))) {
       i47 = i45;
       i48 = i51;
       d49 = d53;
       d50 = d52;
      } else {
       i54 = i45;
       i55 = i51;
       d56 = d53;
       d57 = d52;
       break L19;
      }
     }
     i40 = i40 + 40 | 0;
     if (i40 >>> 0 >= i17 >>> 0) {
      i54 = i47;
      i55 = i48;
      d56 = d49;
      d57 = d50;
      break;
     } else {
      i37 = i47;
      i38 = i48;
      d39 = d49;
      d41 = d50;
     }
    }
   } else {
    i54 = 0;
    i55 = 0;
    d56 = 0.0;
    d57 = 0.0;
   } while (0);
   if (i22) d58 = d57; else {
    if (d56 > 10.0) {
     d41 = 1.0;
     d39 = 10.0;
     while (1) {
      d52 = d41 + 1.0;
      d39 = d39 * 10.0;
      if (!(d39 < d56)) {
       d59 = d52;
       break;
      } else d41 = d52;
     }
    } else d59 = 1.0;
    d58 = d57 + d56 * d59;
   }
   if (d58 < +getF64(i8 | 0)) {
    setF64(i8 | 0, +d58);
    i17 = i23;
    set32(i17 | 0, i54 | 0);
    set32(i17 + 4 | 0, i55 | 0);
    setF64(i24 | 0, +d56);
    set32(i9 | 0, 268435456 | 0);
    set32(i25 | 0, i34 | 0);
   }
  }
  i34 = i34 + 40 | 0;
 } while (i34 >>> 0 < i16 >>> 0);
 STACKTOP = i10;
 return;
}

function _sqlite3BtreeCreateTable(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 48 | 0;
 i5 = i4;
 i6 = i4 + 32 | 0;
 i7 = i4 + 28 | 0;
 i8 = i4 + 24 | 0;
 i9 = i4 + 20 | 0;
 i10 = i4 + 16 | 0;
 i11 = i4 + 12 | 0;
 i12 = i4 + 36 | 0;
 i13 = i4 + 8 | 0;
 i14 = get32(i1 | 0) | 0;
 i15 = i1 + 4 | 0;
 i16 = get32(i15 | 0) | 0;
 set32(i16 + 4 | 0, i14 | 0);
 do if (!(get8(i16 + 21 >> 0 | 0) | 0)) {
  i17 = _allocateBtreePage(i16, i7, i8, 1, 0) | 0;
  set32(i9 | 0, i17 | 0);
  if (!i17) {
   i18 = get32(i7 | 0) | 0;
   break;
  } else {
   i19 = i17;
   STACKTOP = i4;
   return i19 | 0;
  }
 } else {
  i17 = get32(i16 + 8 | 0) | 0;
  if (!i17) {
   i20 = i16;
   i21 = i14;
  } else {
   i22 = i17;
   do {
    i17 = i22 + 84 | 0;
    i23 = get32(i17 | 0) | 0;
    do if (i23) {
     if (!(get32(50 * 4 | 0) | 0)) {
      FUNCTION_TABLE_vi[get32(232 | 0) & 31](i23);
      break;
     }
     i24 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i23) | 0;
     i25 = (get32(30 * 4 | 0) | 0) - i24 | 0;
     set32(30 * 4 | 0, i25 | 0);
     if ((i25 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i25 | 0);
     i25 = (get32(39 * 4 | 0) | 0) + -1 | 0;
     set32(39 * 4 | 0, i25 | 0);
     if ((i25 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i25 | 0);
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i23);
    } while (0);
    set32(i17 | 0, 0 | 0);
    i22 = get32(i22 + 8 | 0) | 0;
   } while ((i22 | 0) != 0);
   i20 = get32(i15 | 0) | 0;
   i21 = get32(i1 | 0) | 0;
  }
  set32(i20 + 4 | 0, i21 | 0);
  i22 = get32((get32(i20 + 12 | 0) | 0) + 64 | 0) | 0;
  i23 = getU8(i22 + 53 >> 0 | 0) << 16 | getU8(i22 + 52 >> 0 | 0) << 24 | getU8(i22 + 54 >> 0 | 0) << 8 | getU8(i22 + 55 >> 0 | 0);
  set32(i8 | 0, i23 | 0);
  i22 = ((get32(199 * 4 | 0) | 0) >>> 0) / ((get32(i16 + 36 | 0) | 0) >>> 0) | 0;
  i25 = i16 + 40 | 0;
  i24 = i23;
  while (1) {
   i23 = i24 + 1 | 0;
   if (i23 >>> 0 < 2) i26 = 0; else {
    i27 = i24 + -1 | 0;
    i28 = i27 - ((i27 >>> 0) % (((((get32(i25 | 0) | 0) >>> 0) / 5 | 0) + 1 | 0) >>> 0) | 0) | 0;
    i26 = ((i28 + 1 | 0) == (i22 | 0) ? 3 : 2) + i28 | 0;
   }
   if ((i24 | 0) == (i22 | 0) | (i23 | 0) == (i26 | 0)) i24 = i23; else {
    i29 = i23;
    i30 = i24;
    break;
   }
  }
  set32(i8 | 0, i29 | 0);
  i24 = _allocateBtreePage(i16, i11, i10, i29, 1) | 0;
  set32(i9 | 0, i24 | 0);
  if (i24) {
   i19 = i24;
   STACKTOP = i4;
   return i19 | 0;
  }
  i24 = get32(i10 | 0) | 0;
  do if ((i24 | 0) == (i29 | 0)) {
   i22 = get32(i11 | 0) | 0;
   set32(i7 | 0, i22 | 0);
   i31 = i22;
  } else {
   set8(i12 >> 0 | 0, 0 | 0);
   set32(i13 | 0, 0 | 0);
   i22 = get32(i11 | 0) | 0;
   if (i22) _sqlite3PagerUnref(get32(i22 + 68 | 0) | 0);
   i22 = _sqlite3PagerAcquire(get32(i16 | 0) | 0, i29, i6, 0) | 0;
   if (i22) {
    set32(i9 | 0, i22 | 0);
    i19 = i22;
    STACKTOP = i4;
    return i19 | 0;
   }
   i22 = get32(i6 | 0) | 0;
   i25 = get32(i22 + 4 | 0) | 0;
   set32(i25 + 64 | 0, get32(i22 | 0) | 0);
   i23 = i25 + 68 | 0;
   set32(i23 | 0, i22 | 0);
   set32(i25 + 60 | 0, i16 | 0);
   set32(i25 + 72 | 0, i29 | 0);
   i22 = (i30 | 0) == 0 ? 100 : 0;
   set8(i25 + 5 >> 0 | 0, i22 | 0);
   set32(i7 | 0, i25 | 0);
   i28 = _ptrmapGet(i16, i29, i12, i13) | 0;
   set32(i9 | 0, i28 | 0);
   i27 = get8(i12 >> 0 | 0) | 0;
   if ((i27 + -1 & 255) >= 2) if (!i28) {
    i32 = _relocatePage(i16, i25, i27, get32(i13 | 0) | 0, i24, 0) | 0;
    set32(i9 | 0, i32 | 0);
    if (i25) _sqlite3PagerUnref(get32(i23 | 0) | 0);
    if (i32) {
     i19 = i32;
     STACKTOP = i4;
     return i19 | 0;
    }
    i32 = _sqlite3PagerAcquire(get32(i16 | 0) | 0, i29, i6, 0) | 0;
    if (i32) {
     set32(i9 | 0, i32 | 0);
     i19 = i32;
     STACKTOP = i4;
     return i19 | 0;
    }
    i32 = get32(i6 | 0) | 0;
    i27 = get32(i32 + 4 | 0) | 0;
    set32(i27 + 64 | 0, get32(i32 | 0) | 0);
    i33 = i27 + 68 | 0;
    set32(i33 | 0, i32 | 0);
    set32(i27 + 60 | 0, i16 | 0);
    set32(i27 + 72 | 0, i29 | 0);
    set8(i27 + 5 >> 0 | 0, i22 | 0);
    set32(i7 | 0, i27 | 0);
    i22 = _sqlite3PagerWrite(i32) | 0;
    set32(i9 | 0, i22 | 0);
    if (!i22) {
     i31 = i27;
     break;
    }
    if (!i27) {
     i19 = i22;
     STACKTOP = i4;
     return i19 | 0;
    }
    _sqlite3PagerUnref(get32(i33 | 0) | 0);
    i19 = i22;
    STACKTOP = i4;
    return i19 | 0;
   } else i34 = i28; else {
    set32(i5 | 0, 54520 | 0);
    set32(i5 + 4 | 0, 17203 | 0);
    _sqlite3_log(11, 19615, i5);
    set32(i9 | 0, 11 | 0);
    i34 = 11;
   }
   if (!i25) {
    i19 = i34;
    STACKTOP = i4;
    return i19 | 0;
   }
   _sqlite3PagerUnref(get32(i23 | 0) | 0);
   i19 = i34;
   STACKTOP = i4;
   return i19 | 0;
  } while (0);
  _ptrmapPut(i16, i29, 1, 0, i9);
  i24 = get32(i9 | 0) | 0;
  if (i24) {
   if (!i31) {
    i19 = i24;
    STACKTOP = i4;
    return i19 | 0;
   }
   _sqlite3PagerUnref(get32(i31 + 68 | 0) | 0);
   i19 = i24;
   STACKTOP = i4;
   return i19 | 0;
  }
  i24 = get32(i15 | 0) | 0;
  set32(i24 + 4 | 0, get32(i1 | 0) | 0);
  i23 = get32(i24 + 12 | 0) | 0;
  i24 = get32(i23 + 64 | 0) | 0;
  i25 = _sqlite3PagerWrite(get32(i23 + 68 | 0) | 0) | 0;
  if (!i25) {
   set8(i24 + 52 >> 0 | 0, i29 >>> 24 | 0);
   set8(i24 + 53 >> 0 | 0, i29 >>> 16 | 0);
   set8(i24 + 54 >> 0 | 0, i29 >>> 8 | 0);
   set8(i24 + 55 >> 0 | 0, i29 | 0);
   set32(i9 | 0, 0 | 0);
   i18 = i31;
   break;
  }
  set32(i9 | 0, i25 | 0);
  if (!i31) {
   i19 = i25;
   STACKTOP = i4;
   return i19 | 0;
  }
  _sqlite3PagerUnref(get32(i31 + 68 | 0) | 0);
  i19 = i25;
  STACKTOP = i4;
  return i19 | 0;
 } while (0);
 _zeroPage(i18, (i3 & 1 | 0) == 0 ? 10 : 13);
 _sqlite3PagerUnref(get32((get32(i7 | 0) | 0) + 68 | 0) | 0);
 set32(i2 | 0, get32(i8 | 0) | 0);
 i19 = 0;
 STACKTOP = i4;
 return i19 | 0;
}

function _sqlite3VdbeMemGrow(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0;
 i4 = (i2 | 0) < 32 ? 32 : i2;
 i2 = get32(i1 | 0) | 0;
 i5 = i1 + 36 | 0;
 i6 = get32(i5 | 0) | 0;
 if ((!((i2 | 0) == 0 | (i6 | 0) == 0) ? (get32(i2 + 260 | 0) | 0) >>> 0 <= i6 >>> 0 : 0) ? (get32(i2 + 264 | 0) | 0) >>> 0 > i6 >>> 0 : 0) i7 = getU16(i2 + 232 | 0) | 0; else i7 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i6) | 0;
 do if ((i7 | 0) < (i4 | 0)) {
  if (i3) {
   i6 = i1 + 4 | 0;
   i2 = get32(i6 | 0) | 0;
   i8 = get32(i5 | 0) | 0;
   if ((i2 | 0) == (i8 | 0)) {
    i9 = get32(i1 | 0) | 0;
    i10 = _sqlite3DbRealloc(i9, i2, i4) | 0;
    if (!i10) _sqlite3DbFree(i9, i2);
    set32(i5 | 0, i10 | 0);
    set32(i6 | 0, i10 | 0);
    i11 = i6;
    break;
   } else i12 = i8;
  } else i12 = get32(i5 | 0) | 0;
  _sqlite3DbFree(get32(i1 | 0) | 0, i12);
  i8 = get32(i1 | 0) | 0;
  L18 : do if (!i8) if ((i4 + -1 | 0) >>> 0 <= 2147483390) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i13 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i4) | 0;
    break;
   }
   i6 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i4) | 0;
   set32(35 * 4 | 0, i4 | 0);
   if ((get32(45 * 4 | 0) | 0) < (i4 | 0)) set32(45 * 4 | 0, i4 | 0);
   i10 = get32(6 * 4 | 0) | 0;
   do if (i10) {
    i2 = get32(30 * 4 | 0) | 0;
    i9 = ((i2 | 0) < 0) << 31 >> 31;
    i14 = 16;
    i15 = _i64Subtract(get32(i14 | 0) | 0, get32(i14 + 4 | 0) | 0, i6 | 0, ((i6 | 0) < 0) << 31 >> 31 | 0) | 0;
    i14 = tempRet0;
    if ((i9 | 0) < (i14 | 0) | (i9 | 0) == (i14 | 0) & i2 >>> 0 < i15 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i15 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i10 & 15](i15, i2, i9, i6);
     set32(6 * 4 | 0, i10 | 0);
     set32(7 * 4 | 0, i15 | 0);
     break;
    }
   } while (0);
   i10 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i6) | 0;
   if (i10) {
    i15 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i10) | 0;
    i9 = (get32(30 * 4 | 0) | 0) + i15 | 0;
    set32(30 * 4 | 0, i9 | 0);
    if ((i9 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i9 | 0);
    i9 = get32(39 * 4 | 0) | 0;
    i15 = i9 + 1 | 0;
    set32(39 * 4 | 0, i15 | 0);
    if ((i9 | 0) < (get32(49 * 4 | 0) | 0)) i13 = i10; else {
     set32(49 * 4 | 0, i15 | 0);
     i13 = i10;
    }
   } else i13 = 0;
  } else i13 = 0; else {
   i10 = i8 + 30 | 0;
   if (!(get8(i10 >> 0 | 0) | 0)) {
    do if (get8(i8 + 234 >> 0 | 0) | 0) {
     if ((getU16(i8 + 232 | 0) | 0) < (i4 | 0)) {
      i15 = i8 + 248 | 0;
      set32(i15 | 0, (get32(i15 | 0) | 0) + 1 | 0);
      break;
     }
     i15 = i8 + 256 | 0;
     i9 = get32(i15 | 0) | 0;
     if (!i9) {
      i2 = i8 + 252 | 0;
      set32(i2 | 0, (get32(i2 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i15 | 0, get32(i9 | 0) | 0);
     i15 = i8 + 236 | 0;
     i2 = get32(i15 | 0) | 0;
     i14 = i2 + 1 | 0;
     set32(i15 | 0, i14 | 0);
     i15 = i8 + 244 | 0;
     set32(i15 | 0, (get32(i15 | 0) | 0) + 1 | 0);
     i15 = i8 + 240 | 0;
     if ((i2 | 0) >= (get32(i15 | 0) | 0)) set32(i15 | 0, i14 | 0);
     i13 = i9;
     break L18;
    } while (0);
    do if ((i4 + -1 | 0) >>> 0 <= 2147483390) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i6 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i4) | 0;
      if (!i6) break; else {
       i13 = i6;
       break L18;
      }
     }
     i6 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i4) | 0;
     set32(35 * 4 | 0, i4 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i4 | 0)) set32(45 * 4 | 0, i4 | 0);
     i9 = get32(6 * 4 | 0) | 0;
     do if (i9) {
      i14 = get32(30 * 4 | 0) | 0;
      i15 = ((i14 | 0) < 0) << 31 >> 31;
      i2 = 16;
      i16 = _i64Subtract(get32(i2 | 0) | 0, get32(i2 + 4 | 0) | 0, i6 | 0, ((i6 | 0) < 0) << 31 >> 31 | 0) | 0;
      i2 = tempRet0;
      if ((i15 | 0) < (i2 | 0) | (i15 | 0) == (i2 | 0) & i14 >>> 0 < i16 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i16 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i9 & 15](i16, i14, i15, i6);
       set32(6 * 4 | 0, i9 | 0);
       set32(7 * 4 | 0, i16 | 0);
       break;
      }
     } while (0);
     i9 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i6) | 0;
     if (i9) {
      i16 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i9) | 0;
      i15 = (get32(30 * 4 | 0) | 0) + i16 | 0;
      set32(30 * 4 | 0, i15 | 0);
      if ((i15 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i15 | 0);
      i15 = get32(39 * 4 | 0) | 0;
      i16 = i15 + 1 | 0;
      set32(39 * 4 | 0, i16 | 0);
      if ((i15 | 0) < (get32(49 * 4 | 0) | 0)) {
       i13 = i9;
       break L18;
      }
      set32(49 * 4 | 0, i16 | 0);
      i13 = i9;
      break L18;
     }
    } while (0);
    set8(i10 >> 0 | 0, 1 | 0);
    i13 = 0;
   } else i13 = 0;
  } while (0);
  set32(i5 | 0, i13 | 0);
  i17 = 53;
 } else i17 = 53; while (0);
 if ((i17 | 0) == 53) {
  i17 = i1 + 4 | 0;
  i13 = get32(i17 | 0) | 0;
  if ((i3 | 0) != 0 & (i13 | 0) != 0 ? (i3 = get32(i5 | 0) | 0, !((i3 | 0) == 0 | (i13 | 0) == (i3 | 0))) : 0) {
   _memcpy(i3 | 0, i13 | 0, get32(i1 + 24 | 0) | 0) | 0;
   i11 = i17;
  } else i11 = i17;
 }
 i17 = i1 + 28 | 0;
 if ((get16(i17 | 0) & 1024) != 0 ? (i13 = get32(i1 + 32 | 0) | 0, (i13 | 0) != 0) : 0) FUNCTION_TABLE_vi[i13 & 31](get32(i11 | 0) | 0);
 i13 = get32(i5 | 0) | 0;
 set32(i11 | 0, i13 | 0);
 if (!i13) {
  i18 = 1;
  set16(i17 | 0, i18 | 0);
  i19 = i1 + 32 | 0;
  set32(i19 | 0, 0 | 0);
  i20 = get32(i11 | 0) | 0;
  i21 = (i20 | 0) != 0;
  i22 = i21 ? 0 : 7;
  return i22 | 0;
 }
 i18 = getU16(i17 | 0) & 59391;
 set16(i17 | 0, i18 | 0);
 i19 = i1 + 32 | 0;
 set32(i19 | 0, 0 | 0);
 i20 = get32(i11 | 0) | 0;
 i21 = (i20 | 0) != 0;
 i22 = i21 ? 0 : 7;
 return i22 | 0;
}

function _resolveExprStep(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 64 | 0;
 i4 = i3 + 56 | 0;
 i5 = i3 + 48 | 0;
 i6 = i3 + 40 | 0;
 i7 = i3 + 32 | 0;
 i8 = i3 + 24 | 0;
 i9 = i3 + 16 | 0;
 i10 = i3 + 8 | 0;
 i11 = i3;
 i12 = get32(i1 + 12 | 0) | 0;
 i13 = get32(i12 | 0) | 0;
 i14 = i2 + 2 | 0;
 i15 = getU16(i14 | 0) | 0;
 if (i15 & 4) {
  i16 = 1;
  STACKTOP = i3;
  return i16 | 0;
 }
 i17 = (i15 | 4) & 65535;
 set16(i14 | 0, i17 | 0);
 switch (getU8(i2 >> 0 | 0) | 0) {
 case 26:
  {
   i16 = _lookupName(i13, 0, 0, get32(i2 + 4 | 0) | 0, i12, i2) | 0;
   STACKTOP = i3;
   return i16 | 0;
  }
 case 118:
  {
   i15 = get32(i2 + 12 | 0) | 0;
   if ((get8(i15 >> 0 | 0) | 0) == 26) {
    i18 = i15;
    i19 = i2;
    i20 = 0;
   } else {
    i18 = get32(i15 + 12 | 0) | 0;
    i19 = i15;
    i20 = get32((get32(i2 + 8 | 0) | 0) + 4 | 0) | 0;
   }
   i16 = _lookupName(i13, i20, get32((get32(i19 + 8 | 0) | 0) + 4 | 0) | 0, get32(i18 + 4 | 0) | 0, i12, i2) | 0;
   STACKTOP = i3;
   return i16 | 0;
  }
 case 151:
 case 155:
  {
   i18 = get32(i2 + 16 | 0) | 0;
   i19 = (i18 | 0) == 0;
   if (i19) i21 = 0; else i21 = get32(i18 | 0) | 0;
   i20 = get32(i13 | 0) | 0;
   i15 = get8((get32((get32(i20 + 8 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0) | 0;
   i22 = get32(i2 + 4 | 0) | 0;
   if (!i22) i23 = 0; else {
    i24 = i22;
    while (1) if (!(get8(i24 >> 0 | 0) | 0)) {
     i25 = i24;
     break;
    } else i24 = i24 + 1 | 0;
    i23 = i25 - i22 & 1073741823;
   }
   i25 = _sqlite3FindFunction(i20, i22, i23, i21, i15, 0) | 0;
   if (!i25) {
    i21 = _sqlite3FindFunction(get32(i13 | 0) | 0, i22, i23, -1, i15, 0) | 0;
    i15 = (i21 | 0) == 0;
    i20 = i15 & 1;
    i24 = i20 ^ 1;
    if (i15) {
     i26 = 0;
     i27 = i20;
     i28 = i24;
     i29 = 26;
    } else {
     i30 = 0;
     i31 = i20;
     i32 = i21;
     i33 = i24;
     i29 = 15;
    }
   } else {
    i30 = (get32(i25 + 12 | 0) | 0) == 0 & 1;
    i31 = 0;
    i32 = i25;
    i33 = 0;
    i29 = 15;
   }
   if ((i29 | 0) == 15) {
    i25 = i32 + 24 | 0;
    i32 = get32(i25 | 0) | 0;
    i24 = get32(i13 | 0) | 0;
    L26 : do if (((get8(i24 + 124 >> 0 | 0) | 0) == 0 ? (get8(i13 + 528 >> 0 | 0) | 0) == 0 : 0) ? (i21 = get32(i24 + 268 | 0) | 0, (i21 | 0) != 0) : 0) {
     switch (FUNCTION_TABLE_iiiiiii[i21 & 3](get32(i24 + 272 | 0) | 0, 31, 0, i32, 0, get32(i13 + 516 | 0) | 0) | 0) {
     case 0:
      {
       break L26;
       break;
      }
     case 1:
      {
       _sqlite3ErrorMsg(i13, 26149, i11);
       set32(i13 + 4 | 0, 23 | 0);
       i29 = 21;
       break;
      }
     case 2:
      break;
     default:
      {
       _sqlite3ErrorMsg(i13, 29155, i10);
       set32(i13 + 4 | 0, 1 | 0);
       i29 = 21;
      }
     }
     if ((i29 | 0) == 21) {
      set32(i9 | 0, get32(i25 | 0) | 0);
      _sqlite3ErrorMsg(i13, 29633, i9);
      i21 = i12 + 16 | 0;
      set32(i21 | 0, (get32(i21 | 0) | 0) + 1 | 0);
     }
     set8(i2 >> 0 | 0, 98 | 0);
     i16 = 1;
     STACKTOP = i3;
     return i16 | 0;
    } while (0);
    if (i30) if (!(get8(i12 + 20 >> 0 | 0) | 0)) {
     set32(i8 | 0, i23 | 0);
     set32(i8 + 4 | 0, i22 | 0);
     _sqlite3ErrorMsg(i13, 29668, i8);
     i8 = i12 + 16 | 0;
     set32(i8 | 0, (get32(i8 | 0) | 0) + 1 | 0);
    } else {
     i26 = i30;
     i27 = i31;
     i28 = i33;
     i29 = 26;
    } else {
     i26 = 0;
     i27 = i31;
     i28 = i33;
     i29 = 26;
    }
   }
   if ((i29 | 0) == 26) {
    if (!i27) {
     if (i28) {
      set32(i6 | 0, i23 | 0);
      set32(i6 + 4 | 0, i22 | 0);
      _sqlite3ErrorMsg(i13, 29727, i6);
      i6 = i12 + 16 | 0;
      set32(i6 | 0, (get32(i6 | 0) | 0) + 1 | 0);
     }
    } else {
     set32(i7 | 0, i23 | 0);
     set32(i7 + 4 | 0, i22 | 0);
     _sqlite3ErrorMsg(i13, 29704, i7);
     i7 = i12 + 16 | 0;
     set32(i7 | 0, (get32(i7 | 0) | 0) + 1 | 0);
    }
    if (i26) {
     set8(i2 >> 0 | 0, -103 | 0);
     set8(i12 + 21 >> 0 | 0, 1 | 0);
     i26 = i12 + 20 | 0;
     set8(i26 >> 0 | 0, 0 | 0);
     L48 : do if (!i19 ? (i7 = get32(i18 | 0) | 0, (i7 | 0) > 0) : 0) {
      i22 = i7;
      i7 = get32(i18 + 12 | 0) | 0;
      while (1) {
       if (_sqlite3WalkExpr(i1, get32(i7 | 0) | 0) | 0) break L48;
       if ((i22 | 0) > 1) {
        i22 = i22 + -1 | 0;
        i7 = i7 + 20 | 0;
       } else break;
      }
     } while (0);
     set8(i26 >> 0 | 0, 1 | 0);
     i16 = 1;
     STACKTOP = i3;
     return i16 | 0;
    }
   }
   if (i19) {
    i16 = 1;
    STACKTOP = i3;
    return i16 | 0;
   }
   i19 = get32(i18 | 0) | 0;
   if ((i19 | 0) <= 0) {
    i16 = 1;
    STACKTOP = i3;
    return i16 | 0;
   }
   i26 = i19;
   i19 = get32(i18 + 12 | 0) | 0;
   while (1) {
    if (_sqlite3WalkExpr(i1, get32(i19 | 0) | 0) | 0) {
     i16 = 1;
     i29 = 51;
     break;
    }
    if ((i26 | 0) > 1) {
     i26 = i26 + -1 | 0;
     i19 = i19 + 20 | 0;
    } else {
     i16 = 1;
     i29 = 51;
     break;
    }
   }
   if ((i29 | 0) == 51) {
    STACKTOP = i3;
    return i16 | 0;
   }
   break;
  }
 case 72:
 case 20:
 case 116:
  {
   if (i17 & 2048) {
    i17 = i12 + 12 | 0;
    i29 = get32(i17 | 0) | 0;
    if (get8(i12 + 22 >> 0 | 0) | 0) _sqlite3ErrorMsg(i13, 29772, i5);
    _sqlite3WalkSelect(i1, get32(i2 + 16 | 0) | 0) | 0;
    if ((i29 | 0) != (get32(i17 | 0) | 0)) set16(i14 | 0, getU16(i14 | 0) | 32 | 0);
   }
   break;
  }
 case 133:
  {
   if (get8(i12 + 22 >> 0 | 0) | 0) _sqlite3ErrorMsg(i13, 29815, i4);
   break;
  }
 default:
  {}
 }
 if (get32(i13 + 64 | 0) | 0) {
  i16 = 2;
  STACKTOP = i3;
  return i16 | 0;
 }
 i16 = (get8((get32(i13 | 0) | 0) + 30 >> 0 | 0) | 0) != 0 ? 2 : 0;
 STACKTOP = i3;
 return i16 | 0;
}

function _sqlite3_vmprintf(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 384 | 0;
 i4 = i3 + 28 | 0;
 i5 = i3;
 if (_sqlite3_initialize() | 0) {
  i6 = 0;
  STACKTOP = i3;
  return i6 | 0;
 }
 i7 = i5 + 4 | 0;
 set32(i7 | 0, i4 | 0);
 i8 = i5 + 8 | 0;
 set32(i8 | 0, i4 | 0);
 set32(i5 | 0, 0 | 0);
 i4 = i5 + 12 | 0;
 set32(i4 | 0, 0 | 0);
 set32(i5 + 16 | 0, 350 | 0);
 set32(i5 + 20 | 0, 1e9 | 0);
 i9 = i5 + 25 | 0;
 set8(i5 + 26 >> 0 | 0, 0 | 0);
 i10 = i5 + 24 | 0;
 set8(i10 >> 0 | 0, 0 | 0);
 set8(i9 >> 0 | 0, 2 | 0);
 _sqlite3VXPrintf(i5, 0, i1, i2);
 i2 = get32(i8 | 0) | 0;
 if (!i2) {
  i6 = 0;
  STACKTOP = i3;
  return i6 | 0;
 }
 i1 = get32(i4 | 0) | 0;
 set8(i2 + i1 >> 0 | 0, 0 | 0);
 i4 = get8(i9 >> 0 | 0) | 0;
 if (!(i4 << 24 >> 24 != 0 ? (i2 | 0) == (get32(i7 | 0) | 0) : 0)) {
  i6 = i2;
  STACKTOP = i3;
  return i6 | 0;
 }
 L10 : do if (i4 << 24 >> 24 == 1) {
  i7 = get32(i5 | 0) | 0;
  i9 = i1 + 1 | 0;
  L12 : do if (!i7) if (i1 >>> 0 <= 2147483390) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i11 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i9) | 0;
    i12 = 47;
    break L10;
   }
   i13 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i9) | 0;
   set32(35 * 4 | 0, i9 | 0);
   if ((get32(45 * 4 | 0) | 0) < (i9 | 0)) set32(45 * 4 | 0, i9 | 0);
   i14 = get32(6 * 4 | 0) | 0;
   do if (i14) {
    i15 = get32(30 * 4 | 0) | 0;
    i16 = ((i15 | 0) < 0) << 31 >> 31;
    i17 = 16;
    i18 = _i64Subtract(get32(i17 | 0) | 0, get32(i17 + 4 | 0) | 0, i13 | 0, ((i13 | 0) < 0) << 31 >> 31 | 0) | 0;
    i17 = tempRet0;
    if ((i16 | 0) < (i17 | 0) | (i16 | 0) == (i17 | 0) & i15 >>> 0 < i18 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i18 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i14 & 15](i18, i15, i16, i13);
     set32(6 * 4 | 0, i14 | 0);
     set32(7 * 4 | 0, i18 | 0);
     break;
    }
   } while (0);
   i14 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i13) | 0;
   if (i14) {
    i18 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i14) | 0;
    i16 = (get32(30 * 4 | 0) | 0) + i18 | 0;
    set32(30 * 4 | 0, i16 | 0);
    if ((i16 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i16 | 0);
    i16 = get32(39 * 4 | 0) | 0;
    i18 = i16 + 1 | 0;
    set32(39 * 4 | 0, i18 | 0);
    if ((i16 | 0) < (get32(49 * 4 | 0) | 0)) {
     i19 = i14;
     i12 = 46;
    } else {
     set32(49 * 4 | 0, i18 | 0);
     i19 = i14;
     i12 = 46;
    }
   } else i12 = 45;
  } else i12 = 45; else {
   i14 = i7 + 30 | 0;
   if (!(get8(i14 >> 0 | 0) | 0)) {
    do if (get8(i7 + 234 >> 0 | 0) | 0) {
     if ((getU16(i7 + 232 | 0) | 0) < (i9 | 0)) {
      i18 = i7 + 248 | 0;
      set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
      break;
     }
     i18 = i7 + 256 | 0;
     i16 = get32(i18 | 0) | 0;
     if (!i16) {
      i15 = i7 + 252 | 0;
      set32(i15 | 0, (get32(i15 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i18 | 0, get32(i16 | 0) | 0);
     i18 = i7 + 236 | 0;
     i15 = get32(i18 | 0) | 0;
     i17 = i15 + 1 | 0;
     set32(i18 | 0, i17 | 0);
     i18 = i7 + 244 | 0;
     set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
     i18 = i7 + 240 | 0;
     if ((i15 | 0) >= (get32(i18 | 0) | 0)) set32(i18 | 0, i17 | 0);
     i11 = i16;
     i12 = 47;
     break L10;
    } while (0);
    do if (i1 >>> 0 <= 2147483390) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i13 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i9) | 0;
      if (!i13) break; else {
       i19 = i13;
       i12 = 46;
       break L12;
      }
     }
     i13 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i9) | 0;
     set32(35 * 4 | 0, i9 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i9 | 0)) set32(45 * 4 | 0, i9 | 0);
     i16 = get32(6 * 4 | 0) | 0;
     do if (i16) {
      i17 = get32(30 * 4 | 0) | 0;
      i18 = ((i17 | 0) < 0) << 31 >> 31;
      i15 = 16;
      i20 = _i64Subtract(get32(i15 | 0) | 0, get32(i15 + 4 | 0) | 0, i13 | 0, ((i13 | 0) < 0) << 31 >> 31 | 0) | 0;
      i15 = tempRet0;
      if ((i18 | 0) < (i15 | 0) | (i18 | 0) == (i15 | 0) & i17 >>> 0 < i20 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i20 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i16 & 15](i20, i17, i18, i13);
       set32(6 * 4 | 0, i16 | 0);
       set32(7 * 4 | 0, i20 | 0);
       break;
      }
     } while (0);
     i16 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i13) | 0;
     if (i16) {
      i20 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i16) | 0;
      i18 = (get32(30 * 4 | 0) | 0) + i20 | 0;
      set32(30 * 4 | 0, i18 | 0);
      if ((i18 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i18 | 0);
      i18 = get32(39 * 4 | 0) | 0;
      i20 = i18 + 1 | 0;
      set32(39 * 4 | 0, i20 | 0);
      if ((i18 | 0) < (get32(49 * 4 | 0) | 0)) {
       i19 = i16;
       i12 = 46;
       break L12;
      }
      set32(49 * 4 | 0, i20 | 0);
      i19 = i16;
      i12 = 46;
      break L12;
     }
    } while (0);
    set8(i14 >> 0 | 0, 1 | 0);
    i12 = 45;
   } else i12 = 45;
  } while (0);
  if ((i12 | 0) == 45) {
   set32(i8 | 0, 0 | 0);
   i12 = 50;
   break;
  } else if ((i12 | 0) == 46) {
   set32(i8 | 0, i19 | 0);
   i21 = i9;
   i22 = i19;
   i12 = 49;
   break;
  }
 } else {
  i11 = _sqlite3_malloc(i1 + 1 | 0) | 0;
  i12 = 47;
 } while (0);
 if ((i12 | 0) == 47) {
  set32(i8 | 0, i11 | 0);
  if (!i11) i12 = 50; else {
   i21 = i1 + 1 | 0;
   i22 = i11;
   i12 = 49;
  }
 }
 if ((i12 | 0) == 49) {
  _memcpy(i22 | 0, i2 | 0, i21 | 0) | 0;
  i6 = get32(i8 | 0) | 0;
  STACKTOP = i3;
  return i6 | 0;
 } else if ((i12 | 0) == 50) {
  set8(i10 >> 0 | 0, 1 | 0);
  i6 = 0;
  STACKTOP = i3;
  return i6 | 0;
 }
 return 0;
}

function _sqlite3_load_extension(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 48 | 0;
 i6 = i5 + 32 | 0;
 i7 = i5 + 24 | 0;
 i8 = i5 + 16 | 0;
 i9 = i5 + 8 | 0;
 i10 = i5;
 i11 = i5 + 36 | 0;
 i12 = get32(i1 | 0) | 0;
 set32(i11 | 0, 0 | 0);
 i13 = (i4 | 0) != 0;
 if (i13) set32(i4 | 0, 0 | 0);
 L4 : do if (!(get32(i1 + 12 | 0) & 536870912)) if (i13) {
  set32(i4 | 0, _sqlite3_mprintf(26149, i10) | 0 | 0);
  i14 = 1;
 } else i14 = 1; else {
  i15 = (i3 | 0) == 0 ? 26164 : i3;
  i16 = FUNCTION_TABLE_iii[get32(i12 + 40 | 0) & 127](i12, i2) | 0;
  if (!i16) {
   if (!i13) {
    i14 = 1;
    break;
   }
   i17 = _sqlite3_malloc(300) | 0;
   set32(i11 | 0, i17 | 0);
   set32(i4 | 0, i17 | 0);
   if (!i17) {
    i14 = 1;
    break;
   }
   set32(i9 | 0, i2 | 0);
   _sqlite3_snprintf(300, i17, 26187, i9) | 0;
   FUNCTION_TABLE_viii[get32(i12 + 44 | 0) & 63](i12, 299, i17);
   i14 = 1;
   break;
  }
  i17 = FUNCTION_TABLE_iiii[get32(i12 + 48 | 0) & 63](i12, i16, i15) | 0;
  if (!i17) {
   if (!i13) {
    i14 = 1;
    break;
   }
   i18 = _sqlite3_malloc(300) | 0;
   set32(i11 | 0, i18 | 0);
   set32(i4 | 0, i18 | 0);
   if (i18) {
    set32(i8 | 0, i15 | 0);
    set32(i8 + 4 | 0, i2 | 0);
    _sqlite3_snprintf(300, i18, 26222, i8) | 0;
    FUNCTION_TABLE_viii[get32(i12 + 44 | 0) & 63](i12, 299, i18);
   }
   FUNCTION_TABLE_vii[get32(i12 + 52 | 0) & 15](i12, i16);
   i14 = 1;
   break;
  }
  if (FUNCTION_TABLE_iiii[i17 & 63](i1, i11, 2148) | 0) {
   if (i13) {
    set32(i7 | 0, get32(i11 | 0) | 0);
    set32(i4 | 0, _sqlite3_mprintf(26265, i7) | 0 | 0);
   }
   i17 = get32(i11 | 0) | 0;
   do if (i17) {
    if (!(get32(50 * 4 | 0) | 0)) {
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i17);
     break;
    }
    i18 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i17) | 0;
    i15 = (get32(30 * 4 | 0) | 0) - i18 | 0;
    set32(30 * 4 | 0, i15 | 0);
    if ((i15 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i15 | 0);
    i15 = (get32(39 * 4 | 0) | 0) + -1 | 0;
    set32(39 * 4 | 0, i15 | 0);
    if ((i15 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i15 | 0);
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i17);
   } while (0);
   FUNCTION_TABLE_vii[get32(i12 + 52 | 0) & 15](i12, i16);
   i14 = 1;
   break;
  }
  i17 = i1 + 128 | 0;
  i15 = get32(i17 | 0) << 2;
  i18 = i15 + 4 | 0;
  i19 = i1 + 30 | 0;
  if (!(get8(i19 >> 0 | 0) | 0)) {
   do if (!(get8(i1 + 234 >> 0 | 0) | 0)) i20 = 35; else {
    if ((getU16(i1 + 232 | 0) | 0) < (i18 | 0)) {
     i21 = i1 + 248 | 0;
     set32(i21 | 0, (get32(i21 | 0) | 0) + 1 | 0);
     i20 = 35;
     break;
    }
    i21 = i1 + 256 | 0;
    i22 = get32(i21 | 0) | 0;
    if (!i22) {
     i23 = i1 + 252 | 0;
     set32(i23 | 0, (get32(i23 | 0) | 0) + 1 | 0);
     i20 = 35;
     break;
    }
    set32(i21 | 0, get32(i22 | 0) | 0);
    i21 = i1 + 236 | 0;
    i23 = get32(i21 | 0) | 0;
    i24 = i23 + 1 | 0;
    set32(i21 | 0, i24 | 0);
    i21 = i1 + 244 | 0;
    set32(i21 | 0, (get32(i21 | 0) | 0) + 1 | 0);
    i21 = i1 + 240 | 0;
    if ((i23 | 0) >= (get32(i21 | 0) | 0)) set32(i21 | 0, i24 | 0);
    i25 = i22;
   } while (0);
   L50 : do if ((i20 | 0) == 35) {
    do if ((i15 | 3) >>> 0 <= 2147483390) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i22 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i18) | 0;
      if (!i22) break; else {
       i25 = i22;
       break L50;
      }
     }
     i22 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i18) | 0;
     set32(35 * 4 | 0, i18 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i18 | 0)) set32(45 * 4 | 0, i18 | 0);
     i24 = get32(6 * 4 | 0) | 0;
     do if (i24) {
      i21 = get32(30 * 4 | 0) | 0;
      i23 = ((i21 | 0) < 0) << 31 >> 31;
      i26 = 16;
      i27 = _i64Subtract(get32(i26 | 0) | 0, get32(i26 + 4 | 0) | 0, i22 | 0, ((i22 | 0) < 0) << 31 >> 31 | 0) | 0;
      i26 = tempRet0;
      if ((i23 | 0) < (i26 | 0) | (i23 | 0) == (i26 | 0) & i21 >>> 0 < i27 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i27 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i24 & 15](i27, i21, i23, i22);
       set32(6 * 4 | 0, i24 | 0);
       set32(7 * 4 | 0, i27 | 0);
       break;
      }
     } while (0);
     i24 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i22) | 0;
     if (i24) {
      i27 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i24) | 0;
      i23 = (get32(30 * 4 | 0) | 0) + i27 | 0;
      set32(30 * 4 | 0, i23 | 0);
      if ((i23 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i23 | 0);
      i23 = get32(39 * 4 | 0) | 0;
      i27 = i23 + 1 | 0;
      set32(39 * 4 | 0, i27 | 0);
      if ((i23 | 0) < (get32(49 * 4 | 0) | 0)) {
       i25 = i24;
       break L50;
      }
      set32(49 * 4 | 0, i27 | 0);
      i25 = i24;
      break L50;
     }
    } while (0);
    set8(i19 >> 0 | 0, 1 | 0);
    i14 = 7;
    break L4;
   } while (0);
   _memset(i25 | 0, 0, i18 | 0) | 0;
   i19 = get32(i17 | 0) | 0;
   i15 = i1 + 132 | 0;
   if ((i19 | 0) > 0) _memcpy(i25 | 0, get32(i15 | 0) | 0, i19 << 2 | 0) | 0;
   _sqlite3DbFree(i1, get32(i15 | 0) | 0);
   set32(i15 | 0, i25 | 0);
   i15 = get32(i17 | 0) | 0;
   set32(i17 | 0, i15 + 1 | 0);
   set32(i25 + (i15 << 2) | 0, i16 | 0);
   i14 = 0;
  } else i14 = 7;
 } while (0);
 i25 = i1 + 30 | 0;
 if (!(get8(i25 >> 0 | 0) | 0)) {
  i28 = i14;
  i29 = i1 + 24 | 0;
  i30 = get32(i29 | 0) | 0;
  i31 = i30 & i28;
  STACKTOP = i5;
  return i31 | 0;
 }
 _sqlite3Error(i1, 7, 0, i6);
 set8(i25 >> 0 | 0, 0 | 0);
 i28 = 7;
 i29 = i1 + 24 | 0;
 i30 = get32(i29 | 0) | 0;
 i31 = i30 & i28;
 STACKTOP = i5;
 return i31 | 0;
}

function _sqlite3_vsnprintf(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i6 = i5;
 if ((i1 | 0) < 1) {
  i7 = i2;
  STACKTOP = i5;
  return i7 | 0;
 }
 i8 = i6 + 4 | 0;
 set32(i8 | 0, i2 | 0);
 i9 = i6 + 8 | 0;
 set32(i9 | 0, i2 | 0);
 set32(i6 | 0, 0 | 0);
 i2 = i6 + 12 | 0;
 set32(i2 | 0, 0 | 0);
 set32(i6 + 16 | 0, i1 | 0);
 set32(i6 + 20 | 0, 0 | 0);
 i1 = i6 + 25 | 0;
 set8(i6 + 26 >> 0 | 0, 0 | 0);
 i10 = i6 + 24 | 0;
 set8(i10 >> 0 | 0, 0 | 0);
 set8(i1 >> 0 | 0, 0 | 0);
 _sqlite3VXPrintf(i6, 0, i3, i4);
 i4 = get32(i9 | 0) | 0;
 if (!i4) {
  i7 = 0;
  STACKTOP = i5;
  return i7 | 0;
 }
 i3 = get32(i2 | 0) | 0;
 set8(i4 + i3 >> 0 | 0, 0 | 0);
 i2 = get8(i1 >> 0 | 0) | 0;
 if (!(i2 << 24 >> 24 != 0 ? (i4 | 0) == (get32(i8 | 0) | 0) : 0)) {
  i7 = i4;
  STACKTOP = i5;
  return i7 | 0;
 }
 L10 : do if (i2 << 24 >> 24 == 1) {
  i8 = get32(i6 | 0) | 0;
  i1 = i3 + 1 | 0;
  L12 : do if (!i8) if (i3 >>> 0 <= 2147483390) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i11 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i1) | 0;
    i12 = 47;
    break L10;
   }
   i13 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i1) | 0;
   set32(35 * 4 | 0, i1 | 0);
   if ((get32(45 * 4 | 0) | 0) < (i1 | 0)) set32(45 * 4 | 0, i1 | 0);
   i14 = get32(6 * 4 | 0) | 0;
   do if (i14) {
    i15 = get32(30 * 4 | 0) | 0;
    i16 = ((i15 | 0) < 0) << 31 >> 31;
    i17 = 16;
    i18 = _i64Subtract(get32(i17 | 0) | 0, get32(i17 + 4 | 0) | 0, i13 | 0, ((i13 | 0) < 0) << 31 >> 31 | 0) | 0;
    i17 = tempRet0;
    if ((i16 | 0) < (i17 | 0) | (i16 | 0) == (i17 | 0) & i15 >>> 0 < i18 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i18 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i14 & 15](i18, i15, i16, i13);
     set32(6 * 4 | 0, i14 | 0);
     set32(7 * 4 | 0, i18 | 0);
     break;
    }
   } while (0);
   i14 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i13) | 0;
   if (i14) {
    i18 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i14) | 0;
    i16 = (get32(30 * 4 | 0) | 0) + i18 | 0;
    set32(30 * 4 | 0, i16 | 0);
    if ((i16 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i16 | 0);
    i16 = get32(39 * 4 | 0) | 0;
    i18 = i16 + 1 | 0;
    set32(39 * 4 | 0, i18 | 0);
    if ((i16 | 0) < (get32(49 * 4 | 0) | 0)) {
     i19 = i14;
     i12 = 46;
    } else {
     set32(49 * 4 | 0, i18 | 0);
     i19 = i14;
     i12 = 46;
    }
   } else i12 = 45;
  } else i12 = 45; else {
   i14 = i8 + 30 | 0;
   if (!(get8(i14 >> 0 | 0) | 0)) {
    do if (get8(i8 + 234 >> 0 | 0) | 0) {
     if ((getU16(i8 + 232 | 0) | 0) < (i1 | 0)) {
      i18 = i8 + 248 | 0;
      set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
      break;
     }
     i18 = i8 + 256 | 0;
     i16 = get32(i18 | 0) | 0;
     if (!i16) {
      i15 = i8 + 252 | 0;
      set32(i15 | 0, (get32(i15 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i18 | 0, get32(i16 | 0) | 0);
     i18 = i8 + 236 | 0;
     i15 = get32(i18 | 0) | 0;
     i17 = i15 + 1 | 0;
     set32(i18 | 0, i17 | 0);
     i18 = i8 + 244 | 0;
     set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
     i18 = i8 + 240 | 0;
     if ((i15 | 0) >= (get32(i18 | 0) | 0)) set32(i18 | 0, i17 | 0);
     i11 = i16;
     i12 = 47;
     break L10;
    } while (0);
    do if (i3 >>> 0 <= 2147483390) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i13 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i1) | 0;
      if (!i13) break; else {
       i19 = i13;
       i12 = 46;
       break L12;
      }
     }
     i13 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i1) | 0;
     set32(35 * 4 | 0, i1 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i1 | 0)) set32(45 * 4 | 0, i1 | 0);
     i16 = get32(6 * 4 | 0) | 0;
     do if (i16) {
      i17 = get32(30 * 4 | 0) | 0;
      i18 = ((i17 | 0) < 0) << 31 >> 31;
      i15 = 16;
      i20 = _i64Subtract(get32(i15 | 0) | 0, get32(i15 + 4 | 0) | 0, i13 | 0, ((i13 | 0) < 0) << 31 >> 31 | 0) | 0;
      i15 = tempRet0;
      if ((i18 | 0) < (i15 | 0) | (i18 | 0) == (i15 | 0) & i17 >>> 0 < i20 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i20 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i16 & 15](i20, i17, i18, i13);
       set32(6 * 4 | 0, i16 | 0);
       set32(7 * 4 | 0, i20 | 0);
       break;
      }
     } while (0);
     i16 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i13) | 0;
     if (i16) {
      i20 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i16) | 0;
      i18 = (get32(30 * 4 | 0) | 0) + i20 | 0;
      set32(30 * 4 | 0, i18 | 0);
      if ((i18 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i18 | 0);
      i18 = get32(39 * 4 | 0) | 0;
      i20 = i18 + 1 | 0;
      set32(39 * 4 | 0, i20 | 0);
      if ((i18 | 0) < (get32(49 * 4 | 0) | 0)) {
       i19 = i16;
       i12 = 46;
       break L12;
      }
      set32(49 * 4 | 0, i20 | 0);
      i19 = i16;
      i12 = 46;
      break L12;
     }
    } while (0);
    set8(i14 >> 0 | 0, 1 | 0);
    i12 = 45;
   } else i12 = 45;
  } while (0);
  if ((i12 | 0) == 45) {
   set32(i9 | 0, 0 | 0);
   i12 = 50;
   break;
  } else if ((i12 | 0) == 46) {
   set32(i9 | 0, i19 | 0);
   i21 = i1;
   i22 = i19;
   i12 = 49;
   break;
  }
 } else {
  i11 = _sqlite3_malloc(i3 + 1 | 0) | 0;
  i12 = 47;
 } while (0);
 if ((i12 | 0) == 47) {
  set32(i9 | 0, i11 | 0);
  if (!i11) i12 = 50; else {
   i21 = i3 + 1 | 0;
   i22 = i11;
   i12 = 49;
  }
 }
 if ((i12 | 0) == 49) {
  _memcpy(i22 | 0, i4 | 0, i21 | 0) | 0;
  i7 = i22;
  STACKTOP = i5;
  return i7 | 0;
 } else if ((i12 | 0) == 50) {
  set8(i10 >> 0 | 0, 1 | 0);
  i7 = 0;
  STACKTOP = i5;
  return i7 | 0;
 }
 return 0;
}

function _whereClauseInsert(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0;
 i4 = i1 + 20 | 0;
 i5 = get32(i4 | 0) | 0;
 i6 = i1 + 24 | 0;
 i7 = get32(i6 | 0) | 0;
 i8 = i1 + 28 | 0;
 if ((i5 | 0) < (i7 | 0)) i9 = i5; else {
  i5 = get32(i8 | 0) | 0;
  i10 = get32(get32(i1 | 0) | 0) | 0;
  i11 = i7 * 80 | 0;
  i7 = (i10 | 0) == 0;
  L3 : do if (i7) if ((i11 + -1 | 0) >>> 0 <= 2147483390) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i12 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i11) | 0;
    i13 = 43;
    break;
   }
   i14 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i11) | 0;
   set32(35 * 4 | 0, i11 | 0);
   if ((get32(45 * 4 | 0) | 0) < (i11 | 0)) set32(45 * 4 | 0, i11 | 0);
   i15 = get32(6 * 4 | 0) | 0;
   do if (i15) {
    i16 = get32(30 * 4 | 0) | 0;
    i17 = ((i16 | 0) < 0) << 31 >> 31;
    i18 = 16;
    i19 = _i64Subtract(get32(i18 | 0) | 0, get32(i18 + 4 | 0) | 0, i14 | 0, ((i14 | 0) < 0) << 31 >> 31 | 0) | 0;
    i18 = tempRet0;
    if ((i17 | 0) < (i18 | 0) | (i17 | 0) == (i18 | 0) & i16 >>> 0 < i19 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i19 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i15 & 15](i19, i16, i17, i14);
     set32(6 * 4 | 0, i15 | 0);
     set32(7 * 4 | 0, i19 | 0);
     break;
    }
   } while (0);
   i15 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i14) | 0;
   if (i15) {
    i19 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i15) | 0;
    i17 = (get32(30 * 4 | 0) | 0) + i19 | 0;
    set32(30 * 4 | 0, i17 | 0);
    if ((i17 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i17 | 0);
    i17 = get32(39 * 4 | 0) | 0;
    i19 = i17 + 1 | 0;
    set32(39 * 4 | 0, i19 | 0);
    if ((i17 | 0) < (get32(49 * 4 | 0) | 0)) {
     i20 = i15;
     i13 = 42;
    } else {
     set32(49 * 4 | 0, i19 | 0);
     i20 = i15;
     i13 = 42;
    }
   } else i13 = 41;
  } else i13 = 41; else {
   i15 = i10 + 30 | 0;
   if (!(get8(i15 >> 0 | 0) | 0)) {
    do if (get8(i10 + 234 >> 0 | 0) | 0) {
     if ((getU16(i10 + 232 | 0) | 0) < (i11 | 0)) {
      i19 = i10 + 248 | 0;
      set32(i19 | 0, (get32(i19 | 0) | 0) + 1 | 0);
      break;
     }
     i19 = i10 + 256 | 0;
     i17 = get32(i19 | 0) | 0;
     if (!i17) {
      i16 = i10 + 252 | 0;
      set32(i16 | 0, (get32(i16 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i19 | 0, get32(i17 | 0) | 0);
     i19 = i10 + 236 | 0;
     i16 = get32(i19 | 0) | 0;
     i18 = i16 + 1 | 0;
     set32(i19 | 0, i18 | 0);
     i19 = i10 + 244 | 0;
     set32(i19 | 0, (get32(i19 | 0) | 0) + 1 | 0);
     i19 = i10 + 240 | 0;
     if ((i16 | 0) >= (get32(i19 | 0) | 0)) set32(i19 | 0, i18 | 0);
     i12 = i17;
     i13 = 43;
     break L3;
    } while (0);
    do if ((i11 + -1 | 0) >>> 0 <= 2147483390) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i14 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i11) | 0;
      if (!i14) break; else {
       i20 = i14;
       i13 = 42;
       break L3;
      }
     }
     i14 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i11) | 0;
     set32(35 * 4 | 0, i11 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i11 | 0)) set32(45 * 4 | 0, i11 | 0);
     i17 = get32(6 * 4 | 0) | 0;
     do if (i17) {
      i18 = get32(30 * 4 | 0) | 0;
      i19 = ((i18 | 0) < 0) << 31 >> 31;
      i16 = 16;
      i21 = _i64Subtract(get32(i16 | 0) | 0, get32(i16 + 4 | 0) | 0, i14 | 0, ((i14 | 0) < 0) << 31 >> 31 | 0) | 0;
      i16 = tempRet0;
      if ((i19 | 0) < (i16 | 0) | (i19 | 0) == (i16 | 0) & i18 >>> 0 < i21 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i21 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i17 & 15](i21, i18, i19, i14);
       set32(6 * 4 | 0, i17 | 0);
       set32(7 * 4 | 0, i21 | 0);
       break;
      }
     } while (0);
     i17 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i14) | 0;
     if (i17) {
      i21 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i17) | 0;
      i19 = (get32(30 * 4 | 0) | 0) + i21 | 0;
      set32(30 * 4 | 0, i19 | 0);
      if ((i19 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i19 | 0);
      i19 = get32(39 * 4 | 0) | 0;
      i21 = i19 + 1 | 0;
      set32(39 * 4 | 0, i21 | 0);
      if ((i19 | 0) < (get32(49 * 4 | 0) | 0)) {
       i20 = i17;
       i13 = 42;
       break L3;
      }
      set32(49 * 4 | 0, i21 | 0);
      i20 = i17;
      i13 = 42;
      break L3;
     }
    } while (0);
    set8(i15 >> 0 | 0, 1 | 0);
    i13 = 41;
   } else i13 = 41;
  } while (0);
  if ((i13 | 0) == 41) {
   set32(i8 | 0, 0 | 0);
   i13 = 44;
  } else if ((i13 | 0) == 42) {
   set32(i8 | 0, i20 | 0);
   i22 = i20;
   i23 = i8;
  } else if ((i13 | 0) == 43) {
   set32(i8 | 0, i12 | 0);
   if (!i12) i13 = 44; else {
    i22 = i12;
    i23 = i8;
   }
  }
  if ((i13 | 0) == 44) {
   if (i3 & 1) _sqlite3ExprDelete(i10, i2);
   set32(i8 | 0, i5 | 0);
   i24 = 0;
   return i24 | 0;
  }
  _memcpy(i22 | 0, i5 | 0, (get32(i4 | 0) | 0) * 40 | 0) | 0;
  if ((i5 | 0) != (i1 + 32 | 0)) _sqlite3DbFree(i10, i5);
  i5 = get32(i23 | 0) | 0;
  if ((!(i7 | (i5 | 0) == 0) ? (get32(i10 + 260 | 0) | 0) >>> 0 <= i5 >>> 0 : 0) ? (get32(i10 + 264 | 0) | 0) >>> 0 > i5 >>> 0 : 0) i25 = getU16(i10 + 232 | 0) | 0; else i25 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i5) | 0;
  set32(i6 | 0, (i25 >>> 0) / 40 | 0 | 0);
  i9 = get32(i4 | 0) | 0;
 }
 set32(i4 | 0, i9 + 1 | 0);
 i4 = get32(i8 | 0) | 0;
 set32(i4 + (i9 * 40 | 0) | 0, i2 | 0);
 set8(i4 + (i9 * 40 | 0) + 18 >> 0 | 0, i3 | 0);
 set32(i4 + (i9 * 40 | 0) + 20 | 0, i1 | 0);
 set32(i4 + (i9 * 40 | 0) + 4 | 0, -1 | 0);
 i24 = i9;
 return i24 | 0;
}

function _sqlite3ExprListAppend(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0;
 do if (!i2) {
  L3 : do if (!i1) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i4 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](16) | 0;
    i5 = 39;
    break;
   }
   i6 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](16) | 0;
   set32(35 * 4 | 0, 16 | 0);
   if ((get32(45 * 4 | 0) | 0) < 16) set32(45 * 4 | 0, 16 | 0);
   i7 = get32(6 * 4 | 0) | 0;
   do if (i7) {
    i8 = get32(30 * 4 | 0) | 0;
    i9 = ((i8 | 0) < 0) << 31 >> 31;
    i10 = 16;
    i11 = _i64Subtract(get32(i10 | 0) | 0, get32(i10 + 4 | 0) | 0, i6 | 0, ((i6 | 0) < 0) << 31 >> 31 | 0) | 0;
    i10 = tempRet0;
    if ((i9 | 0) < (i10 | 0) | (i9 | 0) == (i10 | 0) & i8 >>> 0 < i11 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i11 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i7 & 15](i11, i8, i9, i6);
     set32(6 * 4 | 0, i7 | 0);
     set32(7 * 4 | 0, i11 | 0);
     break;
    }
   } while (0);
   i7 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i6) | 0;
   if (i7) {
    i11 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i7) | 0;
    i9 = (get32(30 * 4 | 0) | 0) + i11 | 0;
    set32(30 * 4 | 0, i9 | 0);
    if ((i9 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i9 | 0);
    i9 = get32(39 * 4 | 0) | 0;
    i11 = i9 + 1 | 0;
    set32(39 * 4 | 0, i11 | 0);
    if ((i9 | 0) < (get32(49 * 4 | 0) | 0)) {
     i12 = i7;
     i5 = 41;
    } else {
     set32(49 * 4 | 0, i11 | 0);
     i12 = i7;
     i5 = 41;
    }
   }
  } else {
   i7 = i1 + 30 | 0;
   if (!(get8(i7 >> 0 | 0) | 0)) {
    do if (get8(i1 + 234 >> 0 | 0) | 0) {
     if ((getU16(i1 + 232 | 0) | 0) < 16) {
      i11 = i1 + 248 | 0;
      set32(i11 | 0, (get32(i11 | 0) | 0) + 1 | 0);
      break;
     }
     i11 = i1 + 256 | 0;
     i9 = get32(i11 | 0) | 0;
     if (!i9) {
      i8 = i1 + 252 | 0;
      set32(i8 | 0, (get32(i8 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i11 | 0, get32(i9 | 0) | 0);
     i11 = i1 + 236 | 0;
     i8 = get32(i11 | 0) | 0;
     i10 = i8 + 1 | 0;
     set32(i11 | 0, i10 | 0);
     i11 = i1 + 244 | 0;
     set32(i11 | 0, (get32(i11 | 0) | 0) + 1 | 0);
     i11 = i1 + 240 | 0;
     if ((i8 | 0) >= (get32(i11 | 0) | 0)) set32(i11 | 0, i10 | 0);
     i4 = i9;
     i5 = 39;
     break L3;
    } while (0);
    if (!(get32(50 * 4 | 0) | 0)) {
     i6 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](16) | 0;
     if (i6) {
      i12 = i6;
      i5 = 41;
      break;
     }
    } else {
     i6 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](16) | 0;
     set32(35 * 4 | 0, 16 | 0);
     if ((get32(45 * 4 | 0) | 0) < 16) set32(45 * 4 | 0, 16 | 0);
     i9 = get32(6 * 4 | 0) | 0;
     do if (i9) {
      i10 = get32(30 * 4 | 0) | 0;
      i11 = ((i10 | 0) < 0) << 31 >> 31;
      i8 = 16;
      i13 = _i64Subtract(get32(i8 | 0) | 0, get32(i8 + 4 | 0) | 0, i6 | 0, ((i6 | 0) < 0) << 31 >> 31 | 0) | 0;
      i8 = tempRet0;
      if ((i11 | 0) < (i8 | 0) | (i11 | 0) == (i8 | 0) & i10 >>> 0 < i13 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i13 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i9 & 15](i13, i10, i11, i6);
       set32(6 * 4 | 0, i9 | 0);
       set32(7 * 4 | 0, i13 | 0);
       break;
      }
     } while (0);
     i9 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i6) | 0;
     if (i9) {
      i13 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i9) | 0;
      i11 = (get32(30 * 4 | 0) | 0) + i13 | 0;
      set32(30 * 4 | 0, i11 | 0);
      if ((i11 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i11 | 0);
      i11 = get32(39 * 4 | 0) | 0;
      i13 = i11 + 1 | 0;
      set32(39 * 4 | 0, i13 | 0);
      if ((i11 | 0) < (get32(49 * 4 | 0) | 0)) {
       i12 = i9;
       i5 = 41;
       break;
      }
      set32(49 * 4 | 0, i13 | 0);
      i12 = i9;
      i5 = 41;
      break;
     }
    }
    set8(i7 >> 0 | 0, 1 | 0);
   }
  } while (0);
  if ((i5 | 0) == 39 ? (i4 | 0) != 0 : 0) {
   i12 = i4;
   i5 = 41;
  }
  if ((i5 | 0) == 41) {
   i9 = i12;
   i13 = i9 + 16 | 0;
   do {
    set8(i9 >> 0 | 0, 0 | 0);
    i9 = i9 + 1 | 0;
   } while ((i9 | 0) < (i13 | 0));
   i14 = i12;
   break;
  }
  _sqlite3ExprDelete(i1, i3);
  i15 = 0;
  return i15 | 0;
 } else i14 = i2; while (0);
 i2 = i14 + 4 | 0;
 i12 = get32(i2 | 0) | 0;
 i5 = get32(i14 | 0) | 0;
 i4 = i14 + 12 | 0;
 if ((i12 | 0) > (i5 | 0)) i16 = i5; else {
  i5 = _sqlite3DbRealloc(i1, get32(i4 | 0) | 0, (i12 * 40 | 0) + 80 | 0) | 0;
  if (!i5) {
   _sqlite3ExprDelete(i1, i3);
   if ((get32(i14 | 0) | 0) > 0) {
    i12 = 0;
    i9 = get32(i4 | 0) | 0;
    while (1) {
     _sqlite3ExprDelete(i1, get32(i9 | 0) | 0);
     _sqlite3DbFree(i1, get32(i9 + 4 | 0) | 0);
     _sqlite3DbFree(i1, get32(i9 + 8 | 0) | 0);
     i12 = i12 + 1 | 0;
     if ((i12 | 0) >= (get32(i14 | 0) | 0)) break; else i9 = i9 + 20 | 0;
    }
   }
   _sqlite3DbFree(i1, get32(i4 | 0) | 0);
   _sqlite3DbFree(i1, i14);
   i15 = 0;
   return i15 | 0;
  }
  set32(i4 | 0, i5 | 0);
  if (((i1 | 0) != 0 ? (get32(i1 + 260 | 0) | 0) >>> 0 <= i5 >>> 0 : 0) ? (get32(i1 + 264 | 0) | 0) >>> 0 > i5 >>> 0 : 0) i17 = getU16(i1 + 232 | 0) | 0; else i17 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i5) | 0;
  set32(i2 | 0, (i17 >>> 0) / 20 | 0 | 0);
  i16 = get32(i14 | 0) | 0;
 }
 set32(i14 | 0, i16 + 1 | 0);
 i17 = (get32(i4 | 0) | 0) + (i16 * 20 | 0) | 0;
 set32(i17 | 0, 0 | 0);
 set32(i17 + 4 | 0, 0 | 0);
 set32(i17 + 8 | 0, 0 | 0);
 set32(i17 + 12 | 0, 0 | 0);
 set32(i17 + 16 | 0, 0 | 0);
 set32(i17 | 0, i3 | 0);
 i15 = i14;
 return i15 | 0;
}

function _sqlite3VdbeSetNumCols(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0;
 i3 = get32(i1 | 0) | 0;
 i4 = i1 + 16 | 0;
 i5 = get32(i4 | 0) | 0;
 i6 = i1 + 48 | 0;
 i7 = get16(i6 | 0) | 0;
 L1 : do if ((i5 | 0) != 0 & i7 << 16 >> 16 != 0) {
  i8 = get32(i5 | 0) | 0;
  i9 = i8 + 30 | 0;
  i10 = get8(i9 >> 0 | 0) | 0;
  i11 = i5 + (((i7 & 65535) << 1) * 40 | 0) | 0;
  if (!(get32(i8 + 504 | 0) | 0)) i12 = i5; else {
   i13 = i5;
   while (1) {
    _sqlite3DbFree(i8, get32(i13 + 36 | 0) | 0);
    i13 = i13 + 40 | 0;
    if (i13 >>> 0 >= i11 >>> 0) break L1;
   }
  }
  do {
   i13 = i12 + 28 | 0;
   if (!(get16(i13 | 0) & 9312)) {
    i14 = i12 + 36 | 0;
    i15 = get32(i14 | 0) | 0;
    if (i15) {
     _sqlite3DbFree(i8, i15);
     set32(i14 | 0, 0 | 0);
    }
   } else {
    _sqlite3VdbeMemReleaseExternal(i12);
    i14 = i12 + 36 | 0;
    _sqlite3DbFree(get32(i12 | 0) | 0, get32(i14 | 0) | 0);
    set32(i12 + 4 | 0, 0 | 0);
    set32(i14 | 0, 0 | 0);
    set32(i12 + 32 | 0, 0 | 0);
   }
   set16(i13 | 0, 1 | 0);
   i12 = i12 + 40 | 0;
  } while (i12 >>> 0 < i11 >>> 0);
  set8(i9 >> 0 | 0, i10 | 0);
 } while (0);
 _sqlite3DbFree(i3, get32(i4 | 0) | 0);
 i12 = i2 << 1;
 set16(i6 | 0, i2 | 0);
 i6 = i2 * 80 | 0;
 L15 : do if (!i3) if ((i6 + -1 | 0) >>> 0 <= 2147483390) {
  if (!(get32(50 * 4 | 0) | 0)) {
   i16 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i6) | 0;
   i17 = 49;
   break;
  }
  i5 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i6) | 0;
  set32(35 * 4 | 0, i6 | 0);
  if ((get32(45 * 4 | 0) | 0) < (i6 | 0)) set32(45 * 4 | 0, i6 | 0);
  i7 = get32(6 * 4 | 0) | 0;
  do if (i7) {
   i11 = get32(30 * 4 | 0) | 0;
   i8 = ((i11 | 0) < 0) << 31 >> 31;
   i13 = 16;
   i14 = _i64Subtract(get32(i13 | 0) | 0, get32(i13 + 4 | 0) | 0, i5 | 0, ((i5 | 0) < 0) << 31 >> 31 | 0) | 0;
   i13 = tempRet0;
   if ((i8 | 0) < (i13 | 0) | (i8 | 0) == (i13 | 0) & i11 >>> 0 < i14 >>> 0) {
    set32(11 * 4 | 0, 0 | 0);
    break;
   } else {
    set32(11 * 4 | 0, 1 | 0);
    i14 = get32(7 * 4 | 0) | 0;
    set32(6 * 4 | 0, 0 | 0);
    FUNCTION_TABLE_viiii[i7 & 15](i14, i11, i8, i5);
    set32(6 * 4 | 0, i7 | 0);
    set32(7 * 4 | 0, i14 | 0);
    break;
   }
  } while (0);
  i7 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i5) | 0;
  if (i7) {
   i10 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i7) | 0;
   i9 = (get32(30 * 4 | 0) | 0) + i10 | 0;
   set32(30 * 4 | 0, i9 | 0);
   if ((i9 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i9 | 0);
   i9 = get32(39 * 4 | 0) | 0;
   i10 = i9 + 1 | 0;
   set32(39 * 4 | 0, i10 | 0);
   if ((i9 | 0) < (get32(49 * 4 | 0) | 0)) i18 = i7; else {
    set32(49 * 4 | 0, i10 | 0);
    i18 = i7;
   }
  } else i17 = 50;
 } else i17 = 50; else {
  i7 = i3 + 30 | 0;
  if (!(get8(i7 >> 0 | 0) | 0)) {
   do if (get8(i3 + 234 >> 0 | 0) | 0) {
    if ((getU16(i3 + 232 | 0) | 0) < (i6 | 0)) {
     i10 = i3 + 248 | 0;
     set32(i10 | 0, (get32(i10 | 0) | 0) + 1 | 0);
     break;
    }
    i10 = i3 + 256 | 0;
    i9 = get32(i10 | 0) | 0;
    if (!i9) {
     i14 = i3 + 252 | 0;
     set32(i14 | 0, (get32(i14 | 0) | 0) + 1 | 0);
     break;
    }
    set32(i10 | 0, get32(i9 | 0) | 0);
    i10 = i3 + 236 | 0;
    i14 = get32(i10 | 0) | 0;
    i8 = i14 + 1 | 0;
    set32(i10 | 0, i8 | 0);
    i10 = i3 + 244 | 0;
    set32(i10 | 0, (get32(i10 | 0) | 0) + 1 | 0);
    i10 = i3 + 240 | 0;
    if ((i14 | 0) >= (get32(i10 | 0) | 0)) set32(i10 | 0, i8 | 0);
    i16 = i9;
    i17 = 49;
    break L15;
   } while (0);
   do if ((i6 + -1 | 0) >>> 0 <= 2147483390) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i5 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i6) | 0;
     if (!i5) break; else {
      i18 = i5;
      break L15;
     }
    }
    i5 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i6) | 0;
    set32(35 * 4 | 0, i6 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i6 | 0)) set32(45 * 4 | 0, i6 | 0);
    i9 = get32(6 * 4 | 0) | 0;
    do if (i9) {
     i8 = get32(30 * 4 | 0) | 0;
     i10 = ((i8 | 0) < 0) << 31 >> 31;
     i14 = 16;
     i11 = _i64Subtract(get32(i14 | 0) | 0, get32(i14 + 4 | 0) | 0, i5 | 0, ((i5 | 0) < 0) << 31 >> 31 | 0) | 0;
     i14 = tempRet0;
     if ((i10 | 0) < (i14 | 0) | (i10 | 0) == (i14 | 0) & i8 >>> 0 < i11 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i11 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i9 & 15](i11, i8, i10, i5);
      set32(6 * 4 | 0, i9 | 0);
      set32(7 * 4 | 0, i11 | 0);
      break;
     }
    } while (0);
    i9 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i5) | 0;
    if (i9) {
     i11 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i9) | 0;
     i10 = (get32(30 * 4 | 0) | 0) + i11 | 0;
     set32(30 * 4 | 0, i10 | 0);
     if ((i10 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i10 | 0);
     i10 = get32(39 * 4 | 0) | 0;
     i11 = i10 + 1 | 0;
     set32(39 * 4 | 0, i11 | 0);
     if ((i10 | 0) < (get32(49 * 4 | 0) | 0)) {
      i18 = i9;
      break L15;
     }
     set32(49 * 4 | 0, i11 | 0);
     i18 = i9;
     break L15;
    }
   } while (0);
   set8(i7 >> 0 | 0, 1 | 0);
   i17 = 50;
  } else i17 = 50;
 } while (0);
 if ((i17 | 0) == 49) if (!i16) i17 = 50; else i18 = i16;
 if ((i17 | 0) == 50) {
  set32(i4 | 0, 0 | 0);
  return;
 }
 _memset(i18 | 0, 0, i6 | 0) | 0;
 set32(i4 | 0, i18 | 0);
 if ((i2 | 0) <= 0) return;
 i2 = get32(i1 | 0) | 0;
 i1 = i12;
 i12 = i18;
 while (1) {
  set16(i12 + 28 | 0, 1 | 0);
  set32(i12 | 0, i2 | 0);
  if ((i1 | 0) > 1) {
   i1 = i1 + -1 | 0;
   i12 = i12 + 40 | 0;
  } else break;
 }
 return;
}

function _sqlite3FindCollSeq(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0;
 if (i3) {
  i5 = i3;
  while (1) if (!(get8(i5 >> 0 | 0) | 0)) {
   i6 = i5;
   break;
  } else i5 = i5 + 1 | 0;
  i5 = i6 - i3 & 1073741823;
  i6 = i1 + 412 | 0;
  i7 = _sqlite3HashFind(i6, i3, i5) | 0;
  if ((i4 | 0) != 0 & (i7 | 0) == 0) {
   i4 = i5 + 61 | 0;
   L7 : do if (!i1) {
    i8 = i5 + 60 | 0;
    if (i8 >>> 0 > 2147483390) {
     i9 = 0;
     return i9 | 0;
    }
    if (!(get32(50 * 4 | 0) | 0)) {
     i10 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i4) | 0;
     i11 = 43;
     break;
    }
    i12 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i4) | 0;
    set32(35 * 4 | 0, i4 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i4 | 0)) set32(45 * 4 | 0, i4 | 0);
    i13 = get32(6 * 4 | 0) | 0;
    do if (i13) {
     i14 = get32(30 * 4 | 0) | 0;
     i15 = ((i14 | 0) < 0) << 31 >> 31;
     i16 = 16;
     i17 = _i64Subtract(get32(i16 | 0) | 0, get32(i16 + 4 | 0) | 0, i12 | 0, ((i12 | 0) < 0) << 31 >> 31 | 0) | 0;
     i16 = tempRet0;
     if ((i15 | 0) < (i16 | 0) | (i15 | 0) == (i16 | 0) & i14 >>> 0 < i17 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i17 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i13 & 15](i17, i14, i15, i12);
      set32(6 * 4 | 0, i13 | 0);
      set32(7 * 4 | 0, i17 | 0);
      break;
     }
    } while (0);
    i13 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i12) | 0;
    if (!i13) {
     i9 = 0;
     return i9 | 0;
    }
    i17 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i13) | 0;
    i15 = (get32(30 * 4 | 0) | 0) + i17 | 0;
    set32(30 * 4 | 0, i15 | 0);
    if ((i15 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i15 | 0);
    i15 = get32(39 * 4 | 0) | 0;
    i17 = i15 + 1 | 0;
    set32(39 * 4 | 0, i17 | 0);
    if ((i15 | 0) < (get32(49 * 4 | 0) | 0)) {
     i18 = i13;
     i19 = i8;
    } else {
     set32(49 * 4 | 0, i17 | 0);
     i18 = i13;
     i19 = i8;
    }
   } else {
    i13 = i1 + 30 | 0;
    if (get8(i13 >> 0 | 0) | 0) {
     i9 = 0;
     return i9 | 0;
    }
    do if (get8(i1 + 234 >> 0 | 0) | 0) {
     if ((getU16(i1 + 232 | 0) | 0) >>> 0 < i4 >>> 0) {
      i17 = i1 + 248 | 0;
      set32(i17 | 0, (get32(i17 | 0) | 0) + 1 | 0);
      break;
     }
     i17 = i1 + 256 | 0;
     i15 = get32(i17 | 0) | 0;
     if (!i15) {
      i14 = i1 + 252 | 0;
      set32(i14 | 0, (get32(i14 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i17 | 0, get32(i15 | 0) | 0);
     i17 = i1 + 236 | 0;
     i14 = get32(i17 | 0) | 0;
     i16 = i14 + 1 | 0;
     set32(i17 | 0, i16 | 0);
     i17 = i1 + 244 | 0;
     set32(i17 | 0, (get32(i17 | 0) | 0) + 1 | 0);
     i17 = i1 + 240 | 0;
     if ((i14 | 0) >= (get32(i17 | 0) | 0)) set32(i17 | 0, i16 | 0);
     i10 = i15;
     i11 = 43;
     break L7;
    } while (0);
    i8 = i5 + 60 | 0;
    do if (i8 >>> 0 <= 2147483390) {
     if (!(get32(50 * 4 | 0) | 0)) {
      i12 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i4) | 0;
      if (!i12) break; else {
       i18 = i12;
       i19 = i8;
       break L7;
      }
     }
     i12 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i4) | 0;
     set32(35 * 4 | 0, i4 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i4 | 0)) set32(45 * 4 | 0, i4 | 0);
     i15 = get32(6 * 4 | 0) | 0;
     do if (i15) {
      i16 = get32(30 * 4 | 0) | 0;
      i17 = ((i16 | 0) < 0) << 31 >> 31;
      i14 = 16;
      i20 = _i64Subtract(get32(i14 | 0) | 0, get32(i14 + 4 | 0) | 0, i12 | 0, ((i12 | 0) < 0) << 31 >> 31 | 0) | 0;
      i14 = tempRet0;
      if ((i17 | 0) < (i14 | 0) | (i17 | 0) == (i14 | 0) & i16 >>> 0 < i20 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i20 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i15 & 15](i20, i16, i17, i12);
       set32(6 * 4 | 0, i15 | 0);
       set32(7 * 4 | 0, i20 | 0);
       break;
      }
     } while (0);
     i15 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i12) | 0;
     if (i15) {
      i20 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i15) | 0;
      i17 = (get32(30 * 4 | 0) | 0) + i20 | 0;
      set32(30 * 4 | 0, i17 | 0);
      if ((i17 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i17 | 0);
      i17 = get32(39 * 4 | 0) | 0;
      i20 = i17 + 1 | 0;
      set32(39 * 4 | 0, i20 | 0);
      if ((i17 | 0) < (get32(49 * 4 | 0) | 0)) {
       i18 = i15;
       i19 = i8;
       break L7;
      }
      set32(49 * 4 | 0, i20 | 0);
      i18 = i15;
      i19 = i8;
      break L7;
     }
    } while (0);
    set8(i13 >> 0 | 0, 1 | 0);
    i9 = 0;
    return i9 | 0;
   } while (0);
   do if ((i11 | 0) == 43) if (!i10) {
    i9 = 0;
    return i9 | 0;
   } else {
    i18 = i10;
    i19 = i5 + 60 | 0;
    break;
   } while (0);
   _memset(i18 | 0, 0, i4 | 0) | 0;
   i4 = i18 + 60 | 0;
   set32(i18 | 0, i4 | 0);
   set8(i18 + 4 >> 0 | 0, 1 | 0);
   set32(i18 + 20 | 0, i4 | 0);
   set8(i18 + 24 >> 0 | 0, 2 | 0);
   set32(i18 + 40 | 0, i4 | 0);
   set8(i18 + 44 >> 0 | 0, 3 | 0);
   _memcpy(i4 | 0, i3 | 0, i5 | 0) | 0;
   set8(i18 + i19 >> 0 | 0, 0 | 0);
   i19 = _sqlite3HashInsert(i6, i4, i5, i18) | 0;
   if (!i19) i21 = i18; else {
    set8(i1 + 30 >> 0 | 0, 1 | 0);
    _sqlite3DbFree(i1, i19);
    i9 = 0;
    return i9 | 0;
   }
  } else i21 = i7;
 } else i21 = get32(i1 + 44 | 0) | 0;
 if (!i21) {
  i9 = 0;
  return i9 | 0;
 }
 i9 = i21 + (((i2 & 255) + -1 | 0) * 20 | 0) | 0;
 return i9 | 0;
}

function _insertCell(i1, i2, i3, i4, i5, i6, i7) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 i7 = i7 | 0;
 var i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0, i46 = 0, i47 = 0, i48 = 0, i49 = 0;
 i8 = STACKTOP;
 STACKTOP = STACKTOP + 64 | 0;
 i9 = i8 + 48 | 0;
 i10 = i8 + 40 | 0;
 i11 = i8 + 32 | 0;
 i12 = i8;
 i13 = (i6 | 0) != 0;
 i14 = i13 ? 4 : 0;
 if (get32(i7 | 0) | 0) {
  STACKTOP = i8;
  return;
 }
 i15 = i1 + 1 | 0;
 if ((get8(i15 >> 0 | 0) | 0) == 0 ? (i16 = i4 + 2 | 0, i17 = i1 + 14 | 0, (i16 | 0) <= (getU16(i17 | 0) | 0)) : 0) {
  i18 = _sqlite3PagerWrite(get32(i1 + 68 | 0) | 0) | 0;
  if (i18) {
   set32(i7 | 0, i18 | 0);
   STACKTOP = i8;
   return;
  }
  i18 = get32(i1 + 64 | 0) | 0;
  i19 = getU16(i1 + 12 | 0) | 0;
  i20 = i1 + 16 | 0;
  i21 = (getU16(i20 | 0) << 1) + i19 | 0;
  i22 = i19 + (i2 << 1) | 0;
  i19 = i1 + 5 | 0;
  i23 = getU8(i19 >> 0 | 0) | 0;
  i24 = i1 + 60 | 0;
  i25 = get32((get32(i24 | 0) | 0) + 40 | 0) | 0;
  i26 = i18 + (i23 + 7) | 0;
  i27 = get8(i26 >> 0 | 0) | 0;
  i28 = i27 & 255;
  i29 = i18 + (i23 + 5) | 0;
  i30 = i18 + (i23 + 6) | 0;
  i31 = ((getU8(i29 >> 0 | 0) << 8 | getU8(i30 >> 0 | 0)) + 65535 & 65535) + 1 | 0;
  L11 : do if ((i21 | 0) > (i31 | 0)) {
   set32(i11 | 0, 48691 | 0);
   set32(i11 + 4 | 0, 17203 | 0);
   _sqlite3_log(11, 19615, i11);
   i32 = 11;
  } else {
   L14 : do if ((i27 & 255) <= 59) if ((i21 + 2 | 0) >>> 0 > i31 >>> 0) {
    i33 = i31;
    i34 = 28;
   } else {
    i35 = i25 + -4 | 0;
    i36 = i23 + 1 | 0;
    while (1) {
     i37 = i18 + i36 | 0;
     i38 = getU8(i37 >> 0 | 0) << 8 | getU8(i18 + (i36 + 1) >> 0 | 0);
     if (!i38) {
      i33 = i31;
      i34 = 28;
      break L14;
     }
     if ((i38 | 0) > (i35 | 0) | (i38 | 0) < (i36 + 4 | 0)) {
      i34 = 20;
      break;
     }
     i39 = i18 + (i38 + 2) | 0;
     i40 = i18 + (i38 + 3) | 0;
     i41 = getU8(i39 >> 0 | 0) << 8 | getU8(i40 >> 0 | 0);
     if ((i41 | 0) < (i4 | 0)) i36 = i38; else {
      i42 = i39;
      i43 = i37;
      i44 = i38;
      i45 = i40;
      i46 = i41;
      break;
     }
    }
    if ((i34 | 0) == 20) {
     set32(i10 | 0, 48710 | 0);
     set32(i10 + 4 | 0, 17203 | 0);
     _sqlite3_log(11, 19615, i10);
     i32 = 11;
     break L11;
    }
    i36 = i46 - i4 | 0;
    do if ((i36 | 0) >= 4) if ((i46 + i44 | 0) > (i25 | 0)) {
     set32(i9 | 0, 48723 | 0);
     set32(i9 + 4 | 0, 17203 | 0);
     _sqlite3_log(11, 19615, i9);
     i32 = 11;
     break L11;
    } else {
     set8(i42 >> 0 | 0, i36 >>> 8 | 0);
     set8(i45 >> 0 | 0, i36 | 0);
     break;
    } else {
     i35 = i18 + i44 | 0;
     i41 = getU8(i35 >> 0 | 0) | getU8(i35 + 1 >> 0 | 0) << 8;
     set8(i43 >> 0 | 0, i41 | 0);
     set8(i43 + 1 >> 0 | 0, i41 >> 8 | 0);
     set8(i26 >> 0 | 0, i36 + i28 | 0);
    } while (0);
    i47 = i36 + i44 | 0;
   } else {
    i41 = _defragmentPage(i1) | 0;
    if (i41) {
     i32 = i41;
     break L11;
    }
    i33 = ((getU8(i29 >> 0 | 0) << 8 | getU8(i30 >> 0 | 0)) + 65535 & 65535) + 1 | 0;
    i34 = 28;
   } while (0);
   if ((i34 | 0) == 28) {
    if ((i16 + i21 | 0) > (i33 | 0)) {
     i41 = _defragmentPage(i1) | 0;
     if (i41) {
      i32 = i41;
      break;
     }
     i48 = ((getU8(i29 >> 0 | 0) << 8 | getU8(i30 >> 0 | 0)) + 65535 & 65535) + 1 | 0;
    } else i48 = i33;
    i41 = i48 - i4 | 0;
    set8(i29 >> 0 | 0, i41 >>> 8 | 0);
    set8(i30 >> 0 | 0, i41 | 0);
    i47 = i41;
   }
   set16(i20 | 0, (get16(i20 | 0) | 0) + 1 << 16 >> 16 | 0);
   set16(i17 | 0, (getU16(i17 | 0) | 0) - i16 | 0);
   _memcpy(i18 + (i47 + i14) | 0, i3 + i14 | 0, i4 - i14 | 0) | 0;
   if (i13) {
    set8(i18 + i47 >> 0 | 0, i6 >>> 24 | 0);
    set8(i18 + (i47 + 1) >> 0 | 0, i6 >>> 16 | 0);
    set8(i18 + (i47 + 2) >> 0 | 0, i6 >>> 8 | 0);
    set8(i18 + (i47 + 3) >> 0 | 0, i6 | 0);
   }
   i41 = i18 + i22 | 0;
   if ((i21 | 0) > (i22 | 0)) {
    i35 = i18 + i21 | 0;
    do {
     i40 = i35;
     i35 = i35 + -2 | 0;
     set16(i40 | 0, get16(i35 | 0) | 0 | 0);
    } while (i35 >>> 0 > i41 >>> 0);
   }
   set8(i41 >> 0 | 0, i47 >>> 8 | 0);
   set8(i18 + (i22 + 1) >> 0 | 0, i47 | 0);
   set8(i18 + ((getU8(i19 >> 0 | 0) | 0) + 3) >> 0 | 0, (getU16(i20 | 0) | 0) >>> 8 | 0);
   set8(i18 + ((getU8(i19 >> 0 | 0) | 0) + 4) >> 0 | 0, get16(i20 | 0) | 0);
   if (!(get8((get32(i24 | 0) | 0) + 21 >> 0 | 0) | 0)) {
    STACKTOP = i8;
    return;
   }
   if ((get32(i7 | 0) | 0) == 0 ? (_btreeParseCellPtr(i1, i3, i12), i35 = get16(i12 + 24 | 0) | 0, i35 << 16 >> 16 != 0) : 0) {
    i40 = i35 & 65535;
    _ptrmapPut(get32(i24 | 0) | 0, getU8(i3 + (i40 + 1) >> 0 | 0) << 16 | getU8(i3 + i40 >> 0 | 0) << 24 | getU8(i3 + (i40 + 2) >> 0 | 0) << 8 | getU8(i3 + (i40 + 3) >> 0 | 0), 3, get32(i1 + 72 | 0) | 0, i7);
   }
   STACKTOP = i8;
   return;
  } while (0);
  set32(i7 | 0, i32 | 0);
  STACKTOP = i8;
  return;
 }
 if (!i5) i49 = i3; else {
  _memcpy(i5 + i14 | 0, i3 + i14 | 0, i4 - i14 | 0) | 0;
  i49 = i5;
 }
 if (i13) {
  set8(i49 >> 0 | 0, i6 >>> 24 | 0);
  set8(i49 + 1 >> 0 | 0, i6 >>> 16 | 0);
  set8(i49 + 2 >> 0 | 0, i6 >>> 8 | 0);
  set8(i49 + 3 >> 0 | 0, i6 | 0);
 }
 i6 = get8(i15 >> 0 | 0) | 0;
 set8(i15 >> 0 | 0, i6 + 1 << 24 >> 24 | 0);
 i15 = i6 & 255;
 set32(i1 + 20 + (i15 << 3) | 0, i49 | 0);
 set16(i1 + 20 + (i15 << 3) + 4 | 0, i2 | 0);
 STACKTOP = i8;
 return;
}

function _createModule(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0;
 i6 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i7 = i6;
 if (!i2) i8 = 0; else {
  i9 = i2;
  while (1) if (!(get8(i9 >> 0 | 0) | 0)) {
   i10 = i9;
   break;
  } else i9 = i9 + 1 | 0;
  i8 = i10 - i2 & 1073741823;
 }
 i10 = i8 + 17 | 0;
 i9 = (i1 | 0) == 0;
 L6 : do if (i9) if ((i8 + 16 | 0) >>> 0 <= 2147483390) {
  if (!(get32(50 * 4 | 0) | 0)) {
   i11 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i10) | 0;
   i12 = 43;
   break;
  }
  i13 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i10) | 0;
  set32(35 * 4 | 0, i10 | 0);
  if ((get32(45 * 4 | 0) | 0) < (i10 | 0)) set32(45 * 4 | 0, i10 | 0);
  i14 = get32(6 * 4 | 0) | 0;
  do if (i14) {
   i15 = get32(30 * 4 | 0) | 0;
   i16 = ((i15 | 0) < 0) << 31 >> 31;
   i17 = 16;
   i18 = _i64Subtract(get32(i17 | 0) | 0, get32(i17 + 4 | 0) | 0, i13 | 0, ((i13 | 0) < 0) << 31 >> 31 | 0) | 0;
   i17 = tempRet0;
   if ((i16 | 0) < (i17 | 0) | (i16 | 0) == (i17 | 0) & i15 >>> 0 < i18 >>> 0) {
    set32(11 * 4 | 0, 0 | 0);
    break;
   } else {
    set32(11 * 4 | 0, 1 | 0);
    i18 = get32(7 * 4 | 0) | 0;
    set32(6 * 4 | 0, 0 | 0);
    FUNCTION_TABLE_viiii[i14 & 15](i18, i15, i16, i13);
    set32(6 * 4 | 0, i14 | 0);
    set32(7 * 4 | 0, i18 | 0);
    break;
   }
  } while (0);
  i14 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i13) | 0;
  if (i14) {
   i18 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i14) | 0;
   i16 = (get32(30 * 4 | 0) | 0) + i18 | 0;
   set32(30 * 4 | 0, i16 | 0);
   if ((i16 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i16 | 0);
   i16 = get32(39 * 4 | 0) | 0;
   i18 = i16 + 1 | 0;
   set32(39 * 4 | 0, i18 | 0);
   if ((i16 | 0) < (get32(49 * 4 | 0) | 0)) {
    i19 = i14;
    i12 = 44;
   } else {
    set32(49 * 4 | 0, i18 | 0);
    i19 = i14;
    i12 = 44;
   }
  } else i12 = 49;
 } else i12 = 49; else {
  i14 = i1 + 30 | 0;
  if (!(get8(i14 >> 0 | 0) | 0)) {
   do if (get8(i1 + 234 >> 0 | 0) | 0) {
    if ((getU16(i1 + 232 | 0) | 0) >>> 0 < i10 >>> 0) {
     i18 = i1 + 248 | 0;
     set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
     break;
    }
    i18 = i1 + 256 | 0;
    i16 = get32(i18 | 0) | 0;
    if (!i16) {
     i15 = i1 + 252 | 0;
     set32(i15 | 0, (get32(i15 | 0) | 0) + 1 | 0);
     break;
    }
    set32(i18 | 0, get32(i16 | 0) | 0);
    i18 = i1 + 236 | 0;
    i15 = get32(i18 | 0) | 0;
    i17 = i15 + 1 | 0;
    set32(i18 | 0, i17 | 0);
    i18 = i1 + 244 | 0;
    set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
    i18 = i1 + 240 | 0;
    if ((i15 | 0) >= (get32(i18 | 0) | 0)) set32(i18 | 0, i17 | 0);
    i11 = i16;
    i12 = 43;
    break L6;
   } while (0);
   do if ((i8 + 16 | 0) >>> 0 <= 2147483390) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i13 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i10) | 0;
     if (!i13) break; else {
      i19 = i13;
      i12 = 44;
      break L6;
     }
    }
    i13 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i10) | 0;
    set32(35 * 4 | 0, i10 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i10 | 0)) set32(45 * 4 | 0, i10 | 0);
    i16 = get32(6 * 4 | 0) | 0;
    do if (i16) {
     i17 = get32(30 * 4 | 0) | 0;
     i18 = ((i17 | 0) < 0) << 31 >> 31;
     i15 = 16;
     i20 = _i64Subtract(get32(i15 | 0) | 0, get32(i15 + 4 | 0) | 0, i13 | 0, ((i13 | 0) < 0) << 31 >> 31 | 0) | 0;
     i15 = tempRet0;
     if ((i18 | 0) < (i15 | 0) | (i18 | 0) == (i15 | 0) & i17 >>> 0 < i20 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i20 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i16 & 15](i20, i17, i18, i13);
      set32(6 * 4 | 0, i16 | 0);
      set32(7 * 4 | 0, i20 | 0);
      break;
     }
    } while (0);
    i16 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i13) | 0;
    if (i16) {
     i20 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i16) | 0;
     i18 = (get32(30 * 4 | 0) | 0) + i20 | 0;
     set32(30 * 4 | 0, i18 | 0);
     if ((i18 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i18 | 0);
     i18 = get32(39 * 4 | 0) | 0;
     i20 = i18 + 1 | 0;
     set32(39 * 4 | 0, i20 | 0);
     if ((i18 | 0) < (get32(49 * 4 | 0) | 0)) {
      i19 = i16;
      i12 = 44;
      break L6;
     }
     set32(49 * 4 | 0, i20 | 0);
     i19 = i16;
     i12 = 44;
     break L6;
    }
   } while (0);
   set8(i14 >> 0 | 0, 1 | 0);
   i12 = 49;
  } else i12 = 49;
 } while (0);
 if ((i12 | 0) == 43) if (!i11) i12 = 49; else {
  i19 = i11;
  i12 = 44;
 }
 if ((i12 | 0) == 44) {
  i11 = i19 + 16 | 0;
  _memcpy(i11 | 0, i2 | 0, i8 + 1 | 0) | 0;
  set32(i19 + 4 | 0, i11 | 0);
  set32(i19 | 0, i3 | 0);
  set32(i19 + 8 | 0, i4 | 0);
  set32(i19 + 12 | 0, i5 | 0);
  i3 = _sqlite3HashInsert(i1 + 288 | 0, i11, i8, i19) | 0;
  if ((i3 | 0) != 0 ? (i8 = i3 + 12 | 0, (get32(i8 | 0) | 0) != 0) : 0) {
   _sqlite3ResetInternalSchema(i1, -1);
   FUNCTION_TABLE_vi[get32(i8 | 0) & 31](get32(i3 + 8 | 0) | 0);
  }
  _sqlite3DbFree(i1, i3);
  if ((i3 | 0) == (i19 | 0)) set8(i1 + 30 >> 0 | 0, 1 | 0);
 } else if ((i12 | 0) == 49 ? (i5 | 0) != 0 : 0) FUNCTION_TABLE_vi[i5 & 31](i4);
 if (i9) {
  i21 = 0;
  i22 = 255;
  i23 = i22 & i21;
  STACKTOP = i6;
  return i23 | 0;
 }
 i9 = i1 + 30 | 0;
 if (!(get8(i9 >> 0 | 0) | 0)) i24 = 0; else {
  _sqlite3Error(i1, 7, 0, i7);
  set8(i9 >> 0 | 0, 0 | 0);
  i24 = 7;
 }
 i21 = i24;
 i22 = get32(i1 + 24 | 0) | 0;
 i23 = i22 & i21;
 STACKTOP = i6;
 return i23 | 0;
}

function _sqlite3ResultSetOfSelect(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i4 = i3;
 i5 = get32(i1 | 0) | 0;
 i6 = i5 + 12 | 0;
 i7 = get32(i6 | 0) | 0;
 set32(i6 | 0, i7 & -3073 | 2048 | 0);
 if ((((((i2 | 0) != 0 ? (get16(i2 + 6 | 0) & 32) == 0 : 0) ? (set32(i4 + 4 | 0, 69 | 0), set32(i4 | 0, 70 | 0), set32(i4 + 8 | 0, i1 | 0), _sqlite3WalkSelect(i4, i2) | 0, i8 = i1 + 64 | 0, (get32(i8 | 0) | 0) == 0) : 0) ? (i9 = i5 + 30 | 0, (get8(i9 >> 0 | 0) | 0) == 0) : 0) ? (set32(i4 | 0, 71 | 0), set32(i4 + 4 | 0, 72 | 0), set32(i4 + 8 | 0, i1 | 0), set32(i4 + 12 | 0, 0 | 0), _sqlite3WalkSelect(i4, i2) | 0, (get32(i8 | 0) | 0) == 0) : 0) ? (get8(i9 >> 0 | 0) | 0) == 0 : 0) {
  set32(i4 + 4 | 0, 73 | 0);
  set32(i4 | 0, 70 | 0);
  set32(i4 + 8 | 0, i1 | 0);
  _sqlite3WalkSelect(i4, i2) | 0;
 }
 if (!(get32(i1 + 64 | 0) | 0)) i10 = i2; else {
  i11 = 0;
  STACKTOP = i3;
  return i11 | 0;
 }
 while (1) {
  i2 = get32(i10 + 28 | 0) | 0;
  if (!i2) {
   i12 = i10;
   break;
  } else i10 = i2;
 }
 set32(i6 | 0, i7 | 0);
 L14 : do if (!i5) {
  if (!(get32(50 * 4 | 0) | 0)) {
   i13 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](76) | 0;
   i14 = 47;
   break;
  }
  i7 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](76) | 0;
  set32(35 * 4 | 0, 76 | 0);
  if ((get32(45 * 4 | 0) | 0) < 76) set32(45 * 4 | 0, 76 | 0);
  i6 = get32(6 * 4 | 0) | 0;
  do if (i6) {
   i10 = get32(30 * 4 | 0) | 0;
   i2 = ((i10 | 0) < 0) << 31 >> 31;
   i4 = 16;
   i9 = _i64Subtract(get32(i4 | 0) | 0, get32(i4 + 4 | 0) | 0, i7 | 0, ((i7 | 0) < 0) << 31 >> 31 | 0) | 0;
   i4 = tempRet0;
   if ((i2 | 0) < (i4 | 0) | (i2 | 0) == (i4 | 0) & i10 >>> 0 < i9 >>> 0) {
    set32(11 * 4 | 0, 0 | 0);
    break;
   } else {
    set32(11 * 4 | 0, 1 | 0);
    i9 = get32(7 * 4 | 0) | 0;
    set32(6 * 4 | 0, 0 | 0);
    FUNCTION_TABLE_viiii[i6 & 15](i9, i10, i2, i7);
    set32(6 * 4 | 0, i6 | 0);
    set32(7 * 4 | 0, i9 | 0);
    break;
   }
  } while (0);
  i6 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i7) | 0;
  if (!i6) {
   i11 = 0;
   STACKTOP = i3;
   return i11 | 0;
  }
  i9 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i6) | 0;
  i2 = (get32(30 * 4 | 0) | 0) + i9 | 0;
  set32(30 * 4 | 0, i2 | 0);
  if ((i2 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i2 | 0);
  i2 = get32(39 * 4 | 0) | 0;
  i9 = i2 + 1 | 0;
  set32(39 * 4 | 0, i9 | 0);
  if ((i2 | 0) < (get32(49 * 4 | 0) | 0)) i15 = i6; else {
   set32(49 * 4 | 0, i9 | 0);
   i15 = i6;
  }
 } else {
  i6 = i5 + 30 | 0;
  if (get8(i6 >> 0 | 0) | 0) {
   i11 = 0;
   STACKTOP = i3;
   return i11 | 0;
  }
  do if (get8(i5 + 234 >> 0 | 0) | 0) {
   if ((getU16(i5 + 232 | 0) | 0) < 76) {
    i9 = i5 + 248 | 0;
    set32(i9 | 0, (get32(i9 | 0) | 0) + 1 | 0);
    break;
   }
   i9 = i5 + 256 | 0;
   i2 = get32(i9 | 0) | 0;
   if (!i2) {
    i10 = i5 + 252 | 0;
    set32(i10 | 0, (get32(i10 | 0) | 0) + 1 | 0);
    break;
   }
   set32(i9 | 0, get32(i2 | 0) | 0);
   i9 = i5 + 236 | 0;
   i10 = get32(i9 | 0) | 0;
   i4 = i10 + 1 | 0;
   set32(i9 | 0, i4 | 0);
   i9 = i5 + 244 | 0;
   set32(i9 | 0, (get32(i9 | 0) | 0) + 1 | 0);
   i9 = i5 + 240 | 0;
   if ((i10 | 0) >= (get32(i9 | 0) | 0)) set32(i9 | 0, i4 | 0);
   i13 = i2;
   i14 = 47;
   break L14;
  } while (0);
  if (!(get32(50 * 4 | 0) | 0)) {
   i7 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](76) | 0;
   if (i7) {
    i15 = i7;
    break;
   }
  } else {
   i7 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](76) | 0;
   set32(35 * 4 | 0, 76 | 0);
   if ((get32(45 * 4 | 0) | 0) < 76) set32(45 * 4 | 0, 76 | 0);
   i2 = get32(6 * 4 | 0) | 0;
   do if (i2) {
    i4 = get32(30 * 4 | 0) | 0;
    i9 = ((i4 | 0) < 0) << 31 >> 31;
    i10 = 16;
    i8 = _i64Subtract(get32(i10 | 0) | 0, get32(i10 + 4 | 0) | 0, i7 | 0, ((i7 | 0) < 0) << 31 >> 31 | 0) | 0;
    i10 = tempRet0;
    if ((i9 | 0) < (i10 | 0) | (i9 | 0) == (i10 | 0) & i4 >>> 0 < i8 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i8 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i2 & 15](i8, i4, i9, i7);
     set32(6 * 4 | 0, i2 | 0);
     set32(7 * 4 | 0, i8 | 0);
     break;
    }
   } while (0);
   i2 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i7) | 0;
   if (i2) {
    i8 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i2) | 0;
    i9 = (get32(30 * 4 | 0) | 0) + i8 | 0;
    set32(30 * 4 | 0, i9 | 0);
    if ((i9 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i9 | 0);
    i9 = get32(39 * 4 | 0) | 0;
    i8 = i9 + 1 | 0;
    set32(39 * 4 | 0, i8 | 0);
    if ((i9 | 0) < (get32(49 * 4 | 0) | 0)) {
     i15 = i2;
     break;
    }
    set32(49 * 4 | 0, i8 | 0);
    i15 = i2;
    break;
   }
  }
  set8(i6 >> 0 | 0, 1 | 0);
  i11 = 0;
  STACKTOP = i3;
  return i11 | 0;
 } while (0);
 if ((i14 | 0) == 47) if (!i13) {
  i11 = 0;
  STACKTOP = i3;
  return i11 | 0;
 } else i15 = i13;
 i13 = i15;
 i14 = i13 + 76 | 0;
 do {
  set8(i13 >> 0 | 0, 0 | 0);
  i13 = i13 + 1 | 0;
 } while ((i13 | 0) < (i14 | 0));
 set16(i15 + 32 | 0, 1 | 0);
 set32(i15 | 0, 0 | 0);
 set32(i15 + 24 | 0, 1e6 | 0);
 i13 = i15 + 8 | 0;
 i14 = i15 + 12 | 0;
 _selectColumnsFromExprList(get32(i1 | 0) | 0, get32(i12 | 0) | 0, i13, i14);
 _selectAddColumnTypeAndCollation(i1, get32(i13 | 0) | 0, get32(i14 | 0) | 0, i12);
 set32(i15 + 4 | 0, -1 | 0);
 if (!(get8(i5 + 30 >> 0 | 0) | 0)) {
  i11 = i15;
  STACKTOP = i3;
  return i11 | 0;
 }
 _sqlite3DeleteTable(i5, i15);
 i11 = 0;
 STACKTOP = i3;
 return i11 | 0;
}

function _try_realloc_chunk183(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0;
 i4 = i2 + 4 | 0;
 i5 = get32(i4 | 0) | 0;
 i6 = i5 & -8;
 i7 = i2 + i6 | 0;
 i8 = i1 + 16 | 0;
 i9 = get32(i8 | 0) | 0;
 i10 = i5 & 3;
 if (!((i10 | 0) != 1 & i2 >>> 0 >= i9 >>> 0 & i2 >>> 0 < i7 >>> 0)) _abort();
 i11 = i2 + (i6 | 4) | 0;
 i12 = get32(i11 | 0) | 0;
 if (!(i12 & 1)) _abort();
 if (!i10) {
  if (i3 >>> 0 < 256) {
   i13 = 0;
   return i13 | 0;
  }
  if (i6 >>> 0 >= (i3 + 4 | 0) >>> 0 ? (i6 - i3 | 0) >>> 0 <= get32(1513 * 4 | 0) << 1 >>> 0 : 0) {
   i13 = i2;
   return i13 | 0;
  }
  i13 = 0;
  return i13 | 0;
 }
 if (i6 >>> 0 >= i3 >>> 0) {
  i10 = i6 - i3 | 0;
  if (i10 >>> 0 <= 15) {
   i13 = i2;
   return i13 | 0;
  }
  set32(i4 | 0, i5 & 1 | i3 | 2 | 0);
  set32(i2 + (i3 + 4) | 0, i10 | 3 | 0);
  set32(i11 | 0, get32(i11 | 0) | 1 | 0);
  _dispose_chunk184(i1, i2 + i3 | 0, i10);
  i13 = i2;
  return i13 | 0;
 }
 i10 = i1 + 24 | 0;
 if ((i7 | 0) == (get32(i10 | 0) | 0)) {
  i11 = i1 + 12 | 0;
  i14 = (get32(i11 | 0) | 0) + i6 | 0;
  if (i14 >>> 0 <= i3 >>> 0) {
   i13 = 0;
   return i13 | 0;
  }
  i15 = i14 - i3 | 0;
  set32(i4 | 0, i5 & 1 | i3 | 2 | 0);
  set32(i2 + (i3 + 4) | 0, i15 | 1 | 0);
  set32(i10 | 0, i2 + i3 | 0);
  set32(i11 | 0, i15 | 0);
  i13 = i2;
  return i13 | 0;
 }
 i15 = i1 + 20 | 0;
 if ((i7 | 0) == (get32(i15 | 0) | 0)) {
  i11 = i1 + 8 | 0;
  i10 = (get32(i11 | 0) | 0) + i6 | 0;
  if (i10 >>> 0 < i3 >>> 0) {
   i13 = 0;
   return i13 | 0;
  }
  i14 = i10 - i3 | 0;
  if (i14 >>> 0 > 15) {
   set32(i4 | 0, i5 & 1 | i3 | 2 | 0);
   set32(i2 + (i3 + 4) | 0, i14 | 1 | 0);
   set32(i2 + i10 | 0, i14 | 0);
   i16 = i2 + (i10 + 4) | 0;
   set32(i16 | 0, get32(i16 | 0) & -2 | 0);
   i17 = i2 + i3 | 0;
   i18 = i14;
  } else {
   set32(i4 | 0, i5 & 1 | i10 | 2 | 0);
   i14 = i2 + (i10 + 4) | 0;
   set32(i14 | 0, get32(i14 | 0) | 1 | 0);
   i17 = 0;
   i18 = 0;
  }
  set32(i11 | 0, i18 | 0);
  set32(i15 | 0, i17 | 0);
  i13 = i2;
  return i13 | 0;
 }
 if (i12 & 2) {
  i13 = 0;
  return i13 | 0;
 }
 i17 = (i12 & -8) + i6 | 0;
 if (i17 >>> 0 < i3 >>> 0) {
  i13 = 0;
  return i13 | 0;
 }
 i15 = i17 - i3 | 0;
 i18 = i12 >>> 3;
 do if (i12 >>> 0 >= 256) {
  i11 = get32(i2 + (i6 + 24) | 0) | 0;
  i14 = get32(i2 + (i6 + 12) | 0) | 0;
  do if ((i14 | 0) == (i7 | 0)) {
   i10 = i2 + (i6 + 20) | 0;
   i16 = get32(i10 | 0) | 0;
   if (!i16) {
    i19 = i2 + (i6 + 16) | 0;
    i20 = get32(i19 | 0) | 0;
    if (!i20) {
     i21 = 0;
     break;
    } else {
     i22 = i20;
     i23 = i19;
    }
   } else {
    i22 = i16;
    i23 = i10;
   }
   while (1) {
    i10 = i22 + 20 | 0;
    i16 = get32(i10 | 0) | 0;
    if (i16) {
     i22 = i16;
     i23 = i10;
     continue;
    }
    i10 = i22 + 16 | 0;
    i16 = get32(i10 | 0) | 0;
    if (!i16) {
     i24 = i22;
     i25 = i23;
     break;
    } else {
     i22 = i16;
     i23 = i10;
    }
   }
   if (i25 >>> 0 < i9 >>> 0) _abort(); else {
    set32(i25 | 0, 0 | 0);
    i21 = i24;
    break;
   }
  } else {
   i10 = get32(i2 + (i6 + 8) | 0) | 0;
   if (i10 >>> 0 < i9 >>> 0) _abort();
   i16 = i10 + 12 | 0;
   if ((get32(i16 | 0) | 0) != (i7 | 0)) _abort();
   i19 = i14 + 8 | 0;
   if ((get32(i19 | 0) | 0) == (i7 | 0)) {
    set32(i16 | 0, i14 | 0);
    set32(i19 | 0, i10 | 0);
    i21 = i14;
    break;
   } else _abort();
  } while (0);
  if (i11) {
   i14 = get32(i2 + (i6 + 28) | 0) | 0;
   i10 = i1 + 304 + (i14 << 2) | 0;
   if ((i7 | 0) == (get32(i10 | 0) | 0)) {
    set32(i10 | 0, i21 | 0);
    if (!i21) {
     i10 = i1 + 4 | 0;
     set32(i10 | 0, get32(i10 | 0) & ~(1 << i14) | 0);
     break;
    }
   } else {
    if (i11 >>> 0 < (get32(i8 | 0) | 0) >>> 0) _abort();
    i14 = i11 + 16 | 0;
    if ((get32(i14 | 0) | 0) == (i7 | 0)) set32(i14 | 0, i21 | 0); else set32(i11 + 20 | 0, i21 | 0);
    if (!i21) break;
   }
   i14 = get32(i8 | 0) | 0;
   if (i21 >>> 0 < i14 >>> 0) _abort();
   set32(i21 + 24 | 0, i11 | 0);
   i10 = get32(i2 + (i6 + 16) | 0) | 0;
   do if (i10) if (i10 >>> 0 < i14 >>> 0) _abort(); else {
    set32(i21 + 16 | 0, i10 | 0);
    set32(i10 + 24 | 0, i21 | 0);
    break;
   } while (0);
   i10 = get32(i2 + (i6 + 20) | 0) | 0;
   if (i10) if (i10 >>> 0 < (get32(i8 | 0) | 0) >>> 0) _abort(); else {
    set32(i21 + 20 | 0, i10 | 0);
    set32(i10 + 24 | 0, i21 | 0);
    break;
   }
  }
 } else {
  i10 = get32(i2 + (i6 + 8) | 0) | 0;
  i14 = get32(i2 + (i6 + 12) | 0) | 0;
  i11 = i1 + 40 + (i18 << 1 << 2) | 0;
  if ((i10 | 0) != (i11 | 0)) {
   if (i10 >>> 0 < i9 >>> 0) _abort();
   if ((get32(i10 + 12 | 0) | 0) != (i7 | 0)) _abort();
  }
  if ((i14 | 0) == (i10 | 0)) {
   set32(i1 | 0, get32(i1 | 0) & ~(1 << i18) | 0);
   break;
  }
  if ((i14 | 0) != (i11 | 0)) {
   if (i14 >>> 0 < i9 >>> 0) _abort();
   i11 = i14 + 8 | 0;
   if ((get32(i11 | 0) | 0) == (i7 | 0)) i26 = i11; else _abort();
  } else i26 = i14 + 8 | 0;
  set32(i10 + 12 | 0, i14 | 0);
  set32(i26 | 0, i10 | 0);
 } while (0);
 if (i15 >>> 0 < 16) {
  set32(i4 | 0, i17 | i5 & 1 | 2 | 0);
  i26 = i2 + (i17 | 4) | 0;
  set32(i26 | 0, get32(i26 | 0) | 1 | 0);
  i13 = i2;
  return i13 | 0;
 } else {
  set32(i4 | 0, i5 & 1 | i3 | 2 | 0);
  set32(i2 + (i3 + 4) | 0, i15 | 3 | 0);
  i5 = i2 + (i17 | 4) | 0;
  set32(i5 | 0, get32(i5 | 0) | 1 | 0);
  _dispose_chunk184(i1, i2 + i3 | 0, i15);
  i13 = i2;
  return i13 | 0;
 }
 return 0;
}

function _sqlite3BtreeNext(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 176 | 0;
 i4 = i3 + 16 | 0;
 i5 = i3 + 8 | 0;
 i6 = i3;
 i7 = i3 + 24 | 0;
 i8 = i1 + 83 | 0;
 i9 = get8(i8 >> 0 | 0) | 0;
 do if ((i9 & 255) > 1) {
  if (i9 << 24 >> 24 == 3) {
   i10 = get32(i1 + 76 | 0) | 0;
   if (!i10) break; else i11 = i10;
   STACKTOP = i3;
   return i11 | 0;
  }
  set8(i8 >> 0 | 0, 0 | 0);
  i10 = i1 + 72 | 0;
  i12 = get32(i10 | 0) | 0;
  i13 = i1 + 64 | 0;
  i14 = get32(i13 | 0) | 0;
  i15 = get32(i13 + 4 | 0) | 0;
  i13 = i1 + 76 | 0;
  do if (i12) {
   i16 = _sqlite3VdbeRecordUnpack(get32(i1 + 16 | 0) | 0, i14, i12, i7, 150) | 0;
   if (!i16) {
    i11 = 7;
    STACKTOP = i3;
    return i11 | 0;
   } else {
    i17 = _sqlite3BtreeMovetoUnpacked(i1, i16, i14, i15, 0, i13) | 0;
    if (!(get16(i16 + 6 | 0) & 1)) {
     i18 = i17;
     break;
    }
    _sqlite3DbFree(get32(get32(i16 | 0) | 0) | 0, i16);
    i18 = i17;
    break;
   }
  } else i18 = _sqlite3BtreeMovetoUnpacked(i1, 0, i14, i15, 0, i13) | 0; while (0);
  if (i18) {
   i11 = i18;
   STACKTOP = i3;
   return i11 | 0;
  }
  i13 = get32(i10 | 0) | 0;
  do if (i13) {
   if (!(get32(50 * 4 | 0) | 0)) {
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i13);
    break;
   }
   i15 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i13) | 0;
   i14 = (get32(30 * 4 | 0) | 0) - i15 | 0;
   set32(30 * 4 | 0, i14 | 0);
   if ((i14 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i14 | 0);
   i14 = (get32(39 * 4 | 0) | 0) + -1 | 0;
   set32(39 * 4 | 0, i14 | 0);
   if ((i14 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i14 | 0);
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i13);
  } while (0);
  set32(i10 | 0, 0 | 0);
  i19 = get8(i8 >> 0 | 0) | 0;
  i20 = 20;
 } else {
  i19 = i9;
  i20 = 20;
 } while (0);
 if ((i20 | 0) == 20 ? i19 << 24 >> 24 == 0 : 0) {
  set32(i2 | 0, 1 | 0);
  i11 = 0;
  STACKTOP = i3;
  return i11 | 0;
 }
 i19 = i1 + 76 | 0;
 i9 = (get32(i19 | 0) | 0) > 0;
 set32(i19 | 0, 0 | 0);
 if (i9) {
  set32(i2 | 0, 0 | 0);
  i11 = 0;
  STACKTOP = i3;
  return i11 | 0;
 }
 i9 = i1 + 90 | 0;
 i19 = get16(i9 | 0) | 0;
 i18 = get32(i1 + 132 + (i19 << 2) | 0) | 0;
 i13 = i1 + 92 + (i19 << 1) | 0;
 i19 = (get16(i13 | 0) | 0) + 1 << 16 >> 16;
 set16(i13 | 0, i19 | 0);
 i13 = i1 + 58 | 0;
 set16(i13 | 0, 0 | 0);
 i14 = i1 + 82 | 0;
 set8(i14 >> 0 | 0, 0 | 0);
 if ((i19 & 65535) < (getU16(i18 + 16 | 0) | 0)) {
  set32(i2 | 0, 0 | 0);
  if (get8(i18 + 3 >> 0 | 0) | 0) {
   i11 = 0;
   STACKTOP = i3;
   return i11 | 0;
  }
  i11 = _moveToLeftmost(i1) | 0;
  STACKTOP = i3;
  return i11 | 0;
 }
 if (get8(i18 + 3 >> 0 | 0) | 0) {
  i19 = get16(i9 | 0) | 0;
  while (1) {
   if (!(i19 << 16 >> 16)) {
    i20 = 41;
    break;
   }
   i15 = get32(i1 + 132 + (i19 << 16 >> 16 << 2) | 0) | 0;
   if (!i15) i21 = i19; else {
    _sqlite3PagerUnref(get32(i15 + 68 | 0) | 0);
    i21 = get16(i9 | 0) | 0;
   }
   i19 = i21 + -1 << 16 >> 16;
   set16(i9 | 0, i19 | 0);
   set16(i13 | 0, 0 | 0);
   set8(i14 >> 0 | 0, 0 | 0);
   i15 = i19 << 16 >> 16;
   i12 = get32(i1 + 132 + (i15 << 2) | 0) | 0;
   if ((getU16(i1 + 92 + (i15 << 1) | 0) | 0) < (getU16(i12 + 16 | 0) | 0)) {
    i22 = i12;
    break;
   }
  }
  if ((i20 | 0) == 41) {
   set32(i2 | 0, 1 | 0);
   set8(i8 >> 0 | 0, 0 | 0);
   i11 = 0;
   STACKTOP = i3;
   return i11 | 0;
  }
  set32(i2 | 0, 0 | 0);
  if (!(get8(i22 + 2 >> 0 | 0) | 0)) {
   i11 = 0;
   STACKTOP = i3;
   return i11 | 0;
  }
  i11 = _sqlite3BtreeNext(i1, i2) | 0;
  STACKTOP = i3;
  return i11 | 0;
 }
 i22 = getU8(i18 + 5 >> 0 | 0) | 0;
 i8 = get32(i18 + 64 | 0) | 0;
 i18 = getU8(i8 + (i22 + 9) >> 0 | 0) << 16 | getU8(i8 + (i22 + 8) >> 0 | 0) << 24 | getU8(i8 + (i22 + 10) >> 0 | 0) << 8 | getU8(i8 + (i22 + 11) >> 0 | 0);
 i22 = get16(i9 | 0) | 0;
 i8 = i22 << 16 >> 16;
 if (i22 << 16 >> 16 > 18) {
  set32(i6 | 0, 51636 | 0);
  set32(i6 + 4 | 0, 17203 | 0);
  _sqlite3_log(11, 19615, i6);
  i11 = 11;
  STACKTOP = i3;
  return i11 | 0;
 }
 i6 = get32(i1 + 4 | 0) | 0;
 if ((get32(i6 + 48 | 0) | 0) >>> 0 < i18 >>> 0) {
  set32(i5 | 0, 49122 | 0);
  set32(i5 + 4 | 0, 17203 | 0);
  _sqlite3_log(11, 19615, i5);
  i11 = 11;
  STACKTOP = i3;
  return i11 | 0;
 }
 i5 = _sqlite3PagerAcquire(get32(i6 | 0) | 0, i18, i7, 0) | 0;
 if (i5) {
  i11 = i5;
  STACKTOP = i3;
  return i11 | 0;
 }
 i5 = get32(i7 | 0) | 0;
 i7 = get32(i5 + 4 | 0) | 0;
 set32(i7 + 64 | 0, get32(i5 | 0) | 0);
 i22 = i7 + 68 | 0;
 set32(i22 | 0, i5 | 0);
 set32(i7 + 60 | 0, i6 | 0);
 set32(i7 + 72 | 0, i18 | 0);
 set8(i7 + 5 >> 0 | 0, ((i18 | 0) == 1 ? 100 : 0) | 0);
 i18 = _btreeInitPage(i7) | 0;
 if (i18) {
  if (!i7) {
   i11 = i18;
   STACKTOP = i3;
   return i11 | 0;
  }
  _sqlite3PagerUnref(get32(i22 | 0) | 0);
  i11 = i18;
  STACKTOP = i3;
  return i11 | 0;
 }
 i18 = i8 + 1 | 0;
 set32(i1 + 132 + (i18 << 2) | 0, i7 | 0);
 set16(i1 + 92 + (i18 << 1) | 0, 0 | 0);
 set16(i9 | 0, (get16(i9 | 0) | 0) + 1 << 16 >> 16 | 0);
 set16(i13 | 0, 0 | 0);
 set8(i14 >> 0 | 0, 0 | 0);
 if ((get16(i7 + 16 | 0) | 0) != 0 ? (get8(i7 + 2 >> 0 | 0) | 0) == (get8((get32(i1 + 132 + (i8 << 2) | 0) | 0) + 2 >> 0 | 0) | 0) : 0) {
  i8 = _moveToLeftmost(i1) | 0;
  set32(i2 | 0, 0 | 0);
  i11 = i8;
  STACKTOP = i3;
  return i11 | 0;
 }
 set32(i4 | 0, 51647 | 0);
 set32(i4 + 4 | 0, 17203 | 0);
 _sqlite3_log(11, 19615, i4);
 i11 = 11;
 STACKTOP = i3;
 return i11 | 0;
}

function _sqlite3AddDefaultValue(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i4 = i3;
 i5 = i3 + 8 | 0;
 i6 = get32(i1 | 0) | 0;
 i7 = get32(i1 + 508 | 0) | 0;
 if (!i7) {
  i8 = i2;
  i9 = get32(i8 | 0) | 0;
  _sqlite3ExprDelete(i6, i9);
  STACKTOP = i3;
  return;
 }
 i10 = (get32(i7 + 8 | 0) | 0) + -1 | 0;
 i11 = get32(i7 + 12 | 0) | 0;
 i7 = get32(i2 | 0) | 0;
 i12 = i5 + 12 | 0;
 set32(i12 | 0, 2 | 0);
 set32(i5 | 0, 67 | 0);
 set32(i5 + 4 | 0, 68 | 0);
 _sqlite3WalkExpr(i5, i7) | 0;
 if (!(get32(i12 | 0) | 0)) {
  set32(i4 | 0, get32(i11 + (i10 * 24 | 0) | 0) | 0);
  _sqlite3ErrorMsg(i1, 30789, i4);
  i8 = i2;
  i9 = get32(i8 | 0) | 0;
  _sqlite3ExprDelete(i6, i9);
  STACKTOP = i3;
  return;
 }
 i4 = i11 + (i10 * 24 | 0) + 4 | 0;
 _sqlite3ExprDelete(i6, get32(i4 | 0) | 0);
 set32(i4 | 0, _exprDup(i6, get32(i2 | 0) | 0, 1, 0) | 0 | 0);
 i4 = i11 + (i10 * 24 | 0) + 8 | 0;
 _sqlite3DbFree(i6, get32(i4 | 0) | 0);
 i10 = get32(i2 + 4 | 0) | 0;
 i11 = (get32(i2 + 8 | 0) | 0) - i10 | 0;
 L9 : do if (!i10) i13 = 0; else {
  i1 = i11 + 1 | 0;
  L11 : do if (!i6) {
   if (i11 >>> 0 > 2147483390) {
    i13 = 0;
    break L9;
   }
   if (!(get32(50 * 4 | 0) | 0)) {
    i14 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i1) | 0;
    i15 = 45;
    break;
   }
   i12 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i1) | 0;
   set32(35 * 4 | 0, i1 | 0);
   if ((get32(45 * 4 | 0) | 0) < (i1 | 0)) set32(45 * 4 | 0, i1 | 0);
   i7 = get32(6 * 4 | 0) | 0;
   do if (i7) {
    i5 = get32(30 * 4 | 0) | 0;
    i16 = ((i5 | 0) < 0) << 31 >> 31;
    i17 = 16;
    i18 = _i64Subtract(get32(i17 | 0) | 0, get32(i17 + 4 | 0) | 0, i12 | 0, ((i12 | 0) < 0) << 31 >> 31 | 0) | 0;
    i17 = tempRet0;
    if ((i16 | 0) < (i17 | 0) | (i16 | 0) == (i17 | 0) & i5 >>> 0 < i18 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i18 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i7 & 15](i18, i5, i16, i12);
     set32(6 * 4 | 0, i7 | 0);
     set32(7 * 4 | 0, i18 | 0);
     break;
    }
   } while (0);
   i7 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i12) | 0;
   if (!i7) {
    i13 = 0;
    break L9;
   }
   i18 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i7) | 0;
   i16 = (get32(30 * 4 | 0) | 0) + i18 | 0;
   set32(30 * 4 | 0, i16 | 0);
   if ((i16 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i16 | 0);
   i16 = get32(39 * 4 | 0) | 0;
   i18 = i16 + 1 | 0;
   set32(39 * 4 | 0, i18 | 0);
   if ((i16 | 0) < (get32(49 * 4 | 0) | 0)) i19 = i7; else {
    set32(49 * 4 | 0, i18 | 0);
    i19 = i7;
   }
  } else {
   i7 = i6 + 30 | 0;
   if (get8(i7 >> 0 | 0) | 0) {
    i13 = 0;
    break L9;
   }
   do if (get8(i6 + 234 >> 0 | 0) | 0) {
    if ((getU16(i6 + 232 | 0) | 0) < (i1 | 0)) {
     i18 = i6 + 248 | 0;
     set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
     break;
    }
    i18 = i6 + 256 | 0;
    i16 = get32(i18 | 0) | 0;
    if (!i16) {
     i5 = i6 + 252 | 0;
     set32(i5 | 0, (get32(i5 | 0) | 0) + 1 | 0);
     break;
    }
    set32(i18 | 0, get32(i16 | 0) | 0);
    i18 = i6 + 236 | 0;
    i5 = get32(i18 | 0) | 0;
    i17 = i5 + 1 | 0;
    set32(i18 | 0, i17 | 0);
    i18 = i6 + 244 | 0;
    set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
    i18 = i6 + 240 | 0;
    if ((i5 | 0) >= (get32(i18 | 0) | 0)) set32(i18 | 0, i17 | 0);
    i14 = i16;
    i15 = 45;
    break L11;
   } while (0);
   do if (i11 >>> 0 <= 2147483390) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i12 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i1) | 0;
     if (!i12) break; else {
      i19 = i12;
      break L11;
     }
    }
    i12 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i1) | 0;
    set32(35 * 4 | 0, i1 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i1 | 0)) set32(45 * 4 | 0, i1 | 0);
    i16 = get32(6 * 4 | 0) | 0;
    do if (i16) {
     i17 = get32(30 * 4 | 0) | 0;
     i18 = ((i17 | 0) < 0) << 31 >> 31;
     i5 = 16;
     i20 = _i64Subtract(get32(i5 | 0) | 0, get32(i5 + 4 | 0) | 0, i12 | 0, ((i12 | 0) < 0) << 31 >> 31 | 0) | 0;
     i5 = tempRet0;
     if ((i18 | 0) < (i5 | 0) | (i18 | 0) == (i5 | 0) & i17 >>> 0 < i20 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i20 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i16 & 15](i20, i17, i18, i12);
      set32(6 * 4 | 0, i16 | 0);
      set32(7 * 4 | 0, i20 | 0);
      break;
     }
    } while (0);
    i16 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i12) | 0;
    if (i16) {
     i20 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i16) | 0;
     i18 = (get32(30 * 4 | 0) | 0) + i20 | 0;
     set32(30 * 4 | 0, i18 | 0);
     if ((i18 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i18 | 0);
     i18 = get32(39 * 4 | 0) | 0;
     i20 = i18 + 1 | 0;
     set32(39 * 4 | 0, i20 | 0);
     if ((i18 | 0) < (get32(49 * 4 | 0) | 0)) {
      i19 = i16;
      break L11;
     }
     set32(49 * 4 | 0, i20 | 0);
     i19 = i16;
     break L11;
    }
   } while (0);
   set8(i7 >> 0 | 0, 1 | 0);
   i13 = 0;
   break L9;
  } while (0);
  if ((i15 | 0) == 45) if (!i14) {
   i13 = 0;
   break;
  } else i19 = i14;
  _memcpy(i19 | 0, i10 | 0, i11 | 0) | 0;
  set8(i19 + i11 >> 0 | 0, 0 | 0);
  i13 = i19;
 } while (0);
 set32(i4 | 0, i13 | 0);
 i8 = i2;
 i9 = get32(i8 | 0) | 0;
 _sqlite3ExprDelete(i6, i9);
 STACKTOP = i3;
 return;
}

function _sqlite3_create_function_v2(i1, i2, i3, i4, i5, i6, i7, i8, i9) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 i7 = i7 | 0;
 i8 = i8 | 0;
 i9 = i9 | 0;
 var i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0;
 i10 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i11 = i10;
 do if (i9) {
  L4 : do if (!i1) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i12 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](12) | 0;
    i13 = 40;
    break;
   }
   i14 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](12) | 0;
   set32(35 * 4 | 0, 12 | 0);
   if ((get32(45 * 4 | 0) | 0) < 12) set32(45 * 4 | 0, 12 | 0);
   i15 = get32(6 * 4 | 0) | 0;
   do if (i15) {
    i16 = get32(30 * 4 | 0) | 0;
    i17 = ((i16 | 0) < 0) << 31 >> 31;
    i18 = 16;
    i19 = _i64Subtract(get32(i18 | 0) | 0, get32(i18 + 4 | 0) | 0, i14 | 0, ((i14 | 0) < 0) << 31 >> 31 | 0) | 0;
    i18 = tempRet0;
    if ((i17 | 0) < (i18 | 0) | (i17 | 0) == (i18 | 0) & i16 >>> 0 < i19 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i19 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i15 & 15](i19, i16, i17, i14);
     set32(6 * 4 | 0, i15 | 0);
     set32(7 * 4 | 0, i19 | 0);
     break;
    }
   } while (0);
   i15 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i14) | 0;
   if (i15) {
    i19 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i15) | 0;
    i17 = (get32(30 * 4 | 0) | 0) + i19 | 0;
    set32(30 * 4 | 0, i17 | 0);
    if ((i17 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i17 | 0);
    i17 = get32(39 * 4 | 0) | 0;
    i19 = i17 + 1 | 0;
    set32(39 * 4 | 0, i19 | 0);
    if ((i17 | 0) < (get32(49 * 4 | 0) | 0)) i20 = i15; else {
     set32(49 * 4 | 0, i19 | 0);
     i20 = i15;
    }
   } else i13 = 41;
  } else {
   i15 = i1 + 30 | 0;
   if (!(get8(i15 >> 0 | 0) | 0)) {
    do if (get8(i1 + 234 >> 0 | 0) | 0) {
     if ((getU16(i1 + 232 | 0) | 0) < 12) {
      i19 = i1 + 248 | 0;
      set32(i19 | 0, (get32(i19 | 0) | 0) + 1 | 0);
      break;
     }
     i19 = i1 + 256 | 0;
     i17 = get32(i19 | 0) | 0;
     if (!i17) {
      i16 = i1 + 252 | 0;
      set32(i16 | 0, (get32(i16 | 0) | 0) + 1 | 0);
      break;
     }
     set32(i19 | 0, get32(i17 | 0) | 0);
     i19 = i1 + 236 | 0;
     i16 = get32(i19 | 0) | 0;
     i18 = i16 + 1 | 0;
     set32(i19 | 0, i18 | 0);
     i19 = i1 + 244 | 0;
     set32(i19 | 0, (get32(i19 | 0) | 0) + 1 | 0);
     i19 = i1 + 240 | 0;
     if ((i16 | 0) >= (get32(i19 | 0) | 0)) set32(i19 | 0, i18 | 0);
     i12 = i17;
     i13 = 40;
     break L4;
    } while (0);
    if (!(get32(50 * 4 | 0) | 0)) {
     i14 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](12) | 0;
     if (i14) {
      i20 = i14;
      break;
     }
    } else {
     i14 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](12) | 0;
     set32(35 * 4 | 0, 12 | 0);
     if ((get32(45 * 4 | 0) | 0) < 12) set32(45 * 4 | 0, 12 | 0);
     i17 = get32(6 * 4 | 0) | 0;
     do if (i17) {
      i18 = get32(30 * 4 | 0) | 0;
      i19 = ((i18 | 0) < 0) << 31 >> 31;
      i16 = 16;
      i21 = _i64Subtract(get32(i16 | 0) | 0, get32(i16 + 4 | 0) | 0, i14 | 0, ((i14 | 0) < 0) << 31 >> 31 | 0) | 0;
      i16 = tempRet0;
      if ((i19 | 0) < (i16 | 0) | (i19 | 0) == (i16 | 0) & i18 >>> 0 < i21 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i21 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i17 & 15](i21, i18, i19, i14);
       set32(6 * 4 | 0, i17 | 0);
       set32(7 * 4 | 0, i21 | 0);
       break;
      }
     } while (0);
     i17 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i14) | 0;
     if (i17) {
      i21 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i17) | 0;
      i19 = (get32(30 * 4 | 0) | 0) + i21 | 0;
      set32(30 * 4 | 0, i19 | 0);
      if ((i19 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i19 | 0);
      i19 = get32(39 * 4 | 0) | 0;
      i21 = i19 + 1 | 0;
      set32(39 * 4 | 0, i21 | 0);
      if ((i19 | 0) < (get32(49 * 4 | 0) | 0)) {
       i20 = i17;
       break;
      }
      set32(49 * 4 | 0, i21 | 0);
      i20 = i17;
      break;
     }
    }
    set8(i15 >> 0 | 0, 1 | 0);
    i13 = 41;
   } else i13 = 41;
  } while (0);
  if ((i13 | 0) == 40) if (!i12) i13 = 41; else i20 = i12;
  if ((i13 | 0) == 41) {
   FUNCTION_TABLE_vi[i9 & 31](i5);
   i22 = 1;
   break;
  }
  i17 = i20;
  i21 = i17;
  set8(i21 >> 0 | 0, 0 | 0);
  set8(i21 + 1 >> 0 | 0, 0 | 0);
  set8(i21 + 2 >> 0 | 0, 0 | 0);
  set8(i21 + 3 >> 0 | 0, 0 | 0);
  i21 = i17 + 4 | 0;
  set8(i21 >> 0 | 0, 0 | 0);
  set8(i21 + 1 >> 0 | 0, 0 | 0);
  set8(i21 + 2 >> 0 | 0, 0 | 0);
  set8(i21 + 3 >> 0 | 0, 0 | 0);
  set32(i20 + 4 | 0, i9 | 0);
  set32(i20 + 8 | 0, i5 | 0);
  i21 = _sqlite3CreateFunc(i1, i2, i3, i4, i5, i6, i7, i8, i20) | 0;
  if ((i20 | 0) != 0 ? (get32(i20 | 0) | 0) == 0 : 0) {
   FUNCTION_TABLE_vi[i9 & 31](i5);
   _sqlite3DbFree(i1, i20);
   i22 = i21;
  } else i22 = i21;
 } else i22 = _sqlite3CreateFunc(i1, i2, i3, i4, i5, i6, i7, i8, 0) | 0; while (0);
 if (!i1) {
  i23 = i22;
  i24 = 255;
  i25 = i24 & i23;
  STACKTOP = i10;
  return i25 | 0;
 }
 i8 = i1 + 30 | 0;
 if ((i22 | 0) == 3082 | (get8(i8 >> 0 | 0) | 0) != 0) {
  _sqlite3Error(i1, 7, 0, i11);
  set8(i8 >> 0 | 0, 0 | 0);
  i26 = 7;
 } else i26 = i22;
 i23 = i26;
 i24 = get32(i1 + 24 | 0) | 0;
 i25 = i24 & i23;
 STACKTOP = i10;
 return i25 | 0;
}

function _sqlite3PagerSetPagesize(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i5 = i4;
 i6 = get32(i2 | 0) | 0;
 if (!((get8(i1 + 14 >> 0 | 0) | 0) != 0 ? (get32(i1 + 24 | 0) | 0) != 0 : 0)) i7 = 3;
 L3 : do if (((i7 | 0) == 3 ? (i8 = i1 + 168 | 0, (i6 | 0) != 0 ? (get32((get32(i8 | 0) | 0) + 12 | 0) | 0) == 0 : 0) : 0) ? (i9 = i1 + 128 | 0, (i6 | 0) != (get32(i9 | 0) | 0)) : 0) {
  i10 = i5;
  set32(i10 | 0, 0 | 0);
  set32(i10 + 4 | 0, 0 | 0);
  if (((get8(i1 + 15 >> 0 | 0) | 0) != 0 ? (i10 = get32(i1 + 60 | 0) | 0, i11 = get32(i10 | 0) | 0, (i11 | 0) != 0) : 0) ? (i12 = FUNCTION_TABLE_iii[get32(i11 + 24 | 0) & 127](i10, i5) | 0, (i12 | 0) != 0) : 0) i13 = i12; else i7 = 8;
  do if ((i7 | 0) == 8) {
   set32(37 * 4 | 0, i6 | 0);
   if ((get32(47 * 4 | 0) | 0) < (i6 | 0)) set32(47 * 4 | 0, i6 | 0);
   if ((get32(376 * 4 | 0) | 0) >= (i6 | 0) ? (i12 = get32(383 * 4 | 0) | 0, (i12 | 0) != 0) : 0) {
    set32(383 * 4 | 0, get32(i12 | 0) | 0);
    i10 = get32(382 * 4 | 0) | 0;
    set32(382 * 4 | 0, i10 + -1 | 0);
    set32(384 * 4 | 0, (i10 | 0) <= (get32(378 * 4 | 0) | 0) & 1 | 0);
    i10 = get32(31 * 4 | 0) | 0;
    i11 = i10 + 1 | 0;
    set32(31 * 4 | 0, i11 | 0);
    if ((i10 | 0) < (get32(41 * 4 | 0) | 0)) i14 = i12; else {
     set32(41 * 4 | 0, i11 | 0);
     i14 = i12;
    }
   } else {
    if ((i6 + -1 | 0) >>> 0 > 2147483390) {
     i13 = 7;
     break;
    }
    if (!(get32(50 * 4 | 0) | 0)) {
     i12 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i6) | 0;
     if (!i12) {
      i13 = 7;
      break;
     } else i15 = i12;
    } else {
     i12 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i6) | 0;
     set32(35 * 4 | 0, i6 | 0);
     if ((get32(45 * 4 | 0) | 0) < (i6 | 0)) set32(45 * 4 | 0, i6 | 0);
     i11 = get32(6 * 4 | 0) | 0;
     do if (i11) {
      i10 = get32(30 * 4 | 0) | 0;
      i16 = ((i10 | 0) < 0) << 31 >> 31;
      i17 = 16;
      i18 = _i64Subtract(get32(i17 | 0) | 0, get32(i17 + 4 | 0) | 0, i12 | 0, ((i12 | 0) < 0) << 31 >> 31 | 0) | 0;
      i17 = tempRet0;
      if ((i16 | 0) < (i17 | 0) | (i16 | 0) == (i17 | 0) & i10 >>> 0 < i18 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i18 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i11 & 15](i18, i10, i16, i12);
       set32(6 * 4 | 0, i11 | 0);
       set32(7 * 4 | 0, i18 | 0);
       break;
      }
     } while (0);
     i11 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i12) | 0;
     if (!i11) {
      i13 = 7;
      break;
     }
     i18 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i11) | 0;
     i16 = (get32(30 * 4 | 0) | 0) + i18 | 0;
     set32(30 * 4 | 0, i16 | 0);
     if ((i16 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i16 | 0);
     i16 = get32(39 * 4 | 0) | 0;
     i18 = i16 + 1 | 0;
     set32(39 * 4 | 0, i18 | 0);
     if ((i16 | 0) < (get32(49 * 4 | 0) | 0)) i15 = i11; else {
      set32(49 * 4 | 0, i18 | 0);
      i15 = i11;
     }
    }
    i11 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i15) | 0;
    i18 = (get32(32 * 4 | 0) | 0) + i11 | 0;
    set32(32 * 4 | 0, i18 | 0);
    if ((i18 | 0) > (get32(42 * 4 | 0) | 0)) {
     set32(42 * 4 | 0, i18 | 0);
     i14 = i15;
    } else i14 = i15;
   }
   _pager_reset(i1);
   i18 = i5;
   i11 = ___divdi3(get32(i18 | 0) | 0, get32(i18 + 4 | 0) | 0, i6 | 0, 0) | 0;
   set32(i1 + 24 | 0, i11 | 0);
   set32(i9 | 0, i6 | 0);
   i11 = i1 + 164 | 0;
   i18 = get32(i11 | 0) | 0;
   do if (i18) {
    if ((get32(379 * 4 | 0) | 0) >>> 0 <= i18 >>> 0 & (get32(380 * 4 | 0) | 0) >>> 0 > i18 >>> 0) {
     i16 = (get32(31 * 4 | 0) | 0) + -1 | 0;
     set32(31 * 4 | 0, i16 | 0);
     if ((i16 | 0) > (get32(41 * 4 | 0) | 0)) set32(41 * 4 | 0, i16 | 0);
     set32(i18 | 0, get32(383 * 4 | 0) | 0);
     set32(383 * 4 | 0, i18 | 0);
     i16 = (get32(382 * 4 | 0) | 0) + 1 | 0;
     set32(382 * 4 | 0, i16 | 0);
     set32(384 * 4 | 0, (i16 | 0) < (get32(378 * 4 | 0) | 0) & 1 | 0);
     break;
    }
    i16 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i18) | 0;
    i10 = (get32(32 * 4 | 0) | 0) - i16 | 0;
    set32(32 * 4 | 0, i10 | 0);
    if ((i10 | 0) > (get32(42 * 4 | 0) | 0)) set32(42 * 4 | 0, i10 | 0);
    if (!(get32(50 * 4 | 0) | 0)) {
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i18);
     break;
    }
    i10 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i18) | 0;
    i16 = (get32(30 * 4 | 0) | 0) - i10 | 0;
    set32(30 * 4 | 0, i16 | 0);
    if ((i16 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i16 | 0);
    i16 = (get32(39 * 4 | 0) | 0) + -1 | 0;
    set32(39 * 4 | 0, i16 | 0);
    if ((i16 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i16 | 0);
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i18);
   } while (0);
   set32(i11 | 0, i14 | 0);
   i18 = get32(i8 | 0) | 0;
   i12 = i18 + 40 | 0;
   i16 = get32(i12 | 0) | 0;
   if (i16) {
    FUNCTION_TABLE_vi[get32(336 | 0) & 31](i16);
    set32(i12 | 0, 0 | 0);
    set32(i18 + 44 | 0, 0 | 0);
   }
   set32(i18 + 20 | 0, i6 | 0);
   break L3;
  } while (0);
  set32(i2 | 0, get32(i9 | 0) | 0);
  i19 = i13;
  STACKTOP = i4;
  return i19 | 0;
 } while (0);
 set32(i2 | 0, get32(i1 + 128 | 0) | 0);
 i2 = i1 + 118 | 0;
 if ((i3 | 0) < 0) i20 = get16(i2 | 0) | 0; else i20 = i3;
 set16(i2 | 0, i20 | 0);
 i19 = 0;
 STACKTOP = i4;
 return i19 | 0;
}

function _sqlite3PagerWrite(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i3 = i2;
 i4 = get32(i1 + 16 | 0) | 0;
 i5 = i4 + 128 | 0;
 i6 = ((get32(i4 + 124 | 0) | 0) >>> 0) / ((get32(i5 | 0) | 0) >>> 0) | 0;
 if (i6 >>> 0 <= 1) {
  i7 = _pager_write(i1) | 0;
  STACKTOP = i2;
  return i7 | 0;
 }
 i8 = i4 + 20 | 0;
 set8(i8 >> 0 | 0, (get8(i8 >> 0 | 0) | 0) + 1 << 24 >> 24 | 0);
 i9 = i1 + 12 | 0;
 i1 = get32(i9 | 0) | 0;
 i10 = i1 + -1 | 0;
 i11 = 0 - i6 | 0;
 i12 = i10 & i11;
 i13 = i12 + 1 | 0;
 i14 = ~(i10 & i11);
 i11 = get32(i4 + 24 | 0) | 0;
 if (i1 >>> 0 <= i11 >>> 0) if ((i12 + i6 | 0) >>> 0 > i11 >>> 0) i15 = i11 + 1 + i14 | 0; else i15 = i6; else i15 = i1 + 1 + i14 | 0;
 L10 : do if ((i15 | 0) > 0) {
  i14 = i4 + 56 | 0;
  i6 = i4 + 168 | 0;
  i11 = i1;
  i10 = 0;
  i16 = 0;
  while (1) {
   i17 = i10 + i13 | 0;
   L14 : do if (((i17 | 0) != (i11 | 0) ? (i18 = get32(i14 | 0) | 0, (i18 | 0) != 0) : 0) ? (i19 = i10 + i12 | 0, i19 >>> 0 < (get32(i18 | 0) | 0) >>> 0) : 0) {
    i20 = i19;
    i19 = i18;
    while (1) {
     i18 = get32(i19 + 8 | 0) | 0;
     if (!i18) {
      i21 = i20;
      i22 = i19;
      break;
     }
     i19 = get32(i19 + 12 + (((i20 >>> 0) / (i18 >>> 0) | 0) << 2) | 0) | 0;
     if (!i19) {
      i23 = 18;
      break L14;
     } else i20 = (i20 >>> 0) % (i18 >>> 0) | 0;
    }
    L21 : do if ((get32(i22 | 0) | 0) >>> 0 < 4001) {
     if (!((getU8(i22 + 12 + (i21 >>> 3) >> 0 | 0) | 0) & 1 << (i21 & 7))) {
      i23 = 18;
      break L14;
     }
    } else {
     i20 = i21 + 1 | 0;
     i19 = (i21 >>> 0) % 125 | 0;
     i18 = get32(i22 + 12 + (i19 << 2) | 0) | 0;
     if (!i18) {
      i23 = 18;
      break L14;
     } else {
      i24 = i18;
      i25 = i19;
     }
     while (1) {
      if ((i24 | 0) == (i20 | 0)) break L21;
      i25 = ((i25 + 1 | 0) >>> 0) % 125 | 0;
      i24 = get32(i22 + 12 + (i25 << 2) | 0) | 0;
      if (!i24) {
       i23 = 18;
       break L14;
      }
     }
    } while (0);
    i20 = get32(i6 | 0) | 0;
    i19 = get32(i20 + 40 | 0) | 0;
    if ((i19 | 0) != 0 ? (i18 = FUNCTION_TABLE_iiii[get32(320 | 0) & 63](i19, i17, 0) | 0, (i18 | 0) != 0) : 0) {
     if (!(get32(i18 | 0) | 0)) {
      i26 = i18;
      i27 = i26 + 36 | 0;
      do {
       set32(i26 | 0, 0 | 0);
       i26 = i26 + 4 | 0;
      } while ((i26 | 0) < (i27 | 0));
      set32(i18 | 0, i18 + 36 | 0);
      i19 = i18 + ((get32(i20 + 20 | 0) | 0) + 36) | 0;
      set32(i18 + 4 | 0, i19 | 0);
      _memset(i19 | 0, 0, get32(i20 + 24 | 0) | 0) | 0;
      set32(i18 + 24 | 0, i20 | 0);
      set32(i18 + 12 | 0, i17 | 0);
     }
     i19 = i18 + 22 | 0;
     i28 = get16(i19 | 0) | 0;
     if (!(i28 << 16 >> 16)) {
      i29 = i20 + 12 | 0;
      set32(i29 | 0, (get32(i29 | 0) | 0) + 1 | 0);
     }
     set16(i19 | 0, i28 + 1 << 16 >> 16 | 0);
     if ((i17 | 0) == 1) set32(i20 + 44 | 0, i18 | 0);
     set32(i3 | 0, i18 | 0);
     i28 = (get16(i18 + 20 | 0) & 4) == 0 ? i16 : 1;
     _sqlite3PagerUnref(i18);
     i30 = i28;
     i31 = 0;
     break;
    }
    set32(i3 | 0, 0 | 0);
    i30 = i16;
    i31 = 0;
   } else i23 = 18; while (0);
   if ((i23 | 0) == 18) {
    i23 = 0;
    if ((i17 | 0) == (((get32(199 * 4 | 0) | 0) / (get32(i5 | 0) | 0) | 0) + 1 | 0)) {
     i30 = i16;
     i31 = 0;
    } else {
     i28 = _sqlite3PagerAcquire(i4, i17, i3, 0) | 0;
     if (i28) {
      i32 = i28;
      break L10;
     }
     i28 = get32(i3 | 0) | 0;
     i19 = _pager_write(i28) | 0;
     i29 = (get16(i28 + 20 | 0) & 4) == 0 ? i16 : 1;
     _sqlite3PagerUnref(i28);
     i30 = i29;
     i31 = i19;
    }
   }
   i19 = i10 + 1 | 0;
   i29 = (i31 | 0) == 0;
   if (!((i19 | 0) < (i15 | 0) & i29)) {
    i33 = i29;
    i34 = i30;
    i35 = i31;
    break;
   }
   i11 = get32(i9 | 0) | 0;
   i10 = i19;
   i16 = i30;
  }
  if ((i34 | 0) != 0 & i33) {
   i16 = 0;
   do {
    i10 = i16 + i13 | 0;
    i11 = get32(i6 | 0) | 0;
    i14 = get32(i11 + 40 | 0) | 0;
    if ((i14 | 0) != 0 ? (i19 = FUNCTION_TABLE_iiii[get32(320 | 0) & 63](i14, i10, 0) | 0, (i19 | 0) != 0) : 0) {
     if (!(get32(i19 | 0) | 0)) {
      i26 = i19;
      i27 = i26 + 36 | 0;
      do {
       set32(i26 | 0, 0 | 0);
       i26 = i26 + 4 | 0;
      } while ((i26 | 0) < (i27 | 0));
      set32(i19 | 0, i19 + 36 | 0);
      i17 = i19 + ((get32(i11 + 20 | 0) | 0) + 36) | 0;
      set32(i19 + 4 | 0, i17 | 0);
      _memset(i17 | 0, 0, get32(i11 + 24 | 0) | 0) | 0;
      set32(i19 + 24 | 0, i11 | 0);
      set32(i19 + 12 | 0, i10 | 0);
     }
     i17 = i19 + 22 | 0;
     i14 = get16(i17 | 0) | 0;
     if (!(i14 << 16 >> 16)) {
      i29 = i11 + 12 | 0;
      set32(i29 | 0, (get32(i29 | 0) | 0) + 1 | 0);
     }
     set16(i17 | 0, i14 + 1 << 16 >> 16 | 0);
     if ((i10 | 0) == 1) set32(i11 + 44 | 0, i19 | 0);
     i14 = i19 + 20 | 0;
     set16(i14 | 0, getU16(i14 | 0) | 0 | 4 | 0);
     _sqlite3PagerUnref(i19);
    }
    i16 = i16 + 1 | 0;
   } while ((i16 | 0) != (i15 | 0));
   i32 = 0;
  } else i32 = i35;
 } else i32 = 0; while (0);
 set8(i8 >> 0 | 0, (get8(i8 >> 0 | 0) | 0) + -1 << 24 >> 24 | 0);
 i7 = i32;
 STACKTOP = i2;
 return i7 | 0;
}

function _dropCell(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0, i43 = 0, i44 = 0, i45 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i6 = i5 + 24 | 0;
 i7 = i5 + 16 | 0;
 i8 = i5 + 8 | 0;
 i9 = i5;
 if (get32(i4 | 0) | 0) {
  STACKTOP = i5;
  return;
 }
 i10 = get32(i1 + 64 | 0) | 0;
 i11 = i1 + 12 | 0;
 i12 = (getU16(i11 | 0) | 0) + (i2 << 1) | 0;
 i2 = i10 + i12 | 0;
 i13 = get8(i2 >> 0 | 0) | 0;
 i14 = get8(i10 + (i12 + 1) >> 0 | 0) | 0;
 i15 = (i13 & 255) << 8 | i14 & 255;
 i16 = i1 + 5 | 0;
 i17 = get8(i16 >> 0 | 0) | 0;
 i18 = i17 & 255;
 if (i15 >>> 0 >= (getU8(i10 + (i18 + 5) >> 0 | 0) << 8 | getU8(i10 + (i18 + 6) >> 0 | 0)) >>> 0 ? (i19 = i1 + 60 | 0, i20 = get32(i19 | 0) | 0, i21 = get32(i20 + 40 | 0) | 0, (i15 + i3 | 0) >>> 0 <= i21 >>> 0) : 0) {
  if (!(get8(i20 + 18 >> 0 | 0) | 0)) {
   i22 = i17;
   i23 = i21;
  } else {
   _memset(i10 + i15 | 0, 0, i3 | 0) | 0;
   i22 = get8(i16 >> 0 | 0) | 0;
   i23 = get32((get32(i19 | 0) | 0) + 40 | 0) | 0;
  }
  i19 = i22 & 255;
  i22 = i19 + 1 | 0;
  i16 = i23 + -4 | 0;
  i23 = i22;
  while (1) {
   i21 = i10 + i23 | 0;
   i17 = get8(i21 >> 0 | 0) | 0;
   i20 = i10 + (i23 + 1) | 0;
   i24 = get8(i20 >> 0 | 0) | 0;
   i25 = i23;
   i23 = (i17 & 255) << 8 | i24 & 255;
   if (!(i23 >>> 0 < i15 >>> 0 & (i23 | 0) != 0)) {
    i26 = i21;
    i27 = i17;
    i28 = i20;
    i29 = i24;
    i30 = i23;
    i31 = 11;
    break;
   }
   if ((i23 | 0) < (i25 + 4 | 0)) {
    i31 = 10;
    break;
   }
  }
  L13 : do if ((i31 | 0) == 10) {
   set32(i8 | 0, 48801 | 0);
   set32(i8 + 4 | 0, 17203 | 0);
   _sqlite3_log(11, 19615, i8);
  } else if ((i31 | 0) == 11) {
   if ((i30 | 0) > (i16 | 0)) {
    set32(i7 | 0, 48806 | 0);
    set32(i7 + 4 | 0, 17203 | 0);
    _sqlite3_log(11, 19615, i7);
    break;
   }
   set8(i26 >> 0 | 0, i13 | 0);
   set8(i28 >> 0 | 0, i14 | 0);
   set8(i10 + i15 >> 0 | 0, i27 | 0);
   set8(i10 + (i15 + 1) >> 0 | 0, i29 | 0);
   set8(i10 + (i15 + 2) >> 0 | 0, i3 >>> 8 | 0);
   set8(i10 + (i15 + 3) >> 0 | 0, i3 | 0);
   i23 = i1 + 14 | 0;
   set16(i23 | 0, (getU16(i23 | 0) | 0) + i3 | 0);
   i25 = i10 + i22 | 0;
   i24 = i10 + (i19 + 2) | 0;
   i20 = getU8(i25 >> 0 | 0) << 8 | getU8(i24 >> 0 | 0);
   L18 : do if (i20) {
    i17 = i10 + (i19 + 7) | 0;
    i21 = i25;
    i32 = i24;
    i33 = i20;
    L20 : while (1) {
     i34 = i33;
     while (1) {
      i35 = i10 + i34 | 0;
      i36 = i10 + (i34 + 1) | 0;
      i37 = getU8(i35 >> 0 | 0) << 8 | getU8(i36 >> 0 | 0);
      i38 = i10 + (i34 + 2) | 0;
      i39 = i10 + (i34 + 3) | 0;
      i40 = (getU8(i38 >> 0 | 0) << 8 | getU8(i39 >> 0 | 0)) + i34 | 0;
      if (!((i37 | 0) != 0 & (i40 + 3 | 0) >>> 0 >= i37 >>> 0)) {
       i41 = i35;
       i42 = i36;
       i43 = i37;
       break;
      }
      i44 = i37 - i40 | 0;
      if ((i44 | 0) < 0) break L20;
      i40 = getU8(i17 >> 0 | 0) | 0;
      if ((i40 | 0) < (i44 | 0)) break L20;
      set8(i17 >> 0 | 0, i40 - i44 | 0);
      i44 = get8(i10 + (i37 + 1) >> 0 | 0) | 0;
      set8(i35 >> 0 | 0, get8(i10 + i37 >> 0 | 0) | 0 | 0);
      set8(i36 >> 0 | 0, i44 | 0);
      i44 = (getU8(i10 + (i37 + 2) >> 0 | 0) << 8 | getU8(i10 + (i37 + 3) >> 0 | 0)) + (i37 - i34) | 0;
      set8(i38 >> 0 | 0, i44 >>> 8 | 0);
      set8(i39 >> 0 | 0, i44 | 0);
      i34 = getU8(i21 >> 0 | 0) << 8 | getU8(i32 >> 0 | 0);
      if (!i34) break L18;
     }
     if (!i43) break L18; else {
      i21 = i41;
      i32 = i42;
      i33 = i43;
     }
    }
    set32(i6 | 0, 48825 | 0);
    set32(i6 + 4 | 0, 17203 | 0);
    _sqlite3_log(11, 19615, i6);
    break L13;
   } while (0);
   i20 = get8(i25 >> 0 | 0) | 0;
   i33 = i20 & 255;
   i32 = i10 + (i19 + 5) | 0;
   if (i20 << 24 >> 24 == (get8(i32 >> 0 | 0) | 0) ? (i20 = get8(i24 >> 0 | 0) | 0, i21 = i10 + (i19 + 6) | 0, i20 << 24 >> 24 == (get8(i21 >> 0 | 0) | 0)) : 0) {
    i17 = i20 & 255 | i33 << 8;
    i33 = i10 + i17 | 0;
    i20 = getU8(i33 >> 0 | 0) | getU8(i33 + 1 >> 0 | 0) << 8;
    set8(i25 >> 0 | 0, i20 | 0);
    set8(i25 + 1 >> 0 | 0, i20 >> 8 | 0);
    i20 = (getU8(i10 + (i17 + 2) >> 0 | 0) << 8 | getU8(i10 + (i17 + 3) >> 0 | 0)) + i17 | 0;
    set8(i32 >> 0 | 0, i20 >>> 8 | 0);
    set8(i21 >> 0 | 0, i20 | 0);
   }
   i20 = i1 + 16 | 0;
   i21 = get16(i20 | 0) | 0;
   i32 = (getU16(i11 | 0) | 0) + -2 + ((i21 & 65535) << 1) | 0;
   i17 = i10 + i32 | 0;
   if ((i12 | 0) < (i32 | 0)) {
    i32 = i2;
    do {
     i33 = i32;
     i32 = i32 + 2 | 0;
     set16(i33 | 0, get16(i32 | 0) | 0 | 0);
    } while (i32 >>> 0 < i17 >>> 0);
    i45 = get16(i20 | 0) | 0;
   } else i45 = i21;
   i17 = i45 + -1 << 16 >> 16;
   set16(i20 | 0, i17 | 0);
   set8(i10 + (i18 + 3) >> 0 | 0, (i17 & 65535) >>> 8 | 0);
   set8(i10 + (i18 + 4) >> 0 | 0, get16(i20 | 0) | 0);
   set16(i23 | 0, (getU16(i23 | 0) | 0) + 2 | 0);
   STACKTOP = i5;
   return;
  } while (0);
  set32(i4 | 0, 11 | 0);
  STACKTOP = i5;
  return;
 }
 set32(i9 | 0, 52931 | 0);
 set32(i9 + 4 | 0, 17203 | 0);
 _sqlite3_log(11, 19615, i9);
 set32(i4 | 0, 11 | 0);
 STACKTOP = i5;
 return;
}

function _pagerOpenWal(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i3 = i2;
 i4 = i1 + 4 | 0;
 i5 = get8(i4 >> 0 | 0) | 0;
 L1 : do if (!(i5 << 24 >> 24)) i6 = 0; else {
  i7 = i1 + 16 | 0;
  switch (get8(i7 >> 0 | 0) | 0) {
  case 0:
  case 1:
  case 2:
  case 3:
  case 5:
   break;
  default:
   {
    i6 = i5;
    break L1;
   }
  }
  i8 = i1 + 60 | 0;
  i9 = get32(i8 | 0) | 0;
  i10 = FUNCTION_TABLE_iii[get32((get32(i9 | 0) | 0) + 28 | 0) & 127](i9, 4) | 0;
  if (!i10) {
   set8(i7 >> 0 | 0, 4 | 0);
   i6 = get8(i4 >> 0 | 0) | 0;
   break;
  }
  i9 = get32(i8 | 0) | 0;
  i8 = get32(i9 | 0) | 0;
  if (!i8) {
   i11 = i10;
   STACKTOP = i2;
   return i11 | 0;
  }
  FUNCTION_TABLE_iii[get32(i8 + 32 | 0) & 127](i9, 1) | 0;
  if ((get8(i7 >> 0 | 0) | 0) == 5) {
   i11 = i10;
   STACKTOP = i2;
   return i11 | 0;
  }
  set8(i7 >> 0 | 0, 1 | 0);
  i11 = i10;
  STACKTOP = i2;
  return i11 | 0;
 } while (0);
 i4 = get32(i1 | 0) | 0;
 i5 = get32(i1 + 60 | 0) | 0;
 i10 = get32(i1 + 176 | 0) | 0;
 i7 = i1 + 136 | 0;
 i9 = get32(i7 | 0) | 0;
 i8 = get32(i7 + 4 | 0) | 0;
 i7 = i1 + 172 | 0;
 set32(i7 | 0, 0 | 0);
 i1 = get32(i4 + 4 | 0) | 0;
 i12 = i1 + 104 | 0;
 do if ((i1 + 103 | 0) >>> 0 > 2147483390) i13 = 7; else {
  if (!(get32(50 * 4 | 0) | 0)) {
   i14 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i12) | 0;
   if (!i14) {
    i13 = 7;
    break;
   } else i15 = i14;
  } else {
   i14 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i12) | 0;
   set32(35 * 4 | 0, i12 | 0);
   if ((get32(45 * 4 | 0) | 0) < (i12 | 0)) set32(45 * 4 | 0, i12 | 0);
   i16 = get32(6 * 4 | 0) | 0;
   do if (i16) {
    i17 = get32(30 * 4 | 0) | 0;
    i18 = ((i17 | 0) < 0) << 31 >> 31;
    i19 = 16;
    i20 = _i64Subtract(get32(i19 | 0) | 0, get32(i19 + 4 | 0) | 0, i14 | 0, ((i14 | 0) < 0) << 31 >> 31 | 0) | 0;
    i19 = tempRet0;
    if ((i18 | 0) < (i19 | 0) | (i18 | 0) == (i19 | 0) & i17 >>> 0 < i20 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i20 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i16 & 15](i20, i17, i18, i14);
     set32(6 * 4 | 0, i16 | 0);
     set32(7 * 4 | 0, i20 | 0);
     break;
    }
   } while (0);
   i16 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i14) | 0;
   if (!i16) {
    i13 = 7;
    break;
   }
   i20 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i16) | 0;
   i18 = (get32(30 * 4 | 0) | 0) + i20 | 0;
   set32(30 * 4 | 0, i18 | 0);
   if ((i18 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i18 | 0);
   i18 = get32(39 * 4 | 0) | 0;
   i20 = i18 + 1 | 0;
   set32(39 * 4 | 0, i20 | 0);
   if ((i18 | 0) < (get32(49 * 4 | 0) | 0)) i15 = i16; else {
    set32(49 * 4 | 0, i20 | 0);
    i15 = i16;
   }
  }
  _memset(i15 | 0, 0, i12 | 0) | 0;
  set32(i15 | 0, i4 | 0);
  i16 = i15 + 104 | 0;
  i20 = i15 + 8 | 0;
  set32(i20 | 0, i16 | 0);
  i18 = i15 + 4 | 0;
  set32(i18 | 0, i5 | 0);
  set16(i15 + 36 | 0, -1 | 0);
  i17 = i15 + 16 | 0;
  set32(i17 | 0, i9 | 0);
  set32(i17 + 4 | 0, i8 | 0);
  set32(i15 + 92 | 0, i10 | 0);
  i17 = i15 + 38 | 0;
  set8(i17 >> 0 | 0, (i6 << 24 >> 24 != 0 ? 2 : 0) | 0);
  set32(i3 | 0, 524294 | 0);
  i19 = FUNCTION_TABLE_iiiiii[get32(i4 + 24 | 0) & 31](i4, i10, i16, 524294, i3) | 0;
  if (!i19) {
   if (get32(i3 | 0) & 1) set8(i15 + 41 >> 0 | 0, 1 | 0);
   set32(i7 | 0, i15 | 0);
   i13 = 0;
   break;
  }
  if ((get8(i17 >> 0 | 0) | 0) == 2) {
   i17 = i15 + 24 | 0;
   if ((get32(i17 | 0) | 0) > 0) {
    i16 = i15 + 28 | 0;
    i21 = 0;
    do {
     i22 = get32((get32(i16 | 0) | 0) + (i21 << 2) | 0) | 0;
     do if (i22) {
      if (!(get32(50 * 4 | 0) | 0)) {
       FUNCTION_TABLE_vi[get32(232 | 0) & 31](i22);
       break;
      }
      i23 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i22) | 0;
      i24 = (get32(30 * 4 | 0) | 0) - i23 | 0;
      set32(30 * 4 | 0, i24 | 0);
      if ((i24 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i24 | 0);
      i24 = (get32(39 * 4 | 0) | 0) + -1 | 0;
      set32(39 * 4 | 0, i24 | 0);
      if ((i24 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i24 | 0);
      FUNCTION_TABLE_vi[get32(232 | 0) & 31](i22);
     } while (0);
     set32((get32(i16 | 0) | 0) + (i21 << 2) | 0, 0 | 0);
     i21 = i21 + 1 | 0;
    } while ((i21 | 0) < (get32(i17 | 0) | 0));
   }
  } else {
   i17 = get32(i18 | 0) | 0;
   FUNCTION_TABLE_iii[get32((get32(i17 | 0) | 0) + 64 | 0) & 127](i17, 0) | 0;
  }
  i17 = get32(i20 | 0) | 0;
  i21 = get32(i17 | 0) | 0;
  if (i21) {
   FUNCTION_TABLE_ii[get32(i21 + 4 | 0) & 127](i17) | 0;
   set32(i17 | 0, 0 | 0);
  }
  if (!(get32(50 * 4 | 0) | 0)) {
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i15);
   i13 = i19;
   break;
  }
  i17 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i15) | 0;
  i21 = (get32(30 * 4 | 0) | 0) - i17 | 0;
  set32(30 * 4 | 0, i21 | 0);
  if ((i21 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i21 | 0);
  i21 = (get32(39 * 4 | 0) | 0) + -1 | 0;
  set32(39 * 4 | 0, i21 | 0);
  if ((i21 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i21 | 0);
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i15);
  i13 = i19;
 } while (0);
 i11 = i13;
 STACKTOP = i2;
 return i11 | 0;
}

function _sqlite3_declare_vtab(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i4 = i3 + 24 | 0;
 i5 = i3 + 16 | 0;
 i6 = i3 + 8 | 0;
 i7 = i3;
 i8 = i3 + 28 | 0;
 set32(i8 | 0, 0 | 0);
 i9 = i1 + 304 | 0;
 i10 = get32(i9 | 0) | 0;
 if ((i10 | 0) != 0 ? (i11 = get32(i10 | 0) | 0, (i11 | 0) != 0) : 0) {
  i10 = i1 + 30 | 0;
  L4 : do if (!(get8(i10 >> 0 | 0) | 0)) {
   do if (!(get8(i1 + 234 >> 0 | 0) | 0)) i12 = 12; else {
    if ((getU16(i1 + 232 | 0) | 0) < 560) {
     i13 = i1 + 248 | 0;
     set32(i13 | 0, (get32(i13 | 0) | 0) + 1 | 0);
     i12 = 12;
     break;
    }
    i13 = i1 + 256 | 0;
    i14 = get32(i13 | 0) | 0;
    if (!i14) {
     i15 = i1 + 252 | 0;
     set32(i15 | 0, (get32(i15 | 0) | 0) + 1 | 0);
     i12 = 12;
     break;
    }
    set32(i13 | 0, get32(i14 | 0) | 0);
    i13 = i1 + 236 | 0;
    i15 = get32(i13 | 0) | 0;
    i16 = i15 + 1 | 0;
    set32(i13 | 0, i16 | 0);
    i13 = i1 + 244 | 0;
    set32(i13 | 0, (get32(i13 | 0) | 0) + 1 | 0);
    i13 = i1 + 240 | 0;
    if ((i15 | 0) >= (get32(i13 | 0) | 0)) set32(i13 | 0, i16 | 0);
    i17 = i14;
   } while (0);
   do if ((i12 | 0) == 12) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i14 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](560) | 0;
     if (i14) {
      i17 = i14;
      break;
     }
    } else {
     i14 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](560) | 0;
     set32(35 * 4 | 0, 560 | 0);
     if ((get32(45 * 4 | 0) | 0) < 560) set32(45 * 4 | 0, 560 | 0);
     i16 = get32(6 * 4 | 0) | 0;
     do if (i16) {
      i13 = get32(30 * 4 | 0) | 0;
      i15 = ((i13 | 0) < 0) << 31 >> 31;
      i18 = 16;
      i19 = _i64Subtract(get32(i18 | 0) | 0, get32(i18 + 4 | 0) | 0, i14 | 0, ((i14 | 0) < 0) << 31 >> 31 | 0) | 0;
      i18 = tempRet0;
      if ((i15 | 0) < (i18 | 0) | (i15 | 0) == (i18 | 0) & i13 >>> 0 < i19 >>> 0) {
       set32(11 * 4 | 0, 0 | 0);
       break;
      } else {
       set32(11 * 4 | 0, 1 | 0);
       i19 = get32(7 * 4 | 0) | 0;
       set32(6 * 4 | 0, 0 | 0);
       FUNCTION_TABLE_viiii[i16 & 15](i19, i13, i15, i14);
       set32(6 * 4 | 0, i16 | 0);
       set32(7 * 4 | 0, i19 | 0);
       break;
      }
     } while (0);
     i16 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i14) | 0;
     if (i16) {
      i19 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i16) | 0;
      i15 = (get32(30 * 4 | 0) | 0) + i19 | 0;
      set32(30 * 4 | 0, i15 | 0);
      if ((i15 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i15 | 0);
      i15 = get32(39 * 4 | 0) | 0;
      i19 = i15 + 1 | 0;
      set32(39 * 4 | 0, i19 | 0);
      if ((i15 | 0) < (get32(49 * 4 | 0) | 0)) {
       i17 = i16;
       break;
      }
      set32(49 * 4 | 0, i19 | 0);
      i17 = i16;
      break;
     }
    }
    set8(i10 >> 0 | 0, 1 | 0);
    i12 = 46;
    break L4;
   } while (0);
   _memset(i17 | 0, 0, 560) | 0;
   i16 = i17 + 528 | 0;
   set8(i16 >> 0 | 0, 1 | 0);
   set32(i17 | 0, i1 | 0);
   setF64(i17 + 448 | 0, +(1.0));
   if (((((_sqlite3RunParser(i17, i2, i8) | 0) == 0 ? (i19 = get32(i17 + 508 | 0) | 0, (i19 | 0) != 0) : 0) ? (get8(i10 >> 0 | 0) | 0) == 0 : 0) ? (get32(i19 + 28 | 0) | 0) == 0 : 0) ? (get8(i19 + 34 >> 0 | 0) & 16) == 0 : 0) {
    i15 = i11 + 12 | 0;
    if (!(get32(i15 | 0) | 0)) {
     i13 = i19 + 12 | 0;
     set32(i15 | 0, get32(i13 | 0) | 0);
     i15 = i19 + 8 | 0;
     set32(i11 + 8 | 0, get32(i15 | 0) | 0);
     set32(i15 | 0, 0 | 0);
     set32(i13 | 0, 0 | 0);
    }
    set32(get32(i9 | 0) | 0, 0 | 0);
    i20 = 0;
   } else {
    i13 = get32(i8 | 0) | 0;
    set32(i5 | 0, i13 | 0);
    _sqlite3Error(i1, 1, (i13 | 0) != 0 ? 16817 : 0, i5);
    _sqlite3DbFree(i1, i13);
    i20 = 1;
   }
   set8(i16 >> 0 | 0, 0 | 0);
   i16 = get32(i17 + 12 | 0) | 0;
   if (i16) {
    i13 = i16 + 52 | 0;
    i15 = get32(i13 | 0) | 0;
    if ((i15 | 0) < 1369188723) switch (i15 | 0) {
    case -1108210269:
     {
      i12 = 38;
      break;
     }
    default:
     {}
    } else switch (i15 | 0) {
    case 1369188723:
     {
      i12 = 38;
      break;
     }
    default:
     {}
    }
    if ((i12 | 0) == 38) _sqlite3VdbeReset(i16) | 0;
    i15 = get32(i16 | 0) | 0;
    i19 = get32(i16 + 60 | 0) | 0;
    i18 = i16 + 64 | 0;
    i21 = get32(i18 | 0) | 0;
    if (!i19) {
     set32(i15 + 136 | 0, i21 | 0);
     i22 = i21;
    } else {
     set32(i19 + 64 | 0, i21 | 0);
     i22 = get32(i18 | 0) | 0;
    }
    if (i22) set32(i22 + 60 | 0, i19 | 0);
    set32(i13 | 0, -1241070648 | 0);
    set32(i16 | 0, 0 | 0);
    _sqlite3VdbeDeleteObject(i15, i16);
   }
   _sqlite3DeleteTable(i1, get32(i17 + 508 | 0) | 0);
   _sqlite3DbFree(i1, i17);
   if (!(get8(i10 >> 0 | 0) | 0)) i23 = i20; else i12 = 46;
  } else i12 = 46; while (0);
  if ((i12 | 0) == 46) {
   _sqlite3Error(i1, 7, 0, i4);
   set8(i10 >> 0 | 0, 0 | 0);
   i23 = 7;
  }
  i24 = get32(i1 + 24 | 0) & i23;
  STACKTOP = i3;
  return i24 | 0;
 }
 _sqlite3Error(i1, 21, 0, i7);
 set32(i6 | 0, 97937 | 0);
 set32(i6 + 4 | 0, 17203 | 0);
 _sqlite3_log(21, 39226, i6);
 i24 = 21;
 STACKTOP = i3;
 return i24 | 0;
}

function _pagerStress(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0;
 i3 = i1 + 40 | 0;
 if (get32(i3 | 0) | 0) {
  i4 = 0;
  return i4 | 0;
 }
 if (get8(i1 + 19 >> 0 | 0) | 0) {
  i4 = 0;
  return i4 | 0;
 }
 if ((get8(i1 + 20 >> 0 | 0) | 0) != 0 ? (get16(i2 + 20 | 0) & 4) != 0 : 0) {
  i4 = 0;
  return i4 | 0;
 }
 set32(i2 + 8 | 0, 0 | 0);
 L11 : do if (!(get32(i1 + 172 | 0) | 0)) {
  if (!((get16(i2 + 20 | 0) & 4) == 0 ? (get8(i1 + 15 >> 0 | 0) | 0) != 3 : 0)) i5 = 23;
  if ((i5 | 0) == 23 ? (i6 = _syncJournal(i1, 1) | 0, (i6 | 0) != 0) : 0) {
   i7 = i6;
   break;
  }
  i6 = get32(i2 + 12 | 0) | 0;
  L18 : do if (i6 >>> 0 > (get32(i1 + 24 | 0) | 0) >>> 0 ? (i8 = get32(i2 + 16 | 0) | 0, i9 = get32(i8 + 96 | 0) | 0, (i9 | 0) > 0) : 0) {
   i10 = get32(i8 + 92 | 0) | 0;
   i8 = i6 + -1 | 0;
   i11 = 0;
   L21 : while (1) {
    L23 : do if ((get32(i10 + (i11 * 48 | 0) + 20 | 0) | 0) >>> 0 >= i6 >>> 0) {
     i12 = get32(i10 + (i11 * 48 | 0) + 16 | 0) | 0;
     if (!i12) break L21;
     if (i8 >>> 0 < (get32(i12 | 0) | 0) >>> 0) {
      i13 = i8;
      i14 = i12;
     } else break L21;
     while (1) {
      i12 = get32(i14 + 8 | 0) | 0;
      if (!i12) {
       i15 = i13;
       i16 = i14;
       break;
      }
      i14 = get32(i14 + 12 + (((i13 >>> 0) / (i12 >>> 0) | 0) << 2) | 0) | 0;
      if (!i14) break L21; else i13 = (i13 >>> 0) % (i12 >>> 0) | 0;
     }
     if ((get32(i16 | 0) | 0) >>> 0 < 4001) if (!(getU8(i16 + 12 + (i15 >>> 3) >> 0 | 0) & 1 << (i15 & 7))) break L21; else break;
     i12 = i15 + 1 | 0;
     i17 = (i15 >>> 0) % 125 | 0;
     i18 = get32(i16 + 12 + (i17 << 2) | 0) | 0;
     if (!i18) break L21; else {
      i19 = i18;
      i20 = i17;
     }
     while (1) {
      if ((i19 | 0) == (i12 | 0)) break L23;
      i20 = ((i20 + 1 | 0) >>> 0) % 125 | 0;
      i19 = get32(i16 + 12 + (i20 << 2) | 0) | 0;
      if (!i19) break L21;
     }
    } while (0);
    i11 = i11 + 1 | 0;
    if ((i11 | 0) >= (i9 | 0)) break L18;
   }
   i9 = _subjournalPage(i2) | 0;
   if (i9) {
    i7 = i9;
    break L11;
   }
  } while (0);
  i21 = _pager_write_pagelist(i1, i2) | 0;
  i5 = 40;
 } else {
  i6 = get32(i2 + 12 | 0) | 0;
  i9 = get32(i2 + 16 | 0) | 0;
  i11 = get32(i9 + 96 | 0) | 0;
  L40 : do if ((i11 | 0) > 0) {
   i8 = get32(i9 + 92 | 0) | 0;
   i10 = i6 + -1 | 0;
   i12 = 0;
   L42 : while (1) {
    L44 : do if ((get32(i8 + (i12 * 48 | 0) + 20 | 0) | 0) >>> 0 >= i6 >>> 0) {
     i17 = get32(i8 + (i12 * 48 | 0) + 16 | 0) | 0;
     if (!i17) break L42;
     if (i10 >>> 0 < (get32(i17 | 0) | 0) >>> 0) {
      i22 = i10;
      i23 = i17;
     } else break L42;
     while (1) {
      i17 = get32(i23 + 8 | 0) | 0;
      if (!i17) {
       i24 = i22;
       i25 = i23;
       break;
      }
      i23 = get32(i23 + 12 + (((i22 >>> 0) / (i17 >>> 0) | 0) << 2) | 0) | 0;
      if (!i23) break L42; else i22 = (i22 >>> 0) % (i17 >>> 0) | 0;
     }
     if ((get32(i25 | 0) | 0) >>> 0 < 4001) if (!(getU8(i25 + 12 + (i24 >>> 3) >> 0 | 0) & 1 << (i24 & 7))) break L42; else break;
     i17 = i24 + 1 | 0;
     i18 = (i24 >>> 0) % 125 | 0;
     i26 = get32(i25 + 12 + (i18 << 2) | 0) | 0;
     if (!i26) break L42; else {
      i27 = i26;
      i28 = i18;
     }
     while (1) {
      if ((i27 | 0) == (i17 | 0)) break L44;
      i28 = ((i28 + 1 | 0) >>> 0) % 125 | 0;
      i27 = get32(i25 + 12 + (i28 << 2) | 0) | 0;
      if (!i27) break L42;
     }
    } while (0);
    i12 = i12 + 1 | 0;
    if ((i12 | 0) >= (i11 | 0)) break L40;
   }
   i12 = _subjournalPage(i2) | 0;
   if (i12) {
    i7 = i12;
    break L11;
   }
  } while (0);
  i21 = _pagerWalFrames(i1, i2, 0, 0, 0) | 0;
  i5 = 40;
 } while (0);
 if ((i5 | 0) == 40) if (!i21) {
  i5 = i2 + 20 | 0;
  i27 = get16(i5 | 0) | 0;
  if (!(i27 & 2)) {
   i4 = 0;
   return i4 | 0;
  }
  i28 = get32(i2 + 24 | 0) | 0;
  i25 = i28 + 8 | 0;
  if ((get32(i25 | 0) | 0) == (i2 | 0)) {
   i24 = i2;
   while (1) {
    i22 = get32(i24 + 32 | 0) | 0;
    if (!i22) {
     i29 = 0;
     break;
    }
    if (!(get16(i22 + 20 | 0) & 4)) {
     i29 = i22;
     break;
    } else i24 = i22;
   }
   set32(i25 | 0, i29 | 0);
  }
  i29 = i2 + 28 | 0;
  i25 = get32(i29 | 0) | 0;
  i24 = i2 + 32 | 0;
  i22 = get32(i24 | 0) | 0;
  i23 = i25;
  if (!i25) set32(i28 + 4 | 0, i22 | 0); else set32(i25 + 32 | 0, i22 | 0);
  i22 = get32(i24 | 0) | 0;
  if (!i22) set32(i28 | 0, i23 | 0); else set32(i22 + 28 | 0, i23 | 0);
  set32(i29 | 0, 0 | 0);
  set32(i24 | 0, 0 | 0);
  set16(i5 | 0, i27 & 65529 | 0);
  if (get16(i2 + 22 | 0) | 0) {
   i4 = 0;
   return i4 | 0;
  }
  if (!(get32(i28 + 28 | 0) | 0)) {
   i4 = 0;
   return i4 | 0;
  }
  if ((get32(i2 + 12 | 0) | 0) == 1) set32(i28 + 44 | 0, 0 | 0);
  FUNCTION_TABLE_viii[get32(324 | 0) & 63](get32(i28 + 40 | 0) | 0, i2, 0);
  i4 = 0;
  return i4 | 0;
 } else i7 = i21;
 switch (i7 & 255 | 0) {
 case 10:
 case 13:
  break;
 default:
  {
   i4 = i7;
   return i4 | 0;
  }
 }
 set32(i3 | 0, i7 | 0);
 set8(i1 + 15 >> 0 | 0, 6 | 0);
 i4 = i7;
 return i4 | 0;
}

function _incrVacuumStep(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 48 | 0;
 i5 = i4;
 i6 = i4 + 28 | 0;
 i7 = i4 + 32 | 0;
 i8 = i4 + 24 | 0;
 i9 = i4 + 20 | 0;
 i10 = i4 + 16 | 0;
 i11 = i4 + 12 | 0;
 i12 = i4 + 8 | 0;
 if (i3 >>> 0 < 2) i13 = 0; else {
  i14 = i3 + -2 | 0;
  i15 = i14 - ((i14 >>> 0) % (((((get32(i1 + 40 | 0) | 0) >>> 0) / 5 | 0) + 1 | 0) >>> 0) | 0) | 0;
  i13 = ((i15 + 1 | 0) == (((get32(199 * 4 | 0) | 0) >>> 0) / ((get32(i1 + 36 | 0) | 0) >>> 0) | 0 | 0) ? 3 : 2) + i15 | 0;
 }
 L4 : do if ((i13 | 0) != (i3 | 0) ? (i15 = i1 + 36 | 0, ((((get32(199 * 4 | 0) | 0) >>> 0) / ((get32(i15 | 0) | 0) >>> 0) | 0) + 1 | 0) != (i3 | 0)) : 0) {
  i14 = get32((get32(i1 + 12 | 0) | 0) + 64 | 0) | 0;
  if (!((getU8(i14 + 37 >> 0 | 0) | 0) << 16 | (getU8(i14 + 36 >> 0 | 0) | 0) << 24 | (getU8(i14 + 38 >> 0 | 0) | 0) << 8 | (getU8(i14 + 39 >> 0 | 0) | 0))) {
   i16 = 101;
   STACKTOP = i4;
   return i16 | 0;
  }
  i14 = _ptrmapGet(i1, i3, i7, i8) | 0;
  if (i14) {
   i16 = i14;
   STACKTOP = i4;
   return i16 | 0;
  }
  i14 = get8(i7 >> 0 | 0) | 0;
  switch (i14 << 24 >> 24) {
  case 1:
   {
    set32(i5 | 0, 50414 | 0);
    set32(i5 + 4 | 0, 17203 | 0);
    _sqlite3_log(11, 19615, i5);
    i16 = 11;
    STACKTOP = i4;
    return i16 | 0;
   }
  case 2:
   {
    if (i2) {
     i16 = 0;
     STACKTOP = i4;
     return i16 | 0;
    }
    i17 = _allocateBtreePage(i1, i10, i9, i3, 1) | 0;
    if (i17) {
     i16 = i17;
     STACKTOP = i4;
     return i16 | 0;
    }
    i17 = get32(i10 | 0) | 0;
    if (!i17) {
     i18 = i15;
     break L4;
    }
    _sqlite3PagerUnref(get32(i17 + 68 | 0) | 0);
    i18 = i15;
    break L4;
    break;
   }
  default:
   {
    i15 = _sqlite3PagerAcquire(get32(i1 | 0) | 0, i3, i6, 0) | 0;
    if (i15) {
     i16 = i15;
     STACKTOP = i4;
     return i16 | 0;
    }
    i15 = get32(i6 | 0) | 0;
    i17 = get32(i15 + 4 | 0) | 0;
    set32(i17 + 64 | 0, get32(i15 | 0) | 0);
    i19 = i17 + 68 | 0;
    set32(i19 | 0, i15 | 0);
    set32(i17 + 60 | 0, i1 | 0);
    set32(i17 + 72 | 0, i3 | 0);
    set8(i17 + 5 >> 0 | 0, ((i3 | 0) == 1 ? 100 : 0) | 0);
    i15 = (i2 | 0) != 0;
    while (1) {
     i20 = _allocateBtreePage(i1, i12, i11, 0, 0) | 0;
     if (i20) {
      i21 = i20;
      i22 = 17;
      break;
     }
     i20 = get32(i12 | 0) | 0;
     if (i20) _sqlite3PagerUnref(get32(i20 + 68 | 0) | 0);
     i20 = get32(i11 | 0) | 0;
     if (!(i15 & i20 >>> 0 > i2 >>> 0)) {
      i23 = i20;
      break;
     }
    }
    if ((i22 | 0) == 17) {
     if (!i17) {
      i16 = i21;
      STACKTOP = i4;
      return i16 | 0;
     }
     _sqlite3PagerUnref(get32(i19 | 0) | 0);
     i16 = i21;
     STACKTOP = i4;
     return i16 | 0;
    }
    i20 = _sqlite3PagerWrite(get32(i19 | 0) | 0) | 0;
    if (!i20) {
     i24 = _relocatePage(i1, i17, i14, get32(i8 | 0) | 0, i23, i15 & 1) | 0;
     _sqlite3PagerUnref(get32(i19 | 0) | 0);
     if (!i24) {
      i22 = 25;
      break L4;
     } else i16 = i24;
     STACKTOP = i4;
     return i16 | 0;
    } else {
     _sqlite3PagerUnref(get32(i19 | 0) | 0);
     i16 = i20;
     STACKTOP = i4;
     return i16 | 0;
    }
   }
  }
 } else i22 = 25; while (0);
 do if ((i22 | 0) == 25) if (!i2) {
  i18 = i1 + 36 | 0;
  break;
 } else {
  i16 = 0;
  STACKTOP = i4;
  return i16 | 0;
 } while (0);
 i2 = i1 + 40 | 0;
 i23 = i3;
 while (1) {
  i3 = i23;
  i23 = i23 + -1 | 0;
  i8 = ((get32(199 * 4 | 0) | 0) >>> 0) / ((get32(i18 | 0) | 0) >>> 0) | 0;
  if ((i23 | 0) != (i8 + 1 | 0)) {
   if (i23 >>> 0 < 2) i25 = 0; else {
    i21 = i3 + -3 | 0;
    i11 = i21 - ((i21 >>> 0) % (((((get32(i2 | 0) | 0) >>> 0) / 5 | 0) + 1 | 0) >>> 0) | 0) | 0;
    i25 = ((i11 + 1 | 0) == (i8 | 0) ? 3 : 2) + i11 | 0;
   }
   if ((i25 | 0) != (i23 | 0)) {
    i26 = i23;
    i22 = 40;
    break;
   }
  }
  if (i23 >>> 0 < 2) i27 = 0; else {
   i11 = i3 + -3 | 0;
   i3 = i11 - ((i11 >>> 0) % (((((get32(i2 | 0) | 0) >>> 0) / 5 | 0) + 1 | 0) >>> 0) | 0) | 0;
   i27 = ((i3 + 1 | 0) == (i8 | 0) ? 3 : 2) + i3 | 0;
  }
  if ((i27 | 0) != (i23 | 0)) {
   i23 = i23;
   continue;
  }
  i3 = _sqlite3PagerAcquire(get32(i1 | 0) | 0, i23, i6, 0) | 0;
  if (i3) {
   i28 = i3;
   i22 = 36;
   break;
  }
  i3 = get32(i6 | 0) | 0;
  i8 = get32(i3 + 4 | 0) | 0;
  set32(i8 + 64 | 0, get32(i3 | 0) | 0);
  i11 = i8 + 68 | 0;
  set32(i11 | 0, i3 | 0);
  set32(i8 + 60 | 0, i1 | 0);
  set32(i8 + 72 | 0, i23 | 0);
  set8(i8 + 5 >> 0 | 0, ((i23 | 0) == 1 ? 100 : 0) | 0);
  i21 = _sqlite3PagerWrite(i3) | 0;
  if (i8) _sqlite3PagerUnref(get32(i11 | 0) | 0);
  if (i21) {
   i16 = i21;
   i22 = 41;
   break;
  }
 }
 if ((i22 | 0) == 36) {
  i16 = i28;
  STACKTOP = i4;
  return i16 | 0;
 } else if ((i22 | 0) == 40) {
  set32((get32(i1 | 0) | 0) + 24 | 0, i26 | 0);
  set32(i1 + 48 | 0, i26 | 0);
  i16 = 0;
  STACKTOP = i4;
  return i16 | 0;
 } else if ((i22 | 0) == 41) {
  STACKTOP = i4;
  return i16 | 0;
 }
 return 0;
}

function _moveToRoot(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 48 | 0;
 i3 = i2 + 32 | 0;
 i4 = i2 + 24 | 0;
 i5 = i2 + 16 | 0;
 i6 = i2 + 8 | 0;
 i7 = i2;
 i8 = i2 + 40 | 0;
 i9 = get32((get32(i1 | 0) | 0) + 4 | 0) | 0;
 i10 = i1 + 83 | 0;
 i11 = get8(i10 >> 0 | 0) | 0;
 if ((i11 & 255) > 1) {
  if (i11 << 24 >> 24 == 3) {
   i12 = get32(i1 + 76 | 0) | 0;
   STACKTOP = i2;
   return i12 | 0;
  }
  i11 = i1 + 72 | 0;
  i13 = get32(i11 | 0) | 0;
  do if (i13) {
   if (!(get32(50 * 4 | 0) | 0)) {
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i13);
    break;
   }
   i14 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i13) | 0;
   i15 = (get32(30 * 4 | 0) | 0) - i14 | 0;
   set32(30 * 4 | 0, i15 | 0);
   if ((i15 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i15 | 0);
   i15 = (get32(39 * 4 | 0) | 0) + -1 | 0;
   set32(39 * 4 | 0, i15 | 0);
   if ((i15 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i15 | 0);
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i13);
  } while (0);
  set32(i11 | 0, 0 | 0);
  set8(i10 >> 0 | 0, 0 | 0);
 }
 i11 = i1 + 90 | 0;
 i13 = get16(i11 | 0) | 0;
 L20 : do if (i13 << 16 >> 16 > -1) {
  if (i13 << 16 >> 16 >= 1) {
   i15 = i13;
   i14 = 1;
   while (1) {
    i16 = get32(i1 + 132 + (i14 << 2) | 0) | 0;
    if (!i16) i17 = i15; else {
     _sqlite3PagerUnref(get32(i16 + 68 | 0) | 0);
     i17 = get16(i11 | 0) | 0;
    }
    if ((i14 | 0) < (i17 << 16 >> 16 | 0)) {
     i15 = i17;
     i14 = i14 + 1 | 0;
    } else break;
   }
  }
  set16(i11 | 0, 0 | 0);
  i14 = i1 + 132 | 0;
  i18 = i14;
  i19 = get32(i14 | 0) | 0;
 } else {
  i14 = get32(i1 + 20 | 0) | 0;
  i15 = i1 + 132 | 0;
  do if ((get32(i9 + 48 | 0) | 0) >>> 0 < i14 >>> 0) {
   set32(i7 | 0, 49122 | 0);
   set32(i7 + 4 | 0, 17203 | 0);
   _sqlite3_log(11, 19615, i7);
   i20 = 11;
  } else {
   i16 = _sqlite3PagerAcquire(get32(i9 | 0) | 0, i14, i8, 0) | 0;
   if (i16) {
    i20 = i16;
    break;
   }
   i16 = get32(i8 | 0) | 0;
   i21 = get32(i16 + 4 | 0) | 0;
   set32(i21 + 64 | 0, get32(i16 | 0) | 0);
   set32(i21 + 68 | 0, i16 | 0);
   set32(i21 + 60 | 0, i9 | 0);
   set32(i21 + 72 | 0, i14 | 0);
   set8(i21 + 5 >> 0 | 0, ((i14 | 0) == 1 ? 100 : 0) | 0);
   set32(i15 | 0, i21 | 0);
   i16 = _btreeInitPage(i21) | 0;
   if (i16) {
    i21 = get32(i15 | 0) | 0;
    if (!i21) {
     i20 = i16;
     break;
    }
    _sqlite3PagerUnref(get32(i21 + 68 | 0) | 0);
    i20 = i16;
    break;
   }
   set16(i11 | 0, 0 | 0);
   i16 = get32(i15 | 0) | 0;
   if (((get32(i1 + 16 | 0) | 0) == 0 | 0) == (getU8(i16 + 2 >> 0 | 0) | 0)) {
    i18 = i15;
    i19 = i16;
    break L20;
   }
   set32(i6 | 0, 51755 | 0);
   set32(i6 + 4 | 0, 17203 | 0);
   _sqlite3_log(11, 19615, i6);
   i12 = 11;
   STACKTOP = i2;
   return i12 | 0;
  } while (0);
  set8(i10 >> 0 | 0, 0 | 0);
  i12 = i20;
  STACKTOP = i2;
  return i12 | 0;
 } while (0);
 set16(i1 + 92 | 0, 0 | 0);
 i20 = i1 + 58 | 0;
 set16(i20 | 0, 0 | 0);
 set8(i1 + 81 >> 0 | 0, 0 | 0);
 i6 = i1 + 82 | 0;
 set8(i6 >> 0 | 0, 0 | 0);
 i9 = get16(i19 + 16 | 0) | 0;
 if (i9 << 16 >> 16 == 0 ? (get8(i19 + 3 >> 0 | 0) | 0) == 0 : 0) {
  if ((get32(i19 + 72 | 0) | 0) != 1) {
   set32(i5 | 0, 51776 | 0);
   set32(i5 + 4 | 0, 17203 | 0);
   _sqlite3_log(11, 19615, i5);
   i12 = 11;
   STACKTOP = i2;
   return i12 | 0;
  }
  i5 = getU8(i19 + 5 >> 0 | 0) | 0;
  i7 = get32(i19 + 64 | 0) | 0;
  i19 = getU8(i7 + (i5 + 9) >> 0 | 0) << 16 | getU8(i7 + (i5 + 8) >> 0 | 0) << 24 | getU8(i7 + (i5 + 10) >> 0 | 0) << 8 | getU8(i7 + (i5 + 11) >> 0 | 0);
  set8(i10 >> 0 | 0, 1 | 0);
  i5 = get32(i1 + 4 | 0) | 0;
  if ((get32(i5 + 48 | 0) | 0) >>> 0 < i19 >>> 0) {
   set32(i4 | 0, 49122 | 0);
   set32(i4 + 4 | 0, 17203 | 0);
   _sqlite3_log(11, 19615, i4);
   i12 = 11;
   STACKTOP = i2;
   return i12 | 0;
  }
  i4 = _sqlite3PagerAcquire(get32(i5 | 0) | 0, i19, i8, 0) | 0;
  if (i4) {
   i12 = i4;
   STACKTOP = i2;
   return i12 | 0;
  }
  i4 = get32(i8 | 0) | 0;
  i8 = get32(i4 + 4 | 0) | 0;
  set32(i8 + 64 | 0, get32(i4 | 0) | 0);
  i7 = i8 + 68 | 0;
  set32(i7 | 0, i4 | 0);
  set32(i8 + 60 | 0, i5 | 0);
  set32(i8 + 72 | 0, i19 | 0);
  set8(i8 + 5 >> 0 | 0, ((i19 | 0) == 1 ? 100 : 0) | 0);
  i19 = _btreeInitPage(i8) | 0;
  if (i19) {
   if (!i8) {
    i12 = i19;
    STACKTOP = i2;
    return i12 | 0;
   }
   _sqlite3PagerUnref(get32(i7 | 0) | 0);
   i12 = i19;
   STACKTOP = i2;
   return i12 | 0;
  }
  set32(i1 + 136 | 0, i8 | 0);
  set16(i1 + 94 | 0, 0 | 0);
  set16(i11 | 0, (get16(i11 | 0) | 0) + 1 << 16 >> 16 | 0);
  set16(i20 | 0, 0 | 0);
  set8(i6 >> 0 | 0, 0 | 0);
  if ((get16(i8 + 16 | 0) | 0) != 0 ? (get8(i8 + 2 >> 0 | 0) | 0) == (get8((get32(i18 | 0) | 0) + 2 >> 0 | 0) | 0) : 0) {
   i12 = 0;
   STACKTOP = i2;
   return i12 | 0;
  }
  set32(i3 | 0, 51647 | 0);
  set32(i3 + 4 | 0, 17203 | 0);
  _sqlite3_log(11, 19615, i3);
  i12 = 11;
  STACKTOP = i2;
  return i12 | 0;
 }
 set8(i10 >> 0 | 0, i9 << 16 >> 16 != 0 & 1 | 0);
 i12 = 0;
 STACKTOP = i2;
 return i12 | 0;
}

function _sqlite3Prepare16(i1, i2, i3, i4, i5, i6) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 var i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0;
 i7 = STACKTOP;
 STACKTOP = STACKTOP + 112 | 0;
 i8 = i7 + 96 | 0;
 i9 = i7 + 88 | 0;
 i10 = i7 + 80 | 0;
 i11 = i7 + 72 | 0;
 i12 = i7 + 64 | 0;
 i13 = i7 + 56 | 0;
 i14 = i7 + 48 | 0;
 i15 = i7 + 40 | 0;
 i16 = i7;
 i17 = i7 + 100 | 0;
 set32(i17 | 0, 0 | 0);
 set32(i5 | 0, 0 | 0);
 L1 : do if (!i1) {
  set32(i15 | 0, 18774 | 0);
  _sqlite3_log(21, 26104, i15);
 } else {
  i18 = i1 + 56 | 0;
  i19 = get32(i18 | 0) | 0;
  L4 : do if ((i19 | 0) < -264537850) {
   switch (i19 | 0) {
   case -1607883113:
    break;
   default:
    break L4;
   }
   i20 = i16;
   i21 = i20 + 40 | 0;
   do {
    set32(i20 | 0, 0 | 0);
    i20 = i20 + 4 | 0;
   } while ((i20 | 0) < (i21 | 0));
   set32(i16 | 0, i1 | 0);
   _sqlite3VdbeMemSetStr(i16, i2, i3, 2, 0) | 0;
   _sqlite3VdbeChangeEncoding(i16, 1) | 0;
   i20 = i1 + 30 | 0;
   L7 : do if (!(get8(i20 >> 0 | 0) | 0)) {
    i21 = get32(i16 + 4 | 0) | 0;
    if (!i21) {
     i22 = 0;
     i23 = 0;
    } else {
     set32(i5 | 0, 0 | 0);
     i24 = get32(i18 | 0) | 0;
     L10 : do if ((i24 | 0) < -264537850) {
      switch (i24 | 0) {
      case -1607883113:
       break;
      default:
       {
        i25 = 11;
        break L10;
       }
      }
      i26 = get32(i1 + 4 | 0) | 0;
      if ((i26 | 0) > 0) {
       i27 = get32(i1 + 8 | 0) | 0;
       i28 = 0;
       do {
        i29 = get32(i27 + (i28 << 4) + 4 | 0) | 0;
        if (i29) set32((get32(i29 + 4 | 0) | 0) + 4 | 0, get32(i29 | 0) | 0);
        i28 = i28 + 1 | 0;
       } while ((i28 | 0) != (i26 | 0));
      }
      i26 = _sqlite3Prepare(i1, i21, -1, i4, 0, i5, i17) | 0;
      if ((i26 | 0) != 17) {
       i22 = i21;
       i23 = i26;
       break L7;
      }
      _sqlite3_finalize(get32(i5 | 0) | 0) | 0;
      i22 = i21;
      i23 = _sqlite3Prepare(i1, i21, -1, i4, 0, i5, i17) | 0;
      break L7;
     } else {
      if ((i24 | 0) < 1266094736) switch (i24 | 0) {
      case -264537850:
       break;
      default:
       {
        i25 = 11;
        break L10;
       }
      } else switch (i24 | 0) {
      case 1266094736:
       break;
      default:
       {
        i25 = 11;
        break L10;
       }
      }
      set32(i10 | 0, 26095 | 0);
      _sqlite3_log(21, 26104, i10);
     } while (0);
     if ((i25 | 0) == 11) {
      set32(i11 | 0, 38376 | 0);
      _sqlite3_log(21, 26104, i11);
     }
     set32(i9 | 0, 90305 | 0);
     set32(i9 + 4 | 0, 17203 | 0);
     _sqlite3_log(21, 39226, i9);
     i22 = i21;
     i23 = 21;
    }
   } else {
    _sqlite3VdbeMemReleaseExternal(i16);
    _sqlite3DbFree(get32(i16 | 0) | 0, get32(i16 + 36 | 0) | 0);
    i22 = 0;
    i23 = 0;
   } while (0);
   i24 = get32(i17 | 0) | 0;
   if ((i6 | 0) != 0 & (i24 | 0) != 0) {
    i26 = (i24 - i22 | 0) > -1 ? i24 : -1;
    i24 = get8(i22 >> 0 | 0) | 0;
    if (i26 >>> 0 > i22 >>> 0 & i24 << 24 >> 24 != 0) {
     i28 = i24;
     i24 = 0;
     i27 = i22;
     while (1) {
      i29 = i27 + 1 | 0;
      if ((i28 & 255) > 191) {
       i30 = i29;
       while (1) {
        i31 = get8(i30 >> 0 | 0) | 0;
        if ((i31 & -64) << 24 >> 24 == -128) i30 = i30 + 1 | 0; else {
         i32 = i31;
         i33 = i30;
         break;
        }
       }
      } else {
       i32 = get8(i29 >> 0 | 0) | 0;
       i33 = i29;
      }
      i30 = i24 + 1 | 0;
      if (i32 << 24 >> 24 != 0 & i33 >>> 0 < i26 >>> 0) {
       i28 = i32;
       i24 = i30;
       i27 = i33;
      } else {
       i34 = i30;
       i35 = i24;
       break;
      }
     }
     if ((i35 | 0) > -1) {
      i24 = 0;
      i27 = i2;
      while (1) {
       i28 = (get8(i27 + 1 >> 0 | 0) & -8) << 24 >> 24 == -40 ? i27 + 4 | 0 : i27 + 2 | 0;
       i24 = i24 + 1 | 0;
       if ((i24 | 0) == (i34 | 0)) {
        i36 = i28;
        break;
       } else i27 = i28;
      }
     } else i36 = i2;
    } else i36 = i2;
    set32(i6 | 0, i36 | 0);
   }
   _sqlite3DbFree(i1, i22);
   if ((i23 | 0) == 3082 | (get8(i20 >> 0 | 0) | 0) != 0) {
    _sqlite3Error(i1, 7, 0, i8);
    set8(i20 >> 0 | 0, 0 | 0);
    i37 = 7;
   } else i37 = i23;
   i38 = get32(i1 + 24 | 0) & i37;
   STACKTOP = i7;
   return i38 | 0;
  } else {
   if ((i19 | 0) < 1266094736) switch (i19 | 0) {
   case -264537850:
    break;
   default:
    break L4;
   } else switch (i19 | 0) {
   case 1266094736:
    break;
   default:
    break L4;
   }
   set32(i13 | 0, 26095 | 0);
   _sqlite3_log(21, 26104, i13);
   break L1;
  } while (0);
  set32(i14 | 0, 38376 | 0);
  _sqlite3_log(21, 26104, i14);
 } while (0);
 set32(i12 | 0, 90413 | 0);
 set32(i12 + 4 | 0, 17203 | 0);
 _sqlite3_log(21, 39226, i12);
 i38 = 21;
 STACKTOP = i7;
 return i38 | 0;
}
function _sqlite3MemCompare(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, d29 = 0.0, d30 = 0.0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 80 | 0;
 i5 = i4 + 40 | 0;
 i6 = i4;
 i7 = i1 + 28 | 0;
 i8 = get16(i7 | 0) | 0;
 i9 = i8 & 65535;
 i10 = i2 + 28 | 0;
 i11 = get16(i10 | 0) | 0;
 i12 = i11 & 65535;
 i13 = (i11 | i8) & 65535;
 if (i13 & 1) {
  i14 = (i12 & 1) - (i9 & 1) | 0;
  STACKTOP = i4;
  return i14 | 0;
 }
 if (!(i13 & 12)) {
  if (!(i13 & 2)) {
   i15 = i1 + 4 | 0;
   i16 = get32(i15 | 0) | 0;
   i17 = i2 + 4 | 0;
   i18 = get32(i17 | 0) | 0;
   i19 = i1 + 24 | 0;
   i20 = get32(i19 | 0) | 0;
   i21 = i2 + 24 | 0;
   i22 = get32(i21 | 0) | 0;
   i23 = (i20 | 0) > (i22 | 0);
   i24 = i23 ? i22 : i20;
   i25 = _memcmp(i16, i18, i24) | 0;
   i26 = (i25 | 0) == 0;
   i27 = i20 - i22 | 0;
   i28 = i26 ? i27 : i25;
   STACKTOP = i4;
   return i28 | 0;
  }
  if (!(i9 & 2)) {
   i14 = 1;
   STACKTOP = i4;
   return i14 | 0;
  }
  if (!(i12 & 2)) {
   i14 = -1;
   STACKTOP = i4;
   return i14 | 0;
  }
  if (!i3) {
   i15 = i1 + 4 | 0;
   i16 = get32(i15 | 0) | 0;
   i17 = i2 + 4 | 0;
   i18 = get32(i17 | 0) | 0;
   i19 = i1 + 24 | 0;
   i20 = get32(i19 | 0) | 0;
   i21 = i2 + 24 | 0;
   i22 = get32(i21 | 0) | 0;
   i23 = (i20 | 0) > (i22 | 0);
   i24 = i23 ? i22 : i20;
   i25 = _memcmp(i16, i18, i24) | 0;
   i26 = (i25 | 0) == 0;
   i27 = i20 - i22 | 0;
   i28 = i26 ? i27 : i25;
   STACKTOP = i4;
   return i28 | 0;
  }
  i28 = i3 + 4 | 0;
  if ((get8(i1 + 31 >> 0 | 0) | 0) == (get8(i28 >> 0 | 0) | 0)) {
   i14 = FUNCTION_TABLE_iiiiii[get32(i3 + 12 | 0) & 31](get32(i3 + 8 | 0) | 0, get32(i1 + 24 | 0) | 0, get32(i1 + 4 | 0) | 0, get32(i2 + 24 | 0) | 0, get32(i2 + 4 | 0) | 0) | 0;
   STACKTOP = i4;
   return i14 | 0;
  }
  i25 = i5;
  i27 = i25 + 40 | 0;
  do {
   set32(i25 | 0, 0 | 0);
   i25 = i25 + 4 | 0;
  } while ((i25 | 0) < (i27 | 0));
  i25 = i6;
  i27 = i25 + 40 | 0;
  do {
   set32(i25 | 0, 0 | 0);
   i25 = i25 + 4 | 0;
  } while ((i25 | 0) < (i27 | 0));
  _sqlite3VdbeMemReleaseExternal(i5);
  set32(i5 | 0, get32(i1 | 0) | 0);
  set32(i5 + 4 | 0, get32(i1 + 4 | 0) | 0);
  set32(i5 + 8 | 0, get32(i1 + 8 | 0) | 0);
  set32(i5 + 12 | 0, get32(i1 + 12 | 0) | 0);
  set32(i5 + 16 | 0, get32(i1 + 16 | 0) | 0);
  set32(i5 + 20 | 0, get32(i1 + 20 | 0) | 0);
  set32(i5 + 24 | 0, get32(i1 + 24 | 0) | 0);
  set32(i5 + 28 | 0, get32(i1 + 28 | 0) | 0);
  i25 = i5 + 32 | 0;
  set32(i25 | 0, 0 | 0);
  if (!(get16(i7 | 0) & 2048)) {
   i7 = i5 + 28 | 0;
   set16(i7 | 0, getU16(i7 | 0) & 58367 | 4096 | 0);
  }
  _sqlite3VdbeMemReleaseExternal(i6);
  set32(i6 | 0, get32(i2 | 0) | 0);
  set32(i6 + 4 | 0, get32(i2 + 4 | 0) | 0);
  set32(i6 + 8 | 0, get32(i2 + 8 | 0) | 0);
  set32(i6 + 12 | 0, get32(i2 + 12 | 0) | 0);
  set32(i6 + 16 | 0, get32(i2 + 16 | 0) | 0);
  set32(i6 + 20 | 0, get32(i2 + 20 | 0) | 0);
  set32(i6 + 24 | 0, get32(i2 + 24 | 0) | 0);
  set32(i6 + 28 | 0, get32(i2 + 28 | 0) | 0);
  set32(i6 + 32 | 0, 0 | 0);
  if (!(get16(i10 | 0) & 2048)) {
   i10 = i6 + 28 | 0;
   set16(i10 | 0, getU16(i10 | 0) & 58367 | 4096 | 0);
  }
  i10 = _sqlite3ValueText(i5, get8(i28 >> 0 | 0) | 0) | 0;
  i7 = (i10 | 0) == 0 ? 0 : get32(i5 + 24 | 0) | 0;
  i27 = _sqlite3ValueText(i6, get8(i28 >> 0 | 0) | 0) | 0;
  i28 = FUNCTION_TABLE_iiiiii[get32(i3 + 12 | 0) & 31](get32(i3 + 8 | 0) | 0, i7, i10, (i27 | 0) == 0 ? 0 : get32(i6 + 24 | 0) | 0, i27) | 0;
  _sqlite3VdbeMemReleaseExternal(i5);
  i27 = i5 + 36 | 0;
  _sqlite3DbFree(get32(i5 | 0) | 0, get32(i27 | 0) | 0);
  set32(i5 + 4 | 0, 0 | 0);
  set32(i27 | 0, 0 | 0);
  set32(i25 | 0, 0 | 0);
  _sqlite3VdbeMemReleaseExternal(i6);
  _sqlite3DbFree(get32(i6 | 0) | 0, get32(i6 + 36 | 0) | 0);
  i14 = i28;
  STACKTOP = i4;
  return i14 | 0;
 }
 if (!(i9 & 12)) {
  i14 = 1;
  STACKTOP = i4;
  return i14 | 0;
 }
 if (!(i12 & 12)) {
  i14 = -1;
  STACKTOP = i4;
  return i14 | 0;
 }
 if ((i8 & 4 & i11) << 16 >> 16) {
  i11 = i1 + 16 | 0;
  i8 = get32(i11 | 0) | 0;
  i28 = get32(i11 + 4 | 0) | 0;
  i11 = i2 + 16 | 0;
  i6 = get32(i11 | 0) | 0;
  i25 = get32(i11 + 4 | 0) | 0;
  if ((i28 | 0) < (i25 | 0) | (i28 | 0) == (i25 | 0) & i8 >>> 0 < i6 >>> 0) {
   i14 = -1;
   STACKTOP = i4;
   return i14 | 0;
  }
  i14 = ((i28 | 0) > (i25 | 0) | (i28 | 0) == (i25 | 0) & i8 >>> 0 > i6 >>> 0) & 1;
  STACKTOP = i4;
  return i14 | 0;
 }
 if (!(i9 & 8)) {
  i9 = i1 + 16 | 0;
  d29 = +((get32(i9 | 0) | 0) >>> 0) + 4294967296.0 * +(get32(i9 + 4 | 0) | 0);
 } else d29 = +getF64(i1 + 8 | 0);
 if (!(i12 & 8)) {
  i12 = i2 + 16 | 0;
  d30 = +((get32(i12 | 0) | 0) >>> 0) + 4294967296.0 * +(get32(i12 + 4 | 0) | 0);
 } else d30 = +getF64(i2 + 8 | 0);
 if (d29 < d30) {
  i14 = -1;
  STACKTOP = i4;
  return i14 | 0;
 }
 i14 = d29 > d30 & 1;
 STACKTOP = i4;
 return i14 | 0;
}

function _localtimeOffset(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, d13 = 0.0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, d22 = 0.0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, d27 = 0.0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i5 = i4;
 i6 = i1;
 i7 = get32(i6 | 0) | 0;
 i8 = get32(i6 + 4 | 0) | 0;
 i6 = get32(i1 + 8 | 0) | 0;
 i9 = get32(i1 + 12 | 0) | 0;
 i10 = get32(i1 + 16 | 0) | 0;
 i11 = get32(i1 + 20 | 0) | 0;
 i12 = get32(i1 + 24 | 0) | 0;
 d13 = +getF64(i1 + 32 | 0);
 i14 = get32(i1 + 40 | 0) | 0;
 i1 = i14 >>> 16 & 255;
 if (!((i14 & 255) << 24 >> 24)) if (!(i1 << 24 >> 24)) {
  i15 = 1;
  i16 = 1;
  i17 = 2e3;
 } else {
  i18 = _i64Add(i7 | 0, i8 | 0, 432e5, 0) | 0;
  i19 = ___divdi3(i18 | 0, tempRet0 | 0, 864e5, 0) | 0;
  i18 = ~~((+(i19 | 0) + -1867216.25) / 36524.25);
  i20 = i19 + 1525 + i18 + ((i18 | 0) / -4 | 0) | 0;
  i18 = ~~((+(i20 | 0) + -122.1) / 365.25);
  i19 = i20 - ((i18 * 36525 | 0) / 100 | 0) | 0;
  i20 = ~~(+(i19 | 0) / 30.6001);
  i21 = ((i20 | 0) < 14 ? -1 : -13) + i20 | 0;
  i15 = i19 - ~~(+(i20 | 0) * 30.6001) | 0;
  i16 = i21;
  i17 = ((i21 | 0) > 2 ? -4716 : -4715) + i18 | 0;
 } else {
  i15 = i10;
  i16 = i9;
  i17 = i6;
 }
 if (!(i14 & 65280)) {
  if (!(i1 << 24 >> 24)) {
   i1 = (i16 | 0) < 3;
   i14 = (i1 << 31 >> 31) + i17 | 0;
   d22 = (+(i15 + 2 + ((i14 | 0) / -100 | 0) + ((i14 | 0) / 400 | 0) + (((i14 * 36525 | 0) + 172251900 | 0) / 100 | 0) + ((((i1 ? i16 + 12 | 0 : i16) * 306001 | 0) + 306001 | 0) / 1e4 | 0) | 0) + -1524.5) * 864.0e5;
   i23 = ~~d22 >>> 0;
   i24 = +Math_abs(d22) >= 1.0 ? (d22 > 0.0 ? ~~+Math_min(+Math_floor(d22 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d22 - +(~~d22 >>> 0)) / 4294967296.0) >>> 0) : 0;
  } else {
   i23 = i7;
   i24 = i8;
  }
  i8 = _i64Add(i23 | 0, i24 | 0, 432e5, 0) | 0;
  i24 = ___remdi3(i8 | 0, tempRet0 | 0, 864e5, 0) | 0;
  d22 = +(i24 | 0) / 1.0e3;
  i24 = ~~d22;
  i8 = (i24 | 0) / 3600 | 0;
  i23 = i24 + (Math_imul(i8, -3600) | 0) | 0;
  i7 = (i23 | 0) / 60 | 0;
  i25 = i7;
  i26 = i8;
  d27 = d22 - +(i24 | 0) + +(i23 + (Math_imul(i7, -60) | 0) | 0);
 } else {
  i25 = i12;
  i26 = i11;
  d27 = d13;
 }
 if ((i17 + -1971 | 0) >>> 0 > 66) {
  i28 = 1;
  i29 = 1;
  i30 = 2e3;
  i31 = 0;
  i32 = 0;
  i33 = 0;
  i34 = 0;
 } else {
  i11 = ~~(d27 + .5);
  i12 = ___muldi3(i11 | 0, ((i11 | 0) < 0) << 31 >> 31 | 0, 1e3, 0) | 0;
  i28 = i15;
  i29 = i16;
  i30 = i17;
  i31 = i26;
  i32 = i25;
  i33 = i12;
  i34 = tempRet0;
 }
 i12 = (i29 | 0) < 3;
 i25 = (i12 << 31 >> 31) + i30 | 0;
 d27 = (+(i28 + 2 + ((i25 | 0) / -100 | 0) + ((i25 | 0) / 400 | 0) + (((i25 * 36525 | 0) + 172251900 | 0) / 100 | 0) + ((((i12 ? i29 + 12 | 0 : i29) * 306001 | 0) + 306001 | 0) / 1e4 | 0) | 0) + -1524.5) * 864.0e5;
 i29 = +Math_abs(d27) >= 1.0 ? (d27 > 0.0 ? ~~+Math_min(+Math_floor(d27 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d27 - +(~~d27 >>> 0)) / 4294967296.0) >>> 0) : 0;
 i12 = (Math_imul(i31, 36e5) | 0) + (i32 * 6e4 | 0) | 0;
 i32 = _i64Add(i12 | 0, ((i12 | 0) < 0) << 31 >> 31 | 0, i33 | 0, i34 | 0) | 0;
 i34 = _i64Add(i32 | 0, tempRet0 | 0, ~~d27 >>> 0 | 0, i29 | 0) | 0;
 i29 = tempRet0;
 i32 = ___divdi3(i34 | 0, i29 | 0, 1e3, 0) | 0;
 i33 = _i64Add(i32 | 0, tempRet0 | 0, -413362496, 0) | 0;
 set32(i5 | 0, i33 | 0);
 i33 = _localtime(i5 | 0) | 0;
 if ((i33 | 0) == 0 | (get32(106 * 4 | 0) | 0) != 0) {
  set32(i2 + 52 | 0, 1 | 0);
  _sqlite3VdbeMemSetStr(i2 + 8 | 0, 38112, -1, 1, -1) | 0;
  set32(i3 | 0, 1 | 0);
  i35 = 0;
  i36 = 0;
  tempRet0 = i35;
  STACKTOP = i4;
  return i36 | 0;
 } else {
  i2 = get32(i33 | 0) | 0;
  i5 = get32(i33 + 16 | 0) | 0;
  i32 = (get32(i33 + 20 | 0) | 0) + 1900 | 0;
  i12 = i5 + 1 | 0;
  i31 = (get32(i33 + 12 | 0) | 0) + 2 | 0;
  i25 = Math_imul(get32(i33 + 8 | 0) | 0, 36e5) | 0;
  i28 = (get32(i33 + 4 | 0) | 0) * 6e4 | 0;
  i33 = ___muldi3(i2 | 0, ((i2 | 0) < 0) << 31 >> 31 | 0, 1e3, 0) | 0;
  i2 = (i12 | 0) < 3;
  i30 = (i2 << 31 >> 31) + i32 | 0;
  d27 = (+(((i30 | 0) / -100 | 0) + i31 + ((i30 | 0) / 400 | 0) + (((i30 * 36525 | 0) + 172251900 | 0) / 100 | 0) + ((((i2 ? i5 + 13 | 0 : i12) * 306001 | 0) + 306001 | 0) / 1e4 | 0) | 0) + -1524.5) * 864.0e5;
  i12 = +Math_abs(d27) >= 1.0 ? (d27 > 0.0 ? ~~+Math_min(+Math_floor(d27 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d27 - +(~~d27 >>> 0)) / 4294967296.0) >>> 0) : 0;
  i5 = i28 + i25 | 0;
  set32(i3 | 0, 0 | 0);
  i3 = _i64Subtract(i33 | 0, tempRet0 | 0, i34 | 0, i29 | 0) | 0;
  i29 = _i64Add(i3 | 0, tempRet0 | 0, i5 | 0, ((i5 | 0) < 0) << 31 >> 31 | 0) | 0;
  i5 = _i64Add(i29 | 0, tempRet0 | 0, ~~d27 >>> 0 | 0, i12 | 0) | 0;
  i35 = tempRet0;
  i36 = i5;
  tempRet0 = i35;
  STACKTOP = i4;
  return i36 | 0;
 }
 return 0;
}

function _saveAllCursors(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0;
 i4 = get32(i1 + 8 | 0) | 0;
 if (!i4) {
  i5 = 0;
  return i5 | 0;
 }
 i1 = (i2 | 0) == 0;
 i6 = i4;
 L4 : while (1) {
  do if ((i6 | 0) != (i3 | 0)) {
   if (!i1 ? (get32(i6 + 20 | 0) | 0) != (i2 | 0) : 0) break;
   i4 = i6 + 83 | 0;
   if ((get8(i4 >> 0 | 0) | 0) == 1) {
    i7 = i6 + 64 | 0;
    i8 = i6 + 32 | 0;
    if (!(get16(i6 + 58 | 0) | 0)) {
     i9 = get16(i6 + 90 | 0) | 0;
     i10 = get32(i6 + 132 + (i9 << 2) | 0) | 0;
     i11 = get32(i10 + 64 | 0) | 0;
     i12 = (getU16(i10 + 12 | 0) | 0) + (getU16(i6 + 92 + (i9 << 1) | 0) << 1) | 0;
     _btreeParseCellPtr(i10, i11 + ((getU8(i11 + i12 >> 0 | 0) << 8 | getU8(i11 + (i12 + 1) >> 0 | 0)) & getU16(i10 + 18 | 0)) | 0, i8);
     set8(i6 + 82 >> 0 | 0, 1 | 0);
    }
    i10 = i8;
    i8 = get32(i10 | 0) | 0;
    i12 = get32(i10 + 4 | 0) | 0;
    i10 = i7;
    set32(i10 | 0, i8 | 0);
    set32(i10 + 4 | 0, i12 | 0);
    do if (!(get8((get32(i6 + 132 | 0) | 0) + 2 >> 0 | 0) | 0)) if ((i8 + -1 | 0) >>> 0 > 2147483390) i13 = 7; else {
     if (!(get32(50 * 4 | 0) | 0)) {
      i12 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i8) | 0;
      if (!i12) {
       i13 = 7;
       break;
      } else i14 = i12;
     } else {
      i12 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i8) | 0;
      set32(35 * 4 | 0, i8 | 0);
      if ((get32(45 * 4 | 0) | 0) < (i8 | 0)) set32(45 * 4 | 0, i8 | 0);
      i10 = get32(6 * 4 | 0) | 0;
      do if (i10) {
       i11 = get32(30 * 4 | 0) | 0;
       i9 = ((i11 | 0) < 0) << 31 >> 31;
       i15 = 16;
       i16 = _i64Subtract(get32(i15 | 0) | 0, get32(i15 + 4 | 0) | 0, i12 | 0, ((i12 | 0) < 0) << 31 >> 31 | 0) | 0;
       i15 = tempRet0;
       if ((i9 | 0) < (i15 | 0) | (i9 | 0) == (i15 | 0) & i11 >>> 0 < i16 >>> 0) {
        set32(11 * 4 | 0, 0 | 0);
        break;
       } else {
        set32(11 * 4 | 0, 1 | 0);
        i16 = get32(7 * 4 | 0) | 0;
        set32(6 * 4 | 0, 0 | 0);
        FUNCTION_TABLE_viiii[i10 & 15](i16, i11, i9, i12);
        set32(6 * 4 | 0, i10 | 0);
        set32(7 * 4 | 0, i16 | 0);
        break;
       }
      } while (0);
      i10 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i12) | 0;
      if (!i10) {
       i13 = 7;
       break;
      }
      i16 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i10) | 0;
      i9 = (get32(30 * 4 | 0) | 0) + i16 | 0;
      set32(30 * 4 | 0, i9 | 0);
      if ((i9 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i9 | 0);
      i9 = get32(39 * 4 | 0) | 0;
      i16 = i9 + 1 | 0;
      set32(39 * 4 | 0, i16 | 0);
      if ((i9 | 0) < (get32(49 * 4 | 0) | 0)) i14 = i10; else {
       set32(49 * 4 | 0, i16 | 0);
       i14 = i10;
      }
     }
     i10 = _accessPayload(i6, 0, get32(i7 | 0) | 0, i14, 0) | 0;
     if (!i10) {
      set32(i6 + 72 | 0, i14 | 0);
      i17 = 10;
      break;
     }
     if (!(get32(50 * 4 | 0) | 0)) {
      FUNCTION_TABLE_vi[get32(232 | 0) & 31](i14);
      i13 = i10;
      break;
     }
     i16 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i14) | 0;
     i9 = (get32(30 * 4 | 0) | 0) - i16 | 0;
     set32(30 * 4 | 0, i9 | 0);
     if ((i9 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i9 | 0);
     i9 = (get32(39 * 4 | 0) | 0) + -1 | 0;
     set32(39 * 4 | 0, i9 | 0);
     if ((i9 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i9 | 0);
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i14);
     i13 = i10;
    } else i17 = 10; while (0);
    if ((i17 | 0) == 10) {
     i17 = 0;
     i7 = i6 + 90 | 0;
     if ((get16(i7 | 0) | 0) >= 0) {
      i8 = 0;
      while (1) {
       i10 = i6 + 132 + (i8 << 2) | 0;
       i9 = get32(i10 | 0) | 0;
       if (i9) _sqlite3PagerUnref(get32(i9 + 68 | 0) | 0);
       set32(i10 | 0, 0 | 0);
       if ((i8 | 0) < (get16(i7 | 0) | 0)) i8 = i8 + 1 | 0; else break;
      }
     }
     set16(i7 | 0, -1 | 0);
     set8(i4 >> 0 | 0, 2 | 0);
     i13 = 0;
    }
    i8 = i6 + 84 | 0;
    i10 = get32(i8 | 0) | 0;
    do if (i10) {
     if (!(get32(50 * 4 | 0) | 0)) {
      FUNCTION_TABLE_vi[get32(232 | 0) & 31](i10);
      break;
     }
     i9 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i10) | 0;
     i16 = (get32(30 * 4 | 0) | 0) - i9 | 0;
     set32(30 * 4 | 0, i16 | 0);
     if ((i16 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i16 | 0);
     i16 = (get32(39 * 4 | 0) | 0) + -1 | 0;
     set32(39 * 4 | 0, i16 | 0);
     if ((i16 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i16 | 0);
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i10);
    } while (0);
    set32(i8 | 0, 0 | 0);
    if (i13) {
     i5 = i13;
     i17 = 48;
     break L4;
    }
   }
  } while (0);
  i6 = get32(i6 + 8 | 0) | 0;
  if (!i6) {
   i5 = 0;
   i17 = 48;
   break;
  }
 }
 if ((i17 | 0) == 48) return i5 | 0;
 return 0;
}

function _sqlite3SelectDup(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0;
 if (!i2) return 0;
 L4 : do if (!i1) {
  if (!(get32(50 * 4 | 0) | 0)) {
   i4 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](80) | 0;
   i5 = 39;
   break;
  }
  i6 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](80) | 0;
  set32(35 * 4 | 0, 80 | 0);
  if ((get32(45 * 4 | 0) | 0) < 80) set32(45 * 4 | 0, 80 | 0);
  i7 = get32(6 * 4 | 0) | 0;
  do if (i7) {
   i8 = get32(30 * 4 | 0) | 0;
   i9 = ((i8 | 0) < 0) << 31 >> 31;
   i10 = 16;
   i11 = _i64Subtract(get32(i10 | 0) | 0, get32(i10 + 4 | 0) | 0, i6 | 0, ((i6 | 0) < 0) << 31 >> 31 | 0) | 0;
   i10 = tempRet0;
   if ((i9 | 0) < (i10 | 0) | (i9 | 0) == (i10 | 0) & i8 >>> 0 < i11 >>> 0) {
    set32(11 * 4 | 0, 0 | 0);
    break;
   } else {
    set32(11 * 4 | 0, 1 | 0);
    i11 = get32(7 * 4 | 0) | 0;
    set32(6 * 4 | 0, 0 | 0);
    FUNCTION_TABLE_viiii[i7 & 15](i11, i8, i9, i6);
    set32(6 * 4 | 0, i7 | 0);
    set32(7 * 4 | 0, i11 | 0);
    break;
   }
  } while (0);
  i7 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i6) | 0;
  if (!i7) return 0;
  i11 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i7) | 0;
  i9 = (get32(30 * 4 | 0) | 0) + i11 | 0;
  set32(30 * 4 | 0, i9 | 0);
  if ((i9 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i9 | 0);
  i9 = get32(39 * 4 | 0) | 0;
  i11 = i9 + 1 | 0;
  set32(39 * 4 | 0, i11 | 0);
  if ((i9 | 0) < (get32(49 * 4 | 0) | 0)) i12 = i7; else {
   set32(49 * 4 | 0, i11 | 0);
   i12 = i7;
  }
 } else {
  i7 = i1 + 30 | 0;
  if (get8(i7 >> 0 | 0) | 0) return 0;
  do if (get8(i1 + 234 >> 0 | 0) | 0) {
   if ((getU16(i1 + 232 | 0) | 0) < 80) {
    i11 = i1 + 248 | 0;
    set32(i11 | 0, (get32(i11 | 0) | 0) + 1 | 0);
    break;
   }
   i11 = i1 + 256 | 0;
   i9 = get32(i11 | 0) | 0;
   if (!i9) {
    i8 = i1 + 252 | 0;
    set32(i8 | 0, (get32(i8 | 0) | 0) + 1 | 0);
    break;
   }
   set32(i11 | 0, get32(i9 | 0) | 0);
   i11 = i1 + 236 | 0;
   i8 = get32(i11 | 0) | 0;
   i10 = i8 + 1 | 0;
   set32(i11 | 0, i10 | 0);
   i11 = i1 + 244 | 0;
   set32(i11 | 0, (get32(i11 | 0) | 0) + 1 | 0);
   i11 = i1 + 240 | 0;
   if ((i8 | 0) >= (get32(i11 | 0) | 0)) set32(i11 | 0, i10 | 0);
   i4 = i9;
   i5 = 39;
   break L4;
  } while (0);
  if (!(get32(50 * 4 | 0) | 0)) {
   i6 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](80) | 0;
   if (i6) {
    i12 = i6;
    break;
   }
  } else {
   i6 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](80) | 0;
   set32(35 * 4 | 0, 80 | 0);
   if ((get32(45 * 4 | 0) | 0) < 80) set32(45 * 4 | 0, 80 | 0);
   i9 = get32(6 * 4 | 0) | 0;
   do if (i9) {
    i10 = get32(30 * 4 | 0) | 0;
    i11 = ((i10 | 0) < 0) << 31 >> 31;
    i8 = 16;
    i13 = _i64Subtract(get32(i8 | 0) | 0, get32(i8 + 4 | 0) | 0, i6 | 0, ((i6 | 0) < 0) << 31 >> 31 | 0) | 0;
    i8 = tempRet0;
    if ((i11 | 0) < (i8 | 0) | (i11 | 0) == (i8 | 0) & i10 >>> 0 < i13 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i13 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i9 & 15](i13, i10, i11, i6);
     set32(6 * 4 | 0, i9 | 0);
     set32(7 * 4 | 0, i13 | 0);
     break;
    }
   } while (0);
   i9 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i6) | 0;
   if (i9) {
    i13 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i9) | 0;
    i11 = (get32(30 * 4 | 0) | 0) + i13 | 0;
    set32(30 * 4 | 0, i11 | 0);
    if ((i11 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i11 | 0);
    i11 = get32(39 * 4 | 0) | 0;
    i13 = i11 + 1 | 0;
    set32(39 * 4 | 0, i13 | 0);
    if ((i11 | 0) < (get32(49 * 4 | 0) | 0)) {
     i12 = i9;
     break;
    }
    set32(49 * 4 | 0, i13 | 0);
    i12 = i9;
    break;
   }
  }
  set8(i7 >> 0 | 0, 1 | 0);
  return 0;
 } while (0);
 if ((i5 | 0) == 39) if (!i4) return 0; else i12 = i4;
 set32(i12 | 0, _sqlite3ExprListDup(i1, get32(i2 | 0) | 0, i3) | 0 | 0);
 set32(i12 + 8 | 0, _sqlite3SrcListDup(i1, get32(i2 + 8 | 0) | 0, i3) | 0 | 0);
 set32(i12 + 12 | 0, _exprDup(i1, get32(i2 + 12 | 0) | 0, i3, 0) | 0 | 0);
 set32(i12 + 16 | 0, _sqlite3ExprListDup(i1, get32(i2 + 16 | 0) | 0, i3) | 0 | 0);
 set32(i12 + 20 | 0, _exprDup(i1, get32(i2 + 20 | 0) | 0, i3, 0) | 0 | 0);
 set32(i12 + 24 | 0, _sqlite3ExprListDup(i1, get32(i2 + 24 | 0) | 0, i3) | 0 | 0);
 set8(i12 + 4 >> 0 | 0, get8(i2 + 4 >> 0 | 0) | 0 | 0);
 set32(i12 + 28 | 0, _sqlite3SelectDup(i1, get32(i2 + 28 | 0) | 0, i3) | 0 | 0);
 set32(i12 + 40 | 0, _exprDup(i1, get32(i2 + 40 | 0) | 0, i3, 0) | 0 | 0);
 set32(i12 + 44 | 0, _exprDup(i1, get32(i2 + 44 | 0) | 0, i3, 0) | 0 | 0);
 set32(i12 + 48 | 0, 0 | 0);
 set32(i12 + 52 | 0, 0 | 0);
 set16(i12 + 6 | 0, getU16(i2 + 6 | 0) & 65527 | 0);
 set32(i12 + 36 | 0, 0 | 0);
 set32(i12 + 56 | 0, -1 | 0);
 set32(i12 + 60 | 0, -1 | 0);
 set32(i12 + 64 | 0, -1 | 0);
 return i12 | 0;
}

function _sqlite3VdbeMemSetRowSet(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0;
 i2 = get32(i1 | 0) | 0;
 _sqlite3VdbeMemReleaseExternal(i1);
 i3 = i1 + 36 | 0;
 _sqlite3DbFree(get32(i1 | 0) | 0, get32(i3 | 0) | 0);
 set32(i1 + 4 | 0, 0 | 0);
 set32(i3 | 0, 0 | 0);
 set32(i1 + 32 | 0, 0 | 0);
 i4 = (i2 | 0) == 0;
 L1 : do if (i4) {
  if (!(get32(50 * 4 | 0) | 0)) {
   i5 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](64) | 0;
   break;
  }
  i6 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](64) | 0;
  set32(35 * 4 | 0, 64 | 0);
  if ((get32(45 * 4 | 0) | 0) < 64) set32(45 * 4 | 0, 64 | 0);
  i7 = get32(6 * 4 | 0) | 0;
  do if (i7) {
   i8 = get32(30 * 4 | 0) | 0;
   i9 = ((i8 | 0) < 0) << 31 >> 31;
   i10 = 16;
   i11 = _i64Subtract(get32(i10 | 0) | 0, get32(i10 + 4 | 0) | 0, i6 | 0, ((i6 | 0) < 0) << 31 >> 31 | 0) | 0;
   i10 = tempRet0;
   if ((i9 | 0) < (i10 | 0) | (i9 | 0) == (i10 | 0) & i8 >>> 0 < i11 >>> 0) {
    set32(11 * 4 | 0, 0 | 0);
    break;
   } else {
    set32(11 * 4 | 0, 1 | 0);
    i11 = get32(7 * 4 | 0) | 0;
    set32(6 * 4 | 0, 0 | 0);
    FUNCTION_TABLE_viiii[i7 & 15](i11, i8, i9, i6);
    set32(6 * 4 | 0, i7 | 0);
    set32(7 * 4 | 0, i11 | 0);
    break;
   }
  } while (0);
  i7 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i6) | 0;
  if (i7) {
   i11 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i7) | 0;
   i9 = (get32(30 * 4 | 0) | 0) + i11 | 0;
   set32(30 * 4 | 0, i9 | 0);
   if ((i9 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i9 | 0);
   i9 = get32(39 * 4 | 0) | 0;
   i11 = i9 + 1 | 0;
   set32(39 * 4 | 0, i11 | 0);
   if ((i9 | 0) < (get32(49 * 4 | 0) | 0)) i5 = i7; else {
    set32(49 * 4 | 0, i11 | 0);
    i5 = i7;
   }
  } else i5 = 0;
 } else {
  i7 = i2 + 30 | 0;
  if (!(get8(i7 >> 0 | 0) | 0)) {
   do if (get8(i2 + 234 >> 0 | 0) | 0) {
    if ((getU16(i2 + 232 | 0) | 0) < 64) {
     i11 = i2 + 248 | 0;
     set32(i11 | 0, (get32(i11 | 0) | 0) + 1 | 0);
     break;
    }
    i11 = i2 + 256 | 0;
    i9 = get32(i11 | 0) | 0;
    if (!i9) {
     i8 = i2 + 252 | 0;
     set32(i8 | 0, (get32(i8 | 0) | 0) + 1 | 0);
     break;
    }
    set32(i11 | 0, get32(i9 | 0) | 0);
    i11 = i2 + 236 | 0;
    i8 = get32(i11 | 0) | 0;
    i10 = i8 + 1 | 0;
    set32(i11 | 0, i10 | 0);
    i11 = i2 + 244 | 0;
    set32(i11 | 0, (get32(i11 | 0) | 0) + 1 | 0);
    i11 = i2 + 240 | 0;
    if ((i8 | 0) >= (get32(i11 | 0) | 0)) set32(i11 | 0, i10 | 0);
    i5 = i9;
    break L1;
   } while (0);
   if (!(get32(50 * 4 | 0) | 0)) {
    i6 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](64) | 0;
    if (i6) {
     i5 = i6;
     break;
    }
   } else {
    i6 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](64) | 0;
    set32(35 * 4 | 0, 64 | 0);
    if ((get32(45 * 4 | 0) | 0) < 64) set32(45 * 4 | 0, 64 | 0);
    i9 = get32(6 * 4 | 0) | 0;
    do if (i9) {
     i10 = get32(30 * 4 | 0) | 0;
     i11 = ((i10 | 0) < 0) << 31 >> 31;
     i8 = 16;
     i12 = _i64Subtract(get32(i8 | 0) | 0, get32(i8 + 4 | 0) | 0, i6 | 0, ((i6 | 0) < 0) << 31 >> 31 | 0) | 0;
     i8 = tempRet0;
     if ((i11 | 0) < (i8 | 0) | (i11 | 0) == (i8 | 0) & i10 >>> 0 < i12 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i12 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i9 & 15](i12, i10, i11, i6);
      set32(6 * 4 | 0, i9 | 0);
      set32(7 * 4 | 0, i12 | 0);
      break;
     }
    } while (0);
    i9 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i6) | 0;
    if (i9) {
     i12 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i9) | 0;
     i11 = (get32(30 * 4 | 0) | 0) + i12 | 0;
     set32(30 * 4 | 0, i11 | 0);
     if ((i11 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i11 | 0);
     i11 = get32(39 * 4 | 0) | 0;
     i12 = i11 + 1 | 0;
     set32(39 * 4 | 0, i12 | 0);
     if ((i11 | 0) < (get32(49 * 4 | 0) | 0)) {
      i5 = i9;
      break;
     }
     set32(49 * 4 | 0, i12 | 0);
     i5 = i9;
     break;
    }
   }
   set8(i7 >> 0 | 0, 1 | 0);
   i5 = 0;
  } else i5 = 0;
 } while (0);
 set32(i3 | 0, i5 | 0);
 if (get8(i2 + 30 >> 0 | 0) | 0) {
  set16(i1 + 28 | 0, 1 | 0);
  return;
 }
 if ((!(i4 | (i5 | 0) == 0) ? (get32(i2 + 260 | 0) | 0) >>> 0 <= i5 >>> 0 : 0) ? (get32(i2 + 264 | 0) | 0) >>> 0 > i5 >>> 0 : 0) i13 = getU16(i2 + 232 | 0) | 0; else i13 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i5) | 0;
 set32(i5 | 0, 0 | 0);
 set32(i5 + 4 | 0, i2 | 0);
 set32(i5 + 8 | 0, 0 | 0);
 set32(i5 + 12 | 0, 0 | 0);
 set32(i5 + 20 | 0, 0 | 0);
 set32(i5 + 16 | 0, i5 + 32 | 0);
 set16(i5 + 24 | 0, (i13 + 1048544 | 0) >>> 4 | 0);
 set8(i5 + 26 >> 0 | 0, 1 | 0);
 set8(i5 + 27 >> 0 | 0, 0 | 0);
 set32(i1 + 16 | 0, i5 | 0);
 set16(i1 + 28 | 0, 32 | 0);
 return;
}

function _sqlite3DbRealloc(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0;
 i4 = i1 + 30 | 0;
 if (get8(i4 >> 0 | 0) | 0) {
  i5 = 0;
  return i5 | 0;
 }
 if (!i2) {
  do if (get8(i1 + 234 >> 0 | 0) | 0) {
   if ((getU16(i1 + 232 | 0) | 0) < (i3 | 0)) {
    i6 = i1 + 248 | 0;
    set32(i6 | 0, (get32(i6 | 0) | 0) + 1 | 0);
    break;
   }
   i6 = i1 + 256 | 0;
   i7 = get32(i6 | 0) | 0;
   if (!i7) {
    i8 = i1 + 252 | 0;
    set32(i8 | 0, (get32(i8 | 0) | 0) + 1 | 0);
    break;
   }
   set32(i6 | 0, get32(i7 | 0) | 0);
   i6 = i1 + 236 | 0;
   i8 = get32(i6 | 0) | 0;
   i9 = i8 + 1 | 0;
   set32(i6 | 0, i9 | 0);
   i6 = i1 + 244 | 0;
   set32(i6 | 0, (get32(i6 | 0) | 0) + 1 | 0);
   i6 = i1 + 240 | 0;
   if ((i8 | 0) >= (get32(i6 | 0) | 0)) set32(i6 | 0, i9 | 0);
   i5 = i7;
   return i5 | 0;
  } while (0);
  do if ((i3 + -1 | 0) >>> 0 <= 2147483390) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i7 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i3) | 0;
    if (!i7) break; else i5 = i7;
    return i5 | 0;
   }
   i7 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i3) | 0;
   set32(35 * 4 | 0, i3 | 0);
   if ((get32(45 * 4 | 0) | 0) < (i3 | 0)) set32(45 * 4 | 0, i3 | 0);
   i9 = get32(6 * 4 | 0) | 0;
   do if (i9) {
    i6 = get32(30 * 4 | 0) | 0;
    i8 = ((i6 | 0) < 0) << 31 >> 31;
    i10 = 16;
    i11 = _i64Subtract(get32(i10 | 0) | 0, get32(i10 + 4 | 0) | 0, i7 | 0, ((i7 | 0) < 0) << 31 >> 31 | 0) | 0;
    i10 = tempRet0;
    if ((i8 | 0) < (i10 | 0) | (i8 | 0) == (i10 | 0) & i6 >>> 0 < i11 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i11 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i9 & 15](i11, i6, i8, i7);
     set32(6 * 4 | 0, i9 | 0);
     set32(7 * 4 | 0, i11 | 0);
     break;
    }
   } while (0);
   i9 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i7) | 0;
   if (i9) {
    i11 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i9) | 0;
    i8 = (get32(30 * 4 | 0) | 0) + i11 | 0;
    set32(30 * 4 | 0, i8 | 0);
    if ((i8 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i8 | 0);
    i8 = get32(39 * 4 | 0) | 0;
    i11 = i8 + 1 | 0;
    set32(39 * 4 | 0, i11 | 0);
    if ((i8 | 0) < (get32(49 * 4 | 0) | 0)) {
     i5 = i9;
     return i5 | 0;
    }
    set32(49 * 4 | 0, i11 | 0);
    i5 = i9;
    return i5 | 0;
   }
  } while (0);
  set8(i4 >> 0 | 0, 1 | 0);
  i5 = 0;
  return i5 | 0;
 }
 if ((get32(i1 + 260 | 0) | 0) >>> 0 <= i2 >>> 0 ? (get32(i1 + 264 | 0) | 0) >>> 0 > i2 >>> 0 : 0) {
  i9 = i1 + 232 | 0;
  if ((getU16(i9 | 0) | 0) >= (i3 | 0)) {
   i5 = i2;
   return i5 | 0;
  }
  if (get8(i1 + 234 >> 0 | 0) | 0) {
   i11 = i1 + 248 | 0;
   set32(i11 | 0, (get32(i11 | 0) | 0) + 1 | 0);
  }
  do if ((i3 + -1 | 0) >>> 0 <= 2147483390) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i11 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i3) | 0;
    if (!i11) break; else i12 = i11;
   } else {
    i11 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i3) | 0;
    set32(35 * 4 | 0, i3 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i3 | 0)) set32(45 * 4 | 0, i3 | 0);
    i8 = get32(6 * 4 | 0) | 0;
    do if (i8) {
     i6 = get32(30 * 4 | 0) | 0;
     i10 = ((i6 | 0) < 0) << 31 >> 31;
     i13 = 16;
     i14 = _i64Subtract(get32(i13 | 0) | 0, get32(i13 + 4 | 0) | 0, i11 | 0, ((i11 | 0) < 0) << 31 >> 31 | 0) | 0;
     i13 = tempRet0;
     if ((i10 | 0) < (i13 | 0) | (i10 | 0) == (i13 | 0) & i6 >>> 0 < i14 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i14 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i8 & 15](i14, i6, i10, i11);
      set32(6 * 4 | 0, i8 | 0);
      set32(7 * 4 | 0, i14 | 0);
      break;
     }
    } while (0);
    i8 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i11) | 0;
    if (!i8) break;
    i7 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i8) | 0;
    i14 = (get32(30 * 4 | 0) | 0) + i7 | 0;
    set32(30 * 4 | 0, i14 | 0);
    if ((i14 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i14 | 0);
    i14 = get32(39 * 4 | 0) | 0;
    i7 = i14 + 1 | 0;
    set32(39 * 4 | 0, i7 | 0);
    if ((i14 | 0) < (get32(49 * 4 | 0) | 0)) i12 = i8; else {
     set32(49 * 4 | 0, i7 | 0);
     i12 = i8;
    }
   }
   _memcpy(i12 | 0, i2 | 0, getU16(i9 | 0) | 0) | 0;
   _sqlite3DbFree(i1, i2);
   i5 = i12;
   return i5 | 0;
  } while (0);
  set8(i4 >> 0 | 0, 1 | 0);
  i5 = 0;
  return i5 | 0;
 }
 if ((_sqlite3_initialize() | 0) == 0 ? (i12 = _sqlite3Realloc(i2, i3) | 0, (i12 | 0) != 0) : 0) {
  i5 = i12;
  return i5 | 0;
 }
 set8(i4 >> 0 | 0, 1 | 0);
 i5 = 0;
 return i5 | 0;
}

function _execExecSql(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 48 | 0;
 i5 = i4 + 40 | 0;
 i6 = i4 + 32 | 0;
 i7 = i4 + 24 | 0;
 i8 = i4 + 16 | 0;
 i9 = i4 + 8 | 0;
 i10 = i4;
 i11 = i4 + 44 | 0;
 i12 = _sqlite3_prepare(i1, i3, -1, i11, 0) | 0;
 if (i12) {
  i13 = i12;
  STACKTOP = i4;
  return i13 | 0;
 }
 i12 = get32(i11 | 0) | 0;
 while (1) {
  if ((_sqlite3_step(i12) | 0) != 100) {
   i14 = 21;
   break;
  }
  i11 = _execSql(i1, i2, _sqlite3_column_text(i12, 0) | 0) | 0;
  if (i11) {
   i15 = i11;
   i14 = 5;
   break;
  }
 }
 if ((i14 | 0) == 5) {
  i11 = i12 + 52 | 0;
  i3 = get32(i11 | 0) | 0;
  if ((i3 | 0) < 1369188723) switch (i3 | 0) {
  case -1108210269:
   {
    i14 = 6;
    break;
   }
  default:
   i16 = 0;
  } else switch (i3 | 0) {
  case 1369188723:
   {
    i14 = 6;
    break;
   }
  default:
   i16 = 0;
  }
  if ((i14 | 0) == 6) i16 = _sqlite3VdbeReset(i12) | 0;
  i3 = get32(i12 | 0) | 0;
  i17 = get32(i12 + 60 | 0) | 0;
  i18 = i12 + 64 | 0;
  i19 = get32(i18 | 0) | 0;
  if (!i17) {
   set32(i3 + 136 | 0, i19 | 0);
   i20 = i19;
  } else {
   set32(i17 + 64 | 0, i19 | 0);
   i20 = get32(i18 | 0) | 0;
  }
  if (i20) set32(i20 + 60 | 0, i17 | 0);
  set32(i11 | 0, -1241070648 | 0);
  set32(i12 | 0, 0 | 0);
  _sqlite3VdbeDeleteObject(i3, i12);
  if (!i16) {
   i13 = i15;
   STACKTOP = i4;
   return i13 | 0;
  }
  do if (i1) {
   i16 = get32(i1 + 56 | 0) | 0;
   L60 : do if ((i16 | 0) >= -264537850) if ((i16 | 0) < 1266094736) switch (i16 | 0) {
   case -264537850:
    {
     break L60;
     break;
    }
   default:
    {
     i14 = 15;
     break L60;
    }
   } else switch (i16 | 0) {
   case 1266094736:
    {
     break L60;
     break;
    }
   default:
    {
     i14 = 15;
     break L60;
    }
   } else switch (i16 | 0) {
   case -1607883113:
    break;
   default:
    i14 = 15;
   } while (0);
   if ((i14 | 0) == 15) {
    set32(i10 | 0, 38376 | 0);
    _sqlite3_log(21, 26104, i10);
    set32(i9 | 0, 109450 | 0);
    set32(i9 + 4 | 0, 17203 | 0);
    _sqlite3_log(21, 39226, i9);
    i21 = 38778;
    break;
   }
   if (!(get8(i1 + 30 >> 0 | 0) | 0)) {
    i16 = _sqlite3ValueText(get32(i1 + 212 | 0) | 0, 1) | 0;
    if (!i16) {
     i3 = get32(i1 + 20 | 0) & 255;
     if (i3 >>> 0 > 26 | (i3 | 0) == 2) i21 = 38974; else i21 = get32(5652 + (i3 << 2) | 0) | 0;
    } else i21 = i16;
   } else i21 = 19448;
  } else i21 = 19448; while (0);
  _sqlite3SetString(i2, i1, i21, i8);
  i13 = i15;
  STACKTOP = i4;
  return i13 | 0;
 } else if ((i14 | 0) == 21) {
  i15 = i12 + 52 | 0;
  i8 = get32(i15 | 0) | 0;
  if ((i8 | 0) < 1369188723) switch (i8 | 0) {
  case -1108210269:
   {
    i14 = 22;
    break;
   }
  default:
   i22 = 0;
  } else switch (i8 | 0) {
  case 1369188723:
   {
    i14 = 22;
    break;
   }
  default:
   i22 = 0;
  }
  if ((i14 | 0) == 22) i22 = _sqlite3VdbeReset(i12) | 0;
  i8 = get32(i12 | 0) | 0;
  i21 = get32(i12 + 60 | 0) | 0;
  i9 = i12 + 64 | 0;
  i10 = get32(i9 | 0) | 0;
  if (!i21) {
   set32(i8 + 136 | 0, i10 | 0);
   i23 = i10;
  } else {
   set32(i21 + 64 | 0, i10 | 0);
   i23 = get32(i9 | 0) | 0;
  }
  if (i23) set32(i23 + 60 | 0, i21 | 0);
  set32(i15 | 0, -1241070648 | 0);
  set32(i12 | 0, 0 | 0);
  _sqlite3VdbeDeleteObject(i8, i12);
  if (!i22) {
   i13 = 0;
   STACKTOP = i4;
   return i13 | 0;
  }
  do if (i1) {
   i12 = get32(i1 + 56 | 0) | 0;
   L27 : do if ((i12 | 0) >= -264537850) if ((i12 | 0) < 1266094736) switch (i12 | 0) {
   case -264537850:
    {
     break L27;
     break;
    }
   default:
    {
     i14 = 31;
     break L27;
    }
   } else switch (i12 | 0) {
   case 1266094736:
    {
     break L27;
     break;
    }
   default:
    {
     i14 = 31;
     break L27;
    }
   } else switch (i12 | 0) {
   case -1607883113:
    break;
   default:
    i14 = 31;
   } while (0);
   if ((i14 | 0) == 31) {
    set32(i7 | 0, 38376 | 0);
    _sqlite3_log(21, 26104, i7);
    set32(i6 | 0, 109450 | 0);
    set32(i6 + 4 | 0, 17203 | 0);
    _sqlite3_log(21, 39226, i6);
    i24 = 38778;
    break;
   }
   if (!(get8(i1 + 30 >> 0 | 0) | 0)) {
    i12 = _sqlite3ValueText(get32(i1 + 212 | 0) | 0, 1) | 0;
    if (!i12) {
     i8 = get32(i1 + 20 | 0) & 255;
     if (i8 >>> 0 > 26 | (i8 | 0) == 2) i24 = 38974; else i24 = get32(5652 + (i8 << 2) | 0) | 0;
    } else i24 = i12;
   } else i24 = 19448;
  } else i24 = 19448; while (0);
  _sqlite3SetString(i2, i1, i24, i5);
  i13 = i22;
  STACKTOP = i4;
  return i13 | 0;
 }
 return 0;
}

function _hexFunc(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0;
 i2 = get32(i3 | 0) | 0;
 i4 = i2 + 28 | 0;
 i5 = get16(i4 | 0) | 0;
 if (i5 & 18) {
  i6 = i2 + 24 | 0;
  do if (i5 & 16384) {
   i7 = i2 + 16 | 0;
   i8 = (get32(i7 | 0) | 0) + (get32(i6 | 0) | 0) | 0;
   if (!(_sqlite3VdbeMemGrow(i2, (i8 | 0) < 1 ? 1 : i8, 1) | 0)) {
    _memset((get32(i2 + 4 | 0) | 0) + (get32(i6 | 0) | 0) | 0, 0, get32(i7 | 0) | 0) | 0;
    set32(i6 | 0, (get32(i6 | 0) | 0) + (get32(i7 | 0) | 0) | 0);
    i7 = (getU16(i4 | 0) | 0) & 48639;
    set16(i4 | 0, i7 | 0);
    i9 = i7;
    break;
   } else {
    i9 = get16(i4 | 0) | 0;
    break;
   }
  } else i9 = i5; while (0);
  set16(i4 | 0, i9 & 65517 | 16 | 0);
  if (!(get32(i6 | 0) | 0)) i10 = 0; else i10 = get32(i2 + 4 | 0) | 0;
 } else i10 = _sqlite3ValueText(i2, 1) | 0;
 i2 = get32(i3 | 0) | 0;
 i3 = i2 + 28 | 0;
 i6 = get16(i3 | 0) | 0;
 if (!(i6 & 16)) if (!(_sqlite3ValueText(i2, 1) | 0)) i11 = 0; else {
  i12 = get16(i3 | 0) | 0;
  i13 = 12;
 } else {
  i12 = i6;
  i13 = 12;
 }
 if ((i13 | 0) == 12) {
  i13 = get32(i2 + 24 | 0) | 0;
  if (!(i12 & 16384)) i11 = i13; else i11 = (get32(i2 + 16 | 0) | 0) + i13 | 0;
 }
 i13 = _bitshift64Shl(i11 | 0, ((i11 | 0) < 0) << 31 >> 31 | 0, 1) | 0;
 i2 = tempRet0;
 i12 = i13 | 1;
 i13 = i1 + 8 | 0;
 i6 = get32((get32(i13 | 0) | 0) + 72 | 0) | 0;
 i3 = ((i6 | 0) < 0) << 31 >> 31;
 if ((i3 | 0) < (i2 | 0) | (i3 | 0) == (i2 | 0) & i6 >>> 0 < i12 >>> 0) {
  set32(i1 + 52 | 0, 18 | 0);
  _sqlite3VdbeMemSetStr(i1 + 8 | 0, 16620, -1, 1, 0) | 0;
  return;
 }
 do if ((i12 + -1 | 0) >>> 0 <= 2147483390) {
  if (!(get32(50 * 4 | 0) | 0)) {
   i6 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i12) | 0;
   if (!i6) break; else i14 = i6;
  } else {
   i6 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i12) | 0;
   set32(35 * 4 | 0, i12 | 0);
   if ((get32(45 * 4 | 0) | 0) < (i12 | 0)) set32(45 * 4 | 0, i12 | 0);
   i2 = get32(6 * 4 | 0) | 0;
   do if (i2) {
    i3 = get32(30 * 4 | 0) | 0;
    i9 = ((i3 | 0) < 0) << 31 >> 31;
    i4 = 16;
    i5 = _i64Subtract(get32(i4 | 0) | 0, get32(i4 + 4 | 0) | 0, i6 | 0, ((i6 | 0) < 0) << 31 >> 31 | 0) | 0;
    i4 = tempRet0;
    if ((i9 | 0) < (i4 | 0) | (i9 | 0) == (i4 | 0) & i3 >>> 0 < i5 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i5 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i2 & 15](i5, i3, i9, i6);
     set32(6 * 4 | 0, i2 | 0);
     set32(7 * 4 | 0, i5 | 0);
     break;
    }
   } while (0);
   i2 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i6) | 0;
   if (!i2) break;
   i5 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i2) | 0;
   i9 = (get32(30 * 4 | 0) | 0) + i5 | 0;
   set32(30 * 4 | 0, i9 | 0);
   if ((i9 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i9 | 0);
   i9 = get32(39 * 4 | 0) | 0;
   i5 = i9 + 1 | 0;
   set32(39 * 4 | 0, i5 | 0);
   if ((i9 | 0) < (get32(49 * 4 | 0) | 0)) i14 = i2; else {
    set32(49 * 4 | 0, i5 | 0);
    i14 = i2;
   }
  }
  if ((i11 | 0) > 0) {
   i2 = i11 << 1;
   i5 = 0;
   i9 = i10;
   i3 = i14;
   while (1) {
    i4 = getU8(i9 >> 0 | 0) | 0;
    set8(i3 >> 0 | 0, get8(42934 + (i4 >>> 4) >> 0 | 0) | 0 | 0);
    set8(i3 + 1 >> 0 | 0, get8(42934 + (i4 & 15) >> 0 | 0) | 0 | 0);
    i5 = i5 + 1 | 0;
    if ((i5 | 0) == (i11 | 0)) break; else {
     i9 = i9 + 1 | 0;
     i3 = i3 + 2 | 0;
    }
   }
   i15 = i14 + i2 | 0;
  } else i15 = i14;
  set8(i15 >> 0 | 0, 0 | 0);
  i3 = i1 + 8 | 0;
  if ((_sqlite3VdbeMemSetStr(i3, i14, i11 << 1, 1, 2) | 0) != 18) return;
  set32(i1 + 52 | 0, 18 | 0);
  _sqlite3VdbeMemSetStr(i3, 16620, -1, 1, 0) | 0;
  return;
 } while (0);
 i11 = i1 + 36 | 0;
 i14 = get16(i11 | 0) | 0;
 if (i14 & 64) {
  i15 = get32(i1 + 24 | 0) | 0;
  i10 = (get32(i15 | 0) | 0) + 172 | 0;
  set32(i15 + 60 | 0, get32(i10 | 0) | 0);
  set32(i10 | 0, i15 | 0);
 }
 if (!(i14 & 32)) i16 = i14; else {
  i15 = get32(i1 + 24 | 0) | 0;
  i10 = get32(i15 | 0) | 0;
  if (!i10) i17 = i14; else {
   i14 = i15 + 4 | 0;
   i12 = i10;
   do {
    i10 = i12;
    i12 = get32(i12 | 0) | 0;
    _sqlite3DbFree(get32(i14 | 0) | 0, i10);
   } while ((i12 | 0) != 0);
   i17 = get16(i11 | 0) | 0;
  }
  set32(i15 | 0, 0 | 0);
  set16(i15 + 24 | 0, 0 | 0);
  set32(i15 + 8 | 0, 0 | 0);
  set32(i15 + 12 | 0, 0 | 0);
  set32(i15 + 20 | 0, 0 | 0);
  set8(i15 + 26 >> 0 | 0, 1 | 0);
  i16 = i17;
 }
 set16(i11 | 0, i16 & 48896 | 1 | 0);
 set8(i1 + 38 >> 0 | 0, 5 | 0);
 set32(i1 + 52 | 0, 7 | 0);
 set8((get32(i13 | 0) | 0) + 30 >> 0 | 0, 1 | 0);
 return;
}

function _execSql(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 80 | 0;
 i5 = i4 + 64 | 0;
 i6 = i4 + 56 | 0;
 i7 = i4 + 48 | 0;
 i8 = i4 + 40 | 0;
 i9 = i4 + 32 | 0;
 i10 = i4 + 24 | 0;
 i11 = i4 + 16 | 0;
 i12 = i4 + 8 | 0;
 i13 = i4;
 i14 = i4 + 68 | 0;
 if (!i3) {
  i15 = 7;
  STACKTOP = i4;
  return i15 | 0;
 }
 if (!(_sqlite3_prepare(i1, i3, -1, i14, 0) | 0)) {
  i3 = get32(i14 | 0) | 0;
  _sqlite3_step(i3) | 0;
  i14 = i3 + 52 | 0;
  i16 = get32(i14 | 0) | 0;
  if ((i16 | 0) < 1369188723) switch (i16 | 0) {
  case -1108210269:
   {
    i17 = 16;
    break;
   }
  default:
   i18 = 0;
  } else switch (i16 | 0) {
  case 1369188723:
   {
    i17 = 16;
    break;
   }
  default:
   i18 = 0;
  }
  if ((i17 | 0) == 16) i18 = _sqlite3VdbeReset(i3) | 0;
  i16 = get32(i3 | 0) | 0;
  i19 = get32(i3 + 60 | 0) | 0;
  i20 = i3 + 64 | 0;
  i21 = get32(i20 | 0) | 0;
  if (!i19) {
   set32(i16 + 136 | 0, i21 | 0);
   i22 = i21;
  } else {
   set32(i19 + 64 | 0, i21 | 0);
   i22 = get32(i20 | 0) | 0;
  }
  if (i22) set32(i22 + 60 | 0, i19 | 0);
  set32(i14 | 0, -1241070648 | 0);
  set32(i3 | 0, 0 | 0);
  _sqlite3VdbeDeleteObject(i16, i3);
  if (!i18) {
   i15 = 0;
   STACKTOP = i4;
   return i15 | 0;
  }
  do if (i1) {
   i3 = get32(i1 + 56 | 0) | 0;
   L24 : do if ((i3 | 0) >= -264537850) if ((i3 | 0) < 1266094736) switch (i3 | 0) {
   case -264537850:
    {
     break L24;
     break;
    }
   default:
    {
     i17 = 25;
     break L24;
    }
   } else switch (i3 | 0) {
   case 1266094736:
    {
     break L24;
     break;
    }
   default:
    {
     i17 = 25;
     break L24;
    }
   } else switch (i3 | 0) {
   case -1607883113:
    break;
   default:
    i17 = 25;
   } while (0);
   if ((i17 | 0) == 25) {
    set32(i7 | 0, 38376 | 0);
    _sqlite3_log(21, 26104, i7);
    set32(i6 | 0, 109450 | 0);
    set32(i6 + 4 | 0, 17203 | 0);
    _sqlite3_log(21, 39226, i6);
    i23 = 38778;
    break;
   }
   if (!(get8(i1 + 30 >> 0 | 0) | 0)) {
    i3 = _sqlite3ValueText(get32(i1 + 212 | 0) | 0, 1) | 0;
    if (!i3) {
     i16 = get32(i1 + 20 | 0) & 255;
     if (i16 >>> 0 > 26 | (i16 | 0) == 2) i23 = 38974; else i23 = get32(5652 + (i16 << 2) | 0) | 0;
    } else i23 = i3;
   } else i23 = 19448;
  } else i23 = 19448; while (0);
  _sqlite3SetString(i2, i1, i23, i5);
  i15 = i18;
  STACKTOP = i4;
  return i15 | 0;
 } else {
  if (!i1) {
   _sqlite3SetString(i2, 0, 19448, i11);
   i15 = 7;
   STACKTOP = i4;
   return i15 | 0;
  }
  i11 = i1 + 56 | 0;
  i18 = get32(i11 | 0) | 0;
  L43 : do if ((i18 | 0) >= -264537850) if ((i18 | 0) < 1266094736) switch (i18 | 0) {
  case -264537850:
   {
    i17 = 6;
    break L43;
    break;
   }
  default:
   {
    i17 = 5;
    break L43;
   }
  } else switch (i18 | 0) {
  case 1266094736:
   {
    i17 = 6;
    break L43;
    break;
   }
  default:
   {
    i17 = 5;
    break L43;
   }
  } else switch (i18 | 0) {
  case -1607883113:
   {
    i17 = 6;
    break;
   }
  default:
   i17 = 5;
  } while (0);
  if ((i17 | 0) == 5) {
   set32(i13 | 0, 38376 | 0);
   _sqlite3_log(21, 26104, i13);
   set32(i12 | 0, 109450 | 0);
   set32(i12 + 4 | 0, 17203 | 0);
   _sqlite3_log(21, 39226, i12);
   i24 = 38778;
  } else if ((i17 | 0) == 6) if (!(get8(i1 + 30 >> 0 | 0) | 0)) {
   i12 = _sqlite3ValueText(get32(i1 + 212 | 0) | 0, 1) | 0;
   if (!i12) {
    i13 = get32(i1 + 20 | 0) & 255;
    if (i13 >>> 0 > 26 | (i13 | 0) == 2) i24 = 38974; else i24 = get32(5652 + (i13 << 2) | 0) | 0;
   } else i24 = i12;
  } else i24 = 19448;
  _sqlite3SetString(i2, i1, i24, i10);
  i10 = get32(i11 | 0) | 0;
  L56 : do if ((i10 | 0) >= -264537850) if ((i10 | 0) < 1266094736) switch (i10 | 0) {
  case -264537850:
   {
    break L56;
    break;
   }
  default:
   {
    i17 = 12;
    break L56;
   }
  } else switch (i10 | 0) {
  case 1266094736:
   {
    break L56;
    break;
   }
  default:
   {
    i17 = 12;
    break L56;
   }
  } else switch (i10 | 0) {
  case -1607883113:
   break;
  default:
   i17 = 12;
  } while (0);
  if ((i17 | 0) == 12) {
   set32(i9 | 0, 38376 | 0);
   _sqlite3_log(21, 26104, i9);
   set32(i8 | 0, 109519 | 0);
   set32(i8 + 4 | 0, 17203 | 0);
   _sqlite3_log(21, 39226, i8);
   i15 = 21;
   STACKTOP = i4;
   return i15 | 0;
  }
  if (get8(i1 + 30 >> 0 | 0) | 0) {
   i15 = 7;
   STACKTOP = i4;
   return i15 | 0;
  }
  i15 = get32(i1 + 24 | 0) & get32(i1 + 20 | 0);
  STACKTOP = i4;
  return i15 | 0;
 }
 return 0;
}

function _readJournalHdr(i1, i2, i3, i4, i5, i6) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 var i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0;
 i7 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i8 = i7 + 16 | 0;
 i9 = i7 + 8 | 0;
 i10 = i7;
 i11 = i1 + 72 | 0;
 i12 = i11;
 i13 = get32(i12 | 0) | 0;
 i14 = get32(i12 + 4 | 0) | 0;
 if ((i13 | 0) == 0 & (i14 | 0) == 0) {
  i12 = i1 + 124 | 0;
  i15 = i12;
  i16 = 0;
  i17 = 0;
  i18 = get32(i12 | 0) | 0;
 } else {
  i12 = _i64Add(i13 | 0, i14 | 0, -1, -1) | 0;
  i14 = i1 + 124 | 0;
  i13 = get32(i14 | 0) | 0;
  i19 = ___divdi3(i12 | 0, tempRet0 | 0, i13 | 0, 0) | 0;
  i12 = _i64Add(i19 | 0, tempRet0 | 0, 1, 0) | 0;
  i19 = ___muldi3(i12 | 0, tempRet0 | 0, i13 | 0, 0) | 0;
  i15 = i14;
  i16 = i19;
  i17 = tempRet0;
  i18 = i13;
 }
 i13 = i11;
 set32(i13 | 0, i16 | 0);
 set32(i13 + 4 | 0, i17 | 0);
 i13 = _i64Add(i18 | 0, 0, i16 | 0, i17 | 0) | 0;
 i18 = tempRet0;
 if ((i18 | 0) > (i4 | 0) | (i18 | 0) == (i4 | 0) & i13 >>> 0 > i3 >>> 0) {
  i20 = 101;
  STACKTOP = i7;
  return i20 | 0;
 }
 if ((i2 | 0) == 0 ? (i2 = i1 + 80 | 0, (i16 | 0) == (get32(i2 | 0) | 0) ? (i17 | 0) == (get32(i2 + 4 | 0) | 0) : 0) : 0) i21 = i1 + 64 | 0; else {
  i2 = i1 + 64 | 0;
  i3 = get32(i2 | 0) | 0;
  i13 = FUNCTION_TABLE_iiiiii[get32((get32(i3 | 0) | 0) + 8 | 0) & 31](i3, i9, 8, i16, i17) | 0;
  if (i13) {
   i20 = i13;
   STACKTOP = i7;
   return i20 | 0;
  }
  if (!(_memcmp(i9, 19657, 8) | 0)) i21 = i2; else {
   i20 = 101;
   STACKTOP = i7;
   return i20 | 0;
  }
 }
 i2 = get32(i21 | 0) | 0;
 i9 = _i64Add(i16 | 0, i17 | 0, 8, 0) | 0;
 i13 = FUNCTION_TABLE_iiiiii[get32((get32(i2 | 0) | 0) + 8 | 0) & 31](i2, i8, 4, i9, tempRet0) | 0;
 if (i13) {
  i20 = i13;
  STACKTOP = i7;
  return i20 | 0;
 }
 i13 = i8 + 1 | 0;
 i9 = i8 + 2 | 0;
 i2 = i8 + 3 | 0;
 set32(i5 | 0, (getU8(i13 >> 0 | 0) | 0) << 16 | (getU8(i8 >> 0 | 0) | 0) << 24 | (getU8(i9 >> 0 | 0) | 0) << 8 | (getU8(i2 >> 0 | 0) | 0) | 0);
 i5 = get32(i21 | 0) | 0;
 i3 = _i64Add(i16 | 0, i17 | 0, 12, 0) | 0;
 i4 = FUNCTION_TABLE_iiiiii[get32((get32(i5 | 0) | 0) + 8 | 0) & 31](i5, i8, 4, i3, tempRet0) | 0;
 if (i4) {
  i20 = i4;
  STACKTOP = i7;
  return i20 | 0;
 }
 set32(i1 + 48 | 0, (getU8(i13 >> 0 | 0) | 0) << 16 | (getU8(i8 >> 0 | 0) | 0) << 24 | (getU8(i9 >> 0 | 0) | 0) << 8 | (getU8(i2 >> 0 | 0) | 0) | 0);
 i4 = get32(i21 | 0) | 0;
 i3 = _i64Add(i16 | 0, i17 | 0, 16, 0) | 0;
 i5 = FUNCTION_TABLE_iiiiii[get32((get32(i4 | 0) | 0) + 8 | 0) & 31](i4, i8, 4, i3, tempRet0) | 0;
 if (i5) {
  i20 = i5;
  STACKTOP = i7;
  return i20 | 0;
 }
 set32(i6 | 0, (getU8(i13 >> 0 | 0) | 0) << 16 | (getU8(i8 >> 0 | 0) | 0) << 24 | (getU8(i9 >> 0 | 0) | 0) << 8 | (getU8(i2 >> 0 | 0) | 0) | 0);
 i6 = i11;
 i5 = get32(i6 | 0) | 0;
 i3 = get32(i6 + 4 | 0) | 0;
 do if ((i5 | 0) == 0 & (i3 | 0) == 0) {
  i6 = get32(i21 | 0) | 0;
  i4 = _i64Add(i16 | 0, i17 | 0, 20, 0) | 0;
  i18 = FUNCTION_TABLE_iiiiii[get32((get32(i6 | 0) | 0) + 8 | 0) & 31](i6, i8, 4, i4, tempRet0) | 0;
  if (i18) {
   i20 = i18;
   STACKTOP = i7;
   return i20 | 0;
  }
  i18 = (getU8(i13 >> 0 | 0) | 0) << 16 | (getU8(i8 >> 0 | 0) | 0) << 24 | (getU8(i9 >> 0 | 0) | 0) << 8 | (getU8(i2 >> 0 | 0) | 0);
  i4 = get32(i21 | 0) | 0;
  i6 = _i64Add(i16 | 0, i17 | 0, 24, 0) | 0;
  i19 = FUNCTION_TABLE_iiiiii[get32((get32(i4 | 0) | 0) + 8 | 0) & 31](i4, i8, 4, i6, tempRet0) | 0;
  if (i19) {
   i20 = i19;
   STACKTOP = i7;
   return i20 | 0;
  }
  i19 = (getU8(i13 >> 0 | 0) | 0) << 16 | (getU8(i8 >> 0 | 0) | 0) << 24 | (getU8(i9 >> 0 | 0) | 0) << 8 | (getU8(i2 >> 0 | 0) | 0);
  set32(i10 | 0, i19 | 0);
  if (!i19) {
   i6 = get32(i1 + 128 | 0) | 0;
   set32(i10 | 0, i6 | 0);
   i22 = i6;
  } else i22 = i19;
  if ((i18 + -32 | 0) >>> 0 > 65504 | (i22 + -512 | 0) >>> 0 > 65024) {
   i20 = 101;
   STACKTOP = i7;
   return i20 | 0;
  }
  if (i22 + -1 & i22) {
   i20 = 101;
   STACKTOP = i7;
   return i20 | 0;
  }
  if (!(i18 + -1 & i18)) {
   i19 = _sqlite3PagerSetPagesize(i1, i10, -1) | 0;
   set32(i15 | 0, i18 | 0);
   i6 = i11;
   i23 = get32(i6 | 0) | 0;
   i24 = get32(i6 + 4 | 0) | 0;
   i25 = i18;
   i26 = i19;
   break;
  } else {
   i20 = 101;
   STACKTOP = i7;
   return i20 | 0;
  }
 } else {
  i23 = i5;
  i24 = i3;
  i25 = get32(i15 | 0) | 0;
  i26 = 0;
 } while (0);
 i15 = _i64Add(i23 | 0, i24 | 0, i25 | 0, 0) | 0;
 i25 = i11;
 set32(i25 | 0, i15 | 0);
 set32(i25 + 4 | 0, tempRet0 | 0);
 i20 = i26;
 STACKTOP = i7;
 return i20 | 0;
}

function _sqlite3BtreeCommitPhaseOne(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i4 = i3 + 8 | 0;
 i5 = i3;
 if ((get8(i1 + 8 >> 0 | 0) | 0) != 2) {
  i6 = 0;
  STACKTOP = i3;
  return i6 | 0;
 }
 i7 = get32(i1 + 4 | 0) | 0;
 set32(i7 + 4 | 0, get32(i1 | 0) | 0);
 do if (get8(i7 + 21 >> 0 | 0) | 0) {
  i1 = get32(i7 | 0) | 0;
  i8 = get32(i7 + 8 | 0) | 0;
  if (i8) {
   i9 = i8;
   do {
    i8 = i9 + 84 | 0;
    i10 = get32(i8 | 0) | 0;
    do if (i10) {
     if (!(get32(50 * 4 | 0) | 0)) {
      FUNCTION_TABLE_vi[get32(232 | 0) & 31](i10);
      break;
     }
     i11 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i10) | 0;
     i12 = (get32(30 * 4 | 0) | 0) - i11 | 0;
     set32(30 * 4 | 0, i12 | 0);
     if ((i12 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i12 | 0);
     i12 = (get32(39 * 4 | 0) | 0) + -1 | 0;
     set32(39 * 4 | 0, i12 | 0);
     if ((i12 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i12 | 0);
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i10);
    } while (0);
    set32(i8 | 0, 0 | 0);
    i9 = get32(i9 + 8 | 0) | 0;
   } while ((i9 | 0) != 0);
  }
  if (!(get8(i7 + 22 >> 0 | 0) | 0)) {
   i9 = i7 + 48 | 0;
   i10 = get32(i9 | 0) | 0;
   i12 = i10 >>> 0 < 2;
   if (i12) i13 = 0; else {
    i11 = i10 + -2 | 0;
    i14 = i11 - ((i11 >>> 0) % (((((get32(i7 + 40 | 0) | 0) >>> 0) / 5 | 0) + 1 | 0) >>> 0) | 0) | 0;
    i13 = ((i14 + 1 | 0) == (((get32(199 * 4 | 0) | 0) >>> 0) / ((get32(i7 + 36 | 0) | 0) >>> 0) | 0 | 0) ? 3 : 2) + i14 | 0;
   }
   if ((i13 | 0) != (i10 | 0) ? (i14 = ((get32(199 * 4 | 0) | 0) >>> 0) / ((get32(i7 + 36 | 0) | 0) >>> 0) | 0, i11 = i14 + 1 | 0, (i10 | 0) != (i11 | 0)) : 0) {
    i15 = i7 + 12 | 0;
    i16 = get32((get32(i15 | 0) | 0) + 64 | 0) | 0;
    i17 = getU8(i16 + 37 >> 0 | 0) << 16 | getU8(i16 + 36 >> 0 | 0) << 24 | getU8(i16 + 38 >> 0 | 0) << 8 | getU8(i16 + 39 >> 0 | 0);
    i16 = ((get32(i7 + 40 | 0) | 0) >>> 0) / 5 | 0;
    i18 = i16 + 1 | 0;
    if (i12) i19 = 0; else {
     i12 = i10 + -2 | 0;
     i20 = i12 - ((i12 >>> 0) % (i18 >>> 0) | 0) | 0;
     i19 = ((i20 + 1 | 0) == (i14 | 0) ? 3 : 2) + i20 | 0;
    }
    i20 = i10 - i17 - (((i16 - i10 + i17 + i19 | 0) >>> 0) / (i16 >>> 0) | 0) | 0;
    i16 = ((i10 >>> 0 > i11 >>> 0 & i20 >>> 0 < i11 >>> 0) << 31 >> 31) + i20 | 0;
    while (1) {
     if (i16 >>> 0 < 2) i21 = 0; else {
      i20 = i16 + -2 | 0;
      i12 = i20 - ((i20 >>> 0) % (i18 >>> 0) | 0) | 0;
      i21 = ((i12 + 1 | 0) == (i14 | 0) ? 3 : 2) + i12 | 0;
     }
     if ((i16 | 0) == (i11 | 0) | (i21 | 0) == (i16 | 0)) i16 = i16 + -1 | 0; else {
      i22 = i16;
      break;
     }
    }
    if (i22 >>> 0 > i10 >>> 0) {
     set32(i4 | 0, 50566 | 0);
     set32(i4 + 4 | 0, 17203 | 0);
     _sqlite3_log(11, 19615, i4);
     i6 = 11;
     STACKTOP = i3;
     return i6 | 0;
    }
    if (i10 >>> 0 > i22 >>> 0) {
     i16 = i10;
     do {
      i11 = _incrVacuumStep(i7, i22, i16) | 0;
      i16 = i16 + -1 | 0;
      i14 = (i11 | 0) == 0;
     } while (i16 >>> 0 > i22 >>> 0 & i14);
     i23 = i14;
     i24 = i11;
    } else {
     i23 = 1;
     i24 = 0;
    }
    if ((i17 | 0) != 0 & (i23 | (i24 | 0) == 101)) {
     i16 = _sqlite3PagerWrite(get32((get32(i15 | 0) | 0) + 68 | 0) | 0) | 0;
     i10 = (get32((get32(i15 | 0) | 0) + 64 | 0) | 0) + 32 | 0;
     set8(i10 >> 0 | 0, 0 | 0);
     set8(i10 + 1 >> 0 | 0, 0 | 0);
     set8(i10 + 2 >> 0 | 0, 0 | 0);
     set8(i10 + 3 >> 0 | 0, 0 | 0);
     i10 = (get32((get32(i15 | 0) | 0) + 64 | 0) | 0) + 36 | 0;
     set8(i10 >> 0 | 0, 0 | 0);
     set8(i10 + 1 >> 0 | 0, 0 | 0);
     set8(i10 + 2 >> 0 | 0, 0 | 0);
     set8(i10 + 3 >> 0 | 0, 0 | 0);
     i10 = get32((get32(i15 | 0) | 0) + 64 | 0) | 0;
     set8(i10 + 28 >> 0 | 0, i22 >>> 24 | 0);
     set8(i10 + 29 >> 0 | 0, i22 >>> 16 | 0);
     set8(i10 + 30 >> 0 | 0, i22 >>> 8 | 0);
     set8(i10 + 31 >> 0 | 0, i22 | 0);
     set32((get32(i7 | 0) | 0) + 24 | 0, i22 | 0);
     set32(i9 | 0, i22 | 0);
     i25 = i16;
    } else i25 = i24;
    if (!i25) break;
    _sqlite3PagerRollback(i1) | 0;
    i6 = i25;
    STACKTOP = i3;
    return i6 | 0;
   }
   set32(i5 | 0, 50553 | 0);
   set32(i5 + 4 | 0, 17203 | 0);
   _sqlite3_log(11, 19615, i5);
   i6 = 11;
   STACKTOP = i3;
   return i6 | 0;
  }
 } while (0);
 i6 = _sqlite3PagerCommitPhaseOne(get32(i7 | 0) | 0, i2, 0) | 0;
 STACKTOP = i3;
 return i6 | 0;
}

function _sqlite3VdbeMemSetStr(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0;
 if (!i2) {
  i6 = i1 + 28 | 0;
  i7 = get16(i6 | 0) | 0;
  if (i7 & 64) {
   i8 = get32(i1 + 16 | 0) | 0;
   i9 = (get32(i8 | 0) | 0) + 172 | 0;
   set32(i8 + 60 | 0, get32(i9 | 0) | 0);
   set32(i9 | 0, i8 | 0);
  }
  if (!(i7 & 32)) i10 = i7; else {
   i8 = get32(i1 + 16 | 0) | 0;
   i9 = get32(i8 | 0) | 0;
   if (!i9) i11 = i7; else {
    i7 = i8 + 4 | 0;
    i12 = i9;
    do {
     i9 = i12;
     i12 = get32(i12 | 0) | 0;
     _sqlite3DbFree(get32(i7 | 0) | 0, i9);
    } while ((i12 | 0) != 0);
    i11 = get16(i6 | 0) | 0;
   }
   set32(i8 | 0, 0 | 0);
   set16(i8 + 24 | 0, 0 | 0);
   set32(i8 + 8 | 0, 0 | 0);
   set32(i8 + 12 | 0, 0 | 0);
   set32(i8 + 20 | 0, 0 | 0);
   set8(i8 + 26 >> 0 | 0, 1 | 0);
   i10 = i11;
  }
  set16(i6 | 0, i10 & 48896 | 1 | 0);
  set8(i1 + 30 >> 0 | 0, 5 | 0);
  i13 = 0;
  return i13 | 0;
 }
 i10 = get32(i1 | 0) | 0;
 if (!i10) i14 = 1e9; else i14 = get32(i10 + 72 | 0) | 0;
 i10 = i4 << 24 >> 24 == 0;
 i6 = i10 ? 16 : 2;
 if ((i3 | 0) < 0) {
  i11 = (i14 | 0) < 0;
  L22 : do if (i4 << 24 >> 24 == 1) if (i11) i15 = 0; else {
   i8 = 0;
   while (1) {
    if (!(get8(i2 + i8 >> 0 | 0) | 0)) {
     i15 = i8;
     break L22;
    }
    i12 = i8 + 1 | 0;
    if ((i8 | 0) < (i14 | 0)) i8 = i12; else {
     i15 = i12;
     break;
    }
   }
  } else if (i11) i15 = 0; else {
   i8 = 0;
   while (1) {
    if (!((get8(i2 + (i8 | 1) >> 0 | 0) | get8(i2 + i8 >> 0 | 0)) << 24 >> 24)) {
     i15 = i8;
     break L22;
    }
    i12 = i8 + 2 | 0;
    if ((i12 | 0) > (i14 | 0)) {
     i15 = i12;
     break;
    } else i8 = i12;
   }
  } while (0);
  i16 = i15;
  i17 = (i6 & 65535 | 512) & 65535;
 } else {
  i16 = i3;
  i17 = i6;
 }
 do if ((i5 | 0) == (-1 | 0)) {
  if (!(i17 & 512)) i18 = i16; else i18 = i16 + (i4 << 24 >> 24 == 1 ? 1 : 2) | 0;
  if ((i16 | 0) > (i14 | 0)) {
   i13 = 18;
   return i13 | 0;
  }
  if (!(_sqlite3VdbeMemGrow(i1, i18, 0) | 0)) {
   _memcpy(get32(i1 + 4 | 0) | 0, i2 | 0, i18 | 0) | 0;
   i19 = i17;
   break;
  } else {
   i13 = 7;
   return i13 | 0;
  }
 } else {
  _sqlite3VdbeMemReleaseExternal(i1);
  i6 = i1 + 36 | 0;
  _sqlite3DbFree(get32(i1 | 0) | 0, get32(i6 | 0) | 0);
  set32(i6 | 0, 0 | 0);
  i3 = i1 + 32 | 0;
  set32(i3 | 0, 0 | 0);
  set32(i1 + 4 | 0, i2 | 0);
  if ((i5 | 0) == 9) {
   set32(i6 | 0, i2 | 0);
   set32(i3 | 0, 0 | 0);
   i19 = i17;
   break;
  } else {
   set32(i3 | 0, i5 | 0);
   i19 = (i17 & 65535 | ((i5 | 0) == 0 ? 2048 : 1024)) & 65535;
   break;
  }
 } while (0);
 i5 = i1 + 24 | 0;
 set32(i5 | 0, i16 | 0);
 i17 = i1 + 28 | 0;
 set16(i17 | 0, i19 | 0);
 i2 = i10 ? 1 : i4;
 i4 = i1 + 31 | 0;
 set8(i4 >> 0 | 0, i2 | 0);
 set8(i1 + 30 >> 0 | 0, (i10 ? 4 : 3) | 0);
 do if (i2 << 24 >> 24 != 1 & (i16 | 0) > 1) {
  i10 = i1 + 4 | 0;
  i18 = get32(i10 | 0) | 0;
  i3 = get8(i18 >> 0 | 0) | 0;
  i6 = get8(i18 + 1 >> 0 | 0) | 0;
  if (!(i3 << 24 >> 24 == -1 & i6 << 24 >> 24 == -2)) if (i3 << 24 >> 24 != -2 | i6 << 24 >> 24 != -1) break; else i20 = 3; else i20 = 2;
  do if (i19 & 16384) {
   i6 = i1 + 16 | 0;
   i3 = (get32(i6 | 0) | 0) + i16 | 0;
   if (!(_sqlite3VdbeMemGrow(i1, (i3 | 0) < 1 ? 1 : i3, 1) | 0)) {
    _memset((get32(i10 | 0) | 0) + (get32(i5 | 0) | 0) | 0, 0, get32(i6 | 0) | 0) | 0;
    set32(i5 | 0, (get32(i5 | 0) | 0) + (get32(i6 | 0) | 0) | 0);
    i6 = getU16(i17 | 0) & 48639;
    set16(i17 | 0, i6 | 0);
    i21 = i6;
    break;
   } else {
    i21 = get16(i17 | 0) | 0;
    break;
   }
  } else i21 = i19; while (0);
  do if ((i21 & 18) != 0 ? (get32(i10 | 0) | 0) != (get32(i1 + 36 | 0) | 0) : 0) if (!(_sqlite3VdbeMemGrow(i1, (get32(i5 | 0) | 0) + 2 | 0, 1) | 0)) {
   set8((get32(i10 | 0) | 0) + (get32(i5 | 0) | 0) >> 0 | 0, 0 | 0);
   set8((get32(i10 | 0) | 0) + ((get32(i5 | 0) | 0) + 1) >> 0 | 0, 0 | 0);
   set16(i17 | 0, getU16(i17 | 0) | 512 | 0);
   break;
  } else {
   i13 = 7;
   return i13 | 0;
  } while (0);
  i6 = (get32(i5 | 0) | 0) + -2 | 0;
  set32(i5 | 0, i6 | 0);
  i3 = get32(i10 | 0) | 0;
  _memmove(i3 | 0, i3 + 2 | 0, i6 | 0) | 0;
  set8((get32(i10 | 0) | 0) + (get32(i5 | 0) | 0) >> 0 | 0, 0 | 0);
  set8((get32(i10 | 0) | 0) + ((get32(i5 | 0) | 0) + 1) >> 0 | 0, 0 | 0);
  set16(i17 | 0, getU16(i17 | 0) | 512 | 0);
  set8(i4 >> 0 | 0, i20 | 0);
 } while (0);
 i13 = (i16 | 0) > (i14 | 0) ? 18 : 0;
 return i13 | 0;
}

function _syncJournal(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i4 = i3 + 16 | 0;
 i5 = i3;
 L1 : do if (!(get32(i1 + 172 | 0) | 0)) {
  i6 = i1 + 16 | 0;
  i7 = i1 + 60 | 0;
  i8 = i1 + 152 | 0;
  i9 = i1 + 156 | 0;
  L3 : while (1) {
   switch (get8(i6 >> 0 | 0) | 0) {
   case 0:
   case 1:
   case 2:
   case 3:
   case 5:
    break;
   default:
    break L1;
   }
   i10 = get32(i7 | 0) | 0;
   i11 = FUNCTION_TABLE_iii[get32((get32(i10 | 0) | 0) + 28 | 0) & 127](i10, 4) | 0;
   switch (i11 | 0) {
   case 0:
    {
     i12 = 5;
     break L3;
     break;
    }
   case 5:
    break;
   default:
    {
     i13 = i11;
     i12 = 29;
     break L3;
    }
   }
   if (!(FUNCTION_TABLE_ii[get32(i8 | 0) & 127](get32(i9 | 0) | 0) | 0)) {
    i13 = 5;
    i12 = 29;
    break;
   }
  }
  if ((i12 | 0) == 5) {
   set8(i6 >> 0 | 0, 4 | 0);
   break;
  } else if ((i12 | 0) == 29) {
   STACKTOP = i3;
   return i13 | 0;
  }
 } while (0);
 do if (!(get8(i1 + 8 >> 0 | 0) | 0)) {
  i9 = i1 + 64 | 0;
  if ((get32(get32(i9 | 0) | 0) | 0) != 0 ? (get8(i1 + 5 >> 0 | 0) | 0) != 4 : 0) {
   i8 = get32(i1 + 60 | 0) | 0;
   i7 = FUNCTION_TABLE_ii[get32((get32(i8 | 0) | 0) + 48 | 0) & 127](i8) | 0;
   i8 = (i7 & 512 | 0) == 0;
   if (i8) {
    i11 = i5;
    set32(i11 | 0, -117058087 | 0);
    set32(i11 + 4 | 0, -681336544 | 0);
    i11 = get32(i1 + 44 | 0) | 0;
    set8(i5 + 8 >> 0 | 0, i11 >>> 24 | 0);
    set8(i5 + 9 >> 0 | 0, i11 >>> 16 | 0);
    set8(i5 + 10 >> 0 | 0, i11 >>> 8 | 0);
    set8(i5 + 11 >> 0 | 0, i11 | 0);
    i11 = i1 + 72 | 0;
    i10 = get32(i11 | 0) | 0;
    i14 = get32(i11 + 4 | 0) | 0;
    if ((i10 | 0) == 0 & (i14 | 0) == 0) {
     i15 = 0;
     i16 = 0;
    } else {
     i11 = _i64Add(i10 | 0, i14 | 0, -1, -1) | 0;
     i14 = get32(i1 + 124 | 0) | 0;
     i10 = ___divdi3(i11 | 0, tempRet0 | 0, i14 | 0, 0) | 0;
     i11 = _i64Add(i10 | 0, tempRet0 | 0, 1, 0) | 0;
     i10 = ___muldi3(i11 | 0, tempRet0 | 0, i14 | 0, 0) | 0;
     i15 = i10;
     i16 = tempRet0;
    }
    i10 = get32(i9 | 0) | 0;
    i14 = FUNCTION_TABLE_iiiiii[get32((get32(i10 | 0) | 0) + 8 | 0) & 31](i10, i4, 8, i15, i16) | 0;
    if (!i14) {
     if (!(_memcmp(i4, 19657, 8) | 0)) {
      i10 = get32(i9 | 0) | 0;
      i17 = FUNCTION_TABLE_iiiiii[get32((get32(i10 | 0) | 0) + 12 | 0) & 31](i10, 19665, 1, i15, i16) | 0;
      i12 = 17;
     }
    } else {
     i17 = i14;
     i12 = 17;
    }
    L25 : do if ((i12 | 0) == 17) {
     switch (i17 | 0) {
     case 0:
     case 522:
      {
       break L25;
       break;
      }
     default:
      i13 = i17;
     }
     STACKTOP = i3;
     return i13 | 0;
    } while (0);
    i6 = i7 & 1024;
    if ((i6 | 0) == 0 & (get8(i1 + 9 >> 0 | 0) | 0) != 0 ? (i14 = get32(i9 | 0) | 0, i10 = FUNCTION_TABLE_iii[get32((get32(i14 | 0) | 0) + 20 | 0) & 127](i14, getU8(i1 + 11 >> 0 | 0) | 0) | 0, (i10 | 0) != 0) : 0) {
     i13 = i10;
     STACKTOP = i3;
     return i13 | 0;
    }
    i10 = get32(i9 | 0) | 0;
    i14 = i1 + 80 | 0;
    i11 = FUNCTION_TABLE_iiiiii[get32((get32(i10 | 0) | 0) + 12 | 0) & 31](i10, i5, 12, get32(i14 | 0) | 0, get32(i14 + 4 | 0) | 0) | 0;
    if (!i11) i18 = i6; else {
     i13 = i11;
     STACKTOP = i3;
     return i13 | 0;
    }
   } else i18 = i7 & 1024;
   if ((i18 | 0) == 0 ? (i11 = get32(i9 | 0) | 0, i6 = get8(i1 + 11 >> 0 | 0) | 0, i14 = FUNCTION_TABLE_iii[get32((get32(i11 | 0) | 0) + 20 | 0) & 127](i11, (i6 << 24 >> 24 == 3 ? 16 : 0) | i6 & 255) | 0, (i14 | 0) != 0) : 0) {
    i13 = i14;
    STACKTOP = i3;
    return i13 | 0;
   }
   i14 = i1 + 72 | 0;
   i6 = get32(i14 + 4 | 0) | 0;
   i11 = i1 + 80 | 0;
   set32(i11 | 0, get32(i14 | 0) | 0);
   set32(i11 + 4 | 0, i6 | 0);
   if ((i2 | 0) == 0 | i8 ^ 1) break;
   set32(i1 + 44 | 0, 0 | 0);
   i6 = _writeJournalHdr(i1) | 0;
   if (!i6) break; else i13 = i6;
   STACKTOP = i3;
   return i13 | 0;
  }
  i6 = i1 + 72 | 0;
  i11 = get32(i6 + 4 | 0) | 0;
  i14 = i1 + 80 | 0;
  set32(i14 | 0, get32(i6 | 0) | 0);
  set32(i14 + 4 | 0, i11 | 0);
 } while (0);
 i2 = get32(i1 + 168 | 0) | 0;
 i18 = get32(i2 | 0) | 0;
 if (i18) {
  i5 = i18;
  do {
   i18 = i5 + 20 | 0;
   set16(i18 | 0, getU16(i18 | 0) & 65531 | 0);
   i5 = get32(i5 + 28 | 0) | 0;
  } while ((i5 | 0) != 0);
 }
 set32(i2 + 8 | 0, get32(i2 + 4 | 0) | 0);
 set8(i1 + 15 >> 0 | 0, 4 | 0);
 i13 = 0;
 STACKTOP = i3;
 return i13 | 0;
}

function _sqlite3WalUndo(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i4 = i3;
 if (!(get8(i1 + 39 >> 0 | 0) | 0)) {
  i5 = 0;
  STACKTOP = i3;
  return i5 | 0;
 }
 i6 = i1 + 60 | 0;
 i7 = get32(i6 | 0) | 0;
 i8 = i1 + 28 | 0;
 i9 = get32(i8 | 0) | 0;
 i10 = i1 + 44 | 0;
 i11 = get32(i9 | 0) | 0;
 i12 = i10 + 48 | 0;
 do {
  set8(i10 >> 0 | 0, get8(i11 >> 0 | 0) | 0 | 0);
  i10 = i10 + 1 | 0;
  i11 = i11 + 1 | 0;
 } while ((i10 | 0) < (i12 | 0));
 i11 = get32(i6 | 0) | 0;
 i13 = i11 + 1 | 0;
 if (i13 >>> 0 > i7 >>> 0) {
  i14 = i11;
  i15 = 0;
 } else {
  i16 = i2 + 168 | 0;
  i17 = i2 + 88 | 0;
  i18 = i2 + 160 | 0;
  i2 = i9;
  i9 = i11;
  i11 = i13;
  while (1) {
   i13 = i9 + 34 | 0;
   i19 = i13 >>> 12;
   if (!i19) i20 = (get32(i2 | 0) | 0) + (i13 << 2) | 0; else i20 = (get32(i2 + (i19 << 2) | 0) | 0) + ((i13 & 4095) << 2) | 0;
   i13 = get32(i20 | 0) | 0;
   i19 = get32(i16 | 0) | 0;
   i21 = get32(i19 + 40 | 0) | 0;
   do if ((i21 | 0) != 0 ? (i22 = FUNCTION_TABLE_iiii[get32(320 | 0) & 63](i21, i13, 0) | 0, (i22 | 0) != 0) : 0) {
    if (!(get32(i22 | 0) | 0)) {
     i10 = i22;
     i12 = i10 + 36 | 0;
     do {
      set32(i10 | 0, 0 | 0);
      i10 = i10 + 4 | 0;
     } while ((i10 | 0) < (i12 | 0));
     set32(i22 | 0, i22 + 36 | 0);
     i23 = i22 + ((get32(i19 + 20 | 0) | 0) + 36) | 0;
     set32(i22 + 4 | 0, i23 | 0);
     _memset(i23 | 0, 0, get32(i19 + 24 | 0) | 0) | 0;
     set32(i22 + 24 | 0, i19 | 0);
     set32(i22 + 12 | 0, i13 | 0);
    }
    i23 = i22 + 22 | 0;
    i24 = get16(i23 | 0) | 0;
    i25 = i24 << 16 >> 16 == 0;
    if (i25) {
     i26 = i19 + 12 | 0;
     set32(i26 | 0, (get32(i26 | 0) | 0) + 1 | 0);
    }
    set16(i23 | 0, i24 + 1 << 16 >> 16 | 0);
    if ((i13 | 0) == 1) set32(i19 + 44 | 0, i22 | 0);
    if (!i25) {
     i25 = _readDbPage(i22) | 0;
     if (!i25) FUNCTION_TABLE_vi[get32(i18 | 0) & 31](i22);
     _sqlite3PagerUnref(i22);
     i27 = i25;
     break;
    }
    i25 = get32(i22 + 24 | 0) | 0;
    if (get16(i22 + 20 | 0) & 2) {
     i24 = i25 + 8 | 0;
     if ((get32(i24 | 0) | 0) == (i22 | 0)) {
      i23 = i22;
      while (1) {
       i26 = get32(i23 + 32 | 0) | 0;
       if (!i26) {
        i28 = 0;
        break;
       }
       if (!(get16(i26 + 20 | 0) & 4)) {
        i28 = i26;
        break;
       } else i23 = i26;
      }
      set32(i24 | 0, i28 | 0);
     }
     i23 = i22 + 28 | 0;
     i26 = get32(i23 | 0) | 0;
     i29 = i22 + 32 | 0;
     i30 = get32(i29 | 0) | 0;
     i31 = i26;
     if (!i26) {
      set32(i25 + 4 | 0, i30 | 0);
      i32 = i30;
     } else {
      set32(i26 + 32 | 0, i30 | 0);
      i32 = get32(i29 | 0) | 0;
     }
     if (!i32) set32(i25 | 0, i31 | 0); else set32(i32 + 28 | 0, i31 | 0);
     set32(i23 | 0, 0 | 0);
     set32(i29 | 0, 0 | 0);
    }
    i29 = i25 + 12 | 0;
    set32(i29 | 0, (get32(i29 | 0) | 0) + -1 | 0);
    if ((get32(i22 + 12 | 0) | 0) == 1) set32(i25 + 44 | 0, 0 | 0);
    FUNCTION_TABLE_viii[get32(324 | 0) & 63](get32(i25 + 40 | 0) | 0, i22, 1);
    i27 = 0;
   } else i27 = 0; while (0);
   i19 = get32(i17 | 0) | 0;
   if (i19) {
    i13 = i19;
    do {
     set32(i13 + 16 | 0, 1 | 0);
     i13 = get32(i13 + 44 | 0) | 0;
    } while ((i13 | 0) != 0);
   }
   i13 = i11 + 1 | 0;
   if (i13 >>> 0 > i7 >>> 0 | (i27 | 0) != 0) {
    i33 = i27;
    break;
   }
   i19 = i11;
   i2 = get32(i8 | 0) | 0;
   i11 = i13;
   i9 = i19;
  }
  i14 = get32(i6 | 0) | 0;
  i15 = i33;
 }
 if (!i14) {
  i5 = i15;
  STACKTOP = i3;
  return i5 | 0;
 }
 i33 = (i14 + 33 | 0) >>> 12;
 if (!(_walIndexPage(i1, i33, i4) | 0)) {
  i1 = get32(i4 | 0) | 0;
  if (!i33) {
   i14 = i1 + 136 | 0;
   set32(i4 | 0, i14 | 0);
   i34 = i14;
   i35 = 0;
  } else {
   i34 = i1;
   i35 = (i33 << 12) + -34 | 0;
  }
  i36 = i35;
  i37 = i1 + 16384 | 0;
  i38 = i34 + -4 | 0;
 } else {
  i36 = 0;
  i37 = 0;
  i38 = 0;
 }
 i34 = (get32(i6 | 0) | 0) - i36 | 0;
 i36 = 0;
 do {
  i6 = i37 + (i36 << 1) | 0;
  if ((getU16(i6 | 0) | 0) > (i34 | 0)) set16(i6 | 0, 0 | 0);
  i36 = i36 + 1 | 0;
 } while ((i36 | 0) != 8192);
 i36 = i38 + (i34 + 1 << 2) | 0;
 _memset(i36 | 0, 0, i37 - i36 | 0) | 0;
 i5 = i15;
 STACKTOP = i3;
 return i5 | 0;
}

function _unixClose(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 80 | 0;
 i3 = i2 + 48 | 0;
 i4 = i2 + 24 | 0;
 i5 = i2;
 _unixUnlock(i1, 0) | 0;
 i6 = get32(i1 + 4 | 0) | 0;
 do if (i6) {
  if (get32(i6 + 24 | 0) | 0) {
   i7 = i1 + 28 | 0;
   i8 = get32(i7 | 0) | 0;
   i9 = i6 + 28 | 0;
   set32(i8 + 8 | 0, get32(i9 | 0) | 0);
   set32(i9 | 0, i8 | 0);
   set32(i1 + 8 | 0, -1 | 0);
   set32(i7 | 0, 0 | 0);
  }
  i7 = i6 + 16 | 0;
  i8 = (get32(i7 | 0) | 0) + -1 | 0;
  set32(i7 | 0, i8 | 0);
  if (!i8) {
   i8 = i6 + 28 | 0;
   i7 = get32(i8 | 0) | 0;
   if (i7) {
    i9 = i1 + 32 | 0;
    i10 = i7;
    do {
     i7 = i10;
     i10 = get32(i10 + 8 | 0) | 0;
     if (FUNCTION_TABLE_ii[get32(1056 | 0) & 127](get32(i7 | 0) | 0) | 0) {
      i11 = get32(i9 | 0) | 0;
      i12 = get32(___errno_location() | 0 | 0) | 0;
      i13 = _strerror(i12) | 0;
      set32(i5 | 0, 25536 | 0);
      set32(i5 + 4 | 0, i12 | 0);
      set32(i5 + 8 | 0, 19075 | 0);
      set32(i5 + 12 | 0, ((i11 | 0) == 0 ? 16820 : i11) | 0);
      set32(i5 + 16 | 0, i13 | 0);
      _sqlite3_log(4106, 19185, i5);
     }
     if (!(get32(50 * 4 | 0) | 0)) FUNCTION_TABLE_vi[get32(232 | 0) & 31](i7); else {
      i13 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i7) | 0;
      i11 = (get32(30 * 4 | 0) | 0) - i13 | 0;
      set32(30 * 4 | 0, i11 | 0);
      if ((i11 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i11 | 0);
      i11 = (get32(39 * 4 | 0) | 0) + -1 | 0;
      set32(39 * 4 | 0, i11 | 0);
      if ((i11 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i11 | 0);
      FUNCTION_TABLE_vi[get32(232 | 0) & 31](i7);
     }
    } while ((i10 | 0) != 0);
   }
   set32(i8 | 0, 0 | 0);
   i10 = i6 + 36 | 0;
   i9 = get32(i10 | 0) | 0;
   i7 = i6 + 32 | 0;
   i11 = get32(i7 | 0) | 0;
   if (!i9) set32(259 * 4 | 0, i11 | 0); else set32(i9 + 32 | 0, i11 | 0);
   i11 = get32(i7 | 0) | 0;
   if (i11) set32(i11 + 36 | 0, get32(i10 | 0) | 0);
   if (!(get32(50 * 4 | 0) | 0)) {
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i6);
    break;
   }
   i10 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i6) | 0;
   i11 = (get32(30 * 4 | 0) | 0) - i10 | 0;
   set32(30 * 4 | 0, i11 | 0);
   if ((i11 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i11 | 0);
   i11 = (get32(39 * 4 | 0) | 0) + -1 | 0;
   set32(39 * 4 | 0, i11 | 0);
   if ((i11 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i11 | 0);
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i6);
  }
 } while (0);
 i6 = i1 + 12 | 0;
 i5 = get32(i6 | 0) | 0;
 if ((i5 | 0) > -1) {
  if (FUNCTION_TABLE_ii[get32(1056 | 0) & 127](i5) | 0) {
   i5 = get32(i1 + 32 | 0) | 0;
   i11 = get32(___errno_location() | 0 | 0) | 0;
   i10 = _strerror(i11) | 0;
   set32(i4 | 0, 26222 | 0);
   set32(i4 + 4 | 0, i11 | 0);
   set32(i4 + 8 | 0, 19075 | 0);
   set32(i4 + 12 | 0, ((i5 | 0) == 0 ? 16820 : i5) | 0);
   set32(i4 + 16 | 0, i10 | 0);
   _sqlite3_log(4106, 19185, i4);
  }
  set32(i6 | 0, -1 | 0);
 }
 i6 = i1 + 8 | 0;
 i4 = get32(i6 | 0) | 0;
 if ((i4 | 0) > -1) {
  if (FUNCTION_TABLE_ii[get32(1056 | 0) & 127](i4) | 0) {
   i4 = get32(i1 + 32 | 0) | 0;
   i10 = get32(___errno_location() | 0 | 0) | 0;
   i5 = _strerror(i10) | 0;
   set32(i3 | 0, 26226 | 0);
   set32(i3 + 4 | 0, i10 | 0);
   set32(i3 + 8 | 0, 19075 | 0);
   set32(i3 + 12 | 0, ((i4 | 0) == 0 ? 16820 : i4) | 0);
   set32(i3 + 16 | 0, i5 | 0);
   _sqlite3_log(4106, 19185, i3);
  }
  set32(i6 | 0, -1 | 0);
 }
 i6 = get32(i1 + 28 | 0) | 0;
 if (!i6) {
  i14 = i1;
  i15 = i14 + 44 | 0;
  do {
   set32(i14 | 0, 0 | 0);
   i14 = i14 + 4 | 0;
  } while ((i14 | 0) < (i15 | 0));
  STACKTOP = i2;
  return 0;
 }
 if (!(get32(50 * 4 | 0) | 0)) {
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i6);
  i14 = i1;
  i15 = i14 + 44 | 0;
  do {
   set32(i14 | 0, 0 | 0);
   i14 = i14 + 4 | 0;
  } while ((i14 | 0) < (i15 | 0));
  STACKTOP = i2;
  return 0;
 }
 i3 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i6) | 0;
 i5 = (get32(30 * 4 | 0) | 0) - i3 | 0;
 set32(30 * 4 | 0, i5 | 0);
 if ((i5 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i5 | 0);
 i5 = (get32(39 * 4 | 0) | 0) + -1 | 0;
 set32(39 * 4 | 0, i5 | 0);
 if ((i5 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i5 | 0);
 FUNCTION_TABLE_vi[get32(232 | 0) & 31](i6);
 i14 = i1;
 i15 = i14 + 44 | 0;
 do {
  set32(i14 | 0, 0 | 0);
  i14 = i14 + 4 | 0;
 } while ((i14 | 0) < (i15 | 0));
 STACKTOP = i2;
 return 0;
}

function _sqlite3ViewGetColumnNames(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i4 = i3 + 16 | 0;
 i5 = i3 + 8 | 0;
 i6 = i3;
 i7 = i3 + 20 | 0;
 i8 = get32(i1 | 0) | 0;
 i9 = i2 + 34 | 0;
 i10 = get8(i9 >> 0 | 0) | 0;
 L1 : do if (!(i10 & 16)) i11 = 11; else {
  i12 = get32(i2 + 52 | 0) | 0;
  if (i12) {
   i13 = i12;
   do {
    if ((get32(i13 | 0) | 0) == (i8 | 0)) {
     i11 = 11;
     break L1;
    }
    i13 = get32(i13 + 24 | 0) | 0;
   } while ((i13 | 0) != 0);
  }
  i13 = get32(get32(i2 + 60 | 0) | 0) | 0;
  i12 = i8 + 288 | 0;
  if (!i13) i14 = 0; else {
   i15 = i13;
   while (1) if (!(get8(i15 >> 0 | 0) | 0)) {
    i16 = i15;
    break;
   } else i15 = i15 + 1 | 0;
   i14 = i16 - i13 & 1073741823;
  }
  i15 = _sqlite3HashFind(i12, i13, i14) | 0;
  if (!i15) {
   set32(i6 | 0, i13 | 0);
   _sqlite3ErrorMsg(i1, 24265, i6);
   i17 = 1;
   STACKTOP = i3;
   return i17 | 0;
  }
  set32(i7 | 0, 0 | 0);
  i18 = (_vtabCallConstructor(i8, i2, i15, get32((get32(i15 | 0) | 0) + 8 | 0) | 0, i7) | 0) == 0;
  i15 = get32(i7 | 0) | 0;
  if (i18) {
   _sqlite3DbFree(i8, i15);
   i19 = get8(i9 >> 0 | 0) | 0;
   break;
  }
  set32(i5 | 0, i15 | 0);
  _sqlite3ErrorMsg(i1, 16817, i5);
  _sqlite3DbFree(i8, i15);
  i17 = 1;
  STACKTOP = i3;
  return i17 | 0;
 } while (0);
 if ((i11 | 0) == 11) i19 = i10;
 if (i19 & 16) {
  i17 = 0;
  STACKTOP = i3;
  return i17 | 0;
 }
 i19 = i2 + 8 | 0;
 i10 = get32(i19 | 0) | 0;
 if ((i10 | 0) > 0) {
  i17 = 0;
  STACKTOP = i3;
  return i17 | 0;
 }
 if ((i10 | 0) < 0) {
  set32(i4 | 0, get32(i2 | 0) | 0);
  _sqlite3ErrorMsg(i1, 30250, i4);
  i17 = 1;
  STACKTOP = i3;
  return i17 | 0;
 }
 i4 = _sqlite3SelectDup(i8, get32(i2 + 28 | 0) | 0, 0) | 0;
 if (!i4) {
  i17 = 1;
  STACKTOP = i3;
  return i17 | 0;
 }
 i10 = i8 + 234 | 0;
 i11 = get8(i10 >> 0 | 0) | 0;
 i5 = i1 + 68 | 0;
 i9 = get32(i5 | 0) | 0;
 i7 = i4 + 8 | 0;
 _sqlite3SrcListAssignCursors(i1, get32(i7 | 0) | 0);
 set32(i19 | 0, -1 | 0);
 set8(i10 >> 0 | 0, 0 | 0);
 i6 = i8 + 268 | 0;
 i14 = get32(i6 | 0) | 0;
 set32(i6 | 0, 0 | 0);
 i16 = _sqlite3ResultSetOfSelect(i1, i4) | 0;
 set32(i6 | 0, i14 | 0);
 set8(i10 >> 0 | 0, i11 | 0);
 set32(i5 | 0, i9 | 0);
 if (!i16) {
  set32(i19 | 0, 0 | 0);
  i20 = 1;
 } else {
  i9 = i16 + 8 | 0;
  set32(i19 | 0, get32(i9 | 0) | 0);
  i19 = i16 + 12 | 0;
  set32(i2 + 12 | 0, get32(i19 | 0) | 0);
  set32(i9 | 0, 0 | 0);
  set32(i19 | 0, 0 | 0);
  _sqlite3DeleteTable(i8, i16);
  i16 = (get32(i2 + 68 | 0) | 0) + 78 | 0;
  set16(i16 | 0, getU16(i16 | 0) | 2 | 0);
  i20 = 0;
 }
 i16 = get32(i4 | 0) | 0;
 if (i16) {
  i2 = i16 + 12 | 0;
  if ((get32(i16 | 0) | 0) > 0) {
   i19 = 0;
   i9 = get32(i2 | 0) | 0;
   while (1) {
    _sqlite3ExprDelete(i8, get32(i9 | 0) | 0);
    _sqlite3DbFree(i8, get32(i9 + 4 | 0) | 0);
    _sqlite3DbFree(i8, get32(i9 + 8 | 0) | 0);
    i19 = i19 + 1 | 0;
    if ((i19 | 0) >= (get32(i16 | 0) | 0)) break; else i9 = i9 + 20 | 0;
   }
  }
  _sqlite3DbFree(i8, get32(i2 | 0) | 0);
  _sqlite3DbFree(i8, i16);
 }
 _sqlite3SrcListDelete(i8, get32(i7 | 0) | 0);
 _sqlite3ExprDelete(i8, get32(i4 + 12 | 0) | 0);
 i7 = get32(i4 + 16 | 0) | 0;
 if (i7) {
  i16 = i7 + 12 | 0;
  if ((get32(i7 | 0) | 0) > 0) {
   i2 = 0;
   i9 = get32(i16 | 0) | 0;
   while (1) {
    _sqlite3ExprDelete(i8, get32(i9 | 0) | 0);
    _sqlite3DbFree(i8, get32(i9 + 4 | 0) | 0);
    _sqlite3DbFree(i8, get32(i9 + 8 | 0) | 0);
    i2 = i2 + 1 | 0;
    if ((i2 | 0) >= (get32(i7 | 0) | 0)) break; else i9 = i9 + 20 | 0;
   }
  }
  _sqlite3DbFree(i8, get32(i16 | 0) | 0);
  _sqlite3DbFree(i8, i7);
 }
 _sqlite3ExprDelete(i8, get32(i4 + 20 | 0) | 0);
 i7 = get32(i4 + 24 | 0) | 0;
 if (i7) {
  i16 = i7 + 12 | 0;
  if ((get32(i7 | 0) | 0) > 0) {
   i9 = 0;
   i2 = get32(i16 | 0) | 0;
   while (1) {
    _sqlite3ExprDelete(i8, get32(i2 | 0) | 0);
    _sqlite3DbFree(i8, get32(i2 + 4 | 0) | 0);
    _sqlite3DbFree(i8, get32(i2 + 8 | 0) | 0);
    i9 = i9 + 1 | 0;
    if ((i9 | 0) >= (get32(i7 | 0) | 0)) break; else i2 = i2 + 20 | 0;
   }
  }
  _sqlite3DbFree(i8, get32(i16 | 0) | 0);
  _sqlite3DbFree(i8, i7);
 }
 _sqlite3SelectDelete(i8, get32(i4 + 28 | 0) | 0);
 _sqlite3ExprDelete(i8, get32(i4 + 40 | 0) | 0);
 _sqlite3ExprDelete(i8, get32(i4 + 44 | 0) | 0);
 _sqlite3DbFree(i8, i4);
 i17 = i20;
 STACKTOP = i3;
 return i17 | 0;
}

function ___udivmoddi4(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0;
 i6 = i1;
 i7 = i2;
 i8 = i7;
 i9 = i3;
 i10 = i4;
 i11 = i10;
 if (!i8) {
  i12 = (i5 | 0) != 0;
  if (!i11) {
   if (i12) {
    set32(i5 | 0, (i6 >>> 0) % (i9 >>> 0) | 0);
    set32(i5 + 4 | 0, 0 | 0);
   }
   i13 = 0;
   i14 = (i6 >>> 0) / (i9 >>> 0) >>> 0;
   return (tempRet0 = i13, i14) | 0;
  } else {
   if (!i12) {
    i13 = 0;
    i14 = 0;
    return (tempRet0 = i13, i14) | 0;
   }
   set32(i5 | 0, i1 | 0 | 0);
   set32(i5 + 4 | 0, i2 & 0 | 0);
   i13 = 0;
   i14 = 0;
   return (tempRet0 = i13, i14) | 0;
  }
 }
 i12 = (i11 | 0) == 0;
 do if (i9) {
  if (!i12) {
   i15 = (Math_clz32(i11 | 0) | 0) - (Math_clz32(i8 | 0) | 0) | 0;
   if (i15 >>> 0 <= 31) {
    i16 = i15 + 1 | 0;
    i17 = 31 - i15 | 0;
    i18 = i15 - 31 >> 31;
    i19 = i16;
    i20 = i6 >>> (i16 >>> 0) & i18 | i8 << i17;
    i21 = i8 >>> (i16 >>> 0) & i18;
    i22 = 0;
    i23 = i6 << i17;
    break;
   }
   if (!i5) {
    i13 = 0;
    i14 = 0;
    return (tempRet0 = i13, i14) | 0;
   }
   set32(i5 | 0, i1 | 0 | 0);
   set32(i5 + 4 | 0, i7 | i2 & 0 | 0);
   i13 = 0;
   i14 = 0;
   return (tempRet0 = i13, i14) | 0;
  }
  i17 = i9 - 1 | 0;
  if (i17 & i9) {
   i18 = (Math_clz32(i9 | 0) | 0) + 33 - (Math_clz32(i8 | 0) | 0) | 0;
   i16 = 64 - i18 | 0;
   i15 = 32 - i18 | 0;
   i24 = i15 >> 31;
   i25 = i18 - 32 | 0;
   i26 = i25 >> 31;
   i19 = i18;
   i20 = i15 - 1 >> 31 & i8 >>> (i25 >>> 0) | (i8 << i15 | i6 >>> (i18 >>> 0)) & i26;
   i21 = i26 & i8 >>> (i18 >>> 0);
   i22 = i6 << i16 & i24;
   i23 = (i8 << i16 | i6 >>> (i25 >>> 0)) & i24 | i6 << i15 & i18 - 33 >> 31;
   break;
  }
  if (i5) {
   set32(i5 | 0, i17 & i6 | 0);
   set32(i5 + 4 | 0, 0 | 0);
  }
  if ((i9 | 0) == 1) {
   i13 = i7 | i2 & 0;
   i14 = i1 | 0 | 0;
   return (tempRet0 = i13, i14) | 0;
  } else {
   i17 = _llvm_cttz_i32(i9 | 0) | 0;
   i13 = i8 >>> (i17 >>> 0) | 0;
   i14 = i8 << 32 - i17 | i6 >>> (i17 >>> 0) | 0;
   return (tempRet0 = i13, i14) | 0;
  }
 } else {
  if (i12) {
   if (i5) {
    set32(i5 | 0, (i8 >>> 0) % (i9 >>> 0) | 0);
    set32(i5 + 4 | 0, 0 | 0);
   }
   i13 = 0;
   i14 = (i8 >>> 0) / (i9 >>> 0) >>> 0;
   return (tempRet0 = i13, i14) | 0;
  }
  if (!i6) {
   if (i5) {
    set32(i5 | 0, 0 | 0);
    set32(i5 + 4 | 0, (i8 >>> 0) % (i11 >>> 0) | 0);
   }
   i13 = 0;
   i14 = (i8 >>> 0) / (i11 >>> 0) >>> 0;
   return (tempRet0 = i13, i14) | 0;
  }
  i17 = i11 - 1 | 0;
  if (!(i17 & i11)) {
   if (i5) {
    set32(i5 | 0, i1 | 0 | 0);
    set32(i5 + 4 | 0, i17 & i8 | i2 & 0 | 0);
   }
   i13 = 0;
   i14 = i8 >>> ((_llvm_cttz_i32(i11 | 0) | 0) >>> 0);
   return (tempRet0 = i13, i14) | 0;
  }
  i17 = (Math_clz32(i11 | 0) | 0) - (Math_clz32(i8 | 0) | 0) | 0;
  if (i17 >>> 0 <= 30) {
   i18 = i17 + 1 | 0;
   i15 = 31 - i17 | 0;
   i19 = i18;
   i20 = i8 << i15 | i6 >>> (i18 >>> 0);
   i21 = i8 >>> (i18 >>> 0);
   i22 = 0;
   i23 = i6 << i15;
   break;
  }
  if (!i5) {
   i13 = 0;
   i14 = 0;
   return (tempRet0 = i13, i14) | 0;
  }
  set32(i5 | 0, i1 | 0 | 0);
  set32(i5 + 4 | 0, i7 | i2 & 0 | 0);
  i13 = 0;
  i14 = 0;
  return (tempRet0 = i13, i14) | 0;
 } while (0);
 if (!i19) {
  i27 = i23;
  i28 = i22;
  i29 = i21;
  i30 = i20;
  i31 = 0;
  i32 = 0;
 } else {
  i2 = i3 | 0 | 0;
  i3 = i10 | i4 & 0;
  i4 = _i64Add(i2 | 0, i3 | 0, -1, -1) | 0;
  i10 = tempRet0;
  i7 = i23;
  i23 = i22;
  i22 = i21;
  i21 = i20;
  i20 = i19;
  i19 = 0;
  do {
   i1 = i7;
   i7 = i23 >>> 31 | i7 << 1;
   i23 = i19 | i23 << 1;
   i6 = i21 << 1 | i1 >>> 31 | 0;
   i1 = i21 >>> 31 | i22 << 1 | 0;
   _i64Subtract(i4, i10, i6, i1) | 0;
   i8 = tempRet0;
   i11 = i8 >> 31 | ((i8 | 0) < 0 ? -1 : 0) << 1;
   i19 = i11 & 1;
   i21 = _i64Subtract(i6, i1, i11 & i2, (((i8 | 0) < 0 ? -1 : 0) >> 31 | ((i8 | 0) < 0 ? -1 : 0) << 1) & i3) | 0;
   i22 = tempRet0;
   i20 = i20 - 1 | 0;
  } while ((i20 | 0) != 0);
  i27 = i7;
  i28 = i23;
  i29 = i22;
  i30 = i21;
  i31 = 0;
  i32 = i19;
 }
 i19 = i28;
 i28 = 0;
 if (i5) {
  set32(i5 | 0, i30 | 0);
  set32(i5 + 4 | 0, i29 | 0);
 }
 i13 = (i19 | 0) >>> 31 | (i27 | i28) << 1 | (i28 << 1 | i19 >>> 31) & 0 | i31;
 i14 = (i19 << 1 | 0 >>> 31) & -2 | i32;
 return (tempRet0 = i13, i14) | 0;
}

function _sqlite3VdbeMemFromBtree(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0;
 i6 = STACKTOP;
 STACKTOP = STACKTOP + 160 | 0;
 i7 = i6;
 i8 = (i4 | 0) != 0;
 i4 = i1 + 83 | 0;
 i9 = (get8(i4 >> 0 | 0) | 0) == 1;
 if (i8) if (i9) {
  i10 = get16(i1 + 90 | 0) | 0;
  i11 = get32(i1 + 132 + (i10 << 2) | 0) | 0;
  if (!(get16(i1 + 58 | 0) | 0)) {
   i12 = get32(i11 + 64 | 0) | 0;
   i13 = (getU16(i11 + 12 | 0) | 0) + (getU16(i1 + 92 + (i10 << 1) | 0) << 1) | 0;
   _btreeParseCellPtr(i11, i12 + ((getU8(i12 + i13 >> 0 | 0) << 8 | getU8(i12 + (i13 + 1) >> 0 | 0)) & getU16(i11 + 18 | 0)) | 0, i1 + 32 | 0);
  }
  i14 = getU16(i1 + 54 | 0) | 0;
  i15 = (get32(i1 + 40 | 0) | 0) + (getU16(i1 + 52 | 0) | 0) | 0;
 } else {
  i14 = 0;
  i15 = 0;
 } else if (i9) {
  i9 = get16(i1 + 90 | 0) | 0;
  i11 = get32(i1 + 132 + (i9 << 2) | 0) | 0;
  i13 = i1 + 32 | 0;
  if (!(get16(i1 + 58 | 0) | 0)) {
   i12 = get32(i11 + 64 | 0) | 0;
   i10 = (getU16(i11 + 12 | 0) | 0) + (getU16(i1 + 92 + (i9 << 1) | 0) << 1) | 0;
   _btreeParseCellPtr(i11, i12 + ((getU8(i12 + i10 >> 0 | 0) << 8 | getU8(i12 + (i10 + 1) >> 0 | 0)) & getU16(i11 + 18 | 0)) | 0, i13);
  }
  if (!(get8(i11 + 2 >> 0 | 0) | 0)) i16 = get32(i13 | 0) | 0; else i16 = 0;
  i14 = (getU16(i1 + 54 | 0) | 0) - i16 | 0;
  i15 = (get32(i1 + 40 | 0) | 0) + (i16 + (getU16(i1 + 52 | 0) | 0)) | 0;
 } else {
  i14 = 0;
  i15 = 0;
 }
 if ((i3 + i2 | 0) <= (i14 | 0) ? (i14 = i5 + 28 | 0, (get16(i14 | 0) & 1024) == 0) : 0) {
  _sqlite3VdbeMemReleaseExternal(i5);
  i16 = i5 + 36 | 0;
  _sqlite3DbFree(get32(i5 | 0) | 0, get32(i16 | 0) | 0);
  set32(i16 | 0, 0 | 0);
  set32(i5 + 32 | 0, 0 | 0);
  set32(i5 + 4 | 0, i15 + i2 | 0);
  set16(i14 | 0, 4112 | 0);
  i17 = 0;
  i18 = i5 + 24 | 0;
  set32(i18 | 0, i3 | 0);
  STACKTOP = i6;
  return i17 | 0;
 }
 i14 = _sqlite3VdbeMemGrow(i5, i3 + 2 | 0, 0) | 0;
 if (i14) {
  i17 = i14;
  i18 = i5 + 24 | 0;
  set32(i18 | 0, i3 | 0);
  STACKTOP = i6;
  return i17 | 0;
 }
 set16(i5 + 28 | 0, 1552 | 0);
 set8(i5 + 31 >> 0 | 0, 0 | 0);
 set8(i5 + 30 >> 0 | 0, 4 | 0);
 i14 = i5 + 4 | 0;
 i15 = get32(i14 | 0) | 0;
 L24 : do if (!i8) {
  i16 = get8(i4 >> 0 | 0) | 0;
  if (!(i16 << 24 >> 24)) i19 = 4; else {
   do if ((i16 & 255) > 1) {
    if (i16 << 24 >> 24 == 3) {
     i13 = get32(i1 + 76 | 0) | 0;
     if (!i13) break; else {
      i19 = i13;
      break L24;
     }
    }
    set8(i4 >> 0 | 0, 0 | 0);
    i13 = i1 + 72 | 0;
    i11 = get32(i13 | 0) | 0;
    i10 = i1 + 64 | 0;
    i12 = get32(i10 | 0) | 0;
    i9 = get32(i10 + 4 | 0) | 0;
    i10 = i1 + 76 | 0;
    if (i11) {
     i20 = _sqlite3VdbeRecordUnpack(get32(i1 + 16 | 0) | 0, i12, i11, i7, 150) | 0;
     if (!i20) {
      i19 = 7;
      break L24;
     }
     i11 = _sqlite3BtreeMovetoUnpacked(i1, i20, i12, i9, 0, i10) | 0;
     if (!(get16(i20 + 6 | 0) & 1)) i21 = i11; else {
      _sqlite3DbFree(get32(get32(i20 | 0) | 0) | 0, i20);
      i21 = i11;
     }
    } else i21 = _sqlite3BtreeMovetoUnpacked(i1, 0, i12, i9, 0, i10) | 0;
    if (i21) {
     i19 = i21;
     break L24;
    }
    i10 = get32(i13 | 0) | 0;
    do if (i10) {
     if (!(get32(50 * 4 | 0) | 0)) {
      FUNCTION_TABLE_vi[get32(232 | 0) & 31](i10);
      break;
     }
     i9 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i10) | 0;
     i12 = (get32(30 * 4 | 0) | 0) - i9 | 0;
     set32(30 * 4 | 0, i12 | 0);
     if ((i12 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i12 | 0);
     i12 = (get32(39 * 4 | 0) | 0) + -1 | 0;
     set32(39 * 4 | 0, i12 | 0);
     if ((i12 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i12 | 0);
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i10);
    } while (0);
    set32(i13 | 0, 0 | 0);
   } while (0);
   i19 = _accessPayload(i1, i2, i3, i15, 0) | 0;
  }
 } else i19 = _accessPayload(i1, i2, i3, i15, 0) | 0; while (0);
 set8((get32(i14 | 0) | 0) + i3 >> 0 | 0, 0 | 0);
 set8((get32(i14 | 0) | 0) + (i3 + 1) >> 0 | 0, 0 | 0);
 if (!i19) {
  i17 = 0;
  i18 = i5 + 24 | 0;
  set32(i18 | 0, i3 | 0);
  STACKTOP = i6;
  return i17 | 0;
 }
 _sqlite3VdbeMemReleaseExternal(i5);
 i15 = i5 + 36 | 0;
 _sqlite3DbFree(get32(i5 | 0) | 0, get32(i15 | 0) | 0);
 set32(i14 | 0, 0 | 0);
 set32(i15 | 0, 0 | 0);
 set32(i5 + 32 | 0, 0 | 0);
 i17 = i19;
 i18 = i5 + 24 | 0;
 set32(i18 | 0, i3 | 0);
 STACKTOP = i6;
 return i17 | 0;
}

function _analysisLoader(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0;
 if (!i3) return 0;
 i4 = get32(i3 | 0) | 0;
 if (!i4) return 0;
 i2 = get32(i3 + 8 | 0) | 0;
 if (!i2) return 0;
 i5 = get32(i1 | 0) | 0;
 i6 = get32(i1 + 4 | 0) | 0;
 i1 = i4;
 while (1) if (!(get8(i1 >> 0 | 0) | 0)) {
  i7 = i1;
  break;
 } else i1 = i1 + 1 | 0;
 i1 = i7 - i4 & 1073741823;
 i7 = get32(i5 + 4 | 0) | 0;
 if ((i7 | 0) <= 0) return 0;
 i8 = (i6 | 0) == 0;
 i9 = get32(i5 + 8 | 0) | 0;
 i5 = 0;
 i10 = 0;
 while (1) {
  i11 = (i5 | 0) < 2 ^ i5;
  if (!i8) {
   i12 = get32(i9 + (i11 << 4) | 0) | 0;
   i13 = get8(i6 >> 0 | 0) | 0;
   L20 : do if (!(i13 << 24 >> 24)) {
    i14 = 0;
    i15 = i12;
   } else {
    i16 = i13;
    i17 = i6;
    i18 = i12;
    while (1) {
     if ((get8(16286 + (i16 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i18 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
      i14 = i16;
      i15 = i18;
      break L20;
     }
     i17 = i17 + 1 | 0;
     i19 = i18 + 1 | 0;
     i16 = get8(i17 >> 0 | 0) | 0;
     if (!(i16 << 24 >> 24)) {
      i14 = 0;
      i15 = i19;
      break;
     } else i18 = i19;
    }
   } while (0);
   if ((get8(16286 + (i14 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i15 >> 0 | 0) | 0) >> 0 | 0) | 0)) i20 = i10; else i21 = 13;
  } else i21 = 13;
  if ((i21 | 0) == 13) {
   i21 = 0;
   i12 = _sqlite3HashFind((get32(i9 + (i11 << 4) + 12 | 0) | 0) + 8 | 0, i4, i1) | 0;
   if (!i12) i20 = i12; else {
    i22 = i12;
    break;
   }
  }
  i5 = i5 + 1 | 0;
  if ((i5 | 0) >= (i7 | 0)) {
   i22 = i20;
   break;
  } else i10 = i20;
 }
 if (!i22) return 0;
 i20 = get32(i3 + 4 | 0) | 0;
 if (i20) {
  i3 = i20;
  while (1) if (!(get8(i3 >> 0 | 0) | 0)) {
   i23 = i3;
   break;
  } else i3 = i3 + 1 | 0;
  i3 = i23 - i20 & 1073741823;
  i23 = 0;
  i10 = 0;
  while (1) {
   i5 = (i23 | 0) < 2 ^ i23;
   i1 = get32(i9 + (i5 << 4) + 12 | 0) | 0;
   if (!i8) {
    i4 = get32(i9 + (i5 << 4) | 0) | 0;
    i5 = get8(i6 >> 0 | 0) | 0;
    L40 : do if (!(i5 << 24 >> 24)) {
     i24 = 0;
     i25 = i4;
    } else {
     i15 = i5;
     i14 = i6;
     i12 = i4;
     while (1) {
      if ((get8(16286 + (i15 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i12 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
       i24 = i15;
       i25 = i12;
       break L40;
      }
      i14 = i14 + 1 | 0;
      i13 = i12 + 1 | 0;
      i15 = get8(i14 >> 0 | 0) | 0;
      if (!(i15 << 24 >> 24)) {
       i24 = 0;
       i25 = i13;
       break;
      } else i12 = i13;
     }
    } while (0);
    if ((get8(16286 + (i24 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i25 >> 0 | 0) | 0) >> 0 | 0) | 0)) i26 = i10; else i21 = 24;
   } else i21 = 24;
   if ((i21 | 0) == 24) {
    i21 = 0;
    i4 = _sqlite3HashFind(i1 + 24 | 0, i20, i3) | 0;
    if (!i4) i26 = i4; else {
     i27 = i4;
     break;
    }
   }
   i23 = i23 + 1 | 0;
   if ((i23 | 0) >= (i7 | 0)) {
    i27 = i26;
    break;
   } else i10 = i26;
  }
  if (i27) {
   i28 = get32(i27 + 4 | 0) | 0;
   i29 = 0;
   i30 = i27;
  } else {
   i28 = 0;
   i29 = 1;
   i30 = 0;
  }
 } else {
  i28 = 0;
  i29 = 1;
  i30 = 0;
 }
 i27 = get8(i2 >> 0 | 0) | 0;
 if ((i28 | 0) < 0 | i27 << 24 >> 24 == 0) return 0;
 i26 = i22 + 24 | 0;
 i22 = i30 + 12 | 0;
 i10 = i27;
 i27 = 0;
 i7 = i2;
 while (1) {
  if ((i10 + -48 & 255) < 10) {
   i2 = i10;
   i23 = 0;
   i3 = i7;
   while (1) {
    i20 = (i23 * 10 | 0) + -48 + (i2 << 24 >> 24) | 0;
    i25 = i3 + 1 | 0;
    i2 = get8(i25 >> 0 | 0) | 0;
    if ((i2 + -48 & 255) >= 10) {
     i31 = i20;
     i32 = i25;
     break;
    } else {
     i23 = i20;
     i3 = i25;
    }
   }
  } else {
   i31 = 0;
   i32 = i7;
  }
  if (!i27) set32(i26 | 0, i31 | 0);
  if (i29) {
   i21 = 38;
   break;
  }
  set32((get32(i22 | 0) | 0) + (i27 << 2) | 0, i31 | 0);
  i7 = (get8(i32 >> 0 | 0) | 0) == 32 ? i32 + 1 | 0 : i32;
  if (!(_memcmp(i7, 22038, 10) | 0)) {
   i21 = 37;
   break;
  }
  i10 = get8(i7 >> 0 | 0) | 0;
  if ((i27 | 0) >= (i28 | 0) | i10 << 24 >> 24 == 0) {
   i21 = 38;
   break;
  } else i27 = i27 + 1 | 0;
 }
 if ((i21 | 0) == 37) {
  set8(i30 + 26 >> 0 | 0, 1 | 0);
  return 0;
 } else if ((i21 | 0) == 38) return 0;
 return 0;
}

function _sqlite3VdbeDeleteObject(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0;
 i3 = get32(i2 + 72 | 0) | 0;
 i4 = get16(i2 + 80 | 0) | 0;
 L1 : do if ((i3 | 0) != 0 & i4 << 16 >> 16 != 0) {
  i5 = get32(i3 | 0) | 0;
  i6 = i5 + 30 | 0;
  i7 = get8(i6 >> 0 | 0) | 0;
  i8 = i3 + ((i4 << 16 >> 16) * 40 | 0) | 0;
  i9 = i4 << 16 >> 16 > 0;
  if (get32(i5 + 504 | 0) | 0) {
   if (i9) i10 = i3; else break;
   while (1) {
    _sqlite3DbFree(i5, get32(i10 + 36 | 0) | 0);
    i10 = i10 + 40 | 0;
    if (i10 >>> 0 >= i8 >>> 0) break L1;
   }
  }
  if (i9) {
   i11 = i3;
   do {
    i12 = i11 + 28 | 0;
    if (!(get16(i12 | 0) & 9312)) {
     i13 = i11 + 36 | 0;
     i14 = get32(i13 | 0) | 0;
     if (i14) {
      _sqlite3DbFree(i5, i14);
      set32(i13 | 0, 0 | 0);
     }
    } else {
     _sqlite3VdbeMemReleaseExternal(i11);
     i13 = i11 + 36 | 0;
     _sqlite3DbFree(get32(i11 | 0) | 0, get32(i13 | 0) | 0);
     set32(i11 + 4 | 0, 0 | 0);
     set32(i13 | 0, 0 | 0);
     set32(i11 + 32 | 0, 0 | 0);
    }
    set16(i12 | 0, 1 | 0);
    i11 = i11 + 40 | 0;
   } while (i11 >>> 0 < i8 >>> 0);
  }
  set8(i6 >> 0 | 0, i7 | 0);
 } while (0);
 i3 = i2 + 16 | 0;
 i10 = get32(i3 | 0) | 0;
 i4 = get16(i2 + 48 | 0) | 0;
 L18 : do if ((i10 | 0) != 0 & i4 << 16 >> 16 != 0) {
  i8 = get32(i10 | 0) | 0;
  i11 = i8 + 30 | 0;
  i5 = get8(i11 >> 0 | 0) | 0;
  i9 = i10 + (((i4 & 65535) << 1) * 40 | 0) | 0;
  if (!(get32(i8 + 504 | 0) | 0)) i15 = i10; else {
   i12 = i10;
   while (1) {
    _sqlite3DbFree(i8, get32(i12 + 36 | 0) | 0);
    i12 = i12 + 40 | 0;
    if (i12 >>> 0 >= i9 >>> 0) break L18;
   }
  }
  do {
   i12 = i15 + 28 | 0;
   if (!(get16(i12 | 0) & 9312)) {
    i7 = i15 + 36 | 0;
    i6 = get32(i7 | 0) | 0;
    if (i6) {
     _sqlite3DbFree(i8, i6);
     set32(i7 | 0, 0 | 0);
    }
   } else {
    _sqlite3VdbeMemReleaseExternal(i15);
    i7 = i15 + 36 | 0;
    _sqlite3DbFree(get32(i15 | 0) | 0, get32(i7 | 0) | 0);
    set32(i15 + 4 | 0, 0 | 0);
    set32(i7 | 0, 0 | 0);
    set32(i15 + 32 | 0, 0 | 0);
   }
   set16(i12 | 0, 1 | 0);
   i15 = i15 + 40 | 0;
  } while (i15 >>> 0 < i9 >>> 0);
  set8(i11 >> 0 | 0, i5 | 0);
 } while (0);
 i15 = get32(i2 + 184 | 0) | 0;
 if (i15) {
  i10 = i15;
  do {
   i15 = i10;
   i10 = get32(i10 + 20 | 0) | 0;
   i4 = get32(i15 | 0) | 0;
   i9 = get32(i15 + 4 | 0) | 0;
   if ((i4 | 0) != 0 ? (i8 = i4 + (i9 * 20 | 0) | 0, (i9 | 0) > 0) : 0) {
    i9 = i4;
    do {
     _freeP4(i1, get8(i9 + 1 >> 0 | 0) | 0, get32(i9 + 16 | 0) | 0);
     i9 = i9 + 20 | 0;
    } while (i9 >>> 0 < i8 >>> 0);
   }
   _sqlite3DbFree(i1, i4);
   _sqlite3DbFree(i1, i15);
  } while ((i10 | 0) != 0);
 }
 i10 = get16(i2 + 82 | 0) | 0;
 if (i10 << 16 >> 16 > 0) {
  i8 = i2 + 76 | 0;
  i9 = i10 << 16 >> 16;
  do {
   i10 = i9;
   i9 = i9 + -1 | 0;
   _sqlite3DbFree(i1, get32((get32(i8 | 0) | 0) + (i9 << 2) | 0) | 0);
  } while ((i10 | 0) > 1);
 }
 i9 = get32(i2 + 4 | 0) | 0;
 i8 = get32(i2 + 28 | 0) | 0;
 if (!i9) {
  _sqlite3DbFree(i1, i9);
  i16 = i2 + 44 | 0;
  i17 = get32(i16 | 0) | 0;
  _sqlite3DbFree(i1, i17);
  i18 = get32(i3 | 0) | 0;
  _sqlite3DbFree(i1, i18);
  i19 = i2 + 160 | 0;
  i20 = get32(i19 | 0) | 0;
  _sqlite3DbFree(i1, i20);
  i21 = i2 + 164 | 0;
  i22 = get32(i21 | 0) | 0;
  _sqlite3DbFree(i1, i22);
  _sqlite3DbFree(i1, i2);
  return;
 }
 i10 = i9 + (i8 * 20 | 0) | 0;
 if ((i8 | 0) > 0) i23 = i9; else {
  _sqlite3DbFree(i1, i9);
  i16 = i2 + 44 | 0;
  i17 = get32(i16 | 0) | 0;
  _sqlite3DbFree(i1, i17);
  i18 = get32(i3 | 0) | 0;
  _sqlite3DbFree(i1, i18);
  i19 = i2 + 160 | 0;
  i20 = get32(i19 | 0) | 0;
  _sqlite3DbFree(i1, i20);
  i21 = i2 + 164 | 0;
  i22 = get32(i21 | 0) | 0;
  _sqlite3DbFree(i1, i22);
  _sqlite3DbFree(i1, i2);
  return;
 }
 do {
  _freeP4(i1, get8(i23 + 1 >> 0 | 0) | 0, get32(i23 + 16 | 0) | 0);
  i23 = i23 + 20 | 0;
 } while (i23 >>> 0 < i10 >>> 0);
 _sqlite3DbFree(i1, i9);
 i16 = i2 + 44 | 0;
 i17 = get32(i16 | 0) | 0;
 _sqlite3DbFree(i1, i17);
 i18 = get32(i3 | 0) | 0;
 _sqlite3DbFree(i1, i18);
 i19 = i2 + 160 | 0;
 i20 = get32(i19 | 0) | 0;
 _sqlite3DbFree(i1, i20);
 i21 = i2 + 164 | 0;
 i22 = get32(i21 | 0) | 0;
 _sqlite3DbFree(i1, i22);
 _sqlite3DbFree(i1, i2);
 return;
}

function _sqlite3AddPrimaryKey(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0;
 i6 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i7 = i6 + 8 | 0;
 i8 = i6;
 i9 = get32(i1 + 508 | 0) | 0;
 do if ((i9 | 0) != 0 ? (get8(i1 + 528 >> 0 | 0) | 0) == 0 : 0) {
  i10 = i9 + 34 | 0;
  i11 = getU8(i10 >> 0 | 0) | 0;
  if (i11 & 4) {
   set32(i8 | 0, get32(i9 | 0) | 0);
   _sqlite3ErrorMsg(i1, 30834, i8);
   break;
  }
  i12 = i11 | 4;
  set8(i10 >> 0 | 0, i12 | 0);
  if (i2) {
   i11 = get32(i2 | 0) | 0;
   if ((i11 | 0) > 0) {
    i13 = i9 + 12 | 0;
    i14 = i2 + 12 | 0;
    i15 = get32(i9 + 8 | 0) | 0;
    i16 = (i15 | 0) > 0;
    i17 = 0;
    while (1) {
     L13 : do if (i16) {
      i18 = get32((get32(i14 | 0) | 0) + (i17 * 20 | 0) + 4 | 0) | 0;
      i19 = get32(i13 | 0) | 0;
      i20 = get8(i18 >> 0 | 0) | 0;
      i21 = i20 << 24 >> 24 == 0;
      i22 = 0;
      while (1) {
       i23 = get32(i19 + (i22 * 24 | 0) | 0) | 0;
       L17 : do if (i21) {
        i24 = 0;
        i25 = i23;
       } else {
        i26 = i20;
        i27 = i18;
        i28 = i23;
        while (1) {
         if ((get8(16286 + (i26 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i28 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
          i24 = i26;
          i25 = i28;
          break L17;
         }
         i27 = i27 + 1 | 0;
         i29 = i28 + 1 | 0;
         i26 = get8(i27 >> 0 | 0) | 0;
         if (!(i26 << 24 >> 24)) {
          i24 = 0;
          i25 = i29;
          break;
         } else i28 = i29;
        }
       } while (0);
       if ((get8(16286 + (i24 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i25 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
        i30 = i22;
        break L13;
       }
       i23 = i22 + 1 | 0;
       if ((i23 | 0) < (i15 | 0)) i22 = i23; else {
        i30 = i23;
        break;
       }
      }
     } else i30 = 0; while (0);
     if ((i30 | 0) < (i15 | 0)) set8((get32(i13 | 0) | 0) + (i30 * 24 | 0) + 21 >> 0 | 0, 1 | 0);
     i17 = i17 + 1 | 0;
     if ((i17 | 0) == (i11 | 0)) {
      i31 = i30;
      break;
     }
    }
    if ((i11 | 0) <= 1) {
     i32 = i15;
     i33 = i31;
     i34 = 20;
    }
   }
  } else {
   i17 = get32(i9 + 8 | 0) | 0;
   i13 = i17 + -1 | 0;
   set8((get32(i9 + 12 | 0) | 0) + (i13 * 24 | 0) + 21 >> 0 | 0, 1 | 0);
   i32 = i17;
   i33 = i13;
   i34 = 20;
  }
  if (((i34 | 0) == 20 ? (i33 | 0) > -1 & (i33 | 0) < (i32 | 0) : 0) ? (i13 = get32((get32(i9 + 12 | 0) | 0) + (i33 * 24 | 0) + 12 | 0) | 0, (i13 | 0) != 0) : 0) {
   i17 = get8(i13 >> 0 | 0) | 0;
   L32 : do if (!(i17 << 24 >> 24)) {
    i35 = 0;
    i36 = 30467;
   } else {
    i14 = i17;
    i16 = i13;
    i22 = 30467;
    while (1) {
     if ((get8(16286 + (i14 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i22 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
      i35 = i14;
      i36 = i22;
      break L32;
     }
     i16 = i16 + 1 | 0;
     i18 = i22 + 1 | 0;
     i14 = get8(i16 >> 0 | 0) | 0;
     if (!(i14 << 24 >> 24)) {
      i35 = 0;
      i36 = i18;
      break;
     } else i22 = i18;
    }
   } while (0);
   if (!((getU8(16286 + (i35 & 255) >> 0 | 0) | 0) - (getU8(16286 + (getU8(i36 >> 0 | 0) | 0) >> 0 | 0) | 0) | i5)) {
    set32(i9 + 4 | 0, i33 | 0);
    set8(i9 + 35 >> 0 | 0, i3 | 0);
    set8(i10 >> 0 | 0, i12 | i4 << 3 | 0);
    break;
   }
  }
  if (i4) {
   _sqlite3ErrorMsg(i1, 30875, i7);
   break;
  }
  i13 = _sqlite3CreateIndex(i1, 0, 0, 0, i2, i3, 0, 0, i5, 0) | 0;
  if (!i13) {
   STACKTOP = i6;
   return;
  }
  set8(i13 + 25 >> 0 | 0, 2 | 0);
  STACKTOP = i6;
  return;
 } while (0);
 i5 = get32(i1 | 0) | 0;
 if (!i2) {
  STACKTOP = i6;
  return;
 }
 i1 = i2 + 12 | 0;
 if ((get32(i2 | 0) | 0) > 0) {
  i3 = 0;
  i7 = get32(i1 | 0) | 0;
  while (1) {
   _sqlite3ExprDelete(i5, get32(i7 | 0) | 0);
   _sqlite3DbFree(i5, get32(i7 + 4 | 0) | 0);
   _sqlite3DbFree(i5, get32(i7 + 8 | 0) | 0);
   i3 = i3 + 1 | 0;
   if ((i3 | 0) >= (get32(i2 | 0) | 0)) break; else i7 = i7 + 20 | 0;
  }
 }
 _sqlite3DbFree(i5, get32(i1 | 0) | 0);
 _sqlite3DbFree(i5, i2);
 STACKTOP = i6;
 return;
}

function _sqlite3_wal_checkpoint_v2(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0, i36 = 0, i37 = 0, i38 = 0, i39 = 0, i40 = 0, i41 = 0, i42 = 0;
 i6 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i7 = i6 + 16 | 0;
 i8 = i6 + 8 | 0;
 i9 = i6;
 if (i4) set32(i4 | 0, -1 | 0);
 if (i5) set32(i5 | 0, -1 | 0);
 if (i3 >>> 0 > 2) {
  i10 = 21;
  STACKTOP = i6;
  return i10 | 0;
 }
 if ((i2 | 0) != 0 ? (get8(i2 >> 0 | 0) | 0) != 0 : 0) {
  i11 = i2;
  while (1) {
   i12 = i11 + 1 | 0;
   if (!(get8(i12 >> 0 | 0) | 0)) {
    i13 = i12;
    break;
   } else i11 = i12;
  }
  i11 = i13 - i2 & 1073741823;
  i13 = get32(i1 + 4 | 0) | 0;
  i12 = i13 + -1 | 0;
  L15 : do if ((i13 | 0) > 0) {
   i14 = i12;
   i15 = (get32(i1 + 8 | 0) | 0) + (i12 << 4) | 0;
   while (1) {
    i16 = get32(i15 | 0) | 0;
    if (!i16) i17 = 0; else {
     i18 = i16;
     while (1) if (!(get8(i18 >> 0 | 0) | 0)) {
      i19 = i18;
      break;
     } else i18 = i18 + 1 | 0;
     i17 = i19 - i16 & 1073741823;
    }
    if ((i11 | 0) == (i17 | 0)) {
     i18 = get8(i16 >> 0 | 0) | 0;
     L26 : do if (!(i18 << 24 >> 24)) {
      i20 = 0;
      i21 = i2;
     } else {
      i22 = i18;
      i23 = i16;
      i24 = i2;
      while (1) {
       if ((get8(16286 + (i22 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i24 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
        i20 = i22;
        i21 = i24;
        break L26;
       }
       i23 = i23 + 1 | 0;
       i25 = i24 + 1 | 0;
       i22 = get8(i23 >> 0 | 0) | 0;
       if (!(i22 << 24 >> 24)) {
        i20 = 0;
        i21 = i25;
        break;
       } else i24 = i25;
      }
     } while (0);
     if ((get8(16286 + (i20 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i21 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
      i26 = i14;
      break L15;
     }
    }
    i16 = i14 + -1 | 0;
    if ((i14 | 0) > 0) {
     i14 = i16;
     i15 = i15 + -16 | 0;
    } else {
     i26 = i16;
     break;
    }
   }
  } else i26 = i12; while (0);
  if ((i26 | 0) < 0) {
   set32(i9 | 0, i2 | 0);
   _sqlite3Error(i1, 1, 17341, i9);
   i27 = 1;
  } else {
   i28 = i26;
   i29 = 22;
  }
 } else {
  i28 = 10;
  i29 = 22;
 }
 if ((i29 | 0) == 22) {
  i29 = i1 + 4 | 0;
  i26 = get32(i29 | 0) | 0;
  if ((i26 | 0) > 0) {
   i9 = (i28 | 0) == 10;
   i2 = i1 + 8 | 0;
   i12 = i4;
   i4 = i5;
   i5 = i26;
   i26 = 0;
   i21 = 0;
   while (1) {
    if (i9 | (i21 | 0) == (i28 | 0)) {
     i20 = get32((get32(i2 | 0) | 0) + (i21 << 4) + 4 | 0) | 0;
     if (i20) {
      i17 = get32(i20 + 4 | 0) | 0;
      set32(i17 + 4 | 0, get32(i20 | 0) | 0);
      if (!(get8(i17 + 23 >> 0 | 0) | 0)) {
       i20 = get32(i17 | 0) | 0;
       i17 = get32(i20 + 172 | 0) | 0;
       if (!i17) {
        i30 = i5;
        i31 = 0;
       } else {
        i11 = _sqlite3WalCheckpoint(i17, i3, get32(i20 + 152 | 0) | 0, get32(i20 + 156 | 0) | 0, getU8(i20 + 10 >> 0 | 0) | 0, get32(i20 + 128 | 0) | 0, get32(i20 + 164 | 0) | 0, i12, i4) | 0;
        i30 = get32(i29 | 0) | 0;
        i31 = i11;
       }
      } else {
       i30 = i5;
       i31 = 6;
      }
     } else {
      i30 = i5;
      i31 = 0;
     }
     i11 = (i31 | 0) == 5;
     i32 = 0;
     i33 = 0;
     i34 = i30;
     i35 = i11 ? 1 : i26;
     i36 = i11 ? 0 : i31;
    } else {
     i32 = i4;
     i33 = i12;
     i34 = i5;
     i35 = i26;
     i36 = 0;
    }
    i21 = i21 + 1 | 0;
    i11 = (i36 | 0) == 0;
    if (!((i21 | 0) < (i34 | 0) & i11)) {
     i37 = i11;
     i38 = i35;
     i39 = i36;
     break;
    } else {
     i12 = i33;
     i4 = i32;
     i5 = i34;
     i26 = i35;
    }
   }
  } else {
   i37 = 1;
   i38 = 0;
   i39 = 0;
  }
  i35 = i37 & (i38 | 0) != 0 ? 5 : i39;
  _sqlite3Error(i1, i35, 0, i8);
  i27 = i35;
 }
 if (!i1) {
  i40 = i27;
  i41 = 255;
 } else {
  i35 = i1 + 30 | 0;
  if ((i27 | 0) == 3082 | (get8(i35 >> 0 | 0) | 0) != 0) {
   _sqlite3Error(i1, 7, 0, i7);
   set8(i35 >> 0 | 0, 0 | 0);
   i42 = 7;
  } else i42 = i27;
  i40 = i42;
  i41 = get32(i1 + 24 | 0) | 0;
 }
 i10 = i41 & i40;
 STACKTOP = i6;
 return i10 | 0;
}

function _sqlite3VdbeCloseStatement(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0;
 i3 = get32(i1 | 0) | 0;
 i4 = i3 + 484 | 0;
 i5 = get32(i4 | 0) | 0;
 if (!i5) {
  i6 = 0;
  return i6 | 0;
 }
 i7 = i1 + 120 | 0;
 i8 = get32(i7 | 0) | 0;
 if (!i8) {
  i6 = 0;
  return i6 | 0;
 }
 i9 = i8 + -1 | 0;
 i10 = i3 + 4 | 0;
 i11 = get32(i10 | 0) | 0;
 if ((i11 | 0) > 0) {
  i12 = i3 + 8 | 0;
  i13 = (i2 | 0) == 2;
  i14 = (i8 | 0) < 1;
  i8 = i11;
  i11 = 0;
  i15 = 0;
  while (1) {
   i16 = get32((get32(i12 | 0) | 0) + (i11 << 4) + 4 | 0) | 0;
   if (!i16) {
    i17 = i8;
    i18 = i15;
   } else {
    i19 = i16 + 8 | 0;
    if (i13 ? (get8(i19 >> 0 | 0) | 0) == 2 : 0) {
     i20 = get32(i16 + 4 | 0) | 0;
     set32(i20 + 4 | 0, get32(i16 | 0) | 0);
     i21 = _sqlite3PagerSavepoint(get32(i20 | 0) | 0, 2, i9) | 0;
     if (!i21) {
      if (i14 ? (get8(i20 + 19 >> 0 | 0) | 0) != 0 : 0) set32(i20 + 48 | 0, 0 | 0);
      i22 = _newDatabase(i20) | 0;
      i23 = get32((get32(i20 + 12 | 0) | 0) + 64 | 0) | 0;
      set32(i20 + 48 | 0, getU8(i23 + 29 >> 0 | 0) << 16 | getU8(i23 + 28 >> 0 | 0) << 24 | getU8(i23 + 30 >> 0 | 0) << 8 | getU8(i23 + 31 >> 0 | 0) | 0);
      if (!i22) i24 = 14; else i25 = i22;
     } else i25 = i21;
    } else i24 = 14;
    if ((i24 | 0) == 14) {
     i24 = 0;
     if ((get8(i19 >> 0 | 0) | 0) == 2) {
      i19 = get32(i16 + 4 | 0) | 0;
      set32(i19 + 4 | 0, get32(i16 | 0) | 0);
      i16 = _sqlite3PagerSavepoint(get32(i19 | 0) | 0, 1, i9) | 0;
      if (!i16) {
       if (i14 ? (get8(i19 + 19 >> 0 | 0) | 0) != 0 : 0) set32(i19 + 48 | 0, 0 | 0);
       i21 = _newDatabase(i19) | 0;
       i22 = get32((get32(i19 + 12 | 0) | 0) + 64 | 0) | 0;
       set32(i19 + 48 | 0, getU8(i22 + 29 >> 0 | 0) << 16 | getU8(i22 + 28 >> 0 | 0) << 24 | getU8(i22 + 30 >> 0 | 0) << 8 | getU8(i22 + 31 >> 0 | 0) | 0);
       i25 = i21;
      } else i25 = i16;
     } else i25 = 0;
    }
    i17 = get32(i10 | 0) | 0;
    i18 = (i15 | 0) == 0 ? i25 : i15;
   }
   i11 = i11 + 1 | 0;
   if ((i11 | 0) >= (i17 | 0)) {
    i26 = i18;
    break;
   } else {
    i8 = i17;
    i15 = i18;
   }
  }
  set32(i4 | 0, (get32(i4 | 0) | 0) + -1 | 0);
  set32(i7 | 0, 0 | 0);
  if (!i26) i24 = 23; else i27 = i26;
 } else {
  set32(i4 | 0, i5 + -1 | 0);
  set32(i7 | 0, 0 | 0);
  i24 = 23;
 }
 L33 : do if ((i24 | 0) == 23) {
  i7 = i3 + 308 | 0;
  L35 : do if (((i2 | 0) == 2 ? (i5 = get32(i7 | 0) | 0, (i5 | 0) != 0) : 0) ? (i4 = i3 + 312 | 0, i26 = get32(i4 | 0) | 0, (i26 | 0) > 0) : 0) {
   i18 = i5;
   i5 = i26;
   i26 = 0;
   while (1) {
    i15 = get32(i18 + (i26 << 2) | 0) | 0;
    i17 = get32(get32(i15 + 4 | 0) | 0) | 0;
    if (((get32(i17 | 0) | 0) > 1 ? (i8 = get32(i17 + 88 | 0) | 0, (i8 | 0) != 0) : 0) ? (get32(i15 + 20 | 0) | 0) > (i9 | 0) : 0) {
     i17 = FUNCTION_TABLE_iii[i8 & 127](get32(i15 + 8 | 0) | 0, i9) | 0;
     if (i17) {
      i27 = i17;
      break L33;
     }
     i28 = get32(i4 | 0) | 0;
    } else i28 = i5;
    i17 = i26 + 1 | 0;
    if ((i17 | 0) >= (i28 | 0)) break L35;
    i18 = get32(i7 | 0) | 0;
    i5 = i28;
    i26 = i17;
   }
  } while (0);
  i26 = get32(i7 | 0) | 0;
  if ((i26 | 0) != 0 ? (i5 = i3 + 312 | 0, i18 = get32(i5 | 0) | 0, (i18 | 0) > 0) : 0) {
   i4 = i26;
   i26 = i18;
   i18 = 0;
   while (1) {
    i17 = get32(i4 + (i18 << 2) | 0) | 0;
    i15 = get32(get32(i17 + 4 | 0) | 0) | 0;
    if (((get32(i15 | 0) | 0) > 1 ? (i8 = get32(i15 + 84 | 0) | 0, (i8 | 0) != 0) : 0) ? (get32(i17 + 20 | 0) | 0) > (i9 | 0) : 0) {
     i15 = FUNCTION_TABLE_iii[i8 & 127](get32(i17 + 8 | 0) | 0, i9) | 0;
     if (i15) {
      i27 = i15;
      break L33;
     }
     i29 = get32(i5 | 0) | 0;
    } else i29 = i26;
    i15 = i18 + 1 | 0;
    if ((i15 | 0) >= (i29 | 0)) {
     i27 = 0;
     break L33;
    }
    i4 = get32(i7 | 0) | 0;
    i26 = i29;
    i18 = i15;
   }
  } else i27 = 0;
 } while (0);
 if ((i2 | 0) != 2) {
  i6 = i27;
  return i6 | 0;
 }
 i2 = i1 + 152 | 0;
 i1 = get32(i2 + 4 | 0) | 0;
 i29 = i3 + 496 | 0;
 set32(i29 | 0, get32(i2 | 0) | 0);
 set32(i29 + 4 | 0, i1 | 0);
 i6 = i27;
 return i6 | 0;
}

function _sqlite3_config(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 48 | 0;
 i4 = i3 + 16 | 0;
 i5 = i3 + 8 | 0;
 i6 = i3;
 i7 = i3 + 24 | 0;
 if (get32(97 * 4 | 0) | 0) {
  set32(i6 | 0, 108208 | 0);
  set32(i6 + 4 | 0, 17203 | 0);
  _sqlite3_log(21, 39226, i6);
  i8 = 21;
  STACKTOP = i3;
  return i8 | 0;
 }
 set32(i7 | 0, i2 | 0);
 do switch (i1 | 0) {
 case 4:
  {
   i2 = (get32(i7 | 0) | 0) + (4 - 1) & ~(4 - 1);
   i6 = get32(i2 | 0) | 0;
   set32(i7 | 0, i2 + 4 | 0);
   set32(57 * 4 | 0, get32(i6 | 0) | 0);
   set32(58 * 4 | 0, get32(i6 + 4 | 0) | 0);
   set32(59 * 4 | 0, get32(i6 + 8 | 0) | 0);
   set32(60 * 4 | 0, get32(i6 + 12 | 0) | 0);
   set32(61 * 4 | 0, get32(i6 + 16 | 0) | 0);
   set32(62 * 4 | 0, get32(i6 + 20 | 0) | 0);
   set32(63 * 4 | 0, get32(i6 + 24 | 0) | 0);
   set32(64 * 4 | 0, get32(i6 + 28 | 0) | 0);
   i9 = 0;
   break;
  }
 case 5:
  {
   if (!(get32(57 * 4 | 0) | 0)) {
    set32(i5 | 0, 5576 | 0);
    _sqlite3_config(4, i5) | 0;
   }
   i6 = (get32(i7 | 0) | 0) + (4 - 1) & ~(4 - 1);
   i2 = get32(i6 | 0) | 0;
   set32(i7 | 0, i6 + 4 | 0);
   set32(i2 | 0, get32(57 * 4 | 0) | 0);
   set32(i2 + 4 | 0, get32(58 * 4 | 0) | 0);
   set32(i2 + 8 | 0, get32(59 * 4 | 0) | 0);
   set32(i2 + 12 | 0, get32(60 * 4 | 0) | 0);
   set32(i2 + 16 | 0, get32(61 * 4 | 0) | 0);
   set32(i2 + 20 | 0, get32(62 * 4 | 0) | 0);
   set32(i2 + 24 | 0, get32(63 * 4 | 0) | 0);
   set32(i2 + 28 | 0, get32(64 * 4 | 0) | 0);
   i9 = 0;
   break;
  }
 case 9:
  {
   i2 = (get32(i7 | 0) | 0) + (4 - 1) & ~(4 - 1);
   i6 = get32(i2 | 0) | 0;
   set32(i7 | 0, i2 + 4 | 0);
   set32(50 * 4 | 0, i6 | 0);
   i9 = 0;
   break;
  }
 case 6:
  {
   i6 = (get32(i7 | 0) | 0) + (4 - 1) & ~(4 - 1);
   i2 = get32(i6 | 0) | 0;
   set32(i7 | 0, i6 + 4 | 0);
   set32(89 * 4 | 0, i2 | 0);
   i2 = (get32(i7 | 0) | 0) + (4 - 1) & ~(4 - 1);
   i6 = get32(i2 | 0) | 0;
   set32(i7 | 0, i2 + 4 | 0);
   set32(90 * 4 | 0, i6 | 0);
   i6 = (get32(i7 | 0) | 0) + (4 - 1) & ~(4 - 1);
   i2 = get32(i6 | 0) | 0;
   set32(i7 | 0, i6 + 4 | 0);
   set32(91 * 4 | 0, i2 | 0);
   i9 = 0;
   break;
  }
 case 7:
  {
   i2 = (get32(i7 | 0) | 0) + (4 - 1) & ~(4 - 1);
   i6 = get32(i2 | 0) | 0;
   set32(i7 | 0, i2 + 4 | 0);
   set32(92 * 4 | 0, i6 | 0);
   i6 = (get32(i7 | 0) | 0) + (4 - 1) & ~(4 - 1);
   i2 = get32(i6 | 0) | 0;
   set32(i7 | 0, i6 + 4 | 0);
   set32(93 * 4 | 0, i2 | 0);
   i2 = (get32(i7 | 0) | 0) + (4 - 1) & ~(4 - 1);
   i6 = get32(i2 | 0) | 0;
   set32(i7 | 0, i2 + 4 | 0);
   set32(94 * 4 | 0, i6 | 0);
   i9 = 0;
   break;
  }
 case 14:
  {
   i6 = (get32(i7 | 0) | 0) + (4 - 1) & ~(4 - 1);
   i2 = get32(i6 | 0) | 0;
   set32(i7 | 0, i6 + 4 | 0);
   i10 = 296;
   i11 = i2;
   i12 = i10 + 44 | 0;
   do {
    set32(i10 | 0, get32(i11 | 0) | 0);
    i10 = i10 + 4 | 0;
    i11 = i11 + 4 | 0;
   } while ((i10 | 0) < (i12 | 0));
   i9 = 0;
   break;
  }
 case 15:
  {
   if (!(get32(75 * 4 | 0) | 0)) {
    set32(i4 | 0, 5608 | 0);
    _sqlite3_config(14, i4) | 0;
   }
   i2 = (get32(i7 | 0) | 0) + (4 - 1) & ~(4 - 1);
   i6 = get32(i2 | 0) | 0;
   set32(i7 | 0, i2 + 4 | 0);
   i10 = i6;
   i11 = 296;
   i12 = i10 + 44 | 0;
   do {
    set32(i10 | 0, get32(i11 | 0) | 0);
    i10 = i10 + 4 | 0;
    i11 = i11 + 4 | 0;
   } while ((i10 | 0) < (i12 | 0));
   i9 = 0;
   break;
  }
 case 13:
  {
   i6 = (get32(i7 | 0) | 0) + (4 - 1) & ~(4 - 1);
   i2 = get32(i6 | 0) | 0;
   set32(i7 | 0, i6 + 4 | 0);
   set32(55 * 4 | 0, i2 | 0);
   i2 = (get32(i7 | 0) | 0) + (4 - 1) & ~(4 - 1);
   i6 = get32(i2 | 0) | 0;
   set32(i7 | 0, i2 + 4 | 0);
   set32(56 * 4 | 0, i6 | 0);
   i9 = 0;
   break;
  }
 case 16:
  {
   i6 = (get32(i7 | 0) | 0) + (4 - 1) & ~(4 - 1);
   i2 = get32(i6 | 0) | 0;
   set32(i7 | 0, i6 + 4 | 0);
   set32(104 * 4 | 0, i2 | 0);
   i2 = (get32(i7 | 0) | 0) + (4 - 1) & ~(4 - 1);
   i6 = get32(i2 | 0) | 0;
   set32(i7 | 0, i2 + 4 | 0);
   set32(105 * 4 | 0, i6 | 0);
   i9 = 0;
   break;
  }
 case 17:
  {
   i6 = (get32(i7 | 0) | 0) + (4 - 1) & ~(4 - 1);
   i2 = get32(i6 | 0) | 0;
   set32(i7 | 0, i6 + 4 | 0);
   set32(53 * 4 | 0, i2 | 0);
   i9 = 0;
   break;
  }
 default:
  i9 = 1;
 } while (0);
 i8 = i9;
 STACKTOP = i3;
 return i8 | 0;
}

function _pcache1Destroy(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0;
 i2 = get32(i1 | 0) | 0;
 _pcache1TruncateUnsafe(i1, 0);
 i3 = i2 + 4 | 0;
 i4 = (get32(i3 | 0) | 0) - (get32(i1 + 16 | 0) | 0) | 0;
 set32(i3 | 0, i4 | 0);
 i5 = i2 + 8 | 0;
 i6 = (get32(i5 | 0) | 0) - (get32(i1 + 12 | 0) | 0) | 0;
 set32(i5 | 0, i6 | 0);
 set32(i2 + 12 | 0, i4 + 10 - i6 | 0);
 i6 = i2 + 24 | 0;
 i5 = i2 + 16 | 0;
 L1 : do if ((get32(i5 | 0) | 0) > (i4 | 0)) do {
  i2 = get32(i6 | 0) | 0;
  if (!i2) break L1;
  i7 = i2 + 8 | 0;
  i8 = get32(i7 | 0) | 0;
  i9 = get32(i8 | 0) | 0;
  i10 = i2 + 12 | 0;
  i11 = get32(i10 | 0) | 0;
  i12 = i11;
  if (!((i11 | 0) == 0 ? (get32(i9 + 24 | 0) | 0) != (i2 | 0) : 0)) {
   i13 = i2 + 16 | 0;
   i14 = get32(i13 | 0) | 0;
   if (!i14) {
    i15 = i11;
    i16 = i12;
   } else {
    set32(i14 + 12 | 0, i12 | 0);
    i12 = get32(i10 | 0) | 0;
    i15 = i12;
    i16 = i12;
   }
   if (i15) set32(i15 + 16 | 0, i14 | 0);
   i14 = i9 + 20 | 0;
   if ((get32(i14 | 0) | 0) == (i2 | 0)) set32(i14 | 0, i16 | 0);
   i14 = i9 + 24 | 0;
   if ((get32(i14 | 0) | 0) == (i2 | 0)) set32(i14 | 0, get32(i13 | 0) | 0);
   set32(i10 | 0, 0 | 0);
   set32(i13 | 0, 0 | 0);
   i13 = i8 + 24 | 0;
   set32(i13 | 0, (get32(i13 | 0) | 0) + -1 | 0);
  }
  i13 = (get32(i8 + 36 | 0) | 0) + ((((get32(i2 | 0) | 0) >>> 0) % ((get32(i8 + 32 | 0) | 0) >>> 0) | 0) << 2) | 0;
  while (1) {
   i10 = get32(i13 | 0) | 0;
   i14 = i10 + 4 | 0;
   if ((i10 | 0) == (i2 | 0)) {
    i17 = i14;
    i18 = i13;
    break;
   } else i13 = i14;
  }
  set32(i18 | 0, get32(i17 | 0) | 0);
  i13 = i8 + 28 | 0;
  set32(i13 | 0, (get32(i13 | 0) | 0) + -1 | 0);
  i13 = get32(i7 | 0) | 0;
  if (get32(i13 + 8 | 0) | 0) {
   i14 = (get32(i13 | 0) | 0) + 16 | 0;
   set32(i14 | 0, (get32(i14 | 0) | 0) + -1 | 0);
  }
  i14 = i2 + (0 - (get32(i13 + 4 | 0) | 0)) | 0;
  do if (i14) {
   if ((get32(379 * 4 | 0) | 0) >>> 0 <= i14 >>> 0 & (get32(380 * 4 | 0) | 0) >>> 0 > i14 >>> 0) {
    i13 = (get32(31 * 4 | 0) | 0) + -1 | 0;
    set32(31 * 4 | 0, i13 | 0);
    if ((i13 | 0) > (get32(41 * 4 | 0) | 0)) set32(41 * 4 | 0, i13 | 0);
    set32(i14 | 0, get32(383 * 4 | 0) | 0);
    set32(383 * 4 | 0, i14 | 0);
    i13 = (get32(382 * 4 | 0) | 0) + 1 | 0;
    set32(382 * 4 | 0, i13 | 0);
    set32(384 * 4 | 0, (i13 | 0) < (get32(378 * 4 | 0) | 0) & 1 | 0);
    break;
   }
   i13 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i14) | 0;
   i10 = (get32(32 * 4 | 0) | 0) - i13 | 0;
   set32(32 * 4 | 0, i10 | 0);
   if ((i10 | 0) > (get32(42 * 4 | 0) | 0)) set32(42 * 4 | 0, i10 | 0);
   if (!(get32(50 * 4 | 0) | 0)) {
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i14);
    break;
   }
   i10 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i14) | 0;
   i13 = (get32(30 * 4 | 0) | 0) - i10 | 0;
   set32(30 * 4 | 0, i13 | 0);
   if ((i13 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i13 | 0);
   i13 = (get32(39 * 4 | 0) | 0) + -1 | 0;
   set32(39 * 4 | 0, i13 | 0);
   if ((i13 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i13 | 0);
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i14);
  } while (0);
 } while ((get32(i5 | 0) | 0) > (get32(i3 | 0) | 0)); while (0);
 i3 = get32(i1 + 36 | 0) | 0;
 do if (i3) {
  if (!(get32(50 * 4 | 0) | 0)) {
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i3);
   break;
  }
  i5 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i3) | 0;
  i17 = (get32(30 * 4 | 0) | 0) - i5 | 0;
  set32(30 * 4 | 0, i17 | 0);
  if ((i17 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i17 | 0);
  i17 = (get32(39 * 4 | 0) | 0) + -1 | 0;
  set32(39 * 4 | 0, i17 | 0);
  if ((i17 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i17 | 0);
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i3);
 } while (0);
 if (!(get32(50 * 4 | 0) | 0)) {
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i1);
  return;
 }
 i3 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i1) | 0;
 i17 = (get32(30 * 4 | 0) | 0) - i3 | 0;
 set32(30 * 4 | 0, i17 | 0);
 if ((i17 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i17 | 0);
 i17 = (get32(39 * 4 | 0) | 0) + -1 | 0;
 set32(39 * 4 | 0, i17 | 0);
 if ((i17 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i17 | 0);
 FUNCTION_TABLE_vi[get32(232 | 0) & 31](i1);
 return;
}

function _unixFileControl(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 96 | 0;
 i5 = i4;
 i6 = i4 + 20 | 0;
 switch (i2 | 0) {
 case 1:
  {
   set32(i3 | 0, getU8(i1 + 16 >> 0 | 0) | 0);
   i7 = 0;
   STACKTOP = i4;
   return i7 | 0;
  }
 case 4:
  {
   set32(i3 | 0, get32(i1 + 20 | 0) | 0);
   i7 = 0;
   STACKTOP = i4;
   return i7 | 0;
  }
 case 6:
  {
   set32(i1 + 40 | 0, get32(i3 | 0) | 0);
   i7 = 0;
   STACKTOP = i4;
   return i7 | 0;
  }
 case 5:
  {
   i2 = i3;
   i3 = get32(i2 | 0) | 0;
   i8 = get32(i2 + 4 | 0) | 0;
   i2 = i1 + 40 | 0;
   if (!(get32(i2 | 0) | 0)) {
    i7 = 0;
    STACKTOP = i4;
    return i7 | 0;
   }
   i9 = i1 + 8 | 0;
   L14 : do if (!(FUNCTION_TABLE_iii[get32(1104 | 0) & 127](get32(i9 | 0) | 0, i6) | 0)) {
    i10 = get32(i2 | 0) | 0;
    i11 = ((i10 | 0) < 0) << 31 >> 31;
    i12 = _i64Add(i3 | 0, i8 | 0, -1, -1) | 0;
    i13 = _i64Add(i12 | 0, tempRet0 | 0, i10 | 0, i11 | 0) | 0;
    i12 = tempRet0;
    i14 = ___remdi3(i13 | 0, i12 | 0, i10 | 0, i11 | 0) | 0;
    i11 = _i64Subtract(i13 | 0, i12 | 0, i14 | 0, tempRet0 | 0) | 0;
    i14 = tempRet0;
    i12 = i6 + 36 | 0;
    i13 = get32(i12 | 0) | 0;
    i10 = ((i13 | 0) < 0) << 31 >> 31;
    L16 : do if ((i14 | 0) > (i10 | 0) | (i14 | 0) == (i10 | 0) & i11 >>> 0 > i13 >>> 0) {
     i15 = get32(i6 + 40 | 0) | 0;
     i16 = get32(i9 | 0) | 0;
     while (1) {
      i17 = FUNCTION_TABLE_iii[get32(1116 | 0) & 127](i16, i11) | 0;
      if ((i17 | 0) >= 0) {
       i18 = i17;
       i19 = 11;
       break;
      }
      i17 = ___errno_location() | 0;
      i20 = get32(i17 | 0) | 0;
      if ((i20 | 0) != 4) {
       i21 = i17;
       i22 = i20;
       break;
      }
     }
     do if ((i19 | 0) == 11) {
      if (i18) {
       i16 = ___errno_location() | 0;
       i21 = i16;
       i22 = get32(i16 | 0) | 0;
       break;
      }
      i16 = (i15 << 1) + -1 + (get32(i12 | 0) | 0) | 0;
      i20 = i16 + ~((i16 | 0) % (i15 | 0) | 0) | 0;
      i16 = ((i20 | 0) < 0) << 31 >> 31;
      if (!((i16 | 0) < (i14 | 0) | (i16 | 0) == (i14 | 0) & i20 >>> 0 < i11 >>> 0)) break L16;
      i17 = ((i15 | 0) < 0) << 31 >> 31;
      i23 = i20;
      i20 = i16;
      L27 : while (1) {
       i16 = _lseek(get32(i9 | 0) | 0, i23, 0) | 0;
       if (!((i16 | 0) == (i23 | 0) & (((i16 | 0) < 0) << 31 >> 31 | 0) == (i20 | 0))) {
        i24 = i16;
        break;
       }
       while (1) {
        i16 = FUNCTION_TABLE_iiii[get32(1176 | 0) & 63](get32(i9 | 0) | 0, 16820, 1) | 0;
        if ((i16 | 0) >= 0) {
         i25 = i16;
         break;
        }
        i16 = get32(___errno_location() | 0 | 0) | 0;
        if ((i16 | 0) != 4) {
         i26 = i16;
         i19 = 23;
         break L27;
        }
       }
       i23 = _i64Add(i23 | 0, i20 | 0, i15 | 0, i17 | 0) | 0;
       i20 = tempRet0;
       if ((i25 | 0) != 1) {
        i27 = 778;
        break L14;
       }
       if (!((i20 | 0) < (i14 | 0) | (i20 | 0) == (i14 | 0) & i23 >>> 0 < i11 >>> 0)) break L16;
      }
      if ((i19 | 0) == 23) {
       set32(i1 + 20 | 0, i26 | 0);
       i27 = 778;
       break L14;
      }
      if ((i24 | 0) == -1) {
       set32(i1 + 20 | 0, get32(___errno_location() | 0 | 0) | 0);
       i27 = 778;
       break L14;
      } else {
       set32(i1 + 20 | 0, 0 | 0);
       i27 = 778;
       break L14;
      }
     } while (0);
     set32(i1 + 20 | 0, i22 | 0);
     i15 = get32(i1 + 32 | 0) | 0;
     i23 = get32(i21 | 0) | 0;
     i20 = _strerror(i23) | 0;
     set32(i5 | 0, 27897 | 0);
     set32(i5 + 4 | 0, i23 | 0);
     set32(i5 + 8 | 0, 19111 | 0);
     set32(i5 + 12 | 0, ((i15 | 0) == 0 ? 16820 : i15) | 0);
     set32(i5 + 16 | 0, i20 | 0);
     _sqlite3_log(1546, 19185, i5);
     i27 = 1546;
     break L14;
    } while (0);
    i7 = 0;
    STACKTOP = i4;
    return i7 | 0;
   } else i27 = 1802; while (0);
   i7 = i27;
   STACKTOP = i4;
   return i7 | 0;
  }
 case 8:
  {
   i7 = 0;
   STACKTOP = i4;
   return i7 | 0;
  }
 default:
  {
   i7 = 12;
   STACKTOP = i4;
   return i7 | 0;
  }
 }
 return 0;
}

function _sqlite3SchemaGet(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0;
 do if (i2) {
  i3 = get32(i2 + 4 | 0) | 0;
  set32(i3 + 4 | 0, get32(i2 | 0) | 0);
  i4 = i3 + 52 | 0;
  i5 = get32(i4 | 0) | 0;
  if (!i5) {
   if (!(get32(50 * 4 | 0) | 0)) {
    i6 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](84) | 0;
    if (!i6) i7 = 30; else {
     i8 = i6;
     i7 = 31;
    }
   } else {
    i6 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](84) | 0;
    set32(35 * 4 | 0, 84 | 0);
    if ((get32(45 * 4 | 0) | 0) < 84) set32(45 * 4 | 0, 84 | 0);
    i9 = get32(6 * 4 | 0) | 0;
    do if (i9) {
     i10 = get32(30 * 4 | 0) | 0;
     i11 = ((i10 | 0) < 0) << 31 >> 31;
     i12 = 16;
     i13 = _i64Subtract(get32(i12 | 0) | 0, get32(i12 + 4 | 0) | 0, i6 | 0, ((i6 | 0) < 0) << 31 >> 31 | 0) | 0;
     i12 = tempRet0;
     if ((i11 | 0) < (i12 | 0) | (i11 | 0) == (i12 | 0) & i10 >>> 0 < i13 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i13 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i9 & 15](i13, i10, i11, i6);
      set32(6 * 4 | 0, i9 | 0);
      set32(7 * 4 | 0, i13 | 0);
      break;
     }
    } while (0);
    i9 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i6) | 0;
    if (i9) {
     i13 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i9) | 0;
     i11 = (get32(30 * 4 | 0) | 0) + i13 | 0;
     set32(30 * 4 | 0, i11 | 0);
     if ((i11 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i11 | 0);
     i11 = get32(39 * 4 | 0) | 0;
     i13 = i11 + 1 | 0;
     set32(39 * 4 | 0, i13 | 0);
     if ((i11 | 0) < (get32(49 * 4 | 0) | 0)) {
      i8 = i9;
      i7 = 31;
     } else {
      set32(49 * 4 | 0, i13 | 0);
      i8 = i9;
      i7 = 31;
     }
    } else i7 = 30;
   }
   if ((i7 | 0) == 30) {
    set32(i4 | 0, 0 | 0);
    set32(i3 + 56 | 0, 20 | 0);
    i7 = 32;
    break;
   } else if ((i7 | 0) == 31) {
    i14 = i8;
    i15 = i14 + 84 | 0;
    do {
     set8(i14 >> 0 | 0, 0 | 0);
     i14 = i14 + 1 | 0;
    } while ((i14 | 0) < (i15 | 0));
    set32(i4 | 0, i8 | 0);
    set32(i3 + 56 | 0, 20 | 0);
    i16 = i8;
    break;
   }
  } else i16 = i5;
 } else {
  if (!(get32(50 * 4 | 0) | 0)) {
   i6 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](84) | 0;
   if (!i6) {
    i7 = 32;
    break;
   } else i17 = i6;
  } else {
   i6 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](84) | 0;
   set32(35 * 4 | 0, 84 | 0);
   if ((get32(45 * 4 | 0) | 0) < 84) set32(45 * 4 | 0, 84 | 0);
   i9 = get32(6 * 4 | 0) | 0;
   do if (i9) {
    i13 = get32(30 * 4 | 0) | 0;
    i11 = ((i13 | 0) < 0) << 31 >> 31;
    i10 = 16;
    i12 = _i64Subtract(get32(i10 | 0) | 0, get32(i10 + 4 | 0) | 0, i6 | 0, ((i6 | 0) < 0) << 31 >> 31 | 0) | 0;
    i10 = tempRet0;
    if ((i11 | 0) < (i10 | 0) | (i11 | 0) == (i10 | 0) & i13 >>> 0 < i12 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i12 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i9 & 15](i12, i13, i11, i6);
     set32(6 * 4 | 0, i9 | 0);
     set32(7 * 4 | 0, i12 | 0);
     break;
    }
   } while (0);
   i9 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i6) | 0;
   if (!i9) {
    i7 = 32;
    break;
   }
   i5 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i9) | 0;
   i3 = (get32(30 * 4 | 0) | 0) + i5 | 0;
   set32(30 * 4 | 0, i3 | 0);
   if ((i3 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i3 | 0);
   i3 = get32(39 * 4 | 0) | 0;
   i5 = i3 + 1 | 0;
   set32(39 * 4 | 0, i5 | 0);
   if ((i3 | 0) < (get32(49 * 4 | 0) | 0)) i17 = i9; else {
    set32(49 * 4 | 0, i5 | 0);
    i17 = i9;
   }
  }
  i14 = i17;
  i15 = i14 + 84 | 0;
  do {
   set8(i14 >> 0 | 0, 0 | 0);
   i14 = i14 + 1 | 0;
  } while ((i14 | 0) < (i15 | 0));
  i16 = i17;
 } while (0);
 if ((i7 | 0) == 32) {
  set8(i1 + 30 >> 0 | 0, 1 | 0);
  i18 = 0;
  return i18 | 0;
 }
 if (get8(i16 + 76 >> 0 | 0) | 0) {
  i18 = i16;
  return i18 | 0;
 }
 i1 = i16 + 77 | 0;
 i14 = i16 + 8 | 0;
 i15 = i14 + 64 | 0;
 do {
  set32(i14 | 0, 0 | 0);
  i14 = i14 + 4 | 0;
 } while ((i14 | 0) < (i15 | 0));
 set8(i1 >> 0 | 0, 1 | 0);
 i18 = i16;
 return i18 | 0;
}

function _datetimeFunc(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, d17 = 0.0, i18 = 0, i19 = 0, d20 = 0.0, d21 = 0.0, i22 = 0, i23 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 176 | 0;
 i5 = i4 + 48 | 0;
 i6 = i4;
 i7 = i4 + 72 | 0;
 if (_isDate(i1, i2, i3, i6) | 0) {
  STACKTOP = i4;
  return;
 }
 i3 = i6 + 40 | 0;
 i2 = get16(i3 | 0) | 0;
 i8 = get32(i3 | 0) | 0;
 i9 = i8 >>> 16 & 255;
 if (!((i8 & 255) << 24 >> 24)) {
  if (!(i9 << 24 >> 24)) {
   i10 = 2e3;
   i11 = 1;
   i12 = 1;
  } else {
   i13 = i6;
   i14 = _i64Add(get32(i13 | 0) | 0, get32(i13 + 4 | 0) | 0, 432e5, 0) | 0;
   i13 = ___divdi3(i14 | 0, tempRet0 | 0, 864e5, 0) | 0;
   i14 = ~~((+(i13 | 0) + -1867216.25) / 36524.25);
   i15 = i13 + 1525 + i14 + ((i14 | 0) / -4 | 0) | 0;
   i14 = ~~((+(i15 | 0) + -122.1) / 365.25);
   i13 = i15 - ((i14 * 36525 | 0) / 100 | 0) | 0;
   i15 = ~~(+(i13 | 0) / 30.6001);
   i16 = ((i15 | 0) < 14 ? -1 : -13) + i15 | 0;
   i10 = ((i16 | 0) > 2 ? -4716 : -4715) + i14 | 0;
   i11 = i16;
   i12 = i13 - ~~(+(i15 | 0) * 30.6001) | 0;
  }
  set32(i6 + 16 | 0, i12 | 0);
  set32(i6 + 12 | 0, i11 | 0);
  set32(i6 + 8 | 0, i10 | 0);
  set8(i3 >> 0 | 0, 1 | 0);
 }
 i10 = i6 + 41 | 0;
 if (!(i8 & 65280)) {
  if (!(i9 << 24 >> 24)) {
   i9 = get32(i6 + 12 | 0) | 0;
   i11 = (i9 | 0) < 3;
   i12 = (i11 << 31 >> 31) + (get32(i6 + 8 | 0) | 0) | 0;
   d17 = (+(((i12 | 0) / -100 | 0) + ((get32(i6 + 16 | 0) | 0) + 2) + ((i12 | 0) / 400 | 0) + (((i12 * 36525 | 0) + 172251900 | 0) / 100 | 0) + ((((i11 ? i9 + 12 | 0 : i9) * 306001 | 0) + 306001 | 0) / 1e4 | 0) | 0) + -1524.5) * 864.0e5;
   i9 = ~~d17 >>> 0;
   i11 = +Math_abs(d17) >= 1.0 ? (d17 > 0.0 ? ~~+Math_min(+Math_floor(d17 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d17 - +(~~d17 >>> 0)) / 4294967296.0) >>> 0) : 0;
   i12 = i6;
   set32(i12 | 0, i9 | 0);
   set32(i12 + 4 | 0, i11 | 0);
   set8(i6 + 42 >> 0 | 0, 1 | 0);
   if ((i2 & 65535) >= 256) {
    i2 = Math_imul(get32(i6 + 20 | 0) | 0, 36e5) | 0;
    i12 = ((get32(i6 + 24 | 0) | 0) * 6e4 | 0) + i2 | 0;
    d17 = +getF64(i6 + 32 | 0) * 1.0e3;
    i2 = _i64Add(~~d17 >>> 0 | 0, (+Math_abs(d17) >= 1.0 ? (d17 > 0.0 ? ~~+Math_min(+Math_floor(d17 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d17 - +(~~d17 >>> 0)) / 4294967296.0) >>> 0) : 0) | 0, i9 | 0, i11 | 0) | 0;
    i15 = _i64Add(i2 | 0, tempRet0 | 0, i12 | 0, ((i12 | 0) < 0) << 31 >> 31 | 0) | 0;
    i12 = tempRet0;
    i2 = i6;
    set32(i2 | 0, i15 | 0);
    set32(i2 + 4 | 0, i12 | 0);
    if (i8 >>> 0 < 16777216) {
     i18 = i15;
     i19 = i12;
    } else {
     i8 = (get32(i6 + 28 | 0) | 0) * 6e4 | 0;
     i2 = _i64Subtract(i15 | 0, i12 | 0, i8 | 0, ((i8 | 0) < 0) << 31 >> 31 | 0) | 0;
     i8 = tempRet0;
     i12 = i6;
     set32(i12 | 0, i2 | 0);
     set32(i12 + 4 | 0, i8 | 0);
     set8(i3 >> 0 | 0, 0 | 0);
     set8(i10 >> 0 | 0, 0 | 0);
     set8(i6 + 43 >> 0 | 0, 0 | 0);
     i18 = i2;
     i19 = i8;
    }
   } else {
    i18 = i9;
    i19 = i11;
   }
  } else {
   i11 = i6;
   i18 = get32(i11 | 0) | 0;
   i19 = get32(i11 + 4 | 0) | 0;
  }
  i11 = _i64Add(i18 | 0, i19 | 0, 432e5, 0) | 0;
  i19 = ___remdi3(i11 | 0, tempRet0 | 0, 864e5, 0) | 0;
  d17 = +(i19 | 0) / 1.0e3;
  i19 = ~~d17;
  i11 = (i19 | 0) / 3600 | 0;
  set32(i6 + 20 | 0, i11 | 0);
  i18 = i19 + (Math_imul(i11, -3600) | 0) | 0;
  i9 = (i18 | 0) / 60 | 0;
  set32(i6 + 24 | 0, i9 | 0);
  d20 = d17 - +(i19 | 0) + +(i18 + (Math_imul(i9, -60) | 0) | 0);
  setF64(i6 + 32 | 0, +d20);
  set8(i10 >> 0 | 0, 1 | 0);
  d21 = d20;
  i22 = i11;
  i23 = i9;
 } else {
  d21 = +getF64(i6 + 32 | 0);
  i22 = get32(i6 + 20 | 0) | 0;
  i23 = get32(i6 + 24 | 0) | 0;
 }
 i9 = get32(i6 + 12 | 0) | 0;
 i11 = get32(i6 + 16 | 0) | 0;
 set32(i5 | 0, get32(i6 + 8 | 0) | 0);
 set32(i5 + 4 | 0, i9 | 0);
 set32(i5 + 8 | 0, i11 | 0);
 set32(i5 + 12 | 0, i22 | 0);
 set32(i5 + 16 | 0, i23 | 0);
 set32(i5 + 20 | 0, ~~d21 | 0);
 _sqlite3_snprintf(100, i7, 38165, i5) | 0;
 i5 = i1 + 8 | 0;
 if ((_sqlite3VdbeMemSetStr(i5, i7, -1, 1, -1) | 0) == 18) {
  set32(i1 + 52 | 0, 18 | 0);
  _sqlite3VdbeMemSetStr(i5, 16620, -1, 1, 0) | 0;
 }
 STACKTOP = i4;
 return;
}

function _sqlite3BtreeClose(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0;
 i2 = get32(i1 + 4 | 0) | 0;
 set32(i2 + 4 | 0, get32(i1 | 0) | 0);
 i3 = get32(i2 + 8 | 0) | 0;
 if (i3) {
  i4 = i3;
  do {
   i3 = i4;
   i4 = get32(i4 + 8 | 0) | 0;
   if ((get32(i3 | 0) | 0) == (i1 | 0)) _sqlite3BtreeCloseCursor(i3);
  } while ((i4 | 0) != 0);
 }
 _sqlite3BtreeRollback(i1);
 L8 : do if (get8(i1 + 9 >> 0 | 0) | 0) {
  i4 = i2 + 68 | 0;
  i3 = get32(i4 | 0) | 0;
  set32(i4 | 0, i3 + -1 | 0);
  if ((i3 | 0) < 2) {
   i3 = get32(348 * 4 | 0) | 0;
   if ((i3 | 0) == (i2 | 0)) {
    set32(348 * 4 | 0, get32(i2 + 72 | 0) | 0);
    i5 = 12;
    break;
   } else i6 = i3;
   while (1) {
    if (!i6) {
     i5 = 12;
     break L8;
    }
    i3 = i6 + 72 | 0;
    i6 = get32(i3 | 0) | 0;
    if ((i6 | 0) == (i2 | 0)) {
     i7 = i3;
     break;
    }
   }
   set32(i7 | 0, get32(i2 + 72 | 0) | 0);
   i5 = 12;
  }
 } else i5 = 12; while (0);
 L17 : do if ((i5 | 0) == 12) {
  _sqlite3PagerClose(get32(i2 | 0) | 0);
  i7 = get32(i2 + 56 | 0) | 0;
  i6 = i2 + 52 | 0;
  if ((i7 | 0) != 0 ? (i3 = get32(i6 | 0) | 0, (i3 | 0) != 0) : 0) FUNCTION_TABLE_vi[i7 & 31](i3);
  i3 = get32(i6 | 0) | 0;
  do if (i3) {
   if (!(get32(50 * 4 | 0) | 0)) {
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i3);
    break;
   }
   i6 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i3) | 0;
   i7 = (get32(30 * 4 | 0) | 0) - i6 | 0;
   set32(30 * 4 | 0, i7 | 0);
   if ((i7 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i7 | 0);
   i7 = (get32(39 * 4 | 0) | 0) + -1 | 0;
   set32(39 * 4 | 0, i7 | 0);
   if ((i7 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i7 | 0);
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i3);
  } while (0);
  i3 = i2 + 88 | 0;
  i7 = get32(i3 | 0) | 0;
  do if (i7) {
   if ((get32(379 * 4 | 0) | 0) >>> 0 <= i7 >>> 0 & (get32(380 * 4 | 0) | 0) >>> 0 > i7 >>> 0) {
    i6 = (get32(31 * 4 | 0) | 0) + -1 | 0;
    set32(31 * 4 | 0, i6 | 0);
    if ((i6 | 0) > (get32(41 * 4 | 0) | 0)) set32(41 * 4 | 0, i6 | 0);
    set32(i7 | 0, get32(383 * 4 | 0) | 0);
    set32(383 * 4 | 0, i7 | 0);
    i6 = (get32(382 * 4 | 0) | 0) + 1 | 0;
    set32(382 * 4 | 0, i6 | 0);
    set32(384 * 4 | 0, (i6 | 0) < (get32(378 * 4 | 0) | 0) & 1 | 0);
    i5 = 37;
    break;
   }
   i6 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i7) | 0;
   i4 = (get32(32 * 4 | 0) | 0) - i6 | 0;
   set32(32 * 4 | 0, i4 | 0);
   if ((i4 | 0) > (get32(42 * 4 | 0) | 0)) set32(42 * 4 | 0, i4 | 0);
   if (!(get32(50 * 4 | 0) | 0)) FUNCTION_TABLE_vi[get32(232 | 0) & 31](i7); else {
    i4 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i7) | 0;
    i6 = (get32(30 * 4 | 0) | 0) - i4 | 0;
    set32(30 * 4 | 0, i6 | 0);
    if ((i6 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i6 | 0);
    i6 = (get32(39 * 4 | 0) | 0) + -1 | 0;
    set32(39 * 4 | 0, i6 | 0);
    if ((i6 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i6 | 0);
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i7);
   }
   set32(i3 | 0, 0 | 0);
   if (!i2) break L17;
  } else i5 = 37; while (0);
  if ((i5 | 0) == 37) set32(i3 | 0, 0 | 0);
  if (!(get32(50 * 4 | 0) | 0)) {
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i2);
   break;
  }
  i7 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i2) | 0;
  i6 = (get32(30 * 4 | 0) | 0) - i7 | 0;
  set32(30 * 4 | 0, i6 | 0);
  if ((i6 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i6 | 0);
  i6 = (get32(39 * 4 | 0) | 0) + -1 | 0;
  set32(39 * 4 | 0, i6 | 0);
  if ((i6 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i6 | 0);
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i2);
 } while (0);
 i2 = get32(i1 + 24 | 0) | 0;
 i5 = i1 + 20 | 0;
 if (i2) set32(i2 + 20 | 0, get32(i5 | 0) | 0);
 i6 = get32(i5 | 0) | 0;
 if (i6) set32(i6 + 24 | 0, i2 | 0);
 if (!(get32(50 * 4 | 0) | 0)) {
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i1);
  return;
 }
 i2 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i1) | 0;
 i6 = (get32(30 * 4 | 0) | 0) - i2 | 0;
 set32(30 * 4 | 0, i6 | 0);
 if ((i6 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i6 | 0);
 i6 = (get32(39 * 4 | 0) | 0) + -1 | 0;
 set32(39 * 4 | 0, i6 | 0);
 if ((i6 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i6 | 0);
 FUNCTION_TABLE_vi[get32(232 | 0) & 31](i1);
 return;
}

function _sqlite3_blob_write(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 176 | 0;
 i6 = i5 + 16 | 0;
 i7 = i5 + 8 | 0;
 i8 = i5;
 i9 = i5 + 20 | 0;
 if (!i1) {
  set32(i8 | 0, 69280 | 0);
  set32(i8 + 4 | 0, 17203 | 0);
  _sqlite3_log(21, 39226, i8);
  i10 = 21;
  STACKTOP = i5;
  return i10 | 0;
 }
 i8 = get32(i1 + 24 | 0) | 0;
 i11 = i1 + 20 | 0;
 i12 = get32(i11 | 0) | 0;
 do if ((i4 | i3 | 0) >= 0 ? (i4 + i3 | 0) <= (get32(i1 + 4 | 0) | 0) : 0) if (!i12) {
  i13 = 4;
  i14 = 39;
 } else {
  i15 = get32(i1 + 16 | 0) | 0;
  i16 = (get32(i1 + 8 | 0) | 0) + i4 | 0;
  i17 = i15 + 83 | 0;
  i18 = get8(i17 >> 0 | 0) | 0;
  do if ((i18 & 255) > 1) {
   if (i18 << 24 >> 24 == 3) {
    i19 = get32(i15 + 76 | 0) | 0;
    if (!i19) break; else {
     i20 = i19;
     i14 = 29;
     break;
    }
   }
   set8(i17 >> 0 | 0, 0 | 0);
   i19 = i15 + 72 | 0;
   i21 = get32(i19 | 0) | 0;
   i22 = i15 + 64 | 0;
   i23 = get32(i22 | 0) | 0;
   i24 = get32(i22 + 4 | 0) | 0;
   i22 = i15 + 76 | 0;
   if (i21) {
    i25 = _sqlite3VdbeRecordUnpack(get32(i15 + 16 | 0) | 0, i23, i21, i9, 150) | 0;
    if (!i25) {
     i26 = 7;
     i14 = 38;
     break;
    }
    i21 = _sqlite3BtreeMovetoUnpacked(i15, i25, i23, i24, 0, i22) | 0;
    if (!(get16(i25 + 6 | 0) & 1)) i27 = i21; else {
     _sqlite3DbFree(get32(get32(i25 | 0) | 0) | 0, i25);
     i27 = i21;
    }
   } else i27 = _sqlite3BtreeMovetoUnpacked(i15, 0, i23, i24, 0, i22) | 0;
   if (!i27) {
    i22 = get32(i19 | 0) | 0;
    do if (i22) {
     if (!(get32(50 * 4 | 0) | 0)) {
      FUNCTION_TABLE_vi[get32(232 | 0) & 31](i22);
      break;
     }
     i24 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i22) | 0;
     i23 = (get32(30 * 4 | 0) | 0) - i24 | 0;
     set32(30 * 4 | 0, i23 | 0);
     if ((i23 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i23 | 0);
     i23 = (get32(39 * 4 | 0) | 0) + -1 | 0;
     set32(39 * 4 | 0, i23 | 0);
     if ((i23 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i23 | 0);
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i22);
    } while (0);
    set32(i19 | 0, 0 | 0);
    i28 = get8(i17 >> 0 | 0) | 0;
    i14 = 26;
   } else {
    i20 = i27;
    i14 = 29;
   }
  } else {
   i28 = i18;
   i14 = 26;
  } while (0);
  if ((i14 | 0) == 26 ? i28 << 24 >> 24 == 1 : 0) if (!(get8(i15 + 80 >> 0 | 0) | 0)) {
   i26 = 8;
   i14 = 38;
  } else {
   i20 = _accessPayload(i15, i16, i3, i2, 1) | 0;
   i14 = 29;
  }
  if ((i14 | 0) == 29 ? (i20 | 0) != 4 : 0) {
   i26 = i20;
   i14 = 38;
  }
  if ((i14 | 0) == 38) {
   set32(i8 + 20 | 0, i26 | 0);
   set32(i12 + 92 | 0, i26 | 0);
   i29 = i26;
   i14 = 40;
   break;
  }
  i18 = i12 + 52 | 0;
  i17 = get32(i18 | 0) | 0;
  if ((i17 | 0) < 1369188723) switch (i17 | 0) {
  case -1108210269:
   {
    i14 = 31;
    break;
   }
  default:
   {}
  } else switch (i17 | 0) {
  case 1369188723:
   {
    i14 = 31;
    break;
   }
  default:
   {}
  }
  if ((i14 | 0) == 31) _sqlite3VdbeReset(i12) | 0;
  i17 = get32(i12 | 0) | 0;
  i22 = get32(i12 + 60 | 0) | 0;
  i23 = i12 + 64 | 0;
  i24 = get32(i23 | 0) | 0;
  if (!i22) {
   set32(i17 + 136 | 0, i24 | 0);
   i30 = i24;
  } else {
   set32(i22 + 64 | 0, i24 | 0);
   i30 = get32(i23 | 0) | 0;
  }
  if (i30) set32(i30 + 60 | 0, i22 | 0);
  set32(i18 | 0, -1241070648 | 0);
  set32(i12 | 0, 0 | 0);
  _sqlite3VdbeDeleteObject(i17, i12);
  set32(i11 | 0, 0 | 0);
  i13 = 4;
  i14 = 39;
 } else i14 = 5; while (0);
 if ((i14 | 0) == 5) {
  _sqlite3Error(i8, 1, 0, i7);
  i13 = 1;
  i14 = 39;
 }
 if ((i14 | 0) == 39) if (!i8) {
  i31 = i13;
  i32 = 255;
 } else {
  i29 = i13;
  i14 = 40;
 }
 if ((i14 | 0) == 40) {
  i14 = i8 + 30 | 0;
  if ((i29 | 0) == 3082 | (get8(i14 >> 0 | 0) | 0) != 0) {
   _sqlite3Error(i8, 7, 0, i6);
   set8(i14 >> 0 | 0, 0 | 0);
   i33 = 7;
  } else i33 = i29;
  i31 = i33;
  i32 = get32(i8 + 24 | 0) | 0;
 }
 i10 = i32 & i31;
 STACKTOP = i5;
 return i10 | 0;
}

function _sqlite3_blob_read(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 176 | 0;
 i6 = i5 + 16 | 0;
 i7 = i5 + 8 | 0;
 i8 = i5;
 i9 = i5 + 20 | 0;
 if (!i1) {
  set32(i8 | 0, 69280 | 0);
  set32(i8 + 4 | 0, 17203 | 0);
  _sqlite3_log(21, 39226, i8);
  i10 = 21;
  STACKTOP = i5;
  return i10 | 0;
 }
 i8 = get32(i1 + 24 | 0) | 0;
 i11 = i1 + 20 | 0;
 i12 = get32(i11 | 0) | 0;
 L5 : do if ((i4 | i3 | 0) >= 0 ? (i4 + i3 | 0) <= (get32(i1 + 4 | 0) | 0) : 0) if (!i12) {
  i13 = 4;
  i14 = 38;
 } else {
  i15 = get32(i1 + 16 | 0) | 0;
  i16 = (get32(i1 + 8 | 0) | 0) + i4 | 0;
  i17 = i15 + 83 | 0;
  i18 = get8(i17 >> 0 | 0) | 0;
  do if (i18 << 24 >> 24) {
   do if ((i18 & 255) > 1) {
    if (i18 << 24 >> 24 == 3) {
     i19 = get32(i15 + 76 | 0) | 0;
     if (!i19) {
      i14 = 27;
      break;
     } else {
      i20 = i19;
      i14 = 28;
      break;
     }
    }
    set8(i17 >> 0 | 0, 0 | 0);
    i19 = i15 + 72 | 0;
    i21 = get32(i19 | 0) | 0;
    i22 = i15 + 64 | 0;
    i23 = get32(i22 | 0) | 0;
    i24 = get32(i22 + 4 | 0) | 0;
    i22 = i15 + 76 | 0;
    if (i21) {
     i25 = _sqlite3VdbeRecordUnpack(get32(i15 + 16 | 0) | 0, i23, i21, i9, 150) | 0;
     if (!i25) {
      i26 = 7;
      break;
     }
     i21 = _sqlite3BtreeMovetoUnpacked(i15, i25, i23, i24, 0, i22) | 0;
     if (!(get16(i25 + 6 | 0) & 1)) i27 = i21; else {
      _sqlite3DbFree(get32(get32(i25 | 0) | 0) | 0, i25);
      i27 = i21;
     }
    } else i27 = _sqlite3BtreeMovetoUnpacked(i15, 0, i23, i24, 0, i22) | 0;
    if (!i27) {
     i22 = get32(i19 | 0) | 0;
     do if (i22) {
      if (!(get32(50 * 4 | 0) | 0)) {
       FUNCTION_TABLE_vi[get32(232 | 0) & 31](i22);
       break;
      }
      i24 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i22) | 0;
      i23 = (get32(30 * 4 | 0) | 0) - i24 | 0;
      set32(30 * 4 | 0, i23 | 0);
      if ((i23 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i23 | 0);
      i23 = (get32(39 * 4 | 0) | 0) + -1 | 0;
      set32(39 * 4 | 0, i23 | 0);
      if ((i23 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i23 | 0);
      FUNCTION_TABLE_vi[get32(232 | 0) & 31](i22);
     } while (0);
     set32(i19 | 0, 0 | 0);
     i14 = 27;
    } else {
     i20 = i27;
     i14 = 28;
    }
   } else i14 = 27; while (0);
   if ((i14 | 0) == 27) {
    i20 = _accessPayload(i15, i16, i3, i2, 0) | 0;
    i14 = 28;
   }
   if ((i14 | 0) == 28) if ((i20 | 0) == 4) break; else i26 = i20;
   set32(i8 + 20 | 0, i26 | 0);
   set32(i12 + 92 | 0, i26 | 0);
   i28 = i26;
   i14 = 39;
   break L5;
  } while (0);
  i16 = i12 + 52 | 0;
  i15 = get32(i16 | 0) | 0;
  if ((i15 | 0) < 1369188723) switch (i15 | 0) {
  case -1108210269:
   {
    i14 = 30;
    break;
   }
  default:
   {}
  } else switch (i15 | 0) {
  case 1369188723:
   {
    i14 = 30;
    break;
   }
  default:
   {}
  }
  if ((i14 | 0) == 30) _sqlite3VdbeReset(i12) | 0;
  i15 = get32(i12 | 0) | 0;
  i17 = get32(i12 + 60 | 0) | 0;
  i18 = i12 + 64 | 0;
  i22 = get32(i18 | 0) | 0;
  if (!i17) {
   set32(i15 + 136 | 0, i22 | 0);
   i29 = i22;
  } else {
   set32(i17 + 64 | 0, i22 | 0);
   i29 = get32(i18 | 0) | 0;
  }
  if (i29) set32(i29 + 60 | 0, i17 | 0);
  set32(i16 | 0, -1241070648 | 0);
  set32(i12 | 0, 0 | 0);
  _sqlite3VdbeDeleteObject(i15, i12);
  set32(i11 | 0, 0 | 0);
  i13 = 4;
  i14 = 38;
 } else i14 = 5; while (0);
 if ((i14 | 0) == 5) {
  _sqlite3Error(i8, 1, 0, i7);
  i13 = 1;
  i14 = 38;
 }
 if ((i14 | 0) == 38) if (!i8) {
  i30 = i13;
  i31 = 255;
 } else {
  i28 = i13;
  i14 = 39;
 }
 if ((i14 | 0) == 39) {
  i14 = i8 + 30 | 0;
  if ((i28 | 0) == 3082 | (get8(i14 >> 0 | 0) | 0) != 0) {
   _sqlite3Error(i8, 7, 0, i6);
   set8(i14 >> 0 | 0, 0 | 0);
   i32 = 7;
  } else i32 = i28;
  i30 = i32;
  i31 = get32(i8 + 24 | 0) | 0;
 }
 i10 = i31 & i30;
 STACKTOP = i5;
 return i10 | 0;
}

function _roundFunc(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, d9 = 0.0, i10 = 0, i11 = 0, i12 = 0, d13 = 0.0, i14 = 0, i15 = 0, i16 = 0, i17 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i5 = i4 + 16 | 0;
 i6 = i4 + 8 | 0;
 i7 = i4;
 if ((i2 | 0) == 2) {
  i2 = get32(i3 + 4 | 0) | 0;
  if ((get8(i2 + 30 >> 0 | 0) | 0) == 5) {
   STACKTOP = i4;
   return;
  }
  i8 = getU16(i2 + 28 | 0) | 0;
  do if (!(i8 & 4)) {
   if (i8 & 8) {
    d9 = +getF64(i2 + 8 | 0);
    i10 = d9 < -9223372036854775808.0 | d9 > 9223372036854775808.0 ? 0 : ~~d9 >>> 0;
    break;
   }
   if (!(i8 & 18)) i10 = 0; else {
    i11 = i6;
    set32(i11 | 0, 0 | 0);
    set32(i11 + 4 | 0, 0 | 0);
    _sqlite3Atoi64(get32(i2 + 4 | 0) | 0, i6, get32(i2 + 24 | 0) | 0, get8(i2 + 31 >> 0 | 0) | 0) | 0;
    i10 = get32(i6 | 0) | 0;
   }
  } else i10 = get32(i2 + 16 | 0) | 0; while (0);
  i2 = (i10 | 0) > 30 ? 30 : i10;
  i12 = (i2 | 0) < 0 ? 0 : i2;
 } else i12 = 0;
 i2 = get32(i3 | 0) | 0;
 if ((get8(i2 + 30 >> 0 | 0) | 0) == 5) {
  STACKTOP = i4;
  return;
 }
 i3 = getU16(i2 + 28 | 0) | 0;
 do if (!(i3 & 8)) {
  if (i3 & 4) {
   i10 = i2 + 16 | 0;
   d13 = +((get32(i10 | 0) | 0) >>> 0) + 4294967296.0 * +(get32(i10 + 4 | 0) | 0);
   break;
  }
  if (!(i3 & 18)) d13 = 0.0; else {
   setF64(i6 | 0, +(0.0));
   _sqlite3AtoF(get32(i2 + 4 | 0) | 0, i6, get32(i2 + 24 | 0) | 0, get8(i2 + 31 >> 0 | 0) | 0) | 0;
   d13 = +getF64(i6 | 0);
  }
 } else d13 = +getF64(i2 + 8 | 0); while (0);
 setF64(i7 | 0, +d13);
 i2 = (i12 | 0) == 0;
 do if (d13 < 9223372036854775808.0 & (i2 & d13 >= 0.0)) {
  d9 = d13 + .5;
  setF64(i7 | 0, +(+(~~d9 >>> 0 >>> 0) + 4294967296.0 * +((+Math_abs(d9) >= 1.0 ? (d9 > 0.0 ? ~~+Math_min(+Math_floor(d9 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d9 - +(~~d9 >>> 0)) / 4294967296.0) >>> 0) : 0) | 0)));
 } else {
  if (d13 > -9223372036854775808.0 & (i2 & d13 < 0.0)) {
   d9 = .5 - d13;
   setF64(i7 | 0, +-(+(~~d9 >>> 0 >>> 0) + 4294967296.0 * +((+Math_abs(d9) >= 1.0 ? (d9 > 0.0 ? ~~+Math_min(+Math_floor(d9 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d9 - +(~~d9 >>> 0)) / 4294967296.0) >>> 0) : 0) | 0)));
   break;
  }
  set32(i5 | 0, i12 | 0);
  setF64(i5 + 8 | 0, +d13);
  i6 = _sqlite3_mprintf(37944, i5) | 0;
  if (i6) {
   i3 = i6;
   while (1) if (!(get8(i3 >> 0 | 0) | 0)) {
    i14 = i3;
    break;
   } else i3 = i3 + 1 | 0;
   _sqlite3AtoF(i6, i7, i14 - i6 & 1073741823, 1) | 0;
   if (!(get32(50 * 4 | 0) | 0)) {
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i6);
    break;
   }
   i3 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i6) | 0;
   i10 = (get32(30 * 4 | 0) | 0) - i3 | 0;
   set32(30 * 4 | 0, i10 | 0);
   if ((i10 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i10 | 0);
   i10 = (get32(39 * 4 | 0) | 0) + -1 | 0;
   set32(39 * 4 | 0, i10 | 0);
   if ((i10 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i10 | 0);
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i6);
   break;
  }
  i10 = i1 + 36 | 0;
  i3 = get16(i10 | 0) | 0;
  if (i3 & 64) {
   i8 = get32(i1 + 24 | 0) | 0;
   i11 = (get32(i8 | 0) | 0) + 172 | 0;
   set32(i8 + 60 | 0, get32(i11 | 0) | 0);
   set32(i11 | 0, i8 | 0);
  }
  if (!(i3 & 32)) i15 = i3; else {
   i8 = get32(i1 + 24 | 0) | 0;
   i11 = get32(i8 | 0) | 0;
   if (!i11) i16 = i3; else {
    i3 = i8 + 4 | 0;
    i17 = i11;
    do {
     i11 = i17;
     i17 = get32(i17 | 0) | 0;
     _sqlite3DbFree(get32(i3 | 0) | 0, i11);
    } while ((i17 | 0) != 0);
    i16 = get16(i10 | 0) | 0;
   }
   set32(i8 | 0, 0 | 0);
   set16(i8 + 24 | 0, 0 | 0);
   set32(i8 + 8 | 0, 0 | 0);
   set32(i8 + 12 | 0, 0 | 0);
   set32(i8 + 20 | 0, 0 | 0);
   set8(i8 + 26 >> 0 | 0, 1 | 0);
   i15 = i16;
  }
  set16(i10 | 0, i15 & 48896 | 1 | 0);
  set8(i1 + 38 >> 0 | 0, 5 | 0);
  set32(i1 + 52 | 0, 7 | 0);
  set8((get32(i1 + 8 | 0) | 0) + 30 >> 0 | 0, 1 | 0);
  STACKTOP = i4;
  return;
 } while (0);
 _sqlite3_result_double(i1, +getF64(i7 | 0));
 STACKTOP = i4;
 return;
}

function _sqlite3GetInt32(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0;
 switch (get8(i1 >> 0 | 0) | 0) {
 case 45:
  {
   i3 = i1 + 1 | 0;
   i4 = 1;
   break;
  }
 case 43:
  {
   i3 = i1 + 1 | 0;
   i4 = 0;
   break;
  }
 default:
  {
   i3 = i1;
   i4 = 0;
  }
 }
 i1 = i3;
 while (1) {
  i3 = get8(i1 >> 0 | 0) | 0;
  i5 = i1 + 1 | 0;
  if (i3 << 24 >> 24 == 48) i1 = i5; else {
   i6 = i1;
   i7 = i3;
   i8 = i5;
   break;
  }
 }
 i1 = (i7 << 24 >> 24) + -48 | 0;
 if (i1 >>> 0 < 10) {
  i7 = ((i1 | 0) < 0) << 31 >> 31;
  i5 = (get8(i8 >> 0 | 0) | 0) + -48 | 0;
  if (i5 >>> 0 < 10) {
   i8 = ___muldi3(i1 | 0, i7 | 0, 10, 0) | 0;
   i3 = _i64Add(i5 | 0, ((i5 | 0) < 0) << 31 >> 31 | 0, i8 | 0, tempRet0 | 0) | 0;
   i8 = tempRet0;
   i5 = (get8(i6 + 2 >> 0 | 0) | 0) + -48 | 0;
   if (i5 >>> 0 < 10) {
    i9 = ___muldi3(i3 | 0, i8 | 0, 10, 0) | 0;
    i10 = _i64Add(i5 | 0, ((i5 | 0) < 0) << 31 >> 31 | 0, i9 | 0, tempRet0 | 0) | 0;
    i9 = tempRet0;
    i5 = (get8(i6 + 3 >> 0 | 0) | 0) + -48 | 0;
    if (i5 >>> 0 < 10) {
     i11 = ___muldi3(i10 | 0, i9 | 0, 10, 0) | 0;
     i12 = _i64Add(i5 | 0, ((i5 | 0) < 0) << 31 >> 31 | 0, i11 | 0, tempRet0 | 0) | 0;
     i11 = tempRet0;
     i5 = (get8(i6 + 4 >> 0 | 0) | 0) + -48 | 0;
     if (i5 >>> 0 < 10) {
      i13 = ___muldi3(i12 | 0, i11 | 0, 10, 0) | 0;
      i14 = _i64Add(i5 | 0, ((i5 | 0) < 0) << 31 >> 31 | 0, i13 | 0, tempRet0 | 0) | 0;
      i13 = tempRet0;
      i5 = (get8(i6 + 5 >> 0 | 0) | 0) + -48 | 0;
      if (i5 >>> 0 < 10) {
       i15 = ___muldi3(i14 | 0, i13 | 0, 10, 0) | 0;
       i16 = _i64Add(i5 | 0, ((i5 | 0) < 0) << 31 >> 31 | 0, i15 | 0, tempRet0 | 0) | 0;
       i15 = tempRet0;
       i5 = (get8(i6 + 6 >> 0 | 0) | 0) + -48 | 0;
       if (i5 >>> 0 < 10) {
        i17 = ___muldi3(i16 | 0, i15 | 0, 10, 0) | 0;
        i18 = _i64Add(i5 | 0, ((i5 | 0) < 0) << 31 >> 31 | 0, i17 | 0, tempRet0 | 0) | 0;
        i17 = tempRet0;
        i5 = (get8(i6 + 7 >> 0 | 0) | 0) + -48 | 0;
        if (i5 >>> 0 < 10) {
         i19 = ___muldi3(i18 | 0, i17 | 0, 10, 0) | 0;
         i20 = _i64Add(i5 | 0, ((i5 | 0) < 0) << 31 >> 31 | 0, i19 | 0, tempRet0 | 0) | 0;
         i19 = tempRet0;
         i5 = (get8(i6 + 8 >> 0 | 0) | 0) + -48 | 0;
         if (i5 >>> 0 < 10) {
          i21 = ___muldi3(i20 | 0, i19 | 0, 10, 0) | 0;
          i22 = _i64Add(i5 | 0, ((i5 | 0) < 0) << 31 >> 31 | 0, i21 | 0, tempRet0 | 0) | 0;
          i21 = tempRet0;
          i5 = (get8(i6 + 9 >> 0 | 0) | 0) + -48 | 0;
          if (i5 >>> 0 < 10) {
           i23 = ___muldi3(i22 | 0, i21 | 0, 10, 0) | 0;
           i24 = _i64Add(i5 | 0, ((i5 | 0) < 0) << 31 >> 31 | 0, i23 | 0, tempRet0 | 0) | 0;
           if (((get8(i6 + 10 >> 0 | 0) | 0) + -48 | 0) >>> 0 < 10) {
            i25 = 0;
            return i25 | 0;
           } else {
            i26 = i24;
            i27 = tempRet0;
           }
          } else {
           i26 = i22;
           i27 = i21;
          }
         } else {
          i26 = i20;
          i27 = i19;
         }
        } else {
         i26 = i18;
         i27 = i17;
        }
       } else {
        i26 = i16;
        i27 = i15;
       }
      } else {
       i26 = i14;
       i27 = i13;
      }
     } else {
      i26 = i12;
      i27 = i11;
     }
    } else {
     i26 = i10;
     i27 = i9;
    }
   } else {
    i26 = i3;
    i27 = i8;
   }
  } else {
   i26 = i1;
   i27 = i7;
  }
 } else {
  i26 = 0;
  i27 = 0;
 }
 i7 = _i64Subtract(i26 | 0, i27 | 0, i4 | 0, 0) | 0;
 i1 = tempRet0;
 if ((i1 | 0) > 0 | (i1 | 0) == 0 & i7 >>> 0 > 2147483647) {
  i25 = 0;
  return i25 | 0;
 }
 i7 = (i4 | 0) == 0;
 i4 = _i64Subtract(0, 0, i26 | 0, i27 | 0) | 0;
 i27 = tempRet0;
 i27 = i7 ? i26 : i4;
 set32(i2 | 0, i27 | 0);
 i25 = 1;
 return i25 | 0;
}

function _columnType(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0;
 i6 = STACKTOP;
 STACKTOP = STACKTOP + 48 | 0;
 i7 = i6 + 8 | 0;
 i8 = i6 + 4 | 0;
 i9 = i6;
 i10 = i6 + 12 | 0;
 set32(i7 | 0, 0 | 0);
 set32(i8 | 0, 0 | 0);
 set32(i9 | 0, 0 | 0);
 if (!i2) {
  i11 = 0;
  STACKTOP = i6;
  return i11 | 0;
 }
 if (!(get32(i1 + 4 | 0) | 0)) {
  i11 = 0;
  STACKTOP = i6;
  return i11 | 0;
 }
 L7 : do switch (getU8(i2 >> 0 | 0) | 0 | 0) {
 case 152:
 case 154:
  {
   i12 = get16(i2 + 28 | 0) | 0;
   i13 = i12 << 16 >> 16;
   i14 = i2 + 24 | 0;
   i15 = i1;
   L9 : while (1) {
    i16 = get32(i15 + 4 | 0) | 0;
    i17 = get16(i16 | 0) | 0;
    i18 = i17 << 16 >> 16 > 0;
    i19 = i17 << 16 >> 16;
    i20 = i17 << 16 >> 16;
    i17 = (i15 | 0) != 0;
    while (1) {
     L13 : do if (i18) {
      i21 = get32(i14 | 0) | 0;
      i22 = 0;
      while (1) {
       if ((get32(i16 + 8 + (i22 * 56 | 0) + 24 | 0) | 0) == (i21 | 0)) {
        i23 = i22;
        break L13;
       }
       i24 = i22 + 1 | 0;
       if ((i24 | 0) < (i19 | 0)) i22 = i24; else {
        i23 = i24;
        break;
       }
      }
     } else i23 = 0; while (0);
     if ((i23 | 0) >= (i20 | 0)) break;
     i25 = get32(i16 + 8 + (i23 * 56 | 0) + 12 | 0) | 0;
     i26 = (i25 | 0) == 0;
     if (!(i26 & i17)) break L9;
    }
    i17 = get32(i15 + 32 | 0) | 0;
    if (!i17) {
     i27 = 0;
     break L7;
    } else i15 = i17;
   }
   i14 = get32(i16 + 8 + (i23 * 56 | 0) + 16 | 0) | 0;
   if (!i26) {
    if (i14) {
     if (i12 << 16 >> 16 <= -1) {
      i27 = 0;
      break L7;
     }
     i17 = get32(i14 | 0) | 0;
     if ((i13 | 0) >= (get32(i17 | 0) | 0)) {
      i27 = 0;
      break L7;
     }
     i20 = get32((get32(i17 + 12 | 0) | 0) + (i13 * 20 | 0) | 0) | 0;
     set32(i10 + 4 | 0, get32(i14 + 8 | 0) | 0);
     set32(i10 + 32 | 0, i15 | 0);
     set32(i10 | 0, get32(i15 | 0) | 0);
     i27 = _columnType(i10, i20, i7, i8, i9) | 0;
     break L7;
    }
    i20 = i25 + 68 | 0;
    if (get32(i20 | 0) | 0) {
     if (i12 << 16 >> 16 < 0) i28 = get32(i25 + 4 | 0) | 0; else i28 = i13;
     if ((i28 | 0) < 0) {
      set32(i9 | 0, 30238 | 0);
      i29 = 30467;
     } else {
      i14 = get32(i25 + 12 | 0) | 0;
      i17 = get32(i14 + (i28 * 24 | 0) + 12 | 0) | 0;
      set32(i9 | 0, get32(i14 + (i28 * 24 | 0) | 0) | 0);
      i29 = i17;
     }
     set32(i8 | 0, get32(i25 | 0) | 0);
     i17 = get32(i15 | 0) | 0;
     if (!i17) i27 = i29; else {
      i14 = get32(i17 | 0) | 0;
      i17 = get32(i20 | 0) | 0;
      L37 : do if (i17) {
       i20 = get32(i14 + 4 | 0) | 0;
       if ((i20 | 0) > 0) {
        i19 = get32(i14 + 8 | 0) | 0;
        i18 = 0;
        while (1) {
         if ((get32(i19 + (i18 << 4) + 12 | 0) | 0) == (i17 | 0)) {
          i30 = i18;
          break L37;
         }
         i22 = i18 + 1 | 0;
         if ((i22 | 0) < (i20 | 0)) i18 = i22; else {
          i30 = i22;
          break;
         }
        }
       } else i30 = 0;
      } else i30 = -1e6; while (0);
      set32(i7 | 0, get32((get32(i14 + 8 | 0) | 0) + (i30 << 4) | 0) | 0);
      i27 = i29;
     }
    } else i27 = 0;
   } else i27 = 0;
   break;
  }
 case 116:
  {
   i17 = get32(i2 + 16 | 0) | 0;
   i15 = get32(get32((get32(i17 | 0) | 0) + 12 | 0) | 0) | 0;
   set32(i10 + 4 | 0, get32(i17 + 8 | 0) | 0);
   set32(i10 + 32 | 0, i1 | 0);
   set32(i10 | 0, get32(i1 | 0) | 0);
   i27 = _columnType(i10, i15, i7, i8, i9) | 0;
   break;
  }
 default:
  i27 = 0;
 } while (0);
 if (!i3) {
  i11 = i27;
  STACKTOP = i6;
  return i11 | 0;
 }
 set32(i3 | 0, get32(i7 | 0) | 0);
 set32(i4 | 0, get32(i8 | 0) | 0);
 set32(i5 | 0, get32(i9 | 0) | 0);
 i11 = i27;
 STACKTOP = i6;
 return i11 | 0;
}

function _sqlite3_get_table(i1, i2, i3, i4, i5, i6) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 var i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0;
 i7 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i8 = i7;
 i9 = i7 + 4 | 0;
 set32(i3 | 0, 0 | 0);
 i10 = (i5 | 0) != 0;
 if (i10) set32(i5 | 0, 0 | 0);
 i11 = (i4 | 0) != 0;
 if (i11) set32(i4 | 0, 0 | 0);
 i12 = (i6 | 0) != 0;
 if (i12) set32(i6 | 0, 0 | 0);
 i13 = i9 + 4 | 0;
 set32(i13 | 0, 0 | 0);
 i14 = i9 + 12 | 0;
 set32(i14 | 0, 0 | 0);
 i15 = i9 + 16 | 0;
 set32(i15 | 0, 0 | 0);
 i16 = i9 + 20 | 0;
 set32(i16 | 0, 1 | 0);
 i17 = i9 + 8 | 0;
 set32(i17 | 0, 20 | 0);
 i18 = i9 + 24 | 0;
 set32(i18 | 0, 0 | 0);
 i19 = _sqlite3_malloc(80) | 0;
 set32(i9 | 0, i19 | 0);
 if (!i19) {
  set32(i1 + 20 | 0, 7 | 0);
  i20 = 7;
  STACKTOP = i7;
  return i20 | 0;
 }
 set32(i19 | 0, 0 | 0);
 i19 = _sqlite3_exec(i1, i2, 13, i9, i6) | 0;
 set32(get32(i9 | 0) | 0, get32(i16 | 0) | 0);
 if ((i19 & 255 | 0) == 4) {
  _sqlite3_free_table((get32(i9 | 0) | 0) + 4 | 0);
  i2 = get32(i13 | 0) | 0;
  do if (i2) {
   if (i12) {
    i21 = get32(i6 | 0) | 0;
    do if (i21) {
     if (!(get32(50 * 4 | 0) | 0)) {
      FUNCTION_TABLE_vi[get32(232 | 0) & 31](i21);
      break;
     }
     i22 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i21) | 0;
     i23 = (get32(30 * 4 | 0) | 0) - i22 | 0;
     set32(30 * 4 | 0, i23 | 0);
     if ((i23 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i23 | 0);
     i23 = (get32(39 * 4 | 0) | 0) + -1 | 0;
     set32(39 * 4 | 0, i23 | 0);
     if ((i23 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i23 | 0);
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i21);
    } while (0);
    set32(i8 | 0, get32(i13 | 0) | 0);
    set32(i6 | 0, _sqlite3_mprintf(16817, i8) | 0 | 0);
    i21 = get32(i13 | 0) | 0;
    if (!i21) break; else i24 = i21;
   } else i24 = i2;
   if (!(get32(50 * 4 | 0) | 0)) {
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i24);
    break;
   }
   i21 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i24) | 0;
   i23 = (get32(30 * 4 | 0) | 0) - i21 | 0;
   set32(30 * 4 | 0, i23 | 0);
   if ((i23 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i23 | 0);
   i23 = (get32(39 * 4 | 0) | 0) + -1 | 0;
   set32(39 * 4 | 0, i23 | 0);
   if ((i23 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i23 | 0);
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i24);
  } while (0);
  i24 = get32(i18 | 0) | 0;
  set32(i1 + 20 | 0, i24 | 0);
  i20 = i24;
  STACKTOP = i7;
  return i20 | 0;
 }
 i24 = get32(i13 | 0) | 0;
 do if (i24) {
  if (!(get32(50 * 4 | 0) | 0)) {
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i24);
   break;
  }
  i13 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i24) | 0;
  i18 = (get32(30 * 4 | 0) | 0) - i13 | 0;
  set32(30 * 4 | 0, i18 | 0);
  if ((i18 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i18 | 0);
  i18 = (get32(39 * 4 | 0) | 0) + -1 | 0;
  set32(39 * 4 | 0, i18 | 0);
  if ((i18 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i18 | 0);
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i24);
 } while (0);
 if (i19) {
  _sqlite3_free_table((get32(i9 | 0) | 0) + 4 | 0);
  i20 = i19;
  STACKTOP = i7;
  return i20 | 0;
 }
 i19 = get32(i16 | 0) | 0;
 do if ((get32(i17 | 0) | 0) > (i19 | 0)) {
  i16 = get32(i9 | 0) | 0;
  if ((_sqlite3_initialize() | 0) == 0 ? (i24 = _sqlite3Realloc(i16, i19 << 2) | 0, (i24 | 0) != 0) : 0) {
   set32(i9 | 0, i24 | 0);
   i25 = i24;
   break;
  }
  _sqlite3_free_table((get32(i9 | 0) | 0) + 4 | 0);
  set32(i1 + 20 | 0, 7 | 0);
  i20 = 7;
  STACKTOP = i7;
  return i20 | 0;
 } else i25 = get32(i9 | 0) | 0; while (0);
 set32(i3 | 0, i25 + 4 | 0);
 if (i10) set32(i5 | 0, get32(i15 | 0) | 0);
 if (!i11) {
  i20 = 0;
  STACKTOP = i7;
  return i20 | 0;
 }
 set32(i4 | 0, get32(i14 | 0) | 0);
 i20 = 0;
 STACKTOP = i7;
 return i20 | 0;
}

function _exprTableUsage(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0;
 if (!i2) {
  i3 = 0;
  i4 = 0;
  tempRet0 = i3;
  return i4 | 0;
 }
 if ((get8(i2 >> 0 | 0) | 0) == -104) {
  i5 = get32(i2 + 24 | 0) | 0;
  i6 = get32(i1 | 0) | 0;
  if ((i6 | 0) > 0) i7 = 0; else {
   i3 = 0;
   i4 = 0;
   tempRet0 = i3;
   return i4 | 0;
  }
  while (1) {
   if ((get32(i1 + 4 + (i7 << 2) | 0) | 0) == (i5 | 0)) {
    i8 = i7;
    break;
   }
   i7 = i7 + 1 | 0;
   if ((i7 | 0) >= (i6 | 0)) {
    i3 = 0;
    i4 = 0;
    i9 = 27;
    break;
   }
  }
  if ((i9 | 0) == 27) {
   tempRet0 = i3;
   return i4 | 0;
  }
  i9 = _bitshift64Shl(1, 0, i8 | 0) | 0;
  i3 = tempRet0;
  i4 = i9;
  tempRet0 = i3;
  return i4 | 0;
 }
 i9 = _exprTableUsage(i1, get32(i2 + 12 | 0) | 0) | 0;
 i8 = tempRet0;
 i6 = _exprTableUsage(i1, get32(i2 + 8 | 0) | 0) | 0;
 i7 = i6 | i9;
 i9 = tempRet0 | i8;
 i8 = i2 + 16 | 0;
 if (!(get16(i2 + 2 | 0) & 2048)) {
  i2 = get32(i8 | 0) | 0;
  if ((i2 | 0) != 0 ? (i6 = get32(i2 | 0) | 0, (i6 | 0) > 0) : 0) {
   i5 = get32(i2 + 12 | 0) | 0;
   i2 = 0;
   i10 = 0;
   i11 = 0;
   while (1) {
    i12 = _exprTableUsage(i1, get32(i5 + (i11 * 20 | 0) | 0) | 0) | 0;
    i13 = i12 | i2;
    i12 = tempRet0 | i10;
    i11 = i11 + 1 | 0;
    if ((i11 | 0) >= (i6 | 0)) {
     i14 = i13;
     i15 = i12;
     break;
    } else {
     i2 = i13;
     i10 = i12;
    }
   }
  } else {
   i14 = 0;
   i15 = 0;
  }
 } else {
  i10 = get32(i8 | 0) | 0;
  if (!i10) {
   i14 = 0;
   i15 = 0;
  } else {
   i8 = i10;
   i10 = 0;
   i2 = 0;
   while (1) {
    i6 = get32(i8 | 0) | 0;
    if ((i6 | 0) != 0 ? (i11 = get32(i6 | 0) | 0, (i11 | 0) > 0) : 0) {
     i5 = get32(i6 + 12 | 0) | 0;
     i6 = 0;
     i12 = 0;
     i13 = 0;
     while (1) {
      i16 = _exprTableUsage(i1, get32(i5 + (i13 * 20 | 0) | 0) | 0) | 0;
      i17 = i16 | i6;
      i16 = tempRet0 | i12;
      i13 = i13 + 1 | 0;
      if ((i13 | 0) >= (i11 | 0)) {
       i18 = i17;
       i19 = i16;
       break;
      } else {
       i6 = i17;
       i12 = i16;
      }
     }
    } else {
     i18 = 0;
     i19 = 0;
    }
    i12 = i18 | i10;
    i6 = i19 | i2;
    i11 = get32(i8 + 16 | 0) | 0;
    if ((i11 | 0) != 0 ? (i13 = get32(i11 | 0) | 0, (i13 | 0) > 0) : 0) {
     i5 = get32(i11 + 12 | 0) | 0;
     i11 = 0;
     i16 = 0;
     i17 = 0;
     while (1) {
      i20 = _exprTableUsage(i1, get32(i5 + (i17 * 20 | 0) | 0) | 0) | 0;
      i21 = i20 | i11;
      i20 = tempRet0 | i16;
      i17 = i17 + 1 | 0;
      if ((i17 | 0) >= (i13 | 0)) {
       i22 = i21;
       i23 = i20;
       break;
      } else {
       i11 = i21;
       i16 = i20;
      }
     }
    } else {
     i22 = 0;
     i23 = 0;
    }
    i16 = i12 | i22;
    i11 = i6 | i23;
    i13 = get32(i8 + 24 | 0) | 0;
    if ((i13 | 0) != 0 ? (i17 = get32(i13 | 0) | 0, (i17 | 0) > 0) : 0) {
     i5 = get32(i13 + 12 | 0) | 0;
     i13 = 0;
     i20 = 0;
     i21 = 0;
     while (1) {
      i24 = _exprTableUsage(i1, get32(i5 + (i21 * 20 | 0) | 0) | 0) | 0;
      i25 = i24 | i13;
      i24 = tempRet0 | i20;
      i21 = i21 + 1 | 0;
      if ((i21 | 0) >= (i17 | 0)) {
       i26 = i25;
       i27 = i24;
       break;
      } else {
       i13 = i25;
       i20 = i24;
      }
     }
    } else {
     i26 = 0;
     i27 = 0;
    }
    i20 = _exprTableUsage(i1, get32(i8 + 12 | 0) | 0) | 0;
    i13 = i11 | i27 | tempRet0;
    i17 = _exprTableUsage(i1, get32(i8 + 20 | 0) | 0) | 0;
    i21 = i16 | i26 | i20 | i17;
    i17 = i13 | tempRet0;
    i8 = get32(i8 + 28 | 0) | 0;
    if (!i8) {
     i14 = i21;
     i15 = i17;
     break;
    } else {
     i10 = i21;
     i2 = i17;
    }
   }
  }
 }
 i3 = i9 | i15;
 i4 = i7 | i14;
 tempRet0 = i3;
 return i4 | 0;
}

function _sqlite3Realloc(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0;
 if (!i1) {
  if ((i2 + -1 | 0) >>> 0 > 2147483390) {
   i3 = 0;
   return i3 | 0;
  }
  if (!(get32(50 * 4 | 0) | 0)) {
   i3 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i2) | 0;
   return i3 | 0;
  }
  i4 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i2) | 0;
  set32(35 * 4 | 0, i2 | 0);
  if ((get32(45 * 4 | 0) | 0) < (i2 | 0)) set32(45 * 4 | 0, i2 | 0);
  i5 = get32(6 * 4 | 0) | 0;
  do if (i5) {
   i6 = get32(30 * 4 | 0) | 0;
   i7 = ((i6 | 0) < 0) << 31 >> 31;
   i8 = 16;
   i9 = _i64Subtract(get32(i8 | 0) | 0, get32(i8 + 4 | 0) | 0, i4 | 0, ((i4 | 0) < 0) << 31 >> 31 | 0) | 0;
   i8 = tempRet0;
   if ((i7 | 0) < (i8 | 0) | (i7 | 0) == (i8 | 0) & i6 >>> 0 < i9 >>> 0) {
    set32(11 * 4 | 0, 0 | 0);
    break;
   } else {
    set32(11 * 4 | 0, 1 | 0);
    i9 = get32(7 * 4 | 0) | 0;
    set32(6 * 4 | 0, 0 | 0);
    FUNCTION_TABLE_viiii[i5 & 15](i9, i6, i7, i4);
    set32(6 * 4 | 0, i5 | 0);
    set32(7 * 4 | 0, i9 | 0);
    break;
   }
  } while (0);
  i5 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i4) | 0;
  if (!i5) {
   i3 = 0;
   return i3 | 0;
  }
  i4 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i5) | 0;
  i9 = (get32(30 * 4 | 0) | 0) + i4 | 0;
  set32(30 * 4 | 0, i9 | 0);
  if ((i9 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i9 | 0);
  i9 = get32(39 * 4 | 0) | 0;
  i4 = i9 + 1 | 0;
  set32(39 * 4 | 0, i4 | 0);
  if ((i9 | 0) < (get32(49 * 4 | 0) | 0)) {
   i3 = i5;
   return i3 | 0;
  }
  set32(49 * 4 | 0, i4 | 0);
  i3 = i5;
  return i3 | 0;
 }
 if ((i2 | 0) < 1) {
  if (!(get32(50 * 4 | 0) | 0)) {
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i1);
   i3 = 0;
   return i3 | 0;
  }
  i5 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i1) | 0;
  i4 = (get32(30 * 4 | 0) | 0) - i5 | 0;
  set32(30 * 4 | 0, i4 | 0);
  if ((i4 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i4 | 0);
  i4 = (get32(39 * 4 | 0) | 0) + -1 | 0;
  set32(39 * 4 | 0, i4 | 0);
  if ((i4 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i4 | 0);
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i1);
  i3 = 0;
  return i3 | 0;
 }
 if ((i2 | 0) > 2147483391) {
  i3 = 0;
  return i3 | 0;
 }
 i4 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i1) | 0;
 i5 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i2) | 0;
 if ((i5 | 0) == (i4 | 0)) {
  i3 = i1;
  return i3 | 0;
 }
 if (!(get32(50 * 4 | 0) | 0)) {
  i3 = FUNCTION_TABLE_iii[get32(236 | 0) & 127](i1, i5) | 0;
  return i3 | 0;
 }
 set32(35 * 4 | 0, i2 | 0);
 if ((get32(45 * 4 | 0) | 0) < (i2 | 0)) set32(45 * 4 | 0, i2 | 0);
 i9 = i5 - i4 | 0;
 i7 = get32(30 * 4 | 0) | 0;
 i6 = ((i7 | 0) < 0) << 31 >> 31;
 i8 = 16;
 i10 = _i64Subtract(get32(i8 | 0) | 0, get32(i8 + 4 | 0) | 0, i9 | 0, ((i9 | 0) < 0) << 31 >> 31 | 0) | 0;
 i8 = tempRet0;
 if (!((i6 | 0) < (i8 | 0) | (i6 | 0) == (i8 | 0) & i7 >>> 0 < i10 >>> 0) ? (i10 = get32(6 * 4 | 0) | 0, (i10 | 0) != 0) : 0) {
  i8 = get32(7 * 4 | 0) | 0;
  set32(6 * 4 | 0, 0 | 0);
  FUNCTION_TABLE_viiii[i10 & 15](i8, i7, i6, i9);
  set32(6 * 4 | 0, i10 | 0);
  set32(7 * 4 | 0, i8 | 0);
 }
 i8 = FUNCTION_TABLE_iii[get32(236 | 0) & 127](i1, i5) | 0;
 i10 = get32(6 * 4 | 0) | 0;
 if ((i8 | 0) == 0 & (i10 | 0) != 0) {
  i9 = get32(30 * 4 | 0) | 0;
  i6 = get32(7 * 4 | 0) | 0;
  set32(6 * 4 | 0, 0 | 0);
  FUNCTION_TABLE_viiii[i10 & 15](i6, i9, ((i9 | 0) < 0) << 31 >> 31, i2);
  set32(6 * 4 | 0, i10 | 0);
  set32(7 * 4 | 0, i6 | 0);
  i11 = FUNCTION_TABLE_iii[get32(236 | 0) & 127](i1, i5) | 0;
 } else i11 = i8;
 if (!i11) {
  i3 = 0;
  return i3 | 0;
 }
 i8 = (FUNCTION_TABLE_ii[get32(240 | 0) & 127](i11) | 0) - i4 | 0;
 i4 = (get32(30 * 4 | 0) | 0) + i8 | 0;
 set32(30 * 4 | 0, i4 | 0);
 if ((i4 | 0) <= (get32(40 * 4 | 0) | 0)) {
  i3 = i11;
  return i3 | 0;
 }
 set32(40 * 4 | 0, i4 | 0);
 i3 = i11;
 return i3 | 0;
}

function _upperFunc(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0;
 i2 = _sqlite3ValueText(get32(i3 | 0) | 0, 1) | 0;
 i4 = get32(i3 | 0) | 0;
 i3 = i4 + 28 | 0;
 i5 = get16(i3 | 0) | 0;
 if (!(i5 & 16)) if (!(_sqlite3ValueText(i4, 1) | 0)) i6 = 0; else {
  i7 = get16(i3 | 0) | 0;
  i8 = 4;
 } else {
  i7 = i5;
  i8 = 4;
 }
 if ((i8 | 0) == 4) {
  i8 = get32(i4 + 24 | 0) | 0;
  if (!(i7 & 16384)) i6 = i8; else i6 = (get32(i4 + 16 | 0) | 0) + i8 | 0;
 }
 if (!i2) return;
 i8 = _i64Add(i6 | 0, ((i6 | 0) < 0) << 31 >> 31 | 0, 1, 0) | 0;
 i4 = tempRet0;
 i7 = i1 + 8 | 0;
 i5 = get32((get32(i7 | 0) | 0) + 72 | 0) | 0;
 i3 = ((i5 | 0) < 0) << 31 >> 31;
 if ((i3 | 0) < (i4 | 0) | (i3 | 0) == (i4 | 0) & i5 >>> 0 < i8 >>> 0) {
  set32(i1 + 52 | 0, 18 | 0);
  _sqlite3VdbeMemSetStr(i1 + 8 | 0, 16620, -1, 1, 0) | 0;
  return;
 }
 do if ((i8 + -1 | 0) >>> 0 <= 2147483390) {
  if (!(get32(50 * 4 | 0) | 0)) {
   i5 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i8) | 0;
   if (!i5) break; else i9 = i5;
  } else {
   i5 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i8) | 0;
   set32(35 * 4 | 0, i8 | 0);
   if ((get32(45 * 4 | 0) | 0) < (i8 | 0)) set32(45 * 4 | 0, i8 | 0);
   i4 = get32(6 * 4 | 0) | 0;
   do if (i4) {
    i3 = get32(30 * 4 | 0) | 0;
    i10 = ((i3 | 0) < 0) << 31 >> 31;
    i11 = 16;
    i12 = _i64Subtract(get32(i11 | 0) | 0, get32(i11 + 4 | 0) | 0, i5 | 0, ((i5 | 0) < 0) << 31 >> 31 | 0) | 0;
    i11 = tempRet0;
    if ((i10 | 0) < (i11 | 0) | (i10 | 0) == (i11 | 0) & i3 >>> 0 < i12 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i12 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i4 & 15](i12, i3, i10, i5);
     set32(6 * 4 | 0, i4 | 0);
     set32(7 * 4 | 0, i12 | 0);
     break;
    }
   } while (0);
   i4 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i5) | 0;
   if (!i4) break;
   i12 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i4) | 0;
   i10 = (get32(30 * 4 | 0) | 0) + i12 | 0;
   set32(30 * 4 | 0, i10 | 0);
   if ((i10 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i10 | 0);
   i10 = get32(39 * 4 | 0) | 0;
   i12 = i10 + 1 | 0;
   set32(39 * 4 | 0, i12 | 0);
   if ((i10 | 0) < (get32(49 * 4 | 0) | 0)) i9 = i4; else {
    set32(49 * 4 | 0, i12 | 0);
    i9 = i4;
   }
  }
  _memcpy(i9 | 0, i2 | 0, i6 + 1 | 0) | 0;
  i4 = get8(i9 >> 0 | 0) | 0;
  if (i4 << 24 >> 24) {
   i12 = i4;
   i4 = i9;
   i10 = 0;
   do {
    i3 = i12 & 255;
    set8(i4 >> 0 | 0, ((getU8(16821 + i3 >> 0 | 0) | 0 | 223) ^ 32) & i3 | 0);
    i10 = i10 + 1 | 0;
    i4 = i9 + i10 | 0;
    i12 = get8(i4 >> 0 | 0) | 0;
   } while (i12 << 24 >> 24 != 0);
  }
  i12 = i1 + 8 | 0;
  if ((_sqlite3VdbeMemSetStr(i12, i9, -1, 1, 2) | 0) != 18) return;
  set32(i1 + 52 | 0, 18 | 0);
  _sqlite3VdbeMemSetStr(i12, 16620, -1, 1, 0) | 0;
  return;
 } while (0);
 i9 = i1 + 36 | 0;
 i6 = get16(i9 | 0) | 0;
 if (i6 & 64) {
  i2 = get32(i1 + 24 | 0) | 0;
  i8 = (get32(i2 | 0) | 0) + 172 | 0;
  set32(i2 + 60 | 0, get32(i8 | 0) | 0);
  set32(i8 | 0, i2 | 0);
 }
 if (!(i6 & 32)) i13 = i6; else {
  i2 = get32(i1 + 24 | 0) | 0;
  i8 = get32(i2 | 0) | 0;
  if (!i8) i14 = i6; else {
   i6 = i2 + 4 | 0;
   i12 = i8;
   do {
    i8 = i12;
    i12 = get32(i12 | 0) | 0;
    _sqlite3DbFree(get32(i6 | 0) | 0, i8);
   } while ((i12 | 0) != 0);
   i14 = get16(i9 | 0) | 0;
  }
  set32(i2 | 0, 0 | 0);
  set16(i2 + 24 | 0, 0 | 0);
  set32(i2 + 8 | 0, 0 | 0);
  set32(i2 + 12 | 0, 0 | 0);
  set32(i2 + 20 | 0, 0 | 0);
  set8(i2 + 26 >> 0 | 0, 1 | 0);
  i13 = i14;
 }
 set16(i9 | 0, i13 & 48896 | 1 | 0);
 set8(i1 + 38 >> 0 | 0, 5 | 0);
 set32(i1 + 52 | 0, 7 | 0);
 set8((get32(i7 | 0) | 0) + 30 >> 0 | 0, 1 | 0);
 return;
}

function _lowerFunc(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0;
 i2 = _sqlite3ValueText(get32(i3 | 0) | 0, 1) | 0;
 i4 = get32(i3 | 0) | 0;
 i3 = i4 + 28 | 0;
 i5 = get16(i3 | 0) | 0;
 if (!(i5 & 16)) if (!(_sqlite3ValueText(i4, 1) | 0)) i6 = 0; else {
  i7 = get16(i3 | 0) | 0;
  i8 = 4;
 } else {
  i7 = i5;
  i8 = 4;
 }
 if ((i8 | 0) == 4) {
  i8 = get32(i4 + 24 | 0) | 0;
  if (!(i7 & 16384)) i6 = i8; else i6 = (get32(i4 + 16 | 0) | 0) + i8 | 0;
 }
 if (!i2) return;
 i8 = _i64Add(i6 | 0, ((i6 | 0) < 0) << 31 >> 31 | 0, 1, 0) | 0;
 i4 = tempRet0;
 i7 = i1 + 8 | 0;
 i5 = get32((get32(i7 | 0) | 0) + 72 | 0) | 0;
 i3 = ((i5 | 0) < 0) << 31 >> 31;
 if ((i3 | 0) < (i4 | 0) | (i3 | 0) == (i4 | 0) & i5 >>> 0 < i8 >>> 0) {
  set32(i1 + 52 | 0, 18 | 0);
  _sqlite3VdbeMemSetStr(i1 + 8 | 0, 16620, -1, 1, 0) | 0;
  return;
 }
 do if ((i8 + -1 | 0) >>> 0 <= 2147483390) {
  if (!(get32(50 * 4 | 0) | 0)) {
   i5 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i8) | 0;
   if (!i5) break; else i9 = i5;
  } else {
   i5 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i8) | 0;
   set32(35 * 4 | 0, i8 | 0);
   if ((get32(45 * 4 | 0) | 0) < (i8 | 0)) set32(45 * 4 | 0, i8 | 0);
   i4 = get32(6 * 4 | 0) | 0;
   do if (i4) {
    i3 = get32(30 * 4 | 0) | 0;
    i10 = ((i3 | 0) < 0) << 31 >> 31;
    i11 = 16;
    i12 = _i64Subtract(get32(i11 | 0) | 0, get32(i11 + 4 | 0) | 0, i5 | 0, ((i5 | 0) < 0) << 31 >> 31 | 0) | 0;
    i11 = tempRet0;
    if ((i10 | 0) < (i11 | 0) | (i10 | 0) == (i11 | 0) & i3 >>> 0 < i12 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i12 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i4 & 15](i12, i3, i10, i5);
     set32(6 * 4 | 0, i4 | 0);
     set32(7 * 4 | 0, i12 | 0);
     break;
    }
   } while (0);
   i4 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i5) | 0;
   if (!i4) break;
   i12 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i4) | 0;
   i10 = (get32(30 * 4 | 0) | 0) + i12 | 0;
   set32(30 * 4 | 0, i10 | 0);
   if ((i10 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i10 | 0);
   i10 = get32(39 * 4 | 0) | 0;
   i12 = i10 + 1 | 0;
   set32(39 * 4 | 0, i12 | 0);
   if ((i10 | 0) < (get32(49 * 4 | 0) | 0)) i9 = i4; else {
    set32(49 * 4 | 0, i12 | 0);
    i9 = i4;
   }
  }
  _memcpy(i9 | 0, i2 | 0, i6 + 1 | 0) | 0;
  i4 = get8(i9 >> 0 | 0) | 0;
  if (i4 << 24 >> 24) {
   i12 = i4;
   i4 = i9;
   i10 = 0;
   do {
    set8(i4 >> 0 | 0, get8(16286 + (i12 & 255) >> 0 | 0) | 0 | 0);
    i10 = i10 + 1 | 0;
    i4 = i9 + i10 | 0;
    i12 = get8(i4 >> 0 | 0) | 0;
   } while (i12 << 24 >> 24 != 0);
  }
  i12 = i1 + 8 | 0;
  if ((_sqlite3VdbeMemSetStr(i12, i9, -1, 1, 2) | 0) != 18) return;
  set32(i1 + 52 | 0, 18 | 0);
  _sqlite3VdbeMemSetStr(i12, 16620, -1, 1, 0) | 0;
  return;
 } while (0);
 i9 = i1 + 36 | 0;
 i6 = get16(i9 | 0) | 0;
 if (i6 & 64) {
  i2 = get32(i1 + 24 | 0) | 0;
  i8 = (get32(i2 | 0) | 0) + 172 | 0;
  set32(i2 + 60 | 0, get32(i8 | 0) | 0);
  set32(i8 | 0, i2 | 0);
 }
 if (!(i6 & 32)) i13 = i6; else {
  i2 = get32(i1 + 24 | 0) | 0;
  i8 = get32(i2 | 0) | 0;
  if (!i8) i14 = i6; else {
   i6 = i2 + 4 | 0;
   i12 = i8;
   do {
    i8 = i12;
    i12 = get32(i12 | 0) | 0;
    _sqlite3DbFree(get32(i6 | 0) | 0, i8);
   } while ((i12 | 0) != 0);
   i14 = get16(i9 | 0) | 0;
  }
  set32(i2 | 0, 0 | 0);
  set16(i2 + 24 | 0, 0 | 0);
  set32(i2 + 8 | 0, 0 | 0);
  set32(i2 + 12 | 0, 0 | 0);
  set32(i2 + 20 | 0, 0 | 0);
  set8(i2 + 26 >> 0 | 0, 1 | 0);
  i13 = i14;
 }
 set16(i9 | 0, i13 & 48896 | 1 | 0);
 set8(i1 + 38 >> 0 | 0, 5 | 0);
 set32(i1 + 52 | 0, 7 | 0);
 set8((get32(i7 | 0) | 0) + 30 >> 0 | 0, 1 | 0);
 return;
}

function _sqlite3PagerClose(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0;
 i2 = get32(i1 + 164 | 0) | 0;
 i3 = get32(366 * 4 | 0) | 0;
 if (i3) FUNCTION_TABLE_v[i3 & 1]();
 i3 = i1 + 4 | 0;
 set8(i3 >> 0 | 0, 0 | 0);
 i4 = i1 + 172 | 0;
 _sqlite3WalClose(get32(i4 | 0) | 0, getU8(i1 + 10 >> 0 | 0) | 0, get32(i1 + 128 | 0) | 0, i2) | 0;
 set32(i4 | 0, 0 | 0);
 _pager_reset(i1);
 if (!(get8(i1 + 14 >> 0 | 0) | 0)) {
  i4 = i1 + 64 | 0;
  i5 = get32(i4 | 0) | 0;
  i6 = get32(i5 | 0) | 0;
  L6 : do if (i6) {
   if (!(get8(i1 + 8 >> 0 | 0) | 0)) {
    i7 = FUNCTION_TABLE_iii[get32(i6 + 20 | 0) & 127](i5, 2) | 0;
    if (!i7) {
     i8 = get32(i4 | 0) | 0;
     i9 = get32(i8 | 0) | 0;
     i10 = i8;
     i11 = 9;
    } else i12 = i7;
   } else {
    i9 = i6;
    i10 = i5;
    i11 = 9;
   }
   if ((i11 | 0) == 9) i12 = FUNCTION_TABLE_iii[get32(i9 + 24 | 0) & 127](i10, i1 + 80 | 0) | 0;
   switch (i12 & 255 | 0) {
   case 10:
   case 13:
    break;
   default:
    break L6;
   }
   set32(i1 + 40 | 0, i12 | 0);
   set8(i1 + 15 >> 0 | 0, 6 | 0);
  } while (0);
  i12 = get8(i1 + 15 >> 0 | 0) | 0;
  L16 : do switch (i12 << 24 >> 24) {
  case 0:
  case 6:
   break;
  default:
   {
    if ((i12 & 255) <= 1) {
     if (get8(i3 >> 0 | 0) | 0) break L16;
     _pager_end_transaction(i1, 0) | 0;
     break L16;
    }
    i10 = get32(366 * 4 | 0) | 0;
    if (i10) FUNCTION_TABLE_v[i10 & 1]();
    _sqlite3PagerRollback(i1) | 0;
    i10 = get32(367 * 4 | 0) | 0;
    if (i10) FUNCTION_TABLE_v[i10 & 1]();
   }
  } while (0);
  _pager_unlock(i1);
 } else _pager_unlock(i1);
 i3 = get32(367 * 4 | 0) | 0;
 if (i3) FUNCTION_TABLE_v[i3 & 1]();
 i3 = get32(i1 + 64 | 0) | 0;
 i12 = get32(i3 | 0) | 0;
 if (i12) {
  FUNCTION_TABLE_ii[get32(i12 + 4 | 0) & 127](i3) | 0;
  set32(i3 | 0, 0 | 0);
 }
 i3 = get32(i1 + 60 | 0) | 0;
 i12 = get32(i3 | 0) | 0;
 if (i12) {
  FUNCTION_TABLE_ii[get32(i12 + 4 | 0) & 127](i3) | 0;
  set32(i3 | 0, 0 | 0);
 }
 do if (i2) {
  if ((get32(379 * 4 | 0) | 0) >>> 0 <= i2 >>> 0 & (get32(380 * 4 | 0) | 0) >>> 0 > i2 >>> 0) {
   i3 = (get32(31 * 4 | 0) | 0) + -1 | 0;
   set32(31 * 4 | 0, i3 | 0);
   if ((i3 | 0) > (get32(41 * 4 | 0) | 0)) set32(41 * 4 | 0, i3 | 0);
   set32(i2 | 0, get32(383 * 4 | 0) | 0);
   set32(383 * 4 | 0, i2 | 0);
   i3 = (get32(382 * 4 | 0) | 0) + 1 | 0;
   set32(382 * 4 | 0, i3 | 0);
   set32(384 * 4 | 0, (i3 | 0) < (get32(378 * 4 | 0) | 0) & 1 | 0);
   break;
  }
  i3 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i2) | 0;
  i12 = (get32(32 * 4 | 0) | 0) - i3 | 0;
  set32(32 * 4 | 0, i12 | 0);
  if ((i12 | 0) > (get32(42 * 4 | 0) | 0)) set32(42 * 4 | 0, i12 | 0);
  if (!(get32(50 * 4 | 0) | 0)) {
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i2);
   break;
  }
  i12 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i2) | 0;
  i3 = (get32(30 * 4 | 0) | 0) - i12 | 0;
  set32(30 * 4 | 0, i3 | 0);
  if ((i3 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i3 | 0);
  i3 = (get32(39 * 4 | 0) | 0) + -1 | 0;
  set32(39 * 4 | 0, i3 | 0);
  if ((i3 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i3 | 0);
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i2);
 } while (0);
 i2 = get32((get32(i1 + 168 | 0) | 0) + 40 | 0) | 0;
 if (i2) FUNCTION_TABLE_vi[get32(336 | 0) & 31](i2);
 if (!(get32(50 * 4 | 0) | 0)) {
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i1);
  return;
 }
 i2 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i1) | 0;
 i3 = (get32(30 * 4 | 0) | 0) - i2 | 0;
 set32(30 * 4 | 0, i3 | 0);
 if ((i3 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i3 | 0);
 i3 = (get32(39 * 4 | 0) | 0) + -1 | 0;
 set32(39 * 4 | 0, i3 | 0);
 if ((i3 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i3 | 0);
 FUNCTION_TABLE_vi[get32(232 | 0) & 31](i1);
 return;
}

function _sqlite3VdbeRecordCompare(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0, i35 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 48 | 0;
 i5 = i4 + 40 | 0;
 i6 = i4;
 i7 = get32(i3 | 0) | 0;
 set8(i6 + 31 >> 0 | 0, get8(i7 + 4 >> 0 | 0) | 0 | 0);
 set32(i6 | 0, get32(i7 | 0) | 0);
 i8 = get8(i2 >> 0 | 0) | 0;
 if (i8 << 24 >> 24 > -1) {
  i9 = 1;
  i10 = i8 & 255;
 } else {
  i11 = i8 & 255;
  i8 = getU8(i2 + 1 >> 0 | 0) | 0;
  do if (i8 & 128) {
   i12 = getU8(i2 + 2 >> 0 | 0) | 0;
   if (!(i12 & 128)) {
    i13 = 3;
    i14 = (i12 | i11 << 14) & 2080895 | i8 << 7 & 16256;
    break;
   } else {
    i12 = _sqlite3GetVarint(i2, i5) | 0;
    i15 = i5;
    i16 = get32(i15 | 0) | 0;
    i13 = i12;
    i14 = ((i16 | 0) == (i16 | 0) ? 0 == (get32(i15 + 4 | 0) | 0) : 0) ? i16 : -1;
    break;
   }
  } else {
   i13 = 2;
   i14 = i11 << 7 & 16256 | i8;
  } while (0);
  i9 = i13;
  i10 = i14;
 }
 i14 = i9 & 255;
 i9 = i3 + 6 | 0;
 i13 = ((get16(i9 | 0) << 13 & 65535) << 16 >> 16 >> 15 << 16 >> 16) + i10 | 0;
 i8 = getU16(i7 + 6 | 0) | 0;
 L12 : do if (i14 >>> 0 < i13 >>> 0) {
  i11 = i3 + 4 | 0;
  i16 = i3 + 16 | 0;
  i15 = i10;
  i12 = 0;
  i17 = i14;
  while (1) {
   if ((i12 | 0) >= (getU16(i11 | 0) | 0)) {
    i18 = i17;
    break L12;
   }
   i19 = i2 + i17 | 0;
   i20 = get8(i19 >> 0 | 0) | 0;
   if (i20 << 24 >> 24 > -1) {
    i21 = 1;
    i22 = i20 & 255;
   } else {
    i23 = i20 & 255;
    i20 = getU8(i2 + (i17 + 1) >> 0 | 0) | 0;
    do if (i20 & 128) {
     i24 = getU8(i2 + (i17 + 2) >> 0 | 0) | 0;
     if (!(i24 & 128)) {
      i25 = 3;
      i26 = (i24 | i23 << 14) & 2080895 | i20 << 7 & 16256;
      break;
     } else {
      i24 = _sqlite3GetVarint(i19, i5) | 0;
      i27 = i5;
      i28 = get32(i27 | 0) | 0;
      i25 = i24;
      i26 = ((i28 | 0) == (i28 | 0) ? 0 == (get32(i27 + 4 | 0) | 0) : 0) ? i28 : -1;
      break;
     }
    } else {
     i25 = 2;
     i26 = i23 << 7 & 16256 | i20;
    } while (0);
    i21 = i25 & 255;
    i22 = i26;
   }
   i20 = i21 + i17 | 0;
   if ((i15 | 0) >= (i1 | 0)) {
    if (i22 >>> 0 > 11) i29 = (i22 + -12 | 0) >>> 1; else i29 = getU8(21914 + i22 >> 0 | 0) | 0;
    if (i29) {
     i18 = i20;
     break L12;
    }
   }
   i15 = (_sqlite3VdbeSerialGet(i2 + i15 | 0, i22, i6) | 0) + i15 | 0;
   i23 = (i12 | 0) < (i8 | 0);
   if (i23) i30 = get32(i7 + 12 + (i12 << 2) | 0) | 0; else i30 = 0;
   i19 = _sqlite3MemCompare(i6, (get32(i16 | 0) | 0) + (i12 * 40 | 0) | 0, i30) | 0;
   if (i19) {
    i31 = i23;
    i32 = i19;
    i33 = i12;
    break;
   }
   if (i20 >>> 0 >= i13 >>> 0) {
    i18 = i20;
    break L12;
   } else {
    i12 = i12 + 1 | 0;
    i17 = i20;
   }
  }
  i17 = get32(i7 + 8 | 0) | 0;
  if ((i17 | 0) == 0 | i31 ^ 1) i34 = i32; else i34 = (get8(i17 + i33 >> 0 | 0) | 0) == 0 ? i32 : 0 - i32 | 0;
  i17 = getU16(i9 | 0) | 0;
  if (!(i17 & 32)) {
   i35 = i34;
   STACKTOP = i4;
   return i35 | 0;
  }
  if ((i33 | 0) != ((getU16(i11 | 0) | 0) + -1 | 0)) {
   i35 = i34;
   STACKTOP = i4;
   return i35 | 0;
  }
  set16(i9 | 0, i17 & 65503 | 0);
  i17 = i6 + 16 | 0;
  i12 = get32(i17 + 4 | 0) | 0;
  i16 = i3 + 8 | 0;
  set32(i16 | 0, get32(i17 | 0) | 0);
  set32(i16 + 4 | 0, i12 | 0);
  i35 = i34;
  STACKTOP = i4;
  return i35 | 0;
 } else i18 = i14; while (0);
 i14 = getU16(i9 | 0) | 0;
 if (i14 & 8) {
  i35 = -1;
  STACKTOP = i4;
  return i35 | 0;
 }
 i35 = i18 >>> 0 < i13 >>> 0 & (i14 & 16 | 0) == 0 & 1;
 STACKTOP = i4;
 return i35 | 0;
}

function _writeJournalHdr(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0;
 i2 = get32(i1 + 164 | 0) | 0;
 i3 = i1 + 128 | 0;
 i4 = get32(i3 | 0) | 0;
 i5 = i1 + 124 | 0;
 i6 = get32(i5 | 0) | 0;
 i7 = i4 >>> 0 > i6 >>> 0 ? i6 : i4;
 i4 = get32(i1 + 96 | 0) | 0;
 if ((i4 | 0) > 0) {
  i8 = get32(i1 + 92 | 0) | 0;
  i9 = i1 + 72 | 0;
  i10 = 0;
  do {
   i11 = i8 + (i10 * 48 | 0) + 8 | 0;
   i12 = i11;
   if ((get32(i12 | 0) | 0) == 0 & (get32(i12 + 4 | 0) | 0) == 0) {
    i12 = i9;
    i13 = get32(i12 + 4 | 0) | 0;
    i14 = i11;
    set32(i14 | 0, get32(i12 | 0) | 0);
    set32(i14 + 4 | 0, i13 | 0);
   }
   i10 = i10 + 1 | 0;
  } while ((i10 | 0) < (i4 | 0));
  i15 = i9;
 } else i15 = i1 + 72 | 0;
 i9 = i15;
 i4 = get32(i9 | 0) | 0;
 i10 = get32(i9 + 4 | 0) | 0;
 if ((i4 | 0) == 0 & (i10 | 0) == 0) {
  i16 = 0;
  i17 = 0;
 } else {
  i9 = _i64Add(i4 | 0, i10 | 0, -1, -1) | 0;
  i10 = ___divdi3(i9 | 0, tempRet0 | 0, i6 | 0, 0) | 0;
  i9 = _i64Add(i10 | 0, tempRet0 | 0, 1, 0) | 0;
  i10 = ___muldi3(i9 | 0, tempRet0 | 0, i6 | 0, 0) | 0;
  i16 = i10;
  i17 = tempRet0;
 }
 i10 = i15;
 set32(i10 | 0, i16 | 0);
 set32(i10 + 4 | 0, i17 | 0);
 i10 = i1 + 80 | 0;
 set32(i10 | 0, i16 | 0);
 set32(i10 + 4 | 0, i17 | 0);
 if (((get8(i1 + 8 >> 0 | 0) | 0) == 0 ? (get8(i1 + 5 >> 0 | 0) | 0) != 4 : 0) ? (i17 = get32(i1 + 60 | 0) | 0, ((FUNCTION_TABLE_ii[get32((get32(i17 | 0) | 0) + 48 | 0) & 127](i17) | 0) & 512 | 0) == 0) : 0) {
  i17 = i2;
  i10 = i17 + 12 | 0;
  do {
   set8(i17 >> 0 | 0, 0 | 0);
   i17 = i17 + 1 | 0;
  } while ((i17 | 0) < (i10 | 0));
 } else {
  i17 = i2;
  i10 = i17;
  set8(i10 >> 0 | 0, -117058087 | 0);
  set8(i10 + 1 >> 0 | 0, -117058087 >> 8 | 0);
  set8(i10 + 2 >> 0 | 0, -117058087 >> 16 | 0);
  set8(i10 + 3 >> 0 | 0, -117058087 >> 24 | 0);
  i10 = i17 + 4 | 0;
  set8(i10 >> 0 | 0, -681336544 | 0);
  set8(i10 + 1 >> 0 | 0, -681336544 >> 8 | 0);
  set8(i10 + 2 >> 0 | 0, -681336544 >> 16 | 0);
  set8(i10 + 3 >> 0 | 0, -681336544 >> 24 | 0);
  i10 = i2 + 8 | 0;
  set8(i10 >> 0 | 0, -1 | 0);
  set8(i10 + 1 >> 0 | 0, -1 >> 8 | 0);
  set8(i10 + 2 >> 0 | 0, -1 >> 16 | 0);
  set8(i10 + 3 >> 0 | 0, -1 >> 24 | 0);
 }
 i10 = i1 + 48 | 0;
 _sqlite3_randomness(4, i10);
 i17 = get32(i10 | 0) | 0;
 set8(i2 + 12 >> 0 | 0, i17 >>> 24 | 0);
 set8(i2 + 13 >> 0 | 0, i17 >>> 16 | 0);
 set8(i2 + 14 >> 0 | 0, i17 >>> 8 | 0);
 set8(i2 + 15 >> 0 | 0, i17 | 0);
 i17 = get32(i1 + 28 | 0) | 0;
 set8(i2 + 16 >> 0 | 0, i17 >>> 24 | 0);
 set8(i2 + 17 >> 0 | 0, i17 >>> 16 | 0);
 set8(i2 + 18 >> 0 | 0, i17 >>> 8 | 0);
 set8(i2 + 19 >> 0 | 0, i17 | 0);
 i17 = get32(i5 | 0) | 0;
 set8(i2 + 20 >> 0 | 0, i17 >>> 24 | 0);
 set8(i2 + 21 >> 0 | 0, i17 >>> 16 | 0);
 set8(i2 + 22 >> 0 | 0, i17 >>> 8 | 0);
 set8(i2 + 23 >> 0 | 0, i17 | 0);
 i17 = get32(i3 | 0) | 0;
 set8(i2 + 24 >> 0 | 0, i17 >>> 24 | 0);
 set8(i2 + 25 >> 0 | 0, i17 >>> 16 | 0);
 set8(i2 + 26 >> 0 | 0, i17 >>> 8 | 0);
 set8(i2 + 27 >> 0 | 0, i17 | 0);
 _memset(i2 + 28 | 0, 0, i7 + -28 | 0) | 0;
 i17 = i1 + 64 | 0;
 i1 = 0;
 while (1) {
  if (i1 >>> 0 >= (get32(i5 | 0) | 0) >>> 0) {
   i18 = 0;
   i19 = 17;
   break;
  }
  i3 = get32(i17 | 0) | 0;
  i10 = i15;
  i16 = FUNCTION_TABLE_iiiiii[get32((get32(i3 | 0) | 0) + 12 | 0) & 31](i3, i2, i7, get32(i10 | 0) | 0, get32(i10 + 4 | 0) | 0) | 0;
  i10 = i15;
  i3 = _i64Add(get32(i10 | 0) | 0, get32(i10 + 4 | 0) | 0, i7 | 0, 0) | 0;
  i10 = i15;
  set32(i10 | 0, i3 | 0);
  set32(i10 + 4 | 0, tempRet0 | 0);
  if (!i16) i1 = i1 + i7 | 0; else {
   i18 = i16;
   i19 = 17;
   break;
  }
 }
 if ((i19 | 0) == 17) return i18 | 0;
 return 0;
}

function _setupLookaside(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0;
 if (get32(i1 + 236 | 0) | 0) {
  i5 = 5;
  return i5 | 0;
 }
 i6 = i1 + 235 | 0;
 do if ((get8(i6 >> 0 | 0) | 0) != 0 ? (i7 = get32(i1 + 260 | 0) | 0, (i7 | 0) != 0) : 0) {
  if (!(get32(50 * 4 | 0) | 0)) {
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i7);
   break;
  }
  i8 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i7) | 0;
  i9 = (get32(30 * 4 | 0) | 0) - i8 | 0;
  set32(30 * 4 | 0, i9 | 0);
  if ((i9 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i9 | 0);
  i9 = (get32(39 * 4 | 0) | 0) + -1 | 0;
  set32(39 * 4 | 0, i9 | 0);
  if ((i9 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i9 | 0);
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i7);
 } while (0);
 i7 = (i3 | 0) < 5 ? 0 : i3;
 i3 = (i4 | 0) < 0 ? 0 : i4;
 if (!((i7 | 0) == 0 | (i3 | 0) == 0)) {
  i9 = i7 & -8;
  if (!i2) {
   i7 = get32(366 * 4 | 0) | 0;
   if (i7) FUNCTION_TABLE_v[i7 & 1]();
   i7 = Math_imul(i9, i3) | 0;
   do if ((i7 + -1 | 0) >>> 0 <= 2147483390) {
    if (!(get32(50 * 4 | 0) | 0)) {
     i10 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i7) | 0;
     break;
    }
    i8 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i7) | 0;
    set32(35 * 4 | 0, i7 | 0);
    if ((get32(45 * 4 | 0) | 0) < (i7 | 0)) set32(45 * 4 | 0, i7 | 0);
    i11 = get32(6 * 4 | 0) | 0;
    do if (i11) {
     i12 = get32(30 * 4 | 0) | 0;
     i13 = ((i12 | 0) < 0) << 31 >> 31;
     i14 = 16;
     i15 = _i64Subtract(get32(i14 | 0) | 0, get32(i14 + 4 | 0) | 0, i8 | 0, ((i8 | 0) < 0) << 31 >> 31 | 0) | 0;
     i14 = tempRet0;
     if ((i13 | 0) < (i14 | 0) | (i13 | 0) == (i14 | 0) & i12 >>> 0 < i15 >>> 0) {
      set32(11 * 4 | 0, 0 | 0);
      break;
     } else {
      set32(11 * 4 | 0, 1 | 0);
      i15 = get32(7 * 4 | 0) | 0;
      set32(6 * 4 | 0, 0 | 0);
      FUNCTION_TABLE_viiii[i11 & 15](i15, i12, i13, i8);
      set32(6 * 4 | 0, i11 | 0);
      set32(7 * 4 | 0, i15 | 0);
      break;
     }
    } while (0);
    i11 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i8) | 0;
    if (i11) {
     i15 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i11) | 0;
     i13 = (get32(30 * 4 | 0) | 0) + i15 | 0;
     set32(30 * 4 | 0, i13 | 0);
     if ((i13 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i13 | 0);
     i13 = get32(39 * 4 | 0) | 0;
     i15 = i13 + 1 | 0;
     set32(39 * 4 | 0, i15 | 0);
     if ((i13 | 0) < (get32(49 * 4 | 0) | 0)) i10 = i11; else {
      set32(49 * 4 | 0, i15 | 0);
      i10 = i11;
     }
    } else i10 = 0;
   } else i10 = 0; while (0);
   i7 = get32(367 * 4 | 0) | 0;
   if (!i7) {
    i16 = i9;
    i17 = i10;
   } else {
    FUNCTION_TABLE_v[i7 & 1]();
    i16 = i9;
    i17 = i10;
   }
  } else {
   i16 = i9;
   i17 = i2;
  }
 } else {
  i16 = 0;
  i17 = 0;
 }
 set32(i1 + 260 | 0, i17 | 0);
 i9 = i1 + 256 | 0;
 set32(i9 | 0, 0 | 0);
 set16(i1 + 232 | 0, i16 | 0);
 if (!i17) {
  set32(i1 + 264 | 0, 0 | 0);
  set8(i1 + 234 >> 0 | 0, 0 | 0);
  i18 = 0;
 } else {
  if ((i3 | 0) > 0) {
   i10 = (i4 | 0) > 0 ? i4 : 0;
   i4 = Math_imul(i16, ((i10 | 0) < 1 ? ~i10 : -2) + i10 + 2 | 0) | 0;
   i10 = 0;
   i7 = i3;
   i3 = i17;
   while (1) {
    set32(i3 | 0, i10 | 0);
    if ((i7 | 0) > 1) {
     i10 = i3;
     i7 = i7 + -1 | 0;
     i3 = i3 + i16 | 0;
    } else {
     i19 = i3;
     break;
    }
   }
   set32(i9 | 0, i19 | 0);
   i20 = i17 + i4 | 0;
  } else i20 = i17;
  set32(i1 + 264 | 0, i20 | 0);
  set8(i1 + 234 >> 0 | 0, 1 | 0);
  i18 = (i2 | 0) == 0 & 1;
 }
 set8(i6 >> 0 | 0, i18 | 0);
 i5 = 0;
 return i5 | 0;
}

function _blobSeekToRow(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 48 | 0;
 i6 = i5 + 32 | 0;
 i7 = i5 + 24 | 0;
 i8 = i5 + 16 | 0;
 i9 = i5 + 8 | 0;
 i10 = i5;
 i11 = i1 + 20 | 0;
 i12 = get32(i11 | 0) | 0;
 i13 = (get32(i12 + 72 | 0) | 0) + 16 | 0;
 set32(i13 | 0, i2 | 0);
 set32(i13 + 4 | 0, i3 | 0);
 i13 = _sqlite3_step(i12) | 0;
 if ((i13 | 0) == 100) {
  i14 = get32(i1 + 12 | 0) | 0;
  i15 = get32(get32(i12 + 68 | 0) | 0) | 0;
  i12 = get32((get32(i15 + 84 | 0) | 0) + (i14 << 2) | 0) | 0;
  if (i12 >>> 0 < 12) {
   i16 = get32(i1 + 24 | 0) | 0;
   set32(i10 | 0, ((i12 | 0) == 0 ? 25639 : (i12 | 0) == 7 ? 25644 : 25649) | 0);
   i17 = _sqlite3MPrintf(i16, 25610, i10) | 0;
   _sqlite3_finalize(get32(i11 | 0) | 0) | 0;
   set32(i11 | 0, 0 | 0);
   i18 = 1;
   i19 = i17;
   set32(i4 | 0, i19 | 0);
   STACKTOP = i5;
   return i18 | 0;
  }
  set32(i1 + 8 | 0, get32((get32(i15 + 88 | 0) | 0) + (i14 << 2) | 0) | 0);
  set32(i1 + 4 | 0, (i12 + -12 | 0) >>> 1 | 0);
  i12 = get32(i15 | 0) | 0;
  set32(i1 + 16 | 0, i12 | 0);
  i15 = i12 + 84 | 0;
  i14 = get32(i15 | 0) | 0;
  if (!i14) {
   set32(i15 | 0, 0 | 0);
   set8(i12 + 88 >> 0 | 0, 1 | 0);
   i18 = 0;
   i19 = 0;
   set32(i4 | 0, i19 | 0);
   STACKTOP = i5;
   return i18 | 0;
  }
  if (!(get32(50 * 4 | 0) | 0)) FUNCTION_TABLE_vi[get32(232 | 0) & 31](i14); else {
   i17 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i14) | 0;
   i10 = (get32(30 * 4 | 0) | 0) - i17 | 0;
   set32(30 * 4 | 0, i10 | 0);
   if ((i10 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i10 | 0);
   i10 = (get32(39 * 4 | 0) | 0) + -1 | 0;
   set32(39 * 4 | 0, i10 | 0);
   if ((i10 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i10 | 0);
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i14);
  }
  set32(i15 | 0, 0 | 0);
  set8(i12 + 88 >> 0 | 0, 1 | 0);
  i18 = 0;
  i19 = 0;
  set32(i4 | 0, i19 | 0);
  STACKTOP = i5;
  return i18 | 0;
 }
 i12 = get32(i11 | 0) | 0;
 if (!i12) {
  i18 = i13;
  i19 = 0;
  set32(i4 | 0, i19 | 0);
  STACKTOP = i5;
  return i18 | 0;
 }
 i13 = _sqlite3_finalize(i12) | 0;
 set32(i11 | 0, 0 | 0);
 i11 = get32(i1 + 24 | 0) | 0;
 if (!i13) {
  i1 = i9;
  set32(i1 | 0, i2 | 0);
  set32(i1 + 4 | 0, i3 | 0);
  i18 = 1;
  i19 = _sqlite3MPrintf(i11, 25657, i9) | 0;
  set32(i4 | 0, i19 | 0);
  STACKTOP = i5;
  return i18 | 0;
 }
 do if (i11) {
  i9 = get32(i11 + 56 | 0) | 0;
  L32 : do if ((i9 | 0) >= -264537850) if ((i9 | 0) < 1266094736) switch (i9 | 0) {
  case -264537850:
   {
    break L32;
    break;
   }
  default:
   {
    i20 = 19;
    break L32;
   }
  } else switch (i9 | 0) {
  case 1266094736:
   {
    break L32;
    break;
   }
  default:
   {
    i20 = 19;
    break L32;
   }
  } else switch (i9 | 0) {
  case -1607883113:
   break;
  default:
   i20 = 19;
  } while (0);
  if ((i20 | 0) == 19) {
   set32(i8 | 0, 38376 | 0);
   _sqlite3_log(21, 26104, i8);
   set32(i7 | 0, 109450 | 0);
   set32(i7 + 4 | 0, 17203 | 0);
   _sqlite3_log(21, 39226, i7);
   i21 = 38778;
   break;
  }
  if (!(get8(i11 + 30 >> 0 | 0) | 0)) {
   i9 = _sqlite3ValueText(get32(i11 + 212 | 0) | 0, 1) | 0;
   if (!i9) {
    i3 = get32(i11 + 20 | 0) & 255;
    if (i3 >>> 0 > 26 | (i3 | 0) == 2) i21 = 38974; else i21 = get32(5652 + (i3 << 2) | 0) | 0;
   } else i21 = i9;
  } else i21 = 19448;
 } else i21 = 19448; while (0);
 set32(i6 | 0, i21 | 0);
 i18 = i13;
 i19 = _sqlite3MPrintf(i11, 16817, i6) | 0;
 set32(i4 | 0, i19 | 0);
 STACKTOP = i5;
 return i18 | 0;
}

function _absFunc(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, d6 = 0.0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, d15 = 0.0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i4 = i2;
 i5 = get32(i3 | 0) | 0;
 switch (getU8(i5 + 30 >> 0 | 0) | 0 | 0) {
 case 1:
  {
   i3 = getU16(i5 + 28 | 0) | 0;
   do if (!(i3 & 4)) {
    if (i3 & 8) {
     d6 = +getF64(i5 + 8 | 0);
     i7 = +Math_abs(d6) >= 1.0 ? (d6 > 0.0 ? ~~+Math_min(+Math_floor(d6 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d6 - +(~~d6 >>> 0)) / 4294967296.0) >>> 0) : 0;
     if (!(d6 < -9223372036854775808.0 | d6 > 9223372036854775808.0)) {
      i8 = i7;
      i9 = ~~d6 >>> 0;
      i10 = 10;
      break;
     }
     i10 = 12;
     break;
    }
    if (!(i3 & 18)) {
     i11 = 0;
     i12 = 0;
     i10 = 14;
     break;
    } else {
     i7 = i4;
     set32(i7 | 0, 0 | 0);
     set32(i7 + 4 | 0, 0 | 0);
     _sqlite3Atoi64(get32(i5 + 4 | 0) | 0, i4, get32(i5 + 24 | 0) | 0, get8(i5 + 31 >> 0 | 0) | 0) | 0;
     i7 = i4;
     i8 = get32(i7 + 4 | 0) | 0;
     i9 = get32(i7 | 0) | 0;
     i10 = 10;
     break;
    }
   } else {
    i7 = i5 + 16 | 0;
    i8 = get32(i7 + 4 | 0) | 0;
    i9 = get32(i7 | 0) | 0;
    i10 = 10;
   } while (0);
   if ((i10 | 0) == 10) if ((i8 | 0) < 0) if ((i9 | 0) == 0 & (i8 & 2147483647 | 0) == 0) i10 = 12; else {
    i3 = _i64Subtract(0, 0, i9 | 0, i8 | 0) | 0;
    i11 = i3;
    i12 = tempRet0;
    i10 = 14;
   } else {
    i11 = i9;
    i12 = i8;
    i10 = 14;
   }
   if ((i10 | 0) == 12) {
    set32(i1 + 52 | 0, 1 | 0);
    _sqlite3VdbeMemSetStr(i1 + 8 | 0, 37927, -1, 1, -1) | 0;
    STACKTOP = i2;
    return;
   } else if ((i10 | 0) == 14) {
    i10 = i1 + 8 | 0;
    _sqlite3VdbeMemReleaseExternal(i10);
    i8 = i1 + 44 | 0;
    _sqlite3DbFree(get32(i10 | 0) | 0, get32(i8 | 0) | 0);
    set32(i1 + 12 | 0, 0 | 0);
    set32(i8 | 0, 0 | 0);
    set32(i1 + 40 | 0, 0 | 0);
    i8 = i1 + 24 | 0;
    set32(i8 | 0, i11 | 0);
    set32(i8 + 4 | 0, i12 | 0);
    set16(i1 + 36 | 0, 4 | 0);
    set8(i1 + 38 >> 0 | 0, 1 | 0);
    STACKTOP = i2;
    return;
   }
   break;
  }
 case 5:
  {
   i12 = i1 + 36 | 0;
   i8 = get16(i12 | 0) | 0;
   if (i8 & 64) {
    i11 = get32(i1 + 24 | 0) | 0;
    i10 = (get32(i11 | 0) | 0) + 172 | 0;
    set32(i11 + 60 | 0, get32(i10 | 0) | 0);
    set32(i10 | 0, i11 | 0);
   }
   if (!(i8 & 32)) i13 = i8; else {
    i11 = get32(i1 + 24 | 0) | 0;
    i10 = get32(i11 | 0) | 0;
    if (!i10) i14 = i8; else {
     i8 = i11 + 4 | 0;
     i9 = i10;
     do {
      i10 = i9;
      i9 = get32(i9 | 0) | 0;
      _sqlite3DbFree(get32(i8 | 0) | 0, i10);
     } while ((i9 | 0) != 0);
     i14 = get16(i12 | 0) | 0;
    }
    set32(i11 | 0, 0 | 0);
    set16(i11 + 24 | 0, 0 | 0);
    set32(i11 + 8 | 0, 0 | 0);
    set32(i11 + 12 | 0, 0 | 0);
    set32(i11 + 20 | 0, 0 | 0);
    set8(i11 + 26 >> 0 | 0, 1 | 0);
    i13 = i14;
   }
   set16(i12 | 0, i13 & 48896 | 1 | 0);
   set8(i1 + 38 >> 0 | 0, 5 | 0);
   STACKTOP = i2;
   return;
  }
 default:
  {
   i13 = getU16(i5 + 28 | 0) | 0;
   do if (!(i13 & 8)) {
    if (i13 & 4) {
     i12 = i5 + 16 | 0;
     d15 = +((get32(i12 | 0) | 0) >>> 0) + 4294967296.0 * +(get32(i12 + 4 | 0) | 0);
     break;
    }
    if (!(i13 & 18)) d15 = 0.0; else {
     setF64(i4 | 0, +(0.0));
     _sqlite3AtoF(get32(i5 + 4 | 0) | 0, i4, get32(i5 + 24 | 0) | 0, get8(i5 + 31 >> 0 | 0) | 0) | 0;
     d15 = +getF64(i4 | 0);
    }
   } else d15 = +getF64(i5 + 8 | 0); while (0);
   _sqlite3_result_double(i1, d15 < 0.0 ? -d15 : d15);
   STACKTOP = i2;
   return;
  }
 }
}

function _sqlite3ExprAffinity(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0;
 i2 = i1;
 L1 : while (1) {
  switch (get8(i2 >> 0 | 0) | 0) {
  case 37:
   {
    i3 = i2;
    i4 = 4;
    break L1;
    break;
   }
  case -124:
  case -104:
  case -102:
   {
    i5 = i2;
    i4 = 15;
    break L1;
    break;
   }
  case 116:
   break;
  default:
   {
    i6 = i2;
    break L1;
   }
  }
  i2 = get32(get32((get32(get32(i2 + 16 | 0) | 0) | 0) + 12 | 0) | 0) | 0;
 }
 if ((i4 | 0) == 4) {
  i2 = get32(i3 + 4 | 0) | 0;
  if (!i2) {
   i7 = 99;
   return i7 | 0;
  }
  i3 = get8(i2 >> 0 | 0) | 0;
  if (!(i3 << 24 >> 24)) {
   i7 = 99;
   return i7 | 0;
  } else {
   i8 = i2;
   i9 = i3;
   i10 = 99;
   i11 = 0;
  }
  while (1) {
   i3 = getU8(16286 + (i9 & 255) >> 0 | 0) | i11 << 8;
   i8 = i8 + 1 | 0;
   L13 : do if ((i3 | 0) < 1685026146) {
    if ((i3 | 0) < 1667785074) {
     switch (i3 | 0) {
     case 1651273570:
      break;
     default:
      {
       i4 = 13;
       break L13;
      }
     }
     switch (i10 << 24 >> 24) {
     case 101:
     case 99:
      {
       i12 = 98;
       i13 = 1651273570;
       break L13;
       break;
      }
     default:
      {
       i4 = 12;
       break L13;
      }
     }
    }
    if ((i3 | 0) < 1668050786) switch (i3 | 0) {
    case 1667785074:
     {
      i12 = 97;
      i13 = i3;
      break L13;
      break;
     }
    default:
     {
      i4 = 13;
      break L13;
     }
    } else switch (i3 | 0) {
    case 1668050786:
     {
      i12 = 97;
      i13 = i3;
      break L13;
      break;
     }
    default:
     {
      i4 = 13;
      break L13;
     }
    }
   } else {
    if ((i3 | 0) >= 1919246700) {
     if ((i3 | 0) >= 1952807028) switch (i3 | 0) {
     case 1952807028:
      {
       i12 = 97;
       i13 = i3;
       break L13;
       break;
      }
     default:
      {
       i4 = 13;
       break L13;
      }
     }
     switch (i3 | 0) {
     case 1919246700:
      break;
     default:
      {
       i4 = 13;
       break L13;
      }
     }
     if (i10 << 24 >> 24 == 99) {
      i12 = 101;
      i13 = 1919246700;
      break;
     } else {
      i4 = 12;
      break;
     }
    }
    if ((i3 | 0) < 1718382433) {
     switch (i3 | 0) {
     case 1685026146:
      break;
     default:
      {
       i4 = 13;
       break L13;
      }
     }
     if (i10 << 24 >> 24 == 99) {
      i12 = 101;
      i13 = 1685026146;
      break;
     }
    } else {
     switch (i3 | 0) {
     case 1718382433:
      break;
     default:
      {
       i4 = 13;
       break L13;
      }
     }
     if (i10 << 24 >> 24 == 99) {
      i12 = 101;
      i13 = 1718382433;
      break;
     }
    }
    i12 = i10;
    i13 = i3;
   } while (0);
   if ((i4 | 0) == 12) {
    i4 = 0;
    i12 = i10;
    i13 = i3;
   } else if ((i4 | 0) == 13) {
    i4 = 0;
    if ((i3 & 16777215 | 0) == 6909556) {
     i7 = 100;
     i4 = 19;
     break;
    } else {
     i12 = i10;
     i13 = i3;
    }
   }
   i9 = get8(i8 >> 0 | 0) | 0;
   if (!(i9 << 24 >> 24)) {
    i7 = i12;
    i4 = 19;
    break;
   } else {
    i10 = i12;
    i11 = i13;
   }
  }
  if ((i4 | 0) == 19) return i7 | 0;
 } else if ((i4 | 0) == 15) {
  i4 = get32(i5 + 40 | 0) | 0;
  if (!i4) i6 = i5; else {
   i13 = get16(i5 + 28 | 0) | 0;
   if (i13 << 16 >> 16 < 0) {
    i7 = 100;
    return i7 | 0;
   }
   i7 = get8((get32(i4 + 12 | 0) | 0) + ((i13 << 16 >> 16) * 24 | 0) + 22 >> 0 | 0) | 0;
   return i7 | 0;
  }
 }
 i7 = get8(i6 + 1 >> 0 | 0) | 0;
 return i7 | 0;
}

function _randomBlob(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, d6 = 0.0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i4 = i2;
 i5 = get32(i3 | 0) | 0;
 i3 = getU16(i5 + 28 | 0) | 0;
 do if (!(i3 & 4)) {
  if (i3 & 8) {
   d6 = +getF64(i5 + 8 | 0);
   i7 = d6 < -9223372036854775808.0 | d6 > 9223372036854775808.0 ? 0 : ~~d6 >>> 0;
   break;
  }
  if (!(i3 & 18)) i7 = 0; else {
   i8 = i4;
   set32(i8 | 0, 0 | 0);
   set32(i8 + 4 | 0, 0 | 0);
   _sqlite3Atoi64(get32(i5 + 4 | 0) | 0, i4, get32(i5 + 24 | 0) | 0, get8(i5 + 31 >> 0 | 0) | 0) | 0;
   i7 = get32(i4 | 0) | 0;
  }
 } else i7 = get32(i5 + 16 | 0) | 0; while (0);
 i5 = (i7 | 0) < 1 ? 1 : i7;
 i7 = i1 + 8 | 0;
 if ((get32((get32(i7 | 0) | 0) + 72 | 0) | 0) < (i5 | 0)) {
  set32(i1 + 52 | 0, 18 | 0);
  _sqlite3VdbeMemSetStr(i1 + 8 | 0, 16620, -1, 1, 0) | 0;
  STACKTOP = i2;
  return;
 }
 do if ((i5 + -1 | 0) >>> 0 <= 2147483390) {
  if (!(get32(50 * 4 | 0) | 0)) {
   i4 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i5) | 0;
   if (!i4) break; else i9 = i4;
  } else {
   i4 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i5) | 0;
   set32(35 * 4 | 0, i5 | 0);
   if ((get32(45 * 4 | 0) | 0) < (i5 | 0)) set32(45 * 4 | 0, i5 | 0);
   i3 = get32(6 * 4 | 0) | 0;
   do if (i3) {
    i8 = get32(30 * 4 | 0) | 0;
    i10 = ((i8 | 0) < 0) << 31 >> 31;
    i11 = 16;
    i12 = _i64Subtract(get32(i11 | 0) | 0, get32(i11 + 4 | 0) | 0, i4 | 0, ((i4 | 0) < 0) << 31 >> 31 | 0) | 0;
    i11 = tempRet0;
    if ((i10 | 0) < (i11 | 0) | (i10 | 0) == (i11 | 0) & i8 >>> 0 < i12 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i12 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i3 & 15](i12, i8, i10, i4);
     set32(6 * 4 | 0, i3 | 0);
     set32(7 * 4 | 0, i12 | 0);
     break;
    }
   } while (0);
   i3 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i4) | 0;
   if (!i3) break;
   i12 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i3) | 0;
   i10 = (get32(30 * 4 | 0) | 0) + i12 | 0;
   set32(30 * 4 | 0, i10 | 0);
   if ((i10 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i10 | 0);
   i10 = get32(39 * 4 | 0) | 0;
   i12 = i10 + 1 | 0;
   set32(39 * 4 | 0, i12 | 0);
   if ((i10 | 0) < (get32(49 * 4 | 0) | 0)) i9 = i3; else {
    set32(49 * 4 | 0, i12 | 0);
    i9 = i3;
   }
  }
  _sqlite3_randomness(i5, i9);
  i3 = i1 + 8 | 0;
  if ((_sqlite3VdbeMemSetStr(i3, i9, i5, 0, 2) | 0) != 18) {
   STACKTOP = i2;
   return;
  }
  set32(i1 + 52 | 0, 18 | 0);
  _sqlite3VdbeMemSetStr(i3, 16620, -1, 1, 0) | 0;
  STACKTOP = i2;
  return;
 } while (0);
 i5 = i1 + 36 | 0;
 i9 = get16(i5 | 0) | 0;
 if (i9 & 64) {
  i3 = get32(i1 + 24 | 0) | 0;
  i12 = (get32(i3 | 0) | 0) + 172 | 0;
  set32(i3 + 60 | 0, get32(i12 | 0) | 0);
  set32(i12 | 0, i3 | 0);
 }
 if (!(i9 & 32)) i13 = i9; else {
  i3 = get32(i1 + 24 | 0) | 0;
  i12 = get32(i3 | 0) | 0;
  if (!i12) i14 = i9; else {
   i9 = i3 + 4 | 0;
   i10 = i12;
   do {
    i12 = i10;
    i10 = get32(i10 | 0) | 0;
    _sqlite3DbFree(get32(i9 | 0) | 0, i12);
   } while ((i10 | 0) != 0);
   i14 = get16(i5 | 0) | 0;
  }
  set32(i3 | 0, 0 | 0);
  set16(i3 + 24 | 0, 0 | 0);
  set32(i3 + 8 | 0, 0 | 0);
  set32(i3 + 12 | 0, 0 | 0);
  set32(i3 + 20 | 0, 0 | 0);
  set8(i3 + 26 >> 0 | 0, 1 | 0);
  i13 = i14;
 }
 set16(i5 | 0, i13 & 48896 | 1 | 0);
 set8(i1 + 38 >> 0 | 0, 5 | 0);
 set32(i1 + 52 | 0, 7 | 0);
 set8((get32(i7 | 0) | 0) + 30 >> 0 | 0, 1 | 0);
 STACKTOP = i2;
 return;
}

function _sqlite3StrAccumAppend(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0;
 i4 = i1 + 26 | 0;
 i5 = i1 + 24 | 0;
 if ((get8(i5 >> 0 | 0) | get8(i4 >> 0 | 0)) << 24 >> 24) return;
 if ((i3 | 0) < 0) {
  if (!i2) return; else i6 = i2;
  while (1) if (!(get8(i6 >> 0 | 0) | 0)) {
   i7 = i6;
   break;
  } else i6 = i6 + 1 | 0;
  i8 = i7 - i2 & 1073741823;
 } else i8 = i3;
 if ((i2 | 0) == 0 | (i8 | 0) == 0) return;
 i3 = i1 + 12 | 0;
 i7 = get32(i3 | 0) | 0;
 i6 = i1 + 16 | 0;
 i9 = get32(i6 | 0) | 0;
 do if ((i7 + i8 | 0) < (i9 | 0)) {
  i10 = i8;
  i11 = i7;
 } else {
  i12 = i1 + 25 | 0;
  i13 = get8(i12 >> 0 | 0) | 0;
  if (!(i13 << 24 >> 24)) {
   set8(i4 >> 0 | 0, 1 | 0);
   i14 = i9 - i7 | 0;
   if ((i14 | 0) >= 2) {
    i10 = i14 + -1 | 0;
    i11 = i7;
    break;
   }
   return;
  }
  i14 = i1 + 8 | 0;
  i15 = get32(i14 | 0) | 0;
  i16 = i1 + 4 | 0;
  i17 = (i15 | 0) == (get32(i16 | 0) | 0);
  i18 = i17 ? 0 : i15;
  i19 = i8 + 1 | 0;
  i20 = _i64Add(i7 | 0, ((i7 | 0) < 0) << 31 >> 31 | 0, i19 | 0, ((i19 | 0) < 0) << 31 >> 31 | 0) | 0;
  i19 = tempRet0;
  i21 = get32(i1 + 20 | 0) | 0;
  i22 = ((i21 | 0) < 0) << 31 >> 31;
  if ((i19 | 0) > (i22 | 0) | (i19 | 0) == (i22 | 0) & i20 >>> 0 > i21 >>> 0) {
   do if (!i17) {
    if (i13 << 24 >> 24 == 1) {
     _sqlite3DbFree(get32(i1 | 0) | 0, i15);
     break;
    }
    if (i15) {
     if (!(get32(50 * 4 | 0) | 0)) {
      FUNCTION_TABLE_vi[get32(232 | 0) & 31](i15);
      break;
     }
     i21 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i15) | 0;
     i22 = (get32(30 * 4 | 0) | 0) - i21 | 0;
     set32(30 * 4 | 0, i22 | 0);
     if ((i22 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i22 | 0);
     i22 = (get32(39 * 4 | 0) | 0) + -1 | 0;
     set32(39 * 4 | 0, i22 | 0);
     if ((i22 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i22 | 0);
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i15);
    }
   } while (0);
   set32(i14 | 0, 0 | 0);
   set8(i4 >> 0 | 0, 1 | 0);
   return;
  }
  set32(i6 | 0, i20 | 0);
  if (i13 << 24 >> 24 != 1) {
   if (!(_sqlite3_initialize() | 0)) {
    i23 = _sqlite3Realloc(i18, i20) | 0;
    i24 = 27;
   }
  } else {
   i23 = _sqlite3DbRealloc(get32(i1 | 0) | 0, i18, i20) | 0;
   i24 = 27;
  }
  if ((i24 | 0) == 27 ? (i23 | 0) != 0 : 0) {
   if (!i18) _memcpy(i23 | 0, get32(i14 | 0) | 0, get32(i3 | 0) | 0) | 0;
   set32(i14 | 0, i23 | 0);
   i10 = i8;
   i11 = get32(i3 | 0) | 0;
   break;
  }
  set8(i5 >> 0 | 0, 1 | 0);
  i15 = get32(i14 | 0) | 0;
  do if ((i15 | 0) != (get32(i16 | 0) | 0)) {
   if ((get8(i12 >> 0 | 0) | 0) == 1) {
    _sqlite3DbFree(get32(i1 | 0) | 0, i15);
    break;
   }
   if (i15) {
    if (!(get32(50 * 4 | 0) | 0)) {
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i15);
     break;
    }
    i17 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i15) | 0;
    i22 = (get32(30 * 4 | 0) | 0) - i17 | 0;
    set32(30 * 4 | 0, i22 | 0);
    if ((i22 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i22 | 0);
    i22 = (get32(39 * 4 | 0) | 0) + -1 | 0;
    set32(39 * 4 | 0, i22 | 0);
    if ((i22 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i22 | 0);
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i15);
   }
  } while (0);
  set32(i14 | 0, 0 | 0);
  return;
 } while (0);
 _memcpy((get32(i1 + 8 | 0) | 0) + i11 | 0, i2 | 0, i10 | 0) | 0;
 set32(i3 | 0, (get32(i3 | 0) | 0) + i10 | 0);
 return;
}

function _sqlite3ExprCacheStore(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0;
 if (get32((get32(i1 | 0) | 0) + 12 | 0) & 2) return;
 i5 = i1 + 112 | 0;
 if (get32(i5 | 0) | 0) {
  i6 = i1 + 136 | 0;
  if (get32(i6 | 0) | 0) {
   i7 = i1 + 160 | 0;
   if (get32(i7 | 0) | 0) {
    i8 = i1 + 184 | 0;
    if (get32(i8 | 0) | 0) {
     i9 = i1 + 208 | 0;
     if (get32(i9 | 0) | 0) {
      i10 = i1 + 232 | 0;
      if (get32(i10 | 0) | 0) {
       i11 = i1 + 256 | 0;
       if (get32(i11 | 0) | 0) {
        i12 = i1 + 280 | 0;
        if (get32(i12 | 0) | 0) {
         i13 = i1 + 304 | 0;
         if (get32(i13 | 0) | 0) {
          i14 = i1 + 328 | 0;
          if (!(get32(i14 | 0) | 0)) {
           i15 = i14;
           i16 = i1 + 312 | 0;
          } else {
           i14 = get32(i1 + 116 | 0) | 0;
           i17 = get32(i1 + 140 | 0) | 0;
           i18 = (i17 | 0) < (i14 | 0);
           i19 = i18 ? i17 : i14;
           i17 = get32(i1 + 164 | 0) | 0;
           i20 = (i17 | 0) < (i19 | 0);
           i21 = i20 ? i17 : i19;
           i19 = get32(i1 + 188 | 0) | 0;
           i17 = (i19 | 0) < (i21 | 0);
           i22 = i17 ? i19 : i21;
           i21 = get32(i1 + 212 | 0) | 0;
           i19 = (i21 | 0) < (i22 | 0);
           i23 = i19 ? i21 : i22;
           i22 = get32(i1 + 236 | 0) | 0;
           i21 = (i22 | 0) < (i23 | 0);
           i24 = i21 ? i22 : i23;
           i23 = get32(i1 + 260 | 0) | 0;
           i22 = (i23 | 0) < (i24 | 0);
           i25 = i22 ? i23 : i24;
           i24 = get32(i1 + 284 | 0) | 0;
           i23 = (i24 | 0) < (i25 | 0);
           i26 = i23 ? i24 : i25;
           i25 = get32(i1 + 308 | 0) | 0;
           i24 = (i25 | 0) < (i26 | 0);
           i27 = (get32(i1 + 332 | 0) | 0) < ((i24 ? i25 : i26) | 0) ? 9 : i24 ? 8 : i23 ? 7 : i22 ? 6 : i21 ? 5 : i19 ? 4 : i17 ? 3 : i20 ? 2 : i18 ? 1 : ((i14 | 0) == 2147483647) << 31 >> 31;
           if ((i27 | 0) <= -1) return;
           set32(i1 + 96 + (i27 * 24 | 0) + 12 | 0, get32(i1 + 84 | 0) | 0);
           set32(i1 + 96 + (i27 * 24 | 0) | 0, i2 | 0);
           set32(i1 + 96 + (i27 * 24 | 0) + 4 | 0, i3 | 0);
           set32(i1 + 96 + (i27 * 24 | 0) + 16 | 0, i4 | 0);
           set8(i1 + 96 + (i27 * 24 | 0) + 8 >> 0 | 0, 0 | 0);
           i14 = i1 + 88 | 0;
           i18 = get32(i14 | 0) | 0;
           set32(i14 | 0, i18 + 1 | 0);
           set32(i1 + 96 + (i27 * 24 | 0) + 20 | 0, i18 | 0);
           return;
          }
         } else {
          i15 = i13;
          i16 = i1 + 288 | 0;
         }
        } else {
         i15 = i12;
         i16 = i1 + 264 | 0;
        }
       } else {
        i15 = i11;
        i16 = i1 + 240 | 0;
       }
      } else {
       i15 = i10;
       i16 = i1 + 216 | 0;
      }
     } else {
      i15 = i9;
      i16 = i1 + 192 | 0;
     }
    } else {
     i15 = i8;
     i16 = i1 + 168 | 0;
    }
   } else {
    i15 = i7;
    i16 = i1 + 144 | 0;
   }
  } else {
   i15 = i6;
   i16 = i1 + 120 | 0;
  }
 } else {
  i15 = i5;
  i16 = i1 + 96 | 0;
 }
 set32(i16 + 12 | 0, get32(i1 + 84 | 0) | 0);
 set32(i16 | 0, i2 | 0);
 set32(i16 + 4 | 0, i3 | 0);
 set32(i15 | 0, i4 | 0);
 set8(i16 + 8 >> 0 | 0, 0 | 0);
 i4 = i1 + 88 | 0;
 i1 = get32(i4 | 0) | 0;
 set32(i4 | 0, i1 + 1 | 0);
 set32(i16 + 20 | 0, i1 | 0);
 return;
}

function _minmaxStep(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0;
 i2 = get32(i3 | 0) | 0;
 if ((get8(i2 + 30 >> 0 | 0) | 0) == 5) return;
 i3 = get32(i1 + 48 | 0) | 0;
 i4 = i3 + 28 | 0;
 if (!(get16(i4 | 0) & 8192)) {
  _sqlite3VdbeMemGrow(i3, 40, 0) | 0;
  set16(i4 | 0, 8192 | 0);
  set32(i3 + 16 | 0, get32(i1 | 0) | 0);
  i4 = i3 + 4 | 0;
  i5 = get32(i4 | 0) | 0;
  if (!i5) i6 = i4; else {
   i7 = i5;
   i8 = i7 + 40 | 0;
   do {
    set8(i7 >> 0 | 0, 0 | 0);
    i7 = i7 + 1 | 0;
   } while ((i7 | 0) < (i8 | 0));
   i6 = i4;
  }
 } else i6 = i3 + 4 | 0;
 i3 = get32(i6 | 0) | 0;
 if (!i3) return;
 i6 = i3 + 28 | 0;
 if (!(get16(i6 | 0) | 0)) {
  _sqlite3VdbeMemReleaseExternal(i3);
  i7 = i3;
  i9 = i2;
  i8 = i7 + 36 | 0;
  do {
   set32(i7 | 0, get32(i9 | 0) | 0);
   i7 = i7 + 4 | 0;
   i9 = i9 + 4 | 0;
  } while ((i7 | 0) < (i8 | 0));
  i4 = getU16(i6 | 0) | 0;
  i5 = i4 & 64511;
  set16(i6 | 0, i5 | 0);
  if (!(i4 & 18)) return;
  if (get16(i2 + 28 | 0) & 2048) return;
  i4 = (i5 | 4096) & 65535;
  set16(i6 | 0, i4 | 0);
  do if (i4 & 16384) {
   i5 = i3 + 24 | 0;
   i10 = i3 + 16 | 0;
   i11 = (get32(i10 | 0) | 0) + (get32(i5 | 0) | 0) | 0;
   if (!(_sqlite3VdbeMemGrow(i3, (i11 | 0) < 1 ? 1 : i11, 1) | 0)) {
    _memset((get32(i3 + 4 | 0) | 0) + (get32(i5 | 0) | 0) | 0, 0, get32(i10 | 0) | 0) | 0;
    set32(i5 | 0, (get32(i5 | 0) | 0) + (get32(i10 | 0) | 0) | 0);
    i10 = getU16(i6 | 0) & 48639;
    set16(i6 | 0, i10 | 0);
    i12 = i10;
    break;
   } else {
    i12 = get16(i6 | 0) | 0;
    break;
   }
  } else i12 = i4; while (0);
  if (!(i12 & 18)) return;
  i12 = i3 + 4 | 0;
  if ((get32(i12 | 0) | 0) == (get32(i3 + 36 | 0) | 0)) return;
  i4 = i3 + 24 | 0;
  if (_sqlite3VdbeMemGrow(i3, (get32(i4 | 0) | 0) + 2 | 0, 1) | 0) return;
  set8((get32(i12 | 0) | 0) + (get32(i4 | 0) | 0) >> 0 | 0, 0 | 0);
  set8((get32(i12 | 0) | 0) + ((get32(i4 | 0) | 0) + 1) >> 0 | 0, 0 | 0);
  set16(i6 | 0, getU16(i6 | 0) | 512 | 0);
  return;
 }
 i4 = (get32((get32(i1 | 0) | 0) + 4 | 0) | 0) != 0;
 i12 = _sqlite3MemCompare(i3, i2, get32(i1 + 56 | 0) | 0) | 0;
 if (!(i4 & (i12 | 0) < 0) ? !((i12 | 0) > 0 & (i4 ^ 1)) : 0) return;
 _sqlite3VdbeMemReleaseExternal(i3);
 i7 = i3;
 i9 = i2;
 i8 = i7 + 36 | 0;
 do {
  set32(i7 | 0, get32(i9 | 0) | 0);
  i7 = i7 + 4 | 0;
  i9 = i9 + 4 | 0;
 } while ((i7 | 0) < (i8 | 0));
 i9 = getU16(i6 | 0) | 0;
 i7 = i9 & 64511;
 set16(i6 | 0, i7 | 0);
 if (!(i9 & 18)) return;
 if (get16(i2 + 28 | 0) & 2048) return;
 i2 = (i7 | 4096) & 65535;
 set16(i6 | 0, i2 | 0);
 do if (i2 & 16384) {
  i7 = i3 + 24 | 0;
  i9 = i3 + 16 | 0;
  i8 = (get32(i9 | 0) | 0) + (get32(i7 | 0) | 0) | 0;
  if (!(_sqlite3VdbeMemGrow(i3, (i8 | 0) < 1 ? 1 : i8, 1) | 0)) {
   _memset((get32(i3 + 4 | 0) | 0) + (get32(i7 | 0) | 0) | 0, 0, get32(i9 | 0) | 0) | 0;
   set32(i7 | 0, (get32(i7 | 0) | 0) + (get32(i9 | 0) | 0) | 0);
   i9 = getU16(i6 | 0) & 48639;
   set16(i6 | 0, i9 | 0);
   i13 = i9;
   break;
  } else {
   i13 = get16(i6 | 0) | 0;
   break;
  }
 } else i13 = i2; while (0);
 if (!(i13 & 18)) return;
 i13 = i3 + 4 | 0;
 if ((get32(i13 | 0) | 0) == (get32(i3 + 36 | 0) | 0)) return;
 i2 = i3 + 24 | 0;
 if (_sqlite3VdbeMemGrow(i3, (get32(i2 | 0) | 0) + 2 | 0, 1) | 0) return;
 set8((get32(i13 | 0) | 0) + (get32(i2 | 0) | 0) >> 0 | 0, 0 | 0);
 set8((get32(i13 | 0) | 0) + ((get32(i2 | 0) | 0) + 1) >> 0 | 0, 0 | 0);
 set16(i6 | 0, getU16(i6 | 0) | 512 | 0);
 return;
}

function _btreeInitPage(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 48 | 0;
 i3 = i2 + 40 | 0;
 i4 = i2 + 32 | 0;
 i5 = i2 + 24 | 0;
 i6 = i2 + 16 | 0;
 i7 = i2 + 8 | 0;
 i8 = i2;
 if (get8(i1 >> 0 | 0) | 0) {
  i9 = 0;
  STACKTOP = i2;
  return i9 | 0;
 }
 i10 = get32(i1 + 60 | 0) | 0;
 i11 = get32(i1 + 64 | 0) | 0;
 i12 = getU8(i1 + 5 >> 0 | 0) | 0;
 i13 = getU8(i11 + i12 >> 0 | 0) | 0;
 i14 = i13 >>> 3;
 i15 = i14 & 255;
 set8(i1 + 3 >> 0 | 0, i15 | 0);
 set8(i1 + 6 >> 0 | 0, 4 - (i14 << 2) | 0);
 switch (i13 & 247 | 0) {
 case 5:
  {
   set8(i1 + 2 >> 0 | 0, 1 | 0);
   set8(i1 + 4 >> 0 | 0, i15 | 0);
   set16(i1 + 8 | 0, get16(i10 + 30 | 0) | 0 | 0);
   set16(i1 + 10 | 0, get16(i10 + 32 | 0) | 0 | 0);
   break;
  }
 case 2:
  {
   set8(i1 + 2 >> 0 | 0, 0 | 0);
   set8(i1 + 4 >> 0 | 0, 0 | 0);
   set16(i1 + 8 | 0, get16(i10 + 26 | 0) | 0 | 0);
   set16(i1 + 10 | 0, get16(i10 + 28 | 0) | 0 | 0);
   break;
  }
 default:
  {
   set32(i8 | 0, 48881 | 0);
   set32(i8 + 4 | 0, 17203 | 0);
   _sqlite3_log(11, 19615, i8);
   set32(i7 | 0, 48919 | 0);
   set32(i7 + 4 | 0, 17203 | 0);
   _sqlite3_log(11, 19615, i7);
   i9 = 11;
   STACKTOP = i2;
   return i9 | 0;
  }
 }
 i7 = get32(i10 + 36 | 0) | 0;
 set16(i1 + 18 | 0, i7 + 65535 | 0);
 set8(i1 + 1 >> 0 | 0, 0 | 0);
 i8 = get32(i10 + 40 | 0) | 0;
 i10 = i12 + 12 - (i14 << 2) | 0;
 set16(i1 + 12 | 0, i10 | 0);
 i14 = get8(i11 + (i12 + 5) >> 0 | 0) | 0;
 i15 = get8(i11 + (i12 + 6) >> 0 | 0) | 0;
 i13 = getU8(i11 + (i12 + 3) >> 0 | 0) << 8 | getU8(i11 + (i12 + 4) >> 0 | 0);
 set16(i1 + 16 | 0, i13 | 0);
 if (i13 >>> 0 > (((i7 + -8 | 0) >>> 0) / 6 | 0) >>> 0) {
  set32(i6 | 0, 48929 | 0);
  set32(i6 + 4 | 0, 17203 | 0);
  _sqlite3_log(11, 19615, i6);
  i9 = 11;
  STACKTOP = i2;
  return i9 | 0;
 }
 i6 = (i13 << 1) + (i10 & 65535) | 0;
 i10 = i8 + -4 | 0;
 i13 = getU8(i11 + (i12 + 1) >> 0 | 0) << 8 | getU8(i11 + (i12 + 2) >> 0 | 0);
 i7 = (((i14 & 255) << 8 | i15 & 255) + 65535 & 65535) + 1 + (getU8(i11 + (i12 + 7) >> 0 | 0) | 0) | 0;
 L14 : do if (!i13) i16 = i7; else {
  L16 : do if (!((i13 | 0) < (i6 | 0) | (i13 | 0) > (i10 | 0))) {
   i12 = i13;
   i15 = i7;
   while (1) {
    i14 = i12;
    i12 = getU8(i11 + i12 >> 0 | 0) << 8 | getU8(i11 + (i12 + 1) >> 0 | 0);
    i17 = getU8(i11 + (i14 + 2) >> 0 | 0) << 8 | getU8(i11 + (i14 + 3) >> 0 | 0);
    i18 = i17 + i14 | 0;
    if (!i12) {
     i19 = i17;
     i20 = i18;
     i21 = i15;
     i22 = 13;
     break;
    }
    if ((i18 | 0) > (i8 | 0) | i12 >>> 0 <= (i18 + 3 | 0) >>> 0) break;
    if ((i12 | 0) < (i6 | 0) | (i12 | 0) > (i10 | 0)) break L16; else i15 = i17 + i15 | 0;
   }
   if ((i22 | 0) == 13 ? (i20 | 0) <= (i8 | 0) : 0) {
    i16 = i19 + i21 | 0;
    break L14;
   }
   set32(i4 | 0, 48979 | 0);
   set32(i4 + 4 | 0, 17203 | 0);
   _sqlite3_log(11, 19615, i4);
   i9 = 11;
   STACKTOP = i2;
   return i9 | 0;
  } while (0);
  set32(i5 | 0, 48972 | 0);
  set32(i5 + 4 | 0, 17203 | 0);
  _sqlite3_log(11, 19615, i5);
  i9 = 11;
  STACKTOP = i2;
  return i9 | 0;
 } while (0);
 if ((i16 | 0) > (i8 | 0)) {
  set32(i3 | 0, 48993 | 0);
  set32(i3 + 4 | 0, 17203 | 0);
  _sqlite3_log(11, 19615, i3);
  i9 = 11;
  STACKTOP = i2;
  return i9 | 0;
 } else {
  set16(i1 + 14 | 0, i16 - i6 | 0);
  set8(i1 >> 0 | 0, 1 | 0);
  i9 = 0;
  STACKTOP = i2;
  return i9 | 0;
 }
 return 0;
}

function _parseHhMmSs(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, d15 = 0.0, d16 = 0.0, d17 = 0.0, d18 = 0.0, d19 = 0.0, d20 = 0.0, i21 = 0, i22 = 0, d23 = 0.0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 128 | 0;
 i4 = i3 + 64 | 0;
 i5 = i3 + 40 | 0;
 i6 = i3;
 i7 = i3 + 112 | 0;
 i8 = i3 + 116 | 0;
 i9 = i3 + 108 | 0;
 i10 = i3 + 104 | 0;
 set32(i6 | 0, 2 | 0);
 set32(i6 + 4 | 0, 0 | 0);
 set32(i6 + 8 | 0, 24 | 0);
 set32(i6 + 12 | 0, 58 | 0);
 set32(i6 + 16 | 0, i8 | 0);
 set32(i6 + 20 | 0, 2 | 0);
 set32(i6 + 24 | 0, 0 | 0);
 set32(i6 + 28 | 0, 59 | 0);
 set32(i6 + 32 | 0, 0 | 0);
 set32(i6 + 36 | 0, i9 | 0);
 if ((_getDigits(i1, i6) | 0) != 2) {
  i11 = 1;
  STACKTOP = i3;
  return i11 | 0;
 }
 i12 = i1 + 5 | 0;
 if ((get8(i12 >> 0 | 0) | 0) == 58) {
  set32(i5 | 0, 2 | 0);
  set32(i5 + 4 | 0, 0 | 0);
  set32(i5 + 8 | 0, 59 | 0);
  set32(i5 + 12 | 0, 0 | 0);
  set32(i5 + 16 | 0, i10 | 0);
  if ((_getDigits(i1 + 6 | 0, i5) | 0) != 1) {
   i11 = 1;
   STACKTOP = i3;
   return i11 | 0;
  }
  i5 = i1 + 8 | 0;
  if ((get8(i5 >> 0 | 0) | 0) == 46 ? (i13 = i1 + 9 | 0, i1 = get8(i13 >> 0 | 0) | 0, ((i1 & 255) + -48 | 0) >>> 0 < 10) : 0) {
   i14 = i13;
   i13 = i1;
   d15 = 0.0;
   d16 = 1.0;
   while (1) {
    d17 = d15 * 10.0 + +(i13 << 24 >> 24) + -48.0;
    d18 = d16 * 10.0;
    i1 = i14 + 1 | 0;
    i13 = get8(i1 >> 0 | 0) | 0;
    if (((i13 & 255) + -48 | 0) >>> 0 >= 10) {
     d19 = d17;
     d20 = d18;
     i21 = i1;
     break;
    } else {
     i14 = i1;
     d15 = d17;
     d16 = d18;
    }
   }
   i22 = i21;
   d23 = d19 / d20;
  } else {
   i22 = i5;
   d23 = 0.0;
  }
 } else {
  set32(i10 | 0, 0 | 0);
  i22 = i12;
  d23 = 0.0;
 }
 set8(i2 + 42 >> 0 | 0, 0 | 0);
 set8(i2 + 41 >> 0 | 0, 1 | 0);
 set32(i2 + 20 | 0, get32(i8 | 0) | 0);
 set32(i2 + 24 | 0, get32(i9 | 0) | 0);
 setF64(i2 + 32 | 0, +(d23 + +(get32(i10 | 0) | 0)));
 i10 = i22;
 while (1) {
  i22 = i10 + 1 | 0;
  if (!(get8(16821 + (getU8(i10 >> 0 | 0) | 0) >> 0 | 0) & 1)) {
   i24 = i10;
   i25 = i22;
   break;
  } else i10 = i22;
 }
 i10 = i2 + 28 | 0;
 set32(i10 | 0, 0 | 0);
 i22 = get8(i24 >> 0 | 0) | 0;
 switch (i22 << 24 >> 24) {
 case 45:
  {
   i26 = -1;
   i27 = 14;
   break;
  }
 case 43:
  {
   i26 = 1;
   i27 = 14;
   break;
  }
 default:
  if ((i22 & -33) << 24 >> 24 == 90) {
   i28 = i25;
   i29 = 0;
   i27 = 17;
  } else {
   i30 = i22;
   i31 = 0;
  }
 }
 do if ((i27 | 0) == 14) {
  set32(i4 | 0, 2 | 0);
  set32(i4 + 4 | 0, 0 | 0);
  set32(i4 + 8 | 0, 14 | 0);
  set32(i4 + 12 | 0, 58 | 0);
  set32(i4 + 16 | 0, i6 | 0);
  set32(i4 + 20 | 0, 2 | 0);
  set32(i4 + 24 | 0, 0 | 0);
  set32(i4 + 28 | 0, 59 | 0);
  set32(i4 + 32 | 0, 0 | 0);
  set32(i4 + 36 | 0, i7 | 0);
  if ((_getDigits(i25, i4) | 0) == 2) {
   i22 = Math_imul(((get32(i6 | 0) | 0) * 60 | 0) + (get32(i7 | 0) | 0) | 0, i26) | 0;
   set32(i10 | 0, i22 | 0);
   i28 = i24 + 6 | 0;
   i29 = i22;
   i27 = 17;
   break;
  }
  i11 = 1;
  STACKTOP = i3;
  return i11 | 0;
 } while (0);
 if ((i27 | 0) == 17) {
  i27 = i28;
  while (1) {
   i28 = get8(i27 >> 0 | 0) | 0;
   if (!(get8(16821 + (i28 & 255) >> 0 | 0) & 1)) {
    i30 = i28;
    i31 = i29;
    break;
   } else i27 = i27 + 1 | 0;
  }
 }
 if (i30 << 24 >> 24) {
  i11 = 1;
  STACKTOP = i3;
  return i11 | 0;
 }
 set8(i2 + 43 >> 0 | 0, (i31 | 0) != 0 & 1 | 0);
 i11 = 0;
 STACKTOP = i3;
 return i11 | 0;
}

function _readDbPage(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i3 = i2;
 i4 = i2 + 8 | 0;
 i5 = get32(i1 + 16 | 0) | 0;
 i6 = get32(i1 + 12 | 0) | 0;
 i7 = i5 + 128 | 0;
 i8 = get32(i7 | 0) | 0;
 i9 = i5 + 60 | 0;
 if (!(get32(get32(i9 | 0) | 0) | 0)) {
  _memset(get32(i1 | 0) | 0, 0, i8 | 0) | 0;
  i10 = 0;
  STACKTOP = i2;
  return i10 | 0;
 }
 i11 = get32(i5 + 172 | 0) | 0;
 do if (((i11 | 0) != 0 ? (i12 = get32(i1 | 0) | 0, i13 = get32(i11 + 60 | 0) | 0, (i13 | 0) != 0) : 0) ? (get16(i11 + 36 | 0) | 0) != 0 : 0) {
  i14 = i6 * 383 & 8191;
  i15 = (i13 + 33 | 0) >>> 12;
  L9 : while (1) {
   i16 = _walIndexPage(i11, i15, i4) | 0;
   if (i16) {
    i17 = i16;
    i18 = 11;
    break;
   }
   i16 = get32(i4 | 0) | 0;
   i19 = i16 + 16384 | 0;
   if (!i15) {
    i20 = i16 + 136 | 0;
    set32(i4 | 0, i20 | 0);
    i21 = i20;
    i22 = 0;
   } else {
    i21 = i16;
    i22 = (i15 << 12) + -34 | 0;
   }
   i16 = i19 + (i14 << 1) | 0;
   if (!(get16(i16 | 0) | 0)) i23 = 0; else {
    i20 = i16;
    i16 = i14;
    i24 = 0;
    i25 = 8192;
    while (1) {
     i26 = (getU16(i20 | 0) | 0) + i22 | 0;
     if (i26 >>> 0 > i13 >>> 0) i27 = i24; else i27 = (get32(i21 + ((getU16(i20 | 0) | 0) + -1 << 2) | 0) | 0) == (i6 | 0) ? i26 : i24;
     if (!i25) {
      i18 = 16;
      break L9;
     }
     i16 = i16 + 1 & 8191;
     i20 = i19 + (i16 << 1) | 0;
     if (!(get16(i20 | 0) | 0)) {
      i23 = i27;
      break;
     } else {
      i24 = i27;
      i25 = i25 + -1 | 0;
     }
    }
   }
   i28 = (i23 | 0) == 0;
   if ((i15 | 0) > 0 & i28) i15 = i15 + -1 | 0; else {
    i18 = 19;
    break;
   }
  }
  if ((i18 | 0) == 11) {
   i29 = 0;
   i30 = i17;
   break;
  } else if ((i18 | 0) == 16) {
   set32(i3 | 0, 45943 | 0);
   set32(i3 + 4 | 0, 17203 | 0);
   _sqlite3_log(11, 19615, i3);
   i29 = 0;
   i30 = 11;
   break;
  } else if ((i18 | 0) == 19) {
   if (i28) {
    i29 = 0;
    i30 = 0;
    break;
   }
   i15 = getU16(i11 + 58 | 0) | 0;
   i13 = ___muldi3(i15 & 65024 | i15 << 16 & 65536 | 24 | 0, 0, i23 + -1 | 0, 0) | 0;
   i15 = _i64Add(i13 | 0, tempRet0 | 0, 56, 0) | 0;
   i13 = get32(i11 + 8 | 0) | 0;
   i29 = 1;
   i30 = FUNCTION_TABLE_iiiiii[get32((get32(i13 | 0) | 0) + 8 | 0) & 31](i13, i12, i8, i15, tempRet0) | 0;
   break;
  }
 } else {
  i29 = 0;
  i30 = 0;
 } while (0);
 if (!(i30 | i29)) {
  i29 = get32(i7 | 0) | 0;
  i7 = ___muldi3(i29 | 0, ((i29 | 0) < 0) << 31 >> 31 | 0, i6 + -1 | 0, 0) | 0;
  i29 = get32(i9 | 0) | 0;
  i9 = FUNCTION_TABLE_iiiiii[get32((get32(i29 | 0) | 0) + 8 | 0) & 31](i29, get32(i1 | 0) | 0, i8, i7, tempRet0) | 0;
  i31 = (i9 | 0) == 522 ? 0 : i9;
 } else i31 = i30;
 if ((i6 | 0) != 1) {
  i10 = i31;
  STACKTOP = i2;
  return i10 | 0;
 }
 if (!i31) {
  i32 = i5 + 100 | 0;
  i6 = (get32(i1 | 0) | 0) + 24 | 0;
  i33 = i32 + 16 | 0;
  do {
   set8(i32 >> 0 | 0, get8(i6 >> 0 | 0) | 0 | 0);
   i32 = i32 + 1 | 0;
   i6 = i6 + 1 | 0;
  } while ((i32 | 0) < (i33 | 0));
  i10 = 0;
  STACKTOP = i2;
  return i10 | 0;
 } else {
  i32 = i5 + 100 | 0;
  i33 = i32 + 16 | 0;
  do {
   set8(i32 >> 0 | 0, 255 | 0);
   i32 = i32 + 1 | 0;
  } while ((i32 | 0) < (i33 | 0));
  i10 = i31;
  STACKTOP = i2;
  return i10 | 0;
 }
 return 0;
}

function _sqlite3_backup_init(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 if ((i3 | 0) == (i1 | 0)) {
  _sqlite3Error(i3, 1, 16580, i5);
  i6 = 0;
  STACKTOP = i5;
  return i6 | 0;
 }
 i7 = _sqlite3_malloc(48) | 0;
 if (!i7) {
  _sqlite3Error(i1, 7, 0, i5 + 8 | 0);
  i6 = 0;
  STACKTOP = i5;
  return i6 | 0;
 }
 i8 = i7;
 i9 = i8 + 48 | 0;
 do {
  set32(i8 | 0, 0 | 0);
  i8 = i8 + 4 | 0;
 } while ((i8 | 0) < (i9 | 0));
 i8 = i7 + 24 | 0;
 set32(i8 | 0, _findBtree(i1, i3, i4) | 0 | 0);
 i4 = _findBtree(i1, i1, i2) | 0;
 set32(i7 + 4 | 0, i4 | 0);
 set32(i7 | 0, i1 | 0);
 set32(i7 + 20 | 0, i3 | 0);
 set32(i7 + 16 | 0, 1 | 0);
 set32(i7 + 40 | 0, 0 | 0);
 i3 = get32(i8 | 0) | 0;
 do if (!((i3 | 0) == 0 | (i4 | 0) == 0)) {
  i1 = get32((get32(i3 + 4 | 0) | 0) + 36 | 0) | 0;
  i2 = get32(i4 + 4 | 0) | 0;
  set32(i2 + 4 | 0, get32(i4 | 0) | 0);
  if (!(get8(i2 + 17 >> 0 | 0) | 0)) {
   i9 = i2 + 36 | 0;
   i10 = i2 + 40 | 0;
   i11 = (get32(i9 | 0) | 0) - (get32(i10 | 0) | 0) | 0;
   if ((i1 + -512 | 0) >>> 0 < 65025 ? (i1 + -1 & i1 | 0) == 0 : 0) {
    set32(i9 | 0, i1 | 0);
    i1 = i2 + 88 | 0;
    i12 = get32(i1 | 0) | 0;
    do if (i12) {
     if ((get32(379 * 4 | 0) | 0) >>> 0 <= i12 >>> 0 & (get32(380 * 4 | 0) | 0) >>> 0 > i12 >>> 0) {
      i13 = (get32(31 * 4 | 0) | 0) + -1 | 0;
      set32(31 * 4 | 0, i13 | 0);
      if ((i13 | 0) > (get32(41 * 4 | 0) | 0)) set32(41 * 4 | 0, i13 | 0);
      set32(i12 | 0, get32(383 * 4 | 0) | 0);
      set32(383 * 4 | 0, i12 | 0);
      i13 = (get32(382 * 4 | 0) | 0) + 1 | 0;
      set32(382 * 4 | 0, i13 | 0);
      set32(384 * 4 | 0, (i13 | 0) < (get32(378 * 4 | 0) | 0) & 1 | 0);
      break;
     }
     i13 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i12) | 0;
     i14 = (get32(32 * 4 | 0) | 0) - i13 | 0;
     set32(32 * 4 | 0, i14 | 0);
     if ((i14 | 0) > (get32(42 * 4 | 0) | 0)) set32(42 * 4 | 0, i14 | 0);
     if (!(get32(50 * 4 | 0) | 0)) {
      FUNCTION_TABLE_vi[get32(232 | 0) & 31](i12);
      break;
     }
     i14 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i12) | 0;
     i13 = (get32(30 * 4 | 0) | 0) - i14 | 0;
     set32(30 * 4 | 0, i13 | 0);
     if ((i13 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i13 | 0);
     i13 = (get32(39 * 4 | 0) | 0) + -1 | 0;
     set32(39 * 4 | 0, i13 | 0);
     if ((i13 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i13 | 0);
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i12);
    } while (0);
    set32(i1 | 0, 0 | 0);
   }
   i12 = _sqlite3PagerSetPagesize(get32(i2 | 0) | 0, i9, i11) | 0;
   set32(i10 | 0, (get32(i9 | 0) | 0) - (i11 & 65535) | 0);
   if ((i12 | 0) == 7) break;
   i15 = get32(i8 | 0) | 0;
  } else i15 = i3;
  i12 = i15 + 16 | 0;
  set32(i12 | 0, (get32(i12 | 0) | 0) + 1 | 0);
  i6 = i7;
  STACKTOP = i5;
  return i6 | 0;
 } while (0);
 if (!(get32(50 * 4 | 0) | 0)) {
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i7);
  i6 = 0;
  STACKTOP = i5;
  return i6 | 0;
 }
 i15 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i7) | 0;
 i3 = (get32(30 * 4 | 0) | 0) - i15 | 0;
 set32(30 * 4 | 0, i3 | 0);
 if ((i3 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i3 | 0);
 i3 = (get32(39 * 4 | 0) | 0) + -1 | 0;
 set32(39 * 4 | 0, i3 | 0);
 if ((i3 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i3 | 0);
 FUNCTION_TABLE_vi[get32(232 | 0) & 31](i7);
 i6 = 0;
 STACKTOP = i5;
 return i6 | 0;
}

function _sqlite3Atoi64(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0, i33 = 0, i34 = 0;
 i5 = i4 << 24 >> 24 == 1 ? 1 : 2;
 i6 = i1 + i3 | 0;
 i3 = i4 << 24 >> 24 == 3 ? i1 + 1 | 0 : i1;
 L1 : do if (i3 >>> 0 < i6 >>> 0) {
  i1 = i3;
  while (1) {
   i4 = get8(i1 >> 0 | 0) | 0;
   if (!(get8(16821 + (i4 & 255) >> 0 | 0) & 1)) {
    i7 = i1;
    i8 = i4;
    break;
   }
   i4 = i1 + i5 | 0;
   if (i4 >>> 0 < i6 >>> 0) i1 = i4; else {
    i9 = i4;
    i10 = 0;
    break L1;
   }
  }
  switch (i8 << 24 >> 24) {
  case 45:
   {
    i9 = i7 + i5 | 0;
    i10 = 1;
    break L1;
    break;
   }
  case 43:
   {
    i9 = i7 + i5 | 0;
    i10 = 0;
    break L1;
    break;
   }
  default:
   {
    i9 = i7;
    i10 = 0;
    break L1;
   }
  }
 } else {
  i9 = i3;
  i10 = 0;
 } while (0);
 L10 : do if (i9 >>> 0 < i6 >>> 0) {
  i3 = i9;
  while (1) {
   if ((get8(i3 >> 0 | 0) | 0) != 48) {
    i11 = i3;
    break L10;
   }
   i7 = i3 + i5 | 0;
   if (i7 >>> 0 < i6 >>> 0) i3 = i7; else {
    i11 = i7;
    break;
   }
  }
 } else i11 = i9; while (0);
 if (i11 >>> 0 < i6 >>> 0) {
  i3 = i11;
  i7 = 0;
  i8 = 0;
  i1 = 0;
  while (1) {
   i4 = get8(i3 >> 0 | 0) | 0;
   if ((i4 + -48 & 255) >= 10) {
    i12 = 0;
    i13 = i4;
    i14 = i8;
    i15 = i7;
    i16 = i1;
    break;
   }
   i17 = ___muldi3(i7 | 0, i8 | 0, 10, 0) | 0;
   i18 = i4 << 24 >> 24;
   i19 = _i64Add(i17 | 0, tempRet0 | 0, -48, -1) | 0;
   i17 = _i64Add(i19 | 0, tempRet0 | 0, i18 | 0, ((i18 | 0) < 0) << 31 >> 31 | 0) | 0;
   i18 = tempRet0;
   i19 = i1 + i5 | 0;
   i3 = i11 + i19 | 0;
   if (i3 >>> 0 >= i6 >>> 0) {
    i12 = 1;
    i13 = i4;
    i14 = i18;
    i15 = i17;
    i16 = i19;
    break;
   } else {
    i7 = i17;
    i8 = i18;
    i1 = i19;
   }
  }
  i1 = i13 << 24 >> 24;
  if ((i14 | 0) < 0) {
   i13 = i2;
   set32(i13 | 0, 0 | 0);
   set32(i13 + 4 | 0, -2147483648 | 0);
   i20 = i12;
   i21 = i1;
   i22 = i16;
  } else {
   i23 = i12;
   i24 = i15;
   i25 = i14;
   i26 = i1;
   i27 = i16;
   i28 = 15;
  }
 } else {
  i23 = 1;
  i24 = 0;
  i25 = 0;
  i26 = 0;
  i27 = 0;
  i28 = 15;
 }
 do if ((i28 | 0) == 15) if (!i10) {
  i16 = i2;
  set32(i16 | 0, i24 | 0);
  set32(i16 + 4 | 0, i25 | 0);
  i20 = i23;
  i21 = i26;
  i22 = i27;
  break;
 } else {
  i16 = _i64Subtract(0, 0, i24 | 0, i25 | 0) | 0;
  i1 = i2;
  set32(i1 | 0, i16 | 0);
  set32(i1 + 4 | 0, tempRet0 | 0);
  i20 = i23;
  i21 = i26;
  i22 = i27;
  break;
 } while (0);
 if (!((i21 | 0) == 0 | i20)) {
  i29 = 1;
  return i29 | 0;
 }
 if ((i9 | 0) == (i11 | 0) & (i22 | 0) == 0) {
  i29 = 1;
  return i29 | 0;
 }
 i9 = i5 * 19 | 0;
 if ((i22 | 0) > (i9 | 0)) {
  i29 = 1;
  return i29 | 0;
 }
 if ((i22 | 0) < (i9 | 0)) {
  i29 = 0;
  return i29 | 0;
 } else i30 = 0;
 do {
  i31 = get8(i11 + (Math_imul(i30, i5) | 0) >> 0 | 0) | 0;
  i32 = get8(19799 + i30 >> 0 | 0) | 0;
  i30 = i30 + 1 | 0;
  i33 = i31 << 24 >> 24 == i32 << 24 >> 24;
 } while ((i30 | 0) < 18 & i33);
 if (i33) i34 = (get8(i11 + (i5 * 18 | 0) >> 0 | 0) | 0) + -56 | 0; else i34 = ((i31 << 24 >> 24) - (i32 << 24 >> 24) | 0) * 10 | 0;
 if ((i34 | 0) < 0) {
  i29 = 0;
  return i29 | 0;
 }
 if ((i34 | 0) > 0) {
  i29 = 1;
  return i29 | 0;
 }
 i29 = (i10 | 0) != 0 ? 0 : 2;
 return i29 | 0;
}

function _clearCell(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 64 | 0;
 i4 = i3 + 40 | 0;
 i5 = i3 + 32 | 0;
 i6 = i3;
 i7 = i3 + 52 | 0;
 i8 = i3 + 48 | 0;
 i9 = get32(i1 + 60 | 0) | 0;
 _btreeParseCellPtr(i1, i2, i6);
 i1 = get16(i6 + 24 | 0) | 0;
 if (!(i1 << 16 >> 16)) {
  i10 = 0;
  STACKTOP = i3;
  return i10 | 0;
 }
 i11 = i1 & 65535;
 i1 = (get32(i9 + 40 | 0) | 0) + -4 | 0;
 i12 = (((get32(i6 + 16 | 0) | 0) + -1 + i1 - (getU16(i6 + 22 | 0) | 0) | 0) >>> 0) / (i1 >>> 0) | 0;
 if (!i12) {
  i10 = 0;
  STACKTOP = i3;
  return i10 | 0;
 }
 i1 = i9 + 48 | 0;
 i6 = i12;
 i12 = getU8(i2 + (i11 + 1) >> 0 | 0) << 16 | getU8(i2 + i11 >> 0 | 0) << 24 | getU8(i2 + (i11 + 2) >> 0 | 0) << 8 | getU8(i2 + (i11 + 3) >> 0 | 0);
 while (1) {
  i6 = i6 + -1 | 0;
  set32(i7 | 0, 0 | 0);
  set32(i8 | 0, 0 | 0);
  if (i12 >>> 0 < 2) {
   i13 = 6;
   break;
  }
  if (i12 >>> 0 > (get32(i1 | 0) | 0) >>> 0) {
   i13 = 6;
   break;
  }
  i11 = (i6 | 0) == 0;
  if (!i11) {
   i2 = _getOverflowPage(i9, i12, i8, i7) | 0;
   if (i2) {
    i10 = i2;
    i13 = 25;
    break;
   }
   i2 = get32(i8 | 0) | 0;
   if (i2) {
    i14 = i2;
    i13 = 18;
   } else i13 = 10;
  } else i13 = 10;
  do if ((i13 | 0) == 10) {
   i13 = 0;
   i2 = get32((get32(i9 | 0) | 0) + 168 | 0) | 0;
   i15 = get32(i2 + 40 | 0) | 0;
   if ((i15 | 0) != 0 ? (i16 = FUNCTION_TABLE_iiii[get32(320 | 0) & 63](i15, i12, 0) | 0, (i16 | 0) != 0) : 0) {
    if (!(get32(i16 | 0) | 0)) {
     i15 = i16;
     i17 = i15 + 36 | 0;
     do {
      set32(i15 | 0, 0 | 0);
      i15 = i15 + 4 | 0;
     } while ((i15 | 0) < (i17 | 0));
     set32(i16 | 0, i16 + 36 | 0);
     i15 = i16 + ((get32(i2 + 20 | 0) | 0) + 36) | 0;
     set32(i16 + 4 | 0, i15 | 0);
     _memset(i15 | 0, 0, get32(i2 + 24 | 0) | 0) | 0;
     set32(i16 + 24 | 0, i2 | 0);
     set32(i16 + 12 | 0, i12 | 0);
    }
    i15 = i16 + 22 | 0;
    i17 = get16(i15 | 0) | 0;
    if (!(i17 << 16 >> 16)) {
     i18 = i2 + 12 | 0;
     set32(i18 | 0, (get32(i18 | 0) | 0) + 1 | 0);
    }
    set16(i15 | 0, i17 + 1 << 16 >> 16 | 0);
    i17 = get32(i16 + 4 | 0) | 0;
    set32(i17 + 64 | 0, get32(i16 | 0) | 0);
    set32(i17 + 68 | 0, i16 | 0);
    set32(i17 + 60 | 0, i9 | 0);
    set32(i17 + 72 | 0, i12 | 0);
    set8(i17 + 5 >> 0 | 0, 0 | 0);
    set32(i8 | 0, i17 | 0);
    if (!i17) {
     i19 = i17;
     i13 = 20;
     break;
    } else {
     i14 = i17;
     i13 = 18;
     break;
    }
   }
   set32(i8 | 0, 0 | 0);
   i19 = 0;
   i13 = 20;
  } while (0);
  if ((i13 | 0) == 18) {
   i13 = 0;
   if ((get16((get32(i14 + 68 | 0) | 0) + 22 | 0) | 0) == 1) {
    i19 = i14;
    i13 = 20;
   } else {
    set32(i4 | 0, 52726 | 0);
    set32(i4 + 4 | 0, 17203 | 0);
    _sqlite3_log(11, 19615, i4);
    i20 = 11;
   }
  }
  if ((i13 | 0) == 20) {
   i13 = 0;
   i20 = _freePage2(i9, i19, i12) | 0;
  }
  i17 = get32(i8 | 0) | 0;
  if (i17) _sqlite3PagerUnref(get32(i17 + 68 | 0) | 0);
  if (i20) {
   i10 = i20;
   i13 = 25;
   break;
  }
  if (i11) {
   i10 = 0;
   i13 = 25;
   break;
  } else i12 = get32(i7 | 0) | 0;
 }
 if ((i13 | 0) == 6) {
  set32(i5 | 0, 52706 | 0);
  set32(i5 + 4 | 0, 17203 | 0);
  _sqlite3_log(11, 19615, i5);
  i10 = 11;
  STACKTOP = i3;
  return i10 | 0;
 } else if ((i13 | 0) == 25) {
  STACKTOP = i3;
  return i10 | 0;
 }
 return 0;
}

function _sumStep(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, d9 = 0.0, i10 = 0, i11 = 0, i12 = 0, i13 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i4 = i2;
 i5 = get32(i1 + 48 | 0) | 0;
 i6 = i5 + 28 | 0;
 if (!(get16(i6 | 0) & 8192)) {
  _sqlite3VdbeMemGrow(i5, 32, 0) | 0;
  set16(i6 | 0, 8192 | 0);
  set32(i5 + 16 | 0, get32(i1 | 0) | 0);
  i1 = i5 + 4 | 0;
  i6 = get32(i1 | 0) | 0;
  if (!i6) i7 = i1; else {
   i8 = i6;
   i6 = i8 + 32 | 0;
   do {
    set8(i8 >> 0 | 0, 0 | 0);
    i8 = i8 + 1 | 0;
   } while ((i8 | 0) < (i6 | 0));
   i7 = i1;
  }
 } else i7 = i5 + 4 | 0;
 i5 = get32(i7 | 0) | 0;
 i7 = _sqlite3_value_numeric_type(get32(i3 | 0) | 0) | 0;
 if (!((i5 | 0) != 0 & (i7 | 0) != 5)) {
  STACKTOP = i2;
  return;
 }
 i1 = i5 + 16 | 0;
 i8 = i1;
 i6 = _i64Add(get32(i8 | 0) | 0, get32(i8 + 4 | 0) | 0, 1, 0) | 0;
 i8 = i1;
 set32(i8 | 0, i6 | 0);
 set32(i8 + 4 | 0, tempRet0 | 0);
 i8 = get32(i3 | 0) | 0;
 if ((i7 | 0) != 1) {
  i7 = getU16(i8 + 28 | 0) | 0;
  do if (!(i7 & 8)) {
   if (i7 & 4) {
    i3 = i8 + 16 | 0;
    d9 = +((get32(i3 | 0) | 0) >>> 0) + 4294967296.0 * +(get32(i3 + 4 | 0) | 0);
    break;
   }
   if (!(i7 & 18)) d9 = 0.0; else {
    setF64(i4 | 0, +(0.0));
    _sqlite3AtoF(get32(i8 + 4 | 0) | 0, i4, get32(i8 + 24 | 0) | 0, get8(i8 + 31 >> 0 | 0) | 0) | 0;
    d9 = +getF64(i4 | 0);
   }
  } else d9 = +getF64(i8 + 8 | 0); while (0);
  setF64(i5 | 0, +(d9 + +getF64(i5 | 0)));
  set8(i5 + 25 >> 0 | 0, 1 | 0);
  STACKTOP = i2;
  return;
 }
 i7 = getU16(i8 + 28 | 0) | 0;
 do if (!(i7 & 4)) {
  if (i7 & 8) {
   d9 = +getF64(i8 + 8 | 0);
   i3 = d9 < -9223372036854775808.0 | d9 > 9223372036854775808.0;
   i6 = +Math_abs(d9) >= 1.0 ? (d9 > 0.0 ? ~~+Math_min(+Math_floor(d9 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d9 - +(~~d9 >>> 0)) / 4294967296.0) >>> 0) : 0;
   i10 = i3 ? -2147483648 : i6;
   i11 = i3 ? 0 : ~~d9 >>> 0;
   break;
  }
  if (!(i7 & 18)) {
   i10 = 0;
   i11 = 0;
  } else {
   i3 = i4;
   set32(i3 | 0, 0 | 0);
   set32(i3 + 4 | 0, 0 | 0);
   _sqlite3Atoi64(get32(i8 + 4 | 0) | 0, i4, get32(i8 + 24 | 0) | 0, get8(i8 + 31 >> 0 | 0) | 0) | 0;
   i3 = i4;
   i10 = get32(i3 + 4 | 0) | 0;
   i11 = get32(i3 | 0) | 0;
  }
 } else {
  i3 = i8 + 16 | 0;
  i10 = get32(i3 + 4 | 0) | 0;
  i11 = get32(i3 | 0) | 0;
 } while (0);
 setF64(i5 | 0, +(+(i11 >>> 0) + 4294967296.0 * +(i10 | 0) + +getF64(i5 | 0)));
 i8 = i5 + 24 | 0;
 if ((get8(i8 >> 0 | 0) | get8(i5 + 25 >> 0 | 0)) << 24 >> 24) {
  STACKTOP = i2;
  return;
 }
 i4 = i5 + 8 | 0;
 i5 = i4;
 i7 = get32(i5 | 0) | 0;
 i3 = get32(i5 + 4 | 0) | 0;
 if ((i10 | 0) > -1 | (i10 | 0) == -1 & i11 >>> 0 > 4294967295) {
  i5 = _i64Subtract(-1, 2147483647, i7 | 0, i3 | 0) | 0;
  i6 = tempRet0;
  if (((i3 | 0) > 0 | (i3 | 0) == 0 & i7 >>> 0 > 0) & ((i6 | 0) < (i10 | 0) | (i6 | 0) == (i10 | 0) & i5 >>> 0 < i11 >>> 0)) i12 = 19; else i12 = 18;
 } else if ((i3 | 0) < 0 ? (i5 = _i64Subtract(1, -2147483648, i7 | 0, i3 | 0) | 0, i6 = tempRet0, i1 = _i64Add(i11 | 0, i10 | 0, 1, 0) | 0, i13 = tempRet0, (i6 | 0) > (i13 | 0) | (i6 | 0) == (i13 | 0) & i5 >>> 0 > i1 >>> 0) : 0) i12 = 19; else i12 = 18;
 if ((i12 | 0) == 18) {
  i1 = _i64Add(i7 | 0, i3 | 0, i11 | 0, i10 | 0) | 0;
  i10 = i4;
  set32(i10 | 0, i1 | 0);
  set32(i10 + 4 | 0, tempRet0 | 0);
  STACKTOP = i2;
  return;
 } else if ((i12 | 0) == 19) {
  set8(i8 >> 0 | 0, 1 | 0);
  STACKTOP = i2;
  return;
 }
}

function _pager_write_pagelist(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i4 = i3;
 i5 = i1 + 60 | 0;
 i6 = get32(i5 | 0) | 0;
 if ((get32(i6 | 0) | 0) == 0 ? (i7 = get32(i1 | 0) | 0, i8 = FUNCTION_TABLE_iiiiii[get32(i7 + 24 | 0) & 31](i7, 0, i6, get32(i1 + 120 | 0) & 556833 | 30, 0) | 0, (i8 | 0) != 0) : 0) {
  i9 = i8;
  STACKTOP = i3;
  return i9 | 0;
 }
 i8 = i1 + 24 | 0;
 i6 = get32(i8 | 0) | 0;
 i7 = i1 + 36 | 0;
 if (i6 >>> 0 > (get32(i7 | 0) | 0) >>> 0) {
  i10 = get32(i1 + 128 | 0) | 0;
  i11 = ___muldi3(i10 | 0, ((i10 | 0) < 0) << 31 >> 31 | 0, i6 | 0, 0) | 0;
  i6 = i4;
  set32(i6 | 0, i11 | 0);
  set32(i6 + 4 | 0, tempRet0 | 0);
  i6 = get32(i5 | 0) | 0;
  FUNCTION_TABLE_iiii[get32((get32(i6 | 0) | 0) + 40 | 0) & 63](i6, 5, i4) | 0;
  set32(i7 | 0, get32(i8 | 0) | 0);
 }
 if (!i2) {
  i9 = 0;
  STACKTOP = i3;
  return i9 | 0;
 }
 i8 = i1 + 24 | 0;
 i7 = i1 + 128 | 0;
 i4 = i1 + 100 | 0;
 i6 = i1 + 32 | 0;
 i11 = i1 + 88 | 0;
 i1 = i2;
 do {
  i2 = get32(i1 + 12 | 0) | 0;
  if (i2 >>> 0 <= (get32(i8 | 0) | 0) >>> 0 ? (get16(i1 + 20 | 0) & 32) == 0 : 0) {
   i10 = get32(i7 | 0) | 0;
   i12 = ___muldi3(i10 | 0, ((i10 | 0) < 0) << 31 >> 31 | 0, i2 + -1 | 0, 0) | 0;
   i13 = (i2 | 0) == 1;
   if (i13) {
    i14 = get32(i1 + 16 | 0) | 0;
    i15 = ((getU8(i14 + 101 >> 0 | 0) | 0) << 16 | (getU8(i14 + 100 >> 0 | 0) | 0) << 24 | (getU8(i14 + 102 >> 0 | 0) | 0) << 8 | (getU8(i14 + 103 >> 0 | 0) | 0)) + 1 | 0;
    i14 = get32(i1 | 0) | 0;
    i16 = i15 >>> 24 & 255;
    set8(i14 + 24 >> 0 | 0, i16 | 0);
    i17 = i15 >>> 16 & 255;
    set8(i14 + 25 >> 0 | 0, i17 | 0);
    i18 = i15 >>> 8 & 255;
    set8(i14 + 26 >> 0 | 0, i18 | 0);
    i19 = i15 & 255;
    set8(i14 + 27 >> 0 | 0, i19 | 0);
    i14 = get32(i1 | 0) | 0;
    set8(i14 + 92 >> 0 | 0, i16 | 0);
    set8(i14 + 93 >> 0 | 0, i17 | 0);
    set8(i14 + 94 >> 0 | 0, i18 | 0);
    set8(i14 + 95 >> 0 | 0, i19 | 0);
    i19 = get32(i1 | 0) | 0;
    set8(i19 + 96 >> 0 | 0, 0 | 0);
    set8(i19 + 97 >> 0 | 0, 45 | 0);
    set8(i19 + 98 >> 0 | 0, -30 | 0);
    set8(i19 + 99 >> 0 | 0, 31 | 0);
    i20 = i1;
    i21 = get32(i7 | 0) | 0;
   } else {
    i20 = i1;
    i21 = i10;
   }
   i10 = get32(i20 | 0) | 0;
   i19 = get32(i5 | 0) | 0;
   i14 = FUNCTION_TABLE_iiiiii[get32((get32(i19 | 0) | 0) + 12 | 0) & 31](i19, i10, i21, i12, tempRet0) | 0;
   if (i13) {
    i13 = i4;
    i12 = i10 + 24 | 0;
    i10 = i13 + 16 | 0;
    do {
     set8(i13 >> 0 | 0, get8(i12 >> 0 | 0) | 0 | 0);
     i13 = i13 + 1 | 0;
     i12 = i12 + 1 | 0;
    } while ((i13 | 0) < (i10 | 0));
   }
   if (i2 >>> 0 > (get32(i6 | 0) | 0) >>> 0) set32(i6 | 0, i2 | 0);
   i12 = get32(i11 | 0) | 0;
   i13 = get32(i20 | 0) | 0;
   if (!i12) i22 = i14; else {
    i10 = i12;
    do {
     i12 = i10 + 28 | 0;
     i19 = get32(i12 | 0) | 0;
     if (((i19 >>> 0 < 7 ? (30 >>> (i19 & 127) & 1) == 0 : 0) ? (get32(i10 + 16 | 0) | 0) >>> 0 > i2 >>> 0 : 0) ? (i19 = _backupOnePage(i10, i2, i13) | 0, (i19 | 0) != 0) : 0) set32(i12 | 0, i19 | 0);
     i10 = get32(i10 + 44 | 0) | 0;
    } while ((i10 | 0) != 0);
    i22 = i14;
   }
  } else i22 = 0;
  i1 = get32(i1 + 8 | 0) | 0;
 } while ((i22 | 0) == 0 & (i1 | 0) != 0);
 i9 = i22;
 STACKTOP = i3;
 return i9 | 0;
}

function _timeFunc(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, d15 = 0.0, i16 = 0, i17 = 0, d18 = 0.0, d19 = 0.0, i20 = 0, i21 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 160 | 0;
 i5 = i4 + 48 | 0;
 i6 = i4;
 i7 = i4 + 60 | 0;
 if (_isDate(i1, i2, i3, i6) | 0) {
  STACKTOP = i4;
  return;
 }
 i3 = i6 + 41 | 0;
 if (!(get8(i3 >> 0 | 0) | 0)) {
  i2 = i6 + 42 | 0;
  if (!(get8(i2 >> 0 | 0) | 0)) {
   i8 = i6 + 40 | 0;
   i9 = get32(i8 | 0) | 0;
   if (!((i9 & 255) << 24 >> 24)) {
    i10 = 3;
    i11 = 1;
    i12 = 2e3;
   } else {
    i10 = (get32(i6 + 16 | 0) | 0) + 2 | 0;
    i11 = get32(i6 + 12 | 0) | 0;
    i12 = get32(i6 + 8 | 0) | 0;
   }
   i13 = (i11 | 0) < 3;
   i14 = (i13 << 31 >> 31) + i12 | 0;
   d15 = (+(((i14 | 0) / -100 | 0) + i10 + ((i14 | 0) / 400 | 0) + (((i14 * 36525 | 0) + 172251900 | 0) / 100 | 0) + ((((i13 ? i11 + 12 | 0 : i11) * 306001 | 0) + 306001 | 0) / 1e4 | 0) | 0) + -1524.5) * 864.0e5;
   i11 = ~~d15 >>> 0;
   i13 = +Math_abs(d15) >= 1.0 ? (d15 > 0.0 ? ~~+Math_min(+Math_floor(d15 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d15 - +(~~d15 >>> 0)) / 4294967296.0) >>> 0) : 0;
   i14 = i6;
   set32(i14 | 0, i11 | 0);
   set32(i14 + 4 | 0, i13 | 0);
   set8(i2 >> 0 | 0, 1 | 0);
   if (i9 & 65280) {
    i2 = Math_imul(get32(i6 + 20 | 0) | 0, 36e5) | 0;
    i14 = ((get32(i6 + 24 | 0) | 0) * 6e4 | 0) + i2 | 0;
    d15 = +getF64(i6 + 32 | 0) * 1.0e3;
    i2 = _i64Add(~~d15 >>> 0 | 0, (+Math_abs(d15) >= 1.0 ? (d15 > 0.0 ? ~~+Math_min(+Math_floor(d15 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d15 - +(~~d15 >>> 0)) / 4294967296.0) >>> 0) : 0) | 0, i11 | 0, i13 | 0) | 0;
    i10 = _i64Add(i2 | 0, tempRet0 | 0, i14 | 0, ((i14 | 0) < 0) << 31 >> 31 | 0) | 0;
    i14 = tempRet0;
    i2 = i6;
    set32(i2 | 0, i10 | 0);
    set32(i2 + 4 | 0, i14 | 0);
    if (i9 >>> 0 < 16777216) {
     i16 = i10;
     i17 = i14;
    } else {
     i9 = (get32(i6 + 28 | 0) | 0) * 6e4 | 0;
     i2 = _i64Subtract(i10 | 0, i14 | 0, i9 | 0, ((i9 | 0) < 0) << 31 >> 31 | 0) | 0;
     i9 = tempRet0;
     i14 = i6;
     set32(i14 | 0, i2 | 0);
     set32(i14 + 4 | 0, i9 | 0);
     set8(i8 >> 0 | 0, 0 | 0);
     set8(i3 >> 0 | 0, 0 | 0);
     set8(i6 + 43 >> 0 | 0, 0 | 0);
     i16 = i2;
     i17 = i9;
    }
   } else {
    i16 = i11;
    i17 = i13;
   }
  } else {
   i13 = i6;
   i16 = get32(i13 | 0) | 0;
   i17 = get32(i13 + 4 | 0) | 0;
  }
  i13 = _i64Add(i16 | 0, i17 | 0, 432e5, 0) | 0;
  i17 = ___remdi3(i13 | 0, tempRet0 | 0, 864e5, 0) | 0;
  d15 = +(i17 | 0) / 1.0e3;
  i17 = ~~d15;
  i13 = (i17 | 0) / 3600 | 0;
  set32(i6 + 20 | 0, i13 | 0);
  i16 = i17 + (Math_imul(i13, -3600) | 0) | 0;
  i11 = (i16 | 0) / 60 | 0;
  set32(i6 + 24 | 0, i11 | 0);
  d18 = d15 - +(i17 | 0) + +(i16 + (Math_imul(i11, -60) | 0) | 0);
  setF64(i6 + 32 | 0, +d18);
  set8(i3 >> 0 | 0, 1 | 0);
  d19 = d18;
  i20 = i13;
  i21 = i11;
 } else {
  d19 = +getF64(i6 + 32 | 0);
  i20 = get32(i6 + 20 | 0) | 0;
  i21 = get32(i6 + 24 | 0) | 0;
 }
 set32(i5 | 0, i20 | 0);
 set32(i5 + 4 | 0, i21 | 0);
 set32(i5 + 8 | 0, ~~d19 | 0);
 _sqlite3_snprintf(100, i7, 38150, i5) | 0;
 i5 = i1 + 8 | 0;
 if ((_sqlite3VdbeMemSetStr(i5, i7, -1, 1, -1) | 0) == 18) {
  set32(i1 + 52 | 0, 18 | 0);
  _sqlite3VdbeMemSetStr(i5, 16620, -1, 1, 0) | 0;
 }
 STACKTOP = i4;
 return;
}

function _pager_unlock(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0;
 i2 = i1 + 56 | 0;
 _sqlite3BitvecDestroy(get32(i2 | 0) | 0);
 set32(i2 | 0, 0 | 0);
 i2 = i1 + 96 | 0;
 if ((get32(i2 | 0) | 0) > 0) {
  i3 = i1 + 92 | 0;
  i4 = 0;
  do {
   _sqlite3BitvecDestroy(get32((get32(i3 | 0) | 0) + (i4 * 48 | 0) + 16 | 0) | 0);
   i4 = i4 + 1 | 0;
  } while ((i4 | 0) < (get32(i2 | 0) | 0));
 }
 i4 = i1 + 4 | 0;
 i3 = get32(i1 + 68 | 0) | 0;
 i5 = get32(i3 | 0) | 0;
 if (!(get8(i4 >> 0 | 0) | 0)) {
  if (i5) {
   i6 = i5;
   i7 = 7;
  }
 } else if ((i5 | 0) == 1396) {
  i6 = 1396;
  i7 = 7;
 }
 if ((i7 | 0) == 7) {
  FUNCTION_TABLE_ii[get32(i6 + 4 | 0) & 127](i3) | 0;
  set32(i3 | 0, 0 | 0);
 }
 i3 = i1 + 92 | 0;
 i6 = get32(i3 | 0) | 0;
 do if (i6) {
  if (!(get32(50 * 4 | 0) | 0)) {
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i6);
   break;
  }
  i5 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i6) | 0;
  i8 = (get32(30 * 4 | 0) | 0) - i5 | 0;
  set32(30 * 4 | 0, i8 | 0);
  if ((i8 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i8 | 0);
  i8 = (get32(39 * 4 | 0) | 0) + -1 | 0;
  set32(39 * 4 | 0, i8 | 0);
  if ((i8 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i8 | 0);
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i6);
 } while (0);
 set32(i3 | 0, 0 | 0);
 set32(i2 | 0, 0 | 0);
 set32(i1 + 52 | 0, 0 | 0);
 i2 = get32(i1 + 172 | 0) | 0;
 if (!i2) {
  if (!(get8(i4 >> 0 | 0) | 0)) {
   i4 = i1 + 60 | 0;
   i3 = get32(i4 | 0) | 0;
   i6 = get32(i3 | 0) | 0;
   if (!(((i6 | 0) != 0 ? ((FUNCTION_TABLE_ii[get32(i6 + 48 | 0) & 127](i3) | 0) & 2048 | 0) != 0 : 0) ? (get8(i1 + 5 >> 0 | 0) & 5) == 1 : 0)) i7 = 30;
   if ((i7 | 0) == 30 ? (i7 = get32(i1 + 64 | 0) | 0, i3 = get32(i7 | 0) | 0, (i3 | 0) != 0) : 0) {
    FUNCTION_TABLE_ii[get32(i3 + 4 | 0) & 127](i7) | 0;
    set32(i7 | 0, 0 | 0);
   }
   i7 = get32(i4 | 0) | 0;
   i4 = get32(i7 | 0) | 0;
   if (i4) {
    i3 = FUNCTION_TABLE_iii[get32(i4 + 32 | 0) & 127](i7, 0) | 0;
    i7 = i1 + 16 | 0;
    if ((get8(i7 >> 0 | 0) | 0) != 5) set8(i7 >> 0 | 0, 0 | 0);
    if ((i3 | 0) != 0 ? (get8(i1 + 15 >> 0 | 0) | 0) == 6 : 0) set8(i7 >> 0 | 0, 5 | 0);
   }
   set8(i1 + 17 >> 0 | 0, 0 | 0);
   set8(i1 + 15 >> 0 | 0, 0 | 0);
  }
 } else {
  i7 = i2 + 39 | 0;
  if (get8(i7 >> 0 | 0) | 0) {
   if (!(get8(i2 + 38 >> 0 | 0) | 0)) {
    i3 = get32(i2 + 4 | 0) | 0;
    FUNCTION_TABLE_iiiii[get32((get32(i3 | 0) | 0) + 56 | 0) & 31](i3, 0, 1, 9) | 0;
   }
   set8(i7 >> 0 | 0, 0 | 0);
  }
  i7 = i2 + 36 | 0;
  i3 = get16(i7 | 0) | 0;
  if (i3 << 16 >> 16 > -1) {
   if (!(get8(i2 + 38 >> 0 | 0) | 0)) {
    i4 = get32(i2 + 4 | 0) | 0;
    FUNCTION_TABLE_iiiii[get32((get32(i4 | 0) | 0) + 56 | 0) & 31](i4, (i3 << 16 >> 16) + 3 | 0, 1, 5) | 0;
   }
   set16(i7 | 0, -1 | 0);
  }
  set8(i1 + 15 >> 0 | 0, 0 | 0);
 }
 i7 = i1 + 40 | 0;
 if (!(get32(i7 | 0) | 0)) {
  i9 = i1 + 72 | 0;
  i10 = i1 + 18 | 0;
  set8(i10 >> 0 | 0, 0 | 0);
  set32(i9 | 0, 0 | 0);
  set32(i9 + 4 | 0, 0 | 0);
  set32(i9 + 8 | 0, 0 | 0);
  set32(i9 + 12 | 0, 0 | 0);
  return;
 }
 _pager_reset(i1);
 set8(i1 + 17 >> 0 | 0, get8(i1 + 12 >> 0 | 0) | 0 | 0);
 set8(i1 + 15 >> 0 | 0, 0 | 0);
 set32(i7 | 0, 0 | 0);
 i9 = i1 + 72 | 0;
 i10 = i1 + 18 | 0;
 set8(i10 >> 0 | 0, 0 | 0);
 set32(i9 | 0, 0 | 0);
 set32(i9 + 4 | 0, 0 | 0);
 set32(i9 + 8 | 0, 0 | 0);
 set32(i9 + 12 | 0, 0 | 0);
 return;
}

function _sqlite3PagerOpenSavepoint(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0;
 i3 = i1 + 96 | 0;
 i4 = get32(i3 | 0) | 0;
 if ((i4 | 0) >= (i2 | 0)) {
  i5 = 0;
  return i5 | 0;
 }
 if (!(get8(i1 + 6 >> 0 | 0) | 0)) {
  i5 = 0;
  return i5 | 0;
 }
 i6 = i1 + 92 | 0;
 i7 = _sqlite3Realloc(get32(i6 | 0) | 0, i2 * 48 | 0) | 0;
 if (!i7) {
  i5 = 7;
  return i5 | 0;
 }
 _memset(i7 + (i4 * 48 | 0) | 0, 0, (i2 - i4 | 0) * 48 | 0) | 0;
 set32(i6 | 0, i7 | 0);
 i6 = i1 + 24 | 0;
 i8 = i1 + 64 | 0;
 i9 = i1 + 124 | 0;
 i10 = i1 + 52 | 0;
 i11 = i1 + 172 | 0;
 i12 = i1 + 72 | 0;
 i1 = i4;
 while (1) {
  i4 = get32(i6 | 0) | 0;
  i13 = i7 + (i1 * 48 | 0) | 0;
  set32(i7 + (i1 * 48 | 0) + 20 | 0, i4 | 0);
  if ((get32(get32(i8 | 0) | 0) | 0) != 0 ? (i14 = i12, i15 = get32(i14 | 0) | 0, i16 = get32(i14 + 4 | 0) | 0, (i16 | 0) > 0 | (i16 | 0) == 0 & i15 >>> 0 > 0) : 0) {
   i14 = i13;
   set32(i14 | 0, i15 | 0);
   set32(i14 + 4 | 0, i16 | 0);
  } else {
   i16 = i13;
   set32(i16 | 0, get32(i9 | 0) | 0);
   set32(i16 + 4 | 0, 0 | 0);
  }
  set32(i7 + (i1 * 48 | 0) + 24 | 0, get32(i10 | 0) | 0);
  if (!(get32(50 * 4 | 0) | 0)) {
   i16 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](512) | 0;
   if (!i16) {
    i17 = i1;
    break;
   } else i18 = i16;
  } else {
   i16 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](512) | 0;
   set32(35 * 4 | 0, 512 | 0);
   if ((get32(45 * 4 | 0) | 0) < 512) set32(45 * 4 | 0, 512 | 0);
   i13 = get32(6 * 4 | 0) | 0;
   do if (i13) {
    i14 = get32(30 * 4 | 0) | 0;
    i15 = ((i14 | 0) < 0) << 31 >> 31;
    i19 = 16;
    i20 = _i64Subtract(get32(i19 | 0) | 0, get32(i19 + 4 | 0) | 0, i16 | 0, ((i16 | 0) < 0) << 31 >> 31 | 0) | 0;
    i19 = tempRet0;
    if ((i15 | 0) < (i19 | 0) | (i15 | 0) == (i19 | 0) & i14 >>> 0 < i20 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i20 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i13 & 15](i20, i14, i15, i16);
     set32(6 * 4 | 0, i13 | 0);
     set32(7 * 4 | 0, i20 | 0);
     break;
    }
   } while (0);
   i13 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i16) | 0;
   if (!i13) {
    i17 = i1;
    break;
   }
   i20 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i13) | 0;
   i15 = (get32(30 * 4 | 0) | 0) + i20 | 0;
   set32(30 * 4 | 0, i15 | 0);
   if ((i15 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i15 | 0);
   i15 = get32(39 * 4 | 0) | 0;
   i20 = i15 + 1 | 0;
   set32(39 * 4 | 0, i20 | 0);
   if ((i15 | 0) < (get32(49 * 4 | 0) | 0)) i18 = i13; else {
    set32(49 * 4 | 0, i20 | 0);
    i18 = i13;
   }
  }
  _memset(i18 | 0, 0, 512) | 0;
  set32(i18 | 0, i4 | 0);
  set32(i7 + (i1 * 48 | 0) + 16 | 0, i18 | 0);
  i13 = get32(i11 | 0) | 0;
  if (i13) {
   set32(i7 + (i1 * 48 | 0) + 28 | 0, get32(i13 + 60 | 0) | 0);
   set32(i7 + (i1 * 48 | 0) + 32 | 0, get32(i13 + 68 | 0) | 0);
   set32(i7 + (i1 * 48 | 0) + 36 | 0, get32(i13 + 72 | 0) | 0);
   set32(i7 + (i1 * 48 | 0) + 40 | 0, get32(i13 + 96 | 0) | 0);
  }
  i1 = i1 + 1 | 0;
  set32(i3 | 0, i1 | 0);
  if ((i1 | 0) >= (i2 | 0)) {
   i5 = 0;
   i21 = 26;
   break;
  }
 }
 if ((i21 | 0) == 26) return i5 | 0;
 set32(i7 + (i17 * 48 | 0) + 16 | 0, 0 | 0);
 i5 = 7;
 return i5 | 0;
}

function _exprCodeBetween(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0;
 i6 = STACKTOP;
 STACKTOP = STACKTOP + 192 | 0;
 i7 = i6 + 144 | 0;
 i8 = i6 + 96 | 0;
 i9 = i6 + 48 | 0;
 i10 = i6;
 i11 = i10;
 i12 = get32(i2 + 8 | 0) | 0;
 i13 = i11 + 48 | 0;
 do {
  set32(i11 | 0, get32(i12 | 0) | 0);
  i11 = i11 + 4 | 0;
  i12 = i12 + 4 | 0;
 } while ((i11 | 0) < (i13 | 0));
 set8(i7 >> 0 | 0, 69 | 0);
 set32(i7 + 8 | 0, i8 | 0);
 set32(i7 + 12 | 0, i9 | 0);
 set8(i8 >> 0 | 0, 80 | 0);
 set32(i8 + 8 | 0, i10 | 0);
 i12 = get32((get32(i2 + 16 | 0) | 0) + 12 | 0) | 0;
 set32(i8 + 12 | 0, get32(i12 | 0) | 0);
 set8(i9 >> 0 | 0, 78 | 0);
 set32(i9 + 8 | 0, i10 | 0);
 set32(i9 + 12 | 0, get32(i12 + 20 | 0) | 0);
 i12 = i1 + 21 | 0;
 i9 = get8(i12 >> 0 | 0) | 0;
 if (!(i9 << 24 >> 24)) {
  i8 = i1 + 72 | 0;
  i2 = (get32(i8 | 0) | 0) + 1 | 0;
  set32(i8 | 0, i2 | 0);
  i14 = i2;
 } else {
  i2 = i9 + -1 << 24 >> 24;
  set8(i12 >> 0 | 0, i2 | 0);
  i14 = get32(i1 + 24 + ((i2 & 255) << 2) | 0) | 0;
 }
 i2 = _sqlite3ExprCodeTarget(i1, i10, i14) | 0;
 do if ((i2 | 0) != (i14 | 0)) if ((i14 | 0) != 0 ? (i9 = get8(i12 >> 0 | 0) | 0, (i9 & 255) < 8) : 0) {
  if ((get32(i1 + 112 | 0) | 0) != (i14 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i14 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i14 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i14 | 0)) if ((get32(i1 + 208 | 0) | 0) != (i14 | 0)) if ((get32(i1 + 232 | 0) | 0) != (i14 | 0)) if ((get32(i1 + 256 | 0) | 0) != (i14 | 0)) if ((get32(i1 + 280 | 0) | 0) != (i14 | 0)) if ((get32(i1 + 304 | 0) | 0) != (i14 | 0)) if ((get32(i1 + 328 | 0) | 0) == (i14 | 0)) i15 = i1 + 312 | 0; else {
   set8(i12 >> 0 | 0, i9 + 1 << 24 >> 24 | 0);
   set32(i1 + 24 + ((i9 & 255) << 2) | 0, i14 | 0);
   i16 = 0;
   break;
  } else i15 = i1 + 288 | 0; else i15 = i1 + 264 | 0; else i15 = i1 + 240 | 0; else i15 = i1 + 216 | 0; else i15 = i1 + 192 | 0; else i15 = i1 + 168 | 0; else i15 = i1 + 144 | 0; else i15 = i1 + 120 | 0; else i15 = i1 + 96 | 0;
  set8(i15 + 8 >> 0 | 0, 1 | 0);
  i16 = 0;
 } else i16 = 0; else i16 = i14; while (0);
 set32(i10 + 24 | 0, i2 | 0);
 set8(i10 >> 0 | 0, -124 | 0);
 if (!i4) _sqlite3ExprIfFalse(i1, i7, i3, i5); else _sqlite3ExprIfTrue(i1, i7, i3, i5);
 if (!i16) {
  STACKTOP = i6;
  return;
 }
 i5 = get8(i12 >> 0 | 0) | 0;
 if ((i5 & 255) >= 8) {
  STACKTOP = i6;
  return;
 }
 if ((get32(i1 + 112 | 0) | 0) != (i16 | 0)) if ((get32(i1 + 136 | 0) | 0) != (i16 | 0)) if ((get32(i1 + 160 | 0) | 0) != (i16 | 0)) if ((get32(i1 + 184 | 0) | 0) != (i16 | 0)) if ((get32(i1 + 208 | 0) | 0) != (i16 | 0)) if ((get32(i1 + 232 | 0) | 0) != (i16 | 0)) if ((get32(i1 + 256 | 0) | 0) != (i16 | 0)) if ((get32(i1 + 280 | 0) | 0) != (i16 | 0)) if ((get32(i1 + 304 | 0) | 0) != (i16 | 0)) if ((get32(i1 + 328 | 0) | 0) == (i16 | 0)) i17 = i1 + 312 | 0; else {
  set8(i12 >> 0 | 0, i5 + 1 << 24 >> 24 | 0);
  set32(i1 + 24 + ((i5 & 255) << 2) | 0, i16 | 0);
  STACKTOP = i6;
  return;
 } else i17 = i1 + 288 | 0; else i17 = i1 + 264 | 0; else i17 = i1 + 240 | 0; else i17 = i1 + 216 | 0; else i17 = i1 + 192 | 0; else i17 = i1 + 168 | 0; else i17 = i1 + 144 | 0; else i17 = i1 + 120 | 0; else i17 = i1 + 96 | 0;
 set8(i17 + 8 >> 0 | 0, 1 | 0);
 STACKTOP = i6;
 return;
}

function _pcache1Cachesize(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0;
 if (!(get32(i1 + 8 | 0) | 0)) return;
 i3 = get32(i1 | 0) | 0;
 i4 = i1 + 16 | 0;
 i5 = i3 + 4 | 0;
 i6 = (get32(i5 | 0) | 0) + (i2 - (get32(i4 | 0) | 0)) | 0;
 set32(i5 | 0, i6 | 0);
 set32(i3 + 12 | 0, i6 + 10 - (get32(i3 + 8 | 0) | 0) | 0);
 set32(i4 | 0, i2 | 0);
 set32(i1 + 20 | 0, ((i2 * 9 | 0) >>> 0) / 10 | 0 | 0);
 i2 = i3 + 24 | 0;
 i1 = i3 + 16 | 0;
 if ((get32(i1 | 0) | 0) <= (i6 | 0)) return;
 while (1) {
  i6 = get32(i2 | 0) | 0;
  if (!i6) {
   i7 = 34;
   break;
  }
  i3 = i6 + 8 | 0;
  i4 = get32(i3 | 0) | 0;
  i8 = get32(i4 | 0) | 0;
  i9 = i6 + 12 | 0;
  i10 = get32(i9 | 0) | 0;
  i11 = i10;
  if (!((i10 | 0) == 0 ? (get32(i8 + 24 | 0) | 0) != (i6 | 0) : 0)) {
   i12 = i6 + 16 | 0;
   i13 = get32(i12 | 0) | 0;
   if (!i13) {
    i14 = i10;
    i15 = i11;
   } else {
    set32(i13 + 12 | 0, i11 | 0);
    i11 = get32(i9 | 0) | 0;
    i14 = i11;
    i15 = i11;
   }
   if (i14) set32(i14 + 16 | 0, i13 | 0);
   i13 = i8 + 20 | 0;
   if ((get32(i13 | 0) | 0) == (i6 | 0)) set32(i13 | 0, i15 | 0);
   i13 = i8 + 24 | 0;
   if ((get32(i13 | 0) | 0) == (i6 | 0)) set32(i13 | 0, get32(i12 | 0) | 0);
   set32(i9 | 0, 0 | 0);
   set32(i12 | 0, 0 | 0);
   i12 = i4 + 24 | 0;
   set32(i12 | 0, (get32(i12 | 0) | 0) + -1 | 0);
  }
  i12 = (get32(i4 + 36 | 0) | 0) + ((((get32(i6 | 0) | 0) >>> 0) % ((get32(i4 + 32 | 0) | 0) >>> 0) | 0) << 2) | 0;
  while (1) {
   i9 = get32(i12 | 0) | 0;
   i13 = i9 + 4 | 0;
   if ((i9 | 0) == (i6 | 0)) {
    i16 = i13;
    i17 = i12;
    break;
   } else i12 = i13;
  }
  set32(i17 | 0, get32(i16 | 0) | 0);
  i12 = i4 + 28 | 0;
  set32(i12 | 0, (get32(i12 | 0) | 0) + -1 | 0);
  i12 = get32(i3 | 0) | 0;
  if (get32(i12 + 8 | 0) | 0) {
   i13 = (get32(i12 | 0) | 0) + 16 | 0;
   set32(i13 | 0, (get32(i13 | 0) | 0) + -1 | 0);
  }
  i13 = i6 + (0 - (get32(i12 + 4 | 0) | 0)) | 0;
  do if (i13) {
   if ((get32(379 * 4 | 0) | 0) >>> 0 <= i13 >>> 0 & (get32(380 * 4 | 0) | 0) >>> 0 > i13 >>> 0) {
    i12 = (get32(31 * 4 | 0) | 0) + -1 | 0;
    set32(31 * 4 | 0, i12 | 0);
    if ((i12 | 0) > (get32(41 * 4 | 0) | 0)) set32(41 * 4 | 0, i12 | 0);
    set32(i13 | 0, get32(383 * 4 | 0) | 0);
    set32(383 * 4 | 0, i13 | 0);
    i12 = (get32(382 * 4 | 0) | 0) + 1 | 0;
    set32(382 * 4 | 0, i12 | 0);
    set32(384 * 4 | 0, (i12 | 0) < (get32(378 * 4 | 0) | 0) & 1 | 0);
    break;
   }
   i12 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i13) | 0;
   i9 = (get32(32 * 4 | 0) | 0) - i12 | 0;
   set32(32 * 4 | 0, i9 | 0);
   if ((i9 | 0) > (get32(42 * 4 | 0) | 0)) set32(42 * 4 | 0, i9 | 0);
   if (!(get32(50 * 4 | 0) | 0)) {
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i13);
    break;
   }
   i9 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i13) | 0;
   i12 = (get32(30 * 4 | 0) | 0) - i9 | 0;
   set32(30 * 4 | 0, i12 | 0);
   if ((i12 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i12 | 0);
   i12 = (get32(39 * 4 | 0) | 0) + -1 | 0;
   set32(39 * 4 | 0, i12 | 0);
   if ((i12 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i12 | 0);
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i13);
  } while (0);
  if ((get32(i1 | 0) | 0) <= (get32(i5 | 0) | 0)) {
   i7 = 34;
   break;
  }
 }
 if ((i7 | 0) == 34) return;
}

function _unixShmLock(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 48 | 0;
 i6 = i5 + 16 | 0;
 i7 = i5 + 8 | 0;
 i8 = i5;
 i9 = i5 + 24 | 0;
 i10 = get32(i1 + 36 | 0) | 0;
 i1 = get32(i10 | 0) | 0;
 i11 = (1 << i3 + i2) - (1 << i2) | 0;
 if (i4 & 1) {
  i12 = get32(i1 + 32 | 0) | 0;
  if (!i12) i13 = 0; else {
   i14 = 0;
   i15 = i12;
   while (1) {
    if ((i15 | 0) == (i10 | 0)) i16 = i14; else i16 = get16(i15 + 10 | 0) | i14;
    i15 = get32(i15 + 4 | 0) | 0;
    if (!i15) {
     i13 = i16;
     break;
    } else i14 = i16;
   }
  }
  if (((i13 & 65535 & i11 | 0) == 0 ? (i13 = get32(i1 + 12 | 0) | 0, (i13 | 0) > -1) : 0) ? (set32(i9 | 0, 0 | 0), set32(i9 + 4 | 0, 0 | 0), set32(i9 + 8 | 0, 0 | 0), set32(i9 + 12 | 0, 0 | 0), set16(i9 | 0, 2 | 0), set16(i9 + 2 | 0, 0 | 0), set32(i9 + 4 | 0, i2 + 120 | 0), set32(i9 + 8 | 0, i3 | 0), i16 = get32(282 * 4 | 0) | 0, set32(i8 | 0, i9 | 0), (FUNCTION_TABLE_iiii[i16 & 63](i13, 13, i8) | 0) == -1) : 0) {
   i17 = 5;
   STACKTOP = i5;
   return i17 | 0;
  }
  i8 = (i11 | -65536) ^ 65535;
  i13 = i10 + 12 | 0;
  set16(i13 | 0, (getU16(i13 | 0) | 0) & i8 | 0);
  i13 = i10 + 10 | 0;
  set16(i13 | 0, (getU16(i13 | 0) | 0) & i8 | 0);
  i17 = 0;
  STACKTOP = i5;
  return i17 | 0;
 }
 i8 = get32(i1 + 32 | 0) | 0;
 i13 = (i8 | 0) == 0;
 if (i4 & 4) {
  L22 : do if (i13) i18 = 0; else {
   i4 = 0;
   i16 = i8;
   while (1) {
    if (i11 & (getU16(i16 + 12 | 0) | 0)) {
     i17 = 5;
     break;
    }
    i14 = get16(i16 + 10 | 0) | i4;
    i16 = get32(i16 + 4 | 0) | 0;
    if (!i16) {
     i18 = i14;
     break L22;
    } else i4 = i14;
   }
   STACKTOP = i5;
   return i17 | 0;
  } while (0);
  if (((i11 & (i18 & 65535) | 0) == 0 ? (i18 = get32(i1 + 12 | 0) | 0, (i18 | 0) > -1) : 0) ? (set32(i9 | 0, 0 | 0), set32(i9 + 4 | 0, 0 | 0), set32(i9 + 8 | 0, 0 | 0), set32(i9 + 12 | 0, 0 | 0), set32(i9 + 4 | 0, i2 + 120 | 0), set32(i9 + 8 | 0, i3 | 0), i4 = get32(282 * 4 | 0) | 0, set32(i7 | 0, i9 | 0), (FUNCTION_TABLE_iiii[i4 & 63](i18, 13, i7) | 0) == -1) : 0) {
   i17 = 5;
   STACKTOP = i5;
   return i17 | 0;
  }
  i7 = i10 + 10 | 0;
  set16(i7 | 0, getU16(i7 | 0) | 0 | i11 | 0);
  i17 = 0;
  STACKTOP = i5;
  return i17 | 0;
 }
 L38 : do if (!i13) {
  i7 = i11 & 65535;
  i18 = i8;
  while (1) {
   if ((getU16(i18 + 12 | 0) | 0) & i7) {
    i17 = 5;
    i19 = 31;
    break;
   }
   if ((getU16(i18 + 10 | 0) | 0) & i7) {
    i17 = 5;
    i19 = 31;
    break;
   }
   i18 = get32(i18 + 4 | 0) | 0;
   if (!i18) break L38;
  }
  if ((i19 | 0) == 31) {
   STACKTOP = i5;
   return i17 | 0;
  }
 } while (0);
 i19 = get32(i1 + 12 | 0) | 0;
 if ((i19 | 0) > -1 ? (set32(i9 | 0, 0 | 0), set32(i9 + 4 | 0, 0 | 0), set32(i9 + 8 | 0, 0 | 0), set32(i9 + 12 | 0, 0 | 0), set16(i9 | 0, 1 | 0), set16(i9 + 2 | 0, 0 | 0), set32(i9 + 4 | 0, i2 + 120 | 0), set32(i9 + 8 | 0, i3 | 0), i3 = get32(282 * 4 | 0) | 0, set32(i6 | 0, i9 | 0), (FUNCTION_TABLE_iiii[i3 & 63](i19, 13, i6) | 0) == -1) : 0) {
  i17 = 5;
  STACKTOP = i5;
  return i17 | 0;
 }
 i6 = i10 + 12 | 0;
 set16(i6 | 0, getU16(i6 | 0) | 0 | i11 | 0);
 i17 = 0;
 STACKTOP = i5;
 return i17 | 0;
}

function _sqlite3ResetInternalSchema(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0;
 if ((i2 | 0) > -1) {
  i3 = i1 + 8 | 0;
  _sqlite3SchemaClear(get32((get32(i3 | 0) | 0) + (i2 << 4) + 12 | 0) | 0);
  if ((i2 | 0) == 1) return;
  _sqlite3SchemaClear(get32((get32(i3 | 0) | 0) + 28 | 0) | 0);
  return;
 }
 i3 = i1 + 4 | 0;
 i2 = get32(i3 | 0) | 0;
 i4 = (i2 | 0) > 0;
 if (i4) {
  i5 = get32(i1 + 8 | 0) | 0;
  i6 = 0;
  do {
   i7 = get32(i5 + (i6 << 4) + 4 | 0) | 0;
   if (i7) set32((get32(i7 + 4 | 0) | 0) + 4 | 0, get32(i7 | 0) | 0);
   i6 = i6 + 1 | 0;
  } while ((i6 | 0) != (i2 | 0));
  if (i4) {
   i4 = i1 + 8 | 0;
   i6 = i2;
   i5 = 0;
   while (1) {
    i7 = get32((get32(i4 | 0) | 0) + (i5 << 4) + 12 | 0) | 0;
    if (!i7) i8 = i6; else {
     _sqlite3SchemaClear(i7);
     i8 = get32(i3 | 0) | 0;
    }
    i5 = i5 + 1 | 0;
    if ((i5 | 0) >= (i8 | 0)) {
     i9 = i8;
     break;
    } else i6 = i8;
   }
  } else i9 = i2;
 } else i9 = i2;
 i2 = i1 + 12 | 0;
 set32(i2 | 0, get32(i2 | 0) & -513 | 0);
 i2 = i1 + 316 | 0;
 i8 = get32(i2 | 0) | 0;
 set32(i2 | 0, 0 | 0);
 if (!i8) i10 = i9; else {
  i9 = get32(i1 + 136 | 0) | 0;
  if (!i9) i11 = i8; else {
   i2 = i9;
   do {
    set8(i2 + 99 >> 0 | 0, 1 | 0);
    i2 = get32(i2 + 64 | 0) | 0;
   } while ((i2 | 0) != 0);
   i11 = i8;
  }
  do {
   i8 = i11;
   i11 = get32(i11 + 24 | 0) | 0;
   i2 = get32(i8 | 0) | 0;
   i9 = i8 + 12 | 0;
   i6 = (get32(i9 | 0) | 0) + -1 | 0;
   set32(i9 | 0, i6 | 0);
   if (!i6) {
    i6 = get32(i8 + 8 | 0) | 0;
    if (i6) FUNCTION_TABLE_ii[get32((get32(i6 | 0) | 0) + 16 | 0) & 127](i6) | 0;
    _sqlite3DbFree(i2, i8);
   }
  } while ((i11 | 0) != 0);
  i10 = get32(i3 | 0) | 0;
 }
 i11 = i1 + 8 | 0;
 i8 = get32(i11 | 0) | 0;
 if ((i10 | 0) > 2) {
  i2 = i8;
  i6 = 2;
  i9 = 2;
  while (1) {
   i5 = i2 + (i6 << 4) | 0;
   if (!(get32(i2 + (i6 << 4) + 4 | 0) | 0)) {
    _sqlite3DbFree(i1, get32(i5 | 0) | 0);
    set32(i5 | 0, 0 | 0);
    i12 = i9;
   } else {
    if ((i9 | 0) < (i6 | 0)) {
     i4 = i2 + (i9 << 4) | 0;
     set32(i4 | 0, get32(i5 | 0) | 0);
     set32(i4 + 4 | 0, get32(i5 + 4 | 0) | 0);
     set32(i4 + 8 | 0, get32(i5 + 8 | 0) | 0);
     set32(i4 + 12 | 0, get32(i5 + 12 | 0) | 0);
    }
    i12 = i9 + 1 | 0;
   }
   i6 = i6 + 1 | 0;
   i5 = get32(i3 | 0) | 0;
   i4 = get32(i11 | 0) | 0;
   if ((i6 | 0) >= (i5 | 0)) {
    i13 = i5;
    i14 = i4;
    i15 = i12;
    break;
   } else {
    i2 = i4;
    i9 = i12;
   }
  }
 } else {
  i13 = i10;
  i14 = i8;
  i15 = 2;
 }
 _memset(i14 + (i15 << 4) | 0, 0, i13 - i15 << 4 | 0) | 0;
 set32(i3 | 0, i15 | 0);
 if ((i15 | 0) >= 3) return;
 i15 = get32(i11 | 0) | 0;
 i3 = i1 + 444 | 0;
 if ((i15 | 0) == (i3 | 0)) return;
 set32(i3 | 0, get32(i15 | 0) | 0);
 set32(i3 + 4 | 0, get32(i15 + 4 | 0) | 0);
 set32(i3 + 8 | 0, get32(i15 + 8 | 0) | 0);
 set32(i3 + 12 | 0, get32(i15 + 12 | 0) | 0);
 set32(i3 + 16 | 0, get32(i15 + 16 | 0) | 0);
 set32(i3 + 20 | 0, get32(i15 + 20 | 0) | 0);
 set32(i3 + 24 | 0, get32(i15 + 24 | 0) | 0);
 set32(i3 + 28 | 0, get32(i15 + 28 | 0) | 0);
 _sqlite3DbFree(i1, i15);
 set32(i11 | 0, i3 | 0);
 return;
}

function _sqlite3ExprCompare(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0;
 if ((i1 | 0) == 0 | (i2 | 0) == 0) {
  i3 = (i2 | 0) == (i1 | 0) ? 0 : 2;
  return i3 | 0;
 }
 i4 = get16(i1 + 2 | 0) | 0;
 if (i4 & 2048) {
  i3 = 2;
  return i3 | 0;
 }
 i5 = get16(i2 + 2 | 0) | 0;
 if (i5 & 2048) {
  i3 = 2;
  return i3 | 0;
 }
 if ((i5 ^ i4) & 16) {
  i3 = 2;
  return i3 | 0;
 }
 i6 = get8(i1 >> 0 | 0) | 0;
 if (i6 << 24 >> 24 != (get8(i2 >> 0 | 0) | 0)) {
  i3 = 2;
  return i3 | 0;
 }
 if (_sqlite3ExprCompare(get32(i1 + 8 | 0) | 0, get32(i2 + 8 | 0) | 0) | 0) {
  i3 = 2;
  return i3 | 0;
 }
 if (_sqlite3ExprCompare(get32(i1 + 12 | 0) | 0, get32(i2 + 12 | 0) | 0) | 0) {
  i3 = 2;
  return i3 | 0;
 }
 i7 = get32(i1 + 16 | 0) | 0;
 i8 = get32(i2 + 16 | 0) | 0;
 i9 = (i7 | 0) == 0;
 i10 = (i8 | 0) == 0;
 L23 : do if (!(i9 & i10)) {
  if (i9 | i10) {
   i3 = 2;
   return i3 | 0;
  }
  i11 = get32(i7 | 0) | 0;
  if ((i11 | 0) != (get32(i8 | 0) | 0)) {
   i3 = 2;
   return i3 | 0;
  }
  if ((i11 | 0) > 0) {
   i12 = get32(i7 + 12 | 0) | 0;
   i13 = get32(i8 + 12 | 0) | 0;
   i14 = 0;
   while (1) {
    if ((get8(i12 + (i14 * 20 | 0) + 12 >> 0 | 0) | 0) != (get8(i13 + (i14 * 20 | 0) + 12 >> 0 | 0) | 0)) {
     i3 = 2;
     i15 = 34;
     break;
    }
    if (_sqlite3ExprCompare(get32(i12 + (i14 * 20 | 0) | 0) | 0, get32(i13 + (i14 * 20 | 0) | 0) | 0) | 0) {
     i3 = 2;
     i15 = 34;
     break;
    }
    i14 = i14 + 1 | 0;
    if ((i14 | 0) >= (i11 | 0)) break L23;
   }
   if ((i15 | 0) == 34) return i3 | 0;
  }
 } while (0);
 if ((get32(i1 + 24 | 0) | 0) != (get32(i2 + 24 | 0) | 0)) {
  i3 = 2;
  return i3 | 0;
 }
 if ((get16(i1 + 28 | 0) | 0) != (get16(i2 + 28 | 0) | 0)) {
  i3 = 2;
  return i3 | 0;
 }
 if (!(i4 & 1024)) {
  if (i6 << 24 >> 24 != -104 ? (i6 = get32(i1 + 4 | 0) | 0, (i6 | 0) != 0) : 0) {
   if (i5 & 1024) {
    i3 = 2;
    return i3 | 0;
   }
   i15 = get32(i2 + 4 | 0) | 0;
   if (!i15) {
    i3 = 2;
    return i3 | 0;
   }
   i8 = get8(i6 >> 0 | 0) | 0;
   L56 : do if (!(i8 << 24 >> 24)) {
    i16 = 0;
    i17 = i15;
   } else {
    i7 = i8;
    i10 = i6;
    i9 = i15;
    while (1) {
     if ((get8(16286 + (i7 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i9 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
      i16 = i7;
      i17 = i9;
      break L56;
     }
     i10 = i10 + 1 | 0;
     i11 = i9 + 1 | 0;
     i7 = get8(i10 >> 0 | 0) | 0;
     if (!(i7 << 24 >> 24)) {
      i16 = 0;
      i17 = i11;
      break;
     } else i9 = i11;
    }
   } while (0);
   if ((get8(16286 + (i16 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i17 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
    i3 = 2;
    return i3 | 0;
   }
  }
 } else {
  if (!(i5 & 1024)) {
   i3 = 2;
   return i3 | 0;
  }
  if ((get32(i1 + 4 | 0) | 0) != (get32(i2 + 4 | 0) | 0)) {
   i3 = 2;
   return i3 | 0;
  }
 }
 i17 = i4 & 256;
 if ((i17 | 0) != (i5 & 256 | 0)) {
  i3 = 1;
  return i3 | 0;
 }
 if ((i17 | 0) != 0 ? (get32(i1 + 20 | 0) | 0) != (get32(i2 + 20 | 0) | 0) : 0) {
  i3 = 2;
  return i3 | 0;
 }
 i3 = 0;
 return i3 | 0;
}

function _sqlite3_bind_value(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i5 = i4 + 8 | 0;
 i6 = i4;
 switch (getU8(i3 + 30 >> 0 | 0) | 0) {
 case 1:
  {
   i7 = i3 + 16 | 0;
   i8 = get32(i7 | 0) | 0;
   i9 = get32(i7 + 4 | 0) | 0;
   i7 = _vdbeUnbind(i1, i2) | 0;
   if (i7) {
    i10 = i7;
    STACKTOP = i4;
    return i10 | 0;
   }
   i7 = i2 + -1 | 0;
   i11 = get32(i1 + 72 | 0) | 0;
   i12 = i11 + (i7 * 40 | 0) | 0;
   _sqlite3VdbeMemReleaseExternal(i12);
   i13 = i11 + (i7 * 40 | 0) + 36 | 0;
   _sqlite3DbFree(get32(i12 | 0) | 0, get32(i13 | 0) | 0);
   set32(i11 + (i7 * 40 | 0) + 4 | 0, 0 | 0);
   set32(i13 | 0, 0 | 0);
   set32(i11 + (i7 * 40 | 0) + 32 | 0, 0 | 0);
   i13 = i11 + (i7 * 40 | 0) + 16 | 0;
   set32(i13 | 0, i8 | 0);
   set32(i13 + 4 | 0, i9 | 0);
   set16(i11 + (i7 * 40 | 0) + 28 | 0, 4 | 0);
   set8(i11 + (i7 * 40 | 0) + 30 >> 0 | 0, 1 | 0);
   i10 = 0;
   STACKTOP = i4;
   return i10 | 0;
  }
 case 2:
  {
   i10 = _sqlite3_bind_double(i1, i2, +getF64(i3 + 8 | 0)) | 0;
   STACKTOP = i4;
   return i10 | 0;
  }
 case 4:
  {
   if (get16(i3 + 28 | 0) & 16384) {
    i7 = get32(i3 + 16 | 0) | 0;
    i11 = _vdbeUnbind(i1, i2) | 0;
    if (i11) {
     i10 = i11;
     STACKTOP = i4;
     return i10 | 0;
    }
    i11 = i2 + -1 | 0;
    i9 = get32(i1 + 72 | 0) | 0;
    i13 = i9 + (i11 * 40 | 0) | 0;
    _sqlite3VdbeMemReleaseExternal(i13);
    i8 = i9 + (i11 * 40 | 0) + 36 | 0;
    _sqlite3DbFree(get32(i13 | 0) | 0, get32(i8 | 0) | 0);
    set32(i9 + (i11 * 40 | 0) + 4 | 0, 0 | 0);
    set32(i8 | 0, 0 | 0);
    set32(i9 + (i11 * 40 | 0) + 32 | 0, 0 | 0);
    set16(i9 + (i11 * 40 | 0) + 28 | 0, 16400 | 0);
    set8(i9 + (i11 * 40 | 0) + 30 >> 0 | 0, 4 | 0);
    set32(i9 + (i11 * 40 | 0) + 24 | 0, 0 | 0);
    set32(i9 + (i11 * 40 | 0) + 16 | 0, ((i7 | 0) < 0 ? 0 : i7) | 0);
    set8(i9 + (i11 * 40 | 0) + 31 >> 0 | 0, 1 | 0);
    i10 = 0;
    STACKTOP = i4;
    return i10 | 0;
   }
   i11 = get32(i3 + 4 | 0) | 0;
   i9 = get32(i3 + 24 | 0) | 0;
   i7 = _vdbeUnbind(i1, i2) | 0;
   if (i7) {
    i10 = i7;
    STACKTOP = i4;
    return i10 | 0;
   }
   if (!i11) {
    i10 = 0;
    STACKTOP = i4;
    return i10 | 0;
   }
   i7 = _sqlite3VdbeMemSetStr((get32(i1 + 72 | 0) | 0) + ((i2 + -1 | 0) * 40 | 0) | 0, i11, i9, 0, -1) | 0;
   _sqlite3Error(get32(i1 | 0) | 0, i7, 0, i6);
   i6 = get32(i1 | 0) | 0;
   if (!i6) {
    i14 = i7;
    i15 = 255;
   } else {
    i9 = i6 + 30 | 0;
    if ((i7 | 0) == 3082 | (get8(i9 >> 0 | 0) | 0) != 0) {
     _sqlite3Error(i6, 7, 0, i5);
     set8(i9 >> 0 | 0, 0 | 0);
     i16 = 7;
    } else i16 = i7;
    i14 = i16;
    i15 = get32(i6 + 24 | 0) | 0;
   }
   i10 = i15 & i14;
   STACKTOP = i4;
   return i10 | 0;
  }
 case 3:
  {
   i10 = _bindText(i1, i2, get32(i3 + 4 | 0) | 0, get32(i3 + 24 | 0) | 0, -1, get8(i3 + 31 >> 0 | 0) | 0) | 0;
   STACKTOP = i4;
   return i10 | 0;
  }
 default:
  {
   i10 = _vdbeUnbind(i1, i2) | 0;
   STACKTOP = i4;
   return i10 | 0;
  }
 }
 return 0;
}

function _sqlite3VdbeSerialGet(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i5 = i4 + 8 | 0;
 i6 = i4;
 switch (i2 | 0) {
 case 0:
 case 11:
 case 10:
  {
   set16(i3 + 28 | 0, 1 | 0);
   i7 = 0;
   STACKTOP = i4;
   return i7 | 0;
  }
 case 1:
  {
   i8 = get8(i1 >> 0 | 0) | 0;
   i9 = i3 + 16 | 0;
   set32(i9 | 0, i8 | 0);
   set32(i9 + 4 | 0, ((i8 | 0) < 0) << 31 >> 31 | 0);
   set16(i3 + 28 | 0, 4 | 0);
   i7 = 1;
   STACKTOP = i4;
   return i7 | 0;
  }
 case 2:
  {
   i8 = get8(i1 >> 0 | 0) << 8 | getU8(i1 + 1 >> 0 | 0);
   i9 = i3 + 16 | 0;
   set32(i9 | 0, i8 | 0);
   set32(i9 + 4 | 0, ((i8 | 0) < 0) << 31 >> 31 | 0);
   set16(i3 + 28 | 0, 4 | 0);
   i7 = 2;
   STACKTOP = i4;
   return i7 | 0;
  }
 case 3:
  {
   i8 = getU8(i1 + 1 >> 0 | 0) << 8 | get8(i1 >> 0 | 0) << 16 | getU8(i1 + 2 >> 0 | 0);
   i9 = i3 + 16 | 0;
   set32(i9 | 0, i8 | 0);
   set32(i9 + 4 | 0, ((i8 | 0) < 0) << 31 >> 31 | 0);
   set16(i3 + 28 | 0, 4 | 0);
   i7 = 3;
   STACKTOP = i4;
   return i7 | 0;
  }
 case 4:
  {
   i8 = getU8(i1 + 1 >> 0 | 0) << 16 | getU8(i1 >> 0 | 0) << 24 | getU8(i1 + 2 >> 0 | 0) << 8 | getU8(i1 + 3 >> 0 | 0);
   i9 = i3 + 16 | 0;
   set32(i9 | 0, i8 | 0);
   set32(i9 + 4 | 0, ((i8 | 0) < 0) << 31 >> 31 | 0);
   set16(i3 + 28 | 0, 4 | 0);
   i7 = 4;
   STACKTOP = i4;
   return i7 | 0;
  }
 case 5:
  {
   i8 = get8(i1 >> 0 | 0) << 8 | getU8(i1 + 1 >> 0 | 0);
   i9 = i3 + 16 | 0;
   set32(i9 | 0, getU8(i1 + 3 >> 0 | 0) << 16 | getU8(i1 + 2 >> 0 | 0) << 24 | getU8(i1 + 4 >> 0 | 0) << 8 | getU8(i1 + 5 >> 0 | 0) | 0);
   set32(i9 + 4 | 0, i8 | 0);
   set16(i3 + 28 | 0, 4 | 0);
   i7 = 6;
   STACKTOP = i4;
   return i7 | 0;
  }
 case 7:
 case 6:
  {
   i8 = getU8(i1 + 1 >> 0 | 0) << 16 | getU8(i1 >> 0 | 0) << 24 | getU8(i1 + 2 >> 0 | 0) << 8 | getU8(i1 + 3 >> 0 | 0);
   i9 = getU8(i1 + 5 >> 0 | 0) << 16 | getU8(i1 + 4 >> 0 | 0) << 24 | getU8(i1 + 6 >> 0 | 0) << 8 | getU8(i1 + 7 >> 0 | 0);
   if ((i2 | 0) == 6) {
    i10 = i3 + 16 | 0;
    set32(i10 | 0, i9 | 0);
    set32(i10 + 4 | 0, i8 | 0);
    set16(i3 + 28 | 0, 4 | 0);
    i7 = 8;
    STACKTOP = i4;
    return i7 | 0;
   } else {
    i10 = i3 + 8 | 0;
    set32(i10 | 0, i9 | 0);
    set32(i10 + 4 | 0, i8 | 0);
    set32(tempDoublePtr | 0, i9 | 0);
    set32(tempDoublePtr + 4 | 0, i8 | 0);
    setF64(i5 | 0, +(+getF64(tempDoublePtr | 0)));
    setF64(i6 | 0, +(+getF64(i5 | 0)));
    set16(i3 + 28 | 0, (+getF64(i5 | 0) != +getF64(i6 | 0) ? 1 : 8) | 0);
    i7 = 8;
    STACKTOP = i4;
    return i7 | 0;
   }
   break;
  }
 case 9:
 case 8:
  {
   i6 = i3 + 16 | 0;
   set32(i6 | 0, i2 + -8 | 0);
   set32(i6 + 4 | 0, 0 | 0);
   set16(i3 + 28 | 0, 4 | 0);
   i7 = 0;
   STACKTOP = i4;
   return i7 | 0;
  }
 default:
  {
   i6 = (i2 + -12 | 0) >>> 1;
   set32(i3 + 4 | 0, i1 | 0);
   set32(i3 + 24 | 0, i6 | 0);
   set32(i3 + 32 | 0, 0 | 0);
   set16(i3 + 28 | 0, ((i2 & 1 | 0) == 0 ? 4112 : 4098) | 0);
   i7 = i6;
   STACKTOP = i4;
   return i7 | 0;
  }
 }
 return 0;
}

function _findTerm(i1, i2, i3, i4, i5, i6, i7) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 i7 = i7 | 0;
 var i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0;
 i8 = i6 & 4095;
 i6 = get32(i1 + 20 | 0) | 0;
 if (!i6) {
  i9 = 0;
  return i9 | 0;
 }
 i10 = (i7 | 0) == 0;
 i11 = i7 + 16 | 0;
 i12 = i7 + 8 | 0;
 i13 = i7 + 44 | 0;
 i14 = i7 + 4 | 0;
 i7 = i6;
 i6 = get32(i1 + 28 | 0) | 0;
 L4 : while (1) {
  L6 : do if ((((get32(i6 + 8 | 0) | 0) == (i2 | 0) ? (i15 = i6 + 24 | 0, (get32(i15 | 0) & i4 | 0) == 0 ? (get32(i15 + 4 | 0) & i5 | 0) == 0 : 0) : 0) ? (get32(i6 + 12 | 0) | 0) == (i3 | 0) : 0) ? (i15 = get16(i6 + 16 | 0) | 0, (i8 & (i15 & 65535) | 0) != 0) : 0) {
   if (i10 | i15 << 16 >> 16 == 128) {
    i9 = i6;
    i16 = 28;
    break L4;
   }
   i15 = get32(i6 | 0) | 0;
   i17 = get32(i1 | 0) | 0;
   i18 = get8((get32((get32(i11 | 0) | 0) + 12 | 0) | 0) + (i3 * 24 | 0) + 22 >> 0 | 0) | 0;
   switch ((_comparisonAffinity(i15) | 0) << 24 >> 24 | 0) {
   case 98:
    break;
   case 97:
    {
     if (i18 << 24 >> 24 != 97) break L6;
     break;
    }
   default:
    if (i18 << 24 >> 24 <= 98) break L6;
   }
   i18 = get32(i15 + 8 | 0) | 0;
   i19 = get32(i15 + 12 | 0) | 0;
   do if (!(get16(i18 + 2 | 0) & 256)) {
    if ((i19 | 0) != 0 ? (get16(i19 + 2 | 0) & 256) != 0 : 0) {
     i20 = get32(i19 + 20 | 0) | 0;
     break;
    }
    i15 = _sqlite3ExprCollSeq(i17, i18) | 0;
    if (!i15) i20 = _sqlite3ExprCollSeq(i17, i19) | 0; else i20 = i15;
   } else i20 = get32(i18 + 20 | 0) | 0; while (0);
   i18 = get32(i12 | 0) | 0;
   if ((get32(i18 | 0) | 0) == (i3 | 0)) i21 = 0; else {
    i19 = get32(i14 | 0) | 0;
    i17 = 0;
    while (1) {
     if ((i17 | 0) >= (i19 | 0)) {
      i9 = 0;
      i16 = 28;
      break L4;
     }
     i15 = i17 + 1 | 0;
     if ((get32(i18 + (i15 << 2) | 0) | 0) == (i3 | 0)) {
      i21 = i15;
      break;
     } else i17 = i15;
    }
   }
   if (!i20) {
    i9 = i6;
    i16 = 28;
    break L4;
   }
   i17 = get32(i20 | 0) | 0;
   i18 = get32((get32(i13 | 0) | 0) + (i21 << 2) | 0) | 0;
   i19 = get8(i17 >> 0 | 0) | 0;
   L32 : do if (!(i19 << 24 >> 24)) {
    i22 = 0;
    i23 = i18;
   } else {
    i15 = i19;
    i24 = i17;
    i25 = i18;
    while (1) {
     if ((get8(16286 + (i15 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i25 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
      i22 = i15;
      i23 = i25;
      break L32;
     }
     i24 = i24 + 1 | 0;
     i26 = i25 + 1 | 0;
     i15 = get8(i24 >> 0 | 0) | 0;
     if (!(i15 << 24 >> 24)) {
      i22 = 0;
      i23 = i26;
      break;
     } else i25 = i26;
    }
   } while (0);
   if ((get8(16286 + (i22 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i23 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
    i9 = i6;
    i16 = 28;
    break L4;
   }
  } while (0);
  i7 = i7 + -1 | 0;
  if (!i7) {
   i9 = 0;
   i16 = 28;
   break;
  } else i6 = i6 + 40 | 0;
 }
 if ((i16 | 0) == 28) return i9 | 0;
 return 0;
}

function _lengthFunc(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0;
 i2 = get32(i3 | 0) | 0;
 switch (getU8(i2 + 30 >> 0 | 0) | 0 | 0) {
 case 2:
 case 1:
 case 4:
  {
   i3 = i2 + 28 | 0;
   i4 = get16(i3 | 0) | 0;
   if (!(i4 & 16)) if (!(_sqlite3ValueText(i2, 1) | 0)) i5 = 0; else {
    i6 = get16(i3 | 0) | 0;
    i7 = 5;
   } else {
    i6 = i4;
    i7 = 5;
   }
   if ((i7 | 0) == 5) {
    i7 = get32(i2 + 24 | 0) | 0;
    if (!(i6 & 16384)) i5 = i7; else i5 = (get32(i2 + 16 | 0) | 0) + i7 | 0;
   }
   i7 = i1 + 8 | 0;
   _sqlite3VdbeMemReleaseExternal(i7);
   i6 = i1 + 44 | 0;
   _sqlite3DbFree(get32(i7 | 0) | 0, get32(i6 | 0) | 0);
   set32(i1 + 12 | 0, 0 | 0);
   set32(i6 | 0, 0 | 0);
   set32(i1 + 40 | 0, 0 | 0);
   i6 = i1 + 24 | 0;
   set32(i6 | 0, i5 | 0);
   set32(i6 + 4 | 0, ((i5 | 0) < 0) << 31 >> 31 | 0);
   set16(i1 + 36 | 0, 4 | 0);
   set8(i1 + 38 >> 0 | 0, 1 | 0);
   return;
  }
 case 3:
  {
   i5 = _sqlite3ValueText(i2, 1) | 0;
   if (!i5) return;
   i2 = get8(i5 >> 0 | 0) | 0;
   if (!(i2 << 24 >> 24)) {
    i8 = 0;
    i9 = 0;
   } else {
    i6 = i2;
    i2 = 0;
    i7 = i5;
    while (1) {
     i5 = i2 + 1 | 0;
     i4 = i7 + 1 | 0;
     if ((i6 & 255) > 191) {
      i3 = i4;
      while (1) {
       i10 = get8(i3 >> 0 | 0) | 0;
       if ((i10 & -64) << 24 >> 24 == -128) i3 = i3 + 1 | 0; else {
        i11 = i10;
        i12 = i3;
        break;
       }
      }
     } else {
      i11 = get8(i4 >> 0 | 0) | 0;
      i12 = i4;
     }
     if (!(i11 << 24 >> 24)) {
      i13 = i5;
      break;
     } else {
      i6 = i11;
      i2 = i5;
      i7 = i12;
     }
    }
    i8 = i13;
    i9 = ((i13 | 0) < 0) << 31 >> 31;
   }
   i13 = i1 + 8 | 0;
   _sqlite3VdbeMemReleaseExternal(i13);
   i12 = i1 + 44 | 0;
   _sqlite3DbFree(get32(i13 | 0) | 0, get32(i12 | 0) | 0);
   set32(i1 + 12 | 0, 0 | 0);
   set32(i12 | 0, 0 | 0);
   set32(i1 + 40 | 0, 0 | 0);
   i12 = i1 + 24 | 0;
   set32(i12 | 0, i8 | 0);
   set32(i12 + 4 | 0, i9 | 0);
   set16(i1 + 36 | 0, 4 | 0);
   set8(i1 + 38 >> 0 | 0, 1 | 0);
   return;
  }
 default:
  {
   i9 = i1 + 36 | 0;
   i12 = get16(i9 | 0) | 0;
   if (i12 & 64) {
    i8 = get32(i1 + 24 | 0) | 0;
    i13 = (get32(i8 | 0) | 0) + 172 | 0;
    set32(i8 + 60 | 0, get32(i13 | 0) | 0);
    set32(i13 | 0, i8 | 0);
   }
   if (!(i12 & 32)) i14 = i12; else {
    i8 = get32(i1 + 24 | 0) | 0;
    i13 = get32(i8 | 0) | 0;
    if (!i13) i15 = i12; else {
     i12 = i8 + 4 | 0;
     i7 = i13;
     do {
      i13 = i7;
      i7 = get32(i7 | 0) | 0;
      _sqlite3DbFree(get32(i12 | 0) | 0, i13);
     } while ((i7 | 0) != 0);
     i15 = get16(i9 | 0) | 0;
    }
    set32(i8 | 0, 0 | 0);
    set16(i8 + 24 | 0, 0 | 0);
    set32(i8 + 8 | 0, 0 | 0);
    set32(i8 + 12 | 0, 0 | 0);
    set32(i8 + 20 | 0, 0 | 0);
    set8(i8 + 26 >> 0 | 0, 1 | 0);
    i14 = i15;
   }
   set16(i9 | 0, i14 & 48896 | 1 | 0);
   set8(i1 + 38 >> 0 | 0, 5 | 0);
   return;
  }
 }
}

function _sqlite3ExprDelete(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0;
 if (!i2) return;
 i3 = i2 + 2 | 0;
 do if (!(get16(i3 | 0) & 8192)) {
  _sqlite3ExprDelete(i1, get32(i2 + 8 | 0) | 0);
  _sqlite3ExprDelete(i1, get32(i2 + 12 | 0) | 0);
  i4 = get16(i3 | 0) | 0;
  if ((i4 & 4096) == 0 ? (get8(i2 + 34 >> 0 | 0) & 1) != 0 : 0) {
   _sqlite3DbFree(i1, get32(i2 + 4 | 0) | 0);
   i5 = get16(i3 | 0) | 0;
  } else i5 = i4;
  i4 = i2 + 16 | 0;
  if (!(i5 & 2048)) {
   i6 = get32(i4 | 0) | 0;
   if (!i6) break;
   i7 = i6 + 12 | 0;
   if ((get32(i6 | 0) | 0) > 0) {
    i8 = 0;
    i9 = get32(i7 | 0) | 0;
    while (1) {
     _sqlite3ExprDelete(i1, get32(i9 | 0) | 0);
     _sqlite3DbFree(i1, get32(i9 + 4 | 0) | 0);
     _sqlite3DbFree(i1, get32(i9 + 8 | 0) | 0);
     i8 = i8 + 1 | 0;
     if ((i8 | 0) >= (get32(i6 | 0) | 0)) break; else i9 = i9 + 20 | 0;
    }
   }
   _sqlite3DbFree(i1, get32(i7 | 0) | 0);
   _sqlite3DbFree(i1, i6);
   break;
  }
  i9 = get32(i4 | 0) | 0;
  if (i9) {
   i8 = get32(i9 | 0) | 0;
   if (i8) {
    i10 = i8 + 12 | 0;
    if ((get32(i8 | 0) | 0) > 0) {
     i11 = 0;
     i12 = get32(i10 | 0) | 0;
     while (1) {
      _sqlite3ExprDelete(i1, get32(i12 | 0) | 0);
      _sqlite3DbFree(i1, get32(i12 + 4 | 0) | 0);
      _sqlite3DbFree(i1, get32(i12 + 8 | 0) | 0);
      i11 = i11 + 1 | 0;
      if ((i11 | 0) >= (get32(i8 | 0) | 0)) break; else i12 = i12 + 20 | 0;
     }
    }
    _sqlite3DbFree(i1, get32(i10 | 0) | 0);
    _sqlite3DbFree(i1, i8);
   }
   _sqlite3SrcListDelete(i1, get32(i9 + 8 | 0) | 0);
   _sqlite3ExprDelete(i1, get32(i9 + 12 | 0) | 0);
   i12 = get32(i9 + 16 | 0) | 0;
   if (i12) {
    i11 = i12 + 12 | 0;
    if ((get32(i12 | 0) | 0) > 0) {
     i4 = 0;
     i6 = get32(i11 | 0) | 0;
     while (1) {
      _sqlite3ExprDelete(i1, get32(i6 | 0) | 0);
      _sqlite3DbFree(i1, get32(i6 + 4 | 0) | 0);
      _sqlite3DbFree(i1, get32(i6 + 8 | 0) | 0);
      i4 = i4 + 1 | 0;
      if ((i4 | 0) >= (get32(i12 | 0) | 0)) break; else i6 = i6 + 20 | 0;
     }
    }
    _sqlite3DbFree(i1, get32(i11 | 0) | 0);
    _sqlite3DbFree(i1, i12);
   }
   _sqlite3ExprDelete(i1, get32(i9 + 20 | 0) | 0);
   i6 = get32(i9 + 24 | 0) | 0;
   if (i6) {
    i4 = i6 + 12 | 0;
    if ((get32(i6 | 0) | 0) > 0) {
     i8 = 0;
     i10 = get32(i4 | 0) | 0;
     while (1) {
      _sqlite3ExprDelete(i1, get32(i10 | 0) | 0);
      _sqlite3DbFree(i1, get32(i10 + 4 | 0) | 0);
      _sqlite3DbFree(i1, get32(i10 + 8 | 0) | 0);
      i8 = i8 + 1 | 0;
      if ((i8 | 0) >= (get32(i6 | 0) | 0)) break; else i10 = i10 + 20 | 0;
     }
    }
    _sqlite3DbFree(i1, get32(i4 | 0) | 0);
    _sqlite3DbFree(i1, i6);
   }
   _sqlite3SelectDelete(i1, get32(i9 + 28 | 0) | 0);
   _sqlite3ExprDelete(i1, get32(i9 + 40 | 0) | 0);
   _sqlite3ExprDelete(i1, get32(i9 + 44 | 0) | 0);
   _sqlite3DbFree(i1, i9);
  }
 } while (0);
 if (get16(i3 | 0) & 16384) return;
 _sqlite3DbFree(i1, i2);
 return;
}

function _walIndexPage(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0;
 i4 = i1 + 24 | 0;
 do if ((get32(i4 | 0) | 0) > (i2 | 0)) {
  i5 = i1 + 28 | 0;
  i6 = i5;
  i7 = get32(i5 | 0) | 0;
 } else {
  i5 = i2 + 1 | 0;
  i8 = i1 + 28 | 0;
  i9 = get32(i8 | 0) | 0;
  if ((_sqlite3_initialize() | 0) == 0 ? (i10 = _sqlite3Realloc(i9, i5 << 2) | 0, (i10 | 0) != 0) : 0) {
   i9 = get32(i4 | 0) | 0;
   _memset(i10 + (i9 << 2) | 0, 0, i5 - i9 << 2 | 0) | 0;
   set32(i8 | 0, i10 | 0);
   set32(i4 | 0, i5 | 0);
   i6 = i8;
   i7 = i10;
   break;
  }
  set32(i3 | 0, 0 | 0);
  i11 = 7;
  return i11 | 0;
 } while (0);
 i4 = i7 + (i2 << 2) | 0;
 do if (!(get32(i4 | 0) | 0)) {
  if ((get8(i1 + 38 >> 0 | 0) | 0) != 2) {
   i7 = get32(i1 + 4 | 0) | 0;
   i10 = FUNCTION_TABLE_iiiiii[get32((get32(i7 | 0) | 0) + 52 | 0) & 31](i7, i2, 32768, getU8(i1 + 39 >> 0 | 0) | 0, i4) | 0;
   if ((i10 | 0) != 8) {
    i12 = i10;
    break;
   }
   i10 = i1 + 41 | 0;
   set8(i10 >> 0 | 0, getU8(i10 >> 0 | 0) | 2 | 0);
   i12 = 0;
   break;
  }
  if (!(get32(50 * 4 | 0) | 0)) {
   i10 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](32768) | 0;
   if (!i10) i13 = 0; else {
    i14 = i10;
    i15 = 22;
   }
  } else {
   i10 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](32768) | 0;
   set32(35 * 4 | 0, 32768 | 0);
   if ((get32(45 * 4 | 0) | 0) < 32768) set32(45 * 4 | 0, 32768 | 0);
   i7 = get32(6 * 4 | 0) | 0;
   do if (i7) {
    i8 = get32(30 * 4 | 0) | 0;
    i5 = ((i8 | 0) < 0) << 31 >> 31;
    i9 = 16;
    i16 = _i64Subtract(get32(i9 | 0) | 0, get32(i9 + 4 | 0) | 0, i10 | 0, ((i10 | 0) < 0) << 31 >> 31 | 0) | 0;
    i9 = tempRet0;
    if ((i5 | 0) < (i9 | 0) | (i5 | 0) == (i9 | 0) & i8 >>> 0 < i16 >>> 0) {
     set32(11 * 4 | 0, 0 | 0);
     break;
    } else {
     set32(11 * 4 | 0, 1 | 0);
     i16 = get32(7 * 4 | 0) | 0;
     set32(6 * 4 | 0, 0 | 0);
     FUNCTION_TABLE_viiii[i7 & 15](i16, i8, i5, i10);
     set32(6 * 4 | 0, i7 | 0);
     set32(7 * 4 | 0, i16 | 0);
     break;
    }
   } while (0);
   i7 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i10) | 0;
   if (i7) {
    i16 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i7) | 0;
    i5 = (get32(30 * 4 | 0) | 0) + i16 | 0;
    set32(30 * 4 | 0, i5 | 0);
    if ((i5 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i5 | 0);
    i5 = get32(39 * 4 | 0) | 0;
    i16 = i5 + 1 | 0;
    set32(39 * 4 | 0, i16 | 0);
    if ((i5 | 0) < (get32(49 * 4 | 0) | 0)) {
     i14 = i7;
     i15 = 22;
    } else {
     set32(49 * 4 | 0, i16 | 0);
     i14 = i7;
     i15 = 22;
    }
   } else i13 = 0;
  }
  if ((i15 | 0) == 22) {
   _memset(i14 | 0, 0, 32768) | 0;
   i13 = i14;
  }
  set32((get32(i6 | 0) | 0) + (i2 << 2) | 0, i13 | 0);
  i12 = (get32((get32(i6 | 0) | 0) + (i2 << 2) | 0) | 0) == 0 ? 7 : 0;
 } else i12 = 0; while (0);
 set32(i3 | 0, get32((get32(i6 | 0) | 0) + (i2 << 2) | 0) | 0);
 i11 = i12;
 return i11 | 0;
}

function _fcntl(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 192 | 0;
 i5 = i4 + 152 | 0;
 i6 = i4 + 136 | 0;
 i7 = i4 + 120 | 0;
 i8 = i4 + 104 | 0;
 i9 = i4 + 96 | 0;
 i10 = i4 + 80 | 0;
 i11 = i4 + 64 | 0;
 i12 = i4 + 48 | 0;
 i13 = i4 + 32 | 0;
 i14 = i4 + 16 | 0;
 i15 = i4;
 i16 = i4 + 176 | 0;
 i17 = i4 + 168 | 0;
 set32(i16 | 0, i3 | 0);
 i3 = (get32(i16 | 0) | 0) + (4 - 1) & ~(4 - 1);
 i18 = get32(i3 | 0) | 0;
 set32(i16 | 0, i3 + 4 | 0);
 i3 = (i2 | 0) == 4 ? i18 | 32768 : i18;
 L1 : do switch (i2 | 0) {
 case 14:
  {
   set32(i15 | 0, i1 | 0);
   set32(i15 + 4 | 0, 14 | 0);
   set32(i15 + 8 | 0, i3 | 0);
   i19 = ___syscall_ret(___syscall221(221, i15 | 0) | 0) | 0;
   break;
  }
 case 9:
  {
   set32(i14 | 0, i1 | 0);
   set32(i14 + 4 | 0, 16 | 0);
   set32(i14 + 8 | 0, i17 | 0);
   i18 = ___syscall221(221, i14 | 0) | 0;
   switch (i18 | 0) {
   case -22:
    {
     set32(i13 | 0, i1 | 0);
     set32(i13 + 4 | 0, 9 | 0);
     set32(i13 + 8 | 0, i3 | 0);
     i19 = ___syscall221(221, i13 | 0) | 0;
     break L1;
     break;
    }
   case 0:
    {
     i16 = get32(i17 + 4 | 0) | 0;
     i19 = (get32(i17 | 0) | 0) == 2 ? 0 - i16 | 0 : i16;
     break L1;
     break;
    }
   default:
    {
     i19 = ___syscall_ret(i18) | 0;
     break L1;
    }
   }
   break;
  }
 case 1030:
  {
   set32(i12 | 0, i1 | 0);
   set32(i12 + 4 | 0, 1030 | 0);
   set32(i12 + 8 | 0, i3 | 0);
   i18 = ___syscall221(221, i12 | 0) | 0;
   if ((i18 | 0) != -22) {
    if ((i18 | 0) > -1) {
     set32(i11 | 0, i18 | 0);
     set32(i11 + 4 | 0, 2 | 0);
     set32(i11 + 8 | 0, 1 | 0);
     ___syscall221(221, i11 | 0) | 0;
    }
    i19 = ___syscall_ret(i18) | 0;
    break L1;
   }
   set32(i10 | 0, i1 | 0);
   set32(i10 + 4 | 0, 1030 | 0);
   set32(i10 + 8 | 0, 0 | 0);
   i18 = ___syscall221(221, i10 | 0) | 0;
   if ((i18 | 0) == -22) {
    set32(i8 | 0, i1 | 0);
    set32(i8 + 4 | 0, 0 | 0);
    set32(i8 + 8 | 0, i3 | 0);
    i16 = ___syscall221(221, i8 | 0) | 0;
    if ((i16 | 0) > -1) {
     set32(i7 | 0, i16 | 0);
     set32(i7 + 4 | 0, 2 | 0);
     set32(i7 + 8 | 0, 1 | 0);
     ___syscall221(221, i7 | 0) | 0;
    }
    i19 = ___syscall_ret(i16) | 0;
    break L1;
   } else {
    if ((i18 | 0) > -1) {
     set32(i9 | 0, i18 | 0);
     ___syscall6(6, i9 | 0) | 0;
    }
    i19 = ___syscall_ret(-22) | 0;
    break L1;
   }
   break;
  }
 default:
  if ((i2 + -12 | 0) >>> 0 < 5) {
   set32(i6 | 0, i1 | 0);
   set32(i6 + 4 | 0, i2 | 0);
   set32(i6 + 8 | 0, i3 | 0);
   i19 = ___syscall_ret(___syscall221(221, i6 | 0) | 0) | 0;
   break L1;
  } else {
   set32(i5 | 0, i1 | 0);
   set32(i5 + 4 | 0, i2 | 0);
   set32(i5 + 8 | 0, i3 | 0);
   i19 = ___syscall_ret(___syscall221(221, i5 | 0) | 0) | 0;
   break L1;
  }
 } while (0);
 STACKTOP = i4;
 return i19 | 0;
}

function _sqlite3_get_table_cb(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i6 = i5 + 8 | 0;
 i7 = i5;
 i8 = i1 + 12 | 0;
 i9 = get32(i8 | 0) | 0;
 i10 = (i3 | 0) != 0;
 i11 = i2 << (i10 & (i9 | 0) == 0 & 1);
 i12 = i1 + 20 | 0;
 i13 = i1 + 8 | 0;
 i14 = get32(i13 | 0) | 0;
 if ((i11 + (get32(i12 | 0) | 0) | 0) > (i14 | 0)) {
  i15 = i11 + (i14 << 1) | 0;
  set32(i13 | 0, i15 | 0);
  i13 = get32(i1 | 0) | 0;
  if ((_sqlite3_initialize() | 0) == 0 ? (i14 = _sqlite3Realloc(i13, i15 << 2) | 0, (i14 | 0) != 0) : 0) {
   set32(i1 | 0, i14 | 0);
   i16 = get32(i8 | 0) | 0;
   i17 = 5;
  }
 } else {
  i16 = i9;
  i17 = 5;
 }
 L5 : do if ((i17 | 0) == 5) {
  i9 = i1 + 16 | 0;
  if (!i16) {
   set32(i9 | 0, i2 | 0);
   if ((i2 | 0) > 0) {
    i14 = 0;
    do {
     set32(i7 | 0, get32(i4 + (i14 << 2) | 0) | 0);
     i15 = _sqlite3_mprintf(16817, i7) | 0;
     if (!i15) break L5;
     i13 = get32(i12 | 0) | 0;
     set32(i12 | 0, i13 + 1 | 0);
     set32((get32(i1 | 0) | 0) + (i13 << 2) | 0, i15 | 0);
     i14 = i14 + 1 | 0;
    } while ((i14 | 0) < (i2 | 0));
   }
  } else if ((get32(i9 | 0) | 0) != (i2 | 0)) {
   i14 = i1 + 4 | 0;
   i15 = get32(i14 | 0) | 0;
   do if (i15) {
    if (!(get32(50 * 4 | 0) | 0)) {
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i15);
     break;
    }
    i13 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i15) | 0;
    i11 = (get32(30 * 4 | 0) | 0) - i13 | 0;
    set32(30 * 4 | 0, i11 | 0);
    if ((i11 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i11 | 0);
    i11 = (get32(39 * 4 | 0) | 0) + -1 | 0;
    set32(39 * 4 | 0, i11 | 0);
    if ((i11 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i11 | 0);
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i15);
   } while (0);
   set32(i14 | 0, _sqlite3_mprintf(26408, i6) | 0 | 0);
   set32(i1 + 24 | 0, 1 | 0);
   i18 = 1;
   STACKTOP = i5;
   return i18 | 0;
  }
  if (!i10) {
   i18 = 0;
   STACKTOP = i5;
   return i18 | 0;
  }
  if ((i2 | 0) > 0) {
   i15 = 0;
   do {
    i9 = i3 + (i15 << 2) | 0;
    i11 = get32(i9 | 0) | 0;
    if (!i11) i19 = 0; else {
     i13 = i11;
     while (1) if (!(get8(i13 >> 0 | 0) | 0)) {
      i20 = i13;
      break;
     } else i13 = i13 + 1 | 0;
     i13 = (i20 - i11 & 1073741823) + 1 | 0;
     i21 = _sqlite3_malloc(i13) | 0;
     if (!i21) break L5;
     _memcpy(i21 | 0, get32(i9 | 0) | 0, i13 | 0) | 0;
     i19 = i21;
    }
    i21 = get32(i12 | 0) | 0;
    set32(i12 | 0, i21 + 1 | 0);
    set32((get32(i1 | 0) | 0) + (i21 << 2) | 0, i19 | 0);
    i15 = i15 + 1 | 0;
   } while ((i15 | 0) < (i2 | 0));
  }
  set32(i8 | 0, (get32(i8 | 0) | 0) + 1 | 0);
  i18 = 0;
  STACKTOP = i5;
  return i18 | 0;
 } while (0);
 set32(i1 + 24 | 0, 7 | 0);
 i18 = 1;
 STACKTOP = i5;
 return i18 | 0;
}

function _evalConstExpr(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i4 = i3;
 i5 = get32(i1 + 8 | 0) | 0;
 switch (getU8(i2 >> 0 | 0) | 0 | 0) {
 case 155:
 case 153:
 case 151:
  {
   i6 = 2;
   break;
  }
 case 132:
 case 72:
  {
   i7 = 1;
   STACKTOP = i3;
   return i7 | 0;
  }
 default:
  {}
 }
 if (((i6 | 0) == 2 ? (i6 = get32(i2 + 16 | 0) | 0, (i6 | 0) != 0) : 0) ? (i1 = get32(i6 | 0) | 0, (i1 | 0) > 0) : 0) {
  i8 = i1;
  i1 = get32(i6 + 12 | 0) | 0;
  while (1) {
   i6 = get32(i1 | 0) | 0;
   if (i6) {
    i9 = i6 + 2 | 0;
    set16(i9 | 0, getU16(i9 | 0) | 0 | 512 | 0);
   }
   if ((i8 | 0) > 1) {
    i8 = i8 + -1 | 0;
    i1 = i1 + 20 | 0;
   } else break;
  }
 }
 i1 = i4 + 12 | 0;
 set32(i1 | 0, 3 | 0);
 set32(i4 | 0, 67 | 0);
 set32(i4 + 4 | 0, 68 | 0);
 _sqlite3WalkExpr(i4, i2) | 0;
 if (!(get32(i1 | 0) | 0)) {
  i7 = 0;
  STACKTOP = i3;
  return i7 | 0;
 }
 L16 : do if (get16(i2 + 2 | 0) & 512) {
  i1 = get8(i2 >> 0 | 0) | 0;
  if (i1 << 24 >> 24 == -99) {
   i4 = i2;
   while (1) {
    i8 = get32(i4 + 8 | 0) | 0;
    i9 = get8(i8 >> 0 | 0) | 0;
    if (i9 << 24 >> 24 == -99) i4 = i8; else {
     i10 = i8;
     i11 = i9;
     break;
    }
   }
  } else {
   i10 = i2;
   i11 = i1;
  }
  switch (i11 & 255 | 0) {
  case 156:
   break;
  case 94:
  case 98:
  case 130:
  case 129:
  case 133:
  case 131:
   {
    i7 = 0;
    STACKTOP = i3;
    return i7 | 0;
   }
  default:
   break L16;
  }
  if (((get8(get32(i10 + 8 | 0) >> 0 | 0) | 0) + 127 & 255) < 2) {
   i7 = 0;
   STACKTOP = i3;
   return i7 | 0;
  }
 } while (0);
 i10 = i5 + 72 | 0;
 i11 = (get32(i10 | 0) | 0) + 1 | 0;
 set32(i10 | 0, i11 | 0);
 i10 = _sqlite3ExprCodeTarget(i5, i2, i11) | 0;
 do if (!((i11 | 0) == (i10 | 0) | (i11 | 0) == 0) ? (i4 = i5 + 21 | 0, i9 = get8(i4 >> 0 | 0) | 0, (i9 & 255) < 8) : 0) {
  if ((get32(i5 + 112 | 0) | 0) != (i11 | 0)) if ((get32(i5 + 136 | 0) | 0) != (i11 | 0)) if ((get32(i5 + 160 | 0) | 0) != (i11 | 0)) if ((get32(i5 + 184 | 0) | 0) != (i11 | 0)) if ((get32(i5 + 208 | 0) | 0) != (i11 | 0)) if ((get32(i5 + 232 | 0) | 0) != (i11 | 0)) if ((get32(i5 + 256 | 0) | 0) != (i11 | 0)) if ((get32(i5 + 280 | 0) | 0) != (i11 | 0)) if ((get32(i5 + 304 | 0) | 0) != (i11 | 0)) if ((get32(i5 + 328 | 0) | 0) == (i11 | 0)) i12 = i5 + 312 | 0; else {
   set8(i4 >> 0 | 0, i9 + 1 << 24 >> 24 | 0);
   set32(i5 + 24 + ((i9 & 255) << 2) | 0, i11 | 0);
   break;
  } else i12 = i5 + 288 | 0; else i12 = i5 + 264 | 0; else i12 = i5 + 240 | 0; else i12 = i5 + 216 | 0; else i12 = i5 + 192 | 0; else i12 = i5 + 168 | 0; else i12 = i5 + 144 | 0; else i12 = i5 + 120 | 0; else i12 = i5 + 96 | 0;
  set8(i12 + 8 >> 0 | 0, 1 | 0);
 } while (0);
 set8(i2 + 35 >> 0 | 0, get8(i2 >> 0 | 0) | 0 | 0);
 set8(i2 >> 0 | 0, -124 | 0);
 set32(i2 + 24 | 0, i10 | 0);
 i7 = 1;
 STACKTOP = i3;
 return i7 | 0;
}

function _sqlite3SrcListDelete(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0;
 if (!i2) return;
 if ((get16(i2 | 0) | 0) > 0) {
  i3 = 0;
  i4 = i2 + 8 | 0;
  while (1) {
   _sqlite3DbFree(i1, get32(i4 | 0) | 0);
   _sqlite3DbFree(i1, get32(i4 + 4 | 0) | 0);
   _sqlite3DbFree(i1, get32(i4 + 8 | 0) | 0);
   _sqlite3DbFree(i1, get32(i4 + 48 | 0) | 0);
   _sqlite3DeleteTable(i1, get32(i4 + 12 | 0) | 0);
   i5 = get32(i4 + 16 | 0) | 0;
   if (i5) {
    i6 = get32(i5 | 0) | 0;
    if (i6) {
     i7 = i6 + 12 | 0;
     if ((get32(i6 | 0) | 0) > 0) {
      i8 = 0;
      i9 = get32(i7 | 0) | 0;
      while (1) {
       _sqlite3ExprDelete(i1, get32(i9 | 0) | 0);
       _sqlite3DbFree(i1, get32(i9 + 4 | 0) | 0);
       _sqlite3DbFree(i1, get32(i9 + 8 | 0) | 0);
       i8 = i8 + 1 | 0;
       if ((i8 | 0) >= (get32(i6 | 0) | 0)) break; else i9 = i9 + 20 | 0;
      }
     }
     _sqlite3DbFree(i1, get32(i7 | 0) | 0);
     _sqlite3DbFree(i1, i6);
    }
    _sqlite3SrcListDelete(i1, get32(i5 + 8 | 0) | 0);
    _sqlite3ExprDelete(i1, get32(i5 + 12 | 0) | 0);
    i9 = get32(i5 + 16 | 0) | 0;
    if (i9) {
     i8 = i9 + 12 | 0;
     if ((get32(i9 | 0) | 0) > 0) {
      i10 = 0;
      i11 = get32(i8 | 0) | 0;
      while (1) {
       _sqlite3ExprDelete(i1, get32(i11 | 0) | 0);
       _sqlite3DbFree(i1, get32(i11 + 4 | 0) | 0);
       _sqlite3DbFree(i1, get32(i11 + 8 | 0) | 0);
       i10 = i10 + 1 | 0;
       if ((i10 | 0) >= (get32(i9 | 0) | 0)) break; else i11 = i11 + 20 | 0;
      }
     }
     _sqlite3DbFree(i1, get32(i8 | 0) | 0);
     _sqlite3DbFree(i1, i9);
    }
    _sqlite3ExprDelete(i1, get32(i5 + 20 | 0) | 0);
    i11 = get32(i5 + 24 | 0) | 0;
    if (i11) {
     i10 = i11 + 12 | 0;
     if ((get32(i11 | 0) | 0) > 0) {
      i6 = 0;
      i7 = get32(i10 | 0) | 0;
      while (1) {
       _sqlite3ExprDelete(i1, get32(i7 | 0) | 0);
       _sqlite3DbFree(i1, get32(i7 + 4 | 0) | 0);
       _sqlite3DbFree(i1, get32(i7 + 8 | 0) | 0);
       i6 = i6 + 1 | 0;
       if ((i6 | 0) >= (get32(i11 | 0) | 0)) break; else i7 = i7 + 20 | 0;
      }
     }
     _sqlite3DbFree(i1, get32(i10 | 0) | 0);
     _sqlite3DbFree(i1, i11);
    }
    _sqlite3SelectDelete(i1, get32(i5 + 28 | 0) | 0);
    _sqlite3ExprDelete(i1, get32(i5 + 40 | 0) | 0);
    _sqlite3ExprDelete(i1, get32(i5 + 44 | 0) | 0);
    _sqlite3DbFree(i1, i5);
   }
   _sqlite3ExprDelete(i1, get32(i4 + 28 | 0) | 0);
   i7 = get32(i4 + 32 | 0) | 0;
   if (i7) {
    i6 = i7 + 4 | 0;
    if ((get32(i6 | 0) | 0) > 0) {
     i9 = 0;
     do {
      _sqlite3DbFree(i1, get32((get32(i7 | 0) | 0) + (i9 << 3) | 0) | 0);
      i9 = i9 + 1 | 0;
     } while ((i9 | 0) < (get32(i6 | 0) | 0));
    }
    _sqlite3DbFree(i1, get32(i7 | 0) | 0);
    _sqlite3DbFree(i1, i7);
   }
   i3 = i3 + 1 | 0;
   if ((i3 | 0) >= (get16(i2 | 0) | 0)) break; else i4 = i4 + 56 | 0;
  }
 }
 _sqlite3DbFree(i1, i2);
 return;
}

function _dotlockClose(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 48 | 0;
 i3 = i2 + 24 | 0;
 i4 = i2;
 do if (i1) {
  i5 = i1 + 24 | 0;
  i6 = i1 + 16 | 0;
  do if (get8(i6 >> 0 | 0) | 0) {
   if (!(_unlink(get32(i5 | 0) | 0) | 0)) {
    set8(i6 >> 0 | 0, 0 | 0);
    break;
   }
   i7 = get32(___errno_location() | 0 | 0) | 0;
   if ((i7 | 0) != 2) set32(i1 + 20 | 0, i7 | 0);
  } while (0);
  i6 = get32(i5 | 0) | 0;
  if (i6) {
   if (!(get32(50 * 4 | 0) | 0)) {
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i6);
    break;
   }
   i7 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i6) | 0;
   i8 = (get32(30 * 4 | 0) | 0) - i7 | 0;
   set32(30 * 4 | 0, i8 | 0);
   if ((i8 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i8 | 0);
   i8 = (get32(39 * 4 | 0) | 0) + -1 | 0;
   set32(39 * 4 | 0, i8 | 0);
   if ((i8 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i8 | 0);
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i6);
  }
 } while (0);
 i6 = i1 + 12 | 0;
 i8 = get32(i6 | 0) | 0;
 if ((i8 | 0) > -1) {
  if (FUNCTION_TABLE_ii[get32(1056 | 0) & 127](i8) | 0) {
   i8 = get32(i1 + 32 | 0) | 0;
   i7 = get32(___errno_location() | 0 | 0) | 0;
   i9 = _strerror(i7) | 0;
   set32(i4 | 0, 26222 | 0);
   set32(i4 + 4 | 0, i7 | 0);
   set32(i4 + 8 | 0, 19075 | 0);
   set32(i4 + 12 | 0, ((i8 | 0) == 0 ? 16820 : i8) | 0);
   set32(i4 + 16 | 0, i9 | 0);
   _sqlite3_log(4106, 19185, i4);
  }
  set32(i6 | 0, -1 | 0);
 }
 i6 = i1 + 8 | 0;
 i4 = get32(i6 | 0) | 0;
 if ((i4 | 0) > -1) {
  if (FUNCTION_TABLE_ii[get32(1056 | 0) & 127](i4) | 0) {
   i4 = get32(i1 + 32 | 0) | 0;
   i9 = get32(___errno_location() | 0 | 0) | 0;
   i8 = _strerror(i9) | 0;
   set32(i3 | 0, 26226 | 0);
   set32(i3 + 4 | 0, i9 | 0);
   set32(i3 + 8 | 0, 19075 | 0);
   set32(i3 + 12 | 0, ((i4 | 0) == 0 ? 16820 : i4) | 0);
   set32(i3 + 16 | 0, i8 | 0);
   _sqlite3_log(4106, 19185, i3);
  }
  set32(i6 | 0, -1 | 0);
 }
 i6 = get32(i1 + 28 | 0) | 0;
 if (!i6) {
  i10 = i1;
  i11 = i10 + 44 | 0;
  do {
   set32(i10 | 0, 0 | 0);
   i10 = i10 + 4 | 0;
  } while ((i10 | 0) < (i11 | 0));
  STACKTOP = i2;
  return 0;
 }
 if (!(get32(50 * 4 | 0) | 0)) {
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i6);
  i10 = i1;
  i11 = i10 + 44 | 0;
  do {
   set32(i10 | 0, 0 | 0);
   i10 = i10 + 4 | 0;
  } while ((i10 | 0) < (i11 | 0));
  STACKTOP = i2;
  return 0;
 }
 i3 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i6) | 0;
 i8 = (get32(30 * 4 | 0) | 0) - i3 | 0;
 set32(30 * 4 | 0, i8 | 0);
 if ((i8 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i8 | 0);
 i8 = (get32(39 * 4 | 0) | 0) + -1 | 0;
 set32(39 * 4 | 0, i8 | 0);
 if ((i8 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i8 | 0);
 FUNCTION_TABLE_vi[get32(232 | 0) & 31](i6);
 i10 = i1;
 i11 = i10 + 44 | 0;
 do {
  set32(i10 | 0, 0 | 0);
  i10 = i10 + 4 | 0;
 } while ((i10 | 0) < (i11 | 0));
 STACKTOP = i2;
 return 0;
}

function _resolveOrderGroupBy(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i6 = i5;
 i7 = i5 + 12 | 0;
 if (!i3) {
  i8 = 0;
  STACKTOP = i5;
  return i8 | 0;
 }
 i9 = get32(i2 | 0) | 0;
 i10 = get32(i9 | 0) | 0;
 i11 = get32(i1 | 0) | 0;
 L4 : do if ((get32(i3 | 0) | 0) > 0) {
  i12 = i9;
  i13 = 0;
  i14 = get32(i3 + 12 | 0) | 0;
  L6 : while (1) {
   i15 = get32(i14 | 0) | 0;
   L8 : do if ((get8(i15 >> 0 | 0) | 0) == 26 ? (i16 = get32(i15 + 4 | 0) | 0, i17 = get32(i12 | 0) | 0, (i17 | 0) > 0) : 0) {
    i18 = get32(i12 + 12 | 0) | 0;
    i19 = 0;
    while (1) {
     i20 = get32(i18 + (i19 * 20 | 0) + 4 | 0) | 0;
     if (i20) {
      i21 = get8(i20 >> 0 | 0) | 0;
      L15 : do if (!(i21 << 24 >> 24)) {
       i22 = 0;
       i23 = i16;
      } else {
       i24 = i21;
       i25 = i20;
       i26 = i16;
       while (1) {
        if ((get8(16286 + (i24 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i26 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
         i22 = i24;
         i23 = i26;
         break L15;
        }
        i25 = i25 + 1 | 0;
        i27 = i26 + 1 | 0;
        i24 = get8(i25 >> 0 | 0) | 0;
        if (!(i24 << 24 >> 24)) {
         i22 = 0;
         i23 = i27;
         break;
        } else i26 = i27;
       }
      } while (0);
      if ((get8(16286 + (i22 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i23 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
       i28 = i19;
       break;
      }
     }
     i19 = i19 + 1 | 0;
     if ((i19 | 0) >= (i17 | 0)) {
      i29 = 13;
      break L8;
     }
    }
    i17 = i28 + 1 | 0;
    set32(i7 | 0, i17 | 0);
    if ((i28 | 0) > -1) set16(i14 + 14 | 0, i17 | 0); else i29 = 16;
   } else i29 = 13; while (0);
   if ((i29 | 0) == 13) {
    i29 = 0;
    set32(i7 | 0, 0 | 0);
    i29 = 16;
   }
   do if ((i29 | 0) == 16) {
    i29 = 0;
    if (!(_sqlite3ExprIsInteger(i15, i7) | 0)) {
     set16(i14 + 14 | 0, 0 | 0);
     if (!(_sqlite3ResolveExprNames(i1, i15) | 0)) break; else {
      i8 = 1;
      i29 = 24;
      break L6;
     }
    }
    i17 = get32(i7 | 0) | 0;
    if ((i17 | 0) < 1) {
     i30 = i13;
     break L6;
    }
    set16(i14 + 14 | 0, i17 | 0);
   } while (0);
   i15 = i13 + 1 | 0;
   if ((i15 | 0) >= (get32(i3 | 0) | 0)) break L4;
   i12 = get32(i2 | 0) | 0;
   i13 = i15;
   i14 = i14 + 20 | 0;
  }
  if ((i29 | 0) == 24) {
   STACKTOP = i5;
   return i8 | 0;
  }
  set32(i6 | 0, i30 + 1 | 0);
  set32(i6 + 4 | 0, i4 | 0);
  set32(i6 + 8 | 0, i10 | 0);
  _sqlite3ErrorMsg(i11, 30506, i6);
  i8 = 1;
  STACKTOP = i5;
  return i8 | 0;
 } while (0);
 i8 = _sqlite3ResolveOrderGroupBy(i11, i2, i3, i4) | 0;
 STACKTOP = i5;
 return i8 | 0;
}

function _sqlite3VdbeCursorMoveto(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 176 | 0;
 i3 = i2;
 i4 = i2 + 12 | 0;
 i5 = i2 + 8 | 0;
 i6 = i1 + 29 | 0;
 i7 = get32(i1 | 0) | 0;
 if (get8(i6 >> 0 | 0) | 0) {
  i8 = i1 + 56 | 0;
  i9 = i8;
  i10 = _sqlite3BtreeMovetoUnpacked(i7, 0, get32(i9 | 0) | 0, get32(i9 + 4 | 0) | 0, 0, i5) | 0;
  if (i10) {
   i11 = i10;
   STACKTOP = i2;
   return i11 | 0;
  }
  i10 = i8;
  i8 = get32(i10 + 4 | 0) | 0;
  i9 = i1 + 64 | 0;
  set32(i9 | 0, get32(i10 | 0) | 0);
  set32(i9 + 4 | 0, i8 | 0);
  if (!(get32(i5 | 0) | 0)) {
   set8(i1 + 25 >> 0 | 0, 1 | 0);
   set8(i6 >> 0 | 0, 0 | 0);
   set32(i1 + 76 | 0, 0 | 0);
   i11 = 0;
   STACKTOP = i2;
   return i11 | 0;
  } else {
   set32(i3 | 0, 60043 | 0);
   set32(i3 + 4 | 0, 17203 | 0);
   _sqlite3_log(11, 19615, i3);
   i11 = 11;
   STACKTOP = i2;
   return i11 | 0;
  }
 }
 if (!i7) {
  i11 = 0;
  STACKTOP = i2;
  return i11 | 0;
 }
 i3 = i7 + 83 | 0;
 i6 = get8(i3 >> 0 | 0) | 0;
 do if ((i6 & 255) > 1) {
  if (i6 << 24 >> 24 == 3) {
   i5 = get32(i7 + 76 | 0) | 0;
   if (!i5) break; else i11 = i5;
   STACKTOP = i2;
   return i11 | 0;
  }
  set8(i3 >> 0 | 0, 0 | 0);
  i5 = i7 + 72 | 0;
  i8 = get32(i5 | 0) | 0;
  i9 = i7 + 64 | 0;
  i10 = get32(i9 | 0) | 0;
  i12 = get32(i9 + 4 | 0) | 0;
  i9 = i7 + 76 | 0;
  do if (i8) {
   i13 = _sqlite3VdbeRecordUnpack(get32(i7 + 16 | 0) | 0, i10, i8, i4, 150) | 0;
   if (!i13) {
    i11 = 7;
    STACKTOP = i2;
    return i11 | 0;
   } else {
    i14 = _sqlite3BtreeMovetoUnpacked(i7, i13, i10, i12, 0, i9) | 0;
    if (!(get16(i13 + 6 | 0) & 1)) {
     i15 = i14;
     break;
    }
    _sqlite3DbFree(get32(get32(i13 | 0) | 0) | 0, i13);
    i15 = i14;
    break;
   }
  } else i15 = _sqlite3BtreeMovetoUnpacked(i7, 0, i10, i12, 0, i9) | 0; while (0);
  if (i15) {
   i11 = i15;
   STACKTOP = i2;
   return i11 | 0;
  }
  i9 = get32(i5 | 0) | 0;
  do if (i9) {
   if (!(get32(50 * 4 | 0) | 0)) {
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i9);
    break;
   }
   i12 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i9) | 0;
   i10 = (get32(30 * 4 | 0) | 0) - i12 | 0;
   set32(30 * 4 | 0, i10 | 0);
   if ((i10 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i10 | 0);
   i10 = (get32(39 * 4 | 0) | 0) + -1 | 0;
   set32(39 * 4 | 0, i10 | 0);
   if ((i10 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i10 | 0);
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i9);
  } while (0);
  set32(i5 | 0, 0 | 0);
  i16 = get8(i3 >> 0 | 0) | 0;
  i17 = 25;
 } else {
  i16 = i6;
  i17 = 25;
 } while (0);
 if (((i17 | 0) == 25 ? i16 << 24 >> 24 == 1 : 0) ? (get32(i7 + 76 | 0) | 0) == 0 : 0) {
  i11 = 0;
  STACKTOP = i2;
  return i11 | 0;
 }
 set32(i1 + 76 | 0, 0 | 0);
 set8(i1 + 28 >> 0 | 0, 1 | 0);
 i11 = 0;
 STACKTOP = i2;
 return i11 | 0;
}

function _btreeParseCellPtr(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i5 = i4;
 set32(i3 + 8 | 0, i2 | 0);
 i6 = getU8(i1 + 6 >> 0 | 0) | 0;
 if (!(get8(i1 + 2 >> 0 | 0) | 0)) {
  set32(i3 + 12 | 0, 0 | 0);
  i7 = i2 + i6 | 0;
  i8 = get8(i7 >> 0 | 0) | 0;
  if (i8 << 24 >> 24 > -1) {
   i9 = 1;
   i10 = i8 & 255;
  } else {
   i11 = i8 & 255;
   i8 = getU8(i2 + (i6 + 1) >> 0 | 0) | 0;
   do if (i8 & 128) {
    i12 = getU8(i2 + (i6 + 2) >> 0 | 0) | 0;
    if (!(i12 & 128)) {
     i13 = 3;
     i14 = (i12 | i11 << 14) & 2080895 | i8 << 7 & 16256;
     break;
    } else {
     i12 = _sqlite3GetVarint(i7, i5) | 0;
     i15 = i5;
     i16 = get32(i15 | 0) | 0;
     i13 = i12;
     i14 = ((i16 | 0) == (i16 | 0) ? 0 == (get32(i15 + 4 | 0) | 0) : 0) ? i16 : -1;
     break;
    }
   } else {
    i13 = 2;
    i14 = i11 << 7 & 16256 | i8;
   } while (0);
   i9 = i13;
   i10 = i14;
  }
  i14 = i3;
  set32(i14 | 0, i10 | 0);
  set32(i14 + 4 | 0, 0 | 0);
  i17 = i10;
  i18 = (i9 & 255) + i6 | 0;
 } else {
  if (!(get8(i1 + 4 >> 0 | 0) | 0)) {
   i19 = 0;
   i20 = i6;
  } else {
   i9 = i2 + i6 | 0;
   i10 = get8(i9 >> 0 | 0) | 0;
   if (i10 << 24 >> 24 > -1) {
    i21 = i10 & 255;
    i22 = 1;
   } else {
    i14 = i10 & 255;
    i10 = getU8(i2 + (i6 + 1) >> 0 | 0) | 0;
    do if (i10 & 128) {
     i13 = getU8(i2 + (i6 + 2) >> 0 | 0) | 0;
     if (!(i13 & 128)) {
      i23 = 3;
      i24 = (i13 | i14 << 14) & 2080895 | i10 << 7 & 16256;
      break;
     } else {
      i13 = _sqlite3GetVarint(i9, i5) | 0;
      i8 = i5;
      i11 = get32(i8 | 0) | 0;
      i23 = i13;
      i24 = ((i11 | 0) == (i11 | 0) ? 0 == (get32(i8 + 4 | 0) | 0) : 0) ? i11 : -1;
      break;
     }
    } else {
     i23 = 2;
     i24 = i14 << 7 & 16256 | i10;
    } while (0);
    i21 = i24;
    i22 = i23;
   }
   i19 = i21;
   i20 = (i22 & 255) + i6 | 0;
  }
  i6 = i20 & 65535;
  i20 = ((_sqlite3GetVarint(i2 + i6 | 0, i3) | 0) & 255) + i6 | 0;
  set32(i3 + 12 | 0, i19 | 0);
  i17 = i19;
  i18 = i20;
 }
 set32(i3 + 16 | 0, i17 | 0);
 set16(i3 + 20 | 0, i18 | 0);
 i20 = getU16(i1 + 8 | 0) | 0;
 if (i17 >>> 0 > i20 >>> 0) {
  i19 = get16(i1 + 10 | 0) | 0;
  i6 = i19 & 65535;
  i2 = (((i17 - i6 | 0) >>> 0) % (((get32((get32(i1 + 60 | 0) | 0) + 40 | 0) | 0) + -4 | 0) >>> 0) | 0) + i6 | 0;
  i6 = (i2 | 0) > (i20 | 0) ? i19 : i2 & 65535;
  set16(i3 + 22 | 0, i6 | 0);
  i2 = (i6 & 65535) + i18 | 0;
  set16(i3 + 24 | 0, i2 | 0);
  set16(i3 + 26 | 0, i2 + 4 | 0);
  STACKTOP = i4;
  return;
 } else {
  i2 = i18 + i17 | 0;
  set16(i3 + 26 | 0, ((i2 & 65532) >>> 0 < 4 ? 4 : i2 & 65535) | 0);
  set16(i3 + 22 | 0, i17 | 0);
  set16(i3 + 24 | 0, 0 | 0);
  STACKTOP = i4;
  return;
 }
}

function _unixShmPurge(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i3 = i2;
 i4 = get32((get32(i1 + 4 | 0) | 0) + 20 | 0) | 0;
 if (!i4) {
  STACKTOP = i2;
  return;
 }
 if (get32(i4 + 28 | 0) | 0) {
  STACKTOP = i2;
  return;
 }
 i5 = i4 + 20 | 0;
 if (!(get16(i5 | 0) | 0)) i6 = i4 + 24 | 0; else {
  i7 = i4 + 12 | 0;
  i8 = i4 + 24 | 0;
  i9 = i4 + 16 | 0;
  i10 = 0;
  do {
   i11 = get32((get32(i8 | 0) | 0) + (i10 << 2) | 0) | 0;
   do if ((get32(i7 | 0) | 0) <= -1) {
    if (i11) {
     if (!(get32(50 * 4 | 0) | 0)) {
      FUNCTION_TABLE_vi[get32(232 | 0) & 31](i11);
      break;
     }
     i12 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i11) | 0;
     i13 = (get32(30 * 4 | 0) | 0) - i12 | 0;
     set32(30 * 4 | 0, i13 | 0);
     if ((i13 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i13 | 0);
     i13 = (get32(39 * 4 | 0) | 0) + -1 | 0;
     set32(39 * 4 | 0, i13 | 0);
     if ((i13 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i13 | 0);
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i11);
    }
   } else ___munmap(i11, get32(i9 | 0) | 0) | 0; while (0);
   i10 = i10 + 1 | 0;
  } while ((i10 | 0) < (getU16(i5 | 0) | 0));
  i6 = i8;
 }
 i8 = get32(i6 | 0) | 0;
 do if (i8) {
  if (!(get32(50 * 4 | 0) | 0)) {
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i8);
   break;
  }
  i6 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i8) | 0;
  i5 = (get32(30 * 4 | 0) | 0) - i6 | 0;
  set32(30 * 4 | 0, i5 | 0);
  if ((i5 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i5 | 0);
  i5 = (get32(39 * 4 | 0) | 0) + -1 | 0;
  set32(39 * 4 | 0, i5 | 0);
  if ((i5 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i5 | 0);
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i8);
 } while (0);
 i8 = i4 + 12 | 0;
 i5 = get32(i8 | 0) | 0;
 if ((i5 | 0) > -1) {
  if (FUNCTION_TABLE_ii[get32(1056 | 0) & 127](i5) | 0) {
   if (!i1) i14 = 0; else i14 = get32(i1 + 32 | 0) | 0;
   i1 = get32(___errno_location() | 0 | 0) | 0;
   i5 = _strerror(i1) | 0;
   set32(i3 | 0, 28156 | 0);
   set32(i3 + 4 | 0, i1 | 0);
   set32(i3 + 8 | 0, 19075 | 0);
   set32(i3 + 12 | 0, ((i14 | 0) == 0 ? 16820 : i14) | 0);
   set32(i3 + 16 | 0, i5 | 0);
   _sqlite3_log(4106, 19185, i3);
  }
  set32(i8 | 0, -1 | 0);
 }
 set32((get32(i4 | 0) | 0) + 20 | 0, 0 | 0);
 if (!(get32(50 * 4 | 0) | 0)) {
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i4);
  STACKTOP = i2;
  return;
 }
 i8 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i4) | 0;
 i3 = (get32(30 * 4 | 0) | 0) - i8 | 0;
 set32(30 * 4 | 0, i3 | 0);
 if ((i3 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i3 | 0);
 i3 = (get32(39 * 4 | 0) | 0) + -1 | 0;
 set32(39 * 4 | 0, i3 | 0);
 if ((i3 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i3 | 0);
 FUNCTION_TABLE_vi[get32(232 | 0) & 31](i4);
 STACKTOP = i2;
 return;
}

function _createCollation(i1, i2, i3, i4, i5, i6, i7) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 i7 = i7 | 0;
 var i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0;
 i8 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i9 = i8 + 16 | 0;
 i10 = i8 + 8 | 0;
 i11 = i8;
 i12 = (i2 | 0) == 0;
 if (i12) i13 = 0; else {
  i14 = i2;
  while (1) if (!(get8(i14 >> 0 | 0) | 0)) {
   i15 = i14;
   break;
  } else i14 = i14 + 1 | 0;
  i13 = i15 - i2 & 1073741823;
 }
 i15 = i3 & 255;
 switch (i3 << 24 >> 24) {
 case 4:
 case 8:
  {
   i16 = 2;
   break;
  }
 default:
  if ((i15 + -1 | 0) >>> 0 > 2) {
   set32(i11 | 0, 109566 | 0);
   set32(i11 + 4 | 0, 17203 | 0);
   _sqlite3_log(21, 39226, i11);
   i17 = 21;
   STACKTOP = i8;
   return i17 | 0;
  } else i16 = i15;
 }
 i11 = i16 & 255;
 if (i12) i18 = get32(i1 + 44 | 0) | 0; else {
  i12 = i2;
  while (1) if (!(get8(i12 >> 0 | 0) | 0)) {
   i19 = i12;
   break;
  } else i12 = i12 + 1 | 0;
  i18 = _sqlite3HashFind(i1 + 412 | 0, i2, i19 - i2 & 1073741823) | 0;
 }
 if (((i18 | 0) != 0 ? (i19 = i16 + -1 | 0, (i18 + (i19 * 20 | 0) | 0) != 0) : 0) ? (get32(i18 + (i19 * 20 | 0) + 12 | 0) | 0) != 0 : 0) {
  if (get32(i1 + 140 | 0) | 0) {
   _sqlite3Error(i1, 5, 39158, i10);
   i17 = 5;
   STACKTOP = i8;
   return i17 | 0;
  }
  i10 = get32(i1 + 136 | 0) | 0;
  if (i10) {
   i12 = i10;
   do {
    set8(i12 + 99 >> 0 | 0, 1 | 0);
    i12 = get32(i12 + 64 | 0) | 0;
   } while ((i12 | 0) != 0);
  }
  i12 = i18 + (i19 * 20 | 0) + 4 | 0;
  i19 = get8(i12 >> 0 | 0) | 0;
  if ((i19 & 247 | 0) == (i16 | 0)) {
   i18 = _sqlite3HashFind(i1 + 412 | 0, i2, i13) | 0;
   if ((get8(i18 + 4 >> 0 | 0) | 0) == i19 << 24 >> 24) {
    i13 = get32(i18 + 16 | 0) | 0;
    if (!i13) i20 = i19; else {
     FUNCTION_TABLE_vi[i13 & 31](get32(i18 + 8 | 0) | 0);
     i20 = get8(i12 >> 0 | 0) | 0;
    }
    set32(i18 + 12 | 0, 0 | 0);
    i21 = i20;
   } else i21 = i19;
   if ((get8(i18 + 24 >> 0 | 0) | 0) == i21 << 24 >> 24) {
    i19 = get32(i18 + 36 | 0) | 0;
    if (!i19) i22 = i21; else {
     FUNCTION_TABLE_vi[i19 & 31](get32(i18 + 28 | 0) | 0);
     i22 = get8(i12 >> 0 | 0) | 0;
    }
    set32(i18 + 32 | 0, 0 | 0);
    i23 = i22;
   } else i23 = i21;
   if ((get8(i18 + 44 >> 0 | 0) | 0) == i23 << 24 >> 24) {
    i23 = get32(i18 + 56 | 0) | 0;
    if (i23) FUNCTION_TABLE_vi[i23 & 31](get32(i18 + 48 | 0) | 0);
    set32(i18 + 52 | 0, 0 | 0);
   }
  }
 }
 i18 = _sqlite3FindCollSeq(i1, i11, i2, 1) | 0;
 if (!i18) {
  i17 = 7;
  STACKTOP = i8;
  return i17 | 0;
 }
 set32(i18 + 12 | 0, i6 | 0);
 set32(i18 + 8 | 0, i5 | 0);
 set32(i18 + 16 | 0, i7 | 0);
 set8(i18 + 4 >> 0 | 0, i16 | i15 & 8 | 0);
 set8(i18 + 5 >> 0 | 0, i4 | 0);
 _sqlite3Error(i1, 0, 0, i9);
 i17 = 0;
 STACKTOP = i8;
 return i17 | 0;
}

function _cellSizePtr(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0, i32 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i4 = i3;
 i5 = getU8(i1 + 6 >> 0 | 0) | 0;
 i6 = i2 + i5 | 0;
 if (!(get8(i1 + 2 >> 0 | 0) | 0)) {
  i7 = get8(i6 >> 0 | 0) | 0;
  if (i7 << 24 >> 24 > -1) {
   i8 = i7 & 255;
   i9 = 1;
  } else {
   i10 = i7 & 255;
   i7 = getU8(i2 + (i5 + 1) >> 0 | 0) | 0;
   do if (i7 & 128) {
    i11 = getU8(i2 + (i5 + 2) >> 0 | 0) | 0;
    if (!(i11 & 128)) {
     i12 = 3;
     i13 = (i11 | i10 << 14) & 2080895 | i7 << 7 & 16256;
     break;
    } else {
     i11 = _sqlite3GetVarint(i6, i4) | 0;
     i14 = i4;
     i15 = get32(i14 | 0) | 0;
     i12 = i11;
     i13 = ((i15 | 0) == (i15 | 0) ? 0 == (get32(i14 + 4 | 0) | 0) : 0) ? i15 : -1;
     break;
    }
   } else {
    i12 = 2;
    i13 = i10 << 7 & 16256 | i7;
   } while (0);
   i8 = i13;
   i9 = i12;
  }
  i16 = i8;
  i17 = i2 + ((i9 & 255) + i5) | 0;
 } else {
  if (!(get8(i1 + 4 >> 0 | 0) | 0)) {
   i18 = 0;
   i19 = i5;
   i20 = i6;
  } else {
   i9 = get8(i6 >> 0 | 0) | 0;
   if (i9 << 24 >> 24 > -1) {
    i21 = i9 & 255;
    i22 = 1;
   } else {
    i8 = i9 & 255;
    i9 = getU8(i2 + (i5 + 1) >> 0 | 0) | 0;
    do if (i9 & 128) {
     i12 = getU8(i2 + (i5 + 2) >> 0 | 0) | 0;
     if (!(i12 & 128)) {
      i23 = 3;
      i24 = (i12 | i8 << 14) & 2080895 | i9 << 7 & 16256;
      break;
     } else {
      i12 = _sqlite3GetVarint(i6, i4) | 0;
      i13 = i4;
      i7 = get32(i13 | 0) | 0;
      i23 = i12;
      i24 = ((i7 | 0) == (i7 | 0) ? 0 == (get32(i13 + 4 | 0) | 0) : 0) ? i7 : -1;
      break;
     }
    } else {
     i23 = 2;
     i24 = i8 << 7 & 16256 | i9;
    } while (0);
    i21 = i24;
    i22 = i23;
   }
   i23 = (i22 & 255) + i5 | 0;
   i18 = i21;
   i19 = i23;
   i20 = i2 + i23 | 0;
  }
  i23 = i2 + (i19 + 9) | 0;
  i19 = i20;
  while (1) {
   i20 = i19 + 1 | 0;
   if ((get8(i19 >> 0 | 0) | 0) < 0 & i20 >>> 0 < i23 >>> 0) i19 = i20; else {
    i16 = i18;
    i17 = i20;
    break;
   }
  }
 }
 i18 = getU16(i1 + 8 | 0) | 0;
 if (i16 >>> 0 <= i18 >>> 0) {
  i25 = i16;
  i26 = i17;
  i27 = i2;
  i28 = i26 - i27 | 0;
  i29 = i25 + i28 | 0;
  i30 = i29 >>> 0 < 4;
  i31 = i29 & 65535;
  i32 = i30 ? 4 : i31;
  STACKTOP = i3;
  return i32 | 0;
 }
 i19 = getU16(i1 + 10 | 0) | 0;
 i23 = (((i16 - i19 | 0) >>> 0) % (((get32((get32(i1 + 60 | 0) | 0) + 40 | 0) | 0) + -4 | 0) >>> 0) | 0) + i19 | 0;
 i25 = (i23 >>> 0 > i18 >>> 0 ? i19 : i23) + 4 | 0;
 i26 = i17;
 i27 = i2;
 i28 = i26 - i27 | 0;
 i29 = i25 + i28 | 0;
 i30 = i29 >>> 0 < 4;
 i31 = i29 & 65535;
 i32 = i30 ? 4 : i31;
 STACKTOP = i3;
 return i32 | 0;
}

function _sqlite3WalClose(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0;
 if (!i1) {
  i5 = 0;
  return i5 | 0;
 }
 i6 = i1 + 4 | 0;
 i7 = get32(i6 | 0) | 0;
 i8 = FUNCTION_TABLE_iii[get32((get32(i7 | 0) | 0) + 28 | 0) & 127](i7, 4) | 0;
 i7 = i1 + 38 | 0;
 if (!i8) {
  if (!(get8(i7 >> 0 | 0) | 0)) set8(i7 >> 0 | 0, 1 | 0);
  i9 = _sqlite3WalCheckpoint(i1, 0, 0, 0, i2, i3, i4, 0, 0) | 0;
  i10 = (i9 | 0) == 0 & 1;
  i11 = i9;
 } else {
  i10 = 0;
  i11 = i8;
 }
 if ((get8(i7 >> 0 | 0) | 0) == 2) {
  i7 = i1 + 24 | 0;
  if ((get32(i7 | 0) | 0) > 0) {
   i8 = i1 + 28 | 0;
   i9 = 0;
   do {
    i4 = get32((get32(i8 | 0) | 0) + (i9 << 2) | 0) | 0;
    do if (i4) {
     if (!(get32(50 * 4 | 0) | 0)) {
      FUNCTION_TABLE_vi[get32(232 | 0) & 31](i4);
      break;
     }
     i3 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i4) | 0;
     i2 = (get32(30 * 4 | 0) | 0) - i3 | 0;
     set32(30 * 4 | 0, i2 | 0);
     if ((i2 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i2 | 0);
     i2 = (get32(39 * 4 | 0) | 0) + -1 | 0;
     set32(39 * 4 | 0, i2 | 0);
     if ((i2 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i2 | 0);
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i4);
    } while (0);
    set32((get32(i8 | 0) | 0) + (i9 << 2) | 0, 0 | 0);
    i9 = i9 + 1 | 0;
   } while ((i9 | 0) < (get32(i7 | 0) | 0));
  }
 } else {
  i7 = get32(i6 | 0) | 0;
  FUNCTION_TABLE_iii[get32((get32(i7 | 0) | 0) + 64 | 0) & 127](i7, i10) | 0;
 }
 i7 = get32(i1 + 8 | 0) | 0;
 i6 = get32(i7 | 0) | 0;
 if (i6) {
  FUNCTION_TABLE_ii[get32(i6 + 4 | 0) & 127](i7) | 0;
  set32(i7 | 0, 0 | 0);
 }
 if (i10) {
  i10 = get32(i1 | 0) | 0;
  FUNCTION_TABLE_iiii[get32(i10 + 28 | 0) & 63](i10, get32(i1 + 92 | 0) | 0, 0) | 0;
 }
 i10 = get32(i1 + 28 | 0) | 0;
 do if (i10) {
  if (!(get32(50 * 4 | 0) | 0)) {
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i10);
   break;
  }
  i7 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i10) | 0;
  i6 = (get32(30 * 4 | 0) | 0) - i7 | 0;
  set32(30 * 4 | 0, i6 | 0);
  if ((i6 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i6 | 0);
  i6 = (get32(39 * 4 | 0) | 0) + -1 | 0;
  set32(39 * 4 | 0, i6 | 0);
  if ((i6 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i6 | 0);
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i10);
 } while (0);
 if (!(get32(50 * 4 | 0) | 0)) {
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i1);
  i5 = i11;
  return i5 | 0;
 }
 i10 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i1) | 0;
 i6 = (get32(30 * 4 | 0) | 0) - i10 | 0;
 set32(30 * 4 | 0, i6 | 0);
 if ((i6 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i6 | 0);
 i6 = (get32(39 * 4 | 0) | 0) + -1 | 0;
 set32(39 * 4 | 0, i6 | 0);
 if ((i6 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i6 | 0);
 FUNCTION_TABLE_vi[get32(232 | 0) & 31](i1);
 i5 = i11;
 return i5 | 0;
}

function _sqlite3AnalysisLoad(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i4 = i3;
 i5 = i3 + 8 | 0;
 i6 = get32(i1 + 8 | 0) | 0;
 i7 = get32((get32(i6 + (i2 << 4) + 12 | 0) | 0) + 32 | 0) | 0;
 if (i7) {
  i8 = i7;
  do {
   i7 = get32(i8 + 8 | 0) | 0;
   i9 = get32(i7 + 12 | 0) | 0;
   i10 = get32((get32(i7 + 16 | 0) | 0) + 24 | 0) | 0;
   set32(i9 | 0, (i10 >>> 0 < 10 ? 10 : i10) | 0);
   i10 = i7 + 4 | 0;
   i11 = get32(i10 | 0) | 0;
   if ((i11 | 0) < 1) i12 = i11; else {
    i11 = 1;
    i13 = 10;
    while (1) {
     set32(i9 + (i11 << 2) | 0, i13 | 0);
     i14 = get32(i10 | 0) | 0;
     if ((i11 | 0) < (i14 | 0)) {
      i11 = i11 + 1 | 0;
      i13 = ((i13 >>> 0 > 5) << 31 >> 31) + i13 | 0;
     } else {
      i12 = i14;
      break;
     }
    }
   }
   if (get8(i7 + 24 >> 0 | 0) | 0) set32(i9 + (i12 << 2) | 0, 1 | 0);
   set32(i7 + 48 | 0, 0 | 0);
   i8 = get32(i8 | 0) | 0;
  } while ((i8 | 0) != 0);
 }
 set32(i5 | 0, i1 | 0);
 i8 = get32(i6 + (i2 << 4) | 0) | 0;
 set32(i5 + 4 | 0, i8 | 0);
 i2 = get32(i1 + 4 | 0) | 0;
 if ((i2 | 0) <= 0) {
  i15 = 1;
  STACKTOP = i3;
  return i15 | 0;
 }
 i12 = (i8 | 0) == 0;
 i13 = 0;
 i11 = 0;
 while (1) {
  i10 = (i13 | 0) < 2 ^ i13;
  if (!i12) {
   i14 = get32(i6 + (i10 << 4) | 0) | 0;
   i16 = get8(i8 >> 0 | 0) | 0;
   L19 : do if (!(i16 << 24 >> 24)) {
    i17 = 0;
    i18 = i14;
   } else {
    i19 = i16;
    i20 = i8;
    i21 = i14;
    while (1) {
     if ((get8(16286 + (i19 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i21 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
      i17 = i19;
      i18 = i21;
      break L19;
     }
     i20 = i20 + 1 | 0;
     i22 = i21 + 1 | 0;
     i19 = get8(i20 >> 0 | 0) | 0;
     if (!(i19 << 24 >> 24)) {
      i17 = 0;
      i18 = i22;
      break;
     } else i21 = i22;
    }
   } while (0);
   if ((get8(16286 + (i17 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i18 >> 0 | 0) | 0) >> 0 | 0) | 0)) i23 = i11; else i24 = 14;
  } else i24 = 14;
  if ((i24 | 0) == 14) {
   i24 = 0;
   i14 = _sqlite3HashFind((get32(i6 + (i10 << 4) + 12 | 0) | 0) + 8 | 0, 21982, 12) | 0;
   if (!i14) i23 = i14; else {
    i25 = i14;
    break;
   }
  }
  i13 = i13 + 1 | 0;
  if ((i13 | 0) >= (i2 | 0)) {
   i25 = i23;
   break;
  } else i11 = i23;
 }
 if (!i25) {
  i15 = 1;
  STACKTOP = i3;
  return i15 | 0;
 }
 set32(i4 | 0, i8 | 0);
 i8 = _sqlite3MPrintf(i1, 21995, i4) | 0;
 if ((i8 | 0) != 0 ? (i4 = _sqlite3_exec(i1, i8, 17, i5, 0) | 0, _sqlite3DbFree(i1, i8), (i4 | 0) != 7) : 0) {
  i15 = i4;
  STACKTOP = i3;
  return i15 | 0;
 }
 set8(i1 + 30 >> 0 | 0, 1 | 0);
 i15 = 7;
 STACKTOP = i3;
 return i15 | 0;
}

function _whereTempTriggers(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0, i30 = 0, i31 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i4 = i3 + 16 | 0;
 i5 = i3 + 8 | 0;
 i6 = i3;
 i7 = get32(i1 | 0) | 0;
 i8 = get32((get32(i7 + 8 | 0) | 0) + 28 | 0) | 0;
 i9 = get32(i2 + 68 | 0) | 0;
 if ((i9 | 0) == (i8 | 0)) {
  i10 = 0;
  STACKTOP = i3;
  return i10 | 0;
 }
 if (get8(i1 + 442 >> 0 | 0) | 0) {
  i10 = 0;
  STACKTOP = i3;
  return i10 | 0;
 }
 i11 = get32(i8 + 48 | 0) | 0;
 if (i11) {
  i12 = i2 + 64 | 0;
  i13 = i11;
  i11 = 0;
  while (1) {
   i14 = get32(i13 + 8 | 0) | 0;
   if ((get32(i14 + 24 | 0) | 0) == (i9 | 0)) {
    i15 = get32(i14 + 4 | 0) | 0;
    i16 = get32(i2 | 0) | 0;
    i17 = get8(i15 >> 0 | 0) | 0;
    L13 : do if (!(i17 << 24 >> 24)) {
     i18 = 0;
     i19 = i16;
    } else {
     i20 = i17;
     i21 = i15;
     i22 = i16;
     while (1) {
      if ((get8(16286 + (i20 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i22 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
       i18 = i20;
       i19 = i22;
       break L13;
      }
      i21 = i21 + 1 | 0;
      i23 = i22 + 1 | 0;
      i20 = get8(i21 >> 0 | 0) | 0;
      if (!(i20 << 24 >> 24)) {
       i18 = 0;
       i19 = i23;
       break;
      } else i22 = i23;
     }
    } while (0);
    if ((get8(16286 + (i18 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i19 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
     if (!i11) i24 = get32(i12 | 0) | 0; else i24 = i11;
     set32(i14 + 32 | 0, i24 | 0);
     i25 = i14;
    } else i25 = i11;
   } else i25 = i11;
   i13 = get32(i13 | 0) | 0;
   if (!i13) {
    i26 = i25;
    break;
   } else i11 = i25;
  }
  if (i26) {
   i27 = i26;
   i28 = 0;
  } else i29 = 15;
 } else i29 = 15;
 if ((i29 | 0) == 15) {
  i29 = get32(i2 + 64 | 0) | 0;
  if (!i29) {
   i10 = 0;
   STACKTOP = i3;
   return i10 | 0;
  } else {
   i27 = i29;
   i28 = 0;
  }
 }
 while (1) {
  do if ((get32(i27 + 20 | 0) | 0) == (i8 | 0)) {
   i29 = get32(i27 | 0) | 0;
   if (!i28) {
    set32(i6 | 0, i29 | 0);
    i30 = _sqlite3MPrintf(i7, 37e3, i6) | 0;
    break;
   } else {
    set32(i5 | 0, i28 | 0);
    set32(i5 + 4 | 0, i29 | 0);
    i29 = _sqlite3MPrintf(i7, 37008, i5) | 0;
    _sqlite3DbFree(i7, i28);
    i30 = i29;
    break;
   }
  } else i30 = i28; while (0);
  i27 = get32(i27 + 32 | 0) | 0;
  if (!i27) {
   i31 = i30;
   break;
  } else i28 = i30;
 }
 if (!i31) {
  i10 = 0;
  STACKTOP = i3;
  return i10 | 0;
 }
 i30 = get32(i1 | 0) | 0;
 set32(i4 | 0, i31 | 0);
 i28 = _sqlite3MPrintf(i30, 37022, i4) | 0;
 _sqlite3DbFree(get32(i1 | 0) | 0, i31);
 i10 = i28;
 STACKTOP = i3;
 return i10 | 0;
}

function _likeFunc(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0;
 i4 = get32(i1 + 8 | 0) | 0;
 i5 = _sqlite3ValueText(get32(i3 | 0) | 0, 1) | 0;
 i6 = _sqlite3ValueText(get32(i3 + 4 | 0) | 0, 1) | 0;
 i7 = get32(i3 | 0) | 0;
 i8 = i7 + 28 | 0;
 i9 = get16(i8 | 0) | 0;
 if (!(i9 & 16)) if (!(_sqlite3ValueText(i7, 1) | 0)) i10 = 0; else {
  i11 = get16(i8 | 0) | 0;
  i12 = 4;
 } else {
  i11 = i9;
  i12 = 4;
 }
 if ((i12 | 0) == 4) {
  i12 = get32(i7 + 24 | 0) | 0;
  if (!(i11 & 16384)) i10 = i12; else i10 = (get32(i7 + 16 | 0) | 0) + i12 | 0;
 }
 if ((i10 | 0) > (get32(i4 + 104 | 0) | 0)) {
  set32(i1 + 52 | 0, 1 | 0);
  _sqlite3VdbeMemSetStr(i1 + 8 | 0, 35268, -1, 1, -1) | 0;
  return;
 }
 do if ((i2 | 0) == 3) {
  i4 = _sqlite3ValueText(get32(i3 + 8 | 0) | 0, 1) | 0;
  if (!i4) return;
  i10 = get8(i4 >> 0 | 0) | 0;
  if ((i4 | 0) != (-1 | 0) & i10 << 24 >> 24 != 0) {
   i12 = i10;
   i7 = 0;
   i11 = i4;
   while (1) {
    i9 = i11 + 1 | 0;
    if ((i12 & 255) > 191) {
     i8 = i9;
     while (1) {
      i13 = get8(i8 >> 0 | 0) | 0;
      if ((i13 & -64) << 24 >> 24 == -128) i8 = i8 + 1 | 0; else {
       i14 = i13;
       i15 = i8;
       break;
      }
     }
    } else {
     i14 = get8(i9 >> 0 | 0) | 0;
     i15 = i9;
    }
    if (i14 << 24 >> 24 != 0 & (i15 | 0) != (-1 | 0)) {
     i12 = i14;
     i7 = i7 + 1 | 0;
     i11 = i15;
    } else {
     i16 = i7;
     break;
    }
   }
   if (!i16) {
    i7 = i4 + 1 | 0;
    i11 = i10 & 255;
    if ((i10 & 255) <= 191) {
     i17 = i11;
     break;
    }
    i12 = getU8(19818 + (i11 + -192) >> 0 | 0) | 0;
    i11 = getU8(i7 >> 0 | 0) | 0;
    if ((i11 & 192 | 0) == 128) {
     i8 = i7;
     i7 = i11;
     i11 = i12;
     while (1) {
      i8 = i8 + 1 | 0;
      i13 = i11 << 6 | i7 & 63;
      i7 = getU8(i8 >> 0 | 0) | 0;
      if ((i7 & 192 | 0) != 128) {
       i18 = i13;
       break;
      } else i11 = i13;
     }
    } else i18 = i12;
    i17 = (i18 & -2 | 0) == 65534 | (i18 >>> 0 < 128 | (i18 & -2048 | 0) == 55296) ? 65533 : i18;
    break;
   }
  }
  set32(i1 + 52 | 0, 1 | 0);
  _sqlite3VdbeMemSetStr(i1 + 8 | 0, 35301, -1, 1, -1) | 0;
  return;
 } else i17 = 0; while (0);
 if (!((i5 | 0) != 0 & (i6 | 0) != 0)) return;
 i18 = _patternCompare(i5, i6, get32((get32(i1 | 0) | 0) + 4 | 0) | 0, i17) | 0;
 i17 = i1 + 8 | 0;
 _sqlite3VdbeMemReleaseExternal(i17);
 i6 = i1 + 44 | 0;
 _sqlite3DbFree(get32(i17 | 0) | 0, get32(i6 | 0) | 0);
 set32(i1 + 12 | 0, 0 | 0);
 set32(i6 | 0, 0 | 0);
 set32(i1 + 40 | 0, 0 | 0);
 i6 = i1 + 24 | 0;
 set32(i6 | 0, i18 | 0);
 set32(i6 + 4 | 0, ((i18 | 0) < 0) << 31 >> 31 | 0);
 set16(i1 + 36 | 0, 4 | 0);
 set8(i1 + 38 >> 0 | 0, 1 | 0);
 return;
}

function _sqlite3JoinType(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0, i28 = 0, i29 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i6 = i5 + 16 | 0;
 i7 = i5;
 i8 = i5 + 20 | 0;
 set32(i8 | 0, i2 | 0);
 set32(i8 + 4 | 0, i3 | 0);
 set32(i8 + 8 | 0, i4 | 0);
 L1 : do if (!i2) i9 = 0; else {
  i10 = i2;
  i11 = 0;
  i12 = 0;
  L2 : while (1) {
   i13 = get32(i10 + 4 | 0) | 0;
   i14 = (i13 | 0) > 0;
   i15 = 0;
   L4 : while (1) {
    if ((i13 | 0) == (getU8(33085 + (i15 * 3 | 0) + 1 >> 0 | 0) | 0 | 0)) {
     if (!i14) {
      i16 = i15;
      i17 = 6;
      break;
     }
     i18 = i13;
     i19 = get32(i10 | 0) | 0;
     i20 = 33051 + (getU8(33085 + (i15 * 3 | 0) >> 0 | 0) | 0) | 0;
     while (1) {
      i21 = get8(i19 >> 0 | 0) | 0;
      if (!(i21 << 24 >> 24)) {
       i22 = i20;
       i17 = 8;
       break;
      }
      i23 = get8(16286 + (i21 & 255) >> 0 | 0) | 0;
      i21 = get8(16286 + (getU8(i20 >> 0 | 0) | 0) >> 0 | 0) | 0;
      if (i23 << 24 >> 24 != i21 << 24 >> 24) {
       i24 = i23;
       i25 = i21;
       break;
      }
      if ((i18 | 0) > 1) {
       i18 = i18 + -1 | 0;
       i19 = i19 + 1 | 0;
       i20 = i20 + 1 | 0;
      } else {
       i26 = i15;
       i17 = 13;
       break L4;
      }
     }
     if ((i17 | 0) == 8) {
      i17 = 0;
      i24 = 0;
      i25 = get8(16286 + (getU8(i22 >> 0 | 0) | 0) >> 0 | 0) | 0;
     }
     if (i24 << 24 >> 24 == i25 << 24 >> 24) {
      i26 = i15;
      i17 = 13;
      break;
     }
    }
    i15 = i15 + 1 | 0;
    if ((i15 | 0) >= 7) {
     i27 = i12;
     break L2;
    }
   }
   if ((i17 | 0) == 6) {
    i17 = 0;
    i28 = getU8(33085 + (i16 * 3 | 0) + 2 >> 0 | 0) | 0 | i12;
   } else if ((i17 | 0) == 13) {
    i17 = 0;
    i15 = getU8(33085 + (i26 * 3 | 0) + 2 >> 0 | 0) | 0 | i12;
    if ((i26 | 0) > 6) {
     i27 = i15;
     break;
    } else i28 = i15;
   }
   i11 = i11 + 1 | 0;
   if ((i11 | 0) >= 3) {
    i9 = i28;
    break L1;
   }
   i10 = get32(i8 + (i11 << 2) | 0) | 0;
   if (!i10) {
    i9 = i28;
    break L1;
   } else i12 = i28;
  }
  i9 = i27 | 64;
 } while (0);
 if (!((i9 & 33 | 0) != 33 & (i9 & 64 | 0) == 0)) {
  set32(i7 | 0, i2 | 0);
  set32(i7 + 4 | 0, i3 | 0);
  set32(i7 + 8 | 0, ((i4 | 0) == 0 ? 32700 : 32699) | 0);
  set32(i7 + 12 | 0, i4 | 0);
  _sqlite3ErrorMsg(i1, 33106, i7);
  i29 = 1;
  STACKTOP = i5;
  return i29 | 0;
 }
 if ((i9 & 32 | 0) == 0 | (i9 & 24 | 0) == 8) {
  i29 = i9;
  STACKTOP = i5;
  return i29 | 0;
 }
 _sqlite3ErrorMsg(i1, 33150, i6);
 i29 = 1;
 STACKTOP = i5;
 return i29 | 0;
}

function _clearDatabasePage(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i6 = i5;
 i7 = i5 + 8 | 0;
 if ((get32(i1 + 48 | 0) | 0) >>> 0 < i2 >>> 0) {
  set32(i6 | 0, 54608 | 0);
  set32(i6 + 4 | 0, 17203 | 0);
  _sqlite3_log(11, 19615, i6);
  i8 = 11;
  STACKTOP = i5;
  return i8 | 0;
 }
 i6 = _sqlite3PagerAcquire(get32(i1 | 0) | 0, i2, i7, 0) | 0;
 if (i6) {
  i8 = i6;
  STACKTOP = i5;
  return i8 | 0;
 }
 i6 = get32(i7 | 0) | 0;
 i7 = get32(i6 + 4 | 0) | 0;
 i9 = i7 + 64 | 0;
 set32(i9 | 0, get32(i6 | 0) | 0);
 i10 = i7 + 68 | 0;
 set32(i10 | 0, i6 | 0);
 i6 = i7 + 60 | 0;
 set32(i6 | 0, i1 | 0);
 i11 = i7 + 72 | 0;
 set32(i11 | 0, i2 | 0);
 set8(i7 + 5 >> 0 | 0, ((i2 | 0) == 1 ? 100 : 0) | 0);
 i2 = _btreeInitPage(i7) | 0;
 if (i2) {
  if (!i7) {
   i8 = i2;
   STACKTOP = i5;
   return i8 | 0;
  }
  _sqlite3PagerUnref(get32(i10 | 0) | 0);
  i8 = i2;
  STACKTOP = i5;
  return i8 | 0;
 }
 i2 = i7 + 16 | 0;
 L16 : do if (!(get16(i2 | 0) | 0)) {
  i12 = 0;
  i13 = i7 + 3 | 0;
  i14 = 15;
 } else {
  i15 = i7 + 18 | 0;
  i16 = i7 + 12 | 0;
  i17 = i7 + 3 | 0;
  i18 = 0;
  while (1) {
   i19 = get32(i9 | 0) | 0;
   i20 = (getU16(i16 | 0) | 0) + (i18 << 1) | 0;
   i21 = (getU8(i19 + i20 >> 0 | 0) << 8 | getU8(i19 + (i20 + 1) >> 0 | 0)) & getU16(i15 | 0);
   i20 = i19 + i21 | 0;
   if ((get8(i17 >> 0 | 0) | 0) == 0 ? (i22 = _clearDatabasePage(i1, getU8(i19 + (i21 + 1) >> 0 | 0) << 16 | getU8(i20 >> 0 | 0) << 24 | getU8(i19 + (i21 + 2) >> 0 | 0) << 8 | getU8(i19 + (i21 + 3) >> 0 | 0), 1, i4) | 0, (i22 | 0) != 0) : 0) {
    i23 = i22;
    break L16;
   }
   i22 = _clearCell(i7, i20) | 0;
   i18 = i18 + 1 | 0;
   if (i22) {
    i23 = i22;
    break L16;
   }
   i22 = getU16(i2 | 0) | 0;
   if ((i18 | 0) >= (i22 | 0)) {
    i12 = i22;
    i13 = i17;
    i14 = 15;
    break;
   }
  }
 } while (0);
 do if ((i14 | 0) == 15) {
  if (!(get8(i13 >> 0 | 0) | 0)) {
   i2 = get32(i9 | 0) | 0;
   i17 = _clearDatabasePage(i1, getU8(i2 + 9 >> 0 | 0) << 16 | getU8(i2 + 8 >> 0 | 0) << 24 | getU8(i2 + 10 >> 0 | 0) << 8 | getU8(i2 + 11 >> 0 | 0), 1, i4) | 0;
   if (i17) {
    i23 = i17;
    break;
   }
  } else if (i4) set32(i4 | 0, (get32(i4 | 0) | 0) + i12 | 0);
  if (i3) {
   i23 = _freePage2(get32(i6 | 0) | 0, i7, get32(i11 | 0) | 0) | 0;
   break;
  }
  i17 = _sqlite3PagerWrite(get32(i10 | 0) | 0) | 0;
  if (!i17) {
   _zeroPage(i7, getU8(get32(i9 | 0) >> 0 | 0) | 8);
   i23 = 0;
  } else i23 = i17;
 } while (0);
 _sqlite3PagerUnref(get32(i10 | 0) | 0);
 i8 = i23;
 STACKTOP = i5;
 return i8 | 0;
}

function _sqlite3CreateFunc(i1, i2, i3, i4, i5, i6, i7, i8, i9) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 i7 = i7 | 0;
 i8 = i8 | 0;
 i9 = i9 | 0;
 var i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0;
 i10 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i11 = i10 + 8 | 0;
 i12 = i10;
 do if (i2) {
  i13 = (i6 | 0) != 0;
  i14 = (i8 | 0) != 0;
  if (i13) if ((i7 | 0) != 0 | i14) break; else {
   i15 = 0;
   i16 = 0;
  } else {
   i17 = (i7 | 0) != 0;
   if (i17 | i14 ^ 1) {
    i15 = i14;
    i16 = i17;
   } else break;
  }
  if (!((i3 + 1 | 0) >>> 0 > 128 | i16 & ((i13 | i15) ^ 1))) {
   i13 = i2;
   while (1) if (!(get8(i13 >> 0 | 0) | 0)) {
    i18 = i13;
    break;
   } else i13 = i13 + 1 | 0;
   i13 = i18 - i2 & 1073741823;
   if (i13 >>> 0 <= 255) {
    if ((i4 | 0) != 4) if ((i4 | 0) == 5) {
     i17 = _sqlite3CreateFunc(i1, i2, i3, 1, i5, i6, i7, i8, i9) | 0;
     if (i17) {
      i19 = i17;
      STACKTOP = i10;
      return i19 | 0;
     }
     i17 = _sqlite3CreateFunc(i1, i2, i3, 2, i5, i6, i7, i8, i9) | 0;
     if (!i17) i20 = 3; else {
      i19 = i17;
      STACKTOP = i10;
      return i19 | 0;
     }
    } else i20 = i4; else i20 = 2;
    i17 = i20 & 255;
    i14 = _sqlite3FindFunction(i1, i2, i13, i3, i17, 0) | 0;
    do if (((i14 | 0) != 0 ? (getU8(i14 + 2 >> 0 | 0) | 0) == (i20 | 0) : 0) ? (get16(i14 | 0) | 0) == (i3 | 0) : 0) if (!(get32(i1 + 140 | 0) | 0)) {
     i21 = get32(i1 + 136 | 0) | 0;
     if (!i21) break; else i22 = i21;
     do {
      set8(i22 + 99 >> 0 | 0, 1 | 0);
      i22 = get32(i22 + 64 | 0) | 0;
     } while ((i22 | 0) != 0);
    } else {
     _sqlite3Error(i1, 5, 38988, i11);
     i19 = 5;
     STACKTOP = i10;
     return i19 | 0;
    } while (0);
    i14 = _sqlite3FindFunction(i1, i2, i13, i3, i17, 1) | 0;
    if (!i14) {
     i19 = 7;
     STACKTOP = i10;
     return i19 | 0;
    }
    i21 = i14 + 32 | 0;
    i23 = get32(i21 | 0) | 0;
    if ((i23 | 0) != 0 ? (i24 = (get32(i23 | 0) | 0) + -1 | 0, set32(i23 | 0, i24 | 0), (i24 | 0) == 0) : 0) {
     FUNCTION_TABLE_vi[get32(i23 + 4 | 0) & 31](get32(i23 + 8 | 0) | 0);
     _sqlite3DbFree(i1, i23);
    }
    if (i9) set32(i9 | 0, (get32(i9 | 0) | 0) + 1 | 0);
    set32(i21 | 0, i9 | 0);
    set8(i14 + 3 >> 0 | 0, 0 | 0);
    set32(i14 + 12 | 0, i6 | 0);
    set32(i14 + 16 | 0, i7 | 0);
    set32(i14 + 20 | 0, i8 | 0);
    set32(i14 + 4 | 0, i5 | 0);
    set16(i14 | 0, i3 | 0);
    i19 = 0;
    STACKTOP = i10;
    return i19 | 0;
   }
  }
 } while (0);
 set32(i12 | 0, 108964 | 0);
 set32(i12 + 4 | 0, 17203 | 0);
 _sqlite3_log(21, 39226, i12);
 i19 = 21;
 STACKTOP = i10;
 return i19 | 0;
}

function _sqlite3Parser(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0;
 i6 = STACKTOP;
 STACKTOP = STACKTOP + 48 | 0;
 i7 = i6 + 32 | 0;
 i8 = i6 + 16 | 0;
 i9 = i6;
 i10 = get32(i1 | 0) | 0;
 if ((i10 | 0) < 0) {
  set32(i1 | 0, 0 | 0);
  set32(i1 + 4 | 0, -1 | 0);
  set16(i1 + 12 | 0, 0 | 0);
  set8(i1 + 14 >> 0 | 0, 0 | 0);
  i11 = 0;
 } else i11 = i10;
 set32(i9 | 0, i3 | 0);
 set32(i9 + 4 | 0, i4 | 0);
 i4 = i1 + 8 | 0;
 set32(i4 | 0, i5 | 0);
 i5 = i2 & 255;
 i3 = (i2 | 0) == 253;
 i10 = i11;
 while (1) {
  i11 = get16(i1 + 12 + (i10 << 4) | 0) | 0;
  i12 = i11 & 65535;
  i13 = (i11 & 65535) > 418;
  i11 = 10432 + (i12 << 1) | 0;
  i14 = i5;
  while (1) {
   if (i13) {
    i15 = 7;
    break;
   }
   i16 = get16(i11 | 0) | 0;
   i17 = i16 << 16 >> 16;
   if (i16 << 16 >> 16 == -74) {
    i15 = 7;
    break;
   }
   i16 = i14 & 255;
   i18 = i17 + i16 | 0;
   if (i18 >>> 0 <= 1556 ? (get8(26508 + i18 >> 0 | 0) | 0) == i14 << 24 >> 24 : 0) {
    i19 = i18;
    i15 = 17;
    break;
   }
   if (!(i14 << 24 >> 24)) {
    i15 = 16;
    break;
   }
   if ((i14 & 255) >= 67) {
    i20 = i17;
    i15 = 13;
    break;
   }
   i14 = get8(28065 + i16 >> 0 | 0) | 0;
   if (!(i14 << 24 >> 24)) {
    i20 = i17;
    i15 = 13;
    break;
   }
  }
  if ((i15 | 0) == 7) {
   i15 = 0;
   i21 = getU16(11270 + (i12 << 1) | 0) | 0;
  } else if ((i15 | 0) == 13) {
   i15 = 0;
   i14 = i20 + 67 | 0;
   if ((i14 | 0) > -1 ? (get8(26508 + i14 >> 0 | 0) | 0) == 67 : 0) i21 = getU16(12530 + (i14 << 1) | 0) | 0; else i15 = 16;
  } else if ((i15 | 0) == 17) {
   i15 = 0;
   i21 = getU16(12530 + (i19 << 1) | 0) | 0;
  }
  if ((i15 | 0) == 16) {
   i15 = 0;
   i21 = getU16(11270 + (i12 << 1) | 0) | 0;
  }
  if (i21 >>> 0 < 630) {
   i22 = i21;
   i15 = 19;
   break;
  }
  if (i21 >>> 0 >= 959) {
   i15 = 21;
   break;
  }
  _yy_reduce(i1, i21 + -630 | 0);
  if (i3) {
   i15 = 24;
   break;
  }
  i10 = get32(i1 | 0) | 0;
  if ((i10 | 0) <= -1) {
   i15 = 24;
   break;
  }
 }
 if ((i15 | 0) == 19) {
  _yy_shift(i1, i22, i2, i9);
  i2 = i1 + 4 | 0;
  set32(i2 | 0, (get32(i2 | 0) | 0) + -1 | 0);
  STACKTOP = i6;
  return;
 } else if ((i15 | 0) == 21) {
  set32(i8 | 0, get32(i9 | 0) | 0);
  set32(i8 + 4 | 0, get32(i9 + 4 | 0) | 0);
  set32(i8 + 8 | 0, get32(i9 + 8 | 0) | 0);
  i2 = get32(i4 | 0) | 0;
  set32(i7 | 0, i8 | 0);
  _sqlite3ErrorMsg(i2, 28163, i7);
  set8(i2 + 20 >> 0 | 0, 1 | 0);
  set32(i4 | 0, i2 | 0);
  _yy_destructor(i2, i5, i9);
  STACKTOP = i6;
  return;
 } else if ((i15 | 0) == 24) {
  STACKTOP = i6;
  return;
 }
}

function _sqlite3_open16(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0;
 set32(i2 | 0, 0 | 0);
 i3 = _sqlite3_initialize() | 0;
 if (i3) {
  i4 = i3;
  return i4 | 0;
 }
 if (!(get32(50 * 4 | 0) | 0)) {
  i3 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](40) | 0;
  if (!i3) {
   i5 = 0;
   i6 = 1;
  } else {
   i7 = i3;
   i8 = 15;
  }
 } else {
  i3 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](40) | 0;
  set32(35 * 4 | 0, 40 | 0);
  if ((get32(45 * 4 | 0) | 0) < 40) set32(45 * 4 | 0, 40 | 0);
  i9 = get32(6 * 4 | 0) | 0;
  do if (i9) {
   i10 = get32(30 * 4 | 0) | 0;
   i11 = ((i10 | 0) < 0) << 31 >> 31;
   i12 = 16;
   i13 = _i64Subtract(get32(i12 | 0) | 0, get32(i12 + 4 | 0) | 0, i3 | 0, ((i3 | 0) < 0) << 31 >> 31 | 0) | 0;
   i12 = tempRet0;
   if ((i11 | 0) < (i12 | 0) | (i11 | 0) == (i12 | 0) & i10 >>> 0 < i13 >>> 0) {
    set32(11 * 4 | 0, 0 | 0);
    break;
   } else {
    set32(11 * 4 | 0, 1 | 0);
    i13 = get32(7 * 4 | 0) | 0;
    set32(6 * 4 | 0, 0 | 0);
    FUNCTION_TABLE_viiii[i9 & 15](i13, i10, i11, i3);
    set32(6 * 4 | 0, i9 | 0);
    set32(7 * 4 | 0, i13 | 0);
    break;
   }
  } while (0);
  i9 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i3) | 0;
  if (i9) {
   i3 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i9) | 0;
   i13 = (get32(30 * 4 | 0) | 0) + i3 | 0;
   set32(30 * 4 | 0, i13 | 0);
   if ((i13 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i13 | 0);
   i13 = get32(39 * 4 | 0) | 0;
   i3 = i13 + 1 | 0;
   set32(39 * 4 | 0, i3 | 0);
   if ((i13 | 0) < (get32(49 * 4 | 0) | 0)) {
    i7 = i9;
    i8 = 15;
   } else {
    set32(49 * 4 | 0, i3 | 0);
    i7 = i9;
    i8 = 15;
   }
  } else {
   i5 = 0;
   i6 = 1;
  }
 }
 if ((i8 | 0) == 15) {
  i8 = i7;
  i9 = i8 + 40 | 0;
  do {
   set8(i8 >> 0 | 0, 0 | 0);
   i8 = i8 + 1 | 0;
  } while ((i8 | 0) < (i9 | 0));
  set16(i7 + 28 | 0, 1 | 0);
  set8(i7 + 30 >> 0 | 0, 5 | 0);
  set32(i7 | 0, 0 | 0);
  if (!i7) {
   i5 = 0;
   i6 = 1;
  } else {
   _sqlite3VdbeMemSetStr(i7, i1, -1, 2, 0) | 0;
   i5 = i7;
   i6 = 0;
  }
 }
 i7 = _sqlite3ValueText(i5, 1) | 0;
 if (i7) {
  i1 = _openDatabase(i7, i2, 6, 0) | 0;
  if (!i1) {
   i7 = get32((get32((get32(i2 | 0) | 0) + 8 | 0) | 0) + 12 | 0) | 0;
   if (!(get16(i7 + 78 | 0) & 1)) {
    set8(i7 + 77 >> 0 | 0, 2 | 0);
    i14 = 0;
   } else i14 = 0;
  } else i14 = i1;
 } else i14 = 7;
 if (!i6) {
  _sqlite3VdbeMemReleaseExternal(i5);
  i6 = i5 + 36 | 0;
  _sqlite3DbFree(get32(i5 | 0) | 0, get32(i6 | 0) | 0);
  set32(i5 + 4 | 0, 0 | 0);
  set32(i6 | 0, 0 | 0);
  set32(i5 + 32 | 0, 0 | 0);
  _sqlite3DbFree(get32(i5 | 0) | 0, i5);
 }
 i4 = i14 & 255;
 return i4 | 0;
}

function _sqlite3CheckObjectName(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i4 = i3;
 i5 = get32(i1 | 0) | 0;
 if (get8(i5 + 124 >> 0 | 0) | 0) {
  i6 = 0;
  STACKTOP = i3;
  return i6 | 0;
 }
 if (get8(i1 + 19 >> 0 | 0) | 0) {
  i6 = 0;
  STACKTOP = i3;
  return i6 | 0;
 }
 if (get32(i5 + 12 | 0) & 65536) {
  i6 = 0;
  STACKTOP = i3;
  return i6 | 0;
 }
 i5 = get8(i2 >> 0 | 0) | 0;
 do if (!(i5 << 24 >> 24)) {
  i7 = 29355;
  i8 = 5;
 } else {
  i9 = i5 & 255;
  i10 = 16286 + i9 | 0;
  if ((i9 & 223 | 0) == 83) {
   i9 = get8(i2 + 1 >> 0 | 0) | 0;
   if (!(i9 << 24 >> 24)) {
    i7 = 29356;
    i8 = 5;
    break;
   }
   i11 = i9 & 255;
   i9 = 16286 + i11 | 0;
   if ((i11 & 223 | 0) == 81) {
    i11 = get8(i2 + 2 >> 0 | 0) | 0;
    if (!(i11 << 24 >> 24)) {
     i7 = 29357;
     i8 = 5;
     break;
    }
    i12 = i11 & 255;
    i11 = 16286 + i12 | 0;
    if ((i12 & 223 | 0) == 76) {
     i12 = get8(i2 + 3 >> 0 | 0) | 0;
     if (!(i12 << 24 >> 24)) {
      i7 = 29358;
      i8 = 5;
      break;
     }
     i13 = i12 & 255;
     i12 = 16286 + i13 | 0;
     if ((i13 & 223 | 0) == 73) {
      i13 = get8(i2 + 4 >> 0 | 0) | 0;
      if (!(i13 << 24 >> 24)) {
       i7 = 29359;
       i8 = 5;
       break;
      }
      i14 = i13 & 255;
      i13 = 16286 + i14 | 0;
      if ((i14 & 223 | 0) == 84) {
       i14 = get8(i2 + 5 >> 0 | 0) | 0;
       if (!(i14 << 24 >> 24)) {
        i7 = 29360;
        i8 = 5;
        break;
       }
       i15 = i14 & 255;
       i14 = 16286 + i15 | 0;
       if ((i15 & 223 | 0) == 69) {
        i15 = get8(i2 + 6 >> 0 | 0) | 0;
        if (!(i15 << 24 >> 24)) {
         i7 = 29361;
         i8 = 5;
         break;
        }
        if (i15 << 24 >> 24 == 95) break; else {
         i16 = 16286 + (i15 & 255) | 0;
         i17 = 95;
        }
       } else {
        i16 = i14;
        i17 = 101;
       }
      } else {
       i16 = i13;
       i17 = 116;
      }
     } else {
      i16 = i12;
      i17 = 105;
     }
    } else {
     i16 = i11;
     i17 = 108;
    }
   } else {
    i16 = i9;
    i17 = 113;
   }
  } else {
   i16 = i10;
   i17 = 115;
  }
  i18 = get8(i16 >> 0 | 0) | 0;
  i19 = i17;
  i8 = 9;
 } while (0);
 if ((i8 | 0) == 5) {
  i18 = 0;
  i19 = get8(16286 + (getU8(i7 >> 0 | 0) | 0) >> 0 | 0) | 0;
  i8 = 9;
 }
 if ((i8 | 0) == 9 ? i18 << 24 >> 24 != i19 << 24 >> 24 : 0) {
  i6 = 0;
  STACKTOP = i3;
  return i6 | 0;
 }
 set32(i4 | 0, i2 | 0);
 _sqlite3ErrorMsg(i1, 29363, i4);
 i6 = 1;
 STACKTOP = i3;
 return i6 | 0;
}

function _test() {
 var i1 = 0, i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0;
 i1 = STACKTOP;
 STACKTOP = STACKTOP + 48 | 0;
 i2 = i1 + 24 | 0;
 i3 = i1 + 16 | 0;
 i4 = i1 + 8 | 0;
 i5 = i1;
 i6 = i1 + 36 | 0;
 i7 = i1 + 32 | 0;
 set32(i7 | 0, 0 | 0);
 if (_openDatabase(17643, i6, 6, 0) | 0) {
  i8 = get32(1440 * 4 | 0) | 0;
  i9 = get32(i6 | 0) | 0;
  do if (i9) {
   i10 = get32(i9 + 56 | 0) | 0;
   L5 : do if ((i10 | 0) >= -264537850) if ((i10 | 0) < 1266094736) switch (i10 | 0) {
   case -264537850:
    {
     break L5;
     break;
    }
   default:
    {
     i11 = 5;
     break L5;
    }
   } else switch (i10 | 0) {
   case 1266094736:
    {
     break L5;
     break;
    }
   default:
    {
     i11 = 5;
     break L5;
    }
   } else switch (i10 | 0) {
   case -1607883113:
    break;
   default:
    i11 = 5;
   } while (0);
   if ((i11 | 0) == 5) {
    set32(i5 | 0, 38376 | 0);
    _sqlite3_log(21, 26104, i5);
    set32(i4 | 0, 109450 | 0);
    set32(i4 + 4 | 0, 17203 | 0);
    _sqlite3_log(21, 39226, i4);
    i12 = 38778;
    break;
   }
   if (!(get8(i9 + 30 >> 0 | 0) | 0)) {
    i10 = _sqlite3ValueText(get32(i9 + 212 | 0) | 0, 1) | 0;
    if (!i10) {
     i13 = get32(i9 + 20 | 0) & 255;
     if (i13 >>> 0 > 26 | (i13 | 0) == 2) i12 = 38974; else i12 = get32(5652 + (i13 << 2) | 0) | 0;
    } else i12 = i10;
   } else i12 = 19448;
  } else i12 = 19448; while (0);
  set32(i3 | 0, i12 | 0);
  _fprintf(i8, 17652, i3) | 0;
  _sqlite3_close(i9) | 0;
  _exit(1);
 }
 i9 = get32(i6 | 0) | 0;
 if (!(_sqlite3_exec(i9, 17362, 15, 0, i7) | 0)) if (!(_sqlite3_exec(i9, 17417, 15, 0, i7) | 0)) if (!(_sqlite3_exec(i9, 17493, 15, 0, i7) | 0)) if (!(_sqlite3_exec(i9, 17543, 15, 0, i7) | 0)) if (!(_sqlite3_exec(i9, 17568, 15, 0, i7) | 0)) if (!(_sqlite3_exec(i9, 17619, 15, 0, i7) | 0)) {
  _sqlite3_close(i9) | 0;
  STACKTOP = i1;
  return 0;
 } else i14 = 5; else i14 = 4; else i14 = 3; else i14 = 2; else i14 = 1; else i14 = 0;
 i1 = get32(1440 * 4 | 0) | 0;
 i9 = get32(i7 | 0) | 0;
 set32(i2 | 0, i14 | 0);
 set32(i2 + 4 | 0, i9 | 0);
 _fprintf(i1, 17677, i2) | 0;
 i2 = get32(i7 | 0) | 0;
 if (!i2) _exit(1);
 if (!(get32(50 * 4 | 0) | 0)) {
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i2);
  _exit(1);
 }
 i7 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i2) | 0;
 i1 = (get32(30 * 4 | 0) | 0) - i7 | 0;
 set32(30 * 4 | 0, i1 | 0);
 if ((i1 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i1 | 0);
 i1 = (get32(39 * 4 | 0) | 0) + -1 | 0;
 set32(39 * 4 | 0, i1 | 0);
 if ((i1 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i1 | 0);
 FUNCTION_TABLE_vi[get32(232 | 0) & 31](i2);
 _exit(1);
 return 0;
}

function _sqlite3VdbeMemReleaseExternal(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 64 | 0;
 i3 = i2;
 i4 = i1 + 28 | 0;
 i5 = get16(i4 | 0) | 0;
 i6 = i5 & 65535;
 if (!(i6 & 9312)) {
  STACKTOP = i2;
  return;
 }
 if (i6 & 8192) {
  i7 = get32(i1 + 16 | 0) | 0;
  if ((i7 | 0) != 0 ? (i8 = get32(i7 + 20 | 0) | 0, (i8 | 0) != 0) : 0) {
   i9 = i3;
   i10 = i9 + 64 | 0;
   do {
    set32(i9 | 0, 0 | 0);
    i9 = i9 + 4 | 0;
   } while ((i9 | 0) < (i10 | 0));
   i11 = i3 + 8 | 0;
   set16(i3 + 36 | 0, 1 | 0);
   set32(i11 | 0, get32(i1 | 0) | 0);
   set32(i3 + 48 | 0, i1 | 0);
   set32(i3 | 0, i7 | 0);
   FUNCTION_TABLE_vi[i8 & 31](i3);
   _sqlite3DbFree(get32(i1 | 0) | 0, get32(i1 + 36 | 0) | 0);
   i9 = i1;
   i3 = i11;
   i10 = i9 + 40 | 0;
   do {
    set32(i9 | 0, get32(i3 | 0) | 0);
    i9 = i9 + 4 | 0;
    i3 = i3 + 4 | 0;
   } while ((i9 | 0) < (i10 | 0));
  }
  _sqlite3VdbeMemReleaseExternal(i1);
  i3 = i1 + 36 | 0;
  _sqlite3DbFree(get32(i1 | 0) | 0, get32(i3 | 0) | 0);
  set32(i1 + 4 | 0, 0 | 0);
  set32(i3 | 0, 0 | 0);
  set32(i1 + 32 | 0, 0 | 0);
  STACKTOP = i2;
  return;
 }
 if ((i6 & 1024 | 0) != 0 ? (i3 = i1 + 32 | 0, i9 = get32(i3 | 0) | 0, (i9 | 0) != 0) : 0) {
  FUNCTION_TABLE_vi[i9 & 31](get32(i1 + 4 | 0) | 0);
  set32(i3 | 0, 0 | 0);
  STACKTOP = i2;
  return;
 }
 if (i6 & 32) {
  i3 = get32(i1 + 16 | 0) | 0;
  i9 = get32(i3 | 0) | 0;
  if (i9) {
   i10 = i3 + 4 | 0;
   i11 = i9;
   do {
    i9 = i11;
    i11 = get32(i11 | 0) | 0;
    _sqlite3DbFree(get32(i10 | 0) | 0, i9);
   } while ((i11 | 0) != 0);
  }
  set32(i3 | 0, 0 | 0);
  set16(i3 + 24 | 0, 0 | 0);
  set32(i3 + 8 | 0, 0 | 0);
  set32(i3 + 12 | 0, 0 | 0);
  set32(i3 + 20 | 0, 0 | 0);
  set8(i3 + 26 >> 0 | 0, 1 | 0);
  STACKTOP = i2;
  return;
 }
 if (!(i6 & 64)) {
  STACKTOP = i2;
  return;
 }
 if (i5 & 64) {
  i6 = get32(i1 + 16 | 0) | 0;
  i3 = (get32(i6 | 0) | 0) + 172 | 0;
  set32(i6 + 60 | 0, get32(i3 | 0) | 0);
  set32(i3 | 0, i6 | 0);
 }
 if (!(i5 & 32)) i12 = i5; else {
  i6 = get32(i1 + 16 | 0) | 0;
  i3 = get32(i6 | 0) | 0;
  if (!i3) i13 = i5; else {
   i5 = i6 + 4 | 0;
   i11 = i3;
   do {
    i3 = i11;
    i11 = get32(i11 | 0) | 0;
    _sqlite3DbFree(get32(i5 | 0) | 0, i3);
   } while ((i11 | 0) != 0);
   i13 = get16(i4 | 0) | 0;
  }
  set32(i6 | 0, 0 | 0);
  set16(i6 + 24 | 0, 0 | 0);
  set32(i6 + 8 | 0, 0 | 0);
  set32(i6 + 12 | 0, 0 | 0);
  set32(i6 + 20 | 0, 0 | 0);
  set8(i6 + 26 >> 0 | 0, 1 | 0);
  i12 = i13;
 }
 set16(i4 | 0, i12 & 48896 | 1 | 0);
 set8(i1 + 30 >> 0 | 0, 5 | 0);
 STACKTOP = i2;
 return;
}

function _isSystemTable(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i4 = i3;
 if (!i2) {
  i5 = 0;
  STACKTOP = i3;
  return i5 | 0;
 } else i6 = i2;
 while (1) if (!(get8(i6 >> 0 | 0) | 0)) {
  i7 = i6;
  break;
 } else i6 = i6 + 1 | 0;
 if ((i7 - i2 & 1073741823) >>> 0 <= 6) {
  i5 = 0;
  STACKTOP = i3;
  return i5 | 0;
 }
 i7 = get8(i2 >> 0 | 0) | 0;
 do if (!(i7 << 24 >> 24)) {
  i8 = 29355;
  i9 = 5;
 } else {
  i6 = i7 & 255;
  i10 = 16286 + i6 | 0;
  if ((i6 & 223 | 0) == 83) {
   i6 = get8(i2 + 1 >> 0 | 0) | 0;
   if (!(i6 << 24 >> 24)) {
    i8 = 29356;
    i9 = 5;
    break;
   }
   i11 = i6 & 255;
   i6 = 16286 + i11 | 0;
   if ((i11 & 223 | 0) == 81) {
    i11 = get8(i2 + 2 >> 0 | 0) | 0;
    if (!(i11 << 24 >> 24)) {
     i8 = 29357;
     i9 = 5;
     break;
    }
    i12 = i11 & 255;
    i11 = 16286 + i12 | 0;
    if ((i12 & 223 | 0) == 76) {
     i12 = get8(i2 + 3 >> 0 | 0) | 0;
     if (!(i12 << 24 >> 24)) {
      i8 = 29358;
      i9 = 5;
      break;
     }
     i13 = i12 & 255;
     i12 = 16286 + i13 | 0;
     if ((i13 & 223 | 0) == 73) {
      i13 = get8(i2 + 4 >> 0 | 0) | 0;
      if (!(i13 << 24 >> 24)) {
       i8 = 29359;
       i9 = 5;
       break;
      }
      i14 = i13 & 255;
      i13 = 16286 + i14 | 0;
      if ((i14 & 223 | 0) == 84) {
       i14 = get8(i2 + 5 >> 0 | 0) | 0;
       if (!(i14 << 24 >> 24)) {
        i8 = 29360;
        i9 = 5;
        break;
       }
       i15 = i14 & 255;
       i14 = 16286 + i15 | 0;
       if ((i15 & 223 | 0) == 69) {
        i15 = get8(i2 + 6 >> 0 | 0) | 0;
        if (!(i15 << 24 >> 24)) {
         i8 = 29361;
         i9 = 5;
         break;
        }
        if (i15 << 24 >> 24 == 95) break; else {
         i16 = 16286 + (i15 & 255) | 0;
         i17 = 95;
        }
       } else {
        i16 = i14;
        i17 = 101;
       }
      } else {
       i16 = i13;
       i17 = 116;
      }
     } else {
      i16 = i12;
      i17 = 105;
     }
    } else {
     i16 = i11;
     i17 = 108;
    }
   } else {
    i16 = i6;
    i17 = 113;
   }
  } else {
   i16 = i10;
   i17 = 115;
  }
  i18 = get8(i16 >> 0 | 0) | 0;
  i19 = i17;
  i9 = 9;
 } while (0);
 if ((i9 | 0) == 5) {
  i18 = 0;
  i19 = get8(16286 + (getU8(i8 >> 0 | 0) | 0) >> 0 | 0) | 0;
  i9 = 9;
 }
 if ((i9 | 0) == 9 ? i18 << 24 >> 24 != i19 << 24 >> 24 : 0) {
  i5 = 0;
  STACKTOP = i3;
  return i5 | 0;
 }
 set32(i4 | 0, i2 | 0);
 _sqlite3ErrorMsg(i1, 36972, i4);
 i5 = 1;
 STACKTOP = i3;
 return i5 | 0;
}

function _walEncodeFrame(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0;
 i6 = i1 + 68 | 0;
 set8(i5 >> 0 | 0, i2 >>> 24 | 0);
 set8(i5 + 1 >> 0 | 0, i2 >>> 16 | 0);
 set8(i5 + 2 >> 0 | 0, i2 >>> 8 | 0);
 set8(i5 + 3 >> 0 | 0, i2 | 0);
 set8(i5 + 4 >> 0 | 0, i3 >>> 24 | 0);
 set8(i5 + 5 >> 0 | 0, i3 >>> 16 | 0);
 set8(i5 + 6 >> 0 | 0, i3 >>> 8 | 0);
 set8(i5 + 7 >> 0 | 0, i3 | 0);
 i3 = i1 + 76 | 0;
 i2 = i3;
 i7 = getU8(i2 >> 0 | 0) | getU8(i2 + 1 >> 0 | 0) << 8 | getU8(i2 + 2 >> 0 | 0) << 16 | getU8(i2 + 3 >> 0 | 0) << 24;
 i2 = i3 + 4 | 0;
 i3 = getU8(i2 >> 0 | 0) | getU8(i2 + 1 >> 0 | 0) << 8 | getU8(i2 + 2 >> 0 | 0) << 16 | getU8(i2 + 3 >> 0 | 0) << 24;
 i2 = i5 + 8 | 0;
 i8 = i2;
 set8(i8 >> 0 | 0, i7 | 0);
 set8(i8 + 1 >> 0 | 0, i7 >> 8 | 0);
 set8(i8 + 2 >> 0 | 0, i7 >> 16 | 0);
 set8(i8 + 3 >> 0 | 0, i7 >> 24 | 0);
 i7 = i2 + 4 | 0;
 set8(i7 >> 0 | 0, i3 | 0);
 set8(i7 + 1 >> 0 | 0, i3 >> 8 | 0);
 set8(i7 + 2 >> 0 | 0, i3 >> 16 | 0);
 set8(i7 + 3 >> 0 | 0, i3 >> 24 | 0);
 i3 = get32(i6 | 0) | 0;
 i7 = i1 + 72 | 0;
 i2 = get32(i7 | 0) | 0;
 if (!(get8(i1 + 57 >> 0 | 0) | 0)) {
  i8 = i3 + i2 + (get32(i5 | 0) | 0) | 0;
  i9 = (get32(i5 + 4 | 0) | 0) + i2 + i8 | 0;
  set32(i6 | 0, i8 | 0);
  set32(i7 | 0, i9 | 0);
  i10 = i4 + (get32(i1 + 32 | 0) | 0) | 0;
  i11 = i4;
  i12 = i8;
  i8 = i9;
  while (1) {
   i9 = i12 + i8 + (get32(i11 | 0) | 0) | 0;
   i13 = (get32(i11 + 4 | 0) | 0) + i8 + i9 | 0;
   i11 = i11 + 8 | 0;
   if (i11 >>> 0 >= i10 >>> 0) {
    i14 = i9;
    i15 = i13;
    break;
   } else {
    i12 = i9;
    i8 = i13;
   }
  }
 } else {
  i8 = i3 + i2 + (_llvm_bswap_i32(get32(i5 | 0) | 0) | 0) | 0;
  i3 = i8 + i2 + (_llvm_bswap_i32(get32(i5 + 4 | 0) | 0) | 0) | 0;
  set32(i6 | 0, i8 | 0);
  set32(i7 | 0, i3 | 0);
  i2 = i4 + (get32(i1 + 32 | 0) | 0) | 0;
  i1 = i4;
  i4 = i8;
  i8 = i3;
  while (1) {
   i3 = i4 + i8 + (_llvm_bswap_i32(get32(i1 | 0) | 0) | 0) | 0;
   i12 = i3 + i8 + (_llvm_bswap_i32(get32(i1 + 4 | 0) | 0) | 0) | 0;
   i1 = i1 + 8 | 0;
   if (i1 >>> 0 >= i2 >>> 0) {
    i14 = i3;
    i15 = i12;
    break;
   } else {
    i4 = i3;
    i8 = i12;
   }
  }
 }
 set32(i6 | 0, i14 | 0);
 set32(i7 | 0, i15 | 0);
 set8(i5 + 16 >> 0 | 0, i14 >>> 24 | 0);
 set8(i5 + 17 >> 0 | 0, i14 >>> 16 | 0);
 set8(i5 + 18 >> 0 | 0, i14 >>> 8 | 0);
 set8(i5 + 19 >> 0 | 0, i14 | 0);
 i14 = get32(i7 | 0) | 0;
 set8(i5 + 20 >> 0 | 0, i14 >>> 24 | 0);
 set8(i5 + 21 >> 0 | 0, i14 >>> 16 | 0);
 set8(i5 + 22 >> 0 | 0, i14 >>> 8 | 0);
 set8(i5 + 23 >> 0 | 0, i14 | 0);
 return;
}

function _sqlite3ValueText(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0;
 if (!i1) {
  i3 = 0;
  return i3 | 0;
 }
 i4 = i1 + 28 | 0;
 i5 = getU16(i4 | 0) | 0;
 if (i5 & 1) {
  i3 = 0;
  return i3 | 0;
 }
 i6 = (i5 >>> 3 & 2 | i5) & 65535;
 set16(i4 | 0, i6 | 0);
 do if (!((i5 & 16384 | 0) == 0 | (i6 & 16384) == 0)) {
  i7 = i1 + 24 | 0;
  i8 = i1 + 16 | 0;
  i9 = (get32(i8 | 0) | 0) + (get32(i7 | 0) | 0) | 0;
  if (!(_sqlite3VdbeMemGrow(i1, (i9 | 0) < 1 ? 1 : i9, 1) | 0)) {
   _memset((get32(i1 + 4 | 0) | 0) + (get32(i7 | 0) | 0) | 0, 0, get32(i8 | 0) | 0) | 0;
   set32(i7 | 0, (get32(i7 | 0) | 0) + (get32(i8 | 0) | 0) | 0);
   i8 = (getU16(i4 | 0) | 0) & 48639;
   set16(i4 | 0, i8 | 0);
   i10 = i8;
   break;
  } else {
   i10 = get16(i4 | 0) | 0;
   break;
  }
 } else i10 = i6; while (0);
 i6 = i2 & 255;
 if (i10 & 2) {
  i10 = i6 & 247;
  _sqlite3VdbeChangeEncoding(i1, i10) | 0;
  do if ((i6 & 8 | 0) != 0 ? (i2 = i1 + 4 | 0, (get32(i2 | 0) & 1 | 0) != 0) : 0) {
   i5 = get16(i4 | 0) | 0;
   do if (i5 & 16384) {
    i8 = i1 + 24 | 0;
    i7 = i1 + 16 | 0;
    i9 = (get32(i7 | 0) | 0) + (get32(i8 | 0) | 0) | 0;
    if (!(_sqlite3VdbeMemGrow(i1, (i9 | 0) < 1 ? 1 : i9, 1) | 0)) {
     _memset((get32(i2 | 0) | 0) + (get32(i8 | 0) | 0) | 0, 0, get32(i7 | 0) | 0) | 0;
     set32(i8 | 0, (get32(i8 | 0) | 0) + (get32(i7 | 0) | 0) | 0);
     i7 = (getU16(i4 | 0) | 0) & 48639;
     set16(i4 | 0, i7 | 0);
     i11 = i7;
     break;
    } else {
     i11 = get16(i4 | 0) | 0;
     break;
    }
   } else i11 = i5; while (0);
   if ((i11 & 18) != 0 ? (get32(i2 | 0) | 0) != (get32(i1 + 36 | 0) | 0) : 0) {
    i5 = i1 + 24 | 0;
    if (!(_sqlite3VdbeMemGrow(i1, (get32(i5 | 0) | 0) + 2 | 0, 1) | 0)) {
     set8((get32(i2 | 0) | 0) + (get32(i5 | 0) | 0) >> 0 | 0, 0 | 0);
     set8((get32(i2 | 0) | 0) + ((get32(i5 | 0) | 0) + 1) >> 0 | 0, 0 | 0);
     set16(i4 | 0, getU16(i4 | 0) | 0 | 512 | 0);
     break;
    } else {
     i3 = 0;
     return i3 | 0;
    }
   }
  } while (0);
  if ((get16(i4 | 0) & 514) == 2 ? (i11 = i1 + 24 | 0, (_sqlite3VdbeMemGrow(i1, (get32(i11 | 0) | 0) + 2 | 0, 1) | 0) == 0) : 0) {
   i5 = i1 + 4 | 0;
   set8((get32(i5 | 0) | 0) + (get32(i11 | 0) | 0) >> 0 | 0, 0 | 0);
   set8((get32(i5 | 0) | 0) + ((get32(i11 | 0) | 0) + 1) >> 0 | 0, 0 | 0);
   set16(i4 | 0, getU16(i4 | 0) | 0 | 512 | 0);
   i12 = i10;
  } else i12 = i10;
 } else {
  _sqlite3VdbeMemStringify(i1, i6) | 0;
  i12 = i6 & 247;
 }
 if ((getU8(i1 + 31 >> 0 | 0) | 0 | 0) != (i12 | 0)) {
  i3 = 0;
  return i3 | 0;
 }
 i3 = get32(i1 + 4 | 0) | 0;
 return i3 | 0;
}

function _newDatabase(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0;
 i2 = i1 + 48 | 0;
 if (get32(i2 | 0) | 0) {
  i3 = 0;
  return i3 | 0;
 }
 i4 = get32(i1 + 12 | 0) | 0;
 i5 = i4 + 64 | 0;
 i6 = get32(i5 | 0) | 0;
 i7 = _sqlite3PagerWrite(get32(i4 + 68 | 0) | 0) | 0;
 if (i7) {
  i3 = i7;
  return i3 | 0;
 }
 i7 = i6;
 i8 = 19694;
 i9 = i7 + 16 | 0;
 do {
  set8(i7 >> 0 | 0, get8(i8 >> 0 | 0) | 0 | 0);
  i7 = i7 + 1 | 0;
  i8 = i8 + 1 | 0;
 } while ((i7 | 0) < (i9 | 0));
 i8 = i1 + 36 | 0;
 set8(i6 + 16 >> 0 | 0, (get32(i8 | 0) | 0) >>> 8 | 0);
 set8(i6 + 17 >> 0 | 0, (get32(i8 | 0) | 0) >>> 16 | 0);
 set8(i6 + 18 >> 0 | 0, 1 | 0);
 set8(i6 + 19 >> 0 | 0, 1 | 0);
 set8(i6 + 20 >> 0 | 0, (get32(i8 | 0) | 0) - (get32(i1 + 40 | 0) | 0) | 0);
 set8(i6 + 21 >> 0 | 0, 64 | 0);
 set8(i6 + 22 >> 0 | 0, 32 | 0);
 set8(i6 + 23 >> 0 | 0, 32 | 0);
 i7 = i6 + 24 | 0;
 i9 = i7 + 76 | 0;
 do {
  set8(i7 >> 0 | 0, 0 | 0);
  i7 = i7 + 1 | 0;
 } while ((i7 | 0) < (i9 | 0));
 i7 = get32(i5 | 0) | 0;
 i5 = i4 + 60 | 0;
 i9 = get32(i5 | 0) | 0;
 i8 = i4 + 5 | 0;
 i10 = get8(i8 >> 0 | 0) | 0;
 i11 = i10 & 255;
 i12 = i7 + i11 | 0;
 i13 = i9 + 40 | 0;
 if (get8(i9 + 18 >> 0 | 0) | 0) _memset(i12 | 0, 0, (get32(i13 | 0) | 0) - i11 | 0) | 0;
 set8(i12 >> 0 | 0, 13 | 0);
 i12 = i11 + 8 | 0;
 i14 = i7 + (i11 + 1) | 0;
 set8(i14 >> 0 | 0, 0 | 0);
 set8(i14 + 1 >> 0 | 0, 0 | 0);
 set8(i14 + 2 >> 0 | 0, 0 | 0);
 set8(i14 + 3 >> 0 | 0, 0 | 0);
 set8(i7 + (i11 + 7) >> 0 | 0, 0 | 0);
 set8(i7 + (i11 + 5) >> 0 | 0, (get32(i13 | 0) | 0) >>> 8 | 0);
 set8(i7 + (i11 + 6) >> 0 | 0, get32(i13 | 0) | 0);
 set16(i4 + 14 | 0, (get32(i13 | 0) | 0) - i12 | 0);
 set8(i4 + 3 >> 0 | 0, 1 | 0);
 set8(i4 + 6 >> 0 | 0, 0 | 0);
 i13 = get32(i5 | 0) | 0;
 set8(i4 + 2 >> 0 | 0, 1 | 0);
 set8(i4 + 4 >> 0 | 0, 1 | 0);
 set16(i4 + 8 | 0, get16(i13 + 30 | 0) | 0 | 0);
 set16(i4 + 10 | 0, get16(i13 + 32 | 0) | 0 | 0);
 set8(i8 >> 0 | 0, i10 | 0);
 set16(i4 + 12 | 0, i12 | 0);
 set8(i4 + 1 >> 0 | 0, 0 | 0);
 set16(i4 + 18 | 0, (get32(i9 + 36 | 0) | 0) + 65535 | 0);
 set16(i4 + 16 | 0, 0 | 0);
 set8(i4 >> 0 | 0, 1 | 0);
 set8(i1 + 17 >> 0 | 0, 1 | 0);
 i4 = get8(i1 + 21 >> 0 | 0) | 0;
 set8(i6 + 52 >> 0 | 0, 0 | 0);
 set8(i6 + 53 >> 0 | 0, 0 | 0);
 set8(i6 + 54 >> 0 | 0, 0 | 0);
 set8(i6 + 55 >> 0 | 0, i4 | 0);
 i4 = get8(i1 + 22 >> 0 | 0) | 0;
 set8(i6 + 64 >> 0 | 0, 0 | 0);
 set8(i6 + 65 >> 0 | 0, 0 | 0);
 set8(i6 + 66 >> 0 | 0, 0 | 0);
 set8(i6 + 67 >> 0 | 0, i4 | 0);
 set32(i2 | 0, 1 | 0);
 set8(i6 + 31 >> 0 | 0, 1 | 0);
 i3 = 0;
 return i3 | 0;
}

function _sqlite3WalkSelect(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0;
 if (!i2) {
  i3 = 0;
  return i3 | 0;
 }
 i4 = i1 + 4 | 0;
 i5 = get32(i4 | 0) | 0;
 if (!i5) {
  i3 = 0;
  return i3 | 0;
 }
 i6 = FUNCTION_TABLE_iii[i5 & 127](i1, i2) | 0;
 L7 : do if (!i6) {
  i5 = i2;
  L8 : while (1) {
   i7 = get32(i5 | 0) | 0;
   if ((i7 | 0) != 0 ? (i8 = get32(i7 | 0) | 0, (i8 | 0) > 0) : 0) {
    i9 = i8;
    i8 = get32(i7 + 12 | 0) | 0;
    while (1) {
     if (_sqlite3WalkExpr(i1, get32(i8 | 0) | 0) | 0) {
      i3 = 2;
      i10 = 31;
      break L8;
     }
     if ((i9 | 0) > 1) {
      i9 = i9 + -1 | 0;
      i8 = i8 + 20 | 0;
     } else break;
    }
   }
   if (_sqlite3WalkExpr(i1, get32(i5 + 12 | 0) | 0) | 0) {
    i3 = 2;
    i10 = 31;
    break;
   }
   i8 = get32(i5 + 16 | 0) | 0;
   if ((i8 | 0) != 0 ? (i9 = get32(i8 | 0) | 0, (i9 | 0) > 0) : 0) {
    i7 = i9;
    i9 = get32(i8 + 12 | 0) | 0;
    while (1) {
     if (_sqlite3WalkExpr(i1, get32(i9 | 0) | 0) | 0) {
      i3 = 2;
      i10 = 31;
      break L8;
     }
     if ((i7 | 0) > 1) {
      i7 = i7 + -1 | 0;
      i9 = i9 + 20 | 0;
     } else break;
    }
   }
   if (_sqlite3WalkExpr(i1, get32(i5 + 20 | 0) | 0) | 0) {
    i3 = 2;
    i10 = 31;
    break;
   }
   i9 = get32(i5 + 24 | 0) | 0;
   if ((i9 | 0) != 0 ? (i7 = get32(i9 | 0) | 0, (i7 | 0) > 0) : 0) {
    i8 = i7;
    i7 = get32(i9 + 12 | 0) | 0;
    while (1) {
     if (_sqlite3WalkExpr(i1, get32(i7 | 0) | 0) | 0) {
      i3 = 2;
      i10 = 31;
      break L8;
     }
     if ((i8 | 0) > 1) {
      i8 = i8 + -1 | 0;
      i7 = i7 + 20 | 0;
     } else break;
    }
   }
   if (_sqlite3WalkExpr(i1, get32(i5 + 40 | 0) | 0) | 0) {
    i3 = 2;
    i10 = 31;
    break;
   }
   if (_sqlite3WalkExpr(i1, get32(i5 + 44 | 0) | 0) | 0) {
    i3 = 2;
    i10 = 31;
    break;
   }
   i7 = get32(i5 + 8 | 0) | 0;
   if ((i7 | 0) != 0 ? (i8 = get16(i7 | 0) | 0, i8 << 16 >> 16 > 0) : 0) {
    i9 = i8 << 16 >> 16;
    i8 = i7 + 8 | 0;
    while (1) {
     if (_sqlite3WalkSelect(i1, get32(i8 + 16 | 0) | 0) | 0) {
      i3 = 2;
      i10 = 31;
      break L8;
     }
     if ((i9 | 0) > 1) {
      i9 = i9 + -1 | 0;
      i8 = i8 + 56 | 0;
     } else break;
    }
   }
   i5 = get32(i5 + 28 | 0) | 0;
   if (!i5) {
    i3 = 0;
    i10 = 31;
    break;
   }
   i8 = FUNCTION_TABLE_iii[get32(i4 | 0) & 127](i1, i5) | 0;
   if (i8) {
    i11 = i8;
    break L7;
   }
  }
  if ((i10 | 0) == 31) return i3 | 0;
 } else i11 = i6; while (0);
 i3 = i11 & 2;
 return i3 | 0;
}

function _unixSetSystemCall(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0;
 if (i2) {
  if (_strcmp(i2, get32(260 * 4 | 0) | 0) | 0) if (_strcmp(i2, get32(263 * 4 | 0) | 0) | 0) if (_strcmp(i2, get32(266 * 4 | 0) | 0) | 0) if (_strcmp(i2, get32(269 * 4 | 0) | 0) | 0) if (_strcmp(i2, get32(272 * 4 | 0) | 0) | 0) if (_strcmp(i2, get32(275 * 4 | 0) | 0) | 0) if (_strcmp(i2, get32(278 * 4 | 0) | 0) | 0) if (_strcmp(i2, get32(281 * 4 | 0) | 0) | 0) if (_strcmp(i2, get32(284 * 4 | 0) | 0) | 0) if (_strcmp(i2, get32(287 * 4 | 0) | 0) | 0) if (_strcmp(i2, get32(290 * 4 | 0) | 0) | 0) if (_strcmp(i2, get32(293 * 4 | 0) | 0) | 0) if (_strcmp(i2, get32(296 * 4 | 0) | 0) | 0) if (_strcmp(i2, get32(299 * 4 | 0) | 0) | 0) if (_strcmp(i2, get32(302 * 4 | 0) | 0) | 0) if (!(_strcmp(i2, get32(305 * 4 | 0) | 0) | 0)) i4 = 15; else {
   i5 = 12;
   return i5 | 0;
  } else i4 = 14; else i4 = 13; else i4 = 12; else i4 = 11; else i4 = 10; else i4 = 9; else i4 = 8; else i4 = 7; else i4 = 6; else i4 = 5; else i4 = 4; else i4 = 3; else i4 = 2; else i4 = 1; else i4 = 0;
  i2 = 1040 + (i4 * 12 | 0) + 8 | 0;
  i1 = get32(i2 | 0) | 0;
  if (!i1) {
   i6 = get32(1040 + (i4 * 12 | 0) + 4 | 0) | 0;
   set32(i2 | 0, i6 | 0);
   i7 = i6;
  } else i7 = i1;
  set32(1040 + (i4 * 12 | 0) + 4 | 0, ((i3 | 0) == 0 ? i7 : i3) | 0);
  i5 = 0;
  return i5 | 0;
 }
 i3 = get32(262 * 4 | 0) | 0;
 if (i3) set32(261 * 4 | 0, i3 | 0);
 i3 = get32(265 * 4 | 0) | 0;
 if (i3) set32(264 * 4 | 0, i3 | 0);
 i3 = get32(268 * 4 | 0) | 0;
 if (i3) set32(267 * 4 | 0, i3 | 0);
 i3 = get32(271 * 4 | 0) | 0;
 if (i3) set32(270 * 4 | 0, i3 | 0);
 i3 = get32(274 * 4 | 0) | 0;
 if (i3) set32(273 * 4 | 0, i3 | 0);
 i3 = get32(277 * 4 | 0) | 0;
 if (i3) set32(276 * 4 | 0, i3 | 0);
 i3 = get32(280 * 4 | 0) | 0;
 if (i3) set32(279 * 4 | 0, i3 | 0);
 i3 = get32(283 * 4 | 0) | 0;
 if (i3) set32(282 * 4 | 0, i3 | 0);
 i3 = get32(286 * 4 | 0) | 0;
 if (i3) set32(285 * 4 | 0, i3 | 0);
 i3 = get32(289 * 4 | 0) | 0;
 if (i3) set32(288 * 4 | 0, i3 | 0);
 i3 = get32(292 * 4 | 0) | 0;
 if (i3) set32(291 * 4 | 0, i3 | 0);
 i3 = get32(295 * 4 | 0) | 0;
 if (i3) set32(294 * 4 | 0, i3 | 0);
 i3 = get32(298 * 4 | 0) | 0;
 if (i3) set32(297 * 4 | 0, i3 | 0);
 i3 = get32(301 * 4 | 0) | 0;
 if (i3) set32(300 * 4 | 0, i3 | 0);
 i3 = get32(304 * 4 | 0) | 0;
 if (i3) set32(303 * 4 | 0, i3 | 0);
 i3 = get32(307 * 4 | 0) | 0;
 if (!i3) {
  i5 = 0;
  return i5 | 0;
 }
 set32(306 * 4 | 0, i3 | 0);
 i5 = 0;
 return i5 | 0;
}

function _sqlite3_complete16(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0;
 i2 = _sqlite3_initialize() | 0;
 if (i2) {
  i3 = i2;
  return i3 | 0;
 }
 if (!(get32(50 * 4 | 0) | 0)) {
  i2 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](40) | 0;
  if (!i2) {
   i4 = 0;
   i5 = 1;
  } else {
   i6 = i2;
   i7 = 15;
  }
 } else {
  i2 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](40) | 0;
  set32(35 * 4 | 0, 40 | 0);
  if ((get32(45 * 4 | 0) | 0) < 40) set32(45 * 4 | 0, 40 | 0);
  i8 = get32(6 * 4 | 0) | 0;
  do if (i8) {
   i9 = get32(30 * 4 | 0) | 0;
   i10 = ((i9 | 0) < 0) << 31 >> 31;
   i11 = 16;
   i12 = _i64Subtract(get32(i11 | 0) | 0, get32(i11 + 4 | 0) | 0, i2 | 0, ((i2 | 0) < 0) << 31 >> 31 | 0) | 0;
   i11 = tempRet0;
   if ((i10 | 0) < (i11 | 0) | (i10 | 0) == (i11 | 0) & i9 >>> 0 < i12 >>> 0) {
    set32(11 * 4 | 0, 0 | 0);
    break;
   } else {
    set32(11 * 4 | 0, 1 | 0);
    i12 = get32(7 * 4 | 0) | 0;
    set32(6 * 4 | 0, 0 | 0);
    FUNCTION_TABLE_viiii[i8 & 15](i12, i9, i10, i2);
    set32(6 * 4 | 0, i8 | 0);
    set32(7 * 4 | 0, i12 | 0);
    break;
   }
  } while (0);
  i8 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i2) | 0;
  if (i8) {
   i2 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i8) | 0;
   i12 = (get32(30 * 4 | 0) | 0) + i2 | 0;
   set32(30 * 4 | 0, i12 | 0);
   if ((i12 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i12 | 0);
   i12 = get32(39 * 4 | 0) | 0;
   i2 = i12 + 1 | 0;
   set32(39 * 4 | 0, i2 | 0);
   if ((i12 | 0) < (get32(49 * 4 | 0) | 0)) {
    i6 = i8;
    i7 = 15;
   } else {
    set32(49 * 4 | 0, i2 | 0);
    i6 = i8;
    i7 = 15;
   }
  } else {
   i4 = 0;
   i5 = 1;
  }
 }
 if ((i7 | 0) == 15) {
  i7 = i6;
  i8 = i7 + 40 | 0;
  do {
   set8(i7 >> 0 | 0, 0 | 0);
   i7 = i7 + 1 | 0;
  } while ((i7 | 0) < (i8 | 0));
  set16(i6 + 28 | 0, 1 | 0);
  set8(i6 + 30 >> 0 | 0, 5 | 0);
  set32(i6 | 0, 0 | 0);
  if (!i6) {
   i4 = 0;
   i5 = 1;
  } else {
   _sqlite3VdbeMemSetStr(i6, i1, -1, 2, 0) | 0;
   i4 = i6;
   i5 = 0;
  }
 }
 i6 = _sqlite3ValueText(i4, 1) | 0;
 if (!i6) i13 = 7; else i13 = (_sqlite3_complete(i6) | 0) & 255;
 if (i5) {
  i3 = i13;
  return i3 | 0;
 }
 _sqlite3VdbeMemReleaseExternal(i4);
 i5 = i4 + 36 | 0;
 _sqlite3DbFree(get32(i4 | 0) | 0, get32(i5 | 0) | 0);
 set32(i4 + 4 | 0, 0 | 0);
 set32(i5 | 0, 0 | 0);
 set32(i4 + 32 | 0, 0 | 0);
 _sqlite3DbFree(get32(i4 | 0) | 0, i4);
 i3 = i13;
 return i3 | 0;
}

function _pop_arg339(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, d8 = 0.0;
 L1 : do if (i2 >>> 0 <= 20) do switch (i2 | 0) {
 case 9:
  {
   i4 = (get32(i3 | 0) | 0) + (4 - 1) & ~(4 - 1);
   i5 = get32(i4 | 0) | 0;
   set32(i3 | 0, i4 + 4 | 0);
   set32(i1 | 0, i5 | 0);
   break L1;
   break;
  }
 case 10:
  {
   i5 = (get32(i3 | 0) | 0) + (4 - 1) & ~(4 - 1);
   i4 = get32(i5 | 0) | 0;
   set32(i3 | 0, i5 + 4 | 0);
   i5 = i1;
   set32(i5 | 0, i4 | 0);
   set32(i5 + 4 | 0, ((i4 | 0) < 0) << 31 >> 31 | 0);
   break L1;
   break;
  }
 case 11:
  {
   i4 = (get32(i3 | 0) | 0) + (4 - 1) & ~(4 - 1);
   i5 = get32(i4 | 0) | 0;
   set32(i3 | 0, i4 + 4 | 0);
   i4 = i1;
   set32(i4 | 0, i5 | 0);
   set32(i4 + 4 | 0, 0 | 0);
   break L1;
   break;
  }
 case 12:
  {
   i4 = (get32(i3 | 0) | 0) + (8 - 1) & ~(8 - 1);
   i5 = i4;
   i6 = get32(i5 | 0) | 0;
   i7 = get32(i5 + 4 | 0) | 0;
   set32(i3 | 0, i4 + 8 | 0);
   i4 = i1;
   set32(i4 | 0, i6 | 0);
   set32(i4 + 4 | 0, i7 | 0);
   break L1;
   break;
  }
 case 13:
  {
   i7 = (get32(i3 | 0) | 0) + (4 - 1) & ~(4 - 1);
   i4 = get32(i7 | 0) | 0;
   set32(i3 | 0, i7 + 4 | 0);
   i7 = (i4 & 65535) << 16 >> 16;
   i4 = i1;
   set32(i4 | 0, i7 | 0);
   set32(i4 + 4 | 0, ((i7 | 0) < 0) << 31 >> 31 | 0);
   break L1;
   break;
  }
 case 14:
  {
   i7 = (get32(i3 | 0) | 0) + (4 - 1) & ~(4 - 1);
   i4 = get32(i7 | 0) | 0;
   set32(i3 | 0, i7 + 4 | 0);
   i7 = i1;
   set32(i7 | 0, i4 & 65535 | 0);
   set32(i7 + 4 | 0, 0 | 0);
   break L1;
   break;
  }
 case 15:
  {
   i7 = (get32(i3 | 0) | 0) + (4 - 1) & ~(4 - 1);
   i4 = get32(i7 | 0) | 0;
   set32(i3 | 0, i7 + 4 | 0);
   i7 = (i4 & 255) << 24 >> 24;
   i4 = i1;
   set32(i4 | 0, i7 | 0);
   set32(i4 + 4 | 0, ((i7 | 0) < 0) << 31 >> 31 | 0);
   break L1;
   break;
  }
 case 16:
  {
   i7 = (get32(i3 | 0) | 0) + (4 - 1) & ~(4 - 1);
   i4 = get32(i7 | 0) | 0;
   set32(i3 | 0, i7 + 4 | 0);
   i7 = i1;
   set32(i7 | 0, i4 & 255 | 0);
   set32(i7 + 4 | 0, 0 | 0);
   break L1;
   break;
  }
 case 17:
  {
   i7 = (get32(i3 | 0) | 0) + (8 - 1) & ~(8 - 1);
   d8 = +getF64(i7 | 0);
   set32(i3 | 0, i7 + 8 | 0);
   setF64(i1 | 0, +d8);
   break L1;
   break;
  }
 case 18:
  {
   i7 = (get32(i3 | 0) | 0) + (8 - 1) & ~(8 - 1);
   d8 = +getF64(i7 | 0);
   set32(i3 | 0, i7 + 8 | 0);
   setF64(i1 | 0, +d8);
   break L1;
   break;
  }
 default:
  break L1;
 } while (0); while (0);
 return;
}

function _freeP4(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0;
 if (!i3) return;
 switch (i2 | 0) {
 case -16:
 case -15:
 case -6:
 case -1:
 case -13:
 case -12:
  {
   _sqlite3DbFree(i1, i3);
   return;
  }
 case -11:
  {
   if (get32(i1 + 504 | 0) | 0) return;
   if (!(get32(50 * 4 | 0) | 0)) {
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i3);
    return;
   }
   i2 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i3) | 0;
   i4 = (get32(30 * 4 | 0) | 0) - i2 | 0;
   set32(30 * 4 | 0, i4 | 0);
   if ((i4 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i4 | 0);
   i4 = (get32(39 * 4 | 0) | 0) + -1 | 0;
   set32(39 * 4 | 0, i4 | 0);
   if ((i4 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i4 | 0);
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i3);
   return;
  }
 case -7:
  {
   i4 = get32(i3 | 0) | 0;
   if ((i4 | 0) != 0 ? (get8(i4 + 3 >> 0 | 0) & 4) != 0 : 0) _sqlite3DbFree(i1, i4);
   if ((get32(i1 + 504 | 0) | 0) == 0 ? (i4 = i3 + 4 | 0, i2 = get32(i4 | 0) | 0, (i2 | 0) > 0) : 0) {
    i5 = i2;
    i2 = 0;
    while (1) {
     i6 = i3 + 8 + (i2 << 3) | 0;
     i7 = get32(i6 | 0) | 0;
     if (!i7) i8 = i5; else {
      i9 = get32(i3 + 8 + (i2 << 3) + 4 | 0) | 0;
      if (!i9) i10 = i5; else {
       FUNCTION_TABLE_vi[i9 & 31](i7);
       i10 = get32(i4 | 0) | 0;
      }
      set32(i6 | 0, 0 | 0);
      i8 = i10;
     }
     i2 = i2 + 1 | 0;
     if ((i2 | 0) >= (i8 | 0)) break; else i5 = i8;
    }
   }
   _sqlite3DbFree(i1, i3);
   return;
  }
 case -5:
  {
   if (!(get8(i3 + 3 >> 0 | 0) & 4)) return;
   _sqlite3DbFree(i1, i3);
   return;
  }
 case -8:
  {
   if (!(get32(i1 + 504 | 0) | 0)) {
    _sqlite3VdbeMemReleaseExternal(i3);
    i8 = i3 + 36 | 0;
    _sqlite3DbFree(get32(i3 | 0) | 0, get32(i8 | 0) | 0);
    set32(i3 + 4 | 0, 0 | 0);
    set32(i8 | 0, 0 | 0);
    set32(i3 + 32 | 0, 0 | 0);
    _sqlite3DbFree(get32(i3 | 0) | 0, i3);
    return;
   } else {
    _sqlite3DbFree(i1, get32(i3 + 36 | 0) | 0);
    _sqlite3DbFree(i1, i3);
    return;
   }
   break;
  }
 case -10:
  {
   if (get32(i1 + 504 | 0) | 0) return;
   i1 = get32(i3 | 0) | 0;
   i8 = i3 + 12 | 0;
   i5 = (get32(i8 | 0) | 0) + -1 | 0;
   set32(i8 | 0, i5 | 0);
   if (i5) return;
   i5 = get32(i3 + 8 | 0) | 0;
   if (i5) FUNCTION_TABLE_ii[get32((get32(i5 | 0) | 0) + 16 | 0) & 127](i5) | 0;
   _sqlite3DbFree(i1, i3);
   return;
  }
 default:
  return;
 }
}

function _btreeEndTransaction(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0;
 i2 = i1 + 4 | 0;
 i3 = get32(i2 | 0) | 0;
 i4 = i3 + 64 | 0;
 _sqlite3BitvecDestroy(get32(i4 | 0) | 0);
 set32(i4 | 0, 0 | 0);
 i4 = i1 + 8 | 0;
 if (get8(i4 >> 0 | 0) | 0) {
  i5 = get32(i2 | 0) | 0;
  if ((get32((get32(i1 | 0) | 0) + 140 | 0) | 0) > 1) {
   i2 = i5 + 80 | 0;
   if ((get32(i2 | 0) | 0) == (i1 | 0) ? (set32(i2 | 0, 0 | 0), set8(i5 + 84 >> 0 | 0, 0 | 0), set8(i5 + 85 >> 0 | 0, 0 | 0), i2 = get32(i5 + 76 | 0) | 0, (i2 | 0) != 0) : 0) {
    i6 = i2;
    do {
     set8(i6 + 8 >> 0 | 0, 1 | 0);
     i6 = get32(i6 + 12 | 0) | 0;
    } while ((i6 | 0) != 0);
   }
   set8(i4 >> 0 | 0, 1 | 0);
   return;
  }
  i6 = i5 + 76 | 0;
  i2 = get32(i6 | 0) | 0;
  L12 : do if (i2) {
   i7 = i2;
   i8 = i6;
   while (1) {
    i9 = i7;
    while (1) {
     i10 = i9 + 12 | 0;
     if ((get32(i9 | 0) | 0) != (i1 | 0)) {
      i11 = i10;
      break;
     }
     i12 = get32(i10 | 0) | 0;
     set32(i8 | 0, i12 | 0);
     if ((get32(i9 + 4 | 0) | 0) == 1) i13 = i12; else {
      if (!(get32(50 * 4 | 0) | 0)) FUNCTION_TABLE_vi[get32(232 | 0) & 31](i9); else {
       i12 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i9) | 0;
       i10 = (get32(30 * 4 | 0) | 0) - i12 | 0;
       set32(30 * 4 | 0, i10 | 0);
       if ((i10 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i10 | 0);
       i10 = (get32(39 * 4 | 0) | 0) + -1 | 0;
       set32(39 * 4 | 0, i10 | 0);
       if ((i10 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i10 | 0);
       FUNCTION_TABLE_vi[get32(232 | 0) & 31](i9);
      }
      i13 = get32(i8 | 0) | 0;
     }
     if (!i13) break L12; else i9 = i13;
    }
    i9 = get32(i11 | 0) | 0;
    if (!i9) break; else {
     i7 = i9;
     i8 = i11;
    }
   }
  } while (0);
  i11 = i5 + 80 | 0;
  if ((get32(i11 | 0) | 0) != (i1 | 0)) {
   if ((get32(i5 + 44 | 0) | 0) == 2) set8(i5 + 85 >> 0 | 0, 0 | 0);
  } else {
   set32(i11 | 0, 0 | 0);
   set8(i5 + 84 >> 0 | 0, 0 | 0);
   set8(i5 + 85 >> 0 | 0, 0 | 0);
  }
  i5 = i3 + 44 | 0;
  i11 = (get32(i5 | 0) | 0) + -1 | 0;
  set32(i5 | 0, i11 | 0);
  if (!i11) set8(i3 + 23 >> 0 | 0, 0 | 0);
 }
 set8(i4 >> 0 | 0, 0 | 0);
 if (get8(i3 + 23 >> 0 | 0) | 0) return;
 i4 = i3 + 12 | 0;
 i3 = get32(i4 | 0) | 0;
 if (!i3) return;
 _sqlite3PagerUnref(get32(i3 + 68 | 0) | 0);
 set32(i4 | 0, 0 | 0);
 return;
}

function _detachFunc(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 160 | 0;
 i4 = i2 + 24 | 0;
 i5 = i2 + 16 | 0;
 i6 = i2 + 8 | 0;
 i7 = i2;
 i8 = i2 + 32 | 0;
 i9 = _sqlite3ValueText(get32(i3 | 0) | 0, 1) | 0;
 i3 = get32(i1 + 8 | 0) | 0;
 i10 = (i9 | 0) == 0 ? 16820 : i9;
 i9 = get32(i3 + 4 | 0) | 0;
 L1 : do if ((i9 | 0) > 0) {
  i11 = get32(i3 + 8 | 0) | 0;
  i12 = 0;
  while (1) {
   i13 = i11 + (i12 << 4) | 0;
   if (get32(i11 + (i12 << 4) + 4 | 0) | 0) {
    i14 = get32(i13 | 0) | 0;
    i15 = get8(i14 >> 0 | 0) | 0;
    L7 : do if (!(i15 << 24 >> 24)) {
     i16 = 0;
     i17 = i10;
    } else {
     i18 = i15;
     i19 = i14;
     i20 = i10;
     while (1) {
      if ((get8(16286 + (i18 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i20 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
       i16 = i18;
       i17 = i20;
       break L7;
      }
      i19 = i19 + 1 | 0;
      i21 = i20 + 1 | 0;
      i18 = get8(i19 >> 0 | 0) | 0;
      if (!(i18 << 24 >> 24)) {
       i16 = 0;
       i17 = i21;
       break;
      } else i20 = i21;
     }
    } while (0);
    if ((get8(16286 + (i16 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i17 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
     i22 = i12;
     i23 = i13;
     break L1;
    }
   }
   i14 = i12 + 1 | 0;
   if ((i14 | 0) < (i9 | 0)) i12 = i14; else {
    i22 = i14;
    i23 = i13;
    break;
   }
  }
 } else {
  i22 = 0;
  i23 = 0;
 } while (0);
 do if ((i22 | 0) < (i9 | 0)) {
  if ((i22 | 0) < 2) {
   set32(i6 | 0, i10 | 0);
   _sqlite3_snprintf(128, i8, 36084, i6) | 0;
   break;
  }
  if (!(get8(i3 + 28 >> 0 | 0) | 0)) {
   _sqlite3_snprintf(128, i8, 36110, i5) | 0;
   break;
  }
  i17 = i23 + 4 | 0;
  i16 = get32(i17 | 0) | 0;
  if ((get8(i16 + 8 >> 0 | 0) | 0) == 0 ? (get32(i16 + 16 | 0) | 0) == 0 : 0) {
   _sqlite3BtreeClose(i16);
   set32(i17 | 0, 0 | 0);
   set32(i23 + 12 | 0, 0 | 0);
   _sqlite3ResetInternalSchema(i3, -1);
   STACKTOP = i2;
   return;
  }
  set32(i4 | 0, i10 | 0);
  _sqlite3_snprintf(128, i8, 36152, i4) | 0;
 } else {
  set32(i7 | 0, i10 | 0);
  _sqlite3_snprintf(128, i8, 36063, i7) | 0;
 } while (0);
 set32(i1 + 52 | 0, 1 | 0);
 _sqlite3VdbeMemSetStr(i1 + 8 | 0, i8, -1, 1, -1) | 0;
 STACKTOP = i2;
 return;
}

function _defragmentPage(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0, i26 = 0, i27 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i3 = i2 + 16 | 0;
 i4 = i2 + 8 | 0;
 i5 = i2;
 i6 = get32(i1 + 60 | 0) | 0;
 i7 = get32((get32(i6 | 0) | 0) + 164 | 0) | 0;
 i8 = get32(i1 + 64 | 0) | 0;
 i9 = getU8(i1 + 5 >> 0 | 0) | 0;
 i10 = getU16(i1 + 12 | 0) | 0;
 i11 = get16(i1 + 16 | 0) | 0;
 i12 = i11 & 65535;
 i13 = get32(i6 + 40 | 0) | 0;
 i6 = i8 + (i9 + 5) | 0;
 i14 = i8 + (i9 + 6) | 0;
 i15 = (getU8(i6 >> 0 | 0) | 0) << 8 | (getU8(i14 >> 0 | 0) | 0);
 _memcpy(i7 + i15 | 0, i8 + i15 | 0, i13 - i15 | 0) | 0;
 i15 = (i12 << 1) + i10 | 0;
 i16 = i13 + -4 | 0;
 L1 : do if (i11 << 16 >> 16) {
  i17 = i13;
  i18 = 0;
  while (1) {
   i19 = (i18 << 1) + i10 | 0;
   i20 = i8 + i19 | 0;
   i21 = i8 + (i19 + 1) | 0;
   i19 = (getU8(i20 >> 0 | 0) | 0) << 8 | (getU8(i21 >> 0 | 0) | 0);
   if ((i19 | 0) < (i15 | 0) | (i19 | 0) > (i16 | 0)) {
    i22 = 3;
    break;
   }
   i23 = i7 + i19 | 0;
   i24 = (_cellSizePtr(i1, i23) | 0) & 65535;
   i25 = i17 - i24 | 0;
   if ((i25 | 0) < (i15 | 0) | (i24 + i19 | 0) > (i13 | 0)) {
    i22 = 5;
    break;
   }
   _memcpy(i8 + i25 | 0, i23 | 0, i24 | 0) | 0;
   set8(i20 >> 0 | 0, i25 >>> 8 | 0);
   set8(i21 >> 0 | 0, i25 | 0);
   i18 = i18 + 1 | 0;
   if ((i18 | 0) >= (i12 | 0)) {
    i26 = i25;
    break L1;
   } else i17 = i25;
  }
  if ((i22 | 0) == 3) {
   set32(i5 | 0, 48622 | 0);
   set32(i5 + 4 | 0, 17203 | 0);
   _sqlite3_log(11, 19615, i5);
   i27 = 11;
   STACKTOP = i2;
   return i27 | 0;
  } else if ((i22 | 0) == 5) {
   set32(i4 | 0, 48634 | 0);
   set32(i4 + 4 | 0, 17203 | 0);
   _sqlite3_log(11, 19615, i4);
   i27 = 11;
   STACKTOP = i2;
   return i27 | 0;
  }
 } else i26 = i13; while (0);
 set8(i6 >> 0 | 0, i26 >>> 8 | 0);
 set8(i14 >> 0 | 0, i26 | 0);
 set8(i8 + (i9 + 1) >> 0 | 0, 0 | 0);
 set8(i8 + (i9 + 2) >> 0 | 0, 0 | 0);
 set8(i8 + (i9 + 7) >> 0 | 0, 0 | 0);
 i9 = i26 - i15 | 0;
 _memset(i8 + i15 | 0, 0, i9 | 0) | 0;
 if ((i9 | 0) == (getU16(i1 + 14 | 0) | 0 | 0)) {
  i27 = 0;
  STACKTOP = i2;
  return i27 | 0;
 }
 set32(i3 | 0, 48651 | 0);
 set32(i3 + 4 | 0, 17203 | 0);
 _sqlite3_log(11, 19615, i3);
 i27 = 11;
 STACKTOP = i2;
 return i27 | 0;
}

function _juliandayFunc(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, d12 = 0.0, i13 = 0, i14 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 48 | 0;
 i5 = i4;
 if (_isDate(i1, i2, i3, i5) | 0) {
  STACKTOP = i4;
  return;
 }
 i3 = i5 + 42 | 0;
 if (!(get8(i3 >> 0 | 0) | 0)) {
  i2 = i5 + 40 | 0;
  i6 = get32(i2 | 0) | 0;
  if (!((i6 & 255) << 24 >> 24)) {
   i7 = 3;
   i8 = 1;
   i9 = 2e3;
  } else {
   i7 = (get32(i5 + 16 | 0) | 0) + 2 | 0;
   i8 = get32(i5 + 12 | 0) | 0;
   i9 = get32(i5 + 8 | 0) | 0;
  }
  i10 = (i8 | 0) < 3;
  i11 = (i10 << 31 >> 31) + i9 | 0;
  d12 = (+(((i11 | 0) / -100 | 0) + i7 + ((i11 | 0) / 400 | 0) + (((i11 * 36525 | 0) + 172251900 | 0) / 100 | 0) + ((((i10 ? i8 + 12 | 0 : i8) * 306001 | 0) + 306001 | 0) / 1e4 | 0) | 0) + -1524.5) * 864.0e5;
  i8 = ~~d12 >>> 0;
  i10 = +Math_abs(d12) >= 1.0 ? (d12 > 0.0 ? ~~+Math_min(+Math_floor(d12 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d12 - +(~~d12 >>> 0)) / 4294967296.0) >>> 0) : 0;
  i11 = i5;
  set32(i11 | 0, i8 | 0);
  set32(i11 + 4 | 0, i10 | 0);
  set8(i3 >> 0 | 0, 1 | 0);
  i3 = i5 + 41 | 0;
  if (i6 & 65280) {
   i11 = Math_imul(get32(i5 + 20 | 0) | 0, 36e5) | 0;
   i7 = ((get32(i5 + 24 | 0) | 0) * 6e4 | 0) + i11 | 0;
   d12 = +getF64(i5 + 32 | 0) * 1.0e3;
   i11 = _i64Add(~~d12 >>> 0 | 0, (+Math_abs(d12) >= 1.0 ? (d12 > 0.0 ? ~~+Math_min(+Math_floor(d12 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d12 - +(~~d12 >>> 0)) / 4294967296.0) >>> 0) : 0) | 0, i8 | 0, i10 | 0) | 0;
   i9 = _i64Add(i11 | 0, tempRet0 | 0, i7 | 0, ((i7 | 0) < 0) << 31 >> 31 | 0) | 0;
   i7 = tempRet0;
   i11 = i5;
   set32(i11 | 0, i9 | 0);
   set32(i11 + 4 | 0, i7 | 0);
   if (i6 >>> 0 < 16777216) {
    i13 = i7;
    i14 = i9;
   } else {
    i6 = (get32(i5 + 28 | 0) | 0) * 6e4 | 0;
    i11 = _i64Subtract(i9 | 0, i7 | 0, i6 | 0, ((i6 | 0) < 0) << 31 >> 31 | 0) | 0;
    i6 = tempRet0;
    i7 = i5;
    set32(i7 | 0, i11 | 0);
    set32(i7 + 4 | 0, i6 | 0);
    set8(i2 >> 0 | 0, 0 | 0);
    set8(i3 >> 0 | 0, 0 | 0);
    set8(i5 + 43 >> 0 | 0, 0 | 0);
    i13 = i6;
    i14 = i11;
   }
  } else {
   i13 = i10;
   i14 = i8;
  }
 } else {
  i8 = i5;
  i13 = get32(i8 + 4 | 0) | 0;
  i14 = get32(i8 | 0) | 0;
 }
 _sqlite3_result_double(i1, (+(i14 >>> 0) + 4294967296.0 * +(i13 | 0)) / 864.0e5);
 STACKTOP = i4;
 return;
}

function _subjournalPage(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i3 = i2;
 i4 = get32(i1 + 16 | 0) | 0;
 i5 = get8(i4 + 5 >> 0 | 0) | 0;
 if (i5 << 24 >> 24 != 2) {
  i6 = i4 + 68 | 0;
  i7 = get32(i6 | 0) | 0;
  do if (!(get32(i7 | 0) | 0)) {
   if (i5 << 24 >> 24 != 4 ? (get8(i4 + 21 >> 0 | 0) | 0) == 0 : 0) {
    i8 = get32(i4 | 0) | 0;
    i9 = FUNCTION_TABLE_iiiiii[get32(i8 + 24 | 0) & 31](i8, 0, i7, 8222, 0) | 0;
    if (!i9) break; else i10 = i9;
    STACKTOP = i2;
    return i10 | 0;
   }
   i9 = i7;
   i8 = i9 + 40 | 0;
   do {
    set32(i9 | 0, 0 | 0);
    i9 = i9 + 4 | 0;
   } while ((i9 | 0) < (i8 | 0));
   set32(i7 | 0, 1396 | 0);
  } while (0);
  i7 = get32(i1 | 0) | 0;
  i5 = i4 + 52 | 0;
  i9 = i4 + 128 | 0;
  i8 = Math_imul((get32(i9 | 0) | 0) + 4 | 0, get32(i5 | 0) | 0) | 0;
  i11 = get32(i6 | 0) | 0;
  i12 = i1 + 12 | 0;
  i13 = get32(i12 | 0) | 0;
  set8(i3 >> 0 | 0, i13 >>> 24 | 0);
  set8(i3 + 1 >> 0 | 0, i13 >>> 16 | 0);
  set8(i3 + 2 >> 0 | 0, i13 >>> 8 | 0);
  set8(i3 + 3 >> 0 | 0, i13 | 0);
  i13 = FUNCTION_TABLE_iiiiii[get32((get32(i11 | 0) | 0) + 12 | 0) & 31](i11, i3, 4, i8, 0) | 0;
  if (i13) {
   i10 = i13;
   STACKTOP = i2;
   return i10 | 0;
  }
  i13 = get32(i6 | 0) | 0;
  i6 = get32(i9 | 0) | 0;
  i9 = _i64Add(i8 | 0, 0, 4, 0) | 0;
  i8 = FUNCTION_TABLE_iiiiii[get32((get32(i13 | 0) | 0) + 12 | 0) & 31](i13, i7, i6, i9, tempRet0) | 0;
  if (!i8) {
   i14 = i12;
   i15 = i5;
  } else {
   i10 = i8;
   STACKTOP = i2;
   return i10 | 0;
  }
 } else {
  i14 = i1 + 12 | 0;
  i15 = i4 + 52 | 0;
 }
 set32(i15 | 0, (get32(i15 | 0) | 0) + 1 | 0);
 i15 = get32(i14 | 0) | 0;
 i14 = i4 + 96 | 0;
 i1 = get32(i14 | 0) | 0;
 if ((i1 | 0) <= 0) {
  i10 = 0;
  STACKTOP = i2;
  return i10 | 0;
 }
 i8 = i4 + 92 | 0;
 i4 = i1;
 i1 = 0;
 i5 = 0;
 while (1) {
  i12 = get32(i8 | 0) | 0;
  if ((get32(i12 + (i1 * 48 | 0) + 20 | 0) | 0) >>> 0 < i15 >>> 0) {
   i16 = i4;
   i17 = i5;
  } else {
   i9 = _sqlite3BitvecSet(get32(i12 + (i1 * 48 | 0) + 16 | 0) | 0, i15) | 0 | i5;
   i16 = get32(i14 | 0) | 0;
   i17 = i9;
  }
  i1 = i1 + 1 | 0;
  if ((i1 | 0) >= (i16 | 0)) {
   i10 = i17;
   break;
  } else {
   i4 = i16;
   i5 = i17;
  }
 }
 STACKTOP = i2;
 return i10 | 0;
}

function _sqlite3ExprCollSeq(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i4 = i3;
 if (!i2) {
  i5 = 0;
  STACKTOP = i3;
  return i5 | 0;
 } else i6 = i2;
 L3 : while (1) {
  i7 = get32(i6 + 20 | 0) | 0;
  if (i7) {
   i8 = i7;
   i9 = 15;
   break;
  }
  i7 = get8(i6 >> 0 | 0) | 0;
  i10 = get32(i6 + 40 | 0) | 0;
  if (!i10) switch (i7 << 24 >> 24) {
  case 37:
  case -99:
   break;
  default:
   {
    i5 = 0;
    i9 = 18;
    break L3;
   }
  } else switch (i7 << 24 >> 24) {
  case 60:
  case -124:
  case -104:
  case -102:
   {
    i11 = i10;
    i12 = i6;
    i9 = 5;
    break L3;
    break;
   }
  case 37:
  case -99:
   break;
  default:
   {
    i5 = 0;
    i9 = 18;
    break L3;
   }
  }
  i6 = get32(i6 + 8 | 0) | 0;
  if (!i6) {
   i5 = 0;
   i9 = 18;
   break;
  }
 }
 do if ((i9 | 0) == 5) {
  i6 = get16(i12 + 28 | 0) | 0;
  if (i6 << 16 >> 16 <= -1) {
   i5 = 0;
   STACKTOP = i3;
   return i5 | 0;
  }
  i10 = get32(i1 | 0) | 0;
  i7 = get32((get32(i11 + 12 | 0) | 0) + ((i6 << 16 >> 16) * 24 | 0) + 16 | 0) | 0;
  i6 = get8((get32((get32(i10 + 8 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0) | 0;
  if (!i7) i13 = get32(i10 + 44 | 0) | 0; else {
   i14 = i7;
   while (1) if (!(get8(i14 >> 0 | 0) | 0)) {
    i15 = i14;
    break;
   } else i14 = i14 + 1 | 0;
   i13 = _sqlite3HashFind(i10 + 412 | 0, i7, i15 - i7 & 1073741823) | 0;
  }
  if (!i13) {
   set32(i2 + 20 | 0, 0 | 0);
   i5 = 0;
   STACKTOP = i3;
   return i5 | 0;
  } else {
   i14 = i13 + (((i6 & 255) + -1 | 0) * 20 | 0) | 0;
   set32(i2 + 20 | 0, i14 | 0);
   if (!i14) i5 = 0; else {
    i16 = i10;
    i17 = i6;
    i18 = i14;
    break;
   }
   STACKTOP = i3;
   return i5 | 0;
  }
 } else if ((i9 | 0) == 15) {
  i14 = get32(i1 | 0) | 0;
  i16 = i14;
  i17 = get8((get32((get32(i14 + 8 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0) | 0;
  i18 = i8;
 } else if ((i9 | 0) == 18) {
  STACKTOP = i3;
  return i5 | 0;
 } while (0);
 i9 = get32(i18 | 0) | 0;
 if (_sqlite3GetCollSeq(i16, i17, i18, i9) | 0) {
  i5 = i18;
  STACKTOP = i3;
  return i5 | 0;
 }
 set32(i4 | 0, i9 | 0);
 _sqlite3ErrorMsg(i1, 30475, i4);
 i4 = i1 + 64 | 0;
 set32(i4 | 0, (get32(i4 | 0) | 0) + 1 | 0);
 i5 = 0;
 STACKTOP = i3;
 return i5 | 0;
}

function _sqlite3RollbackAll(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0;
 i2 = get32(366 * 4 | 0) | 0;
 if (i2) FUNCTION_TABLE_v[i2 & 1]();
 i2 = i1 + 4 | 0;
 i3 = get32(i2 | 0) | 0;
 if ((i3 | 0) > 0) {
  i4 = i1 + 8 | 0;
  i5 = get32(i4 | 0) | 0;
  i6 = i3;
  i3 = 0;
  i7 = 0;
  while (1) {
   i8 = get32(i5 + (i3 << 4) + 4 | 0) | 0;
   if (!i8) {
    i9 = i6;
    i10 = i5;
    i11 = i7;
   } else {
    i12 = (get8(i8 + 8 >> 0 | 0) | 0) == 2 ? 1 : i7;
    _sqlite3BtreeRollback(i8);
    i8 = get32(i4 | 0) | 0;
    set8(i8 + (i3 << 4) + 8 >> 0 | 0, 0 | 0);
    i9 = get32(i2 | 0) | 0;
    i10 = i8;
    i11 = i12;
   }
   i3 = i3 + 1 | 0;
   if ((i3 | 0) >= (i9 | 0)) {
    i13 = i11;
    break;
   } else {
    i5 = i10;
    i6 = i9;
    i7 = i11;
   }
  }
 } else i13 = 0;
 i11 = i1 + 308 | 0;
 i7 = get32(i11 | 0) | 0;
 if (i7) {
  i9 = i1 + 312 | 0;
  if ((get32(i9 | 0) | 0) > 0) {
   i6 = i7;
   i10 = 0;
   while (1) {
    i5 = get32(i6 + (i10 << 2) | 0) | 0;
    i3 = i5 + 8 | 0;
    i2 = get32(i3 | 0) | 0;
    if ((i2 | 0) != 0 ? (i4 = get32((get32(i2 | 0) | 0) + 68 | 0) | 0, (i4 | 0) != 0) : 0) FUNCTION_TABLE_ii[i4 & 127](i2) | 0;
    set32(i5 + 20 | 0, 0 | 0);
    i2 = get32(i5 | 0) | 0;
    i4 = i5 + 12 | 0;
    i12 = (get32(i4 | 0) | 0) + -1 | 0;
    set32(i4 | 0, i12 | 0);
    if (!i12) {
     i12 = get32(i3 | 0) | 0;
     if (i12) FUNCTION_TABLE_ii[get32((get32(i12 | 0) | 0) + 16 | 0) & 127](i12) | 0;
     _sqlite3DbFree(i2, i5);
    }
    i5 = i10 + 1 | 0;
    if ((i5 | 0) >= (get32(i9 | 0) | 0)) break;
    i6 = get32(i11 | 0) | 0;
    i10 = i5;
   }
   i14 = get32(i11 | 0) | 0;
  } else i14 = i7;
  _sqlite3DbFree(i1, i14);
  set32(i9 | 0, 0 | 0);
  set32(i11 | 0, 0 | 0);
 }
 i11 = get32(367 * 4 | 0) | 0;
 if (i11) FUNCTION_TABLE_v[i11 & 1]();
 if (get32(i1 + 12 | 0) & 512) {
  i11 = get32(i1 + 136 | 0) | 0;
  if (i11) {
   i9 = i11;
   do {
    set8(i9 + 99 >> 0 | 0, 1 | 0);
    i9 = get32(i9 + 64 | 0) | 0;
   } while ((i9 | 0) != 0);
  }
  _sqlite3ResetInternalSchema(i1, -1);
 }
 i9 = i1 + 496 | 0;
 set32(i9 | 0, 0 | 0);
 set32(i9 + 4 | 0, 0 | 0);
 i9 = get32(i1 + 180 | 0) | 0;
 if (!i9) return;
 if ((i13 | 0) == 0 ? (get8(i1 + 28 >> 0 | 0) | 0) != 0 : 0) return;
 FUNCTION_TABLE_vi[i9 & 31](get32(i1 + 176 | 0) | 0);
 return;
}

function _pcache1Unpin(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0;
 i4 = get32(i1 + 4 | 0) | 0;
 i5 = i2 + i4 | 0;
 i6 = get32(i1 | 0) | 0;
 if ((i3 | 0) == 0 ? (get32(i6 + 16 | 0) | 0) <= (get32(i6 + 4 | 0) | 0) : 0) {
  i3 = i6 + 20 | 0;
  i7 = get32(i3 | 0) | 0;
  if (!i7) {
   set32(i6 + 24 | 0, i5 | 0);
   set32(i3 | 0, i5 | 0);
  } else {
   set32(i7 + 16 | 0, i5 | 0);
   set32(i2 + (i4 + 12) | 0, i7 | 0);
   set32(i3 | 0, i5 | 0);
  }
  i3 = i1 + 24 | 0;
  set32(i3 | 0, (get32(i3 | 0) | 0) + 1 | 0);
  return;
 }
 i3 = i2 + (i4 + 8) | 0;
 i1 = get32(i3 | 0) | 0;
 i7 = (get32(i1 + 36 | 0) | 0) + ((((get32(i5 | 0) | 0) >>> 0) % ((get32(i1 + 32 | 0) | 0) >>> 0) | 0) << 2) | 0;
 while (1) {
  i6 = get32(i7 | 0) | 0;
  i8 = i6 + 4 | 0;
  if ((i6 | 0) == (i5 | 0)) {
   i9 = i8;
   i10 = i7;
   break;
  } else i7 = i8;
 }
 set32(i10 | 0, get32(i9 | 0) | 0);
 i9 = i1 + 28 | 0;
 set32(i9 | 0, (get32(i9 | 0) | 0) + -1 | 0);
 if (!i5) return;
 i5 = get32(i3 | 0) | 0;
 if (get32(i5 + 8 | 0) | 0) {
  i3 = (get32(i5 | 0) | 0) + 16 | 0;
  set32(i3 | 0, (get32(i3 | 0) | 0) + -1 | 0);
 }
 i3 = i2 + (i4 - (get32(i5 + 4 | 0) | 0)) | 0;
 if (!i3) return;
 if ((get32(379 * 4 | 0) | 0) >>> 0 <= i3 >>> 0 & (get32(380 * 4 | 0) | 0) >>> 0 > i3 >>> 0) {
  i5 = (get32(31 * 4 | 0) | 0) + -1 | 0;
  set32(31 * 4 | 0, i5 | 0);
  if ((i5 | 0) > (get32(41 * 4 | 0) | 0)) set32(41 * 4 | 0, i5 | 0);
  set32(i3 | 0, get32(383 * 4 | 0) | 0);
  set32(383 * 4 | 0, i3 | 0);
  i5 = (get32(382 * 4 | 0) | 0) + 1 | 0;
  set32(382 * 4 | 0, i5 | 0);
  set32(384 * 4 | 0, (i5 | 0) < (get32(378 * 4 | 0) | 0) & 1 | 0);
  return;
 }
 i5 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i3) | 0;
 i4 = (get32(32 * 4 | 0) | 0) - i5 | 0;
 set32(32 * 4 | 0, i4 | 0);
 if ((i4 | 0) > (get32(42 * 4 | 0) | 0)) set32(42 * 4 | 0, i4 | 0);
 if (!(get32(50 * 4 | 0) | 0)) {
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i3);
  return;
 }
 i4 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i3) | 0;
 i5 = (get32(30 * 4 | 0) | 0) - i4 | 0;
 set32(30 * 4 | 0, i5 | 0);
 if ((i5 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i5 | 0);
 i5 = (get32(39 * 4 | 0) | 0) + -1 | 0;
 set32(39 * 4 | 0, i5 | 0);
 if ((i5 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i5 | 0);
 FUNCTION_TABLE_vi[get32(232 | 0) & 31](i3);
 return;
}

function _sqlite3BtreeRollback(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i3 = i2;
 i4 = i1 + 4 | 0;
 i5 = get32(i4 | 0) | 0;
 set32(i5 + 4 | 0, get32(i1 | 0) | 0);
 i6 = _saveAllCursors(i5, 0, 0) | 0;
 if ((i6 | 0) != 0 ? (i7 = get32(i4 | 0) | 0, set32(i7 + 4 | 0, get32(i1 | 0) | 0), i4 = get32(i7 + 8 | 0) | 0, (i4 | 0) != 0) : 0) {
  i7 = i4;
  do {
   i4 = i7 + 72 | 0;
   i8 = get32(i4 | 0) | 0;
   do if (i8) {
    if (!(get32(50 * 4 | 0) | 0)) {
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i8);
     break;
    }
    i9 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i8) | 0;
    i10 = (get32(30 * 4 | 0) | 0) - i9 | 0;
    set32(30 * 4 | 0, i10 | 0);
    if ((i10 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i10 | 0);
    i10 = (get32(39 * 4 | 0) | 0) + -1 | 0;
    set32(39 * 4 | 0, i10 | 0);
    if ((i10 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i10 | 0);
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i8);
   } while (0);
   set32(i4 | 0, 0 | 0);
   set8(i7 + 83 >> 0 | 0, 3 | 0);
   set32(i7 + 76 | 0, i6 | 0);
   i8 = i7 + 90 | 0;
   if ((get16(i8 | 0) | 0) >= 0) {
    i10 = 0;
    while (1) {
     i9 = i7 + 132 + (i10 << 2) | 0;
     i11 = get32(i9 | 0) | 0;
     if (i11) _sqlite3PagerUnref(get32(i11 + 68 | 0) | 0);
     set32(i9 | 0, 0 | 0);
     if ((i10 | 0) < (get16(i8 | 0) | 0)) i10 = i10 + 1 | 0; else break;
    }
   }
   i7 = get32(i7 + 8 | 0) | 0;
  } while ((i7 | 0) != 0);
 }
 if ((get8(i1 + 8 >> 0 | 0) | 0) != 2) {
  _btreeEndTransaction(i1);
  STACKTOP = i2;
  return;
 }
 _sqlite3PagerRollback(get32(i5 | 0) | 0) | 0;
 if (!(_sqlite3PagerAcquire(get32(i5 | 0) | 0, 1, i3, 0) | 0)) {
  i7 = get32(i3 | 0) | 0;
  i3 = get32(i7 + 4 | 0) | 0;
  i6 = get32(i7 | 0) | 0;
  set32(i3 + 64 | 0, i6 | 0);
  set32(i3 + 68 | 0, i7 | 0);
  set32(i3 + 60 | 0, i5 | 0);
  set32(i3 + 72 | 0, 1 | 0);
  set8(i3 + 5 >> 0 | 0, 100 | 0);
  i10 = i6;
  i6 = getU8(i10 + 29 >> 0 | 0) << 16 | getU8(i10 + 28 >> 0 | 0) << 24 | getU8(i10 + 30 >> 0 | 0) << 8 | getU8(i10 + 31 >> 0 | 0);
  if (!i6) i12 = get32((get32(i5 | 0) | 0) + 24 | 0) | 0; else i12 = i6;
  set32(i5 + 48 | 0, i12 | 0);
  if (i3) _sqlite3PagerUnref(i7);
 }
 set8(i5 + 23 >> 0 | 0, 1 | 0);
 _btreeEndTransaction(i1);
 STACKTOP = i2;
 return;
}

function _readMasterJournal(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i5 = i4 + 16 | 0;
 i6 = i4;
 i7 = i4 + 8 | 0;
 set8(i2 >> 0 | 0, 0 | 0);
 i8 = FUNCTION_TABLE_iii[get32((get32(i1 | 0) | 0) + 24 | 0) & 127](i1, i6) | 0;
 i9 = i6;
 i10 = get32(i9 | 0) | 0;
 i11 = get32(i9 + 4 | 0) | 0;
 if ((i8 | 0) != 0 | ((i11 | 0) < 0 | (i11 | 0) == 0 & i10 >>> 0 < 16)) {
  i12 = i8;
  STACKTOP = i4;
  return i12 | 0;
 }
 i8 = _i64Add(i10 | 0, i11 | 0, -16, -1) | 0;
 i11 = FUNCTION_TABLE_iiiiii[get32((get32(i1 | 0) | 0) + 8 | 0) & 31](i1, i5, 4, i8, tempRet0) | 0;
 if (i11) {
  i12 = i11;
  STACKTOP = i4;
  return i12 | 0;
 }
 i11 = i5 + 1 | 0;
 i8 = i5 + 2 | 0;
 i10 = i5 + 3 | 0;
 i9 = getU8(i11 >> 0 | 0) << 16 | getU8(i5 >> 0 | 0) << 24 | getU8(i8 >> 0 | 0) << 8 | getU8(i10 >> 0 | 0);
 if (i9 >>> 0 >= i3 >>> 0) {
  i12 = 0;
  STACKTOP = i4;
  return i12 | 0;
 }
 i3 = i6;
 i13 = _i64Add(get32(i3 | 0) | 0, get32(i3 + 4 | 0) | 0, -12, -1) | 0;
 i3 = FUNCTION_TABLE_iiiiii[get32((get32(i1 | 0) | 0) + 8 | 0) & 31](i1, i5, 4, i13, tempRet0) | 0;
 if (i3) {
  i12 = i3;
  STACKTOP = i4;
  return i12 | 0;
 }
 i3 = getU8(i11 >> 0 | 0) << 16 | getU8(i5 >> 0 | 0) << 24 | getU8(i8 >> 0 | 0) << 8 | getU8(i10 >> 0 | 0);
 i10 = i6;
 i8 = _i64Add(get32(i10 | 0) | 0, get32(i10 + 4 | 0) | 0, -8, -1) | 0;
 i10 = FUNCTION_TABLE_iiiiii[get32((get32(i1 | 0) | 0) + 8 | 0) & 31](i1, i7, 8, i8, tempRet0) | 0;
 if (i10) {
  i12 = i10;
  STACKTOP = i4;
  return i12 | 0;
 }
 if (_memcmp(i7, 19657, 8) | 0) {
  i12 = 0;
  STACKTOP = i4;
  return i12 | 0;
 }
 i7 = i6;
 i6 = get32(i7 | 0) | 0;
 i10 = get32(i7 + 4 | 0) | 0;
 i7 = _i64Subtract(-16, -1, i9 | 0, 0) | 0;
 i8 = _i64Add(i7 | 0, tempRet0 | 0, i6 | 0, i10 | 0) | 0;
 i10 = FUNCTION_TABLE_iiiiii[get32((get32(i1 | 0) | 0) + 8 | 0) & 31](i1, i2, i9, i8, tempRet0) | 0;
 if (i10) {
  i12 = i10;
  STACKTOP = i4;
  return i12 | 0;
 }
 if (!i9) i14 = i3; else {
  i10 = i3;
  i3 = 0;
  while (1) {
   i8 = i10 - (get8(i2 + i3 >> 0 | 0) | 0) | 0;
   i3 = i3 + 1 | 0;
   if ((i3 | 0) == (i9 | 0)) {
    i14 = i8;
    break;
   } else i10 = i8;
  }
 }
 set8(i2 + ((i14 | 0) == 0 ? i9 : 0) >> 0 | 0, 0 | 0);
 i12 = 0;
 STACKTOP = i4;
 return i12 | 0;
}

function _getOverflowPage(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i6 = i5 + 4 | 0;
 i7 = i5;
 i8 = i5 + 8 | 0;
 if (get8(i1 + 21 >> 0 | 0) | 0) {
  i9 = ((get32(199 * 4 | 0) | 0) >>> 0) / ((get32(i1 + 36 | 0) | 0) >>> 0) | 0;
  i10 = i1 + 40 | 0;
  i11 = i2;
  while (1) {
   i12 = i11 + 1 | 0;
   if (i12 >>> 0 < 2) i13 = 0; else {
    i14 = i11 + -1 | 0;
    i15 = i14 - ((i14 >>> 0) % (((((get32(i10 | 0) | 0) >>> 0) / 5 | 0) + 1 | 0) >>> 0) | 0) | 0;
    i13 = ((i15 + 1 | 0) == (i9 | 0) ? 3 : 2) + i15 | 0;
   }
   if ((i13 | 0) == (i12 | 0) | (i11 | 0) == (i9 | 0)) i11 = i12; else {
    i16 = i12;
    break;
   }
  }
  if (i16 >>> 0 <= (get32(i1 + 48 | 0) | 0) >>> 0) {
   i11 = _ptrmapGet(i1, i16, i8, i7) | 0;
   i9 = (i11 | 0) == 0;
   i13 = i9 & (get8(i8 >> 0 | 0) | 0) == 4 & (get32(i7 | 0) | 0) == (i2 | 0);
   i7 = i13 ? i16 : 0;
   if (i13 | i9 ^ 1) {
    i17 = 0;
    i18 = i7;
    i19 = i13 ? 101 : i11;
   } else {
    i20 = i7;
    i21 = 8;
   }
  } else {
   i20 = 0;
   i21 = 8;
  }
 } else {
  i20 = 0;
  i21 = 8;
 }
 do if ((i21 | 0) == 8) {
  i7 = _sqlite3PagerAcquire(get32(i1 | 0) | 0, i2, i6, 0) | 0;
  if (!i7) {
   i11 = get32(i6 | 0) | 0;
   i13 = get32(i11 + 4 | 0) | 0;
   i9 = get32(i11 | 0) | 0;
   set32(i13 + 64 | 0, i9 | 0);
   set32(i13 + 68 | 0, i11 | 0);
   set32(i13 + 60 | 0, i1 | 0);
   set32(i13 + 72 | 0, i2 | 0);
   set8(i13 + 5 >> 0 | 0, ((i2 | 0) == 1 ? 100 : 0) | 0);
   i11 = i9;
   i17 = i13;
   i18 = getU8(i11 + 1 >> 0 | 0) << 16 | getU8(i11 >> 0 | 0) << 24 | getU8(i11 + 2 >> 0 | 0) << 8 | getU8(i11 + 3 >> 0 | 0);
   i19 = 0;
   break;
  } else {
   i17 = 0;
   i18 = i20;
   i19 = i7;
   break;
  }
 } while (0);
 set32(i4 | 0, i18 | 0);
 if (i3) {
  set32(i3 | 0, i17 | 0);
  i22 = (i19 | 0) == 101;
  i23 = i22 ? 0 : i19;
  STACKTOP = i5;
  return i23 | 0;
 }
 if (!i17) {
  i22 = (i19 | 0) == 101;
  i23 = i22 ? 0 : i19;
  STACKTOP = i5;
  return i23 | 0;
 }
 _sqlite3PagerUnref(get32(i17 + 68 | 0) | 0);
 i22 = (i19 | 0) == 101;
 i23 = i22 ? 0 : i19;
 STACKTOP = i5;
 return i23 | 0;
}

function ___stdio_write(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 48 | 0;
 i5 = i4 + 16 | 0;
 i6 = i4;
 i7 = i4 + 32 | 0;
 i8 = i1 + 28 | 0;
 i9 = get32(i8 | 0) | 0;
 set32(i7 | 0, i9 | 0);
 i10 = i1 + 20 | 0;
 i11 = (get32(i10 | 0) | 0) - i9 | 0;
 set32(i7 + 4 | 0, i11 | 0);
 set32(i7 + 8 | 0, i2 | 0);
 set32(i7 + 12 | 0, i3 | 0);
 i2 = i1 + 60 | 0;
 i9 = i1 + 44 | 0;
 i12 = i7;
 i7 = 2;
 i13 = i11 + i3 | 0;
 while (1) {
  if (!(get32(1443 * 4 | 0) | 0)) {
   set32(i5 | 0, get32(i2 | 0) | 0);
   set32(i5 + 4 | 0, i12 | 0);
   set32(i5 + 8 | 0, i7 | 0);
   i14 = ___syscall_ret(___syscall146(146, i5 | 0) | 0) | 0;
  } else {
   _pthread_cleanup_push(21, i1 | 0);
   set32(i6 | 0, get32(i2 | 0) | 0);
   set32(i6 + 4 | 0, i12 | 0);
   set32(i6 + 8 | 0, i7 | 0);
   i11 = ___syscall_ret(___syscall146(146, i6 | 0) | 0) | 0;
   _pthread_cleanup_pop(0);
   i14 = i11;
  }
  if ((i13 | 0) == (i14 | 0)) {
   i15 = 6;
   break;
  }
  if ((i14 | 0) < 0) {
   i16 = i12;
   i17 = i7;
   i15 = 8;
   break;
  }
  i11 = i13 - i14 | 0;
  i18 = get32(i12 + 4 | 0) | 0;
  if (i14 >>> 0 <= i18 >>> 0) if ((i7 | 0) == 2) {
   set32(i8 | 0, (get32(i8 | 0) | 0) + i14 | 0);
   i19 = i18;
   i20 = i14;
   i21 = i12;
   i22 = 2;
  } else {
   i19 = i18;
   i20 = i14;
   i21 = i12;
   i22 = i7;
  } else {
   i23 = get32(i9 | 0) | 0;
   set32(i8 | 0, i23 | 0);
   set32(i10 | 0, i23 | 0);
   i19 = get32(i12 + 12 | 0) | 0;
   i20 = i14 - i18 | 0;
   i21 = i12 + 8 | 0;
   i22 = i7 + -1 | 0;
  }
  set32(i21 | 0, (get32(i21 | 0) | 0) + i20 | 0);
  set32(i21 + 4 | 0, i19 - i20 | 0);
  i12 = i21;
  i7 = i22;
  i13 = i11;
 }
 if ((i15 | 0) == 6) {
  i13 = get32(i9 | 0) | 0;
  set32(i1 + 16 | 0, i13 + (get32(i1 + 48 | 0) | 0) | 0);
  i9 = i13;
  set32(i8 | 0, i9 | 0);
  set32(i10 | 0, i9 | 0);
  i24 = i3;
 } else if ((i15 | 0) == 8) {
  set32(i1 + 16 | 0, 0 | 0);
  set32(i8 | 0, 0 | 0);
  set32(i10 | 0, 0 | 0);
  set32(i1 | 0, get32(i1 | 0) | 32 | 0);
  if ((i17 | 0) == 2) i24 = 0; else i24 = i3 - (get32(i16 + 4 | 0) | 0) | 0;
 }
 STACKTOP = i4;
 return i24 | 0;
}

function _sqlite3ScratchMalloc(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0;
 i2 = get32(10 * 4 | 0) | 0;
 if (!((i2 | 0) == 0 | (get32(90 * 4 | 0) | 0) < (i1 | 0))) {
  i3 = get32(9 * 4 | 0) | 0;
  set32(9 * 4 | 0, get32(i3 | 0) | 0);
  set32(10 * 4 | 0, i2 + -1 | 0);
  i2 = get32(33 * 4 | 0) | 0;
  i4 = i2 + 1 | 0;
  set32(33 * 4 | 0, i4 | 0);
  if ((i2 | 0) >= (get32(43 * 4 | 0) | 0)) set32(43 * 4 | 0, i4 | 0);
  set32(38 * 4 | 0, i1 | 0);
  if ((get32(48 * 4 | 0) | 0) >= (i1 | 0)) {
   i5 = i3;
   i6 = i5;
   return i6 | 0;
  }
  set32(48 * 4 | 0, i1 | 0);
  i5 = i3;
  i6 = i5;
  return i6 | 0;
 }
 if (!(get32(50 * 4 | 0) | 0)) {
  i5 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i1) | 0;
  i6 = i5;
  return i6 | 0;
 }
 set32(38 * 4 | 0, i1 | 0);
 if ((get32(48 * 4 | 0) | 0) < (i1 | 0)) set32(48 * 4 | 0, i1 | 0);
 i3 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i1) | 0;
 set32(35 * 4 | 0, i1 | 0);
 if ((get32(45 * 4 | 0) | 0) < (i1 | 0)) set32(45 * 4 | 0, i1 | 0);
 i1 = get32(6 * 4 | 0) | 0;
 do if (i1) {
  i4 = get32(30 * 4 | 0) | 0;
  i2 = ((i4 | 0) < 0) << 31 >> 31;
  i7 = 16;
  i8 = _i64Subtract(get32(i7 | 0) | 0, get32(i7 + 4 | 0) | 0, i3 | 0, ((i3 | 0) < 0) << 31 >> 31 | 0) | 0;
  i7 = tempRet0;
  if ((i2 | 0) < (i7 | 0) | (i2 | 0) == (i7 | 0) & i4 >>> 0 < i8 >>> 0) {
   set32(11 * 4 | 0, 0 | 0);
   break;
  } else {
   set32(11 * 4 | 0, 1 | 0);
   i8 = get32(7 * 4 | 0) | 0;
   set32(6 * 4 | 0, 0 | 0);
   FUNCTION_TABLE_viiii[i1 & 15](i8, i4, i2, i3);
   set32(6 * 4 | 0, i1 | 0);
   set32(7 * 4 | 0, i8 | 0);
   break;
  }
 } while (0);
 i1 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i3) | 0;
 if (!i1) {
  i5 = i1;
  i6 = i5;
  return i6 | 0;
 }
 i3 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i1) | 0;
 i8 = (get32(30 * 4 | 0) | 0) + i3 | 0;
 set32(30 * 4 | 0, i8 | 0);
 if ((i8 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i8 | 0);
 i8 = get32(39 * 4 | 0) | 0;
 i2 = i8 + 1 | 0;
 set32(39 * 4 | 0, i2 | 0);
 if ((i8 | 0) >= (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i2 | 0);
 i2 = i1;
 i1 = (get32(34 * 4 | 0) | 0) + i3 | 0;
 set32(34 * 4 | 0, i1 | 0);
 if ((i1 | 0) <= (get32(44 * 4 | 0) | 0)) {
  i5 = i2;
  i6 = i5;
  return i6 | 0;
 }
 set32(44 * 4 | 0, i1 | 0);
 i5 = i2;
 i6 = i5;
 return i6 | 0;
}

function _setChildPtrmaps(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 48 | 0;
 i3 = i2;
 i4 = i2 + 32 | 0;
 i5 = i1 + 60 | 0;
 i6 = get32(i5 | 0) | 0;
 i7 = get8(i1 >> 0 | 0) | 0;
 i8 = i1 + 72 | 0;
 i9 = get32(i8 | 0) | 0;
 i10 = _btreeInitPage(i1) | 0;
 set32(i4 | 0, i10 | 0);
 if (i10) {
  set8(i1 >> 0 | 0, i7 | 0);
  i11 = get32(i4 | 0) | 0;
  STACKTOP = i2;
  return i11 | 0;
 }
 i10 = get16(i1 + 16 | 0) | 0;
 L4 : do if (!(i10 << 16 >> 16)) i12 = i1 + 3 | 0; else {
  i13 = i1 + 64 | 0;
  i14 = i1 + 18 | 0;
  i15 = i1 + 12 | 0;
  i16 = i3 + 24 | 0;
  i17 = i1 + 3 | 0;
  i18 = i10 & 65535;
  i19 = 0;
  i20 = 0;
  while (1) {
   i21 = get32(i13 | 0) | 0;
   i22 = (getU16(i15 | 0) | 0) + (i20 << 1) | 0;
   i23 = (getU8(i21 + i22 >> 0 | 0) << 8 | getU8(i21 + (i22 + 1) >> 0 | 0)) & getU16(i14 | 0);
   i22 = i21 + i23 | 0;
   if ((i19 | 0) == 0 ? (_btreeParseCellPtr(i1, i22, i3), i24 = get16(i16 | 0) | 0, i24 << 16 >> 16 != 0) : 0) {
    i25 = i24 & 65535;
    _ptrmapPut(get32(i5 | 0) | 0, getU8(i21 + (i23 + 1 + i25) >> 0 | 0) << 16 | getU8(i21 + (i25 + i23) >> 0 | 0) << 24 | getU8(i21 + (i23 + 2 + i25) >> 0 | 0) << 8 | getU8(i21 + (i23 + 3 + i25) >> 0 | 0), 3, get32(i8 | 0) | 0, i4);
   }
   if (!(get8(i17 >> 0 | 0) | 0)) _ptrmapPut(i6, getU8(i21 + (i23 + 1) >> 0 | 0) << 16 | getU8(i22 >> 0 | 0) << 24 | getU8(i21 + (i23 + 2) >> 0 | 0) << 8 | getU8(i21 + (i23 + 3) >> 0 | 0), 5, i9, i4);
   i23 = i20 + 1 | 0;
   if ((i23 | 0) == (i18 | 0)) {
    i12 = i17;
    break L4;
   }
   i19 = get32(i4 | 0) | 0;
   i20 = i23;
  }
 } while (0);
 if (get8(i12 >> 0 | 0) | 0) {
  set8(i1 >> 0 | 0, i7 | 0);
  i11 = get32(i4 | 0) | 0;
  STACKTOP = i2;
  return i11 | 0;
 }
 i12 = getU8(i1 + 5 >> 0 | 0) | 0;
 i8 = get32(i1 + 64 | 0) | 0;
 _ptrmapPut(i6, getU8(i8 + (i12 + 9) >> 0 | 0) << 16 | getU8(i8 + (i12 + 8) >> 0 | 0) << 24 | getU8(i8 + (i12 + 10) >> 0 | 0) << 8 | getU8(i8 + (i12 + 11) >> 0 | 0), 5, i9, i4);
 set8(i1 >> 0 | 0, i7 | 0);
 i11 = get32(i4 | 0) | 0;
 STACKTOP = i2;
 return i11 | 0;
}
function _heightOfSelect(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0;
 if (!i1) return; else i3 = i1;
 do {
  i1 = get32(i3 + 12 | 0) | 0;
  if ((i1 | 0) != 0 ? (i4 = get32(i1 + 44 | 0) | 0, (i4 | 0) > (get32(i2 | 0) | 0)) : 0) set32(i2 | 0, i4 | 0);
  i4 = get32(i3 + 20 | 0) | 0;
  if ((i4 | 0) != 0 ? (i1 = get32(i4 + 44 | 0) | 0, (i1 | 0) > (get32(i2 | 0) | 0)) : 0) set32(i2 | 0, i1 | 0);
  i1 = get32(i3 + 40 | 0) | 0;
  if ((i1 | 0) != 0 ? (i4 = get32(i1 + 44 | 0) | 0, (i4 | 0) > (get32(i2 | 0) | 0)) : 0) set32(i2 | 0, i4 | 0);
  i4 = get32(i3 + 44 | 0) | 0;
  if ((i4 | 0) != 0 ? (i1 = get32(i4 + 44 | 0) | 0, (i1 | 0) > (get32(i2 | 0) | 0)) : 0) set32(i2 | 0, i1 | 0);
  i1 = get32(i3 | 0) | 0;
  if ((i1 | 0) != 0 ? (i4 = get32(i1 | 0) | 0, (i4 | 0) > 0) : 0) {
   i5 = get32(i1 + 12 | 0) | 0;
   i6 = i4;
   i4 = 0;
   while (1) {
    i7 = get32(i5 + (i4 * 20 | 0) | 0) | 0;
    if ((i7 | 0) != 0 ? (i8 = get32(i7 + 44 | 0) | 0, (i8 | 0) > (get32(i2 | 0) | 0)) : 0) {
     set32(i2 | 0, i8 | 0);
     i9 = get32(i1 | 0) | 0;
    } else i9 = i6;
    i4 = i4 + 1 | 0;
    if ((i4 | 0) >= (i9 | 0)) break; else i6 = i9;
   }
  }
  i6 = get32(i3 + 16 | 0) | 0;
  if ((i6 | 0) != 0 ? (i4 = get32(i6 | 0) | 0, (i4 | 0) > 0) : 0) {
   i1 = get32(i6 + 12 | 0) | 0;
   i5 = i4;
   i4 = 0;
   while (1) {
    i8 = get32(i1 + (i4 * 20 | 0) | 0) | 0;
    if ((i8 | 0) != 0 ? (i7 = get32(i8 + 44 | 0) | 0, (i7 | 0) > (get32(i2 | 0) | 0)) : 0) {
     set32(i2 | 0, i7 | 0);
     i10 = get32(i6 | 0) | 0;
    } else i10 = i5;
    i4 = i4 + 1 | 0;
    if ((i4 | 0) >= (i10 | 0)) break; else i5 = i10;
   }
  }
  i5 = get32(i3 + 24 | 0) | 0;
  if ((i5 | 0) != 0 ? (i4 = get32(i5 | 0) | 0, (i4 | 0) > 0) : 0) {
   i6 = get32(i5 + 12 | 0) | 0;
   i1 = i4;
   i4 = 0;
   while (1) {
    i7 = get32(i6 + (i4 * 20 | 0) | 0) | 0;
    if ((i7 | 0) != 0 ? (i8 = get32(i7 + 44 | 0) | 0, (i8 | 0) > (get32(i2 | 0) | 0)) : 0) {
     set32(i2 | 0, i8 | 0);
     i11 = get32(i5 | 0) | 0;
    } else i11 = i1;
    i4 = i4 + 1 | 0;
    if ((i4 | 0) >= (i11 | 0)) break; else i1 = i11;
   }
  }
  i3 = get32(i3 + 28 | 0) | 0;
 } while ((i3 | 0) != 0);
 return;
}

function _sqlite3BtreeCloseCursor(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0;
 i2 = get32(i1 | 0) | 0;
 if (!i2) return;
 i3 = get32(i1 + 4 | 0) | 0;
 set32((get32(i2 + 4 | 0) | 0) + 4 | 0, get32(i2 | 0) | 0);
 i2 = i1 + 72 | 0;
 i4 = get32(i2 | 0) | 0;
 do if (i4) {
  if (!(get32(50 * 4 | 0) | 0)) {
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i4);
   break;
  }
  i5 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i4) | 0;
  i6 = (get32(30 * 4 | 0) | 0) - i5 | 0;
  set32(30 * 4 | 0, i6 | 0);
  if ((i6 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i6 | 0);
  i6 = (get32(39 * 4 | 0) | 0) + -1 | 0;
  set32(39 * 4 | 0, i6 | 0);
  if ((i6 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i6 | 0);
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i4);
 } while (0);
 set32(i2 | 0, 0 | 0);
 set8(i1 + 83 >> 0 | 0, 0 | 0);
 i2 = get32(i1 + 12 | 0) | 0;
 i4 = i1 + 8 | 0;
 i6 = get32(i4 | 0) | 0;
 if (!i2) {
  set32(i3 + 8 | 0, i6 | 0);
  i7 = i6;
 } else {
  set32(i2 + 8 | 0, i6 | 0);
  i7 = get32(i4 | 0) | 0;
 }
 if (i7) set32(i7 + 12 | 0, i2 | 0);
 i2 = i1 + 90 | 0;
 i7 = get16(i2 | 0) | 0;
 if (i7 << 16 >> 16 >= 0) {
  i4 = i7;
  i7 = 0;
  while (1) {
   i6 = get32(i1 + 132 + (i7 << 2) | 0) | 0;
   if (!i6) i8 = i4; else {
    _sqlite3PagerUnref(get32(i6 + 68 | 0) | 0);
    i8 = get16(i2 | 0) | 0;
   }
   if ((i7 | 0) < (i8 << 16 >> 16 | 0)) {
    i4 = i8;
    i7 = i7 + 1 | 0;
   } else break;
  }
 }
 if ((get8(i3 + 23 >> 0 | 0) | 0) == 0 ? (i7 = i3 + 12 | 0, i3 = get32(i7 | 0) | 0, (i3 | 0) != 0) : 0) {
  _sqlite3PagerUnref(get32(i3 + 68 | 0) | 0);
  set32(i7 | 0, 0 | 0);
 }
 i7 = i1 + 84 | 0;
 i1 = get32(i7 | 0) | 0;
 do if (i1) {
  if (!(get32(50 * 4 | 0) | 0)) {
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i1);
   break;
  }
  i3 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i1) | 0;
  i8 = (get32(30 * 4 | 0) | 0) - i3 | 0;
  set32(30 * 4 | 0, i8 | 0);
  if ((i8 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i8 | 0);
  i8 = (get32(39 * 4 | 0) | 0) + -1 | 0;
  set32(39 * 4 | 0, i8 | 0);
  if ((i8 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i8 | 0);
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i1);
 } while (0);
 set32(i7 | 0, 0 | 0);
 return;
}

function _sqlite3PagerUnref(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0;
 if (!i1) return;
 i2 = get32(i1 + 16 | 0) | 0;
 i3 = i1 + 22 | 0;
 i4 = (get16(i3 | 0) | 0) + -1 << 16 >> 16;
 set16(i3 | 0, i4 | 0);
 do if (!(i4 << 16 >> 16)) {
  i3 = get32(i1 + 24 | 0) | 0;
  i5 = i3 + 12 | 0;
  set32(i5 | 0, (get32(i5 | 0) | 0) + -1 | 0);
  i5 = get16(i1 + 20 | 0) | 0;
  if (!(i5 & 2)) {
   if (!(get32(i3 + 28 | 0) | 0)) break;
   if ((get32(i1 + 12 | 0) | 0) == 1) set32(i3 + 44 | 0, 0 | 0);
   FUNCTION_TABLE_viii[get32(324 | 0) & 63](get32(i3 + 40 | 0) | 0, i1, 0);
   break;
  }
  i6 = i3 + 8 | 0;
  i7 = get32(i6 | 0) | 0;
  if ((i7 | 0) == (i1 | 0)) {
   i8 = i1;
   while (1) {
    i9 = get32(i8 + 32 | 0) | 0;
    if (!i9) {
     i10 = 0;
     break;
    }
    if (!(get16(i9 + 20 | 0) & 4)) {
     i10 = i9;
     break;
    } else i8 = i9;
   }
   set32(i6 | 0, i10 | 0);
   i11 = i10;
  } else i11 = i7;
  i8 = i1 + 28 | 0;
  i9 = get32(i8 | 0) | 0;
  i12 = i1 + 32 | 0;
  i13 = get32(i12 | 0) | 0;
  i14 = i9;
  if (!i9) set32(i3 + 4 | 0, i13 | 0); else set32(i9 + 32 | 0, i13 | 0);
  i13 = get32(i12 | 0) | 0;
  if (!i13) {
   set32(i3 | 0, i14 | 0);
   i15 = i3;
   i16 = i9;
  } else {
   set32(i13 + 28 | 0, i14 | 0);
   i15 = i3;
   i16 = get32(i3 | 0) | 0;
  }
  set32(i12 | 0, 0 | 0);
  set32(i8 | 0, i16 | 0);
  if (i16) set32(i16 + 32 | 0, i1 | 0);
  set32(i15 | 0, i1 | 0);
  i8 = i3 + 4 | 0;
  if (!(get32(i8 | 0) | 0)) set32(i8 | 0, i1 | 0);
  if ((i5 & 4) == 0 & (i11 | 0) == 0) set32(i6 | 0, i1 | 0);
 } while (0);
 if (get32((get32(i2 + 168 | 0) | 0) + 12 | 0) | 0) return;
 i1 = get8(i2 + 15 >> 0 | 0) | 0;
 L38 : do switch (i1 << 24 >> 24) {
 case 0:
 case 6:
  break;
 default:
  {
   if ((i1 & 255) <= 1) {
    if (get8(i2 + 4 >> 0 | 0) | 0) break L38;
    _pager_end_transaction(i2, 0) | 0;
    break L38;
   }
   i11 = get32(366 * 4 | 0) | 0;
   if (i11) FUNCTION_TABLE_v[i11 & 1]();
   _sqlite3PagerRollback(i2) | 0;
   i11 = get32(367 * 4 | 0) | 0;
   if (i11) FUNCTION_TABLE_v[i11 & 1]();
  }
 } while (0);
 _pager_unlock(i2);
 return;
}

function _sqlite3ExprCodeMove(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0;
 if ((i3 | 0) == (i2 | 0)) return;
 i5 = get32(i1 + 12 | 0) | 0;
 i6 = i5 + 28 | 0;
 i7 = get32(i6 | 0) | 0;
 if ((get32(i5 + 32 | 0) | 0) <= (i7 | 0)) {
  if (!(_growOpArray(i5) | 0)) {
   i8 = get32(i6 | 0) | 0;
   i9 = 5;
  }
 } else {
  i8 = i7;
  i9 = 5;
 }
 if ((i9 | 0) == 5) {
  set32(i6 | 0, i8 + 1 | 0);
  i8 = get32(i5 + 4 | 0) | 0;
  set8(i8 + (i7 * 20 | 0) >> 0 | 0, 13 | 0);
  set8(i8 + (i7 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
  set32(i8 + (i7 * 20 | 0) + 4 | 0, i2 | 0);
  set32(i8 + (i7 * 20 | 0) + 8 | 0, i3 | 0);
  set32(i8 + (i7 * 20 | 0) + 12 | 0, i4 | 0);
  set32(i8 + (i7 * 20 | 0) + 16 | 0, 0 | 0);
  set8(i8 + (i7 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
 }
 i7 = i4 + i2 | 0;
 i4 = i3 - i2 | 0;
 i3 = i1 + 112 | 0;
 i8 = get32(i3 | 0) | 0;
 if ((i8 | 0) >= (i2 | 0) & (i8 | 0) < (i7 | 0)) set32(i3 | 0, i4 + i8 | 0);
 i8 = i1 + 136 | 0;
 i3 = get32(i8 | 0) | 0;
 if ((i3 | 0) >= (i2 | 0) & (i3 | 0) < (i7 | 0)) set32(i8 | 0, i4 + i3 | 0);
 i3 = i1 + 160 | 0;
 i8 = get32(i3 | 0) | 0;
 if ((i8 | 0) >= (i2 | 0) & (i8 | 0) < (i7 | 0)) set32(i3 | 0, i4 + i8 | 0);
 i8 = i1 + 184 | 0;
 i3 = get32(i8 | 0) | 0;
 if ((i3 | 0) >= (i2 | 0) & (i3 | 0) < (i7 | 0)) set32(i8 | 0, i4 + i3 | 0);
 i3 = i1 + 208 | 0;
 i8 = get32(i3 | 0) | 0;
 if ((i8 | 0) >= (i2 | 0) & (i8 | 0) < (i7 | 0)) set32(i3 | 0, i4 + i8 | 0);
 i8 = i1 + 232 | 0;
 i3 = get32(i8 | 0) | 0;
 if ((i3 | 0) >= (i2 | 0) & (i3 | 0) < (i7 | 0)) set32(i8 | 0, i4 + i3 | 0);
 i3 = i1 + 256 | 0;
 i8 = get32(i3 | 0) | 0;
 if ((i8 | 0) >= (i2 | 0) & (i8 | 0) < (i7 | 0)) set32(i3 | 0, i4 + i8 | 0);
 i8 = i1 + 280 | 0;
 i3 = get32(i8 | 0) | 0;
 if ((i3 | 0) >= (i2 | 0) & (i3 | 0) < (i7 | 0)) set32(i8 | 0, i4 + i3 | 0);
 i3 = i1 + 304 | 0;
 i8 = get32(i3 | 0) | 0;
 if ((i8 | 0) >= (i2 | 0) & (i8 | 0) < (i7 | 0)) set32(i3 | 0, i4 + i8 | 0);
 i8 = i1 + 328 | 0;
 i1 = get32(i8 | 0) | 0;
 if (!((i1 | 0) >= (i2 | 0) & (i1 | 0) < (i7 | 0))) return;
 set32(i8 | 0, i4 + i1 | 0);
 return;
}

function _nolockClose(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 48 | 0;
 i3 = i2 + 24 | 0;
 i4 = i2;
 i5 = i1 + 12 | 0;
 i6 = get32(i5 | 0) | 0;
 if ((i6 | 0) > -1) {
  if (FUNCTION_TABLE_ii[get32(1056 | 0) & 127](i6) | 0) {
   i6 = get32(i1 + 32 | 0) | 0;
   i7 = get32(___errno_location() | 0 | 0) | 0;
   i8 = _strerror(i7) | 0;
   set32(i4 | 0, 26222 | 0);
   set32(i4 + 4 | 0, i7 | 0);
   set32(i4 + 8 | 0, 19075 | 0);
   set32(i4 + 12 | 0, ((i6 | 0) == 0 ? 16820 : i6) | 0);
   set32(i4 + 16 | 0, i8 | 0);
   _sqlite3_log(4106, 19185, i4);
  }
  set32(i5 | 0, -1 | 0);
 }
 i5 = i1 + 8 | 0;
 i4 = get32(i5 | 0) | 0;
 if ((i4 | 0) > -1) {
  if (FUNCTION_TABLE_ii[get32(1056 | 0) & 127](i4) | 0) {
   i4 = get32(i1 + 32 | 0) | 0;
   i8 = get32(___errno_location() | 0 | 0) | 0;
   i6 = _strerror(i8) | 0;
   set32(i3 | 0, 26226 | 0);
   set32(i3 + 4 | 0, i8 | 0);
   set32(i3 + 8 | 0, 19075 | 0);
   set32(i3 + 12 | 0, ((i4 | 0) == 0 ? 16820 : i4) | 0);
   set32(i3 + 16 | 0, i6 | 0);
   _sqlite3_log(4106, 19185, i3);
  }
  set32(i5 | 0, -1 | 0);
 }
 i5 = get32(i1 + 28 | 0) | 0;
 if (!i5) {
  i9 = i1;
  i10 = i9 + 44 | 0;
  do {
   set32(i9 | 0, 0 | 0);
   i9 = i9 + 4 | 0;
  } while ((i9 | 0) < (i10 | 0));
  STACKTOP = i2;
  return 0;
 }
 if (!(get32(50 * 4 | 0) | 0)) {
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i5);
  i9 = i1;
  i10 = i9 + 44 | 0;
  do {
   set32(i9 | 0, 0 | 0);
   i9 = i9 + 4 | 0;
  } while ((i9 | 0) < (i10 | 0));
  STACKTOP = i2;
  return 0;
 }
 i3 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i5) | 0;
 i6 = (get32(30 * 4 | 0) | 0) - i3 | 0;
 set32(30 * 4 | 0, i6 | 0);
 if ((i6 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i6 | 0);
 i6 = (get32(39 * 4 | 0) | 0) + -1 | 0;
 set32(39 * 4 | 0, i6 | 0);
 if ((i6 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i6 | 0);
 FUNCTION_TABLE_vi[get32(232 | 0) & 31](i5);
 i9 = i1;
 i10 = i9 + 44 | 0;
 do {
  set32(i9 | 0, 0 | 0);
  i9 = i9 + 4 | 0;
 } while ((i9 | 0) < (i10 | 0));
 STACKTOP = i2;
 return 0;
}

function _vdbeUnbind(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 64 | 0;
 i4 = i3 + 56 | 0;
 i5 = i3 + 48 | 0;
 i6 = i3 + 40 | 0;
 i7 = i3 + 32 | 0;
 i8 = i3 + 24 | 0;
 i9 = i3 + 16 | 0;
 i10 = i3 + 8 | 0;
 do if (!i1) _sqlite3_log(21, 19894, i3); else {
  i11 = get32(i1 | 0) | 0;
  if (!i11) {
   _sqlite3_log(21, 19714, i10);
   break;
  }
  if ((get32(i1 + 52 | 0) | 0) == -1108210269 ? (get32(i1 + 88 | 0) | 0) <= -1 : 0) {
   if ((i2 | 0) >= 1 ? (get16(i1 + 80 | 0) | 0) >= (i2 | 0) : 0) {
    i12 = i2 + -1 | 0;
    i13 = get32(i1 + 72 | 0) | 0;
    i14 = i13 + (i12 * 40 | 0) | 0;
    _sqlite3VdbeMemReleaseExternal(i14);
    i15 = i13 + (i12 * 40 | 0) + 36 | 0;
    _sqlite3DbFree(get32(i14 | 0) | 0, get32(i15 | 0) | 0);
    set32(i13 + (i12 * 40 | 0) + 4 | 0, 0 | 0);
    set32(i15 | 0, 0 | 0);
    set32(i13 + (i12 * 40 | 0) + 32 | 0, 0 | 0);
    set16(i13 + (i12 * 40 | 0) + 28 | 0, 1 | 0);
    _sqlite3Error(get32(i1 | 0) | 0, 0, 0, i4);
    if (!(get8(i1 + 105 >> 0 | 0) | 0)) {
     i16 = 0;
     STACKTOP = i3;
     return i16 | 0;
    }
    i13 = get32(i1 + 180 | 0) | 0;
    if ((i2 | 0) < 33) {
     if (!((i13 & 1 << i12 | 0) != 0 | (i13 | 0) == -1)) {
      i16 = 0;
      STACKTOP = i3;
      return i16 | 0;
     }
    } else if ((i13 | 0) != -1) {
     i16 = 0;
     STACKTOP = i3;
     return i16 | 0;
    }
    set8(i1 + 99 >> 0 | 0, 1 | 0);
    i16 = 0;
    STACKTOP = i3;
    return i16 | 0;
   }
   _sqlite3Error(i11, 25, 0, i5);
   i16 = 25;
   STACKTOP = i3;
   return i16 | 0;
  }
  _sqlite3Error(i11, 21, 0, i8);
  set32(i7 | 0, get32(i1 + 160 | 0) | 0);
  _sqlite3_log(21, 25424, i7);
  set32(i6 | 0, 61794 | 0);
  set32(i6 + 4 | 0, 17203 | 0);
  _sqlite3_log(21, 39226, i6);
  i16 = 21;
  STACKTOP = i3;
  return i16 | 0;
 } while (0);
 set32(i9 | 0, 61786 | 0);
 set32(i9 + 4 | 0, 17203 | 0);
 _sqlite3_log(21, 39226, i9);
 i16 = 21;
 STACKTOP = i3;
 return i16 | 0;
}

function _walIndexAppend(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i5 = i4;
 i6 = i4 + 8 | 0;
 i7 = (i2 + 33 | 0) >>> 12;
 i8 = _walIndexPage(i1, i7, i6) | 0;
 if (i8) {
  i9 = i8;
  STACKTOP = i4;
  return i9 | 0;
 }
 i8 = get32(i6 | 0) | 0;
 i10 = i8 + 16384 | 0;
 if (!i7) {
  i11 = i8 + 136 | 0;
  set32(i6 | 0, i11 | 0);
  i12 = i11;
  i13 = 0;
 } else {
  i12 = i8;
  i13 = (i7 << 12) + -34 | 0;
 }
 i7 = i2 - i13 | 0;
 if ((i7 | 0) == 1) _memset(i12 | 0, 0, i8 + 32768 - i12 | 0) | 0;
 i8 = i12 + (i7 + -1 << 2) | 0;
 if ((get32(i8 | 0) | 0) != 0 ? (i12 = i1 + 60 | 0, i13 = get32(i12 | 0) | 0, (i13 | 0) != 0) : 0) {
  i2 = (i13 + 33 | 0) >>> 12;
  if (!(_walIndexPage(i1, i2, i6) | 0)) {
   i1 = get32(i6 | 0) | 0;
   if (!i2) {
    i13 = i1 + 136 | 0;
    set32(i6 | 0, i13 | 0);
    i14 = i13;
    i15 = 0;
   } else {
    i14 = i1;
    i15 = (i2 << 12) + -34 | 0;
   }
   i16 = i15;
   i17 = i1 + 16384 | 0;
   i18 = i14 + -4 | 0;
  } else {
   i16 = 0;
   i17 = 0;
   i18 = 0;
  }
  i14 = (get32(i12 | 0) | 0) - i16 | 0;
  i16 = 0;
  do {
   i12 = i17 + (i16 << 1) | 0;
   if ((getU16(i12 | 0) | 0) > (i14 | 0)) set16(i12 | 0, 0 | 0);
   i16 = i16 + 1 | 0;
  } while ((i16 | 0) != 8192);
  i16 = i18 + (i14 + 1 << 2) | 0;
  _memset(i16 | 0, 0, i17 - i16 | 0) | 0;
 }
 i16 = i3 * 383 & 8191;
 i17 = i10 + (i16 << 1) | 0;
 L29 : do if (!(get16(i17 | 0) | 0)) i19 = i17; else {
  i14 = i16;
  i18 = i7;
  while (1) {
   if (!i18) break;
   i14 = i14 + 1 & 8191;
   i12 = i10 + (i14 << 1) | 0;
   if (!(get16(i12 | 0) | 0)) {
    i19 = i12;
    break L29;
   } else i18 = i18 + -1 | 0;
  }
  set32(i5 | 0, 44634 | 0);
  set32(i5 + 4 | 0, 17203 | 0);
  _sqlite3_log(11, 19615, i5);
  i9 = 11;
  STACKTOP = i4;
  return i9 | 0;
 } while (0);
 set32(i8 | 0, i3 | 0);
 set16(i19 | 0, i7 | 0);
 i9 = 0;
 STACKTOP = i4;
 return i9 | 0;
}

function _memchr(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0, i25 = 0;
 i4 = i2 & 255;
 i5 = (i3 | 0) != 0;
 L1 : do if (i5 & (i1 & 3 | 0) != 0) {
  i6 = i2 & 255;
  i7 = i3;
  i8 = i1;
  while (1) {
   if ((get8(i8 >> 0 | 0) | 0) == i6 << 24 >> 24) {
    i9 = i7;
    i10 = i8;
    i11 = 6;
    break L1;
   }
   i12 = i8 + 1 | 0;
   i13 = i7 + -1 | 0;
   i14 = (i13 | 0) != 0;
   if (i14 & (i12 & 3 | 0) != 0) {
    i7 = i13;
    i8 = i12;
   } else {
    i15 = i13;
    i16 = i14;
    i17 = i12;
    i11 = 5;
    break;
   }
  }
 } else {
  i15 = i3;
  i16 = i5;
  i17 = i1;
  i11 = 5;
 } while (0);
 if ((i11 | 0) == 5) if (i16) {
  i9 = i15;
  i10 = i17;
  i11 = 6;
 } else {
  i18 = 0;
  i19 = i17;
 }
 L8 : do if ((i11 | 0) == 6) {
  i17 = i2 & 255;
  if ((get8(i10 >> 0 | 0) | 0) == i17 << 24 >> 24) {
   i18 = i9;
   i19 = i10;
  } else {
   i15 = Math_imul(i4, 16843009) | 0;
   L11 : do if (i9 >>> 0 > 3) {
    i16 = i9;
    i1 = i10;
    while (1) {
     i5 = get32(i1 | 0) ^ i15;
     if ((i5 & -2139062144 ^ -2139062144) & i5 + -16843009) {
      i20 = i16;
      i21 = i1;
      break;
     }
     i5 = i1 + 4 | 0;
     i3 = i16 + -4 | 0;
     if (i3 >>> 0 > 3) {
      i16 = i3;
      i1 = i5;
     } else {
      i22 = i3;
      i23 = i5;
      i11 = 11;
      break L11;
     }
    }
    i24 = i20;
    i25 = i21;
   } else {
    i22 = i9;
    i23 = i10;
    i11 = 11;
   } while (0);
   if ((i11 | 0) == 11) if (!i22) {
    i18 = 0;
    i19 = i23;
    break;
   } else {
    i24 = i22;
    i25 = i23;
   }
   while (1) {
    if ((get8(i25 >> 0 | 0) | 0) == i17 << 24 >> 24) {
     i18 = i24;
     i19 = i25;
     break L8;
    }
    i15 = i25 + 1 | 0;
    i24 = i24 + -1 | 0;
    if (!i24) {
     i18 = 0;
     i19 = i15;
     break;
    } else i25 = i15;
   }
  }
 } while (0);
 return ((i18 | 0) != 0 ? i19 : 0) | 0;
}

function _backupOnePage(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0, i23 = 0, i24 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i5 = i4;
 i6 = i1 + 4 | 0;
 i7 = get32((get32(i6 | 0) | 0) + 4 | 0) | 0;
 i8 = get32(i7 | 0) | 0;
 i9 = get32((get32((get32(i1 + 24 | 0) | 0) + 4 | 0) | 0) + 36 | 0) | 0;
 i1 = get32(i7 + 36 | 0) | 0;
 i7 = (i9 | 0) < (i1 | 0) ? i9 : i1;
 i10 = ((i9 | 0) < 0) << 31 >> 31;
 i11 = ___muldi3(i9 | 0, i10 | 0, i2 | 0, 0) | 0;
 i2 = tempRet0;
 if ((i9 | 0) == (i1 | 0)) i12 = 0; else i12 = (get8(i8 + 14 >> 0 | 0) | 0) == 0 ? 0 : 8;
 if (!((i9 | 0) > 0 & (i12 | 0) == 0)) {
  i13 = i12;
  STACKTOP = i4;
  return i13 | 0;
 }
 i12 = _i64Subtract(i11 | 0, i2 | 0, i9 | 0, i10 | 0) | 0;
 i14 = ((i1 | 0) < 0) << 31 >> 31;
 i15 = i12;
 i12 = tempRet0;
 i16 = i1;
 while (1) {
  set32(i5 | 0, 0 | 0);
  i17 = ___divdi3(i15 | 0, i12 | 0, i1 | 0, i14 | 0) | 0;
  if ((i17 | 0) == (((get32(199 * 4 | 0) | 0) >>> 0) / (i16 >>> 0) | 0 | 0)) i18 = 0; else {
   i19 = _sqlite3PagerAcquire(i8, i17 + 1 | 0, i5, 0) | 0;
   i17 = get32(i5 | 0) | 0;
   if (!i19) {
    i20 = _sqlite3PagerWrite(i17) | 0;
    if (!i20) {
     i21 = ___remdi3(i15 | 0, i12 | 0, i9 | 0, i10 | 0) | 0;
     i22 = get32(i17 | 0) | 0;
     i23 = ___remdi3(i15 | 0, i12 | 0, i1 | 0, i14 | 0) | 0;
     _memcpy(i22 + i23 | 0, i3 + i21 | 0, i7 | 0) | 0;
     set8(get32(i17 + 4 | 0) >> 0 | 0, 0 | 0);
     i24 = 0;
    } else i24 = i20;
   } else i24 = i19;
   _sqlite3PagerUnref(i17);
   i18 = i24;
  }
  i17 = _i64Add(i15 | 0, i12 | 0, i1 | 0, i14 | 0) | 0;
  i19 = tempRet0;
  if (!(((i19 | 0) < (i2 | 0) | (i19 | 0) == (i2 | 0) & i17 >>> 0 < i11 >>> 0) & (i18 | 0) == 0)) {
   i13 = i18;
   break;
  }
  i15 = i17;
  i12 = i19;
  i16 = get32((get32((get32(i6 | 0) | 0) + 4 | 0) | 0) + 36 | 0) | 0;
 }
 STACKTOP = i4;
 return i13 | 0;
}

function _sqlite3HashFind(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0;
 i4 = get32(i1 + 12 | 0) | 0;
 i5 = (i4 | 0) == 0;
 if (i5) i6 = 0; else {
  if ((i3 | 0) > 0) {
   i7 = i2;
   i8 = i3;
   i9 = 0;
   while (1) {
    i10 = i9 << 3 ^ i9 ^ (getU8(16286 + (getU8(i7 >> 0 | 0) | 0) >> 0 | 0) | 0);
    if ((i8 | 0) > 1) {
     i7 = i7 + 1 | 0;
     i8 = i8 + -1 | 0;
     i9 = i10;
    } else {
     i11 = i10;
     break;
    }
   }
  } else i11 = 0;
  i6 = (i11 >>> 0) % ((get32(i1 | 0) | 0) >>> 0) | 0;
 }
 i11 = get32((i5 ? i1 + 4 | 0 : i4 + (i6 << 3) | 0) | 0) | 0;
 i9 = get32((i5 ? i1 + 8 | 0 : i4 + (i6 << 3) + 4 | 0) | 0) | 0;
 if (!((i11 | 0) != 0 & (i9 | 0) != 0)) {
  i12 = 0;
  return i12 | 0;
 }
 i6 = (i3 | 0) > 0;
 i4 = i11;
 i11 = i9;
 L11 : while (1) {
  i4 = i4 + -1 | 0;
  if ((get32(i11 + 16 | 0) | 0) == (i3 | 0)) {
   if (!i6) {
    i13 = i11;
    break;
   }
   i9 = i3;
   i1 = get32(i11 + 12 | 0) | 0;
   i5 = i2;
   while (1) {
    i8 = get8(i1 >> 0 | 0) | 0;
    if (!(i8 << 24 >> 24)) {
     i14 = i5;
     i15 = 11;
     break;
    }
    i7 = get8(16286 + (i8 & 255) >> 0 | 0) | 0;
    i8 = get8(16286 + (getU8(i5 >> 0 | 0) | 0) >> 0 | 0) | 0;
    if (i7 << 24 >> 24 != i8 << 24 >> 24) {
     i16 = i7;
     i17 = i8;
     break;
    }
    if ((i9 | 0) > 1) {
     i9 = i9 + -1 | 0;
     i1 = i1 + 1 | 0;
     i5 = i5 + 1 | 0;
    } else {
     i13 = i11;
     break L11;
    }
   }
   if ((i15 | 0) == 11) {
    i15 = 0;
    i16 = 0;
    i17 = get8(16286 + (getU8(i14 >> 0 | 0) | 0) >> 0 | 0) | 0;
   }
   if (i16 << 24 >> 24 == i17 << 24 >> 24) {
    i13 = i11;
    break;
   }
  }
  i11 = get32(i11 | 0) | 0;
  if (!((i4 | 0) != 0 & (i11 | 0) != 0)) {
   i12 = 0;
   i15 = 18;
   break;
  }
 }
 if ((i15 | 0) == 18) return i12 | 0;
 if (!i13) {
  i12 = 0;
  return i12 | 0;
 }
 i12 = get32(i13 + 8 | 0) | 0;
 return i12 | 0;
}

function _reindexTable(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0;
 i4 = get32(i2 + 16 | 0) | 0;
 if (!i4) return;
 i5 = (i3 | 0) == 0;
 i6 = i2 + 68 | 0;
 i2 = i4;
 do {
  L6 : do if (!i5) {
   i4 = get32(i2 + 4 | 0) | 0;
   if ((i4 | 0) > 0) {
    i7 = get32(i2 + 44 | 0) | 0;
    i8 = 0;
    do {
     i9 = get32(i7 + (i8 << 2) | 0) | 0;
     i10 = get8(i9 >> 0 | 0) | 0;
     L11 : do if (!(i10 << 24 >> 24)) {
      i11 = 0;
      i12 = i3;
     } else {
      i13 = i10;
      i14 = i9;
      i15 = i3;
      while (1) {
       if ((get8(16286 + (i13 & 255) >> 0 | 0) | 0) != (get8(16286 + (getU8(i15 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
        i11 = i13;
        i12 = i15;
        break L11;
       }
       i14 = i14 + 1 | 0;
       i16 = i15 + 1 | 0;
       i13 = get8(i14 >> 0 | 0) | 0;
       if (!(i13 << 24 >> 24)) {
        i11 = 0;
        i12 = i16;
        break;
       } else i15 = i16;
      }
     } while (0);
     i8 = i8 + 1 | 0;
     if ((get8(16286 + (i11 & 255) >> 0 | 0) | 0) == (get8(16286 + (getU8(i12 >> 0 | 0) | 0) >> 0 | 0) | 0)) {
      i17 = 11;
      break L6;
     }
    } while ((i8 | 0) < (i4 | 0));
   }
  } else i17 = 11; while (0);
  if ((i17 | 0) == 11) {
   i17 = 0;
   i4 = get32(i1 | 0) | 0;
   i8 = get32(i6 | 0) | 0;
   L19 : do if (i8) {
    i7 = get32(i4 + 4 | 0) | 0;
    if ((i7 | 0) > 0) {
     i9 = get32(i4 + 8 | 0) | 0;
     i10 = 0;
     while (1) {
      if ((get32(i9 + (i10 << 4) + 12 | 0) | 0) == (i8 | 0)) {
       i18 = i10;
       break L19;
      }
      i15 = i10 + 1 | 0;
      if ((i15 | 0) < (i7 | 0)) i10 = i15; else {
       i18 = i15;
       break;
      }
     }
    } else i18 = 0;
   } else i18 = -1e6; while (0);
   _sqlite3BeginWriteOperation(i1, 0, i18);
   _sqlite3RefillIndex(i1, i2, -1);
  }
  i2 = get32(i2 + 32 | 0) | 0;
 } while ((i2 | 0) != 0);
 return;
}

function _sqlite3PagerSetJournalMode(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0;
 i3 = i1 + 5 | 0;
 i4 = get8(i3 >> 0 | 0) | 0;
 if (!(get8(i1 + 14 >> 0 | 0) | 0)) i5 = 3; else switch (i2 | 0) {
 case 2:
 case 4:
  {
   i5 = 3;
   break;
  }
 default:
  {}
 }
 do if (((i5 | 0) == 3 ? (i6 = i4 & 255, (i6 | 0) != (i2 | 0)) : 0) ? (set8(i3 >> 0 | 0, i2 | 0), (i2 & 1 | 0) == 0 & ((i6 & 5 | 0) == 1 & (get8(i1 + 4 >> 0 | 0) | 0) == 0)) : 0) {
  i6 = get32(i1 + 64 | 0) | 0;
  i7 = get32(i6 | 0) | 0;
  if (i7) {
   FUNCTION_TABLE_ii[get32(i7 + 4 | 0) & 127](i6) | 0;
   set32(i6 | 0, 0 | 0);
  }
  i6 = i1 + 16 | 0;
  if ((getU8(i6 >> 0 | 0) | 0) > 1) {
   i7 = get32(i1 | 0) | 0;
   FUNCTION_TABLE_iiii[get32(i7 + 28 | 0) & 63](i7, get32(i1 + 148 | 0) | 0, 0) | 0;
   break;
  }
  i7 = i1 + 15 | 0;
  i8 = get8(i7 >> 0 | 0) | 0;
  i9 = i8 << 24 >> 24 == 0;
  if (i9) {
   i10 = _sqlite3PagerSharedLock(i1) | 0;
   i11 = get8(i7 >> 0 | 0) | 0;
   i12 = i10;
  } else {
   i11 = i8;
   i12 = 0;
  }
  L16 : do if (i11 << 24 >> 24 == 1) {
   switch (get8(i6 >> 0 | 0) | 0) {
   case 0:
   case 1:
   case 5:
    break;
   default:
    {
     i5 = 17;
     break L16;
    }
   }
   i10 = get32(i1 + 60 | 0) | 0;
   if (!(FUNCTION_TABLE_iii[get32((get32(i10 | 0) | 0) + 28 | 0) & 127](i10, 2) | 0)) if ((get8(i6 >> 0 | 0) | 0) == 5) i5 = 17; else {
    set8(i6 >> 0 | 0, 2 | 0);
    i5 = 17;
   }
  } else if (!i12) i5 = 17; while (0);
  if ((i5 | 0) == 17 ? (i10 = get32(i1 | 0) | 0, FUNCTION_TABLE_iiii[get32(i10 + 28 | 0) & 63](i10, get32(i1 + 148 | 0) | 0, 0) | 0, i8 << 24 >> 24 == 1) : 0) {
   i10 = get32(i1 + 60 | 0) | 0;
   i7 = get32(i10 | 0) | 0;
   if (!i7) break;
   FUNCTION_TABLE_iii[get32(i7 + 32 | 0) & 127](i10, 1) | 0;
   if ((get8(i6 >> 0 | 0) | 0) == 5) break;
   set8(i6 >> 0 | 0, 1 | 0);
   break;
  }
  if (i9) _pager_unlock(i1);
 } while (0);
 return getU8(i3 >> 0 | 0) | 0;
}

function _walIndexTryHdr(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 96 | 0;
 i4 = i3 + 48 | 0;
 i5 = i3;
 i6 = get32(get32(i1 + 28 | 0) | 0) | 0;
 i7 = i4;
 i8 = i6;
 i9 = i7 + 48 | 0;
 do {
  set8(i7 >> 0 | 0, get8(i8 >> 0 | 0) | 0 | 0);
  i7 = i7 + 1 | 0;
  i8 = i8 + 1 | 0;
 } while ((i7 | 0) < (i9 | 0));
 if ((get8(i1 + 38 >> 0 | 0) | 0) != 2) {
  i10 = get32(i1 + 4 | 0) | 0;
  FUNCTION_TABLE_vi[get32((get32(i10 | 0) | 0) + 60 | 0) & 31](i10);
 }
 i7 = i5;
 i8 = i6 + 48 | 0;
 i9 = i7 + 48 | 0;
 do {
  set8(i7 >> 0 | 0, get8(i8 >> 0 | 0) | 0 | 0);
  i7 = i7 + 1 | 0;
  i8 = i8 + 1 | 0;
 } while ((i7 | 0) < (i9 | 0));
 if (_memcmp(i4, i5, 48) | 0) {
  i11 = 1;
  STACKTOP = i3;
  return i11 | 0;
 }
 if (!(get8(i4 + 12 >> 0 | 0) | 0)) {
  i11 = 1;
  STACKTOP = i3;
  return i11 | 0;
 }
 i5 = get32(i4 | 0) | 0;
 i6 = (get32(i4 + 4 | 0) | 0) + i5 | 0;
 i10 = i5 + i6 + (get32(i4 + 8 | 0) | 0) | 0;
 i5 = (get32(i4 + 12 | 0) | 0) + i6 + i10 | 0;
 i6 = i10 + i5 + (get32(i4 + 16 | 0) | 0) | 0;
 i10 = (get32(i4 + 20 | 0) | 0) + i5 + i6 | 0;
 i5 = i6 + i10 + (get32(i4 + 24 | 0) | 0) | 0;
 i6 = (get32(i4 + 28 | 0) | 0) + i10 + i5 | 0;
 i10 = i5 + i6 + (get32(i4 + 32 | 0) | 0) | 0;
 if ((i10 | 0) != (get32(i4 + 40 | 0) | 0)) {
  i11 = 1;
  STACKTOP = i3;
  return i11 | 0;
 }
 if (((get32(i4 + 36 | 0) | 0) + i6 + i10 | 0) != (get32(i4 + 44 | 0) | 0)) {
  i11 = 1;
  STACKTOP = i3;
  return i11 | 0;
 }
 i10 = i1 + 44 | 0;
 if (!(_memcmp(i10, i4, 48) | 0)) {
  i11 = 0;
  STACKTOP = i3;
  return i11 | 0;
 }
 set32(i2 | 0, 1 | 0);
 i7 = i10;
 i8 = i4;
 i9 = i7 + 48 | 0;
 do {
  set32(i7 | 0, get32(i8 | 0) | 0);
  i7 = i7 + 4 | 0;
  i8 = i8 + 4 | 0;
 } while ((i7 | 0) < (i9 | 0));
 i8 = getU16(i1 + 58 | 0) | 0;
 set32(i1 + 32 | 0, i8 << 16 & 65536 | i8 & 65024 | 0);
 i11 = 0;
 STACKTOP = i3;
 return i11 | 0;
}

function _groupConcatStep(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0;
 if ((get8((get32(i3 | 0) | 0) + 30 >> 0 | 0) | 0) == 5) return;
 i4 = get32(i1 + 48 | 0) | 0;
 i5 = i4 + 28 | 0;
 if (!(get16(i5 | 0) & 8192)) {
  _sqlite3VdbeMemGrow(i4, 28, 0) | 0;
  set16(i5 | 0, 8192 | 0);
  set32(i4 + 16 | 0, get32(i1 | 0) | 0);
  i5 = i4 + 4 | 0;
  i6 = get32(i5 | 0) | 0;
  if (!i6) i7 = i5; else {
   i8 = i6;
   i6 = i8 + 28 | 0;
   do {
    set8(i8 >> 0 | 0, 0 | 0);
    i8 = i8 + 1 | 0;
   } while ((i8 | 0) < (i6 | 0));
   i7 = i5;
  }
 } else i7 = i4 + 4 | 0;
 i4 = get32(i7 | 0) | 0;
 if (!i4) return;
 i7 = get32(i1 + 8 | 0) | 0;
 i1 = i4 + 25 | 0;
 i5 = (get8(i1 >> 0 | 0) | 0) == 0;
 set8(i1 >> 0 | 0, 2 | 0);
 set32(i4 + 20 | 0, get32(i7 + 72 | 0) | 0);
 if (!i5) {
  do if ((i2 | 0) == 2) {
   i5 = i3 + 4 | 0;
   i7 = _sqlite3ValueText(get32(i5 | 0) | 0, 1) | 0;
   i1 = get32(i5 | 0) | 0;
   i5 = i1 + 28 | 0;
   i8 = get16(i5 | 0) | 0;
   if (!(i8 & 16)) {
    if (!(_sqlite3ValueText(i1, 1) | 0)) {
     i9 = 0;
     i10 = i7;
     break;
    }
    i11 = get16(i5 | 0) | 0;
   } else i11 = i8;
   i8 = get32(i1 + 24 | 0) | 0;
   if (!(i11 & 16384)) {
    i9 = i8;
    i10 = i7;
   } else {
    i9 = (get32(i1 + 16 | 0) | 0) + i8 | 0;
    i10 = i7;
   }
  } else {
   i9 = 1;
   i10 = 30688;
  } while (0);
  _sqlite3StrAccumAppend(i4, i10, i9);
 }
 i9 = _sqlite3ValueText(get32(i3 | 0) | 0, 1) | 0;
 i10 = get32(i3 | 0) | 0;
 i3 = i10 + 28 | 0;
 i11 = get16(i3 | 0) | 0;
 if (!(i11 & 16)) if (!(_sqlite3ValueText(i10, 1) | 0)) i12 = 0; else {
  i13 = get16(i3 | 0) | 0;
  i14 = 18;
 } else {
  i13 = i11;
  i14 = 18;
 }
 if ((i14 | 0) == 18) {
  i14 = get32(i10 + 24 | 0) | 0;
  if (!(i13 & 16384)) i12 = i14; else i12 = (get32(i10 + 16 | 0) | 0) + i14 | 0;
 }
 _sqlite3StrAccumAppend(i4, i9, i12);
 return;
}

function _sqlite3_column_int64(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, d10 = 0.0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i4 = i3 + 16 | 0;
 i5 = i3 + 8 | 0;
 i6 = i3;
 i7 = (i1 | 0) == 0;
 do if (!i7) {
  i8 = get32(i1 + 20 | 0) | 0;
  if ((i8 | 0) != 0 ? (getU16(i1 + 48 | 0) | 0) >>> 0 > i2 >>> 0 : 0) {
   i9 = i8 + (i2 * 40 | 0) | 0;
   break;
  }
  i8 = get32(i1 | 0) | 0;
  if (i8) {
   _sqlite3Error(i8, 25, 0, i5);
   i9 = 48;
  } else i9 = 48;
 } else i9 = 48; while (0);
 i5 = getU16(i9 + 28 | 0) | 0;
 do if (!(i5 & 4)) {
  if (i5 & 8) {
   d10 = +getF64(i9 + 8 | 0);
   i2 = d10 < -9223372036854775808.0 | d10 > 9223372036854775808.0;
   i8 = +Math_abs(d10) >= 1.0 ? (d10 > 0.0 ? ~~+Math_min(+Math_floor(d10 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d10 - +(~~d10 >>> 0)) / 4294967296.0) >>> 0) : 0;
   i11 = i2 ? -2147483648 : i8;
   i12 = i2 ? 0 : ~~d10 >>> 0;
   break;
  }
  if (!(i5 & 18)) {
   i11 = 0;
   i12 = 0;
  } else {
   i2 = i6;
   set32(i2 | 0, 0 | 0);
   set32(i2 + 4 | 0, 0 | 0);
   _sqlite3Atoi64(get32(i9 + 4 | 0) | 0, i6, get32(i9 + 24 | 0) | 0, get8(i9 + 31 >> 0 | 0) | 0) | 0;
   i2 = i6;
   i11 = get32(i2 + 4 | 0) | 0;
   i12 = get32(i2 | 0) | 0;
  }
 } else {
  i2 = i9 + 16 | 0;
  i11 = get32(i2 + 4 | 0) | 0;
  i12 = get32(i2 | 0) | 0;
 } while (0);
 if (i7) {
  tempRet0 = i11;
  STACKTOP = i3;
  return i12 | 0;
 }
 i7 = get32(i1 | 0) | 0;
 i9 = i1 + 92 | 0;
 i1 = get32(i9 | 0) | 0;
 if (!i7) {
  i13 = i1;
  i14 = 255;
 } else {
  i6 = i7 + 30 | 0;
  if ((i1 | 0) == 3082 | (get8(i6 >> 0 | 0) | 0) != 0) {
   _sqlite3Error(i7, 7, 0, i4);
   set8(i6 >> 0 | 0, 0 | 0);
   i15 = 7;
  } else i15 = i1;
  i13 = i15;
  i14 = get32(i7 + 24 | 0) | 0;
 }
 set32(i9 | 0, i14 & i13 | 0);
 tempRet0 = i11;
 STACKTOP = i3;
 return i12 | 0;
}

function _sqlite3GetVarint(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0;
 i3 = get8(i1 >> 0 | 0) | 0;
 i4 = i3 & 255;
 if (!(i4 & 128)) {
  i5 = i2;
  set32(i5 | 0, i3 & 255 | 0);
  set32(i5 + 4 | 0, 0 | 0);
  i6 = 1;
  return i6 | 0;
 }
 i5 = getU8(i1 + 1 >> 0 | 0) | 0;
 if (!(i5 & 128)) {
  i3 = i2;
  set32(i3 | 0, i5 | i4 << 7 & 16256 | 0);
  set32(i3 + 4 | 0, 0 | 0);
  i6 = 2;
  return i6 | 0;
 }
 i3 = getU8(i1 + 2 >> 0 | 0) | 0;
 i7 = (i3 | i4 << 14) & 2080895;
 if (!(i3 & 128)) {
  i3 = i2;
  set32(i3 | 0, i7 | i5 << 7 & 16256 | 0);
  set32(i3 + 4 | 0, 0 | 0);
  i6 = 3;
  return i6 | 0;
 }
 i3 = getU8(i1 + 3 >> 0 | 0) | 0;
 i4 = (i3 | i5 << 14) & 2080895;
 if (!(i3 & 128)) {
  i3 = i2;
  set32(i3 | 0, i4 | i7 << 7 | 0);
  set32(i3 + 4 | 0, 0 | 0);
  i6 = 4;
  return i6 | 0;
 }
 i3 = getU8(i1 + 4 >> 0 | 0) | 0;
 i5 = i3 | i7 << 14;
 if (!(i3 & 128)) {
  i8 = i2;
  set32(i8 | 0, i5 | i4 << 7 | 0);
  set32(i8 + 4 | 0, i7 >>> 18 | 0);
  i6 = 5;
  return i6 | 0;
 }
 i8 = i4 | i7 << 7;
 i7 = getU8(i1 + 5 >> 0 | 0) | 0;
 i9 = i7 | i4 << 14;
 if (!(i7 & 128)) {
  i7 = i2;
  set32(i7 | 0, i9 | i5 << 7 & 266354560 | 0);
  set32(i7 + 4 | 0, i8 >>> 18 | 0);
  i6 = 6;
  return i6 | 0;
 }
 i7 = getU8(i1 + 6 >> 0 | 0) | 0;
 i4 = i7 | i5 << 14;
 if (!(i7 & 128)) {
  i7 = i2;
  set32(i7 | 0, i4 & -266354561 | i9 << 7 & 266354560 | 0);
  set32(i7 + 4 | 0, i8 >>> 11 | 0);
  i6 = 7;
  return i6 | 0;
 }
 i7 = i4 & 2080895;
 i4 = getU8(i1 + 7 >> 0 | 0) | 0;
 i5 = i4 | i9 << 14;
 if (!(i4 & 128)) {
  i4 = i2;
  set32(i4 | 0, i5 & -266354561 | i7 << 7 | 0);
  set32(i4 + 4 | 0, i8 >>> 4 | 0);
  i6 = 8;
  return i6 | 0;
 } else {
  i4 = i2;
  set32(i4 | 0, i5 << 8 & 532709120 | i7 << 15 | (getU8(i1 + 8 >> 0 | 0) | 0) | 0);
  set32(i4 + 4 | 0, i3 >>> 3 & 15 | i8 << 4 | 0);
  i6 = 9;
  return i6 | 0;
 }
 return 0;
}

function _create_mspace_with_base(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0;
 i3 = get32(1511 * 4 | 0) | 0;
 do if (!i3) {
  i4 = _sysconf(30) | 0;
  if (!(i4 + -1 & i4)) {
   set32(1513 * 4 | 0, 65536 | 0);
   set32(1512 * 4 | 0, i4 | 0);
   set32(1514 * 4 | 0, -1 | 0);
   set32(1515 * 4 | 0, -1 | 0);
   set32(1516 * 4 | 0, 4 | 0);
   i4 = (_time(0) | 0) & -16 ^ 1431655768;
   set32(1511 * 4 | 0, i4 | 0);
   i5 = i4;
   break;
  } else _abort();
 } else i5 = i3; while (0);
 if (i2 >>> 0 <= 520) {
  i6 = 0;
  return i6 | 0;
 }
 if ((-520 - (get32(1512 * 4 | 0) | 0) | 0) >>> 0 <= i2 >>> 0) {
  i6 = 0;
  return i6 | 0;
 }
 i3 = i1 + 8 | 0;
 i4 = (i3 & 7 | 0) == 0 ? 0 : 0 - i3 & 7;
 i3 = i4 | 8;
 i7 = i1 + i3 | 0;
 _memset(i7 | 0, 0, 480) | 0;
 set32(i1 + (i4 + 4) | 0, 483 | 0);
 set32(i1 + (i4 | 24) | 0, i1 | 0);
 i8 = i4 | 456;
 set32(i1 + i8 | 0, i1 | 0);
 set32(i1 + (i3 + 436) | 0, i2 | 0);
 set32(i1 + (i4 | 440) | 0, i2 | 0);
 set32(i1 + (i8 + 4) | 0, i2 | 0);
 set32(i1 + (i3 + 36) | 0, i5 | 0);
 set32(i1 + (i4 | 40) | 0, -1 | 0);
 i5 = get32(1516 * 4 | 0) | 0;
 set32(i1 + (i4 | 472) | 0, 0 | 0);
 set32(i1 + (i3 + 468) | 0, 0 | 0);
 set32(i1 + (i3 + 444) | 0, i5 | 4 | 0);
 i5 = 0;
 do {
  i4 = i5 << 1;
  i8 = i7 + 40 + (i4 << 2) | 0;
  set32(i7 + 40 + (i4 + 3 << 2) | 0, i8 | 0);
  set32(i7 + 40 + (i4 + 2 << 2) | 0, i8 | 0);
  i5 = i5 + 1 | 0;
 } while ((i5 | 0) != 32);
 i5 = get32(i1 + (i3 + -4) | 0) & -8 | i3 + -8;
 i8 = i1 + (i5 + 8) | 0;
 i4 = (i8 & 7 | 0) == 0 ? 0 : 0 - i8 & 7;
 i8 = i2 + -40 - i5 - i4 | 0;
 set32(i1 + (i3 + 24) | 0, i1 + (i4 + i5) | 0);
 set32(i1 + (i3 + 12) | 0, i8 | 0);
 set32(i1 + (i5 + 4 + i4) | 0, i8 | 1 | 0);
 set32(i1 + (i2 + -36) | 0, 40 | 0);
 set32(i1 + (i3 + 28) | 0, get32(1515 * 4 | 0) | 0);
 set32(i1 + (i3 + 460) | 0, 8 | 0);
 i6 = i7;
 return i6 | 0;
}

function _ptrmapPut(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0;
 i6 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i7 = i6 + 8 | 0;
 i8 = i6;
 i9 = i6 + 16 | 0;
 if (get32(i5 | 0) | 0) {
  STACKTOP = i6;
  return;
 }
 if (!i2) {
  set32(i8 | 0, 48293 | 0);
  set32(i8 + 4 | 0, 17203 | 0);
  _sqlite3_log(11, 19615, i8);
  set32(i5 | 0, 11 | 0);
  STACKTOP = i6;
  return;
 }
 if (i2 >>> 0 < 2) i10 = 0; else {
  i8 = i2 + -2 | 0;
  i11 = i8 - ((i8 >>> 0) % (((((get32(i1 + 40 | 0) | 0) >>> 0) / 5 | 0) + 1 | 0) >>> 0) | 0) | 0;
  i10 = ((i11 + 1 | 0) == (((get32(199 * 4 | 0) | 0) >>> 0) / ((get32(i1 + 36 | 0) | 0) >>> 0) | 0 | 0) ? 3 : 2) + i11 | 0;
 }
 i11 = _sqlite3PagerAcquire(get32(i1 | 0) | 0, i10, i9, 0) | 0;
 if (i11) {
  set32(i5 | 0, i11 | 0);
  STACKTOP = i6;
  return;
 }
 i11 = (i2 - i10 | 0) * 5 | 0;
 i10 = i11 + -5 | 0;
 do if ((i10 | 0) >= 0) {
  i2 = get32(i9 | 0) | 0;
  i1 = get32(i2 | 0) | 0;
  i8 = i1 + i10 | 0;
  if ((get8(i8 >> 0 | 0) | 0) == i3 << 24 >> 24 ? (getU8(i1 + (i11 + -3) >> 0 | 0) << 16 | getU8(i1 + (i11 + -4) >> 0 | 0) << 24 | getU8(i1 + (i11 + -2) >> 0 | 0) << 8 | getU8(i1 + (i11 + -1) >> 0 | 0) | 0) == (i4 | 0) : 0) {
   i12 = i2;
   break;
  }
  i13 = _sqlite3PagerWrite(i2) | 0;
  set32(i5 | 0, i13 | 0);
  if (!i13) {
   set8(i8 >> 0 | 0, i3 | 0);
   set8(i1 + (i11 + -4) >> 0 | 0, i4 >>> 24 | 0);
   set8(i1 + (i11 + -3) >> 0 | 0, i4 >>> 16 | 0);
   set8(i1 + (i11 + -2) >> 0 | 0, i4 >>> 8 | 0);
   set8(i1 + (i11 + -1) >> 0 | 0, i4 | 0);
   i12 = i2;
  } else i12 = i2;
 } else {
  set32(i7 | 0, 48304 | 0);
  set32(i7 + 4 | 0, 17203 | 0);
  _sqlite3_log(11, 19615, i7);
  set32(i5 | 0, 11 | 0);
  i12 = get32(i9 | 0) | 0;
 } while (0);
 _sqlite3PagerUnref(i12);
 STACKTOP = i6;
 return;
}

function _sqlite3ColumnDefault(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i6 = i5;
 if (get32(i2 + 28 | 0) | 0) {
  STACKTOP = i5;
  return;
 }
 i7 = get32(i1 | 0) | 0;
 i8 = i2 + 12 | 0;
 i2 = get32(i8 | 0) | 0;
 _sqlite3ValueFromExpr(i7, get32(i2 + (i3 * 24 | 0) + 4 | 0) | 0, get8((get32((get32(i7 + 8 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0) | 0, get8(i2 + (i3 * 24 | 0) + 22 >> 0 | 0) | 0, i6) | 0;
 i2 = get32(i6 | 0) | 0;
 if (i2) _sqlite3VdbeChangeP4(i1, -1, i2, -8);
 if ((i4 | 0) <= -1) {
  STACKTOP = i5;
  return;
 }
 if ((get8((get32(i8 | 0) | 0) + (i3 * 24 | 0) + 22 >> 0 | 0) | 0) != 101) {
  STACKTOP = i5;
  return;
 }
 i3 = i1 + 28 | 0;
 i8 = get32(i3 | 0) | 0;
 i2 = i1 + 32 | 0;
 i6 = get32(i2 | 0) | 0;
 if ((i6 | 0) > (i8 | 0)) {
  i9 = i8;
  i10 = get32(i1 + 4 | 0) | 0;
 } else {
  i7 = i1 + 4 | 0;
  i11 = _sqlite3DbRealloc(get32(i1 | 0) | 0, get32(i7 | 0) | 0, (i6 | 0) == 0 ? 1020 : i6 * 40 | 0) | 0;
  if (!i11) {
   STACKTOP = i5;
   return;
  }
  i6 = get32(i1 | 0) | 0;
  if (((i6 | 0) != 0 ? (get32(i6 + 260 | 0) | 0) >>> 0 <= i11 >>> 0 : 0) ? (get32(i6 + 264 | 0) | 0) >>> 0 > i11 >>> 0 : 0) i12 = getU16(i6 + 232 | 0) | 0; else i12 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i11) | 0;
  set32(i2 | 0, (i12 >>> 0) / 20 | 0 | 0);
  set32(i7 | 0, i11 | 0);
  i9 = get32(i3 | 0) | 0;
  i10 = i11;
 }
 set32(i3 | 0, i9 + 1 | 0);
 set8(i10 + (i8 * 20 | 0) >> 0 | 0, 22 | 0);
 set8(i10 + (i8 * 20 | 0) + 3 >> 0 | 0, 0 | 0);
 set32(i10 + (i8 * 20 | 0) + 4 | 0, i4 | 0);
 set32(i10 + (i8 * 20 | 0) + 8 | 0, 0 | 0);
 set32(i10 + (i8 * 20 | 0) + 12 | 0, 0 | 0);
 set32(i10 + (i8 * 20 | 0) + 16 | 0, 0 | 0);
 set8(i10 + (i8 * 20 | 0) + 1 >> 0 | 0, 0 | 0);
 STACKTOP = i5;
 return;
}

function _zeroPage(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i4 = i3;
 i5 = get32(i1 + 64 | 0) | 0;
 i6 = i1 + 60 | 0;
 i7 = get32(i6 | 0) | 0;
 i8 = i1 + 5 | 0;
 i9 = get8(i8 >> 0 | 0) | 0;
 i10 = i9 & 255;
 i11 = i5 + i10 | 0;
 i12 = i7 + 40 | 0;
 if (get8(i7 + 18 >> 0 | 0) | 0) _memset(i11 | 0, 0, (get32(i12 | 0) | 0) - i10 | 0) | 0;
 set8(i11 >> 0 | 0, i2 | 0);
 i11 = (i2 >>> 1 & 4 ^ 12) + i10 | 0;
 i13 = i11 & 65535;
 i14 = i5 + (i10 + 1) | 0;
 set8(i14 >> 0 | 0, 0 | 0);
 set8(i14 + 1 >> 0 | 0, 0 | 0);
 set8(i14 + 2 >> 0 | 0, 0 | 0);
 set8(i14 + 3 >> 0 | 0, 0 | 0);
 set8(i5 + (i10 + 7) >> 0 | 0, 0 | 0);
 set8(i5 + (i10 + 5) >> 0 | 0, (get32(i12 | 0) | 0) >>> 8 | 0);
 set8(i5 + (i10 + 6) >> 0 | 0, get32(i12 | 0) | 0);
 set16(i1 + 14 | 0, (get32(i12 | 0) | 0) - i11 | 0);
 i11 = i2 >>> 3;
 i12 = i11 & 255;
 set8(i1 + 3 >> 0 | 0, i12 | 0);
 set8(i1 + 6 >> 0 | 0, 4 - (i11 << 2) | 0);
 i11 = get32(i6 | 0) | 0;
 switch (i2 & -9 | 0) {
 case 5:
  {
   set8(i1 + 2 >> 0 | 0, 1 | 0);
   set8(i1 + 4 >> 0 | 0, i12 | 0);
   set16(i1 + 8 | 0, get16(i11 + 30 | 0) | 0 | 0);
   set16(i1 + 10 | 0, get16(i11 + 32 | 0) | 0 | 0);
   break;
  }
 case 2:
  {
   set8(i1 + 2 >> 0 | 0, 0 | 0);
   set8(i1 + 4 >> 0 | 0, 0 | 0);
   set16(i1 + 8 | 0, get16(i11 + 26 | 0) | 0 | 0);
   set16(i1 + 10 | 0, get16(i11 + 28 | 0) | 0 | 0);
   break;
  }
 default:
  {
   set32(i4 | 0, 48881 | 0);
   set32(i4 + 4 | 0, 17203 | 0);
   _sqlite3_log(11, 19615, i4);
  }
 }
 set8(i8 >> 0 | 0, i9 | 0);
 set16(i1 + 12 | 0, i13 | 0);
 set8(i1 + 1 >> 0 | 0, 0 | 0);
 set16(i1 + 18 | 0, (get32(i7 + 36 | 0) | 0) + 65535 | 0);
 set16(i1 + 16 | 0, 0 | 0);
 set8(i1 >> 0 | 0, 1 | 0);
 STACKTOP = i3;
 return;
}

function _openDirectory(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 576 | 0;
 i4 = i3 + 32 | 0;
 i5 = i3 + 24 | 0;
 i6 = i3 + 16 | 0;
 i7 = i3 + 8 | 0;
 i8 = i3;
 i9 = i3 + 52 | 0;
 set32(i8 | 0, i1 | 0);
 _sqlite3_snprintf(512, i9, 16817, i8) | 0;
 i8 = _strlen(i9) | 0;
 L1 : do if ((i8 | 0) > 1) {
  i1 = i8;
  while (1) {
   if ((get8(i9 + i1 >> 0 | 0) | 0) == 47) {
    i10 = i1;
    i11 = 6;
    break L1;
   }
   i12 = i1 + -1 | 0;
   if ((i12 | 0) > 1) i1 = i12; else {
    i13 = i12;
    i11 = 4;
    break;
   }
  }
 } else {
  i13 = i8;
  i11 = 4;
 } while (0);
 if ((i11 | 0) == 4) if ((i13 | 0) > 0) {
  i10 = 1;
  i11 = 6;
 } else {
  i14 = ___errno_location() | 0;
  i15 = -1;
 }
 L8 : do if ((i11 | 0) == 6) {
  set8(i9 + i10 >> 0 | 0, 0 | 0);
  while (1) {
   i13 = FUNCTION_TABLE_iiii[get32(1044 | 0) & 63](i9, 0, 0) | 0;
   if ((i13 | 0) >= 0) {
    i16 = i13;
    break;
   }
   i8 = ___errno_location() | 0;
   if ((get32(i8 | 0) | 0) != 4) {
    i14 = i8;
    i15 = i13;
    break L8;
   }
  }
  i13 = get32(282 * 4 | 0) | 0;
  set32(i7 | 0, 0 | 0);
  set32(i6 | 0, FUNCTION_TABLE_iiii[i13 & 63](i16, 1, i7) | 0 | 1 | 0);
  FUNCTION_TABLE_iiii[i13 & 63](i16, 2, i6) | 0;
  set32(i2 | 0, i16 | 0);
  i17 = 0;
  STACKTOP = i3;
  return i17 | 0;
 } while (0);
 set32(i2 | 0, i15 | 0);
 set32(i5 | 0, 29138 | 0);
 set32(i5 + 4 | 0, 17203 | 0);
 _sqlite3_log(14, 19280, i5);
 i5 = get32(i14 | 0) | 0;
 i14 = _strerror(i5) | 0;
 set32(i4 | 0, 29138 | 0);
 set32(i4 + 4 | 0, i5 | 0);
 set32(i4 + 8 | 0, 19081 | 0);
 set32(i4 + 12 | 0, i9 | 0);
 set32(i4 + 16 | 0, i14 | 0);
 _sqlite3_log(14, 19185, i4);
 i17 = 14;
 STACKTOP = i3;
 return i17 | 0;
}

function _getDigits(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i4 = i3;
 set32(i4 | 0, i2 | 0);
 i2 = i1;
 i1 = 0;
 L1 : while (1) {
  i5 = (get32(i4 | 0) | 0) + (4 - 1) & ~(4 - 1);
  i6 = get32(i5 | 0) | 0;
  set32(i4 | 0, i5 + 4 | 0);
  i5 = (get32(i4 | 0) | 0) + (4 - 1) & ~(4 - 1);
  i7 = get32(i5 | 0) | 0;
  set32(i4 | 0, i5 + 4 | 0);
  i5 = (get32(i4 | 0) | 0) + (4 - 1) & ~(4 - 1);
  i8 = get32(i5 | 0) | 0;
  set32(i4 | 0, i5 + 4 | 0);
  i5 = (get32(i4 | 0) | 0) + (4 - 1) & ~(4 - 1);
  i9 = get32(i5 | 0) | 0;
  set32(i4 | 0, i5 + 4 | 0);
  i5 = (get32(i4 | 0) | 0) + (4 - 1) & ~(4 - 1);
  i10 = get32(i5 | 0) | 0;
  set32(i4 | 0, i5 + 4 | 0);
  if (!i6) {
   i11 = i2;
   i12 = 0;
  } else {
   i5 = i2;
   i13 = i6;
   i6 = 0;
   while (1) {
    i13 = i13 + -1 | 0;
    i14 = get8(i5 >> 0 | 0) | 0;
    if (((i14 & 255) + -48 | 0) >>> 0 >= 10) {
     i15 = i1;
     i16 = 10;
     break L1;
    }
    i17 = (i6 * 10 | 0) + -48 + (i14 << 24 >> 24) | 0;
    i14 = i5 + 1 | 0;
    if (!i13) {
     i11 = i14;
     i12 = i17;
     break;
    } else {
     i5 = i14;
     i6 = i17;
    }
   }
  }
  if ((i12 | 0) < (i7 | 0) | (i12 | 0) > (i8 | 0)) {
   i15 = i1;
   i16 = 10;
   break;
  }
  if (!i9) {
   i18 = i10;
   i19 = i1;
   i20 = i12;
   i16 = 9;
   break;
  }
  if ((i9 | 0) != (get8(i11 >> 0 | 0) | 0)) {
   i15 = i1;
   i16 = 10;
   break;
  }
  set32(i10 | 0, i12 | 0);
  i2 = i11 + 1 | 0;
  i1 = i1 + 1 | 0;
 }
 if ((i16 | 0) == 9) {
  set32(i18 | 0, i20 | 0);
  i15 = i19 + 1 | 0;
  STACKTOP = i3;
  return i15 | 0;
 } else if ((i16 | 0) == 10) {
  STACKTOP = i3;
  return i15 | 0;
 }
 return 0;
}

function _computeJD(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, d9 = 0.0;
 i2 = i1 + 42 | 0;
 if (get8(i2 >> 0 | 0) | 0) return;
 i3 = i1 + 40 | 0;
 if (!(get8(i3 >> 0 | 0) | 0)) {
  i4 = 3;
  i5 = 1;
  i6 = 2e3;
 } else {
  i4 = (get32(i1 + 16 | 0) | 0) + 2 | 0;
  i5 = get32(i1 + 12 | 0) | 0;
  i6 = get32(i1 + 8 | 0) | 0;
 }
 i7 = (i5 | 0) < 3;
 i8 = (i7 << 31 >> 31) + i6 | 0;
 d9 = (+(i4 + ((i8 | 0) / -100 | 0) + ((i8 | 0) / 400 | 0) + (((i8 * 36525 | 0) + 172251900 | 0) / 100 | 0) + ((((i7 ? i5 + 12 | 0 : i5) * 306001 | 0) + 306001 | 0) / 1e4 | 0) | 0) + -1524.5) * 864.0e5;
 i5 = ~~d9 >>> 0;
 i7 = +Math_abs(d9) >= 1.0 ? (d9 > 0.0 ? ~~+Math_min(+Math_floor(d9 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d9 - +(~~d9 >>> 0)) / 4294967296.0) >>> 0) : 0;
 i8 = i1;
 set32(i8 | 0, i5 | 0);
 set32(i8 + 4 | 0, i7 | 0);
 set8(i2 >> 0 | 0, 1 | 0);
 i2 = i1 + 41 | 0;
 if (!(get8(i2 >> 0 | 0) | 0)) return;
 i8 = Math_imul(get32(i1 + 20 | 0) | 0, 36e5) | 0;
 i4 = ((get32(i1 + 24 | 0) | 0) * 6e4 | 0) + i8 | 0;
 d9 = +getF64(i1 + 32 | 0) * 1.0e3;
 i8 = _i64Add(~~d9 >>> 0 | 0, (+Math_abs(d9) >= 1.0 ? (d9 > 0.0 ? ~~+Math_min(+Math_floor(d9 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d9 - +(~~d9 >>> 0)) / 4294967296.0) >>> 0) : 0) | 0, i5 | 0, i7 | 0) | 0;
 i7 = _i64Add(i8 | 0, tempRet0 | 0, i4 | 0, ((i4 | 0) < 0) << 31 >> 31 | 0) | 0;
 i4 = tempRet0;
 i8 = i1;
 set32(i8 | 0, i7 | 0);
 set32(i8 + 4 | 0, i4 | 0);
 i8 = i1 + 43 | 0;
 if (!(get8(i8 >> 0 | 0) | 0)) return;
 i5 = (get32(i1 + 28 | 0) | 0) * 6e4 | 0;
 i6 = _i64Subtract(i7 | 0, i4 | 0, i5 | 0, ((i5 | 0) < 0) << 31 >> 31 | 0) | 0;
 i5 = i1;
 set32(i5 | 0, i6 | 0);
 set32(i5 + 4 | 0, tempRet0 | 0);
 set8(i3 >> 0 | 0, 0 | 0);
 set8(i2 >> 0 | 0, 0 | 0);
 set8(i8 >> 0 | 0, 0 | 0);
 return;
}

function _pager_reset(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0;
 i2 = get32(i1 + 88 | 0) | 0;
 if (i2) {
  i3 = i2;
  do {
   set32(i3 + 16 | 0, 1 | 0);
   i3 = get32(i3 + 44 | 0) | 0;
  } while ((i3 | 0) != 0);
 }
 i3 = get32(i1 + 168 | 0) | 0;
 i1 = i3 + 40 | 0;
 if (!(get32(i1 | 0) | 0)) return;
 i2 = get32(i3 | 0) | 0;
 if (i2) {
  i4 = i2;
  do {
   i2 = i4 + 28 | 0;
   i5 = i4;
   i4 = get32(i2 | 0) | 0;
   i6 = get32(i5 + 12 | 0) | 0;
   if ((i6 | 0) != 0 ? (i7 = i5 + 20 | 0, i8 = get16(i7 | 0) | 0, (i8 & 2) != 0) : 0) {
    i9 = get32(i5 + 24 | 0) | 0;
    i10 = i9 + 8 | 0;
    if ((get32(i10 | 0) | 0) == (i5 | 0)) {
     i11 = i5;
     while (1) {
      i12 = get32(i11 + 32 | 0) | 0;
      if (!i12) {
       i13 = 0;
       break;
      }
      if (!(get16(i12 + 20 | 0) & 4)) {
       i13 = i12;
       break;
      } else i11 = i12;
     }
     set32(i10 | 0, i13 | 0);
    }
    i11 = i5 + 32 | 0;
    i12 = get32(i11 | 0) | 0;
    i14 = i4;
    if (!i4) set32(i9 + 4 | 0, i12 | 0); else set32(i4 + 32 | 0, i12 | 0);
    i12 = get32(i11 | 0) | 0;
    if (!i12) set32(i9 | 0, i14 | 0); else set32(i12 + 28 | 0, i14 | 0);
    set32(i2 | 0, 0 | 0);
    set32(i11 | 0, 0 | 0);
    set16(i7 | 0, i8 & 65529 | 0);
    if ((get16(i5 + 22 | 0) | 0) == 0 ? (get32(i9 + 28 | 0) | 0) != 0 : 0) {
     if ((i6 | 0) == 1) set32(i9 + 44 | 0, 0 | 0);
     FUNCTION_TABLE_viii[get32(324 | 0) & 63](get32(i9 + 40 | 0) | 0, i5, 0);
    }
   }
  } while ((i4 | 0) != 0);
 }
 i4 = get32(i3 + 44 | 0) | 0;
 if (!i4) i15 = 1; else {
  _memset(get32(i4 | 0) | 0, 0, get32(i3 + 20 | 0) | 0) | 0;
  i15 = 2;
 }
 FUNCTION_TABLE_vii[get32(332 | 0) & 15](get32(i1 | 0) | 0, i15);
 return;
}

function _sqlite3_bind_double(i1, i2, d3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 d3 = +d3;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i5 = i4 + 8 | 0;
 i6 = i4;
 i7 = _vdbeUnbind(i1, i2) | 0;
 if (i7) {
  STACKTOP = i4;
  return i7 | 0;
 }
 i8 = i2 + -1 | 0;
 i2 = get32(i1 + 72 | 0) | 0;
 i1 = i2 + (i8 * 40 | 0) | 0;
 setF64(i5 | 0, +d3);
 setF64(i6 | 0, +(+getF64(i5 | 0)));
 if (!(+getF64(i5 | 0) != +getF64(i6 | 0))) {
  _sqlite3VdbeMemReleaseExternal(i1);
  i6 = i2 + (i8 * 40 | 0) + 36 | 0;
  _sqlite3DbFree(get32(i1 | 0) | 0, get32(i6 | 0) | 0);
  set32(i2 + (i8 * 40 | 0) + 4 | 0, 0 | 0);
  set32(i6 | 0, 0 | 0);
  set32(i2 + (i8 * 40 | 0) + 32 | 0, 0 | 0);
  setF64(i2 + (i8 * 40 | 0) + 8 | 0, +d3);
  set16(i2 + (i8 * 40 | 0) + 28 | 0, 8 | 0);
  set8(i2 + (i8 * 40 | 0) + 30 >> 0 | 0, 2 | 0);
  STACKTOP = i4;
  return i7 | 0;
 }
 i6 = i2 + (i8 * 40 | 0) + 28 | 0;
 i1 = get16(i6 | 0) | 0;
 if (i1 & 64) {
  i5 = get32(i2 + (i8 * 40 | 0) + 16 | 0) | 0;
  i9 = (get32(i5 | 0) | 0) + 172 | 0;
  set32(i5 + 60 | 0, get32(i9 | 0) | 0);
  set32(i9 | 0, i5 | 0);
 }
 if (!(i1 & 32)) i10 = i1; else {
  i5 = get32(i2 + (i8 * 40 | 0) + 16 | 0) | 0;
  i9 = get32(i5 | 0) | 0;
  if (!i9) i11 = i1; else {
   i1 = i5 + 4 | 0;
   i12 = i9;
   do {
    i9 = i12;
    i12 = get32(i12 | 0) | 0;
    _sqlite3DbFree(get32(i1 | 0) | 0, i9);
   } while ((i12 | 0) != 0);
   i11 = get16(i6 | 0) | 0;
  }
  set32(i5 | 0, 0 | 0);
  set16(i5 + 24 | 0, 0 | 0);
  set32(i5 + 8 | 0, 0 | 0);
  set32(i5 + 12 | 0, 0 | 0);
  set32(i5 + 20 | 0, 0 | 0);
  set8(i5 + 26 >> 0 | 0, 1 | 0);
  i10 = i11;
 }
 set16(i6 | 0, i10 & 48896 | 1 | 0);
 set8(i2 + (i8 * 40 | 0) + 30 >> 0 | 0, 5 | 0);
 STACKTOP = i4;
 return i7 | 0;
}

function _pcache1TruncateUnsafe(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0;
 i3 = i1 + 32 | 0;
 if (!(get32(i3 | 0) | 0)) return;
 i4 = i1 + 36 | 0;
 i5 = i1 + 28 | 0;
 i1 = 0;
 do {
  i6 = (get32(i4 | 0) | 0) + (i1 << 2) | 0;
  i7 = get32(i6 | 0) | 0;
  L6 : do if (i7) {
   i8 = i7;
   i9 = i6;
   do {
    i10 = i8;
    while (1) {
     if ((get32(i10 | 0) | 0) >>> 0 < i2 >>> 0) {
      i11 = i10;
      break;
     }
     set32(i5 | 0, (get32(i5 | 0) | 0) + -1 | 0);
     set32(i9 | 0, get32(i10 + 4 | 0) | 0);
     i12 = get32(i10 + 8 | 0) | 0;
     i13 = get32(i12 | 0) | 0;
     i14 = i10 + 12 | 0;
     i15 = get32(i14 | 0) | 0;
     i16 = i15;
     if (!((i15 | 0) == 0 ? (get32(i13 + 24 | 0) | 0) != (i10 | 0) : 0)) {
      i17 = i10 + 16 | 0;
      i18 = get32(i17 | 0) | 0;
      if (!i18) {
       i19 = i15;
       i20 = i16;
      } else {
       set32(i18 + 12 | 0, i16 | 0);
       i16 = get32(i14 | 0) | 0;
       i19 = i16;
       i20 = i16;
      }
      if (i19) set32(i19 + 16 | 0, i18 | 0);
      i18 = i13 + 20 | 0;
      if ((get32(i18 | 0) | 0) == (i10 | 0)) set32(i18 | 0, i20 | 0);
      i18 = i13 + 24 | 0;
      if ((get32(i18 | 0) | 0) == (i10 | 0)) set32(i18 | 0, get32(i17 | 0) | 0);
      set32(i14 | 0, 0 | 0);
      set32(i17 | 0, 0 | 0);
      i17 = i12 + 24 | 0;
      set32(i17 | 0, (get32(i17 | 0) | 0) + -1 | 0);
     }
     _pcache1FreePage(i10);
     i10 = get32(i9 | 0) | 0;
     if (!i10) break L6;
    }
    i9 = i11 + 4 | 0;
    i8 = get32(i9 | 0) | 0;
   } while ((i8 | 0) != 0);
  } while (0);
  i1 = i1 + 1 | 0;
 } while (i1 >>> 0 < (get32(i3 | 0) | 0) >>> 0);
 return;
}

function _sqlite3FixExpr(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0;
 if (!i2) {
  i3 = 0;
  return i3 | 0;
 } else i4 = i2;
 L3 : while (1) {
  i2 = getU16(i4 + 2 | 0) | 0;
  if (i2 & 8192) {
   i3 = 0;
   i5 = 21;
   break;
  }
  i6 = i4 + 16 | 0;
  if (!(i2 & 2048)) {
   i2 = get32(i6 | 0) | 0;
   if ((i2 | 0) != 0 ? (get32(i2 | 0) | 0) > 0 : 0) {
    i7 = 0;
    i8 = get32(i2 + 12 | 0) | 0;
    while (1) {
     if (_sqlite3FixExpr(i1, get32(i8 | 0) | 0) | 0) {
      i3 = 1;
      i5 = 21;
      break L3;
     }
     i7 = i7 + 1 | 0;
     if ((i7 | 0) >= (get32(i2 | 0) | 0)) break; else i8 = i8 + 20 | 0;
    }
   }
  } else {
   i8 = get32(i6 | 0) | 0;
   if (i8) {
    i2 = i8;
    do {
     i8 = get32(i2 | 0) | 0;
     if ((i8 | 0) != 0 ? (get32(i8 | 0) | 0) > 0 : 0) {
      i7 = 0;
      i9 = get32(i8 + 12 | 0) | 0;
      while (1) {
       if (_sqlite3FixExpr(i1, get32(i9 | 0) | 0) | 0) {
        i3 = 1;
        i5 = 21;
        break L3;
       }
       i7 = i7 + 1 | 0;
       if ((i7 | 0) >= (get32(i8 | 0) | 0)) break; else i9 = i9 + 20 | 0;
      }
     }
     if (_sqlite3FixSrcList(i1, get32(i2 + 8 | 0) | 0) | 0) {
      i3 = 1;
      i5 = 21;
      break L3;
     }
     if (_sqlite3FixExpr(i1, get32(i2 + 12 | 0) | 0) | 0) {
      i3 = 1;
      i5 = 21;
      break L3;
     }
     if (_sqlite3FixExpr(i1, get32(i2 + 20 | 0) | 0) | 0) {
      i3 = 1;
      i5 = 21;
      break L3;
     }
     i2 = get32(i2 + 28 | 0) | 0;
    } while ((i2 | 0) != 0);
   }
  }
  if (_sqlite3FixExpr(i1, get32(i4 + 12 | 0) | 0) | 0) {
   i3 = 1;
   i5 = 21;
   break;
  }
  i4 = get32(i4 + 8 | 0) | 0;
  if (!i4) {
   i3 = 0;
   i5 = 21;
   break;
  }
 }
 if ((i5 | 0) == 21) return i3 | 0;
 return 0;
}

function _zeroblobFunc(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, d7 = 0.0, i8 = 0, i9 = 0, i10 = 0, i11 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i4 = i2;
 i5 = get32(i1 + 8 | 0) | 0;
 i6 = get32(i3 | 0) | 0;
 i3 = getU16(i6 + 28 | 0) | 0;
 do if (!(i3 & 4)) {
  if (i3 & 8) {
   d7 = +getF64(i6 + 8 | 0);
   i8 = d7 < -9223372036854775808.0 | d7 > 9223372036854775808.0;
   i9 = +Math_abs(d7) >= 1.0 ? (d7 > 0.0 ? ~~+Math_min(+Math_floor(d7 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d7 - +(~~d7 >>> 0)) / 4294967296.0) >>> 0) : 0;
   i10 = i8 ? -2147483648 : i9;
   i11 = i8 ? 0 : ~~d7 >>> 0;
   break;
  }
  if (!(i3 & 18)) {
   i10 = 0;
   i11 = 0;
  } else {
   i8 = i4;
   set32(i8 | 0, 0 | 0);
   set32(i8 + 4 | 0, 0 | 0);
   _sqlite3Atoi64(get32(i6 + 4 | 0) | 0, i4, get32(i6 + 24 | 0) | 0, get8(i6 + 31 >> 0 | 0) | 0) | 0;
   i8 = i4;
   i10 = get32(i8 + 4 | 0) | 0;
   i11 = get32(i8 | 0) | 0;
  }
 } else {
  i8 = i6 + 16 | 0;
  i10 = get32(i8 + 4 | 0) | 0;
  i11 = get32(i8 | 0) | 0;
 } while (0);
 i6 = get32(i5 + 72 | 0) | 0;
 i5 = ((i6 | 0) < 0) << 31 >> 31;
 if ((i10 | 0) > (i5 | 0) | (i10 | 0) == (i5 | 0) & i11 >>> 0 > i6 >>> 0) {
  set32(i1 + 52 | 0, 18 | 0);
  _sqlite3VdbeMemSetStr(i1 + 8 | 0, 16620, -1, 1, 0) | 0;
  STACKTOP = i2;
  return;
 } else {
  i6 = i1 + 8 | 0;
  _sqlite3VdbeMemReleaseExternal(i6);
  i5 = i1 + 44 | 0;
  _sqlite3DbFree(get32(i6 | 0) | 0, get32(i5 | 0) | 0);
  set32(i1 + 12 | 0, 0 | 0);
  set32(i5 | 0, 0 | 0);
  set32(i1 + 40 | 0, 0 | 0);
  set16(i1 + 36 | 0, 16400 | 0);
  set8(i1 + 38 >> 0 | 0, 4 | 0);
  set32(i1 + 32 | 0, 0 | 0);
  set32(i1 + 24 | 0, ((i11 | 0) < 0 ? 0 : i11) | 0);
  set8(i1 + 39 >> 0 | 0, 1 | 0);
  STACKTOP = i2;
  return;
 }
}

function _sqlite3_value_numeric_type(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i3 = i2 + 8 | 0;
 i4 = i2;
 i5 = i1 + 30 | 0;
 i6 = get8(i5 >> 0 | 0) | 0;
 if (i6 << 24 >> 24 != 3) {
  i7 = i6;
  i8 = i7 & 255;
  STACKTOP = i2;
  return i8 | 0;
 }
 i6 = i1 + 28 | 0;
 i9 = get16(i6 | 0) | 0;
 i10 = i9 & 65535;
 do if ((i10 & 12 | 0) == 0 ? (i11 = get8(i1 + 31 >> 0 | 0) | 0, (i10 & 2 | 0) != 0) : 0) {
  i12 = i1 + 4 | 0;
  i13 = i1 + 24 | 0;
  if (!(_sqlite3AtoF(get32(i12 | 0) | 0, i3, get32(i13 | 0) | 0, i11) | 0)) {
   i14 = get16(i6 | 0) | 0;
   break;
  }
  if (!(_sqlite3Atoi64(get32(i12 | 0) | 0, i4, get32(i13 | 0) | 0, i11) | 0)) {
   i11 = i4;
   i13 = get32(i11 + 4 | 0) | 0;
   i12 = i1 + 16 | 0;
   set32(i12 | 0, get32(i11 | 0) | 0);
   set32(i12 + 4 | 0, i13 | 0);
   i13 = (getU16(i6 | 0) | 0 | 4) & 65535;
   set16(i6 | 0, i13 | 0);
   i14 = i13;
   break;
  } else {
   setF64(i1 + 8 | 0, +(+getF64(i3 | 0)));
   i13 = (getU16(i6 | 0) | 0 | 8) & 65535;
   set16(i6 | 0, i13 | 0);
   i14 = i13;
   break;
  }
 } else i14 = i9; while (0);
 i9 = i14 & 65535;
 if (i9 & 1) {
  set8(i5 >> 0 | 0, 5 | 0);
  i7 = 5;
  i8 = i7 & 255;
  STACKTOP = i2;
  return i8 | 0;
 }
 if (i9 & 4) {
  set8(i5 >> 0 | 0, 1 | 0);
  i7 = 1;
  i8 = i7 & 255;
  STACKTOP = i2;
  return i8 | 0;
 }
 if (i9 & 8) {
  set8(i5 >> 0 | 0, 2 | 0);
  i7 = 2;
  i8 = i7 & 255;
  STACKTOP = i2;
  return i8 | 0;
 }
 if (!(i9 & 2)) {
  set8(i5 >> 0 | 0, 4 | 0);
  i7 = 4;
  i8 = i7 & 255;
  STACKTOP = i2;
  return i8 | 0;
 } else {
  set8(i5 >> 0 | 0, 3 | 0);
  i7 = 3;
  i8 = i7 & 255;
  STACKTOP = i2;
  return i8 | 0;
 }
 return 0;
}

function _sqlite3_column_blob(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i4 = i3 + 8 | 0;
 i5 = i3;
 i6 = (i1 | 0) == 0;
 do if (!i6) {
  i7 = get32(i1 + 20 | 0) | 0;
  if ((i7 | 0) != 0 ? (getU16(i1 + 48 | 0) | 0) >>> 0 > i2 >>> 0 : 0) {
   i8 = i7 + (i2 * 40 | 0) | 0;
   break;
  }
  i7 = get32(i1 | 0) | 0;
  if (i7) {
   _sqlite3Error(i7, 25, 0, i5);
   i8 = 48;
  } else i8 = 48;
 } else i8 = 48; while (0);
 i5 = i8 + 28 | 0;
 i2 = get16(i5 | 0) | 0;
 if (i2 & 18) {
  i7 = i8 + 24 | 0;
  do if (i2 & 16384) {
   i9 = i8 + 16 | 0;
   i10 = (get32(i9 | 0) | 0) + (get32(i7 | 0) | 0) | 0;
   if (!(_sqlite3VdbeMemGrow(i8, (i10 | 0) < 1 ? 1 : i10, 1) | 0)) {
    _memset((get32(i8 + 4 | 0) | 0) + (get32(i7 | 0) | 0) | 0, 0, get32(i9 | 0) | 0) | 0;
    set32(i7 | 0, (get32(i7 | 0) | 0) + (get32(i9 | 0) | 0) | 0);
    i9 = getU16(i5 | 0) & 48639;
    set16(i5 | 0, i9 | 0);
    i11 = i9;
    break;
   } else {
    i11 = get16(i5 | 0) | 0;
    break;
   }
  } else i11 = i2; while (0);
  set16(i5 | 0, i11 & 65517 | 16 | 0);
  if (!(get32(i7 | 0) | 0)) i12 = 0; else i12 = get32(i8 + 4 | 0) | 0;
 } else i12 = _sqlite3ValueText(i8, 1) | 0;
 if (i6) {
  STACKTOP = i3;
  return i12 | 0;
 }
 i6 = get32(i1 | 0) | 0;
 i8 = i1 + 92 | 0;
 i1 = get32(i8 | 0) | 0;
 if (!i6) {
  i13 = i1;
  i14 = 255;
 } else {
  i7 = i6 + 30 | 0;
  if ((i1 | 0) == 3082 | (get8(i7 >> 0 | 0) | 0) != 0) {
   _sqlite3Error(i6, 7, 0, i4);
   set8(i7 >> 0 | 0, 0 | 0);
   i15 = 7;
  } else i15 = i1;
  i13 = i15;
  i14 = get32(i6 + 24 | 0) | 0;
 }
 set32(i8 | 0, i14 & i13 | 0);
 STACKTOP = i3;
 return i12 | 0;
}

function _sqlite3PutVarint(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i5 = i4;
 if (i3 >>> 0 > 16777215 | (i3 | 0) == 16777215 & i2 >>> 0 > 4294967295) {
  set8(i1 + 8 >> 0 | 0, i2 | 0);
  i6 = _bitshift64Lshr(i2 | 0, i3 | 0, 8) | 0;
  set8(i1 + 7 >> 0 | 0, i6 | 128 | 0);
  i6 = _bitshift64Lshr(i2 | 0, i3 | 0, 15) | 0;
  set8(i1 + 6 >> 0 | 0, i6 | 128 | 0);
  i6 = _bitshift64Lshr(i2 | 0, i3 | 0, 22) | 0;
  set8(i1 + 5 >> 0 | 0, i6 | 128 | 0);
  i6 = _bitshift64Lshr(i2 | 0, i3 | 0, 29) | 0;
  set8(i1 + 4 >> 0 | 0, i6 | 128 | 0);
  i6 = _bitshift64Lshr(i2 | 0, i3 | 0, 36) | 0;
  set8(i1 + 3 >> 0 | 0, i6 | 128 | 0);
  i6 = _bitshift64Lshr(i2 | 0, i3 | 0, 43) | 0;
  set8(i1 + 2 >> 0 | 0, i6 | 128 | 0);
  i6 = _bitshift64Lshr(i2 | 0, i3 | 0, 50) | 0;
  set8(i1 + 1 >> 0 | 0, i6 | 128 | 0);
  i6 = _bitshift64Lshr(i2 | 0, i3 | 0, 57) | 0;
  set8(i1 >> 0 | 0, i6 | 128 | 0);
  i7 = 9;
  STACKTOP = i4;
  return i7 | 0;
 } else {
  i8 = i2;
  i9 = i3;
  i10 = 0;
 }
 while (1) {
  i3 = i10 + 1 | 0;
  set8(i5 + i10 >> 0 | 0, i8 | 128 | 0);
  i8 = _bitshift64Lshr(i8 | 0, i9 | 0, 7) | 0;
  i9 = tempRet0;
  if ((i8 | 0) == 0 & (i9 | 0) == 0) {
   i11 = i3;
   i12 = i10;
   break;
  } else i10 = i3;
 }
 set8(i5 >> 0 | 0, (getU8(i5 >> 0 | 0) | 0) & 127 | 0);
 if ((i12 | 0) > -1) {
  i13 = 0;
  i14 = i12;
 } else {
  i7 = i11;
  STACKTOP = i4;
  return i7 | 0;
 }
 while (1) {
  set8(i1 + i13 >> 0 | 0, get8(i5 + i14 >> 0 | 0) | 0 | 0);
  if ((i14 | 0) > 0) {
   i13 = i13 + 1 | 0;
   i14 = i14 + -1 | 0;
  } else {
   i7 = i11;
   break;
  }
 }
 STACKTOP = i4;
 return i7 | 0;
}

function _substSelect(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0;
 if (!i2) return;
 i5 = get32(i2 | 0) | 0;
 if ((i5 | 0) != 0 ? (get32(i5 | 0) | 0) > 0 : 0) {
  i6 = i5 + 12 | 0;
  i7 = get32(i6 | 0) | 0;
  i8 = 0;
  do {
   i9 = _substExpr(i1, get32(i7 + (i8 * 20 | 0) | 0) | 0, i3, i4) | 0;
   i7 = get32(i6 | 0) | 0;
   set32(i7 + (i8 * 20 | 0) | 0, i9 | 0);
   i8 = i8 + 1 | 0;
  } while ((i8 | 0) < (get32(i5 | 0) | 0));
 }
 i5 = get32(i2 + 16 | 0) | 0;
 if ((i5 | 0) != 0 ? (get32(i5 | 0) | 0) > 0 : 0) {
  i8 = i5 + 12 | 0;
  i7 = get32(i8 | 0) | 0;
  i6 = 0;
  do {
   i9 = _substExpr(i1, get32(i7 + (i6 * 20 | 0) | 0) | 0, i3, i4) | 0;
   i7 = get32(i8 | 0) | 0;
   set32(i7 + (i6 * 20 | 0) | 0, i9 | 0);
   i6 = i6 + 1 | 0;
  } while ((i6 | 0) < (get32(i5 | 0) | 0));
 }
 i5 = get32(i2 + 24 | 0) | 0;
 if ((i5 | 0) != 0 ? (get32(i5 | 0) | 0) > 0 : 0) {
  i6 = i5 + 12 | 0;
  i7 = get32(i6 | 0) | 0;
  i8 = 0;
  do {
   i9 = _substExpr(i1, get32(i7 + (i8 * 20 | 0) | 0) | 0, i3, i4) | 0;
   i7 = get32(i6 | 0) | 0;
   set32(i7 + (i8 * 20 | 0) | 0, i9 | 0);
   i8 = i8 + 1 | 0;
  } while ((i8 | 0) < (get32(i5 | 0) | 0));
 }
 i5 = i2 + 20 | 0;
 set32(i5 | 0, _substExpr(i1, get32(i5 | 0) | 0, i3, i4) | 0 | 0);
 i5 = i2 + 12 | 0;
 set32(i5 | 0, _substExpr(i1, get32(i5 | 0) | 0, i3, i4) | 0 | 0);
 _substSelect(i1, get32(i2 + 28 | 0) | 0, i3, i4);
 i5 = get32(i2 + 8 | 0) | 0;
 if (!i5) return;
 i2 = get16(i5 | 0) | 0;
 if (i2 << 16 >> 16 <= 0) return;
 i8 = i2 << 16 >> 16;
 i2 = i5 + 8 | 0;
 while (1) {
  _substSelect(i1, get32(i2 + 16 | 0) | 0, i3, i4);
  if ((i8 | 0) > 1) {
   i8 = i8 + -1 | 0;
   i2 = i2 + 56 | 0;
  } else break;
 }
 return;
}

function _sqlite3_prepare_v2(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0;
 i6 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i7 = i6 + 24 | 0;
 i8 = i6 + 16 | 0;
 i9 = i6 + 8 | 0;
 i10 = i6;
 set32(i4 | 0, 0 | 0);
 L1 : do if (!i1) {
  set32(i10 | 0, 18774 | 0);
  _sqlite3_log(21, 26104, i10);
 } else {
  i11 = get32(i1 + 56 | 0) | 0;
  L4 : do if ((i11 | 0) < -264537850) {
   switch (i11 | 0) {
   case -1607883113:
    break;
   default:
    break L4;
   }
   i12 = get32(i1 + 4 | 0) | 0;
   if ((i12 | 0) > 0) {
    i13 = get32(i1 + 8 | 0) | 0;
    i14 = 0;
    do {
     i15 = get32(i13 + (i14 << 4) + 4 | 0) | 0;
     if (i15) set32((get32(i15 + 4 | 0) | 0) + 4 | 0, get32(i15 | 0) | 0);
     i14 = i14 + 1 | 0;
    } while ((i14 | 0) != (i12 | 0));
   }
   i12 = _sqlite3Prepare(i1, i2, i3, 1, 0, i4, i5) | 0;
   if ((i12 | 0) != 17) {
    i16 = i12;
    STACKTOP = i6;
    return i16 | 0;
   }
   _sqlite3_finalize(get32(i4 | 0) | 0) | 0;
   i16 = _sqlite3Prepare(i1, i2, i3, 1, 0, i4, i5) | 0;
   STACKTOP = i6;
   return i16 | 0;
  } else {
   if ((i11 | 0) < 1266094736) switch (i11 | 0) {
   case -264537850:
    break;
   default:
    break L4;
   } else switch (i11 | 0) {
   case 1266094736:
    break;
   default:
    break L4;
   }
   set32(i8 | 0, 26095 | 0);
   _sqlite3_log(21, 26104, i8);
   break L1;
  } while (0);
  set32(i9 | 0, 38376 | 0);
  _sqlite3_log(21, 26104, i9);
 } while (0);
 set32(i7 | 0, 90305 | 0);
 set32(i7 + 4 | 0, 17203 | 0);
 _sqlite3_log(21, 39226, i7);
 i16 = 21;
 STACKTOP = i6;
 return i16 | 0;
}

function _sqlite3_prepare(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0;
 i6 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i7 = i6 + 24 | 0;
 i8 = i6 + 16 | 0;
 i9 = i6 + 8 | 0;
 i10 = i6;
 set32(i4 | 0, 0 | 0);
 L1 : do if (!i1) {
  set32(i10 | 0, 18774 | 0);
  _sqlite3_log(21, 26104, i10);
 } else {
  i11 = get32(i1 + 56 | 0) | 0;
  L4 : do if ((i11 | 0) < -264537850) {
   switch (i11 | 0) {
   case -1607883113:
    break;
   default:
    break L4;
   }
   i12 = get32(i1 + 4 | 0) | 0;
   if ((i12 | 0) > 0) {
    i13 = get32(i1 + 8 | 0) | 0;
    i14 = 0;
    do {
     i15 = get32(i13 + (i14 << 4) + 4 | 0) | 0;
     if (i15) set32((get32(i15 + 4 | 0) | 0) + 4 | 0, get32(i15 | 0) | 0);
     i14 = i14 + 1 | 0;
    } while ((i14 | 0) != (i12 | 0));
   }
   i12 = _sqlite3Prepare(i1, i2, i3, 0, 0, i4, i5) | 0;
   if ((i12 | 0) != 17) {
    i16 = i12;
    STACKTOP = i6;
    return i16 | 0;
   }
   _sqlite3_finalize(get32(i4 | 0) | 0) | 0;
   i16 = _sqlite3Prepare(i1, i2, i3, 0, 0, i4, i5) | 0;
   STACKTOP = i6;
   return i16 | 0;
  } else {
   if ((i11 | 0) < 1266094736) switch (i11 | 0) {
   case -264537850:
    break;
   default:
    break L4;
   } else switch (i11 | 0) {
   case 1266094736:
    break;
   default:
    break L4;
   }
   set32(i8 | 0, 26095 | 0);
   _sqlite3_log(21, 26104, i8);
   break L1;
  } while (0);
  set32(i9 | 0, 38376 | 0);
  _sqlite3_log(21, 26104, i9);
 } while (0);
 set32(i7 | 0, 90305 | 0);
 set32(i7 + 4 | 0, 17203 | 0);
 _sqlite3_log(21, 39226, i7);
 i16 = 21;
 STACKTOP = i6;
 return i16 | 0;
}

function _renameTriggerFunc(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0, i19 = 0, i20 = 0, i21 = 0, i22 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i4 = i2;
 i5 = i2 + 16 | 0;
 i6 = _sqlite3ValueText(get32(i3 | 0) | 0, 1) | 0;
 i7 = _sqlite3ValueText(get32(i3 + 4 | 0) | 0, 1) | 0;
 i3 = get32(i1 + 8 | 0) | 0;
 if (!i6) {
  STACKTOP = i2;
  return;
 }
 if (!(get8(i6 >> 0 | 0) | 0)) {
  STACKTOP = i2;
  return;
 } else {
  i8 = 3;
  i9 = 0;
  i10 = i6;
 }
 L6 : while (1) {
  i11 = i9;
  i12 = i10;
  while (1) {
   i13 = i12 + i11 | 0;
   i14 = _sqlite3GetToken(i13, i5) | 0;
   i15 = get32(i5 | 0) | 0;
   if ((i15 | 0) == 149) {
    i11 = i14;
    i12 = i13;
   } else {
    i16 = i13;
    i17 = i14;
    i18 = i15;
    break;
   }
  }
  i12 = (i18 | 0) == 118 | (i18 | 0) == 104 ? 0 : i8 + 1 | 0;
  if ((i12 | 0) == 2) switch (i18 | 0) {
  case 5:
  case 45:
  case 135:
   {
    i19 = i9;
    i20 = i10;
    break L6;
    break;
   }
  default:
   i21 = 2;
  } else i21 = i12;
  if (!(get8(i16 >> 0 | 0) | 0)) {
   i22 = 10;
   break;
  } else {
   i8 = i21;
   i9 = i17;
   i10 = i16;
  }
 }
 if ((i22 | 0) == 10) {
  STACKTOP = i2;
  return;
 }
 set32(i4 | 0, i20 - i6 | 0);
 set32(i4 + 4 | 0, i6 | 0);
 set32(i4 + 8 | 0, i7 | 0);
 set32(i4 + 12 | 0, i20 + i19 | 0);
 i19 = i1 + 8 | 0;
 if ((_sqlite3VdbeMemSetStr(i19, _sqlite3MPrintf(i3, 38280, i4) | 0, -1, 1, 9) | 0) != 18) {
  STACKTOP = i2;
  return;
 }
 set32(i1 + 52 | 0, 18 | 0);
 _sqlite3VdbeMemSetStr(i19, 16620, -1, 1, 0) | 0;
 STACKTOP = i2;
 return;
}

function _sqlite3_db_config(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i5 = i4;
 set32(i5 | 0, i3 | 0);
 switch (i2 | 0) {
 case 1001:
  {
   i3 = (get32(i5 | 0) | 0) + (4 - 1) & ~(4 - 1);
   i6 = get32(i3 | 0) | 0;
   set32(i5 | 0, i3 + 4 | 0);
   i3 = (get32(i5 | 0) | 0) + (4 - 1) & ~(4 - 1);
   i7 = get32(i3 | 0) | 0;
   set32(i5 | 0, i3 + 4 | 0);
   i3 = (get32(i5 | 0) | 0) + (4 - 1) & ~(4 - 1);
   i8 = get32(i3 | 0) | 0;
   set32(i5 | 0, i3 + 4 | 0);
   i9 = _setupLookaside(i1, i6, i7, i8) | 0;
   STACKTOP = i4;
   return i9 | 0;
  }
 case 1002:
  {
   i10 = 0;
   break;
  }
 default:
  if ((i2 | 0) == 1003) i10 = 1; else {
   i9 = 1;
   STACKTOP = i4;
   return i9 | 0;
  }
 }
 i2 = (get32(i5 | 0) | 0) + (4 - 1) & ~(4 - 1);
 i8 = get32(i2 | 0) | 0;
 set32(i5 | 0, i2 + 4 | 0);
 i2 = (get32(i5 | 0) | 0) + (4 - 1) & ~(4 - 1);
 i7 = get32(i2 | 0) | 0;
 set32(i5 | 0, i2 + 4 | 0);
 i2 = i1 + 12 | 0;
 i5 = get32(i2 | 0) | 0;
 if ((i8 | 0) <= 0) if (!i8) {
  i8 = i5 & ~get32(904 + (i10 << 3) + 4 | 0);
  set32(i2 | 0, i8 | 0);
  i11 = i8;
 } else i11 = i5; else {
  i8 = get32(904 + (i10 << 3) + 4 | 0) | i5;
  set32(i2 | 0, i8 | 0);
  i11 = i8;
 }
 if ((i5 | 0) != (i11 | 0) ? (i5 = get32(i1 + 136 | 0) | 0, (i5 | 0) != 0) : 0) {
  i1 = i5;
  do {
   set8(i1 + 99 >> 0 | 0, 1 | 0);
   i1 = get32(i1 + 64 | 0) | 0;
  } while ((i1 | 0) != 0);
 }
 if (!i7) {
  i9 = 0;
  STACKTOP = i4;
  return i9 | 0;
 }
 set32(i7 | 0, (get32(904 + (i10 << 3) + 4 | 0) & i11 | 0) != 0 & 1 | 0);
 i9 = 0;
 STACKTOP = i4;
 return i9 | 0;
}

function _unixWrite(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0;
 if ((i3 | 0) <= 0) {
  i6 = 0;
  return i6 | 0;
 }
 i7 = i1 + 8 | 0;
 i8 = i3;
 i3 = i2;
 i2 = i5;
 i5 = i4;
 L4 : while (1) {
  i4 = _lseek(get32(i7 | 0) | 0, i5, 0) | 0;
  if (!((i4 | 0) == (i5 | 0) & (((i4 | 0) < 0) << 31 >> 31 | 0) == (i2 | 0))) {
   i9 = i4;
   i10 = 4;
   break;
  }
  while (1) {
   i4 = FUNCTION_TABLE_iiii[get32(1176 | 0) & 63](get32(i7 | 0) | 0, i3, i8) | 0;
   if ((i4 | 0) >= 0) {
    i11 = i4;
    break;
   }
   i4 = get32(___errno_location() | 0 | 0) | 0;
   if ((i4 | 0) != 4) {
    i12 = i4;
    i10 = 12;
    break L4;
   }
  }
  if ((i11 | 0) <= 0) {
   i10 = 11;
   break;
  }
  i8 = i8 - i11 | 0;
  i5 = _i64Add(i11 | 0, ((i11 | 0) < 0) << 31 >> 31 | 0, i5 | 0, i2 | 0) | 0;
  if ((i8 | 0) <= 0) {
   i6 = 0;
   i10 = 15;
   break;
  } else {
   i3 = i3 + i11 | 0;
   i2 = tempRet0;
  }
 }
 do if ((i10 | 0) == 4) {
  if ((i9 | 0) == -1) {
   i2 = get32(___errno_location() | 0 | 0) | 0;
   i11 = i1 + 20 | 0;
   set32(i11 | 0, i2 | 0);
   i13 = i11;
   i14 = i2;
   i10 = 13;
   break;
  }
  set32(i1 + 20 | 0, 0 | 0);
  i6 = 778;
  return i6 | 0;
 } else if ((i10 | 0) == 11) i15 = i1 + 20 | 0; else if ((i10 | 0) == 12) {
  set32(i1 + 20 | 0, i12 | 0);
  i13 = i1 + 20 | 0;
  i14 = i12;
  i10 = 13;
 } else if ((i10 | 0) == 15) return i6 | 0; while (0);
 if ((i10 | 0) == 13) if ((i14 | 0) == 28) i15 = i13; else {
  i6 = 778;
  return i6 | 0;
 }
 set32(i15 | 0, 0 | 0);
 i6 = 13;
 return i6 | 0;
}

function _dateFunc(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 160 | 0;
 i5 = i4 + 48 | 0;
 i6 = i4;
 i7 = i4 + 60 | 0;
 if (_isDate(i1, i2, i3, i6) | 0) {
  STACKTOP = i4;
  return;
 }
 i3 = i6 + 40 | 0;
 i2 = get32(i3 | 0) | 0;
 if (!((i2 & 255) << 24 >> 24)) {
  if (!(i2 & 16711680)) {
   i8 = 2e3;
   i9 = 1;
   i10 = 1;
  } else {
   i2 = i6;
   i11 = _i64Add(get32(i2 | 0) | 0, get32(i2 + 4 | 0) | 0, 432e5, 0) | 0;
   i2 = ___divdi3(i11 | 0, tempRet0 | 0, 864e5, 0) | 0;
   i11 = ~~((+(i2 | 0) + -1867216.25) / 36524.25);
   i12 = i2 + 1525 + i11 + ((i11 | 0) / -4 | 0) | 0;
   i11 = ~~((+(i12 | 0) + -122.1) / 365.25);
   i2 = i12 - ((i11 * 36525 | 0) / 100 | 0) | 0;
   i12 = ~~(+(i2 | 0) / 30.6001);
   i13 = ((i12 | 0) < 14 ? -1 : -13) + i12 | 0;
   i8 = ((i13 | 0) > 2 ? -4716 : -4715) + i11 | 0;
   i9 = i13;
   i10 = i2 - ~~(+(i12 | 0) * 30.6001) | 0;
  }
  set32(i6 + 16 | 0, i10 | 0);
  set32(i6 + 12 | 0, i9 | 0);
  set32(i6 + 8 | 0, i8 | 0);
  set8(i3 >> 0 | 0, 1 | 0);
  i14 = i8;
  i15 = i9;
  i16 = i10;
 } else {
  i14 = get32(i6 + 8 | 0) | 0;
  i15 = get32(i6 + 12 | 0) | 0;
  i16 = get32(i6 + 16 | 0) | 0;
 }
 set32(i5 | 0, i14 | 0);
 set32(i5 + 4 | 0, i15 | 0);
 set32(i5 + 8 | 0, i16 | 0);
 _sqlite3_snprintf(100, i7, 38135, i5) | 0;
 i5 = i1 + 8 | 0;
 if ((_sqlite3VdbeMemSetStr(i5, i7, -1, 1, -1) | 0) == 18) {
  set32(i1 + 52 | 0, 18 | 0);
  _sqlite3VdbeMemSetStr(i5, 16620, -1, 1, 0) | 0;
 }
 STACKTOP = i4;
 return;
}

function _dotlockLock(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i4 = i3;
 i5 = get32(i1 + 24 | 0) | 0;
 i6 = i1 + 16 | 0;
 if (get8(i6 >> 0 | 0) | 0) {
  set8(i6 >> 0 | 0, i2 | 0);
  _utimes(i5 | 0, 0) | 0;
  i7 = 0;
  STACKTOP = i3;
  return i7 | 0;
 }
 L4 : while (1) {
  i8 = FUNCTION_TABLE_iiii[get32(1044 | 0) & 63](i5, 192, 384) | 0;
  if ((i8 | 0) >= 0) {
   i9 = i8;
   i10 = 7;
   break;
  }
  i8 = get32(___errno_location() | 0 | 0) | 0;
  switch (i8 | 0) {
  case 4:
   break;
  case 1:
   {
    i11 = i8;
    i10 = 5;
    break L4;
    break;
   }
  case 13:
  case 37:
  case 16:
  case 110:
  case 11:
  case 17:
   {
    i7 = 5;
    i10 = 12;
    break L4;
    break;
   }
  default:
   {
    i12 = 3850;
    i13 = i8;
    break L4;
   }
  }
 }
 if ((i10 | 0) == 5) {
  i12 = 3;
  i13 = i11;
 } else if ((i10 | 0) == 7) {
  if (FUNCTION_TABLE_ii[get32(1056 | 0) & 127](i9) | 0) {
   if (!i1) i14 = 0; else i14 = get32(i1 + 32 | 0) | 0;
   i9 = get32(___errno_location() | 0 | 0) | 0;
   i11 = _strerror(i9) | 0;
   set32(i4 | 0, 26441 | 0);
   set32(i4 + 4 | 0, i9 | 0);
   set32(i4 + 8 | 0, 19075 | 0);
   set32(i4 + 12 | 0, ((i14 | 0) == 0 ? 16820 : i14) | 0);
   set32(i4 + 16 | 0, i11 | 0);
   _sqlite3_log(4106, 19185, i4);
  }
  set8(i6 >> 0 | 0, i2 | 0);
  i7 = 0;
  STACKTOP = i3;
  return i7 | 0;
 } else if ((i10 | 0) == 12) {
  STACKTOP = i3;
  return i7 | 0;
 }
 set32(i1 + 20 | 0, i13 | 0);
 i7 = i12;
 STACKTOP = i3;
 return i7 | 0;
}

function _sqlite3FkOldmask(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i4 = i3;
 if (!(get32((get32(i1 | 0) | 0) + 12 | 0) & 67108864)) {
  i5 = 0;
  STACKTOP = i3;
  return i5 | 0;
 }
 i6 = get32(i2 + 36 | 0) | 0;
 if (!i6) i7 = 0; else {
  i8 = 0;
  i9 = i6;
  while (1) {
   i6 = get32(i9 + 20 | 0) | 0;
   if ((i6 | 0) > 0) {
    i10 = 0;
    i11 = i8;
    while (1) {
     i12 = get32(i9 + 36 + (i10 << 3) | 0) | 0;
     i13 = ((i12 | 0) > 31 ? -1 : 1 << i12) | i11;
     i10 = i10 + 1 | 0;
     if ((i10 | 0) >= (i6 | 0)) {
      i14 = i13;
      break;
     } else i11 = i13;
    }
   } else i14 = i8;
   i9 = get32(i9 + 4 | 0) | 0;
   if (!i9) {
    i7 = i14;
    break;
   } else i8 = i14;
  }
 }
 i14 = _sqlite3FkReferences(i2) | 0;
 if (!i14) {
  i5 = i7;
  STACKTOP = i3;
  return i5 | 0;
 } else {
  i15 = i7;
  i16 = i14;
 }
 while (1) {
  set32(i4 | 0, 0 | 0);
  _locateFkeyIndex(i1, i2, i16, i4, 0) | 0;
  i14 = get32(i4 | 0) | 0;
  if ((i14 | 0) != 0 ? (i7 = get32(i14 + 4 | 0) | 0, (i7 | 0) > 0) : 0) {
   i8 = get32(i14 + 8 | 0) | 0;
   i14 = 0;
   i9 = i15;
   while (1) {
    i11 = get32(i8 + (i14 << 2) | 0) | 0;
    i6 = ((i11 | 0) > 31 ? -1 : 1 << i11) | i9;
    i14 = i14 + 1 | 0;
    if ((i14 | 0) >= (i7 | 0)) {
     i17 = i6;
     break;
    } else i9 = i6;
   }
  } else i17 = i15;
  i16 = get32(i16 + 12 | 0) | 0;
  if (!i16) {
   i5 = i17;
   break;
  } else i15 = i17;
 }
 STACKTOP = i3;
 return i5 | 0;
}

function _identPut(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0;
 i4 = get32(i2 | 0) | 0;
 i5 = get8(i3 >> 0 | 0) | 0;
 L1 : do if (!(i5 << 24 >> 24)) {
  i6 = 0;
  i7 = 0;
 } else {
  i8 = i5;
  i9 = 0;
  while (1) {
   if (!(i8 << 24 >> 24 == 95 ? 1 : (get8(16821 + (i8 & 255) >> 0 | 0) & 6) != 0)) {
    i6 = i8;
    i7 = i9;
    break L1;
   }
   i10 = i9 + 1 | 0;
   i8 = get8(i3 + i10 >> 0 | 0) | 0;
   if (!(i8 << 24 >> 24)) {
    i6 = 0;
    i7 = i10;
    break;
   } else i9 = i10;
  }
 } while (0);
 if (((i5 & 255) + -48 | 0) >>> 0 >= 10 ? (i9 = (_sqlite3KeywordCode(i3, i7) | 0) != 26, ((i9 ? i9 & 1 : i6 & 255) | 0) == 0) : 0) {
  i11 = 0;
  i12 = i5;
  i13 = i4;
 } else {
  set8(i1 + i4 >> 0 | 0, 34 | 0);
  i11 = 1;
  i12 = get8(i3 >> 0 | 0) | 0;
  i13 = i4 + 1 | 0;
 }
 if (!(i12 << 24 >> 24)) i14 = i13; else {
  i4 = i12;
  i12 = i3;
  i5 = i13;
  i13 = 0;
  while (1) {
   i6 = i5 + 1 | 0;
   set8(i1 + i5 >> 0 | 0, i4 | 0);
   if ((get8(i12 >> 0 | 0) | 0) == 34) {
    set8(i1 + i6 >> 0 | 0, 34 | 0);
    i15 = i5 + 2 | 0;
   } else i15 = i6;
   i13 = i13 + 1 | 0;
   i12 = i3 + i13 | 0;
   i4 = get8(i12 >> 0 | 0) | 0;
   if (!(i4 << 24 >> 24)) {
    i14 = i15;
    break;
   } else i5 = i15;
  }
 }
 if (!i11) {
  i16 = i14;
  i17 = i1 + i16 | 0;
  set8(i17 >> 0 | 0, 0 | 0);
  set32(i2 | 0, i16 | 0);
  return;
 }
 set8(i1 + i14 >> 0 | 0, 34 | 0);
 i16 = i14 + 1 | 0;
 i17 = i1 + i16 | 0;
 set8(i17 >> 0 | 0, 0 | 0);
 set32(i2 | 0, i16 | 0);
 return;
}

function _vfprintf(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 224 | 0;
 i5 = i4 + 80 | 0;
 i6 = i4 + 96 | 0;
 i7 = i4;
 i8 = i4 + 136 | 0;
 i9 = i6;
 i10 = i9 + 40 | 0;
 do {
  set32(i9 | 0, 0 | 0);
  i9 = i9 + 4 | 0;
 } while ((i9 | 0) < (i10 | 0));
 set32(i5 | 0, get32(i3 | 0) | 0);
 if ((_printf_core(0, i2, i5, i7, i6) | 0) < 0) i11 = -1; else {
  if ((get32(i1 + 76 | 0) | 0) > -1) i12 = ___lockfile(i1) | 0; else i12 = 0;
  i3 = get32(i1 | 0) | 0;
  i9 = i3 & 32;
  if ((get8(i1 + 74 >> 0 | 0) | 0) < 1) set32(i1 | 0, i3 & -33 | 0);
  i3 = i1 + 48 | 0;
  if (!(get32(i3 | 0) | 0)) {
   i10 = i1 + 44 | 0;
   i13 = get32(i10 | 0) | 0;
   set32(i10 | 0, i8 | 0);
   i14 = i1 + 28 | 0;
   set32(i14 | 0, i8 | 0);
   i15 = i1 + 20 | 0;
   set32(i15 | 0, i8 | 0);
   set32(i3 | 0, 80 | 0);
   i16 = i1 + 16 | 0;
   set32(i16 | 0, i8 + 80 | 0);
   i8 = _printf_core(i1, i2, i5, i7, i6) | 0;
   if (!i13) i17 = i8; else {
    FUNCTION_TABLE_iiii[get32(i1 + 36 | 0) & 63](i1, 0, 0) | 0;
    i18 = (get32(i15 | 0) | 0) == 0 ? -1 : i8;
    set32(i10 | 0, i13 | 0);
    set32(i3 | 0, 0 | 0);
    set32(i16 | 0, 0 | 0);
    set32(i14 | 0, 0 | 0);
    set32(i15 | 0, 0 | 0);
    i17 = i18;
   }
  } else i17 = _printf_core(i1, i2, i5, i7, i6) | 0;
  i6 = get32(i1 | 0) | 0;
  set32(i1 | 0, i6 | i9 | 0);
  if (i12) ___unlockfile(i1);
  i11 = (i6 & 32 | 0) == 0 ? i17 : -1;
 }
 STACKTOP = i4;
 return i11 | 0;
}

function _unixDelete(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0;
 i1 = STACKTOP;
 STACKTOP = STACKTOP + 80 | 0;
 i4 = i1 + 48 | 0;
 i5 = i1 + 24 | 0;
 i6 = i1;
 i7 = i1 + 68 | 0;
 if ((_unlink(i2) | 0) == -1 ? (i8 = get32(___errno_location() | 0 | 0) | 0, (i8 | 0) != 2) : 0) {
  i9 = _strerror(i8) | 0;
  set32(i6 | 0, 29618 | 0);
  set32(i6 + 4 | 0, i8 | 0);
  set32(i6 + 8 | 0, 19431 | 0);
  set32(i6 + 12 | 0, ((i2 | 0) == 0 ? 16820 : i2) | 0);
  set32(i6 + 16 | 0, i9 | 0);
  _sqlite3_log(2570, 19185, i6);
  i10 = 2570;
  STACKTOP = i1;
  return i10 | 0;
 }
 if (!i3) {
  i10 = 0;
  STACKTOP = i1;
  return i10 | 0;
 }
 i3 = _openDirectory(i2, i7) | 0;
 if (i3) {
  i10 = i3;
  STACKTOP = i1;
  return i10 | 0;
 }
 i3 = get32(i7 | 0) | 0;
 if (!(_fsync(i3) | 0)) i11 = 0; else {
  i7 = get32(___errno_location() | 0 | 0) | 0;
  i6 = _strerror(i7) | 0;
  set32(i5 | 0, 29631 | 0);
  set32(i5 + 4 | 0, i7 | 0);
  set32(i5 + 8 | 0, 19438 | 0);
  set32(i5 + 12 | 0, ((i2 | 0) == 0 ? 16820 : i2) | 0);
  set32(i5 + 16 | 0, i6 | 0);
  _sqlite3_log(1290, 19185, i5);
  i11 = 1290;
 }
 if (!(FUNCTION_TABLE_ii[get32(1056 | 0) & 127](i3) | 0)) {
  i10 = i11;
  STACKTOP = i1;
  return i10 | 0;
 }
 i3 = get32(___errno_location() | 0 | 0) | 0;
 i5 = _strerror(i3) | 0;
 set32(i4 | 0, 29633 | 0);
 set32(i4 + 4 | 0, i3 | 0);
 set32(i4 + 8 | 0, 19075 | 0);
 set32(i4 + 12 | 0, 16820 | 0);
 set32(i4 + 16 | 0, i5 | 0);
 _sqlite3_log(4106, 19185, i4);
 i10 = i11;
 STACKTOP = i1;
 return i10 | 0;
}

function _sqlite3_malloc(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0;
 if ((i1 + -1 | 0) >>> 0 > 2147483390 | (_sqlite3_initialize() | 0) != 0) {
  i2 = 0;
  return i2 | 0;
 }
 if (!(get32(50 * 4 | 0) | 0)) {
  i2 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i1) | 0;
  return i2 | 0;
 }
 i3 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i1) | 0;
 set32(35 * 4 | 0, i1 | 0);
 if ((get32(45 * 4 | 0) | 0) < (i1 | 0)) set32(45 * 4 | 0, i1 | 0);
 i1 = get32(6 * 4 | 0) | 0;
 do if (i1) {
  i4 = get32(30 * 4 | 0) | 0;
  i5 = ((i4 | 0) < 0) << 31 >> 31;
  i6 = 16;
  i7 = _i64Subtract(get32(i6 | 0) | 0, get32(i6 + 4 | 0) | 0, i3 | 0, ((i3 | 0) < 0) << 31 >> 31 | 0) | 0;
  i6 = tempRet0;
  if ((i5 | 0) < (i6 | 0) | (i5 | 0) == (i6 | 0) & i4 >>> 0 < i7 >>> 0) {
   set32(11 * 4 | 0, 0 | 0);
   break;
  } else {
   set32(11 * 4 | 0, 1 | 0);
   i7 = get32(7 * 4 | 0) | 0;
   set32(6 * 4 | 0, 0 | 0);
   FUNCTION_TABLE_viiii[i1 & 15](i7, i4, i5, i3);
   set32(6 * 4 | 0, i1 | 0);
   set32(7 * 4 | 0, i7 | 0);
   break;
  }
 } while (0);
 i1 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i3) | 0;
 if (!i1) {
  i2 = 0;
  return i2 | 0;
 }
 i3 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i1) | 0;
 i7 = (get32(30 * 4 | 0) | 0) + i3 | 0;
 set32(30 * 4 | 0, i7 | 0);
 if ((i7 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i7 | 0);
 i7 = get32(39 * 4 | 0) | 0;
 i3 = i7 + 1 | 0;
 set32(39 * 4 | 0, i3 | 0);
 if ((i7 | 0) < (get32(49 * 4 | 0) | 0)) {
  i2 = i1;
  return i2 | 0;
 }
 set32(49 * 4 | 0, i3 | 0);
 i2 = i1;
 return i2 | 0;
}

function _sqlite3_randomness(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 256 | 0;
 i4 = i3;
 if (!i1) {
  STACKTOP = i3;
  return;
 }
 i5 = i1;
 i1 = i2;
 while (1) {
  i5 = i5 + -1 | 0;
  if (!(get8(18816 | 0) | 0)) {
   set8(18818 | 0, 0 | 0);
   set8(18817 | 0, 0 | 0);
   i2 = (_sqlite3_initialize() | 0) == 0;
   i6 = i2 ? get32(107 * 4 | 0) | 0 : 0;
   FUNCTION_TABLE_iiii[get32(i6 + 56 | 0) & 63](i6, 256, i4) | 0;
   i6 = 0;
   do {
    set8(18819 + i6 >> 0 | 0, i6 | 0);
    i6 = i6 + 1 | 0;
   } while ((i6 | 0) != 256);
   i7 = 0;
   do {
    i6 = 18819 + i7 | 0;
    i2 = (getU8(i4 + i7 >> 0 | 0) | 0) + (getU8(i6 >> 0 | 0) | 0) + (getU8(18818 | 0) | 0) | 0;
    set8(18818 | 0, i2 | 0);
    i8 = 18819 + (i2 & 255) | 0;
    i2 = get8(i8 >> 0 | 0) | 0;
    set8(i8 >> 0 | 0, get8(i6 >> 0 | 0) | 0 | 0);
    set8(i6 >> 0 | 0, i2 | 0);
    i7 = i7 + 1 | 0;
   } while ((i7 | 0) != 256);
   set8(18816 | 0, 1 | 0);
  }
  i2 = (get8(18817 | 0) | 0) + 1 << 24 >> 24;
  set8(18817 | 0, i2 | 0);
  i6 = 18819 + (i2 & 255) | 0;
  i2 = get8(i6 >> 0 | 0) | 0;
  i8 = i2 & 255;
  i9 = (getU8(18818 | 0) | 0) + i8 | 0;
  set8(18818 | 0, i9 | 0);
  i10 = 18819 + (i9 & 255) | 0;
  set8(i6 >> 0 | 0, get8(i10 >> 0 | 0) | 0 | 0);
  set8(i10 >> 0 | 0, i2 | 0);
  set8(i1 >> 0 | 0, get8(18819 + ((getU8(i6 >> 0 | 0) | 0) + i8 & 255) >> 0 | 0) | 0 | 0);
  if (!i5) break; else i1 = i1 + 1 | 0;
 }
 STACKTOP = i3;
 return;
}

function _sqlite3VdbeReset(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i3 = i2 + 16 | 0;
 i4 = i2 + 8 | 0;
 i5 = i2;
 i6 = get32(i1 | 0) | 0;
 _sqlite3VdbeHalt(i1) | 0;
 if ((get32(i1 + 88 | 0) | 0) > -1) {
  i7 = i1 + 56 | 0;
  do if (!(get32(i7 | 0) | 0)) {
   i8 = get32(i1 + 92 | 0) | 0;
   if (!i8) {
    _sqlite3Error(i6, 0, 0, i4);
    break;
   } else {
    _sqlite3Error(i6, i8, 0, i5);
    break;
   }
  } else {
   i8 = get32(366 * 4 | 0) | 0;
   if (i8) FUNCTION_TABLE_v[i8 & 1]();
   i8 = get32(i6 + 212 | 0) | 0;
   if (i8) _sqlite3VdbeMemSetStr(i8, get32(i7 | 0) | 0, -1, 1, -1) | 0;
   i8 = get32(367 * 4 | 0) | 0;
   if (i8) FUNCTION_TABLE_v[i8 & 1]();
   set32(i6 + 20 | 0, get32(i1 + 92 | 0) | 0);
   _sqlite3DbFree(i6, get32(i7 | 0) | 0);
   set32(i7 | 0, 0 | 0);
  } while (0);
  if (get8(i1 + 100 >> 0 | 0) | 0) set8(i1 + 99 >> 0 | 0, 1 | 0);
 } else {
  i7 = get32(i1 + 92 | 0) | 0;
  if ((i7 | 0) != 0 ? (get8(i1 + 99 >> 0 | 0) | 0) != 0 : 0) {
   _sqlite3Error(i6, i7, 0, i3);
   i3 = get32(i6 + 212 | 0) | 0;
   i7 = i1 + 56 | 0;
   if (i3) _sqlite3VdbeMemSetStr(i3, get32(i7 | 0) | 0, -1, 1, -1) | 0;
   _sqlite3DbFree(i6, get32(i7 | 0) | 0);
   set32(i7 | 0, 0 | 0);
  }
 }
 i7 = i1 + 56 | 0;
 _sqlite3DbFree(get32(i1 | 0) | 0, get32(i7 | 0) | 0);
 set32(i7 | 0, 0 | 0);
 set32(i1 + 20 | 0, 0 | 0);
 set32(i1 + 52 | 0, 649915045 | 0);
 STACKTOP = i2;
 return get32(i6 + 24 | 0) & get32(i1 + 92 | 0) | 0;
}

function _sqlite3_column_int(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, d10 = 0.0, i11 = 0, i12 = 0, i13 = 0, i14 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i4 = i3 + 16 | 0;
 i5 = i3 + 8 | 0;
 i6 = i3;
 i7 = (i1 | 0) == 0;
 do if (!i7) {
  i8 = get32(i1 + 20 | 0) | 0;
  if ((i8 | 0) != 0 ? (getU16(i1 + 48 | 0) | 0) >>> 0 > i2 >>> 0 : 0) {
   i9 = i8 + (i2 * 40 | 0) | 0;
   break;
  }
  i8 = get32(i1 | 0) | 0;
  if (i8) {
   _sqlite3Error(i8, 25, 0, i5);
   i9 = 48;
  } else i9 = 48;
 } else i9 = 48; while (0);
 i5 = getU16(i9 + 28 | 0) | 0;
 do if (!(i5 & 4)) {
  if (i5 & 8) {
   d10 = +getF64(i9 + 8 | 0);
   i11 = d10 < -9223372036854775808.0 | d10 > 9223372036854775808.0 ? 0 : ~~d10 >>> 0;
   break;
  }
  if (!(i5 & 18)) i11 = 0; else {
   i2 = i6;
   set32(i2 | 0, 0 | 0);
   set32(i2 + 4 | 0, 0 | 0);
   _sqlite3Atoi64(get32(i9 + 4 | 0) | 0, i6, get32(i9 + 24 | 0) | 0, get8(i9 + 31 >> 0 | 0) | 0) | 0;
   i11 = get32(i6 | 0) | 0;
  }
 } else i11 = get32(i9 + 16 | 0) | 0; while (0);
 if (i7) {
  STACKTOP = i3;
  return i11 | 0;
 }
 i7 = get32(i1 | 0) | 0;
 i9 = i1 + 92 | 0;
 i1 = get32(i9 | 0) | 0;
 if (!i7) {
  i12 = i1;
  i13 = 255;
 } else {
  i6 = i7 + 30 | 0;
  if ((i1 | 0) == 3082 | (get8(i6 >> 0 | 0) | 0) != 0) {
   _sqlite3Error(i7, 7, 0, i4);
   set8(i6 >> 0 | 0, 0 | 0);
   i14 = 7;
  } else i14 = i1;
  i12 = i14;
  i13 = get32(i7 + 24 | 0) | 0;
 }
 set32(i9 | 0, i13 & i12 | 0);
 STACKTOP = i3;
 return i11 | 0;
}

function _renameTableFunc(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i4 = i2;
 i5 = i2 + 16 | 0;
 i6 = _sqlite3ValueText(get32(i3 | 0) | 0, 1) | 0;
 i7 = _sqlite3ValueText(get32(i3 + 4 | 0) | 0, 1) | 0;
 i3 = get32(i1 + 8 | 0) | 0;
 if (!i6) {
  STACKTOP = i2;
  return;
 }
 if (!(get8(i6 >> 0 | 0) | 0)) {
  STACKTOP = i2;
  return;
 } else {
  i8 = 0;
  i9 = i6;
 }
 L6 : while (1) {
  i10 = i8;
  i11 = i9;
  L8 : while (1) {
   i12 = i11 + i10 | 0;
   i13 = _sqlite3GetToken(i12, i5) | 0;
   switch (get32(i5 | 0) | 0) {
   case 22:
   case 121:
    {
     i14 = i8;
     i15 = i9;
     break L6;
     break;
    }
   case 149:
    {
     i10 = i13;
     i11 = i12;
     break;
    }
   default:
    {
     i16 = i12;
     i17 = i13;
     break L8;
    }
   }
  }
  if (!(get8(i16 >> 0 | 0) | 0)) {
   i18 = 8;
   break;
  } else {
   i8 = i17;
   i9 = i16;
  }
 }
 if ((i18 | 0) == 8) {
  STACKTOP = i2;
  return;
 }
 set32(i4 | 0, i15 - i6 | 0);
 set32(i4 + 4 | 0, i6 | 0);
 set32(i4 + 8 | 0, i7 | 0);
 set32(i4 + 12 | 0, i15 + i14 | 0);
 i14 = i1 + 8 | 0;
 if ((_sqlite3VdbeMemSetStr(i14, _sqlite3MPrintf(i3, 38280, i4) | 0, -1, 1, 9) | 0) != 18) {
  STACKTOP = i2;
  return;
 }
 set32(i1 + 52 | 0, 18 | 0);
 _sqlite3VdbeMemSetStr(i14, 16620, -1, 1, 0) | 0;
 STACKTOP = i2;
 return;
}

function _sqlite3ExprSetHeight(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i4 = i3;
 i5 = i3 + 4 | 0;
 set32(i5 | 0, 0 | 0);
 i6 = get32(i2 + 8 | 0) | 0;
 if ((i6 | 0) != 0 ? (i7 = get32(i6 + 44 | 0) | 0, (i7 | 0) > 0) : 0) {
  set32(i5 | 0, i7 | 0);
  i8 = i7;
 } else i8 = 0;
 i7 = get32(i2 + 12 | 0) | 0;
 if ((i7 | 0) != 0 ? (i6 = get32(i7 + 44 | 0) | 0, (i6 | 0) > (i8 | 0)) : 0) {
  set32(i5 | 0, i6 | 0);
  i9 = i6;
 } else i9 = i8;
 i8 = i2 + 16 | 0;
 if (!(get16(i2 + 2 | 0) & 2048)) {
  i6 = get32(i8 | 0) | 0;
  if ((i6 | 0) != 0 ? (i7 = get32(i6 | 0) | 0, (i7 | 0) > 0) : 0) {
   i10 = get32(i6 + 12 | 0) | 0;
   i6 = i9;
   i11 = 0;
   while (1) {
    i12 = get32(i10 + (i11 * 20 | 0) | 0) | 0;
    if ((i12 | 0) != 0 ? (i13 = get32(i12 + 44 | 0) | 0, (i13 | 0) > (i6 | 0)) : 0) {
     set32(i5 | 0, i13 | 0);
     i14 = i13;
    } else i14 = i6;
    i11 = i11 + 1 | 0;
    if ((i11 | 0) == (i7 | 0)) {
     i15 = i14;
     break;
    } else i6 = i14;
   }
  } else i15 = i9;
 } else {
  _heightOfSelect(get32(i8 | 0) | 0, i5);
  i15 = get32(i5 | 0) | 0;
 }
 i5 = i15 + 1 | 0;
 set32(i2 + 44 | 0, i5 | 0);
 i2 = get32((get32(i1 | 0) | 0) + 84 | 0) | 0;
 if ((i2 | 0) >= (i5 | 0)) {
  STACKTOP = i3;
  return;
 }
 set32(i4 | 0, i2 | 0);
 _sqlite3ErrorMsg(i1, 29585, i4);
 STACKTOP = i3;
 return;
}

function _ptrmapGet(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i6 = i5 + 8 | 0;
 i7 = i5;
 i8 = i5 + 16 | 0;
 if (i2 >>> 0 < 2) i9 = 0; else {
  i10 = i2 + -2 | 0;
  i11 = i10 - ((i10 >>> 0) % (((((get32(i1 + 40 | 0) | 0) >>> 0) / 5 | 0) + 1 | 0) >>> 0) | 0) | 0;
  i9 = ((i11 + 1 | 0) == (((get32(199 * 4 | 0) | 0) >>> 0) / ((get32(i1 + 36 | 0) | 0) >>> 0) | 0 | 0) ? 3 : 2) + i11 | 0;
 }
 i11 = _sqlite3PagerAcquire(get32(i1 | 0) | 0, i9, i8, 0) | 0;
 if (i11) {
  i12 = i11;
  STACKTOP = i5;
  return i12 | 0;
 }
 i11 = get32(i8 | 0) | 0;
 i8 = get32(i11 | 0) | 0;
 i1 = (i2 - i9 | 0) * 5 | 0;
 i9 = i1 + -5 | 0;
 if ((i9 | 0) < 0) {
  _sqlite3PagerUnref(i11);
  set32(i7 | 0, 48349 | 0);
  set32(i7 + 4 | 0, 17203 | 0);
  _sqlite3_log(11, 19615, i7);
  i12 = 11;
  STACKTOP = i5;
  return i12 | 0;
 }
 set8(i3 >> 0 | 0, get8(i8 + i9 >> 0 | 0) | 0 | 0);
 if (i4) set32(i4 | 0, (getU8(i8 + (i1 + -3) >> 0 | 0) | 0) << 16 | (getU8(i8 + (i1 + -4) >> 0 | 0) | 0) << 24 | (getU8(i8 + (i1 + -2) >> 0 | 0) | 0) << 8 | (getU8(i8 + (i1 + -1) >> 0 | 0) | 0) | 0);
 _sqlite3PagerUnref(i11);
 if (((get8(i3 >> 0 | 0) | 0) + -1 & 255) <= 4) {
  i12 = 0;
  STACKTOP = i5;
  return i12 | 0;
 }
 set32(i6 | 0, 48357 | 0);
 set32(i6 + 4 | 0, 17203 | 0);
 _sqlite3_log(11, 19615, i6);
 i12 = 11;
 STACKTOP = i5;
 return i12 | 0;
}

function _sqlite3_finalize(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i3 = i2 + 16 | 0;
 i4 = i2 + 8 | 0;
 if (!i1) {
  i5 = 0;
  STACKTOP = i2;
  return i5 | 0;
 }
 i6 = get32(i1 | 0) | 0;
 if (!i6) {
  _sqlite3_log(21, 19714, i2);
  set32(i4 | 0, 60872 | 0);
  set32(i4 + 4 | 0, 17203 | 0);
  _sqlite3_log(21, 39226, i4);
  i5 = 21;
  STACKTOP = i2;
  return i5 | 0;
 }
 i4 = i1 + 52 | 0;
 i7 = get32(i4 | 0) | 0;
 if ((i7 | 0) < 1369188723) switch (i7 | 0) {
 case -1108210269:
  {
   i8 = 5;
   break;
  }
 default:
  {
   i9 = i6;
   i10 = 0;
  }
 } else switch (i7 | 0) {
 case 1369188723:
  {
   i8 = 5;
   break;
  }
 default:
  {
   i9 = i6;
   i10 = 0;
  }
 }
 if ((i8 | 0) == 5) {
  i8 = _sqlite3VdbeReset(i1) | 0;
  i9 = get32(i1 | 0) | 0;
  i10 = i8;
 }
 i8 = get32(i1 + 60 | 0) | 0;
 i7 = i1 + 64 | 0;
 i11 = get32(i7 | 0) | 0;
 if (!i8) {
  set32(i9 + 136 | 0, i11 | 0);
  i12 = i11;
 } else {
  set32(i8 + 64 | 0, i11 | 0);
  i12 = get32(i7 | 0) | 0;
 }
 if (i12) set32(i12 + 60 | 0, i8 | 0);
 set32(i4 | 0, -1241070648 | 0);
 set32(i1 | 0, 0 | 0);
 _sqlite3VdbeDeleteObject(i9, i1);
 i1 = i6 + 30 | 0;
 if ((i10 | 0) == 3082 | (get8(i1 >> 0 | 0) | 0) != 0) {
  _sqlite3Error(i6, 7, 0, i3);
  set8(i1 >> 0 | 0, 0 | 0);
  i13 = 7;
 } else i13 = i10;
 i5 = get32(i6 + 24 | 0) & i13;
 STACKTOP = i2;
 return i5 | 0;
}

function _sqlite3ResolveOrderGroupBy(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i6 = i5 + 8 | 0;
 i7 = i5;
 i8 = get32(i1 | 0) | 0;
 if (!i3) {
  i9 = 0;
  STACKTOP = i5;
  return i9 | 0;
 }
 if (get8(i8 + 30 >> 0 | 0) | 0) {
  i9 = 0;
  STACKTOP = i5;
  return i9 | 0;
 }
 i10 = get32(i3 | 0) | 0;
 if ((i10 | 0) > (get32(i8 + 80 | 0) | 0)) {
  set32(i7 | 0, i4 | 0);
  _sqlite3ErrorMsg(i1, 30562, i7);
  i9 = 1;
  STACKTOP = i5;
  return i9 | 0;
 }
 i7 = get32(i2 | 0) | 0;
 if ((i10 | 0) <= 0) {
  i9 = 0;
  STACKTOP = i5;
  return i9 | 0;
 }
 i2 = i10;
 i10 = 0;
 i8 = get32(i3 + 12 | 0) | 0;
 while (1) {
  i11 = get16(i8 + 14 | 0) | 0;
  if (!(i11 << 16 >> 16)) i12 = i2; else {
   i13 = i11 & 65535;
   i11 = get32(i7 | 0) | 0;
   if ((i13 | 0) > (i11 | 0)) {
    i14 = i11;
    i15 = i10;
    break;
   }
   _resolveAlias(i1, i7, i13 + -1 | 0, get32(i8 | 0) | 0, i4);
   i12 = get32(i3 | 0) | 0;
  }
  i10 = i10 + 1 | 0;
  if ((i10 | 0) >= (i12 | 0)) {
   i9 = 0;
   i16 = 12;
   break;
  } else {
   i2 = i12;
   i8 = i8 + 20 | 0;
  }
 }
 if ((i16 | 0) == 12) {
  STACKTOP = i5;
  return i9 | 0;
 }
 set32(i6 | 0, i15 + 1 | 0);
 set32(i6 + 4 | 0, i4 | 0);
 set32(i6 + 8 | 0, i14 | 0);
 _sqlite3ErrorMsg(i1, 30506, i6);
 i9 = 1;
 STACKTOP = i5;
 return i9 | 0;
}

function _sqlite3_column_double(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, d10 = 0.0, i11 = 0, i12 = 0, i13 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i4 = i3 + 16 | 0;
 i5 = i3 + 8 | 0;
 i6 = i3;
 i7 = (i1 | 0) == 0;
 do if (!i7) {
  i8 = get32(i1 + 20 | 0) | 0;
  if ((i8 | 0) != 0 ? (getU16(i1 + 48 | 0) | 0) >>> 0 > i2 >>> 0 : 0) {
   i9 = i8 + (i2 * 40 | 0) | 0;
   break;
  }
  i8 = get32(i1 | 0) | 0;
  if (i8) {
   _sqlite3Error(i8, 25, 0, i5);
   i9 = 48;
  } else i9 = 48;
 } else i9 = 48; while (0);
 i5 = getU16(i9 + 28 | 0) | 0;
 do if (!(i5 & 8)) {
  if (i5 & 4) {
   i2 = i9 + 16 | 0;
   d10 = +((get32(i2 | 0) | 0) >>> 0) + 4294967296.0 * +(get32(i2 + 4 | 0) | 0);
   break;
  }
  if (!(i5 & 18)) d10 = 0.0; else {
   setF64(i6 | 0, +(0.0));
   _sqlite3AtoF(get32(i9 + 4 | 0) | 0, i6, get32(i9 + 24 | 0) | 0, get8(i9 + 31 >> 0 | 0) | 0) | 0;
   d10 = +getF64(i6 | 0);
  }
 } else d10 = +getF64(i9 + 8 | 0); while (0);
 if (i7) {
  STACKTOP = i3;
  return +d10;
 }
 i7 = get32(i1 | 0) | 0;
 i9 = i1 + 92 | 0;
 i1 = get32(i9 | 0) | 0;
 if (!i7) {
  i11 = i1;
  i12 = 255;
 } else {
  i6 = i7 + 30 | 0;
  if ((i1 | 0) == 3082 | (get8(i6 >> 0 | 0) | 0) != 0) {
   _sqlite3Error(i7, 7, 0, i4);
   set8(i6 >> 0 | 0, 0 | 0);
   i13 = 7;
  } else i13 = i1;
  i11 = i13;
  i12 = get32(i7 + 24 | 0) | 0;
 }
 set32(i9 | 0, i12 & i11 | 0);
 STACKTOP = i3;
 return +d10;
}

function _sqlite3_backup_finish(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i3 = i2;
 if (!i1) {
  i4 = 0;
  STACKTOP = i2;
  return i4 | 0;
 }
 i5 = get32(i1 + 24 | 0) | 0;
 i6 = get32(i5 + 4 | 0) | 0;
 set32(i6 + 4 | 0, get32(i5 | 0) | 0);
 if (get32(i1 | 0) | 0) {
  i7 = i5 + 16 | 0;
  set32(i7 | 0, (get32(i7 | 0) | 0) + -1 | 0);
 }
 if (get32(i1 + 40 | 0) | 0) {
  i7 = (get32(i6 | 0) | 0) + 88 | 0;
  while (1) {
   i6 = get32(i7 | 0) | 0;
   if ((i6 | 0) == (i1 | 0)) {
    i8 = i7;
    break;
   } else i7 = i6 + 44 | 0;
  }
  set32(i8 | 0, get32(i1 + 44 | 0) | 0);
 }
 _sqlite3BtreeRollback(get32(i1 + 4 | 0) | 0);
 i8 = get32(i1 + 28 | 0) | 0;
 i7 = (i8 | 0) == 101 ? 0 : i8;
 _sqlite3Error(get32(i1 | 0) | 0, i7, 0, i3);
 if (!(get32(i1 | 0) | 0)) {
  i4 = i7;
  STACKTOP = i2;
  return i4 | 0;
 }
 if (!(get32(50 * 4 | 0) | 0)) {
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i1);
  i4 = i7;
  STACKTOP = i2;
  return i4 | 0;
 }
 i3 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i1) | 0;
 i8 = (get32(30 * 4 | 0) | 0) - i3 | 0;
 set32(30 * 4 | 0, i8 | 0);
 if ((i8 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i8 | 0);
 i8 = (get32(39 * 4 | 0) | 0) + -1 | 0;
 set32(39 * 4 | 0, i8 | 0);
 if ((i8 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i8 | 0);
 FUNCTION_TABLE_vi[get32(232 | 0) & 31](i1);
 i4 = i7;
 STACKTOP = i2;
 return i4 | 0;
}

function _sqlite3_result_double(i1, d2) {
 i1 = i1 | 0;
 d2 = +d2;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i4 = i3 + 8 | 0;
 i5 = i3;
 i6 = i1 + 8 | 0;
 setF64(i4 | 0, +d2);
 setF64(i5 | 0, +(+getF64(i4 | 0)));
 if (!(+getF64(i4 | 0) != +getF64(i5 | 0))) {
  _sqlite3VdbeMemReleaseExternal(i6);
  i5 = i1 + 44 | 0;
  _sqlite3DbFree(get32(i6 | 0) | 0, get32(i5 | 0) | 0);
  set32(i1 + 12 | 0, 0 | 0);
  set32(i5 | 0, 0 | 0);
  set32(i1 + 40 | 0, 0 | 0);
  setF64(i1 + 16 | 0, +d2);
  set16(i1 + 36 | 0, 8 | 0);
  set8(i1 + 38 >> 0 | 0, 2 | 0);
  STACKTOP = i3;
  return;
 }
 i5 = i1 + 36 | 0;
 i6 = get16(i5 | 0) | 0;
 if (i6 & 64) {
  i4 = get32(i1 + 24 | 0) | 0;
  i7 = (get32(i4 | 0) | 0) + 172 | 0;
  set32(i4 + 60 | 0, get32(i7 | 0) | 0);
  set32(i7 | 0, i4 | 0);
 }
 if (!(i6 & 32)) i8 = i6; else {
  i4 = get32(i1 + 24 | 0) | 0;
  i7 = get32(i4 | 0) | 0;
  if (!i7) i9 = i6; else {
   i6 = i4 + 4 | 0;
   i10 = i7;
   do {
    i7 = i10;
    i10 = get32(i10 | 0) | 0;
    _sqlite3DbFree(get32(i6 | 0) | 0, i7);
   } while ((i10 | 0) != 0);
   i9 = get16(i5 | 0) | 0;
  }
  set32(i4 | 0, 0 | 0);
  set16(i4 + 24 | 0, 0 | 0);
  set32(i4 + 8 | 0, 0 | 0);
  set32(i4 + 12 | 0, 0 | 0);
  set32(i4 + 20 | 0, 0 | 0);
  set8(i4 + 26 >> 0 | 0, 1 | 0);
  i8 = i9;
 }
 set16(i5 | 0, i8 & 48896 | 1 | 0);
 set8(i1 + 38 >> 0 | 0, 5 | 0);
 STACKTOP = i3;
 return;
}

function _sqlite3_result_value(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0;
 i3 = i1 + 8 | 0;
 _sqlite3VdbeMemReleaseExternal(i3);
 i4 = i3;
 i5 = i2;
 i6 = i4 + 36 | 0;
 do {
  set32(i4 | 0, get32(i5 | 0) | 0);
  i4 = i4 + 4 | 0;
  i5 = i5 + 4 | 0;
 } while ((i4 | 0) < (i6 | 0));
 i5 = i1 + 36 | 0;
 i4 = getU16(i5 | 0) | 0;
 i6 = i4 & 64511;
 set16(i5 | 0, i6 | 0);
 if (!(i4 & 18)) return;
 if (get16(i2 + 28 | 0) & 2048) return;
 i2 = (i6 | 4096) & 65535;
 set16(i5 | 0, i2 | 0);
 do if (i2 & 16384) {
  i6 = i1 + 32 | 0;
  i4 = i1 + 24 | 0;
  i7 = (get32(i4 | 0) | 0) + (get32(i6 | 0) | 0) | 0;
  if (!(_sqlite3VdbeMemGrow(i3, (i7 | 0) < 1 ? 1 : i7, 1) | 0)) {
   _memset((get32(i1 + 12 | 0) | 0) + (get32(i6 | 0) | 0) | 0, 0, get32(i4 | 0) | 0) | 0;
   set32(i6 | 0, (get32(i6 | 0) | 0) + (get32(i4 | 0) | 0) | 0);
   i4 = (getU16(i5 | 0) | 0) & 48639;
   set16(i5 | 0, i4 | 0);
   i8 = i4;
   break;
  } else {
   i8 = get16(i5 | 0) | 0;
   break;
  }
 } else i8 = i2; while (0);
 if (!(i8 & 18)) return;
 i8 = i1 + 12 | 0;
 if ((get32(i8 | 0) | 0) == (get32(i1 + 44 | 0) | 0)) return;
 i2 = i1 + 32 | 0;
 if (_sqlite3VdbeMemGrow(i3, (get32(i2 | 0) | 0) + 2 | 0, 1) | 0) return;
 set8((get32(i8 | 0) | 0) + (get32(i2 | 0) | 0) >> 0 | 0, 0 | 0);
 set8((get32(i8 | 0) | 0) + ((get32(i2 | 0) | 0) + 1) >> 0 | 0, 0 | 0);
 set16(i5 | 0, getU16(i5 | 0) | 0 | 512 | 0);
 return;
}

function _mallocWithAlarm(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0;
 i3 = FUNCTION_TABLE_ii[get32(244 | 0) & 127](i1) | 0;
 set32(35 * 4 | 0, i1 | 0);
 if ((get32(45 * 4 | 0) | 0) < (i1 | 0)) set32(45 * 4 | 0, i1 | 0);
 i1 = get32(6 * 4 | 0) | 0;
 do if (i1) {
  i4 = get32(30 * 4 | 0) | 0;
  i5 = ((i4 | 0) < 0) << 31 >> 31;
  i6 = 16;
  i7 = _i64Subtract(get32(i6 | 0) | 0, get32(i6 + 4 | 0) | 0, i3 | 0, ((i3 | 0) < 0) << 31 >> 31 | 0) | 0;
  i6 = tempRet0;
  if ((i5 | 0) < (i6 | 0) | (i5 | 0) == (i6 | 0) & i4 >>> 0 < i7 >>> 0) {
   set32(11 * 4 | 0, 0 | 0);
   break;
  } else {
   set32(11 * 4 | 0, 1 | 0);
   i7 = get32(7 * 4 | 0) | 0;
   set32(6 * 4 | 0, 0 | 0);
   FUNCTION_TABLE_viiii[i1 & 15](i7, i4, i5, i3);
   set32(6 * 4 | 0, i1 | 0);
   set32(7 * 4 | 0, i7 | 0);
   break;
  }
 } while (0);
 i1 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i3) | 0;
 if (!i1) {
  i8 = i3;
  set32(i2 | 0, i1 | 0);
  return i8 | 0;
 }
 i3 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i1) | 0;
 i7 = (get32(30 * 4 | 0) | 0) + i3 | 0;
 set32(30 * 4 | 0, i7 | 0);
 if ((i7 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i7 | 0);
 i7 = get32(39 * 4 | 0) | 0;
 i5 = i7 + 1 | 0;
 set32(39 * 4 | 0, i5 | 0);
 if ((i7 | 0) < (get32(49 * 4 | 0) | 0)) {
  i8 = i3;
  set32(i2 | 0, i1 | 0);
  return i8 | 0;
 }
 set32(49 * 4 | 0, i5 | 0);
 i8 = i3;
 set32(i2 | 0, i1 | 0);
 return i8 | 0;
}

function _memjrnlRead(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0;
 i6 = i1 + 24 | 0;
 i7 = i6;
 L1 : do if ((i4 | 0) == 0 & (i5 | 0) == 0 | ((get32(i7 | 0) | 0) != (i4 | 0) ? 1 : (get32(i7 + 4 | 0) | 0) != (i5 | 0))) {
  i8 = get32(i1 + 4 | 0) | 0;
  if (!i8) i9 = 0; else {
   i10 = 0;
   i11 = 0;
   i12 = i8;
   while (1) {
    i10 = _i64Add(i10 | 0, i11 | 0, 1020, 0) | 0;
    i11 = tempRet0;
    if ((i11 | 0) > (i5 | 0) | (i11 | 0) == (i5 | 0) & i10 >>> 0 > i4 >>> 0) {
     i9 = i12;
     break L1;
    }
    i12 = get32(i12 | 0) | 0;
    if (!i12) {
     i9 = 0;
     break;
    }
   }
  }
 } else i9 = get32(i1 + 32 | 0) | 0; while (0);
 i7 = ___remdi3(i4 | 0, i5 | 0, 1020, 0) | 0;
 i12 = i7;
 i7 = i3;
 i10 = i9;
 i9 = i2;
 while (1) {
  i2 = 1020 - i12 | 0;
  i11 = (i7 | 0) < (i2 | 0) ? i7 : i2;
  _memcpy(i9 | 0, i10 + 4 + i12 | 0, i11 | 0) | 0;
  i7 = i7 - i2 | 0;
  if ((i7 | 0) <= -1) {
   i13 = i10;
   break;
  }
  i2 = get32(i10 | 0) | 0;
  if (!((i7 | 0) > 0 & (i2 | 0) != 0)) {
   i13 = i2;
   break;
  } else {
   i12 = 0;
   i10 = i2;
   i9 = i9 + i11 | 0;
  }
 }
 i9 = _i64Add(i3 | 0, ((i3 | 0) < 0) << 31 >> 31 | 0, i4 | 0, i5 | 0) | 0;
 i5 = i6;
 set32(i5 | 0, i9 | 0);
 set32(i5 + 4 | 0, tempRet0 | 0);
 set32(i1 + 32 | 0, i13 | 0);
 return 0;
}

function _substExpr(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0;
 if (!i2) {
  i5 = 0;
  return i5 | 0;
 }
 if ((get8(i2 >> 0 | 0) | 0) == -104 ? (get32(i2 + 24 | 0) | 0) == (i3 | 0) : 0) {
  i6 = get16(i2 + 28 | 0) | 0;
  if (i6 << 16 >> 16 < 0) {
   set8(i2 >> 0 | 0, 98 | 0);
   i5 = i2;
   return i5 | 0;
  }
  i7 = _exprDup(i1, get32((get32(i4 + 12 | 0) | 0) + ((i6 << 16 >> 16) * 20 | 0) | 0) | 0, 0, 0) | 0;
  if ((i7 | 0) != 0 ? (i6 = get32(i2 + 20 | 0) | 0, (i6 | 0) != 0) : 0) set32(i7 + 20 | 0, i6 | 0);
  _sqlite3ExprDelete(i1, i2);
  i5 = i7;
  return i5 | 0;
 }
 i7 = i2 + 8 | 0;
 set32(i7 | 0, _substExpr(i1, get32(i7 | 0) | 0, i3, i4) | 0 | 0);
 i7 = i2 + 12 | 0;
 set32(i7 | 0, _substExpr(i1, get32(i7 | 0) | 0, i3, i4) | 0 | 0);
 i7 = i2 + 16 | 0;
 if (get16(i2 + 2 | 0) & 2048) {
  _substSelect(i1, get32(i7 | 0) | 0, i3, i4);
  i5 = i2;
  return i5 | 0;
 }
 i6 = get32(i7 | 0) | 0;
 if (!i6) {
  i5 = i2;
  return i5 | 0;
 }
 if ((get32(i6 | 0) | 0) <= 0) {
  i5 = i2;
  return i5 | 0;
 }
 i7 = i6 + 12 | 0;
 i8 = get32(i7 | 0) | 0;
 i9 = 0;
 do {
  i10 = _substExpr(i1, get32(i8 + (i9 * 20 | 0) | 0) | 0, i3, i4) | 0;
  i8 = get32(i7 | 0) | 0;
  set32(i8 + (i9 * 20 | 0) | 0, i10 | 0);
  i9 = i9 + 1 | 0;
 } while ((i9 | 0) < (get32(i6 | 0) | 0));
 i5 = i2;
 return i5 | 0;
}

function _getSafetyLevel(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i3 = i2;
 i4 = get8(i1 >> 0 | 0) | 0;
 L1 : do if (((i4 & 255) + -48 | 0) >>> 0 < 10) {
  set32(i3 | 0, 0 | 0);
  _sqlite3GetInt32(i1, i3) | 0;
  i5 = get32(i3 | 0) & 255;
 } else {
  if (!(i4 << 24 >> 24)) i6 = i1; else {
   i7 = i1;
   while (1) {
    i8 = i7 + 1 | 0;
    if (!(get8(i8 >> 0 | 0) | 0)) {
     i6 = i8;
     break;
    } else i7 = i8;
   }
  }
  switch (i6 - i1 & 1073741823 | 0) {
  case 2:
   {
    if (_sqlite3_strnicmp(19252, i1, 2) | 0) if (!(_sqlite3_strnicmp(19253, i1, 2) | 0)) i9 = 1; else {
     i5 = 1;
     break L1;
    } else i9 = 0;
    break;
   }
  case 3:
   {
    if (_sqlite3_strnicmp(19254, i1, 3) | 0) if (!(_sqlite3_strnicmp(19261, i1, 3) | 0)) i9 = 4; else {
     i5 = 1;
     break L1;
    } else i9 = 2;
    break;
   }
  case 5:
   {
    if (!(_sqlite3_strnicmp(19256, i1, 5) | 0)) i9 = 3; else {
     i5 = 1;
     break L1;
    }
    break;
   }
  case 4:
   {
    if (_sqlite3_strnicmp(19264, i1, 4) | 0) if (!(_sqlite3_strnicmp(19268, i1, 4) | 0)) i9 = 6; else {
     i5 = 1;
     break L1;
    } else i9 = 5;
    break;
   }
  default:
   {
    i5 = 1;
    break L1;
   }
  }
  i5 = get8(19273 + i9 >> 0 | 0) | 0;
 } while (0);
 STACKTOP = i2;
 return i5 | 0;
}

function _sqlite3_errmsg16(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i3 = i2;
 if (!i1) {
  i4 = 10084;
  STACKTOP = i2;
  return i4 | 0;
 }
 i5 = get32(i1 + 56 | 0) | 0;
 L4 : do if ((i5 | 0) >= -264537850) if ((i5 | 0) < 1266094736) switch (i5 | 0) {
 case -264537850:
  {
   break L4;
   break;
  }
 default:
  {
   i6 = 3;
   break L4;
  }
 } else switch (i5 | 0) {
 case 1266094736:
  {
   break L4;
   break;
  }
 default:
  {
   i6 = 3;
   break L4;
  }
 } else switch (i5 | 0) {
 case -1607883113:
  break;
 default:
  i6 = 3;
 } while (0);
 if ((i6 | 0) == 3) {
  set32(i3 | 0, 38376 | 0);
  _sqlite3_log(21, 26104, i3);
  i4 = 10112;
  STACKTOP = i2;
  return i4 | 0;
 }
 i3 = i1 + 30 | 0;
 if (get8(i3 >> 0 | 0) | 0) {
  i4 = 10084;
  STACKTOP = i2;
  return i4 | 0;
 }
 i6 = i1 + 212 | 0;
 i5 = _sqlite3ValueText(get32(i6 | 0) | 0, 2) | 0;
 if (!i5) {
  i7 = get32(i6 | 0) | 0;
  i8 = get32(i1 + 20 | 0) & 255;
  if (i8 >>> 0 > 26 | (i8 | 0) == 2) i9 = 38974; else i9 = get32(5652 + (i8 << 2) | 0) | 0;
  if (!i7) i10 = 0; else {
   _sqlite3VdbeMemSetStr(i7, i9, -1, 1, 0) | 0;
   i10 = get32(i6 | 0) | 0;
  }
  i11 = _sqlite3ValueText(i10, 2) | 0;
 } else i11 = i5;
 set8(i3 >> 0 | 0, 0 | 0);
 i4 = i11;
 STACKTOP = i2;
 return i4 | 0;
}

function _sqlite3DbFree(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0;
 do if (!i1) {
  if (!i2) return;
 } else {
  i3 = i1 + 504 | 0;
  i4 = get32(i3 | 0) | 0;
  i5 = (i2 | 0) == 0;
  if (!i4) {
   if (i5) return;
   if ((get32(i1 + 260 | 0) | 0) >>> 0 > i2 >>> 0) break;
   if ((get32(i1 + 264 | 0) | 0) >>> 0 <= i2 >>> 0) break;
   i6 = i1 + 256 | 0;
   set32(i2 | 0, get32(i6 | 0) | 0);
   set32(i6 | 0, i2 | 0);
   i6 = i1 + 236 | 0;
   set32(i6 | 0, (get32(i6 | 0) | 0) + -1 | 0);
   return;
  }
  if ((!i5 ? (get32(i1 + 260 | 0) | 0) >>> 0 <= i2 >>> 0 : 0) ? (get32(i1 + 264 | 0) | 0) >>> 0 > i2 >>> 0 : 0) {
   i7 = getU16(i1 + 232 | 0) | 0;
   i8 = i4;
  } else {
   i4 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i2) | 0;
   i7 = i4;
   i8 = get32(i3 | 0) | 0;
  }
  set32(i8 | 0, (get32(i8 | 0) | 0) + i7 | 0);
  return;
 } while (0);
 if (!(get32(50 * 4 | 0) | 0)) {
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i2);
  return;
 }
 i7 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i2) | 0;
 i8 = (get32(30 * 4 | 0) | 0) - i7 | 0;
 set32(30 * 4 | 0, i8 | 0);
 if ((i8 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i8 | 0);
 i8 = (get32(39 * 4 | 0) | 0) + -1 | 0;
 set32(39 * 4 | 0, i8 | 0);
 if ((i8 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i8 | 0);
 FUNCTION_TABLE_vi[get32(232 | 0) & 31](i2);
 return;
}

function _unixTruncate(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i5 = i4;
 i6 = get32(i1 + 40 | 0) | 0;
 if (!i6) i7 = i2; else {
  i8 = ((i6 | 0) < 0) << 31 >> 31;
  i9 = _i64Add(i2 | 0, i3 | 0, -1, -1) | 0;
  i3 = _i64Add(i9 | 0, tempRet0 | 0, i6 | 0, i8 | 0) | 0;
  i9 = tempRet0;
  i2 = ___remdi3(i3 | 0, i9 | 0, i6 | 0, i8 | 0) | 0;
  i8 = _i64Subtract(i3 | 0, i9 | 0, i2 | 0, tempRet0 | 0) | 0;
  i7 = i8;
 }
 i8 = get32(i1 + 8 | 0) | 0;
 while (1) {
  i2 = FUNCTION_TABLE_iii[get32(1116 | 0) & 127](i8, i7) | 0;
  if ((i2 | 0) >= 0) {
   i10 = i2;
   i11 = 6;
   break;
  }
  i2 = ___errno_location() | 0;
  if ((get32(i2 | 0) | 0) != 4) {
   i12 = i2;
   break;
  }
 }
 do if ((i11 | 0) == 6) if (!i10) {
  i13 = 0;
  STACKTOP = i4;
  return i13 | 0;
 } else {
  i12 = ___errno_location() | 0;
  break;
 } while (0);
 set32(i1 + 20 | 0, get32(i12 | 0) | 0);
 i10 = get32(i1 + 32 | 0) | 0;
 i1 = get32(i12 | 0) | 0;
 i12 = _strerror(i1) | 0;
 set32(i5 | 0, 27804 | 0);
 set32(i5 + 4 | 0, i1 | 0);
 set32(i5 + 8 | 0, 19111 | 0);
 set32(i5 + 12 | 0, ((i10 | 0) == 0 ? 16820 : i10) | 0);
 set32(i5 + 16 | 0, i12 | 0);
 _sqlite3_log(1546, 19185, i5);
 i13 = 1546;
 STACKTOP = i4;
 return i13 | 0;
}

function _sqlite3_column_bytes16(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i4 = i3 + 8 | 0;
 i5 = i3;
 i6 = (i1 | 0) == 0;
 do if (!i6) {
  i7 = get32(i1 + 20 | 0) | 0;
  if ((i7 | 0) != 0 ? (getU16(i1 + 48 | 0) | 0) >>> 0 > i2 >>> 0 : 0) {
   i8 = i7 + (i2 * 40 | 0) | 0;
   break;
  }
  i7 = get32(i1 | 0) | 0;
  if (i7) {
   _sqlite3Error(i7, 25, 0, i5);
   i8 = 48;
  } else i8 = 48;
 } else i8 = 48; while (0);
 i5 = i8 + 28 | 0;
 i2 = get16(i5 | 0) | 0;
 if (!(i2 & 16)) if (!(_sqlite3ValueText(i8, 2) | 0)) i9 = 0; else {
  i10 = get16(i5 | 0) | 0;
  i11 = 10;
 } else {
  i10 = i2;
  i11 = 10;
 }
 if ((i11 | 0) == 10) {
  i11 = get32(i8 + 24 | 0) | 0;
  if (!(i10 & 16384)) i9 = i11; else i9 = (get32(i8 + 16 | 0) | 0) + i11 | 0;
 }
 if (i6) {
  STACKTOP = i3;
  return i9 | 0;
 }
 i6 = get32(i1 | 0) | 0;
 i11 = i1 + 92 | 0;
 i1 = get32(i11 | 0) | 0;
 if (!i6) {
  i12 = i1;
  i13 = 255;
 } else {
  i8 = i6 + 30 | 0;
  if ((i1 | 0) == 3082 | (get8(i8 >> 0 | 0) | 0) != 0) {
   _sqlite3Error(i6, 7, 0, i4);
   set8(i8 >> 0 | 0, 0 | 0);
   i14 = 7;
  } else i14 = i1;
  i12 = i14;
  i13 = get32(i6 + 24 | 0) | 0;
 }
 set32(i11 | 0, i13 & i12 | 0);
 STACKTOP = i3;
 return i9 | 0;
}

function _sqlite3_column_bytes(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i4 = i3 + 8 | 0;
 i5 = i3;
 i6 = (i1 | 0) == 0;
 do if (!i6) {
  i7 = get32(i1 + 20 | 0) | 0;
  if ((i7 | 0) != 0 ? (getU16(i1 + 48 | 0) | 0) >>> 0 > i2 >>> 0 : 0) {
   i8 = i7 + (i2 * 40 | 0) | 0;
   break;
  }
  i7 = get32(i1 | 0) | 0;
  if (i7) {
   _sqlite3Error(i7, 25, 0, i5);
   i8 = 48;
  } else i8 = 48;
 } else i8 = 48; while (0);
 i5 = i8 + 28 | 0;
 i2 = get16(i5 | 0) | 0;
 if (!(i2 & 16)) if (!(_sqlite3ValueText(i8, 1) | 0)) i9 = 0; else {
  i10 = get16(i5 | 0) | 0;
  i11 = 10;
 } else {
  i10 = i2;
  i11 = 10;
 }
 if ((i11 | 0) == 10) {
  i11 = get32(i8 + 24 | 0) | 0;
  if (!(i10 & 16384)) i9 = i11; else i9 = (get32(i8 + 16 | 0) | 0) + i11 | 0;
 }
 if (i6) {
  STACKTOP = i3;
  return i9 | 0;
 }
 i6 = get32(i1 | 0) | 0;
 i11 = i1 + 92 | 0;
 i1 = get32(i11 | 0) | 0;
 if (!i6) {
  i12 = i1;
  i13 = 255;
 } else {
  i8 = i6 + 30 | 0;
  if ((i1 | 0) == 3082 | (get8(i8 >> 0 | 0) | 0) != 0) {
   _sqlite3Error(i6, 7, 0, i4);
   set8(i8 >> 0 | 0, 0 | 0);
   i14 = 7;
  } else i14 = i1;
  i12 = i14;
  i13 = get32(i6 + 24 | 0) | 0;
 }
 set32(i11 | 0, i13 & i12 | 0);
 STACKTOP = i3;
 return i9 | 0;
}

function _sqlite3ResolveExprNames(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i4 = i3;
 i5 = i3 + 8 | 0;
 if (!i2) {
  i6 = 0;
  STACKTOP = i3;
  return i6 | 0;
 }
 i7 = get32(i1 | 0) | 0;
 i8 = i2 + 44 | 0;
 i9 = i7 + 540 | 0;
 i10 = (get32(i9 | 0) | 0) + (get32(i8 | 0) | 0) | 0;
 i11 = get32((get32(i7 | 0) | 0) + 84 | 0) | 0;
 if ((i11 | 0) < (i10 | 0)) {
  set32(i4 | 0, i11 | 0);
  _sqlite3ErrorMsg(i7, 29585, i4);
  i6 = 1;
  STACKTOP = i3;
  return i6 | 0;
 }
 set32(i9 | 0, i10 | 0);
 i10 = i1 + 21 | 0;
 i9 = get8(i10 >> 0 | 0) | 0;
 set8(i10 >> 0 | 0, 0 | 0);
 set32(i5 | 0, 71 | 0);
 set32(i5 + 4 | 0, 72 | 0);
 i4 = i5 + 8 | 0;
 set32(i4 | 0, i7 | 0);
 set32(i5 + 12 | 0, i1 | 0);
 _sqlite3WalkExpr(i5, i2) | 0;
 i5 = (get32(i1 | 0) | 0) + 540 | 0;
 set32(i5 | 0, (get32(i5 | 0) | 0) - (get32(i8 | 0) | 0) | 0);
 if (!((get32(i1 + 16 | 0) | 0) <= 0 ? (get32((get32(i4 | 0) | 0) + 64 | 0) | 0) <= 0 : 0)) {
  i4 = i2 + 2 | 0;
  set16(i4 | 0, getU16(i4 | 0) | 8 | 0);
 }
 if (!(get8(i10 >> 0 | 0) | 0)) {
  if (i9 << 24 >> 24) set8(i10 >> 0 | 0, 1 | 0);
 } else {
  i10 = i2 + 2 | 0;
  set16(i10 | 0, getU16(i10 | 0) | 2 | 0);
 }
 i6 = (getU16(i2 + 2 | 0) | 0) >>> 3 & 1;
 STACKTOP = i3;
 return i6 | 0;
}

function _sqlite3_create_function16(i1, i2, i3, i4, i5, i6, i7, i8) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 i7 = i7 | 0;
 i8 = i8 | 0;
 var i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0, i18 = 0;
 i9 = STACKTOP;
 STACKTOP = STACKTOP + 48 | 0;
 i10 = i9 + 40 | 0;
 i11 = i9;
 i12 = i11;
 i13 = i12 + 40 | 0;
 do {
  set32(i12 | 0, 0 | 0);
  i12 = i12 + 4 | 0;
 } while ((i12 | 0) < (i13 | 0));
 set32(i11 | 0, i1 | 0);
 _sqlite3VdbeMemSetStr(i11, i2, -1, 2, 0) | 0;
 _sqlite3VdbeChangeEncoding(i11, 1) | 0;
 i2 = i1 + 30 | 0;
 if (!(get8(i2 >> 0 | 0) | 0)) i14 = get32(i11 + 4 | 0) | 0; else {
  _sqlite3VdbeMemReleaseExternal(i11);
  i12 = i11 + 36 | 0;
  _sqlite3DbFree(get32(i11 | 0) | 0, get32(i12 | 0) | 0);
  set32(i12 | 0, 0 | 0);
  set32(i11 + 32 | 0, 0 | 0);
  set32(i11 + 4 | 0, 0 | 0);
  i14 = 0;
 }
 i11 = _sqlite3CreateFunc(i1, i14, i3, i4, i5, i6, i7, i8, 0) | 0;
 _sqlite3DbFree(i1, i14);
 if (!((i11 | 0) == 3082 | (get8(i2 >> 0 | 0) | 0) != 0)) {
  i15 = i11;
  i16 = i1 + 24 | 0;
  i17 = get32(i16 | 0) | 0;
  i18 = i17 & i15;
  STACKTOP = i9;
  return i18 | 0;
 }
 _sqlite3Error(i1, 7, 0, i10);
 set8(i2 >> 0 | 0, 0 | 0);
 i15 = 7;
 i16 = i1 + 24 | 0;
 i17 = get32(i16 | 0) | 0;
 i18 = i17 & i15;
 STACKTOP = i9;
 return i18 | 0;
}

function _sqlite3_transfer_bindings(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0;
 i3 = i1 + 80 | 0;
 i4 = get16(i3 | 0) | 0;
 if (i4 << 16 >> 16 != (get16(i2 + 80 | 0) | 0)) {
  i5 = 1;
  return i5 | 0;
 }
 if ((get8(i2 + 105 >> 0 | 0) | 0) != 0 ? (get32(i2 + 180 | 0) | 0) != 0 : 0) set8(i2 + 99 >> 0 | 0, 1 | 0);
 if ((get8(i1 + 105 >> 0 | 0) | 0) != 0 ? (get32(i1 + 180 | 0) | 0) != 0 : 0) set8(i1 + 99 >> 0 | 0, 1 | 0);
 if (i4 << 16 >> 16 <= 0) {
  i5 = 0;
  return i5 | 0;
 }
 i4 = i2 + 72 | 0;
 i2 = i1 + 72 | 0;
 i1 = 0;
 do {
  i6 = get32(i4 | 0) | 0;
  i7 = i6 + (i1 * 40 | 0) | 0;
  i8 = get32(i2 | 0) | 0;
  _sqlite3VdbeMemReleaseExternal(i7);
  i9 = i6 + (i1 * 40 | 0) + 36 | 0;
  _sqlite3DbFree(get32(i7 | 0) | 0, get32(i9 | 0) | 0);
  set32(i6 + (i1 * 40 | 0) + 4 | 0, 0 | 0);
  set32(i9 | 0, 0 | 0);
  set32(i6 + (i1 * 40 | 0) + 32 | 0, 0 | 0);
  i6 = i7;
  i7 = i8 + (i1 * 40 | 0) | 0;
  i9 = i6 + 40 | 0;
  do {
   set32(i6 | 0, get32(i7 | 0) | 0);
   i6 = i6 + 4 | 0;
   i7 = i7 + 4 | 0;
  } while ((i6 | 0) < (i9 | 0));
  set16(i8 + (i1 * 40 | 0) + 28 | 0, 1 | 0);
  set32(i8 + (i1 * 40 | 0) + 32 | 0, 0 | 0);
  set32(i8 + (i1 * 40 | 0) + 36 | 0, 0 | 0);
  i1 = i1 + 1 | 0;
 } while ((i1 | 0) < (get16(i3 | 0) | 0));
 i5 = 0;
 return i5 | 0;
}

function _sqlite3_free_table(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0;
 if (!i1) return;
 i2 = i1 + -4 | 0;
 i3 = get32(i2 | 0) | 0;
 i4 = i3;
 if ((i3 | 0) > 1) {
  i3 = 1;
  do {
   i5 = get32(i1 + (i3 + -1 << 2) | 0) | 0;
   do if (i5) {
    if (!(get32(50 * 4 | 0) | 0)) {
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i5);
     break;
    }
    i6 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i5) | 0;
    i7 = (get32(30 * 4 | 0) | 0) - i6 | 0;
    set32(30 * 4 | 0, i7 | 0);
    if ((i7 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i7 | 0);
    i7 = (get32(39 * 4 | 0) | 0) + -1 | 0;
    set32(39 * 4 | 0, i7 | 0);
    if ((i7 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i7 | 0);
    FUNCTION_TABLE_vi[get32(232 | 0) & 31](i5);
   } while (0);
   i3 = i3 + 1 | 0;
  } while ((i3 | 0) < (i4 | 0));
 }
 if (!(get32(50 * 4 | 0) | 0)) {
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i2);
  return;
 }
 i4 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i2) | 0;
 i3 = (get32(30 * 4 | 0) | 0) - i4 | 0;
 set32(30 * 4 | 0, i3 | 0);
 if ((i3 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i3 | 0);
 i3 = (get32(39 * 4 | 0) | 0) + -1 | 0;
 set32(39 * 4 | 0, i3 | 0);
 if ((i3 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i3 | 0);
 FUNCTION_TABLE_vi[get32(232 | 0) & 31](i2);
 return;
}

function _unixNextSystemCall(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0;
 if (i2) if (_strcmp(i2, get32(260 * 4 | 0) | 0) | 0) if (_strcmp(i2, get32(263 * 4 | 0) | 0) | 0) if (_strcmp(i2, get32(266 * 4 | 0) | 0) | 0) if (_strcmp(i2, get32(269 * 4 | 0) | 0) | 0) if (_strcmp(i2, get32(272 * 4 | 0) | 0) | 0) if (_strcmp(i2, get32(275 * 4 | 0) | 0) | 0) if (_strcmp(i2, get32(278 * 4 | 0) | 0) | 0) if (_strcmp(i2, get32(281 * 4 | 0) | 0) | 0) if (_strcmp(i2, get32(284 * 4 | 0) | 0) | 0) if (_strcmp(i2, get32(287 * 4 | 0) | 0) | 0) if (_strcmp(i2, get32(290 * 4 | 0) | 0) | 0) if (_strcmp(i2, get32(293 * 4 | 0) | 0) | 0) if (_strcmp(i2, get32(296 * 4 | 0) | 0) | 0) if (!(_strcmp(i2, get32(299 * 4 | 0) | 0) | 0)) i3 = 13; else {
  i1 = (_strcmp(i2, get32(302 * 4 | 0) | 0) | 0) == 0;
  i3 = i1 ? 14 : 15;
 } else i3 = 12; else i3 = 11; else i3 = 10; else i3 = 9; else i3 = 8; else i3 = 7; else i3 = 6; else i3 = 5; else i3 = 4; else i3 = 3; else i3 = 2; else i3 = 1; else i3 = 0; else i3 = -1;
 while (1) {
  i1 = i3 + 1 | 0;
  if ((i1 | 0) >= 16) {
   i4 = 0;
   i5 = 7;
   break;
  }
  if (!(get32(1040 + (i1 * 12 | 0) + 4 | 0) | 0)) i3 = i1; else {
   i6 = i1;
   break;
  }
 }
 if ((i5 | 0) == 7) return i4 | 0;
 i4 = get32(1040 + (i6 * 12 | 0) | 0) | 0;
 return i4 | 0;
}

function _bindText(i1, i2, i3, i4, i5, i6) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 var i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0;
 i7 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i8 = i7 + 8 | 0;
 i9 = i7;
 i10 = _vdbeUnbind(i1, i2) | 0;
 if (i10) {
  switch (i5 | 0) {
  case 0:
  case -1:
   {
    i11 = i10;
    STACKTOP = i7;
    return i11 | 0;
   }
  default:
   {}
  }
  FUNCTION_TABLE_vi[i5 & 31](i3);
  i11 = i10;
  STACKTOP = i7;
  return i11 | 0;
 }
 if (!i3) {
  i11 = 0;
  STACKTOP = i7;
  return i11 | 0;
 }
 i10 = (get32(i1 + 72 | 0) | 0) + ((i2 + -1 | 0) * 40 | 0) | 0;
 i2 = _sqlite3VdbeMemSetStr(i10, i3, i4, i6, i5) | 0;
 if (i6 << 24 >> 24 == 0 | (i2 | 0) != 0) i12 = i2; else i12 = _sqlite3VdbeChangeEncoding(i10, getU8((get32((get32((get32(i1 | 0) | 0) + 8 | 0) | 0) + 12 | 0) | 0) + 77 >> 0 | 0) | 0) | 0;
 _sqlite3Error(get32(i1 | 0) | 0, i12, 0, i9);
 i9 = get32(i1 | 0) | 0;
 if (!i9) {
  i13 = i12;
  i14 = 255;
 } else {
  i1 = i9 + 30 | 0;
  if ((i12 | 0) == 3082 | (get8(i1 >> 0 | 0) | 0) != 0) {
   _sqlite3Error(i9, 7, 0, i8);
   set8(i1 >> 0 | 0, 0 | 0);
   i15 = 7;
  } else i15 = i12;
  i13 = i15;
  i14 = get32(i9 + 24 | 0) | 0;
 }
 i11 = i14 & i13;
 STACKTOP = i7;
 return i11 | 0;
}

function _sqlite3Init(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0, i16 = 0, i17 = 0;
 i3 = i1 + 12 | 0;
 i4 = get32(i3 | 0) & 512;
 i5 = i1 + 124 | 0;
 set8(i5 >> 0 | 0, 1 | 0);
 i6 = i1 + 4 | 0;
 i7 = i1 + 8 | 0;
 i8 = get32(i6 | 0) | 0;
 do if ((i8 | 0) > 0) {
  i9 = i8;
  i10 = 0;
  while (1) {
   if ((i10 | 0) == 1 ? 1 : (get16((get32((get32(i7 | 0) | 0) + (i10 << 4) + 12 | 0) | 0) + 78 | 0) & 1) != 0) i11 = i9; else {
    i12 = _sqlite3InitOne(i1, i10, i2) | 0;
    if (i12) {
     i13 = i12;
     i14 = i10;
     i15 = 10;
     break;
    }
    i11 = get32(i6 | 0) | 0;
   }
   i10 = i10 + 1 | 0;
   if ((i10 | 0) >= (i11 | 0)) {
    i16 = i11;
    break;
   } else i9 = i11;
  }
  if ((i15 | 0) == 10) {
   _sqlite3ResetInternalSchema(i1, i14);
   i17 = i13;
   break;
  }
  if (((i16 | 0) > 1 ? (get16((get32((get32(i7 | 0) | 0) + 28 | 0) | 0) + 78 | 0) & 1) == 0 : 0) ? (i9 = _sqlite3InitOne(i1, 1, i2) | 0, (i9 | 0) != 0) : 0) {
   _sqlite3SchemaClear(get32((get32(i7 | 0) | 0) + 28 | 0) | 0);
   i17 = i9;
  } else i17 = 0;
 } else i17 = 0; while (0);
 set8(i5 >> 0 | 0, 0 | 0);
 if (i17 | i4) return i17 | 0;
 set32(i3 | 0, get32(i3 | 0) & -513 | 0);
 return i17 | 0;
}

function _whereInfoFree(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0;
 if (!i2) return;
 i3 = i2 + 24 | 0;
 if ((get32(i3 | 0) | 0) > 0) {
  i4 = 0;
  do {
   i5 = get32(i2 + 48 + (i4 * 80 | 0) + 72 | 0) | 0;
   if (i5) {
    do if ((get32(i5 + 28 | 0) | 0) != 0 ? (i6 = get32(i5 + 24 | 0) | 0, (i6 | 0) != 0) : 0) {
     if (!(get32(50 * 4 | 0) | 0)) {
      FUNCTION_TABLE_vi[get32(232 | 0) & 31](i6);
      break;
     }
     i7 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i6) | 0;
     i8 = (get32(30 * 4 | 0) | 0) - i7 | 0;
     set32(30 * 4 | 0, i8 | 0);
     if ((i8 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i8 | 0);
     i8 = (get32(39 * 4 | 0) | 0) + -1 | 0;
     set32(39 * 4 | 0, i8 | 0);
     if ((i8 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i8 | 0);
     FUNCTION_TABLE_vi[get32(232 | 0) & 31](i6);
    } while (0);
    _sqlite3DbFree(i1, i5);
   }
   if ((get32(i2 + 48 + (i4 * 80 | 0) | 0) & 536870912 | 0) != 0 ? (i6 = get32(i2 + 48 + (i4 * 80 | 0) + 16 | 0) | 0, (i6 | 0) != 0) : 0) {
    _sqlite3DbFree(i1, get32(i6 + 28 | 0) | 0);
    _sqlite3DbFree(i1, i6);
   }
   i4 = i4 + 1 | 0;
  } while ((i4 | 0) < (get32(i3 | 0) | 0));
 }
 _whereClauseClear(get32(i2 + 28 | 0) | 0);
 _sqlite3DbFree(i1, i2);
 return;
}

function _malloc(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0;
 if (!(get8(43081 | 0) | 0)) {
  set32(1517 * 4 | 0, _emscripten_asm_const_0(0) | 0 | 0);
  set32(1518 * 4 | 0, _emscripten_asm_const_0(1) | 0 | 0);
  i2 = _emscripten_asm_const_0(2) | 0;
  set32(1519 * 4 | 0, i2 | 0);
  if (i2 >>> 0 > 999) _abort();
  set32(1520 * 4 | 0, 0 | 0);
  if (i2 >>> 0 > 1) {
   i2 = 1;
   do {
    i3 = get32(1518 * 4 | 0) | 0;
    set32(6080 + (i2 << 2) | 0, _create_mspace_with_base(Math_imul(i3, i2) | 0, i3, 0) | 0 | 0);
    i2 = i2 + 1 | 0;
   } while (i2 >>> 0 < (get32(1519 * 4 | 0) | 0) >>> 0);
  }
  set8(43081 | 0, 1 | 0);
 }
 i2 = get32(1518 * 4 | 0) | 0;
 if (i2 >>> 0 <= i1 >>> 0) {
  if (get8(43082 | 0) | 0) {
   i4 = 0;
   return i4 | 0;
  }
  _emscripten_asm_const_2(3, i1 | 0, i2 | 0) | 0;
  set8(43082 | 0, 1 | 0);
  i4 = 0;
  return i4 | 0;
 }
 i2 = get32(2520 * 4 | 0) | 0;
 i3 = i2;
 while (1) {
  i5 = _mspace_malloc(get32(6080 + (i3 << 2) | 0) | 0, i1) | 0;
  if (i5) {
   i4 = i5;
   i6 = 13;
   break;
  }
  i5 = (get32(2520 * 4 | 0) | 0) + 1 | 0;
  i3 = (i5 | 0) == (get32(1519 * 4 | 0) | 0) ? 1 : i5;
  set32(2520 * 4 | 0, i3 | 0);
  if ((i3 | 0) == (i2 | 0)) {
   i4 = 0;
   i6 = 13;
   break;
  }
 }
 if ((i6 | 0) == 13) return i4 | 0;
 return 0;
}

function ___fwritex(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0;
 i4 = i3 + 16 | 0;
 i5 = get32(i4 | 0) | 0;
 if (!i5) if (!(___towrite(i3) | 0)) {
  i6 = get32(i4 | 0) | 0;
  i7 = 4;
 } else i8 = 0; else {
  i6 = i5;
  i7 = 4;
 }
 L4 : do if ((i7 | 0) == 4) {
  i5 = i3 + 20 | 0;
  i4 = get32(i5 | 0) | 0;
  if ((i6 - i4 | 0) >>> 0 < i2 >>> 0) {
   i8 = FUNCTION_TABLE_iiii[get32(i3 + 36 | 0) & 63](i3, i1, i2) | 0;
   break;
  }
  L9 : do if ((get8(i3 + 75 >> 0 | 0) | 0) > -1) {
   i9 = i2;
   while (1) {
    if (!i9) {
     i10 = i2;
     i11 = i1;
     i12 = i4;
     i13 = 0;
     break L9;
    }
    i14 = i9 + -1 | 0;
    if ((get8(i1 + i14 >> 0 | 0) | 0) == 10) {
     i15 = i9;
     break;
    } else i9 = i14;
   }
   if ((FUNCTION_TABLE_iiii[get32(i3 + 36 | 0) & 63](i3, i1, i15) | 0) >>> 0 < i15 >>> 0) {
    i8 = i15;
    break L4;
   }
   i10 = i2 - i15 | 0;
   i11 = i1 + i15 | 0;
   i12 = get32(i5 | 0) | 0;
   i13 = i15;
  } else {
   i10 = i2;
   i11 = i1;
   i12 = i4;
   i13 = 0;
  } while (0);
  _memcpy(i12 | 0, i11 | 0, i10 | 0) | 0;
  set32(i5 | 0, (get32(i5 | 0) | 0) + i10 | 0);
  i8 = i13 + i10 | 0;
 } while (0);
 return i8 | 0;
}

function _sqlite3_errmsg(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i3 = i2 + 8 | 0;
 i4 = i2;
 if (!i1) {
  i5 = 19448;
  STACKTOP = i2;
  return i5 | 0;
 }
 i6 = get32(i1 + 56 | 0) | 0;
 L4 : do if ((i6 | 0) >= -264537850) if ((i6 | 0) < 1266094736) switch (i6 | 0) {
 case -264537850:
  {
   break L4;
   break;
  }
 default:
  {
   i7 = 3;
   break L4;
  }
 } else switch (i6 | 0) {
 case 1266094736:
  {
   break L4;
   break;
  }
 default:
  {
   i7 = 3;
   break L4;
  }
 } else switch (i6 | 0) {
 case -1607883113:
  break;
 default:
  i7 = 3;
 } while (0);
 if ((i7 | 0) == 3) {
  set32(i4 | 0, 38376 | 0);
  _sqlite3_log(21, 26104, i4);
  set32(i3 | 0, 109450 | 0);
  set32(i3 + 4 | 0, 17203 | 0);
  _sqlite3_log(21, 39226, i3);
  i5 = 38778;
  STACKTOP = i2;
  return i5 | 0;
 }
 if (get8(i1 + 30 >> 0 | 0) | 0) {
  i5 = 19448;
  STACKTOP = i2;
  return i5 | 0;
 }
 i3 = _sqlite3ValueText(get32(i1 + 212 | 0) | 0, 1) | 0;
 if (i3) {
  i5 = i3;
  STACKTOP = i2;
  return i5 | 0;
 }
 i3 = get32(i1 + 20 | 0) & 255;
 if (i3 >>> 0 > 26 | (i3 | 0) == 2) {
  i5 = 38974;
  STACKTOP = i2;
  return i5 | 0;
 }
 i5 = get32(5652 + (i3 << 2) | 0) | 0;
 STACKTOP = i2;
 return i5 | 0;
}

function _sqlite3DbMallocZero(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0;
 L1 : do if (i1) {
  i3 = i1 + 30 | 0;
  if (get8(i3 >> 0 | 0) | 0) {
   i4 = 0;
   return i4 | 0;
  }
  do if (get8(i1 + 234 >> 0 | 0) | 0) {
   if ((getU16(i1 + 232 | 0) | 0) < (i2 | 0)) {
    i5 = i1 + 248 | 0;
    set32(i5 | 0, (get32(i5 | 0) | 0) + 1 | 0);
    break;
   }
   i5 = i1 + 256 | 0;
   i6 = get32(i5 | 0) | 0;
   if (!i6) {
    i7 = i1 + 252 | 0;
    set32(i7 | 0, (get32(i7 | 0) | 0) + 1 | 0);
    break;
   }
   set32(i5 | 0, get32(i6 | 0) | 0);
   i5 = i1 + 236 | 0;
   i7 = get32(i5 | 0) | 0;
   i8 = i7 + 1 | 0;
   set32(i5 | 0, i8 | 0);
   i5 = i1 + 244 | 0;
   set32(i5 | 0, (get32(i5 | 0) | 0) + 1 | 0);
   i5 = i1 + 240 | 0;
   if ((i7 | 0) >= (get32(i5 | 0) | 0)) set32(i5 | 0, i8 | 0);
   i9 = i6;
   i10 = 14;
   break L1;
  } while (0);
  i6 = _sqlite3Malloc(i2) | 0;
  if (!i6) {
   set8(i3 >> 0 | 0, 1 | 0);
   i4 = 0;
   return i4 | 0;
  } else i11 = i6;
 } else {
  i9 = _sqlite3Malloc(i2) | 0;
  i10 = 14;
 } while (0);
 if ((i10 | 0) == 14) if (!i9) {
  i4 = 0;
  return i4 | 0;
 } else i11 = i9;
 _memset(i11 | 0, 0, i2 | 0) | 0;
 i4 = i11;
 return i4 | 0;
}

function _unixSync(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 48 | 0;
 i3 = i2 + 24 | 0;
 i4 = i2;
 if (_fsync(get32(i1 + 8 | 0) | 0) | 0) {
  i5 = ___errno_location() | 0;
  set32(i1 + 20 | 0, get32(i5 | 0) | 0);
  i6 = get32(i1 + 32 | 0) | 0;
  i7 = get32(i5 | 0) | 0;
  i5 = _strerror(i7) | 0;
  set32(i4 | 0, 27755 | 0);
  set32(i4 + 4 | 0, i7 | 0);
  set32(i4 + 8 | 0, 19216 | 0);
  set32(i4 + 12 | 0, ((i6 | 0) == 0 ? 16820 : i6) | 0);
  set32(i4 + 16 | 0, i5 | 0);
  _sqlite3_log(1034, 19185, i4);
  i8 = 1034;
  STACKTOP = i2;
  return i8 | 0;
 }
 i4 = i1 + 12 | 0;
 i5 = get32(i4 | 0) | 0;
 if ((i5 | 0) <= -1) {
  i8 = 0;
  STACKTOP = i2;
  return i8 | 0;
 }
 _fsync(i5) | 0;
 if (FUNCTION_TABLE_ii[get32(1056 | 0) & 127](get32(i4 | 0) | 0) | 0) {
  i5 = get32(i1 + 32 | 0) | 0;
  i1 = get32(___errno_location() | 0 | 0) | 0;
  i6 = _strerror(i1) | 0;
  set32(i3 | 0, 27777 | 0);
  set32(i3 + 4 | 0, i1 | 0);
  set32(i3 + 8 | 0, 19075 | 0);
  set32(i3 + 12 | 0, ((i5 | 0) == 0 ? 16820 : i5) | 0);
  set32(i3 + 16 | 0, i6 | 0);
  _sqlite3_log(4106, 19185, i3);
 }
 set32(i4 | 0, -1 | 0);
 i8 = 0;
 STACKTOP = i2;
 return i8 | 0;
}

function _sqlite3NestedParse(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 128 | 0;
 i5 = i4 + 8 | 0;
 i6 = i4;
 i7 = i4 + 24 | 0;
 set32(i6 | 0, 0 | 0);
 i8 = get32(i1 | 0) | 0;
 if (get32(i1 + 64 | 0) | 0) {
  STACKTOP = i4;
  return;
 }
 set32(i5 | 0, i3 | 0);
 i3 = _sqlite3VMPrintf(i8, i2, i5) | 0;
 if (!i3) {
  STACKTOP = i4;
  return;
 }
 i5 = i1 + 19 | 0;
 set8(i5 >> 0 | 0, (get8(i5 >> 0 | 0) | 0) + 1 << 24 >> 24 | 0);
 i2 = i1 + 456 | 0;
 i9 = i7;
 i10 = i2;
 i11 = i9 + 104 | 0;
 do {
  set8(i9 >> 0 | 0, get8(i10 >> 0 | 0) | 0 | 0);
  i9 = i9 + 1 | 0;
  i10 = i10 + 1 | 0;
 } while ((i9 | 0) < (i11 | 0));
 i9 = i2;
 i11 = i9 + 104 | 0;
 do {
  set32(i9 | 0, 0 | 0);
  i9 = i9 + 4 | 0;
 } while ((i9 | 0) < (i11 | 0));
 _sqlite3RunParser(i1, i3, i6) | 0;
 _sqlite3DbFree(i8, get32(i6 | 0) | 0);
 _sqlite3DbFree(i8, i3);
 i9 = i2;
 i10 = i7;
 i11 = i9 + 104 | 0;
 do {
  set8(i9 >> 0 | 0, get8(i10 >> 0 | 0) | 0 | 0);
  i9 = i9 + 1 | 0;
  i10 = i10 + 1 | 0;
 } while ((i9 | 0) < (i11 | 0));
 set8(i5 >> 0 | 0, (get8(i5 >> 0 | 0) | 0) + -1 << 24 >> 24 | 0);
 STACKTOP = i4;
 return;
}

function _memjrnlWrite(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0;
 if ((i3 | 0) <= 0) {
  i6 = 0;
  return i6 | 0;
 }
 i5 = i1 + 8 | 0;
 i4 = i1 + 16 | 0;
 i7 = i1 + 4 | 0;
 i1 = i5;
 i8 = get32(i1 | 0) | 0;
 i9 = get32(i1 + 4 | 0) | 0;
 i1 = i3;
 i3 = i2;
 while (1) {
  i2 = get32(i4 | 0) | 0;
  i10 = ___remdi3(i8 | 0, i9 | 0, 1020, 0) | 0;
  i11 = 1020 - i10 | 0;
  i12 = (i1 | 0) < (i11 | 0) ? i1 : i11;
  if (!i10) {
   i11 = _sqlite3_malloc(1024) | 0;
   if (!i11) {
    i6 = 3082;
    i13 = 10;
    break;
   }
   set32(i11 | 0, 0 | 0);
   if (!i2) set32(i7 | 0, i11 | 0); else set32(i2 | 0, i11 | 0);
   set32(i4 | 0, i11 | 0);
   i14 = i11;
  } else i14 = i2;
  _memcpy(i14 + 4 + i10 | 0, i3 | 0, i12 | 0) | 0;
  i1 = i1 - i12 | 0;
  i10 = i5;
  i8 = _i64Add(get32(i10 | 0) | 0, get32(i10 + 4 | 0) | 0, i12 | 0, ((i12 | 0) < 0) << 31 >> 31 | 0) | 0;
  i9 = tempRet0;
  i10 = i5;
  set32(i10 | 0, i8 | 0);
  set32(i10 + 4 | 0, i9 | 0);
  if ((i1 | 0) <= 0) {
   i6 = 0;
   i13 = 10;
   break;
  } else i3 = i3 + i12 | 0;
 }
 if ((i13 | 0) == 10) return i6 | 0;
 return 0;
}

function _sqlite3_create_collation16(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0;
 i6 = STACKTOP;
 STACKTOP = STACKTOP + 48 | 0;
 i7 = i6 + 40 | 0;
 i8 = i6;
 i9 = i8;
 i10 = i9 + 40 | 0;
 do {
  set32(i9 | 0, 0 | 0);
  i9 = i9 + 4 | 0;
 } while ((i9 | 0) < (i10 | 0));
 set32(i8 | 0, i1 | 0);
 _sqlite3VdbeMemSetStr(i8, i2, -1, 2, 0) | 0;
 _sqlite3VdbeChangeEncoding(i8, 1) | 0;
 i2 = i1 + 30 | 0;
 if (!(get8(i2 >> 0 | 0) | 0)) {
  i9 = get32(i8 + 4 | 0) | 0;
  if (!i9) i11 = 0; else {
   i10 = _createCollation(i1, i9, i3 & 255, 0, i4, i5, 0) | 0;
   _sqlite3DbFree(i1, i9);
   i11 = i10;
  }
 } else {
  _sqlite3VdbeMemReleaseExternal(i8);
  _sqlite3DbFree(get32(i8 | 0) | 0, get32(i8 + 36 | 0) | 0);
  i11 = 0;
 }
 if (!((i11 | 0) == 3082 | (get8(i2 >> 0 | 0) | 0) != 0)) {
  i12 = i11;
  i13 = i1 + 24 | 0;
  i14 = get32(i13 | 0) | 0;
  i15 = i14 & i12;
  STACKTOP = i6;
  return i15 | 0;
 }
 _sqlite3Error(i1, 7, 0, i7);
 set8(i2 >> 0 | 0, 0 | 0);
 i12 = 7;
 i13 = i1 + 24 | 0;
 i14 = get32(i13 | 0) | 0;
 i15 = i14 & i12;
 STACKTOP = i6;
 return i15 | 0;
}

function _loadExt(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i5 = i4;
 i6 = _sqlite3ValueText(get32(i3 | 0) | 0, 1) | 0;
 i7 = get32(i1 + 8 | 0) | 0;
 set32(i5 | 0, 0 | 0);
 if ((i2 | 0) == 2) i8 = _sqlite3ValueText(get32(i3 + 4 | 0) | 0, 1) | 0; else i8 = 0;
 if (!i6) {
  STACKTOP = i4;
  return;
 }
 if (!(_sqlite3_load_extension(i7, i6, i8, i5) | 0)) {
  STACKTOP = i4;
  return;
 }
 i8 = get32(i5 | 0) | 0;
 set32(i1 + 52 | 0, 1 | 0);
 _sqlite3VdbeMemSetStr(i1 + 8 | 0, i8, -1, 1, -1) | 0;
 i8 = get32(i5 | 0) | 0;
 if (!i8) {
  STACKTOP = i4;
  return;
 }
 if (!(get32(50 * 4 | 0) | 0)) {
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i8);
  STACKTOP = i4;
  return;
 }
 i5 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i8) | 0;
 i1 = (get32(30 * 4 | 0) | 0) - i5 | 0;
 set32(30 * 4 | 0, i1 | 0);
 if ((i1 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i1 | 0);
 i1 = (get32(39 * 4 | 0) | 0) + -1 | 0;
 set32(39 * 4 | 0, i1 | 0);
 if ((i1 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i1 | 0);
 FUNCTION_TABLE_vi[get32(232 | 0) & 31](i8);
 STACKTOP = i4;
 return;
}

function _compileoptiongetFunc(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, d9 = 0.0, i10 = 0, i11 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i4 = i2;
 i5 = get32(i3 | 0) | 0;
 i3 = getU16(i5 + 28 | 0) | 0;
 do if (!(i3 & 4)) {
  if (!(i3 & 8)) {
   if (i3 & 18) {
    i6 = i4;
    set32(i6 | 0, 0 | 0);
    set32(i6 + 4 | 0, 0 | 0);
    _sqlite3Atoi64(get32(i5 + 4 | 0) | 0, i4, get32(i5 + 24 | 0) | 0, get8(i5 + 31 >> 0 | 0) | 0) | 0;
    i7 = get32(i4 | 0) | 0;
    i8 = 8;
    break;
   }
  } else {
   d9 = +getF64(i5 + 8 | 0);
   if (!(d9 < -9223372036854775808.0 | d9 > 9223372036854775808.0)) {
    i7 = ~~d9 >>> 0;
    i8 = 8;
    break;
   }
  }
  i10 = 0;
  i8 = 9;
 } else {
  i7 = get32(i5 + 16 | 0) | 0;
  i8 = 8;
 } while (0);
 if ((i8 | 0) == 8) if (i7 >>> 0 < 4) {
  i10 = i7;
  i8 = 9;
 } else i11 = 0;
 if ((i8 | 0) == 9) i11 = get32(104 + (i10 << 2) | 0) | 0;
 i10 = i1 + 8 | 0;
 if ((_sqlite3VdbeMemSetStr(i10, i11, -1, 1, 0) | 0) != 18) {
  STACKTOP = i2;
  return;
 }
 set32(i1 + 52 | 0, 18 | 0);
 _sqlite3VdbeMemSetStr(i10, 16620, -1, 1, 0) | 0;
 STACKTOP = i2;
 return;
}

function _yy_shift(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i6 = i5;
 i7 = get32(i1 | 0) | 0;
 i8 = i7 + 1 | 0;
 set32(i1 | 0, i8 | 0);
 if ((i7 | 0) <= 98) {
  set16(i1 + 12 + (i8 << 4) | 0, i2 | 0);
  set8(i1 + 12 + (i8 << 4) + 2 >> 0 | 0, i3 | 0);
  i3 = i1 + 12 + (i8 << 4) + 4 | 0;
  set32(i3 | 0, get32(i4 | 0) | 0);
  set32(i3 + 4 | 0, get32(i4 + 4 | 0) | 0);
  set32(i3 + 8 | 0, get32(i4 + 8 | 0) | 0);
  STACKTOP = i5;
  return;
 }
 i4 = i1 + 8 | 0;
 i3 = get32(i4 | 0) | 0;
 set32(i1 | 0, i7 | 0);
 _yy_destructor(i3, get8(i1 + 12 + (i7 << 4) + 2 >> 0 | 0) | 0, i1 + 12 + (i7 << 4) + 4 | 0);
 i7 = get32(i1 | 0) | 0;
 i8 = i7 + -1 | 0;
 set32(i1 | 0, i8 | 0);
 if ((i7 | 0) > 0) {
  i7 = i8;
  do {
   _yy_destructor(get32(i4 | 0) | 0, get8(i1 + 12 + (i7 << 4) + 2 >> 0 | 0) | 0, i1 + 12 + (i7 << 4) + 4 | 0);
   i8 = get32(i1 | 0) | 0;
   i7 = i8 + -1 | 0;
   set32(i1 | 0, i7 | 0);
  } while ((i8 | 0) > 0);
 }
 _sqlite3ErrorMsg(i3, 28132, i6);
 set8(i3 + 20 >> 0 | 0, 1 | 0);
 set32(i4 | 0, i3 | 0);
 STACKTOP = i5;
 return;
}

function _sqlite3_result_null(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0;
 i2 = i1 + 36 | 0;
 i3 = get16(i2 | 0) | 0;
 if (i3 & 64) {
  i4 = get32(i1 + 24 | 0) | 0;
  i5 = (get32(i4 | 0) | 0) + 172 | 0;
  set32(i4 + 60 | 0, get32(i5 | 0) | 0);
  set32(i5 | 0, i4 | 0);
 }
 if (!(i3 & 32)) {
  i6 = i3;
  i7 = i6 & 65535;
  i8 = i7 & 48896;
  i9 = i8 | 1;
  i10 = i9 & 65535;
  set16(i2 | 0, i10 | 0);
  i11 = i1 + 38 | 0;
  set8(i11 >> 0 | 0, 5 | 0);
  return;
 }
 i4 = get32(i1 + 24 | 0) | 0;
 i5 = get32(i4 | 0) | 0;
 if (!i5) i12 = i3; else {
  i3 = i4 + 4 | 0;
  i13 = i5;
  do {
   i5 = i13;
   i13 = get32(i13 | 0) | 0;
   _sqlite3DbFree(get32(i3 | 0) | 0, i5);
  } while ((i13 | 0) != 0);
  i12 = get16(i2 | 0) | 0;
 }
 set32(i4 | 0, 0 | 0);
 set16(i4 + 24 | 0, 0 | 0);
 set32(i4 + 8 | 0, 0 | 0);
 set32(i4 + 12 | 0, 0 | 0);
 set32(i4 + 20 | 0, 0 | 0);
 set8(i4 + 26 >> 0 | 0, 1 | 0);
 i6 = i12;
 i7 = i6 & 65535;
 i8 = i7 & 48896;
 i9 = i8 | 1;
 i10 = i9 & 65535;
 set16(i2 | 0, i10 | 0);
 i11 = i1 + 38 | 0;
 set8(i11 >> 0 | 0, 5 | 0);
 return;
}

function _sumFinalize(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0;
 i2 = get32(i1 + 48 | 0) | 0;
 i3 = i2 + 28 | 0;
 if (!(get16(i3 | 0) & 8192)) {
  _sqlite3VdbeMemReleaseExternal(i2);
  set16(i3 | 0, 1 | 0);
  set32(i2 + 4 | 0, 0 | 0);
  return;
 }
 i3 = get32(i2 + 4 | 0) | 0;
 if (!i3) return;
 i2 = i3 + 16 | 0;
 i4 = get32(i2 + 4 | 0) | 0;
 if (!((i4 | 0) > 0 | (i4 | 0) == 0 & (get32(i2 | 0) | 0) >>> 0 > 0)) return;
 if (get8(i3 + 24 >> 0 | 0) | 0) {
  set32(i1 + 52 | 0, 1 | 0);
  _sqlite3VdbeMemSetStr(i1 + 8 | 0, 37927, -1, 1, -1) | 0;
  return;
 }
 if (!(get8(i3 + 25 >> 0 | 0) | 0)) {
  i2 = i3 + 8 | 0;
  i4 = get32(i2 | 0) | 0;
  i5 = get32(i2 + 4 | 0) | 0;
  i2 = i1 + 8 | 0;
  _sqlite3VdbeMemReleaseExternal(i2);
  i6 = i1 + 44 | 0;
  _sqlite3DbFree(get32(i2 | 0) | 0, get32(i6 | 0) | 0);
  set32(i1 + 12 | 0, 0 | 0);
  set32(i6 | 0, 0 | 0);
  set32(i1 + 40 | 0, 0 | 0);
  i6 = i1 + 24 | 0;
  set32(i6 | 0, i4 | 0);
  set32(i6 + 4 | 0, i5 | 0);
  set16(i1 + 36 | 0, 4 | 0);
  set8(i1 + 38 >> 0 | 0, 1 | 0);
  return;
 } else {
  _sqlite3_result_double(i1, +getF64(i3 | 0));
  return;
 }
}

function _unixGetSystemCall(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0;
 if (_strcmp(i2, get32(260 * 4 | 0) | 0) | 0) if (_strcmp(i2, get32(263 * 4 | 0) | 0) | 0) if (_strcmp(i2, get32(266 * 4 | 0) | 0) | 0) if (_strcmp(i2, get32(269 * 4 | 0) | 0) | 0) if (_strcmp(i2, get32(272 * 4 | 0) | 0) | 0) if (_strcmp(i2, get32(275 * 4 | 0) | 0) | 0) if (_strcmp(i2, get32(278 * 4 | 0) | 0) | 0) if (_strcmp(i2, get32(281 * 4 | 0) | 0) | 0) if (_strcmp(i2, get32(284 * 4 | 0) | 0) | 0) if (_strcmp(i2, get32(287 * 4 | 0) | 0) | 0) if (_strcmp(i2, get32(290 * 4 | 0) | 0) | 0) if (_strcmp(i2, get32(293 * 4 | 0) | 0) | 0) if (_strcmp(i2, get32(296 * 4 | 0) | 0) | 0) if (_strcmp(i2, get32(299 * 4 | 0) | 0) | 0) if (_strcmp(i2, get32(302 * 4 | 0) | 0) | 0) if (!(_strcmp(i2, get32(305 * 4 | 0) | 0) | 0)) i3 = 15; else {
  i4 = 0;
  return i4 | 0;
 } else i3 = 14; else i3 = 13; else i3 = 12; else i3 = 11; else i3 = 10; else i3 = 9; else i3 = 8; else i3 = 7; else i3 = 6; else i3 = 5; else i3 = 4; else i3 = 3; else i3 = 2; else i3 = 1; else i3 = 0;
 i4 = get32(1040 + (i3 * 12 | 0) + 4 | 0) | 0;
 return i4 | 0;
}

function _unixFullPathname(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0;
 i1 = STACKTOP;
 STACKTOP = STACKTOP + 48 | 0;
 i5 = i1 + 40 | 0;
 i6 = i1 + 16 | 0;
 i7 = i1 + 8 | 0;
 i8 = i1;
 i9 = i3 + -1 | 0;
 set8(i4 + i9 >> 0 | 0, 0 | 0);
 if ((get8(i2 >> 0 | 0) | 0) == 47) {
  set32(i8 | 0, i2 | 0);
  _sqlite3_snprintf(i3, i4, 16817, i8) | 0;
  i10 = 0;
  STACKTOP = i1;
  return i10 | 0;
 }
 if (!(FUNCTION_TABLE_iii[get32(1080 | 0) & 127](i4, i9) | 0)) {
  set32(i7 | 0, 29716 | 0);
  set32(i7 + 4 | 0, 17203 | 0);
  _sqlite3_log(14, 19280, i7);
  i7 = get32(___errno_location() | 0 | 0) | 0;
  i9 = _strerror(i7) | 0;
  set32(i6 | 0, 29716 | 0);
  set32(i6 + 4 | 0, i7 | 0);
  set32(i6 + 8 | 0, 19093 | 0);
  set32(i6 + 12 | 0, i2 | 0);
  set32(i6 + 16 | 0, i9 | 0);
  _sqlite3_log(14, 19185, i6);
  i10 = 14;
  STACKTOP = i1;
  return i10 | 0;
 } else {
  i6 = _strlen(i4) | 0;
  set32(i5 | 0, i2 | 0);
  _sqlite3_snprintf(i3 - i6 | 0, i4 + i6 | 0, 19444, i5) | 0;
  i10 = 0;
  STACKTOP = i1;
  return i10 | 0;
 }
 return 0;
}

function _sqlite3_value_int64(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, d8 = 0.0, i9 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i3 = i2;
 i4 = getU16(i1 + 28 | 0) | 0;
 if (i4 & 4) {
  i5 = i1 + 16 | 0;
  i6 = get32(i5 + 4 | 0) | 0;
  i7 = get32(i5 | 0) | 0;
  tempRet0 = i6;
  STACKTOP = i2;
  return i7 | 0;
 }
 if (i4 & 8) {
  d8 = +getF64(i1 + 8 | 0);
  i5 = d8 < -9223372036854775808.0 | d8 > 9223372036854775808.0;
  i9 = +Math_abs(d8) >= 1.0 ? (d8 > 0.0 ? ~~+Math_min(+Math_floor(d8 / 4294967296.0), 4294967295.0) >>> 0 : ~~+Math_ceil((d8 - +(~~d8 >>> 0)) / 4294967296.0) >>> 0) : 0;
  i6 = i5 ? -2147483648 : i9;
  i7 = i5 ? 0 : ~~d8 >>> 0;
  tempRet0 = i6;
  STACKTOP = i2;
  return i7 | 0;
 }
 if (!(i4 & 18)) {
  i6 = 0;
  i7 = 0;
  tempRet0 = i6;
  STACKTOP = i2;
  return i7 | 0;
 }
 i4 = i3;
 set32(i4 | 0, 0 | 0);
 set32(i4 + 4 | 0, 0 | 0);
 _sqlite3Atoi64(get32(i1 + 4 | 0) | 0, i3, get32(i1 + 24 | 0) | 0, get8(i1 + 31 >> 0 | 0) | 0) | 0;
 i1 = i3;
 i6 = get32(i1 + 4 | 0) | 0;
 i7 = get32(i1 | 0) | 0;
 tempRet0 = i6;
 STACKTOP = i2;
 return i7 | 0;
}

function _sqlite3BtreeCommit(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0;
 i2 = i1 + 4 | 0;
 set32((get32(i2 | 0) | 0) + 4 | 0, get32(i1 | 0) | 0);
 i3 = _sqlite3BtreeCommitPhaseOne(i1, 0) | 0;
 if (i3) {
  i4 = i3;
  return i4 | 0;
 }
 i3 = get8(i1 + 8 >> 0 | 0) | 0;
 if (!(i3 << 24 >> 24)) {
  i4 = 0;
  return i4 | 0;
 }
 i5 = get32(i2 | 0) | 0;
 set32(i5 + 4 | 0, get32(i1 | 0) | 0);
 if (i3 << 24 >> 24 == 2) {
  i3 = get32(i5 | 0) | 0;
  i2 = i3 + 40 | 0;
  i6 = get32(i2 | 0) | 0;
  if (i6) {
   i4 = i6;
   return i4 | 0;
  }
  i6 = i3 + 15 | 0;
  if (((get8(i6 >> 0 | 0) | 0) == 2 ? (get8(i3 + 4 >> 0 | 0) | 0) != 0 : 0) ? (get8(i3 + 5 >> 0 | 0) | 0) == 1 : 0) set8(i6 >> 0 | 0, 1 | 0); else {
   i7 = _pager_end_transaction(i3, getU8(i3 + 18 >> 0 | 0) | 0) | 0;
   switch (i7 & 255 | 0) {
   case 10:
   case 13:
    {
     set32(i2 | 0, i7 | 0);
     set8(i6 >> 0 | 0, 6 | 0);
     break;
    }
   default:
    {}
   }
   if (i7) {
    i4 = i7;
    return i4 | 0;
   }
  }
  set8(i5 + 23 >> 0 | 0, 1 | 0);
 }
 _btreeEndTransaction(i1);
 i4 = 0;
 return i4 | 0;
}

function _unixShmUnmap(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0;
 i3 = i1 + 36 | 0;
 i4 = get32(i3 | 0) | 0;
 if (!i4) return 0;
 i5 = get32(i4 | 0) | 0;
 i6 = i5 + 32 | 0;
 while (1) {
  i7 = get32(i6 | 0) | 0;
  if ((i7 | 0) == (i4 | 0)) {
   i8 = i6;
   break;
  } else i6 = i7 + 4 | 0;
 }
 set32(i8 | 0, get32(i4 + 4 | 0) | 0);
 if (!(get32(50 * 4 | 0) | 0)) FUNCTION_TABLE_vi[get32(232 | 0) & 31](i4); else {
  i8 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i4) | 0;
  i6 = (get32(30 * 4 | 0) | 0) - i8 | 0;
  set32(30 * 4 | 0, i6 | 0);
  if ((i6 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i6 | 0);
  i6 = (get32(39 * 4 | 0) | 0) + -1 | 0;
  set32(39 * 4 | 0, i6 | 0);
  if ((i6 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i6 | 0);
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i4);
 }
 set32(i3 | 0, 0 | 0);
 i3 = i5 + 28 | 0;
 i4 = (get32(i3 | 0) | 0) + -1 | 0;
 set32(i3 | 0, i4 | 0);
 if (i4) return 0;
 if ((i2 | 0) != 0 ? (get32(i5 + 12 | 0) | 0) > -1 : 0) _unlink(get32(i5 + 8 | 0) | 0) | 0;
 _unixShmPurge(i1);
 return 0;
}

function _sqlite3VdbeMemStringify(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i4 = i3 + 8 | 0;
 i5 = i3;
 i6 = i1 + 28 | 0;
 i7 = get16(i6 | 0) | 0;
 if (_sqlite3VdbeMemGrow(i1, 32, 0) | 0) {
  i8 = 7;
  STACKTOP = i3;
  return i8 | 0;
 }
 i9 = i1 + 4 | 0;
 i10 = get32(i9 | 0) | 0;
 if (!(i7 & 4)) {
  setF64(i4 | 0, +(+getF64(i1 + 8 | 0)));
  _sqlite3_snprintf(32, i10, 19887, i4) | 0;
 } else {
  i4 = i1 + 16 | 0;
  i7 = get32(i4 + 4 | 0) | 0;
  i11 = i5;
  set32(i11 | 0, get32(i4 | 0) | 0);
  set32(i11 + 4 | 0, i7 | 0);
  _sqlite3_snprintf(32, i10, 19882, i5) | 0;
 }
 i5 = get32(i9 | 0) | 0;
 if (!i5) i12 = 0; else {
  i9 = i5;
  while (1) if (!(get8(i9 >> 0 | 0) | 0)) {
   i13 = i9;
   break;
  } else i9 = i9 + 1 | 0;
  i12 = i13 - i5 & 1073741823;
 }
 set32(i1 + 24 | 0, i12 | 0);
 set8(i1 + 31 >> 0 | 0, 1 | 0);
 set16(i6 | 0, getU16(i6 | 0) | 514 | 0);
 _sqlite3VdbeChangeEncoding(i1, i2) | 0;
 i8 = 0;
 STACKTOP = i3;
 return i8 | 0;
}

function _sqlite3_column_value(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i4 = i3 + 8 | 0;
 i5 = i3;
 i6 = (i1 | 0) == 0;
 do if (!i6) {
  i7 = get32(i1 + 20 | 0) | 0;
  if ((i7 | 0) != 0 ? (getU16(i1 + 48 | 0) | 0) >>> 0 > i2 >>> 0 : 0) {
   i8 = i7 + (i2 * 40 | 0) | 0;
   break;
  }
  i7 = get32(i1 | 0) | 0;
  if (i7) {
   _sqlite3Error(i7, 25, 0, i5);
   i8 = 48;
  } else i8 = 48;
 } else i8 = 48; while (0);
 i5 = i8 + 28 | 0;
 i2 = getU16(i5 | 0) | 0;
 if (i2 & 2048) set16(i5 | 0, i2 & 59391 | 4096 | 0);
 if (i6) {
  STACKTOP = i3;
  return i8 | 0;
 }
 i6 = get32(i1 | 0) | 0;
 i2 = i1 + 92 | 0;
 i1 = get32(i2 | 0) | 0;
 if (!i6) {
  i9 = i1;
  i10 = 255;
 } else {
  i5 = i6 + 30 | 0;
  if ((i1 | 0) == 3082 | (get8(i5 >> 0 | 0) | 0) != 0) {
   _sqlite3Error(i6, 7, 0, i4);
   set8(i5 >> 0 | 0, 0 | 0);
   i11 = 7;
  } else i11 = i1;
  i9 = i11;
  i10 = get32(i6 + 24 | 0) | 0;
 }
 set32(i2 | 0, i10 & i9 | 0);
 STACKTOP = i3;
 return i8 | 0;
}

function _moveToChild(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i4 = i3;
 i5 = i3 + 8 | 0;
 i6 = i1 + 90 | 0;
 i7 = get16(i6 | 0) | 0;
 i8 = i7 << 16 >> 16;
 if (i7 << 16 >> 16 > 18) {
  set32(i4 | 0, 51636 | 0);
  set32(i4 + 4 | 0, 17203 | 0);
  _sqlite3_log(11, 19615, i4);
  i9 = 11;
  STACKTOP = i3;
  return i9 | 0;
 }
 i4 = _getAndInitPage(get32(i1 + 4 | 0) | 0, i2, i5) | 0;
 if (i4) {
  i9 = i4;
  STACKTOP = i3;
  return i9 | 0;
 }
 i4 = get32(i5 | 0) | 0;
 i5 = i8 + 1 | 0;
 set32(i1 + 132 + (i5 << 2) | 0, i4 | 0);
 set16(i1 + 92 + (i5 << 1) | 0, 0 | 0);
 set16(i6 | 0, (get16(i6 | 0) | 0) + 1 << 16 >> 16 | 0);
 set16(i1 + 58 | 0, 0 | 0);
 set8(i1 + 82 >> 0 | 0, 0 | 0);
 i6 = i4;
 if ((get16(i6 + 16 | 0) | 0) != 0 ? (get8(i6 + 2 >> 0 | 0) | 0) == (get8((get32(i1 + 132 + (i8 << 2) | 0) | 0) + 2 >> 0 | 0) | 0) : 0) {
  i9 = 0;
  STACKTOP = i3;
  return i9 | 0;
 }
 _sqlite3CorruptError(51647);
 i9 = 11;
 STACKTOP = i3;
 return i9 | 0;
}

function _unixRead(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0;
 i6 = i1 + 8 | 0;
 i7 = _lseek(get32(i6 | 0) | 0, i4, 0) | 0;
 L1 : do if (!((i7 | 0) == (i4 | 0) & (((i7 | 0) < 0) << 31 >> 31 | 0) == (i5 | 0))) if ((i7 | 0) == -1) {
  set32(i1 + 20 | 0, get32(___errno_location() | 0 | 0) | 0);
  i8 = -1;
  break;
 } else {
  set32(i1 + 20 | 0, 0 | 0);
  i8 = -1;
  break;
 } else {
  while (1) {
   i9 = FUNCTION_TABLE_iiii[get32(1140 | 0) & 63](get32(i6 | 0) | 0, i2, i3) | 0;
   if ((i9 | 0) >= 0) {
    i8 = i9;
    break L1;
   }
   i10 = get32(___errno_location() | 0 | 0) | 0;
   if ((i10 | 0) != 4) {
    i11 = i9;
    i12 = i10;
    break;
   }
  }
  set32(i1 + 20 | 0, i12 | 0);
  i8 = i11;
 } while (0);
 if ((i8 | 0) == (i3 | 0)) {
  i13 = 0;
  return i13 | 0;
 }
 if ((i8 | 0) < 0) {
  i13 = 266;
  return i13 | 0;
 }
 set32(i1 + 20 | 0, 0 | 0);
 _memset(i2 + i8 | 0, 0, i3 - i8 | 0) | 0;
 i13 = 522;
 return i13 | 0;
}

function _sqlite3_column_text16(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i4 = i3 + 8 | 0;
 i5 = i3;
 if (!i1) {
  i6 = _sqlite3ValueText(48, 2) | 0;
  STACKTOP = i3;
  return i6 | 0;
 }
 i7 = get32(i1 + 20 | 0) | 0;
 if ((i7 | 0) != 0 ? (getU16(i1 + 48 | 0) | 0) >>> 0 > i2 >>> 0 : 0) {
  i8 = i1;
  i9 = i7 + (i2 * 40 | 0) | 0;
 } else {
  i2 = get32(i1 | 0) | 0;
  if (!i2) {
   i8 = i1;
   i9 = 48;
  } else {
   _sqlite3Error(i2, 25, 0, i5);
   i8 = i1;
   i9 = 48;
  }
 }
 i5 = _sqlite3ValueText(i9, 2) | 0;
 i9 = get32(i8 | 0) | 0;
 i8 = i1 + 92 | 0;
 i1 = get32(i8 | 0) | 0;
 if (!i9) {
  i10 = i1;
  i11 = 255;
 } else {
  i2 = i9 + 30 | 0;
  if ((i1 | 0) == 3082 | (get8(i2 >> 0 | 0) | 0) != 0) {
   _sqlite3Error(i9, 7, 0, i4);
   set8(i2 >> 0 | 0, 0 | 0);
   i12 = 7;
  } else i12 = i1;
  i10 = i12;
  i11 = get32(i9 + 24 | 0) | 0;
 }
 set32(i8 | 0, i11 & i10 | 0);
 i6 = i5;
 STACKTOP = i3;
 return i6 | 0;
}

function _sqlite3_column_text(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i4 = i3 + 8 | 0;
 i5 = i3;
 if (!i1) {
  i6 = _sqlite3ValueText(48, 1) | 0;
  STACKTOP = i3;
  return i6 | 0;
 }
 i7 = get32(i1 + 20 | 0) | 0;
 if ((i7 | 0) != 0 ? (getU16(i1 + 48 | 0) | 0) >>> 0 > i2 >>> 0 : 0) {
  i8 = i1;
  i9 = i7 + (i2 * 40 | 0) | 0;
 } else {
  i2 = get32(i1 | 0) | 0;
  if (!i2) {
   i8 = i1;
   i9 = 48;
  } else {
   _sqlite3Error(i2, 25, 0, i5);
   i8 = i1;
   i9 = 48;
  }
 }
 i5 = _sqlite3ValueText(i9, 1) | 0;
 i9 = get32(i8 | 0) | 0;
 i8 = i1 + 92 | 0;
 i1 = get32(i8 | 0) | 0;
 if (!i9) {
  i10 = i1;
  i11 = 255;
 } else {
  i2 = i9 + 30 | 0;
  if ((i1 | 0) == 3082 | (get8(i2 >> 0 | 0) | 0) != 0) {
   _sqlite3Error(i9, 7, 0, i4);
   set8(i2 >> 0 | 0, 0 | 0);
   i12 = 7;
  } else i12 = i1;
  i10 = i12;
  i11 = get32(i9 + 24 | 0) | 0;
 }
 set32(i8 | 0, i11 & i10 | 0);
 i6 = i5;
 STACKTOP = i3;
 return i6 | 0;
}

function _sqlite3_set_auxdata(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0;
 do if ((i2 | 0) >= 0) {
  i5 = i1 + 4 | 0;
  i6 = get32(i5 | 0) | 0;
  if (i6) {
   i7 = get32(i6 + 4 | 0) | 0;
   if ((i7 | 0) > (i2 | 0)) i8 = i6; else {
    i9 = i7;
    i10 = 4;
   }
  } else {
   i9 = 0;
   i10 = 4;
  }
  if ((i10 | 0) == 4) {
   i7 = _sqlite3DbRealloc(get32(i1 + 8 | 0) | 0, i6, (i2 << 3) + 16 | 0) | 0;
   if (!i7) break;
   set32(i5 | 0, i7 | 0);
   i5 = i2 + 1 | 0;
   _memset(i7 + 8 + (i9 << 3) | 0, 0, i5 - i9 << 3 | 0) | 0;
   set32(i7 + 4 | 0, i5 | 0);
   set32(i7 | 0, get32(i1 | 0) | 0);
   i8 = i7;
  }
  i7 = i8 + 8 + (i2 << 3) | 0;
  i5 = get32(i7 | 0) | 0;
  i6 = i8 + 8 + (i2 << 3) + 4 | 0;
  if ((i5 | 0) != 0 ? (i11 = get32(i6 | 0) | 0, (i11 | 0) != 0) : 0) FUNCTION_TABLE_vi[i11 & 31](i5);
  set32(i7 | 0, i3 | 0);
  set32(i6 | 0, i4 | 0);
  return;
 } while (0);
 if (!i4) return;
 FUNCTION_TABLE_vi[i4 & 31](i3);
 return;
}

function _sqlite3WalkExpr(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0;
 if (!i2) {
  i3 = 0;
  return i3 | 0;
 }
 i4 = FUNCTION_TABLE_iii[get32(i1 | 0) & 127](i1, i2) | 0;
 L4 : do if ((i4 | 0) == 0 ? (i5 = i2 + 2 | 0, (get16(i5 | 0) & 8192) == 0) : 0) {
  if (_sqlite3WalkExpr(i1, get32(i2 + 8 | 0) | 0) | 0) {
   i3 = 2;
   return i3 | 0;
  }
  if (_sqlite3WalkExpr(i1, get32(i2 + 12 | 0) | 0) | 0) {
   i3 = 2;
   return i3 | 0;
  }
  i6 = i2 + 16 | 0;
  if (get16(i5 | 0) & 2048) {
   if (!(_sqlite3WalkSelect(i1, get32(i6 | 0) | 0) | 0)) break; else i3 = 2;
   return i3 | 0;
  }
  i5 = get32(i6 | 0) | 0;
  if ((i5 | 0) != 0 ? (i6 = get32(i5 | 0) | 0, (i6 | 0) > 0) : 0) {
   i7 = i6;
   i6 = get32(i5 + 12 | 0) | 0;
   while (1) {
    if (_sqlite3WalkExpr(i1, get32(i6 | 0) | 0) | 0) {
     i3 = 2;
     break;
    }
    if ((i7 | 0) > 1) {
     i7 = i7 + -1 | 0;
     i6 = i6 + 20 | 0;
    } else break L4;
   }
   return i3 | 0;
  }
 } while (0);
 i3 = i4 & 2;
 return i3 | 0;
}

function _sqlite3_errcode(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i3 = i2 + 8 | 0;
 i4 = i2;
 if (!i1) {
  i5 = 7;
  STACKTOP = i2;
  return i5 | 0;
 }
 i6 = get32(i1 + 56 | 0) | 0;
 L4 : do if ((i6 | 0) >= -264537850) if ((i6 | 0) < 1266094736) switch (i6 | 0) {
 case -264537850:
  {
   break L4;
   break;
  }
 default:
  {
   i7 = 3;
   break L4;
  }
 } else switch (i6 | 0) {
 case 1266094736:
  {
   break L4;
   break;
  }
 default:
  {
   i7 = 3;
   break L4;
  }
 } else switch (i6 | 0) {
 case -1607883113:
  break;
 default:
  i7 = 3;
 } while (0);
 if ((i7 | 0) == 3) {
  set32(i4 | 0, 38376 | 0);
  _sqlite3_log(21, 26104, i4);
  set32(i3 | 0, 109519 | 0);
  set32(i3 + 4 | 0, 17203 | 0);
  _sqlite3_log(21, 39226, i3);
  i5 = 21;
  STACKTOP = i2;
  return i5 | 0;
 }
 if (get8(i1 + 30 >> 0 | 0) | 0) {
  i5 = 7;
  STACKTOP = i2;
  return i5 | 0;
 }
 i5 = get32(i1 + 24 | 0) & get32(i1 + 20 | 0);
 STACKTOP = i2;
 return i5 | 0;
}

function _memjrnlTruncate(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0;
 i3 = get32(i1 + 4 | 0) | 0;
 if (!i3) {
  i4 = i1;
  i5 = i4 + 40 | 0;
  do {
   set32(i4 | 0, 0 | 0);
   i4 = i4 + 4 | 0;
  } while ((i4 | 0) < (i5 | 0));
  set32(i1 | 0, 1396 | 0);
  return 0;
 } else i6 = i3;
 do {
  i3 = i6;
  i6 = get32(i6 | 0) | 0;
  if (!(get32(50 * 4 | 0) | 0)) FUNCTION_TABLE_vi[get32(232 | 0) & 31](i3); else {
   i2 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i3) | 0;
   i7 = (get32(30 * 4 | 0) | 0) - i2 | 0;
   set32(30 * 4 | 0, i7 | 0);
   if ((i7 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i7 | 0);
   i7 = (get32(39 * 4 | 0) | 0) + -1 | 0;
   set32(39 * 4 | 0, i7 | 0);
   if ((i7 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i7 | 0);
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i3);
  }
 } while ((i6 | 0) != 0);
 i4 = i1;
 i5 = i4 + 40 | 0;
 do {
  set32(i4 | 0, 0 | 0);
  i4 = i4 + 4 | 0;
 } while ((i4 | 0) < (i5 | 0));
 set32(i1 | 0, 1396 | 0);
 return 0;
}

function _sqlite3_column_type(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i4 = i3 + 8 | 0;
 i5 = i3;
 if (!i1) {
  i6 = 5;
  STACKTOP = i3;
  return i6 | 0;
 }
 i7 = get32(i1 + 20 | 0) | 0;
 if ((i7 | 0) != 0 ? (getU16(i1 + 48 | 0) | 0) >>> 0 > i2 >>> 0 : 0) {
  i8 = i1;
  i9 = i7 + (i2 * 40 | 0) | 0;
 } else {
  i2 = get32(i1 | 0) | 0;
  if (!i2) {
   i8 = i1;
   i9 = 48;
  } else {
   _sqlite3Error(i2, 25, 0, i5);
   i8 = i1;
   i9 = 48;
  }
 }
 i5 = getU8(i9 + 30 >> 0 | 0) | 0;
 i9 = get32(i8 | 0) | 0;
 i8 = i1 + 92 | 0;
 i1 = get32(i8 | 0) | 0;
 if (!i9) {
  i10 = i1;
  i11 = 255;
 } else {
  i2 = i9 + 30 | 0;
  if ((i1 | 0) == 3082 | (get8(i2 >> 0 | 0) | 0) != 0) {
   _sqlite3Error(i9, 7, 0, i4);
   set8(i2 >> 0 | 0, 0 | 0);
   i12 = 7;
  } else i12 = i1;
  i10 = i12;
  i11 = get32(i9 + 24 | 0) | 0;
 }
 set32(i8 | 0, i11 & i10 | 0);
 i6 = i5;
 STACKTOP = i3;
 return i6 | 0;
}

function _sqlite3_file_control(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0;
 i5 = get32(i1 + 4 | 0) | 0;
 L1 : do if ((i2 | 0) != 0 & (i5 | 0) > 0) {
  i6 = get32(i1 + 8 | 0) | 0;
  i7 = 0;
  while (1) {
   if (!(_strcmp(get32(i6 + (i7 << 4) | 0) | 0, i2) | 0)) {
    i8 = i7;
    break L1;
   }
   i9 = i7 + 1 | 0;
   if ((i9 | 0) < (i5 | 0)) i7 = i9; else {
    i8 = i9;
    break;
   }
  }
 } else i8 = 0; while (0);
 if ((i8 | 0) >= (i5 | 0)) {
  i10 = 1;
  return i10 | 0;
 }
 i5 = get32((get32(i1 + 8 | 0) | 0) + (i8 << 4) + 4 | 0) | 0;
 if (!i5) {
  i10 = 1;
  return i10 | 0;
 }
 i8 = get32(i5 + 4 | 0) | 0;
 set32(i8 + 4 | 0, get32(i5 | 0) | 0);
 i5 = get32((get32(i8 | 0) | 0) + 60 | 0) | 0;
 if ((i3 | 0) == 7) {
  set32(i4 | 0, i5 | 0);
  i10 = 0;
  return i10 | 0;
 }
 i8 = get32(i5 | 0) | 0;
 if (!i8) {
  i10 = 12;
  return i10 | 0;
 }
 i10 = FUNCTION_TABLE_iiii[get32(i8 + 40 | 0) & 63](i5, i3, i4) | 0;
 return i10 | 0;
}

function _sqlite3PagerRollback(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0;
 i2 = i1 + 15 | 0;
 i3 = get8(i2 >> 0 | 0) | 0;
 if (i3 << 24 >> 24 == 6) {
  i4 = get32(i1 + 40 | 0) | 0;
  return i4 | 0;
 }
 if ((i3 & 255) < 2) {
  i4 = 0;
  return i4 | 0;
 }
 do if (!(get32(i1 + 172 | 0) | 0)) {
  if (!(i3 << 24 >> 24 == 2 ? 1 : (get32(get32(i1 + 64 | 0) | 0) | 0) == 0)) {
   i5 = _pager_playback(i1, 0) | 0;
   break;
  }
  i6 = _pager_end_transaction(i1, 0) | 0;
  if ((i3 & 255) > 2 & (get8(i1 + 14 >> 0 | 0) | 0) == 0) {
   set32(i1 + 40 | 0, 4 | 0);
   set8(i2 >> 0 | 0, 6 | 0);
   i4 = i6;
   return i4 | 0;
  } else i5 = i6;
 } else {
  i6 = _sqlite3PagerSavepoint(i1, 2, -1) | 0;
  i7 = _pager_end_transaction(i1, getU8(i1 + 18 >> 0 | 0) | 0) | 0;
  i5 = (i6 | 0) == 0 ? i7 : i6;
 } while (0);
 switch (i5 & 255 | 0) {
 case 10:
 case 13:
  break;
 default:
  {
   i4 = i5;
   return i4 | 0;
  }
 }
 set32(i1 + 40 | 0, i5 | 0);
 set8(i2 >> 0 | 0, 6 | 0);
 i4 = i5;
 return i4 | 0;
}

function _sqlite3DbMallocRaw(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0;
 if (!i1) {
  i3 = _sqlite3Malloc(i2) | 0;
  return i3 | 0;
 }
 i4 = i1 + 30 | 0;
 if (get8(i4 >> 0 | 0) | 0) {
  i3 = 0;
  return i3 | 0;
 }
 do if (get8(i1 + 234 >> 0 | 0) | 0) {
  if ((getU16(i1 + 232 | 0) | 0) < (i2 | 0)) {
   i5 = i1 + 248 | 0;
   set32(i5 | 0, (get32(i5 | 0) | 0) + 1 | 0);
   break;
  }
  i5 = i1 + 256 | 0;
  i6 = get32(i5 | 0) | 0;
  if (!i6) {
   i7 = i1 + 252 | 0;
   set32(i7 | 0, (get32(i7 | 0) | 0) + 1 | 0);
   break;
  }
  set32(i5 | 0, get32(i6 | 0) | 0);
  i5 = i1 + 236 | 0;
  i7 = get32(i5 | 0) | 0;
  i8 = i7 + 1 | 0;
  set32(i5 | 0, i8 | 0);
  i5 = i1 + 244 | 0;
  set32(i5 | 0, (get32(i5 | 0) | 0) + 1 | 0);
  i5 = i1 + 240 | 0;
  if ((i7 | 0) >= (get32(i5 | 0) | 0)) set32(i5 | 0, i8 | 0);
  i3 = i6;
  return i3 | 0;
 } while (0);
 i1 = _sqlite3Malloc(i2) | 0;
 if (i1) {
  i3 = i1;
  return i3 | 0;
 }
 set8(i4 >> 0 | 0, 1 | 0);
 i3 = 0;
 return i3 | 0;
}

function _countStep(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0;
 i4 = get32(i1 + 48 | 0) | 0;
 i5 = i4 + 28 | 0;
 if (!(get16(i5 | 0) & 8192)) {
  _sqlite3VdbeMemGrow(i4, 8, 0) | 0;
  set16(i5 | 0, 8192 | 0);
  set32(i4 + 16 | 0, get32(i1 | 0) | 0);
  i1 = i4 + 4 | 0;
  i5 = get32(i1 | 0) | 0;
  if (!i5) i6 = i1; else {
   i7 = i5;
   i5 = i7;
   set8(i5 >> 0 | 0, 0 | 0);
   set8(i5 + 1 >> 0 | 0, 0 | 0);
   set8(i5 + 2 >> 0 | 0, 0 | 0);
   set8(i5 + 3 >> 0 | 0, 0 | 0);
   i5 = i7 + 4 | 0;
   set8(i5 >> 0 | 0, 0 | 0);
   set8(i5 + 1 >> 0 | 0, 0 | 0);
   set8(i5 + 2 >> 0 | 0, 0 | 0);
   set8(i5 + 3 >> 0 | 0, 0 | 0);
   i6 = i1;
  }
 } else i6 = i4 + 4 | 0;
 i4 = get32(i6 | 0) | 0;
 if (!i2) {
  if (!i4) return;
 } else if (!((i4 | 0) != 0 ? (get8((get32(i3 | 0) | 0) + 30 >> 0 | 0) | 0) != 5 : 0)) return;
 i3 = i4;
 i2 = _i64Add(get32(i3 | 0) | 0, get32(i3 + 4 | 0) | 0, 1, 0) | 0;
 i3 = i4;
 set32(i3 | 0, i2 | 0);
 set32(i3 + 4 | 0, tempRet0 | 0);
 return;
}

function _sqlite3_extended_errcode(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i3 = i2 + 8 | 0;
 i4 = i2;
 if (!i1) {
  i5 = 7;
  STACKTOP = i2;
  return i5 | 0;
 }
 i6 = get32(i1 + 56 | 0) | 0;
 L4 : do if ((i6 | 0) >= -264537850) if ((i6 | 0) < 1266094736) switch (i6 | 0) {
 case -264537850:
  {
   break L4;
   break;
  }
 default:
  {
   i7 = 3;
   break L4;
  }
 } else switch (i6 | 0) {
 case 1266094736:
  {
   break L4;
   break;
  }
 default:
  {
   i7 = 3;
   break L4;
  }
 } else switch (i6 | 0) {
 case -1607883113:
  break;
 default:
  i7 = 3;
 } while (0);
 if ((i7 | 0) == 3) {
  set32(i4 | 0, 38376 | 0);
  _sqlite3_log(21, 26104, i4);
  set32(i3 | 0, 109528 | 0);
  set32(i3 + 4 | 0, 17203 | 0);
  _sqlite3_log(21, 39226, i3);
  i5 = 21;
  STACKTOP = i2;
  return i5 | 0;
 }
 if (get8(i1 + 30 >> 0 | 0) | 0) {
  i5 = 7;
  STACKTOP = i2;
  return i5 | 0;
 }
 i5 = get32(i1 + 20 | 0) | 0;
 STACKTOP = i2;
 return i5 | 0;
}

function _memjrnlClose(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0;
 i2 = get32(i1 + 4 | 0) | 0;
 if (!i2) {
  i3 = i1;
  i4 = i3 + 40 | 0;
  do {
   set32(i3 | 0, 0 | 0);
   i3 = i3 + 4 | 0;
  } while ((i3 | 0) < (i4 | 0));
  set32(i1 | 0, 1396 | 0);
  return 0;
 } else i5 = i2;
 do {
  i2 = i5;
  i5 = get32(i5 | 0) | 0;
  if (!(get32(50 * 4 | 0) | 0)) FUNCTION_TABLE_vi[get32(232 | 0) & 31](i2); else {
   i6 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i2) | 0;
   i7 = (get32(30 * 4 | 0) | 0) - i6 | 0;
   set32(30 * 4 | 0, i7 | 0);
   if ((i7 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i7 | 0);
   i7 = (get32(39 * 4 | 0) | 0) + -1 | 0;
   set32(39 * 4 | 0, i7 | 0);
   if ((i7 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i7 | 0);
   FUNCTION_TABLE_vi[get32(232 | 0) & 31](i2);
  }
 } while ((i5 | 0) != 0);
 i3 = i1;
 i4 = i3 + 40 | 0;
 do {
  set32(i3 | 0, 0 | 0);
  i3 = i3 + 4 | 0;
 } while ((i3 | 0) < (i4 | 0));
 set32(i1 | 0, 1396 | 0);
 return 0;
}

function _pcache1FreePage(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0;
 if (!i1) return;
 i2 = get32(i1 + 8 | 0) | 0;
 if (get32(i2 + 8 | 0) | 0) {
  i3 = (get32(i2 | 0) | 0) + 16 | 0;
  set32(i3 | 0, (get32(i3 | 0) | 0) + -1 | 0);
 }
 i3 = i1 + (0 - (get32(i2 + 4 | 0) | 0)) | 0;
 if (!i3) return;
 if ((get32(379 * 4 | 0) | 0) >>> 0 <= i3 >>> 0 & (get32(380 * 4 | 0) | 0) >>> 0 > i3 >>> 0) {
  i2 = (get32(31 * 4 | 0) | 0) + -1 | 0;
  set32(31 * 4 | 0, i2 | 0);
  if ((i2 | 0) > (get32(41 * 4 | 0) | 0)) set32(41 * 4 | 0, i2 | 0);
  set32(i3 | 0, get32(383 * 4 | 0) | 0);
  set32(383 * 4 | 0, i3 | 0);
  i2 = (get32(382 * 4 | 0) | 0) + 1 | 0;
  set32(382 * 4 | 0, i2 | 0);
  set32(384 * 4 | 0, (i2 | 0) < (get32(378 * 4 | 0) | 0) & 1 | 0);
  return;
 } else {
  i2 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i3) | 0;
  i1 = (get32(32 * 4 | 0) | 0) - i2 | 0;
  set32(32 * 4 | 0, i1 | 0);
  if ((i1 | 0) > (get32(42 * 4 | 0) | 0)) set32(42 * 4 | 0, i1 | 0);
  _sqlite3_free(i3);
  return;
 }
}

function _nocaseCollatingFunc(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0;
 i1 = (i2 | 0) < (i4 | 0) ? i2 : i4;
 L1 : do if ((i1 | 0) > 0) {
  i6 = i1;
  i7 = i3;
  i8 = i5;
  while (1) {
   i9 = get8(i7 >> 0 | 0) | 0;
   if (!(i9 << 24 >> 24)) {
    i10 = i8;
    i11 = 3;
    break;
   }
   i12 = get8(16286 + (i9 & 255) >> 0 | 0) | 0;
   i9 = get8(16286 + (getU8(i8 >> 0 | 0) | 0) >> 0 | 0) | 0;
   if (i12 << 24 >> 24 != i9 << 24 >> 24) {
    i13 = i12;
    i14 = i9;
    break;
   }
   if ((i6 | 0) > 1) {
    i6 = i6 + -1 | 0;
    i7 = i7 + 1 | 0;
    i8 = i8 + 1 | 0;
   } else {
    i15 = 0;
    break L1;
   }
  }
  if ((i11 | 0) == 3) {
   i13 = 0;
   i14 = get8(16286 + (getU8(i10 >> 0 | 0) | 0) >> 0 | 0) | 0;
  }
  i15 = (i13 & 255) - (i14 & 255) | 0;
 } else i15 = 0; while (0);
 return ((i15 | 0) == 0 ? i2 - i4 | 0 : i15) | 0;
}

function _unixCheckReservedLock(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i4 = i3;
 i5 = i3 + 8 | 0;
 i6 = get32(i1 + 4 | 0) | 0;
 i7 = (getU8(i6 + 12 >> 0 | 0) | 0) > 1;
 i8 = i7 & 1;
 do if (!i7) if (!(get8(i6 + 13 >> 0 | 0) | 0)) {
  set16(i5 + 2 | 0, 0 | 0);
  set32(i5 + 4 | 0, (get32(199 * 4 | 0) | 0) + 1 | 0);
  set32(i5 + 8 | 0, 1 | 0);
  set16(i5 | 0, 1 | 0);
  i9 = get32(282 * 4 | 0) | 0;
  i10 = get32(i1 + 8 | 0) | 0;
  set32(i4 | 0, i5 | 0);
  if (!(FUNCTION_TABLE_iiii[i9 & 63](i10, 12, i4) | 0)) {
   i11 = 0;
   i12 = (get16(i5 | 0) | 0) == 2 ? i8 : 1;
   break;
  } else {
   set32(i1 + 20 | 0, get32(___errno_location() | 0 | 0) | 0);
   i11 = 3594;
   i12 = 0;
   break;
  }
 } else {
  i11 = 0;
  i12 = 0;
 } else {
  i11 = 0;
  i12 = 1;
 } while (0);
 set32(i2 | 0, i12 | 0);
 STACKTOP = i3;
 return i11 | 0;
}

function _sqlite3_result_error_nomem(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0;
 i2 = i1 + 36 | 0;
 i3 = get16(i2 | 0) | 0;
 if (i3 & 64) {
  i4 = get32(i1 + 24 | 0) | 0;
  i5 = (get32(i4 | 0) | 0) + 172 | 0;
  set32(i4 + 60 | 0, get32(i5 | 0) | 0);
  set32(i5 | 0, i4 | 0);
 }
 if (!(i3 & 32)) i6 = i3; else {
  i4 = get32(i1 + 24 | 0) | 0;
  i5 = get32(i4 | 0) | 0;
  if (!i5) i7 = i3; else {
   i3 = i4 + 4 | 0;
   i8 = i5;
   do {
    i5 = i8;
    i8 = get32(i8 | 0) | 0;
    _sqlite3DbFree(get32(i3 | 0) | 0, i5);
   } while ((i8 | 0) != 0);
   i7 = get16(i2 | 0) | 0;
  }
  set32(i4 | 0, 0 | 0);
  set16(i4 + 24 | 0, 0 | 0);
  set32(i4 + 8 | 0, 0 | 0);
  set32(i4 + 12 | 0, 0 | 0);
  set32(i4 + 20 | 0, 0 | 0);
  set8(i4 + 26 >> 0 | 0, 1 | 0);
  i6 = i7;
 }
 set16(i2 | 0, i6 & 48896 | 1 | 0);
 set8(i1 + 38 >> 0 | 0, 5 | 0);
 set32(i1 + 52 | 0, 7 | 0);
 set8((get32(i1 + 8 | 0) | 0) + 30 >> 0 | 0, 1 | 0);
 return;
}

function _fflush(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0;
 do if (i1) {
  if ((get32(i1 + 76 | 0) | 0) <= -1) {
   i2 = ___fflush_unlocked(i1) | 0;
   break;
  }
  i3 = (___lockfile(i1) | 0) == 0;
  i4 = ___fflush_unlocked(i1) | 0;
  if (i3) i2 = i4; else {
   ___unlockfile(i1);
   i2 = i4;
  }
 } else {
  if (!(get32(1442 * 4 | 0) | 0)) i5 = 0; else i5 = _fflush(get32(1442 * 4 | 0) | 0) | 0;
  ___lock(5800);
  i4 = get32(1449 * 4 | 0) | 0;
  if (!i4) i6 = i5; else {
   i3 = i4;
   i4 = i5;
   while (1) {
    if ((get32(i3 + 76 | 0) | 0) > -1) i7 = ___lockfile(i3) | 0; else i7 = 0;
    if ((get32(i3 + 20 | 0) | 0) >>> 0 > (get32(i3 + 28 | 0) | 0) >>> 0) i8 = ___fflush_unlocked(i3) | 0 | i4; else i8 = i4;
    if (i7) ___unlockfile(i3);
    i3 = get32(i3 + 56 | 0) | 0;
    if (!i3) {
     i6 = i8;
     break;
    } else i4 = i8;
   }
  }
  ___unlock(5800);
  i2 = i6;
 } while (0);
 return i2 | 0;
}

function _sqlite3_vfs_register(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0;
 i3 = _sqlite3_initialize() | 0;
 if (i3) {
  i4 = i3;
  return i4 | 0;
 }
 do if (i1) {
  i3 = get32(107 * 4 | 0) | 0;
  if ((i3 | 0) == (i1 | 0)) {
   set32(107 * 4 | 0, get32(i1 + 12 | 0) | 0);
   break;
  }
  if (i3) {
   i5 = i3;
   while (1) {
    i3 = i5 + 12 | 0;
    i6 = get32(i3 | 0) | 0;
    if ((i6 | 0) != (i1 | 0) & (i6 | 0) != 0) i5 = i6; else {
     i7 = i3;
     i8 = i6;
     break;
    }
   }
   if ((i8 | 0) == (i1 | 0)) set32(i7 | 0, get32(i1 + 12 | 0) | 0);
  }
 } while (0);
 i7 = get32(107 * 4 | 0) | 0;
 if ((i2 | 0) != 0 | (i7 | 0) == 0) {
  set32(i1 + 12 | 0, i7 | 0);
  set32(107 * 4 | 0, i1 | 0);
  i4 = 0;
  return i4 | 0;
 } else {
  set32(i1 + 12 | 0, get32(i7 + 12 | 0) | 0);
  set32((get32(107 * 4 | 0) | 0) + 12 | 0, i1 | 0);
  i4 = 0;
  return i4 | 0;
 }
 return 0;
}

function _fmt_u(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0;
 if (i2 >>> 0 > 0 | (i2 | 0) == 0 & i1 >>> 0 > 4294967295) {
  i4 = i3;
  i5 = i1;
  i6 = i2;
  while (1) {
   i2 = ___uremdi3(i5 | 0, i6 | 0, 10, 0) | 0;
   i7 = i4 + -1 | 0;
   set8(i7 >> 0 | 0, i2 | 48 | 0);
   i2 = ___udivdi3(i5 | 0, i6 | 0, 10, 0) | 0;
   if (i6 >>> 0 > 9 | (i6 | 0) == 9 & i5 >>> 0 > 4294967295) {
    i4 = i7;
    i5 = i2;
    i6 = tempRet0;
   } else {
    i8 = i7;
    i9 = i2;
    break;
   }
  }
  i10 = i8;
  i11 = i9;
 } else {
  i10 = i3;
  i11 = i1;
 }
 if (!i11) i12 = i10; else {
  i1 = i10;
  i10 = i11;
  while (1) {
   i11 = i1 + -1 | 0;
   set8(i11 >> 0 | 0, (i10 >>> 0) % 10 | 0 | 48 | 0);
   if (i10 >>> 0 < 10) {
    i12 = i11;
    break;
   } else {
    i1 = i11;
    i10 = (i10 >>> 0) / 10 | 0;
   }
  }
 }
 return i12 | 0;
}

function _wcrtomb(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0;
 do if (i1) {
  if (i2 >>> 0 < 128) {
   set8(i1 >> 0 | 0, i2 | 0);
   i4 = 1;
   break;
  }
  if (i2 >>> 0 < 2048) {
   set8(i1 >> 0 | 0, i2 >>> 6 | 192 | 0);
   set8(i1 + 1 >> 0 | 0, i2 & 63 | 128 | 0);
   i4 = 2;
   break;
  }
  if (i2 >>> 0 < 55296 | (i2 & -8192 | 0) == 57344) {
   set8(i1 >> 0 | 0, i2 >>> 12 | 224 | 0);
   set8(i1 + 1 >> 0 | 0, i2 >>> 6 & 63 | 128 | 0);
   set8(i1 + 2 >> 0 | 0, i2 & 63 | 128 | 0);
   i4 = 3;
   break;
  }
  if ((i2 + -65536 | 0) >>> 0 < 1048576) {
   set8(i1 >> 0 | 0, i2 >>> 18 | 240 | 0);
   set8(i1 + 1 >> 0 | 0, i2 >>> 12 & 63 | 128 | 0);
   set8(i1 + 2 >> 0 | 0, i2 >>> 6 & 63 | 128 | 0);
   set8(i1 + 3 >> 0 | 0, i2 & 63 | 128 | 0);
   i4 = 4;
   break;
  } else {
   set32(___errno_location() | 0 | 0, 84 | 0);
   i4 = -1;
   break;
  }
 } else i4 = 1; while (0);
 return i4 | 0;
}

function _sqlite3SetString(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 400 | 0;
 i6 = i5 + 44 | 0;
 i7 = i5 + 16 | 0;
 i8 = i5;
 set32(i8 | 0, i4 | 0);
 i4 = get32(i2 + 72 | 0) | 0;
 set32(i7 + 4 | 0, i6 | 0);
 set32(i7 + 8 | 0, i6 | 0);
 set32(i7 + 12 | 0, 0 | 0);
 set32(i7 + 16 | 0, 350 | 0);
 set32(i7 + 20 | 0, i4 | 0);
 set8(i7 + 25 >> 0 | 0, 1 | 0);
 set8(i7 + 26 >> 0 | 0, 0 | 0);
 i4 = i7 + 24 | 0;
 set8(i4 >> 0 | 0, 0 | 0);
 set32(i7 | 0, i2 | 0);
 _sqlite3VXPrintf(i7, 1, i3, i8);
 i8 = _sqlite3StrAccumFinish(i7) | 0;
 if (!(get8(i4 >> 0 | 0) | 0)) {
  i9 = get32(i1 | 0) | 0;
  _sqlite3DbFree(i2, i9);
  set32(i1 | 0, i8 | 0);
  STACKTOP = i5;
  return;
 }
 set8(i2 + 30 >> 0 | 0, 1 | 0);
 i9 = get32(i1 | 0) | 0;
 _sqlite3DbFree(i2, i9);
 set32(i1 | 0, i8 | 0);
 STACKTOP = i5;
 return;
}

function _selectAddSubqueryTypeInfo(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0;
 i3 = i2 + 6 | 0;
 i4 = getU16(i3 | 0) | 0;
 if (i4 & 32) return 0;
 set16(i3 | 0, i4 | 32 | 0);
 i4 = get32(i1 + 8 | 0) | 0;
 i1 = get32(i2 + 8 | 0) | 0;
 i2 = get16(i1 | 0) | 0;
 if (i2 << 16 >> 16 <= 0) return 0;
 i3 = i2;
 i2 = 0;
 i5 = i1 + 8 | 0;
 while (1) {
  i6 = get32(i5 + 12 | 0) | 0;
  if ((i6 | 0) != 0 ? (get8(i6 + 34 >> 0 | 0) & 2) != 0 : 0) {
   i7 = get32(i5 + 16 | 0) | 0;
   while (1) {
    i8 = get32(i7 + 28 | 0) | 0;
    if (!i8) {
     i9 = i7;
     break;
    } else i7 = i8;
   }
   _selectAddColumnTypeAndCollation(i4, get32(i6 + 8 | 0) | 0, get32(i6 + 12 | 0) | 0, i9);
   i10 = get16(i1 | 0) | 0;
  } else i10 = i3;
  i2 = i2 + 1 | 0;
  if ((i2 | 0) >= (i10 << 16 >> 16 | 0)) break; else {
   i3 = i10;
   i5 = i5 + 56 | 0;
  }
 }
 return 0;
}

function _minmaxFunc(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0;
 i4 = ((get32((get32(i1 | 0) | 0) + 4 | 0) | 0) != 0) << 31 >> 31;
 i5 = get32(i1 + 56 | 0) | 0;
 i6 = get32(i3 | 0) | 0;
 if ((get8(i6 + 30 >> 0 | 0) | 0) == 5) return;
 do if ((i2 | 0) > 1) {
  i7 = 1;
  i8 = 0;
  while (1) {
   i9 = get32(i3 + (i7 << 2) | 0) | 0;
   if ((get8(i9 + 30 >> 0 | 0) | 0) == 5) {
    i10 = 7;
    break;
   }
   i11 = ((_sqlite3MemCompare(get32(i3 + (i8 << 2) | 0) | 0, i9, i5) | 0) ^ i4 | 0) > -1;
   i9 = i11 ? i7 : i8;
   i7 = i7 + 1 | 0;
   if ((i7 | 0) >= (i2 | 0)) {
    i12 = i9;
    i10 = 5;
    break;
   } else i8 = i9;
  }
  if ((i10 | 0) == 5) {
   i13 = get32(i3 + (i12 << 2) | 0) | 0;
   break;
  } else if ((i10 | 0) == 7) return;
 } else i13 = i6; while (0);
 _sqlite3_result_value(i1, i13);
 return;
}

function _sqlite3_reset(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i3 = i2;
 if (!i1) {
  i4 = 0;
  STACKTOP = i2;
  return i4 | 0;
 }
 i5 = _sqlite3VdbeReset(i1) | 0;
 set32(i1 + 88 | 0, -1 | 0);
 set32(i1 + 92 | 0, 0 | 0);
 set8(i1 + 96 >> 0 | 0, 2 | 0);
 set32(i1 + 52 | 0, -1108210269 | 0);
 set32(i1 + 108 | 0, 0 | 0);
 set32(i1 + 84 | 0, 1 | 0);
 set8(i1 + 101 >> 0 | 0, -1 | 0);
 set32(i1 + 120 | 0, 0 | 0);
 i6 = i1 + 144 | 0;
 set32(i6 | 0, 0 | 0);
 set32(i6 + 4 | 0, 0 | 0);
 i6 = get32(i1 | 0) | 0;
 if (!i6) {
  i7 = i5;
  i8 = 255;
 } else {
  i1 = i6 + 30 | 0;
  if ((i5 | 0) == 3082 | (get8(i1 >> 0 | 0) | 0) != 0) {
   _sqlite3Error(i6, 7, 0, i3);
   set8(i1 >> 0 | 0, 0 | 0);
   i9 = 7;
  } else i9 = i5;
  i7 = i9;
  i8 = get32(i6 + 24 | 0) | 0;
 }
 i4 = i8 & i7;
 STACKTOP = i2;
 return i4 | 0;
}

function _pad(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0, i15 = 0;
 i6 = STACKTOP;
 STACKTOP = STACKTOP + 256 | 0;
 i7 = i6;
 do if ((i3 | 0) > (i4 | 0) & (i5 & 73728 | 0) == 0) {
  i8 = i3 - i4 | 0;
  _memset(i7 | 0, i2 | 0, (i8 >>> 0 > 256 ? 256 : i8) | 0) | 0;
  i9 = get32(i1 | 0) | 0;
  i10 = (i9 & 32 | 0) == 0;
  if (i8 >>> 0 > 255) {
   i11 = i3 - i4 | 0;
   i12 = i8;
   i13 = i9;
   i9 = i10;
   while (1) {
    if (i9) {
     ___fwritex(i7, 256, i1) | 0;
     i14 = get32(i1 | 0) | 0;
    } else i14 = i13;
    i12 = i12 + -256 | 0;
    i9 = (i14 & 32 | 0) == 0;
    if (i12 >>> 0 <= 255) break; else i13 = i14;
   }
   if (i9) i15 = i11 & 255; else break;
  } else if (i10) i15 = i8; else break;
  ___fwritex(i7, i15, i1) | 0;
 } while (0);
 STACKTOP = i6;
 return;
}

function _whereClauseClear(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0;
 i2 = get32(get32(i1 | 0) | 0) | 0;
 i3 = get32(i1 + 20 | 0) | 0;
 i4 = i1 + 28 | 0;
 if ((i3 | 0) > 0) {
  i5 = get32(i4 | 0) | 0;
  i6 = i3;
  while (1) {
   i3 = i6;
   i6 = i6 + -1 | 0;
   i7 = i5 + 18 | 0;
   i8 = get8(i7 >> 0 | 0) | 0;
   if (!(i8 & 1)) i9 = i8; else {
    _sqlite3ExprDelete(i2, get32(i5 | 0) | 0);
    i9 = get8(i7 >> 0 | 0) | 0;
   }
   i7 = i9 & 255;
   if (!(i7 & 16)) {
    if (i7 & 32) {
     i7 = get32(i5 + 12 | 0) | 0;
     _whereClauseClear(i7);
     _sqlite3DbFree(i2, i7);
    }
   } else {
    i7 = get32(i5 + 12 | 0) | 0;
    _whereClauseClear(i7);
    _sqlite3DbFree(i2, i7);
   }
   if ((i3 | 0) <= 1) break; else i5 = i5 + 40 | 0;
  }
 }
 i5 = get32(i4 | 0) | 0;
 if ((i5 | 0) == (i1 + 32 | 0)) return;
 _sqlite3DbFree(i2, i5);
 return;
}

function _atoi(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0;
 i2 = i1;
 while (1) {
  i1 = i2 + 1 | 0;
  if (!(_isspace(get8(i2 >> 0 | 0) | 0) | 0)) {
   i3 = i2;
   i4 = i1;
   break;
  } else i2 = i1;
 }
 i2 = get8(i3 >> 0 | 0) | 0;
 switch (i2 << 24 >> 24 | 0) {
 case 45:
  {
   i5 = 1;
   i6 = 5;
   break;
  }
 case 43:
  {
   i5 = 0;
   i6 = 5;
   break;
  }
 default:
  {
   i7 = i3;
   i8 = i2;
   i9 = 0;
  }
 }
 if ((i6 | 0) == 5) {
  i7 = i4;
  i8 = get8(i4 >> 0 | 0) | 0;
  i9 = i5;
 }
 i5 = (i8 << 24 >> 24) + -48 | 0;
 if (i5 >>> 0 < 10) {
  i8 = i7;
  i7 = i5;
  i5 = 0;
  while (1) {
   i8 = i8 + 1 | 0;
   i4 = (i5 * 10 | 0) - i7 | 0;
   i7 = (get8(i8 >> 0 | 0) | 0) + -48 | 0;
   if (i7 >>> 0 >= 10) {
    i10 = i4;
    break;
   } else i5 = i4;
  }
 } else i10 = 0;
 return ((i9 | 0) != 0 ? i10 : 0 - i10 | 0) | 0;
}

function _sqlite3InvalidFunction(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i2 = i3;
 set32(i2 | 0, get32((get32(i1 | 0) | 0) + 24 | 0) | 0);
 i4 = _sqlite3_mprintf(39051, i2) | 0;
 set32(i1 + 52 | 0, 1 | 0);
 _sqlite3VdbeMemSetStr(i1 + 8 | 0, i4, -1, 1, -1) | 0;
 if (!i4) {
  STACKTOP = i3;
  return;
 }
 if (!(get32(50 * 4 | 0) | 0)) {
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i4);
  STACKTOP = i3;
  return;
 }
 i1 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i4) | 0;
 i2 = (get32(30 * 4 | 0) | 0) - i1 | 0;
 set32(30 * 4 | 0, i2 | 0);
 if ((i2 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i2 | 0);
 i2 = (get32(39 * 4 | 0) | 0) + -1 | 0;
 set32(39 * 4 | 0, i2 | 0);
 if ((i2 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i2 | 0);
 FUNCTION_TABLE_vi[get32(232 | 0) & 31](i4);
 STACKTOP = i3;
 return;
}

function ___mmap(i1, i2, i3, i4, i5, i6) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 var i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0;
 i7 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i8 = i7;
 do if ((i6 & 4095 | 0) == 0 & (((i6 | 0) < 0) << 31 >> 31 & -4096 | 0) == 0) {
  if (i2 >>> 0 > 2147483646) {
   set32(___errno_location() | 0 | 0, 12 | 0);
   i9 = -1;
   break;
  }
  i10 = (i4 & 16 | 0) != 0;
  if (i10) _dummy1(-1);
  set32(i8 | 0, i1 | 0);
  set32(i8 + 4 | 0, i2 | 0);
  set32(i8 + 8 | 0, i3 | 0);
  set32(i8 + 12 | 0, i4 | 0);
  set32(i8 + 16 | 0, i5 | 0);
  set32(i8 + 20 | 0, i6 >> 12 | 0);
  i11 = ___syscall_ret(___syscall192(192, i8 | 0) | 0) | 0;
  if (i10) {
   _dummy0();
   i9 = i11;
  } else i9 = i11;
 } else {
  set32(___errno_location() | 0 | 0, 22 | 0);
  i9 = -1;
 } while (0);
 STACKTOP = i7;
 return i9 | 0;
}

function _randomFunc(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i2 = i3;
 _sqlite3_randomness(8, i2);
 i4 = i2;
 i5 = get32(i4 | 0) | 0;
 i6 = get32(i4 + 4 | 0) | 0;
 if ((i6 | 0) < 0) {
  i4 = _i64Subtract(0, 0, i5 | 0, i6 ^ -2147483648 | 0) | 0;
  i7 = tempRet0;
  i8 = i2;
  set32(i8 | 0, i4 | 0);
  set32(i8 + 4 | 0, i7 | 0);
  i9 = i4;
  i10 = i7;
 } else {
  i9 = i5;
  i10 = i6;
 }
 i6 = i1 + 8 | 0;
 _sqlite3VdbeMemReleaseExternal(i6);
 i5 = i1 + 44 | 0;
 _sqlite3DbFree(get32(i6 | 0) | 0, get32(i5 | 0) | 0);
 set32(i1 + 12 | 0, 0 | 0);
 set32(i5 | 0, 0 | 0);
 set32(i1 + 40 | 0, 0 | 0);
 i5 = i1 + 24 | 0;
 set32(i5 | 0, i9 | 0);
 set32(i5 + 4 | 0, i10 | 0);
 set16(i1 + 36 | 0, 4 | 0);
 set8(i1 + 38 >> 0 | 0, 1 | 0);
 STACKTOP = i3;
 return;
}

function _sqlite3_value_blob(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0;
 i2 = i1 + 28 | 0;
 i3 = get16(i2 | 0) | 0;
 if (!(i3 & 18)) {
  i4 = _sqlite3ValueText(i1, 1) | 0;
  return i4 | 0;
 }
 i5 = i1 + 24 | 0;
 do if (i3 & 16384) {
  i6 = i1 + 16 | 0;
  i7 = (get32(i6 | 0) | 0) + (get32(i5 | 0) | 0) | 0;
  if (!(_sqlite3VdbeMemGrow(i1, (i7 | 0) < 1 ? 1 : i7, 1) | 0)) {
   _memset((get32(i1 + 4 | 0) | 0) + (get32(i5 | 0) | 0) | 0, 0, get32(i6 | 0) | 0) | 0;
   set32(i5 | 0, (get32(i5 | 0) | 0) + (get32(i6 | 0) | 0) | 0);
   i6 = (getU16(i2 | 0) | 0) & 48639;
   set16(i2 | 0, i6 | 0);
   i8 = i6;
   break;
  } else {
   i8 = get16(i2 | 0) | 0;
   break;
  }
 } else i8 = i3; while (0);
 set16(i2 | 0, i8 & 65517 | 16 | 0);
 if (!(get32(i5 | 0) | 0)) {
  i4 = 0;
  return i4 | 0;
 }
 i4 = get32(i1 + 4 | 0) | 0;
 return i4 | 0;
}

function _sqlite3_strnicmp(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0;
 if ((i3 | 0) > 0) {
  i4 = i3;
  i5 = i1;
  i6 = i2;
 } else {
  i7 = 0;
  return i7 | 0;
 }
 while (1) {
  i2 = get8(i5 >> 0 | 0) | 0;
  if (!(i2 << 24 >> 24)) {
   i8 = i6;
   i9 = 3;
   break;
  }
  i1 = get8(16286 + (i2 & 255) >> 0 | 0) | 0;
  i2 = get8(16286 + (getU8(i6 >> 0 | 0) | 0) >> 0 | 0) | 0;
  if (i1 << 24 >> 24 != i2 << 24 >> 24) {
   i10 = i1;
   i11 = i2;
   break;
  }
  if ((i4 | 0) > 1) {
   i4 = i4 + -1 | 0;
   i5 = i5 + 1 | 0;
   i6 = i6 + 1 | 0;
  } else {
   i7 = 0;
   i9 = 7;
   break;
  }
 }
 if ((i9 | 0) == 3) {
  i10 = 0;
  i11 = get8(16286 + (getU8(i8 >> 0 | 0) | 0) >> 0 | 0) | 0;
 } else if ((i9 | 0) == 7) return i7 | 0;
 i7 = (i10 & 255) - (i11 & 255) | 0;
 return i7 | 0;
}

function _sqlite3KeywordCode(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0;
 if ((i2 | 0) < 2) {
  i3 = 26;
  return i3 | 0;
 }
 i4 = get8(24934 + (((getU8(16286 + (getU8(i1 >> 0 | 0) | 0) >> 0 | 0) | 0) << 2 ^ i2 ^ (getU8(16286 + (getU8(i1 + (i2 + -1) >> 0 | 0) | 0) >> 0 | 0) | 0) * 3 | 0) % 127 | 0) >> 0 | 0) | 0;
 if (!(i4 << 24 >> 24)) {
  i3 = 26;
  return i3 | 0;
 }
 i5 = i4 & 255;
 while (1) {
  i4 = i5 + -1 | 0;
  if ((getU8(25182 + i4 >> 0 | 0) | 0 | 0) == (i2 | 0) ? (_sqlite3_strnicmp(24394 + (getU16(10190 + (i4 << 1) | 0) | 0) | 0, i1, i2) | 0) == 0 : 0) {
   i6 = i4;
   break;
  }
  i7 = get8(25061 + i4 >> 0 | 0) | 0;
  if (!(i7 << 24 >> 24)) {
   i3 = 26;
   i8 = 8;
   break;
  } else i5 = i7 & 255;
 }
 if ((i8 | 0) == 8) return i3 | 0;
 i3 = getU8(25303 + i6 >> 0 | 0) | 0;
 return i3 | 0;
}

function _strlen(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0;
 i2 = i1;
 L1 : do if (!(i2 & 3)) {
  i3 = i1;
  i4 = 4;
 } else {
  i5 = i1;
  i6 = i2;
  while (1) {
   if (!(get8(i5 >> 0 | 0) | 0)) {
    i7 = i6;
    break L1;
   }
   i8 = i5 + 1 | 0;
   i6 = i8;
   if (!(i6 & 3)) {
    i3 = i8;
    i4 = 4;
    break;
   } else i5 = i8;
  }
 } while (0);
 if ((i4 | 0) == 4) {
  i4 = i3;
  while (1) {
   i3 = get32(i4 | 0) | 0;
   if (!((i3 & -2139062144 ^ -2139062144) & i3 + -16843009)) i4 = i4 + 4 | 0; else {
    i9 = i3;
    i10 = i4;
    break;
   }
  }
  if (!((i9 & 255) << 24 >> 24)) i11 = i10; else {
   i9 = i10;
   while (1) {
    i10 = i9 + 1 | 0;
    if (!(get8(i10 >> 0 | 0) | 0)) {
     i11 = i10;
     break;
    } else i9 = i10;
   }
  }
  i7 = i11;
 }
 return i7 - i2 | 0;
}

function _dupedExprSize(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0;
 if (!i1) {
  i3 = 0;
  return i3 | 0;
 }
 i4 = (i2 & 1 | 0) == 0;
 if (!i4) if (((get32(i1 + 8 | 0) | 0) == 0 ? (get32(i1 + 12 | 0) | 0) == 0 : 0) ? (get32(i1 + 20 | 0) | 0) == 0 : 0) i5 = (get32(i1 + 16 | 0) | 0) == 0 ? 8 : 24; else i5 = 24; else i5 = 48;
 if ((get16(i1 + 2 | 0) & 1024) == 0 ? (i6 = get32(i1 + 4 | 0) | 0, (i6 | 0) != 0) : 0) {
  i7 = i6;
  while (1) if (!(get8(i7 >> 0 | 0) | 0)) {
   i8 = i7;
   break;
  } else i7 = i7 + 1 | 0;
  i9 = (i8 - i6 & 1073741823) + (i5 | 1) | 0;
 } else i9 = i5;
 i5 = i9 + 7 & -8;
 if (i4) {
  i3 = i5;
  return i3 | 0;
 } else {
  i3 = _dupedExprSize(get32(i1 + 8 | 0) | 0, i2) | 0;
  return i3 + i5 + (_dupedExprSize(get32(i1 + 12 | 0) | 0, i2) | 0) | 0;
 }
 return 0;
}

function _sqlite3_bind_parameter_index(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0;
 if (!i2) {
  i3 = 0;
  return i3 | 0;
 } else i4 = i2;
 while (1) if (!(get8(i4 >> 0 | 0) | 0)) {
  i5 = i4;
  break;
 } else i4 = i4 + 1 | 0;
 i4 = i5 - i2 & 1073741823;
 if (!i1) {
  i3 = 0;
  return i3 | 0;
 }
 i5 = get16(i1 + 82 | 0) | 0;
 if (i5 << 16 >> 16 <= 0) {
  i3 = 0;
  return i3 | 0;
 }
 i6 = get32(i1 + 76 | 0) | 0;
 i1 = i5 << 16 >> 16;
 i5 = 0;
 while (1) {
  i7 = get32(i6 + (i5 << 2) | 0) | 0;
  if (((i7 | 0) != 0 ? (_memcmp(i7, i2, i4) | 0) == 0 : 0) ? (get8(i7 + i4 >> 0 | 0) | 0) == 0 : 0) {
   i8 = i5;
   break;
  }
  i5 = i5 + 1 | 0;
  if ((i5 | 0) >= (i1 | 0)) {
   i3 = 0;
   i9 = 11;
   break;
  }
 }
 if ((i9 | 0) == 11) return i3 | 0;
 i3 = i8 + 1 | 0;
 return i3 | 0;
}

function _errlogFunc(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, d7 = 0.0, i8 = 0, i9 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i1 = i2 + 8 | 0;
 i4 = i2;
 i5 = get32(i3 | 0) | 0;
 i6 = getU16(i5 + 28 | 0) | 0;
 do if (!(i6 & 4)) {
  if (i6 & 8) {
   d7 = +getF64(i5 + 8 | 0);
   i8 = d7 < -9223372036854775808.0 | d7 > 9223372036854775808.0 ? 0 : ~~d7 >>> 0;
   break;
  }
  if (!(i6 & 18)) i8 = 0; else {
   i9 = i4;
   set32(i9 | 0, 0 | 0);
   set32(i9 + 4 | 0, 0 | 0);
   _sqlite3Atoi64(get32(i5 + 4 | 0) | 0, i4, get32(i5 + 24 | 0) | 0, get8(i5 + 31 >> 0 | 0) | 0) | 0;
   i8 = get32(i4 | 0) | 0;
  }
 } else i8 = get32(i5 + 16 | 0) | 0; while (0);
 set32(i1 | 0, _sqlite3ValueText(get32(i3 + 4 | 0) | 0, 1) | 0 | 0);
 _sqlite3_log(i8, 16817, i1);
 STACKTOP = i2;
 return;
}

function ___overflow(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i4 = i3;
 i5 = i2 & 255;
 set8(i4 >> 0 | 0, i5 | 0);
 i6 = i1 + 16 | 0;
 i7 = get32(i6 | 0) | 0;
 if (!i7) if (!(___towrite(i1) | 0)) {
  i8 = get32(i6 | 0) | 0;
  i9 = 4;
 } else i10 = -1; else {
  i8 = i7;
  i9 = 4;
 }
 do if ((i9 | 0) == 4) {
  i7 = i1 + 20 | 0;
  i6 = get32(i7 | 0) | 0;
  if (i6 >>> 0 < i8 >>> 0 ? (i11 = i2 & 255, (i11 | 0) != (get8(i1 + 75 >> 0 | 0) | 0)) : 0) {
   set32(i7 | 0, i6 + 1 | 0);
   set8(i6 >> 0 | 0, i5 | 0);
   i10 = i11;
   break;
  }
  if ((FUNCTION_TABLE_iiii[get32(i1 + 36 | 0) & 63](i1, i4, 1) | 0) == 1) i10 = getU8(i4 >> 0 | 0) | 0; else i10 = -1;
 } while (0);
 STACKTOP = i3;
 return i10 | 0;
}

function _sqlite3_soft_heap_limit64(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0;
 _sqlite3_initialize() | 0;
 i3 = 16;
 i4 = get32(i3 | 0) | 0;
 i5 = get32(i3 + 4 | 0) | 0;
 if ((i2 | 0) < 0) {
  tempRet0 = i5;
  return i4 | 0;
 }
 if ((i2 | 0) > 0 | (i2 | 0) == 0 & i1 >>> 0 > 0) {
  set32(6 * 4 | 0, 9 | 0);
  set32(7 * 4 | 0, 0 | 0);
  i3 = 16;
  set32(i3 | 0, i1 | 0);
  set32(i3 + 4 | 0, i2 | 0);
  i3 = get32(30 * 4 | 0) | 0;
  i6 = ((i3 | 0) < 0) << 31 >> 31;
  set32(11 * 4 | 0, ((i6 | 0) > (i2 | 0) | (i6 | 0) == (i2 | 0) & i3 >>> 0 >= i1 >>> 0) & 1 | 0);
  tempRet0 = i5;
  return i4 | 0;
 } else {
  set32(11 * 4 | 0, 0 | 0);
  set32(4 * 4 | 0, 0 | 0);
  set32(5 * 4 | 0, 0 | 0);
  set32(6 * 4 | 0, 0 | 0);
  set32(7 * 4 | 0, 0 | 0);
  tempRet0 = i5;
  return i4 | 0;
 }
 return 0;
}

function _sqlite3_overload_function(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i5 = i4;
 if (!i2) i6 = 0; else {
  i7 = i2;
  while (1) if (!(get8(i7 >> 0 | 0) | 0)) {
   i8 = i7;
   break;
  } else i7 = i7 + 1 | 0;
  i6 = i8 - i2 & 1073741823;
 }
 if (!(_sqlite3FindFunction(i1, i2, i6, i3, 1, 0) | 0)) _sqlite3CreateFunc(i1, i2, i3, 1, 0, 50, 0, 0, 0) | 0;
 if (!i1) {
  i9 = 0;
  i10 = 255;
  i11 = i10 & i9;
  STACKTOP = i4;
  return i11 | 0;
 }
 i3 = i1 + 30 | 0;
 if (!(get8(i3 >> 0 | 0) | 0)) i12 = 0; else {
  _sqlite3Error(i1, 7, 0, i5);
  set8(i3 >> 0 | 0, 0 | 0);
  i12 = 7;
 }
 i9 = i12;
 i10 = get32(i1 + 24 | 0) | 0;
 i11 = i10 & i9;
 STACKTOP = i4;
 return i11 | 0;
}

function _sqlite3MAppendf(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 400 | 0;
 i6 = i5 + 44 | 0;
 i7 = i5 + 16 | 0;
 i8 = i5;
 set32(i8 | 0, i4 | 0);
 i4 = get32(i1 + 72 | 0) | 0;
 set32(i7 + 4 | 0, i6 | 0);
 set32(i7 + 8 | 0, i6 | 0);
 set32(i7 + 12 | 0, 0 | 0);
 set32(i7 + 16 | 0, 350 | 0);
 set32(i7 + 20 | 0, i4 | 0);
 set8(i7 + 25 >> 0 | 0, 1 | 0);
 set8(i7 + 26 >> 0 | 0, 0 | 0);
 i4 = i7 + 24 | 0;
 set8(i4 >> 0 | 0, 0 | 0);
 set32(i7 | 0, i1 | 0);
 _sqlite3VXPrintf(i7, 1, i3, i8);
 i8 = _sqlite3StrAccumFinish(i7) | 0;
 if (!(get8(i4 >> 0 | 0) | 0)) {
  _sqlite3DbFree(i1, i2);
  STACKTOP = i5;
  return i8 | 0;
 }
 set8(i1 + 30 >> 0 | 0, 1 | 0);
 _sqlite3DbFree(i1, i2);
 STACKTOP = i5;
 return i8 | 0;
}

function _binCollFunc(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0;
 i6 = (i2 | 0) < (i4 | 0) ? i2 : i4;
 i7 = _memcmp(i3, i5, i6) | 0;
 if (i7) {
  i8 = i7;
  return i8 | 0;
 }
 if (i1) {
  i1 = i2 - i6 | 0;
  while (1) {
   if ((i1 | 0) <= 0) {
    i9 = i1;
    break;
   }
   i7 = i1 + -1 | 0;
   if ((get8(i3 + (i7 + i6) >> 0 | 0) | 0) == 32) i1 = i7; else {
    i9 = i1;
    break;
   }
  }
  if (!i9) {
   i9 = i4 - i6 | 0;
   while (1) {
    if ((i9 | 0) <= 0) {
     i10 = i9;
     break;
    }
    i1 = i9 + -1 | 0;
    if ((get8(i5 + (i1 + i6) >> 0 | 0) | 0) == 32) i9 = i1; else {
     i10 = i9;
     break;
    }
   }
   if (!i10) {
    i8 = 0;
    return i8 | 0;
   }
  }
 }
 i8 = i2 - i4 | 0;
 return i8 | 0;
}

function _frexp(d1, i2) {
 d1 = +d1;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, d7 = 0.0, d8 = 0.0, i9 = 0, d10 = 0.0;
 setF64(tempDoublePtr | 0, +d1);
 i3 = get32(tempDoublePtr | 0) | 0;
 i4 = get32(tempDoublePtr + 4 | 0) | 0;
 i5 = _bitshift64Lshr(i3 | 0, i4 | 0, 52) | 0;
 i6 = i5 & 2047;
 switch (i6 | 0) {
 case 0:
  {
   if (d1 != 0.0) {
    d7 = +_frexp(d1 * 18446744073709551616.0, i2);
    d8 = d7;
    i9 = (get32(i2 | 0) | 0) + -64 | 0;
   } else {
    d8 = d1;
    i9 = 0;
   }
   set32(i2 | 0, i9 | 0);
   d10 = d8;
   break;
  }
 case 2047:
  {
   d10 = d1;
   break;
  }
 default:
  {
   set32(i2 | 0, i6 + -1022 | 0);
   set32(tempDoublePtr | 0, i3 | 0);
   set32(tempDoublePtr + 4 | 0, i4 & -2146435073 | 1071644672 | 0);
   d10 = +getF64(tempDoublePtr | 0);
  }
 }
 return +d10;
}

function _fputc(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0;
 if ((get32(i2 + 76 | 0) | 0) >= 0 ? (___lockfile(i2) | 0) != 0 : 0) {
  if ((get8(i2 + 75 >> 0 | 0) | 0) != (i1 | 0) ? (i3 = i2 + 20 | 0, i4 = get32(i3 | 0) | 0, i4 >>> 0 < (get32(i2 + 16 | 0) | 0) >>> 0) : 0) {
   set32(i3 | 0, i4 + 1 | 0);
   set8(i4 >> 0 | 0, i1 | 0);
   i5 = i1 & 255;
  } else i5 = ___overflow(i2, i1) | 0;
  ___unlockfile(i2);
  i6 = i5;
 } else i7 = 3;
 do if ((i7 | 0) == 3) {
  if ((get8(i2 + 75 >> 0 | 0) | 0) != (i1 | 0) ? (i5 = i2 + 20 | 0, i4 = get32(i5 | 0) | 0, i4 >>> 0 < (get32(i2 + 16 | 0) | 0) >>> 0) : 0) {
   set32(i5 | 0, i4 + 1 | 0);
   set8(i4 >> 0 | 0, i1 | 0);
   i6 = i1 & 255;
   break;
  }
  i6 = ___overflow(i2, i1) | 0;
 } while (0);
 return i6 | 0;
}

function _strncmp(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0;
 if (!i3) i4 = 0; else {
  i5 = get8(i1 >> 0 | 0) | 0;
  L3 : do if (!(i5 << 24 >> 24)) {
   i6 = 0;
   i7 = i2;
  } else {
   i8 = i3;
   i9 = i5;
   i10 = i1;
   i11 = i2;
   while (1) {
    i8 = i8 + -1 | 0;
    i12 = get8(i11 >> 0 | 0) | 0;
    if (!(i9 << 24 >> 24 == i12 << 24 >> 24 & ((i8 | 0) != 0 & i12 << 24 >> 24 != 0))) {
     i6 = i9;
     i7 = i11;
     break L3;
    }
    i10 = i10 + 1 | 0;
    i12 = i11 + 1 | 0;
    i9 = get8(i10 >> 0 | 0) | 0;
    if (!(i9 << 24 >> 24)) {
     i6 = 0;
     i7 = i12;
     break;
    } else i11 = i12;
   }
  } while (0);
  i4 = (i6 & 255) - (getU8(i7 >> 0 | 0) | 0) | 0;
 }
 return i4 | 0;
}

function _countFinalize(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0;
 i2 = get32(i1 + 48 | 0) | 0;
 i3 = i2 + 28 | 0;
 if (get16(i3 | 0) & 8192) {
  i4 = get32(i2 + 4 | 0) | 0;
  if (!i4) {
   i5 = 0;
   i6 = 0;
  } else {
   i7 = i4;
   i5 = get32(i7 | 0) | 0;
   i6 = get32(i7 + 4 | 0) | 0;
  }
 } else {
  _sqlite3VdbeMemReleaseExternal(i2);
  set16(i3 | 0, 1 | 0);
  set32(i2 + 4 | 0, 0 | 0);
  i5 = 0;
  i6 = 0;
 }
 i2 = i1 + 8 | 0;
 _sqlite3VdbeMemReleaseExternal(i2);
 i3 = i1 + 44 | 0;
 _sqlite3DbFree(get32(i2 | 0) | 0, get32(i3 | 0) | 0);
 set32(i1 + 12 | 0, 0 | 0);
 set32(i3 | 0, 0 | 0);
 set32(i1 + 40 | 0, 0 | 0);
 i3 = i1 + 24 | 0;
 set32(i3 | 0, i5 | 0);
 set32(i3 + 4 | 0, i6 | 0);
 set16(i1 + 36 | 0, 4 | 0);
 set8(i1 + 38 >> 0 | 0, 1 | 0);
 return;
}

function _sqlite3_clear_bindings(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0;
 i2 = i1 + 80 | 0;
 if ((get16(i2 | 0) | 0) > 0) {
  i3 = i1 + 72 | 0;
  i4 = get32(i3 | 0) | 0;
  i5 = 0;
  do {
   i6 = i4 + (i5 * 40 | 0) | 0;
   _sqlite3VdbeMemReleaseExternal(i6);
   i7 = i4 + (i5 * 40 | 0) + 36 | 0;
   _sqlite3DbFree(get32(i6 | 0) | 0, get32(i7 | 0) | 0);
   set32(i4 + (i5 * 40 | 0) + 4 | 0, 0 | 0);
   set32(i7 | 0, 0 | 0);
   set32(i4 + (i5 * 40 | 0) + 32 | 0, 0 | 0);
   i4 = get32(i3 | 0) | 0;
   set16(i4 + (i5 * 40 | 0) + 28 | 0, 1 | 0);
   i5 = i5 + 1 | 0;
  } while ((i5 | 0) < (get16(i2 | 0) | 0));
 }
 if (!(get8(i1 + 105 >> 0 | 0) | 0)) return 0;
 if (!(get32(i1 + 180 | 0) | 0)) return 0;
 set8(i1 + 99 >> 0 | 0, 1 | 0);
 return 0;
}

function _sqlite3SrcListAssignCursors(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0;
 if (!i2) return;
 i3 = get16(i2 | 0) | 0;
 if (i3 << 16 >> 16 <= 0) return;
 i4 = i1 + 68 | 0;
 i5 = i3;
 i3 = 0;
 i6 = i2 + 8 | 0;
 while (1) {
  i7 = i6 + 24 | 0;
  if ((get32(i7 | 0) | 0) > -1) {
   i8 = 8;
   break;
  }
  i9 = get32(i4 | 0) | 0;
  set32(i4 | 0, i9 + 1 | 0);
  set32(i7 | 0, i9 | 0);
  i9 = get32(i6 + 16 | 0) | 0;
  if (!i9) i10 = i5; else {
   _sqlite3SrcListAssignCursors(i1, get32(i9 + 8 | 0) | 0);
   i10 = get16(i2 | 0) | 0;
  }
  i3 = i3 + 1 | 0;
  if ((i3 | 0) >= (i10 << 16 >> 16 | 0)) {
   i8 = 8;
   break;
  } else {
   i5 = i10;
   i6 = i6 + 56 | 0;
  }
 }
 if ((i8 | 0) == 8) return;
}

function _sqlite3Error(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i6 = i5;
 if (!i1) {
  STACKTOP = i5;
  return;
 }
 i7 = i1 + 212 | 0;
 i8 = get32(i7 | 0) | 0;
 if (!i8) {
  i9 = _sqlite3ValueNew(i1) | 0;
  set32(i7 | 0, i9 | 0);
  if (!i9) {
   STACKTOP = i5;
   return;
  } else i10 = i9;
 } else i10 = i8;
 set32(i1 + 20 | 0, i2 | 0);
 if (!i3) {
  _sqlite3VdbeMemSetStr(i10, 0, 0, 1, 0) | 0;
  STACKTOP = i5;
  return;
 }
 set32(i6 | 0, i4 | 0);
 i4 = _sqlite3VMPrintf(i1, i3, i6) | 0;
 i6 = get32(i7 | 0) | 0;
 if (!i6) {
  STACKTOP = i5;
  return;
 }
 _sqlite3VdbeMemSetStr(i6, i4, -1, 1, 9) | 0;
 STACKTOP = i5;
 return;
}

function _pcache1Rekey(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0;
 i5 = get32(i1 + 4 | 0) | 0;
 i6 = i2 + i5 | 0;
 i7 = get32(i1 + 32 | 0) | 0;
 i8 = i1 + 36 | 0;
 i9 = (get32(i8 | 0) | 0) + (((i3 >>> 0) % (i7 >>> 0) | 0) << 2) | 0;
 while (1) {
  i3 = get32(i9 | 0) | 0;
  if ((i3 | 0) == (i6 | 0)) {
   i10 = i9;
   break;
  } else i9 = i3 + 4 | 0;
 }
 i9 = i2 + (i5 + 4) | 0;
 set32(i10 | 0, get32(i9 | 0) | 0);
 set32(i6 | 0, i4 | 0);
 i10 = (get32(i8 | 0) | 0) + (((i4 >>> 0) % (i7 >>> 0) | 0) << 2) | 0;
 set32(i9 | 0, get32(i10 | 0) | 0);
 set32(i10 | 0, i6 | 0);
 i6 = i1 + 40 | 0;
 if ((get32(i6 | 0) | 0) >>> 0 >= i4 >>> 0) return;
 set32(i6 | 0, i4 | 0);
 return;
}

function _sqlite3_bind_zeroblob(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0;
 i4 = _vdbeUnbind(i1, i2) | 0;
 if (i4) return i4 | 0;
 i5 = i2 + -1 | 0;
 i2 = get32(i1 + 72 | 0) | 0;
 i1 = i2 + (i5 * 40 | 0) | 0;
 _sqlite3VdbeMemReleaseExternal(i1);
 i6 = i2 + (i5 * 40 | 0) + 36 | 0;
 _sqlite3DbFree(get32(i1 | 0) | 0, get32(i6 | 0) | 0);
 set32(i2 + (i5 * 40 | 0) + 4 | 0, 0 | 0);
 set32(i6 | 0, 0 | 0);
 set32(i2 + (i5 * 40 | 0) + 32 | 0, 0 | 0);
 set16(i2 + (i5 * 40 | 0) + 28 | 0, 16400 | 0);
 set8(i2 + (i5 * 40 | 0) + 30 >> 0 | 0, 4 | 0);
 set32(i2 + (i5 * 40 | 0) + 24 | 0, 0 | 0);
 set32(i2 + (i5 * 40 | 0) + 16 | 0, ((i3 | 0) < 0 ? 0 : i3) | 0);
 set8(i2 + (i5 * 40 | 0) + 31 >> 0 | 0, 1 | 0);
 return i4 | 0;
}

function _sqlite3StrAccumFinish(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0;
 i2 = i1 + 8 | 0;
 i3 = get32(i2 | 0) | 0;
 do if (((i3 | 0) != 0 ? (i4 = i1 + 12 | 0, set8(i3 + (get32(i4 | 0) | 0) >> 0 | 0, 0 | 0), i5 = get8(i1 + 25 >> 0 | 0) | 0, i5 << 24 >> 24 != 0) : 0) ? (i6 = i1 + 4 | 0, (get32(i2 | 0) | 0) == (get32(i6 | 0) | 0)) : 0) {
  if (i5 << 24 >> 24 == 1) i7 = _sqlite3DbMallocRaw(get32(i1 | 0) | 0, (get32(i4 | 0) | 0) + 1 | 0) | 0; else i7 = _sqlite3_malloc((get32(i4 | 0) | 0) + 1 | 0) | 0;
  set32(i2 | 0, i7 | 0);
  if (!i7) {
   set8(i1 + 24 >> 0 | 0, 1 | 0);
   break;
  } else {
   _memcpy(i7 | 0, get32(i6 | 0) | 0, (get32(i4 | 0) | 0) + 1 | 0) | 0;
   break;
  }
 } while (0);
 return get32(i2 | 0) | 0;
}

function _sqlite3MPrintf(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 400 | 0;
 i5 = i4 + 44 | 0;
 i6 = i4 + 16 | 0;
 i7 = i4;
 set32(i7 | 0, i3 | 0);
 i3 = get32(i1 + 72 | 0) | 0;
 set32(i6 + 4 | 0, i5 | 0);
 set32(i6 + 8 | 0, i5 | 0);
 set32(i6 + 12 | 0, 0 | 0);
 set32(i6 + 16 | 0, 350 | 0);
 set32(i6 + 20 | 0, i3 | 0);
 set8(i6 + 25 >> 0 | 0, 1 | 0);
 set8(i6 + 26 >> 0 | 0, 0 | 0);
 i3 = i6 + 24 | 0;
 set8(i3 >> 0 | 0, 0 | 0);
 set32(i6 | 0, i1 | 0);
 _sqlite3VXPrintf(i6, 1, i2, i7);
 i7 = _sqlite3StrAccumFinish(i6) | 0;
 if (!(get8(i3 >> 0 | 0) | 0)) {
  STACKTOP = i4;
  return i7 | 0;
 }
 set8(i1 + 30 >> 0 | 0, 1 | 0);
 STACKTOP = i4;
 return i7 | 0;
}

function _moveToLeftmost(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0;
 i2 = i1 + 90 | 0;
 while (1) {
  i3 = get16(i2 | 0) | 0;
  i4 = get32(i1 + 132 + (i3 << 2) | 0) | 0;
  if (get8(i4 + 3 >> 0 | 0) | 0) {
   i5 = 0;
   i6 = 4;
   break;
  }
  i7 = get32(i4 + 64 | 0) | 0;
  i8 = (getU16(i1 + 92 + (i3 << 1) | 0) << 1) + (getU16(i4 + 12 | 0) | 0) | 0;
  i3 = (getU8(i7 + i8 >> 0 | 0) << 8 | getU8(i7 + (i8 + 1) >> 0 | 0)) & getU16(i4 + 18 | 0);
  i4 = _moveToChild(i1, getU8(i7 + (i3 + 1) >> 0 | 0) << 16 | getU8(i7 + i3 >> 0 | 0) << 24 | getU8(i7 + (i3 + 2) >> 0 | 0) << 8 | getU8(i7 + (i3 + 3) >> 0 | 0)) | 0;
  if (i4) {
   i5 = i4;
   i6 = 4;
   break;
  }
 }
 if ((i6 | 0) == 4) return i5 | 0;
 return 0;
}

function ___remdi3(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i6 = i5 | 0;
 i7 = i2 >> 31 | ((i2 | 0) < 0 ? -1 : 0) << 1;
 i8 = ((i2 | 0) < 0 ? -1 : 0) >> 31 | ((i2 | 0) < 0 ? -1 : 0) << 1;
 i9 = i4 >> 31 | ((i4 | 0) < 0 ? -1 : 0) << 1;
 i10 = ((i4 | 0) < 0 ? -1 : 0) >> 31 | ((i4 | 0) < 0 ? -1 : 0) << 1;
 i11 = _i64Subtract(i7 ^ i1, i8 ^ i2, i7, i8) | 0;
 i2 = tempRet0;
 ___udivmoddi4(i11, i2, _i64Subtract(i9 ^ i3, i10 ^ i4, i9, i10) | 0, tempRet0, i6) | 0;
 i10 = _i64Subtract(get32(i6 | 0) ^ i7, get32(i6 + 4 | 0) ^ i8, i7, i8) | 0;
 i8 = tempRet0;
 STACKTOP = i5;
 return (tempRet0 = i8, i10) | 0;
}

function _sqlite3BitvecDestroy(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0;
 if (!i1) return;
 if (get32(i1 + 8 | 0) | 0) {
  i2 = i1 + 12 | 0;
  i3 = 0;
  do {
   _sqlite3BitvecDestroy(get32(i2 + (i3 << 2) | 0) | 0);
   i3 = i3 + 1 | 0;
  } while ((i3 | 0) != 125);
 }
 if (!(get32(50 * 4 | 0) | 0)) {
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i1);
  return;
 }
 i3 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i1) | 0;
 i2 = (get32(30 * 4 | 0) | 0) - i3 | 0;
 set32(30 * 4 | 0, i2 | 0);
 if ((i2 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i2 | 0);
 i2 = (get32(39 * 4 | 0) | 0) + -1 | 0;
 set32(39 * 4 | 0, i2 | 0);
 if ((i2 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i2 | 0);
 FUNCTION_TABLE_vi[get32(232 | 0) & 31](i1);
 return;
}

function _sqlite3_soft_heap_limit(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0;
 i2 = (i1 | 0) < 0;
 i3 = i2 ? 0 : i1;
 i4 = i2 ? 0 : ((i1 | 0) < 0) << 31 >> 31;
 _sqlite3_initialize() | 0;
 if ((i4 | 0) < 0) return;
 if ((i4 | 0) > 0 | (i4 | 0) == 0 & i3 >>> 0 > 0) {
  set32(6 * 4 | 0, 9 | 0);
  set32(7 * 4 | 0, 0 | 0);
  i1 = 16;
  set32(i1 | 0, i3 | 0);
  set32(i1 + 4 | 0, i4 | 0);
  i1 = get32(30 * 4 | 0) | 0;
  i2 = ((i1 | 0) < 0) << 31 >> 31;
  set32(11 * 4 | 0, ((i2 | 0) > (i4 | 0) | (i2 | 0) == (i4 | 0) & i1 >>> 0 >= i3 >>> 0) & 1 | 0);
  return;
 } else {
  set32(11 * 4 | 0, 0 | 0);
  set32(4 * 4 | 0, 0 | 0);
  set32(5 * 4 | 0, 0 | 0);
  set32(6 * 4 | 0, 0 | 0);
  set32(7 * 4 | 0, 0 | 0);
  return;
 }
}

function ___procfdname(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0;
 i3 = 0;
 while (1) {
  set8(i1 + i3 >> 0 | 0, get8(41415 + i3 >> 0 | 0) | 0 | 0);
  if ((i3 | 0) == 14) break; else i3 = i3 + 1 | 0;
 }
 if (!i2) {
  set8(i1 + 14 >> 0 | 0, 48 | 0);
  set8(i1 + 15 >> 0 | 0, 0 | 0);
 } else {
  i3 = 14;
  i4 = i2;
  while (1) {
   i5 = i3 + 1 | 0;
   if (i4 >>> 0 < 10) {
    i6 = i5;
    break;
   } else {
    i3 = i5;
    i4 = (i4 >>> 0) / 10 | 0;
   }
  }
  set8(i1 + i6 >> 0 | 0, 0 | 0);
  i4 = i2;
  i2 = i6;
  while (1) {
   i2 = i2 + -1 | 0;
   set8(i1 + i2 >> 0 | 0, (i4 >>> 0) % 10 | 0 | 48 | 0);
   if (i4 >>> 0 < 10) break; else i4 = (i4 >>> 0) / 10 | 0;
  }
 }
 return;
}

function _sqlite3_value_int(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, d6 = 0.0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i3 = i2;
 i4 = getU16(i1 + 28 | 0) | 0;
 if (i4 & 4) {
  i5 = get32(i1 + 16 | 0) | 0;
  STACKTOP = i2;
  return i5 | 0;
 }
 if (i4 & 8) {
  d6 = +getF64(i1 + 8 | 0);
  i5 = d6 < -9223372036854775808.0 | d6 > 9223372036854775808.0 ? 0 : ~~d6 >>> 0;
  STACKTOP = i2;
  return i5 | 0;
 }
 if (!(i4 & 18)) {
  i5 = 0;
  STACKTOP = i2;
  return i5 | 0;
 }
 i4 = i3;
 set32(i4 | 0, 0 | 0);
 set32(i4 + 4 | 0, 0 | 0);
 _sqlite3Atoi64(get32(i1 + 4 | 0) | 0, i3, get32(i1 + 24 | 0) | 0, get8(i1 + 31 >> 0 | 0) | 0) | 0;
 i5 = get32(i3 | 0) | 0;
 STACKTOP = i2;
 return i5 | 0;
}

function _sqlite3VMPrintf(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 384 | 0;
 i5 = i4 + 28 | 0;
 i6 = i4;
 i7 = get32(i1 + 72 | 0) | 0;
 set32(i6 + 4 | 0, i5 | 0);
 set32(i6 + 8 | 0, i5 | 0);
 set32(i6 + 12 | 0, 0 | 0);
 set32(i6 + 16 | 0, 350 | 0);
 set32(i6 + 20 | 0, i7 | 0);
 set8(i6 + 25 >> 0 | 0, 1 | 0);
 set8(i6 + 26 >> 0 | 0, 0 | 0);
 i7 = i6 + 24 | 0;
 set8(i7 >> 0 | 0, 0 | 0);
 set32(i6 | 0, i1 | 0);
 _sqlite3VXPrintf(i6, 1, i2, i3);
 i3 = _sqlite3StrAccumFinish(i6) | 0;
 if (!(get8(i7 >> 0 | 0) | 0)) {
  STACKTOP = i4;
  return i3 | 0;
 }
 set8(i1 + 30 >> 0 | 0, 1 | 0);
 STACKTOP = i4;
 return i3 | 0;
}

function _sqlite3_create_function(i1, i2, i3, i4, i5, i6, i7, i8) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 i7 = i7 | 0;
 i8 = i8 | 0;
 var i9 = 0, i10 = 0, i11 = 0, i12 = 0, i13 = 0, i14 = 0;
 i9 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i10 = _sqlite3CreateFunc(i1, i2, i3, i4, i5, i6, i7, i8, 0) | 0;
 if (!i1) {
  i11 = i10;
  i12 = 255;
  i13 = i12 & i11;
  STACKTOP = i9;
  return i13 | 0;
 }
 i8 = i1 + 30 | 0;
 if ((i10 | 0) == 3082 | (get8(i8 >> 0 | 0) | 0) != 0) {
  _sqlite3Error(i1, 7, 0, i9);
  set8(i8 >> 0 | 0, 0 | 0);
  i14 = 7;
 } else i14 = i10;
 i11 = i14;
 i12 = get32(i1 + 24 | 0) | 0;
 i13 = i12 & i11;
 STACKTOP = i9;
 return i13 | 0;
}

function _sqlite3_bind_int(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0;
 i4 = _vdbeUnbind(i1, i2) | 0;
 if (i4) return i4 | 0;
 i5 = i2 + -1 | 0;
 i2 = get32(i1 + 72 | 0) | 0;
 i1 = i2 + (i5 * 40 | 0) | 0;
 _sqlite3VdbeMemReleaseExternal(i1);
 i6 = i2 + (i5 * 40 | 0) + 36 | 0;
 _sqlite3DbFree(get32(i1 | 0) | 0, get32(i6 | 0) | 0);
 set32(i2 + (i5 * 40 | 0) + 4 | 0, 0 | 0);
 set32(i6 | 0, 0 | 0);
 set32(i2 + (i5 * 40 | 0) + 32 | 0, 0 | 0);
 i6 = i2 + (i5 * 40 | 0) + 16 | 0;
 set32(i6 | 0, i3 | 0);
 set32(i6 + 4 | 0, ((i3 | 0) < 0) << 31 >> 31 | 0);
 set16(i2 + (i5 * 40 | 0) + 28 | 0, 4 | 0);
 set8(i2 + (i5 * 40 | 0) + 30 >> 0 | 0, 1 | 0);
 return i4 | 0;
}

function _mspace_realloc(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0;
 if (!i2) {
  i4 = _mspace_malloc(i1, i3) | 0;
  return i4 | 0;
 }
 if (i3 >>> 0 > 4294967231) {
  set32(___errno_location() | 0 | 0, 12 | 0);
  i4 = 0;
  return i4 | 0;
 }
 i5 = _try_realloc_chunk183(i1, i2 + -8 | 0, i3 >>> 0 < 11 ? 16 : i3 + 11 & -8) | 0;
 if (i5) {
  i4 = i5 + 8 | 0;
  return i4 | 0;
 }
 i5 = _mspace_malloc(i1, i3) | 0;
 if (!i5) {
  i4 = 0;
  return i4 | 0;
 }
 i6 = get32(i2 + -4 | 0) | 0;
 i7 = (i6 & -8) - ((i6 & 3 | 0) == 0 ? 8 : 4) | 0;
 _memcpy(i5 | 0, i2 | 0, (i7 >>> 0 < i3 >>> 0 ? i7 : i3) | 0) | 0;
 _mspace_free(i1, i2);
 i4 = i5;
 return i4 | 0;
}

function _sqlite3_bind_int64(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0;
 i5 = _vdbeUnbind(i1, i2) | 0;
 if (i5) return i5 | 0;
 i6 = i2 + -1 | 0;
 i2 = get32(i1 + 72 | 0) | 0;
 i1 = i2 + (i6 * 40 | 0) | 0;
 _sqlite3VdbeMemReleaseExternal(i1);
 i7 = i2 + (i6 * 40 | 0) + 36 | 0;
 _sqlite3DbFree(get32(i1 | 0) | 0, get32(i7 | 0) | 0);
 set32(i2 + (i6 * 40 | 0) + 4 | 0, 0 | 0);
 set32(i7 | 0, 0 | 0);
 set32(i2 + (i6 * 40 | 0) + 32 | 0, 0 | 0);
 i7 = i2 + (i6 * 40 | 0) + 16 | 0;
 set32(i7 | 0, i3 | 0);
 set32(i7 + 4 | 0, i4 | 0);
 set16(i2 + (i6 * 40 | 0) + 28 | 0, 4 | 0);
 set8(i2 + (i6 * 40 | 0) + 30 >> 0 | 0, 1 | 0);
 return i5 | 0;
}

function _checkAppendMsg(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i6 = i5;
 i7 = i1 + 16 | 0;
 i8 = get32(i7 | 0) | 0;
 if (!i8) {
  STACKTOP = i5;
  return;
 }
 set32(i7 | 0, i8 + -1 | 0);
 i8 = i1 + 20 | 0;
 set32(i8 | 0, (get32(i8 | 0) | 0) + 1 | 0);
 set32(i6 | 0, i4 | 0);
 i4 = i1 + 28 | 0;
 if (get32(i1 + 40 | 0) | 0) _sqlite3StrAccumAppend(i4, 23033, 1);
 if (i2) _sqlite3StrAccumAppend(i4, i2, -1);
 _sqlite3VXPrintf(i4, 1, i3, i6);
 if (!(get8(i1 + 52 >> 0 | 0) | 0)) {
  STACKTOP = i5;
  return;
 }
 set32(i1 + 24 | 0, 1 | 0);
 STACKTOP = i5;
 return;
}

function _strerror(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0;
 i2 = 0;
 while (1) {
  if ((getU8(39523 + i2 >> 0 | 0) | 0) == (i1 | 0)) {
   i3 = i2;
   i4 = 2;
   break;
  }
  i2 = i2 + 1 | 0;
  if ((i2 | 0) == 87) {
   i5 = 87;
   i6 = 39611;
   i4 = 5;
   break;
  }
 }
 if ((i4 | 0) == 2) if (!i3) i7 = 39611; else {
  i5 = i3;
  i6 = 39611;
  i4 = 5;
 }
 if ((i4 | 0) == 5) while (1) {
  i4 = 0;
  i3 = i6;
  while (1) {
   i2 = i3 + 1 | 0;
   if (!(get8(i3 >> 0 | 0) | 0)) {
    i8 = i2;
    break;
   } else i3 = i2;
  }
  i5 = i5 + -1 | 0;
  if (!i5) {
   i7 = i8;
   break;
  } else {
   i6 = i8;
   i4 = 5;
  }
 }
 return i7 | 0;
}

function _growOpArray(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0;
 i2 = i1 + 32 | 0;
 i3 = get32(i2 | 0) | 0;
 i4 = i1 + 4 | 0;
 i5 = _sqlite3DbRealloc(get32(i1 | 0) | 0, get32(i4 | 0) | 0, (i3 | 0) == 0 ? 1020 : i3 * 40 | 0) | 0;
 i3 = (i5 | 0) != 0;
 if (!i3) {
  i6 = i3 ? 0 : 7;
  return i6 | 0;
 }
 i7 = get32(i1 | 0) | 0;
 if (((i7 | 0) != 0 ? (get32(i7 + 260 | 0) | 0) >>> 0 <= i5 >>> 0 : 0) ? (get32(i7 + 264 | 0) | 0) >>> 0 > i5 >>> 0 : 0) i8 = getU16(i7 + 232 | 0) | 0; else i8 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i5) | 0;
 set32(i2 | 0, (i8 >>> 0) / 20 | 0 | 0);
 set32(i4 | 0, i5 | 0);
 i6 = i3 ? 0 : 7;
 return i6 | 0;
}

function _sqlite3ExprIsInteger(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i4 = i3;
 L1 : do if (!(get16(i1 + 2 | 0) & 1024)) {
  switch (getU8(i1 >> 0 | 0) | 0 | 0) {
  case 157:
   {
    i5 = _sqlite3ExprIsInteger(get32(i1 + 8 | 0) | 0, i2) | 0;
    break L1;
    break;
   }
  case 156:
   break;
  default:
   {
    i5 = 0;
    break L1;
   }
  }
  if (!(_sqlite3ExprIsInteger(get32(i1 + 8 | 0) | 0, i4) | 0)) i5 = 0; else {
   set32(i2 | 0, 0 - (get32(i4 | 0) | 0) | 0);
   i5 = 1;
  }
 } else {
  set32(i2 | 0, get32(i1 + 4 | 0) | 0);
  i5 = 1;
 } while (0);
 STACKTOP = i3;
 return i5 | 0;
}

function _comparisonAffinity(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0;
 i2 = _sqlite3ExprAffinity(get32(i1 + 8 | 0) | 0) | 0;
 i3 = get32(i1 + 12 | 0) | 0;
 if (!i3) {
  if (!(get16(i1 + 2 | 0) & 2048)) return (i2 << 24 >> 24 == 0 ? 98 : i2) | 0;
  i4 = _sqlite3CompareAffinity(get32(get32((get32(get32(i1 + 16 | 0) | 0) | 0) + 12 | 0) | 0) | 0, i2) | 0;
  return i4 | 0;
 }
 i1 = _sqlite3ExprAffinity(i3) | 0;
 if (!(i2 << 24 >> 24 == 0 | i1 << 24 >> 24 == 0)) {
  i4 = i2 << 24 >> 24 > 98 | i1 << 24 >> 24 > 98 ? 99 : 98;
  return i4 | 0;
 }
 if (!((i1 | i2) << 24 >> 24)) {
  i4 = 98;
  return i4 | 0;
 }
 i4 = (i1 & 255) + (i2 & 255) & 255;
 return i4 | 0;
}

function _sqliteDeleteColumnNames(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0;
 i3 = i2 + 12 | 0;
 i4 = get32(i3 | 0) | 0;
 if (!i4) return;
 i5 = i2 + 8 | 0;
 if ((get32(i5 | 0) | 0) > 0) {
  i2 = 0;
  i6 = i4;
  while (1) {
   _sqlite3DbFree(i1, get32(i6 | 0) | 0);
   _sqlite3ExprDelete(i1, get32(i6 + 4 | 0) | 0);
   _sqlite3DbFree(i1, get32(i6 + 8 | 0) | 0);
   _sqlite3DbFree(i1, get32(i6 + 12 | 0) | 0);
   _sqlite3DbFree(i1, get32(i6 + 16 | 0) | 0);
   i2 = i2 + 1 | 0;
   if ((i2 | 0) >= (get32(i5 | 0) | 0)) break; else i6 = i6 + 24 | 0;
  }
  i7 = get32(i3 | 0) | 0;
 } else i7 = i4;
 _sqlite3DbFree(i1, i7);
 return;
}

function _sqlite3_create_collation_v2(i1, i2, i3, i4, i5, i6) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 var i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0, i12 = 0;
 i7 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i8 = _createCollation(i1, i2, i3 & 255, 0, i4, i5, i6) | 0;
 if (!i1) {
  i9 = i8;
  i10 = 255;
  i11 = i10 & i9;
  STACKTOP = i7;
  return i11 | 0;
 }
 i6 = i1 + 30 | 0;
 if ((i8 | 0) == 3082 | (get8(i6 >> 0 | 0) | 0) != 0) {
  _sqlite3Error(i1, 7, 0, i7);
  set8(i6 >> 0 | 0, 0 | 0);
  i12 = 7;
 } else i12 = i8;
 i9 = i12;
 i10 = get32(i1 + 24 | 0) | 0;
 i11 = i10 & i9;
 STACKTOP = i7;
 return i11 | 0;
}

function ___fflush_unlocked(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0;
 i2 = i1 + 20 | 0;
 i3 = i1 + 28 | 0;
 if ((get32(i2 | 0) | 0) >>> 0 > (get32(i3 | 0) | 0) >>> 0 ? (FUNCTION_TABLE_iiii[get32(i1 + 36 | 0) & 63](i1, 0, 0) | 0, (get32(i2 | 0) | 0) == 0) : 0) i4 = -1; else {
  i5 = i1 + 4 | 0;
  i6 = get32(i5 | 0) | 0;
  i7 = i1 + 8 | 0;
  i8 = get32(i7 | 0) | 0;
  if (i6 >>> 0 < i8 >>> 0) FUNCTION_TABLE_iiii[get32(i1 + 40 | 0) & 63](i1, i6 - i8 | 0, 1) | 0;
  set32(i1 + 16 | 0, 0 | 0);
  set32(i3 | 0, 0 | 0);
  set32(i2 | 0, 0 | 0);
  set32(i7 | 0, 0 | 0);
  set32(i5 | 0, 0 | 0);
  i4 = 0;
 }
 return i4 | 0;
}

function _sqlite3_aggregate_context(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0;
 i3 = get32(i1 + 48 | 0) | 0;
 i4 = i3 + 28 | 0;
 do if (!(get16(i4 | 0) & 8192)) {
  if ((i2 | 0) < 1) {
   _sqlite3VdbeMemReleaseExternal(i3);
   set16(i4 | 0, 1 | 0);
   i5 = i3 + 4 | 0;
   set32(i5 | 0, 0 | 0);
   i6 = i5;
   break;
  }
  _sqlite3VdbeMemGrow(i3, i2, 0) | 0;
  set16(i4 | 0, 8192 | 0);
  set32(i3 + 16 | 0, get32(i1 | 0) | 0);
  i5 = i3 + 4 | 0;
  i7 = get32(i5 | 0) | 0;
  if (!i7) i6 = i5; else {
   _memset(i7 | 0, 0, i2 | 0) | 0;
   i6 = i5;
  }
 } else i6 = i3 + 4 | 0; while (0);
 return get32(i6 | 0) | 0;
}

function _sqlite3_value_double(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, d5 = 0.0, i6 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i3 = i2;
 i4 = getU16(i1 + 28 | 0) | 0;
 if (i4 & 8) {
  d5 = +getF64(i1 + 8 | 0);
  STACKTOP = i2;
  return +d5;
 }
 if (i4 & 4) {
  i6 = i1 + 16 | 0;
  d5 = +((get32(i6 | 0) | 0) >>> 0) + 4294967296.0 * +(get32(i6 + 4 | 0) | 0);
  STACKTOP = i2;
  return +d5;
 }
 if (!(i4 & 18)) {
  d5 = 0.0;
  STACKTOP = i2;
  return +d5;
 }
 setF64(i3 | 0, +(0.0));
 _sqlite3AtoF(get32(i1 + 4 | 0) | 0, i3, get32(i1 + 24 | 0) | 0, get8(i1 + 31 >> 0 | 0) | 0) | 0;
 d5 = +getF64(i3 | 0);
 STACKTOP = i2;
 return +d5;
}

function _getAndInitPage(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i5 = i4;
 if ((get32(i1 + 48 | 0) | 0) >>> 0 >= i2 >>> 0) {
  i6 = _btreeGetPage(i1, i2, i3, 0) | 0;
  if (!i6) {
   i2 = _btreeInitPage(get32(i3 | 0) | 0) | 0;
   if (i2) {
    i1 = get32(i3 | 0) | 0;
    if (!i1) i7 = i2; else {
     _sqlite3PagerUnref(get32(i1 + 68 | 0) | 0);
     i7 = i2;
    }
   } else i7 = 0;
  } else i7 = i6;
 } else {
  set32(i5 | 0, 49122 | 0);
  set32(i5 + 4 | 0, 17203 | 0);
  _sqlite3_log(11, 19615, i5);
  i7 = 11;
 }
 STACKTOP = i4;
 return i7 | 0;
}

function _memcpy(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0;
 if ((i3 | 0) >= 4096) return _emscripten_memcpy_big(i1 | 0, i2 | 0, i3 | 0) | 0;
 i4 = i1 | 0;
 if ((i1 & 3) == (i2 & 3)) {
  while (i1 & 3) {
   if (!i3) return i4 | 0;
   set8(i1 >> 0 | 0, get8(i2 >> 0 | 0) | 0 | 0);
   i1 = i1 + 1 | 0;
   i2 = i2 + 1 | 0;
   i3 = i3 - 1 | 0;
  }
  while ((i3 | 0) >= 4) {
   set32(i1 | 0, get32(i2 | 0) | 0);
   i1 = i1 + 4 | 0;
   i2 = i2 + 4 | 0;
   i3 = i3 - 4 | 0;
  }
 }
 while ((i3 | 0) > 0) {
  set8(i1 >> 0 | 0, get8(i2 >> 0 | 0) | 0 | 0);
  i1 = i1 + 1 | 0;
  i2 = i2 + 1 | 0;
  i3 = i3 - 1 | 0;
 }
 return i4 | 0;
}

function _fstat(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 64 | 0;
 i4 = i3 + 16 | 0;
 i5 = i3 + 8 | 0;
 i6 = i3;
 i7 = i3 + 24 | 0;
 set32(i6 | 0, i1 | 0);
 set32(i6 + 4 | 0, i2 | 0);
 i8 = ___syscall197(197, i6 | 0) | 0;
 if ((i8 | 0) == -9 ? (set32(i5 | 0, i1 | 0), set32(i5 + 4 | 0, 1 | 0), (___syscall221(221, i5 | 0) | 0) >= 0) : 0) {
  ___procfdname(i7, i1);
  set32(i4 | 0, i7 | 0);
  set32(i4 + 4 | 0, i2 | 0);
  i9 = ___syscall_ret(___syscall195(195, i4 | 0) | 0) | 0;
 } else i9 = ___syscall_ret(i8) | 0;
 STACKTOP = i3;
 return i9 | 0;
}

function _sqlite3_create_collation(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 var i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0;
 i6 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i7 = _createCollation(i1, i2, i3 & 255, 0, i4, i5, 0) | 0;
 if (!i1) {
  i8 = i7;
  i9 = 255;
  i10 = i9 & i8;
  STACKTOP = i6;
  return i10 | 0;
 }
 i5 = i1 + 30 | 0;
 if ((i7 | 0) == 3082 | (get8(i5 >> 0 | 0) | 0) != 0) {
  _sqlite3Error(i1, 7, 0, i6);
  set8(i5 >> 0 | 0, 0 | 0);
  i11 = 7;
 } else i11 = i7;
 i8 = i11;
 i9 = get32(i1 + 24 | 0) | 0;
 i10 = i9 & i8;
 STACKTOP = i6;
 return i10 | 0;
}

function _realloc(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0;
 if (!i1) {
  i3 = _malloc(i2) | 0;
  return i3 | 0;
 }
 i4 = i1;
 i5 = _mspace_realloc(get32(6080 + (((i4 >>> 0) / ((get32(1518 * 4 | 0) | 0) >>> 0) | 0) << 2) | 0) | 0, i1, i2) | 0;
 if (i5) {
  i3 = i5;
  return i3 | 0;
 }
 i5 = _malloc(i2) | 0;
 if (!i5) {
  i3 = 0;
  return i3 | 0;
 }
 i6 = get32(1517 * 4 | 0) | 0;
 _memcpy(i5 | 0, i1 | 0, ((i4 + i2 | 0) >>> 0 > i6 >>> 0 ? i6 - i4 | 0 : i2) | 0) | 0;
 _mspace_free(get32(6080 + (((i4 >>> 0) / ((get32(1518 * 4 | 0) | 0) >>> 0) | 0) << 2) | 0) | 0, i1);
 i3 = i5;
 return i3 | 0;
}

function _rowSetNDeepTree(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0;
 i3 = get32(i1 | 0) | 0;
 if (!i3) {
  i4 = 0;
  return i4 | 0;
 }
 if ((i2 | 0) == 1) {
  i5 = i3 + 8 | 0;
  set32(i1 | 0, get32(i5 | 0) | 0);
  set32(i5 | 0, 0 | 0);
  set32(i3 + 12 | 0, 0 | 0);
  i4 = i3;
  return i4 | 0;
 }
 i3 = i2 + -1 | 0;
 i2 = _rowSetNDeepTree(i1, i3) | 0;
 i5 = get32(i1 | 0) | 0;
 if (!i5) {
  i4 = i2;
  return i4 | 0;
 } else {
  set32(i5 + 12 | 0, i2 | 0);
  i2 = i5 + 8 | 0;
  set32(i1 | 0, get32(i2 | 0) | 0);
  set32(i2 | 0, _rowSetNDeepTree(i1, i3) | 0 | 0);
  return i5 | 0;
 }
 return 0;
}

function _btreeGetPage(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i6 = i5;
 i7 = _sqlite3PagerAcquire(get32(i1 | 0) | 0, i2, i6, i4) | 0;
 if (i7) {
  i8 = i7;
  STACKTOP = i5;
  return i8 | 0;
 }
 i7 = get32(i6 | 0) | 0;
 i6 = get32(i7 + 4 | 0) | 0;
 set32(i6 + 64 | 0, get32(i7 | 0) | 0);
 set32(i6 + 68 | 0, i7 | 0);
 set32(i6 + 60 | 0, i1 | 0);
 set32(i6 + 72 | 0, i2 | 0);
 set8(i6 + 5 >> 0 | 0, ((i2 | 0) == 1 ? 100 : 0) | 0);
 set32(i3 | 0, i6 | 0);
 i8 = 0;
 STACKTOP = i5;
 return i8 | 0;
}

function _getcwd(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 4112 | 0;
 i4 = i3;
 i5 = i3 + 8 | 0;
 if (i1) if (!i2) {
  set32(___errno_location() | 0 | 0, 22 | 0);
  i6 = 0;
 } else {
  i7 = i2;
  i8 = i1;
  i9 = 4;
 } else {
  i7 = 4096;
  i8 = i5;
  i9 = 4;
 }
 if ((i9 | 0) == 4) {
  set32(i4 | 0, i8 | 0);
  set32(i4 + 4 | 0, i7 | 0);
  if ((___syscall_ret(___syscall183(183, i4 | 0) | 0) | 0) >= 0) if ((i8 | 0) == (i5 | 0)) i6 = ___strdup(i5) | 0; else i6 = i8; else i6 = 0;
 }
 STACKTOP = i3;
 return i6 | 0;
}

function _sqlite3_status(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i6 = i5;
 if (i1 >>> 0 > 9) {
  set32(i6 | 0, 12984 | 0);
  set32(i6 + 4 | 0, 17203 | 0);
  _sqlite3_log(21, 39226, i6);
  i7 = 21;
  STACKTOP = i5;
  return i7 | 0;
 }
 i6 = 120 + (i1 << 2) | 0;
 set32(i2 | 0, get32(i6 | 0) | 0);
 i2 = 160 + (i1 << 2) | 0;
 set32(i3 | 0, get32(i2 | 0) | 0);
 if (!i4) {
  i7 = 0;
  STACKTOP = i5;
  return i7 | 0;
 }
 set32(i2 | 0, get32(i6 | 0) | 0);
 i7 = 0;
 STACKTOP = i5;
 return i7 | 0;
}

function ___divdi3(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0;
 i5 = i2 >> 31 | ((i2 | 0) < 0 ? -1 : 0) << 1;
 i6 = ((i2 | 0) < 0 ? -1 : 0) >> 31 | ((i2 | 0) < 0 ? -1 : 0) << 1;
 i7 = i4 >> 31 | ((i4 | 0) < 0 ? -1 : 0) << 1;
 i8 = ((i4 | 0) < 0 ? -1 : 0) >> 31 | ((i4 | 0) < 0 ? -1 : 0) << 1;
 i9 = _i64Subtract(i5 ^ i1, i6 ^ i2, i5, i6) | 0;
 i2 = tempRet0;
 i1 = i7 ^ i5;
 i5 = i8 ^ i6;
 return _i64Subtract((___udivmoddi4(i9, i2, _i64Subtract(i7 ^ i3, i8 ^ i4, i7, i8) | 0, tempRet0, 0) | 0) ^ i1, tempRet0 ^ i5, i1, i5) | 0;
}

function _unixFileSize(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 80 | 0;
 i4 = i3;
 if (!(FUNCTION_TABLE_iii[get32(1104 | 0) & 127](get32(i1 + 8 | 0) | 0, i4) | 0)) {
  i5 = get32(i4 + 36 | 0) | 0;
  i4 = (i5 | 0) == 1;
  i6 = i2;
  set32(i6 | 0, (i4 ? 0 : i5) | 0);
  set32(i6 + 4 | 0, (i4 ? 0 : ((i5 | 0) < 0) << 31 >> 31) | 0);
  i7 = 0;
  STACKTOP = i3;
  return i7 | 0;
 } else {
  set32(i1 + 20 | 0, get32(___errno_location() | 0 | 0) | 0);
  i7 = 1802;
  STACKTOP = i3;
  return i7 | 0;
 }
 return 0;
}

function _compileoptionusedFunc(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0;
 i2 = _sqlite3ValueText(get32(i3 | 0) | 0, 1) | 0;
 if (!i2) return;
 i3 = _sqlite3_compileoption_used(i2) | 0;
 i2 = i1 + 8 | 0;
 _sqlite3VdbeMemReleaseExternal(i2);
 i4 = i1 + 44 | 0;
 _sqlite3DbFree(get32(i2 | 0) | 0, get32(i4 | 0) | 0);
 set32(i1 + 12 | 0, 0 | 0);
 set32(i4 | 0, 0 | 0);
 set32(i1 + 40 | 0, 0 | 0);
 i4 = i1 + 24 | 0;
 set32(i4 | 0, i3 | 0);
 set32(i4 + 4 | 0, ((i3 | 0) < 0) << 31 >> 31 | 0);
 set16(i1 + 36 | 0, 4 | 0);
 set8(i1 + 38 >> 0 | 0, 1 | 0);
 return;
}

function _dotlockUnlock(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0;
 i3 = get32(i1 + 24 | 0) | 0;
 i4 = i1 + 16 | 0;
 if ((getU8(i4 >> 0 | 0) | 0 | 0) == (i2 | 0)) {
  i5 = 0;
  return i5 | 0;
 }
 if ((i2 | 0) == 1) {
  set8(i4 >> 0 | 0, 1 | 0);
  i5 = 0;
  return i5 | 0;
 }
 if (!(_unlink(i3) | 0)) {
  set8(i4 >> 0 | 0, 0 | 0);
  i5 = 0;
  return i5 | 0;
 }
 i4 = get32(___errno_location() | 0 | 0) | 0;
 i3 = (i4 | 0) == 2;
 i2 = i3 ? 0 : 2058;
 if (i3) {
  i5 = i2;
  return i5 | 0;
 }
 set32(i1 + 20 | 0, i4 | 0);
 i5 = i2;
 return i5 | 0;
}

function _pcache1Create(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0;
 i3 = _sqlite3_malloc(44) | 0;
 if (!i3) return i3 | 0;
 i4 = i3;
 i5 = i4 + 44 | 0;
 do {
  set32(i4 | 0, 0 | 0);
  i4 = i4 + 4 | 0;
 } while ((i4 | 0) < (i5 | 0));
 set32(i3 | 0, 1472 | 0);
 set32(i3 + 4 | 0, i1 | 0);
 i1 = (i2 | 0) != 0;
 set32(i3 + 8 | 0, i1 & 1 | 0);
 if (!i1) return i3 | 0;
 set32(i3 + 12 | 0, 10 | 0);
 i1 = get32(370 * 4 | 0) | 0;
 set32(370 * 4 | 0, i1 + 10 | 0);
 set32(371 * 4 | 0, (get32(369 * 4 | 0) | 0) + 10 + (-10 - i1) | 0);
 return i3 | 0;
}

function _sqlite3MemRealloc(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i4 = i3;
 i5 = i1 + -8 | 0;
 i6 = _realloc(i5, i2 + 8 | 0) | 0;
 if (i6) {
  i7 = i6;
  set32(i7 | 0, i2 | 0);
  set32(i7 + 4 | 0, ((i2 | 0) < 0) << 31 >> 31 | 0);
  i8 = i6 + 8 | 0;
  STACKTOP = i3;
  return i8 | 0;
 }
 if (!i1) i9 = 0; else i9 = get32(i5 | 0) | 0;
 set32(i4 | 0, i9 | 0);
 set32(i4 + 4 | 0, i2 | 0);
 _sqlite3_log(7, 38340, i4);
 i8 = i6;
 STACKTOP = i3;
 return i8 | 0;
}

function _memcmp(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0, i9 = 0, i10 = 0, i11 = 0;
 L1 : do if (!i3) i4 = 0; else {
  i5 = i3;
  i6 = i1;
  i7 = i2;
  while (1) {
   i8 = get8(i6 >> 0 | 0) | 0;
   i9 = get8(i7 >> 0 | 0) | 0;
   if (i8 << 24 >> 24 != i9 << 24 >> 24) {
    i10 = i8;
    i11 = i9;
    break;
   }
   i5 = i5 + -1 | 0;
   if (!i5) {
    i4 = 0;
    break L1;
   } else {
    i6 = i6 + 1 | 0;
    i7 = i7 + 1 | 0;
   }
  }
  i4 = (i10 & 255) - (i11 & 255) | 0;
 } while (0);
 return i4 | 0;
}

function _unixCurrentTime(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0;
 i1 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i3 = i1;
 _gettimeofday(i3 | 0, 0) | 0;
 i4 = get32(i3 | 0) | 0;
 i5 = ___muldi3(i4 | 0, ((i4 | 0) < 0) << 31 >> 31 | 0, 1e3, 0) | 0;
 i4 = _i64Add(i5 | 0, tempRet0 | 0, 1045635584, 49096) | 0;
 i5 = (get32(i3 + 4 | 0) | 0) / 1e3 | 0;
 i3 = _i64Add(i4 | 0, tempRet0 | 0, i5 | 0, ((i5 | 0) < 0) << 31 >> 31 | 0) | 0;
 setF64(i2 | 0, +((+(i3 >>> 0) + 4294967296.0 * +(tempRet0 | 0)) / 864.0e5));
 STACKTOP = i1;
 return 0;
}

function _memset(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0;
 i4 = i1 + i3 | 0;
 if ((i3 | 0) >= 20) {
  i2 = i2 & 255;
  i5 = i1 & 3;
  i6 = i2 | i2 << 8 | i2 << 16 | i2 << 24;
  i7 = i4 & ~3;
  if (i5) {
   i5 = i1 + 4 - i5 | 0;
   while ((i1 | 0) < (i5 | 0)) {
    set8(i1 >> 0 | 0, i2 | 0);
    i1 = i1 + 1 | 0;
   }
  }
  while ((i1 | 0) < (i7 | 0)) {
   set32(i1 | 0, i6 | 0);
   i1 = i1 + 4 | 0;
  }
 }
 while ((i1 | 0) < (i4 | 0)) {
  set8(i1 >> 0 | 0, i2 | 0);
  i1 = i1 + 1 | 0;
 }
 return i1 - i3 | 0;
}

function _unixCurrentTimeInt64(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0;
 i1 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i3 = i1;
 _gettimeofday(i3 | 0, 0) | 0;
 i4 = get32(i3 | 0) | 0;
 i5 = ___muldi3(i4 | 0, ((i4 | 0) < 0) << 31 >> 31 | 0, 1e3, 0) | 0;
 i4 = _i64Add(i5 | 0, tempRet0 | 0, 1045635584, 49096) | 0;
 i5 = (get32(i3 + 4 | 0) | 0) / 1e3 | 0;
 i3 = _i64Add(i4 | 0, tempRet0 | 0, i5 | 0, ((i5 | 0) < 0) << 31 >> 31 | 0) | 0;
 i5 = i2;
 set32(i5 | 0, i3 | 0);
 set32(i5 + 4 | 0, tempRet0 | 0);
 STACKTOP = i1;
 return 0;
}

function _callback(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0, i7 = 0;
 i1 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i5 = i1;
 if (!(get32(241 * 4 | 0) | 0)) {
  STACKTOP = i1;
  return 0;
 }
 if ((i2 | 0) > 0) {
  i6 = 0;
  do {
   i7 = get32(i3 + (i6 << 2) | 0) | 0;
   set32(i5 | 0, get32(i4 + (i6 << 2) | 0) | 0);
   set32(i5 + 4 | 0, ((i7 | 0) == 0 ? 18774 : i7) | 0);
   _printf(39514, i5) | 0;
   i6 = i6 + 1 | 0;
  } while ((i6 | 0) != (i2 | 0));
 }
 _putchar(10) | 0;
 STACKTOP = i1;
 return 0;
}

function _sqlite3_free(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0;
 if (!i1) return;
 if (!(get32(50 * 4 | 0) | 0)) {
  FUNCTION_TABLE_vi[get32(232 | 0) & 31](i1);
  return;
 }
 i2 = FUNCTION_TABLE_ii[get32(240 | 0) & 127](i1) | 0;
 i3 = (get32(30 * 4 | 0) | 0) - i2 | 0;
 set32(30 * 4 | 0, i3 | 0);
 if ((i3 | 0) > (get32(40 * 4 | 0) | 0)) set32(40 * 4 | 0, i3 | 0);
 i3 = (get32(39 * 4 | 0) | 0) + -1 | 0;
 set32(39 * 4 | 0, i3 | 0);
 if ((i3 | 0) > (get32(49 * 4 | 0) | 0)) set32(49 * 4 | 0, i3 | 0);
 FUNCTION_TABLE_vi[get32(232 | 0) & 31](i1);
 return;
}

function _minMaxFinalize(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0;
 i2 = get32(i1 + 48 | 0) | 0;
 i3 = i2 + 28 | 0;
 if (!(get16(i3 | 0) & 8192)) {
  _sqlite3VdbeMemReleaseExternal(i2);
  set16(i3 | 0, 1 | 0);
  set32(i2 + 4 | 0, 0 | 0);
  return;
 }
 i3 = get32(i2 + 4 | 0) | 0;
 if (!i3) return;
 if (get16(i3 + 28 | 0) | 0) _sqlite3_result_value(i1, i3);
 _sqlite3VdbeMemReleaseExternal(i3);
 i1 = i3 + 36 | 0;
 _sqlite3DbFree(get32(i3 | 0) | 0, get32(i1 | 0) | 0);
 set32(i3 + 4 | 0, 0 | 0);
 set32(i1 | 0, 0 | 0);
 set32(i3 + 32 | 0, 0 | 0);
 return;
}

function _exprNodeIsConstant(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0;
 i3 = i1 + 12 | 0;
 i1 = get32(i3 | 0) | 0;
 if ((i1 | 0) == 3 ? (get16(i2 + 2 | 0) & 1) != 0 : 0) {
  set32(i3 | 0, 0 | 0);
  i4 = 2;
  return i4 | 0;
 }
 switch (getU8(i2 >> 0 | 0) | 0 | 0) {
 case 151:
  {
   i5 = 5;
   break;
  }
 case 154:
 case 153:
 case 152:
 case 26:
  break;
 default:
  {
   i4 = 0;
   return i4 | 0;
  }
 }
 if ((i5 | 0) == 5 ? (i1 | 0) == 2 : 0) {
  i4 = 0;
  return i4 | 0;
 }
 set32(i3 | 0, 0 | 0);
 i4 = 2;
 return i4 | 0;
}

function _last_insert_rowid(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0;
 i3 = (get32(i1 + 8 | 0) | 0) + 48 | 0;
 i2 = get32(i3 | 0) | 0;
 i4 = get32(i3 + 4 | 0) | 0;
 i3 = i1 + 8 | 0;
 _sqlite3VdbeMemReleaseExternal(i3);
 i5 = i1 + 44 | 0;
 _sqlite3DbFree(get32(i3 | 0) | 0, get32(i5 | 0) | 0);
 set32(i1 + 12 | 0, 0 | 0);
 set32(i5 | 0, 0 | 0);
 set32(i1 + 40 | 0, 0 | 0);
 i5 = i1 + 24 | 0;
 set32(i5 | 0, i2 | 0);
 set32(i5 + 4 | 0, i4 | 0);
 set16(i1 + 36 | 0, 4 | 0);
 set8(i1 + 38 >> 0 | 0, 1 | 0);
 return;
}

function _avgFinalize(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0;
 i2 = get32(i1 + 48 | 0) | 0;
 i3 = i2 + 28 | 0;
 if (!(get16(i3 | 0) & 8192)) {
  _sqlite3VdbeMemReleaseExternal(i2);
  set16(i3 | 0, 1 | 0);
  set32(i2 + 4 | 0, 0 | 0);
  return;
 }
 i3 = get32(i2 + 4 | 0) | 0;
 if (!i3) return;
 i2 = i3 + 16 | 0;
 i4 = get32(i2 | 0) | 0;
 i5 = get32(i2 + 4 | 0) | 0;
 if (!((i5 | 0) > 0 | (i5 | 0) == 0 & i4 >>> 0 > 0)) return;
 _sqlite3_result_double(i1, +getF64(i3 | 0) / (+(i4 >>> 0) + 4294967296.0 * +(i5 | 0)));
 return;
}

function copyTempDouble(i1) {
 i1 = i1 | 0;
 set8(tempDoublePtr >> 0 | 0, get8(i1 >> 0 | 0) | 0);
 set8(tempDoublePtr + 1 >> 0 | 0, get8(i1 + 1 >> 0 | 0) | 0);
 set8(tempDoublePtr + 2 >> 0 | 0, get8(i1 + 2 >> 0 | 0) | 0);
 set8(tempDoublePtr + 3 >> 0 | 0, get8(i1 + 3 >> 0 | 0) | 0);
 set8(tempDoublePtr + 4 >> 0 | 0, get8(i1 + 4 >> 0 | 0) | 0);
 set8(tempDoublePtr + 5 >> 0 | 0, get8(i1 + 5 >> 0 | 0) | 0);
 set8(tempDoublePtr + 6 >> 0 | 0, get8(i1 + 6 >> 0 | 0) | 0);
 set8(tempDoublePtr + 7 >> 0 | 0, get8(i1 + 7 >> 0 | 0) | 0);
}

function _sqlite3ExprListDelete(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0;
 if (!i2) return;
 i3 = i2 + 12 | 0;
 if ((get32(i2 | 0) | 0) > 0) {
  i4 = 0;
  i5 = get32(i3 | 0) | 0;
  while (1) {
   _sqlite3ExprDelete(i1, get32(i5 | 0) | 0);
   _sqlite3DbFree(i1, get32(i5 + 4 | 0) | 0);
   _sqlite3DbFree(i1, get32(i5 + 8 | 0) | 0);
   i4 = i4 + 1 | 0;
   if ((i4 | 0) >= (get32(i2 | 0) | 0)) break; else i5 = i5 + 20 | 0;
  }
 }
 _sqlite3DbFree(i1, get32(i3 | 0) | 0);
 _sqlite3DbFree(i1, i2);
 return;
}

function _whereSplit(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0, i8 = 0;
 i4 = i3 & 255;
 i5 = i1 + 16 | 0;
 set8(i5 >> 0 | 0, i4 | 0);
 if (!i2) return; else i6 = i2;
 while (1) {
  if ((getU8(i6 >> 0 | 0) | 0 | 0) != (i3 | 0)) {
   i7 = i6;
   break;
  }
  _whereSplit(i1, get32(i6 + 8 | 0) | 0, i3);
  i6 = get32(i6 + 12 | 0) | 0;
  set8(i5 >> 0 | 0, i4 | 0);
  if (!i6) {
   i8 = 5;
   break;
  }
 }
 if ((i8 | 0) == 5) return;
 _whereClauseInsert(i1, i7, 0) | 0;
 return;
}

function _sqlite3Malloc(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i3 = i2;
 if ((i1 + -1 | 0) >>> 0 > 2147483390) {
  set32(i3 | 0, 0 | 0);
  i4 = 0;
  STACKTOP = i2;
  return i4 | 0;
 }
 if (!(get32(50 * 4 | 0) | 0)) {
  i5 = FUNCTION_TABLE_ii[get32(228 | 0) & 127](i1) | 0;
  set32(i3 | 0, i5 | 0);
  i4 = i5;
  STACKTOP = i2;
  return i4 | 0;
 } else {
  _mallocWithAlarm(i1, i3) | 0;
  i4 = get32(i3 | 0) | 0;
  STACKTOP = i2;
  return i4 | 0;
 }
 return 0;
}

function _clearSelect(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 _sqlite3ExprListDelete(i1, get32(i2 | 0) | 0);
 _sqlite3SrcListDelete(i1, get32(i2 + 8 | 0) | 0);
 _sqlite3ExprDelete(i1, get32(i2 + 12 | 0) | 0);
 _sqlite3ExprListDelete(i1, get32(i2 + 16 | 0) | 0);
 _sqlite3ExprDelete(i1, get32(i2 + 20 | 0) | 0);
 _sqlite3ExprListDelete(i1, get32(i2 + 24 | 0) | 0);
 _sqlite3SelectDelete(i1, get32(i2 + 28 | 0) | 0);
 _sqlite3ExprDelete(i1, get32(i2 + 40 | 0) | 0);
 _sqlite3ExprDelete(i1, get32(i2 + 44 | 0) | 0);
 return;
}

function _sqlite3_vfs_unregister(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0;
 if (!i1) return 0;
 i2 = get32(107 * 4 | 0) | 0;
 if ((i2 | 0) == (i1 | 0)) {
  set32(107 * 4 | 0, get32(i1 + 12 | 0) | 0);
  return 0;
 }
 if (!i2) return 0; else i3 = i2;
 while (1) {
  i2 = i3 + 12 | 0;
  i4 = get32(i2 | 0) | 0;
  if ((i4 | 0) != (i1 | 0) & (i4 | 0) != 0) i3 = i4; else {
   i5 = i2;
   i6 = i4;
   break;
  }
 }
 if ((i6 | 0) != (i1 | 0)) return 0;
 set32(i5 | 0, get32(i1 + 12 | 0) | 0);
 return 0;
}

function _typeofFunc(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0;
 switch (getU8((get32(i3 | 0) | 0) + 30 >> 0 | 0) | 0 | 0) {
 case 1:
  {
   i4 = 25649;
   break;
  }
 case 3:
  {
   i4 = 37917;
   break;
  }
 case 2:
  {
   i4 = 25644;
   break;
  }
 case 4:
  {
   i4 = 37922;
   break;
  }
 default:
  i4 = 25639;
 }
 i3 = i1 + 8 | 0;
 if ((_sqlite3VdbeMemSetStr(i3, i4, -1, 1, 0) | 0) != 18) return;
 set32(i1 + 52 | 0, 18 | 0);
 _sqlite3VdbeMemSetStr(i3, 16620, -1, 1, 0) | 0;
 return;
}

function _strcmp(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0;
 i3 = get8(i1 >> 0 | 0) | 0;
 i4 = get8(i2 >> 0 | 0) | 0;
 if (i3 << 24 >> 24 == 0 ? 1 : i3 << 24 >> 24 != i4 << 24 >> 24) {
  i5 = i3;
  i6 = i4;
 } else {
  i4 = i1;
  i1 = i2;
  do {
   i4 = i4 + 1 | 0;
   i1 = i1 + 1 | 0;
   i2 = get8(i4 >> 0 | 0) | 0;
   i3 = get8(i1 >> 0 | 0) | 0;
  } while (!(i2 << 24 >> 24 == 0 ? 1 : i2 << 24 >> 24 != i3 << 24 >> 24));
  i5 = i2;
  i6 = i3;
 }
 return (i5 & 255) - (i6 & 255) | 0;
}

function _total_changes(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0;
 i3 = get32((get32(i1 + 8 | 0) | 0) + 64 | 0) | 0;
 i2 = i1 + 8 | 0;
 _sqlite3VdbeMemReleaseExternal(i2);
 i4 = i1 + 44 | 0;
 _sqlite3DbFree(get32(i2 | 0) | 0, get32(i4 | 0) | 0);
 set32(i1 + 12 | 0, 0 | 0);
 set32(i4 | 0, 0 | 0);
 set32(i1 + 40 | 0, 0 | 0);
 i4 = i1 + 24 | 0;
 set32(i4 | 0, i3 | 0);
 set32(i4 + 4 | 0, ((i3 | 0) < 0) << 31 >> 31 | 0);
 set16(i1 + 36 | 0, 4 | 0);
 set8(i1 + 38 >> 0 | 0, 1 | 0);
 return;
}

function _changes(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0;
 i3 = get32((get32(i1 + 8 | 0) | 0) + 60 | 0) | 0;
 i2 = i1 + 8 | 0;
 _sqlite3VdbeMemReleaseExternal(i2);
 i4 = i1 + 44 | 0;
 _sqlite3DbFree(get32(i2 | 0) | 0, get32(i4 | 0) | 0);
 set32(i1 + 12 | 0, 0 | 0);
 set32(i4 | 0, 0 | 0);
 set32(i1 + 40 | 0, 0 | 0);
 i4 = i1 + 24 | 0;
 set32(i4 | 0, i3 | 0);
 set32(i4 + 4 | 0, ((i3 | 0) < 0) << 31 >> 31 | 0);
 set16(i1 + 36 | 0, 4 | 0);
 set8(i1 + 38 >> 0 | 0, 1 | 0);
 return;
}

function ___stdio_seek(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i5 = i4;
 i6 = i4 + 20 | 0;
 set32(i5 | 0, get32(i1 + 60 | 0) | 0);
 set32(i5 + 4 | 0, 0 | 0);
 set32(i5 + 8 | 0, i2 | 0);
 set32(i5 + 12 | 0, i6 | 0);
 set32(i5 + 16 | 0, i3 | 0);
 if ((___syscall_ret(___syscall140(140, i5 | 0) | 0) | 0) < 0) {
  set32(i6 | 0, -1 | 0);
  i7 = -1;
 } else i7 = get32(i6 | 0) | 0;
 STACKTOP = i4;
 return i7 | 0;
}

function _rowSetTreeToList(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i5 = i4;
 i6 = get32(i1 + 12 | 0) | 0;
 if (!i6) set32(i2 | 0, i1 | 0); else {
  _rowSetTreeToList(i6, i2, i5);
  set32((get32(i5 | 0) | 0) + 8 | 0, i1 | 0);
 }
 i5 = i1 + 8 | 0;
 i2 = get32(i5 | 0) | 0;
 if (!i2) {
  set32(i3 | 0, i1 | 0);
  STACKTOP = i4;
  return;
 } else {
  _rowSetTreeToList(i2, i5, i3);
  STACKTOP = i4;
  return;
 }
}

function _sqlite3_vfs_find(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0;
 if (_sqlite3_initialize() | 0) {
  i2 = 0;
  return i2 | 0;
 }
 i3 = get32(107 * 4 | 0) | 0;
 if ((i1 | 0) == 0 | (i3 | 0) == 0) {
  i2 = i3;
  return i2 | 0;
 } else i4 = i3;
 while (1) {
  if (!(_strcmp(i1, get32(i4 + 16 | 0) | 0) | 0)) {
   i2 = i4;
   i5 = 5;
   break;
  }
  i4 = get32(i4 + 12 | 0) | 0;
  if (!i4) {
   i2 = 0;
   i5 = 5;
   break;
  }
 }
 if ((i5 | 0) == 5) return i2 | 0;
 return 0;
}

function _sqlite3_column_decltype16(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0;
 i3 = get32(i1 | 0) | 0;
 if (!i1) {
  i4 = 0;
  return i4 | 0;
 }
 i5 = getU16(i1 + 48 | 0) | 0;
 if (i5 >>> 0 <= i2 >>> 0) {
  i4 = 0;
  return i4 | 0;
 }
 i6 = _sqlite3ValueText((get32(i1 + 16 | 0) | 0) + ((i5 + i2 | 0) * 40 | 0) | 0, 2) | 0;
 i2 = i3 + 30 | 0;
 if (!(get8(i2 >> 0 | 0) | 0)) {
  i4 = i6;
  return i4 | 0;
 }
 set8(i2 >> 0 | 0, 0 | 0);
 i4 = 0;
 return i4 | 0;
}

function _sqlite3_column_decltype(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0;
 i3 = get32(i1 | 0) | 0;
 if (!i1) {
  i4 = 0;
  return i4 | 0;
 }
 i5 = getU16(i1 + 48 | 0) | 0;
 if (i5 >>> 0 <= i2 >>> 0) {
  i4 = 0;
  return i4 | 0;
 }
 i6 = _sqlite3ValueText((get32(i1 + 16 | 0) | 0) + ((i5 + i2 | 0) * 40 | 0) | 0, 1) | 0;
 i2 = i3 + 30 | 0;
 if (!(get8(i2 >> 0 | 0) | 0)) {
  i4 = i6;
  return i4 | 0;
 }
 set8(i2 >> 0 | 0, 0 | 0);
 i4 = 0;
 return i4 | 0;
}

function _unixAccess(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0;
 i1 = STACKTOP;
 STACKTOP = STACKTOP + 80 | 0;
 i5 = i1;
 i6 = (FUNCTION_TABLE_iii[get32(1068 | 0) & 127](i2, (i3 | 0) == 2 ? 4 : (i3 | 0) == 1 ? 6 : 0) | 0) == 0;
 set32(i4 | 0, i6 & 1 | 0);
 if ((i3 | 0) != 0 | i6 ^ 1) {
  STACKTOP = i1;
  return 0;
 }
 if ((_stat(i2, i5) | 0) == 0 ? (get32(i5 + 36 | 0) | 0) == 0 : 0) set32(i4 | 0, 0 | 0);
 STACKTOP = i1;
 return 0;
}

function _sqlite3_result_zeroblob(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0;
 i3 = i1 + 8 | 0;
 _sqlite3VdbeMemReleaseExternal(i3);
 i4 = i1 + 44 | 0;
 _sqlite3DbFree(get32(i3 | 0) | 0, get32(i4 | 0) | 0);
 set32(i1 + 12 | 0, 0 | 0);
 set32(i4 | 0, 0 | 0);
 set32(i1 + 40 | 0, 0 | 0);
 set16(i1 + 36 | 0, 16400 | 0);
 set8(i1 + 38 >> 0 | 0, 4 | 0);
 set32(i1 + 32 | 0, 0 | 0);
 set32(i1 + 24 | 0, ((i2 | 0) < 0 ? 0 : i2) | 0);
 set8(i1 + 39 >> 0 | 0, 1 | 0);
 return;
}

function _open(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0, i7 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i5 = i4;
 i6 = i4 + 16 | 0;
 set32(i6 | 0, i3 | 0);
 i3 = (get32(i6 | 0) | 0) + (4 - 1) & ~(4 - 1);
 i7 = get32(i3 | 0) | 0;
 set32(i6 | 0, i3 + 4 | 0);
 set32(i5 | 0, i1 | 0);
 set32(i5 + 4 | 0, i2 | 32768 | 0);
 set32(i5 + 8 | 0, i7 | 0);
 i7 = ___syscall_ret(___syscall5(5, i5 | 0) | 0) | 0;
 STACKTOP = i4;
 return i7 | 0;
}

function ___towrite(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0;
 i2 = i1 + 74 | 0;
 i3 = get8(i2 >> 0 | 0) | 0;
 set8(i2 >> 0 | 0, i3 + 255 | i3 | 0);
 i3 = get32(i1 | 0) | 0;
 if (!(i3 & 8)) {
  set32(i1 + 8 | 0, 0 | 0);
  set32(i1 + 4 | 0, 0 | 0);
  i2 = get32(i1 + 44 | 0) | 0;
  set32(i1 + 28 | 0, i2 | 0);
  set32(i1 + 20 | 0, i2 | 0);
  set32(i1 + 16 | 0, i2 + (get32(i1 + 48 | 0) | 0) | 0);
  i4 = 0;
 } else {
  set32(i1 | 0, i3 | 32 | 0);
  i4 = -1;
 }
 return i4 | 0;
}

function _btreeInvokeBusyHandler(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0, i6 = 0, i7 = 0;
 i2 = get32(i1 + 4 | 0) | 0;
 i1 = get32(i2 + 428 | 0) | 0;
 if (!i1) {
  i3 = 0;
  return i3 | 0;
 }
 i4 = i2 + 436 | 0;
 i5 = get32(i4 | 0) | 0;
 if ((i5 | 0) < 0) {
  i3 = 0;
  return i3 | 0;
 }
 i6 = FUNCTION_TABLE_iii[i1 & 127](get32(i2 + 432 | 0) | 0, i5) | 0;
 if (!i6) i7 = -1; else i7 = (get32(i4 | 0) | 0) + 1 | 0;
 set32(i4 | 0, i7 | 0);
 i3 = i6;
 return i3 | 0;
}

function ___stdout_write(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 80 | 0;
 i5 = i4;
 set32(i1 + 36 | 0, 32 | 0);
 if ((get32(i1 | 0) & 64 | 0) == 0 ? (set32(i5 | 0, get32(i1 + 60 | 0) | 0), set32(i5 + 4 | 0, 21505 | 0), set32(i5 + 8 | 0, i4 + 12 | 0), (___syscall54(54, i5 | 0) | 0) != 0) : 0) set8(i1 + 75 >> 0 | 0, -1 | 0);
 i5 = ___stdio_write(i1, i2, i3) | 0;
 STACKTOP = i4;
 return i5 | 0;
}

function _sqlite3MemMalloc(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i3 = i2;
 i4 = i1 + 7 & -8;
 i1 = _malloc(i4 + 8 | 0) | 0;
 if (!i1) {
  set32(i3 | 0, i4 | 0);
  _sqlite3_log(7, 38302, i3);
  i5 = i1;
  STACKTOP = i2;
  return i5 | 0;
 } else {
  i3 = i1;
  set32(i3 | 0, i4 | 0);
  set32(i3 + 4 | 0, ((i4 | 0) < 0) << 31 >> 31 | 0);
  i5 = i1 + 8 | 0;
  STACKTOP = i2;
  return i5 | 0;
 }
 return 0;
}

function _multiSelectCollSeq(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0;
 i4 = get32(i2 + 28 | 0) | 0;
 if ((i4 | 0) != 0 ? (i5 = _multiSelectCollSeq(i1, i4, i3) | 0, (i5 | 0) != 0) : 0) {
  i6 = i5;
  return i6 | 0;
 }
 i5 = get32(i2 | 0) | 0;
 if ((get32(i5 | 0) | 0) <= (i3 | 0)) {
  i6 = 0;
  return i6 | 0;
 }
 i6 = _sqlite3ExprCollSeq(i1, get32((get32(i5 + 12 | 0) | 0) + (i3 * 20 | 0) | 0) | 0) | 0;
 return i6 | 0;
}

function _sqlite3_column_name16(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0;
 i3 = get32(i1 | 0) | 0;
 if (!i1) {
  i4 = 0;
  return i4 | 0;
 }
 if ((getU16(i1 + 48 | 0) | 0) >>> 0 <= i2 >>> 0) {
  i4 = 0;
  return i4 | 0;
 }
 i5 = _sqlite3ValueText((get32(i1 + 16 | 0) | 0) + (i2 * 40 | 0) | 0, 2) | 0;
 i2 = i3 + 30 | 0;
 if (!(get8(i2 >> 0 | 0) | 0)) {
  i4 = i5;
  return i4 | 0;
 }
 set8(i2 >> 0 | 0, 0 | 0);
 i4 = 0;
 return i4 | 0;
}

function _sqlite3_result_int(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0;
 i3 = i1 + 8 | 0;
 _sqlite3VdbeMemReleaseExternal(i3);
 i4 = i1 + 44 | 0;
 _sqlite3DbFree(get32(i3 | 0) | 0, get32(i4 | 0) | 0);
 set32(i1 + 12 | 0, 0 | 0);
 set32(i4 | 0, 0 | 0);
 set32(i1 + 40 | 0, 0 | 0);
 i4 = i1 + 24 | 0;
 set32(i4 | 0, i2 | 0);
 set32(i4 + 4 | 0, ((i2 | 0) < 0) << 31 >> 31 | 0);
 set16(i1 + 36 | 0, 4 | 0);
 set8(i1 + 38 >> 0 | 0, 1 | 0);
 return;
}

function _sqlite3_column_name(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0;
 i3 = get32(i1 | 0) | 0;
 if (!i1) {
  i4 = 0;
  return i4 | 0;
 }
 if ((getU16(i1 + 48 | 0) | 0) >>> 0 <= i2 >>> 0) {
  i4 = 0;
  return i4 | 0;
 }
 i5 = _sqlite3ValueText((get32(i1 + 16 | 0) | 0) + (i2 * 40 | 0) | 0, 1) | 0;
 i2 = i3 + 30 | 0;
 if (!(get8(i2 >> 0 | 0) | 0)) {
  i4 = i5;
  return i4 | 0;
 }
 set8(i2 >> 0 | 0, 0 | 0);
 i4 = 0;
 return i4 | 0;
}

function _sqlite3_result_int64(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0;
 i4 = i1 + 8 | 0;
 _sqlite3VdbeMemReleaseExternal(i4);
 i5 = i1 + 44 | 0;
 _sqlite3DbFree(get32(i4 | 0) | 0, get32(i5 | 0) | 0);
 set32(i1 + 12 | 0, 0 | 0);
 set32(i5 | 0, 0 | 0);
 set32(i1 + 40 | 0, 0 | 0);
 i5 = i1 + 24 | 0;
 set32(i5 | 0, i2 | 0);
 set32(i5 + 4 | 0, i3 | 0);
 set16(i1 + 36 | 0, 4 | 0);
 set8(i1 + 38 >> 0 | 0, 1 | 0);
 return;
}

function _lseek(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 32 | 0;
 i5 = i4;
 i6 = i4 + 20 | 0;
 set32(i5 | 0, i1 | 0);
 set32(i5 + 4 | 0, 0 | 0);
 set32(i5 + 8 | 0, i2 | 0);
 set32(i5 + 12 | 0, i6 | 0);
 set32(i5 + 16 | 0, i3 | 0);
 i3 = (___syscall_ret(___syscall140(140, i5 | 0) | 0) | 0) != 0;
 STACKTOP = i4;
 return (i3 ? -1 : get32(i6 | 0) | 0) | 0;
}

function _sqlite3_value_bytes16(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0;
 i2 = i1 + 28 | 0;
 i3 = get16(i2 | 0) | 0;
 do if (!(i3 & 16)) if (!(_sqlite3ValueText(i1, 2) | 0)) {
  i4 = 0;
  return i4 | 0;
 } else {
  i5 = get16(i2 | 0) | 0;
  break;
 } else i5 = i3; while (0);
 i3 = get32(i1 + 24 | 0) | 0;
 if (!(i5 & 16384)) {
  i4 = i3;
  return i4 | 0;
 }
 i4 = (get32(i1 + 16 | 0) | 0) + i3 | 0;
 return i4 | 0;
}

function _sqlite3_value_bytes(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0;
 i2 = i1 + 28 | 0;
 i3 = get16(i2 | 0) | 0;
 do if (!(i3 & 16)) if (!(_sqlite3ValueText(i1, 1) | 0)) {
  i4 = 0;
  return i4 | 0;
 } else {
  i5 = get16(i2 | 0) | 0;
  break;
 } else i5 = i3; while (0);
 i3 = get32(i1 + 24 | 0) | 0;
 if (!(i5 & 16384)) {
  i4 = i3;
  return i4 | 0;
 }
 i4 = (get32(i1 + 16 | 0) | 0) + i3 | 0;
 return i4 | 0;
}

function ___muldsi3(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0, i6 = 0;
 i3 = i1 & 65535;
 i4 = i2 & 65535;
 i5 = Math_imul(i4, i3) | 0;
 i6 = i1 >>> 16;
 i1 = (i5 >>> 16) + (Math_imul(i4, i6) | 0) | 0;
 i4 = i2 >>> 16;
 i2 = Math_imul(i4, i3) | 0;
 return (tempRet0 = (i1 >>> 16) + (Math_imul(i4, i6) | 0) + (((i1 & 65535) + i2 | 0) >>> 16) | 0, i1 + i2 << 16 | i5 & 65535 | 0) | 0;
}

function _totalFinalize(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, d5 = 0.0;
 i2 = get32(i1 + 48 | 0) | 0;
 i3 = i2 + 28 | 0;
 if (get16(i3 | 0) & 8192) {
  i4 = get32(i2 + 4 | 0) | 0;
  if (!i4) d5 = 0.0; else d5 = +getF64(i4 | 0);
 } else {
  _sqlite3VdbeMemReleaseExternal(i2);
  set16(i3 | 0, 1 | 0);
  set32(i2 + 4 | 0, 0 | 0);
  d5 = 0.0;
 }
 _sqlite3_result_double(i1, d5);
 return;
}

function _memmove(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0;
 if ((i2 | 0) < (i1 | 0) & (i1 | 0) < (i2 + i3 | 0)) {
  i4 = i1;
  i2 = i2 + i3 | 0;
  i1 = i1 + i3 | 0;
  while ((i3 | 0) > 0) {
   i1 = i1 - 1 | 0;
   i2 = i2 - 1 | 0;
   i3 = i3 - 1 | 0;
   set8(i1 >> 0 | 0, get8(i2 >> 0 | 0) | 0 | 0);
  }
  i1 = i4;
 } else _memcpy(i1, i2, i3) | 0;
 return i1 | 0;
}

function _sqlite3_limit(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0, i6 = 0;
 if (i2 >>> 0 > 10) {
  i4 = -1;
  return i4 | 0;
 }
 i5 = i1 + 72 + (i2 << 2) | 0;
 i1 = get32(i5 | 0) | 0;
 if ((i3 | 0) <= -1) {
  i4 = i1;
  return i4 | 0;
 }
 i6 = get32(920 + (i2 << 2) | 0) | 0;
 set32(i5 | 0, ((i6 | 0) < (i3 | 0) ? i6 : i3) | 0);
 i4 = i1;
 return i4 | 0;
}

function _llvm_cttz_i32(i1) {
 i1 = i1 | 0;
 var i2 = 0;
 i2 = get8(cttz_i8 + (i1 & 255) >> 0 | 0) | 0;
 if ((i2 | 0) < 8) return i2 | 0;
 i2 = get8(cttz_i8 + (i1 >> 8 & 255) >> 0 | 0) | 0;
 if ((i2 | 0) < 8) return i2 + 8 | 0;
 i2 = get8(cttz_i8 + (i1 >> 16 & 255) >> 0 | 0) | 0;
 if ((i2 | 0) < 8) return i2 + 16 | 0;
 return (get8(cttz_i8 + (i1 >>> 24) >> 0 | 0) | 0) + 24 | 0;
}

function _sqlite3CompareAffinity(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0;
 i3 = _sqlite3ExprAffinity(i1) | 0;
 if (!(i2 << 24 >> 24 == 0 | i3 << 24 >> 24 == 0)) return (i2 << 24 >> 24 > 98 | i3 << 24 >> 24 > 98 ? 99 : 98) | 0;
 if (!((i3 | i2) << 24 >> 24)) {
  i4 = 98;
  return i4 | 0;
 }
 i4 = (i3 & 255) + (i2 & 255) & 255;
 return i4 | 0;
}

function _ftruncate(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i4 = i3;
 set32(i4 | 0, i1 | 0);
 set32(i4 + 4 | 0, 0 | 0);
 set32(i4 + 8 | 0, i2 | 0);
 set32(i4 + 12 | 0, ((i2 | 0) < 0) << 31 >> 31 | 0);
 i2 = ___syscall_ret(___syscall194(194, i4 | 0) | 0) | 0;
 STACKTOP = i3;
 return i2 | 0;
}

function _sqlite3WalDefaultHook(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 if ((i1 | 0) > (i4 | 0)) return 0;
 i4 = get32(366 * 4 | 0) | 0;
 if (i4) FUNCTION_TABLE_v[i4 & 1]();
 _sqlite3_wal_checkpoint_v2(i2, i3, 0, 0, 0) | 0;
 i3 = get32(367 * 4 | 0) | 0;
 if (!i3) return 0;
 FUNCTION_TABLE_v[i3 & 1]();
 return 0;
}

function _sqlite3FkReferences(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0, i5 = 0;
 i2 = get32(i1 | 0) | 0;
 if (!i2) i3 = 0; else {
  i4 = i2;
  while (1) if (!(get8(i4 >> 0 | 0) | 0)) {
   i5 = i4;
   break;
  } else i4 = i4 + 1 | 0;
  i3 = i5 - i2 & 1073741823;
 }
 return _sqlite3HashFind((get32(i1 + 68 | 0) | 0) + 56 | 0, i2, i3) | 0;
}

function _setJoinExpr(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0;
 if (!i1) return;
 i3 = i2 & 65535;
 i4 = i1;
 do {
  i1 = i4 + 2 | 0;
  set16(i1 | 0, getU16(i1 | 0) | 0 | 1 | 0);
  set16(i4 + 32 | 0, i3 | 0);
  _setJoinExpr(get32(i4 + 8 | 0) | 0, i2);
  i4 = get32(i4 + 12 | 0) | 0;
 } while ((i4 | 0) != 0);
 return;
}

function _sqlite3_set_authorizer(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0;
 set32(i1 + 268 | 0, i2 | 0);
 set32(i1 + 272 | 0, i3 | 0);
 i3 = get32(i1 + 136 | 0) | 0;
 if (!i3) return 0; else i4 = i3;
 do {
  set8(i4 + 99 >> 0 | 0, 1 | 0);
  i4 = get32(i4 + 64 | 0) | 0;
 } while ((i4 | 0) != 0);
 return 0;
}

function _sqlite3_result_error_code(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0;
 set32(i1 + 52 | 0, i2 | 0);
 if (!(get16(i1 + 36 | 0) & 1)) return;
 i3 = i2 & 255;
 if (i3 >>> 0 > 26 | (i3 | 0) == 2) i4 = 38974; else i4 = get32(5652 + (i3 << 2) | 0) | 0;
 _sqlite3VdbeMemSetStr(i1 + 8 | 0, i4, -1, 1, 0) | 0;
 return;
}

function dynCall_iiiiiiiiii(i1, i2, i3, i4, i5, i6, i7, i8, i9, i10) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 i7 = i7 | 0;
 i8 = i8 | 0;
 i9 = i9 | 0;
 i10 = i10 | 0;
 return FUNCTION_TABLE_iiiiiiiiii[i1 & 1](i2 | 0, i3 | 0, i4 | 0, i5 | 0, i6 | 0, i7 | 0, i8 | 0, i9 | 0, i10 | 0) | 0;
}

function _pcache1Init(i1) {
 i1 = i1 | 0;
 var i2 = 0;
 i1 = 1472;
 i2 = i1 + 68 | 0;
 do {
  set32(i1 | 0, 0 | 0);
  i1 = i1 + 4 | 0;
 } while ((i1 | 0) < (i2 | 0));
 if (get32(51 * 4 | 0) | 0) {
  set32(368 * 4 | 0, 8 | 0);
  set32(381 * 4 | 0, 8 | 0);
 }
 set32(371 * 4 | 0, 10 | 0);
 set32(375 * 4 | 0, 1 | 0);
 return 0;
}

function _sqlite3_mprintf(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0, i5 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i4 = i3;
 if (_sqlite3_initialize() | 0) {
  i5 = 0;
  STACKTOP = i3;
  return i5 | 0;
 }
 set32(i4 | 0, i2 | 0);
 i5 = _sqlite3_vmprintf(i1, i4) | 0;
 STACKTOP = i3;
 return i5 | 0;
}

function _analyzeAggregatesInSelect(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0;
 i3 = (get32(i1 + 12 | 0) | 0) + 24 | 0;
 if (get32(i3 | 0) | 0) {
  i4 = 0;
  return i4 | 0;
 }
 set32(i3 | 0, 1 | 0);
 _sqlite3WalkSelect(i1, i2) | 0;
 set32(i3 | 0, (get32(i3 | 0) | 0) + -1 | 0);
 i4 = 1;
 return i4 | 0;
}

function _write(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i5 = i4;
 set32(i5 | 0, i1 | 0);
 set32(i5 + 4 | 0, i2 | 0);
 set32(i5 + 8 | 0, i3 | 0);
 i3 = ___syscall_ret(___syscall4(4, i5 | 0) | 0) | 0;
 STACKTOP = i4;
 return i3 | 0;
}

function _read(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i5 = i4;
 set32(i5 | 0, i1 | 0);
 set32(i5 + 4 | 0, i2 | 0);
 set32(i5 + 8 | 0, i3 | 0);
 i3 = ___syscall_ret(___syscall3(3, i5 | 0) | 0) | 0;
 STACKTOP = i4;
 return i3 | 0;
}

function _unixDlError(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0;
 i1 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i4 = i1;
 i5 = _dlerror() | 0;
 if (!i5) {
  STACKTOP = i1;
  return;
 }
 set32(i4 | 0, i5 | 0);
 _sqlite3_snprintf(i2, i3, 16817, i4) | 0;
 STACKTOP = i1;
 return;
}

function _sqlite3_get_auxdata(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0;
 i3 = get32(i1 + 4 | 0) | 0;
 if (!i3) {
  i4 = 0;
  return i4 | 0;
 }
 if ((i2 | 0) < 0 ? 1 : (get32(i3 + 4 | 0) | 0) <= (i2 | 0)) {
  i4 = 0;
  return i4 | 0;
 }
 i4 = get32(i3 + 8 + (i2 << 3) | 0) | 0;
 return i4 | 0;
}

function _sqlite3_bind_parameter_name(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0;
 if ((i1 | 0) == 0 | (i2 | 0) < 1) {
  i3 = 0;
  return i3 | 0;
 }
 if ((get16(i1 + 82 | 0) | 0) < (i2 | 0)) {
  i3 = 0;
  return i3 | 0;
 }
 i3 = get32((get32(i1 + 76 | 0) | 0) + (i2 + -1 << 2) | 0) | 0;
 return i3 | 0;
}

function _dotlockCheckReservedLock(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0;
 if ((getU8(i1 + 16 >> 0 | 0) | 0) > 1) {
  i3 = 1;
  set32(i2 | 0, i3 | 0);
  return 0;
 }
 i3 = (FUNCTION_TABLE_iii[get32(1068 | 0) & 127](get32(i1 + 24 | 0) | 0, 0) | 0) == 0 & 1;
 set32(i2 | 0, i3 | 0);
 return 0;
}

function _sqlite3_sleep(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0;
 if (_sqlite3_initialize() | 0) {
  i2 = 0;
  return i2 | 0;
 }
 i3 = get32(107 * 4 | 0) | 0;
 if (!i3) {
  i2 = 0;
  return i2 | 0;
 }
 i2 = (FUNCTION_TABLE_iii[get32(i3 + 60 | 0) & 127](i3, i1 * 1e3 | 0) | 0) / 1e3 | 0;
 return i2 | 0;
}

function dynCall_iiiiiiiii(i1, i2, i3, i4, i5, i6, i7, i8, i9) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 i7 = i7 | 0;
 i8 = i8 | 0;
 i9 = i9 | 0;
 return FUNCTION_TABLE_iiiiiiiii[i1 & 3](i2 | 0, i3 | 0, i4 | 0, i5 | 0, i6 | 0, i7 | 0, i8 | 0, i9 | 0) | 0;
}

function ___munmap(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i4 = i3;
 _dummy1(-1);
 set32(i4 | 0, i1 | 0);
 set32(i4 + 4 | 0, i2 | 0);
 i2 = ___syscall_ret(___syscall91(91, i4 | 0) | 0) | 0;
 _dummy0();
 STACKTOP = i3;
 return i2 | 0;
}

function _sqlite3_busy_timeout(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0;
 if ((i2 | 0) > 0) {
  set32(i1 + 440 | 0, i2 | 0);
  set32(i1 + 432 | 0, i1 | 0);
  i3 = 65;
 } else {
  set32(i1 + 432 | 0, 0 | 0);
  i3 = 0;
 }
 set32(i1 + 428 | 0, i3 | 0);
 set32(i1 + 436 | 0, 0 | 0);
 return 0;
}

function ___uremdi3(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i6 = i5 | 0;
 ___udivmoddi4(i1, i2, i3, i4, i6) | 0;
 STACKTOP = i5;
 return (tempRet0 = get32(i6 + 4 | 0) | 0, get32(i6 | 0) | 0) | 0;
}

function _sqlite3_result_text16le(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0;
 i5 = i1 + 8 | 0;
 if ((_sqlite3VdbeMemSetStr(i5, i2, i3, 2, i4) | 0) != 18) return;
 set32(i1 + 52 | 0, 18 | 0);
 _sqlite3VdbeMemSetStr(i5, 16620, -1, 1, 0) | 0;
 return;
}

function _sqlite3_result_text16be(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0;
 i5 = i1 + 8 | 0;
 if ((_sqlite3VdbeMemSetStr(i5, i2, i3, 3, i4) | 0) != 18) return;
 set32(i1 + 52 | 0, 18 | 0);
 _sqlite3VdbeMemSetStr(i5, 16620, -1, 1, 0) | 0;
 return;
}

function _sqlite3_result_text16(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0;
 i5 = i1 + 8 | 0;
 if ((_sqlite3VdbeMemSetStr(i5, i2, i3, 2, i4) | 0) != 18) return;
 set32(i1 + 52 | 0, 18 | 0);
 _sqlite3VdbeMemSetStr(i5, 16620, -1, 1, 0) | 0;
 return;
}

function _sqliteDefaultBusyCallback(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0;
 if (((i2 * 1e3 | 0) + 1e3 | 0) > (get32(i1 + 440 | 0) | 0)) {
  i3 = 0;
  return i3 | 0;
 }
 i2 = get32(i1 | 0) | 0;
 FUNCTION_TABLE_iii[get32(i2 + 60 | 0) & 127](i2, 1e6) | 0;
 i3 = 1;
 return i3 | 0;
}

function _sqlite3_result_text(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0;
 i5 = i1 + 8 | 0;
 if ((_sqlite3VdbeMemSetStr(i5, i2, i3, 1, i4) | 0) != 18) return;
 set32(i1 + 52 | 0, 18 | 0);
 _sqlite3VdbeMemSetStr(i5, 16620, -1, 1, 0) | 0;
 return;
}

function _sqlite3_result_blob(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0;
 i5 = i1 + 8 | 0;
 if ((_sqlite3VdbeMemSetStr(i5, i2, i3, 0, i4) | 0) != 18) return;
 set32(i1 + 52 | 0, 18 | 0);
 _sqlite3VdbeMemSetStr(i5, 16620, -1, 1, 0) | 0;
 return;
}

function copyTempFloat(i1) {
 i1 = i1 | 0;
 set8(tempDoublePtr >> 0 | 0, get8(i1 >> 0 | 0) | 0);
 set8(tempDoublePtr + 1 >> 0 | 0, get8(i1 + 1 >> 0 | 0) | 0);
 set8(tempDoublePtr + 2 >> 0 | 0, get8(i1 + 2 >> 0 | 0) | 0);
 set8(tempDoublePtr + 3 >> 0 | 0, get8(i1 + 3 >> 0 | 0) | 0);
}

function ___muldi3(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0;
 i5 = i1;
 i1 = i3;
 i3 = ___muldsi3(i5, i1) | 0;
 i6 = tempRet0;
 return (tempRet0 = (Math_imul(i2, i1) | 0) + (Math_imul(i4, i5) | 0) + i6 | i6 & 0, i3 | 0 | 0) | 0;
}

function _sqlite3_snprintf(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0, i6 = 0;
 i5 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i6 = i5;
 set32(i6 | 0, i4 | 0);
 i4 = _sqlite3_vsnprintf(i1, i2, i3, i6) | 0;
 STACKTOP = i5;
 return i4 | 0;
}

function _sqlite3_progress_handler(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0;
 i5 = (i2 | 0) > 0;
 set32(i1 + 276 | 0, (i5 ? i3 : 0) | 0);
 set32(i1 + 284 | 0, (i5 ? i2 : 0) | 0);
 set32(i1 + 280 | 0, (i5 ? i4 : 0) | 0);
 return;
}

function _stat(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i4 = i3;
 set32(i4 | 0, i1 | 0);
 set32(i4 + 4 | 0, i2 | 0);
 i2 = ___syscall_ret(___syscall195(195, i4 | 0) | 0) | 0;
 STACKTOP = i3;
 return i2 | 0;
}

function _access(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i4 = i3;
 set32(i4 | 0, i1 | 0);
 set32(i4 + 4 | 0, i2 | 0);
 i2 = ___syscall_ret(___syscall33(33, i4 | 0) | 0) | 0;
 STACKTOP = i3;
 return i2 | 0;
}

function _sleep(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i3 = i2;
 set32(i3 | 0, i1 | 0);
 set32(i3 + 4 | 0, 0 | 0);
 i1 = (_nanosleep(i3 | 0, i3 | 0) | 0) == 0;
 STACKTOP = i2;
 return (i1 ? 0 : get32(i3 | 0) | 0) | 0;
}

function _close(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i3 = i2;
 set32(i3 | 0, i1 | 0);
 i1 = ___syscall6(6, i3 | 0) | 0;
 i3 = ___syscall_ret((i1 | 0) == -4 ? -115 : i1) | 0;
 STACKTOP = i2;
 return i3 | 0;
}

function _sqlite3_blob_close(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0;
 if (!i1) {
  i2 = 0;
  return i2 | 0;
 }
 i3 = get32(i1 + 24 | 0) | 0;
 i4 = _sqlite3_finalize(get32(i1 + 20 | 0) | 0) | 0;
 _sqlite3DbFree(i3, i1);
 i2 = i4;
 return i2 | 0;
}

function runPostSets() {}
function _i64Subtract(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0;
 i5 = i2 - i4 >>> 0;
 i5 = i2 - i4 - (i3 >>> 0 > i1 >>> 0 | 0) >>> 0;
 return (tempRet0 = i5, i1 - i3 >>> 0 | 0) | 0;
}

function _sourceidFunc(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i3 = i1 + 8 | 0;
 if ((_sqlite3VdbeMemSetStr(i3, 17183, -1, 1, 0) | 0) != 18) return;
 set32(i1 + 52 | 0, 18 | 0);
 _sqlite3VdbeMemSetStr(i3, 16620, -1, 1, 0) | 0;
 return;
}

function _versionFunc(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i3 = i1 + 8 | 0;
 if ((_sqlite3VdbeMemSetStr(i3, 16270, -1, 1, 0) | 0) != 18) return;
 set32(i1 + 52 | 0, 18 | 0);
 _sqlite3VdbeMemSetStr(i3, 16620, -1, 1, 0) | 0;
 return;
}

function ___stdio_close(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i3 = i2;
 set32(i3 | 0, get32(i1 + 60 | 0) | 0);
 i1 = ___syscall_ret(___syscall6(6, i3 | 0) | 0) | 0;
 STACKTOP = i2;
 return i1 | 0;
}

function dynCall_iiiiiii(i1, i2, i3, i4, i5, i6, i7) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 i7 = i7 | 0;
 return FUNCTION_TABLE_iiiiiii[i1 & 3](i2 | 0, i3 | 0, i4 | 0, i5 | 0, i6 | 0, i7 | 0) | 0;
}

function _bitshift64Ashr(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 if ((i3 | 0) < 32) {
  tempRet0 = i2 >> i3;
  return i1 >>> i3 | (i2 & (1 << i3) - 1) << 32 - i3;
 }
 tempRet0 = (i2 | 0) < 0 ? -1 : 0;
 return i2 >> i3 - 32 | 0;
}

function _printf(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0;
 i3 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i4 = i3;
 set32(i4 | 0, i2 | 0);
 i2 = _vfprintf(get32(1441 * 4 | 0) | 0, i1, i4) | 0;
 STACKTOP = i3;
 return i2 | 0;
}

function _sqlite3XPrintf(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i5 = i4;
 set32(i5 | 0, i3 | 0);
 _sqlite3VXPrintf(i1, 1, i2, i5);
 STACKTOP = i4;
 return;
}

function _fprintf(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i5 = i4;
 set32(i5 | 0, i3 | 0);
 i3 = _vfprintf(i1, i2, i5) | 0;
 STACKTOP = i4;
 return i3 | 0;
}

function _posixOpen(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0;
 i4 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i5 = i4;
 set32(i5 | 0, i3 | 0);
 i3 = _open(i1, i2, i5) | 0;
 STACKTOP = i4;
 return i3 | 0;
}

function _nullifFunc(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 if (!(_sqlite3MemCompare(get32(i3 | 0) | 0, get32(i3 + 4 | 0) | 0, get32(i1 + 56 | 0) | 0) | 0)) return;
 _sqlite3_result_value(i1, get32(i3 | 0) | 0);
 return;
}

function _sqlite3CorruptError(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i3 = i2;
 set32(i3 | 0, i1 | 0);
 set32(i3 + 4 | 0, 17203 | 0);
 _sqlite3_log(11, 19615, i3);
 STACKTOP = i2;
 return;
}

function dynCall_viiiiii(i1, i2, i3, i4, i5, i6, i7) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 i7 = i7 | 0;
 FUNCTION_TABLE_viiiiii[i1 & 0](i2 | 0, i3 | 0, i4 | 0, i5 | 0, i6 | 0, i7 | 0);
}

function _bitshift64Shl(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 if ((i3 | 0) < 32) {
  tempRet0 = i2 << i3 | (i1 & (1 << i3) - 1 << 32 - i3) >>> 32 - i3;
  return i1 << i3;
 }
 tempRet0 = i1 << i3 - 32;
 return 0;
}

function _fsync(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i3 = i2;
 set32(i3 | 0, i1 | 0);
 i1 = ___syscall_ret(___syscall118(118, i3 | 0) | 0) | 0;
 STACKTOP = i2;
 return i1 | 0;
}

function _unlink(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + 16 | 0;
 i3 = i2;
 set32(i3 | 0, i1 | 0);
 i1 = ___syscall_ret(___syscall10(10, i3 | 0) | 0) | 0;
 STACKTOP = i2;
 return i1 | 0;
}

function _pageReinit(i1) {
 i1 = i1 | 0;
 var i2 = 0;
 i2 = get32(i1 + 4 | 0) | 0;
 if (!(get8(i2 >> 0 | 0) | 0)) return;
 set8(i2 >> 0 | 0, 0 | 0);
 if ((get16(i1 + 22 | 0) | 0) <= 1) return;
 _btreeInitPage(i2) | 0;
 return;
}

function _bitshift64Lshr(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 if ((i3 | 0) < 32) {
  tempRet0 = i2 >>> i3;
  return i1 >>> i3 | (i2 & (1 << i3) - 1) << 32 - i3;
 }
 tempRet0 = 0;
 return i2 >>> i3 - 32 | 0;
}

function _sqlite3_stmt_status(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0;
 i4 = i1 + 124 + (i2 + -1 << 2) | 0;
 i2 = get32(i4 | 0) | 0;
 if (!i3) return i2 | 0;
 set32(i4 | 0, 0 | 0);
 return i2 | 0;
}

function _sqlite3_rollback_hook(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0;
 i4 = i1 + 176 | 0;
 i5 = get32(i4 | 0) | 0;
 set32(i1 + 180 | 0, i2 | 0);
 set32(i4 | 0, i3 | 0);
 return i5 | 0;
}

function _sqlite3ValueNew(i1) {
 i1 = i1 | 0;
 var i2 = 0;
 i2 = _sqlite3DbMallocZero(i1, 40) | 0;
 if (!i2) return i2 | 0;
 set16(i2 + 28 | 0, 1 | 0);
 set8(i2 + 30 >> 0 | 0, 5 | 0);
 set32(i2 | 0, i1 | 0);
 return i2 | 0;
}

function _sqlite3_update_hook(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0;
 i4 = i1 + 184 | 0;
 i5 = get32(i4 | 0) | 0;
 set32(i1 + 188 | 0, i2 | 0);
 set32(i4 | 0, i3 | 0);
 return i5 | 0;
}

function _sqlite3_commit_hook(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0;
 i4 = i1 + 168 | 0;
 i5 = get32(i4 | 0) | 0;
 set32(i1 + 172 | 0, i2 | 0);
 set32(i4 | 0, i3 | 0);
 return i5 | 0;
}

function _sqlite3_wal_hook(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0;
 i4 = i1 + 196 | 0;
 i5 = get32(i4 | 0) | 0;
 set32(i1 + 192 | 0, i2 | 0);
 set32(i4 | 0, i3 | 0);
 return i5 | 0;
}

function dynCall_iiiiii(i1, i2, i3, i4, i5, i6) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 return FUNCTION_TABLE_iiiiii[i1 & 31](i2 | 0, i3 | 0, i4 | 0, i5 | 0, i6 | 0) | 0;
}

function _sqlite3_profile(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0;
 i4 = i1 + 164 | 0;
 i5 = get32(i4 | 0) | 0;
 set32(i1 + 160 | 0, i2 | 0);
 set32(i4 | 0, i3 | 0);
 return i5 | 0;
}

function _pcache1Truncate(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0;
 i3 = i1 + 40 | 0;
 if ((get32(i3 | 0) | 0) >>> 0 < i2 >>> 0) return;
 _pcache1TruncateUnsafe(i1, i2);
 set32(i3 | 0, i2 + -1 | 0);
 return;
}

function ___strdup(i1) {
 i1 = i1 | 0;
 var i2 = 0, i3 = 0, i4 = 0;
 i2 = (_strlen(i1) | 0) + 1 | 0;
 i3 = _malloc(i2) | 0;
 if (!i3) i4 = 0; else {
  _memcpy(i3 | 0, i1 | 0, i2 | 0) | 0;
  i4 = i3;
 }
 return i4 | 0;
}

function _sqlite3_trace(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 var i4 = 0, i5 = 0;
 i4 = i1 + 156 | 0;
 i5 = get32(i4 | 0) | 0;
 set32(i1 + 152 | 0, i2 | 0);
 set32(i4 | 0, i3 | 0);
 return i5 | 0;
}

function _memjrnlFileSize(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0, i4 = 0;
 i3 = i1 + 8 | 0;
 i1 = get32(i3 + 4 | 0) | 0;
 i4 = i2;
 set32(i4 | 0, get32(i3 | 0) | 0);
 set32(i4 + 4 | 0, i1 | 0);
 return 0;
}

function _sqlite3_data_count(i1) {
 i1 = i1 | 0;
 var i2 = 0;
 if (!i1) {
  i2 = 0;
  return i2 | 0;
 }
 if (!(get32(i1 + 20 | 0) | 0)) {
  i2 = 0;
  return i2 | 0;
 }
 i2 = getU16(i1 + 48 | 0) | 0;
 return i2 | 0;
}

function _sqlite3_sql(i1) {
 i1 = i1 | 0;
 var i2 = 0;
 if (!i1) {
  i2 = 0;
  return i2 | 0;
 }
 if (!(get8(i1 + 105 >> 0 | 0) | 0)) {
  i2 = 0;
  return i2 | 0;
 }
 i2 = get32(i1 + 160 | 0) | 0;
 return i2 | 0;
}

function _sqlite3_blob_bytes(i1) {
 i1 = i1 | 0;
 var i2 = 0;
 if (!i1) {
  i2 = 0;
  return i2 | 0;
 }
 if (!(get32(i1 + 20 | 0) | 0)) {
  i2 = 0;
  return i2 | 0;
 }
 i2 = get32(i1 + 4 | 0) | 0;
 return i2 | 0;
}

function _sqlite3_memory_highwater(i1) {
 i1 = i1 | 0;
 var i2 = 0;
 i2 = get32(40 * 4 | 0) | 0;
 if (i1) set32(40 * 4 | 0, get32(30 * 4 | 0) | 0);
 tempRet0 = ((i2 | 0) < 0) << 31 >> 31;
 return i2 | 0;
}

function _sqlite3_wal_autocheckpoint(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0;
 i3 = (i2 | 0) > 0;
 set32(i1 + 192 | 0, (i3 ? 14 : 0) | 0);
 set32(i1 + 196 | 0, (i3 ? i2 : 0) | 0);
 return 0;
}

function _i64Add(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 var i5 = 0;
 i5 = i1 + i3 >>> 0;
 return (tempRet0 = i2 + i4 + (i5 >>> 0 < i1 >>> 0 | 0) >>> 0, i5 | 0) | 0;
}

function b7(i1, i2, i3, i4, i5, i6, i7, i8, i9) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 i7 = i7 | 0;
 i8 = i8 | 0;
 i9 = i9 | 0;
 abort(7);
 return 0;
}

function _sqlite3_collation_needed16(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 set32(i1 + 200 | 0, 0 | 0);
 set32(i1 + 204 | 0, i3 | 0);
 set32(i1 + 208 | 0, i2 | 0);
 return 0;
}

function _sqlite3_realloc(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0;
 if (_sqlite3_initialize() | 0) {
  i3 = 0;
  return i3 | 0;
 }
 i3 = _sqlite3Realloc(i1, i2) | 0;
 return i3 | 0;
}

function _sqlite3_collation_needed(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 set32(i1 + 200 | 0, i3 | 0);
 set32(i1 + 204 | 0, 0 | 0);
 set32(i1 + 208 | 0, i2 | 0);
 return 0;
}

function dynCall_iiiii(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 return FUNCTION_TABLE_iiiii[i1 & 31](i2 | 0, i3 | 0, i4 | 0, i5 | 0) | 0;
}

function _sqlite3_busy_handler(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 set32(i1 + 428 | 0, i2 | 0);
 set32(i1 + 432 | 0, i3 | 0);
 set32(i1 + 436 | 0, 0 | 0);
 return 0;
}

function b13(i1, i2, i3, i4, i5, i6, i7, i8) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 i7 = i7 | 0;
 i8 = i8 | 0;
 abort(13);
 return 0;
}

function _sqlite3_result_error16(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 set32(i1 + 52 | 0, 1 | 0);
 _sqlite3VdbeMemSetStr(i1 + 8 | 0, i2, i3, 2, -1) | 0;
 return;
}

function ___syscall_ret(i1) {
 i1 = i1 | 0;
 var i2 = 0;
 if (i1 >>> 0 > 4294963200) {
  set32(___errno_location() | 0 | 0, 0 - i1 | 0);
  i2 = -1;
 } else i2 = i1;
 return i2 | 0;
}

function _pcache1Shutdown(i1) {
 i1 = i1 | 0;
 var i2 = 0;
 i1 = 1472;
 i2 = i1 + 68 | 0;
 do {
  set32(i1 | 0, 0 | 0);
  i1 = i1 + 4 | 0;
 } while ((i1 | 0) < (i2 | 0));
 return;
}

function dynCall_viiii(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 FUNCTION_TABLE_viiii[i1 & 15](i2 | 0, i3 | 0, i4 | 0, i5 | 0);
}

function _sqlite3_result_error(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 set32(i1 + 52 | 0, 1 | 0);
 _sqlite3VdbeMemSetStr(i1 + 8 | 0, i2, i3, 1, -1) | 0;
 return;
}

function _sqlite3_prepare16_v2(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 return _sqlite3Prepare16(i1, i2, i3, 1, i4, i5) | 0;
}

function _sqlite3_compileoption_get(i1) {
 i1 = i1 | 0;
 var i2 = 0;
 if (i1 >>> 0 >= 4) {
  i2 = 0;
  return i2 | 0;
 }
 i2 = get32(104 + (i1 << 2) | 0) | 0;
 return i2 | 0;
}

function _sqlite3_prepare16(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 return _sqlite3Prepare16(i1, i2, i3, 0, i4, i5) | 0;
}

function _sqlite3_create_module_v2(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 return _createModule(i1, i2, i3, i4, i5) | 0;
}

function _sqlite3_bind_text16(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 return _bindText(i1, i2, i3, i4, i5, 2) | 0;
}

function _sqlite3_bind_text(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 return _bindText(i1, i2, i3, i4, i5, 1) | 0;
}

function _sqlite3_bind_blob(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 return _bindText(i1, i2, i3, i4, i5, 0) | 0;
}

function _free(i1) {
 i1 = i1 | 0;
 if (!i1) return;
 _mspace_free(get32(6080 + (((i1 >>> 0) / ((get32(1518 * 4 | 0) | 0) >>> 0) | 0) << 2) | 0) | 0, i1);
 return;
}

function dynCall_iiii(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 return FUNCTION_TABLE_iiii[i1 & 63](i2 | 0, i3 | 0, i4 | 0) | 0;
}

function _sqlite3_bind_parameter_count(i1) {
 i1 = i1 | 0;
 var i2 = 0;
 if (!i1) {
  i2 = 0;
  return i2 | 0;
 }
 i2 = get16(i1 + 80 | 0) | 0;
 return i2 | 0;
}

function ___errno_location() {
 var i1 = 0;
 if (!(get32(1443 * 4 | 0) | 0)) i1 = 5816; else i1 = get32((_pthread_self() | 0) + 60 | 0) | 0;
 return i1 | 0;
}

function dynCall_iiid(i1, i2, i3, d4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 d4 = +d4;
 return FUNCTION_TABLE_iiid[i1 & 1](i2 | 0, i3 | 0, +d4) | 0;
}

function _sqlite3_result_error_toobig(i1) {
 i1 = i1 | 0;
 set32(i1 + 52 | 0, 18 | 0);
 _sqlite3VdbeMemSetStr(i1 + 8 | 0, 16620, -1, 1, 0) | 0;
 return;
}

function _sqlite3_column_count(i1) {
 i1 = i1 | 0;
 var i2 = 0;
 if (!i1) {
  i2 = 0;
  return i2 | 0;
 }
 i2 = getU16(i1 + 48 | 0) | 0;
 return i2 | 0;
}

function _sqlite3_create_module(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 return _createModule(i1, i2, i3, i4, 0) | 0;
}

function dynCall_viii(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 FUNCTION_TABLE_viii[i1 & 63](i2 | 0, i3 | 0, i4 | 0);
}

function _sqlite3_last_insert_rowid(i1) {
 i1 = i1 | 0;
 var i2 = 0;
 i2 = i1 + 48 | 0;
 tempRet0 = get32(i2 + 4 | 0) | 0;
 return get32(i2 | 0) | 0;
}
function stackAlloc(i1) {
 i1 = i1 | 0;
 var i2 = 0;
 i2 = STACKTOP;
 STACKTOP = STACKTOP + i1 | 0;
 STACKTOP = STACKTOP + 15 & -16;
 return i2 | 0;
}

function _sqlite3MemSize(i1) {
 i1 = i1 | 0;
 var i2 = 0;
 if (!i1) {
  i2 = 0;
  return i2 | 0;
 }
 i2 = get32(i1 + -8 | 0) | 0;
 return i2 | 0;
}

function b9(i1, i2, i3, i4, i5, i6) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 abort(9);
 return 0;
}

function _sqlite3_open_v2(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 return _openDatabase(i1, i2, i3, i4) | 0;
}

function _sqlite3SelectDelete(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 if (!i2) return;
 _clearSelect(i1, i2);
 _sqlite3DbFree(i1, i2);
 return;
}

function _sqlite3_extended_result_codes(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 set32(i1 + 24 | 0, ((i2 | 0) != 0 ? -1 : 255) | 0);
 return 0;
}

function _sqlite3_expired(i1) {
 i1 = i1 | 0;
 var i2 = 0;
 if (!i1) i2 = 1; else i2 = (get8(i1 + 99 >> 0 | 0) | 0) != 0;
 return i2 & 1 | 0;
}

function ___udivdi3(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 return ___udivmoddi4(i1, i2, i3, i4, 0) | 0;
}

function _wctomb(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 var i3 = 0;
 if (!i1) i3 = 0; else i3 = _wcrtomb(i1, i2, 0) | 0;
 return i3 | 0;
}

function dynCall_iii(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 return FUNCTION_TABLE_iii[i1 & 127](i2 | 0, i3 | 0) | 0;
}

function _sqlite3_next_stmt(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 return get32(((i2 | 0) == 0 ? i1 + 136 | 0 : i2 + 64 | 0) | 0) | 0;
}

function _llvm_bswap_i32(i1) {
 i1 = i1 | 0;
 return (i1 & 255) << 24 | (i1 >> 8 & 255) << 16 | (i1 >> 16 & 255) << 8 | i1 >>> 24 | 0;
}

function b2(i1, i2, i3, i4, i5, i6) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 i6 = i6 | 0;
 abort(2);
}

function _unixSleep(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i1 = (i2 + 999999 | 0) / 1e6 | 0;
 _sleep(i1) | 0;
 return i1 * 1e6 | 0;
}

function _sqlite3_memory_used() {
 var i1 = 0;
 i1 = get32(30 * 4 | 0) | 0;
 tempRet0 = ((i1 | 0) < 0) << 31 >> 31;
 return i1 | 0;
}

function dynCall_dii(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 return +FUNCTION_TABLE_dii[i1 & 1](i2 | 0, i3 | 0);
}

function _unixRandomness(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 _memset(i3 | 0, 0, i2 | 0) | 0;
 return i2 | 0;
}

function b18(i1, i2, i3, i4, i5) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 i5 = i5 | 0;
 abort(18);
 return 0;
}

function _sqlite3_wal_checkpoint(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 return _sqlite3_wal_checkpoint_v2(i1, i2, 0, 0, 0) | 0;
}

function _sqlite3_db_handle(i1) {
 i1 = i1 | 0;
 var i2 = 0;
 if (!i1) i2 = 0; else i2 = get32(i1 | 0) | 0;
 return i2 | 0;
}

function dynCall_vii(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 FUNCTION_TABLE_vii[i1 & 15](i2 | 0, i3 | 0);
}

function dynCall_vid(i1, i2, d3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 d3 = +d3;
 FUNCTION_TABLE_vid[i1 & 1](i2 | 0, +d3);
}

function _ctimestampFunc(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 _datetimeFunc(i1, 0, 0);
 return;
}

function setThrew(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 if (!__THREW__) {
  __THREW__ = i1;
  threwValue = i2;
 }
}

function _softHeapLimitEnforcer(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 return;
}

function _unixDlSym(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 return _dlsym(i2 | 0, i3 | 0) | 0;
}

function b14(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 abort(14);
 return 0;
}

function _sqlite3_aggregate_count(i1) {
 i1 = i1 | 0;
 return get32((get32(i1 + 48 | 0) | 0) + 24 | 0) | 0;
}

function _selectNodeIsConstant(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 set32(i1 + 12 | 0, 0 | 0);
 return 2;
}

function dynCall_ii(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 return FUNCTION_TABLE_ii[i1 & 127](i2 | 0) | 0;
}

function _ctimeFunc(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 _timeFunc(i1, 0, 0);
 return;
}

function _cdateFunc(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 _dateFunc(i1, 0, 0);
 return;
}

function _nolockCheckReservedLock(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 set32(i2 | 0, 0 | 0);
 return 0;
}

function dynCall_di(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 return +FUNCTION_TABLE_di[i1 & 1](i2 | 0);
}

function _sqlite3_open(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 return _openDatabase(i1, i2, 6, 0) | 0;
}

function establishStackSpace(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 STACKTOP = i1;
 STACK_MAX = i2;
}

function b15(i1, i2, i3, i4) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 i4 = i4 | 0;
 abort(15);
}

function _sqlite3_bind_null(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 return _vdbeUnbind(i1, i2) | 0;
}

function _isspace(i1) {
 i1 = i1 | 0;
 return ((i1 | 0) == 32 | (i1 + -9 | 0) >>> 0 < 5) & 1 | 0;
}

function _cleanup(i1) {
 i1 = i1 | 0;
 if (!(get32(i1 + 68 | 0) | 0)) ___unlockfile(i1);
 return;
}

function _sqlite3_enable_shared_cache(i1) {
 i1 = i1 | 0;
 set32(96 * 4 | 0, i1 | 0);
 return 0;
}

function _sqlite3_user_data(i1) {
 i1 = i1 | 0;
 return get32((get32(i1 | 0) | 0) + 4 | 0) | 0;
}

function dynCall_vi(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 FUNCTION_TABLE_vi[i1 & 31](i2 | 0);
}

function _unixGetLastError(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 return 0;
}

function _sqlite3_get_autocommit(i1) {
 i1 = i1 | 0;
 return getU8(i1 + 28 >> 0 | 0) | 0 | 0;
}

function _unixDlOpen(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 return _dlopen(i2 | 0, 258) | 0;
}

function _unixDlClose(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 _dlclose(i2 | 0) | 0;
 return;
}

function _sqlite3_value_text16le(i1) {
 i1 = i1 | 0;
 return _sqlite3ValueText(i1, 2) | 0;
}

function _sqlite3_value_text16be(i1) {
 i1 = i1 | 0;
 return _sqlite3ValueText(i1, 3) | 0;
}

function b1(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 abort(1);
 return 0;
}

function _sqlite3_value_type(i1) {
 i1 = i1 | 0;
 return getU8(i1 + 30 >> 0 | 0) | 0 | 0;
}

function b17(i1, i2, d3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 d3 = +d3;
 abort(17);
 return 0;
}

function _sqlite3_value_text16(i1) {
 i1 = i1 | 0;
 return _sqlite3ValueText(i1, 2) | 0;
}

function _sqlite3_value_text(i1) {
 i1 = i1 | 0;
 return _sqlite3ValueText(i1, 1) | 0;
}

function _sqlite3_context_db_handle(i1) {
 i1 = i1 | 0;
 return get32(i1 + 8 | 0) | 0;
}

function _sqlite3_backup_remaining(i1) {
 i1 = i1 | 0;
 return get32(i1 + 32 | 0) | 0;
}

function _sqlite3_backup_pagecount(i1) {
 i1 = i1 | 0;
 return get32(i1 + 36 | 0) | 0;
}

function _putchar(i1) {
 i1 = i1 | 0;
 return _fputc(i1, get32(1441 * 4 | 0) | 0) | 0;
}

function _sqlite3_interrupt(i1) {
 i1 = i1 | 0;
 set32(i1 + 224 | 0, 1 | 0);
 return;
}

function _sqlite3_total_changes(i1) {
 i1 = i1 | 0;
 return get32(i1 + 64 | 0) | 0;
}

function _dotlockIoFinderImpl(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 return 1324;
}

function b11(i1, i2, i3) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 i3 = i3 | 0;
 abort(11);
}

function _nolockIoFinderImpl(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 return 1256;
}

function _frexpl(d1, i2) {
 d1 = +d1;
 i2 = i2 | 0;
 return +(+_frexp(d1, i2));
}

function dynCall_i(i1) {
 i1 = i1 | 0;
 return FUNCTION_TABLE_i[i1 & 7]() | 0;
}

function _sqlite3_db_mutex(i1) {
 i1 = i1 | 0;
 return get32(i1 + 68 | 0) | 0;
}

function _posixIoFinderImpl(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 return 968;
}

function _pcache1Pagecount(i1) {
 i1 = i1 | 0;
 return get32(i1 + 28 | 0) | 0;
}

function _sqlite3_changes(i1) {
 i1 = i1 | 0;
 return get32(i1 + 60 | 0) | 0;
}

function _sqlite3MemFree(i1) {
 i1 = i1 | 0;
 _free(i1 + -8 | 0);
 return;
}

function b3(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 abort(3);
 return 0.0;
}

function b16(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 abort(16);
 return 0;
}

function _sqlite3MemRoundup(i1) {
 i1 = i1 | 0;
 return i1 + 7 & -8 | 0;
}

function _nolockUnlock(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 return 0;
}

function _exprWalkNoop(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 return 0;
}

function _memjrnlSync(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 return 0;
}

function _nolockLock(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 return 0;
}

function dynCall_v(i1) {
 i1 = i1 | 0;
 FUNCTION_TABLE_v[i1 & 1]();
}

function _unixDeviceCharacteristics(i1) {
 i1 = i1 | 0;
 return 0;
}

function _sqlite3_release_memory(i1) {
 i1 = i1 | 0;
 return 0;
}

function b8(i1, i2) {
 i1 = i1 | 0;
 i2 = i2 | 0;
 abort(8);
}

function stackRestore(i1) {
 i1 = i1 | 0;
 STACKTOP = i1;
}

function b4(i1, d2) {
 i1 = i1 | 0;
 d2 = +d2;
 abort(4);
}

function _unixSectorSize(i1) {
 i1 = i1 | 0;
 return 512;
}

function _sqlite3MemShutdown(i1) {
 i1 = i1 | 0;
 return;
}

function setTempRet0(i1) {
 i1 = i1 | 0;
 tempRet0 = i1;
}

function _sqlite3_libversion_number() {
 return 3007007;
}

function b5(i1) {
 i1 = i1 | 0;
 abort(5);
 return 0.0;
}

function b10(i1) {
 i1 = i1 | 0;
 abort(10);
 return 0;
}

function _sqlite3MemInit(i1) {
 i1 = i1 | 0;
 return 0;
}

function _unixShmBarrier(i1) {
 i1 = i1 | 0;
 return;
}

function ___unlockfile(i1) {
 i1 = i1 | 0;
 return;
}

function ___lockfile(i1) {
 i1 = i1 | 0;
 return 0;
}

function _sqlite3_libversion() {
 return 16270;
}

function getTempRet0() {
 return tempRet0 | 0;
}

function _sqlite3_thread_cleanup() {
 return;
}

function _sqlite3_sourceid() {
 return 17183;
}

function _dummy1(i1) {
 i1 = i1 | 0;
 return;
}

function stackSave() {
 return STACKTOP | 0;
}

function _sqlite3_threadsafe() {
 return 0;
}

function b0(i1) {
 i1 = i1 | 0;
 abort(0);
}

function b6() {
 abort(6);
 return 0;
}

function _dummy0() {
 return;
}

function b12() {
 abort(12);
}

// EMSCRIPTEN_END_FUNCS
var FUNCTION_TABLE_vi = [b0,_unixShmBarrier,_sqlite3_free,_sqlite3_free_table,_sqlite3_interrupt,_sqlite3_result_null,_sqlite3_result_error_nomem,_sqlite3_result_error_toobig,_sqlite3_soft_heap_limit,_minMaxFinalize,_sumFinalize,_totalFinalize,_avgFinalize,_countFinalize,_groupConcatFinalize,_sqlite3MemFree,_sqlite3MemShutdown,_pcache1Shutdown,_pcache1Destroy,_pageReinit,_sqlite3SchemaClear,_cleanup,b0,b0,b0,b0,b0,b0,b0
,b0,b0,b0];
var FUNCTION_TABLE_iiii = [b1,_unixDelete,_unixDlSym,_unixRandomness,_unixGetLastError,_unixSetSystemCall,_unixTruncate,_unixFileControl,_posixOpen,_fcntl,_read,_write,_memjrnlTruncate,_sqlite3_bind_int,_sqlite3_bind_value,_sqlite3_busy_handler,_sqlite3_collation_needed,_sqlite3_collation_needed16,_sqlite3_commit_hook,_sqlite3_profile,_sqlite3_rollback_hook,_sqlite3_set_authorizer,_sqlite3_trace,_sqlite3_update_hook,_sqlite3_overload_function,_sqlite3_bind_zeroblob,_sqlite3_limit,_sqlite3_db_config,_sqlite3_stmt_status
,_sqlite3_strnicmp,_sqlite3_wal_hook,_pcache1Fetch,___stdio_write,___stdio_seek,___stdout_write,b1,b1,b1,b1,b1,b1,b1,b1,b1,b1,b1,b1,b1,b1,b1,b1,b1,b1,b1,b1,b1,b1,b1,b1
,b1,b1,b1,b1,b1];
var FUNCTION_TABLE_viiiiii = [b2];
var FUNCTION_TABLE_dii = [b3,_sqlite3_column_double];
var FUNCTION_TABLE_vid = [b4,_sqlite3_result_double];
var FUNCTION_TABLE_di = [b5,_sqlite3_value_double];
var FUNCTION_TABLE_i = [b6,_sqlite3_libversion,_sqlite3_libversion_number,_sqlite3_memory_used,_sqlite3_threadsafe,_sqlite3_sourceid,b6,b6];
var FUNCTION_TABLE_iiiiiiiiii = [b7,_sqlite3_create_function_v2];
var FUNCTION_TABLE_vii = [b8,_unixDlClose,_sqlite3_result_int,_sqlite3_result_value,_sqlite3_result_zeroblob,_sqlite3_result_error_code,_sqlite3_randomness,_pcache1Cachesize,_pcache1Truncate,_sqlite3DbFree,b8,b8,b8,b8,b8,b8];
var FUNCTION_TABLE_iiiiiii = [b9,_sqlite3_get_table,_sqlite3_create_collation_v2,b9];
var FUNCTION_TABLE_ii = [b10,_unixClose,_unixSectorSize,_unixDeviceCharacteristics,_close,_nolockClose,_dotlockClose,_memjrnlClose,_sqlite3_aggregate_count,_sqlite3_bind_parameter_count,_sqlite3_changes,_sqlite3_close,_sqlite3_column_count,_sqlite3_complete,_sqlite3_complete16,_sqlite3_data_count,_sqlite3_db_handle,_sqlite3_enable_shared_cache,_sqlite3_errcode,_sqlite3_errmsg,_sqlite3_errmsg16,_sqlite3_expired,_sqlite3_finalize,_sqlite3_get_autocommit,_sqlite3_last_insert_rowid,_sqlite3_malloc,_sqlite3_reset,_sqlite3_step,_sqlite3_total_changes
,_sqlite3_user_data,_sqlite3_value_blob,_sqlite3_value_bytes,_sqlite3_value_bytes16,_sqlite3_value_int,_sqlite3_value_int64,_sqlite3_value_numeric_type,_sqlite3_value_text,_sqlite3_value_text16,_sqlite3_value_text16be,_sqlite3_value_text16le,_sqlite3_value_type,_sqlite3_clear_bindings,_sqlite3_blob_bytes,_sqlite3_blob_close,_sqlite3_memory_highwater,_sqlite3_release_memory,_sqlite3_sleep,_sqlite3_vfs_find,_sqlite3_vfs_unregister,_sqlite3_context_db_handle,_sqlite3_sql,_sqlite3_backup_finish,_sqlite3_backup_pagecount,_sqlite3_backup_remaining,_sqlite3_compileoption_get,_sqlite3_compileoption_used,_sqlite3_db_mutex,_sqlite3_extended_errcode,_sqlite3MemMalloc
,_sqlite3MemSize,_sqlite3MemRoundup,_sqlite3MemInit,_pcache1Init,_pcache1Pagecount,___stdio_close,_btreeInvokeBusyHandler,b10,b10,b10,b10,b10,b10,b10,b10,b10,b10,b10,b10,b10,b10,b10,b10,b10,b10,b10,b10,b10,b10,b10
,b10,b10,b10,b10,b10,b10,b10,b10,b10,b10,b10,b10,b10,b10,b10,b10,b10,b10,b10,b10,b10,b10,b10,b10,b10,b10,b10,b10,b10,b10
,b10,b10,b10,b10,b10,b10,b10,b10,b10];
var FUNCTION_TABLE_viii = [b11,_unixDlError,_sqlite3_result_error,_sqlite3_result_error16,_sqlite3_result_int64,_sqlite3_log,_attachFunc,_detachFunc,_trimFunc,_minmaxFunc,_minmaxStep,_typeofFunc,_lengthFunc,_substrFunc,_absFunc,_roundFunc,_upperFunc,_lowerFunc,_versionFunc,_hexFunc,_randomFunc,_randomBlob,_nullifFunc,_sourceidFunc,_errlogFunc,_compileoptionusedFunc,_compileoptiongetFunc,_quoteFunc,_last_insert_rowid
,_changes,_total_changes,_replaceFunc,_zeroblobFunc,_loadExt,_sumStep,_countStep,_groupConcatStep,_likeFunc,_juliandayFunc,_dateFunc,_timeFunc,_datetimeFunc,_strftimeFunc,_ctimeFunc,_ctimestampFunc,_cdateFunc,_renameTableFunc,_renameTriggerFunc,_renameParentFunc,_pcache1Unpin,_sqlite3InvalidFunction,b11,b11,b11,b11,b11,b11,b11,b11
,b11,b11,b11,b11,b11];
var FUNCTION_TABLE_v = [b12,_sqlite3_thread_cleanup];
var FUNCTION_TABLE_iiiiiiiii = [b13,_sqlite3_create_function,_sqlite3_create_function16,_sqlite3_blob_open];
var FUNCTION_TABLE_iiiii = [b14,_unixAccess,_unixFullPathname,_unixShmLock,_sqlite3_bind_int64,_sqlite3_create_module,_sqlite3_snprintf,_sqlite3_blob_read,_sqlite3_blob_write,_sqlite3_file_control,_sqlite3_open_v2,_sqlite3_status,_sqlite3_backup_init,_sqlite3_get_table_cb,_sqlite3WalDefaultHook,_callback,_sqlite3InitCallback,_analysisLoader,b14,b14,b14,b14,b14,b14,b14,b14,b14,b14,b14
,b14,b14,b14];
var FUNCTION_TABLE_viiii = [b15,_sqlite3_progress_handler,_sqlite3_result_blob,_sqlite3_result_text,_sqlite3_result_text16,_sqlite3_result_text16be,_sqlite3_result_text16le,_sqlite3_set_auxdata,_pcache1Rekey,_softHeapLimitEnforcer,b15,b15,b15,b15,b15,b15];
var FUNCTION_TABLE_iii = [b16,_unixDlOpen,_unixSleep,_unixCurrentTime,_unixCurrentTimeInt64,_unixGetSystemCall,_unixNextSystemCall,_posixIoFinderImpl,_nolockIoFinderImpl,_dotlockIoFinderImpl,_unixSync,_unixFileSize,_unixLock,_unixUnlock,_unixCheckReservedLock,_unixShmUnmap,_access,_getcwd,_stat,_fstat,_ftruncate,_nolockLock,_nolockUnlock,_nolockCheckReservedLock,_dotlockLock,_dotlockUnlock,_dotlockCheckReservedLock,_memjrnlSync,_memjrnlFileSize
,_sqlite3_aggregate_context,_sqlite3_bind_null,_sqlite3_bind_parameter_index,_sqlite3_bind_parameter_name,_sqlite3_busy_timeout,_sqlite3_column_blob,_sqlite3_column_bytes,_sqlite3_column_bytes16,_sqlite3_column_decltype,_sqlite3_column_decltype16,_sqlite3_column_int,_sqlite3_column_int64,_sqlite3_column_name,_sqlite3_column_name16,_sqlite3_column_text,_sqlite3_column_text16,_sqlite3_column_type,_sqlite3_column_value,_sqlite3_declare_vtab,_sqlite3_get_auxdata,_sqlite3_mprintf,_sqlite3_open,_sqlite3_open16,_sqlite3_realloc,_sqlite3_transfer_bindings,_sqlite3_vmprintf,_sqlite3_vfs_register,_sqlite3_test_control,_sqlite3_extended_result_codes,_sqlite3_next_stmt
,_sqlite3_backup_step,_sqlite3_soft_heap_limit64,_sqlite3_wal_autocheckpoint,_sqlite3_wal_checkpoint,_sqlite3MemRealloc,_pcache1Create,_sqliteDefaultBusyCallback,_pagerStress,_exprNodeIsConstant,_selectNodeIsConstant,_selectExpander,_exprWalkNoop,_resolveExprStep,_resolveSelectStep,_selectAddSubqueryTypeInfo,_analyzeAggregate,_analyzeAggregatesInSelect,_evalConstExpr,b16,b16,b16,b16,b16,b16,b16,b16,b16,b16,b16,b16
,b16,b16,b16,b16,b16,b16,b16,b16,b16,b16,b16,b16,b16,b16,b16,b16,b16,b16,b16,b16,b16,b16,b16,b16,b16,b16,b16,b16,b16,b16
,b16,b16,b16,b16,b16,b16,b16,b16,b16];
var FUNCTION_TABLE_iiid = [b17,_sqlite3_bind_double];
var FUNCTION_TABLE_iiiiii = [b18,_unixOpen,_unixRead,_unixWrite,_unixShmMap,_memjrnlRead,_memjrnlWrite,_sqlite3_bind_blob,_sqlite3_bind_text,_sqlite3_bind_text16,_sqlite3_create_collation,_sqlite3_create_collation16,_sqlite3_exec,_sqlite3_prepare,_sqlite3_prepare16,_sqlite3_prepare_v2,_sqlite3_prepare16_v2,_sqlite3_create_module_v2,_sqlite3_db_status,_binCollFunc,_nocaseCollatingFunc,b18,b18,b18,b18,b18,b18,b18,b18
,b18,b18,b18];

  return { _i64Subtract: _i64Subtract, _callback: _callback, _fflush: _fflush, _main: _main, _i64Add: _i64Add, _sqlite3_close: _sqlite3_close, _sqlite3_exec: _sqlite3_exec, _memset: _memset, _malloc: _malloc, _sqlite3_free: _sqlite3_free, _memcpy: _memcpy, _llvm_bswap_i32: _llvm_bswap_i32, _memmove: _memmove, _bitshift64Lshr: _bitshift64Lshr, _free: _free, _sqlite3_open: _sqlite3_open, ___errno_location: ___errno_location, _bitshift64Shl: _bitshift64Shl, runPostSets: runPostSets, stackAlloc: stackAlloc, stackSave: stackSave, stackRestore: stackRestore, establishStackSpace: establishStackSpace, setThrew: setThrew, setTempRet0: setTempRet0, getTempRet0: getTempRet0, dynCall_vi: dynCall_vi, dynCall_iiii: dynCall_iiii, dynCall_viiiiii: dynCall_viiiiii, dynCall_dii: dynCall_dii, dynCall_vid: dynCall_vid, dynCall_di: dynCall_di, dynCall_i: dynCall_i, dynCall_iiiiiiiiii: dynCall_iiiiiiiiii, dynCall_vii: dynCall_vii, dynCall_iiiiiii: dynCall_iiiiiii, dynCall_ii: dynCall_ii, dynCall_viii: dynCall_viii, dynCall_v: dynCall_v, dynCall_iiiiiiiii: dynCall_iiiiiiiii, dynCall_iiiii: dynCall_iiiii, dynCall_viiii: dynCall_viiii, dynCall_iii: dynCall_iii, dynCall_iiid: dynCall_iiid, dynCall_iiiiii: dynCall_iiiiii };
})
// EMSCRIPTEN_END_ASM
(Module.asmGlobalArg, Module.asmLibraryArg, buffer);
var _i64Subtract = Module["_i64Subtract"] = asm["_i64Subtract"];
var _callback = Module["_callback"] = asm["_callback"];
var _fflush = Module["_fflush"] = asm["_fflush"];
var _main = Module["_main"] = asm["_main"];
var _i64Add = Module["_i64Add"] = asm["_i64Add"];
var _sqlite3_close = Module["_sqlite3_close"] = asm["_sqlite3_close"];
var _sqlite3_exec = Module["_sqlite3_exec"] = asm["_sqlite3_exec"];
var _memset = Module["_memset"] = asm["_memset"];
var runPostSets = Module["runPostSets"] = asm["runPostSets"];
var _malloc = Module["_malloc"] = asm["_malloc"];
var _sqlite3_free = Module["_sqlite3_free"] = asm["_sqlite3_free"];
var _memcpy = Module["_memcpy"] = asm["_memcpy"];
var ___errno_location = Module["___errno_location"] = asm["___errno_location"];
var _memmove = Module["_memmove"] = asm["_memmove"];
var _bitshift64Lshr = Module["_bitshift64Lshr"] = asm["_bitshift64Lshr"];
var _free = Module["_free"] = asm["_free"];
var _sqlite3_open = Module["_sqlite3_open"] = asm["_sqlite3_open"];
var _llvm_bswap_i32 = Module["_llvm_bswap_i32"] = asm["_llvm_bswap_i32"];
var _bitshift64Shl = Module["_bitshift64Shl"] = asm["_bitshift64Shl"];
var dynCall_vi = Module["dynCall_vi"] = asm["dynCall_vi"];
var dynCall_iiii = Module["dynCall_iiii"] = asm["dynCall_iiii"];
var dynCall_viiiiii = Module["dynCall_viiiiii"] = asm["dynCall_viiiiii"];
var dynCall_dii = Module["dynCall_dii"] = asm["dynCall_dii"];
var dynCall_vid = Module["dynCall_vid"] = asm["dynCall_vid"];
var dynCall_di = Module["dynCall_di"] = asm["dynCall_di"];
var dynCall_i = Module["dynCall_i"] = asm["dynCall_i"];
var dynCall_iiiiiiiiii = Module["dynCall_iiiiiiiiii"] = asm["dynCall_iiiiiiiiii"];
var dynCall_vii = Module["dynCall_vii"] = asm["dynCall_vii"];
var dynCall_iiiiiii = Module["dynCall_iiiiiii"] = asm["dynCall_iiiiiii"];
var dynCall_ii = Module["dynCall_ii"] = asm["dynCall_ii"];
var dynCall_viii = Module["dynCall_viii"] = asm["dynCall_viii"];
var dynCall_v = Module["dynCall_v"] = asm["dynCall_v"];
var dynCall_iiiiiiiii = Module["dynCall_iiiiiiiii"] = asm["dynCall_iiiiiiiii"];
var dynCall_iiiii = Module["dynCall_iiiii"] = asm["dynCall_iiiii"];
var dynCall_viiii = Module["dynCall_viiii"] = asm["dynCall_viiii"];
var dynCall_iii = Module["dynCall_iii"] = asm["dynCall_iii"];
var dynCall_iiid = Module["dynCall_iiid"] = asm["dynCall_iiid"];
var dynCall_iiiiii = Module["dynCall_iiiiii"] = asm["dynCall_iiiiii"];
Runtime.stackAlloc = asm["stackAlloc"];
Runtime.stackSave = asm["stackSave"];
Runtime.stackRestore = asm["stackRestore"];
Runtime.establishStackSpace = asm["establishStackSpace"];
Runtime.setTempRet0 = asm["setTempRet0"];
Runtime.getTempRet0 = asm["getTempRet0"];
if (memoryInitializer) {
 if (typeof Module["locateFile"] === "function") {
  memoryInitializer = Module["locateFile"](memoryInitializer);
 } else if (Module["memoryInitializerPrefixURL"]) {
  memoryInitializer = Module["memoryInitializerPrefixURL"] + memoryInitializer;
 }
 if (ENVIRONMENT_IS_NODE || ENVIRONMENT_IS_SHELL) {
  var data = Module["readBinary"](memoryInitializer);
  HEAPU8.set(data, Runtime.GLOBAL_BASE);
 } else {
  addRunDependency("memory initializer");
  var applyMemoryInitializer = (function(data) {
   if (data.byteLength) data = new Uint8Array(data);
   HEAPU8.set(data, Runtime.GLOBAL_BASE);
   removeRunDependency("memory initializer");
  });
  function doBrowserLoad() {
   Browser.asyncLoad(memoryInitializer, applyMemoryInitializer, (function() {
    throw "could not load memory initializer " + memoryInitializer;
   }));
  }
  var request = Module["memoryInitializerRequest"];
  if (request) {
   function useRequest() {
    if (request.status !== 200 && request.status !== 0) {
     console.warn("a problem seems to have happened with Module.memoryInitializerRequest, status: " + request.status + ", retrying " + memoryInitializer);
     doBrowserLoad();
     return;
    }
    applyMemoryInitializer(request.response);
   }
   if (request.response) {
    setTimeout(useRequest, 0);
   } else {
    request.addEventListener("load", useRequest);
   }
  } else {
   doBrowserLoad();
  }
 }
}
function ExitStatus(status) {
 this.name = "ExitStatus";
 this.message = "Program terminated with exit(" + status + ")";
 this.status = status;
}
ExitStatus.prototype = new Error;
ExitStatus.prototype.constructor = ExitStatus;
var initialStackTop;
var preloadStartTime = null;
var calledMain = false;
dependenciesFulfilled = function runCaller() {
 if (!Module["calledRun"]) run();
 if (!Module["calledRun"]) dependenciesFulfilled = runCaller;
};
Module["callMain"] = Module.callMain = function callMain(args) {
 assert(runDependencies == 0, "cannot call main when async dependencies remain! (listen on __ATMAIN__)");
 assert(__ATPRERUN__.length == 0, "cannot call main when preRun functions remain to be called");
 args = args || [];
 ensureInitRuntime();
 var argc = args.length + 1;
 function pad() {
  for (var i = 0; i < 4 - 1; i++) {
   argv.push(0);
  }
 }
 var argv = [ allocate(intArrayFromString(Module["thisProgram"]), "i8", ALLOC_NORMAL) ];
 pad();
 for (var i = 0; i < argc - 1; i = i + 1) {
  argv.push(allocate(intArrayFromString(args[i]), "i8", ALLOC_NORMAL));
  pad();
 }
 argv.push(0);
 argv = allocate(argv, "i32", ALLOC_NORMAL);
 initialStackTop = Runtime.stackSave();
 try {
  var ret = Module["_main"](argc, argv, 0);
  exit(ret, true);
 } catch (e) {
  if (e instanceof ExitStatus) {
   return;
  } else if (e == "SimulateInfiniteLoop") {
   Module["noExitRuntime"] = true;
   Runtime.stackRestore(initialStackTop);
   return;
  } else {
   if (e && typeof e === "object" && e.stack) Module.printErr("exception thrown: " + [ e, e.stack ]);
   throw e;
  }
 } finally {
  calledMain = true;
 }
};
function run(args) {
 args = args || Module["arguments"];
 if (preloadStartTime === null) preloadStartTime = Date.now();
 if (runDependencies > 0) {
  return;
 }
 preRun();
 if (runDependencies > 0) return;
 if (Module["calledRun"]) return;
 function doRun() {
  if (Module["calledRun"]) return;
  Module["calledRun"] = true;
  if (ABORT) return;
  ensureInitRuntime();
  preMain();
  if (Module["onRuntimeInitialized"]) Module["onRuntimeInitialized"]();
  if (Module["_main"] && shouldRunNow) Module["callMain"](args);
  postRun();
 }
 if (Module["setStatus"]) {
  Module["setStatus"]("Running...");
  setTimeout((function() {
   setTimeout((function() {
    Module["setStatus"]("");
   }), 1);
   doRun();
  }), 1);
 } else {
  doRun();
 }
}
Module["run"] = Module.run = run;
function exit(status, implicit) {
 if (implicit && Module["noExitRuntime"]) {
  return;
 }
 if (Module["noExitRuntime"]) {} else {
  ABORT = true;
  EXITSTATUS = status;
  STACKTOP = initialStackTop;
  exitRuntime();
  if (Module["onExit"]) Module["onExit"](status);
 }
 if (ENVIRONMENT_IS_NODE) {
  process["stdout"]["once"]("drain", (function() {
   process["exit"](status);
  }));
  console.log(" ");
  setTimeout((function() {
   process["exit"](status);
  }), 500);
 } else if (ENVIRONMENT_IS_SHELL && typeof quit === "function") {
  quit(status);
 }
 throw new ExitStatus(status);
}
Module["exit"] = Module.exit = exit;
var abortDecorators = [];
function abort(what) {
 if (what !== undefined) {
  Module.print(what);
  Module.printErr(what);
  what = JSON.stringify(what);
 } else {
  what = "";
 }
 ABORT = true;
 EXITSTATUS = 1;
 var extra = "\nIf this abort() is unexpected, build with -s ASSERTIONS=1 which can give more information.";
 var output = "abort(" + what + ") at " + stackTrace() + extra;
 if (abortDecorators) {
  abortDecorators.forEach((function(decorator) {
   output = decorator(output, what);
  }));
 }
 throw output;
}
Module["abort"] = Module.abort = abort;
if (Module["preInit"]) {
 if (typeof Module["preInit"] == "function") Module["preInit"] = [ Module["preInit"] ];
 while (Module["preInit"].length > 0) {
  Module["preInit"].pop()();
 }
}
var shouldRunNow = true;
if (Module["noInitialRun"]) {
 shouldRunNow = false;
}
run();




